%------------------------------------------------------------------------------
% File     : HWV090+1 : TPTP v6.1.0. Released v6.1.0.
% Domain   : Hardware Verification
% Problem  : dmu_dmc property 4 cone of influence 8_b20
% Version  : Especial.
% English  : Verification of a property of the SPARCT2 RTL hardware design.

% Refs     : [Kha14] Khasidashvili (2014), Email to Geoff Sutcliffe
% Source   : [Kha14]
% Names    : dmu_dmc_prop4_cone8_b20 [Kha14]

% Status   : Theorem
% Rating   : 0.84 v6.1.0
% Syntax   : Number of formulae    : 40490 (10602 unit)
%            Number of atoms       : 138863 (2689 equality)
%            Maximal formula depth :  136 (   4 average)
%            Number of connectives : 112476 (14103   ~;6273   |;26769   &)
%                                         (53372 <=>;11944  =>;   0  <=;  15 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of predicates  : 21358 (   2 propositional; 0-3 arity)
%            Number of functors    : 2454 (2454 constant; 0-0 arity)
%            Number of variables   : 35907 (   0 sgn;35907   !;   0   ?)
%            Maximal term depth    :    1 (   1 average)
% SPC      : FOF_THM_RFO_SEQ

% Comments : Copyright 2013 Moshe Emmer and Zurab Khasidashvili
%            Licensed under the Apache License, Version 2.0 (the "License");
%            you may not use this file except in compliance with the License.
%            You may obtain a copy of the License at
%                http://www.apache.org/licenses/LICENSE-2.0
%            Unless required by applicable law or agreed to in writing,
%            software distributed under the License is distributed on an "AS
%            IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
%            express or implied. See the License for the specific language
%            governing permissions and limitations under the License.
%------------------------------------------------------------------------------
fof(pathAxiom_8,axiom,(
    nextState(constB8,constB9) )).

fof(pathAxiom_7,axiom,(
    nextState(constB7,constB8) )).

fof(pathAxiom_6,axiom,(
    nextState(constB6,constB7) )).

fof(pathAxiom_5,axiom,(
    nextState(constB5,constB6) )).

fof(pathAxiom_4,axiom,(
    nextState(constB4,constB5) )).

fof(pathAxiom_3,axiom,(
    nextState(constB3,constB4) )).

fof(pathAxiom_2,axiom,(
    nextState(constB2,constB3) )).

fof(pathAxiom_1,axiom,(
    nextState(constB1,constB2) )).

fof(pathAxiom,axiom,(
    nextState(constB0,constB1) )).

fof(reachableStateAxiom_22,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( reachableState(VarCurr)
        & reachableState(VarNext) ) ) )).

fof(reachableStateAxiom_21,axiom,(
    ! [VarState] :
      ( reachableState(VarState)
     => ( constB0 = VarState
        | constB1 = VarState
        | constB2 = VarState
        | constB3 = VarState
        | constB4 = VarState
        | constB5 = VarState
        | constB6 = VarState
        | constB7 = VarState
        | constB8 = VarState
        | constB9 = VarState
        | constB10 = VarState
        | constB11 = VarState
        | constB12 = VarState
        | constB13 = VarState
        | constB14 = VarState
        | constB15 = VarState
        | constB16 = VarState
        | constB17 = VarState
        | constB18 = VarState
        | constB19 = VarState
        | constB20 = VarState ) ) )).

fof(reachableStateAxiom_20,axiom,(
    reachableState(constB20) )).

fof(reachableStateAxiom_19,axiom,(
    reachableState(constB19) )).

fof(reachableStateAxiom_18,axiom,(
    reachableState(constB18) )).

fof(reachableStateAxiom_17,axiom,(
    reachableState(constB17) )).

fof(reachableStateAxiom_16,axiom,(
    reachableState(constB16) )).

fof(reachableStateAxiom_15,axiom,(
    reachableState(constB15) )).

fof(reachableStateAxiom_14,axiom,(
    reachableState(constB14) )).

fof(reachableStateAxiom_13,axiom,(
    reachableState(constB13) )).

fof(reachableStateAxiom_12,axiom,(
    reachableState(constB12) )).

fof(reachableStateAxiom_11,axiom,(
    reachableState(constB11) )).

fof(reachableStateAxiom_10,axiom,(
    reachableState(constB10) )).

fof(reachableStateAxiom_9,axiom,(
    reachableState(constB9) )).

fof(reachableStateAxiom_8,axiom,(
    reachableState(constB8) )).

fof(reachableStateAxiom_7,axiom,(
    reachableState(constB7) )).

fof(reachableStateAxiom_6,axiom,(
    reachableState(constB6) )).

fof(reachableStateAxiom_5,axiom,(
    reachableState(constB5) )).

fof(reachableStateAxiom_4,axiom,(
    reachableState(constB4) )).

fof(reachableStateAxiom_3,axiom,(
    reachableState(constB3) )).

fof(reachableStateAxiom_2,axiom,(
    reachableState(constB2) )).

fof(reachableStateAxiom_1,axiom,(
    reachableState(constB1) )).

fof(reachableStateAxiom,axiom,(
    reachableState(constB0) )).

fof(clock_toggling,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1(VarCurr)
      <=> ~ v1(VarNext) ) ) )).

fof(clock_pattern,axiom,(
    ~ v1(constB0) )).

fof(transient_address_definition_272,axiom,(
    ! [B] :
      ( addressVal(v28456_range_4_to_0_address_term_bound_20,B)
    <=> v28456(constB20,B) ) )).

fof(is_address_320,axiom,(
    address(v28456_range_4_to_0_address_term_bound_20) )).

fof(address_association_272,axiom,(
    v28456_range_4_to_0_address_association(constB20,v28456_range_4_to_0_address_term_bound_20) )).

fof(transient_address_definition_271,axiom,(
    ! [B] :
      ( addressVal(v28456_range_4_to_0_address_term_bound_19,B)
    <=> v28456(constB19,B) ) )).

fof(is_address_319,axiom,(
    address(v28456_range_4_to_0_address_term_bound_19) )).

fof(address_association_271,axiom,(
    v28456_range_4_to_0_address_association(constB19,v28456_range_4_to_0_address_term_bound_19) )).

fof(transient_address_definition_270,axiom,(
    ! [B] :
      ( addressVal(v28456_range_4_to_0_address_term_bound_18,B)
    <=> v28456(constB18,B) ) )).

fof(is_address_318,axiom,(
    address(v28456_range_4_to_0_address_term_bound_18) )).

fof(address_association_270,axiom,(
    v28456_range_4_to_0_address_association(constB18,v28456_range_4_to_0_address_term_bound_18) )).

fof(transient_address_definition_269,axiom,(
    ! [B] :
      ( addressVal(v28456_range_4_to_0_address_term_bound_17,B)
    <=> v28456(constB17,B) ) )).

fof(is_address_317,axiom,(
    address(v28456_range_4_to_0_address_term_bound_17) )).

fof(address_association_269,axiom,(
    v28456_range_4_to_0_address_association(constB17,v28456_range_4_to_0_address_term_bound_17) )).

fof(transient_address_definition_268,axiom,(
    ! [B] :
      ( addressVal(v28456_range_4_to_0_address_term_bound_16,B)
    <=> v28456(constB16,B) ) )).

fof(is_address_316,axiom,(
    address(v28456_range_4_to_0_address_term_bound_16) )).

fof(address_association_268,axiom,(
    v28456_range_4_to_0_address_association(constB16,v28456_range_4_to_0_address_term_bound_16) )).

fof(transient_address_definition_267,axiom,(
    ! [B] :
      ( addressVal(v28456_range_4_to_0_address_term_bound_15,B)
    <=> v28456(constB15,B) ) )).

fof(is_address_315,axiom,(
    address(v28456_range_4_to_0_address_term_bound_15) )).

fof(address_association_267,axiom,(
    v28456_range_4_to_0_address_association(constB15,v28456_range_4_to_0_address_term_bound_15) )).

fof(transient_address_definition_266,axiom,(
    ! [B] :
      ( addressVal(v28456_range_4_to_0_address_term_bound_14,B)
    <=> v28456(constB14,B) ) )).

fof(is_address_314,axiom,(
    address(v28456_range_4_to_0_address_term_bound_14) )).

fof(address_association_266,axiom,(
    v28456_range_4_to_0_address_association(constB14,v28456_range_4_to_0_address_term_bound_14) )).

fof(transient_address_definition_265,axiom,(
    ! [B] :
      ( addressVal(v28456_range_4_to_0_address_term_bound_13,B)
    <=> v28456(constB13,B) ) )).

fof(is_address_313,axiom,(
    address(v28456_range_4_to_0_address_term_bound_13) )).

fof(address_association_265,axiom,(
    v28456_range_4_to_0_address_association(constB13,v28456_range_4_to_0_address_term_bound_13) )).

fof(transient_address_definition_264,axiom,(
    ! [B] :
      ( addressVal(v28456_range_4_to_0_address_term_bound_12,B)
    <=> v28456(constB12,B) ) )).

fof(is_address_312,axiom,(
    address(v28456_range_4_to_0_address_term_bound_12) )).

fof(address_association_264,axiom,(
    v28456_range_4_to_0_address_association(constB12,v28456_range_4_to_0_address_term_bound_12) )).

fof(transient_address_definition_263,axiom,(
    ! [B] :
      ( addressVal(v28456_range_4_to_0_address_term_bound_11,B)
    <=> v28456(constB11,B) ) )).

fof(is_address_311,axiom,(
    address(v28456_range_4_to_0_address_term_bound_11) )).

fof(address_association_263,axiom,(
    v28456_range_4_to_0_address_association(constB11,v28456_range_4_to_0_address_term_bound_11) )).

fof(transient_address_definition_262,axiom,(
    ! [B] :
      ( addressVal(v28456_range_4_to_0_address_term_bound_10,B)
    <=> v28456(constB10,B) ) )).

fof(is_address_310,axiom,(
    address(v28456_range_4_to_0_address_term_bound_10) )).

fof(address_association_262,axiom,(
    v28456_range_4_to_0_address_association(constB10,v28456_range_4_to_0_address_term_bound_10) )).

fof(transient_address_definition_261,axiom,(
    ! [B] :
      ( addressVal(v28456_range_4_to_0_address_term_bound_9,B)
    <=> v28456(constB9,B) ) )).

fof(is_address_309,axiom,(
    address(v28456_range_4_to_0_address_term_bound_9) )).

fof(address_association_261,axiom,(
    v28456_range_4_to_0_address_association(constB9,v28456_range_4_to_0_address_term_bound_9) )).

fof(transient_address_definition_260,axiom,(
    ! [B] :
      ( addressVal(v28456_range_4_to_0_address_term_bound_8,B)
    <=> v28456(constB8,B) ) )).

fof(is_address_308,axiom,(
    address(v28456_range_4_to_0_address_term_bound_8) )).

fof(address_association_260,axiom,(
    v28456_range_4_to_0_address_association(constB8,v28456_range_4_to_0_address_term_bound_8) )).

fof(transient_address_definition_259,axiom,(
    ! [B] :
      ( addressVal(v28456_range_4_to_0_address_term_bound_7,B)
    <=> v28456(constB7,B) ) )).

fof(is_address_307,axiom,(
    address(v28456_range_4_to_0_address_term_bound_7) )).

fof(address_association_259,axiom,(
    v28456_range_4_to_0_address_association(constB7,v28456_range_4_to_0_address_term_bound_7) )).

fof(transient_address_definition_258,axiom,(
    ! [B] :
      ( addressVal(v28456_range_4_to_0_address_term_bound_6,B)
    <=> v28456(constB6,B) ) )).

fof(is_address_306,axiom,(
    address(v28456_range_4_to_0_address_term_bound_6) )).

fof(address_association_258,axiom,(
    v28456_range_4_to_0_address_association(constB6,v28456_range_4_to_0_address_term_bound_6) )).

fof(transient_address_definition_257,axiom,(
    ! [B] :
      ( addressVal(v28456_range_4_to_0_address_term_bound_5,B)
    <=> v28456(constB5,B) ) )).

fof(is_address_305,axiom,(
    address(v28456_range_4_to_0_address_term_bound_5) )).

fof(address_association_257,axiom,(
    v28456_range_4_to_0_address_association(constB5,v28456_range_4_to_0_address_term_bound_5) )).

fof(transient_address_definition_256,axiom,(
    ! [B] :
      ( addressVal(v28456_range_4_to_0_address_term_bound_4,B)
    <=> v28456(constB4,B) ) )).

fof(is_address_304,axiom,(
    address(v28456_range_4_to_0_address_term_bound_4) )).

fof(address_association_256,axiom,(
    v28456_range_4_to_0_address_association(constB4,v28456_range_4_to_0_address_term_bound_4) )).

fof(transient_address_definition_255,axiom,(
    ! [B] :
      ( addressVal(v28456_range_4_to_0_address_term_bound_3,B)
    <=> v28456(constB3,B) ) )).

fof(is_address_303,axiom,(
    address(v28456_range_4_to_0_address_term_bound_3) )).

fof(address_association_255,axiom,(
    v28456_range_4_to_0_address_association(constB3,v28456_range_4_to_0_address_term_bound_3) )).

fof(transient_address_definition_254,axiom,(
    ! [B] :
      ( addressVal(v28456_range_4_to_0_address_term_bound_2,B)
    <=> v28456(constB2,B) ) )).

fof(is_address_302,axiom,(
    address(v28456_range_4_to_0_address_term_bound_2) )).

fof(address_association_254,axiom,(
    v28456_range_4_to_0_address_association(constB2,v28456_range_4_to_0_address_term_bound_2) )).

fof(transient_address_definition_253,axiom,(
    ! [B] :
      ( addressVal(v28456_range_4_to_0_address_term_bound_1,B)
    <=> v28456(constB1,B) ) )).

fof(is_address_301,axiom,(
    address(v28456_range_4_to_0_address_term_bound_1) )).

fof(address_association_253,axiom,(
    v28456_range_4_to_0_address_association(constB1,v28456_range_4_to_0_address_term_bound_1) )).

fof(transient_address_definition_252,axiom,(
    ! [B] :
      ( addressVal(v28456_range_4_to_0_address_term_bound_0,B)
    <=> v28456(constB0,B) ) )).

fof(is_address_300,axiom,(
    address(v28456_range_4_to_0_address_term_bound_0) )).

fof(address_association_252,axiom,(
    v28456_range_4_to_0_address_association(constB0,v28456_range_4_to_0_address_term_bound_0) )).

fof(address_false_msb_246,axiom,(
    ~ addressVal(v28137_range_3_to_0_address_term_bound_20,bitIndex4) )).

fof(transient_address_definition_251,axiom,
    ( $true
    & ( addressVal(v28137_range_3_to_0_address_term_bound_20,bitIndex0)
    <=> v28137(constB20,bitIndex0) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_20,bitIndex1)
    <=> v28137(constB20,bitIndex1) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_20,bitIndex2)
    <=> v28137(constB20,bitIndex2) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_20,bitIndex3)
    <=> v28137(constB20,bitIndex3) ) )).

fof(is_address_299,axiom,(
    address(v28137_range_3_to_0_address_term_bound_20) )).

fof(address_association_251,axiom,(
    v28137_range_3_to_0_address_association(constB20,v28137_range_3_to_0_address_term_bound_20) )).

fof(address_false_msb_245,axiom,(
    ~ addressVal(v28137_range_3_to_0_address_term_bound_19,bitIndex4) )).

fof(transient_address_definition_250,axiom,
    ( $true
    & ( addressVal(v28137_range_3_to_0_address_term_bound_19,bitIndex0)
    <=> v28137(constB19,bitIndex0) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_19,bitIndex1)
    <=> v28137(constB19,bitIndex1) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_19,bitIndex2)
    <=> v28137(constB19,bitIndex2) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_19,bitIndex3)
    <=> v28137(constB19,bitIndex3) ) )).

fof(is_address_298,axiom,(
    address(v28137_range_3_to_0_address_term_bound_19) )).

fof(address_association_250,axiom,(
    v28137_range_3_to_0_address_association(constB19,v28137_range_3_to_0_address_term_bound_19) )).

fof(address_false_msb_244,axiom,(
    ~ addressVal(v28137_range_3_to_0_address_term_bound_18,bitIndex4) )).

fof(transient_address_definition_249,axiom,
    ( $true
    & ( addressVal(v28137_range_3_to_0_address_term_bound_18,bitIndex0)
    <=> v28137(constB18,bitIndex0) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_18,bitIndex1)
    <=> v28137(constB18,bitIndex1) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_18,bitIndex2)
    <=> v28137(constB18,bitIndex2) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_18,bitIndex3)
    <=> v28137(constB18,bitIndex3) ) )).

fof(is_address_297,axiom,(
    address(v28137_range_3_to_0_address_term_bound_18) )).

fof(address_association_249,axiom,(
    v28137_range_3_to_0_address_association(constB18,v28137_range_3_to_0_address_term_bound_18) )).

fof(address_false_msb_243,axiom,(
    ~ addressVal(v28137_range_3_to_0_address_term_bound_17,bitIndex4) )).

fof(transient_address_definition_248,axiom,
    ( $true
    & ( addressVal(v28137_range_3_to_0_address_term_bound_17,bitIndex0)
    <=> v28137(constB17,bitIndex0) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_17,bitIndex1)
    <=> v28137(constB17,bitIndex1) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_17,bitIndex2)
    <=> v28137(constB17,bitIndex2) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_17,bitIndex3)
    <=> v28137(constB17,bitIndex3) ) )).

fof(is_address_296,axiom,(
    address(v28137_range_3_to_0_address_term_bound_17) )).

fof(address_association_248,axiom,(
    v28137_range_3_to_0_address_association(constB17,v28137_range_3_to_0_address_term_bound_17) )).

fof(address_false_msb_242,axiom,(
    ~ addressVal(v28137_range_3_to_0_address_term_bound_16,bitIndex4) )).

fof(transient_address_definition_247,axiom,
    ( $true
    & ( addressVal(v28137_range_3_to_0_address_term_bound_16,bitIndex0)
    <=> v28137(constB16,bitIndex0) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_16,bitIndex1)
    <=> v28137(constB16,bitIndex1) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_16,bitIndex2)
    <=> v28137(constB16,bitIndex2) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_16,bitIndex3)
    <=> v28137(constB16,bitIndex3) ) )).

fof(is_address_295,axiom,(
    address(v28137_range_3_to_0_address_term_bound_16) )).

fof(address_association_247,axiom,(
    v28137_range_3_to_0_address_association(constB16,v28137_range_3_to_0_address_term_bound_16) )).

fof(address_false_msb_241,axiom,(
    ~ addressVal(v28137_range_3_to_0_address_term_bound_15,bitIndex4) )).

fof(transient_address_definition_246,axiom,
    ( $true
    & ( addressVal(v28137_range_3_to_0_address_term_bound_15,bitIndex0)
    <=> v28137(constB15,bitIndex0) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_15,bitIndex1)
    <=> v28137(constB15,bitIndex1) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_15,bitIndex2)
    <=> v28137(constB15,bitIndex2) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_15,bitIndex3)
    <=> v28137(constB15,bitIndex3) ) )).

fof(is_address_294,axiom,(
    address(v28137_range_3_to_0_address_term_bound_15) )).

fof(address_association_246,axiom,(
    v28137_range_3_to_0_address_association(constB15,v28137_range_3_to_0_address_term_bound_15) )).

fof(address_false_msb_240,axiom,(
    ~ addressVal(v28137_range_3_to_0_address_term_bound_14,bitIndex4) )).

fof(transient_address_definition_245,axiom,
    ( $true
    & ( addressVal(v28137_range_3_to_0_address_term_bound_14,bitIndex0)
    <=> v28137(constB14,bitIndex0) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_14,bitIndex1)
    <=> v28137(constB14,bitIndex1) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_14,bitIndex2)
    <=> v28137(constB14,bitIndex2) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_14,bitIndex3)
    <=> v28137(constB14,bitIndex3) ) )).

fof(is_address_293,axiom,(
    address(v28137_range_3_to_0_address_term_bound_14) )).

fof(address_association_245,axiom,(
    v28137_range_3_to_0_address_association(constB14,v28137_range_3_to_0_address_term_bound_14) )).

fof(address_false_msb_239,axiom,(
    ~ addressVal(v28137_range_3_to_0_address_term_bound_13,bitIndex4) )).

fof(transient_address_definition_244,axiom,
    ( $true
    & ( addressVal(v28137_range_3_to_0_address_term_bound_13,bitIndex0)
    <=> v28137(constB13,bitIndex0) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_13,bitIndex1)
    <=> v28137(constB13,bitIndex1) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_13,bitIndex2)
    <=> v28137(constB13,bitIndex2) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_13,bitIndex3)
    <=> v28137(constB13,bitIndex3) ) )).

fof(is_address_292,axiom,(
    address(v28137_range_3_to_0_address_term_bound_13) )).

fof(address_association_244,axiom,(
    v28137_range_3_to_0_address_association(constB13,v28137_range_3_to_0_address_term_bound_13) )).

fof(address_false_msb_238,axiom,(
    ~ addressVal(v28137_range_3_to_0_address_term_bound_12,bitIndex4) )).

fof(transient_address_definition_243,axiom,
    ( $true
    & ( addressVal(v28137_range_3_to_0_address_term_bound_12,bitIndex0)
    <=> v28137(constB12,bitIndex0) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_12,bitIndex1)
    <=> v28137(constB12,bitIndex1) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_12,bitIndex2)
    <=> v28137(constB12,bitIndex2) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_12,bitIndex3)
    <=> v28137(constB12,bitIndex3) ) )).

fof(is_address_291,axiom,(
    address(v28137_range_3_to_0_address_term_bound_12) )).

fof(address_association_243,axiom,(
    v28137_range_3_to_0_address_association(constB12,v28137_range_3_to_0_address_term_bound_12) )).

fof(address_false_msb_237,axiom,(
    ~ addressVal(v28137_range_3_to_0_address_term_bound_11,bitIndex4) )).

fof(transient_address_definition_242,axiom,
    ( $true
    & ( addressVal(v28137_range_3_to_0_address_term_bound_11,bitIndex0)
    <=> v28137(constB11,bitIndex0) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_11,bitIndex1)
    <=> v28137(constB11,bitIndex1) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_11,bitIndex2)
    <=> v28137(constB11,bitIndex2) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_11,bitIndex3)
    <=> v28137(constB11,bitIndex3) ) )).

fof(is_address_290,axiom,(
    address(v28137_range_3_to_0_address_term_bound_11) )).

fof(address_association_242,axiom,(
    v28137_range_3_to_0_address_association(constB11,v28137_range_3_to_0_address_term_bound_11) )).

fof(address_false_msb_236,axiom,(
    ~ addressVal(v28137_range_3_to_0_address_term_bound_10,bitIndex4) )).

fof(transient_address_definition_241,axiom,
    ( $true
    & ( addressVal(v28137_range_3_to_0_address_term_bound_10,bitIndex0)
    <=> v28137(constB10,bitIndex0) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_10,bitIndex1)
    <=> v28137(constB10,bitIndex1) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_10,bitIndex2)
    <=> v28137(constB10,bitIndex2) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_10,bitIndex3)
    <=> v28137(constB10,bitIndex3) ) )).

fof(is_address_289,axiom,(
    address(v28137_range_3_to_0_address_term_bound_10) )).

fof(address_association_241,axiom,(
    v28137_range_3_to_0_address_association(constB10,v28137_range_3_to_0_address_term_bound_10) )).

fof(address_false_msb_235,axiom,(
    ~ addressVal(v28137_range_3_to_0_address_term_bound_9,bitIndex4) )).

fof(transient_address_definition_240,axiom,
    ( $true
    & ( addressVal(v28137_range_3_to_0_address_term_bound_9,bitIndex0)
    <=> v28137(constB9,bitIndex0) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_9,bitIndex1)
    <=> v28137(constB9,bitIndex1) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_9,bitIndex2)
    <=> v28137(constB9,bitIndex2) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_9,bitIndex3)
    <=> v28137(constB9,bitIndex3) ) )).

fof(is_address_288,axiom,(
    address(v28137_range_3_to_0_address_term_bound_9) )).

fof(address_association_240,axiom,(
    v28137_range_3_to_0_address_association(constB9,v28137_range_3_to_0_address_term_bound_9) )).

fof(address_false_msb_234,axiom,(
    ~ addressVal(v28137_range_3_to_0_address_term_bound_8,bitIndex4) )).

fof(transient_address_definition_239,axiom,
    ( $true
    & ( addressVal(v28137_range_3_to_0_address_term_bound_8,bitIndex0)
    <=> v28137(constB8,bitIndex0) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_8,bitIndex1)
    <=> v28137(constB8,bitIndex1) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_8,bitIndex2)
    <=> v28137(constB8,bitIndex2) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_8,bitIndex3)
    <=> v28137(constB8,bitIndex3) ) )).

fof(is_address_287,axiom,(
    address(v28137_range_3_to_0_address_term_bound_8) )).

fof(address_association_239,axiom,(
    v28137_range_3_to_0_address_association(constB8,v28137_range_3_to_0_address_term_bound_8) )).

fof(address_false_msb_233,axiom,(
    ~ addressVal(v28137_range_3_to_0_address_term_bound_7,bitIndex4) )).

fof(transient_address_definition_238,axiom,
    ( $true
    & ( addressVal(v28137_range_3_to_0_address_term_bound_7,bitIndex0)
    <=> v28137(constB7,bitIndex0) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_7,bitIndex1)
    <=> v28137(constB7,bitIndex1) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_7,bitIndex2)
    <=> v28137(constB7,bitIndex2) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_7,bitIndex3)
    <=> v28137(constB7,bitIndex3) ) )).

fof(is_address_286,axiom,(
    address(v28137_range_3_to_0_address_term_bound_7) )).

fof(address_association_238,axiom,(
    v28137_range_3_to_0_address_association(constB7,v28137_range_3_to_0_address_term_bound_7) )).

fof(address_false_msb_232,axiom,(
    ~ addressVal(v28137_range_3_to_0_address_term_bound_6,bitIndex4) )).

fof(transient_address_definition_237,axiom,
    ( $true
    & ( addressVal(v28137_range_3_to_0_address_term_bound_6,bitIndex0)
    <=> v28137(constB6,bitIndex0) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_6,bitIndex1)
    <=> v28137(constB6,bitIndex1) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_6,bitIndex2)
    <=> v28137(constB6,bitIndex2) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_6,bitIndex3)
    <=> v28137(constB6,bitIndex3) ) )).

fof(is_address_285,axiom,(
    address(v28137_range_3_to_0_address_term_bound_6) )).

fof(address_association_237,axiom,(
    v28137_range_3_to_0_address_association(constB6,v28137_range_3_to_0_address_term_bound_6) )).

fof(address_false_msb_231,axiom,(
    ~ addressVal(v28137_range_3_to_0_address_term_bound_5,bitIndex4) )).

fof(transient_address_definition_236,axiom,
    ( $true
    & ( addressVal(v28137_range_3_to_0_address_term_bound_5,bitIndex0)
    <=> v28137(constB5,bitIndex0) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_5,bitIndex1)
    <=> v28137(constB5,bitIndex1) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_5,bitIndex2)
    <=> v28137(constB5,bitIndex2) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_5,bitIndex3)
    <=> v28137(constB5,bitIndex3) ) )).

fof(is_address_284,axiom,(
    address(v28137_range_3_to_0_address_term_bound_5) )).

fof(address_association_236,axiom,(
    v28137_range_3_to_0_address_association(constB5,v28137_range_3_to_0_address_term_bound_5) )).

fof(address_false_msb_230,axiom,(
    ~ addressVal(v28137_range_3_to_0_address_term_bound_4,bitIndex4) )).

fof(transient_address_definition_235,axiom,
    ( $true
    & ( addressVal(v28137_range_3_to_0_address_term_bound_4,bitIndex0)
    <=> v28137(constB4,bitIndex0) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_4,bitIndex1)
    <=> v28137(constB4,bitIndex1) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_4,bitIndex2)
    <=> v28137(constB4,bitIndex2) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_4,bitIndex3)
    <=> v28137(constB4,bitIndex3) ) )).

fof(is_address_283,axiom,(
    address(v28137_range_3_to_0_address_term_bound_4) )).

fof(address_association_235,axiom,(
    v28137_range_3_to_0_address_association(constB4,v28137_range_3_to_0_address_term_bound_4) )).

fof(address_false_msb_229,axiom,(
    ~ addressVal(v28137_range_3_to_0_address_term_bound_3,bitIndex4) )).

fof(transient_address_definition_234,axiom,
    ( $true
    & ( addressVal(v28137_range_3_to_0_address_term_bound_3,bitIndex0)
    <=> v28137(constB3,bitIndex0) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_3,bitIndex1)
    <=> v28137(constB3,bitIndex1) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_3,bitIndex2)
    <=> v28137(constB3,bitIndex2) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_3,bitIndex3)
    <=> v28137(constB3,bitIndex3) ) )).

fof(is_address_282,axiom,(
    address(v28137_range_3_to_0_address_term_bound_3) )).

fof(address_association_234,axiom,(
    v28137_range_3_to_0_address_association(constB3,v28137_range_3_to_0_address_term_bound_3) )).

fof(address_false_msb_228,axiom,(
    ~ addressVal(v28137_range_3_to_0_address_term_bound_2,bitIndex4) )).

fof(transient_address_definition_233,axiom,
    ( $true
    & ( addressVal(v28137_range_3_to_0_address_term_bound_2,bitIndex0)
    <=> v28137(constB2,bitIndex0) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_2,bitIndex1)
    <=> v28137(constB2,bitIndex1) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_2,bitIndex2)
    <=> v28137(constB2,bitIndex2) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_2,bitIndex3)
    <=> v28137(constB2,bitIndex3) ) )).

fof(is_address_281,axiom,(
    address(v28137_range_3_to_0_address_term_bound_2) )).

fof(address_association_233,axiom,(
    v28137_range_3_to_0_address_association(constB2,v28137_range_3_to_0_address_term_bound_2) )).

fof(address_false_msb_227,axiom,(
    ~ addressVal(v28137_range_3_to_0_address_term_bound_1,bitIndex4) )).

fof(transient_address_definition_232,axiom,
    ( $true
    & ( addressVal(v28137_range_3_to_0_address_term_bound_1,bitIndex0)
    <=> v28137(constB1,bitIndex0) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_1,bitIndex1)
    <=> v28137(constB1,bitIndex1) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_1,bitIndex2)
    <=> v28137(constB1,bitIndex2) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_1,bitIndex3)
    <=> v28137(constB1,bitIndex3) ) )).

fof(is_address_280,axiom,(
    address(v28137_range_3_to_0_address_term_bound_1) )).

fof(address_association_232,axiom,(
    v28137_range_3_to_0_address_association(constB1,v28137_range_3_to_0_address_term_bound_1) )).

fof(address_false_msb_226,axiom,(
    ~ addressVal(v28137_range_3_to_0_address_term_bound_0,bitIndex4) )).

fof(transient_address_definition_231,axiom,
    ( $true
    & ( addressVal(v28137_range_3_to_0_address_term_bound_0,bitIndex0)
    <=> v28137(constB0,bitIndex0) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_0,bitIndex1)
    <=> v28137(constB0,bitIndex1) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_0,bitIndex2)
    <=> v28137(constB0,bitIndex2) )
    & ( addressVal(v28137_range_3_to_0_address_term_bound_0,bitIndex3)
    <=> v28137(constB0,bitIndex3) ) )).

fof(is_address_279,axiom,(
    address(v28137_range_3_to_0_address_term_bound_0) )).

fof(address_association_231,axiom,(
    v28137_range_3_to_0_address_association(constB0,v28137_range_3_to_0_address_term_bound_0) )).

fof(transient_address_definition_230,axiom,(
    ! [B] :
      ( addressVal(v28034_range_4_to_0_address_term_bound_20,B)
    <=> v28034(constB20,B) ) )).

fof(is_address_278,axiom,(
    address(v28034_range_4_to_0_address_term_bound_20) )).

fof(address_association_230,axiom,(
    v28034_range_4_to_0_address_association(constB20,v28034_range_4_to_0_address_term_bound_20) )).

fof(transient_address_definition_229,axiom,(
    ! [B] :
      ( addressVal(v28034_range_4_to_0_address_term_bound_19,B)
    <=> v28034(constB19,B) ) )).

fof(is_address_277,axiom,(
    address(v28034_range_4_to_0_address_term_bound_19) )).

fof(address_association_229,axiom,(
    v28034_range_4_to_0_address_association(constB19,v28034_range_4_to_0_address_term_bound_19) )).

fof(transient_address_definition_228,axiom,(
    ! [B] :
      ( addressVal(v28034_range_4_to_0_address_term_bound_18,B)
    <=> v28034(constB18,B) ) )).

fof(is_address_276,axiom,(
    address(v28034_range_4_to_0_address_term_bound_18) )).

fof(address_association_228,axiom,(
    v28034_range_4_to_0_address_association(constB18,v28034_range_4_to_0_address_term_bound_18) )).

fof(transient_address_definition_227,axiom,(
    ! [B] :
      ( addressVal(v28034_range_4_to_0_address_term_bound_17,B)
    <=> v28034(constB17,B) ) )).

fof(is_address_275,axiom,(
    address(v28034_range_4_to_0_address_term_bound_17) )).

fof(address_association_227,axiom,(
    v28034_range_4_to_0_address_association(constB17,v28034_range_4_to_0_address_term_bound_17) )).

fof(transient_address_definition_226,axiom,(
    ! [B] :
      ( addressVal(v28034_range_4_to_0_address_term_bound_16,B)
    <=> v28034(constB16,B) ) )).

fof(is_address_274,axiom,(
    address(v28034_range_4_to_0_address_term_bound_16) )).

fof(address_association_226,axiom,(
    v28034_range_4_to_0_address_association(constB16,v28034_range_4_to_0_address_term_bound_16) )).

fof(transient_address_definition_225,axiom,(
    ! [B] :
      ( addressVal(v28034_range_4_to_0_address_term_bound_15,B)
    <=> v28034(constB15,B) ) )).

fof(is_address_273,axiom,(
    address(v28034_range_4_to_0_address_term_bound_15) )).

fof(address_association_225,axiom,(
    v28034_range_4_to_0_address_association(constB15,v28034_range_4_to_0_address_term_bound_15) )).

fof(transient_address_definition_224,axiom,(
    ! [B] :
      ( addressVal(v28034_range_4_to_0_address_term_bound_14,B)
    <=> v28034(constB14,B) ) )).

fof(is_address_272,axiom,(
    address(v28034_range_4_to_0_address_term_bound_14) )).

fof(address_association_224,axiom,(
    v28034_range_4_to_0_address_association(constB14,v28034_range_4_to_0_address_term_bound_14) )).

fof(transient_address_definition_223,axiom,(
    ! [B] :
      ( addressVal(v28034_range_4_to_0_address_term_bound_13,B)
    <=> v28034(constB13,B) ) )).

fof(is_address_271,axiom,(
    address(v28034_range_4_to_0_address_term_bound_13) )).

fof(address_association_223,axiom,(
    v28034_range_4_to_0_address_association(constB13,v28034_range_4_to_0_address_term_bound_13) )).

fof(transient_address_definition_222,axiom,(
    ! [B] :
      ( addressVal(v28034_range_4_to_0_address_term_bound_12,B)
    <=> v28034(constB12,B) ) )).

fof(is_address_270,axiom,(
    address(v28034_range_4_to_0_address_term_bound_12) )).

fof(address_association_222,axiom,(
    v28034_range_4_to_0_address_association(constB12,v28034_range_4_to_0_address_term_bound_12) )).

fof(transient_address_definition_221,axiom,(
    ! [B] :
      ( addressVal(v28034_range_4_to_0_address_term_bound_11,B)
    <=> v28034(constB11,B) ) )).

fof(is_address_269,axiom,(
    address(v28034_range_4_to_0_address_term_bound_11) )).

fof(address_association_221,axiom,(
    v28034_range_4_to_0_address_association(constB11,v28034_range_4_to_0_address_term_bound_11) )).

fof(transient_address_definition_220,axiom,(
    ! [B] :
      ( addressVal(v28034_range_4_to_0_address_term_bound_10,B)
    <=> v28034(constB10,B) ) )).

fof(is_address_268,axiom,(
    address(v28034_range_4_to_0_address_term_bound_10) )).

fof(address_association_220,axiom,(
    v28034_range_4_to_0_address_association(constB10,v28034_range_4_to_0_address_term_bound_10) )).

fof(transient_address_definition_219,axiom,(
    ! [B] :
      ( addressVal(v28034_range_4_to_0_address_term_bound_9,B)
    <=> v28034(constB9,B) ) )).

fof(is_address_267,axiom,(
    address(v28034_range_4_to_0_address_term_bound_9) )).

fof(address_association_219,axiom,(
    v28034_range_4_to_0_address_association(constB9,v28034_range_4_to_0_address_term_bound_9) )).

fof(transient_address_definition_218,axiom,(
    ! [B] :
      ( addressVal(v28034_range_4_to_0_address_term_bound_8,B)
    <=> v28034(constB8,B) ) )).

fof(is_address_266,axiom,(
    address(v28034_range_4_to_0_address_term_bound_8) )).

fof(address_association_218,axiom,(
    v28034_range_4_to_0_address_association(constB8,v28034_range_4_to_0_address_term_bound_8) )).

fof(transient_address_definition_217,axiom,(
    ! [B] :
      ( addressVal(v28034_range_4_to_0_address_term_bound_7,B)
    <=> v28034(constB7,B) ) )).

fof(is_address_265,axiom,(
    address(v28034_range_4_to_0_address_term_bound_7) )).

fof(address_association_217,axiom,(
    v28034_range_4_to_0_address_association(constB7,v28034_range_4_to_0_address_term_bound_7) )).

fof(transient_address_definition_216,axiom,(
    ! [B] :
      ( addressVal(v28034_range_4_to_0_address_term_bound_6,B)
    <=> v28034(constB6,B) ) )).

fof(is_address_264,axiom,(
    address(v28034_range_4_to_0_address_term_bound_6) )).

fof(address_association_216,axiom,(
    v28034_range_4_to_0_address_association(constB6,v28034_range_4_to_0_address_term_bound_6) )).

fof(transient_address_definition_215,axiom,(
    ! [B] :
      ( addressVal(v28034_range_4_to_0_address_term_bound_5,B)
    <=> v28034(constB5,B) ) )).

fof(is_address_263,axiom,(
    address(v28034_range_4_to_0_address_term_bound_5) )).

fof(address_association_215,axiom,(
    v28034_range_4_to_0_address_association(constB5,v28034_range_4_to_0_address_term_bound_5) )).

fof(transient_address_definition_214,axiom,(
    ! [B] :
      ( addressVal(v28034_range_4_to_0_address_term_bound_4,B)
    <=> v28034(constB4,B) ) )).

fof(is_address_262,axiom,(
    address(v28034_range_4_to_0_address_term_bound_4) )).

fof(address_association_214,axiom,(
    v28034_range_4_to_0_address_association(constB4,v28034_range_4_to_0_address_term_bound_4) )).

fof(transient_address_definition_213,axiom,(
    ! [B] :
      ( addressVal(v28034_range_4_to_0_address_term_bound_3,B)
    <=> v28034(constB3,B) ) )).

fof(is_address_261,axiom,(
    address(v28034_range_4_to_0_address_term_bound_3) )).

fof(address_association_213,axiom,(
    v28034_range_4_to_0_address_association(constB3,v28034_range_4_to_0_address_term_bound_3) )).

fof(transient_address_definition_212,axiom,(
    ! [B] :
      ( addressVal(v28034_range_4_to_0_address_term_bound_2,B)
    <=> v28034(constB2,B) ) )).

fof(is_address_260,axiom,(
    address(v28034_range_4_to_0_address_term_bound_2) )).

fof(address_association_212,axiom,(
    v28034_range_4_to_0_address_association(constB2,v28034_range_4_to_0_address_term_bound_2) )).

fof(transient_address_definition_211,axiom,(
    ! [B] :
      ( addressVal(v28034_range_4_to_0_address_term_bound_1,B)
    <=> v28034(constB1,B) ) )).

fof(is_address_259,axiom,(
    address(v28034_range_4_to_0_address_term_bound_1) )).

fof(address_association_211,axiom,(
    v28034_range_4_to_0_address_association(constB1,v28034_range_4_to_0_address_term_bound_1) )).

fof(transient_address_definition_210,axiom,(
    ! [B] :
      ( addressVal(v28034_range_4_to_0_address_term_bound_0,B)
    <=> v28034(constB0,B) ) )).

fof(is_address_258,axiom,(
    address(v28034_range_4_to_0_address_term_bound_0) )).

fof(address_association_210,axiom,(
    v28034_range_4_to_0_address_association(constB0,v28034_range_4_to_0_address_term_bound_0) )).

fof(transient_address_definition_209,axiom,(
    ! [B] :
      ( addressVal(v27135_range_4_to_0_address_term_bound_20,B)
    <=> v27135(constB20,B) ) )).

fof(is_address_257,axiom,(
    address(v27135_range_4_to_0_address_term_bound_20) )).

fof(address_association_209,axiom,(
    v27135_range_4_to_0_address_association(constB20,v27135_range_4_to_0_address_term_bound_20) )).

fof(transient_address_definition_208,axiom,(
    ! [B] :
      ( addressVal(v27135_range_4_to_0_address_term_bound_19,B)
    <=> v27135(constB19,B) ) )).

fof(is_address_256,axiom,(
    address(v27135_range_4_to_0_address_term_bound_19) )).

fof(address_association_208,axiom,(
    v27135_range_4_to_0_address_association(constB19,v27135_range_4_to_0_address_term_bound_19) )).

fof(transient_address_definition_207,axiom,(
    ! [B] :
      ( addressVal(v27135_range_4_to_0_address_term_bound_18,B)
    <=> v27135(constB18,B) ) )).

fof(is_address_255,axiom,(
    address(v27135_range_4_to_0_address_term_bound_18) )).

fof(address_association_207,axiom,(
    v27135_range_4_to_0_address_association(constB18,v27135_range_4_to_0_address_term_bound_18) )).

fof(transient_address_definition_206,axiom,(
    ! [B] :
      ( addressVal(v27135_range_4_to_0_address_term_bound_17,B)
    <=> v27135(constB17,B) ) )).

fof(is_address_254,axiom,(
    address(v27135_range_4_to_0_address_term_bound_17) )).

fof(address_association_206,axiom,(
    v27135_range_4_to_0_address_association(constB17,v27135_range_4_to_0_address_term_bound_17) )).

fof(transient_address_definition_205,axiom,(
    ! [B] :
      ( addressVal(v27135_range_4_to_0_address_term_bound_16,B)
    <=> v27135(constB16,B) ) )).

fof(is_address_253,axiom,(
    address(v27135_range_4_to_0_address_term_bound_16) )).

fof(address_association_205,axiom,(
    v27135_range_4_to_0_address_association(constB16,v27135_range_4_to_0_address_term_bound_16) )).

fof(transient_address_definition_204,axiom,(
    ! [B] :
      ( addressVal(v27135_range_4_to_0_address_term_bound_15,B)
    <=> v27135(constB15,B) ) )).

fof(is_address_252,axiom,(
    address(v27135_range_4_to_0_address_term_bound_15) )).

fof(address_association_204,axiom,(
    v27135_range_4_to_0_address_association(constB15,v27135_range_4_to_0_address_term_bound_15) )).

fof(transient_address_definition_203,axiom,(
    ! [B] :
      ( addressVal(v27135_range_4_to_0_address_term_bound_14,B)
    <=> v27135(constB14,B) ) )).

fof(is_address_251,axiom,(
    address(v27135_range_4_to_0_address_term_bound_14) )).

fof(address_association_203,axiom,(
    v27135_range_4_to_0_address_association(constB14,v27135_range_4_to_0_address_term_bound_14) )).

fof(transient_address_definition_202,axiom,(
    ! [B] :
      ( addressVal(v27135_range_4_to_0_address_term_bound_13,B)
    <=> v27135(constB13,B) ) )).

fof(is_address_250,axiom,(
    address(v27135_range_4_to_0_address_term_bound_13) )).

fof(address_association_202,axiom,(
    v27135_range_4_to_0_address_association(constB13,v27135_range_4_to_0_address_term_bound_13) )).

fof(transient_address_definition_201,axiom,(
    ! [B] :
      ( addressVal(v27135_range_4_to_0_address_term_bound_12,B)
    <=> v27135(constB12,B) ) )).

fof(is_address_249,axiom,(
    address(v27135_range_4_to_0_address_term_bound_12) )).

fof(address_association_201,axiom,(
    v27135_range_4_to_0_address_association(constB12,v27135_range_4_to_0_address_term_bound_12) )).

fof(transient_address_definition_200,axiom,(
    ! [B] :
      ( addressVal(v27135_range_4_to_0_address_term_bound_11,B)
    <=> v27135(constB11,B) ) )).

fof(is_address_248,axiom,(
    address(v27135_range_4_to_0_address_term_bound_11) )).

fof(address_association_200,axiom,(
    v27135_range_4_to_0_address_association(constB11,v27135_range_4_to_0_address_term_bound_11) )).

fof(transient_address_definition_199,axiom,(
    ! [B] :
      ( addressVal(v27135_range_4_to_0_address_term_bound_10,B)
    <=> v27135(constB10,B) ) )).

fof(is_address_247,axiom,(
    address(v27135_range_4_to_0_address_term_bound_10) )).

fof(address_association_199,axiom,(
    v27135_range_4_to_0_address_association(constB10,v27135_range_4_to_0_address_term_bound_10) )).

fof(transient_address_definition_198,axiom,(
    ! [B] :
      ( addressVal(v27135_range_4_to_0_address_term_bound_9,B)
    <=> v27135(constB9,B) ) )).

fof(is_address_246,axiom,(
    address(v27135_range_4_to_0_address_term_bound_9) )).

fof(address_association_198,axiom,(
    v27135_range_4_to_0_address_association(constB9,v27135_range_4_to_0_address_term_bound_9) )).

fof(transient_address_definition_197,axiom,(
    ! [B] :
      ( addressVal(v27135_range_4_to_0_address_term_bound_8,B)
    <=> v27135(constB8,B) ) )).

fof(is_address_245,axiom,(
    address(v27135_range_4_to_0_address_term_bound_8) )).

fof(address_association_197,axiom,(
    v27135_range_4_to_0_address_association(constB8,v27135_range_4_to_0_address_term_bound_8) )).

fof(transient_address_definition_196,axiom,(
    ! [B] :
      ( addressVal(v27135_range_4_to_0_address_term_bound_7,B)
    <=> v27135(constB7,B) ) )).

fof(is_address_244,axiom,(
    address(v27135_range_4_to_0_address_term_bound_7) )).

fof(address_association_196,axiom,(
    v27135_range_4_to_0_address_association(constB7,v27135_range_4_to_0_address_term_bound_7) )).

fof(transient_address_definition_195,axiom,(
    ! [B] :
      ( addressVal(v27135_range_4_to_0_address_term_bound_6,B)
    <=> v27135(constB6,B) ) )).

fof(is_address_243,axiom,(
    address(v27135_range_4_to_0_address_term_bound_6) )).

fof(address_association_195,axiom,(
    v27135_range_4_to_0_address_association(constB6,v27135_range_4_to_0_address_term_bound_6) )).

fof(transient_address_definition_194,axiom,(
    ! [B] :
      ( addressVal(v27135_range_4_to_0_address_term_bound_5,B)
    <=> v27135(constB5,B) ) )).

fof(is_address_242,axiom,(
    address(v27135_range_4_to_0_address_term_bound_5) )).

fof(address_association_194,axiom,(
    v27135_range_4_to_0_address_association(constB5,v27135_range_4_to_0_address_term_bound_5) )).

fof(transient_address_definition_193,axiom,(
    ! [B] :
      ( addressVal(v27135_range_4_to_0_address_term_bound_4,B)
    <=> v27135(constB4,B) ) )).

fof(is_address_241,axiom,(
    address(v27135_range_4_to_0_address_term_bound_4) )).

fof(address_association_193,axiom,(
    v27135_range_4_to_0_address_association(constB4,v27135_range_4_to_0_address_term_bound_4) )).

fof(transient_address_definition_192,axiom,(
    ! [B] :
      ( addressVal(v27135_range_4_to_0_address_term_bound_3,B)
    <=> v27135(constB3,B) ) )).

fof(is_address_240,axiom,(
    address(v27135_range_4_to_0_address_term_bound_3) )).

fof(address_association_192,axiom,(
    v27135_range_4_to_0_address_association(constB3,v27135_range_4_to_0_address_term_bound_3) )).

fof(transient_address_definition_191,axiom,(
    ! [B] :
      ( addressVal(v27135_range_4_to_0_address_term_bound_2,B)
    <=> v27135(constB2,B) ) )).

fof(is_address_239,axiom,(
    address(v27135_range_4_to_0_address_term_bound_2) )).

fof(address_association_191,axiom,(
    v27135_range_4_to_0_address_association(constB2,v27135_range_4_to_0_address_term_bound_2) )).

fof(transient_address_definition_190,axiom,(
    ! [B] :
      ( addressVal(v27135_range_4_to_0_address_term_bound_1,B)
    <=> v27135(constB1,B) ) )).

fof(is_address_238,axiom,(
    address(v27135_range_4_to_0_address_term_bound_1) )).

fof(address_association_190,axiom,(
    v27135_range_4_to_0_address_association(constB1,v27135_range_4_to_0_address_term_bound_1) )).

fof(transient_address_definition_189,axiom,(
    ! [B] :
      ( addressVal(v27135_range_4_to_0_address_term_bound_0,B)
    <=> v27135(constB0,B) ) )).

fof(is_address_237,axiom,(
    address(v27135_range_4_to_0_address_term_bound_0) )).

fof(address_association_189,axiom,(
    v27135_range_4_to_0_address_association(constB0,v27135_range_4_to_0_address_term_bound_0) )).

fof(transient_address_definition_188,axiom,(
    ! [B] :
      ( addressVal(v27124_range_4_to_0_address_term_bound_20,B)
    <=> v27124(constB20,B) ) )).

fof(is_address_236,axiom,(
    address(v27124_range_4_to_0_address_term_bound_20) )).

fof(address_association_188,axiom,(
    v27124_range_4_to_0_address_association(constB20,v27124_range_4_to_0_address_term_bound_20) )).

fof(transient_address_definition_187,axiom,(
    ! [B] :
      ( addressVal(v27124_range_4_to_0_address_term_bound_19,B)
    <=> v27124(constB19,B) ) )).

fof(is_address_235,axiom,(
    address(v27124_range_4_to_0_address_term_bound_19) )).

fof(address_association_187,axiom,(
    v27124_range_4_to_0_address_association(constB19,v27124_range_4_to_0_address_term_bound_19) )).

fof(transient_address_definition_186,axiom,(
    ! [B] :
      ( addressVal(v27124_range_4_to_0_address_term_bound_18,B)
    <=> v27124(constB18,B) ) )).

fof(is_address_234,axiom,(
    address(v27124_range_4_to_0_address_term_bound_18) )).

fof(address_association_186,axiom,(
    v27124_range_4_to_0_address_association(constB18,v27124_range_4_to_0_address_term_bound_18) )).

fof(transient_address_definition_185,axiom,(
    ! [B] :
      ( addressVal(v27124_range_4_to_0_address_term_bound_17,B)
    <=> v27124(constB17,B) ) )).

fof(is_address_233,axiom,(
    address(v27124_range_4_to_0_address_term_bound_17) )).

fof(address_association_185,axiom,(
    v27124_range_4_to_0_address_association(constB17,v27124_range_4_to_0_address_term_bound_17) )).

fof(transient_address_definition_184,axiom,(
    ! [B] :
      ( addressVal(v27124_range_4_to_0_address_term_bound_16,B)
    <=> v27124(constB16,B) ) )).

fof(is_address_232,axiom,(
    address(v27124_range_4_to_0_address_term_bound_16) )).

fof(address_association_184,axiom,(
    v27124_range_4_to_0_address_association(constB16,v27124_range_4_to_0_address_term_bound_16) )).

fof(transient_address_definition_183,axiom,(
    ! [B] :
      ( addressVal(v27124_range_4_to_0_address_term_bound_15,B)
    <=> v27124(constB15,B) ) )).

fof(is_address_231,axiom,(
    address(v27124_range_4_to_0_address_term_bound_15) )).

fof(address_association_183,axiom,(
    v27124_range_4_to_0_address_association(constB15,v27124_range_4_to_0_address_term_bound_15) )).

fof(transient_address_definition_182,axiom,(
    ! [B] :
      ( addressVal(v27124_range_4_to_0_address_term_bound_14,B)
    <=> v27124(constB14,B) ) )).

fof(is_address_230,axiom,(
    address(v27124_range_4_to_0_address_term_bound_14) )).

fof(address_association_182,axiom,(
    v27124_range_4_to_0_address_association(constB14,v27124_range_4_to_0_address_term_bound_14) )).

fof(transient_address_definition_181,axiom,(
    ! [B] :
      ( addressVal(v27124_range_4_to_0_address_term_bound_13,B)
    <=> v27124(constB13,B) ) )).

fof(is_address_229,axiom,(
    address(v27124_range_4_to_0_address_term_bound_13) )).

fof(address_association_181,axiom,(
    v27124_range_4_to_0_address_association(constB13,v27124_range_4_to_0_address_term_bound_13) )).

fof(transient_address_definition_180,axiom,(
    ! [B] :
      ( addressVal(v27124_range_4_to_0_address_term_bound_12,B)
    <=> v27124(constB12,B) ) )).

fof(is_address_228,axiom,(
    address(v27124_range_4_to_0_address_term_bound_12) )).

fof(address_association_180,axiom,(
    v27124_range_4_to_0_address_association(constB12,v27124_range_4_to_0_address_term_bound_12) )).

fof(transient_address_definition_179,axiom,(
    ! [B] :
      ( addressVal(v27124_range_4_to_0_address_term_bound_11,B)
    <=> v27124(constB11,B) ) )).

fof(is_address_227,axiom,(
    address(v27124_range_4_to_0_address_term_bound_11) )).

fof(address_association_179,axiom,(
    v27124_range_4_to_0_address_association(constB11,v27124_range_4_to_0_address_term_bound_11) )).

fof(transient_address_definition_178,axiom,(
    ! [B] :
      ( addressVal(v27124_range_4_to_0_address_term_bound_10,B)
    <=> v27124(constB10,B) ) )).

fof(is_address_226,axiom,(
    address(v27124_range_4_to_0_address_term_bound_10) )).

fof(address_association_178,axiom,(
    v27124_range_4_to_0_address_association(constB10,v27124_range_4_to_0_address_term_bound_10) )).

fof(transient_address_definition_177,axiom,(
    ! [B] :
      ( addressVal(v27124_range_4_to_0_address_term_bound_9,B)
    <=> v27124(constB9,B) ) )).

fof(is_address_225,axiom,(
    address(v27124_range_4_to_0_address_term_bound_9) )).

fof(address_association_177,axiom,(
    v27124_range_4_to_0_address_association(constB9,v27124_range_4_to_0_address_term_bound_9) )).

fof(transient_address_definition_176,axiom,(
    ! [B] :
      ( addressVal(v27124_range_4_to_0_address_term_bound_8,B)
    <=> v27124(constB8,B) ) )).

fof(is_address_224,axiom,(
    address(v27124_range_4_to_0_address_term_bound_8) )).

fof(address_association_176,axiom,(
    v27124_range_4_to_0_address_association(constB8,v27124_range_4_to_0_address_term_bound_8) )).

fof(transient_address_definition_175,axiom,(
    ! [B] :
      ( addressVal(v27124_range_4_to_0_address_term_bound_7,B)
    <=> v27124(constB7,B) ) )).

fof(is_address_223,axiom,(
    address(v27124_range_4_to_0_address_term_bound_7) )).

fof(address_association_175,axiom,(
    v27124_range_4_to_0_address_association(constB7,v27124_range_4_to_0_address_term_bound_7) )).

fof(transient_address_definition_174,axiom,(
    ! [B] :
      ( addressVal(v27124_range_4_to_0_address_term_bound_6,B)
    <=> v27124(constB6,B) ) )).

fof(is_address_222,axiom,(
    address(v27124_range_4_to_0_address_term_bound_6) )).

fof(address_association_174,axiom,(
    v27124_range_4_to_0_address_association(constB6,v27124_range_4_to_0_address_term_bound_6) )).

fof(transient_address_definition_173,axiom,(
    ! [B] :
      ( addressVal(v27124_range_4_to_0_address_term_bound_5,B)
    <=> v27124(constB5,B) ) )).

fof(is_address_221,axiom,(
    address(v27124_range_4_to_0_address_term_bound_5) )).

fof(address_association_173,axiom,(
    v27124_range_4_to_0_address_association(constB5,v27124_range_4_to_0_address_term_bound_5) )).

fof(transient_address_definition_172,axiom,(
    ! [B] :
      ( addressVal(v27124_range_4_to_0_address_term_bound_4,B)
    <=> v27124(constB4,B) ) )).

fof(is_address_220,axiom,(
    address(v27124_range_4_to_0_address_term_bound_4) )).

fof(address_association_172,axiom,(
    v27124_range_4_to_0_address_association(constB4,v27124_range_4_to_0_address_term_bound_4) )).

fof(transient_address_definition_171,axiom,(
    ! [B] :
      ( addressVal(v27124_range_4_to_0_address_term_bound_3,B)
    <=> v27124(constB3,B) ) )).

fof(is_address_219,axiom,(
    address(v27124_range_4_to_0_address_term_bound_3) )).

fof(address_association_171,axiom,(
    v27124_range_4_to_0_address_association(constB3,v27124_range_4_to_0_address_term_bound_3) )).

fof(transient_address_definition_170,axiom,(
    ! [B] :
      ( addressVal(v27124_range_4_to_0_address_term_bound_2,B)
    <=> v27124(constB2,B) ) )).

fof(is_address_218,axiom,(
    address(v27124_range_4_to_0_address_term_bound_2) )).

fof(address_association_170,axiom,(
    v27124_range_4_to_0_address_association(constB2,v27124_range_4_to_0_address_term_bound_2) )).

fof(transient_address_definition_169,axiom,(
    ! [B] :
      ( addressVal(v27124_range_4_to_0_address_term_bound_1,B)
    <=> v27124(constB1,B) ) )).

fof(is_address_217,axiom,(
    address(v27124_range_4_to_0_address_term_bound_1) )).

fof(address_association_169,axiom,(
    v27124_range_4_to_0_address_association(constB1,v27124_range_4_to_0_address_term_bound_1) )).

fof(transient_address_definition_168,axiom,(
    ! [B] :
      ( addressVal(v27124_range_4_to_0_address_term_bound_0,B)
    <=> v27124(constB0,B) ) )).

fof(is_address_216,axiom,(
    address(v27124_range_4_to_0_address_term_bound_0) )).

fof(address_association_168,axiom,(
    v27124_range_4_to_0_address_association(constB0,v27124_range_4_to_0_address_term_bound_0) )).

fof(is_address_215,axiom,(
    address(b11111_address_term) )).

fof(constant_address_definition_47,axiom,(
    ! [B] :
      ( addressVal(b11111_address_term,B)
    <=> b11111(B) ) )).

fof(is_address_214,axiom,(
    address(b11110_address_term) )).

fof(constant_address_definition_46,axiom,(
    ! [B] :
      ( addressVal(b11110_address_term,B)
    <=> b11110(B) ) )).

fof(is_address_213,axiom,(
    address(b11101_address_term) )).

fof(constant_address_definition_45,axiom,(
    ! [B] :
      ( addressVal(b11101_address_term,B)
    <=> b11101(B) ) )).

fof(is_address_212,axiom,(
    address(b11100_address_term) )).

fof(constant_address_definition_44,axiom,(
    ! [B] :
      ( addressVal(b11100_address_term,B)
    <=> b11100(B) ) )).

fof(is_address_211,axiom,(
    address(b11011_address_term) )).

fof(constant_address_definition_43,axiom,(
    ! [B] :
      ( addressVal(b11011_address_term,B)
    <=> b11011(B) ) )).

fof(is_address_210,axiom,(
    address(b11010_address_term) )).

fof(constant_address_definition_42,axiom,(
    ! [B] :
      ( addressVal(b11010_address_term,B)
    <=> b11010(B) ) )).

fof(is_address_209,axiom,(
    address(b11001_address_term) )).

fof(constant_address_definition_41,axiom,(
    ! [B] :
      ( addressVal(b11001_address_term,B)
    <=> b11001(B) ) )).

fof(is_address_208,axiom,(
    address(b11000_address_term) )).

fof(constant_address_definition_40,axiom,(
    ! [B] :
      ( addressVal(b11000_address_term,B)
    <=> b11000(B) ) )).

fof(is_address_207,axiom,(
    address(b10111_address_term) )).

fof(constant_address_definition_39,axiom,(
    ! [B] :
      ( addressVal(b10111_address_term,B)
    <=> b10111(B) ) )).

fof(is_address_206,axiom,(
    address(b10110_address_term) )).

fof(constant_address_definition_38,axiom,(
    ! [B] :
      ( addressVal(b10110_address_term,B)
    <=> b10110(B) ) )).

fof(is_address_205,axiom,(
    address(b10101_address_term) )).

fof(constant_address_definition_37,axiom,(
    ! [B] :
      ( addressVal(b10101_address_term,B)
    <=> b10101(B) ) )).

fof(is_address_204,axiom,(
    address(b10100_address_term) )).

fof(constant_address_definition_36,axiom,(
    ! [B] :
      ( addressVal(b10100_address_term,B)
    <=> b10100(B) ) )).

fof(is_address_203,axiom,(
    address(b10011_address_term) )).

fof(constant_address_definition_35,axiom,(
    ! [B] :
      ( addressVal(b10011_address_term,B)
    <=> b10011(B) ) )).

fof(is_address_202,axiom,(
    address(b10010_address_term) )).

fof(constant_address_definition_34,axiom,(
    ! [B] :
      ( addressVal(b10010_address_term,B)
    <=> b10010(B) ) )).

fof(is_address_201,axiom,(
    address(b10001_address_term) )).

fof(constant_address_definition_33,axiom,(
    ! [B] :
      ( addressVal(b10001_address_term,B)
    <=> b10001(B) ) )).

fof(is_address_200,axiom,(
    address(b01111_address_term) )).

fof(constant_address_definition_32,axiom,(
    ! [B] :
      ( addressVal(b01111_address_term,B)
    <=> b01111(B) ) )).

fof(is_address_199,axiom,(
    address(b01110_address_term) )).

fof(constant_address_definition_31,axiom,(
    ! [B] :
      ( addressVal(b01110_address_term,B)
    <=> b01110(B) ) )).

fof(is_address_198,axiom,(
    address(b01101_address_term) )).

fof(constant_address_definition_30,axiom,(
    ! [B] :
      ( addressVal(b01101_address_term,B)
    <=> b01101(B) ) )).

fof(is_address_197,axiom,(
    address(b01100_address_term) )).

fof(constant_address_definition_29,axiom,(
    ! [B] :
      ( addressVal(b01100_address_term,B)
    <=> b01100(B) ) )).

fof(is_address_196,axiom,(
    address(b01011_address_term) )).

fof(constant_address_definition_28,axiom,(
    ! [B] :
      ( addressVal(b01011_address_term,B)
    <=> b01011(B) ) )).

fof(is_address_195,axiom,(
    address(b01000_address_term) )).

fof(constant_address_definition_27,axiom,(
    ! [B] :
      ( addressVal(b01000_address_term,B)
    <=> b01000(B) ) )).

fof(is_address_194,axiom,(
    address(b00101_address_term) )).

fof(constant_address_definition_26,axiom,(
    ! [B] :
      ( addressVal(b00101_address_term,B)
    <=> b00101(B) ) )).

fof(is_address_193,axiom,(
    address(b00100_address_term) )).

fof(constant_address_definition_25,axiom,(
    ! [B] :
      ( addressVal(b00100_address_term,B)
    <=> b00100(B) ) )).

fof(is_address_192,axiom,(
    address(b00010_address_term) )).

fof(constant_address_definition_24,axiom,(
    ! [B] :
      ( addressVal(b00010_address_term,B)
    <=> b00010(B) ) )).

fof(is_address_191,axiom,(
    address(b00011_address_term) )).

fof(constant_address_definition_23,axiom,(
    ! [B] :
      ( addressVal(b00011_address_term,B)
    <=> b00011(B) ) )).

fof(is_address_190,axiom,(
    address(b00111_address_term) )).

fof(constant_address_definition_22,axiom,(
    ! [B] :
      ( addressVal(b00111_address_term,B)
    <=> b00111(B) ) )).

fof(is_address_189,axiom,(
    address(b00110_address_term) )).

fof(constant_address_definition_21,axiom,(
    ! [B] :
      ( addressVal(b00110_address_term,B)
    <=> b00110(B) ) )).

fof(address_false_msb_225,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_20,bitIndex4) )).

fof(address_false_msb_224,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_20,bitIndex3) )).

fof(transient_address_definition_167,axiom,
    ( $true
    & ( addressVal(v21167_range_2_to_0_address_term_bound_20,bitIndex0)
    <=> v21167(constB20,bitIndex0) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_20,bitIndex1)
    <=> v21167(constB20,bitIndex1) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_20,bitIndex2)
    <=> v21167(constB20,bitIndex2) ) )).

fof(is_address_188,axiom,(
    address(v21167_range_2_to_0_address_term_bound_20) )).

fof(address_association_167,axiom,(
    v21167_range_2_to_0_address_association(constB20,v21167_range_2_to_0_address_term_bound_20) )).

fof(address_false_msb_223,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_19,bitIndex4) )).

fof(address_false_msb_222,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_19,bitIndex3) )).

fof(transient_address_definition_166,axiom,
    ( $true
    & ( addressVal(v21167_range_2_to_0_address_term_bound_19,bitIndex0)
    <=> v21167(constB19,bitIndex0) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_19,bitIndex1)
    <=> v21167(constB19,bitIndex1) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_19,bitIndex2)
    <=> v21167(constB19,bitIndex2) ) )).

fof(is_address_187,axiom,(
    address(v21167_range_2_to_0_address_term_bound_19) )).

fof(address_association_166,axiom,(
    v21167_range_2_to_0_address_association(constB19,v21167_range_2_to_0_address_term_bound_19) )).

fof(address_false_msb_221,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_18,bitIndex4) )).

fof(address_false_msb_220,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_18,bitIndex3) )).

fof(transient_address_definition_165,axiom,
    ( $true
    & ( addressVal(v21167_range_2_to_0_address_term_bound_18,bitIndex0)
    <=> v21167(constB18,bitIndex0) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_18,bitIndex1)
    <=> v21167(constB18,bitIndex1) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_18,bitIndex2)
    <=> v21167(constB18,bitIndex2) ) )).

fof(is_address_186,axiom,(
    address(v21167_range_2_to_0_address_term_bound_18) )).

fof(address_association_165,axiom,(
    v21167_range_2_to_0_address_association(constB18,v21167_range_2_to_0_address_term_bound_18) )).

fof(address_false_msb_219,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_17,bitIndex4) )).

fof(address_false_msb_218,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_17,bitIndex3) )).

fof(transient_address_definition_164,axiom,
    ( $true
    & ( addressVal(v21167_range_2_to_0_address_term_bound_17,bitIndex0)
    <=> v21167(constB17,bitIndex0) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_17,bitIndex1)
    <=> v21167(constB17,bitIndex1) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_17,bitIndex2)
    <=> v21167(constB17,bitIndex2) ) )).

fof(is_address_185,axiom,(
    address(v21167_range_2_to_0_address_term_bound_17) )).

fof(address_association_164,axiom,(
    v21167_range_2_to_0_address_association(constB17,v21167_range_2_to_0_address_term_bound_17) )).

fof(address_false_msb_217,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_16,bitIndex4) )).

fof(address_false_msb_216,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_16,bitIndex3) )).

fof(transient_address_definition_163,axiom,
    ( $true
    & ( addressVal(v21167_range_2_to_0_address_term_bound_16,bitIndex0)
    <=> v21167(constB16,bitIndex0) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_16,bitIndex1)
    <=> v21167(constB16,bitIndex1) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_16,bitIndex2)
    <=> v21167(constB16,bitIndex2) ) )).

fof(is_address_184,axiom,(
    address(v21167_range_2_to_0_address_term_bound_16) )).

fof(address_association_163,axiom,(
    v21167_range_2_to_0_address_association(constB16,v21167_range_2_to_0_address_term_bound_16) )).

fof(address_false_msb_215,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_15,bitIndex4) )).

fof(address_false_msb_214,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_15,bitIndex3) )).

fof(transient_address_definition_162,axiom,
    ( $true
    & ( addressVal(v21167_range_2_to_0_address_term_bound_15,bitIndex0)
    <=> v21167(constB15,bitIndex0) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_15,bitIndex1)
    <=> v21167(constB15,bitIndex1) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_15,bitIndex2)
    <=> v21167(constB15,bitIndex2) ) )).

fof(is_address_183,axiom,(
    address(v21167_range_2_to_0_address_term_bound_15) )).

fof(address_association_162,axiom,(
    v21167_range_2_to_0_address_association(constB15,v21167_range_2_to_0_address_term_bound_15) )).

fof(address_false_msb_213,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_14,bitIndex4) )).

fof(address_false_msb_212,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_14,bitIndex3) )).

fof(transient_address_definition_161,axiom,
    ( $true
    & ( addressVal(v21167_range_2_to_0_address_term_bound_14,bitIndex0)
    <=> v21167(constB14,bitIndex0) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_14,bitIndex1)
    <=> v21167(constB14,bitIndex1) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_14,bitIndex2)
    <=> v21167(constB14,bitIndex2) ) )).

fof(is_address_182,axiom,(
    address(v21167_range_2_to_0_address_term_bound_14) )).

fof(address_association_161,axiom,(
    v21167_range_2_to_0_address_association(constB14,v21167_range_2_to_0_address_term_bound_14) )).

fof(address_false_msb_211,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_13,bitIndex4) )).

fof(address_false_msb_210,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_13,bitIndex3) )).

fof(transient_address_definition_160,axiom,
    ( $true
    & ( addressVal(v21167_range_2_to_0_address_term_bound_13,bitIndex0)
    <=> v21167(constB13,bitIndex0) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_13,bitIndex1)
    <=> v21167(constB13,bitIndex1) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_13,bitIndex2)
    <=> v21167(constB13,bitIndex2) ) )).

fof(is_address_181,axiom,(
    address(v21167_range_2_to_0_address_term_bound_13) )).

fof(address_association_160,axiom,(
    v21167_range_2_to_0_address_association(constB13,v21167_range_2_to_0_address_term_bound_13) )).

fof(address_false_msb_209,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_12,bitIndex4) )).

fof(address_false_msb_208,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_12,bitIndex3) )).

fof(transient_address_definition_159,axiom,
    ( $true
    & ( addressVal(v21167_range_2_to_0_address_term_bound_12,bitIndex0)
    <=> v21167(constB12,bitIndex0) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_12,bitIndex1)
    <=> v21167(constB12,bitIndex1) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_12,bitIndex2)
    <=> v21167(constB12,bitIndex2) ) )).

fof(is_address_180,axiom,(
    address(v21167_range_2_to_0_address_term_bound_12) )).

fof(address_association_159,axiom,(
    v21167_range_2_to_0_address_association(constB12,v21167_range_2_to_0_address_term_bound_12) )).

fof(address_false_msb_207,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_11,bitIndex4) )).

fof(address_false_msb_206,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_11,bitIndex3) )).

fof(transient_address_definition_158,axiom,
    ( $true
    & ( addressVal(v21167_range_2_to_0_address_term_bound_11,bitIndex0)
    <=> v21167(constB11,bitIndex0) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_11,bitIndex1)
    <=> v21167(constB11,bitIndex1) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_11,bitIndex2)
    <=> v21167(constB11,bitIndex2) ) )).

fof(is_address_179,axiom,(
    address(v21167_range_2_to_0_address_term_bound_11) )).

fof(address_association_158,axiom,(
    v21167_range_2_to_0_address_association(constB11,v21167_range_2_to_0_address_term_bound_11) )).

fof(address_false_msb_205,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_10,bitIndex4) )).

fof(address_false_msb_204,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_10,bitIndex3) )).

fof(transient_address_definition_157,axiom,
    ( $true
    & ( addressVal(v21167_range_2_to_0_address_term_bound_10,bitIndex0)
    <=> v21167(constB10,bitIndex0) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_10,bitIndex1)
    <=> v21167(constB10,bitIndex1) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_10,bitIndex2)
    <=> v21167(constB10,bitIndex2) ) )).

fof(is_address_178,axiom,(
    address(v21167_range_2_to_0_address_term_bound_10) )).

fof(address_association_157,axiom,(
    v21167_range_2_to_0_address_association(constB10,v21167_range_2_to_0_address_term_bound_10) )).

fof(address_false_msb_203,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_9,bitIndex4) )).

fof(address_false_msb_202,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_9,bitIndex3) )).

fof(transient_address_definition_156,axiom,
    ( $true
    & ( addressVal(v21167_range_2_to_0_address_term_bound_9,bitIndex0)
    <=> v21167(constB9,bitIndex0) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_9,bitIndex1)
    <=> v21167(constB9,bitIndex1) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_9,bitIndex2)
    <=> v21167(constB9,bitIndex2) ) )).

fof(is_address_177,axiom,(
    address(v21167_range_2_to_0_address_term_bound_9) )).

fof(address_association_156,axiom,(
    v21167_range_2_to_0_address_association(constB9,v21167_range_2_to_0_address_term_bound_9) )).

fof(address_false_msb_201,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_8,bitIndex4) )).

fof(address_false_msb_200,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_8,bitIndex3) )).

fof(transient_address_definition_155,axiom,
    ( $true
    & ( addressVal(v21167_range_2_to_0_address_term_bound_8,bitIndex0)
    <=> v21167(constB8,bitIndex0) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_8,bitIndex1)
    <=> v21167(constB8,bitIndex1) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_8,bitIndex2)
    <=> v21167(constB8,bitIndex2) ) )).

fof(is_address_176,axiom,(
    address(v21167_range_2_to_0_address_term_bound_8) )).

fof(address_association_155,axiom,(
    v21167_range_2_to_0_address_association(constB8,v21167_range_2_to_0_address_term_bound_8) )).

fof(address_false_msb_199,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_7,bitIndex4) )).

fof(address_false_msb_198,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_7,bitIndex3) )).

fof(transient_address_definition_154,axiom,
    ( $true
    & ( addressVal(v21167_range_2_to_0_address_term_bound_7,bitIndex0)
    <=> v21167(constB7,bitIndex0) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_7,bitIndex1)
    <=> v21167(constB7,bitIndex1) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_7,bitIndex2)
    <=> v21167(constB7,bitIndex2) ) )).

fof(is_address_175,axiom,(
    address(v21167_range_2_to_0_address_term_bound_7) )).

fof(address_association_154,axiom,(
    v21167_range_2_to_0_address_association(constB7,v21167_range_2_to_0_address_term_bound_7) )).

fof(address_false_msb_197,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_6,bitIndex4) )).

fof(address_false_msb_196,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_6,bitIndex3) )).

fof(transient_address_definition_153,axiom,
    ( $true
    & ( addressVal(v21167_range_2_to_0_address_term_bound_6,bitIndex0)
    <=> v21167(constB6,bitIndex0) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_6,bitIndex1)
    <=> v21167(constB6,bitIndex1) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_6,bitIndex2)
    <=> v21167(constB6,bitIndex2) ) )).

fof(is_address_174,axiom,(
    address(v21167_range_2_to_0_address_term_bound_6) )).

fof(address_association_153,axiom,(
    v21167_range_2_to_0_address_association(constB6,v21167_range_2_to_0_address_term_bound_6) )).

fof(address_false_msb_195,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_5,bitIndex4) )).

fof(address_false_msb_194,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_5,bitIndex3) )).

fof(transient_address_definition_152,axiom,
    ( $true
    & ( addressVal(v21167_range_2_to_0_address_term_bound_5,bitIndex0)
    <=> v21167(constB5,bitIndex0) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_5,bitIndex1)
    <=> v21167(constB5,bitIndex1) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_5,bitIndex2)
    <=> v21167(constB5,bitIndex2) ) )).

fof(is_address_173,axiom,(
    address(v21167_range_2_to_0_address_term_bound_5) )).

fof(address_association_152,axiom,(
    v21167_range_2_to_0_address_association(constB5,v21167_range_2_to_0_address_term_bound_5) )).

fof(address_false_msb_193,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_4,bitIndex4) )).

fof(address_false_msb_192,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_4,bitIndex3) )).

fof(transient_address_definition_151,axiom,
    ( $true
    & ( addressVal(v21167_range_2_to_0_address_term_bound_4,bitIndex0)
    <=> v21167(constB4,bitIndex0) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_4,bitIndex1)
    <=> v21167(constB4,bitIndex1) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_4,bitIndex2)
    <=> v21167(constB4,bitIndex2) ) )).

fof(is_address_172,axiom,(
    address(v21167_range_2_to_0_address_term_bound_4) )).

fof(address_association_151,axiom,(
    v21167_range_2_to_0_address_association(constB4,v21167_range_2_to_0_address_term_bound_4) )).

fof(address_false_msb_191,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_3,bitIndex4) )).

fof(address_false_msb_190,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_3,bitIndex3) )).

fof(transient_address_definition_150,axiom,
    ( $true
    & ( addressVal(v21167_range_2_to_0_address_term_bound_3,bitIndex0)
    <=> v21167(constB3,bitIndex0) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_3,bitIndex1)
    <=> v21167(constB3,bitIndex1) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_3,bitIndex2)
    <=> v21167(constB3,bitIndex2) ) )).

fof(is_address_171,axiom,(
    address(v21167_range_2_to_0_address_term_bound_3) )).

fof(address_association_150,axiom,(
    v21167_range_2_to_0_address_association(constB3,v21167_range_2_to_0_address_term_bound_3) )).

fof(address_false_msb_189,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_2,bitIndex4) )).

fof(address_false_msb_188,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_2,bitIndex3) )).

fof(transient_address_definition_149,axiom,
    ( $true
    & ( addressVal(v21167_range_2_to_0_address_term_bound_2,bitIndex0)
    <=> v21167(constB2,bitIndex0) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_2,bitIndex1)
    <=> v21167(constB2,bitIndex1) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_2,bitIndex2)
    <=> v21167(constB2,bitIndex2) ) )).

fof(is_address_170,axiom,(
    address(v21167_range_2_to_0_address_term_bound_2) )).

fof(address_association_149,axiom,(
    v21167_range_2_to_0_address_association(constB2,v21167_range_2_to_0_address_term_bound_2) )).

fof(address_false_msb_187,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_1,bitIndex4) )).

fof(address_false_msb_186,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_1,bitIndex3) )).

fof(transient_address_definition_148,axiom,
    ( $true
    & ( addressVal(v21167_range_2_to_0_address_term_bound_1,bitIndex0)
    <=> v21167(constB1,bitIndex0) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_1,bitIndex1)
    <=> v21167(constB1,bitIndex1) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_1,bitIndex2)
    <=> v21167(constB1,bitIndex2) ) )).

fof(is_address_169,axiom,(
    address(v21167_range_2_to_0_address_term_bound_1) )).

fof(address_association_148,axiom,(
    v21167_range_2_to_0_address_association(constB1,v21167_range_2_to_0_address_term_bound_1) )).

fof(address_false_msb_185,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_0,bitIndex4) )).

fof(address_false_msb_184,axiom,(
    ~ addressVal(v21167_range_2_to_0_address_term_bound_0,bitIndex3) )).

fof(transient_address_definition_147,axiom,
    ( $true
    & ( addressVal(v21167_range_2_to_0_address_term_bound_0,bitIndex0)
    <=> v21167(constB0,bitIndex0) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_0,bitIndex1)
    <=> v21167(constB0,bitIndex1) )
    & ( addressVal(v21167_range_2_to_0_address_term_bound_0,bitIndex2)
    <=> v21167(constB0,bitIndex2) ) )).

fof(is_address_168,axiom,(
    address(v21167_range_2_to_0_address_term_bound_0) )).

fof(address_association_147,axiom,(
    v21167_range_2_to_0_address_association(constB0,v21167_range_2_to_0_address_term_bound_0) )).

fof(address_false_msb_183,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_20,bitIndex4) )).

fof(address_false_msb_182,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_20,bitIndex3) )).

fof(transient_address_definition_146,axiom,
    ( $true
    & ( addressVal(v21139_range_2_to_0_address_term_bound_20,bitIndex0)
    <=> v21139(constB20,bitIndex0) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_20,bitIndex1)
    <=> v21139(constB20,bitIndex1) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_20,bitIndex2)
    <=> v21139(constB20,bitIndex2) ) )).

fof(is_address_167,axiom,(
    address(v21139_range_2_to_0_address_term_bound_20) )).

fof(address_association_146,axiom,(
    v21139_range_2_to_0_address_association(constB20,v21139_range_2_to_0_address_term_bound_20) )).

fof(address_false_msb_181,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_19,bitIndex4) )).

fof(address_false_msb_180,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_19,bitIndex3) )).

fof(transient_address_definition_145,axiom,
    ( $true
    & ( addressVal(v21139_range_2_to_0_address_term_bound_19,bitIndex0)
    <=> v21139(constB19,bitIndex0) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_19,bitIndex1)
    <=> v21139(constB19,bitIndex1) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_19,bitIndex2)
    <=> v21139(constB19,bitIndex2) ) )).

fof(is_address_166,axiom,(
    address(v21139_range_2_to_0_address_term_bound_19) )).

fof(address_association_145,axiom,(
    v21139_range_2_to_0_address_association(constB19,v21139_range_2_to_0_address_term_bound_19) )).

fof(address_false_msb_179,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_18,bitIndex4) )).

fof(address_false_msb_178,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_18,bitIndex3) )).

fof(transient_address_definition_144,axiom,
    ( $true
    & ( addressVal(v21139_range_2_to_0_address_term_bound_18,bitIndex0)
    <=> v21139(constB18,bitIndex0) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_18,bitIndex1)
    <=> v21139(constB18,bitIndex1) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_18,bitIndex2)
    <=> v21139(constB18,bitIndex2) ) )).

fof(is_address_165,axiom,(
    address(v21139_range_2_to_0_address_term_bound_18) )).

fof(address_association_144,axiom,(
    v21139_range_2_to_0_address_association(constB18,v21139_range_2_to_0_address_term_bound_18) )).

fof(address_false_msb_177,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_17,bitIndex4) )).

fof(address_false_msb_176,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_17,bitIndex3) )).

fof(transient_address_definition_143,axiom,
    ( $true
    & ( addressVal(v21139_range_2_to_0_address_term_bound_17,bitIndex0)
    <=> v21139(constB17,bitIndex0) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_17,bitIndex1)
    <=> v21139(constB17,bitIndex1) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_17,bitIndex2)
    <=> v21139(constB17,bitIndex2) ) )).

fof(is_address_164,axiom,(
    address(v21139_range_2_to_0_address_term_bound_17) )).

fof(address_association_143,axiom,(
    v21139_range_2_to_0_address_association(constB17,v21139_range_2_to_0_address_term_bound_17) )).

fof(address_false_msb_175,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_16,bitIndex4) )).

fof(address_false_msb_174,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_16,bitIndex3) )).

fof(transient_address_definition_142,axiom,
    ( $true
    & ( addressVal(v21139_range_2_to_0_address_term_bound_16,bitIndex0)
    <=> v21139(constB16,bitIndex0) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_16,bitIndex1)
    <=> v21139(constB16,bitIndex1) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_16,bitIndex2)
    <=> v21139(constB16,bitIndex2) ) )).

fof(is_address_163,axiom,(
    address(v21139_range_2_to_0_address_term_bound_16) )).

fof(address_association_142,axiom,(
    v21139_range_2_to_0_address_association(constB16,v21139_range_2_to_0_address_term_bound_16) )).

fof(address_false_msb_173,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_15,bitIndex4) )).

fof(address_false_msb_172,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_15,bitIndex3) )).

fof(transient_address_definition_141,axiom,
    ( $true
    & ( addressVal(v21139_range_2_to_0_address_term_bound_15,bitIndex0)
    <=> v21139(constB15,bitIndex0) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_15,bitIndex1)
    <=> v21139(constB15,bitIndex1) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_15,bitIndex2)
    <=> v21139(constB15,bitIndex2) ) )).

fof(is_address_162,axiom,(
    address(v21139_range_2_to_0_address_term_bound_15) )).

fof(address_association_141,axiom,(
    v21139_range_2_to_0_address_association(constB15,v21139_range_2_to_0_address_term_bound_15) )).

fof(address_false_msb_171,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_14,bitIndex4) )).

fof(address_false_msb_170,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_14,bitIndex3) )).

fof(transient_address_definition_140,axiom,
    ( $true
    & ( addressVal(v21139_range_2_to_0_address_term_bound_14,bitIndex0)
    <=> v21139(constB14,bitIndex0) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_14,bitIndex1)
    <=> v21139(constB14,bitIndex1) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_14,bitIndex2)
    <=> v21139(constB14,bitIndex2) ) )).

fof(is_address_161,axiom,(
    address(v21139_range_2_to_0_address_term_bound_14) )).

fof(address_association_140,axiom,(
    v21139_range_2_to_0_address_association(constB14,v21139_range_2_to_0_address_term_bound_14) )).

fof(address_false_msb_169,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_13,bitIndex4) )).

fof(address_false_msb_168,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_13,bitIndex3) )).

fof(transient_address_definition_139,axiom,
    ( $true
    & ( addressVal(v21139_range_2_to_0_address_term_bound_13,bitIndex0)
    <=> v21139(constB13,bitIndex0) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_13,bitIndex1)
    <=> v21139(constB13,bitIndex1) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_13,bitIndex2)
    <=> v21139(constB13,bitIndex2) ) )).

fof(is_address_160,axiom,(
    address(v21139_range_2_to_0_address_term_bound_13) )).

fof(address_association_139,axiom,(
    v21139_range_2_to_0_address_association(constB13,v21139_range_2_to_0_address_term_bound_13) )).

fof(address_false_msb_167,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_12,bitIndex4) )).

fof(address_false_msb_166,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_12,bitIndex3) )).

fof(transient_address_definition_138,axiom,
    ( $true
    & ( addressVal(v21139_range_2_to_0_address_term_bound_12,bitIndex0)
    <=> v21139(constB12,bitIndex0) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_12,bitIndex1)
    <=> v21139(constB12,bitIndex1) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_12,bitIndex2)
    <=> v21139(constB12,bitIndex2) ) )).

fof(is_address_159,axiom,(
    address(v21139_range_2_to_0_address_term_bound_12) )).

fof(address_association_138,axiom,(
    v21139_range_2_to_0_address_association(constB12,v21139_range_2_to_0_address_term_bound_12) )).

fof(address_false_msb_165,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_11,bitIndex4) )).

fof(address_false_msb_164,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_11,bitIndex3) )).

fof(transient_address_definition_137,axiom,
    ( $true
    & ( addressVal(v21139_range_2_to_0_address_term_bound_11,bitIndex0)
    <=> v21139(constB11,bitIndex0) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_11,bitIndex1)
    <=> v21139(constB11,bitIndex1) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_11,bitIndex2)
    <=> v21139(constB11,bitIndex2) ) )).

fof(is_address_158,axiom,(
    address(v21139_range_2_to_0_address_term_bound_11) )).

fof(address_association_137,axiom,(
    v21139_range_2_to_0_address_association(constB11,v21139_range_2_to_0_address_term_bound_11) )).

fof(address_false_msb_163,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_10,bitIndex4) )).

fof(address_false_msb_162,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_10,bitIndex3) )).

fof(transient_address_definition_136,axiom,
    ( $true
    & ( addressVal(v21139_range_2_to_0_address_term_bound_10,bitIndex0)
    <=> v21139(constB10,bitIndex0) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_10,bitIndex1)
    <=> v21139(constB10,bitIndex1) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_10,bitIndex2)
    <=> v21139(constB10,bitIndex2) ) )).

fof(is_address_157,axiom,(
    address(v21139_range_2_to_0_address_term_bound_10) )).

fof(address_association_136,axiom,(
    v21139_range_2_to_0_address_association(constB10,v21139_range_2_to_0_address_term_bound_10) )).

fof(address_false_msb_161,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_9,bitIndex4) )).

fof(address_false_msb_160,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_9,bitIndex3) )).

fof(transient_address_definition_135,axiom,
    ( $true
    & ( addressVal(v21139_range_2_to_0_address_term_bound_9,bitIndex0)
    <=> v21139(constB9,bitIndex0) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_9,bitIndex1)
    <=> v21139(constB9,bitIndex1) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_9,bitIndex2)
    <=> v21139(constB9,bitIndex2) ) )).

fof(is_address_156,axiom,(
    address(v21139_range_2_to_0_address_term_bound_9) )).

fof(address_association_135,axiom,(
    v21139_range_2_to_0_address_association(constB9,v21139_range_2_to_0_address_term_bound_9) )).

fof(address_false_msb_159,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_8,bitIndex4) )).

fof(address_false_msb_158,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_8,bitIndex3) )).

fof(transient_address_definition_134,axiom,
    ( $true
    & ( addressVal(v21139_range_2_to_0_address_term_bound_8,bitIndex0)
    <=> v21139(constB8,bitIndex0) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_8,bitIndex1)
    <=> v21139(constB8,bitIndex1) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_8,bitIndex2)
    <=> v21139(constB8,bitIndex2) ) )).

fof(is_address_155,axiom,(
    address(v21139_range_2_to_0_address_term_bound_8) )).

fof(address_association_134,axiom,(
    v21139_range_2_to_0_address_association(constB8,v21139_range_2_to_0_address_term_bound_8) )).

fof(address_false_msb_157,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_7,bitIndex4) )).

fof(address_false_msb_156,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_7,bitIndex3) )).

fof(transient_address_definition_133,axiom,
    ( $true
    & ( addressVal(v21139_range_2_to_0_address_term_bound_7,bitIndex0)
    <=> v21139(constB7,bitIndex0) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_7,bitIndex1)
    <=> v21139(constB7,bitIndex1) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_7,bitIndex2)
    <=> v21139(constB7,bitIndex2) ) )).

fof(is_address_154,axiom,(
    address(v21139_range_2_to_0_address_term_bound_7) )).

fof(address_association_133,axiom,(
    v21139_range_2_to_0_address_association(constB7,v21139_range_2_to_0_address_term_bound_7) )).

fof(address_false_msb_155,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_6,bitIndex4) )).

fof(address_false_msb_154,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_6,bitIndex3) )).

fof(transient_address_definition_132,axiom,
    ( $true
    & ( addressVal(v21139_range_2_to_0_address_term_bound_6,bitIndex0)
    <=> v21139(constB6,bitIndex0) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_6,bitIndex1)
    <=> v21139(constB6,bitIndex1) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_6,bitIndex2)
    <=> v21139(constB6,bitIndex2) ) )).

fof(is_address_153,axiom,(
    address(v21139_range_2_to_0_address_term_bound_6) )).

fof(address_association_132,axiom,(
    v21139_range_2_to_0_address_association(constB6,v21139_range_2_to_0_address_term_bound_6) )).

fof(address_false_msb_153,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_5,bitIndex4) )).

fof(address_false_msb_152,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_5,bitIndex3) )).

fof(transient_address_definition_131,axiom,
    ( $true
    & ( addressVal(v21139_range_2_to_0_address_term_bound_5,bitIndex0)
    <=> v21139(constB5,bitIndex0) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_5,bitIndex1)
    <=> v21139(constB5,bitIndex1) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_5,bitIndex2)
    <=> v21139(constB5,bitIndex2) ) )).

fof(is_address_152,axiom,(
    address(v21139_range_2_to_0_address_term_bound_5) )).

fof(address_association_131,axiom,(
    v21139_range_2_to_0_address_association(constB5,v21139_range_2_to_0_address_term_bound_5) )).

fof(address_false_msb_151,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_4,bitIndex4) )).

fof(address_false_msb_150,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_4,bitIndex3) )).

fof(transient_address_definition_130,axiom,
    ( $true
    & ( addressVal(v21139_range_2_to_0_address_term_bound_4,bitIndex0)
    <=> v21139(constB4,bitIndex0) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_4,bitIndex1)
    <=> v21139(constB4,bitIndex1) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_4,bitIndex2)
    <=> v21139(constB4,bitIndex2) ) )).

fof(is_address_151,axiom,(
    address(v21139_range_2_to_0_address_term_bound_4) )).

fof(address_association_130,axiom,(
    v21139_range_2_to_0_address_association(constB4,v21139_range_2_to_0_address_term_bound_4) )).

fof(address_false_msb_149,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_3,bitIndex4) )).

fof(address_false_msb_148,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_3,bitIndex3) )).

fof(transient_address_definition_129,axiom,
    ( $true
    & ( addressVal(v21139_range_2_to_0_address_term_bound_3,bitIndex0)
    <=> v21139(constB3,bitIndex0) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_3,bitIndex1)
    <=> v21139(constB3,bitIndex1) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_3,bitIndex2)
    <=> v21139(constB3,bitIndex2) ) )).

fof(is_address_150,axiom,(
    address(v21139_range_2_to_0_address_term_bound_3) )).

fof(address_association_129,axiom,(
    v21139_range_2_to_0_address_association(constB3,v21139_range_2_to_0_address_term_bound_3) )).

fof(address_false_msb_147,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_2,bitIndex4) )).

fof(address_false_msb_146,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_2,bitIndex3) )).

fof(transient_address_definition_128,axiom,
    ( $true
    & ( addressVal(v21139_range_2_to_0_address_term_bound_2,bitIndex0)
    <=> v21139(constB2,bitIndex0) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_2,bitIndex1)
    <=> v21139(constB2,bitIndex1) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_2,bitIndex2)
    <=> v21139(constB2,bitIndex2) ) )).

fof(is_address_149,axiom,(
    address(v21139_range_2_to_0_address_term_bound_2) )).

fof(address_association_128,axiom,(
    v21139_range_2_to_0_address_association(constB2,v21139_range_2_to_0_address_term_bound_2) )).

fof(address_false_msb_145,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_1,bitIndex4) )).

fof(address_false_msb_144,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_1,bitIndex3) )).

fof(transient_address_definition_127,axiom,
    ( $true
    & ( addressVal(v21139_range_2_to_0_address_term_bound_1,bitIndex0)
    <=> v21139(constB1,bitIndex0) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_1,bitIndex1)
    <=> v21139(constB1,bitIndex1) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_1,bitIndex2)
    <=> v21139(constB1,bitIndex2) ) )).

fof(is_address_148,axiom,(
    address(v21139_range_2_to_0_address_term_bound_1) )).

fof(address_association_127,axiom,(
    v21139_range_2_to_0_address_association(constB1,v21139_range_2_to_0_address_term_bound_1) )).

fof(address_false_msb_143,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_0,bitIndex4) )).

fof(address_false_msb_142,axiom,(
    ~ addressVal(v21139_range_2_to_0_address_term_bound_0,bitIndex3) )).

fof(transient_address_definition_126,axiom,
    ( $true
    & ( addressVal(v21139_range_2_to_0_address_term_bound_0,bitIndex0)
    <=> v21139(constB0,bitIndex0) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_0,bitIndex1)
    <=> v21139(constB0,bitIndex1) )
    & ( addressVal(v21139_range_2_to_0_address_term_bound_0,bitIndex2)
    <=> v21139(constB0,bitIndex2) ) )).

fof(is_address_147,axiom,(
    address(v21139_range_2_to_0_address_term_bound_0) )).

fof(address_association_126,axiom,(
    v21139_range_2_to_0_address_association(constB0,v21139_range_2_to_0_address_term_bound_0) )).

fof(address_false_msb_141,axiom,(
    ~ addressVal(v12137_range_3_to_0_address_term_bound_20,bitIndex4) )).

fof(transient_address_definition_125,axiom,
    ( $true
    & ( addressVal(v12137_range_3_to_0_address_term_bound_20,bitIndex0)
    <=> v12137(constB20,bitIndex0) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_20,bitIndex1)
    <=> v12137(constB20,bitIndex1) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_20,bitIndex2)
    <=> v12137(constB20,bitIndex2) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_20,bitIndex3)
    <=> v12137(constB20,bitIndex3) ) )).

fof(is_address_146,axiom,(
    address(v12137_range_3_to_0_address_term_bound_20) )).

fof(address_association_125,axiom,(
    v12137_range_3_to_0_address_association(constB20,v12137_range_3_to_0_address_term_bound_20) )).

fof(address_false_msb_140,axiom,(
    ~ addressVal(v12137_range_3_to_0_address_term_bound_19,bitIndex4) )).

fof(transient_address_definition_124,axiom,
    ( $true
    & ( addressVal(v12137_range_3_to_0_address_term_bound_19,bitIndex0)
    <=> v12137(constB19,bitIndex0) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_19,bitIndex1)
    <=> v12137(constB19,bitIndex1) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_19,bitIndex2)
    <=> v12137(constB19,bitIndex2) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_19,bitIndex3)
    <=> v12137(constB19,bitIndex3) ) )).

fof(is_address_145,axiom,(
    address(v12137_range_3_to_0_address_term_bound_19) )).

fof(address_association_124,axiom,(
    v12137_range_3_to_0_address_association(constB19,v12137_range_3_to_0_address_term_bound_19) )).

fof(address_false_msb_139,axiom,(
    ~ addressVal(v12137_range_3_to_0_address_term_bound_18,bitIndex4) )).

fof(transient_address_definition_123,axiom,
    ( $true
    & ( addressVal(v12137_range_3_to_0_address_term_bound_18,bitIndex0)
    <=> v12137(constB18,bitIndex0) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_18,bitIndex1)
    <=> v12137(constB18,bitIndex1) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_18,bitIndex2)
    <=> v12137(constB18,bitIndex2) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_18,bitIndex3)
    <=> v12137(constB18,bitIndex3) ) )).

fof(is_address_144,axiom,(
    address(v12137_range_3_to_0_address_term_bound_18) )).

fof(address_association_123,axiom,(
    v12137_range_3_to_0_address_association(constB18,v12137_range_3_to_0_address_term_bound_18) )).

fof(address_false_msb_138,axiom,(
    ~ addressVal(v12137_range_3_to_0_address_term_bound_17,bitIndex4) )).

fof(transient_address_definition_122,axiom,
    ( $true
    & ( addressVal(v12137_range_3_to_0_address_term_bound_17,bitIndex0)
    <=> v12137(constB17,bitIndex0) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_17,bitIndex1)
    <=> v12137(constB17,bitIndex1) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_17,bitIndex2)
    <=> v12137(constB17,bitIndex2) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_17,bitIndex3)
    <=> v12137(constB17,bitIndex3) ) )).

fof(is_address_143,axiom,(
    address(v12137_range_3_to_0_address_term_bound_17) )).

fof(address_association_122,axiom,(
    v12137_range_3_to_0_address_association(constB17,v12137_range_3_to_0_address_term_bound_17) )).

fof(address_false_msb_137,axiom,(
    ~ addressVal(v12137_range_3_to_0_address_term_bound_16,bitIndex4) )).

fof(transient_address_definition_121,axiom,
    ( $true
    & ( addressVal(v12137_range_3_to_0_address_term_bound_16,bitIndex0)
    <=> v12137(constB16,bitIndex0) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_16,bitIndex1)
    <=> v12137(constB16,bitIndex1) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_16,bitIndex2)
    <=> v12137(constB16,bitIndex2) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_16,bitIndex3)
    <=> v12137(constB16,bitIndex3) ) )).

fof(is_address_142,axiom,(
    address(v12137_range_3_to_0_address_term_bound_16) )).

fof(address_association_121,axiom,(
    v12137_range_3_to_0_address_association(constB16,v12137_range_3_to_0_address_term_bound_16) )).

fof(address_false_msb_136,axiom,(
    ~ addressVal(v12137_range_3_to_0_address_term_bound_15,bitIndex4) )).

fof(transient_address_definition_120,axiom,
    ( $true
    & ( addressVal(v12137_range_3_to_0_address_term_bound_15,bitIndex0)
    <=> v12137(constB15,bitIndex0) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_15,bitIndex1)
    <=> v12137(constB15,bitIndex1) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_15,bitIndex2)
    <=> v12137(constB15,bitIndex2) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_15,bitIndex3)
    <=> v12137(constB15,bitIndex3) ) )).

fof(is_address_141,axiom,(
    address(v12137_range_3_to_0_address_term_bound_15) )).

fof(address_association_120,axiom,(
    v12137_range_3_to_0_address_association(constB15,v12137_range_3_to_0_address_term_bound_15) )).

fof(address_false_msb_135,axiom,(
    ~ addressVal(v12137_range_3_to_0_address_term_bound_14,bitIndex4) )).

fof(transient_address_definition_119,axiom,
    ( $true
    & ( addressVal(v12137_range_3_to_0_address_term_bound_14,bitIndex0)
    <=> v12137(constB14,bitIndex0) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_14,bitIndex1)
    <=> v12137(constB14,bitIndex1) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_14,bitIndex2)
    <=> v12137(constB14,bitIndex2) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_14,bitIndex3)
    <=> v12137(constB14,bitIndex3) ) )).

fof(is_address_140,axiom,(
    address(v12137_range_3_to_0_address_term_bound_14) )).

fof(address_association_119,axiom,(
    v12137_range_3_to_0_address_association(constB14,v12137_range_3_to_0_address_term_bound_14) )).

fof(address_false_msb_134,axiom,(
    ~ addressVal(v12137_range_3_to_0_address_term_bound_13,bitIndex4) )).

fof(transient_address_definition_118,axiom,
    ( $true
    & ( addressVal(v12137_range_3_to_0_address_term_bound_13,bitIndex0)
    <=> v12137(constB13,bitIndex0) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_13,bitIndex1)
    <=> v12137(constB13,bitIndex1) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_13,bitIndex2)
    <=> v12137(constB13,bitIndex2) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_13,bitIndex3)
    <=> v12137(constB13,bitIndex3) ) )).

fof(is_address_139,axiom,(
    address(v12137_range_3_to_0_address_term_bound_13) )).

fof(address_association_118,axiom,(
    v12137_range_3_to_0_address_association(constB13,v12137_range_3_to_0_address_term_bound_13) )).

fof(address_false_msb_133,axiom,(
    ~ addressVal(v12137_range_3_to_0_address_term_bound_12,bitIndex4) )).

fof(transient_address_definition_117,axiom,
    ( $true
    & ( addressVal(v12137_range_3_to_0_address_term_bound_12,bitIndex0)
    <=> v12137(constB12,bitIndex0) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_12,bitIndex1)
    <=> v12137(constB12,bitIndex1) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_12,bitIndex2)
    <=> v12137(constB12,bitIndex2) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_12,bitIndex3)
    <=> v12137(constB12,bitIndex3) ) )).

fof(is_address_138,axiom,(
    address(v12137_range_3_to_0_address_term_bound_12) )).

fof(address_association_117,axiom,(
    v12137_range_3_to_0_address_association(constB12,v12137_range_3_to_0_address_term_bound_12) )).

fof(address_false_msb_132,axiom,(
    ~ addressVal(v12137_range_3_to_0_address_term_bound_11,bitIndex4) )).

fof(transient_address_definition_116,axiom,
    ( $true
    & ( addressVal(v12137_range_3_to_0_address_term_bound_11,bitIndex0)
    <=> v12137(constB11,bitIndex0) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_11,bitIndex1)
    <=> v12137(constB11,bitIndex1) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_11,bitIndex2)
    <=> v12137(constB11,bitIndex2) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_11,bitIndex3)
    <=> v12137(constB11,bitIndex3) ) )).

fof(is_address_137,axiom,(
    address(v12137_range_3_to_0_address_term_bound_11) )).

fof(address_association_116,axiom,(
    v12137_range_3_to_0_address_association(constB11,v12137_range_3_to_0_address_term_bound_11) )).

fof(address_false_msb_131,axiom,(
    ~ addressVal(v12137_range_3_to_0_address_term_bound_10,bitIndex4) )).

fof(transient_address_definition_115,axiom,
    ( $true
    & ( addressVal(v12137_range_3_to_0_address_term_bound_10,bitIndex0)
    <=> v12137(constB10,bitIndex0) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_10,bitIndex1)
    <=> v12137(constB10,bitIndex1) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_10,bitIndex2)
    <=> v12137(constB10,bitIndex2) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_10,bitIndex3)
    <=> v12137(constB10,bitIndex3) ) )).

fof(is_address_136,axiom,(
    address(v12137_range_3_to_0_address_term_bound_10) )).

fof(address_association_115,axiom,(
    v12137_range_3_to_0_address_association(constB10,v12137_range_3_to_0_address_term_bound_10) )).

fof(address_false_msb_130,axiom,(
    ~ addressVal(v12137_range_3_to_0_address_term_bound_9,bitIndex4) )).

fof(transient_address_definition_114,axiom,
    ( $true
    & ( addressVal(v12137_range_3_to_0_address_term_bound_9,bitIndex0)
    <=> v12137(constB9,bitIndex0) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_9,bitIndex1)
    <=> v12137(constB9,bitIndex1) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_9,bitIndex2)
    <=> v12137(constB9,bitIndex2) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_9,bitIndex3)
    <=> v12137(constB9,bitIndex3) ) )).

fof(is_address_135,axiom,(
    address(v12137_range_3_to_0_address_term_bound_9) )).

fof(address_association_114,axiom,(
    v12137_range_3_to_0_address_association(constB9,v12137_range_3_to_0_address_term_bound_9) )).

fof(address_false_msb_129,axiom,(
    ~ addressVal(v12137_range_3_to_0_address_term_bound_8,bitIndex4) )).

fof(transient_address_definition_113,axiom,
    ( $true
    & ( addressVal(v12137_range_3_to_0_address_term_bound_8,bitIndex0)
    <=> v12137(constB8,bitIndex0) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_8,bitIndex1)
    <=> v12137(constB8,bitIndex1) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_8,bitIndex2)
    <=> v12137(constB8,bitIndex2) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_8,bitIndex3)
    <=> v12137(constB8,bitIndex3) ) )).

fof(is_address_134,axiom,(
    address(v12137_range_3_to_0_address_term_bound_8) )).

fof(address_association_113,axiom,(
    v12137_range_3_to_0_address_association(constB8,v12137_range_3_to_0_address_term_bound_8) )).

fof(address_false_msb_128,axiom,(
    ~ addressVal(v12137_range_3_to_0_address_term_bound_7,bitIndex4) )).

fof(transient_address_definition_112,axiom,
    ( $true
    & ( addressVal(v12137_range_3_to_0_address_term_bound_7,bitIndex0)
    <=> v12137(constB7,bitIndex0) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_7,bitIndex1)
    <=> v12137(constB7,bitIndex1) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_7,bitIndex2)
    <=> v12137(constB7,bitIndex2) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_7,bitIndex3)
    <=> v12137(constB7,bitIndex3) ) )).

fof(is_address_133,axiom,(
    address(v12137_range_3_to_0_address_term_bound_7) )).

fof(address_association_112,axiom,(
    v12137_range_3_to_0_address_association(constB7,v12137_range_3_to_0_address_term_bound_7) )).

fof(address_false_msb_127,axiom,(
    ~ addressVal(v12137_range_3_to_0_address_term_bound_6,bitIndex4) )).

fof(transient_address_definition_111,axiom,
    ( $true
    & ( addressVal(v12137_range_3_to_0_address_term_bound_6,bitIndex0)
    <=> v12137(constB6,bitIndex0) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_6,bitIndex1)
    <=> v12137(constB6,bitIndex1) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_6,bitIndex2)
    <=> v12137(constB6,bitIndex2) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_6,bitIndex3)
    <=> v12137(constB6,bitIndex3) ) )).

fof(is_address_132,axiom,(
    address(v12137_range_3_to_0_address_term_bound_6) )).

fof(address_association_111,axiom,(
    v12137_range_3_to_0_address_association(constB6,v12137_range_3_to_0_address_term_bound_6) )).

fof(address_false_msb_126,axiom,(
    ~ addressVal(v12137_range_3_to_0_address_term_bound_5,bitIndex4) )).

fof(transient_address_definition_110,axiom,
    ( $true
    & ( addressVal(v12137_range_3_to_0_address_term_bound_5,bitIndex0)
    <=> v12137(constB5,bitIndex0) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_5,bitIndex1)
    <=> v12137(constB5,bitIndex1) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_5,bitIndex2)
    <=> v12137(constB5,bitIndex2) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_5,bitIndex3)
    <=> v12137(constB5,bitIndex3) ) )).

fof(is_address_131,axiom,(
    address(v12137_range_3_to_0_address_term_bound_5) )).

fof(address_association_110,axiom,(
    v12137_range_3_to_0_address_association(constB5,v12137_range_3_to_0_address_term_bound_5) )).

fof(address_false_msb_125,axiom,(
    ~ addressVal(v12137_range_3_to_0_address_term_bound_4,bitIndex4) )).

fof(transient_address_definition_109,axiom,
    ( $true
    & ( addressVal(v12137_range_3_to_0_address_term_bound_4,bitIndex0)
    <=> v12137(constB4,bitIndex0) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_4,bitIndex1)
    <=> v12137(constB4,bitIndex1) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_4,bitIndex2)
    <=> v12137(constB4,bitIndex2) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_4,bitIndex3)
    <=> v12137(constB4,bitIndex3) ) )).

fof(is_address_130,axiom,(
    address(v12137_range_3_to_0_address_term_bound_4) )).

fof(address_association_109,axiom,(
    v12137_range_3_to_0_address_association(constB4,v12137_range_3_to_0_address_term_bound_4) )).

fof(address_false_msb_124,axiom,(
    ~ addressVal(v12137_range_3_to_0_address_term_bound_3,bitIndex4) )).

fof(transient_address_definition_108,axiom,
    ( $true
    & ( addressVal(v12137_range_3_to_0_address_term_bound_3,bitIndex0)
    <=> v12137(constB3,bitIndex0) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_3,bitIndex1)
    <=> v12137(constB3,bitIndex1) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_3,bitIndex2)
    <=> v12137(constB3,bitIndex2) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_3,bitIndex3)
    <=> v12137(constB3,bitIndex3) ) )).

fof(is_address_129,axiom,(
    address(v12137_range_3_to_0_address_term_bound_3) )).

fof(address_association_108,axiom,(
    v12137_range_3_to_0_address_association(constB3,v12137_range_3_to_0_address_term_bound_3) )).

fof(address_false_msb_123,axiom,(
    ~ addressVal(v12137_range_3_to_0_address_term_bound_2,bitIndex4) )).

fof(transient_address_definition_107,axiom,
    ( $true
    & ( addressVal(v12137_range_3_to_0_address_term_bound_2,bitIndex0)
    <=> v12137(constB2,bitIndex0) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_2,bitIndex1)
    <=> v12137(constB2,bitIndex1) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_2,bitIndex2)
    <=> v12137(constB2,bitIndex2) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_2,bitIndex3)
    <=> v12137(constB2,bitIndex3) ) )).

fof(is_address_128,axiom,(
    address(v12137_range_3_to_0_address_term_bound_2) )).

fof(address_association_107,axiom,(
    v12137_range_3_to_0_address_association(constB2,v12137_range_3_to_0_address_term_bound_2) )).

fof(address_false_msb_122,axiom,(
    ~ addressVal(v12137_range_3_to_0_address_term_bound_1,bitIndex4) )).

fof(transient_address_definition_106,axiom,
    ( $true
    & ( addressVal(v12137_range_3_to_0_address_term_bound_1,bitIndex0)
    <=> v12137(constB1,bitIndex0) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_1,bitIndex1)
    <=> v12137(constB1,bitIndex1) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_1,bitIndex2)
    <=> v12137(constB1,bitIndex2) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_1,bitIndex3)
    <=> v12137(constB1,bitIndex3) ) )).

fof(is_address_127,axiom,(
    address(v12137_range_3_to_0_address_term_bound_1) )).

fof(address_association_106,axiom,(
    v12137_range_3_to_0_address_association(constB1,v12137_range_3_to_0_address_term_bound_1) )).

fof(address_false_msb_121,axiom,(
    ~ addressVal(v12137_range_3_to_0_address_term_bound_0,bitIndex4) )).

fof(transient_address_definition_105,axiom,
    ( $true
    & ( addressVal(v12137_range_3_to_0_address_term_bound_0,bitIndex0)
    <=> v12137(constB0,bitIndex0) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_0,bitIndex1)
    <=> v12137(constB0,bitIndex1) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_0,bitIndex2)
    <=> v12137(constB0,bitIndex2) )
    & ( addressVal(v12137_range_3_to_0_address_term_bound_0,bitIndex3)
    <=> v12137(constB0,bitIndex3) ) )).

fof(is_address_126,axiom,(
    address(v12137_range_3_to_0_address_term_bound_0) )).

fof(address_association_105,axiom,(
    v12137_range_3_to_0_address_association(constB0,v12137_range_3_to_0_address_term_bound_0) )).

fof(address_false_msb_120,axiom,(
    ~ addressVal(v12071_range_3_to_0_address_term_bound_20,bitIndex4) )).

fof(transient_address_definition_104,axiom,
    ( $true
    & ( addressVal(v12071_range_3_to_0_address_term_bound_20,bitIndex0)
    <=> v12071(constB20,bitIndex0) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_20,bitIndex1)
    <=> v12071(constB20,bitIndex1) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_20,bitIndex2)
    <=> v12071(constB20,bitIndex2) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_20,bitIndex3)
    <=> v12071(constB20,bitIndex3) ) )).

fof(is_address_125,axiom,(
    address(v12071_range_3_to_0_address_term_bound_20) )).

fof(address_association_104,axiom,(
    v12071_range_3_to_0_address_association(constB20,v12071_range_3_to_0_address_term_bound_20) )).

fof(address_false_msb_119,axiom,(
    ~ addressVal(v12071_range_3_to_0_address_term_bound_19,bitIndex4) )).

fof(transient_address_definition_103,axiom,
    ( $true
    & ( addressVal(v12071_range_3_to_0_address_term_bound_19,bitIndex0)
    <=> v12071(constB19,bitIndex0) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_19,bitIndex1)
    <=> v12071(constB19,bitIndex1) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_19,bitIndex2)
    <=> v12071(constB19,bitIndex2) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_19,bitIndex3)
    <=> v12071(constB19,bitIndex3) ) )).

fof(is_address_124,axiom,(
    address(v12071_range_3_to_0_address_term_bound_19) )).

fof(address_association_103,axiom,(
    v12071_range_3_to_0_address_association(constB19,v12071_range_3_to_0_address_term_bound_19) )).

fof(address_false_msb_118,axiom,(
    ~ addressVal(v12071_range_3_to_0_address_term_bound_18,bitIndex4) )).

fof(transient_address_definition_102,axiom,
    ( $true
    & ( addressVal(v12071_range_3_to_0_address_term_bound_18,bitIndex0)
    <=> v12071(constB18,bitIndex0) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_18,bitIndex1)
    <=> v12071(constB18,bitIndex1) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_18,bitIndex2)
    <=> v12071(constB18,bitIndex2) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_18,bitIndex3)
    <=> v12071(constB18,bitIndex3) ) )).

fof(is_address_123,axiom,(
    address(v12071_range_3_to_0_address_term_bound_18) )).

fof(address_association_102,axiom,(
    v12071_range_3_to_0_address_association(constB18,v12071_range_3_to_0_address_term_bound_18) )).

fof(address_false_msb_117,axiom,(
    ~ addressVal(v12071_range_3_to_0_address_term_bound_17,bitIndex4) )).

fof(transient_address_definition_101,axiom,
    ( $true
    & ( addressVal(v12071_range_3_to_0_address_term_bound_17,bitIndex0)
    <=> v12071(constB17,bitIndex0) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_17,bitIndex1)
    <=> v12071(constB17,bitIndex1) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_17,bitIndex2)
    <=> v12071(constB17,bitIndex2) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_17,bitIndex3)
    <=> v12071(constB17,bitIndex3) ) )).

fof(is_address_122,axiom,(
    address(v12071_range_3_to_0_address_term_bound_17) )).

fof(address_association_101,axiom,(
    v12071_range_3_to_0_address_association(constB17,v12071_range_3_to_0_address_term_bound_17) )).

fof(address_false_msb_116,axiom,(
    ~ addressVal(v12071_range_3_to_0_address_term_bound_16,bitIndex4) )).

fof(transient_address_definition_100,axiom,
    ( $true
    & ( addressVal(v12071_range_3_to_0_address_term_bound_16,bitIndex0)
    <=> v12071(constB16,bitIndex0) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_16,bitIndex1)
    <=> v12071(constB16,bitIndex1) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_16,bitIndex2)
    <=> v12071(constB16,bitIndex2) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_16,bitIndex3)
    <=> v12071(constB16,bitIndex3) ) )).

fof(is_address_121,axiom,(
    address(v12071_range_3_to_0_address_term_bound_16) )).

fof(address_association_100,axiom,(
    v12071_range_3_to_0_address_association(constB16,v12071_range_3_to_0_address_term_bound_16) )).

fof(address_false_msb_115,axiom,(
    ~ addressVal(v12071_range_3_to_0_address_term_bound_15,bitIndex4) )).

fof(transient_address_definition_99,axiom,
    ( $true
    & ( addressVal(v12071_range_3_to_0_address_term_bound_15,bitIndex0)
    <=> v12071(constB15,bitIndex0) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_15,bitIndex1)
    <=> v12071(constB15,bitIndex1) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_15,bitIndex2)
    <=> v12071(constB15,bitIndex2) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_15,bitIndex3)
    <=> v12071(constB15,bitIndex3) ) )).

fof(is_address_120,axiom,(
    address(v12071_range_3_to_0_address_term_bound_15) )).

fof(address_association_99,axiom,(
    v12071_range_3_to_0_address_association(constB15,v12071_range_3_to_0_address_term_bound_15) )).

fof(address_false_msb_114,axiom,(
    ~ addressVal(v12071_range_3_to_0_address_term_bound_14,bitIndex4) )).

fof(transient_address_definition_98,axiom,
    ( $true
    & ( addressVal(v12071_range_3_to_0_address_term_bound_14,bitIndex0)
    <=> v12071(constB14,bitIndex0) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_14,bitIndex1)
    <=> v12071(constB14,bitIndex1) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_14,bitIndex2)
    <=> v12071(constB14,bitIndex2) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_14,bitIndex3)
    <=> v12071(constB14,bitIndex3) ) )).

fof(is_address_119,axiom,(
    address(v12071_range_3_to_0_address_term_bound_14) )).

fof(address_association_98,axiom,(
    v12071_range_3_to_0_address_association(constB14,v12071_range_3_to_0_address_term_bound_14) )).

fof(address_false_msb_113,axiom,(
    ~ addressVal(v12071_range_3_to_0_address_term_bound_13,bitIndex4) )).

fof(transient_address_definition_97,axiom,
    ( $true
    & ( addressVal(v12071_range_3_to_0_address_term_bound_13,bitIndex0)
    <=> v12071(constB13,bitIndex0) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_13,bitIndex1)
    <=> v12071(constB13,bitIndex1) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_13,bitIndex2)
    <=> v12071(constB13,bitIndex2) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_13,bitIndex3)
    <=> v12071(constB13,bitIndex3) ) )).

fof(is_address_118,axiom,(
    address(v12071_range_3_to_0_address_term_bound_13) )).

fof(address_association_97,axiom,(
    v12071_range_3_to_0_address_association(constB13,v12071_range_3_to_0_address_term_bound_13) )).

fof(address_false_msb_112,axiom,(
    ~ addressVal(v12071_range_3_to_0_address_term_bound_12,bitIndex4) )).

fof(transient_address_definition_96,axiom,
    ( $true
    & ( addressVal(v12071_range_3_to_0_address_term_bound_12,bitIndex0)
    <=> v12071(constB12,bitIndex0) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_12,bitIndex1)
    <=> v12071(constB12,bitIndex1) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_12,bitIndex2)
    <=> v12071(constB12,bitIndex2) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_12,bitIndex3)
    <=> v12071(constB12,bitIndex3) ) )).

fof(is_address_117,axiom,(
    address(v12071_range_3_to_0_address_term_bound_12) )).

fof(address_association_96,axiom,(
    v12071_range_3_to_0_address_association(constB12,v12071_range_3_to_0_address_term_bound_12) )).

fof(address_false_msb_111,axiom,(
    ~ addressVal(v12071_range_3_to_0_address_term_bound_11,bitIndex4) )).

fof(transient_address_definition_95,axiom,
    ( $true
    & ( addressVal(v12071_range_3_to_0_address_term_bound_11,bitIndex0)
    <=> v12071(constB11,bitIndex0) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_11,bitIndex1)
    <=> v12071(constB11,bitIndex1) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_11,bitIndex2)
    <=> v12071(constB11,bitIndex2) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_11,bitIndex3)
    <=> v12071(constB11,bitIndex3) ) )).

fof(is_address_116,axiom,(
    address(v12071_range_3_to_0_address_term_bound_11) )).

fof(address_association_95,axiom,(
    v12071_range_3_to_0_address_association(constB11,v12071_range_3_to_0_address_term_bound_11) )).

fof(address_false_msb_110,axiom,(
    ~ addressVal(v12071_range_3_to_0_address_term_bound_10,bitIndex4) )).

fof(transient_address_definition_94,axiom,
    ( $true
    & ( addressVal(v12071_range_3_to_0_address_term_bound_10,bitIndex0)
    <=> v12071(constB10,bitIndex0) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_10,bitIndex1)
    <=> v12071(constB10,bitIndex1) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_10,bitIndex2)
    <=> v12071(constB10,bitIndex2) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_10,bitIndex3)
    <=> v12071(constB10,bitIndex3) ) )).

fof(is_address_115,axiom,(
    address(v12071_range_3_to_0_address_term_bound_10) )).

fof(address_association_94,axiom,(
    v12071_range_3_to_0_address_association(constB10,v12071_range_3_to_0_address_term_bound_10) )).

fof(address_false_msb_109,axiom,(
    ~ addressVal(v12071_range_3_to_0_address_term_bound_9,bitIndex4) )).

fof(transient_address_definition_93,axiom,
    ( $true
    & ( addressVal(v12071_range_3_to_0_address_term_bound_9,bitIndex0)
    <=> v12071(constB9,bitIndex0) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_9,bitIndex1)
    <=> v12071(constB9,bitIndex1) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_9,bitIndex2)
    <=> v12071(constB9,bitIndex2) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_9,bitIndex3)
    <=> v12071(constB9,bitIndex3) ) )).

fof(is_address_114,axiom,(
    address(v12071_range_3_to_0_address_term_bound_9) )).

fof(address_association_93,axiom,(
    v12071_range_3_to_0_address_association(constB9,v12071_range_3_to_0_address_term_bound_9) )).

fof(address_false_msb_108,axiom,(
    ~ addressVal(v12071_range_3_to_0_address_term_bound_8,bitIndex4) )).

fof(transient_address_definition_92,axiom,
    ( $true
    & ( addressVal(v12071_range_3_to_0_address_term_bound_8,bitIndex0)
    <=> v12071(constB8,bitIndex0) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_8,bitIndex1)
    <=> v12071(constB8,bitIndex1) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_8,bitIndex2)
    <=> v12071(constB8,bitIndex2) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_8,bitIndex3)
    <=> v12071(constB8,bitIndex3) ) )).

fof(is_address_113,axiom,(
    address(v12071_range_3_to_0_address_term_bound_8) )).

fof(address_association_92,axiom,(
    v12071_range_3_to_0_address_association(constB8,v12071_range_3_to_0_address_term_bound_8) )).

fof(address_false_msb_107,axiom,(
    ~ addressVal(v12071_range_3_to_0_address_term_bound_7,bitIndex4) )).

fof(transient_address_definition_91,axiom,
    ( $true
    & ( addressVal(v12071_range_3_to_0_address_term_bound_7,bitIndex0)
    <=> v12071(constB7,bitIndex0) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_7,bitIndex1)
    <=> v12071(constB7,bitIndex1) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_7,bitIndex2)
    <=> v12071(constB7,bitIndex2) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_7,bitIndex3)
    <=> v12071(constB7,bitIndex3) ) )).

fof(is_address_112,axiom,(
    address(v12071_range_3_to_0_address_term_bound_7) )).

fof(address_association_91,axiom,(
    v12071_range_3_to_0_address_association(constB7,v12071_range_3_to_0_address_term_bound_7) )).

fof(address_false_msb_106,axiom,(
    ~ addressVal(v12071_range_3_to_0_address_term_bound_6,bitIndex4) )).

fof(transient_address_definition_90,axiom,
    ( $true
    & ( addressVal(v12071_range_3_to_0_address_term_bound_6,bitIndex0)
    <=> v12071(constB6,bitIndex0) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_6,bitIndex1)
    <=> v12071(constB6,bitIndex1) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_6,bitIndex2)
    <=> v12071(constB6,bitIndex2) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_6,bitIndex3)
    <=> v12071(constB6,bitIndex3) ) )).

fof(is_address_111,axiom,(
    address(v12071_range_3_to_0_address_term_bound_6) )).

fof(address_association_90,axiom,(
    v12071_range_3_to_0_address_association(constB6,v12071_range_3_to_0_address_term_bound_6) )).

fof(address_false_msb_105,axiom,(
    ~ addressVal(v12071_range_3_to_0_address_term_bound_5,bitIndex4) )).

fof(transient_address_definition_89,axiom,
    ( $true
    & ( addressVal(v12071_range_3_to_0_address_term_bound_5,bitIndex0)
    <=> v12071(constB5,bitIndex0) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_5,bitIndex1)
    <=> v12071(constB5,bitIndex1) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_5,bitIndex2)
    <=> v12071(constB5,bitIndex2) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_5,bitIndex3)
    <=> v12071(constB5,bitIndex3) ) )).

fof(is_address_110,axiom,(
    address(v12071_range_3_to_0_address_term_bound_5) )).

fof(address_association_89,axiom,(
    v12071_range_3_to_0_address_association(constB5,v12071_range_3_to_0_address_term_bound_5) )).

fof(address_false_msb_104,axiom,(
    ~ addressVal(v12071_range_3_to_0_address_term_bound_4,bitIndex4) )).

fof(transient_address_definition_88,axiom,
    ( $true
    & ( addressVal(v12071_range_3_to_0_address_term_bound_4,bitIndex0)
    <=> v12071(constB4,bitIndex0) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_4,bitIndex1)
    <=> v12071(constB4,bitIndex1) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_4,bitIndex2)
    <=> v12071(constB4,bitIndex2) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_4,bitIndex3)
    <=> v12071(constB4,bitIndex3) ) )).

fof(is_address_109,axiom,(
    address(v12071_range_3_to_0_address_term_bound_4) )).

fof(address_association_88,axiom,(
    v12071_range_3_to_0_address_association(constB4,v12071_range_3_to_0_address_term_bound_4) )).

fof(address_false_msb_103,axiom,(
    ~ addressVal(v12071_range_3_to_0_address_term_bound_3,bitIndex4) )).

fof(transient_address_definition_87,axiom,
    ( $true
    & ( addressVal(v12071_range_3_to_0_address_term_bound_3,bitIndex0)
    <=> v12071(constB3,bitIndex0) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_3,bitIndex1)
    <=> v12071(constB3,bitIndex1) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_3,bitIndex2)
    <=> v12071(constB3,bitIndex2) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_3,bitIndex3)
    <=> v12071(constB3,bitIndex3) ) )).

fof(is_address_108,axiom,(
    address(v12071_range_3_to_0_address_term_bound_3) )).

fof(address_association_87,axiom,(
    v12071_range_3_to_0_address_association(constB3,v12071_range_3_to_0_address_term_bound_3) )).

fof(address_false_msb_102,axiom,(
    ~ addressVal(v12071_range_3_to_0_address_term_bound_2,bitIndex4) )).

fof(transient_address_definition_86,axiom,
    ( $true
    & ( addressVal(v12071_range_3_to_0_address_term_bound_2,bitIndex0)
    <=> v12071(constB2,bitIndex0) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_2,bitIndex1)
    <=> v12071(constB2,bitIndex1) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_2,bitIndex2)
    <=> v12071(constB2,bitIndex2) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_2,bitIndex3)
    <=> v12071(constB2,bitIndex3) ) )).

fof(is_address_107,axiom,(
    address(v12071_range_3_to_0_address_term_bound_2) )).

fof(address_association_86,axiom,(
    v12071_range_3_to_0_address_association(constB2,v12071_range_3_to_0_address_term_bound_2) )).

fof(address_false_msb_101,axiom,(
    ~ addressVal(v12071_range_3_to_0_address_term_bound_1,bitIndex4) )).

fof(transient_address_definition_85,axiom,
    ( $true
    & ( addressVal(v12071_range_3_to_0_address_term_bound_1,bitIndex0)
    <=> v12071(constB1,bitIndex0) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_1,bitIndex1)
    <=> v12071(constB1,bitIndex1) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_1,bitIndex2)
    <=> v12071(constB1,bitIndex2) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_1,bitIndex3)
    <=> v12071(constB1,bitIndex3) ) )).

fof(is_address_106,axiom,(
    address(v12071_range_3_to_0_address_term_bound_1) )).

fof(address_association_85,axiom,(
    v12071_range_3_to_0_address_association(constB1,v12071_range_3_to_0_address_term_bound_1) )).

fof(address_false_msb_100,axiom,(
    ~ addressVal(v12071_range_3_to_0_address_term_bound_0,bitIndex4) )).

fof(transient_address_definition_84,axiom,
    ( $true
    & ( addressVal(v12071_range_3_to_0_address_term_bound_0,bitIndex0)
    <=> v12071(constB0,bitIndex0) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_0,bitIndex1)
    <=> v12071(constB0,bitIndex1) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_0,bitIndex2)
    <=> v12071(constB0,bitIndex2) )
    & ( addressVal(v12071_range_3_to_0_address_term_bound_0,bitIndex3)
    <=> v12071(constB0,bitIndex3) ) )).

fof(is_address_105,axiom,(
    address(v12071_range_3_to_0_address_term_bound_0) )).

fof(address_association_84,axiom,(
    v12071_range_3_to_0_address_association(constB0,v12071_range_3_to_0_address_term_bound_0) )).

fof(is_address_104,axiom,(
    address(b10000_address_term) )).

fof(constant_address_definition_20,axiom,(
    ! [B] :
      ( addressVal(b10000_address_term,B)
    <=> b10000(B) ) )).

fof(address_false_msb_99,axiom,(
    ~ addressVal(v11825_range_3_to_0_address_term_bound_20,bitIndex4) )).

fof(transient_address_definition_83,axiom,
    ( $true
    & ( addressVal(v11825_range_3_to_0_address_term_bound_20,bitIndex0)
    <=> v11825(constB20,bitIndex0) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_20,bitIndex1)
    <=> v11825(constB20,bitIndex1) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_20,bitIndex2)
    <=> v11825(constB20,bitIndex2) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_20,bitIndex3)
    <=> v11825(constB20,bitIndex3) ) )).

fof(is_address_103,axiom,(
    address(v11825_range_3_to_0_address_term_bound_20) )).

fof(address_association_83,axiom,(
    v11825_range_3_to_0_address_association(constB20,v11825_range_3_to_0_address_term_bound_20) )).

fof(address_false_msb_98,axiom,(
    ~ addressVal(v11825_range_3_to_0_address_term_bound_19,bitIndex4) )).

fof(transient_address_definition_82,axiom,
    ( $true
    & ( addressVal(v11825_range_3_to_0_address_term_bound_19,bitIndex0)
    <=> v11825(constB19,bitIndex0) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_19,bitIndex1)
    <=> v11825(constB19,bitIndex1) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_19,bitIndex2)
    <=> v11825(constB19,bitIndex2) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_19,bitIndex3)
    <=> v11825(constB19,bitIndex3) ) )).

fof(is_address_102,axiom,(
    address(v11825_range_3_to_0_address_term_bound_19) )).

fof(address_association_82,axiom,(
    v11825_range_3_to_0_address_association(constB19,v11825_range_3_to_0_address_term_bound_19) )).

fof(address_false_msb_97,axiom,(
    ~ addressVal(v11825_range_3_to_0_address_term_bound_18,bitIndex4) )).

fof(transient_address_definition_81,axiom,
    ( $true
    & ( addressVal(v11825_range_3_to_0_address_term_bound_18,bitIndex0)
    <=> v11825(constB18,bitIndex0) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_18,bitIndex1)
    <=> v11825(constB18,bitIndex1) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_18,bitIndex2)
    <=> v11825(constB18,bitIndex2) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_18,bitIndex3)
    <=> v11825(constB18,bitIndex3) ) )).

fof(is_address_101,axiom,(
    address(v11825_range_3_to_0_address_term_bound_18) )).

fof(address_association_81,axiom,(
    v11825_range_3_to_0_address_association(constB18,v11825_range_3_to_0_address_term_bound_18) )).

fof(address_false_msb_96,axiom,(
    ~ addressVal(v11825_range_3_to_0_address_term_bound_17,bitIndex4) )).

fof(transient_address_definition_80,axiom,
    ( $true
    & ( addressVal(v11825_range_3_to_0_address_term_bound_17,bitIndex0)
    <=> v11825(constB17,bitIndex0) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_17,bitIndex1)
    <=> v11825(constB17,bitIndex1) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_17,bitIndex2)
    <=> v11825(constB17,bitIndex2) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_17,bitIndex3)
    <=> v11825(constB17,bitIndex3) ) )).

fof(is_address_100,axiom,(
    address(v11825_range_3_to_0_address_term_bound_17) )).

fof(address_association_80,axiom,(
    v11825_range_3_to_0_address_association(constB17,v11825_range_3_to_0_address_term_bound_17) )).

fof(address_false_msb_95,axiom,(
    ~ addressVal(v11825_range_3_to_0_address_term_bound_16,bitIndex4) )).

fof(transient_address_definition_79,axiom,
    ( $true
    & ( addressVal(v11825_range_3_to_0_address_term_bound_16,bitIndex0)
    <=> v11825(constB16,bitIndex0) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_16,bitIndex1)
    <=> v11825(constB16,bitIndex1) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_16,bitIndex2)
    <=> v11825(constB16,bitIndex2) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_16,bitIndex3)
    <=> v11825(constB16,bitIndex3) ) )).

fof(is_address_99,axiom,(
    address(v11825_range_3_to_0_address_term_bound_16) )).

fof(address_association_79,axiom,(
    v11825_range_3_to_0_address_association(constB16,v11825_range_3_to_0_address_term_bound_16) )).

fof(address_false_msb_94,axiom,(
    ~ addressVal(v11825_range_3_to_0_address_term_bound_15,bitIndex4) )).

fof(transient_address_definition_78,axiom,
    ( $true
    & ( addressVal(v11825_range_3_to_0_address_term_bound_15,bitIndex0)
    <=> v11825(constB15,bitIndex0) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_15,bitIndex1)
    <=> v11825(constB15,bitIndex1) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_15,bitIndex2)
    <=> v11825(constB15,bitIndex2) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_15,bitIndex3)
    <=> v11825(constB15,bitIndex3) ) )).

fof(is_address_98,axiom,(
    address(v11825_range_3_to_0_address_term_bound_15) )).

fof(address_association_78,axiom,(
    v11825_range_3_to_0_address_association(constB15,v11825_range_3_to_0_address_term_bound_15) )).

fof(address_false_msb_93,axiom,(
    ~ addressVal(v11825_range_3_to_0_address_term_bound_14,bitIndex4) )).

fof(transient_address_definition_77,axiom,
    ( $true
    & ( addressVal(v11825_range_3_to_0_address_term_bound_14,bitIndex0)
    <=> v11825(constB14,bitIndex0) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_14,bitIndex1)
    <=> v11825(constB14,bitIndex1) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_14,bitIndex2)
    <=> v11825(constB14,bitIndex2) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_14,bitIndex3)
    <=> v11825(constB14,bitIndex3) ) )).

fof(is_address_97,axiom,(
    address(v11825_range_3_to_0_address_term_bound_14) )).

fof(address_association_77,axiom,(
    v11825_range_3_to_0_address_association(constB14,v11825_range_3_to_0_address_term_bound_14) )).

fof(address_false_msb_92,axiom,(
    ~ addressVal(v11825_range_3_to_0_address_term_bound_13,bitIndex4) )).

fof(transient_address_definition_76,axiom,
    ( $true
    & ( addressVal(v11825_range_3_to_0_address_term_bound_13,bitIndex0)
    <=> v11825(constB13,bitIndex0) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_13,bitIndex1)
    <=> v11825(constB13,bitIndex1) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_13,bitIndex2)
    <=> v11825(constB13,bitIndex2) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_13,bitIndex3)
    <=> v11825(constB13,bitIndex3) ) )).

fof(is_address_96,axiom,(
    address(v11825_range_3_to_0_address_term_bound_13) )).

fof(address_association_76,axiom,(
    v11825_range_3_to_0_address_association(constB13,v11825_range_3_to_0_address_term_bound_13) )).

fof(address_false_msb_91,axiom,(
    ~ addressVal(v11825_range_3_to_0_address_term_bound_12,bitIndex4) )).

fof(transient_address_definition_75,axiom,
    ( $true
    & ( addressVal(v11825_range_3_to_0_address_term_bound_12,bitIndex0)
    <=> v11825(constB12,bitIndex0) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_12,bitIndex1)
    <=> v11825(constB12,bitIndex1) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_12,bitIndex2)
    <=> v11825(constB12,bitIndex2) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_12,bitIndex3)
    <=> v11825(constB12,bitIndex3) ) )).

fof(is_address_95,axiom,(
    address(v11825_range_3_to_0_address_term_bound_12) )).

fof(address_association_75,axiom,(
    v11825_range_3_to_0_address_association(constB12,v11825_range_3_to_0_address_term_bound_12) )).

fof(address_false_msb_90,axiom,(
    ~ addressVal(v11825_range_3_to_0_address_term_bound_11,bitIndex4) )).

fof(transient_address_definition_74,axiom,
    ( $true
    & ( addressVal(v11825_range_3_to_0_address_term_bound_11,bitIndex0)
    <=> v11825(constB11,bitIndex0) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_11,bitIndex1)
    <=> v11825(constB11,bitIndex1) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_11,bitIndex2)
    <=> v11825(constB11,bitIndex2) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_11,bitIndex3)
    <=> v11825(constB11,bitIndex3) ) )).

fof(is_address_94,axiom,(
    address(v11825_range_3_to_0_address_term_bound_11) )).

fof(address_association_74,axiom,(
    v11825_range_3_to_0_address_association(constB11,v11825_range_3_to_0_address_term_bound_11) )).

fof(address_false_msb_89,axiom,(
    ~ addressVal(v11825_range_3_to_0_address_term_bound_10,bitIndex4) )).

fof(transient_address_definition_73,axiom,
    ( $true
    & ( addressVal(v11825_range_3_to_0_address_term_bound_10,bitIndex0)
    <=> v11825(constB10,bitIndex0) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_10,bitIndex1)
    <=> v11825(constB10,bitIndex1) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_10,bitIndex2)
    <=> v11825(constB10,bitIndex2) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_10,bitIndex3)
    <=> v11825(constB10,bitIndex3) ) )).

fof(is_address_93,axiom,(
    address(v11825_range_3_to_0_address_term_bound_10) )).

fof(address_association_73,axiom,(
    v11825_range_3_to_0_address_association(constB10,v11825_range_3_to_0_address_term_bound_10) )).

fof(address_false_msb_88,axiom,(
    ~ addressVal(v11825_range_3_to_0_address_term_bound_9,bitIndex4) )).

fof(transient_address_definition_72,axiom,
    ( $true
    & ( addressVal(v11825_range_3_to_0_address_term_bound_9,bitIndex0)
    <=> v11825(constB9,bitIndex0) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_9,bitIndex1)
    <=> v11825(constB9,bitIndex1) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_9,bitIndex2)
    <=> v11825(constB9,bitIndex2) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_9,bitIndex3)
    <=> v11825(constB9,bitIndex3) ) )).

fof(is_address_92,axiom,(
    address(v11825_range_3_to_0_address_term_bound_9) )).

fof(address_association_72,axiom,(
    v11825_range_3_to_0_address_association(constB9,v11825_range_3_to_0_address_term_bound_9) )).

fof(address_false_msb_87,axiom,(
    ~ addressVal(v11825_range_3_to_0_address_term_bound_8,bitIndex4) )).

fof(transient_address_definition_71,axiom,
    ( $true
    & ( addressVal(v11825_range_3_to_0_address_term_bound_8,bitIndex0)
    <=> v11825(constB8,bitIndex0) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_8,bitIndex1)
    <=> v11825(constB8,bitIndex1) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_8,bitIndex2)
    <=> v11825(constB8,bitIndex2) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_8,bitIndex3)
    <=> v11825(constB8,bitIndex3) ) )).

fof(is_address_91,axiom,(
    address(v11825_range_3_to_0_address_term_bound_8) )).

fof(address_association_71,axiom,(
    v11825_range_3_to_0_address_association(constB8,v11825_range_3_to_0_address_term_bound_8) )).

fof(address_false_msb_86,axiom,(
    ~ addressVal(v11825_range_3_to_0_address_term_bound_7,bitIndex4) )).

fof(transient_address_definition_70,axiom,
    ( $true
    & ( addressVal(v11825_range_3_to_0_address_term_bound_7,bitIndex0)
    <=> v11825(constB7,bitIndex0) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_7,bitIndex1)
    <=> v11825(constB7,bitIndex1) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_7,bitIndex2)
    <=> v11825(constB7,bitIndex2) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_7,bitIndex3)
    <=> v11825(constB7,bitIndex3) ) )).

fof(is_address_90,axiom,(
    address(v11825_range_3_to_0_address_term_bound_7) )).

fof(address_association_70,axiom,(
    v11825_range_3_to_0_address_association(constB7,v11825_range_3_to_0_address_term_bound_7) )).

fof(address_false_msb_85,axiom,(
    ~ addressVal(v11825_range_3_to_0_address_term_bound_6,bitIndex4) )).

fof(transient_address_definition_69,axiom,
    ( $true
    & ( addressVal(v11825_range_3_to_0_address_term_bound_6,bitIndex0)
    <=> v11825(constB6,bitIndex0) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_6,bitIndex1)
    <=> v11825(constB6,bitIndex1) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_6,bitIndex2)
    <=> v11825(constB6,bitIndex2) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_6,bitIndex3)
    <=> v11825(constB6,bitIndex3) ) )).

fof(is_address_89,axiom,(
    address(v11825_range_3_to_0_address_term_bound_6) )).

fof(address_association_69,axiom,(
    v11825_range_3_to_0_address_association(constB6,v11825_range_3_to_0_address_term_bound_6) )).

fof(address_false_msb_84,axiom,(
    ~ addressVal(v11825_range_3_to_0_address_term_bound_5,bitIndex4) )).

fof(transient_address_definition_68,axiom,
    ( $true
    & ( addressVal(v11825_range_3_to_0_address_term_bound_5,bitIndex0)
    <=> v11825(constB5,bitIndex0) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_5,bitIndex1)
    <=> v11825(constB5,bitIndex1) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_5,bitIndex2)
    <=> v11825(constB5,bitIndex2) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_5,bitIndex3)
    <=> v11825(constB5,bitIndex3) ) )).

fof(is_address_88,axiom,(
    address(v11825_range_3_to_0_address_term_bound_5) )).

fof(address_association_68,axiom,(
    v11825_range_3_to_0_address_association(constB5,v11825_range_3_to_0_address_term_bound_5) )).

fof(address_false_msb_83,axiom,(
    ~ addressVal(v11825_range_3_to_0_address_term_bound_4,bitIndex4) )).

fof(transient_address_definition_67,axiom,
    ( $true
    & ( addressVal(v11825_range_3_to_0_address_term_bound_4,bitIndex0)
    <=> v11825(constB4,bitIndex0) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_4,bitIndex1)
    <=> v11825(constB4,bitIndex1) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_4,bitIndex2)
    <=> v11825(constB4,bitIndex2) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_4,bitIndex3)
    <=> v11825(constB4,bitIndex3) ) )).

fof(is_address_87,axiom,(
    address(v11825_range_3_to_0_address_term_bound_4) )).

fof(address_association_67,axiom,(
    v11825_range_3_to_0_address_association(constB4,v11825_range_3_to_0_address_term_bound_4) )).

fof(address_false_msb_82,axiom,(
    ~ addressVal(v11825_range_3_to_0_address_term_bound_3,bitIndex4) )).

fof(transient_address_definition_66,axiom,
    ( $true
    & ( addressVal(v11825_range_3_to_0_address_term_bound_3,bitIndex0)
    <=> v11825(constB3,bitIndex0) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_3,bitIndex1)
    <=> v11825(constB3,bitIndex1) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_3,bitIndex2)
    <=> v11825(constB3,bitIndex2) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_3,bitIndex3)
    <=> v11825(constB3,bitIndex3) ) )).

fof(is_address_86,axiom,(
    address(v11825_range_3_to_0_address_term_bound_3) )).

fof(address_association_66,axiom,(
    v11825_range_3_to_0_address_association(constB3,v11825_range_3_to_0_address_term_bound_3) )).

fof(address_false_msb_81,axiom,(
    ~ addressVal(v11825_range_3_to_0_address_term_bound_2,bitIndex4) )).

fof(transient_address_definition_65,axiom,
    ( $true
    & ( addressVal(v11825_range_3_to_0_address_term_bound_2,bitIndex0)
    <=> v11825(constB2,bitIndex0) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_2,bitIndex1)
    <=> v11825(constB2,bitIndex1) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_2,bitIndex2)
    <=> v11825(constB2,bitIndex2) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_2,bitIndex3)
    <=> v11825(constB2,bitIndex3) ) )).

fof(is_address_85,axiom,(
    address(v11825_range_3_to_0_address_term_bound_2) )).

fof(address_association_65,axiom,(
    v11825_range_3_to_0_address_association(constB2,v11825_range_3_to_0_address_term_bound_2) )).

fof(address_false_msb_80,axiom,(
    ~ addressVal(v11825_range_3_to_0_address_term_bound_1,bitIndex4) )).

fof(transient_address_definition_64,axiom,
    ( $true
    & ( addressVal(v11825_range_3_to_0_address_term_bound_1,bitIndex0)
    <=> v11825(constB1,bitIndex0) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_1,bitIndex1)
    <=> v11825(constB1,bitIndex1) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_1,bitIndex2)
    <=> v11825(constB1,bitIndex2) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_1,bitIndex3)
    <=> v11825(constB1,bitIndex3) ) )).

fof(is_address_84,axiom,(
    address(v11825_range_3_to_0_address_term_bound_1) )).

fof(address_association_64,axiom,(
    v11825_range_3_to_0_address_association(constB1,v11825_range_3_to_0_address_term_bound_1) )).

fof(address_false_msb_79,axiom,(
    ~ addressVal(v11825_range_3_to_0_address_term_bound_0,bitIndex4) )).

fof(transient_address_definition_63,axiom,
    ( $true
    & ( addressVal(v11825_range_3_to_0_address_term_bound_0,bitIndex0)
    <=> v11825(constB0,bitIndex0) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_0,bitIndex1)
    <=> v11825(constB0,bitIndex1) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_0,bitIndex2)
    <=> v11825(constB0,bitIndex2) )
    & ( addressVal(v11825_range_3_to_0_address_term_bound_0,bitIndex3)
    <=> v11825(constB0,bitIndex3) ) )).

fof(is_address_83,axiom,(
    address(v11825_range_3_to_0_address_term_bound_0) )).

fof(address_association_63,axiom,(
    v11825_range_3_to_0_address_association(constB0,v11825_range_3_to_0_address_term_bound_0) )).

fof(address_false_msb_78,axiom,(
    ~ addressVal(v11759_range_3_to_0_address_term_bound_20,bitIndex4) )).

fof(transient_address_definition_62,axiom,
    ( $true
    & ( addressVal(v11759_range_3_to_0_address_term_bound_20,bitIndex0)
    <=> v11759(constB20,bitIndex0) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_20,bitIndex1)
    <=> v11759(constB20,bitIndex1) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_20,bitIndex2)
    <=> v11759(constB20,bitIndex2) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_20,bitIndex3)
    <=> v11759(constB20,bitIndex3) ) )).

fof(is_address_82,axiom,(
    address(v11759_range_3_to_0_address_term_bound_20) )).

fof(address_association_62,axiom,(
    v11759_range_3_to_0_address_association(constB20,v11759_range_3_to_0_address_term_bound_20) )).

fof(address_false_msb_77,axiom,(
    ~ addressVal(v11759_range_3_to_0_address_term_bound_19,bitIndex4) )).

fof(transient_address_definition_61,axiom,
    ( $true
    & ( addressVal(v11759_range_3_to_0_address_term_bound_19,bitIndex0)
    <=> v11759(constB19,bitIndex0) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_19,bitIndex1)
    <=> v11759(constB19,bitIndex1) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_19,bitIndex2)
    <=> v11759(constB19,bitIndex2) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_19,bitIndex3)
    <=> v11759(constB19,bitIndex3) ) )).

fof(is_address_81,axiom,(
    address(v11759_range_3_to_0_address_term_bound_19) )).

fof(address_association_61,axiom,(
    v11759_range_3_to_0_address_association(constB19,v11759_range_3_to_0_address_term_bound_19) )).

fof(address_false_msb_76,axiom,(
    ~ addressVal(v11759_range_3_to_0_address_term_bound_18,bitIndex4) )).

fof(transient_address_definition_60,axiom,
    ( $true
    & ( addressVal(v11759_range_3_to_0_address_term_bound_18,bitIndex0)
    <=> v11759(constB18,bitIndex0) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_18,bitIndex1)
    <=> v11759(constB18,bitIndex1) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_18,bitIndex2)
    <=> v11759(constB18,bitIndex2) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_18,bitIndex3)
    <=> v11759(constB18,bitIndex3) ) )).

fof(is_address_80,axiom,(
    address(v11759_range_3_to_0_address_term_bound_18) )).

fof(address_association_60,axiom,(
    v11759_range_3_to_0_address_association(constB18,v11759_range_3_to_0_address_term_bound_18) )).

fof(address_false_msb_75,axiom,(
    ~ addressVal(v11759_range_3_to_0_address_term_bound_17,bitIndex4) )).

fof(transient_address_definition_59,axiom,
    ( $true
    & ( addressVal(v11759_range_3_to_0_address_term_bound_17,bitIndex0)
    <=> v11759(constB17,bitIndex0) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_17,bitIndex1)
    <=> v11759(constB17,bitIndex1) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_17,bitIndex2)
    <=> v11759(constB17,bitIndex2) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_17,bitIndex3)
    <=> v11759(constB17,bitIndex3) ) )).

fof(is_address_79,axiom,(
    address(v11759_range_3_to_0_address_term_bound_17) )).

fof(address_association_59,axiom,(
    v11759_range_3_to_0_address_association(constB17,v11759_range_3_to_0_address_term_bound_17) )).

fof(address_false_msb_74,axiom,(
    ~ addressVal(v11759_range_3_to_0_address_term_bound_16,bitIndex4) )).

fof(transient_address_definition_58,axiom,
    ( $true
    & ( addressVal(v11759_range_3_to_0_address_term_bound_16,bitIndex0)
    <=> v11759(constB16,bitIndex0) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_16,bitIndex1)
    <=> v11759(constB16,bitIndex1) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_16,bitIndex2)
    <=> v11759(constB16,bitIndex2) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_16,bitIndex3)
    <=> v11759(constB16,bitIndex3) ) )).

fof(is_address_78,axiom,(
    address(v11759_range_3_to_0_address_term_bound_16) )).

fof(address_association_58,axiom,(
    v11759_range_3_to_0_address_association(constB16,v11759_range_3_to_0_address_term_bound_16) )).

fof(address_false_msb_73,axiom,(
    ~ addressVal(v11759_range_3_to_0_address_term_bound_15,bitIndex4) )).

fof(transient_address_definition_57,axiom,
    ( $true
    & ( addressVal(v11759_range_3_to_0_address_term_bound_15,bitIndex0)
    <=> v11759(constB15,bitIndex0) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_15,bitIndex1)
    <=> v11759(constB15,bitIndex1) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_15,bitIndex2)
    <=> v11759(constB15,bitIndex2) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_15,bitIndex3)
    <=> v11759(constB15,bitIndex3) ) )).

fof(is_address_77,axiom,(
    address(v11759_range_3_to_0_address_term_bound_15) )).

fof(address_association_57,axiom,(
    v11759_range_3_to_0_address_association(constB15,v11759_range_3_to_0_address_term_bound_15) )).

fof(address_false_msb_72,axiom,(
    ~ addressVal(v11759_range_3_to_0_address_term_bound_14,bitIndex4) )).

fof(transient_address_definition_56,axiom,
    ( $true
    & ( addressVal(v11759_range_3_to_0_address_term_bound_14,bitIndex0)
    <=> v11759(constB14,bitIndex0) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_14,bitIndex1)
    <=> v11759(constB14,bitIndex1) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_14,bitIndex2)
    <=> v11759(constB14,bitIndex2) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_14,bitIndex3)
    <=> v11759(constB14,bitIndex3) ) )).

fof(is_address_76,axiom,(
    address(v11759_range_3_to_0_address_term_bound_14) )).

fof(address_association_56,axiom,(
    v11759_range_3_to_0_address_association(constB14,v11759_range_3_to_0_address_term_bound_14) )).

fof(address_false_msb_71,axiom,(
    ~ addressVal(v11759_range_3_to_0_address_term_bound_13,bitIndex4) )).

fof(transient_address_definition_55,axiom,
    ( $true
    & ( addressVal(v11759_range_3_to_0_address_term_bound_13,bitIndex0)
    <=> v11759(constB13,bitIndex0) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_13,bitIndex1)
    <=> v11759(constB13,bitIndex1) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_13,bitIndex2)
    <=> v11759(constB13,bitIndex2) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_13,bitIndex3)
    <=> v11759(constB13,bitIndex3) ) )).

fof(is_address_75,axiom,(
    address(v11759_range_3_to_0_address_term_bound_13) )).

fof(address_association_55,axiom,(
    v11759_range_3_to_0_address_association(constB13,v11759_range_3_to_0_address_term_bound_13) )).

fof(address_false_msb_70,axiom,(
    ~ addressVal(v11759_range_3_to_0_address_term_bound_12,bitIndex4) )).

fof(transient_address_definition_54,axiom,
    ( $true
    & ( addressVal(v11759_range_3_to_0_address_term_bound_12,bitIndex0)
    <=> v11759(constB12,bitIndex0) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_12,bitIndex1)
    <=> v11759(constB12,bitIndex1) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_12,bitIndex2)
    <=> v11759(constB12,bitIndex2) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_12,bitIndex3)
    <=> v11759(constB12,bitIndex3) ) )).

fof(is_address_74,axiom,(
    address(v11759_range_3_to_0_address_term_bound_12) )).

fof(address_association_54,axiom,(
    v11759_range_3_to_0_address_association(constB12,v11759_range_3_to_0_address_term_bound_12) )).

fof(address_false_msb_69,axiom,(
    ~ addressVal(v11759_range_3_to_0_address_term_bound_11,bitIndex4) )).

fof(transient_address_definition_53,axiom,
    ( $true
    & ( addressVal(v11759_range_3_to_0_address_term_bound_11,bitIndex0)
    <=> v11759(constB11,bitIndex0) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_11,bitIndex1)
    <=> v11759(constB11,bitIndex1) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_11,bitIndex2)
    <=> v11759(constB11,bitIndex2) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_11,bitIndex3)
    <=> v11759(constB11,bitIndex3) ) )).

fof(is_address_73,axiom,(
    address(v11759_range_3_to_0_address_term_bound_11) )).

fof(address_association_53,axiom,(
    v11759_range_3_to_0_address_association(constB11,v11759_range_3_to_0_address_term_bound_11) )).

fof(address_false_msb_68,axiom,(
    ~ addressVal(v11759_range_3_to_0_address_term_bound_10,bitIndex4) )).

fof(transient_address_definition_52,axiom,
    ( $true
    & ( addressVal(v11759_range_3_to_0_address_term_bound_10,bitIndex0)
    <=> v11759(constB10,bitIndex0) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_10,bitIndex1)
    <=> v11759(constB10,bitIndex1) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_10,bitIndex2)
    <=> v11759(constB10,bitIndex2) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_10,bitIndex3)
    <=> v11759(constB10,bitIndex3) ) )).

fof(is_address_72,axiom,(
    address(v11759_range_3_to_0_address_term_bound_10) )).

fof(address_association_52,axiom,(
    v11759_range_3_to_0_address_association(constB10,v11759_range_3_to_0_address_term_bound_10) )).

fof(address_false_msb_67,axiom,(
    ~ addressVal(v11759_range_3_to_0_address_term_bound_9,bitIndex4) )).

fof(transient_address_definition_51,axiom,
    ( $true
    & ( addressVal(v11759_range_3_to_0_address_term_bound_9,bitIndex0)
    <=> v11759(constB9,bitIndex0) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_9,bitIndex1)
    <=> v11759(constB9,bitIndex1) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_9,bitIndex2)
    <=> v11759(constB9,bitIndex2) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_9,bitIndex3)
    <=> v11759(constB9,bitIndex3) ) )).

fof(is_address_71,axiom,(
    address(v11759_range_3_to_0_address_term_bound_9) )).

fof(address_association_51,axiom,(
    v11759_range_3_to_0_address_association(constB9,v11759_range_3_to_0_address_term_bound_9) )).

fof(address_false_msb_66,axiom,(
    ~ addressVal(v11759_range_3_to_0_address_term_bound_8,bitIndex4) )).

fof(transient_address_definition_50,axiom,
    ( $true
    & ( addressVal(v11759_range_3_to_0_address_term_bound_8,bitIndex0)
    <=> v11759(constB8,bitIndex0) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_8,bitIndex1)
    <=> v11759(constB8,bitIndex1) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_8,bitIndex2)
    <=> v11759(constB8,bitIndex2) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_8,bitIndex3)
    <=> v11759(constB8,bitIndex3) ) )).

fof(is_address_70,axiom,(
    address(v11759_range_3_to_0_address_term_bound_8) )).

fof(address_association_50,axiom,(
    v11759_range_3_to_0_address_association(constB8,v11759_range_3_to_0_address_term_bound_8) )).

fof(address_false_msb_65,axiom,(
    ~ addressVal(v11759_range_3_to_0_address_term_bound_7,bitIndex4) )).

fof(transient_address_definition_49,axiom,
    ( $true
    & ( addressVal(v11759_range_3_to_0_address_term_bound_7,bitIndex0)
    <=> v11759(constB7,bitIndex0) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_7,bitIndex1)
    <=> v11759(constB7,bitIndex1) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_7,bitIndex2)
    <=> v11759(constB7,bitIndex2) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_7,bitIndex3)
    <=> v11759(constB7,bitIndex3) ) )).

fof(is_address_69,axiom,(
    address(v11759_range_3_to_0_address_term_bound_7) )).

fof(address_association_49,axiom,(
    v11759_range_3_to_0_address_association(constB7,v11759_range_3_to_0_address_term_bound_7) )).

fof(address_false_msb_64,axiom,(
    ~ addressVal(v11759_range_3_to_0_address_term_bound_6,bitIndex4) )).

fof(transient_address_definition_48,axiom,
    ( $true
    & ( addressVal(v11759_range_3_to_0_address_term_bound_6,bitIndex0)
    <=> v11759(constB6,bitIndex0) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_6,bitIndex1)
    <=> v11759(constB6,bitIndex1) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_6,bitIndex2)
    <=> v11759(constB6,bitIndex2) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_6,bitIndex3)
    <=> v11759(constB6,bitIndex3) ) )).

fof(is_address_68,axiom,(
    address(v11759_range_3_to_0_address_term_bound_6) )).

fof(address_association_48,axiom,(
    v11759_range_3_to_0_address_association(constB6,v11759_range_3_to_0_address_term_bound_6) )).

fof(address_false_msb_63,axiom,(
    ~ addressVal(v11759_range_3_to_0_address_term_bound_5,bitIndex4) )).

fof(transient_address_definition_47,axiom,
    ( $true
    & ( addressVal(v11759_range_3_to_0_address_term_bound_5,bitIndex0)
    <=> v11759(constB5,bitIndex0) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_5,bitIndex1)
    <=> v11759(constB5,bitIndex1) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_5,bitIndex2)
    <=> v11759(constB5,bitIndex2) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_5,bitIndex3)
    <=> v11759(constB5,bitIndex3) ) )).

fof(is_address_67,axiom,(
    address(v11759_range_3_to_0_address_term_bound_5) )).

fof(address_association_47,axiom,(
    v11759_range_3_to_0_address_association(constB5,v11759_range_3_to_0_address_term_bound_5) )).

fof(address_false_msb_62,axiom,(
    ~ addressVal(v11759_range_3_to_0_address_term_bound_4,bitIndex4) )).

fof(transient_address_definition_46,axiom,
    ( $true
    & ( addressVal(v11759_range_3_to_0_address_term_bound_4,bitIndex0)
    <=> v11759(constB4,bitIndex0) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_4,bitIndex1)
    <=> v11759(constB4,bitIndex1) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_4,bitIndex2)
    <=> v11759(constB4,bitIndex2) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_4,bitIndex3)
    <=> v11759(constB4,bitIndex3) ) )).

fof(is_address_66,axiom,(
    address(v11759_range_3_to_0_address_term_bound_4) )).

fof(address_association_46,axiom,(
    v11759_range_3_to_0_address_association(constB4,v11759_range_3_to_0_address_term_bound_4) )).

fof(address_false_msb_61,axiom,(
    ~ addressVal(v11759_range_3_to_0_address_term_bound_3,bitIndex4) )).

fof(transient_address_definition_45,axiom,
    ( $true
    & ( addressVal(v11759_range_3_to_0_address_term_bound_3,bitIndex0)
    <=> v11759(constB3,bitIndex0) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_3,bitIndex1)
    <=> v11759(constB3,bitIndex1) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_3,bitIndex2)
    <=> v11759(constB3,bitIndex2) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_3,bitIndex3)
    <=> v11759(constB3,bitIndex3) ) )).

fof(is_address_65,axiom,(
    address(v11759_range_3_to_0_address_term_bound_3) )).

fof(address_association_45,axiom,(
    v11759_range_3_to_0_address_association(constB3,v11759_range_3_to_0_address_term_bound_3) )).

fof(address_false_msb_60,axiom,(
    ~ addressVal(v11759_range_3_to_0_address_term_bound_2,bitIndex4) )).

fof(transient_address_definition_44,axiom,
    ( $true
    & ( addressVal(v11759_range_3_to_0_address_term_bound_2,bitIndex0)
    <=> v11759(constB2,bitIndex0) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_2,bitIndex1)
    <=> v11759(constB2,bitIndex1) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_2,bitIndex2)
    <=> v11759(constB2,bitIndex2) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_2,bitIndex3)
    <=> v11759(constB2,bitIndex3) ) )).

fof(is_address_64,axiom,(
    address(v11759_range_3_to_0_address_term_bound_2) )).

fof(address_association_44,axiom,(
    v11759_range_3_to_0_address_association(constB2,v11759_range_3_to_0_address_term_bound_2) )).

fof(address_false_msb_59,axiom,(
    ~ addressVal(v11759_range_3_to_0_address_term_bound_1,bitIndex4) )).

fof(transient_address_definition_43,axiom,
    ( $true
    & ( addressVal(v11759_range_3_to_0_address_term_bound_1,bitIndex0)
    <=> v11759(constB1,bitIndex0) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_1,bitIndex1)
    <=> v11759(constB1,bitIndex1) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_1,bitIndex2)
    <=> v11759(constB1,bitIndex2) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_1,bitIndex3)
    <=> v11759(constB1,bitIndex3) ) )).

fof(is_address_63,axiom,(
    address(v11759_range_3_to_0_address_term_bound_1) )).

fof(address_association_43,axiom,(
    v11759_range_3_to_0_address_association(constB1,v11759_range_3_to_0_address_term_bound_1) )).

fof(address_false_msb_58,axiom,(
    ~ addressVal(v11759_range_3_to_0_address_term_bound_0,bitIndex4) )).

fof(transient_address_definition_42,axiom,
    ( $true
    & ( addressVal(v11759_range_3_to_0_address_term_bound_0,bitIndex0)
    <=> v11759(constB0,bitIndex0) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_0,bitIndex1)
    <=> v11759(constB0,bitIndex1) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_0,bitIndex2)
    <=> v11759(constB0,bitIndex2) )
    & ( addressVal(v11759_range_3_to_0_address_term_bound_0,bitIndex3)
    <=> v11759(constB0,bitIndex3) ) )).

fof(is_address_62,axiom,(
    address(v11759_range_3_to_0_address_term_bound_0) )).

fof(address_association_42,axiom,(
    v11759_range_3_to_0_address_association(constB0,v11759_range_3_to_0_address_term_bound_0) )).

fof(address_false_msb_57,axiom,(
    ~ addressVal(b1110_address_term,bitIndex4) )).

fof(is_address_61,axiom,(
    address(b1110_address_term) )).

fof(constant_address_definition_19,axiom,(
    ! [B] :
      ( addressVal(b1110_address_term,B)
    <=> b1110(B) ) )).

fof(address_false_msb_56,axiom,(
    ~ addressVal(b1101_address_term,bitIndex4) )).

fof(is_address_60,axiom,(
    address(b1101_address_term) )).

fof(constant_address_definition_18,axiom,(
    ! [B] :
      ( addressVal(b1101_address_term,B)
    <=> b1101(B) ) )).

fof(address_false_msb_55,axiom,(
    ~ addressVal(b1100_address_term,bitIndex4) )).

fof(is_address_59,axiom,(
    address(b1100_address_term) )).

fof(constant_address_definition_17,axiom,(
    ! [B] :
      ( addressVal(b1100_address_term,B)
    <=> b1100(B) ) )).

fof(address_false_msb_54,axiom,(
    ~ addressVal(b1011_address_term,bitIndex4) )).

fof(is_address_58,axiom,(
    address(b1011_address_term) )).

fof(constant_address_definition_16,axiom,(
    ! [B] :
      ( addressVal(b1011_address_term,B)
    <=> b1011(B) ) )).

fof(address_false_msb_53,axiom,(
    ~ addressVal(b1010_address_term,bitIndex4) )).

fof(is_address_57,axiom,(
    address(b1010_address_term) )).

fof(constant_address_definition_15,axiom,(
    ! [B] :
      ( addressVal(b1010_address_term,B)
    <=> b1010(B) ) )).

fof(is_address_56,axiom,(
    address(b00001_address_term) )).

fof(constant_address_definition_14,axiom,(
    ! [B] :
      ( addressVal(b00001_address_term,B)
    <=> b00001(B) ) )).

fof(address_false_msb_52,axiom,(
    ~ addressVal(v2672_range_3_to_0_address_term_bound_20,bitIndex4) )).

fof(transient_address_definition_41,axiom,
    ( $true
    & ( addressVal(v2672_range_3_to_0_address_term_bound_20,bitIndex0)
    <=> v2672(constB20,bitIndex0) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_20,bitIndex1)
    <=> v2672(constB20,bitIndex1) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_20,bitIndex2)
    <=> v2672(constB20,bitIndex2) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_20,bitIndex3)
    <=> v2672(constB20,bitIndex3) ) )).

fof(is_address_55,axiom,(
    address(v2672_range_3_to_0_address_term_bound_20) )).

fof(address_association_41,axiom,(
    v2672_range_3_to_0_address_association(constB20,v2672_range_3_to_0_address_term_bound_20) )).

fof(address_false_msb_51,axiom,(
    ~ addressVal(v2672_range_3_to_0_address_term_bound_19,bitIndex4) )).

fof(transient_address_definition_40,axiom,
    ( $true
    & ( addressVal(v2672_range_3_to_0_address_term_bound_19,bitIndex0)
    <=> v2672(constB19,bitIndex0) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_19,bitIndex1)
    <=> v2672(constB19,bitIndex1) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_19,bitIndex2)
    <=> v2672(constB19,bitIndex2) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_19,bitIndex3)
    <=> v2672(constB19,bitIndex3) ) )).

fof(is_address_54,axiom,(
    address(v2672_range_3_to_0_address_term_bound_19) )).

fof(address_association_40,axiom,(
    v2672_range_3_to_0_address_association(constB19,v2672_range_3_to_0_address_term_bound_19) )).

fof(address_false_msb_50,axiom,(
    ~ addressVal(v2672_range_3_to_0_address_term_bound_18,bitIndex4) )).

fof(transient_address_definition_39,axiom,
    ( $true
    & ( addressVal(v2672_range_3_to_0_address_term_bound_18,bitIndex0)
    <=> v2672(constB18,bitIndex0) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_18,bitIndex1)
    <=> v2672(constB18,bitIndex1) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_18,bitIndex2)
    <=> v2672(constB18,bitIndex2) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_18,bitIndex3)
    <=> v2672(constB18,bitIndex3) ) )).

fof(is_address_53,axiom,(
    address(v2672_range_3_to_0_address_term_bound_18) )).

fof(address_association_39,axiom,(
    v2672_range_3_to_0_address_association(constB18,v2672_range_3_to_0_address_term_bound_18) )).

fof(address_false_msb_49,axiom,(
    ~ addressVal(v2672_range_3_to_0_address_term_bound_17,bitIndex4) )).

fof(transient_address_definition_38,axiom,
    ( $true
    & ( addressVal(v2672_range_3_to_0_address_term_bound_17,bitIndex0)
    <=> v2672(constB17,bitIndex0) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_17,bitIndex1)
    <=> v2672(constB17,bitIndex1) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_17,bitIndex2)
    <=> v2672(constB17,bitIndex2) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_17,bitIndex3)
    <=> v2672(constB17,bitIndex3) ) )).

fof(is_address_52,axiom,(
    address(v2672_range_3_to_0_address_term_bound_17) )).

fof(address_association_38,axiom,(
    v2672_range_3_to_0_address_association(constB17,v2672_range_3_to_0_address_term_bound_17) )).

fof(address_false_msb_48,axiom,(
    ~ addressVal(v2672_range_3_to_0_address_term_bound_16,bitIndex4) )).

fof(transient_address_definition_37,axiom,
    ( $true
    & ( addressVal(v2672_range_3_to_0_address_term_bound_16,bitIndex0)
    <=> v2672(constB16,bitIndex0) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_16,bitIndex1)
    <=> v2672(constB16,bitIndex1) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_16,bitIndex2)
    <=> v2672(constB16,bitIndex2) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_16,bitIndex3)
    <=> v2672(constB16,bitIndex3) ) )).

fof(is_address_51,axiom,(
    address(v2672_range_3_to_0_address_term_bound_16) )).

fof(address_association_37,axiom,(
    v2672_range_3_to_0_address_association(constB16,v2672_range_3_to_0_address_term_bound_16) )).

fof(address_false_msb_47,axiom,(
    ~ addressVal(v2672_range_3_to_0_address_term_bound_15,bitIndex4) )).

fof(transient_address_definition_36,axiom,
    ( $true
    & ( addressVal(v2672_range_3_to_0_address_term_bound_15,bitIndex0)
    <=> v2672(constB15,bitIndex0) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_15,bitIndex1)
    <=> v2672(constB15,bitIndex1) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_15,bitIndex2)
    <=> v2672(constB15,bitIndex2) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_15,bitIndex3)
    <=> v2672(constB15,bitIndex3) ) )).

fof(is_address_50,axiom,(
    address(v2672_range_3_to_0_address_term_bound_15) )).

fof(address_association_36,axiom,(
    v2672_range_3_to_0_address_association(constB15,v2672_range_3_to_0_address_term_bound_15) )).

fof(address_false_msb_46,axiom,(
    ~ addressVal(v2672_range_3_to_0_address_term_bound_14,bitIndex4) )).

fof(transient_address_definition_35,axiom,
    ( $true
    & ( addressVal(v2672_range_3_to_0_address_term_bound_14,bitIndex0)
    <=> v2672(constB14,bitIndex0) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_14,bitIndex1)
    <=> v2672(constB14,bitIndex1) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_14,bitIndex2)
    <=> v2672(constB14,bitIndex2) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_14,bitIndex3)
    <=> v2672(constB14,bitIndex3) ) )).

fof(is_address_49,axiom,(
    address(v2672_range_3_to_0_address_term_bound_14) )).

fof(address_association_35,axiom,(
    v2672_range_3_to_0_address_association(constB14,v2672_range_3_to_0_address_term_bound_14) )).

fof(address_false_msb_45,axiom,(
    ~ addressVal(v2672_range_3_to_0_address_term_bound_13,bitIndex4) )).

fof(transient_address_definition_34,axiom,
    ( $true
    & ( addressVal(v2672_range_3_to_0_address_term_bound_13,bitIndex0)
    <=> v2672(constB13,bitIndex0) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_13,bitIndex1)
    <=> v2672(constB13,bitIndex1) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_13,bitIndex2)
    <=> v2672(constB13,bitIndex2) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_13,bitIndex3)
    <=> v2672(constB13,bitIndex3) ) )).

fof(is_address_48,axiom,(
    address(v2672_range_3_to_0_address_term_bound_13) )).

fof(address_association_34,axiom,(
    v2672_range_3_to_0_address_association(constB13,v2672_range_3_to_0_address_term_bound_13) )).

fof(address_false_msb_44,axiom,(
    ~ addressVal(v2672_range_3_to_0_address_term_bound_12,bitIndex4) )).

fof(transient_address_definition_33,axiom,
    ( $true
    & ( addressVal(v2672_range_3_to_0_address_term_bound_12,bitIndex0)
    <=> v2672(constB12,bitIndex0) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_12,bitIndex1)
    <=> v2672(constB12,bitIndex1) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_12,bitIndex2)
    <=> v2672(constB12,bitIndex2) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_12,bitIndex3)
    <=> v2672(constB12,bitIndex3) ) )).

fof(is_address_47,axiom,(
    address(v2672_range_3_to_0_address_term_bound_12) )).

fof(address_association_33,axiom,(
    v2672_range_3_to_0_address_association(constB12,v2672_range_3_to_0_address_term_bound_12) )).

fof(address_false_msb_43,axiom,(
    ~ addressVal(v2672_range_3_to_0_address_term_bound_11,bitIndex4) )).

fof(transient_address_definition_32,axiom,
    ( $true
    & ( addressVal(v2672_range_3_to_0_address_term_bound_11,bitIndex0)
    <=> v2672(constB11,bitIndex0) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_11,bitIndex1)
    <=> v2672(constB11,bitIndex1) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_11,bitIndex2)
    <=> v2672(constB11,bitIndex2) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_11,bitIndex3)
    <=> v2672(constB11,bitIndex3) ) )).

fof(is_address_46,axiom,(
    address(v2672_range_3_to_0_address_term_bound_11) )).

fof(address_association_32,axiom,(
    v2672_range_3_to_0_address_association(constB11,v2672_range_3_to_0_address_term_bound_11) )).

fof(address_false_msb_42,axiom,(
    ~ addressVal(v2672_range_3_to_0_address_term_bound_10,bitIndex4) )).

fof(transient_address_definition_31,axiom,
    ( $true
    & ( addressVal(v2672_range_3_to_0_address_term_bound_10,bitIndex0)
    <=> v2672(constB10,bitIndex0) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_10,bitIndex1)
    <=> v2672(constB10,bitIndex1) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_10,bitIndex2)
    <=> v2672(constB10,bitIndex2) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_10,bitIndex3)
    <=> v2672(constB10,bitIndex3) ) )).

fof(is_address_45,axiom,(
    address(v2672_range_3_to_0_address_term_bound_10) )).

fof(address_association_31,axiom,(
    v2672_range_3_to_0_address_association(constB10,v2672_range_3_to_0_address_term_bound_10) )).

fof(address_false_msb_41,axiom,(
    ~ addressVal(v2672_range_3_to_0_address_term_bound_9,bitIndex4) )).

fof(transient_address_definition_30,axiom,
    ( $true
    & ( addressVal(v2672_range_3_to_0_address_term_bound_9,bitIndex0)
    <=> v2672(constB9,bitIndex0) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_9,bitIndex1)
    <=> v2672(constB9,bitIndex1) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_9,bitIndex2)
    <=> v2672(constB9,bitIndex2) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_9,bitIndex3)
    <=> v2672(constB9,bitIndex3) ) )).

fof(is_address_44,axiom,(
    address(v2672_range_3_to_0_address_term_bound_9) )).

fof(address_association_30,axiom,(
    v2672_range_3_to_0_address_association(constB9,v2672_range_3_to_0_address_term_bound_9) )).

fof(address_false_msb_40,axiom,(
    ~ addressVal(v2672_range_3_to_0_address_term_bound_8,bitIndex4) )).

fof(transient_address_definition_29,axiom,
    ( $true
    & ( addressVal(v2672_range_3_to_0_address_term_bound_8,bitIndex0)
    <=> v2672(constB8,bitIndex0) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_8,bitIndex1)
    <=> v2672(constB8,bitIndex1) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_8,bitIndex2)
    <=> v2672(constB8,bitIndex2) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_8,bitIndex3)
    <=> v2672(constB8,bitIndex3) ) )).

fof(is_address_43,axiom,(
    address(v2672_range_3_to_0_address_term_bound_8) )).

fof(address_association_29,axiom,(
    v2672_range_3_to_0_address_association(constB8,v2672_range_3_to_0_address_term_bound_8) )).

fof(address_false_msb_39,axiom,(
    ~ addressVal(v2672_range_3_to_0_address_term_bound_7,bitIndex4) )).

fof(transient_address_definition_28,axiom,
    ( $true
    & ( addressVal(v2672_range_3_to_0_address_term_bound_7,bitIndex0)
    <=> v2672(constB7,bitIndex0) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_7,bitIndex1)
    <=> v2672(constB7,bitIndex1) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_7,bitIndex2)
    <=> v2672(constB7,bitIndex2) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_7,bitIndex3)
    <=> v2672(constB7,bitIndex3) ) )).

fof(is_address_42,axiom,(
    address(v2672_range_3_to_0_address_term_bound_7) )).

fof(address_association_28,axiom,(
    v2672_range_3_to_0_address_association(constB7,v2672_range_3_to_0_address_term_bound_7) )).

fof(address_false_msb_38,axiom,(
    ~ addressVal(v2672_range_3_to_0_address_term_bound_6,bitIndex4) )).

fof(transient_address_definition_27,axiom,
    ( $true
    & ( addressVal(v2672_range_3_to_0_address_term_bound_6,bitIndex0)
    <=> v2672(constB6,bitIndex0) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_6,bitIndex1)
    <=> v2672(constB6,bitIndex1) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_6,bitIndex2)
    <=> v2672(constB6,bitIndex2) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_6,bitIndex3)
    <=> v2672(constB6,bitIndex3) ) )).

fof(is_address_41,axiom,(
    address(v2672_range_3_to_0_address_term_bound_6) )).

fof(address_association_27,axiom,(
    v2672_range_3_to_0_address_association(constB6,v2672_range_3_to_0_address_term_bound_6) )).

fof(address_false_msb_37,axiom,(
    ~ addressVal(v2672_range_3_to_0_address_term_bound_5,bitIndex4) )).

fof(transient_address_definition_26,axiom,
    ( $true
    & ( addressVal(v2672_range_3_to_0_address_term_bound_5,bitIndex0)
    <=> v2672(constB5,bitIndex0) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_5,bitIndex1)
    <=> v2672(constB5,bitIndex1) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_5,bitIndex2)
    <=> v2672(constB5,bitIndex2) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_5,bitIndex3)
    <=> v2672(constB5,bitIndex3) ) )).

fof(is_address_40,axiom,(
    address(v2672_range_3_to_0_address_term_bound_5) )).

fof(address_association_26,axiom,(
    v2672_range_3_to_0_address_association(constB5,v2672_range_3_to_0_address_term_bound_5) )).

fof(address_false_msb_36,axiom,(
    ~ addressVal(v2672_range_3_to_0_address_term_bound_4,bitIndex4) )).

fof(transient_address_definition_25,axiom,
    ( $true
    & ( addressVal(v2672_range_3_to_0_address_term_bound_4,bitIndex0)
    <=> v2672(constB4,bitIndex0) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_4,bitIndex1)
    <=> v2672(constB4,bitIndex1) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_4,bitIndex2)
    <=> v2672(constB4,bitIndex2) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_4,bitIndex3)
    <=> v2672(constB4,bitIndex3) ) )).

fof(is_address_39,axiom,(
    address(v2672_range_3_to_0_address_term_bound_4) )).

fof(address_association_25,axiom,(
    v2672_range_3_to_0_address_association(constB4,v2672_range_3_to_0_address_term_bound_4) )).

fof(address_false_msb_35,axiom,(
    ~ addressVal(v2672_range_3_to_0_address_term_bound_3,bitIndex4) )).

fof(transient_address_definition_24,axiom,
    ( $true
    & ( addressVal(v2672_range_3_to_0_address_term_bound_3,bitIndex0)
    <=> v2672(constB3,bitIndex0) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_3,bitIndex1)
    <=> v2672(constB3,bitIndex1) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_3,bitIndex2)
    <=> v2672(constB3,bitIndex2) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_3,bitIndex3)
    <=> v2672(constB3,bitIndex3) ) )).

fof(is_address_38,axiom,(
    address(v2672_range_3_to_0_address_term_bound_3) )).

fof(address_association_24,axiom,(
    v2672_range_3_to_0_address_association(constB3,v2672_range_3_to_0_address_term_bound_3) )).

fof(address_false_msb_34,axiom,(
    ~ addressVal(v2672_range_3_to_0_address_term_bound_2,bitIndex4) )).

fof(transient_address_definition_23,axiom,
    ( $true
    & ( addressVal(v2672_range_3_to_0_address_term_bound_2,bitIndex0)
    <=> v2672(constB2,bitIndex0) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_2,bitIndex1)
    <=> v2672(constB2,bitIndex1) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_2,bitIndex2)
    <=> v2672(constB2,bitIndex2) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_2,bitIndex3)
    <=> v2672(constB2,bitIndex3) ) )).

fof(is_address_37,axiom,(
    address(v2672_range_3_to_0_address_term_bound_2) )).

fof(address_association_23,axiom,(
    v2672_range_3_to_0_address_association(constB2,v2672_range_3_to_0_address_term_bound_2) )).

fof(address_false_msb_33,axiom,(
    ~ addressVal(v2672_range_3_to_0_address_term_bound_1,bitIndex4) )).

fof(transient_address_definition_22,axiom,
    ( $true
    & ( addressVal(v2672_range_3_to_0_address_term_bound_1,bitIndex0)
    <=> v2672(constB1,bitIndex0) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_1,bitIndex1)
    <=> v2672(constB1,bitIndex1) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_1,bitIndex2)
    <=> v2672(constB1,bitIndex2) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_1,bitIndex3)
    <=> v2672(constB1,bitIndex3) ) )).

fof(is_address_36,axiom,(
    address(v2672_range_3_to_0_address_term_bound_1) )).

fof(address_association_22,axiom,(
    v2672_range_3_to_0_address_association(constB1,v2672_range_3_to_0_address_term_bound_1) )).

fof(address_false_msb_32,axiom,(
    ~ addressVal(v2672_range_3_to_0_address_term_bound_0,bitIndex4) )).

fof(transient_address_definition_21,axiom,
    ( $true
    & ( addressVal(v2672_range_3_to_0_address_term_bound_0,bitIndex0)
    <=> v2672(constB0,bitIndex0) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_0,bitIndex1)
    <=> v2672(constB0,bitIndex1) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_0,bitIndex2)
    <=> v2672(constB0,bitIndex2) )
    & ( addressVal(v2672_range_3_to_0_address_term_bound_0,bitIndex3)
    <=> v2672(constB0,bitIndex3) ) )).

fof(is_address_35,axiom,(
    address(v2672_range_3_to_0_address_term_bound_0) )).

fof(address_association_21,axiom,(
    v2672_range_3_to_0_address_association(constB0,v2672_range_3_to_0_address_term_bound_0) )).

fof(address_false_msb_31,axiom,(
    ~ addressVal(b1001_address_term,bitIndex4) )).

fof(is_address_34,axiom,(
    address(b1001_address_term) )).

fof(constant_address_definition_13,axiom,(
    ! [B] :
      ( addressVal(b1001_address_term,B)
    <=> b1001(B) ) )).

fof(address_false_msb_30,axiom,(
    ~ addressVal(v2605_range_3_to_0_address_term_bound_20,bitIndex4) )).

fof(transient_address_definition_20,axiom,
    ( $true
    & ( addressVal(v2605_range_3_to_0_address_term_bound_20,bitIndex0)
    <=> v2605(constB20,bitIndex0) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_20,bitIndex1)
    <=> v2605(constB20,bitIndex1) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_20,bitIndex2)
    <=> v2605(constB20,bitIndex2) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_20,bitIndex3)
    <=> v2605(constB20,bitIndex3) ) )).

fof(is_address_33,axiom,(
    address(v2605_range_3_to_0_address_term_bound_20) )).

fof(address_association_20,axiom,(
    v2605_range_3_to_0_address_association(constB20,v2605_range_3_to_0_address_term_bound_20) )).

fof(address_false_msb_29,axiom,(
    ~ addressVal(v2605_range_3_to_0_address_term_bound_19,bitIndex4) )).

fof(transient_address_definition_19,axiom,
    ( $true
    & ( addressVal(v2605_range_3_to_0_address_term_bound_19,bitIndex0)
    <=> v2605(constB19,bitIndex0) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_19,bitIndex1)
    <=> v2605(constB19,bitIndex1) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_19,bitIndex2)
    <=> v2605(constB19,bitIndex2) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_19,bitIndex3)
    <=> v2605(constB19,bitIndex3) ) )).

fof(is_address_32,axiom,(
    address(v2605_range_3_to_0_address_term_bound_19) )).

fof(address_association_19,axiom,(
    v2605_range_3_to_0_address_association(constB19,v2605_range_3_to_0_address_term_bound_19) )).

fof(address_false_msb_28,axiom,(
    ~ addressVal(v2605_range_3_to_0_address_term_bound_18,bitIndex4) )).

fof(transient_address_definition_18,axiom,
    ( $true
    & ( addressVal(v2605_range_3_to_0_address_term_bound_18,bitIndex0)
    <=> v2605(constB18,bitIndex0) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_18,bitIndex1)
    <=> v2605(constB18,bitIndex1) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_18,bitIndex2)
    <=> v2605(constB18,bitIndex2) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_18,bitIndex3)
    <=> v2605(constB18,bitIndex3) ) )).

fof(is_address_31,axiom,(
    address(v2605_range_3_to_0_address_term_bound_18) )).

fof(address_association_18,axiom,(
    v2605_range_3_to_0_address_association(constB18,v2605_range_3_to_0_address_term_bound_18) )).

fof(address_false_msb_27,axiom,(
    ~ addressVal(v2605_range_3_to_0_address_term_bound_17,bitIndex4) )).

fof(transient_address_definition_17,axiom,
    ( $true
    & ( addressVal(v2605_range_3_to_0_address_term_bound_17,bitIndex0)
    <=> v2605(constB17,bitIndex0) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_17,bitIndex1)
    <=> v2605(constB17,bitIndex1) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_17,bitIndex2)
    <=> v2605(constB17,bitIndex2) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_17,bitIndex3)
    <=> v2605(constB17,bitIndex3) ) )).

fof(is_address_30,axiom,(
    address(v2605_range_3_to_0_address_term_bound_17) )).

fof(address_association_17,axiom,(
    v2605_range_3_to_0_address_association(constB17,v2605_range_3_to_0_address_term_bound_17) )).

fof(address_false_msb_26,axiom,(
    ~ addressVal(v2605_range_3_to_0_address_term_bound_16,bitIndex4) )).

fof(transient_address_definition_16,axiom,
    ( $true
    & ( addressVal(v2605_range_3_to_0_address_term_bound_16,bitIndex0)
    <=> v2605(constB16,bitIndex0) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_16,bitIndex1)
    <=> v2605(constB16,bitIndex1) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_16,bitIndex2)
    <=> v2605(constB16,bitIndex2) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_16,bitIndex3)
    <=> v2605(constB16,bitIndex3) ) )).

fof(is_address_29,axiom,(
    address(v2605_range_3_to_0_address_term_bound_16) )).

fof(address_association_16,axiom,(
    v2605_range_3_to_0_address_association(constB16,v2605_range_3_to_0_address_term_bound_16) )).

fof(address_false_msb_25,axiom,(
    ~ addressVal(v2605_range_3_to_0_address_term_bound_15,bitIndex4) )).

fof(transient_address_definition_15,axiom,
    ( $true
    & ( addressVal(v2605_range_3_to_0_address_term_bound_15,bitIndex0)
    <=> v2605(constB15,bitIndex0) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_15,bitIndex1)
    <=> v2605(constB15,bitIndex1) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_15,bitIndex2)
    <=> v2605(constB15,bitIndex2) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_15,bitIndex3)
    <=> v2605(constB15,bitIndex3) ) )).

fof(is_address_28,axiom,(
    address(v2605_range_3_to_0_address_term_bound_15) )).

fof(address_association_15,axiom,(
    v2605_range_3_to_0_address_association(constB15,v2605_range_3_to_0_address_term_bound_15) )).

fof(address_false_msb_24,axiom,(
    ~ addressVal(v2605_range_3_to_0_address_term_bound_14,bitIndex4) )).

fof(transient_address_definition_14,axiom,
    ( $true
    & ( addressVal(v2605_range_3_to_0_address_term_bound_14,bitIndex0)
    <=> v2605(constB14,bitIndex0) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_14,bitIndex1)
    <=> v2605(constB14,bitIndex1) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_14,bitIndex2)
    <=> v2605(constB14,bitIndex2) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_14,bitIndex3)
    <=> v2605(constB14,bitIndex3) ) )).

fof(is_address_27,axiom,(
    address(v2605_range_3_to_0_address_term_bound_14) )).

fof(address_association_14,axiom,(
    v2605_range_3_to_0_address_association(constB14,v2605_range_3_to_0_address_term_bound_14) )).

fof(address_false_msb_23,axiom,(
    ~ addressVal(v2605_range_3_to_0_address_term_bound_13,bitIndex4) )).

fof(transient_address_definition_13,axiom,
    ( $true
    & ( addressVal(v2605_range_3_to_0_address_term_bound_13,bitIndex0)
    <=> v2605(constB13,bitIndex0) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_13,bitIndex1)
    <=> v2605(constB13,bitIndex1) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_13,bitIndex2)
    <=> v2605(constB13,bitIndex2) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_13,bitIndex3)
    <=> v2605(constB13,bitIndex3) ) )).

fof(is_address_26,axiom,(
    address(v2605_range_3_to_0_address_term_bound_13) )).

fof(address_association_13,axiom,(
    v2605_range_3_to_0_address_association(constB13,v2605_range_3_to_0_address_term_bound_13) )).

fof(address_false_msb_22,axiom,(
    ~ addressVal(v2605_range_3_to_0_address_term_bound_12,bitIndex4) )).

fof(transient_address_definition_12,axiom,
    ( $true
    & ( addressVal(v2605_range_3_to_0_address_term_bound_12,bitIndex0)
    <=> v2605(constB12,bitIndex0) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_12,bitIndex1)
    <=> v2605(constB12,bitIndex1) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_12,bitIndex2)
    <=> v2605(constB12,bitIndex2) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_12,bitIndex3)
    <=> v2605(constB12,bitIndex3) ) )).

fof(is_address_25,axiom,(
    address(v2605_range_3_to_0_address_term_bound_12) )).

fof(address_association_12,axiom,(
    v2605_range_3_to_0_address_association(constB12,v2605_range_3_to_0_address_term_bound_12) )).

fof(address_false_msb_21,axiom,(
    ~ addressVal(v2605_range_3_to_0_address_term_bound_11,bitIndex4) )).

fof(transient_address_definition_11,axiom,
    ( $true
    & ( addressVal(v2605_range_3_to_0_address_term_bound_11,bitIndex0)
    <=> v2605(constB11,bitIndex0) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_11,bitIndex1)
    <=> v2605(constB11,bitIndex1) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_11,bitIndex2)
    <=> v2605(constB11,bitIndex2) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_11,bitIndex3)
    <=> v2605(constB11,bitIndex3) ) )).

fof(is_address_24,axiom,(
    address(v2605_range_3_to_0_address_term_bound_11) )).

fof(address_association_11,axiom,(
    v2605_range_3_to_0_address_association(constB11,v2605_range_3_to_0_address_term_bound_11) )).

fof(address_false_msb_20,axiom,(
    ~ addressVal(v2605_range_3_to_0_address_term_bound_10,bitIndex4) )).

fof(transient_address_definition_10,axiom,
    ( $true
    & ( addressVal(v2605_range_3_to_0_address_term_bound_10,bitIndex0)
    <=> v2605(constB10,bitIndex0) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_10,bitIndex1)
    <=> v2605(constB10,bitIndex1) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_10,bitIndex2)
    <=> v2605(constB10,bitIndex2) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_10,bitIndex3)
    <=> v2605(constB10,bitIndex3) ) )).

fof(is_address_23,axiom,(
    address(v2605_range_3_to_0_address_term_bound_10) )).

fof(address_association_10,axiom,(
    v2605_range_3_to_0_address_association(constB10,v2605_range_3_to_0_address_term_bound_10) )).

fof(address_false_msb_19,axiom,(
    ~ addressVal(v2605_range_3_to_0_address_term_bound_9,bitIndex4) )).

fof(transient_address_definition_9,axiom,
    ( $true
    & ( addressVal(v2605_range_3_to_0_address_term_bound_9,bitIndex0)
    <=> v2605(constB9,bitIndex0) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_9,bitIndex1)
    <=> v2605(constB9,bitIndex1) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_9,bitIndex2)
    <=> v2605(constB9,bitIndex2) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_9,bitIndex3)
    <=> v2605(constB9,bitIndex3) ) )).

fof(is_address_22,axiom,(
    address(v2605_range_3_to_0_address_term_bound_9) )).

fof(address_association_9,axiom,(
    v2605_range_3_to_0_address_association(constB9,v2605_range_3_to_0_address_term_bound_9) )).

fof(address_false_msb_18,axiom,(
    ~ addressVal(v2605_range_3_to_0_address_term_bound_8,bitIndex4) )).

fof(transient_address_definition_8,axiom,
    ( $true
    & ( addressVal(v2605_range_3_to_0_address_term_bound_8,bitIndex0)
    <=> v2605(constB8,bitIndex0) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_8,bitIndex1)
    <=> v2605(constB8,bitIndex1) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_8,bitIndex2)
    <=> v2605(constB8,bitIndex2) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_8,bitIndex3)
    <=> v2605(constB8,bitIndex3) ) )).

fof(is_address_21,axiom,(
    address(v2605_range_3_to_0_address_term_bound_8) )).

fof(address_association_8,axiom,(
    v2605_range_3_to_0_address_association(constB8,v2605_range_3_to_0_address_term_bound_8) )).

fof(address_false_msb_17,axiom,(
    ~ addressVal(v2605_range_3_to_0_address_term_bound_7,bitIndex4) )).

fof(transient_address_definition_7,axiom,
    ( $true
    & ( addressVal(v2605_range_3_to_0_address_term_bound_7,bitIndex0)
    <=> v2605(constB7,bitIndex0) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_7,bitIndex1)
    <=> v2605(constB7,bitIndex1) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_7,bitIndex2)
    <=> v2605(constB7,bitIndex2) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_7,bitIndex3)
    <=> v2605(constB7,bitIndex3) ) )).

fof(is_address_20,axiom,(
    address(v2605_range_3_to_0_address_term_bound_7) )).

fof(address_association_7,axiom,(
    v2605_range_3_to_0_address_association(constB7,v2605_range_3_to_0_address_term_bound_7) )).

fof(address_false_msb_16,axiom,(
    ~ addressVal(v2605_range_3_to_0_address_term_bound_6,bitIndex4) )).

fof(transient_address_definition_6,axiom,
    ( $true
    & ( addressVal(v2605_range_3_to_0_address_term_bound_6,bitIndex0)
    <=> v2605(constB6,bitIndex0) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_6,bitIndex1)
    <=> v2605(constB6,bitIndex1) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_6,bitIndex2)
    <=> v2605(constB6,bitIndex2) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_6,bitIndex3)
    <=> v2605(constB6,bitIndex3) ) )).

fof(is_address_19,axiom,(
    address(v2605_range_3_to_0_address_term_bound_6) )).

fof(address_association_6,axiom,(
    v2605_range_3_to_0_address_association(constB6,v2605_range_3_to_0_address_term_bound_6) )).

fof(address_false_msb_15,axiom,(
    ~ addressVal(v2605_range_3_to_0_address_term_bound_5,bitIndex4) )).

fof(transient_address_definition_5,axiom,
    ( $true
    & ( addressVal(v2605_range_3_to_0_address_term_bound_5,bitIndex0)
    <=> v2605(constB5,bitIndex0) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_5,bitIndex1)
    <=> v2605(constB5,bitIndex1) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_5,bitIndex2)
    <=> v2605(constB5,bitIndex2) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_5,bitIndex3)
    <=> v2605(constB5,bitIndex3) ) )).

fof(is_address_18,axiom,(
    address(v2605_range_3_to_0_address_term_bound_5) )).

fof(address_association_5,axiom,(
    v2605_range_3_to_0_address_association(constB5,v2605_range_3_to_0_address_term_bound_5) )).

fof(address_false_msb_14,axiom,(
    ~ addressVal(v2605_range_3_to_0_address_term_bound_4,bitIndex4) )).

fof(transient_address_definition_4,axiom,
    ( $true
    & ( addressVal(v2605_range_3_to_0_address_term_bound_4,bitIndex0)
    <=> v2605(constB4,bitIndex0) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_4,bitIndex1)
    <=> v2605(constB4,bitIndex1) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_4,bitIndex2)
    <=> v2605(constB4,bitIndex2) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_4,bitIndex3)
    <=> v2605(constB4,bitIndex3) ) )).

fof(is_address_17,axiom,(
    address(v2605_range_3_to_0_address_term_bound_4) )).

fof(address_association_4,axiom,(
    v2605_range_3_to_0_address_association(constB4,v2605_range_3_to_0_address_term_bound_4) )).

fof(address_false_msb_13,axiom,(
    ~ addressVal(v2605_range_3_to_0_address_term_bound_3,bitIndex4) )).

fof(transient_address_definition_3,axiom,
    ( $true
    & ( addressVal(v2605_range_3_to_0_address_term_bound_3,bitIndex0)
    <=> v2605(constB3,bitIndex0) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_3,bitIndex1)
    <=> v2605(constB3,bitIndex1) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_3,bitIndex2)
    <=> v2605(constB3,bitIndex2) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_3,bitIndex3)
    <=> v2605(constB3,bitIndex3) ) )).

fof(is_address_16,axiom,(
    address(v2605_range_3_to_0_address_term_bound_3) )).

fof(address_association_3,axiom,(
    v2605_range_3_to_0_address_association(constB3,v2605_range_3_to_0_address_term_bound_3) )).

fof(address_false_msb_12,axiom,(
    ~ addressVal(v2605_range_3_to_0_address_term_bound_2,bitIndex4) )).

fof(transient_address_definition_2,axiom,
    ( $true
    & ( addressVal(v2605_range_3_to_0_address_term_bound_2,bitIndex0)
    <=> v2605(constB2,bitIndex0) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_2,bitIndex1)
    <=> v2605(constB2,bitIndex1) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_2,bitIndex2)
    <=> v2605(constB2,bitIndex2) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_2,bitIndex3)
    <=> v2605(constB2,bitIndex3) ) )).

fof(is_address_15,axiom,(
    address(v2605_range_3_to_0_address_term_bound_2) )).

fof(address_association_2,axiom,(
    v2605_range_3_to_0_address_association(constB2,v2605_range_3_to_0_address_term_bound_2) )).

fof(address_false_msb_11,axiom,(
    ~ addressVal(v2605_range_3_to_0_address_term_bound_1,bitIndex4) )).

fof(transient_address_definition_1,axiom,
    ( $true
    & ( addressVal(v2605_range_3_to_0_address_term_bound_1,bitIndex0)
    <=> v2605(constB1,bitIndex0) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_1,bitIndex1)
    <=> v2605(constB1,bitIndex1) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_1,bitIndex2)
    <=> v2605(constB1,bitIndex2) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_1,bitIndex3)
    <=> v2605(constB1,bitIndex3) ) )).

fof(is_address_14,axiom,(
    address(v2605_range_3_to_0_address_term_bound_1) )).

fof(address_association_1,axiom,(
    v2605_range_3_to_0_address_association(constB1,v2605_range_3_to_0_address_term_bound_1) )).

fof(address_false_msb_10,axiom,(
    ~ addressVal(v2605_range_3_to_0_address_term_bound_0,bitIndex4) )).

fof(transient_address_definition,axiom,
    ( $true
    & ( addressVal(v2605_range_3_to_0_address_term_bound_0,bitIndex0)
    <=> v2605(constB0,bitIndex0) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_0,bitIndex1)
    <=> v2605(constB0,bitIndex1) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_0,bitIndex2)
    <=> v2605(constB0,bitIndex2) )
    & ( addressVal(v2605_range_3_to_0_address_term_bound_0,bitIndex3)
    <=> v2605(constB0,bitIndex3) ) )).

fof(is_address_13,axiom,(
    address(v2605_range_3_to_0_address_term_bound_0) )).

fof(address_association,axiom,(
    v2605_range_3_to_0_address_association(constB0,v2605_range_3_to_0_address_term_bound_0) )).

fof(is_address_12,axiom,(
    address(b01010_address_term) )).

fof(constant_address_definition_12,axiom,(
    ! [B] :
      ( addressVal(b01010_address_term,B)
    <=> b01010(B) ) )).

fof(is_address_11,axiom,(
    address(b01001_address_term) )).

fof(constant_address_definition_11,axiom,(
    ! [B] :
      ( addressVal(b01001_address_term,B)
    <=> b01001(B) ) )).

fof(address_false_msb_9,axiom,(
    ~ addressVal(b1111_address_term,bitIndex4) )).

fof(is_address_10,axiom,(
    address(b1111_address_term) )).

fof(constant_address_definition_10,axiom,(
    ! [B] :
      ( addressVal(b1111_address_term,B)
    <=> b1111(B) ) )).

fof(address_false_msb_8,axiom,(
    ~ addressVal(b0011_address_term,bitIndex4) )).

fof(is_address_9,axiom,(
    address(b0011_address_term) )).

fof(constant_address_definition_9,axiom,(
    ! [B] :
      ( addressVal(b0011_address_term,B)
    <=> b0011(B) ) )).

fof(address_false_msb_7,axiom,(
    ~ addressVal(b0111_address_term,bitIndex4) )).

fof(is_address_8,axiom,(
    address(b0111_address_term) )).

fof(constant_address_definition_8,axiom,(
    ! [B] :
      ( addressVal(b0111_address_term,B)
    <=> b0111(B) ) )).

fof(address_false_msb_6,axiom,(
    ~ addressVal(b1000_address_term,bitIndex4) )).

fof(is_address_7,axiom,(
    address(b1000_address_term) )).

fof(constant_address_definition_7,axiom,(
    ! [B] :
      ( addressVal(b1000_address_term,B)
    <=> b1000(B) ) )).

fof(address_false_msb_5,axiom,(
    ~ addressVal(b0101_address_term,bitIndex4) )).

fof(is_address_6,axiom,(
    address(b0101_address_term) )).

fof(constant_address_definition_6,axiom,(
    ! [B] :
      ( addressVal(b0101_address_term,B)
    <=> b0101(B) ) )).

fof(address_false_msb_4,axiom,(
    ~ addressVal(b0110_address_term,bitIndex4) )).

fof(is_address_5,axiom,(
    address(b0110_address_term) )).

fof(constant_address_definition_5,axiom,(
    ! [B] :
      ( addressVal(b0110_address_term,B)
    <=> b0110(B) ) )).

fof(address_false_msb_3,axiom,(
    ~ addressVal(b0001_address_term,bitIndex4) )).

fof(is_address_4,axiom,(
    address(b0001_address_term) )).

fof(constant_address_definition_4,axiom,(
    ! [B] :
      ( addressVal(b0001_address_term,B)
    <=> b0001(B) ) )).

fof(address_false_msb_2,axiom,(
    ~ addressVal(b0100_address_term,bitIndex4) )).

fof(is_address_3,axiom,(
    address(b0100_address_term) )).

fof(constant_address_definition_3,axiom,(
    ! [B] :
      ( addressVal(b0100_address_term,B)
    <=> b0100(B) ) )).

fof(address_false_msb_1,axiom,(
    ~ addressVal(b0010_address_term,bitIndex4) )).

fof(is_address_2,axiom,(
    address(b0010_address_term) )).

fof(constant_address_definition_2,axiom,(
    ! [B] :
      ( addressVal(b0010_address_term,B)
    <=> b0010(B) ) )).

fof(is_address_1,axiom,(
    address(b00000_address_term) )).

fof(constant_address_definition_1,axiom,(
    ! [B] :
      ( addressVal(b00000_address_term,B)
    <=> b00000(B) ) )).

fof(address_false_msb,axiom,(
    ~ addressVal(b0000_address_term,bitIndex4) )).

fof(is_address,axiom,(
    address(b0000_address_term) )).

fof(constant_address_definition,axiom,(
    ! [B] :
      ( addressVal(b0000_address_term,B)
    <=> b0000(B) ) )).

fof(addressDiff,axiom,(
    ! [B,A2,A1] :
      ( ( address(A1)
        & address(A2)
        & addressDiff(A1,A2,B) )
     => ( A1 = A2
        | ( addressVal(A1,B)
        <=> ~ addressVal(A2,B) ) ) ) )).

fof(addressDomain,axiom,(
    ! [A1,A2] :
      ( addressDiff(A1,A2,bitIndex0)
      | addressDiff(A1,A2,bitIndex1)
      | addressDiff(A1,A2,bitIndex2)
      | addressDiff(A1,A2,bitIndex3)
      | addressDiff(A1,A2,bitIndex4) ) )).

fof(addAssertion,conjecture,(
    ! [VarCurr] :
      ( reachableState(VarCurr)
     => v4(VarCurr) ) )).

fof(writeUnaryOperator_3140,axiom,(
    ! [VarCurr] :
      ( ~ v4(VarCurr)
    <=> v30850(VarCurr) ) )).

fof(writeUnaryOperator_3139,axiom,(
    ! [VarCurr] :
      ( ~ v30850(VarCurr)
    <=> v30851(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6728,axiom,(
    ! [VarCurr] :
      ( v30851(VarCurr)
    <=> ( v30853(VarCurr)
        & v30869(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1723,axiom,(
    ! [VarCurr] :
      ( v30869(VarCurr)
    <=> ( v30855(VarCurr,bitIndex0)
        | v30855(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_3138,axiom,(
    ! [VarCurr] :
      ( ~ v30853(VarCurr)
    <=> v30854(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1722,axiom,(
    ! [VarCurr] :
      ( v30854(VarCurr)
    <=> ( v30855(VarCurr,bitIndex0)
        & v30855(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_9322,axiom,(
    ! [VarCurr] :
      ( v30855(VarCurr,bitIndex0)
    <=> v30856(VarCurr) ) )).

fof(addAssignment_9321,axiom,(
    ! [VarCurr] :
      ( v30855(VarCurr,bitIndex1)
    <=> $true ) )).

fof(writeBinaryOperatorShiftedRanges_1721,axiom,(
    ! [VarCurr] :
      ( v30856(VarCurr)
    <=> ( v30858(VarCurr)
        & v30860(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1720,axiom,(
    ! [VarCurr] :
      ( v30858(VarCurr)
    <=> ( v30859(VarCurr)
        & v30860(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1719,axiom,(
    ! [VarCurr] :
      ( v30859(VarCurr)
    <=> ( v30860(VarCurr,bitIndex3)
        | v30861(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6727,axiom,(
    ! [VarCurr] :
      ( v30861(VarCurr)
    <=> ( v30862(VarCurr)
        & v30868(VarCurr) ) ) )).

fof(writeUnaryOperator_3137,axiom,(
    ! [VarCurr] :
      ( ~ v30868(VarCurr)
    <=> v30860(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_1718,axiom,(
    ! [VarCurr] :
      ( v30862(VarCurr)
    <=> ( v30860(VarCurr,bitIndex2)
        | v30863(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6726,axiom,(
    ! [VarCurr] :
      ( v30863(VarCurr)
    <=> ( v30864(VarCurr)
        & v30867(VarCurr) ) ) )).

fof(writeUnaryOperator_3136,axiom,(
    ! [VarCurr] :
      ( ~ v30867(VarCurr)
    <=> v30860(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_1717,axiom,(
    ! [VarCurr] :
      ( v30864(VarCurr)
    <=> ( v30860(VarCurr,bitIndex1)
        | v30865(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6725,axiom,(
    ! [VarCurr] :
      ( v30865(VarCurr)
    <=> ( v30860(VarCurr,bitIndex0)
        & v30866(VarCurr) ) ) )).

fof(writeUnaryOperator_3135,axiom,(
    ! [VarCurr] :
      ( ~ v30866(VarCurr)
    <=> v30860(VarCurr,bitIndex1) ) )).

fof(addZeroExtensionConstraint_13,axiom,(
    ! [VarCurr] : ~ v30860(VarCurr,bitIndex3) )).

fof(addZeroExtensionConstraint_12,axiom,(
    ! [VarCurr] : ~ v30860(VarCurr,bitIndex4) )).

fof(addZeroExtensionConstraint_11,axiom,(
    ! [VarCurr] : ~ v30860(VarCurr,bitIndex5) )).

fof(addAssignment_9320,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v30860(VarCurr,B)
      <=> v8(VarCurr,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_368,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30837(VarNext)
       => ! [B] :
            ( range_2_0(B)
           => ( v8(VarNext,B)
            <=> v8(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_412,axiom,(
    ! [VarNext] :
      ( v30837(VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v8(VarNext,B)
          <=> v30845(VarNext,B) ) ) ) )).

fof(addAssignment_9319,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v30845(VarNext,B)
          <=> v30843(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_792,axiom,(
    ! [VarCurr] :
      ( ~ v30846(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v30843(VarCurr,B)
          <=> v21(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_739,axiom,(
    ! [VarCurr] :
      ( v30846(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v30843(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_3134,axiom,(
    ! [VarCurr] :
      ( ~ v30846(VarCurr)
    <=> v10(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6724,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30837(VarNext)
      <=> v30838(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6723,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30838(VarNext)
      <=> ( v30839(VarNext)
          & v24016(VarNext) ) ) ) )).

fof(writeUnaryOperator_3133,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30839(VarNext)
      <=> v24023(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_791,axiom,(
    ! [VarCurr] :
      ( ~ v23(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v21(VarCurr,B)
          <=> v8(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_738,axiom,(
    ! [VarCurr] :
      ( v23(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v21(VarCurr,B)
          <=> v30820(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_790,axiom,(
    ! [VarCurr] :
      ( ~ v30821(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v30820(VarCurr,B)
          <=> v30822(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_737,axiom,(
    ! [VarCurr] :
      ( v30821(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v30820(VarCurr,B)
          <=> $false ) ) ) )).

fof(addAssignment_9318,axiom,(
    ! [VarCurr] :
      ( v30822(VarCurr,bitIndex0)
    <=> v30832(VarCurr) ) )).

fof(addAssignment_9317,axiom,(
    ! [VarCurr] :
      ( v30822(VarCurr,bitIndex1)
    <=> v30830(VarCurr) ) )).

fof(addAssignment_9316,axiom,(
    ! [VarCurr] :
      ( v30822(VarCurr,bitIndex2)
    <=> v30824(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6722,axiom,(
    ! [VarCurr] :
      ( v30830(VarCurr)
    <=> ( v30831(VarCurr)
        & v30834(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1716,axiom,(
    ! [VarCurr] :
      ( v30834(VarCurr)
    <=> ( v8(VarCurr,bitIndex0)
        | v8(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6721,axiom,(
    ! [VarCurr] :
      ( v30831(VarCurr)
    <=> ( v30832(VarCurr)
        | v30833(VarCurr) ) ) )).

fof(writeUnaryOperator_3132,axiom,(
    ! [VarCurr] :
      ( ~ v30833(VarCurr)
    <=> v8(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_3131,axiom,(
    ! [VarCurr] :
      ( ~ v30832(VarCurr)
    <=> v8(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6720,axiom,(
    ! [VarCurr] :
      ( v30824(VarCurr)
    <=> ( v30825(VarCurr)
        & v30829(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1715,axiom,(
    ! [VarCurr] :
      ( v30829(VarCurr)
    <=> ( v30827(VarCurr)
        | v8(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6719,axiom,(
    ! [VarCurr] :
      ( v30825(VarCurr)
    <=> ( v30826(VarCurr)
        | v30828(VarCurr) ) ) )).

fof(writeUnaryOperator_3130,axiom,(
    ! [VarCurr] :
      ( ~ v30828(VarCurr)
    <=> v8(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_3129,axiom,(
    ! [VarCurr] :
      ( ~ v30826(VarCurr)
    <=> v30827(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1714,axiom,(
    ! [VarCurr] :
      ( v30827(VarCurr)
    <=> ( v8(VarCurr,bitIndex0)
        & v8(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_2243,axiom,(
    ! [VarCurr] :
      ( v30821(VarCurr)
    <=> ( ( v8(VarCurr,bitIndex2)
        <=> $true )
        & ( v8(VarCurr,bitIndex1)
        <=> $false )
        & ( v8(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_9315,axiom,(
    ! [VarCurr] :
      ( v23(VarCurr)
    <=> v25(VarCurr) ) )).

fof(addAssignment_9314,axiom,(
    ! [VarCurr] :
      ( v25(VarCurr)
    <=> v27(VarCurr) ) )).

fof(addAssignment_9313,axiom,(
    ! [VarCurr] :
      ( v27(VarCurr)
    <=> v29(VarCurr) ) )).

fof(addAssignment_9312,axiom,(
    ! [VarCurr] :
      ( v29(VarCurr)
    <=> v31(VarCurr,bitIndex7) ) )).

fof(addAssignment_9311,axiom,(
    ! [VarNext] :
      ( v31(VarNext,bitIndex7)
    <=> v30812(VarNext,bitIndex6) ) )).

fof(addCaseBooleanConditionShiftedRanges1_54,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30813(VarNext)
       => ( ( v30812(VarNext,bitIndex10)
          <=> v31(VarCurr,bitIndex11) )
          & ( v30812(VarNext,bitIndex9)
          <=> v31(VarCurr,bitIndex10) )
          & ( v30812(VarNext,bitIndex8)
          <=> v31(VarCurr,bitIndex9) )
          & ( v30812(VarNext,bitIndex7)
          <=> v31(VarCurr,bitIndex8) )
          & ( v30812(VarNext,bitIndex6)
          <=> v31(VarCurr,bitIndex7) )
          & ( v30812(VarNext,bitIndex5)
          <=> v31(VarCurr,bitIndex6) )
          & ( v30812(VarNext,bitIndex4)
          <=> v31(VarCurr,bitIndex5) )
          & ( v30812(VarNext,bitIndex3)
          <=> v31(VarCurr,bitIndex4) )
          & ( v30812(VarNext,bitIndex2)
          <=> v31(VarCurr,bitIndex3) )
          & ( v30812(VarNext,bitIndex1)
          <=> v31(VarCurr,bitIndex2) )
          & ( v30812(VarNext,bitIndex0)
          <=> v31(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_411,axiom,(
    ! [VarNext] :
      ( v30813(VarNext)
     => ! [B] :
          ( range_10_0(B)
         => ( v30812(VarNext,B)
          <=> v12226(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6718,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30813(VarNext)
      <=> v30814(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6717,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30814(VarNext)
      <=> ( v30816(VarNext)
          & v12213(VarNext) ) ) ) )).

fof(writeUnaryOperator_3128,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30816(VarNext)
      <=> v12220(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_434,axiom,(
    ! [VarCurr] :
      ( ~ v30788(VarCurr)
     => ( v36(VarCurr,bitIndex7)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_487,axiom,(
    ! [VarCurr] :
      ( v30788(VarCurr)
     => ( v36(VarCurr,bitIndex7)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6716,axiom,(
    ! [VarCurr] :
      ( v30788(VarCurr)
    <=> ( v30789(VarCurr)
        | v30809(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6715,axiom,(
    ! [VarCurr] :
      ( v30809(VarCurr)
    <=> ( v30810(VarCurr)
        & v12296(VarCurr) ) ) )).

fof(addAssignment_9310,axiom,(
    ! [VarCurr] :
      ( v30810(VarCurr)
    <=> v30796(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6714,axiom,(
    ! [VarCurr] :
      ( v30789(VarCurr)
    <=> ( v30790(VarCurr)
        | v30807(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6713,axiom,(
    ! [VarCurr] :
      ( v30807(VarCurr)
    <=> ( v30808(VarCurr)
        & v12273(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6712,axiom,(
    ! [VarCurr] :
      ( v30808(VarCurr)
    <=> ( v30796(VarCurr)
        & v12153(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6711,axiom,(
    ! [VarCurr] :
      ( v30790(VarCurr)
    <=> ( v30791(VarCurr)
        | v30805(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6710,axiom,(
    ! [VarCurr] :
      ( v30805(VarCurr)
    <=> ( v30806(VarCurr)
        & v12333(VarCurr) ) ) )).

fof(addAssignment_9309,axiom,(
    ! [VarCurr] :
      ( v30806(VarCurr)
    <=> v30796(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6709,axiom,(
    ! [VarCurr] :
      ( v30791(VarCurr)
    <=> ( v30792(VarCurr)
        | v30803(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6708,axiom,(
    ! [VarCurr] :
      ( v30803(VarCurr)
    <=> ( v30804(VarCurr)
        & v12251(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6707,axiom,(
    ! [VarCurr] :
      ( v30804(VarCurr)
    <=> ( v30796(VarCurr)
        & v12153(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6706,axiom,(
    ! [VarCurr] :
      ( v30792(VarCurr)
    <=> ( v30793(VarCurr)
        | v30801(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6705,axiom,(
    ! [VarCurr] :
      ( v30801(VarCurr)
    <=> ( v30802(VarCurr)
        & v12328(VarCurr) ) ) )).

fof(addAssignment_9308,axiom,(
    ! [VarCurr] :
      ( v30802(VarCurr)
    <=> v30796(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6704,axiom,(
    ! [VarCurr] :
      ( v30793(VarCurr)
    <=> ( v30794(VarCurr)
        | v30798(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6703,axiom,(
    ! [VarCurr] :
      ( v30798(VarCurr)
    <=> ( v30799(VarCurr)
        & v12211(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6702,axiom,(
    ! [VarCurr] :
      ( v30799(VarCurr)
    <=> ( v30796(VarCurr)
        & v12153(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6701,axiom,(
    ! [VarCurr] :
      ( v30796(VarCurr)
    <=> ( v30797(VarCurr)
        & v12320(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6700,axiom,(
    ! [VarCurr] :
      ( v30794(VarCurr)
    <=> ( v30795(VarCurr)
        & v12321(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6699,axiom,(
    ! [VarCurr] :
      ( v30795(VarCurr)
    <=> ( v30797(VarCurr)
        & v12320(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6698,axiom,(
    ! [VarCurr] :
      ( v30797(VarCurr)
    <=> ( v12648(VarCurr)
        & v12002(VarCurr) ) ) )).

fof(addAssignment_9307,axiom,(
    ! [VarCurr] :
      ( v38(VarCurr)
    <=> v40(VarCurr) ) )).

fof(addAssignment_9306,axiom,(
    ! [VarCurr] :
      ( v40(VarCurr)
    <=> v42(VarCurr) ) )).

fof(addAssignment_9305,axiom,(
    ! [VarCurr] :
      ( v42(VarCurr)
    <=> v44(VarCurr) ) )).

fof(addAssignment_9304,axiom,(
    ! [VarCurr] :
      ( v44(VarCurr)
    <=> v46(VarCurr) ) )).

fof(addAssignment_9303,axiom,(
    ! [VarCurr] :
      ( v46(VarCurr)
    <=> v48(VarCurr) ) )).

fof(addAssignment_9302,axiom,(
    ! [VarCurr] :
      ( v48(VarCurr)
    <=> v50(VarCurr) ) )).

fof(addAssignment_9301,axiom,(
    ! [VarCurr] :
      ( v50(VarCurr)
    <=> v52(VarCurr) ) )).

fof(addAssignment_9300,axiom,(
    ! [VarCurr] :
      ( v52(VarCurr)
    <=> v54(VarCurr) ) )).

fof(addAssignment_9299,axiom,(
    ! [VarCurr] :
      ( v54(VarCurr)
    <=> v56(VarCurr,bitIndex2) ) )).

fof(addAssignment_9298,axiom,(
    ! [VarNext] :
      ( v56(VarNext,bitIndex2)
    <=> v30778(VarNext,bitIndex2) ) )).

fof(addCaseBooleanConditionEqualRanges1_367,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30779(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v30778(VarNext,B)
            <=> v56(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_410,axiom,(
    ! [VarNext] :
      ( v30779(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v30778(VarNext,B)
          <=> v25432(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6697,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30779(VarNext)
      <=> v30780(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6696,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30780(VarNext)
      <=> ( v30782(VarNext)
          & v25415(VarNext) ) ) ) )).

fof(writeUnaryOperator_3127,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30782(VarNext)
      <=> v25426(VarNext) ) ) )).

fof(addAssignment_9297,axiom,(
    ! [VarCurr] :
      ( v67(VarCurr,bitIndex2)
    <=> v25400(VarCurr,bitIndex2) ) )).

fof(addAssignment_9296,axiom,(
    ! [VarCurr] :
      ( v25399(VarCurr,bitIndex2)
    <=> v25436(VarCurr,bitIndex2) ) )).

fof(addAssignment_9295,axiom,(
    ! [VarNext] :
      ( v56(VarNext,bitIndex3)
    <=> v30770(VarNext,bitIndex3) ) )).

fof(addCaseBooleanConditionEqualRanges1_366,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30771(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v30770(VarNext,B)
            <=> v56(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_409,axiom,(
    ! [VarNext] :
      ( v30771(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v30770(VarNext,B)
          <=> v25432(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6695,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30771(VarNext)
      <=> v30772(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6694,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30772(VarNext)
      <=> ( v30774(VarNext)
          & v25415(VarNext) ) ) ) )).

fof(writeUnaryOperator_3126,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30774(VarNext)
      <=> v25426(VarNext) ) ) )).

fof(addAssignment_9294,axiom,(
    ! [VarCurr] :
      ( v67(VarCurr,bitIndex3)
    <=> v25400(VarCurr,bitIndex3) ) )).

fof(addAssignment_9293,axiom,(
    ! [VarCurr] :
      ( v25399(VarCurr,bitIndex3)
    <=> v25436(VarCurr,bitIndex3) ) )).

fof(addAssignment_9292,axiom,(
    ! [VarCurr] :
      ( v25381(VarCurr)
    <=> v25383(VarCurr) ) )).

fof(addAssignment_9291,axiom,(
    ! [VarCurr] :
      ( v25383(VarCurr)
    <=> v25385(VarCurr) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_343,axiom,(
    ! [VarCurr] :
      ( ( ~ v26873(VarCurr)
        & ~ v26891(VarCurr) )
     => ( v25385(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_826,axiom,(
    ! [VarCurr] :
      ( v26891(VarCurr)
     => ( v25385(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_817,axiom,(
    ! [VarCurr] :
      ( v26873(VarCurr)
     => ( v25385(VarCurr)
      <=> $false ) ) )).

fof(addCaseBooleanConditionEqualRanges1_365,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30756(VarNext)
       => ! [B] :
            ( range_1_0(B)
           => ( v25387(VarNext,B)
            <=> v25387(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_408,axiom,(
    ! [VarNext] :
      ( v30756(VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v25387(VarNext,B)
          <=> v30764(VarNext,B) ) ) ) )).

fof(addAssignment_9290,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v30764(VarNext,B)
          <=> v30762(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_789,axiom,(
    ! [VarCurr] :
      ( ~ v30765(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v30762(VarCurr,B)
          <=> v25389(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_736,axiom,(
    ! [VarCurr] :
      ( v30765(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v30762(VarCurr,B)
          <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2242,axiom,(
    ! [VarCurr] :
      ( v30765(VarCurr)
    <=> ( v62(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6693,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30756(VarNext)
      <=> v30757(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6692,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30757(VarNext)
      <=> ( v30758(VarNext)
          & v25419(VarNext) ) ) ) )).

fof(writeUnaryOperator_3125,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30758(VarNext)
      <=> v26847(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_342,axiom,(
    ! [VarCurr] :
      ( ( ~ v30744(VarCurr)
        & ~ v30753(VarCurr) )
     => ! [B] :
          ( range_1_0(B)
         => ( v25389(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_825,axiom,(
    ! [VarCurr] :
      ( v30753(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v25389(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_816,axiom,(
    ! [VarCurr] :
      ( v30744(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v25389(VarCurr,B)
          <=> v30745(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2241,axiom,(
    ! [VarCurr] :
      ( v30753(VarCurr)
    <=> ( ( v25387(VarCurr,bitIndex1)
        <=> $false )
        & ( v25387(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_824,axiom,(
    ! [VarCurr] :
      ( ~ v30746(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v30745(VarCurr,B)
          <=> v30748(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_815,axiom,(
    ! [VarCurr] :
      ( v30746(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v30745(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_823,axiom,(
    ! [VarCurr] :
      ( ~ v30749(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v30748(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_814,axiom,(
    ! [VarCurr] :
      ( v30749(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v30748(VarCurr,B)
          <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2240,axiom,(
    ! [VarCurr] :
      ( v30751(VarCurr)
    <=> ( v30752(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6691,axiom,(
    ! [VarCurr] :
      ( v30752(VarCurr)
    <=> ( v26148(VarCurr)
        | v26152(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2239,axiom,(
    ! [VarCurr] :
      ( v30749(VarCurr)
    <=> ( v30750(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6690,axiom,(
    ! [VarCurr] :
      ( v30750(VarCurr)
    <=> ( v26148(VarCurr)
        | v26152(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2238,axiom,(
    ! [VarCurr] :
      ( v30747(VarCurr)
    <=> ( v25391(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_2237,axiom,(
    ! [VarCurr] :
      ( v30746(VarCurr)
    <=> ( v25391(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_2236,axiom,(
    ! [VarCurr] :
      ( v30744(VarCurr)
    <=> ( ( v25387(VarCurr,bitIndex1)
        <=> $false )
        & ( v25387(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_364,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30729(VarNext)
       => ( v26148(VarNext)
        <=> v26148(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_407,axiom,(
    ! [VarNext] :
      ( v30729(VarNext)
     => ( v26148(VarNext)
      <=> v30737(VarNext) ) ) )).

fof(addAssignment_9289,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30737(VarNext)
      <=> v30735(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_788,axiom,(
    ! [VarCurr] :
      ( ~ v28095(VarCurr)
     => ( v30735(VarCurr)
      <=> v30738(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_735,axiom,(
    ! [VarCurr] :
      ( v28095(VarCurr)
     => ( v30735(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_787,axiom,(
    ! [VarCurr] :
      ( ~ v26150(VarCurr)
     => ( v30738(VarCurr)
      <=> v30739(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_734,axiom,(
    ! [VarCurr] :
      ( v26150(VarCurr)
     => ( v30738(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6689,axiom,(
    ! [VarCurr] :
      ( v30739(VarCurr)
    <=> ( v30740(VarCurr)
        & v26148(VarCurr) ) ) )).

fof(writeUnaryOperator_3124,axiom,(
    ! [VarCurr] :
      ( ~ v30740(VarCurr)
    <=> v30715(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6688,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30729(VarNext)
      <=> v30730(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6687,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30730(VarNext)
      <=> ( v30732(VarNext)
          & v25419(VarNext) ) ) ) )).

fof(writeUnaryOperator_3123,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30732(VarNext)
      <=> v26847(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_99,axiom,(
    ! [VarCurr] :
      ( ( ~ v29794(VarCurr)
        & ~ v29795(VarCurr)
        & ~ v29826(VarCurr) )
     => ( v30715(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_341,axiom,(
    ! [VarCurr] :
      ( v29826(VarCurr)
     => ( v30715(VarCurr)
      <=> v30726(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_822,axiom,(
    ! [VarCurr] :
      ( v29795(VarCurr)
     => ( v30715(VarCurr)
      <=> v30717(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_813,axiom,(
    ! [VarCurr] :
      ( v29794(VarCurr)
     => ( v30715(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_821,axiom,(
    ! [VarCurr] :
      ( ~ v29828(VarCurr)
     => ( v30726(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_812,axiom,(
    ! [VarCurr] :
      ( v29828(VarCurr)
     => ( v30726(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_820,axiom,(
    ! [VarCurr] :
      ( ~ v29797(VarCurr)
     => ( v30717(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_811,axiom,(
    ! [VarCurr] :
      ( v29797(VarCurr)
     => ( v30717(VarCurr)
      <=> v30718(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_98,axiom,(
    ! [VarCurr] :
      ( ( ~ v29799(VarCurr)
        & ~ v29801(VarCurr)
        & ~ v29815(VarCurr) )
     => ( v30718(VarCurr)
      <=> v30724(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_340,axiom,(
    ! [VarCurr] :
      ( v29815(VarCurr)
     => ( v30718(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_819,axiom,(
    ! [VarCurr] :
      ( v29801(VarCurr)
     => ( v30718(VarCurr)
      <=> v30722(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_810,axiom,(
    ! [VarCurr] :
      ( v29799(VarCurr)
     => ( v30718(VarCurr)
      <=> v30719(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_818,axiom,(
    ! [VarCurr] :
      ( ~ v29820(VarCurr)
     => ( v30724(VarCurr)
      <=> v30725(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_809,axiom,(
    ! [VarCurr] :
      ( v29820(VarCurr)
     => ( v30724(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_817,axiom,(
    ! [VarCurr] :
      ( ~ v29823(VarCurr)
     => ( v30725(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_808,axiom,(
    ! [VarCurr] :
      ( v29823(VarCurr)
     => ( v30725(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_816,axiom,(
    ! [VarCurr] :
      ( ~ v30723(VarCurr)
     => ( v30722(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_807,axiom,(
    ! [VarCurr] :
      ( v30723(VarCurr)
     => ( v30722(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6686,axiom,(
    ! [VarCurr] :
      ( v30723(VarCurr)
    <=> ( v29805(VarCurr)
        | v29810(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_815,axiom,(
    ! [VarCurr] :
      ( ~ v30720(VarCurr)
     => ( v30719(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_806,axiom,(
    ! [VarCurr] :
      ( v30720(VarCurr)
     => ( v30719(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_2235,axiom,(
    ! [VarCurr] :
      ( v30721(VarCurr)
    <=> ( v29688(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_2234,axiom,(
    ! [VarCurr] :
      ( v30720(VarCurr)
    <=> ( v29688(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_339,axiom,(
    ! [VarCurr] :
      ( ( ~ v26873(VarCurr)
        & ~ v26891(VarCurr) )
     => ( v26150(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_814,axiom,(
    ! [VarCurr] :
      ( v26891(VarCurr)
     => ( v26150(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_805,axiom,(
    ! [VarCurr] :
      ( v26873(VarCurr)
     => ( v26150(VarCurr)
      <=> v30712(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_813,axiom,(
    ! [VarCurr] :
      ( ~ v26875(VarCurr)
     => ( v30712(VarCurr)
      <=> v30713(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_804,axiom,(
    ! [VarCurr] :
      ( v26875(VarCurr)
     => ( v30712(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_812,axiom,(
    ! [VarCurr] :
      ( ~ v26878(VarCurr)
     => ( v30713(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_803,axiom,(
    ! [VarCurr] :
      ( v26878(VarCurr)
     => ( v30713(VarCurr)
      <=> $false ) ) )).

fof(addAssignment_9288,axiom,(
    ! [VarCurr] :
      ( v26152(VarCurr)
    <=> v26154(VarCurr) ) )).

fof(addAssignment_9287,axiom,(
    ! [VarCurr] :
      ( v26154(VarCurr)
    <=> v26156(VarCurr) ) )).

fof(addAssignment_9286,axiom,(
    ! [VarCurr] :
      ( v26156(VarCurr)
    <=> v26158(VarCurr) ) )).

fof(addAssignment_9285,axiom,(
    ! [VarCurr] :
      ( v26158(VarCurr)
    <=> v26160(VarCurr) ) )).

fof(addAssignment_9284,axiom,(
    ! [VarCurr] :
      ( v26160(VarCurr)
    <=> v26162(VarCurr) ) )).

fof(addAssignment_9283,axiom,(
    ! [VarCurr] :
      ( v26162(VarCurr)
    <=> v26164(VarCurr) ) )).

fof(addAssignment_9282,axiom,(
    ! [VarCurr] :
      ( v26164(VarCurr)
    <=> v26166(VarCurr,bitIndex6) ) )).

fof(addAssignment_9281,axiom,(
    ! [VarNext] :
      ( v26166(VarNext,bitIndex6)
    <=> v30704(VarNext,bitIndex6) ) )).

fof(addCaseBooleanConditionEqualRanges1_363,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30705(VarNext)
       => ! [B] :
            ( range_7_0(B)
           => ( v30704(VarNext,B)
            <=> v26166(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_406,axiom,(
    ! [VarNext] :
      ( v30705(VarNext)
     => ! [B] :
          ( range_7_0(B)
         => ( v30704(VarNext,B)
          <=> v29891(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6685,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30705(VarNext)
      <=> v30706(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6684,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30706(VarNext)
      <=> ( v30708(VarNext)
          & v29876(VarNext) ) ) ) )).

fof(writeUnaryOperator_3122,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30708(VarNext)
      <=> v29885(VarNext) ) ) )).

fof(addAssignment_9280,axiom,(
    ! [VarCurr] :
      ( v26172(VarCurr,bitIndex6)
    <=> v29861(VarCurr,bitIndex6) ) )).

fof(addAssignment_9279,axiom,(
    ! [VarCurr] :
      ( v29856(VarCurr,bitIndex6)
    <=> v29857(VarCurr,bitIndex6) ) )).

fof(addAssignment_9278,axiom,(
    ! [VarNext] :
      ( v26166(VarNext,bitIndex5)
    <=> v30696(VarNext,bitIndex5) ) )).

fof(addCaseBooleanConditionEqualRanges1_362,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30697(VarNext)
       => ! [B] :
            ( range_7_0(B)
           => ( v30696(VarNext,B)
            <=> v26166(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_405,axiom,(
    ! [VarNext] :
      ( v30697(VarNext)
     => ! [B] :
          ( range_7_0(B)
         => ( v30696(VarNext,B)
          <=> v29891(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6683,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30697(VarNext)
      <=> v30698(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6682,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30698(VarNext)
      <=> ( v30700(VarNext)
          & v29876(VarNext) ) ) ) )).

fof(writeUnaryOperator_3121,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30700(VarNext)
      <=> v29885(VarNext) ) ) )).

fof(addAssignment_9277,axiom,(
    ! [VarCurr] :
      ( v26172(VarCurr,bitIndex5)
    <=> v29861(VarCurr,bitIndex5) ) )).

fof(addAssignment_9276,axiom,(
    ! [VarCurr] :
      ( v29856(VarCurr,bitIndex5)
    <=> v29857(VarCurr,bitIndex5) ) )).

fof(addAssignment_9275,axiom,(
    ! [VarNext] :
      ( v26166(VarNext,bitIndex4)
    <=> v30688(VarNext,bitIndex4) ) )).

fof(addCaseBooleanConditionEqualRanges1_361,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30689(VarNext)
       => ! [B] :
            ( range_7_0(B)
           => ( v30688(VarNext,B)
            <=> v26166(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_404,axiom,(
    ! [VarNext] :
      ( v30689(VarNext)
     => ! [B] :
          ( range_7_0(B)
         => ( v30688(VarNext,B)
          <=> v29891(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6681,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30689(VarNext)
      <=> v30690(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6680,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30690(VarNext)
      <=> ( v30692(VarNext)
          & v29876(VarNext) ) ) ) )).

fof(writeUnaryOperator_3120,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30692(VarNext)
      <=> v29885(VarNext) ) ) )).

fof(addAssignment_9274,axiom,(
    ! [VarCurr] :
      ( v26172(VarCurr,bitIndex4)
    <=> v29861(VarCurr,bitIndex4) ) )).

fof(addAssignment_9273,axiom,(
    ! [VarCurr] :
      ( v29856(VarCurr,bitIndex4)
    <=> v29857(VarCurr,bitIndex4) ) )).

fof(addAssignment_9272,axiom,(
    ! [VarNext] :
      ( v26166(VarNext,bitIndex7)
    <=> v30680(VarNext,bitIndex7) ) )).

fof(addCaseBooleanConditionEqualRanges1_360,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30681(VarNext)
       => ! [B] :
            ( range_7_0(B)
           => ( v30680(VarNext,B)
            <=> v26166(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_403,axiom,(
    ! [VarNext] :
      ( v30681(VarNext)
     => ! [B] :
          ( range_7_0(B)
         => ( v30680(VarNext,B)
          <=> v29891(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6679,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30681(VarNext)
      <=> v30682(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6678,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30682(VarNext)
      <=> ( v30684(VarNext)
          & v29876(VarNext) ) ) ) )).

fof(writeUnaryOperator_3119,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30684(VarNext)
      <=> v29885(VarNext) ) ) )).

fof(addAssignment_9271,axiom,(
    ! [VarCurr] :
      ( v26172(VarCurr,bitIndex7)
    <=> v29861(VarCurr,bitIndex7) ) )).

fof(addAssignment_9270,axiom,(
    ! [VarCurr] :
      ( v29856(VarCurr,bitIndex7)
    <=> v29857(VarCurr,bitIndex7) ) )).

fof(addAssignment_9269,axiom,(
    ! [VarCurr] :
      ( v29844(VarCurr)
    <=> v29846(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6677,axiom,(
    ! [VarCurr] :
      ( v29846(VarCurr)
    <=> ( v30678(VarCurr)
        | v30673(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6676,axiom,(
    ! [VarCurr] :
      ( v30678(VarCurr)
    <=> ( v29848(VarCurr)
        | v30522(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_786,axiom,(
    ! [VarCurr] :
      ( ~ v30675(VarCurr)
     => ( v30673(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_733,axiom,(
    ! [VarCurr] :
      ( v30675(VarCurr)
     => ( v30673(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6675,axiom,(
    ! [VarCurr] :
      ( v30675(VarCurr)
    <=> ( v30676(VarCurr)
        & v30226(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6674,axiom,(
    ! [VarCurr] :
      ( v30676(VarCurr)
    <=> ( v30649(VarCurr)
        & v30225(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_785,axiom,(
    ! [VarCurr] :
      ( ~ v30670(VarCurr)
     => ( v29848(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_732,axiom,(
    ! [VarCurr] :
      ( v30670(VarCurr)
     => ( v29848(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6673,axiom,(
    ! [VarCurr] :
      ( v30670(VarCurr)
    <=> ( v30671(VarCurr)
        & v30226(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6672,axiom,(
    ! [VarCurr] :
      ( v30671(VarCurr)
    <=> ( v30563(VarCurr)
        & v30225(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_359,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30658(VarNext)
       => ( v30184(VarNext,bitIndex0)
        <=> v30184(VarCurr,bitIndex0) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_402,axiom,(
    ! [VarNext] :
      ( v30658(VarNext)
     => ( v30184(VarNext,bitIndex0)
      <=> v30666(VarNext) ) ) )).

fof(addAssignment_9268,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30666(VarNext)
      <=> v30664(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_784,axiom,(
    ! [VarCurr] :
      ( ~ v30554(VarCurr)
     => ( v30664(VarCurr)
      <=> v30186(VarCurr,bitIndex0) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_731,axiom,(
    ! [VarCurr] :
      ( v30554(VarCurr)
     => ( v30664(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6671,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30658(VarNext)
      <=> v30659(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6670,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30659(VarNext)
      <=> ( v30661(VarNext)
          & v29878(VarNext) ) ) ) )).

fof(writeUnaryOperator_3118,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30661(VarNext)
      <=> v30547(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_783,axiom,(
    ! [VarCurr] :
      ( ~ v30640(VarCurr)
     => ( v30186(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_730,axiom,(
    ! [VarCurr] :
      ( v30640(VarCurr)
     => ( v30186(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6669,axiom,(
    ! [VarCurr] :
      ( v30640(VarCurr)
    <=> ( v30641(VarCurr)
        | v30654(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6668,axiom,(
    ! [VarCurr] :
      ( v30654(VarCurr)
    <=> ( v30655(VarCurr)
        & v30568(VarCurr) ) ) )).

fof(writeUnaryOperator_3117,axiom,(
    ! [VarCurr] :
      ( ~ v30655(VarCurr)
    <=> v30188(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6667,axiom,(
    ! [VarCurr] :
      ( v30641(VarCurr)
    <=> ( v30642(VarCurr)
        | v30653(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6666,axiom,(
    ! [VarCurr] :
      ( v30653(VarCurr)
    <=> ( v30585(VarCurr)
        & v30540(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6665,axiom,(
    ! [VarCurr] :
      ( v30642(VarCurr)
    <=> ( v30643(VarCurr)
        & v30226(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6664,axiom,(
    ! [VarCurr] :
      ( v30643(VarCurr)
    <=> ( v30644(VarCurr)
        | v30652(VarCurr) ) ) )).

fof(writeUnaryOperator_3116,axiom,(
    ! [VarCurr] :
      ( ~ v30652(VarCurr)
    <=> v30225(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6663,axiom,(
    ! [VarCurr] :
      ( v30644(VarCurr)
    <=> ( v30645(VarCurr)
        & v30225(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6662,axiom,(
    ! [VarCurr] :
      ( v30645(VarCurr)
    <=> ( v30646(VarCurr)
        | v30650(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6661,axiom,(
    ! [VarCurr] :
      ( v30650(VarCurr)
    <=> ( v30651(VarCurr)
        & v30224(VarCurr) ) ) )).

fof(writeUnaryOperator_3115,axiom,(
    ! [VarCurr] :
      ( ~ v30651(VarCurr)
    <=> v30204(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6660,axiom,(
    ! [VarCurr] :
      ( v30646(VarCurr)
    <=> ( v30647(VarCurr)
        | v30649(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2233,axiom,(
    ! [VarCurr] :
      ( v30649(VarCurr)
    <=> ( ( v29850(VarCurr,bitIndex1)
        <=> $false )
        & ( v29850(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6659,axiom,(
    ! [VarCurr] :
      ( v30647(VarCurr)
    <=> ( v30648(VarCurr)
        & v30563(VarCurr) ) ) )).

fof(writeUnaryOperator_3114,axiom,(
    ! [VarCurr] :
      ( ~ v30648(VarCurr)
    <=> v30188(VarCurr) ) )).

fof(writeUnaryOperator_3113,axiom,(
    ! [VarCurr] :
      ( ~ v30188(VarCurr)
    <=> v30638(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1713,axiom,(
    ! [VarCurr] :
      ( v30638(VarCurr)
    <=> ( v30616(VarCurr)
        | v30190(VarCurr,bitIndex2) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_358,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30624(VarNext)
       => ! [B] :
            ( range_2_0(B)
           => ( v30190(VarNext,B)
            <=> v30190(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_401,axiom,(
    ! [VarNext] :
      ( v30624(VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v30190(VarNext,B)
          <=> v30632(VarNext,B) ) ) ) )).

fof(addAssignment_9267,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v30632(VarNext,B)
          <=> v30630(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_782,axiom,(
    ! [VarCurr] :
      ( ~ v30633(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v30630(VarCurr,B)
          <=> v30192(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_729,axiom,(
    ! [VarCurr] :
      ( v30633(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v30630(VarCurr,B)
          <=> b100(B) ) ) ) )).

fof(writeUnaryOperator_3112,axiom,(
    ! [VarCurr] :
      ( ~ v30633(VarCurr)
    <=> v26170(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6658,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30624(VarNext)
      <=> v30625(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6657,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30625(VarNext)
      <=> ( v30626(VarNext)
          & v29878(VarNext) ) ) ) )).

fof(writeUnaryOperator_3111,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30626(VarNext)
      <=> v30547(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_338,axiom,(
    ! [VarCurr] :
      ( ( ~ v30589(VarCurr)
        & ~ v30605(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v30192(VarCurr,B)
          <=> v30190(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_811,axiom,(
    ! [VarCurr] :
      ( v30605(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v30192(VarCurr,B)
          <=> v30607(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_802,axiom,(
    ! [VarCurr] :
      ( v30589(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v30192(VarCurr,B)
          <=> v30591(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6656,axiom,(
    ! [VarCurr] :
      ( v30617(VarCurr)
    <=> ( v30618(VarCurr)
        | v30620(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2232,axiom,(
    ! [VarCurr] :
      ( v30620(VarCurr)
    <=> ( ( v30621(VarCurr,bitIndex1)
        <=> $true )
        & ( v30621(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_9266,axiom,(
    ! [VarCurr] :
      ( v30621(VarCurr,bitIndex0)
    <=> v30202(VarCurr) ) )).

fof(addAssignment_9265,axiom,(
    ! [VarCurr] :
      ( v30621(VarCurr,bitIndex1)
    <=> v30194(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_2231,axiom,(
    ! [VarCurr] :
      ( v30618(VarCurr)
    <=> ( ( v30619(VarCurr,bitIndex1)
        <=> $false )
        & ( v30619(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_9264,axiom,(
    ! [VarCurr] :
      ( v30619(VarCurr,bitIndex0)
    <=> v30202(VarCurr) ) )).

fof(addAssignment_9263,axiom,(
    ! [VarCurr] :
      ( v30619(VarCurr,bitIndex1)
    <=> v30194(VarCurr) ) )).

fof(addAssignment_9262,axiom,(
    ! [VarCurr] :
      ( v30607(VarCurr,bitIndex0)
    <=> v30603(VarCurr) ) )).

fof(addAssignment_9261,axiom,(
    ! [VarCurr] :
      ( v30607(VarCurr,bitIndex1)
    <=> v30614(VarCurr) ) )).

fof(addAssignment_9260,axiom,(
    ! [VarCurr] :
      ( v30607(VarCurr,bitIndex2)
    <=> v30609(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6655,axiom,(
    ! [VarCurr] :
      ( v30614(VarCurr)
    <=> ( v30615(VarCurr)
        & v30616(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1712,axiom,(
    ! [VarCurr] :
      ( v30616(VarCurr)
    <=> ( v30190(VarCurr,bitIndex0)
        | v30190(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6654,axiom,(
    ! [VarCurr] :
      ( v30615(VarCurr)
    <=> ( v30603(VarCurr)
        | v30598(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6653,axiom,(
    ! [VarCurr] :
      ( v30609(VarCurr)
    <=> ( v30610(VarCurr)
        & v30613(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1711,axiom,(
    ! [VarCurr] :
      ( v30613(VarCurr)
    <=> ( v30190(VarCurr,bitIndex2)
        | v30612(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6652,axiom,(
    ! [VarCurr] :
      ( v30610(VarCurr)
    <=> ( v30600(VarCurr)
        | v30611(VarCurr) ) ) )).

fof(writeUnaryOperator_3110,axiom,(
    ! [VarCurr] :
      ( ~ v30611(VarCurr)
    <=> v30612(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1710,axiom,(
    ! [VarCurr] :
      ( v30612(VarCurr)
    <=> ( v30190(VarCurr,bitIndex0)
        & v30190(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_2230,axiom,(
    ! [VarCurr] :
      ( v30605(VarCurr)
    <=> ( ( v30606(VarCurr,bitIndex1)
        <=> $true )
        & ( v30606(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_9259,axiom,(
    ! [VarCurr] :
      ( v30606(VarCurr,bitIndex0)
    <=> v30202(VarCurr) ) )).

fof(addAssignment_9258,axiom,(
    ! [VarCurr] :
      ( v30606(VarCurr,bitIndex1)
    <=> v30194(VarCurr) ) )).

fof(addAssignment_9257,axiom,(
    ! [VarCurr] :
      ( v30591(VarCurr,bitIndex0)
    <=> v30603(VarCurr) ) )).

fof(addAssignment_9256,axiom,(
    ! [VarCurr] :
      ( v30591(VarCurr,bitIndex1)
    <=> v30601(VarCurr) ) )).

fof(addAssignment_9255,axiom,(
    ! [VarCurr] :
      ( v30591(VarCurr,bitIndex2)
    <=> v30593(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6651,axiom,(
    ! [VarCurr] :
      ( v30601(VarCurr)
    <=> ( v30602(VarCurr)
        & v30604(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6650,axiom,(
    ! [VarCurr] :
      ( v30604(VarCurr)
    <=> ( v30190(VarCurr,bitIndex0)
        | v30598(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1709,axiom,(
    ! [VarCurr] :
      ( v30602(VarCurr)
    <=> ( v30603(VarCurr)
        | v30190(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_3109,axiom,(
    ! [VarCurr] :
      ( ~ v30603(VarCurr)
    <=> v30190(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6649,axiom,(
    ! [VarCurr] :
      ( v30593(VarCurr)
    <=> ( v30594(VarCurr)
        & v30599(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6648,axiom,(
    ! [VarCurr] :
      ( v30599(VarCurr)
    <=> ( v30596(VarCurr)
        | v30600(VarCurr) ) ) )).

fof(writeUnaryOperator_3108,axiom,(
    ! [VarCurr] :
      ( ~ v30600(VarCurr)
    <=> v30190(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_1708,axiom,(
    ! [VarCurr] :
      ( v30594(VarCurr)
    <=> ( v30595(VarCurr)
        | v30190(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_3107,axiom,(
    ! [VarCurr] :
      ( ~ v30595(VarCurr)
    <=> v30596(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1707,axiom,(
    ! [VarCurr] :
      ( v30596(VarCurr)
    <=> ( v30190(VarCurr,bitIndex1)
        | v30597(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6647,axiom,(
    ! [VarCurr] :
      ( v30597(VarCurr)
    <=> ( v30190(VarCurr,bitIndex0)
        & v30598(VarCurr) ) ) )).

fof(writeUnaryOperator_3106,axiom,(
    ! [VarCurr] :
      ( ~ v30598(VarCurr)
    <=> v30190(VarCurr,bitIndex1) ) )).

fof(addBitVectorEqualityBitBlasted_2229,axiom,(
    ! [VarCurr] :
      ( v30589(VarCurr)
    <=> ( ( v30590(VarCurr,bitIndex1)
        <=> $false )
        & ( v30590(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_9254,axiom,(
    ! [VarCurr] :
      ( v30590(VarCurr,bitIndex0)
    <=> v30202(VarCurr) ) )).

fof(addAssignment_9253,axiom,(
    ! [VarCurr] :
      ( v30590(VarCurr,bitIndex1)
    <=> v30194(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_781,axiom,(
    ! [VarCurr] :
      ( ~ v30578(VarCurr)
     => ( v30202(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_728,axiom,(
    ! [VarCurr] :
      ( v30578(VarCurr)
     => ( v30202(VarCurr)
      <=> v30582(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_337,axiom,(
    ! [VarCurr] :
      ( ( ~ v30580(VarCurr)
        & ~ v30540(VarCurr) )
     => ( v30582(VarCurr)
      <=> v30587(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_810,axiom,(
    ! [VarCurr] :
      ( v30540(VarCurr)
     => ( v30582(VarCurr)
      <=> v30584(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_801,axiom,(
    ! [VarCurr] :
      ( v30580(VarCurr)
     => ( v30582(VarCurr)
      <=> v30583(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_780,axiom,(
    ! [VarCurr] :
      ( ~ v30188(VarCurr)
     => ( v30587(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_727,axiom,(
    ! [VarCurr] :
      ( v30188(VarCurr)
     => ( v30587(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_336,axiom,(
    ! [VarCurr] :
      ( ( ~ v30535(VarCurr)
        & ~ v30585(VarCurr) )
     => ( v30584(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_809,axiom,(
    ! [VarCurr] :
      ( v30585(VarCurr)
     => ( v30584(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_800,axiom,(
    ! [VarCurr] :
      ( v30535(VarCurr)
     => ( v30584(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_2228,axiom,(
    ! [VarCurr] :
      ( v30585(VarCurr)
    <=> ( ( v30586(VarCurr,bitIndex1)
        <=> $true )
        & ( v30586(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_9252,axiom,(
    ! [VarCurr] :
      ( v30586(VarCurr,bitIndex0)
    <=> v30188(VarCurr) ) )).

fof(addAssignment_9251,axiom,(
    ! [VarCurr] :
      ( v30586(VarCurr,bitIndex1)
    <=> v30522(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_779,axiom,(
    ! [VarCurr] :
      ( ~ v30188(VarCurr)
     => ( v30583(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_726,axiom,(
    ! [VarCurr] :
      ( v30188(VarCurr)
     => ( v30583(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6646,axiom,(
    ! [VarCurr] :
      ( v30578(VarCurr)
    <=> ( v30579(VarCurr)
        | v30568(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6645,axiom,(
    ! [VarCurr] :
      ( v30579(VarCurr)
    <=> ( v30580(VarCurr)
        | v30540(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6644,axiom,(
    ! [VarCurr] :
      ( v30580(VarCurr)
    <=> ( v30581(VarCurr)
        & v30226(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6643,axiom,(
    ! [VarCurr] :
      ( v30581(VarCurr)
    <=> ( v30563(VarCurr)
        & v30225(VarCurr) ) ) )).

fof(addAssignment_9250,axiom,(
    ! [VarNext] :
      ( v30184(VarNext,bitIndex1)
    <=> v30570(VarNext,bitIndex0) ) )).

fof(addCaseBooleanConditionShiftedRanges1_53,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30571(VarNext)
       => ( ( v30570(VarNext,bitIndex1)
          <=> v30184(VarCurr,bitIndex2) )
          & ( v30570(VarNext,bitIndex0)
          <=> v30184(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_400,axiom,(
    ! [VarNext] :
      ( v30571(VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v30570(VarNext,B)
          <=> v30553(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6642,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30571(VarNext)
      <=> v30572(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6641,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30572(VarNext)
      <=> ( v30574(VarNext)
          & v29878(VarNext) ) ) ) )).

fof(writeUnaryOperator_3105,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30574(VarNext)
      <=> v30547(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_433,axiom,(
    ! [VarCurr] :
      ( ~ v30558(VarCurr)
     => ( v30186(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_486,axiom,(
    ! [VarCurr] :
      ( v30558(VarCurr)
     => ( v30186(VarCurr,bitIndex1)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6640,axiom,(
    ! [VarCurr] :
      ( v30558(VarCurr)
    <=> ( v30559(VarCurr)
        | v30567(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6639,axiom,(
    ! [VarCurr] :
      ( v30567(VarCurr)
    <=> ( v30188(VarCurr)
        & v30568(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2227,axiom,(
    ! [VarCurr] :
      ( v30568(VarCurr)
    <=> ( $true
      <=> v30184(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6638,axiom,(
    ! [VarCurr] :
      ( v30559(VarCurr)
    <=> ( v30560(VarCurr)
        | v30564(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6637,axiom,(
    ! [VarCurr] :
      ( v30564(VarCurr)
    <=> ( v30565(VarCurr)
        & v30540(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2226,axiom,(
    ! [VarCurr] :
      ( v30565(VarCurr)
    <=> ( ( v30566(VarCurr,bitIndex1)
        <=> $true )
        & ( v30566(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_9249,axiom,(
    ! [VarCurr] :
      ( v30566(VarCurr,bitIndex0)
    <=> v30188(VarCurr) ) )).

fof(addAssignment_9248,axiom,(
    ! [VarCurr] :
      ( v30566(VarCurr,bitIndex1)
    <=> v30522(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6636,axiom,(
    ! [VarCurr] :
      ( v30560(VarCurr)
    <=> ( v30561(VarCurr)
        & v30226(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6635,axiom,(
    ! [VarCurr] :
      ( v30561(VarCurr)
    <=> ( v30562(VarCurr)
        & v30225(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6634,axiom,(
    ! [VarCurr] :
      ( v30562(VarCurr)
    <=> ( v30188(VarCurr)
        & v30563(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2225,axiom,(
    ! [VarCurr] :
      ( v30563(VarCurr)
    <=> ( ( v29850(VarCurr,bitIndex1)
        <=> $false )
        & ( v29850(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_9247,axiom,(
    ! [VarNext] :
      ( v30184(VarNext,bitIndex2)
    <=> v30542(VarNext,bitIndex1) ) )).

fof(addCaseBooleanConditionShiftedRanges1_52,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30543(VarNext)
       => ( ( v30542(VarNext,bitIndex1)
          <=> v30184(VarCurr,bitIndex2) )
          & ( v30542(VarNext,bitIndex0)
          <=> v30184(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_399,axiom,(
    ! [VarNext] :
      ( v30543(VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v30542(VarNext,B)
          <=> v30553(VarNext,B) ) ) ) )).

fof(addAssignment_9246,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v30553(VarNext,B)
          <=> v30551(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_432,axiom,(
    ! [VarCurr] :
      ( ~ v30554(VarCurr)
     => ( ( v30551(VarCurr,bitIndex1)
        <=> v30186(VarCurr,bitIndex2) )
        & ( v30551(VarCurr,bitIndex0)
        <=> v30186(VarCurr,bitIndex1) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_725,axiom,(
    ! [VarCurr] :
      ( v30554(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v30551(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_3104,axiom,(
    ! [VarCurr] :
      ( ~ v30554(VarCurr)
    <=> v26170(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6633,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30543(VarNext)
      <=> v30544(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6632,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30544(VarNext)
      <=> ( v30545(VarNext)
          & v29878(VarNext) ) ) ) )).

fof(writeUnaryOperator_3103,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30545(VarNext)
      <=> v30547(VarNext) ) ) )).

fof(addAssignment_9245,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30547(VarNext)
      <=> v29878(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_431,axiom,(
    ! [VarCurr] :
      ( ~ v30530(VarCurr)
     => ( v30186(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_485,axiom,(
    ! [VarCurr] :
      ( v30530(VarCurr)
     => ( v30186(VarCurr,bitIndex2)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6631,axiom,(
    ! [VarCurr] :
      ( v30530(VarCurr)
    <=> ( v30531(VarCurr)
        | v30534(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6630,axiom,(
    ! [VarCurr] :
      ( v30534(VarCurr)
    <=> ( v30535(VarCurr)
        & v30540(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2224,axiom,(
    ! [VarCurr] :
      ( v30540(VarCurr)
    <=> ( $true
      <=> v30184(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6629,axiom,(
    ! [VarCurr] :
      ( v30535(VarCurr)
    <=> ( v30536(VarCurr)
        | v30538(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2223,axiom,(
    ! [VarCurr] :
      ( v30538(VarCurr)
    <=> ( ( v30539(VarCurr,bitIndex1)
        <=> $false )
        & ( v30539(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_9244,axiom,(
    ! [VarCurr] :
      ( v30539(VarCurr,bitIndex0)
    <=> v30188(VarCurr) ) )).

fof(addAssignment_9243,axiom,(
    ! [VarCurr] :
      ( v30539(VarCurr,bitIndex1)
    <=> v30522(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_2222,axiom,(
    ! [VarCurr] :
      ( v30536(VarCurr)
    <=> ( ( v30537(VarCurr,bitIndex1)
        <=> $false )
        & ( v30537(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_9242,axiom,(
    ! [VarCurr] :
      ( v30537(VarCurr,bitIndex0)
    <=> v30188(VarCurr) ) )).

fof(addAssignment_9241,axiom,(
    ! [VarCurr] :
      ( v30537(VarCurr,bitIndex1)
    <=> v30522(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6628,axiom,(
    ! [VarCurr] :
      ( v30531(VarCurr)
    <=> ( v30532(VarCurr)
        & v30226(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6627,axiom,(
    ! [VarCurr] :
      ( v30532(VarCurr)
    <=> ( v30533(VarCurr)
        & v30225(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6626,axiom,(
    ! [VarCurr] :
      ( v30533(VarCurr)
    <=> ( v30204(VarCurr)
        & v30224(VarCurr) ) ) )).

fof(addAssignment_9240,axiom,(
    ! [VarCurr] :
      ( v30522(VarCurr)
    <=> v30524(VarCurr) ) )).

fof(addAssignment_9239,axiom,(
    ! [VarCurr] :
      ( v30524(VarCurr)
    <=> v30526(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6625,axiom,(
    ! [VarCurr] :
      ( v30526(VarCurr)
    <=> ( v30528(VarCurr)
        & v30245(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1706,axiom,(
    ! [VarCurr] :
      ( v30528(VarCurr)
    <=> ( v30210(VarCurr,bitIndex2)
        | v30210(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_9238,axiom,(
    ! [VarCurr] :
      ( v30204(VarCurr)
    <=> v30206(VarCurr) ) )).

fof(addAssignment_9237,axiom,(
    ! [VarCurr] :
      ( v30206(VarCurr)
    <=> v30208(VarCurr) ) )).

fof(addAssignment_9236,axiom,(
    ! [VarCurr] :
      ( v30208(VarCurr)
    <=> v30210(VarCurr,bitIndex0) ) )).

fof(addCaseBooleanConditionEqualRanges1_357,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30510(VarNext)
       => ( v30210(VarNext,bitIndex0)
        <=> v30210(VarCurr,bitIndex0) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_398,axiom,(
    ! [VarNext] :
      ( v30510(VarNext)
     => ( v30210(VarNext,bitIndex0)
      <=> v30518(VarNext) ) ) )).

fof(addAssignment_9235,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30518(VarNext)
      <=> v30516(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_778,axiom,(
    ! [VarCurr] :
      ( ~ v30305(VarCurr)
     => ( v30516(VarCurr)
      <=> v30214(VarCurr,bitIndex0) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_724,axiom,(
    ! [VarCurr] :
      ( v30305(VarCurr)
     => ( v30516(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6624,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30510(VarNext)
      <=> v30511(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6623,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30511(VarNext)
      <=> ( v30513(VarNext)
          & v30291(VarNext) ) ) ) )).

fof(writeUnaryOperator_3102,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30513(VarNext)
      <=> v30298(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_777,axiom,(
    ! [VarCurr] :
      ( ~ v30503(VarCurr)
     => ( v30214(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_723,axiom,(
    ! [VarCurr] :
      ( v30503(VarCurr)
     => ( v30214(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6622,axiom,(
    ! [VarCurr] :
      ( v30503(VarCurr)
    <=> ( v30504(VarCurr)
        | v30507(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6621,axiom,(
    ! [VarCurr] :
      ( v30507(VarCurr)
    <=> ( v30245(VarCurr)
        & v30315(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6620,axiom,(
    ! [VarCurr] :
      ( v30504(VarCurr)
    <=> ( v30505(VarCurr)
        | v30506(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6619,axiom,(
    ! [VarCurr] :
      ( v30506(VarCurr)
    <=> ( v30245(VarCurr)
        & v30328(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6618,axiom,(
    ! [VarCurr] :
      ( v30505(VarCurr)
    <=> ( v30331(VarCurr)
        & v30286(VarCurr) ) ) )).

fof(addAssignment_9234,axiom,(
    ! [VarCurr] :
      ( v30245(VarCurr)
    <=> v30247(VarCurr) ) )).

fof(addAssignment_9233,axiom,(
    ! [VarCurr] :
      ( v30247(VarCurr)
    <=> v30249(VarCurr) ) )).

fof(addAssignment_9232,axiom,(
    ! [VarCurr] :
      ( v30249(VarCurr)
    <=> v30251(VarCurr) ) )).

fof(addAssignment_9231,axiom,(
    ! [VarCurr] :
      ( v30251(VarCurr)
    <=> v30253(VarCurr) ) )).

fof(addAssignment_9230,axiom,(
    ! [VarCurr] :
      ( v30253(VarCurr)
    <=> v30255(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_356,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30490(VarNext)
       => ( v30255(VarNext)
        <=> v30255(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_397,axiom,(
    ! [VarNext] :
      ( v30490(VarNext)
     => ( v30255(VarNext)
      <=> v30498(VarNext) ) ) )).

fof(addAssignment_9229,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30498(VarNext)
      <=> v30496(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_776,axiom,(
    ! [VarCurr] :
      ( ~ v30499(VarCurr)
     => ( v30496(VarCurr)
      <=> v30261(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_722,axiom,(
    ! [VarCurr] :
      ( v30499(VarCurr)
     => ( v30496(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_3101,axiom,(
    ! [VarCurr] :
      ( ~ v30499(VarCurr)
    <=> v30257(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6617,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30490(VarNext)
      <=> v30491(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6616,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30491(VarNext)
      <=> ( v30492(VarNext)
          & v30390(VarNext) ) ) ) )).

fof(writeUnaryOperator_3100,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30492(VarNext)
      <=> v30399(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_775,axiom,(
    ! [VarCurr] :
      ( ~ v30449(VarCurr)
     => ( v30261(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_721,axiom,(
    ! [VarCurr] :
      ( v30449(VarCurr)
     => ( v30261(VarCurr)
      <=> v30473(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_808,axiom,(
    ! [VarCurr] :
      ( ~ v30410(VarCurr)
     => ( v30473(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_799,axiom,(
    ! [VarCurr] :
      ( v30410(VarCurr)
     => ( v30473(VarCurr)
      <=> v30474(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6615,axiom,(
    ! [VarCurr] :
      ( v30480(VarCurr)
    <=> ( v30482(VarCurr)
        | v30462(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6614,axiom,(
    ! [VarCurr] :
      ( v30482(VarCurr)
    <=> ( v30483(VarCurr)
        | v30461(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6613,axiom,(
    ! [VarCurr] :
      ( v30483(VarCurr)
    <=> ( v30484(VarCurr)
        | v30460(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6612,axiom,(
    ! [VarCurr] :
      ( v30484(VarCurr)
    <=> ( v30485(VarCurr)
        | v30430(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6611,axiom,(
    ! [VarCurr] :
      ( v30485(VarCurr)
    <=> ( v30486(VarCurr)
        | v30429(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6610,axiom,(
    ! [VarCurr] :
      ( v30486(VarCurr)
    <=> ( v30487(VarCurr)
        | v30428(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6609,axiom,(
    ! [VarCurr] :
      ( v30487(VarCurr)
    <=> ( v30413(VarCurr)
        | v30427(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6608,axiom,(
    ! [VarCurr] :
      ( v30413(VarCurr)
    <=> ( v30414(VarCurr)
        | v30419(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_774,axiom,(
    ! [VarCurr] :
      ( ~ v30267(VarCurr)
     => ( v30474(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_720,axiom,(
    ! [VarCurr] :
      ( v30267(VarCurr)
     => ( v30474(VarCurr)
      <=> v30475(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_773,axiom,(
    ! [VarCurr] :
      ( ~ v30476(VarCurr)
     => ( v30475(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_719,axiom,(
    ! [VarCurr] :
      ( v30476(VarCurr)
     => ( v30475(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6607,axiom,(
    ! [VarCurr] :
      ( v30476(VarCurr)
    <=> ( v30477(VarCurr)
        & v30388(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6606,axiom,(
    ! [VarCurr] :
      ( v30477(VarCurr)
    <=> ( v30478(VarCurr)
        | v30479(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2221,axiom,(
    ! [VarCurr] :
      ( v30479(VarCurr)
    <=> ( ( v30350(VarCurr,bitIndex3)
        <=> $true )
        & ( v30350(VarCurr,bitIndex2)
        <=> $true )
        & ( v30350(VarCurr,bitIndex1)
        <=> $false )
        & ( v30350(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2220,axiom,(
    ! [VarCurr] :
      ( v30478(VarCurr)
    <=> ( ( v30350(VarCurr,bitIndex3)
        <=> $false )
        & ( v30350(VarCurr,bitIndex2)
        <=> $true )
        & ( v30350(VarCurr,bitIndex1)
        <=> $false )
        & ( v30350(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6605,axiom,(
    ! [VarCurr] :
      ( v30449(VarCurr)
    <=> ( v30450(VarCurr)
        | v30462(VarCurr) ) ) )).

fof(writeUnaryOperator_3099,axiom,(
    ! [VarCurr] :
      ( ~ v30462(VarCurr)
    <=> v30463(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6604,axiom,(
    ! [VarCurr] :
      ( v30463(VarCurr)
    <=> ( v30464(VarCurr)
        | v30431(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6603,axiom,(
    ! [VarCurr] :
      ( v30464(VarCurr)
    <=> ( v30465(VarCurr)
        | v30430(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6602,axiom,(
    ! [VarCurr] :
      ( v30465(VarCurr)
    <=> ( v30466(VarCurr)
        | v30429(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6601,axiom,(
    ! [VarCurr] :
      ( v30466(VarCurr)
    <=> ( v30467(VarCurr)
        | v30428(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6600,axiom,(
    ! [VarCurr] :
      ( v30467(VarCurr)
    <=> ( v30468(VarCurr)
        | v30427(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6599,axiom,(
    ! [VarCurr] :
      ( v30468(VarCurr)
    <=> ( v30469(VarCurr)
        | v30420(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6598,axiom,(
    ! [VarCurr] :
      ( v30469(VarCurr)
    <=> ( v30470(VarCurr)
        | v30419(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6597,axiom,(
    ! [VarCurr] :
      ( v30470(VarCurr)
    <=> ( v30471(VarCurr)
        | v30418(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6596,axiom,(
    ! [VarCurr] :
      ( v30471(VarCurr)
    <=> ( v30472(VarCurr)
        | v30417(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6595,axiom,(
    ! [VarCurr] :
      ( v30472(VarCurr)
    <=> ( v30410(VarCurr)
        | v30416(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6594,axiom,(
    ! [VarCurr] :
      ( v30450(VarCurr)
    <=> ( v30451(VarCurr)
        | v30461(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6593,axiom,(
    ! [VarCurr] :
      ( v30461(VarCurr)
    <=> ( v30433(VarCurr)
        & v30431(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6592,axiom,(
    ! [VarCurr] :
      ( v30451(VarCurr)
    <=> ( v30452(VarCurr)
        | v30430(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6591,axiom,(
    ! [VarCurr] :
      ( v30452(VarCurr)
    <=> ( v30453(VarCurr)
        | v30429(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6590,axiom,(
    ! [VarCurr] :
      ( v30453(VarCurr)
    <=> ( v30454(VarCurr)
        | v30428(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6589,axiom,(
    ! [VarCurr] :
      ( v30454(VarCurr)
    <=> ( v30455(VarCurr)
        | v30427(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6588,axiom,(
    ! [VarCurr] :
      ( v30455(VarCurr)
    <=> ( v30456(VarCurr)
        | v30460(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6587,axiom,(
    ! [VarCurr] :
      ( v30460(VarCurr)
    <=> ( v30422(VarCurr)
        & v30420(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6586,axiom,(
    ! [VarCurr] :
      ( v30456(VarCurr)
    <=> ( v30457(VarCurr)
        | v30419(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6585,axiom,(
    ! [VarCurr] :
      ( v30457(VarCurr)
    <=> ( v30458(VarCurr)
        | v30418(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6584,axiom,(
    ! [VarCurr] :
      ( v30458(VarCurr)
    <=> ( v30459(VarCurr)
        | v30417(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6583,axiom,(
    ! [VarCurr] :
      ( v30459(VarCurr)
    <=> ( v30410(VarCurr)
        | v30416(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_355,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30436(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v30263(VarNext,B)
            <=> v30263(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_396,axiom,(
    ! [VarNext] :
      ( v30436(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v30263(VarNext,B)
          <=> v30444(VarNext,B) ) ) ) )).

fof(addAssignment_9228,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v30444(VarNext,B)
          <=> v30442(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_772,axiom,(
    ! [VarCurr] :
      ( ~ v30445(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v30442(VarCurr,B)
          <=> v30265(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_718,axiom,(
    ! [VarCurr] :
      ( v30445(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v30442(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_3098,axiom,(
    ! [VarCurr] :
      ( ~ v30445(VarCurr)
    <=> v30257(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6582,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30436(VarNext)
      <=> v30437(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6581,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30437(VarNext)
      <=> ( v30438(VarNext)
          & v30390(VarNext) ) ) ) )).

fof(writeUnaryOperator_3097,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30438(VarNext)
      <=> v30399(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges5_21,axiom,(
    ! [VarCurr] :
      ( ( ~ v30410(VarCurr)
        & ~ v30412(VarCurr)
        & ~ v30420(VarCurr)
        & ~ v30423(VarCurr)
        & ~ v30431(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v30265(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges4_24,axiom,(
    ! [VarCurr] :
      ( v30431(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v30265(VarCurr,B)
          <=> v30432(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_97,axiom,(
    ! [VarCurr] :
      ( v30423(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v30265(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_335,axiom,(
    ! [VarCurr] :
      ( v30420(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v30265(VarCurr,B)
          <=> v30421(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_807,axiom,(
    ! [VarCurr] :
      ( v30412(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v30265(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_798,axiom,(
    ! [VarCurr] :
      ( v30410(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v30265(VarCurr,B)
          <=> v30411(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_771,axiom,(
    ! [VarCurr] :
      ( ~ v30433(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v30432(VarCurr,B)
          <=> $false ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_717,axiom,(
    ! [VarCurr] :
      ( v30433(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v30432(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_3096,axiom,(
    ! [VarCurr] :
      ( ~ v30433(VarCurr)
    <=> v30386(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_2219,axiom,(
    ! [VarCurr] :
      ( v30431(VarCurr)
    <=> ( ( v30263(VarCurr,bitIndex3)
        <=> $true )
        & ( v30263(VarCurr,bitIndex2)
        <=> $true )
        & ( v30263(VarCurr,bitIndex1)
        <=> $false )
        & ( v30263(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6580,axiom,(
    ! [VarCurr] :
      ( v30423(VarCurr)
    <=> ( v30425(VarCurr)
        | v30430(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2218,axiom,(
    ! [VarCurr] :
      ( v30430(VarCurr)
    <=> ( ( v30263(VarCurr,bitIndex3)
        <=> $true )
        & ( v30263(VarCurr,bitIndex2)
        <=> $true )
        & ( v30263(VarCurr,bitIndex1)
        <=> $false )
        & ( v30263(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6579,axiom,(
    ! [VarCurr] :
      ( v30425(VarCurr)
    <=> ( v30426(VarCurr)
        | v30429(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2217,axiom,(
    ! [VarCurr] :
      ( v30429(VarCurr)
    <=> ( ( v30263(VarCurr,bitIndex3)
        <=> $true )
        & ( v30263(VarCurr,bitIndex2)
        <=> $false )
        & ( v30263(VarCurr,bitIndex1)
        <=> $true )
        & ( v30263(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6578,axiom,(
    ! [VarCurr] :
      ( v30426(VarCurr)
    <=> ( v30427(VarCurr)
        | v30428(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2216,axiom,(
    ! [VarCurr] :
      ( v30428(VarCurr)
    <=> ( ( v30263(VarCurr,bitIndex3)
        <=> $true )
        & ( v30263(VarCurr,bitIndex2)
        <=> $false )
        & ( v30263(VarCurr,bitIndex1)
        <=> $true )
        & ( v30263(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2215,axiom,(
    ! [VarCurr] :
      ( v30427(VarCurr)
    <=> ( ( v30263(VarCurr,bitIndex3)
        <=> $true )
        & ( v30263(VarCurr,bitIndex2)
        <=> $false )
        & ( v30263(VarCurr,bitIndex1)
        <=> $false )
        & ( v30263(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_770,axiom,(
    ! [VarCurr] :
      ( ~ v30422(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v30421(VarCurr,B)
          <=> $false ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_716,axiom,(
    ! [VarCurr] :
      ( v30422(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v30421(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_3095,axiom,(
    ! [VarCurr] :
      ( ~ v30422(VarCurr)
    <=> v30386(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_2214,axiom,(
    ! [VarCurr] :
      ( v30420(VarCurr)
    <=> ( ( v30263(VarCurr,bitIndex3)
        <=> $false )
        & ( v30263(VarCurr,bitIndex2)
        <=> $true )
        & ( v30263(VarCurr,bitIndex1)
        <=> $false )
        & ( v30263(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6577,axiom,(
    ! [VarCurr] :
      ( v30412(VarCurr)
    <=> ( v30414(VarCurr)
        | v30419(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2213,axiom,(
    ! [VarCurr] :
      ( v30419(VarCurr)
    <=> ( ( v30263(VarCurr,bitIndex3)
        <=> $false )
        & ( v30263(VarCurr,bitIndex2)
        <=> $true )
        & ( v30263(VarCurr,bitIndex1)
        <=> $false )
        & ( v30263(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6576,axiom,(
    ! [VarCurr] :
      ( v30414(VarCurr)
    <=> ( v30415(VarCurr)
        | v30418(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2212,axiom,(
    ! [VarCurr] :
      ( v30418(VarCurr)
    <=> ( ( v30263(VarCurr,bitIndex3)
        <=> $false )
        & ( v30263(VarCurr,bitIndex2)
        <=> $false )
        & ( v30263(VarCurr,bitIndex1)
        <=> $true )
        & ( v30263(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6575,axiom,(
    ! [VarCurr] :
      ( v30415(VarCurr)
    <=> ( v30416(VarCurr)
        | v30417(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2211,axiom,(
    ! [VarCurr] :
      ( v30417(VarCurr)
    <=> ( ( v30263(VarCurr,bitIndex3)
        <=> $false )
        & ( v30263(VarCurr,bitIndex2)
        <=> $false )
        & ( v30263(VarCurr,bitIndex1)
        <=> $true )
        & ( v30263(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2210,axiom,(
    ! [VarCurr] :
      ( v30416(VarCurr)
    <=> ( ( v30263(VarCurr,bitIndex3)
        <=> $false )
        & ( v30263(VarCurr,bitIndex2)
        <=> $false )
        & ( v30263(VarCurr,bitIndex1)
        <=> $false )
        & ( v30263(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_769,axiom,(
    ! [VarCurr] :
      ( ~ v30267(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v30411(VarCurr,B)
          <=> $false ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_715,axiom,(
    ! [VarCurr] :
      ( v30267(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v30411(VarCurr,B)
          <=> v30350(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2209,axiom,(
    ! [VarCurr] :
      ( v30410(VarCurr)
    <=> ( ( v30263(VarCurr,bitIndex3)
        <=> $false )
        & ( v30263(VarCurr,bitIndex2)
        <=> $false )
        & ( v30263(VarCurr,bitIndex1)
        <=> $false )
        & ( v30263(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_354,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30395(VarNext)
       => ( v30386(VarNext)
        <=> v30386(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_395,axiom,(
    ! [VarNext] :
      ( v30395(VarNext)
     => ( v30386(VarNext)
      <=> v30405(VarNext) ) ) )).

fof(addAssignment_9227,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30405(VarNext)
      <=> v30403(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_768,axiom,(
    ! [VarCurr] :
      ( ~ v30406(VarCurr)
     => ( v30403(VarCurr)
      <=> v30388(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_714,axiom,(
    ! [VarCurr] :
      ( v30406(VarCurr)
     => ( v30403(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_3094,axiom,(
    ! [VarCurr] :
      ( ~ v30406(VarCurr)
    <=> v30257(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6574,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30395(VarNext)
      <=> v30396(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6573,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30396(VarNext)
      <=> ( v30397(VarNext)
          & v30390(VarNext) ) ) ) )).

fof(writeUnaryOperator_3093,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30397(VarNext)
      <=> v30399(VarNext) ) ) )).

fof(addAssignment_9226,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30399(VarNext)
      <=> v30390(VarCurr) ) ) )).

fof(addAssignment_9225,axiom,(
    ! [VarCurr] :
      ( v30390(VarCurr)
    <=> v30392(VarCurr) ) )).

fof(addAssignment_9224,axiom,(
    ! [VarCurr] :
      ( v30392(VarCurr)
    <=> v1(VarCurr) ) )).

fof(addAssignment_9223,axiom,(
    ! [VarCurr] :
      ( v30388(VarCurr)
    <=> $false ) )).

fof(addAssignment_9222,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v30350(VarCurr,B)
      <=> v30352(VarCurr,B) ) ) )).

fof(addAssignment_9221,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v30352(VarCurr,B)
      <=> v30354(VarCurr,B) ) ) )).

fof(addAssignment_9220,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v30354(VarCurr,B)
      <=> v30356(VarCurr,B) ) ) )).

fof(addAssignment_9219,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v30356(VarCurr,B)
      <=> v30358(VarCurr,B) ) ) )).

fof(addAssignment_9218,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v30358(VarCurr,B)
      <=> v30360(VarCurr,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_353,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30374(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v30360(VarNext,B)
            <=> v30360(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_394,axiom,(
    ! [VarNext] :
      ( v30374(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v30360(VarNext,B)
          <=> v30382(VarNext,B) ) ) ) )).

fof(addAssignment_9217,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v30382(VarNext,B)
          <=> v30380(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_767,axiom,(
    ! [VarCurr] :
      ( ~ v30305(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v30380(VarCurr,B)
          <=> v30362(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_713,axiom,(
    ! [VarCurr] :
      ( v30305(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v30380(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6572,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30374(VarNext)
      <=> v30375(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6571,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30375(VarNext)
      <=> ( v30377(VarNext)
          & v30291(VarNext) ) ) ) )).

fof(writeUnaryOperator_3092,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30377(VarNext)
      <=> v30298(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_766,axiom,(
    ! [VarCurr] :
      ( ~ v30364(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v30362(VarCurr,B)
          <=> $false ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_712,axiom,(
    ! [VarCurr] :
      ( v30364(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v30362(VarCurr,B)
          <=> v30367(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_96,axiom,(
    ! [VarCurr] :
      ( ( ~ v30286(VarCurr)
        & ~ v30289(VarCurr)
        & ~ v30328(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v30367(VarCurr,B)
          <=> v30371(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_334,axiom,(
    ! [VarCurr] :
      ( v30328(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v30367(VarCurr,B)
          <=> v30370(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_806,axiom,(
    ! [VarCurr] :
      ( v30289(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v30367(VarCurr,B)
          <=> v30369(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_797,axiom,(
    ! [VarCurr] :
      ( v30286(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v30367(VarCurr,B)
          <=> v30368(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_765,axiom,(
    ! [VarCurr] :
      ( ~ v30245(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v30371(VarCurr,B)
          <=> b0011(B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_711,axiom,(
    ! [VarCurr] :
      ( v30245(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v30371(VarCurr,B)
          <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_764,axiom,(
    ! [VarCurr] :
      ( ~ v30245(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v30370(VarCurr,B)
          <=> b0100(B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_710,axiom,(
    ! [VarCurr] :
      ( v30245(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v30370(VarCurr,B)
          <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_763,axiom,(
    ! [VarCurr] :
      ( ~ v30245(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v30369(VarCurr,B)
          <=> b0001(B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_709,axiom,(
    ! [VarCurr] :
      ( v30245(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v30369(VarCurr,B)
          <=> b0100(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_333,axiom,(
    ! [VarCurr] :
      ( ( ~ v30331(VarCurr)
        & ~ v30283(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v30368(VarCurr,B)
          <=> b0011(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_805,axiom,(
    ! [VarCurr] :
      ( v30283(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v30368(VarCurr,B)
          <=> b0001(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_796,axiom,(
    ! [VarCurr] :
      ( v30331(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v30368(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6570,axiom,(
    ! [VarCurr] :
      ( v30364(VarCurr)
    <=> ( v30365(VarCurr)
        | v30315(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6569,axiom,(
    ! [VarCurr] :
      ( v30365(VarCurr)
    <=> ( v30366(VarCurr)
        | v30328(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6568,axiom,(
    ! [VarCurr] :
      ( v30366(VarCurr)
    <=> ( v30286(VarCurr)
        | v30289(VarCurr) ) ) )).

fof(addAssignment_9216,axiom,(
    ! [VarCurr] :
      ( v30267(VarCurr)
    <=> v30269(VarCurr) ) )).

fof(addAssignment_9215,axiom,(
    ! [VarCurr] :
      ( v30269(VarCurr)
    <=> v30271(VarCurr) ) )).

fof(addAssignment_9214,axiom,(
    ! [VarCurr] :
      ( v30271(VarCurr)
    <=> v30273(VarCurr) ) )).

fof(addAssignment_9213,axiom,(
    ! [VarCurr] :
      ( v30273(VarCurr)
    <=> v30275(VarCurr) ) )).

fof(addAssignment_9212,axiom,(
    ! [VarCurr] :
      ( v30275(VarCurr)
    <=> v30277(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_352,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30338(VarNext)
       => ( v30277(VarNext)
        <=> v30277(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_393,axiom,(
    ! [VarNext] :
      ( v30338(VarNext)
     => ( v30277(VarNext)
      <=> v30346(VarNext) ) ) )).

fof(addAssignment_9211,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30346(VarNext)
      <=> v30344(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_762,axiom,(
    ! [VarCurr] :
      ( ~ v30305(VarCurr)
     => ( v30344(VarCurr)
      <=> v30279(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_708,axiom,(
    ! [VarCurr] :
      ( v30305(VarCurr)
     => ( v30344(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6567,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30338(VarNext)
      <=> v30339(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6566,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30339(VarNext)
      <=> ( v30341(VarNext)
          & v30291(VarNext) ) ) ) )).

fof(writeUnaryOperator_3091,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30341(VarNext)
      <=> v30298(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_761,axiom,(
    ! [VarCurr] :
      ( ~ v30325(VarCurr)
     => ( v30279(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_707,axiom,(
    ! [VarCurr] :
      ( v30325(VarCurr)
     => ( v30279(VarCurr)
      <=> v30329(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_332,axiom,(
    ! [VarCurr] :
      ( ( ~ v30286(VarCurr)
        & ~ v30289(VarCurr) )
     => ( v30329(VarCurr)
      <=> v30335(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_804,axiom,(
    ! [VarCurr] :
      ( v30289(VarCurr)
     => ( v30329(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_795,axiom,(
    ! [VarCurr] :
      ( v30286(VarCurr)
     => ( v30329(VarCurr)
      <=> v30330(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_760,axiom,(
    ! [VarCurr] :
      ( ~ v30245(VarCurr)
     => ( v30335(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_706,axiom,(
    ! [VarCurr] :
      ( v30245(VarCurr)
     => ( v30335(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6565,axiom,(
    ! [VarCurr] :
      ( v30334(VarCurr)
    <=> ( v30328(VarCurr)
        | v30315(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_803,axiom,(
    ! [VarCurr] :
      ( ~ v30331(VarCurr)
     => ( v30330(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_794,axiom,(
    ! [VarCurr] :
      ( v30331(VarCurr)
     => ( v30330(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6564,axiom,(
    ! [VarCurr] :
      ( v30333(VarCurr)
    <=> ( v30283(VarCurr)
        | v30311(VarCurr) ) ) )).

fof(writeUnaryOperator_3090,axiom,(
    ! [VarCurr] :
      ( ~ v30331(VarCurr)
    <=> v30216(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6563,axiom,(
    ! [VarCurr] :
      ( v30325(VarCurr)
    <=> ( v30326(VarCurr)
        | v30315(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6562,axiom,(
    ! [VarCurr] :
      ( v30326(VarCurr)
    <=> ( v30327(VarCurr)
        | v30328(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2208,axiom,(
    ! [VarCurr] :
      ( v30328(VarCurr)
    <=> ( $true
      <=> v30210(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6561,axiom,(
    ! [VarCurr] :
      ( v30327(VarCurr)
    <=> ( v30286(VarCurr)
        | v30289(VarCurr) ) ) )).

fof(addAssignment_9210,axiom,(
    ! [VarNext] :
      ( v30210(VarNext,bitIndex1)
    <=> v30317(VarNext,bitIndex0) ) )).

fof(addCaseBooleanConditionShiftedRanges1_51,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30318(VarNext)
       => ( ( v30317(VarNext,bitIndex2)
          <=> v30210(VarCurr,bitIndex3) )
          & ( v30317(VarNext,bitIndex1)
          <=> v30210(VarCurr,bitIndex2) )
          & ( v30317(VarNext,bitIndex0)
          <=> v30210(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_392,axiom,(
    ! [VarNext] :
      ( v30318(VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v30317(VarNext,B)
          <=> v30304(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6560,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30318(VarNext)
      <=> v30319(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6559,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30319(VarNext)
      <=> ( v30321(VarNext)
          & v30291(VarNext) ) ) ) )).

fof(writeUnaryOperator_3089,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30321(VarNext)
      <=> v30298(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_430,axiom,(
    ! [VarCurr] :
      ( ~ v30309(VarCurr)
     => ( v30214(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_484,axiom,(
    ! [VarCurr] :
      ( v30309(VarCurr)
     => ( v30214(VarCurr,bitIndex1)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6558,axiom,(
    ! [VarCurr] :
      ( v30309(VarCurr)
    <=> ( v30310(VarCurr)
        | v30313(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6557,axiom,(
    ! [VarCurr] :
      ( v30313(VarCurr)
    <=> ( v30314(VarCurr)
        & v30315(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2207,axiom,(
    ! [VarCurr] :
      ( v30315(VarCurr)
    <=> ( $true
      <=> v30210(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_3088,axiom,(
    ! [VarCurr] :
      ( ~ v30314(VarCurr)
    <=> v30245(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6556,axiom,(
    ! [VarCurr] :
      ( v30310(VarCurr)
    <=> ( v30311(VarCurr)
        & v30286(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6555,axiom,(
    ! [VarCurr] :
      ( v30311(VarCurr)
    <=> ( v30216(VarCurr)
        & v30229(VarCurr) ) ) )).

fof(addAssignment_9209,axiom,(
    ! [VarNext] :
      ( v30210(VarNext,bitIndex2)
    <=> v30293(VarNext,bitIndex1) ) )).

fof(addCaseBooleanConditionShiftedRanges1_50,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30294(VarNext)
       => ( ( v30293(VarNext,bitIndex2)
          <=> v30210(VarCurr,bitIndex3) )
          & ( v30293(VarNext,bitIndex1)
          <=> v30210(VarCurr,bitIndex2) )
          & ( v30293(VarNext,bitIndex0)
          <=> v30210(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_391,axiom,(
    ! [VarNext] :
      ( v30294(VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v30293(VarNext,B)
          <=> v30304(VarNext,B) ) ) ) )).

fof(addAssignment_9208,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v30304(VarNext,B)
          <=> v30302(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_429,axiom,(
    ! [VarCurr] :
      ( ~ v30305(VarCurr)
     => ( ( v30302(VarCurr,bitIndex2)
        <=> v30214(VarCurr,bitIndex3) )
        & ( v30302(VarCurr,bitIndex1)
        <=> v30214(VarCurr,bitIndex2) )
        & ( v30302(VarCurr,bitIndex0)
        <=> v30214(VarCurr,bitIndex1) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_705,axiom,(
    ! [VarCurr] :
      ( v30305(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v30302(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_3087,axiom,(
    ! [VarCurr] :
      ( ~ v30305(VarCurr)
    <=> v30212(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6554,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30294(VarNext)
      <=> v30295(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6553,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30295(VarNext)
      <=> ( v30296(VarNext)
          & v30291(VarNext) ) ) ) )).

fof(writeUnaryOperator_3086,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30296(VarNext)
      <=> v30298(VarNext) ) ) )).

fof(addAssignment_9207,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30298(VarNext)
      <=> v30291(VarCurr) ) ) )).

fof(addAssignment_9206,axiom,(
    ! [VarCurr] :
      ( v30291(VarCurr)
    <=> v22285(VarCurr) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_428,axiom,(
    ! [VarCurr] :
      ( ~ v30281(VarCurr)
     => ( v30214(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_483,axiom,(
    ! [VarCurr] :
      ( v30281(VarCurr)
     => ( v30214(VarCurr,bitIndex2)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6552,axiom,(
    ! [VarCurr] :
      ( v30281(VarCurr)
    <=> ( v30282(VarCurr)
        | v30287(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6551,axiom,(
    ! [VarCurr] :
      ( v30287(VarCurr)
    <=> ( v30288(VarCurr)
        & v30289(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2206,axiom,(
    ! [VarCurr] :
      ( v30289(VarCurr)
    <=> ( $true
      <=> v30210(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_3085,axiom,(
    ! [VarCurr] :
      ( ~ v30288(VarCurr)
    <=> v30245(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6550,axiom,(
    ! [VarCurr] :
      ( v30282(VarCurr)
    <=> ( v30283(VarCurr)
        & v30286(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2205,axiom,(
    ! [VarCurr] :
      ( v30286(VarCurr)
    <=> ( $true
      <=> v30210(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6549,axiom,(
    ! [VarCurr] :
      ( v30283(VarCurr)
    <=> ( v30216(VarCurr)
        & v30285(VarCurr) ) ) )).

fof(writeUnaryOperator_3084,axiom,(
    ! [VarCurr] :
      ( ~ v30285(VarCurr)
    <=> v30229(VarCurr) ) )).

fof(addAssignment_9205,axiom,(
    ! [VarCurr] :
      ( v30257(VarCurr)
    <=> v30259(VarCurr) ) )).

fof(addAssignment_9204,axiom,(
    ! [VarCurr] :
      ( v30259(VarCurr)
    <=> v16(VarCurr) ) )).

fof(addAssignment_9203,axiom,(
    ! [VarCurr] :
      ( v30229(VarCurr)
    <=> v30231(VarCurr) ) )).

fof(addAssignment_9202,axiom,(
    ! [VarCurr] :
      ( v30231(VarCurr)
    <=> v30233(VarCurr) ) )).

fof(addAssignment_9201,axiom,(
    ! [VarCurr] :
      ( v30233(VarCurr)
    <=> v30235(VarCurr,bitIndex0) ) )).

fof(addAssignment_9200,axiom,(
    ! [VarCurr] :
      ( v30235(VarCurr,bitIndex0)
    <=> v29927(VarCurr,bitIndex49) ) )).

fof(addAssignment_9199,axiom,(
    ! [VarCurr] :
      ( v29927(VarCurr,bitIndex49)
    <=> v29929(VarCurr,bitIndex49) ) )).

fof(addAssignment_9198,axiom,(
    ! [VarCurr] :
      ( v29929(VarCurr,bitIndex49)
    <=> v29931(VarCurr,bitIndex539) ) )).

fof(addAssignment_9197,axiom,(
    ! [VarNext] :
      ( v29931(VarNext,bitIndex539)
    <=> v30237(VarNext,bitIndex49) ) )).

fof(addCaseBooleanConditionShiftedRanges1_49,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30239(VarNext)
       => ( ( v30237(VarNext,bitIndex69)
          <=> v29931(VarCurr,bitIndex559) )
          & ( v30237(VarNext,bitIndex68)
          <=> v29931(VarCurr,bitIndex558) )
          & ( v30237(VarNext,bitIndex67)
          <=> v29931(VarCurr,bitIndex557) )
          & ( v30237(VarNext,bitIndex66)
          <=> v29931(VarCurr,bitIndex556) )
          & ( v30237(VarNext,bitIndex65)
          <=> v29931(VarCurr,bitIndex555) )
          & ( v30237(VarNext,bitIndex64)
          <=> v29931(VarCurr,bitIndex554) )
          & ( v30237(VarNext,bitIndex63)
          <=> v29931(VarCurr,bitIndex553) )
          & ( v30237(VarNext,bitIndex62)
          <=> v29931(VarCurr,bitIndex552) )
          & ( v30237(VarNext,bitIndex61)
          <=> v29931(VarCurr,bitIndex551) )
          & ( v30237(VarNext,bitIndex60)
          <=> v29931(VarCurr,bitIndex550) )
          & ( v30237(VarNext,bitIndex59)
          <=> v29931(VarCurr,bitIndex549) )
          & ( v30237(VarNext,bitIndex58)
          <=> v29931(VarCurr,bitIndex548) )
          & ( v30237(VarNext,bitIndex57)
          <=> v29931(VarCurr,bitIndex547) )
          & ( v30237(VarNext,bitIndex56)
          <=> v29931(VarCurr,bitIndex546) )
          & ( v30237(VarNext,bitIndex55)
          <=> v29931(VarCurr,bitIndex545) )
          & ( v30237(VarNext,bitIndex54)
          <=> v29931(VarCurr,bitIndex544) )
          & ( v30237(VarNext,bitIndex53)
          <=> v29931(VarCurr,bitIndex543) )
          & ( v30237(VarNext,bitIndex52)
          <=> v29931(VarCurr,bitIndex542) )
          & ( v30237(VarNext,bitIndex51)
          <=> v29931(VarCurr,bitIndex541) )
          & ( v30237(VarNext,bitIndex50)
          <=> v29931(VarCurr,bitIndex540) )
          & ( v30237(VarNext,bitIndex49)
          <=> v29931(VarCurr,bitIndex539) )
          & ( v30237(VarNext,bitIndex48)
          <=> v29931(VarCurr,bitIndex538) )
          & ( v30237(VarNext,bitIndex47)
          <=> v29931(VarCurr,bitIndex537) )
          & ( v30237(VarNext,bitIndex46)
          <=> v29931(VarCurr,bitIndex536) )
          & ( v30237(VarNext,bitIndex45)
          <=> v29931(VarCurr,bitIndex535) )
          & ( v30237(VarNext,bitIndex44)
          <=> v29931(VarCurr,bitIndex534) )
          & ( v30237(VarNext,bitIndex43)
          <=> v29931(VarCurr,bitIndex533) )
          & ( v30237(VarNext,bitIndex42)
          <=> v29931(VarCurr,bitIndex532) )
          & ( v30237(VarNext,bitIndex41)
          <=> v29931(VarCurr,bitIndex531) )
          & ( v30237(VarNext,bitIndex40)
          <=> v29931(VarCurr,bitIndex530) )
          & ( v30237(VarNext,bitIndex39)
          <=> v29931(VarCurr,bitIndex529) )
          & ( v30237(VarNext,bitIndex38)
          <=> v29931(VarCurr,bitIndex528) )
          & ( v30237(VarNext,bitIndex37)
          <=> v29931(VarCurr,bitIndex527) )
          & ( v30237(VarNext,bitIndex36)
          <=> v29931(VarCurr,bitIndex526) )
          & ( v30237(VarNext,bitIndex35)
          <=> v29931(VarCurr,bitIndex525) )
          & ( v30237(VarNext,bitIndex34)
          <=> v29931(VarCurr,bitIndex524) )
          & ( v30237(VarNext,bitIndex33)
          <=> v29931(VarCurr,bitIndex523) )
          & ( v30237(VarNext,bitIndex32)
          <=> v29931(VarCurr,bitIndex522) )
          & ( v30237(VarNext,bitIndex31)
          <=> v29931(VarCurr,bitIndex521) )
          & ( v30237(VarNext,bitIndex30)
          <=> v29931(VarCurr,bitIndex520) )
          & ( v30237(VarNext,bitIndex29)
          <=> v29931(VarCurr,bitIndex519) )
          & ( v30237(VarNext,bitIndex28)
          <=> v29931(VarCurr,bitIndex518) )
          & ( v30237(VarNext,bitIndex27)
          <=> v29931(VarCurr,bitIndex517) )
          & ( v30237(VarNext,bitIndex26)
          <=> v29931(VarCurr,bitIndex516) )
          & ( v30237(VarNext,bitIndex25)
          <=> v29931(VarCurr,bitIndex515) )
          & ( v30237(VarNext,bitIndex24)
          <=> v29931(VarCurr,bitIndex514) )
          & ( v30237(VarNext,bitIndex23)
          <=> v29931(VarCurr,bitIndex513) )
          & ( v30237(VarNext,bitIndex22)
          <=> v29931(VarCurr,bitIndex512) )
          & ( v30237(VarNext,bitIndex21)
          <=> v29931(VarCurr,bitIndex511) )
          & ( v30237(VarNext,bitIndex20)
          <=> v29931(VarCurr,bitIndex510) )
          & ( v30237(VarNext,bitIndex19)
          <=> v29931(VarCurr,bitIndex509) )
          & ( v30237(VarNext,bitIndex18)
          <=> v29931(VarCurr,bitIndex508) )
          & ( v30237(VarNext,bitIndex17)
          <=> v29931(VarCurr,bitIndex507) )
          & ( v30237(VarNext,bitIndex16)
          <=> v29931(VarCurr,bitIndex506) )
          & ( v30237(VarNext,bitIndex15)
          <=> v29931(VarCurr,bitIndex505) )
          & ( v30237(VarNext,bitIndex14)
          <=> v29931(VarCurr,bitIndex504) )
          & ( v30237(VarNext,bitIndex13)
          <=> v29931(VarCurr,bitIndex503) )
          & ( v30237(VarNext,bitIndex12)
          <=> v29931(VarCurr,bitIndex502) )
          & ( v30237(VarNext,bitIndex11)
          <=> v29931(VarCurr,bitIndex501) )
          & ( v30237(VarNext,bitIndex10)
          <=> v29931(VarCurr,bitIndex500) )
          & ( v30237(VarNext,bitIndex9)
          <=> v29931(VarCurr,bitIndex499) )
          & ( v30237(VarNext,bitIndex8)
          <=> v29931(VarCurr,bitIndex498) )
          & ( v30237(VarNext,bitIndex7)
          <=> v29931(VarCurr,bitIndex497) )
          & ( v30237(VarNext,bitIndex6)
          <=> v29931(VarCurr,bitIndex496) )
          & ( v30237(VarNext,bitIndex5)
          <=> v29931(VarCurr,bitIndex495) )
          & ( v30237(VarNext,bitIndex4)
          <=> v29931(VarCurr,bitIndex494) )
          & ( v30237(VarNext,bitIndex3)
          <=> v29931(VarCurr,bitIndex493) )
          & ( v30237(VarNext,bitIndex2)
          <=> v29931(VarCurr,bitIndex492) )
          & ( v30237(VarNext,bitIndex1)
          <=> v29931(VarCurr,bitIndex491) )
          & ( v30237(VarNext,bitIndex0)
          <=> v29931(VarCurr,bitIndex490) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_390,axiom,(
    ! [VarNext] :
      ( v30239(VarNext)
     => ! [B] :
          ( range_69_0(B)
         => ( v30237(VarNext,B)
          <=> v30150(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6548,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30239(VarNext)
      <=> ( v30240(VarNext)
          & v30132(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6547,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30240(VarNext)
      <=> ( v30242(VarNext)
          & v29876(VarNext) ) ) ) )).

fof(writeUnaryOperator_3083,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30242(VarNext)
      <=> v29885(VarNext) ) ) )).

fof(addAssignment_9196,axiom,(
    ! [VarCurr] :
      ( v30116(VarCurr,bitIndex49)
    <=> v30121(VarCurr,bitIndex49) ) )).

fof(addAssignment_9195,axiom,(
    ! [VarCurr] :
      ( v30120(VarCurr,bitIndex49)
    <=> v29931(VarCurr,bitIndex469) ) )).

fof(addAssignment_9194,axiom,(
    ! [VarCurr] :
      ( v30109(VarCurr,bitIndex49)
    <=> v30114(VarCurr,bitIndex49) ) )).

fof(addAssignment_9193,axiom,(
    ! [VarCurr] :
      ( v30113(VarCurr,bitIndex49)
    <=> v29931(VarCurr,bitIndex539) ) )).

fof(addAssignment_9192,axiom,(
    ! [VarCurr] :
      ( v29986(VarCurr,bitIndex49)
    <=> v29988(VarCurr,bitIndex49) ) )).

fof(addAssignment_9191,axiom,(
    ! [VarCurr] :
      ( v29988(VarCurr,bitIndex49)
    <=> v29990(VarCurr,bitIndex49) ) )).

fof(addAssignment_9190,axiom,(
    ! [VarCurr] :
      ( v29990(VarCurr,bitIndex49)
    <=> v29992(VarCurr,bitIndex49) ) )).

fof(addAssignment_9189,axiom,(
    ! [VarCurr] :
      ( v29992(VarCurr,bitIndex49)
    <=> v29994(VarCurr,bitIndex49) ) )).

fof(addAssignment_9188,axiom,(
    ! [VarCurr] :
      ( v29994(VarCurr,bitIndex49)
    <=> v29996(VarCurr,bitIndex49) ) )).

fof(addAssignment_9187,axiom,(
    ! [VarCurr] :
      ( v29996(VarCurr,bitIndex49)
    <=> v29998(VarCurr,bitIndex49) ) )).

fof(addAssignment_9186,axiom,(
    ! [VarCurr] :
      ( v29998(VarCurr,bitIndex49)
    <=> v30054(VarCurr,bitIndex49) ) )).

fof(addAssignment_9185,axiom,(
    ! [VarCurr] :
      ( v30216(VarCurr)
    <=> v30218(VarCurr) ) )).

fof(addAssignment_9184,axiom,(
    ! [VarCurr] :
      ( v30218(VarCurr)
    <=> v30220(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_759,axiom,(
    ! [VarCurr] :
      ( ~ v30222(VarCurr)
     => ( v30220(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_704,axiom,(
    ! [VarCurr] :
      ( v30222(VarCurr)
     => ( v30220(VarCurr)
      <=> v30227(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_758,axiom,(
    ! [VarCurr] :
      ( ~ v30204(VarCurr)
     => ( v30227(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_703,axiom,(
    ! [VarCurr] :
      ( v30204(VarCurr)
     => ( v30227(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6546,axiom,(
    ! [VarCurr] :
      ( v30222(VarCurr)
    <=> ( v30223(VarCurr)
        & v30226(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2204,axiom,(
    ! [VarCurr] :
      ( v30226(VarCurr)
    <=> ( $true
      <=> v30184(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6545,axiom,(
    ! [VarCurr] :
      ( v30223(VarCurr)
    <=> ( v30224(VarCurr)
        & v30225(VarCurr) ) ) )).

fof(writeUnaryOperator_3082,axiom,(
    ! [VarCurr] :
      ( ~ v30225(VarCurr)
    <=> v29852(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_2203,axiom,(
    ! [VarCurr] :
      ( v30224(VarCurr)
    <=> ( ( v29850(VarCurr,bitIndex1)
        <=> $true )
        & ( v29850(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_9183,axiom,(
    ! [VarCurr] :
      ( v30212(VarCurr)
    <=> v22271(VarCurr) ) )).

fof(addAssignment_9182,axiom,(
    ! [VarCurr] :
      ( v30194(VarCurr)
    <=> v30196(VarCurr) ) )).

fof(addAssignment_9181,axiom,(
    ! [VarCurr] :
      ( v30196(VarCurr)
    <=> v30198(VarCurr) ) )).

fof(addAssignment_9180,axiom,(
    ! [VarCurr] :
      ( v30198(VarCurr)
    <=> v30200(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_757,axiom,(
    ! [VarCurr] :
      ( ~ v29852(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v29850(VarCurr,B)
          <=> v30155(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_702,axiom,(
    ! [VarCurr] :
      ( v29852(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v29850(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_95,axiom,(
    ! [VarCurr] :
      ( ( ~ v30156(VarCurr)
        & ~ v30176(VarCurr)
        & ~ v30177(VarCurr) )
     => ! [B] :
          ( range_1_0(B)
         => ( v30155(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_331,axiom,(
    ! [VarCurr] :
      ( v30177(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v30155(VarCurr,B)
          <=> b10(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_802,axiom,(
    ! [VarCurr] :
      ( v30176(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v30155(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_793,axiom,(
    ! [VarCurr] :
      ( v30156(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v30155(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6544,axiom,(
    ! [VarCurr] :
      ( v30177(VarCurr)
    <=> ( v30179(VarCurr)
        | v30182(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2202,axiom,(
    ! [VarCurr] :
      ( v30182(VarCurr)
    <=> ( ( v29925(VarCurr,bitIndex6)
        <=> $true )
        & ( v29925(VarCurr,bitIndex5)
        <=> $false )
        & ( v29925(VarCurr,bitIndex4)
        <=> $false )
        & ( v29925(VarCurr,bitIndex3)
        <=> $true )
        & ( v29925(VarCurr,bitIndex2)
        <=> $false )
        & ( v29925(VarCurr,bitIndex1)
        <=> $true )
        & ( v29925(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6543,axiom,(
    ! [VarCurr] :
      ( v30179(VarCurr)
    <=> ( v30180(VarCurr)
        | v30181(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2201,axiom,(
    ! [VarCurr] :
      ( v30181(VarCurr)
    <=> ( ( v29925(VarCurr,bitIndex6)
        <=> $false )
        & ( v29925(VarCurr,bitIndex5)
        <=> $false )
        & ( v29925(VarCurr,bitIndex4)
        <=> $false )
        & ( v29925(VarCurr,bitIndex3)
        <=> $true )
        & ( v29925(VarCurr,bitIndex2)
        <=> $false )
        & ( v29925(VarCurr,bitIndex1)
        <=> $true )
        & ( v29925(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2200,axiom,(
    ! [VarCurr] :
      ( v30180(VarCurr)
    <=> ( ( v29925(VarCurr,bitIndex6)
        <=> $false )
        & ( v29925(VarCurr,bitIndex5)
        <=> $false )
        & ( v29925(VarCurr,bitIndex4)
        <=> $false )
        & ( v29925(VarCurr,bitIndex3)
        <=> $true )
        & ( v29925(VarCurr,bitIndex2)
        <=> $false )
        & ( v29925(VarCurr,bitIndex1)
        <=> $true )
        & ( v29925(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2199,axiom,(
    ! [VarCurr] :
      ( v30176(VarCurr)
    <=> ( ( v29925(VarCurr,bitIndex6)
        <=> $true )
        & ( v29925(VarCurr,bitIndex5)
        <=> $true )
        & ( v29925(VarCurr,bitIndex4)
        <=> $true )
        & ( v29925(VarCurr,bitIndex3)
        <=> $true )
        & ( v29925(VarCurr,bitIndex2)
        <=> $false )
        & ( v29925(VarCurr,bitIndex1)
        <=> $true )
        & ( v29925(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6542,axiom,(
    ! [VarCurr] :
      ( v30156(VarCurr)
    <=> ( v30158(VarCurr)
        | v30175(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2198,axiom,(
    ! [VarCurr] :
      ( v30175(VarCurr)
    <=> ( ( v29925(VarCurr,bitIndex6)
        <=> $true )
        & ( v29925(VarCurr,bitIndex5)
        <=> $false )
        & ( v29925(VarCurr,bitIndex4)
        <=> $false )
        & ( v29925(VarCurr,bitIndex3)
        <=> $false )
        & ( v29925(VarCurr,bitIndex2)
        <=> $true )
        & ( v29925(VarCurr,bitIndex1)
        <=> $false )
        & ( v29925(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6541,axiom,(
    ! [VarCurr] :
      ( v30158(VarCurr)
    <=> ( v30159(VarCurr)
        | v30174(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2197,axiom,(
    ! [VarCurr] :
      ( v30174(VarCurr)
    <=> ( ( v29925(VarCurr,bitIndex6)
        <=> $true )
        & ( v29925(VarCurr,bitIndex5)
        <=> $false )
        & ( v29925(VarCurr,bitIndex4)
        <=> $false )
        & ( v29925(VarCurr,bitIndex3)
        <=> $false )
        & ( v29925(VarCurr,bitIndex2)
        <=> $true )
        & ( v29925(VarCurr,bitIndex1)
        <=> $false )
        & ( v29925(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6540,axiom,(
    ! [VarCurr] :
      ( v30159(VarCurr)
    <=> ( v30160(VarCurr)
        | v30173(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2196,axiom,(
    ! [VarCurr] :
      ( v30173(VarCurr)
    <=> ( ( v29925(VarCurr,bitIndex6)
        <=> $true )
        & ( v29925(VarCurr,bitIndex5)
        <=> $true )
        & ( v29925(VarCurr,bitIndex4)
        <=> $false )
        & ( v29925(VarCurr,bitIndex3)
        <=> $false )
        & ( v29925(VarCurr,bitIndex2)
        <=> $false )
        & ( v29925(VarCurr,bitIndex1)
        <=> $false )
        & ( v29925(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6539,axiom,(
    ! [VarCurr] :
      ( v30160(VarCurr)
    <=> ( v30161(VarCurr)
        | v30172(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2195,axiom,(
    ! [VarCurr] :
      ( v30172(VarCurr)
    <=> ( ( v29925(VarCurr,bitIndex6)
        <=> $true )
        & ( v29925(VarCurr,bitIndex5)
        <=> $false )
        & ( v29925(VarCurr,bitIndex4)
        <=> $false )
        & ( v29925(VarCurr,bitIndex3)
        <=> $false )
        & ( v29925(VarCurr,bitIndex2)
        <=> $false )
        & ( v29925(VarCurr,bitIndex1)
        <=> $false )
        & ( v29925(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6538,axiom,(
    ! [VarCurr] :
      ( v30161(VarCurr)
    <=> ( v30162(VarCurr)
        | v30171(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2194,axiom,(
    ! [VarCurr] :
      ( v30171(VarCurr)
    <=> ( ( v29925(VarCurr,bitIndex6)
        <=> $true )
        & ( v29925(VarCurr,bitIndex5)
        <=> $false )
        & ( v29925(VarCurr,bitIndex4)
        <=> $false )
        & ( v29925(VarCurr,bitIndex3)
        <=> $false )
        & ( v29925(VarCurr,bitIndex2)
        <=> $false )
        & ( v29925(VarCurr,bitIndex1)
        <=> $true )
        & ( v29925(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6537,axiom,(
    ! [VarCurr] :
      ( v30162(VarCurr)
    <=> ( v30163(VarCurr)
        | v30170(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2193,axiom,(
    ! [VarCurr] :
      ( v30170(VarCurr)
    <=> ( ( v29925(VarCurr,bitIndex6)
        <=> $false )
        & ( v29925(VarCurr,bitIndex5)
        <=> $false )
        & ( v29925(VarCurr,bitIndex4)
        <=> $false )
        & ( v29925(VarCurr,bitIndex3)
        <=> $false )
        & ( v29925(VarCurr,bitIndex2)
        <=> $true )
        & ( v29925(VarCurr,bitIndex1)
        <=> $false )
        & ( v29925(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6536,axiom,(
    ! [VarCurr] :
      ( v30163(VarCurr)
    <=> ( v30164(VarCurr)
        | v30169(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2192,axiom,(
    ! [VarCurr] :
      ( v30169(VarCurr)
    <=> ( ( v29925(VarCurr,bitIndex6)
        <=> $false )
        & ( v29925(VarCurr,bitIndex5)
        <=> $false )
        & ( v29925(VarCurr,bitIndex4)
        <=> $false )
        & ( v29925(VarCurr,bitIndex3)
        <=> $false )
        & ( v29925(VarCurr,bitIndex2)
        <=> $true )
        & ( v29925(VarCurr,bitIndex1)
        <=> $false )
        & ( v29925(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6535,axiom,(
    ! [VarCurr] :
      ( v30164(VarCurr)
    <=> ( v30165(VarCurr)
        | v30168(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2191,axiom,(
    ! [VarCurr] :
      ( v30168(VarCurr)
    <=> ( ( v29925(VarCurr,bitIndex6)
        <=> $false )
        & ( v29925(VarCurr,bitIndex5)
        <=> $false )
        & ( v29925(VarCurr,bitIndex4)
        <=> $false )
        & ( v29925(VarCurr,bitIndex3)
        <=> $false )
        & ( v29925(VarCurr,bitIndex2)
        <=> $false )
        & ( v29925(VarCurr,bitIndex1)
        <=> $true )
        & ( v29925(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6534,axiom,(
    ! [VarCurr] :
      ( v30165(VarCurr)
    <=> ( v30166(VarCurr)
        | v30167(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2190,axiom,(
    ! [VarCurr] :
      ( v30167(VarCurr)
    <=> ( ( v29925(VarCurr,bitIndex6)
        <=> $false )
        & ( v29925(VarCurr,bitIndex5)
        <=> $true )
        & ( v29925(VarCurr,bitIndex4)
        <=> $false )
        & ( v29925(VarCurr,bitIndex3)
        <=> $false )
        & ( v29925(VarCurr,bitIndex2)
        <=> $false )
        & ( v29925(VarCurr,bitIndex1)
        <=> $false )
        & ( v29925(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2189,axiom,(
    ! [VarCurr] :
      ( v30166(VarCurr)
    <=> ( ( v29925(VarCurr,bitIndex6)
        <=> $false )
        & ( v29925(VarCurr,bitIndex5)
        <=> $false )
        & ( v29925(VarCurr,bitIndex4)
        <=> $false )
        & ( v29925(VarCurr,bitIndex3)
        <=> $false )
        & ( v29925(VarCurr,bitIndex2)
        <=> $false )
        & ( v29925(VarCurr,bitIndex1)
        <=> $false )
        & ( v29925(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_9179,axiom,(
    ! [VarCurr] :
      ( ( v29925(VarCurr,bitIndex6)
      <=> v29927(VarCurr,bitIndex69) )
      & ( v29925(VarCurr,bitIndex5)
      <=> v29927(VarCurr,bitIndex68) )
      & ( v29925(VarCurr,bitIndex4)
      <=> v29927(VarCurr,bitIndex67) )
      & ( v29925(VarCurr,bitIndex3)
      <=> v29927(VarCurr,bitIndex66) )
      & ( v29925(VarCurr,bitIndex2)
      <=> v29927(VarCurr,bitIndex65) )
      & ( v29925(VarCurr,bitIndex1)
      <=> v29927(VarCurr,bitIndex64) )
      & ( v29925(VarCurr,bitIndex0)
      <=> v29927(VarCurr,bitIndex63) ) ) )).

fof(addAssignment_9178,axiom,(
    ! [VarCurr,B] :
      ( range_69_63(B)
     => ( v29927(VarCurr,B)
      <=> v29929(VarCurr,B) ) ) )).

fof(addAssignment_9177,axiom,(
    ! [VarCurr] :
      ( ( v29929(VarCurr,bitIndex69)
      <=> v29931(VarCurr,bitIndex559) )
      & ( v29929(VarCurr,bitIndex68)
      <=> v29931(VarCurr,bitIndex558) )
      & ( v29929(VarCurr,bitIndex67)
      <=> v29931(VarCurr,bitIndex557) )
      & ( v29929(VarCurr,bitIndex66)
      <=> v29931(VarCurr,bitIndex556) )
      & ( v29929(VarCurr,bitIndex65)
      <=> v29931(VarCurr,bitIndex555) )
      & ( v29929(VarCurr,bitIndex64)
      <=> v29931(VarCurr,bitIndex554) )
      & ( v29929(VarCurr,bitIndex63)
      <=> v29931(VarCurr,bitIndex553) ) ) )).

fof(addAssignment_9176,axiom,(
    ! [VarNext] :
      ( ( v29931(VarNext,bitIndex559)
      <=> v30123(VarNext,bitIndex69) )
      & ( v29931(VarNext,bitIndex558)
      <=> v30123(VarNext,bitIndex68) )
      & ( v29931(VarNext,bitIndex557)
      <=> v30123(VarNext,bitIndex67) )
      & ( v29931(VarNext,bitIndex556)
      <=> v30123(VarNext,bitIndex66) )
      & ( v29931(VarNext,bitIndex555)
      <=> v30123(VarNext,bitIndex65) )
      & ( v29931(VarNext,bitIndex554)
      <=> v30123(VarNext,bitIndex64) )
      & ( v29931(VarNext,bitIndex553)
      <=> v30123(VarNext,bitIndex63) ) ) )).

fof(addCaseBooleanConditionShiftedRanges1_48,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30124(VarNext)
       => ( ( v30123(VarNext,bitIndex69)
          <=> v29931(VarCurr,bitIndex559) )
          & ( v30123(VarNext,bitIndex68)
          <=> v29931(VarCurr,bitIndex558) )
          & ( v30123(VarNext,bitIndex67)
          <=> v29931(VarCurr,bitIndex557) )
          & ( v30123(VarNext,bitIndex66)
          <=> v29931(VarCurr,bitIndex556) )
          & ( v30123(VarNext,bitIndex65)
          <=> v29931(VarCurr,bitIndex555) )
          & ( v30123(VarNext,bitIndex64)
          <=> v29931(VarCurr,bitIndex554) )
          & ( v30123(VarNext,bitIndex63)
          <=> v29931(VarCurr,bitIndex553) )
          & ( v30123(VarNext,bitIndex62)
          <=> v29931(VarCurr,bitIndex552) )
          & ( v30123(VarNext,bitIndex61)
          <=> v29931(VarCurr,bitIndex551) )
          & ( v30123(VarNext,bitIndex60)
          <=> v29931(VarCurr,bitIndex550) )
          & ( v30123(VarNext,bitIndex59)
          <=> v29931(VarCurr,bitIndex549) )
          & ( v30123(VarNext,bitIndex58)
          <=> v29931(VarCurr,bitIndex548) )
          & ( v30123(VarNext,bitIndex57)
          <=> v29931(VarCurr,bitIndex547) )
          & ( v30123(VarNext,bitIndex56)
          <=> v29931(VarCurr,bitIndex546) )
          & ( v30123(VarNext,bitIndex55)
          <=> v29931(VarCurr,bitIndex545) )
          & ( v30123(VarNext,bitIndex54)
          <=> v29931(VarCurr,bitIndex544) )
          & ( v30123(VarNext,bitIndex53)
          <=> v29931(VarCurr,bitIndex543) )
          & ( v30123(VarNext,bitIndex52)
          <=> v29931(VarCurr,bitIndex542) )
          & ( v30123(VarNext,bitIndex51)
          <=> v29931(VarCurr,bitIndex541) )
          & ( v30123(VarNext,bitIndex50)
          <=> v29931(VarCurr,bitIndex540) )
          & ( v30123(VarNext,bitIndex49)
          <=> v29931(VarCurr,bitIndex539) )
          & ( v30123(VarNext,bitIndex48)
          <=> v29931(VarCurr,bitIndex538) )
          & ( v30123(VarNext,bitIndex47)
          <=> v29931(VarCurr,bitIndex537) )
          & ( v30123(VarNext,bitIndex46)
          <=> v29931(VarCurr,bitIndex536) )
          & ( v30123(VarNext,bitIndex45)
          <=> v29931(VarCurr,bitIndex535) )
          & ( v30123(VarNext,bitIndex44)
          <=> v29931(VarCurr,bitIndex534) )
          & ( v30123(VarNext,bitIndex43)
          <=> v29931(VarCurr,bitIndex533) )
          & ( v30123(VarNext,bitIndex42)
          <=> v29931(VarCurr,bitIndex532) )
          & ( v30123(VarNext,bitIndex41)
          <=> v29931(VarCurr,bitIndex531) )
          & ( v30123(VarNext,bitIndex40)
          <=> v29931(VarCurr,bitIndex530) )
          & ( v30123(VarNext,bitIndex39)
          <=> v29931(VarCurr,bitIndex529) )
          & ( v30123(VarNext,bitIndex38)
          <=> v29931(VarCurr,bitIndex528) )
          & ( v30123(VarNext,bitIndex37)
          <=> v29931(VarCurr,bitIndex527) )
          & ( v30123(VarNext,bitIndex36)
          <=> v29931(VarCurr,bitIndex526) )
          & ( v30123(VarNext,bitIndex35)
          <=> v29931(VarCurr,bitIndex525) )
          & ( v30123(VarNext,bitIndex34)
          <=> v29931(VarCurr,bitIndex524) )
          & ( v30123(VarNext,bitIndex33)
          <=> v29931(VarCurr,bitIndex523) )
          & ( v30123(VarNext,bitIndex32)
          <=> v29931(VarCurr,bitIndex522) )
          & ( v30123(VarNext,bitIndex31)
          <=> v29931(VarCurr,bitIndex521) )
          & ( v30123(VarNext,bitIndex30)
          <=> v29931(VarCurr,bitIndex520) )
          & ( v30123(VarNext,bitIndex29)
          <=> v29931(VarCurr,bitIndex519) )
          & ( v30123(VarNext,bitIndex28)
          <=> v29931(VarCurr,bitIndex518) )
          & ( v30123(VarNext,bitIndex27)
          <=> v29931(VarCurr,bitIndex517) )
          & ( v30123(VarNext,bitIndex26)
          <=> v29931(VarCurr,bitIndex516) )
          & ( v30123(VarNext,bitIndex25)
          <=> v29931(VarCurr,bitIndex515) )
          & ( v30123(VarNext,bitIndex24)
          <=> v29931(VarCurr,bitIndex514) )
          & ( v30123(VarNext,bitIndex23)
          <=> v29931(VarCurr,bitIndex513) )
          & ( v30123(VarNext,bitIndex22)
          <=> v29931(VarCurr,bitIndex512) )
          & ( v30123(VarNext,bitIndex21)
          <=> v29931(VarCurr,bitIndex511) )
          & ( v30123(VarNext,bitIndex20)
          <=> v29931(VarCurr,bitIndex510) )
          & ( v30123(VarNext,bitIndex19)
          <=> v29931(VarCurr,bitIndex509) )
          & ( v30123(VarNext,bitIndex18)
          <=> v29931(VarCurr,bitIndex508) )
          & ( v30123(VarNext,bitIndex17)
          <=> v29931(VarCurr,bitIndex507) )
          & ( v30123(VarNext,bitIndex16)
          <=> v29931(VarCurr,bitIndex506) )
          & ( v30123(VarNext,bitIndex15)
          <=> v29931(VarCurr,bitIndex505) )
          & ( v30123(VarNext,bitIndex14)
          <=> v29931(VarCurr,bitIndex504) )
          & ( v30123(VarNext,bitIndex13)
          <=> v29931(VarCurr,bitIndex503) )
          & ( v30123(VarNext,bitIndex12)
          <=> v29931(VarCurr,bitIndex502) )
          & ( v30123(VarNext,bitIndex11)
          <=> v29931(VarCurr,bitIndex501) )
          & ( v30123(VarNext,bitIndex10)
          <=> v29931(VarCurr,bitIndex500) )
          & ( v30123(VarNext,bitIndex9)
          <=> v29931(VarCurr,bitIndex499) )
          & ( v30123(VarNext,bitIndex8)
          <=> v29931(VarCurr,bitIndex498) )
          & ( v30123(VarNext,bitIndex7)
          <=> v29931(VarCurr,bitIndex497) )
          & ( v30123(VarNext,bitIndex6)
          <=> v29931(VarCurr,bitIndex496) )
          & ( v30123(VarNext,bitIndex5)
          <=> v29931(VarCurr,bitIndex495) )
          & ( v30123(VarNext,bitIndex4)
          <=> v29931(VarCurr,bitIndex494) )
          & ( v30123(VarNext,bitIndex3)
          <=> v29931(VarCurr,bitIndex493) )
          & ( v30123(VarNext,bitIndex2)
          <=> v29931(VarCurr,bitIndex492) )
          & ( v30123(VarNext,bitIndex1)
          <=> v29931(VarCurr,bitIndex491) )
          & ( v30123(VarNext,bitIndex0)
          <=> v29931(VarCurr,bitIndex490) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_389,axiom,(
    ! [VarNext] :
      ( v30124(VarNext)
     => ! [B] :
          ( range_69_0(B)
         => ( v30123(VarNext,B)
          <=> v30150(VarNext,B) ) ) ) )).

fof(addAssignment_9175,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_69_0(B)
         => ( v30150(VarNext,B)
          <=> v30148(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_801,axiom,(
    ! [VarCurr] :
      ( ~ v30087(VarCurr)
     => ! [B] :
          ( range_69_0(B)
         => ( v30148(VarCurr,B)
          <=> v30151(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_792,axiom,(
    ! [VarCurr] :
      ( v30087(VarCurr)
     => ! [B] :
          ( range_69_0(B)
         => ( v30148(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_330,axiom,(
    ! [VarCurr] :
      ( ( ~ v30137(VarCurr)
        & ~ v30139(VarCurr) )
     => ! [B] :
          ( range_69_0(B)
         => ( v30151(VarCurr,B)
          <=> v30116(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_800,axiom,(
    ! [VarCurr] :
      ( v30139(VarCurr)
     => ! [B] :
          ( range_69_0(B)
         => ( v30151(VarCurr,B)
          <=> v30109(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_19,axiom,(
    ! [VarCurr] :
      ( v30137(VarCurr)
     => ( ( v30151(VarCurr,bitIndex69)
        <=> v29931(VarCurr,bitIndex489) )
        & ( v30151(VarCurr,bitIndex68)
        <=> v29931(VarCurr,bitIndex488) )
        & ( v30151(VarCurr,bitIndex67)
        <=> v29931(VarCurr,bitIndex487) )
        & ( v30151(VarCurr,bitIndex66)
        <=> v29931(VarCurr,bitIndex486) )
        & ( v30151(VarCurr,bitIndex65)
        <=> v29931(VarCurr,bitIndex485) )
        & ( v30151(VarCurr,bitIndex64)
        <=> v29931(VarCurr,bitIndex484) )
        & ( v30151(VarCurr,bitIndex63)
        <=> v29931(VarCurr,bitIndex483) )
        & ( v30151(VarCurr,bitIndex62)
        <=> v29931(VarCurr,bitIndex482) )
        & ( v30151(VarCurr,bitIndex61)
        <=> v29931(VarCurr,bitIndex481) )
        & ( v30151(VarCurr,bitIndex60)
        <=> v29931(VarCurr,bitIndex480) )
        & ( v30151(VarCurr,bitIndex59)
        <=> v29931(VarCurr,bitIndex479) )
        & ( v30151(VarCurr,bitIndex58)
        <=> v29931(VarCurr,bitIndex478) )
        & ( v30151(VarCurr,bitIndex57)
        <=> v29931(VarCurr,bitIndex477) )
        & ( v30151(VarCurr,bitIndex56)
        <=> v29931(VarCurr,bitIndex476) )
        & ( v30151(VarCurr,bitIndex55)
        <=> v29931(VarCurr,bitIndex475) )
        & ( v30151(VarCurr,bitIndex54)
        <=> v29931(VarCurr,bitIndex474) )
        & ( v30151(VarCurr,bitIndex53)
        <=> v29931(VarCurr,bitIndex473) )
        & ( v30151(VarCurr,bitIndex52)
        <=> v29931(VarCurr,bitIndex472) )
        & ( v30151(VarCurr,bitIndex51)
        <=> v29931(VarCurr,bitIndex471) )
        & ( v30151(VarCurr,bitIndex50)
        <=> v29931(VarCurr,bitIndex470) )
        & ( v30151(VarCurr,bitIndex49)
        <=> v29931(VarCurr,bitIndex469) )
        & ( v30151(VarCurr,bitIndex48)
        <=> v29931(VarCurr,bitIndex468) )
        & ( v30151(VarCurr,bitIndex47)
        <=> v29931(VarCurr,bitIndex467) )
        & ( v30151(VarCurr,bitIndex46)
        <=> v29931(VarCurr,bitIndex466) )
        & ( v30151(VarCurr,bitIndex45)
        <=> v29931(VarCurr,bitIndex465) )
        & ( v30151(VarCurr,bitIndex44)
        <=> v29931(VarCurr,bitIndex464) )
        & ( v30151(VarCurr,bitIndex43)
        <=> v29931(VarCurr,bitIndex463) )
        & ( v30151(VarCurr,bitIndex42)
        <=> v29931(VarCurr,bitIndex462) )
        & ( v30151(VarCurr,bitIndex41)
        <=> v29931(VarCurr,bitIndex461) )
        & ( v30151(VarCurr,bitIndex40)
        <=> v29931(VarCurr,bitIndex460) )
        & ( v30151(VarCurr,bitIndex39)
        <=> v29931(VarCurr,bitIndex459) )
        & ( v30151(VarCurr,bitIndex38)
        <=> v29931(VarCurr,bitIndex458) )
        & ( v30151(VarCurr,bitIndex37)
        <=> v29931(VarCurr,bitIndex457) )
        & ( v30151(VarCurr,bitIndex36)
        <=> v29931(VarCurr,bitIndex456) )
        & ( v30151(VarCurr,bitIndex35)
        <=> v29931(VarCurr,bitIndex455) )
        & ( v30151(VarCurr,bitIndex34)
        <=> v29931(VarCurr,bitIndex454) )
        & ( v30151(VarCurr,bitIndex33)
        <=> v29931(VarCurr,bitIndex453) )
        & ( v30151(VarCurr,bitIndex32)
        <=> v29931(VarCurr,bitIndex452) )
        & ( v30151(VarCurr,bitIndex31)
        <=> v29931(VarCurr,bitIndex451) )
        & ( v30151(VarCurr,bitIndex30)
        <=> v29931(VarCurr,bitIndex450) )
        & ( v30151(VarCurr,bitIndex29)
        <=> v29931(VarCurr,bitIndex449) )
        & ( v30151(VarCurr,bitIndex28)
        <=> v29931(VarCurr,bitIndex448) )
        & ( v30151(VarCurr,bitIndex27)
        <=> v29931(VarCurr,bitIndex447) )
        & ( v30151(VarCurr,bitIndex26)
        <=> v29931(VarCurr,bitIndex446) )
        & ( v30151(VarCurr,bitIndex25)
        <=> v29931(VarCurr,bitIndex445) )
        & ( v30151(VarCurr,bitIndex24)
        <=> v29931(VarCurr,bitIndex444) )
        & ( v30151(VarCurr,bitIndex23)
        <=> v29931(VarCurr,bitIndex443) )
        & ( v30151(VarCurr,bitIndex22)
        <=> v29931(VarCurr,bitIndex442) )
        & ( v30151(VarCurr,bitIndex21)
        <=> v29931(VarCurr,bitIndex441) )
        & ( v30151(VarCurr,bitIndex20)
        <=> v29931(VarCurr,bitIndex440) )
        & ( v30151(VarCurr,bitIndex19)
        <=> v29931(VarCurr,bitIndex439) )
        & ( v30151(VarCurr,bitIndex18)
        <=> v29931(VarCurr,bitIndex438) )
        & ( v30151(VarCurr,bitIndex17)
        <=> v29931(VarCurr,bitIndex437) )
        & ( v30151(VarCurr,bitIndex16)
        <=> v29931(VarCurr,bitIndex436) )
        & ( v30151(VarCurr,bitIndex15)
        <=> v29931(VarCurr,bitIndex435) )
        & ( v30151(VarCurr,bitIndex14)
        <=> v29931(VarCurr,bitIndex434) )
        & ( v30151(VarCurr,bitIndex13)
        <=> v29931(VarCurr,bitIndex433) )
        & ( v30151(VarCurr,bitIndex12)
        <=> v29931(VarCurr,bitIndex432) )
        & ( v30151(VarCurr,bitIndex11)
        <=> v29931(VarCurr,bitIndex431) )
        & ( v30151(VarCurr,bitIndex10)
        <=> v29931(VarCurr,bitIndex430) )
        & ( v30151(VarCurr,bitIndex9)
        <=> v29931(VarCurr,bitIndex429) )
        & ( v30151(VarCurr,bitIndex8)
        <=> v29931(VarCurr,bitIndex428) )
        & ( v30151(VarCurr,bitIndex7)
        <=> v29931(VarCurr,bitIndex427) )
        & ( v30151(VarCurr,bitIndex6)
        <=> v29931(VarCurr,bitIndex426) )
        & ( v30151(VarCurr,bitIndex5)
        <=> v29931(VarCurr,bitIndex425) )
        & ( v30151(VarCurr,bitIndex4)
        <=> v29931(VarCurr,bitIndex424) )
        & ( v30151(VarCurr,bitIndex3)
        <=> v29931(VarCurr,bitIndex423) )
        & ( v30151(VarCurr,bitIndex2)
        <=> v29931(VarCurr,bitIndex422) )
        & ( v30151(VarCurr,bitIndex1)
        <=> v29931(VarCurr,bitIndex421) )
        & ( v30151(VarCurr,bitIndex0)
        <=> v29931(VarCurr,bitIndex420) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6533,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30124(VarNext)
      <=> ( v30125(VarNext)
          & v30132(VarNext) ) ) ) )).

fof(addAssignment_9174,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30132(VarNext)
      <=> v30130(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6532,axiom,(
    ! [VarCurr] :
      ( v30130(VarCurr)
    <=> ( v30133(VarCurr)
        & v30144(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6531,axiom,(
    ! [VarCurr] :
      ( v30144(VarCurr)
    <=> ( v30145(VarCurr)
        | v30087(VarCurr) ) ) )).

fof(writeUnaryOperator_3081,axiom,(
    ! [VarCurr] :
      ( ~ v30145(VarCurr)
    <=> v30146(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_2188,axiom,(
    ! [VarCurr] :
      ( v30146(VarCurr)
    <=> ( ( v30147(VarCurr,bitIndex1)
        <=> $false )
        & ( v30147(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_9173,axiom,(
    ! [VarCurr] :
      ( v30147(VarCurr,bitIndex0)
    <=> v29844(VarCurr) ) )).

fof(addAssignment_9172,axiom,(
    ! [VarCurr] :
      ( v30147(VarCurr,bitIndex1)
    <=> v26174(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6530,axiom,(
    ! [VarCurr] :
      ( v30133(VarCurr)
    <=> ( v30087(VarCurr)
        | v30134(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6529,axiom,(
    ! [VarCurr] :
      ( v30134(VarCurr)
    <=> ( v30135(VarCurr)
        & v30143(VarCurr) ) ) )).

fof(writeUnaryOperator_3080,axiom,(
    ! [VarCurr] :
      ( ~ v30143(VarCurr)
    <=> v30087(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6528,axiom,(
    ! [VarCurr] :
      ( v30135(VarCurr)
    <=> ( v30136(VarCurr)
        | v30141(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2187,axiom,(
    ! [VarCurr] :
      ( v30141(VarCurr)
    <=> ( ( v30142(VarCurr,bitIndex1)
        <=> $true )
        & ( v30142(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_9171,axiom,(
    ! [VarCurr] :
      ( v30142(VarCurr,bitIndex0)
    <=> v29844(VarCurr) ) )).

fof(addAssignment_9170,axiom,(
    ! [VarCurr] :
      ( v30142(VarCurr,bitIndex1)
    <=> v26174(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6527,axiom,(
    ! [VarCurr] :
      ( v30136(VarCurr)
    <=> ( v30137(VarCurr)
        | v30139(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2186,axiom,(
    ! [VarCurr] :
      ( v30139(VarCurr)
    <=> ( ( v30140(VarCurr,bitIndex1)
        <=> $true )
        & ( v30140(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_9169,axiom,(
    ! [VarCurr] :
      ( v30140(VarCurr,bitIndex0)
    <=> v29844(VarCurr) ) )).

fof(addAssignment_9168,axiom,(
    ! [VarCurr] :
      ( v30140(VarCurr,bitIndex1)
    <=> v26174(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_2185,axiom,(
    ! [VarCurr] :
      ( v30137(VarCurr)
    <=> ( ( v30138(VarCurr,bitIndex1)
        <=> $false )
        & ( v30138(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_9167,axiom,(
    ! [VarCurr] :
      ( v30138(VarCurr,bitIndex0)
    <=> v29844(VarCurr) ) )).

fof(addAssignment_9166,axiom,(
    ! [VarCurr] :
      ( v30138(VarCurr,bitIndex1)
    <=> v26174(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6526,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30125(VarNext)
      <=> ( v30127(VarNext)
          & v29876(VarNext) ) ) ) )).

fof(writeUnaryOperator_3079,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30127(VarNext)
      <=> v29885(VarNext) ) ) )).

fof(addAssignment_9165,axiom,(
    ! [VarCurr,B] :
      ( range_69_63(B)
     => ( v30116(VarCurr,B)
      <=> v30121(VarCurr,B) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_756,axiom,(
    ! [VarCurr] :
      ( ~ v30118(VarCurr)
     => ! [B] :
          ( range_69_0(B)
         => ( v30121(VarCurr,B)
          <=> v30120(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_701,axiom,(
    ! [VarCurr] :
      ( v30118(VarCurr)
     => ! [B] :
          ( range_69_0(B)
         => ( v30121(VarCurr,B)
          <=> v29986(VarCurr,B) ) ) ) )).

fof(addAssignment_9164,axiom,(
    ! [VarCurr] :
      ( ( v30120(VarCurr,bitIndex69)
      <=> v29931(VarCurr,bitIndex489) )
      & ( v30120(VarCurr,bitIndex68)
      <=> v29931(VarCurr,bitIndex488) )
      & ( v30120(VarCurr,bitIndex67)
      <=> v29931(VarCurr,bitIndex487) )
      & ( v30120(VarCurr,bitIndex66)
      <=> v29931(VarCurr,bitIndex486) )
      & ( v30120(VarCurr,bitIndex65)
      <=> v29931(VarCurr,bitIndex485) )
      & ( v30120(VarCurr,bitIndex64)
      <=> v29931(VarCurr,bitIndex484) )
      & ( v30120(VarCurr,bitIndex63)
      <=> v29931(VarCurr,bitIndex483) ) ) )).

fof(addAssignment_9163,axiom,(
    ! [VarCurr] :
      ( v30118(VarCurr)
    <=> v29938(VarCurr,bitIndex1) ) )).

fof(addAssignment_9162,axiom,(
    ! [VarCurr,B] :
      ( range_69_63(B)
     => ( v30109(VarCurr,B)
      <=> v30114(VarCurr,B) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_755,axiom,(
    ! [VarCurr] :
      ( ~ v30111(VarCurr)
     => ! [B] :
          ( range_69_0(B)
         => ( v30114(VarCurr,B)
          <=> v30113(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_700,axiom,(
    ! [VarCurr] :
      ( v30111(VarCurr)
     => ! [B] :
          ( range_69_0(B)
         => ( v30114(VarCurr,B)
          <=> v29986(VarCurr,B) ) ) ) )).

fof(addAssignment_9161,axiom,(
    ! [VarCurr] :
      ( ( v30113(VarCurr,bitIndex69)
      <=> v29931(VarCurr,bitIndex559) )
      & ( v30113(VarCurr,bitIndex68)
      <=> v29931(VarCurr,bitIndex558) )
      & ( v30113(VarCurr,bitIndex67)
      <=> v29931(VarCurr,bitIndex557) )
      & ( v30113(VarCurr,bitIndex66)
      <=> v29931(VarCurr,bitIndex556) )
      & ( v30113(VarCurr,bitIndex65)
      <=> v29931(VarCurr,bitIndex555) )
      & ( v30113(VarCurr,bitIndex64)
      <=> v29931(VarCurr,bitIndex554) )
      & ( v30113(VarCurr,bitIndex63)
      <=> v29931(VarCurr,bitIndex553) ) ) )).

fof(addAssignment_9160,axiom,(
    ! [VarCurr] :
      ( v30111(VarCurr)
    <=> v29938(VarCurr,bitIndex1) ) )).

fof(addAssignment_9159,axiom,(
    ! [VarNext] :
      ( ( v29931(VarNext,bitIndex489)
      <=> v30076(VarNext,bitIndex69) )
      & ( v29931(VarNext,bitIndex488)
      <=> v30076(VarNext,bitIndex68) )
      & ( v29931(VarNext,bitIndex487)
      <=> v30076(VarNext,bitIndex67) )
      & ( v29931(VarNext,bitIndex486)
      <=> v30076(VarNext,bitIndex66) )
      & ( v29931(VarNext,bitIndex485)
      <=> v30076(VarNext,bitIndex65) )
      & ( v29931(VarNext,bitIndex484)
      <=> v30076(VarNext,bitIndex64) )
      & ( v29931(VarNext,bitIndex483)
      <=> v30076(VarNext,bitIndex63) ) ) )).

fof(addCaseBooleanConditionShiftedRanges1_47,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30077(VarNext)
       => ( ( v30076(VarNext,bitIndex69)
          <=> v29931(VarCurr,bitIndex489) )
          & ( v30076(VarNext,bitIndex68)
          <=> v29931(VarCurr,bitIndex488) )
          & ( v30076(VarNext,bitIndex67)
          <=> v29931(VarCurr,bitIndex487) )
          & ( v30076(VarNext,bitIndex66)
          <=> v29931(VarCurr,bitIndex486) )
          & ( v30076(VarNext,bitIndex65)
          <=> v29931(VarCurr,bitIndex485) )
          & ( v30076(VarNext,bitIndex64)
          <=> v29931(VarCurr,bitIndex484) )
          & ( v30076(VarNext,bitIndex63)
          <=> v29931(VarCurr,bitIndex483) )
          & ( v30076(VarNext,bitIndex62)
          <=> v29931(VarCurr,bitIndex482) )
          & ( v30076(VarNext,bitIndex61)
          <=> v29931(VarCurr,bitIndex481) )
          & ( v30076(VarNext,bitIndex60)
          <=> v29931(VarCurr,bitIndex480) )
          & ( v30076(VarNext,bitIndex59)
          <=> v29931(VarCurr,bitIndex479) )
          & ( v30076(VarNext,bitIndex58)
          <=> v29931(VarCurr,bitIndex478) )
          & ( v30076(VarNext,bitIndex57)
          <=> v29931(VarCurr,bitIndex477) )
          & ( v30076(VarNext,bitIndex56)
          <=> v29931(VarCurr,bitIndex476) )
          & ( v30076(VarNext,bitIndex55)
          <=> v29931(VarCurr,bitIndex475) )
          & ( v30076(VarNext,bitIndex54)
          <=> v29931(VarCurr,bitIndex474) )
          & ( v30076(VarNext,bitIndex53)
          <=> v29931(VarCurr,bitIndex473) )
          & ( v30076(VarNext,bitIndex52)
          <=> v29931(VarCurr,bitIndex472) )
          & ( v30076(VarNext,bitIndex51)
          <=> v29931(VarCurr,bitIndex471) )
          & ( v30076(VarNext,bitIndex50)
          <=> v29931(VarCurr,bitIndex470) )
          & ( v30076(VarNext,bitIndex49)
          <=> v29931(VarCurr,bitIndex469) )
          & ( v30076(VarNext,bitIndex48)
          <=> v29931(VarCurr,bitIndex468) )
          & ( v30076(VarNext,bitIndex47)
          <=> v29931(VarCurr,bitIndex467) )
          & ( v30076(VarNext,bitIndex46)
          <=> v29931(VarCurr,bitIndex466) )
          & ( v30076(VarNext,bitIndex45)
          <=> v29931(VarCurr,bitIndex465) )
          & ( v30076(VarNext,bitIndex44)
          <=> v29931(VarCurr,bitIndex464) )
          & ( v30076(VarNext,bitIndex43)
          <=> v29931(VarCurr,bitIndex463) )
          & ( v30076(VarNext,bitIndex42)
          <=> v29931(VarCurr,bitIndex462) )
          & ( v30076(VarNext,bitIndex41)
          <=> v29931(VarCurr,bitIndex461) )
          & ( v30076(VarNext,bitIndex40)
          <=> v29931(VarCurr,bitIndex460) )
          & ( v30076(VarNext,bitIndex39)
          <=> v29931(VarCurr,bitIndex459) )
          & ( v30076(VarNext,bitIndex38)
          <=> v29931(VarCurr,bitIndex458) )
          & ( v30076(VarNext,bitIndex37)
          <=> v29931(VarCurr,bitIndex457) )
          & ( v30076(VarNext,bitIndex36)
          <=> v29931(VarCurr,bitIndex456) )
          & ( v30076(VarNext,bitIndex35)
          <=> v29931(VarCurr,bitIndex455) )
          & ( v30076(VarNext,bitIndex34)
          <=> v29931(VarCurr,bitIndex454) )
          & ( v30076(VarNext,bitIndex33)
          <=> v29931(VarCurr,bitIndex453) )
          & ( v30076(VarNext,bitIndex32)
          <=> v29931(VarCurr,bitIndex452) )
          & ( v30076(VarNext,bitIndex31)
          <=> v29931(VarCurr,bitIndex451) )
          & ( v30076(VarNext,bitIndex30)
          <=> v29931(VarCurr,bitIndex450) )
          & ( v30076(VarNext,bitIndex29)
          <=> v29931(VarCurr,bitIndex449) )
          & ( v30076(VarNext,bitIndex28)
          <=> v29931(VarCurr,bitIndex448) )
          & ( v30076(VarNext,bitIndex27)
          <=> v29931(VarCurr,bitIndex447) )
          & ( v30076(VarNext,bitIndex26)
          <=> v29931(VarCurr,bitIndex446) )
          & ( v30076(VarNext,bitIndex25)
          <=> v29931(VarCurr,bitIndex445) )
          & ( v30076(VarNext,bitIndex24)
          <=> v29931(VarCurr,bitIndex444) )
          & ( v30076(VarNext,bitIndex23)
          <=> v29931(VarCurr,bitIndex443) )
          & ( v30076(VarNext,bitIndex22)
          <=> v29931(VarCurr,bitIndex442) )
          & ( v30076(VarNext,bitIndex21)
          <=> v29931(VarCurr,bitIndex441) )
          & ( v30076(VarNext,bitIndex20)
          <=> v29931(VarCurr,bitIndex440) )
          & ( v30076(VarNext,bitIndex19)
          <=> v29931(VarCurr,bitIndex439) )
          & ( v30076(VarNext,bitIndex18)
          <=> v29931(VarCurr,bitIndex438) )
          & ( v30076(VarNext,bitIndex17)
          <=> v29931(VarCurr,bitIndex437) )
          & ( v30076(VarNext,bitIndex16)
          <=> v29931(VarCurr,bitIndex436) )
          & ( v30076(VarNext,bitIndex15)
          <=> v29931(VarCurr,bitIndex435) )
          & ( v30076(VarNext,bitIndex14)
          <=> v29931(VarCurr,bitIndex434) )
          & ( v30076(VarNext,bitIndex13)
          <=> v29931(VarCurr,bitIndex433) )
          & ( v30076(VarNext,bitIndex12)
          <=> v29931(VarCurr,bitIndex432) )
          & ( v30076(VarNext,bitIndex11)
          <=> v29931(VarCurr,bitIndex431) )
          & ( v30076(VarNext,bitIndex10)
          <=> v29931(VarCurr,bitIndex430) )
          & ( v30076(VarNext,bitIndex9)
          <=> v29931(VarCurr,bitIndex429) )
          & ( v30076(VarNext,bitIndex8)
          <=> v29931(VarCurr,bitIndex428) )
          & ( v30076(VarNext,bitIndex7)
          <=> v29931(VarCurr,bitIndex427) )
          & ( v30076(VarNext,bitIndex6)
          <=> v29931(VarCurr,bitIndex426) )
          & ( v30076(VarNext,bitIndex5)
          <=> v29931(VarCurr,bitIndex425) )
          & ( v30076(VarNext,bitIndex4)
          <=> v29931(VarCurr,bitIndex424) )
          & ( v30076(VarNext,bitIndex3)
          <=> v29931(VarCurr,bitIndex423) )
          & ( v30076(VarNext,bitIndex2)
          <=> v29931(VarCurr,bitIndex422) )
          & ( v30076(VarNext,bitIndex1)
          <=> v29931(VarCurr,bitIndex421) )
          & ( v30076(VarNext,bitIndex0)
          <=> v29931(VarCurr,bitIndex420) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_388,axiom,(
    ! [VarNext] :
      ( v30077(VarNext)
     => ! [B] :
          ( range_69_0(B)
         => ( v30076(VarNext,B)
          <=> v30104(VarNext,B) ) ) ) )).

fof(addAssignment_9158,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_69_0(B)
         => ( v30104(VarNext,B)
          <=> v30102(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_799,axiom,(
    ! [VarCurr] :
      ( ~ v30087(VarCurr)
     => ! [B] :
          ( range_69_0(B)
         => ( v30102(VarCurr,B)
          <=> v30105(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_791,axiom,(
    ! [VarCurr] :
      ( v30087(VarCurr)
     => ! [B] :
          ( range_69_0(B)
         => ( v30102(VarCurr,B)
          <=> $false ) ) ) )).

fof(bitBlastConstant_9409,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex69) )).

fof(bitBlastConstant_9408,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex68) )).

fof(bitBlastConstant_9407,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex67) )).

fof(bitBlastConstant_9406,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex66) )).

fof(bitBlastConstant_9405,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex65) )).

fof(bitBlastConstant_9404,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex64) )).

fof(bitBlastConstant_9403,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex63) )).

fof(bitBlastConstant_9402,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex62) )).

fof(bitBlastConstant_9401,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex61) )).

fof(bitBlastConstant_9400,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex60) )).

fof(bitBlastConstant_9399,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex59) )).

fof(bitBlastConstant_9398,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex58) )).

fof(bitBlastConstant_9397,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex57) )).

fof(bitBlastConstant_9396,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex56) )).

fof(bitBlastConstant_9395,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex55) )).

fof(bitBlastConstant_9394,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex54) )).

fof(bitBlastConstant_9393,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex53) )).

fof(bitBlastConstant_9392,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex52) )).

fof(bitBlastConstant_9391,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex51) )).

fof(bitBlastConstant_9390,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex50) )).

fof(bitBlastConstant_9389,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex49) )).

fof(bitBlastConstant_9388,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex48) )).

fof(bitBlastConstant_9387,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex47) )).

fof(bitBlastConstant_9386,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex46) )).

fof(bitBlastConstant_9385,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex45) )).

fof(bitBlastConstant_9384,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex44) )).

fof(bitBlastConstant_9383,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex43) )).

fof(bitBlastConstant_9382,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex42) )).

fof(bitBlastConstant_9381,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex41) )).

fof(bitBlastConstant_9380,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex40) )).

fof(bitBlastConstant_9379,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex39) )).

fof(bitBlastConstant_9378,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex38) )).

fof(bitBlastConstant_9377,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex37) )).

fof(bitBlastConstant_9376,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex36) )).

fof(bitBlastConstant_9375,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex35) )).

fof(bitBlastConstant_9374,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex34) )).

fof(bitBlastConstant_9373,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex33) )).

fof(bitBlastConstant_9372,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex32) )).

fof(bitBlastConstant_9371,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex31) )).

fof(bitBlastConstant_9370,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex30) )).

fof(bitBlastConstant_9369,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex29) )).

fof(bitBlastConstant_9368,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex28) )).

fof(bitBlastConstant_9367,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex27) )).

fof(bitBlastConstant_9366,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_9365,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_9364,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_9363,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_9362,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_9361,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_9360,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_9359,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_9358,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_9357,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_9356,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_9355,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_9354,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_9353,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_9352,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_9351,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_9350,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_9349,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_9348,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_9347,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_9346,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_9345,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_9344,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_9343,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_9342,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_9341,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_9340,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges2_329,axiom,(
    ! [VarCurr] :
      ( ( ~ v30091(VarCurr)
        & ~ v30093(VarCurr) )
     => ! [B] :
          ( range_69_0(B)
         => ( v30105(VarCurr,B)
          <=> v30069(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_798,axiom,(
    ! [VarCurr] :
      ( v30093(VarCurr)
     => ! [B] :
          ( range_69_0(B)
         => ( v30105(VarCurr,B)
          <=> v29934(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_18,axiom,(
    ! [VarCurr] :
      ( v30091(VarCurr)
     => ( ( v30105(VarCurr,bitIndex69)
        <=> v29931(VarCurr,bitIndex419) )
        & ( v30105(VarCurr,bitIndex68)
        <=> v29931(VarCurr,bitIndex418) )
        & ( v30105(VarCurr,bitIndex67)
        <=> v29931(VarCurr,bitIndex417) )
        & ( v30105(VarCurr,bitIndex66)
        <=> v29931(VarCurr,bitIndex416) )
        & ( v30105(VarCurr,bitIndex65)
        <=> v29931(VarCurr,bitIndex415) )
        & ( v30105(VarCurr,bitIndex64)
        <=> v29931(VarCurr,bitIndex414) )
        & ( v30105(VarCurr,bitIndex63)
        <=> v29931(VarCurr,bitIndex413) )
        & ( v30105(VarCurr,bitIndex62)
        <=> v29931(VarCurr,bitIndex412) )
        & ( v30105(VarCurr,bitIndex61)
        <=> v29931(VarCurr,bitIndex411) )
        & ( v30105(VarCurr,bitIndex60)
        <=> v29931(VarCurr,bitIndex410) )
        & ( v30105(VarCurr,bitIndex59)
        <=> v29931(VarCurr,bitIndex409) )
        & ( v30105(VarCurr,bitIndex58)
        <=> v29931(VarCurr,bitIndex408) )
        & ( v30105(VarCurr,bitIndex57)
        <=> v29931(VarCurr,bitIndex407) )
        & ( v30105(VarCurr,bitIndex56)
        <=> v29931(VarCurr,bitIndex406) )
        & ( v30105(VarCurr,bitIndex55)
        <=> v29931(VarCurr,bitIndex405) )
        & ( v30105(VarCurr,bitIndex54)
        <=> v29931(VarCurr,bitIndex404) )
        & ( v30105(VarCurr,bitIndex53)
        <=> v29931(VarCurr,bitIndex403) )
        & ( v30105(VarCurr,bitIndex52)
        <=> v29931(VarCurr,bitIndex402) )
        & ( v30105(VarCurr,bitIndex51)
        <=> v29931(VarCurr,bitIndex401) )
        & ( v30105(VarCurr,bitIndex50)
        <=> v29931(VarCurr,bitIndex400) )
        & ( v30105(VarCurr,bitIndex49)
        <=> v29931(VarCurr,bitIndex399) )
        & ( v30105(VarCurr,bitIndex48)
        <=> v29931(VarCurr,bitIndex398) )
        & ( v30105(VarCurr,bitIndex47)
        <=> v29931(VarCurr,bitIndex397) )
        & ( v30105(VarCurr,bitIndex46)
        <=> v29931(VarCurr,bitIndex396) )
        & ( v30105(VarCurr,bitIndex45)
        <=> v29931(VarCurr,bitIndex395) )
        & ( v30105(VarCurr,bitIndex44)
        <=> v29931(VarCurr,bitIndex394) )
        & ( v30105(VarCurr,bitIndex43)
        <=> v29931(VarCurr,bitIndex393) )
        & ( v30105(VarCurr,bitIndex42)
        <=> v29931(VarCurr,bitIndex392) )
        & ( v30105(VarCurr,bitIndex41)
        <=> v29931(VarCurr,bitIndex391) )
        & ( v30105(VarCurr,bitIndex40)
        <=> v29931(VarCurr,bitIndex390) )
        & ( v30105(VarCurr,bitIndex39)
        <=> v29931(VarCurr,bitIndex389) )
        & ( v30105(VarCurr,bitIndex38)
        <=> v29931(VarCurr,bitIndex388) )
        & ( v30105(VarCurr,bitIndex37)
        <=> v29931(VarCurr,bitIndex387) )
        & ( v30105(VarCurr,bitIndex36)
        <=> v29931(VarCurr,bitIndex386) )
        & ( v30105(VarCurr,bitIndex35)
        <=> v29931(VarCurr,bitIndex385) )
        & ( v30105(VarCurr,bitIndex34)
        <=> v29931(VarCurr,bitIndex384) )
        & ( v30105(VarCurr,bitIndex33)
        <=> v29931(VarCurr,bitIndex383) )
        & ( v30105(VarCurr,bitIndex32)
        <=> v29931(VarCurr,bitIndex382) )
        & ( v30105(VarCurr,bitIndex31)
        <=> v29931(VarCurr,bitIndex381) )
        & ( v30105(VarCurr,bitIndex30)
        <=> v29931(VarCurr,bitIndex380) )
        & ( v30105(VarCurr,bitIndex29)
        <=> v29931(VarCurr,bitIndex379) )
        & ( v30105(VarCurr,bitIndex28)
        <=> v29931(VarCurr,bitIndex378) )
        & ( v30105(VarCurr,bitIndex27)
        <=> v29931(VarCurr,bitIndex377) )
        & ( v30105(VarCurr,bitIndex26)
        <=> v29931(VarCurr,bitIndex376) )
        & ( v30105(VarCurr,bitIndex25)
        <=> v29931(VarCurr,bitIndex375) )
        & ( v30105(VarCurr,bitIndex24)
        <=> v29931(VarCurr,bitIndex374) )
        & ( v30105(VarCurr,bitIndex23)
        <=> v29931(VarCurr,bitIndex373) )
        & ( v30105(VarCurr,bitIndex22)
        <=> v29931(VarCurr,bitIndex372) )
        & ( v30105(VarCurr,bitIndex21)
        <=> v29931(VarCurr,bitIndex371) )
        & ( v30105(VarCurr,bitIndex20)
        <=> v29931(VarCurr,bitIndex370) )
        & ( v30105(VarCurr,bitIndex19)
        <=> v29931(VarCurr,bitIndex369) )
        & ( v30105(VarCurr,bitIndex18)
        <=> v29931(VarCurr,bitIndex368) )
        & ( v30105(VarCurr,bitIndex17)
        <=> v29931(VarCurr,bitIndex367) )
        & ( v30105(VarCurr,bitIndex16)
        <=> v29931(VarCurr,bitIndex366) )
        & ( v30105(VarCurr,bitIndex15)
        <=> v29931(VarCurr,bitIndex365) )
        & ( v30105(VarCurr,bitIndex14)
        <=> v29931(VarCurr,bitIndex364) )
        & ( v30105(VarCurr,bitIndex13)
        <=> v29931(VarCurr,bitIndex363) )
        & ( v30105(VarCurr,bitIndex12)
        <=> v29931(VarCurr,bitIndex362) )
        & ( v30105(VarCurr,bitIndex11)
        <=> v29931(VarCurr,bitIndex361) )
        & ( v30105(VarCurr,bitIndex10)
        <=> v29931(VarCurr,bitIndex360) )
        & ( v30105(VarCurr,bitIndex9)
        <=> v29931(VarCurr,bitIndex359) )
        & ( v30105(VarCurr,bitIndex8)
        <=> v29931(VarCurr,bitIndex358) )
        & ( v30105(VarCurr,bitIndex7)
        <=> v29931(VarCurr,bitIndex357) )
        & ( v30105(VarCurr,bitIndex6)
        <=> v29931(VarCurr,bitIndex356) )
        & ( v30105(VarCurr,bitIndex5)
        <=> v29931(VarCurr,bitIndex355) )
        & ( v30105(VarCurr,bitIndex4)
        <=> v29931(VarCurr,bitIndex354) )
        & ( v30105(VarCurr,bitIndex3)
        <=> v29931(VarCurr,bitIndex353) )
        & ( v30105(VarCurr,bitIndex2)
        <=> v29931(VarCurr,bitIndex352) )
        & ( v30105(VarCurr,bitIndex1)
        <=> v29931(VarCurr,bitIndex351) )
        & ( v30105(VarCurr,bitIndex0)
        <=> v29931(VarCurr,bitIndex350) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6525,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30077(VarNext)
      <=> ( v30078(VarNext)
          & v30085(VarNext) ) ) ) )).

fof(addAssignment_9157,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30085(VarNext)
      <=> v30083(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6524,axiom,(
    ! [VarCurr] :
      ( v30083(VarCurr)
    <=> ( v30086(VarCurr)
        & v30098(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6523,axiom,(
    ! [VarCurr] :
      ( v30098(VarCurr)
    <=> ( v30099(VarCurr)
        | v30087(VarCurr) ) ) )).

fof(writeUnaryOperator_3078,axiom,(
    ! [VarCurr] :
      ( ~ v30099(VarCurr)
    <=> v30100(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_2184,axiom,(
    ! [VarCurr] :
      ( v30100(VarCurr)
    <=> ( ( v30101(VarCurr,bitIndex1)
        <=> $false )
        & ( v30101(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_9156,axiom,(
    ! [VarCurr] :
      ( v30101(VarCurr,bitIndex0)
    <=> v29844(VarCurr) ) )).

fof(addAssignment_9155,axiom,(
    ! [VarCurr] :
      ( v30101(VarCurr,bitIndex1)
    <=> v26174(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6522,axiom,(
    ! [VarCurr] :
      ( v30086(VarCurr)
    <=> ( v30087(VarCurr)
        | v30088(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6521,axiom,(
    ! [VarCurr] :
      ( v30088(VarCurr)
    <=> ( v30089(VarCurr)
        & v30097(VarCurr) ) ) )).

fof(writeUnaryOperator_3077,axiom,(
    ! [VarCurr] :
      ( ~ v30097(VarCurr)
    <=> v30087(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6520,axiom,(
    ! [VarCurr] :
      ( v30089(VarCurr)
    <=> ( v30090(VarCurr)
        | v30095(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2183,axiom,(
    ! [VarCurr] :
      ( v30095(VarCurr)
    <=> ( ( v30096(VarCurr,bitIndex1)
        <=> $true )
        & ( v30096(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_9154,axiom,(
    ! [VarCurr] :
      ( v30096(VarCurr,bitIndex0)
    <=> v29844(VarCurr) ) )).

fof(addAssignment_9153,axiom,(
    ! [VarCurr] :
      ( v30096(VarCurr,bitIndex1)
    <=> v26174(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6519,axiom,(
    ! [VarCurr] :
      ( v30090(VarCurr)
    <=> ( v30091(VarCurr)
        | v30093(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2182,axiom,(
    ! [VarCurr] :
      ( v30093(VarCurr)
    <=> ( ( v30094(VarCurr,bitIndex1)
        <=> $true )
        & ( v30094(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_9152,axiom,(
    ! [VarCurr] :
      ( v30094(VarCurr,bitIndex0)
    <=> v29844(VarCurr) ) )).

fof(addAssignment_9151,axiom,(
    ! [VarCurr] :
      ( v30094(VarCurr,bitIndex1)
    <=> v26174(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_2181,axiom,(
    ! [VarCurr] :
      ( v30091(VarCurr)
    <=> ( ( v30092(VarCurr,bitIndex1)
        <=> $false )
        & ( v30092(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_9150,axiom,(
    ! [VarCurr] :
      ( v30092(VarCurr,bitIndex0)
    <=> v29844(VarCurr) ) )).

fof(addAssignment_9149,axiom,(
    ! [VarCurr] :
      ( v30092(VarCurr,bitIndex1)
    <=> v26174(VarCurr) ) )).

fof(writeUnaryOperator_3076,axiom,(
    ! [VarCurr] :
      ( ~ v30087(VarCurr)
    <=> v26168(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6518,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30078(VarNext)
      <=> ( v30079(VarNext)
          & v29876(VarNext) ) ) ) )).

fof(writeUnaryOperator_3075,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30079(VarNext)
      <=> v29885(VarNext) ) ) )).

fof(addAssignment_9148,axiom,(
    ! [VarCurr,B] :
      ( range_69_63(B)
     => ( v30069(VarCurr,B)
      <=> v30074(VarCurr,B) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_754,axiom,(
    ! [VarCurr] :
      ( ~ v30071(VarCurr)
     => ! [B] :
          ( range_69_0(B)
         => ( v30074(VarCurr,B)
          <=> v30073(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_699,axiom,(
    ! [VarCurr] :
      ( v30071(VarCurr)
     => ! [B] :
          ( range_69_0(B)
         => ( v30074(VarCurr,B)
          <=> v29986(VarCurr,B) ) ) ) )).

fof(addAssignment_9147,axiom,(
    ! [VarCurr] :
      ( ( v30073(VarCurr,bitIndex69)
      <=> v29931(VarCurr,bitIndex419) )
      & ( v30073(VarCurr,bitIndex68)
      <=> v29931(VarCurr,bitIndex418) )
      & ( v30073(VarCurr,bitIndex67)
      <=> v29931(VarCurr,bitIndex417) )
      & ( v30073(VarCurr,bitIndex66)
      <=> v29931(VarCurr,bitIndex416) )
      & ( v30073(VarCurr,bitIndex65)
      <=> v29931(VarCurr,bitIndex415) )
      & ( v30073(VarCurr,bitIndex64)
      <=> v29931(VarCurr,bitIndex414) )
      & ( v30073(VarCurr,bitIndex63)
      <=> v29931(VarCurr,bitIndex413) ) ) )).

fof(addAssignment_9146,axiom,(
    ! [VarCurr] :
      ( v30071(VarCurr)
    <=> v29938(VarCurr,bitIndex2) ) )).

fof(addAssignment_9145,axiom,(
    ! [VarCurr,B] :
      ( range_69_63(B)
     => ( v29934(VarCurr,B)
      <=> v30067(VarCurr,B) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_753,axiom,(
    ! [VarCurr] :
      ( ~ v29936(VarCurr)
     => ! [B] :
          ( range_69_0(B)
         => ( v30067(VarCurr,B)
          <=> v30066(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_698,axiom,(
    ! [VarCurr] :
      ( v29936(VarCurr)
     => ! [B] :
          ( range_69_0(B)
         => ( v30067(VarCurr,B)
          <=> v29986(VarCurr,B) ) ) ) )).

fof(range_axiom_115,axiom,(
    ! [B] :
      ( range_69_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B
        | bitIndex44 = B
        | bitIndex45 = B
        | bitIndex46 = B
        | bitIndex47 = B
        | bitIndex48 = B
        | bitIndex49 = B
        | bitIndex50 = B
        | bitIndex51 = B
        | bitIndex52 = B
        | bitIndex53 = B
        | bitIndex54 = B
        | bitIndex55 = B
        | bitIndex56 = B
        | bitIndex57 = B
        | bitIndex58 = B
        | bitIndex59 = B
        | bitIndex60 = B
        | bitIndex61 = B
        | bitIndex62 = B
        | bitIndex63 = B
        | bitIndex64 = B
        | bitIndex65 = B
        | bitIndex66 = B
        | bitIndex67 = B
        | bitIndex68 = B
        | bitIndex69 = B ) ) )).

fof(addAssignment_9144,axiom,(
    ! [VarCurr] :
      ( ( v30066(VarCurr,bitIndex69)
      <=> v29931(VarCurr,bitIndex489) )
      & ( v30066(VarCurr,bitIndex68)
      <=> v29931(VarCurr,bitIndex488) )
      & ( v30066(VarCurr,bitIndex67)
      <=> v29931(VarCurr,bitIndex487) )
      & ( v30066(VarCurr,bitIndex66)
      <=> v29931(VarCurr,bitIndex486) )
      & ( v30066(VarCurr,bitIndex65)
      <=> v29931(VarCurr,bitIndex485) )
      & ( v30066(VarCurr,bitIndex64)
      <=> v29931(VarCurr,bitIndex484) )
      & ( v30066(VarCurr,bitIndex63)
      <=> v29931(VarCurr,bitIndex483) ) ) )).

fof(addAssignment_9143,axiom,(
    ! [VarCurr,B] :
      ( range_69_63(B)
     => ( v29986(VarCurr,B)
      <=> v29988(VarCurr,B) ) ) )).

fof(addAssignment_9142,axiom,(
    ! [VarCurr,B] :
      ( range_69_63(B)
     => ( v29988(VarCurr,B)
      <=> v29990(VarCurr,B) ) ) )).

fof(addAssignment_9141,axiom,(
    ! [VarCurr,B] :
      ( range_69_63(B)
     => ( v29990(VarCurr,B)
      <=> v29992(VarCurr,B) ) ) )).

fof(addAssignment_9140,axiom,(
    ! [VarCurr,B] :
      ( range_69_63(B)
     => ( v29992(VarCurr,B)
      <=> v29994(VarCurr,B) ) ) )).

fof(addAssignment_9139,axiom,(
    ! [VarCurr,B] :
      ( range_69_63(B)
     => ( v29994(VarCurr,B)
      <=> v29996(VarCurr,B) ) ) )).

fof(addAssignment_9138,axiom,(
    ! [VarCurr,B] :
      ( range_69_63(B)
     => ( v29996(VarCurr,B)
      <=> v29998(VarCurr,B) ) ) )).

fof(addAssignment_9137,axiom,(
    ! [VarCurr,B] :
      ( range_69_63(B)
     => ( v29998(VarCurr,B)
      <=> v30054(VarCurr,B) ) ) )).

fof(range_axiom_114,axiom,(
    ! [B] :
      ( range_69_63(B)
    <=> ( $false
        | bitIndex63 = B
        | bitIndex64 = B
        | bitIndex65 = B
        | bitIndex66 = B
        | bitIndex67 = B
        | bitIndex68 = B
        | bitIndex69 = B ) ) )).

fof(addAssignment_9136,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v30054(VarCurr,B)
      <=> v30063(VarCurr,B) ) ) )).

fof(addAssignment_9135,axiom,(
    ! [VarCurr] :
      ( ( v30054(VarCurr,bitIndex10)
      <=> v30061(VarCurr,bitIndex4) )
      & ( v30054(VarCurr,bitIndex9)
      <=> v30061(VarCurr,bitIndex3) )
      & ( v30054(VarCurr,bitIndex8)
      <=> v30061(VarCurr,bitIndex2) )
      & ( v30054(VarCurr,bitIndex7)
      <=> v30061(VarCurr,bitIndex1) )
      & ( v30054(VarCurr,bitIndex6)
      <=> v30061(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_9134,axiom,(
    ! [VarCurr] :
      ( ( v30054(VarCurr,bitIndex44)
      <=> v30059(VarCurr,bitIndex33) )
      & ( v30054(VarCurr,bitIndex43)
      <=> v30059(VarCurr,bitIndex32) )
      & ( v30054(VarCurr,bitIndex42)
      <=> v30059(VarCurr,bitIndex31) )
      & ( v30054(VarCurr,bitIndex41)
      <=> v30059(VarCurr,bitIndex30) )
      & ( v30054(VarCurr,bitIndex40)
      <=> v30059(VarCurr,bitIndex29) )
      & ( v30054(VarCurr,bitIndex39)
      <=> v30059(VarCurr,bitIndex28) )
      & ( v30054(VarCurr,bitIndex38)
      <=> v30059(VarCurr,bitIndex27) )
      & ( v30054(VarCurr,bitIndex37)
      <=> v30059(VarCurr,bitIndex26) )
      & ( v30054(VarCurr,bitIndex36)
      <=> v30059(VarCurr,bitIndex25) )
      & ( v30054(VarCurr,bitIndex35)
      <=> v30059(VarCurr,bitIndex24) )
      & ( v30054(VarCurr,bitIndex34)
      <=> v30059(VarCurr,bitIndex23) )
      & ( v30054(VarCurr,bitIndex33)
      <=> v30059(VarCurr,bitIndex22) )
      & ( v30054(VarCurr,bitIndex32)
      <=> v30059(VarCurr,bitIndex21) )
      & ( v30054(VarCurr,bitIndex31)
      <=> v30059(VarCurr,bitIndex20) )
      & ( v30054(VarCurr,bitIndex30)
      <=> v30059(VarCurr,bitIndex19) )
      & ( v30054(VarCurr,bitIndex29)
      <=> v30059(VarCurr,bitIndex18) )
      & ( v30054(VarCurr,bitIndex28)
      <=> v30059(VarCurr,bitIndex17) )
      & ( v30054(VarCurr,bitIndex27)
      <=> v30059(VarCurr,bitIndex16) )
      & ( v30054(VarCurr,bitIndex26)
      <=> v30059(VarCurr,bitIndex15) )
      & ( v30054(VarCurr,bitIndex25)
      <=> v30059(VarCurr,bitIndex14) )
      & ( v30054(VarCurr,bitIndex24)
      <=> v30059(VarCurr,bitIndex13) )
      & ( v30054(VarCurr,bitIndex23)
      <=> v30059(VarCurr,bitIndex12) )
      & ( v30054(VarCurr,bitIndex22)
      <=> v30059(VarCurr,bitIndex11) )
      & ( v30054(VarCurr,bitIndex21)
      <=> v30059(VarCurr,bitIndex10) )
      & ( v30054(VarCurr,bitIndex20)
      <=> v30059(VarCurr,bitIndex9) )
      & ( v30054(VarCurr,bitIndex19)
      <=> v30059(VarCurr,bitIndex8) )
      & ( v30054(VarCurr,bitIndex18)
      <=> v30059(VarCurr,bitIndex7) )
      & ( v30054(VarCurr,bitIndex17)
      <=> v30059(VarCurr,bitIndex6) )
      & ( v30054(VarCurr,bitIndex16)
      <=> v30059(VarCurr,bitIndex5) )
      & ( v30054(VarCurr,bitIndex15)
      <=> v30059(VarCurr,bitIndex4) )
      & ( v30054(VarCurr,bitIndex14)
      <=> v30059(VarCurr,bitIndex3) )
      & ( v30054(VarCurr,bitIndex13)
      <=> v30059(VarCurr,bitIndex2) )
      & ( v30054(VarCurr,bitIndex12)
      <=> v30059(VarCurr,bitIndex1) )
      & ( v30054(VarCurr,bitIndex11)
      <=> v30059(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_9133,axiom,(
    ! [VarCurr] :
      ( ( v30054(VarCurr,bitIndex52)
      <=> v30057(VarCurr,bitIndex7) )
      & ( v30054(VarCurr,bitIndex51)
      <=> v30057(VarCurr,bitIndex6) )
      & ( v30054(VarCurr,bitIndex50)
      <=> v30057(VarCurr,bitIndex5) )
      & ( v30054(VarCurr,bitIndex49)
      <=> v30057(VarCurr,bitIndex4) )
      & ( v30054(VarCurr,bitIndex48)
      <=> v30057(VarCurr,bitIndex3) )
      & ( v30054(VarCurr,bitIndex47)
      <=> v30057(VarCurr,bitIndex2) )
      & ( v30054(VarCurr,bitIndex46)
      <=> v30057(VarCurr,bitIndex1) )
      & ( v30054(VarCurr,bitIndex45)
      <=> v30057(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_9132,axiom,(
    ! [VarCurr] :
      ( ( v30054(VarCurr,bitIndex62)
      <=> v30055(VarCurr,bitIndex9) )
      & ( v30054(VarCurr,bitIndex61)
      <=> v30055(VarCurr,bitIndex8) )
      & ( v30054(VarCurr,bitIndex60)
      <=> v30055(VarCurr,bitIndex7) )
      & ( v30054(VarCurr,bitIndex59)
      <=> v30055(VarCurr,bitIndex6) )
      & ( v30054(VarCurr,bitIndex58)
      <=> v30055(VarCurr,bitIndex5) )
      & ( v30054(VarCurr,bitIndex57)
      <=> v30055(VarCurr,bitIndex4) )
      & ( v30054(VarCurr,bitIndex56)
      <=> v30055(VarCurr,bitIndex3) )
      & ( v30054(VarCurr,bitIndex55)
      <=> v30055(VarCurr,bitIndex2) )
      & ( v30054(VarCurr,bitIndex54)
      <=> v30055(VarCurr,bitIndex1) )
      & ( v30054(VarCurr,bitIndex53)
      <=> v30055(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_9131,axiom,(
    ! [VarCurr] :
      ( ( v30054(VarCurr,bitIndex69)
      <=> v30000(VarCurr,bitIndex6) )
      & ( v30054(VarCurr,bitIndex68)
      <=> v30000(VarCurr,bitIndex5) )
      & ( v30054(VarCurr,bitIndex67)
      <=> v30000(VarCurr,bitIndex4) )
      & ( v30054(VarCurr,bitIndex66)
      <=> v30000(VarCurr,bitIndex3) )
      & ( v30054(VarCurr,bitIndex65)
      <=> v30000(VarCurr,bitIndex2) )
      & ( v30054(VarCurr,bitIndex64)
      <=> v30000(VarCurr,bitIndex1) )
      & ( v30054(VarCurr,bitIndex63)
      <=> v30000(VarCurr,bitIndex0) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_351,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30014(VarNext)
       => ! [B] :
            ( range_6_0(B)
           => ( v30000(VarNext,B)
            <=> v30000(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_387,axiom,(
    ! [VarNext] :
      ( v30014(VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v30000(VarNext,B)
          <=> v30049(VarNext,B) ) ) ) )).

fof(addAssignment_9130,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v30049(VarNext,B)
          <=> v30047(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_797,axiom,(
    ! [VarCurr] :
      ( ~ v30024(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v30047(VarCurr,B)
          <=> v30050(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_790,axiom,(
    ! [VarCurr] :
      ( v30024(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v30047(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_796,axiom,(
    ! [VarCurr] :
      ( ~ v30027(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v30050(VarCurr,B)
          <=> v30011(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_789,axiom,(
    ! [VarCurr] :
      ( v30027(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v30050(VarCurr,B)
          <=> v30051(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges1_10,axiom,(
    ! [VarCurr] :
      ( ~ v30038(VarCurr)
     => ( ( v30051(VarCurr,bitIndex6)
        <=> v28106(VarCurr,bitIndex53) )
        & ( v30051(VarCurr,bitIndex5)
        <=> v28106(VarCurr,bitIndex52) )
        & ( v30051(VarCurr,bitIndex4)
        <=> v28106(VarCurr,bitIndex51) )
        & ( v30051(VarCurr,bitIndex3)
        <=> v28106(VarCurr,bitIndex50) )
        & ( v30051(VarCurr,bitIndex2)
        <=> v28106(VarCurr,bitIndex49) )
        & ( v30051(VarCurr,bitIndex1)
        <=> v28106(VarCurr,bitIndex48) )
        & ( v30051(VarCurr,bitIndex0)
        <=> v28106(VarCurr,bitIndex47) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_788,axiom,(
    ! [VarCurr] :
      ( v30038(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v30051(VarCurr,B)
          <=> v30011(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6517,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30014(VarNext)
      <=> ( v30015(VarNext)
          & v30022(VarNext) ) ) ) )).

fof(addAssignment_9129,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30022(VarNext)
      <=> v30020(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6516,axiom,(
    ! [VarCurr] :
      ( v30020(VarCurr)
    <=> ( v30023(VarCurr)
        & v30030(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6515,axiom,(
    ! [VarCurr] :
      ( v30030(VarCurr)
    <=> ( v30031(VarCurr)
        | v30024(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6514,axiom,(
    ! [VarCurr] :
      ( v30031(VarCurr)
    <=> ( v30032(VarCurr)
        & v30045(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6513,axiom,(
    ! [VarCurr] :
      ( v30045(VarCurr)
    <=> ( v30046(VarCurr)
        | v30028(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6512,axiom,(
    ! [VarCurr] :
      ( v30046(VarCurr)
    <=> ( v30035(VarCurr)
        | v30027(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6511,axiom,(
    ! [VarCurr] :
      ( v30032(VarCurr)
    <=> ( v30033(VarCurr)
        & v30043(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6510,axiom,(
    ! [VarCurr] :
      ( v30043(VarCurr)
    <=> ( v26188(VarCurr)
        | v30044(VarCurr) ) ) )).

fof(writeUnaryOperator_3074,axiom,(
    ! [VarCurr] :
      ( ~ v30044(VarCurr)
    <=> v30028(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6509,axiom,(
    ! [VarCurr] :
      ( v30033(VarCurr)
    <=> ( v30034(VarCurr)
        & v30036(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6508,axiom,(
    ! [VarCurr] :
      ( v30036(VarCurr)
    <=> ( v30037(VarCurr)
        | v30042(VarCurr) ) ) )).

fof(writeUnaryOperator_3073,axiom,(
    ! [VarCurr] :
      ( ~ v30042(VarCurr)
    <=> v30027(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6507,axiom,(
    ! [VarCurr] :
      ( v30037(VarCurr)
    <=> ( v30038(VarCurr)
        | v30040(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2180,axiom,(
    ! [VarCurr] :
      ( v30040(VarCurr)
    <=> ( ( v30041(VarCurr,bitIndex1)
        <=> $true )
        & ( v30041(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_9128,axiom,(
    ! [VarCurr] :
      ( v30041(VarCurr,bitIndex0)
    <=> v26861(VarCurr) ) )).

fof(addAssignment_9127,axiom,(
    ! [VarCurr] :
      ( v30041(VarCurr,bitIndex1)
    <=> v30002(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_2179,axiom,(
    ! [VarCurr] :
      ( v30038(VarCurr)
    <=> ( ( v30039(VarCurr,bitIndex1)
        <=> $true )
        & ( v30039(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_9126,axiom,(
    ! [VarCurr] :
      ( v30039(VarCurr,bitIndex0)
    <=> v26861(VarCurr) ) )).

fof(addAssignment_9125,axiom,(
    ! [VarCurr] :
      ( v30039(VarCurr,bitIndex1)
    <=> v30002(VarCurr) ) )).

fof(writeUnaryOperator_3072,axiom,(
    ! [VarCurr] :
      ( ~ v30034(VarCurr)
    <=> v30035(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_2178,axiom,(
    ! [VarCurr] :
      ( v30035(VarCurr)
    <=> ( ( v26190(VarCurr,bitIndex2)
        <=> $false )
        & ( v26190(VarCurr,bitIndex1)
        <=> $false )
        & ( v26190(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6506,axiom,(
    ! [VarCurr] :
      ( v30023(VarCurr)
    <=> ( v30024(VarCurr)
        | v30025(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6505,axiom,(
    ! [VarCurr] :
      ( v30025(VarCurr)
    <=> ( v30026(VarCurr)
        & v30029(VarCurr) ) ) )).

fof(writeUnaryOperator_3071,axiom,(
    ! [VarCurr] :
      ( ~ v30029(VarCurr)
    <=> v30024(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6504,axiom,(
    ! [VarCurr] :
      ( v30026(VarCurr)
    <=> ( v30027(VarCurr)
        | v30028(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2177,axiom,(
    ! [VarCurr] :
      ( v30028(VarCurr)
    <=> ( ( v26190(VarCurr,bitIndex2)
        <=> $false )
        & ( v26190(VarCurr,bitIndex1)
        <=> $true )
        & ( v26190(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2176,axiom,(
    ! [VarCurr] :
      ( v30027(VarCurr)
    <=> ( ( v26190(VarCurr,bitIndex2)
        <=> $false )
        & ( v26190(VarCurr,bitIndex1)
        <=> $true )
        & ( v26190(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeUnaryOperator_3070,axiom,(
    ! [VarCurr] :
      ( ~ v30024(VarCurr)
    <=> v62(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6503,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v30015(VarNext)
      <=> ( v30016(VarNext)
          & v25419(VarNext) ) ) ) )).

fof(writeUnaryOperator_3069,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v30016(VarNext)
      <=> v26847(VarNext) ) ) )).

fof(addAssignment_9124,axiom,(
    ! [VarCurr,B] :
      ( range_53_47(B)
     => ( v28106(VarCurr,B)
      <=> v28108(VarCurr,B) ) ) )).

fof(addAssignment_9123,axiom,(
    ! [VarCurr,B] :
      ( range_53_47(B)
     => ( v28108(VarCurr,B)
      <=> v28110(VarCurr,B) ) ) )).

fof(addAssignment_9122,axiom,(
    ! [VarCurr,B] :
      ( range_53_47(B)
     => ( v28110(VarCurr,B)
      <=> v28112(VarCurr,B) ) ) )).

fof(addAssignment_9121,axiom,(
    ! [VarCurr,B] :
      ( range_53_47(B)
     => ( v28112(VarCurr,B)
      <=> v28390(VarCurr,B) ) ) )).

fof(range_axiom_113,axiom,(
    ! [B] :
      ( range_53_47(B)
    <=> ( $false
        | bitIndex47 = B
        | bitIndex48 = B
        | bitIndex49 = B
        | bitIndex50 = B
        | bitIndex51 = B
        | bitIndex52 = B
        | bitIndex53 = B ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_94,axiom,(
    ! [VarCurr] :
      ( ( ~ v29794(VarCurr)
        & ~ v29795(VarCurr)
        & ~ v29826(VarCurr) )
     => ( v30002(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_328,axiom,(
    ! [VarCurr] :
      ( v29826(VarCurr)
     => ( v30002(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_795,axiom,(
    ! [VarCurr] :
      ( v29795(VarCurr)
     => ( v30002(VarCurr)
      <=> v30004(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_787,axiom,(
    ! [VarCurr] :
      ( v29794(VarCurr)
     => ( v30002(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_794,axiom,(
    ! [VarCurr] :
      ( ~ v29797(VarCurr)
     => ( v30004(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_786,axiom,(
    ! [VarCurr] :
      ( v29797(VarCurr)
     => ( v30004(VarCurr)
      <=> v30005(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_93,axiom,(
    ! [VarCurr] :
      ( ( ~ v29799(VarCurr)
        & ~ v29801(VarCurr)
        & ~ v29815(VarCurr) )
     => ( v30005(VarCurr)
      <=> v30008(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_327,axiom,(
    ! [VarCurr] :
      ( v29815(VarCurr)
     => ( v30005(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_793,axiom,(
    ! [VarCurr] :
      ( v29801(VarCurr)
     => ( v30005(VarCurr)
      <=> v30006(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_785,axiom,(
    ! [VarCurr] :
      ( v29799(VarCurr)
     => ( v30005(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_792,axiom,(
    ! [VarCurr] :
      ( ~ v29820(VarCurr)
     => ( v30008(VarCurr)
      <=> v30009(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_784,axiom,(
    ! [VarCurr] :
      ( v29820(VarCurr)
     => ( v30008(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_791,axiom,(
    ! [VarCurr] :
      ( ~ v29823(VarCurr)
     => ( v30009(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_783,axiom,(
    ! [VarCurr] :
      ( v29823(VarCurr)
     => ( v30009(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_790,axiom,(
    ! [VarCurr] :
      ( ~ v30007(VarCurr)
     => ( v30006(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_782,axiom,(
    ! [VarCurr] :
      ( v30007(VarCurr)
     => ( v30006(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6502,axiom,(
    ! [VarCurr] :
      ( v30007(VarCurr)
    <=> ( v29805(VarCurr)
        | v29810(VarCurr) ) ) )).

fof(addAssignment_9120,axiom,(
    ! [VarCurr] :
      ( v29936(VarCurr)
    <=> v29938(VarCurr,bitIndex2) ) )).

fof(addAssignment_9119,axiom,(
    ! [VarCurr] :
      ( v29938(VarCurr,bitIndex2)
    <=> v29953(VarCurr,bitIndex2) ) )).

fof(addAssignment_9118,axiom,(
    ! [VarNext] :
      ( v29898(VarNext,bitIndex1)
    <=> v29978(VarNext,bitIndex1) ) )).

fof(addCaseBooleanConditionEqualRanges1_350,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29979(VarNext)
       => ! [B] :
            ( range_10_0(B)
           => ( v29978(VarNext,B)
            <=> v29898(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_386,axiom,(
    ! [VarNext] :
      ( v29979(VarNext)
     => ! [B] :
          ( range_10_0(B)
         => ( v29978(VarNext,B)
          <=> v29950(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6501,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29979(VarNext)
      <=> v29980(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6500,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29980(VarNext)
      <=> ( v29982(VarNext)
          & v29876(VarNext) ) ) ) )).

fof(writeUnaryOperator_3068,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29982(VarNext)
      <=> v29885(VarNext) ) ) )).

fof(addAssignment_9117,axiom,(
    ! [VarCurr] :
      ( v29938(VarCurr,bitIndex1)
    <=> v29953(VarCurr,bitIndex1) ) )).

fof(addAssignment_9116,axiom,(
    ! [VarNext] :
      ( v29898(VarNext,bitIndex0)
    <=> v29970(VarNext,bitIndex0) ) )).

fof(addCaseBooleanConditionEqualRanges1_349,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29971(VarNext)
       => ! [B] :
            ( range_10_0(B)
           => ( v29970(VarNext,B)
            <=> v29898(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_385,axiom,(
    ! [VarNext] :
      ( v29971(VarNext)
     => ! [B] :
          ( range_10_0(B)
         => ( v29970(VarNext,B)
          <=> v29950(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6499,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29971(VarNext)
      <=> v29972(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6498,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29972(VarNext)
      <=> ( v29974(VarNext)
          & v29876(VarNext) ) ) ) )).

fof(writeUnaryOperator_3067,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29974(VarNext)
      <=> v29885(VarNext) ) ) )).

fof(addAssignment_9115,axiom,(
    ! [VarCurr] :
      ( v29938(VarCurr,bitIndex0)
    <=> v29953(VarCurr,bitIndex0) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_752,axiom,(
    ! [VarCurr] :
      ( ~ v29954(VarCurr)
     => ! [B] :
          ( range_10_0(B)
         => ( v29953(VarCurr,B)
          <=> v29956(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_697,axiom,(
    ! [VarCurr] :
      ( v29954(VarCurr)
     => ! [B] :
          ( range_10_0(B)
         => ( v29953(VarCurr,B)
          <=> v29955(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_92,axiom,(
    ! [VarCurr] :
      ( ( ~ v29957(VarCurr)
        & ~ v29959(VarCurr)
        & ~ v29963(VarCurr) )
     => ! [B] :
          ( range_10_0(B)
         => ( v29956(VarCurr,B)
          <=> v29898(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_326,axiom,(
    ! [VarCurr] :
      ( v29963(VarCurr)
     => ! [B] :
          ( range_10_0(B)
         => ( v29956(VarCurr,B)
          <=> v29965(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_789,axiom,(
    ! [VarCurr] :
      ( v29959(VarCurr)
     => ! [B] :
          ( range_10_0(B)
         => ( v29956(VarCurr,B)
          <=> v29961(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_781,axiom,(
    ! [VarCurr] :
      ( v29957(VarCurr)
     => ! [B] :
          ( range_10_0(B)
         => ( v29956(VarCurr,B)
          <=> v29898(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2175,axiom,(
    ! [VarCurr] :
      ( v29967(VarCurr)
    <=> ( ( v29968(VarCurr,bitIndex1)
        <=> $true )
        & ( v29968(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_9114,axiom,(
    ! [VarCurr] :
      ( v29968(VarCurr,bitIndex0)
    <=> v29844(VarCurr) ) )).

fof(addAssignment_9113,axiom,(
    ! [VarCurr] :
      ( v29968(VarCurr,bitIndex1)
    <=> v26174(VarCurr) ) )).

fof(addAssignment_9112,axiom,(
    ! [VarCurr] :
      ( v29965(VarCurr,bitIndex0)
    <=> $false ) )).

fof(addAssignment_9111,axiom,(
    ! [VarCurr] :
      ( ( v29965(VarCurr,bitIndex10)
      <=> v29898(VarCurr,bitIndex9) )
      & ( v29965(VarCurr,bitIndex9)
      <=> v29898(VarCurr,bitIndex8) )
      & ( v29965(VarCurr,bitIndex8)
      <=> v29898(VarCurr,bitIndex7) )
      & ( v29965(VarCurr,bitIndex7)
      <=> v29898(VarCurr,bitIndex6) )
      & ( v29965(VarCurr,bitIndex6)
      <=> v29898(VarCurr,bitIndex5) )
      & ( v29965(VarCurr,bitIndex5)
      <=> v29898(VarCurr,bitIndex4) )
      & ( v29965(VarCurr,bitIndex4)
      <=> v29898(VarCurr,bitIndex3) )
      & ( v29965(VarCurr,bitIndex3)
      <=> v29898(VarCurr,bitIndex2) )
      & ( v29965(VarCurr,bitIndex2)
      <=> v29898(VarCurr,bitIndex1) )
      & ( v29965(VarCurr,bitIndex1)
      <=> v29898(VarCurr,bitIndex0) ) ) )).

fof(addBitVectorEqualityBitBlasted_2174,axiom,(
    ! [VarCurr] :
      ( v29963(VarCurr)
    <=> ( ( v29964(VarCurr,bitIndex1)
        <=> $true )
        & ( v29964(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_9110,axiom,(
    ! [VarCurr] :
      ( v29964(VarCurr,bitIndex0)
    <=> v29844(VarCurr) ) )).

fof(addAssignment_9109,axiom,(
    ! [VarCurr] :
      ( v29964(VarCurr,bitIndex1)
    <=> v26174(VarCurr) ) )).

fof(addAssignment_9108,axiom,(
    ! [VarCurr] :
      ( ( v29961(VarCurr,bitIndex9)
      <=> v29898(VarCurr,bitIndex10) )
      & ( v29961(VarCurr,bitIndex8)
      <=> v29898(VarCurr,bitIndex9) )
      & ( v29961(VarCurr,bitIndex7)
      <=> v29898(VarCurr,bitIndex8) )
      & ( v29961(VarCurr,bitIndex6)
      <=> v29898(VarCurr,bitIndex7) )
      & ( v29961(VarCurr,bitIndex5)
      <=> v29898(VarCurr,bitIndex6) )
      & ( v29961(VarCurr,bitIndex4)
      <=> v29898(VarCurr,bitIndex5) )
      & ( v29961(VarCurr,bitIndex3)
      <=> v29898(VarCurr,bitIndex4) )
      & ( v29961(VarCurr,bitIndex2)
      <=> v29898(VarCurr,bitIndex3) )
      & ( v29961(VarCurr,bitIndex1)
      <=> v29898(VarCurr,bitIndex2) )
      & ( v29961(VarCurr,bitIndex0)
      <=> v29898(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_9107,axiom,(
    ! [VarCurr] :
      ( v29961(VarCurr,bitIndex10)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_2173,axiom,(
    ! [VarCurr] :
      ( v29959(VarCurr)
    <=> ( ( v29960(VarCurr,bitIndex1)
        <=> $false )
        & ( v29960(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_9106,axiom,(
    ! [VarCurr] :
      ( v29960(VarCurr,bitIndex0)
    <=> v29844(VarCurr) ) )).

fof(addAssignment_9105,axiom,(
    ! [VarCurr] :
      ( v29960(VarCurr,bitIndex1)
    <=> v26174(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_2172,axiom,(
    ! [VarCurr] :
      ( v29957(VarCurr)
    <=> ( ( v29958(VarCurr,bitIndex1)
        <=> $false )
        & ( v29958(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_9104,axiom,(
    ! [VarCurr] :
      ( v29958(VarCurr,bitIndex0)
    <=> v29844(VarCurr) ) )).

fof(addAssignment_9103,axiom,(
    ! [VarCurr] :
      ( v29958(VarCurr,bitIndex1)
    <=> v26174(VarCurr) ) )).

fof(addAssignment_9102,axiom,(
    ! [VarCurr] :
      ( v29955(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_9101,axiom,(
    ! [VarCurr,B] :
      ( range_10_1(B)
     => ( v29955(VarCurr,B)
      <=> v29896(VarCurr,B) ) ) )).

fof(writeUnaryOperator_3066,axiom,(
    ! [VarCurr] :
      ( ~ v29954(VarCurr)
    <=> v26168(VarCurr) ) )).

fof(addAssignment_9100,axiom,(
    ! [VarCurr] :
      ( v29896(VarCurr,bitIndex1)
    <=> v29897(VarCurr,bitIndex1) ) )).

fof(addAssignment_9099,axiom,(
    ! [VarCurr] :
      ( v29896(VarCurr,bitIndex2)
    <=> v29897(VarCurr,bitIndex2) ) )).

fof(addAssignment_9098,axiom,(
    ! [VarNext] :
      ( v29898(VarNext,bitIndex2)
    <=> v29941(VarNext,bitIndex2) ) )).

fof(addCaseBooleanConditionEqualRanges1_348,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29942(VarNext)
       => ! [B] :
            ( range_10_0(B)
           => ( v29941(VarNext,B)
            <=> v29898(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_384,axiom,(
    ! [VarNext] :
      ( v29942(VarNext)
     => ! [B] :
          ( range_10_0(B)
         => ( v29941(VarNext,B)
          <=> v29950(VarNext,B) ) ) ) )).

fof(addAssignment_9097,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_10_0(B)
         => ( v29950(VarNext,B)
          <=> v29948(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_751,axiom,(
    ! [VarCurr] :
      ( ~ v29892(VarCurr)
     => ! [B] :
          ( range_10_0(B)
         => ( v29948(VarCurr,B)
          <=> v29938(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_696,axiom,(
    ! [VarCurr] :
      ( v29892(VarCurr)
     => ! [B] :
          ( range_10_0(B)
         => ( v29948(VarCurr,B)
          <=> b00000000001(B) ) ) ) )).

fof(bitBlastConstant_9339,axiom,(
    ~ b00000000001(bitIndex10) )).

fof(bitBlastConstant_9338,axiom,(
    ~ b00000000001(bitIndex9) )).

fof(bitBlastConstant_9337,axiom,(
    ~ b00000000001(bitIndex8) )).

fof(bitBlastConstant_9336,axiom,(
    ~ b00000000001(bitIndex7) )).

fof(bitBlastConstant_9335,axiom,(
    ~ b00000000001(bitIndex6) )).

fof(bitBlastConstant_9334,axiom,(
    ~ b00000000001(bitIndex5) )).

fof(bitBlastConstant_9333,axiom,(
    ~ b00000000001(bitIndex4) )).

fof(bitBlastConstant_9332,axiom,(
    ~ b00000000001(bitIndex3) )).

fof(bitBlastConstant_9331,axiom,(
    ~ b00000000001(bitIndex2) )).

fof(bitBlastConstant_9330,axiom,(
    ~ b00000000001(bitIndex1) )).

fof(bitBlastConstant_9329,axiom,(
    b00000000001(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6497,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29942(VarNext)
      <=> v29943(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6496,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29943(VarNext)
      <=> ( v29945(VarNext)
          & v29876(VarNext) ) ) ) )).

fof(writeUnaryOperator_3065,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29945(VarNext)
      <=> v29885(VarNext) ) ) )).

fof(addAssignment_9096,axiom,(
    ! [VarCurr] :
      ( v29852(VarCurr)
    <=> v29854(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_347,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29902(VarNext)
       => ( v29854(VarNext)
        <=> v29854(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_383,axiom,(
    ! [VarNext] :
      ( v29902(VarNext)
     => ( v29854(VarNext)
      <=> v29920(VarNext) ) ) )).

fof(addAssignment_9095,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29920(VarNext)
      <=> v29918(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_750,axiom,(
    ! [VarCurr] :
      ( ~ v29917(VarCurr)
     => ( v29918(VarCurr)
      <=> v29921(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_695,axiom,(
    ! [VarCurr] :
      ( v29917(VarCurr)
     => ( v29918(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_749,axiom,(
    ! [VarCurr] :
      ( ~ v26174(VarCurr)
     => ( v29921(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_694,axiom,(
    ! [VarCurr] :
      ( v26174(VarCurr)
     => ( v29921(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6495,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29902(VarNext)
      <=> ( v29903(VarNext)
          & v29910(VarNext) ) ) ) )).

fof(addAssignment_9094,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29910(VarNext)
      <=> v29908(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6494,axiom,(
    ! [VarCurr] :
      ( v29908(VarCurr)
    <=> ( v29911(VarCurr)
        | v29917(VarCurr) ) ) )).

fof(writeUnaryOperator_3064,axiom,(
    ! [VarCurr] :
      ( ~ v29917(VarCurr)
    <=> v26168(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6493,axiom,(
    ! [VarCurr] :
      ( v29911(VarCurr)
    <=> ( v29912(VarCurr)
        | v26174(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6492,axiom,(
    ! [VarCurr] :
      ( v29912(VarCurr)
    <=> ( v29913(VarCurr)
        & v29916(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2171,axiom,(
    ! [VarCurr] :
      ( v29916(VarCurr)
    <=> ( v29896(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6491,axiom,(
    ! [VarCurr] :
      ( v29913(VarCurr)
    <=> ( v29914(VarCurr)
        & v29915(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2170,axiom,(
    ! [VarCurr] :
      ( v29915(VarCurr)
    <=> ( v26166(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_2169,axiom,(
    ! [VarCurr] :
      ( v29914(VarCurr)
    <=> ( v29844(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6490,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29903(VarNext)
      <=> ( v29904(VarNext)
          & v29876(VarNext) ) ) ) )).

fof(writeUnaryOperator_3063,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29904(VarNext)
      <=> v29885(VarNext) ) ) )).

fof(addAssignment_9093,axiom,(
    ! [VarCurr] :
      ( v29896(VarCurr,bitIndex0)
    <=> v29897(VarCurr,bitIndex0) ) )).

fof(addAssignment_9092,axiom,(
    ! [VarCurr] :
      ( v29897(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_9091,axiom,(
    ! [VarCurr,B] :
      ( range_10_1(B)
     => ( v29897(VarCurr,B)
      <=> v29898(VarCurr,B) ) ) )).

fof(range_axiom_112,axiom,(
    ! [B] :
      ( range_10_1(B)
    <=> ( $false
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B ) ) )).

fof(addAssignment_9090,axiom,(
    ! [VarNext] :
      ( v26166(VarNext,bitIndex1)
    <=> v29880(VarNext,bitIndex1) ) )).

fof(addCaseBooleanConditionEqualRanges1_346,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29881(VarNext)
       => ! [B] :
            ( range_7_0(B)
           => ( v29880(VarNext,B)
            <=> v26166(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_382,axiom,(
    ! [VarNext] :
      ( v29881(VarNext)
     => ! [B] :
          ( range_7_0(B)
         => ( v29880(VarNext,B)
          <=> v29891(VarNext,B) ) ) ) )).

fof(addAssignment_9089,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_7_0(B)
         => ( v29891(VarNext,B)
          <=> v29889(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_748,axiom,(
    ! [VarCurr] :
      ( ~ v29892(VarCurr)
     => ! [B] :
          ( range_7_0(B)
         => ( v29889(VarCurr,B)
          <=> v26172(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_693,axiom,(
    ! [VarCurr] :
      ( v29892(VarCurr)
     => ! [B] :
          ( range_7_0(B)
         => ( v29889(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_3062,axiom,(
    ! [VarCurr] :
      ( ~ v29892(VarCurr)
    <=> v26168(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6489,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29881(VarNext)
      <=> v29882(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6488,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29882(VarNext)
      <=> ( v29883(VarNext)
          & v29876(VarNext) ) ) ) )).

fof(writeUnaryOperator_3061,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29883(VarNext)
      <=> v29885(VarNext) ) ) )).

fof(addAssignment_9088,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29885(VarNext)
      <=> v29876(VarCurr) ) ) )).

fof(addAssignment_9087,axiom,(
    ! [VarCurr] :
      ( v29876(VarCurr)
    <=> v29878(VarCurr) ) )).

fof(addAssignment_9086,axiom,(
    ! [VarCurr] :
      ( v29878(VarCurr)
    <=> v22285(VarCurr) ) )).

fof(addAssignment_9085,axiom,(
    ! [VarCurr] :
      ( v26172(VarCurr,bitIndex1)
    <=> v29861(VarCurr,bitIndex1) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_747,axiom,(
    ! [VarCurr] :
      ( ~ v29862(VarCurr)
     => ! [B] :
          ( range_7_0(B)
         => ( v29861(VarCurr,B)
          <=> v29863(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_692,axiom,(
    ! [VarCurr] :
      ( v29862(VarCurr)
     => ! [B] :
          ( range_7_0(B)
         => ( v29861(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_91,axiom,(
    ! [VarCurr] :
      ( ( ~ v29864(VarCurr)
        & ~ v29866(VarCurr)
        & ~ v29870(VarCurr) )
     => ! [B] :
          ( range_7_0(B)
         => ( v29863(VarCurr,B)
          <=> v26166(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_325,axiom,(
    ! [VarCurr] :
      ( v29870(VarCurr)
     => ! [B] :
          ( range_7_0(B)
         => ( v29863(VarCurr,B)
          <=> v29872(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_788,axiom,(
    ! [VarCurr] :
      ( v29866(VarCurr)
     => ! [B] :
          ( range_7_0(B)
         => ( v29863(VarCurr,B)
          <=> v29868(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_780,axiom,(
    ! [VarCurr] :
      ( v29864(VarCurr)
     => ! [B] :
          ( range_7_0(B)
         => ( v29863(VarCurr,B)
          <=> v26166(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2168,axiom,(
    ! [VarCurr] :
      ( v29873(VarCurr)
    <=> ( ( v29874(VarCurr,bitIndex1)
        <=> $true )
        & ( v29874(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_9084,axiom,(
    ! [VarCurr] :
      ( v29874(VarCurr,bitIndex0)
    <=> v29844(VarCurr) ) )).

fof(addAssignment_9083,axiom,(
    ! [VarCurr] :
      ( v29874(VarCurr,bitIndex1)
    <=> v26174(VarCurr) ) )).

fof(addAssignment_9082,axiom,(
    ! [VarCurr] :
      ( v29872(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_9081,axiom,(
    ! [VarCurr,B] :
      ( range_7_1(B)
     => ( v29872(VarCurr,B)
      <=> v29856(VarCurr,B) ) ) )).

fof(range_axiom_111,axiom,(
    ! [B] :
      ( range_7_1(B)
    <=> ( $false
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B ) ) )).

fof(addBitVectorEqualityBitBlasted_2167,axiom,(
    ! [VarCurr] :
      ( v29870(VarCurr)
    <=> ( ( v29871(VarCurr,bitIndex1)
        <=> $true )
        & ( v29871(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_9080,axiom,(
    ! [VarCurr] :
      ( v29871(VarCurr,bitIndex0)
    <=> v29844(VarCurr) ) )).

fof(addAssignment_9079,axiom,(
    ! [VarCurr] :
      ( v29871(VarCurr,bitIndex1)
    <=> v26174(VarCurr) ) )).

fof(addAssignment_9078,axiom,(
    ! [VarCurr] :
      ( ( v29868(VarCurr,bitIndex6)
      <=> v26166(VarCurr,bitIndex7) )
      & ( v29868(VarCurr,bitIndex5)
      <=> v26166(VarCurr,bitIndex6) )
      & ( v29868(VarCurr,bitIndex4)
      <=> v26166(VarCurr,bitIndex5) )
      & ( v29868(VarCurr,bitIndex3)
      <=> v26166(VarCurr,bitIndex4) )
      & ( v29868(VarCurr,bitIndex2)
      <=> v26166(VarCurr,bitIndex3) )
      & ( v29868(VarCurr,bitIndex1)
      <=> v26166(VarCurr,bitIndex2) )
      & ( v29868(VarCurr,bitIndex0)
      <=> v26166(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_9077,axiom,(
    ! [VarCurr] :
      ( v29868(VarCurr,bitIndex7)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_2166,axiom,(
    ! [VarCurr] :
      ( v29866(VarCurr)
    <=> ( ( v29867(VarCurr,bitIndex1)
        <=> $false )
        & ( v29867(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_9076,axiom,(
    ! [VarCurr] :
      ( v29867(VarCurr,bitIndex0)
    <=> v29844(VarCurr) ) )).

fof(addAssignment_9075,axiom,(
    ! [VarCurr] :
      ( v29867(VarCurr,bitIndex1)
    <=> v26174(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_2165,axiom,(
    ! [VarCurr] :
      ( v29864(VarCurr)
    <=> ( ( v29865(VarCurr,bitIndex1)
        <=> $false )
        & ( v29865(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_9074,axiom,(
    ! [VarCurr] :
      ( v29865(VarCurr,bitIndex0)
    <=> v29844(VarCurr) ) )).

fof(addAssignment_9073,axiom,(
    ! [VarCurr] :
      ( v29865(VarCurr,bitIndex1)
    <=> v26174(VarCurr) ) )).

fof(writeUnaryOperator_3060,axiom,(
    ! [VarCurr] :
      ( ~ v29862(VarCurr)
    <=> v26168(VarCurr) ) )).

fof(addAssignment_9072,axiom,(
    ! [VarCurr] :
      ( v29856(VarCurr,bitIndex1)
    <=> v29857(VarCurr,bitIndex1) ) )).

fof(addAssignment_9071,axiom,(
    ! [VarCurr] :
      ( v29857(VarCurr,bitIndex0)
    <=> $false ) )).

fof(addAssignment_9070,axiom,(
    ! [VarCurr] :
      ( ( v29857(VarCurr,bitIndex7)
      <=> v26166(VarCurr,bitIndex6) )
      & ( v29857(VarCurr,bitIndex6)
      <=> v26166(VarCurr,bitIndex5) )
      & ( v29857(VarCurr,bitIndex5)
      <=> v26166(VarCurr,bitIndex4) )
      & ( v29857(VarCurr,bitIndex4)
      <=> v26166(VarCurr,bitIndex3) )
      & ( v29857(VarCurr,bitIndex3)
      <=> v26166(VarCurr,bitIndex2) )
      & ( v29857(VarCurr,bitIndex2)
      <=> v26166(VarCurr,bitIndex1) )
      & ( v29857(VarCurr,bitIndex1)
      <=> v26166(VarCurr,bitIndex0) ) ) )).

fof(addAssignmentInitValue_43,axiom,(
    ~ v26166(constB0,bitIndex6) )).

fof(bitBlastConstant_9328,axiom,(
    ~ bx0xxxxxx(bitIndex6) )).

fof(addAssignment_9069,axiom,(
    ! [VarCurr] :
      ( v26174(VarCurr)
    <=> v26176(VarCurr) ) )).

fof(addAssignment_9068,axiom,(
    ! [VarCurr] :
      ( v26176(VarCurr)
    <=> v26178(VarCurr) ) )).

fof(addAssignment_9067,axiom,(
    ! [VarCurr] :
      ( v26178(VarCurr)
    <=> v26180(VarCurr) ) )).

fof(addAssignment_9066,axiom,(
    ! [VarCurr] :
      ( v26180(VarCurr)
    <=> v26182(VarCurr) ) )).

fof(addAssignment_9065,axiom,(
    ! [VarCurr] :
      ( v26182(VarCurr)
    <=> v26184(VarCurr) ) )).

fof(addAssignment_9064,axiom,(
    ! [VarCurr] :
      ( v26184(VarCurr)
    <=> v26186(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_345,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29832(VarNext)
       => ( v26186(VarNext)
        <=> v26186(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_381,axiom,(
    ! [VarNext] :
      ( v29832(VarNext)
     => ( v26186(VarNext)
      <=> v29840(VarNext) ) ) )).

fof(addAssignment_9063,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29840(VarNext)
      <=> v29838(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_746,axiom,(
    ! [VarCurr] :
      ( ~ v28095(VarCurr)
     => ( v29838(VarCurr)
      <=> v26188(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_691,axiom,(
    ! [VarCurr] :
      ( v28095(VarCurr)
     => ( v29838(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6487,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29832(VarNext)
      <=> v29833(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6486,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29833(VarNext)
      <=> ( v29835(VarNext)
          & v25419(VarNext) ) ) ) )).

fof(writeUnaryOperator_3059,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29835(VarNext)
      <=> v26847(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_90,axiom,(
    ! [VarCurr] :
      ( ( ~ v29794(VarCurr)
        & ~ v29795(VarCurr)
        & ~ v29826(VarCurr) )
     => ( v26188(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_324,axiom,(
    ! [VarCurr] :
      ( v29826(VarCurr)
     => ( v26188(VarCurr)
      <=> v29827(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_787,axiom,(
    ! [VarCurr] :
      ( v29795(VarCurr)
     => ( v26188(VarCurr)
      <=> v29796(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_779,axiom,(
    ! [VarCurr] :
      ( v29794(VarCurr)
     => ( v26188(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_786,axiom,(
    ! [VarCurr] :
      ( ~ v29828(VarCurr)
     => ( v29827(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_778,axiom,(
    ! [VarCurr] :
      ( v29828(VarCurr)
     => ( v29827(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_2164,axiom,(
    ! [VarCurr] :
      ( v29829(VarCurr)
    <=> ( v26152(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_2163,axiom,(
    ! [VarCurr] :
      ( v29828(VarCurr)
    <=> ( v26152(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_2162,axiom,(
    ! [VarCurr] :
      ( v29826(VarCurr)
    <=> ( ( v26190(VarCurr,bitIndex2)
        <=> $false )
        & ( v26190(VarCurr,bitIndex1)
        <=> $true )
        & ( v26190(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_785,axiom,(
    ! [VarCurr] :
      ( ~ v29797(VarCurr)
     => ( v29796(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_777,axiom,(
    ! [VarCurr] :
      ( v29797(VarCurr)
     => ( v29796(VarCurr)
      <=> v29798(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2161,axiom,(
    ! [VarCurr] :
      ( v29825(VarCurr)
    <=> ( v26152(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_89,axiom,(
    ! [VarCurr] :
      ( ( ~ v29799(VarCurr)
        & ~ v29801(VarCurr)
        & ~ v29815(VarCurr) )
     => ( v29798(VarCurr)
      <=> v29819(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_323,axiom,(
    ! [VarCurr] :
      ( v29815(VarCurr)
     => ( v29798(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_784,axiom,(
    ! [VarCurr] :
      ( v29801(VarCurr)
     => ( v29798(VarCurr)
      <=> v29803(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_776,axiom,(
    ! [VarCurr] :
      ( v29799(VarCurr)
     => ( v29798(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_783,axiom,(
    ! [VarCurr] :
      ( ~ v29820(VarCurr)
     => ( v29819(VarCurr)
      <=> v29822(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_775,axiom,(
    ! [VarCurr] :
      ( v29820(VarCurr)
     => ( v29819(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_782,axiom,(
    ! [VarCurr] :
      ( ~ v29823(VarCurr)
     => ( v29822(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_774,axiom,(
    ! [VarCurr] :
      ( v29823(VarCurr)
     => ( v29822(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_2160,axiom,(
    ! [VarCurr] :
      ( v29824(VarCurr)
    <=> ( v29688(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_2159,axiom,(
    ! [VarCurr] :
      ( v29823(VarCurr)
    <=> ( v29688(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_2158,axiom,(
    ! [VarCurr] :
      ( v29821(VarCurr)
    <=> ( v27495(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_2157,axiom,(
    ! [VarCurr] :
      ( v29820(VarCurr)
    <=> ( v27495(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_2156,axiom,(
    ! [VarCurr] :
      ( v29817(VarCurr)
    <=> ( ( v29818(VarCurr,bitIndex1)
        <=> $true )
        & ( v29818(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_9062,axiom,(
    ! [VarCurr] :
      ( v29818(VarCurr,bitIndex0)
    <=> v29719(VarCurr) ) )).

fof(addAssignment_9061,axiom,(
    ! [VarCurr] :
      ( v29818(VarCurr,bitIndex1)
    <=> v26861(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_2155,axiom,(
    ! [VarCurr] :
      ( v29815(VarCurr)
    <=> ( ( v29816(VarCurr,bitIndex1)
        <=> $true )
        & ( v29816(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_9060,axiom,(
    ! [VarCurr] :
      ( v29816(VarCurr,bitIndex0)
    <=> v29719(VarCurr) ) )).

fof(addAssignment_9059,axiom,(
    ! [VarCurr] :
      ( v29816(VarCurr,bitIndex1)
    <=> v26861(VarCurr) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_781,axiom,(
    ! [VarCurr] :
      ( ~ v29804(VarCurr)
     => ( v29803(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_773,axiom,(
    ! [VarCurr] :
      ( v29804(VarCurr)
     => ( v29803(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6485,axiom,(
    ! [VarCurr] :
      ( v29804(VarCurr)
    <=> ( v29805(VarCurr)
        | v29810(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6484,axiom,(
    ! [VarCurr] :
      ( v29810(VarCurr)
    <=> ( v29811(VarCurr)
        | v29813(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2154,axiom,(
    ! [VarCurr] :
      ( v29813(VarCurr)
    <=> ( ( v29814(VarCurr,bitIndex3)
        <=> $false )
        & ( v29814(VarCurr,bitIndex2)
        <=> $true )
        & ( v29814(VarCurr,bitIndex1)
        <=> $false )
        & ( v29814(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_9058,axiom,(
    ! [VarCurr] :
      ( v29814(VarCurr,bitIndex0)
    <=> v29490(VarCurr) ) )).

fof(addAssignment_9057,axiom,(
    ! [VarCurr] :
      ( ( v29814(VarCurr,bitIndex3)
      <=> v26197(VarCurr,bitIndex2) )
      & ( v29814(VarCurr,bitIndex2)
      <=> v26197(VarCurr,bitIndex1) )
      & ( v29814(VarCurr,bitIndex1)
      <=> v26197(VarCurr,bitIndex0) ) ) )).

fof(addBitVectorEqualityBitBlasted_2153,axiom,(
    ! [VarCurr] :
      ( v29811(VarCurr)
    <=> ( ( v29812(VarCurr,bitIndex3)
        <=> $false )
        & ( v29812(VarCurr,bitIndex2)
        <=> $false )
        & ( v29812(VarCurr,bitIndex1)
        <=> $true )
        & ( v29812(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_9056,axiom,(
    ! [VarCurr] :
      ( v29812(VarCurr,bitIndex0)
    <=> v29490(VarCurr) ) )).

fof(addAssignment_9055,axiom,(
    ! [VarCurr] :
      ( ( v29812(VarCurr,bitIndex3)
      <=> v26197(VarCurr,bitIndex2) )
      & ( v29812(VarCurr,bitIndex2)
      <=> v26197(VarCurr,bitIndex1) )
      & ( v29812(VarCurr,bitIndex1)
      <=> v26197(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6483,axiom,(
    ! [VarCurr] :
      ( v29805(VarCurr)
    <=> ( v29806(VarCurr)
        | v29808(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2152,axiom,(
    ! [VarCurr] :
      ( v29808(VarCurr)
    <=> ( ( v29809(VarCurr,bitIndex3)
        <=> $false )
        & ( v29809(VarCurr,bitIndex2)
        <=> $true )
        & ( v29809(VarCurr,bitIndex1)
        <=> $false )
        & ( v29809(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_9054,axiom,(
    ! [VarCurr] :
      ( v29809(VarCurr,bitIndex0)
    <=> v29490(VarCurr) ) )).

fof(addAssignment_9053,axiom,(
    ! [VarCurr] :
      ( ( v29809(VarCurr,bitIndex3)
      <=> v26197(VarCurr,bitIndex2) )
      & ( v29809(VarCurr,bitIndex2)
      <=> v26197(VarCurr,bitIndex1) )
      & ( v29809(VarCurr,bitIndex1)
      <=> v26197(VarCurr,bitIndex0) ) ) )).

fof(addBitVectorEqualityBitBlasted_2151,axiom,(
    ! [VarCurr] :
      ( v29806(VarCurr)
    <=> ( ( v29807(VarCurr,bitIndex3)
        <=> $false )
        & ( v29807(VarCurr,bitIndex2)
        <=> $false )
        & ( v29807(VarCurr,bitIndex1)
        <=> $true )
        & ( v29807(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_9052,axiom,(
    ! [VarCurr] :
      ( v29807(VarCurr,bitIndex0)
    <=> v29490(VarCurr) ) )).

fof(addAssignment_9051,axiom,(
    ! [VarCurr] :
      ( ( v29807(VarCurr,bitIndex3)
      <=> v26197(VarCurr,bitIndex2) )
      & ( v29807(VarCurr,bitIndex2)
      <=> v26197(VarCurr,bitIndex1) )
      & ( v29807(VarCurr,bitIndex1)
      <=> v26197(VarCurr,bitIndex0) ) ) )).

fof(addBitVectorEqualityBitBlasted_2150,axiom,(
    ! [VarCurr] :
      ( v29801(VarCurr)
    <=> ( ( v29802(VarCurr,bitIndex1)
        <=> $false )
        & ( v29802(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_9050,axiom,(
    ! [VarCurr] :
      ( v29802(VarCurr,bitIndex0)
    <=> v29719(VarCurr) ) )).

fof(addAssignment_9049,axiom,(
    ! [VarCurr] :
      ( v29802(VarCurr,bitIndex1)
    <=> v26861(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_2149,axiom,(
    ! [VarCurr] :
      ( v29799(VarCurr)
    <=> ( ( v29800(VarCurr,bitIndex1)
        <=> $false )
        & ( v29800(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_9048,axiom,(
    ! [VarCurr] :
      ( v29800(VarCurr,bitIndex0)
    <=> v29719(VarCurr) ) )).

fof(addAssignment_9047,axiom,(
    ! [VarCurr] :
      ( v29800(VarCurr,bitIndex1)
    <=> v26861(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_2148,axiom,(
    ! [VarCurr] :
      ( v29797(VarCurr)
    <=> ( v26152(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_2147,axiom,(
    ! [VarCurr] :
      ( v29795(VarCurr)
    <=> ( ( v26190(VarCurr,bitIndex2)
        <=> $false )
        & ( v26190(VarCurr,bitIndex1)
        <=> $true )
        & ( v26190(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2146,axiom,(
    ! [VarCurr] :
      ( v29794(VarCurr)
    <=> ( ( v26190(VarCurr,bitIndex2)
        <=> $false )
        & ( v26190(VarCurr,bitIndex1)
        <=> $false )
        & ( v26190(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_344,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29781(VarNext)
       => ! [B] :
            ( range_2_0(B)
           => ( v26190(VarNext,B)
            <=> v26190(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_380,axiom,(
    ! [VarNext] :
      ( v29781(VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v26190(VarNext,B)
          <=> v29789(VarNext,B) ) ) ) )).

fof(addAssignment_9046,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v29789(VarNext,B)
          <=> v29787(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_745,axiom,(
    ! [VarCurr] :
      ( ~ v29790(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29787(VarCurr,B)
          <=> v26192(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_690,axiom,(
    ! [VarCurr] :
      ( v29790(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29787(VarCurr,B)
          <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2145,axiom,(
    ! [VarCurr] :
      ( v29790(VarCurr)
    <=> ( v62(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6482,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29781(VarNext)
      <=> v29782(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6481,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29782(VarNext)
      <=> ( v29783(VarNext)
          & v25419(VarNext) ) ) ) )).

fof(writeUnaryOperator_3058,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29783(VarNext)
      <=> v26847(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_88,axiom,(
    ! [VarCurr] :
      ( ( ~ v29726(VarCurr)
        & ~ v29739(VarCurr)
        & ~ v29775(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v26192(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_322,axiom,(
    ! [VarCurr] :
      ( v29775(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v26192(VarCurr,B)
          <=> v29776(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_780,axiom,(
    ! [VarCurr] :
      ( v29739(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v26192(VarCurr,B)
          <=> v29740(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_772,axiom,(
    ! [VarCurr] :
      ( v29726(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v26192(VarCurr,B)
          <=> v29727(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_779,axiom,(
    ! [VarCurr] :
      ( ~ v29777(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29776(VarCurr,B)
          <=> b011(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_771,axiom,(
    ! [VarCurr] :
      ( v29777(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29776(VarCurr,B)
          <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2144,axiom,(
    ! [VarCurr] :
      ( v29778(VarCurr)
    <=> ( v26152(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_2143,axiom,(
    ! [VarCurr] :
      ( v29777(VarCurr)
    <=> ( v26152(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_2142,axiom,(
    ! [VarCurr] :
      ( v29775(VarCurr)
    <=> ( ( v26190(VarCurr,bitIndex2)
        <=> $false )
        & ( v26190(VarCurr,bitIndex1)
        <=> $true )
        & ( v26190(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_778,axiom,(
    ! [VarCurr] :
      ( ~ v29741(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29740(VarCurr,B)
          <=> b010(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_770,axiom,(
    ! [VarCurr] :
      ( v29741(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29740(VarCurr,B)
          <=> v29742(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2141,axiom,(
    ! [VarCurr] :
      ( v29774(VarCurr)
    <=> ( v26152(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_87,axiom,(
    ! [VarCurr] :
      ( ( ~ v29743(VarCurr)
        & ~ v29748(VarCurr)
        & ~ v29761(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v29742(VarCurr,B)
          <=> v29768(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_321,axiom,(
    ! [VarCurr] :
      ( v29761(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29742(VarCurr,B)
          <=> v29763(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_777,axiom,(
    ! [VarCurr] :
      ( v29748(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29742(VarCurr,B)
          <=> v29750(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_769,axiom,(
    ! [VarCurr] :
      ( v29743(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29742(VarCurr,B)
          <=> v29745(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_776,axiom,(
    ! [VarCurr] :
      ( ~ v29769(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29768(VarCurr,B)
          <=> v29771(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_768,axiom,(
    ! [VarCurr] :
      ( v29769(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29768(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_775,axiom,(
    ! [VarCurr] :
      ( ~ v29772(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29771(VarCurr,B)
          <=> b010(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_767,axiom,(
    ! [VarCurr] :
      ( v29772(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29771(VarCurr,B)
          <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2140,axiom,(
    ! [VarCurr] :
      ( v29773(VarCurr)
    <=> ( v29688(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_2139,axiom,(
    ! [VarCurr] :
      ( v29772(VarCurr)
    <=> ( v29688(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_2138,axiom,(
    ! [VarCurr] :
      ( v29770(VarCurr)
    <=> ( v27495(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_2137,axiom,(
    ! [VarCurr] :
      ( v29769(VarCurr)
    <=> ( v27495(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_2136,axiom,(
    ! [VarCurr] :
      ( v29766(VarCurr)
    <=> ( ( v29767(VarCurr,bitIndex1)
        <=> $true )
        & ( v29767(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_9045,axiom,(
    ! [VarCurr] :
      ( v29767(VarCurr,bitIndex0)
    <=> v29719(VarCurr) ) )).

fof(addAssignment_9044,axiom,(
    ! [VarCurr] :
      ( v29767(VarCurr,bitIndex1)
    <=> v26861(VarCurr) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_774,axiom,(
    ! [VarCurr] :
      ( ~ v29764(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29763(VarCurr,B)
          <=> b010(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_766,axiom,(
    ! [VarCurr] :
      ( v29764(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29763(VarCurr,B)
          <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2135,axiom,(
    ! [VarCurr] :
      ( v29765(VarCurr)
    <=> ( v29688(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_2134,axiom,(
    ! [VarCurr] :
      ( v29764(VarCurr)
    <=> ( v29688(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_2133,axiom,(
    ! [VarCurr] :
      ( v29761(VarCurr)
    <=> ( ( v29762(VarCurr,bitIndex1)
        <=> $true )
        & ( v29762(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_9043,axiom,(
    ! [VarCurr] :
      ( v29762(VarCurr,bitIndex0)
    <=> v29719(VarCurr) ) )).

fof(addAssignment_9042,axiom,(
    ! [VarCurr] :
      ( v29762(VarCurr,bitIndex1)
    <=> v26861(VarCurr) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_320,axiom,(
    ! [VarCurr] :
      ( ( ~ v29751(VarCurr)
        & ~ v29756(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v29750(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_773,axiom,(
    ! [VarCurr] :
      ( v29756(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29750(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_765,axiom,(
    ! [VarCurr] :
      ( v29751(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29750(VarCurr,B)
          <=> b010(B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6480,axiom,(
    ! [VarCurr] :
      ( v29756(VarCurr)
    <=> ( v29757(VarCurr)
        | v29759(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2132,axiom,(
    ! [VarCurr] :
      ( v29759(VarCurr)
    <=> ( ( v29760(VarCurr,bitIndex3)
        <=> $false )
        & ( v29760(VarCurr,bitIndex2)
        <=> $true )
        & ( v29760(VarCurr,bitIndex1)
        <=> $false )
        & ( v29760(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_9041,axiom,(
    ! [VarCurr] :
      ( v29760(VarCurr,bitIndex0)
    <=> v29490(VarCurr) ) )).

fof(addAssignment_9040,axiom,(
    ! [VarCurr] :
      ( ( v29760(VarCurr,bitIndex3)
      <=> v26197(VarCurr,bitIndex2) )
      & ( v29760(VarCurr,bitIndex2)
      <=> v26197(VarCurr,bitIndex1) )
      & ( v29760(VarCurr,bitIndex1)
      <=> v26197(VarCurr,bitIndex0) ) ) )).

fof(addBitVectorEqualityBitBlasted_2131,axiom,(
    ! [VarCurr] :
      ( v29757(VarCurr)
    <=> ( ( v29758(VarCurr,bitIndex3)
        <=> $false )
        & ( v29758(VarCurr,bitIndex2)
        <=> $false )
        & ( v29758(VarCurr,bitIndex1)
        <=> $true )
        & ( v29758(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_9039,axiom,(
    ! [VarCurr] :
      ( v29758(VarCurr,bitIndex0)
    <=> v29490(VarCurr) ) )).

fof(addAssignment_9038,axiom,(
    ! [VarCurr] :
      ( ( v29758(VarCurr,bitIndex3)
      <=> v26197(VarCurr,bitIndex2) )
      & ( v29758(VarCurr,bitIndex2)
      <=> v26197(VarCurr,bitIndex1) )
      & ( v29758(VarCurr,bitIndex1)
      <=> v26197(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6479,axiom,(
    ! [VarCurr] :
      ( v29751(VarCurr)
    <=> ( v29752(VarCurr)
        | v29754(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2130,axiom,(
    ! [VarCurr] :
      ( v29754(VarCurr)
    <=> ( ( v29755(VarCurr,bitIndex3)
        <=> $false )
        & ( v29755(VarCurr,bitIndex2)
        <=> $true )
        & ( v29755(VarCurr,bitIndex1)
        <=> $false )
        & ( v29755(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_9037,axiom,(
    ! [VarCurr] :
      ( v29755(VarCurr,bitIndex0)
    <=> v29490(VarCurr) ) )).

fof(addAssignment_9036,axiom,(
    ! [VarCurr] :
      ( ( v29755(VarCurr,bitIndex3)
      <=> v26197(VarCurr,bitIndex2) )
      & ( v29755(VarCurr,bitIndex2)
      <=> v26197(VarCurr,bitIndex1) )
      & ( v29755(VarCurr,bitIndex1)
      <=> v26197(VarCurr,bitIndex0) ) ) )).

fof(addBitVectorEqualityBitBlasted_2129,axiom,(
    ! [VarCurr] :
      ( v29752(VarCurr)
    <=> ( ( v29753(VarCurr,bitIndex3)
        <=> $false )
        & ( v29753(VarCurr,bitIndex2)
        <=> $false )
        & ( v29753(VarCurr,bitIndex1)
        <=> $true )
        & ( v29753(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_9035,axiom,(
    ! [VarCurr] :
      ( v29753(VarCurr,bitIndex0)
    <=> v29490(VarCurr) ) )).

fof(addAssignment_9034,axiom,(
    ! [VarCurr] :
      ( ( v29753(VarCurr,bitIndex3)
      <=> v26197(VarCurr,bitIndex2) )
      & ( v29753(VarCurr,bitIndex2)
      <=> v26197(VarCurr,bitIndex1) )
      & ( v29753(VarCurr,bitIndex1)
      <=> v26197(VarCurr,bitIndex0) ) ) )).

fof(addBitVectorEqualityBitBlasted_2128,axiom,(
    ! [VarCurr] :
      ( v29748(VarCurr)
    <=> ( ( v29749(VarCurr,bitIndex1)
        <=> $false )
        & ( v29749(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_9033,axiom,(
    ! [VarCurr] :
      ( v29749(VarCurr,bitIndex0)
    <=> v29719(VarCurr) ) )).

fof(addAssignment_9032,axiom,(
    ! [VarCurr] :
      ( v29749(VarCurr,bitIndex1)
    <=> v26861(VarCurr) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_772,axiom,(
    ! [VarCurr] :
      ( ~ v29746(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29745(VarCurr,B)
          <=> b010(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_764,axiom,(
    ! [VarCurr] :
      ( v29746(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29745(VarCurr,B)
          <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2127,axiom,(
    ! [VarCurr] :
      ( v29747(VarCurr)
    <=> ( v29688(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_2126,axiom,(
    ! [VarCurr] :
      ( v29746(VarCurr)
    <=> ( v29688(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_2125,axiom,(
    ! [VarCurr] :
      ( v29743(VarCurr)
    <=> ( ( v29744(VarCurr,bitIndex1)
        <=> $false )
        & ( v29744(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_9031,axiom,(
    ! [VarCurr] :
      ( v29744(VarCurr,bitIndex0)
    <=> v29719(VarCurr) ) )).

fof(addAssignment_9030,axiom,(
    ! [VarCurr] :
      ( v29744(VarCurr,bitIndex1)
    <=> v26861(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_2124,axiom,(
    ! [VarCurr] :
      ( v29741(VarCurr)
    <=> ( v26152(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_2123,axiom,(
    ! [VarCurr] :
      ( v29739(VarCurr)
    <=> ( ( v26190(VarCurr,bitIndex2)
        <=> $false )
        & ( v26190(VarCurr,bitIndex1)
        <=> $true )
        & ( v26190(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_771,axiom,(
    ! [VarCurr] :
      ( ~ v29728(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29727(VarCurr,B)
          <=> v29730(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_763,axiom,(
    ! [VarCurr] :
      ( v29728(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29727(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_319,axiom,(
    ! [VarCurr] :
      ( ( ~ v29731(VarCurr)
        & ~ v29736(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v29730(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_770,axiom,(
    ! [VarCurr] :
      ( v29736(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29730(VarCurr,B)
          <=> b010(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_762,axiom,(
    ! [VarCurr] :
      ( v29731(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29730(VarCurr,B)
          <=> b011(B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6478,axiom,(
    ! [VarCurr] :
      ( v29736(VarCurr)
    <=> ( v29737(VarCurr)
        | v29738(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2122,axiom,(
    ! [VarCurr] :
      ( v29738(VarCurr)
    <=> ( ( v26197(VarCurr,bitIndex2)
        <=> $false )
        & ( v26197(VarCurr,bitIndex1)
        <=> $true )
        & ( v26197(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2121,axiom,(
    ! [VarCurr] :
      ( v29737(VarCurr)
    <=> ( ( v26197(VarCurr,bitIndex2)
        <=> $false )
        & ( v26197(VarCurr,bitIndex1)
        <=> $false )
        & ( v26197(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6477,axiom,(
    ! [VarCurr] :
      ( v29731(VarCurr)
    <=> ( v29732(VarCurr)
        | v29735(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2120,axiom,(
    ! [VarCurr] :
      ( v29735(VarCurr)
    <=> ( ( v26197(VarCurr,bitIndex2)
        <=> $true )
        & ( v26197(VarCurr,bitIndex1)
        <=> $false )
        & ( v26197(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6476,axiom,(
    ! [VarCurr] :
      ( v29732(VarCurr)
    <=> ( v29733(VarCurr)
        | v29734(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2119,axiom,(
    ! [VarCurr] :
      ( v29734(VarCurr)
    <=> ( ( v26197(VarCurr,bitIndex2)
        <=> $false )
        & ( v26197(VarCurr,bitIndex1)
        <=> $true )
        & ( v26197(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2118,axiom,(
    ! [VarCurr] :
      ( v29733(VarCurr)
    <=> ( ( v26197(VarCurr,bitIndex2)
        <=> $true )
        & ( v26197(VarCurr,bitIndex1)
        <=> $false )
        & ( v26197(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2117,axiom,(
    ! [VarCurr] :
      ( v29729(VarCurr)
    <=> ( v26194(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_2116,axiom,(
    ! [VarCurr] :
      ( v29728(VarCurr)
    <=> ( v26194(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_2115,axiom,(
    ! [VarCurr] :
      ( v29726(VarCurr)
    <=> ( ( v26190(VarCurr,bitIndex2)
        <=> $false )
        & ( v26190(VarCurr,bitIndex1)
        <=> $false )
        & ( v26190(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_86,axiom,(
    ! [VarCurr] :
      ( ( ~ v29721(VarCurr)
        & ~ v28471(VarCurr)
        & ~ v28481(VarCurr) )
     => ( v29719(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_318,axiom,(
    ! [VarCurr] :
      ( v28481(VarCurr)
     => ( v29719(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_769,axiom,(
    ! [VarCurr] :
      ( v28471(VarCurr)
     => ( v29719(VarCurr)
      <=> v29722(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_761,axiom,(
    ! [VarCurr] :
      ( v29721(VarCurr)
     => ( v29719(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_768,axiom,(
    ! [VarCurr] :
      ( ~ v28473(VarCurr)
     => ( v29722(VarCurr)
      <=> v29724(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_760,axiom,(
    ! [VarCurr] :
      ( v28473(VarCurr)
     => ( v29722(VarCurr)
      <=> v29723(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_767,axiom,(
    ! [VarCurr] :
      ( ~ v28476(VarCurr)
     => ( v29724(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_759,axiom,(
    ! [VarCurr] :
      ( v28476(VarCurr)
     => ( v29724(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_317,axiom,(
    ! [VarCurr] :
      ( ( ~ v29183(VarCurr)
        & ~ v29185(VarCurr) )
     => ( v29723(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_766,axiom,(
    ! [VarCurr] :
      ( v29185(VarCurr)
     => ( v29723(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_758,axiom,(
    ! [VarCurr] :
      ( v29183(VarCurr)
     => ( v29723(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6475,axiom,(
    ! [VarCurr] :
      ( v29721(VarCurr)
    <=> ( v29319(VarCurr)
        | v28470(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_343,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29703(VarNext)
       => ( v26861(VarNext)
        <=> v26861(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_379,axiom,(
    ! [VarNext] :
      ( v29703(VarNext)
     => ( v26861(VarNext)
      <=> v29711(VarNext) ) ) )).

fof(addAssignment_9029,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29711(VarNext)
      <=> v29709(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_744,axiom,(
    ! [VarCurr] :
      ( ~ v29712(VarCurr)
     => ( v29709(VarCurr)
      <=> v29713(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_689,axiom,(
    ! [VarCurr] :
      ( v29712(VarCurr)
     => ( v29709(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_743,axiom,(
    ! [VarCurr] :
      ( ~ v26863(VarCurr)
     => ( v29713(VarCurr)
      <=> v29714(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_688,axiom,(
    ! [VarCurr] :
      ( v26863(VarCurr)
     => ( v29713(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6474,axiom,(
    ! [VarCurr] :
      ( v29714(VarCurr)
    <=> ( v29715(VarCurr)
        & v26861(VarCurr) ) ) )).

fof(writeUnaryOperator_3057,axiom,(
    ! [VarCurr] :
      ( ~ v29715(VarCurr)
    <=> v29688(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_2114,axiom,(
    ! [VarCurr] :
      ( v29712(VarCurr)
    <=> ( v62(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6473,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29703(VarNext)
      <=> v29704(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6472,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29704(VarNext)
      <=> ( v29705(VarNext)
          & v25419(VarNext) ) ) ) )).

fof(writeUnaryOperator_3056,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29705(VarNext)
      <=> v26847(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges5_20,axiom,(
    ! [VarCurr] :
      ( ( ~ v28465(VarCurr)
        & ~ v28466(VarCurr)
        & ~ v28470(VarCurr)
        & ~ v28471(VarCurr)
        & ~ v28481(VarCurr) )
     => ( v29688(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges4_23,axiom,(
    ! [VarCurr] :
      ( v28481(VarCurr)
     => ( v29688(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_85,axiom,(
    ! [VarCurr] :
      ( v28471(VarCurr)
     => ( v29688(VarCurr)
      <=> v29692(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_316,axiom,(
    ! [VarCurr] :
      ( v28470(VarCurr)
     => ( v29688(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_765,axiom,(
    ! [VarCurr] :
      ( v28466(VarCurr)
     => ( v29688(VarCurr)
      <=> v29690(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_757,axiom,(
    ! [VarCurr] :
      ( v28465(VarCurr)
     => ( v29688(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_764,axiom,(
    ! [VarCurr] :
      ( ~ v28473(VarCurr)
     => ( v29692(VarCurr)
      <=> v29700(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_756,axiom,(
    ! [VarCurr] :
      ( v28473(VarCurr)
     => ( v29692(VarCurr)
      <=> v29693(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_763,axiom,(
    ! [VarCurr] :
      ( ~ v28476(VarCurr)
     => ( v29700(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_755,axiom,(
    ! [VarCurr] :
      ( v28476(VarCurr)
     => ( v29700(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_315,axiom,(
    ! [VarCurr] :
      ( ( ~ v29183(VarCurr)
        & ~ v29185(VarCurr) )
     => ( v29693(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_762,axiom,(
    ! [VarCurr] :
      ( v29185(VarCurr)
     => ( v29693(VarCurr)
      <=> v29697(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_754,axiom,(
    ! [VarCurr] :
      ( v29183(VarCurr)
     => ( v29693(VarCurr)
      <=> v29694(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_761,axiom,(
    ! [VarCurr] :
      ( ~ v29698(VarCurr)
     => ( v29697(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_753,axiom,(
    ! [VarCurr] :
      ( v29698(VarCurr)
     => ( v29697(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_2113,axiom,(
    ! [VarCurr] :
      ( v29699(VarCurr)
    <=> ( v29594(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_2112,axiom,(
    ! [VarCurr] :
      ( v29698(VarCurr)
    <=> ( v29594(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_760,axiom,(
    ! [VarCurr] :
      ( ~ v29695(VarCurr)
     => ( v29694(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_752,axiom,(
    ! [VarCurr] :
      ( v29695(VarCurr)
     => ( v29694(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_2111,axiom,(
    ! [VarCurr] :
      ( v29696(VarCurr)
    <=> ( v29490(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_2110,axiom,(
    ! [VarCurr] :
      ( v29695(VarCurr)
    <=> ( v29490(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_759,axiom,(
    ! [VarCurr] :
      ( ~ v28468(VarCurr)
     => ( v29690(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_751,axiom,(
    ! [VarCurr] :
      ( v28468(VarCurr)
     => ( v29690(VarCurr)
      <=> v29691(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_758,axiom,(
    ! [VarCurr] :
      ( ~ v29178(VarCurr)
     => ( v29691(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_750,axiom,(
    ! [VarCurr] :
      ( v29178(VarCurr)
     => ( v29691(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges5_19,axiom,(
    ! [VarCurr] :
      ( ( ~ v28465(VarCurr)
        & ~ v28466(VarCurr)
        & ~ v28470(VarCurr)
        & ~ v28471(VarCurr)
        & ~ v28481(VarCurr) )
     => ( v26863(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges4_22,axiom,(
    ! [VarCurr] :
      ( v28481(VarCurr)
     => ( v26863(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_84,axiom,(
    ! [VarCurr] :
      ( v28471(VarCurr)
     => ( v26863(VarCurr)
      <=> v29683(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_314,axiom,(
    ! [VarCurr] :
      ( v28470(VarCurr)
     => ( v26863(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_757,axiom,(
    ! [VarCurr] :
      ( v28466(VarCurr)
     => ( v26863(VarCurr)
      <=> v29681(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_749,axiom,(
    ! [VarCurr] :
      ( v28465(VarCurr)
     => ( v26863(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_756,axiom,(
    ! [VarCurr] :
      ( ~ v28473(VarCurr)
     => ( v29683(VarCurr)
      <=> v29686(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_748,axiom,(
    ! [VarCurr] :
      ( v28473(VarCurr)
     => ( v29683(VarCurr)
      <=> v29684(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_755,axiom,(
    ! [VarCurr] :
      ( ~ v28476(VarCurr)
     => ( v29686(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_747,axiom,(
    ! [VarCurr] :
      ( v28476(VarCurr)
     => ( v29686(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_754,axiom,(
    ! [VarCurr] :
      ( ~ v29685(VarCurr)
     => ( v29684(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_746,axiom,(
    ! [VarCurr] :
      ( v29685(VarCurr)
     => ( v29684(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6471,axiom,(
    ! [VarCurr] :
      ( v29685(VarCurr)
    <=> ( v29183(VarCurr)
        | v29185(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_753,axiom,(
    ! [VarCurr] :
      ( ~ v28468(VarCurr)
     => ( v29681(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_745,axiom,(
    ! [VarCurr] :
      ( v28468(VarCurr)
     => ( v29681(VarCurr)
      <=> v29682(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_752,axiom,(
    ! [VarCurr] :
      ( ~ v29178(VarCurr)
     => ( v29682(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_744,axiom,(
    ! [VarCurr] :
      ( v29178(VarCurr)
     => ( v29682(VarCurr)
      <=> $false ) ) )).

fof(addCaseBooleanConditionEqualRanges1_342,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29668(VarNext)
       => ! [B] :
            ( range_2_0(B)
           => ( v26865(VarNext,B)
            <=> v26865(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_378,axiom,(
    ! [VarNext] :
      ( v29668(VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v26865(VarNext,B)
          <=> v29676(VarNext,B) ) ) ) )).

fof(addAssignment_9028,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v29676(VarNext,B)
          <=> v29674(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_742,axiom,(
    ! [VarCurr] :
      ( ~ v29677(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29674(VarCurr,B)
          <=> v26867(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_687,axiom,(
    ! [VarCurr] :
      ( v29677(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29674(VarCurr,B)
          <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2109,axiom,(
    ! [VarCurr] :
      ( v29677(VarCurr)
    <=> ( v62(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6470,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29668(VarNext)
      <=> v29669(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6469,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29669(VarNext)
      <=> ( v29670(VarNext)
          & v25419(VarNext) ) ) ) )).

fof(writeUnaryOperator_3055,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29670(VarNext)
      <=> v26847(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges5_18,axiom,(
    ! [VarCurr] :
      ( ( ~ v29635(VarCurr)
        & ~ v29639(VarCurr)
        & ~ v29644(VarCurr)
        & ~ v29648(VarCurr)
        & ~ v29665(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v26867(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges4_21,axiom,(
    ! [VarCurr] :
      ( v29665(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v26867(VarCurr,B)
          <=> b001(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_83,axiom,(
    ! [VarCurr] :
      ( v29648(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v26867(VarCurr,B)
          <=> v29649(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_313,axiom,(
    ! [VarCurr] :
      ( v29644(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v26867(VarCurr,B)
          <=> v29645(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_751,axiom,(
    ! [VarCurr] :
      ( v29639(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v26867(VarCurr,B)
          <=> v29640(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_743,axiom,(
    ! [VarCurr] :
      ( v29635(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v26867(VarCurr,B)
          <=> v29636(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2108,axiom,(
    ! [VarCurr] :
      ( v29665(VarCurr)
    <=> ( ( v26865(VarCurr,bitIndex2)
        <=> $true )
        & ( v26865(VarCurr,bitIndex1)
        <=> $false )
        & ( v26865(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_750,axiom,(
    ! [VarCurr] :
      ( ~ v29650(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29649(VarCurr,B)
          <=> v29659(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_742,axiom,(
    ! [VarCurr] :
      ( v29650(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29649(VarCurr,B)
          <=> v29651(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_749,axiom,(
    ! [VarCurr] :
      ( ~ v29660(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29659(VarCurr,B)
          <=> v29662(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_741,axiom,(
    ! [VarCurr] :
      ( v29660(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29659(VarCurr,B)
          <=> b001(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_748,axiom,(
    ! [VarCurr] :
      ( ~ v29663(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29662(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_740,axiom,(
    ! [VarCurr] :
      ( v29663(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29662(VarCurr,B)
          <=> b001(B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2107,axiom,(
    ! [VarCurr] :
      ( v29664(VarCurr)
    <=> ( v26869(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_2106,axiom,(
    ! [VarCurr] :
      ( v29663(VarCurr)
    <=> ( v26869(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_2105,axiom,(
    ! [VarCurr] :
      ( v29661(VarCurr)
    <=> ( v27075(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_2104,axiom,(
    ! [VarCurr] :
      ( v29660(VarCurr)
    <=> ( v27075(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_2103,axiom,(
    ! [VarCurr] :
      ( v29658(VarCurr)
    <=> ( v26861(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_312,axiom,(
    ! [VarCurr] :
      ( ( ~ v29652(VarCurr)
        & ~ v29655(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v29651(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_747,axiom,(
    ! [VarCurr] :
      ( v29655(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29651(VarCurr,B)
          <=> v29657(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_739,axiom,(
    ! [VarCurr] :
      ( v29652(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29651(VarCurr,B)
          <=> v29654(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_741,axiom,(
    ! [VarCurr] :
      ( ~ v29594(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29657(VarCurr,B)
          <=> b011(B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_686,axiom,(
    ! [VarCurr] :
      ( v29594(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29657(VarCurr,B)
          <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2102,axiom,(
    ! [VarCurr] :
      ( v29655(VarCurr)
    <=> ( ( v29656(VarCurr,bitIndex1)
        <=> $true )
        & ( v29656(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_9027,axiom,(
    ! [VarCurr] :
      ( v29656(VarCurr,bitIndex0)
    <=> v26903(VarCurr) ) )).

fof(addAssignment_9026,axiom,(
    ! [VarCurr] :
      ( v29656(VarCurr,bitIndex1)
    <=> v26897(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_740,axiom,(
    ! [VarCurr] :
      ( ~ v29490(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29654(VarCurr,B)
          <=> b100(B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_685,axiom,(
    ! [VarCurr] :
      ( v29490(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29654(VarCurr,B)
          <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2101,axiom,(
    ! [VarCurr] :
      ( v29652(VarCurr)
    <=> ( ( v29653(VarCurr,bitIndex1)
        <=> $false )
        & ( v29653(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_9025,axiom,(
    ! [VarCurr] :
      ( v29653(VarCurr,bitIndex0)
    <=> v26903(VarCurr) ) )).

fof(addAssignment_9024,axiom,(
    ! [VarCurr] :
      ( v29653(VarCurr,bitIndex1)
    <=> v26897(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_2100,axiom,(
    ! [VarCurr] :
      ( v29650(VarCurr)
    <=> ( v26861(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_2099,axiom,(
    ! [VarCurr] :
      ( v29648(VarCurr)
    <=> ( ( v26865(VarCurr,bitIndex2)
        <=> $false )
        & ( v26865(VarCurr,bitIndex1)
        <=> $true )
        & ( v26865(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_746,axiom,(
    ! [VarCurr] :
      ( ~ v29646(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29645(VarCurr,B)
          <=> b011(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_738,axiom,(
    ! [VarCurr] :
      ( v29646(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29645(VarCurr,B)
          <=> b010(B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2098,axiom,(
    ! [VarCurr] :
      ( v29647(VarCurr)
    <=> ( v26152(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_2097,axiom,(
    ! [VarCurr] :
      ( v29646(VarCurr)
    <=> ( v26152(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_2096,axiom,(
    ! [VarCurr] :
      ( v29644(VarCurr)
    <=> ( ( v26865(VarCurr,bitIndex2)
        <=> $false )
        & ( v26865(VarCurr,bitIndex1)
        <=> $true )
        & ( v26865(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_745,axiom,(
    ! [VarCurr] :
      ( ~ v29641(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29640(VarCurr,B)
          <=> b010(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_737,axiom,(
    ! [VarCurr] :
      ( v29641(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29640(VarCurr,B)
          <=> v29642(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2095,axiom,(
    ! [VarCurr] :
      ( v29643(VarCurr)
    <=> ( v26861(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_739,axiom,(
    ! [VarCurr] :
      ( ~ v27495(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29642(VarCurr,B)
          <=> b010(B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_684,axiom,(
    ! [VarCurr] :
      ( v27495(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29642(VarCurr,B)
          <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2094,axiom,(
    ! [VarCurr] :
      ( v29641(VarCurr)
    <=> ( v26861(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_2093,axiom,(
    ! [VarCurr] :
      ( v29639(VarCurr)
    <=> ( ( v26865(VarCurr,bitIndex2)
        <=> $false )
        & ( v26865(VarCurr,bitIndex1)
        <=> $false )
        & ( v26865(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_744,axiom,(
    ! [VarCurr] :
      ( ~ v29637(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29636(VarCurr,B)
          <=> b001(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_736,axiom,(
    ! [VarCurr] :
      ( v29637(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v29636(VarCurr,B)
          <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2092,axiom,(
    ! [VarCurr] :
      ( v29638(VarCurr)
    <=> ( v26869(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_2091,axiom,(
    ! [VarCurr] :
      ( v29637(VarCurr)
    <=> ( v26869(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_2090,axiom,(
    ! [VarCurr] :
      ( v29635(VarCurr)
    <=> ( ( v26865(VarCurr,bitIndex2)
        <=> $false )
        & ( v26865(VarCurr,bitIndex1)
        <=> $false )
        & ( v26865(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_311,axiom,(
    ! [VarCurr] :
      ( ( ~ v29633(VarCurr)
        & ~ v29617(VarCurr) )
     => ( v29594(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_743,axiom,(
    ! [VarCurr] :
      ( v29617(VarCurr)
     => ( v29594(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_735,axiom,(
    ! [VarCurr] :
      ( v29633(VarCurr)
     => ( v29594(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6468,axiom,(
    ! [VarCurr] :
      ( v29633(VarCurr)
    <=> ( v29609(VarCurr)
        | v29613(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_341,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29620(VarNext)
       => ! [B] :
            ( range_1_0(B)
           => ( v29596(VarNext,B)
            <=> v29596(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_377,axiom,(
    ! [VarNext] :
      ( v29620(VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v29596(VarNext,B)
          <=> v29628(VarNext,B) ) ) ) )).

fof(addAssignment_9023,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v29628(VarNext,B)
          <=> v29626(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_738,axiom,(
    ! [VarCurr] :
      ( ~ v29629(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v29626(VarCurr,B)
          <=> v29598(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_683,axiom,(
    ! [VarCurr] :
      ( v29629(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v29626(VarCurr,B)
          <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2089,axiom,(
    ! [VarCurr] :
      ( v29629(VarCurr)
    <=> ( v62(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6467,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29620(VarNext)
      <=> v29621(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6466,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29621(VarNext)
      <=> ( v29622(VarNext)
          & v25419(VarNext) ) ) ) )).

fof(writeUnaryOperator_3054,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29622(VarNext)
      <=> v26847(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_82,axiom,(
    ! [VarCurr] :
      ( ( ~ v29609(VarCurr)
        & ~ v29613(VarCurr)
        & ~ v29617(VarCurr) )
     => ! [B] :
          ( range_1_0(B)
         => ( v29598(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_310,axiom,(
    ! [VarCurr] :
      ( v29617(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v29598(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_742,axiom,(
    ! [VarCurr] :
      ( v29613(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v29598(VarCurr,B)
          <=> v29614(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_734,axiom,(
    ! [VarCurr] :
      ( v29609(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v29598(VarCurr,B)
          <=> v29610(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2088,axiom,(
    ! [VarCurr] :
      ( v29617(VarCurr)
    <=> ( ( v29596(VarCurr,bitIndex1)
        <=> $true )
        & ( v29596(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_741,axiom,(
    ! [VarCurr] :
      ( ~ v29615(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v29614(VarCurr,B)
          <=> b10(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_733,axiom,(
    ! [VarCurr] :
      ( v29615(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v29614(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2087,axiom,(
    ! [VarCurr] :
      ( v29616(VarCurr)
    <=> ( v28157(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_2086,axiom,(
    ! [VarCurr] :
      ( v29615(VarCurr)
    <=> ( v28157(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_2085,axiom,(
    ! [VarCurr] :
      ( v29613(VarCurr)
    <=> ( ( v29596(VarCurr,bitIndex1)
        <=> $false )
        & ( v29596(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_740,axiom,(
    ! [VarCurr] :
      ( ~ v29611(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v29610(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_732,axiom,(
    ! [VarCurr] :
      ( v29611(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v29610(VarCurr,B)
          <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2084,axiom,(
    ! [VarCurr] :
      ( v29612(VarCurr)
    <=> ( v29600(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_2083,axiom,(
    ! [VarCurr] :
      ( v29611(VarCurr)
    <=> ( v29600(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_2082,axiom,(
    ! [VarCurr] :
      ( v29609(VarCurr)
    <=> ( ( v29596(VarCurr,bitIndex1)
        <=> $false )
        & ( v29596(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_81,axiom,(
    ! [VarCurr] :
      ( ( ~ v29602(VarCurr)
        & ~ v28471(VarCurr)
        & ~ v28481(VarCurr) )
     => ( v29600(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_309,axiom,(
    ! [VarCurr] :
      ( v28481(VarCurr)
     => ( v29600(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_739,axiom,(
    ! [VarCurr] :
      ( v28471(VarCurr)
     => ( v29600(VarCurr)
      <=> v29603(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_731,axiom,(
    ! [VarCurr] :
      ( v29602(VarCurr)
     => ( v29600(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_738,axiom,(
    ! [VarCurr] :
      ( ~ v28473(VarCurr)
     => ( v29603(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_730,axiom,(
    ! [VarCurr] :
      ( v28473(VarCurr)
     => ( v29603(VarCurr)
      <=> v29604(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_308,axiom,(
    ! [VarCurr] :
      ( ( ~ v29183(VarCurr)
        & ~ v29185(VarCurr) )
     => ( v29604(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_737,axiom,(
    ! [VarCurr] :
      ( v29185(VarCurr)
     => ( v29604(VarCurr)
      <=> v29605(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_729,axiom,(
    ! [VarCurr] :
      ( v29183(VarCurr)
     => ( v29604(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_736,axiom,(
    ! [VarCurr] :
      ( ~ v29606(VarCurr)
     => ( v29605(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_728,axiom,(
    ! [VarCurr] :
      ( v29606(VarCurr)
     => ( v29605(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_2081,axiom,(
    ! [VarCurr] :
      ( v29607(VarCurr)
    <=> ( v27075(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_2080,axiom,(
    ! [VarCurr] :
      ( v29606(VarCurr)
    <=> ( v27075(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6465,axiom,(
    ! [VarCurr] :
      ( v29602(VarCurr)
    <=> ( v29319(VarCurr)
        | v28470(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_340,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29493(VarNext)
       => ( v29490(VarNext)
        <=> v29490(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_376,axiom,(
    ! [VarNext] :
      ( v29493(VarNext)
     => ( v29490(VarNext)
      <=> v29501(VarNext) ) ) )).

fof(addAssignment_9022,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29501(VarNext)
      <=> v29499(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_737,axiom,(
    ! [VarCurr] :
      ( ~ v28095(VarCurr)
     => ( v29499(VarCurr)
      <=> v29502(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_682,axiom,(
    ! [VarCurr] :
      ( v28095(VarCurr)
     => ( v29499(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_736,axiom,(
    ! [VarCurr] :
      ( ~ v29503(VarCurr)
     => ( v29502(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_681,axiom,(
    ! [VarCurr] :
      ( v29503(VarCurr)
     => ( v29502(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_2079,axiom,(
    ! [VarCurr] :
      ( v29503(VarCurr)
    <=> ( ( v29504(VarCurr,bitIndex5)
        <=> $false )
        & ( v29504(VarCurr,bitIndex4)
        <=> $false )
        & ( v29504(VarCurr,bitIndex3)
        <=> $false )
        & ( v29504(VarCurr,bitIndex2)
        <=> $false )
        & ( v29504(VarCurr,bitIndex1)
        <=> $false )
        & ( v29504(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_9021,axiom,(
    ! [VarCurr] :
      ( v29504(VarCurr,bitIndex0)
    <=> v29588(VarCurr) ) )).

fof(addAssignment_9020,axiom,(
    ! [VarCurr] :
      ( v29504(VarCurr,bitIndex1)
    <=> v29583(VarCurr) ) )).

fof(addAssignment_9019,axiom,(
    ! [VarCurr] :
      ( v29504(VarCurr,bitIndex2)
    <=> v29578(VarCurr) ) )).

fof(addAssignment_9018,axiom,(
    ! [VarCurr] :
      ( v29504(VarCurr,bitIndex3)
    <=> v29573(VarCurr) ) )).

fof(addAssignment_9017,axiom,(
    ! [VarCurr] :
      ( v29504(VarCurr,bitIndex4)
    <=> v29568(VarCurr) ) )).

fof(addAssignment_9016,axiom,(
    ! [VarCurr] :
      ( v29504(VarCurr,bitIndex5)
    <=> v29506(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6464,axiom,(
    ! [VarCurr] :
      ( v29588(VarCurr)
    <=> ( v29589(VarCurr)
        & v29590(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1705,axiom,(
    ! [VarCurr] :
      ( v29590(VarCurr)
    <=> ( v27497(VarCurr,bitIndex38)
        | v26905(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6463,axiom,(
    ! [VarCurr] :
      ( v29589(VarCurr)
    <=> ( v29171(VarCurr)
        | v29524(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6462,axiom,(
    ! [VarCurr] :
      ( v29583(VarCurr)
    <=> ( v29584(VarCurr)
        & v29587(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6461,axiom,(
    ! [VarCurr] :
      ( v29587(VarCurr)
    <=> ( v29517(VarCurr)
        | v29518(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6460,axiom,(
    ! [VarCurr] :
      ( v29584(VarCurr)
    <=> ( v29585(VarCurr)
        | v29586(VarCurr) ) ) )).

fof(writeUnaryOperator_3053,axiom,(
    ! [VarCurr] :
      ( ~ v29586(VarCurr)
    <=> v29518(VarCurr) ) )).

fof(writeUnaryOperator_3052,axiom,(
    ! [VarCurr] :
      ( ~ v29585(VarCurr)
    <=> v29517(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6459,axiom,(
    ! [VarCurr] :
      ( v29578(VarCurr)
    <=> ( v29579(VarCurr)
        & v29582(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6458,axiom,(
    ! [VarCurr] :
      ( v29582(VarCurr)
    <=> ( v29515(VarCurr)
        | v29528(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6457,axiom,(
    ! [VarCurr] :
      ( v29579(VarCurr)
    <=> ( v29580(VarCurr)
        | v29581(VarCurr) ) ) )).

fof(writeUnaryOperator_3051,axiom,(
    ! [VarCurr] :
      ( ~ v29581(VarCurr)
    <=> v29528(VarCurr) ) )).

fof(writeUnaryOperator_3050,axiom,(
    ! [VarCurr] :
      ( ~ v29580(VarCurr)
    <=> v29515(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6456,axiom,(
    ! [VarCurr] :
      ( v29573(VarCurr)
    <=> ( v29574(VarCurr)
        & v29577(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6455,axiom,(
    ! [VarCurr] :
      ( v29577(VarCurr)
    <=> ( v29513(VarCurr)
        | v29539(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6454,axiom,(
    ! [VarCurr] :
      ( v29574(VarCurr)
    <=> ( v29575(VarCurr)
        | v29576(VarCurr) ) ) )).

fof(writeUnaryOperator_3049,axiom,(
    ! [VarCurr] :
      ( ~ v29576(VarCurr)
    <=> v29539(VarCurr) ) )).

fof(writeUnaryOperator_3048,axiom,(
    ! [VarCurr] :
      ( ~ v29575(VarCurr)
    <=> v29513(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6453,axiom,(
    ! [VarCurr] :
      ( v29568(VarCurr)
    <=> ( v29569(VarCurr)
        & v29572(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6452,axiom,(
    ! [VarCurr] :
      ( v29572(VarCurr)
    <=> ( v29511(VarCurr)
        | v29550(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6451,axiom,(
    ! [VarCurr] :
      ( v29569(VarCurr)
    <=> ( v29570(VarCurr)
        | v29571(VarCurr) ) ) )).

fof(writeUnaryOperator_3047,axiom,(
    ! [VarCurr] :
      ( ~ v29571(VarCurr)
    <=> v29550(VarCurr) ) )).

fof(writeUnaryOperator_3046,axiom,(
    ! [VarCurr] :
      ( ~ v29570(VarCurr)
    <=> v29511(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6450,axiom,(
    ! [VarCurr] :
      ( v29506(VarCurr)
    <=> ( v29507(VarCurr)
        & v29567(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6449,axiom,(
    ! [VarCurr] :
      ( v29567(VarCurr)
    <=> ( v29509(VarCurr)
        | v29562(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6448,axiom,(
    ! [VarCurr] :
      ( v29507(VarCurr)
    <=> ( v29508(VarCurr)
        | v29561(VarCurr) ) ) )).

fof(writeUnaryOperator_3045,axiom,(
    ! [VarCurr] :
      ( ~ v29561(VarCurr)
    <=> v29562(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6447,axiom,(
    ! [VarCurr] :
      ( v29562(VarCurr)
    <=> ( v29563(VarCurr)
        & v29565(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1704,axiom,(
    ! [VarCurr] :
      ( v29565(VarCurr)
    <=> ( v27497(VarCurr,bitIndex43)
        | v29566(VarCurr) ) ) )).

fof(writeUnaryOperator_3044,axiom,(
    ! [VarCurr] :
      ( ~ v29566(VarCurr)
    <=> v29564(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6446,axiom,(
    ! [VarCurr] :
      ( v29563(VarCurr)
    <=> ( v29145(VarCurr)
        | v29564(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6445,axiom,(
    ! [VarCurr] :
      ( v29564(VarCurr)
    <=> ( v29556(VarCurr)
        & v29558(VarCurr) ) ) )).

fof(writeUnaryOperator_3043,axiom,(
    ! [VarCurr] :
      ( ~ v29508(VarCurr)
    <=> v29509(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6444,axiom,(
    ! [VarCurr] :
      ( v29509(VarCurr)
    <=> ( v29510(VarCurr)
        | v29560(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1703,axiom,(
    ! [VarCurr] :
      ( v29560(VarCurr)
    <=> ( v27497(VarCurr,bitIndex42)
        & v29553(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6443,axiom,(
    ! [VarCurr] :
      ( v29510(VarCurr)
    <=> ( v29511(VarCurr)
        & v29550(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6442,axiom,(
    ! [VarCurr] :
      ( v29550(VarCurr)
    <=> ( v29551(VarCurr)
        & v29559(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1702,axiom,(
    ! [VarCurr] :
      ( v29559(VarCurr)
    <=> ( v27497(VarCurr,bitIndex42)
        | v29553(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6441,axiom,(
    ! [VarCurr] :
      ( v29551(VarCurr)
    <=> ( v29138(VarCurr)
        | v29552(VarCurr) ) ) )).

fof(writeUnaryOperator_3042,axiom,(
    ! [VarCurr] :
      ( ~ v29552(VarCurr)
    <=> v29553(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6440,axiom,(
    ! [VarCurr] :
      ( v29553(VarCurr)
    <=> ( v29554(VarCurr)
        & v29557(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6439,axiom,(
    ! [VarCurr] :
      ( v29557(VarCurr)
    <=> ( v29556(VarCurr)
        | v29558(VarCurr) ) ) )).

fof(writeUnaryOperator_3041,axiom,(
    ! [VarCurr] :
      ( ~ v29558(VarCurr)
    <=> v26905(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_1701,axiom,(
    ! [VarCurr] :
      ( v29554(VarCurr)
    <=> ( v29555(VarCurr)
        | v26905(VarCurr,bitIndex4) ) ) )).

fof(writeUnaryOperator_3040,axiom,(
    ! [VarCurr] :
      ( ~ v29555(VarCurr)
    <=> v29556(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6438,axiom,(
    ! [VarCurr] :
      ( v29556(VarCurr)
    <=> ( v29545(VarCurr)
        & v29547(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6437,axiom,(
    ! [VarCurr] :
      ( v29511(VarCurr)
    <=> ( v29512(VarCurr)
        | v29549(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1700,axiom,(
    ! [VarCurr] :
      ( v29549(VarCurr)
    <=> ( v27497(VarCurr,bitIndex41)
        & v29542(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6436,axiom,(
    ! [VarCurr] :
      ( v29512(VarCurr)
    <=> ( v29513(VarCurr)
        & v29539(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6435,axiom,(
    ! [VarCurr] :
      ( v29539(VarCurr)
    <=> ( v29540(VarCurr)
        & v29548(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1699,axiom,(
    ! [VarCurr] :
      ( v29548(VarCurr)
    <=> ( v27497(VarCurr,bitIndex41)
        | v29542(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6434,axiom,(
    ! [VarCurr] :
      ( v29540(VarCurr)
    <=> ( v29126(VarCurr)
        | v29541(VarCurr) ) ) )).

fof(writeUnaryOperator_3039,axiom,(
    ! [VarCurr] :
      ( ~ v29541(VarCurr)
    <=> v29542(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6433,axiom,(
    ! [VarCurr] :
      ( v29542(VarCurr)
    <=> ( v29543(VarCurr)
        & v29546(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6432,axiom,(
    ! [VarCurr] :
      ( v29546(VarCurr)
    <=> ( v29545(VarCurr)
        | v29547(VarCurr) ) ) )).

fof(writeUnaryOperator_3038,axiom,(
    ! [VarCurr] :
      ( ~ v29547(VarCurr)
    <=> v26905(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_1698,axiom,(
    ! [VarCurr] :
      ( v29543(VarCurr)
    <=> ( v29544(VarCurr)
        | v26905(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_3037,axiom,(
    ! [VarCurr] :
      ( ~ v29544(VarCurr)
    <=> v29545(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6431,axiom,(
    ! [VarCurr] :
      ( v29545(VarCurr)
    <=> ( v29534(VarCurr)
        & v29536(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6430,axiom,(
    ! [VarCurr] :
      ( v29513(VarCurr)
    <=> ( v29514(VarCurr)
        | v29538(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1697,axiom,(
    ! [VarCurr] :
      ( v29538(VarCurr)
    <=> ( v27497(VarCurr,bitIndex40)
        & v29531(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6429,axiom,(
    ! [VarCurr] :
      ( v29514(VarCurr)
    <=> ( v29515(VarCurr)
        & v29528(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6428,axiom,(
    ! [VarCurr] :
      ( v29528(VarCurr)
    <=> ( v29529(VarCurr)
        & v29537(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1696,axiom,(
    ! [VarCurr] :
      ( v29537(VarCurr)
    <=> ( v27497(VarCurr,bitIndex40)
        | v29531(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6427,axiom,(
    ! [VarCurr] :
      ( v29529(VarCurr)
    <=> ( v29114(VarCurr)
        | v29530(VarCurr) ) ) )).

fof(writeUnaryOperator_3036,axiom,(
    ! [VarCurr] :
      ( ~ v29530(VarCurr)
    <=> v29531(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6426,axiom,(
    ! [VarCurr] :
      ( v29531(VarCurr)
    <=> ( v29532(VarCurr)
        & v29535(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6425,axiom,(
    ! [VarCurr] :
      ( v29535(VarCurr)
    <=> ( v29534(VarCurr)
        | v29536(VarCurr) ) ) )).

fof(writeUnaryOperator_3035,axiom,(
    ! [VarCurr] :
      ( ~ v29536(VarCurr)
    <=> v26905(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_1695,axiom,(
    ! [VarCurr] :
      ( v29532(VarCurr)
    <=> ( v29533(VarCurr)
        | v26905(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_3034,axiom,(
    ! [VarCurr] :
      ( ~ v29533(VarCurr)
    <=> v29534(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6424,axiom,(
    ! [VarCurr] :
      ( v29534(VarCurr)
    <=> ( v29524(VarCurr)
        & v29525(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6423,axiom,(
    ! [VarCurr] :
      ( v29515(VarCurr)
    <=> ( v29516(VarCurr)
        | v29527(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1694,axiom,(
    ! [VarCurr] :
      ( v29527(VarCurr)
    <=> ( v27497(VarCurr,bitIndex39)
        & v29521(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6422,axiom,(
    ! [VarCurr] :
      ( v29516(VarCurr)
    <=> ( v29517(VarCurr)
        & v29518(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6421,axiom,(
    ! [VarCurr] :
      ( v29518(VarCurr)
    <=> ( v29519(VarCurr)
        & v29526(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1693,axiom,(
    ! [VarCurr] :
      ( v29526(VarCurr)
    <=> ( v27497(VarCurr,bitIndex39)
        | v29521(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6420,axiom,(
    ! [VarCurr] :
      ( v29519(VarCurr)
    <=> ( v29102(VarCurr)
        | v29520(VarCurr) ) ) )).

fof(writeUnaryOperator_3033,axiom,(
    ! [VarCurr] :
      ( ~ v29520(VarCurr)
    <=> v29521(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6419,axiom,(
    ! [VarCurr] :
      ( v29521(VarCurr)
    <=> ( v29522(VarCurr)
        & v29523(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6418,axiom,(
    ! [VarCurr] :
      ( v29523(VarCurr)
    <=> ( v29524(VarCurr)
        | v29525(VarCurr) ) ) )).

fof(writeUnaryOperator_3032,axiom,(
    ! [VarCurr] :
      ( ~ v29525(VarCurr)
    <=> v26905(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_3031,axiom,(
    ! [VarCurr] :
      ( ~ v29524(VarCurr)
    <=> v26905(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorShiftedRanges_1692,axiom,(
    ! [VarCurr] :
      ( v29522(VarCurr)
    <=> ( v26905(VarCurr,bitIndex0)
        | v26905(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1691,axiom,(
    ! [VarCurr] :
      ( v29517(VarCurr)
    <=> ( v27497(VarCurr,bitIndex38)
        & v26905(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6417,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29493(VarNext)
      <=> v29494(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6416,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29494(VarNext)
      <=> ( v29496(VarNext)
          & v25419(VarNext) ) ) ) )).

fof(writeUnaryOperator_3030,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29496(VarNext)
      <=> v26847(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6415,axiom,(
    ! [VarCurr] :
      ( v26869(VarCurr)
    <=> ( v26871(VarCurr)
        | v26893(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_339,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29474(VarNext)
       => ( v26893(VarNext)
        <=> v26893(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_375,axiom,(
    ! [VarNext] :
      ( v29474(VarNext)
     => ( v26893(VarNext)
      <=> v29482(VarNext) ) ) )).

fof(addAssignment_9015,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29482(VarNext)
      <=> v29480(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_735,axiom,(
    ! [VarCurr] :
      ( ~ v28095(VarCurr)
     => ( v29480(VarCurr)
      <=> v29483(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_680,axiom,(
    ! [VarCurr] :
      ( v28095(VarCurr)
     => ( v29480(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_734,axiom,(
    ! [VarCurr] :
      ( ~ v26871(VarCurr)
     => ( v29483(VarCurr)
      <=> v29484(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_679,axiom,(
    ! [VarCurr] :
      ( v26871(VarCurr)
     => ( v29483(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6414,axiom,(
    ! [VarCurr] :
      ( v29484(VarCurr)
    <=> ( v29485(VarCurr)
        & v26893(VarCurr) ) ) )).

fof(writeUnaryOperator_3029,axiom,(
    ! [VarCurr] :
      ( ~ v29485(VarCurr)
    <=> v26895(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6413,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29474(VarNext)
      <=> v29475(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6412,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29475(VarNext)
      <=> ( v29477(VarNext)
          & v25419(VarNext) ) ) ) )).

fof(writeUnaryOperator_3028,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29477(VarNext)
      <=> v26847(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_80,axiom,(
    ! [VarCurr] :
      ( ( ~ v29468(VarCurr)
        & ~ v28471(VarCurr)
        & ~ v28481(VarCurr) )
     => ( v26895(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_307,axiom,(
    ! [VarCurr] :
      ( v28481(VarCurr)
     => ( v26895(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_735,axiom,(
    ! [VarCurr] :
      ( v28471(VarCurr)
     => ( v26895(VarCurr)
      <=> v29469(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_727,axiom,(
    ! [VarCurr] :
      ( v29468(VarCurr)
     => ( v26895(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_734,axiom,(
    ! [VarCurr] :
      ( ~ v28473(VarCurr)
     => ( v29469(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_726,axiom,(
    ! [VarCurr] :
      ( v28473(VarCurr)
     => ( v29469(VarCurr)
      <=> v29470(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_733,axiom,(
    ! [VarCurr] :
      ( ~ v29471(VarCurr)
     => ( v29470(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_725,axiom,(
    ! [VarCurr] :
      ( v29471(VarCurr)
     => ( v29470(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6411,axiom,(
    ! [VarCurr] :
      ( v29471(VarCurr)
    <=> ( v29183(VarCurr)
        | v29185(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6410,axiom,(
    ! [VarCurr] :
      ( v29468(VarCurr)
    <=> ( v29319(VarCurr)
        | v28470(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_733,axiom,(
    ! [VarCurr] :
      ( ~ v29337(VarCurr)
     => ( v26897(VarCurr)
      <=> v29464(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_678,axiom,(
    ! [VarCurr] :
      ( v29337(VarCurr)
     => ( v26897(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_732,axiom,(
    ! [VarCurr] :
      ( ~ v29339(VarCurr)
     => ( v29464(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_724,axiom,(
    ! [VarCurr] :
      ( v29339(VarCurr)
     => ( v29464(VarCurr)
      <=> v29465(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_732,axiom,(
    ! [VarCurr] :
      ( ~ v29345(VarCurr)
     => ( v29465(VarCurr)
      <=> v29466(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_677,axiom,(
    ! [VarCurr] :
      ( v29345(VarCurr)
     => ( v29465(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_731,axiom,(
    ! [VarCurr] :
      ( ~ v29347(VarCurr)
     => ( v29466(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_676,axiom,(
    ! [VarCurr] :
      ( v29347(VarCurr)
     => ( v29466(VarCurr)
      <=> $false ) ) )).

fof(addCaseBooleanConditionEqualRanges1_338,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29452(VarNext)
       => ( v26899(VarNext)
        <=> v26899(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_374,axiom,(
    ! [VarNext] :
      ( v29452(VarNext)
     => ( v26899(VarNext)
      <=> v29460(VarNext) ) ) )).

fof(addAssignment_9014,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29460(VarNext)
      <=> v29458(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_730,axiom,(
    ! [VarCurr] :
      ( ~ v28095(VarCurr)
     => ( v29458(VarCurr)
      <=> v26901(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_675,axiom,(
    ! [VarCurr] :
      ( v28095(VarCurr)
     => ( v29458(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6409,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29452(VarNext)
      <=> v29453(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6408,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29453(VarNext)
      <=> ( v29455(VarNext)
          & v25419(VarNext) ) ) ) )).

fof(writeUnaryOperator_3027,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29455(VarNext)
      <=> v26847(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges4_20,axiom,(
    ! [VarCurr] :
      ( ( ~ v28465(VarCurr)
        & ~ v29445(VarCurr)
        & ~ v28471(VarCurr)
        & ~ v28481(VarCurr) )
     => ( v26901(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_79,axiom,(
    ! [VarCurr] :
      ( v28481(VarCurr)
     => ( v26901(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_306,axiom,(
    ! [VarCurr] :
      ( v28471(VarCurr)
     => ( v26901(VarCurr)
      <=> v29447(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_731,axiom,(
    ! [VarCurr] :
      ( v29445(VarCurr)
     => ( v26901(VarCurr)
      <=> v29446(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_723,axiom,(
    ! [VarCurr] :
      ( v28465(VarCurr)
     => ( v26901(VarCurr)
      <=> v29442(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_730,axiom,(
    ! [VarCurr] :
      ( ~ v28473(VarCurr)
     => ( v29447(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_722,axiom,(
    ! [VarCurr] :
      ( v28473(VarCurr)
     => ( v29447(VarCurr)
      <=> v29448(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_729,axiom,(
    ! [VarCurr] :
      ( ~ v29449(VarCurr)
     => ( v29448(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_721,axiom,(
    ! [VarCurr] :
      ( v29449(VarCurr)
     => ( v29448(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6407,axiom,(
    ! [VarCurr] :
      ( v29449(VarCurr)
    <=> ( v29183(VarCurr)
        | v29185(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_728,axiom,(
    ! [VarCurr] :
      ( ~ v28468(VarCurr)
     => ( v29446(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_720,axiom,(
    ! [VarCurr] :
      ( v28468(VarCurr)
     => ( v29446(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6406,axiom,(
    ! [VarCurr] :
      ( v29445(VarCurr)
    <=> ( v28466(VarCurr)
        | v28470(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_727,axiom,(
    ! [VarCurr] :
      ( ~ v29443(VarCurr)
     => ( v29442(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_719,axiom,(
    ! [VarCurr] :
      ( v29443(VarCurr)
     => ( v29442(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_2078,axiom,(
    ! [VarCurr] :
      ( v29444(VarCurr)
    <=> ( v26869(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_2077,axiom,(
    ! [VarCurr] :
      ( v29443(VarCurr)
    <=> ( v26869(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_729,axiom,(
    ! [VarCurr] :
      ( ~ v29337(VarCurr)
     => ( v26903(VarCurr)
      <=> v29338(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_674,axiom,(
    ! [VarCurr] :
      ( v29337(VarCurr)
     => ( v26903(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_726,axiom,(
    ! [VarCurr] :
      ( ~ v29339(VarCurr)
     => ( v29338(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_718,axiom,(
    ! [VarCurr] :
      ( v29339(VarCurr)
     => ( v29338(VarCurr)
      <=> v29344(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_728,axiom,(
    ! [VarCurr] :
      ( ~ v29345(VarCurr)
     => ( v29344(VarCurr)
      <=> v29346(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_673,axiom,(
    ! [VarCurr] :
      ( v29345(VarCurr)
     => ( v29344(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_727,axiom,(
    ! [VarCurr] :
      ( ~ v29347(VarCurr)
     => ( v29346(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_672,axiom,(
    ! [VarCurr] :
      ( v29347(VarCurr)
     => ( v29346(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6405,axiom,(
    ! [VarCurr] :
      ( v29347(VarCurr)
    <=> ( v29348(VarCurr)
        & v29383(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2076,axiom,(
    ! [VarCurr] :
      ( v29383(VarCurr)
    <=> ( v29384(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges31_1,axiom,(
    ! [VarCurr] :
      ( ( ~ v29409(VarCurr)
        & ~ v29410(VarCurr)
        & ~ v29411(VarCurr)
        & ~ v29412(VarCurr)
        & ~ v29413(VarCurr)
        & ~ v29414(VarCurr)
        & ~ v29415(VarCurr)
        & ~ v29416(VarCurr)
        & ~ v29417(VarCurr)
        & ~ v29418(VarCurr)
        & ~ v29419(VarCurr)
        & ~ v29420(VarCurr)
        & ~ v29421(VarCurr)
        & ~ v29422(VarCurr)
        & ~ v29423(VarCurr)
        & ~ v29424(VarCurr)
        & ~ v29425(VarCurr)
        & ~ v29426(VarCurr)
        & ~ v29427(VarCurr)
        & ~ v29428(VarCurr)
        & ~ v29429(VarCurr)
        & ~ v29430(VarCurr)
        & ~ v29431(VarCurr)
        & ~ v29432(VarCurr)
        & ~ v29433(VarCurr)
        & ~ v29434(VarCurr)
        & ~ v29435(VarCurr)
        & ~ v29436(VarCurr)
        & ~ v29437(VarCurr)
        & ~ v29438(VarCurr)
        & ~ v29439(VarCurr) )
     => ( v29384(VarCurr)
      <=> v27011(VarCurr,bitIndex31) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges30_1,axiom,(
    ! [VarCurr] :
      ( v29439(VarCurr)
     => ( v29384(VarCurr)
      <=> v27011(VarCurr,bitIndex30) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges29_1,axiom,(
    ! [VarCurr] :
      ( v29438(VarCurr)
     => ( v29384(VarCurr)
      <=> v27011(VarCurr,bitIndex29) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges28_1,axiom,(
    ! [VarCurr] :
      ( v29437(VarCurr)
     => ( v29384(VarCurr)
      <=> v27011(VarCurr,bitIndex28) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges27_1,axiom,(
    ! [VarCurr] :
      ( v29436(VarCurr)
     => ( v29384(VarCurr)
      <=> v27011(VarCurr,bitIndex27) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges26_1,axiom,(
    ! [VarCurr] :
      ( v29435(VarCurr)
     => ( v29384(VarCurr)
      <=> v27011(VarCurr,bitIndex26) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges25_1,axiom,(
    ! [VarCurr] :
      ( v29434(VarCurr)
     => ( v29384(VarCurr)
      <=> v27011(VarCurr,bitIndex25) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges24_1,axiom,(
    ! [VarCurr] :
      ( v29433(VarCurr)
     => ( v29384(VarCurr)
      <=> v27011(VarCurr,bitIndex24) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges23_1,axiom,(
    ! [VarCurr] :
      ( v29432(VarCurr)
     => ( v29384(VarCurr)
      <=> v27011(VarCurr,bitIndex23) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges22_1,axiom,(
    ! [VarCurr] :
      ( v29431(VarCurr)
     => ( v29384(VarCurr)
      <=> v27011(VarCurr,bitIndex22) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges21_1,axiom,(
    ! [VarCurr] :
      ( v29430(VarCurr)
     => ( v29384(VarCurr)
      <=> v27011(VarCurr,bitIndex21) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges20_1,axiom,(
    ! [VarCurr] :
      ( v29429(VarCurr)
     => ( v29384(VarCurr)
      <=> v27011(VarCurr,bitIndex20) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges19_1,axiom,(
    ! [VarCurr] :
      ( v29428(VarCurr)
     => ( v29384(VarCurr)
      <=> v27011(VarCurr,bitIndex19) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges18_1,axiom,(
    ! [VarCurr] :
      ( v29427(VarCurr)
     => ( v29384(VarCurr)
      <=> v27011(VarCurr,bitIndex18) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges17_1,axiom,(
    ! [VarCurr] :
      ( v29426(VarCurr)
     => ( v29384(VarCurr)
      <=> v27011(VarCurr,bitIndex17) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges16_1,axiom,(
    ! [VarCurr] :
      ( v29425(VarCurr)
     => ( v29384(VarCurr)
      <=> v27011(VarCurr,bitIndex16) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges15_1,axiom,(
    ! [VarCurr] :
      ( v29424(VarCurr)
     => ( v29384(VarCurr)
      <=> v27011(VarCurr,bitIndex15) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges14_1,axiom,(
    ! [VarCurr] :
      ( v29423(VarCurr)
     => ( v29384(VarCurr)
      <=> v27011(VarCurr,bitIndex14) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges13_1,axiom,(
    ! [VarCurr] :
      ( v29422(VarCurr)
     => ( v29384(VarCurr)
      <=> v27011(VarCurr,bitIndex13) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges12_1,axiom,(
    ! [VarCurr] :
      ( v29421(VarCurr)
     => ( v29384(VarCurr)
      <=> v27011(VarCurr,bitIndex12) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges11_1,axiom,(
    ! [VarCurr] :
      ( v29420(VarCurr)
     => ( v29384(VarCurr)
      <=> v27011(VarCurr,bitIndex11) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges10_2,axiom,(
    ! [VarCurr] :
      ( v29419(VarCurr)
     => ( v29384(VarCurr)
      <=> v27011(VarCurr,bitIndex10) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges9_2,axiom,(
    ! [VarCurr] :
      ( v29418(VarCurr)
     => ( v29384(VarCurr)
      <=> v27011(VarCurr,bitIndex9) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges8_2,axiom,(
    ! [VarCurr] :
      ( v29417(VarCurr)
     => ( v29384(VarCurr)
      <=> v27011(VarCurr,bitIndex8) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges7_4,axiom,(
    ! [VarCurr] :
      ( v29416(VarCurr)
     => ( v29384(VarCurr)
      <=> v27011(VarCurr,bitIndex7) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges6_4,axiom,(
    ! [VarCurr] :
      ( v29415(VarCurr)
     => ( v29384(VarCurr)
      <=> v27011(VarCurr,bitIndex6) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges5_3,axiom,(
    ! [VarCurr] :
      ( v29414(VarCurr)
     => ( v29384(VarCurr)
      <=> v27011(VarCurr,bitIndex5) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges4_5,axiom,(
    ! [VarCurr] :
      ( v29413(VarCurr)
     => ( v29384(VarCurr)
      <=> v27011(VarCurr,bitIndex4) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges3_3,axiom,(
    ! [VarCurr] :
      ( v29412(VarCurr)
     => ( v29384(VarCurr)
      <=> v27011(VarCurr,bitIndex3) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges2_8,axiom,(
    ! [VarCurr] :
      ( v29411(VarCurr)
     => ( v29384(VarCurr)
      <=> v27011(VarCurr,bitIndex2) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges1_9,axiom,(
    ! [VarCurr] :
      ( v29410(VarCurr)
     => ( v29384(VarCurr)
      <=> v27011(VarCurr,bitIndex1) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_717,axiom,(
    ! [VarCurr] :
      ( v29409(VarCurr)
     => ( v29384(VarCurr)
      <=> v27011(VarCurr,bitIndex0) ) ) )).

fof(addBitVectorEqualityBitBlasted_2075,axiom,(
    ! [VarCurr] :
      ( v29440(VarCurr)
    <=> ( ( v29386(VarCurr,bitIndex4)
        <=> $true )
        & ( v29386(VarCurr,bitIndex3)
        <=> $true )
        & ( v29386(VarCurr,bitIndex2)
        <=> $true )
        & ( v29386(VarCurr,bitIndex1)
        <=> $true )
        & ( v29386(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2074,axiom,(
    ! [VarCurr] :
      ( v29439(VarCurr)
    <=> ( ( v29386(VarCurr,bitIndex4)
        <=> $true )
        & ( v29386(VarCurr,bitIndex3)
        <=> $true )
        & ( v29386(VarCurr,bitIndex2)
        <=> $true )
        & ( v29386(VarCurr,bitIndex1)
        <=> $true )
        & ( v29386(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2073,axiom,(
    ! [VarCurr] :
      ( v29438(VarCurr)
    <=> ( ( v29386(VarCurr,bitIndex4)
        <=> $true )
        & ( v29386(VarCurr,bitIndex3)
        <=> $true )
        & ( v29386(VarCurr,bitIndex2)
        <=> $true )
        & ( v29386(VarCurr,bitIndex1)
        <=> $false )
        & ( v29386(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2072,axiom,(
    ! [VarCurr] :
      ( v29437(VarCurr)
    <=> ( ( v29386(VarCurr,bitIndex4)
        <=> $true )
        & ( v29386(VarCurr,bitIndex3)
        <=> $true )
        & ( v29386(VarCurr,bitIndex2)
        <=> $true )
        & ( v29386(VarCurr,bitIndex1)
        <=> $false )
        & ( v29386(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2071,axiom,(
    ! [VarCurr] :
      ( v29436(VarCurr)
    <=> ( ( v29386(VarCurr,bitIndex4)
        <=> $true )
        & ( v29386(VarCurr,bitIndex3)
        <=> $true )
        & ( v29386(VarCurr,bitIndex2)
        <=> $false )
        & ( v29386(VarCurr,bitIndex1)
        <=> $true )
        & ( v29386(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2070,axiom,(
    ! [VarCurr] :
      ( v29435(VarCurr)
    <=> ( ( v29386(VarCurr,bitIndex4)
        <=> $true )
        & ( v29386(VarCurr,bitIndex3)
        <=> $true )
        & ( v29386(VarCurr,bitIndex2)
        <=> $false )
        & ( v29386(VarCurr,bitIndex1)
        <=> $true )
        & ( v29386(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2069,axiom,(
    ! [VarCurr] :
      ( v29434(VarCurr)
    <=> ( ( v29386(VarCurr,bitIndex4)
        <=> $true )
        & ( v29386(VarCurr,bitIndex3)
        <=> $true )
        & ( v29386(VarCurr,bitIndex2)
        <=> $false )
        & ( v29386(VarCurr,bitIndex1)
        <=> $false )
        & ( v29386(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2068,axiom,(
    ! [VarCurr] :
      ( v29433(VarCurr)
    <=> ( ( v29386(VarCurr,bitIndex4)
        <=> $true )
        & ( v29386(VarCurr,bitIndex3)
        <=> $true )
        & ( v29386(VarCurr,bitIndex2)
        <=> $false )
        & ( v29386(VarCurr,bitIndex1)
        <=> $false )
        & ( v29386(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2067,axiom,(
    ! [VarCurr] :
      ( v29432(VarCurr)
    <=> ( ( v29386(VarCurr,bitIndex4)
        <=> $true )
        & ( v29386(VarCurr,bitIndex3)
        <=> $false )
        & ( v29386(VarCurr,bitIndex2)
        <=> $true )
        & ( v29386(VarCurr,bitIndex1)
        <=> $true )
        & ( v29386(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2066,axiom,(
    ! [VarCurr] :
      ( v29431(VarCurr)
    <=> ( ( v29386(VarCurr,bitIndex4)
        <=> $true )
        & ( v29386(VarCurr,bitIndex3)
        <=> $false )
        & ( v29386(VarCurr,bitIndex2)
        <=> $true )
        & ( v29386(VarCurr,bitIndex1)
        <=> $true )
        & ( v29386(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2065,axiom,(
    ! [VarCurr] :
      ( v29430(VarCurr)
    <=> ( ( v29386(VarCurr,bitIndex4)
        <=> $true )
        & ( v29386(VarCurr,bitIndex3)
        <=> $false )
        & ( v29386(VarCurr,bitIndex2)
        <=> $true )
        & ( v29386(VarCurr,bitIndex1)
        <=> $false )
        & ( v29386(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2064,axiom,(
    ! [VarCurr] :
      ( v29429(VarCurr)
    <=> ( ( v29386(VarCurr,bitIndex4)
        <=> $true )
        & ( v29386(VarCurr,bitIndex3)
        <=> $false )
        & ( v29386(VarCurr,bitIndex2)
        <=> $true )
        & ( v29386(VarCurr,bitIndex1)
        <=> $false )
        & ( v29386(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2063,axiom,(
    ! [VarCurr] :
      ( v29428(VarCurr)
    <=> ( ( v29386(VarCurr,bitIndex4)
        <=> $true )
        & ( v29386(VarCurr,bitIndex3)
        <=> $false )
        & ( v29386(VarCurr,bitIndex2)
        <=> $false )
        & ( v29386(VarCurr,bitIndex1)
        <=> $true )
        & ( v29386(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2062,axiom,(
    ! [VarCurr] :
      ( v29427(VarCurr)
    <=> ( ( v29386(VarCurr,bitIndex4)
        <=> $true )
        & ( v29386(VarCurr,bitIndex3)
        <=> $false )
        & ( v29386(VarCurr,bitIndex2)
        <=> $false )
        & ( v29386(VarCurr,bitIndex1)
        <=> $true )
        & ( v29386(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2061,axiom,(
    ! [VarCurr] :
      ( v29426(VarCurr)
    <=> ( ( v29386(VarCurr,bitIndex4)
        <=> $true )
        & ( v29386(VarCurr,bitIndex3)
        <=> $false )
        & ( v29386(VarCurr,bitIndex2)
        <=> $false )
        & ( v29386(VarCurr,bitIndex1)
        <=> $false )
        & ( v29386(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2060,axiom,(
    ! [VarCurr] :
      ( v29425(VarCurr)
    <=> ( ( v29386(VarCurr,bitIndex4)
        <=> $true )
        & ( v29386(VarCurr,bitIndex3)
        <=> $false )
        & ( v29386(VarCurr,bitIndex2)
        <=> $false )
        & ( v29386(VarCurr,bitIndex1)
        <=> $false )
        & ( v29386(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2059,axiom,(
    ! [VarCurr] :
      ( v29424(VarCurr)
    <=> ( ( v29386(VarCurr,bitIndex4)
        <=> $false )
        & ( v29386(VarCurr,bitIndex3)
        <=> $true )
        & ( v29386(VarCurr,bitIndex2)
        <=> $true )
        & ( v29386(VarCurr,bitIndex1)
        <=> $true )
        & ( v29386(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2058,axiom,(
    ! [VarCurr] :
      ( v29423(VarCurr)
    <=> ( ( v29386(VarCurr,bitIndex4)
        <=> $false )
        & ( v29386(VarCurr,bitIndex3)
        <=> $true )
        & ( v29386(VarCurr,bitIndex2)
        <=> $true )
        & ( v29386(VarCurr,bitIndex1)
        <=> $true )
        & ( v29386(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2057,axiom,(
    ! [VarCurr] :
      ( v29422(VarCurr)
    <=> ( ( v29386(VarCurr,bitIndex4)
        <=> $false )
        & ( v29386(VarCurr,bitIndex3)
        <=> $true )
        & ( v29386(VarCurr,bitIndex2)
        <=> $true )
        & ( v29386(VarCurr,bitIndex1)
        <=> $false )
        & ( v29386(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2056,axiom,(
    ! [VarCurr] :
      ( v29421(VarCurr)
    <=> ( ( v29386(VarCurr,bitIndex4)
        <=> $false )
        & ( v29386(VarCurr,bitIndex3)
        <=> $true )
        & ( v29386(VarCurr,bitIndex2)
        <=> $true )
        & ( v29386(VarCurr,bitIndex1)
        <=> $false )
        & ( v29386(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2055,axiom,(
    ! [VarCurr] :
      ( v29420(VarCurr)
    <=> ( ( v29386(VarCurr,bitIndex4)
        <=> $false )
        & ( v29386(VarCurr,bitIndex3)
        <=> $true )
        & ( v29386(VarCurr,bitIndex2)
        <=> $false )
        & ( v29386(VarCurr,bitIndex1)
        <=> $true )
        & ( v29386(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2054,axiom,(
    ! [VarCurr] :
      ( v29419(VarCurr)
    <=> ( ( v29386(VarCurr,bitIndex4)
        <=> $false )
        & ( v29386(VarCurr,bitIndex3)
        <=> $true )
        & ( v29386(VarCurr,bitIndex2)
        <=> $false )
        & ( v29386(VarCurr,bitIndex1)
        <=> $true )
        & ( v29386(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2053,axiom,(
    ! [VarCurr] :
      ( v29418(VarCurr)
    <=> ( ( v29386(VarCurr,bitIndex4)
        <=> $false )
        & ( v29386(VarCurr,bitIndex3)
        <=> $true )
        & ( v29386(VarCurr,bitIndex2)
        <=> $false )
        & ( v29386(VarCurr,bitIndex1)
        <=> $false )
        & ( v29386(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2052,axiom,(
    ! [VarCurr] :
      ( v29417(VarCurr)
    <=> ( ( v29386(VarCurr,bitIndex4)
        <=> $false )
        & ( v29386(VarCurr,bitIndex3)
        <=> $true )
        & ( v29386(VarCurr,bitIndex2)
        <=> $false )
        & ( v29386(VarCurr,bitIndex1)
        <=> $false )
        & ( v29386(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2051,axiom,(
    ! [VarCurr] :
      ( v29416(VarCurr)
    <=> ( ( v29386(VarCurr,bitIndex4)
        <=> $false )
        & ( v29386(VarCurr,bitIndex3)
        <=> $false )
        & ( v29386(VarCurr,bitIndex2)
        <=> $true )
        & ( v29386(VarCurr,bitIndex1)
        <=> $true )
        & ( v29386(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2050,axiom,(
    ! [VarCurr] :
      ( v29415(VarCurr)
    <=> ( ( v29386(VarCurr,bitIndex4)
        <=> $false )
        & ( v29386(VarCurr,bitIndex3)
        <=> $false )
        & ( v29386(VarCurr,bitIndex2)
        <=> $true )
        & ( v29386(VarCurr,bitIndex1)
        <=> $true )
        & ( v29386(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2049,axiom,(
    ! [VarCurr] :
      ( v29414(VarCurr)
    <=> ( ( v29386(VarCurr,bitIndex4)
        <=> $false )
        & ( v29386(VarCurr,bitIndex3)
        <=> $false )
        & ( v29386(VarCurr,bitIndex2)
        <=> $true )
        & ( v29386(VarCurr,bitIndex1)
        <=> $false )
        & ( v29386(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2048,axiom,(
    ! [VarCurr] :
      ( v29413(VarCurr)
    <=> ( ( v29386(VarCurr,bitIndex4)
        <=> $false )
        & ( v29386(VarCurr,bitIndex3)
        <=> $false )
        & ( v29386(VarCurr,bitIndex2)
        <=> $true )
        & ( v29386(VarCurr,bitIndex1)
        <=> $false )
        & ( v29386(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2047,axiom,(
    ! [VarCurr] :
      ( v29412(VarCurr)
    <=> ( ( v29386(VarCurr,bitIndex4)
        <=> $false )
        & ( v29386(VarCurr,bitIndex3)
        <=> $false )
        & ( v29386(VarCurr,bitIndex2)
        <=> $false )
        & ( v29386(VarCurr,bitIndex1)
        <=> $true )
        & ( v29386(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2046,axiom,(
    ! [VarCurr] :
      ( v29411(VarCurr)
    <=> ( ( v29386(VarCurr,bitIndex4)
        <=> $false )
        & ( v29386(VarCurr,bitIndex3)
        <=> $false )
        & ( v29386(VarCurr,bitIndex2)
        <=> $false )
        & ( v29386(VarCurr,bitIndex1)
        <=> $true )
        & ( v29386(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2045,axiom,(
    ! [VarCurr] :
      ( v29410(VarCurr)
    <=> ( ( v29386(VarCurr,bitIndex4)
        <=> $false )
        & ( v29386(VarCurr,bitIndex3)
        <=> $false )
        & ( v29386(VarCurr,bitIndex2)
        <=> $false )
        & ( v29386(VarCurr,bitIndex1)
        <=> $false )
        & ( v29386(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2044,axiom,(
    ! [VarCurr] :
      ( v29409(VarCurr)
    <=> ( ( v29386(VarCurr,bitIndex4)
        <=> $false )
        & ( v29386(VarCurr,bitIndex3)
        <=> $false )
        & ( v29386(VarCurr,bitIndex2)
        <=> $false )
        & ( v29386(VarCurr,bitIndex1)
        <=> $false )
        & ( v29386(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_9013,axiom,(
    ! [VarCurr] :
      ( v29386(VarCurr,bitIndex0)
    <=> v29299(VarCurr) ) )).

fof(addAssignment_9012,axiom,(
    ! [VarCurr] :
      ( v29386(VarCurr,bitIndex1)
    <=> v29406(VarCurr) ) )).

fof(addAssignment_9011,axiom,(
    ! [VarCurr] :
      ( v29386(VarCurr,bitIndex2)
    <=> v29402(VarCurr) ) )).

fof(addAssignment_9010,axiom,(
    ! [VarCurr] :
      ( v29386(VarCurr,bitIndex3)
    <=> v29398(VarCurr) ) )).

fof(addAssignment_9009,axiom,(
    ! [VarCurr] :
      ( v29386(VarCurr,bitIndex4)
    <=> v29388(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6404,axiom,(
    ! [VarCurr] :
      ( v29406(VarCurr)
    <=> ( v29407(VarCurr)
        & v29408(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6403,axiom,(
    ! [VarCurr] :
      ( v29408(VarCurr)
    <=> ( v26905(VarCurr,bitIndex0)
        | v29259(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1690,axiom,(
    ! [VarCurr] :
      ( v29407(VarCurr)
    <=> ( v29299(VarCurr)
        | v26905(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6402,axiom,(
    ! [VarCurr] :
      ( v29402(VarCurr)
    <=> ( v29403(VarCurr)
        & v29405(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6401,axiom,(
    ! [VarCurr] :
      ( v29405(VarCurr)
    <=> ( v29265(VarCurr)
        | v29395(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1689,axiom,(
    ! [VarCurr] :
      ( v29403(VarCurr)
    <=> ( v26905(VarCurr,bitIndex2)
        | v29404(VarCurr) ) ) )).

fof(writeUnaryOperator_3026,axiom,(
    ! [VarCurr] :
      ( ~ v29404(VarCurr)
    <=> v29395(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6400,axiom,(
    ! [VarCurr] :
      ( v29398(VarCurr)
    <=> ( v29399(VarCurr)
        & v29401(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6399,axiom,(
    ! [VarCurr] :
      ( v29401(VarCurr)
    <=> ( v29271(VarCurr)
        | v29393(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1688,axiom,(
    ! [VarCurr] :
      ( v29399(VarCurr)
    <=> ( v26905(VarCurr,bitIndex3)
        | v29400(VarCurr) ) ) )).

fof(writeUnaryOperator_3025,axiom,(
    ! [VarCurr] :
      ( ~ v29400(VarCurr)
    <=> v29393(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6398,axiom,(
    ! [VarCurr] :
      ( v29388(VarCurr)
    <=> ( v29389(VarCurr)
        & v29397(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6397,axiom,(
    ! [VarCurr] :
      ( v29397(VarCurr)
    <=> ( v29278(VarCurr)
        | v29391(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1687,axiom,(
    ! [VarCurr] :
      ( v29389(VarCurr)
    <=> ( v26905(VarCurr,bitIndex4)
        | v29390(VarCurr) ) ) )).

fof(writeUnaryOperator_3024,axiom,(
    ! [VarCurr] :
      ( ~ v29390(VarCurr)
    <=> v29391(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1686,axiom,(
    ! [VarCurr] :
      ( v29391(VarCurr)
    <=> ( v26905(VarCurr,bitIndex3)
        | v29392(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6396,axiom,(
    ! [VarCurr] :
      ( v29392(VarCurr)
    <=> ( v29271(VarCurr)
        & v29393(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1685,axiom,(
    ! [VarCurr] :
      ( v29393(VarCurr)
    <=> ( v26905(VarCurr,bitIndex2)
        | v29394(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6395,axiom,(
    ! [VarCurr] :
      ( v29394(VarCurr)
    <=> ( v29265(VarCurr)
        & v29395(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1684,axiom,(
    ! [VarCurr] :
      ( v29395(VarCurr)
    <=> ( v26905(VarCurr,bitIndex1)
        | v29396(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6394,axiom,(
    ! [VarCurr] :
      ( v29396(VarCurr)
    <=> ( v26905(VarCurr,bitIndex0)
        & v29259(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2043,axiom,(
    ! [VarCurr] :
      ( v29348(VarCurr)
    <=> ( v29349(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges31,axiom,(
    ! [VarCurr] :
      ( ( ~ v29351(VarCurr)
        & ~ v29352(VarCurr)
        & ~ v29353(VarCurr)
        & ~ v29354(VarCurr)
        & ~ v29355(VarCurr)
        & ~ v29356(VarCurr)
        & ~ v29357(VarCurr)
        & ~ v29358(VarCurr)
        & ~ v29359(VarCurr)
        & ~ v29360(VarCurr)
        & ~ v29361(VarCurr)
        & ~ v29362(VarCurr)
        & ~ v29363(VarCurr)
        & ~ v29364(VarCurr)
        & ~ v29365(VarCurr)
        & ~ v29366(VarCurr)
        & ~ v29367(VarCurr)
        & ~ v29368(VarCurr)
        & ~ v29369(VarCurr)
        & ~ v29370(VarCurr)
        & ~ v29371(VarCurr)
        & ~ v29372(VarCurr)
        & ~ v29373(VarCurr)
        & ~ v29374(VarCurr)
        & ~ v29375(VarCurr)
        & ~ v29376(VarCurr)
        & ~ v29377(VarCurr)
        & ~ v29378(VarCurr)
        & ~ v29379(VarCurr)
        & ~ v29380(VarCurr)
        & ~ v29381(VarCurr) )
     => ( v29349(VarCurr)
      <=> v27011(VarCurr,bitIndex31) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges30,axiom,(
    ! [VarCurr] :
      ( v29381(VarCurr)
     => ( v29349(VarCurr)
      <=> v27011(VarCurr,bitIndex30) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges29,axiom,(
    ! [VarCurr] :
      ( v29380(VarCurr)
     => ( v29349(VarCurr)
      <=> v27011(VarCurr,bitIndex29) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges28,axiom,(
    ! [VarCurr] :
      ( v29379(VarCurr)
     => ( v29349(VarCurr)
      <=> v27011(VarCurr,bitIndex28) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges27,axiom,(
    ! [VarCurr] :
      ( v29378(VarCurr)
     => ( v29349(VarCurr)
      <=> v27011(VarCurr,bitIndex27) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges26,axiom,(
    ! [VarCurr] :
      ( v29377(VarCurr)
     => ( v29349(VarCurr)
      <=> v27011(VarCurr,bitIndex26) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges25,axiom,(
    ! [VarCurr] :
      ( v29376(VarCurr)
     => ( v29349(VarCurr)
      <=> v27011(VarCurr,bitIndex25) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges24,axiom,(
    ! [VarCurr] :
      ( v29375(VarCurr)
     => ( v29349(VarCurr)
      <=> v27011(VarCurr,bitIndex24) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges23,axiom,(
    ! [VarCurr] :
      ( v29374(VarCurr)
     => ( v29349(VarCurr)
      <=> v27011(VarCurr,bitIndex23) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges22,axiom,(
    ! [VarCurr] :
      ( v29373(VarCurr)
     => ( v29349(VarCurr)
      <=> v27011(VarCurr,bitIndex22) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges21,axiom,(
    ! [VarCurr] :
      ( v29372(VarCurr)
     => ( v29349(VarCurr)
      <=> v27011(VarCurr,bitIndex21) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges20,axiom,(
    ! [VarCurr] :
      ( v29371(VarCurr)
     => ( v29349(VarCurr)
      <=> v27011(VarCurr,bitIndex20) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges19,axiom,(
    ! [VarCurr] :
      ( v29370(VarCurr)
     => ( v29349(VarCurr)
      <=> v27011(VarCurr,bitIndex19) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges18,axiom,(
    ! [VarCurr] :
      ( v29369(VarCurr)
     => ( v29349(VarCurr)
      <=> v27011(VarCurr,bitIndex18) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges17,axiom,(
    ! [VarCurr] :
      ( v29368(VarCurr)
     => ( v29349(VarCurr)
      <=> v27011(VarCurr,bitIndex17) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges16,axiom,(
    ! [VarCurr] :
      ( v29367(VarCurr)
     => ( v29349(VarCurr)
      <=> v27011(VarCurr,bitIndex16) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges15,axiom,(
    ! [VarCurr] :
      ( v29366(VarCurr)
     => ( v29349(VarCurr)
      <=> v27011(VarCurr,bitIndex15) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges14,axiom,(
    ! [VarCurr] :
      ( v29365(VarCurr)
     => ( v29349(VarCurr)
      <=> v27011(VarCurr,bitIndex14) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges13,axiom,(
    ! [VarCurr] :
      ( v29364(VarCurr)
     => ( v29349(VarCurr)
      <=> v27011(VarCurr,bitIndex13) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges12,axiom,(
    ! [VarCurr] :
      ( v29363(VarCurr)
     => ( v29349(VarCurr)
      <=> v27011(VarCurr,bitIndex12) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges11,axiom,(
    ! [VarCurr] :
      ( v29362(VarCurr)
     => ( v29349(VarCurr)
      <=> v27011(VarCurr,bitIndex11) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges10_1,axiom,(
    ! [VarCurr] :
      ( v29361(VarCurr)
     => ( v29349(VarCurr)
      <=> v27011(VarCurr,bitIndex10) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges9_1,axiom,(
    ! [VarCurr] :
      ( v29360(VarCurr)
     => ( v29349(VarCurr)
      <=> v27011(VarCurr,bitIndex9) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges8_1,axiom,(
    ! [VarCurr] :
      ( v29359(VarCurr)
     => ( v29349(VarCurr)
      <=> v27011(VarCurr,bitIndex8) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges7_3,axiom,(
    ! [VarCurr] :
      ( v29358(VarCurr)
     => ( v29349(VarCurr)
      <=> v27011(VarCurr,bitIndex7) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges6_3,axiom,(
    ! [VarCurr] :
      ( v29357(VarCurr)
     => ( v29349(VarCurr)
      <=> v27011(VarCurr,bitIndex6) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges5_2,axiom,(
    ! [VarCurr] :
      ( v29356(VarCurr)
     => ( v29349(VarCurr)
      <=> v27011(VarCurr,bitIndex5) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges4_4,axiom,(
    ! [VarCurr] :
      ( v29355(VarCurr)
     => ( v29349(VarCurr)
      <=> v27011(VarCurr,bitIndex4) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges3_2,axiom,(
    ! [VarCurr] :
      ( v29354(VarCurr)
     => ( v29349(VarCurr)
      <=> v27011(VarCurr,bitIndex3) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges2_7,axiom,(
    ! [VarCurr] :
      ( v29353(VarCurr)
     => ( v29349(VarCurr)
      <=> v27011(VarCurr,bitIndex2) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges1_8,axiom,(
    ! [VarCurr] :
      ( v29352(VarCurr)
     => ( v29349(VarCurr)
      <=> v27011(VarCurr,bitIndex1) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_716,axiom,(
    ! [VarCurr] :
      ( v29351(VarCurr)
     => ( v29349(VarCurr)
      <=> v27011(VarCurr,bitIndex0) ) ) )).

fof(addBitVectorEqualityBitBlasted_2042,axiom,(
    ! [VarCurr] :
      ( v29382(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $true )
        & ( v26905(VarCurr,bitIndex3)
        <=> $true )
        & ( v26905(VarCurr,bitIndex2)
        <=> $true )
        & ( v26905(VarCurr,bitIndex1)
        <=> $true )
        & ( v26905(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2041,axiom,(
    ! [VarCurr] :
      ( v29381(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $true )
        & ( v26905(VarCurr,bitIndex3)
        <=> $true )
        & ( v26905(VarCurr,bitIndex2)
        <=> $true )
        & ( v26905(VarCurr,bitIndex1)
        <=> $true )
        & ( v26905(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2040,axiom,(
    ! [VarCurr] :
      ( v29380(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $true )
        & ( v26905(VarCurr,bitIndex3)
        <=> $true )
        & ( v26905(VarCurr,bitIndex2)
        <=> $true )
        & ( v26905(VarCurr,bitIndex1)
        <=> $false )
        & ( v26905(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2039,axiom,(
    ! [VarCurr] :
      ( v29379(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $true )
        & ( v26905(VarCurr,bitIndex3)
        <=> $true )
        & ( v26905(VarCurr,bitIndex2)
        <=> $true )
        & ( v26905(VarCurr,bitIndex1)
        <=> $false )
        & ( v26905(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2038,axiom,(
    ! [VarCurr] :
      ( v29378(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $true )
        & ( v26905(VarCurr,bitIndex3)
        <=> $true )
        & ( v26905(VarCurr,bitIndex2)
        <=> $false )
        & ( v26905(VarCurr,bitIndex1)
        <=> $true )
        & ( v26905(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2037,axiom,(
    ! [VarCurr] :
      ( v29377(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $true )
        & ( v26905(VarCurr,bitIndex3)
        <=> $true )
        & ( v26905(VarCurr,bitIndex2)
        <=> $false )
        & ( v26905(VarCurr,bitIndex1)
        <=> $true )
        & ( v26905(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2036,axiom,(
    ! [VarCurr] :
      ( v29376(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $true )
        & ( v26905(VarCurr,bitIndex3)
        <=> $true )
        & ( v26905(VarCurr,bitIndex2)
        <=> $false )
        & ( v26905(VarCurr,bitIndex1)
        <=> $false )
        & ( v26905(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2035,axiom,(
    ! [VarCurr] :
      ( v29375(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $true )
        & ( v26905(VarCurr,bitIndex3)
        <=> $true )
        & ( v26905(VarCurr,bitIndex2)
        <=> $false )
        & ( v26905(VarCurr,bitIndex1)
        <=> $false )
        & ( v26905(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2034,axiom,(
    ! [VarCurr] :
      ( v29374(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $true )
        & ( v26905(VarCurr,bitIndex3)
        <=> $false )
        & ( v26905(VarCurr,bitIndex2)
        <=> $true )
        & ( v26905(VarCurr,bitIndex1)
        <=> $true )
        & ( v26905(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2033,axiom,(
    ! [VarCurr] :
      ( v29373(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $true )
        & ( v26905(VarCurr,bitIndex3)
        <=> $false )
        & ( v26905(VarCurr,bitIndex2)
        <=> $true )
        & ( v26905(VarCurr,bitIndex1)
        <=> $true )
        & ( v26905(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2032,axiom,(
    ! [VarCurr] :
      ( v29372(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $true )
        & ( v26905(VarCurr,bitIndex3)
        <=> $false )
        & ( v26905(VarCurr,bitIndex2)
        <=> $true )
        & ( v26905(VarCurr,bitIndex1)
        <=> $false )
        & ( v26905(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2031,axiom,(
    ! [VarCurr] :
      ( v29371(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $true )
        & ( v26905(VarCurr,bitIndex3)
        <=> $false )
        & ( v26905(VarCurr,bitIndex2)
        <=> $true )
        & ( v26905(VarCurr,bitIndex1)
        <=> $false )
        & ( v26905(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2030,axiom,(
    ! [VarCurr] :
      ( v29370(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $true )
        & ( v26905(VarCurr,bitIndex3)
        <=> $false )
        & ( v26905(VarCurr,bitIndex2)
        <=> $false )
        & ( v26905(VarCurr,bitIndex1)
        <=> $true )
        & ( v26905(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2029,axiom,(
    ! [VarCurr] :
      ( v29369(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $true )
        & ( v26905(VarCurr,bitIndex3)
        <=> $false )
        & ( v26905(VarCurr,bitIndex2)
        <=> $false )
        & ( v26905(VarCurr,bitIndex1)
        <=> $true )
        & ( v26905(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2028,axiom,(
    ! [VarCurr] :
      ( v29368(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $true )
        & ( v26905(VarCurr,bitIndex3)
        <=> $false )
        & ( v26905(VarCurr,bitIndex2)
        <=> $false )
        & ( v26905(VarCurr,bitIndex1)
        <=> $false )
        & ( v26905(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2027,axiom,(
    ! [VarCurr] :
      ( v29367(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $true )
        & ( v26905(VarCurr,bitIndex3)
        <=> $false )
        & ( v26905(VarCurr,bitIndex2)
        <=> $false )
        & ( v26905(VarCurr,bitIndex1)
        <=> $false )
        & ( v26905(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2026,axiom,(
    ! [VarCurr] :
      ( v29366(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $false )
        & ( v26905(VarCurr,bitIndex3)
        <=> $true )
        & ( v26905(VarCurr,bitIndex2)
        <=> $true )
        & ( v26905(VarCurr,bitIndex1)
        <=> $true )
        & ( v26905(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2025,axiom,(
    ! [VarCurr] :
      ( v29365(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $false )
        & ( v26905(VarCurr,bitIndex3)
        <=> $true )
        & ( v26905(VarCurr,bitIndex2)
        <=> $true )
        & ( v26905(VarCurr,bitIndex1)
        <=> $true )
        & ( v26905(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2024,axiom,(
    ! [VarCurr] :
      ( v29364(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $false )
        & ( v26905(VarCurr,bitIndex3)
        <=> $true )
        & ( v26905(VarCurr,bitIndex2)
        <=> $true )
        & ( v26905(VarCurr,bitIndex1)
        <=> $false )
        & ( v26905(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2023,axiom,(
    ! [VarCurr] :
      ( v29363(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $false )
        & ( v26905(VarCurr,bitIndex3)
        <=> $true )
        & ( v26905(VarCurr,bitIndex2)
        <=> $true )
        & ( v26905(VarCurr,bitIndex1)
        <=> $false )
        & ( v26905(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2022,axiom,(
    ! [VarCurr] :
      ( v29362(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $false )
        & ( v26905(VarCurr,bitIndex3)
        <=> $true )
        & ( v26905(VarCurr,bitIndex2)
        <=> $false )
        & ( v26905(VarCurr,bitIndex1)
        <=> $true )
        & ( v26905(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2021,axiom,(
    ! [VarCurr] :
      ( v29361(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $false )
        & ( v26905(VarCurr,bitIndex3)
        <=> $true )
        & ( v26905(VarCurr,bitIndex2)
        <=> $false )
        & ( v26905(VarCurr,bitIndex1)
        <=> $true )
        & ( v26905(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2020,axiom,(
    ! [VarCurr] :
      ( v29360(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $false )
        & ( v26905(VarCurr,bitIndex3)
        <=> $true )
        & ( v26905(VarCurr,bitIndex2)
        <=> $false )
        & ( v26905(VarCurr,bitIndex1)
        <=> $false )
        & ( v26905(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2019,axiom,(
    ! [VarCurr] :
      ( v29359(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $false )
        & ( v26905(VarCurr,bitIndex3)
        <=> $true )
        & ( v26905(VarCurr,bitIndex2)
        <=> $false )
        & ( v26905(VarCurr,bitIndex1)
        <=> $false )
        & ( v26905(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2018,axiom,(
    ! [VarCurr] :
      ( v29358(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $false )
        & ( v26905(VarCurr,bitIndex3)
        <=> $false )
        & ( v26905(VarCurr,bitIndex2)
        <=> $true )
        & ( v26905(VarCurr,bitIndex1)
        <=> $true )
        & ( v26905(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2017,axiom,(
    ! [VarCurr] :
      ( v29357(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $false )
        & ( v26905(VarCurr,bitIndex3)
        <=> $false )
        & ( v26905(VarCurr,bitIndex2)
        <=> $true )
        & ( v26905(VarCurr,bitIndex1)
        <=> $true )
        & ( v26905(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2016,axiom,(
    ! [VarCurr] :
      ( v29356(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $false )
        & ( v26905(VarCurr,bitIndex3)
        <=> $false )
        & ( v26905(VarCurr,bitIndex2)
        <=> $true )
        & ( v26905(VarCurr,bitIndex1)
        <=> $false )
        & ( v26905(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2015,axiom,(
    ! [VarCurr] :
      ( v29355(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $false )
        & ( v26905(VarCurr,bitIndex3)
        <=> $false )
        & ( v26905(VarCurr,bitIndex2)
        <=> $true )
        & ( v26905(VarCurr,bitIndex1)
        <=> $false )
        & ( v26905(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2014,axiom,(
    ! [VarCurr] :
      ( v29354(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $false )
        & ( v26905(VarCurr,bitIndex3)
        <=> $false )
        & ( v26905(VarCurr,bitIndex2)
        <=> $false )
        & ( v26905(VarCurr,bitIndex1)
        <=> $true )
        & ( v26905(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2013,axiom,(
    ! [VarCurr] :
      ( v29353(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $false )
        & ( v26905(VarCurr,bitIndex3)
        <=> $false )
        & ( v26905(VarCurr,bitIndex2)
        <=> $false )
        & ( v26905(VarCurr,bitIndex1)
        <=> $true )
        & ( v26905(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2012,axiom,(
    ! [VarCurr] :
      ( v29352(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $false )
        & ( v26905(VarCurr,bitIndex3)
        <=> $false )
        & ( v26905(VarCurr,bitIndex2)
        <=> $false )
        & ( v26905(VarCurr,bitIndex1)
        <=> $false )
        & ( v26905(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2011,axiom,(
    ! [VarCurr] :
      ( v29351(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $false )
        & ( v26905(VarCurr,bitIndex3)
        <=> $false )
        & ( v26905(VarCurr,bitIndex2)
        <=> $false )
        & ( v26905(VarCurr,bitIndex1)
        <=> $false )
        & ( v26905(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_2010,axiom,(
    ! [VarCurr] :
      ( v29345(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $false )
        & ( v26905(VarCurr,bitIndex3)
        <=> $false )
        & ( v26905(VarCurr,bitIndex2)
        <=> $false )
        & ( v26905(VarCurr,bitIndex1)
        <=> $false )
        & ( v26905(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6393,axiom,(
    ! [VarCurr] :
      ( v29339(VarCurr)
    <=> ( v29340(VarCurr)
        | v29342(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2009,axiom,(
    ! [VarCurr] :
      ( v29342(VarCurr)
    <=> ( ( v29343(VarCurr,bitIndex3)
        <=> $false )
        & ( v29343(VarCurr,bitIndex2)
        <=> $true )
        & ( v29343(VarCurr,bitIndex1)
        <=> $false )
        & ( v29343(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_9008,axiom,(
    ! [VarCurr] :
      ( v29343(VarCurr,bitIndex0)
    <=> v26899(VarCurr) ) )).

fof(addAssignment_9007,axiom,(
    ! [VarCurr] :
      ( ( v29343(VarCurr,bitIndex3)
      <=> v26197(VarCurr,bitIndex2) )
      & ( v29343(VarCurr,bitIndex2)
      <=> v26197(VarCurr,bitIndex1) )
      & ( v29343(VarCurr,bitIndex1)
      <=> v26197(VarCurr,bitIndex0) ) ) )).

fof(addBitVectorEqualityBitBlasted_2008,axiom,(
    ! [VarCurr] :
      ( v29340(VarCurr)
    <=> ( ( v29341(VarCurr,bitIndex3)
        <=> $false )
        & ( v29341(VarCurr,bitIndex2)
        <=> $false )
        & ( v29341(VarCurr,bitIndex1)
        <=> $true )
        & ( v29341(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_9006,axiom,(
    ! [VarCurr] :
      ( v29341(VarCurr,bitIndex0)
    <=> v26899(VarCurr) ) )).

fof(addAssignment_9005,axiom,(
    ! [VarCurr] :
      ( ( v29341(VarCurr,bitIndex3)
      <=> v26197(VarCurr,bitIndex2) )
      & ( v29341(VarCurr,bitIndex2)
      <=> v26197(VarCurr,bitIndex1) )
      & ( v29341(VarCurr,bitIndex1)
      <=> v26197(VarCurr,bitIndex0) ) ) )).

fof(addBitVectorEqualityBitBlasted_2007,axiom,(
    ! [VarCurr] :
      ( v29337(VarCurr)
    <=> ( v62(VarCurr)
      <=> $false ) ) )).

fof(addAssignment_9004,axiom,(
    ! [VarCurr] :
      ( v27013(VarCurr,bitIndex0)
    <=> v27015(VarCurr,bitIndex0) ) )).

fof(addAssignment_9003,axiom,(
    ! [VarCurr] :
      ( v27015(VarCurr,bitIndex0)
    <=> v27017(VarCurr,bitIndex0) ) )).

fof(addAssignment_9002,axiom,(
    ! [VarCurr] :
      ( v27017(VarCurr,bitIndex0)
    <=> v27019(VarCurr,bitIndex0) ) )).

fof(addAssignment_9001,axiom,(
    ! [VarCurr] :
      ( v27019(VarCurr,bitIndex0)
    <=> v28611(VarCurr,bitIndex0) ) )).

fof(addAssignment_9000,axiom,(
    ! [VarCurr] :
      ( v27065(VarCurr)
    <=> v27067(VarCurr) ) )).

fof(addAssignment_8999,axiom,(
    ! [VarCurr] :
      ( v27067(VarCurr)
    <=> v27069(VarCurr) ) )).

fof(addAssignment_8998,axiom,(
    ! [VarCurr] :
      ( v27069(VarCurr)
    <=> v27071(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_337,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29325(VarNext)
       => ( v27071(VarNext)
        <=> v27071(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_373,axiom,(
    ! [VarNext] :
      ( v29325(VarNext)
     => ( v27071(VarNext)
      <=> v29333(VarNext) ) ) )).

fof(addAssignment_8997,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29333(VarNext)
      <=> v29331(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_726,axiom,(
    ! [VarCurr] :
      ( ~ v28095(VarCurr)
     => ( v29331(VarCurr)
      <=> v27073(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_671,axiom,(
    ! [VarCurr] :
      ( v28095(VarCurr)
     => ( v29331(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6392,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29325(VarNext)
      <=> v29326(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6391,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29326(VarNext)
      <=> ( v29328(VarNext)
          & v25419(VarNext) ) ) ) )).

fof(writeUnaryOperator_3023,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29328(VarNext)
      <=> v26847(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_78,axiom,(
    ! [VarCurr] :
      ( ( ~ v29317(VarCurr)
        & ~ v28471(VarCurr)
        & ~ v28481(VarCurr) )
     => ( v27073(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_305,axiom,(
    ! [VarCurr] :
      ( v28481(VarCurr)
     => ( v27073(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_725,axiom,(
    ! [VarCurr] :
      ( v28471(VarCurr)
     => ( v27073(VarCurr)
      <=> v29320(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_715,axiom,(
    ! [VarCurr] :
      ( v29317(VarCurr)
     => ( v27073(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_724,axiom,(
    ! [VarCurr] :
      ( ~ v28473(VarCurr)
     => ( v29320(VarCurr)
      <=> v29322(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_714,axiom,(
    ! [VarCurr] :
      ( v28473(VarCurr)
     => ( v29320(VarCurr)
      <=> v29321(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_723,axiom,(
    ! [VarCurr] :
      ( ~ v28476(VarCurr)
     => ( v29322(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_713,axiom,(
    ! [VarCurr] :
      ( v28476(VarCurr)
     => ( v29322(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_304,axiom,(
    ! [VarCurr] :
      ( ( ~ v29183(VarCurr)
        & ~ v29185(VarCurr) )
     => ( v29321(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_722,axiom,(
    ! [VarCurr] :
      ( v29185(VarCurr)
     => ( v29321(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_712,axiom,(
    ! [VarCurr] :
      ( v29183(VarCurr)
     => ( v29321(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6390,axiom,(
    ! [VarCurr] :
      ( v29317(VarCurr)
    <=> ( v29319(VarCurr)
        | v28470(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6389,axiom,(
    ! [VarCurr] :
      ( v29319(VarCurr)
    <=> ( v28465(VarCurr)
        | v28466(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_336,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29305(VarNext)
       => ( v27075(VarNext)
        <=> v27075(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_372,axiom,(
    ! [VarNext] :
      ( v29305(VarNext)
     => ( v27075(VarNext)
      <=> v29313(VarNext) ) ) )).

fof(addAssignment_8996,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29313(VarNext)
      <=> v29311(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_427,axiom,(
    ! [VarCurr] :
      ( ~ v28095(VarCurr)
     => ( v29311(VarCurr)
      <=> v27077(VarCurr,bitIndex4) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_670,axiom,(
    ! [VarCurr] :
      ( v28095(VarCurr)
     => ( v29311(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6388,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29305(VarNext)
      <=> v29306(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6387,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29306(VarNext)
      <=> ( v29308(VarNext)
          & v25419(VarNext) ) ) ) )).

fof(writeUnaryOperator_3022,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29308(VarNext)
      <=> v26847(VarNext) ) ) )).

fof(addAssignment_8995,axiom,(
    ! [VarCurr] :
      ( v27077(VarCurr,bitIndex4)
    <=> v27079(VarCurr,bitIndex4) ) )).

fof(addAssignment_8994,axiom,(
    ! [VarCurr] :
      ( v27079(VarCurr,bitIndex4)
    <=> v27081(VarCurr,bitIndex4) ) )).

fof(addAssignment_8993,axiom,(
    ! [VarCurr] :
      ( v27081(VarCurr,bitIndex4)
    <=> v27083(VarCurr,bitIndex4) ) )).

fof(addAssignment_8992,axiom,(
    ! [VarCurr] :
      ( v27083(VarCurr,bitIndex4)
    <=> v27467(VarCurr,bitIndex4) ) )).

fof(addAssignment_8991,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v27135(VarCurr,B)
      <=> v27487(VarCurr,B) ) ) )).

fof(addAssignment_8990,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v27487(VarCurr,B)
      <=> v27489(VarCurr,B) ) ) )).

fof(addAssignment_8989,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v27489(VarCurr,B)
      <=> v27491(VarCurr,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_335,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29189(VarNext)
       => ! [B] :
            ( range_4_0(B)
           => ( v27491(VarNext,B)
            <=> v27491(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_371,axiom,(
    ! [VarNext] :
      ( v29189(VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v27491(VarNext,B)
          <=> v29207(VarNext,B) ) ) ) )).

fof(addAssignment_8988,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v29207(VarNext,B)
          <=> v29205(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_721,axiom,(
    ! [VarCurr] :
      ( ~ v28095(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v29205(VarCurr,B)
          <=> v29208(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_711,axiom,(
    ! [VarCurr] :
      ( v28095(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v29205(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_720,axiom,(
    ! [VarCurr] :
      ( ~ v29209(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v29208(VarCurr,B)
          <=> v29244(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_710,axiom,(
    ! [VarCurr] :
      ( v29209(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v29208(VarCurr,B)
          <=> v29214(VarCurr,B) ) ) ) )).

fof(addAssignment_8987,axiom,(
    ! [VarCurr] :
      ( v29244(VarCurr,bitIndex0)
    <=> v29296(VarCurr) ) )).

fof(addAssignment_8986,axiom,(
    ! [VarCurr] :
      ( v29244(VarCurr,bitIndex1)
    <=> v29291(VarCurr) ) )).

fof(addAssignment_8985,axiom,(
    ! [VarCurr] :
      ( v29244(VarCurr,bitIndex2)
    <=> v29286(VarCurr) ) )).

fof(addAssignment_8984,axiom,(
    ! [VarCurr] :
      ( v29244(VarCurr,bitIndex3)
    <=> v29281(VarCurr) ) )).

fof(addAssignment_8983,axiom,(
    ! [VarCurr] :
      ( v29244(VarCurr,bitIndex4)
    <=> v29246(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6386,axiom,(
    ! [VarCurr] :
      ( v29296(VarCurr)
    <=> ( v29297(VarCurr)
        & v29300(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1683,axiom,(
    ! [VarCurr] :
      ( v29300(VarCurr)
    <=> ( v27013(VarCurr,bitIndex33)
        | v26905(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6385,axiom,(
    ! [VarCurr] :
      ( v29297(VarCurr)
    <=> ( v29298(VarCurr)
        | v29299(VarCurr) ) ) )).

fof(writeUnaryOperator_3021,axiom,(
    ! [VarCurr] :
      ( ~ v29299(VarCurr)
    <=> v26905(VarCurr,bitIndex0) ) )).

fof(writeUnaryOperator_3020,axiom,(
    ! [VarCurr] :
      ( ~ v29298(VarCurr)
    <=> v27013(VarCurr,bitIndex33) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6384,axiom,(
    ! [VarCurr] :
      ( v29291(VarCurr)
    <=> ( v29292(VarCurr)
        & v29295(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6383,axiom,(
    ! [VarCurr] :
      ( v29295(VarCurr)
    <=> ( v29255(VarCurr)
        | v29256(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6382,axiom,(
    ! [VarCurr] :
      ( v29292(VarCurr)
    <=> ( v29293(VarCurr)
        | v29294(VarCurr) ) ) )).

fof(writeUnaryOperator_3019,axiom,(
    ! [VarCurr] :
      ( ~ v29294(VarCurr)
    <=> v29256(VarCurr) ) )).

fof(writeUnaryOperator_3018,axiom,(
    ! [VarCurr] :
      ( ~ v29293(VarCurr)
    <=> v29255(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6381,axiom,(
    ! [VarCurr] :
      ( v29286(VarCurr)
    <=> ( v29287(VarCurr)
        & v29290(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6380,axiom,(
    ! [VarCurr] :
      ( v29290(VarCurr)
    <=> ( v29253(VarCurr)
        | v29262(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6379,axiom,(
    ! [VarCurr] :
      ( v29287(VarCurr)
    <=> ( v29288(VarCurr)
        | v29289(VarCurr) ) ) )).

fof(writeUnaryOperator_3017,axiom,(
    ! [VarCurr] :
      ( ~ v29289(VarCurr)
    <=> v29262(VarCurr) ) )).

fof(writeUnaryOperator_3016,axiom,(
    ! [VarCurr] :
      ( ~ v29288(VarCurr)
    <=> v29253(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6378,axiom,(
    ! [VarCurr] :
      ( v29281(VarCurr)
    <=> ( v29282(VarCurr)
        & v29285(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6377,axiom,(
    ! [VarCurr] :
      ( v29285(VarCurr)
    <=> ( v29251(VarCurr)
        | v29268(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6376,axiom,(
    ! [VarCurr] :
      ( v29282(VarCurr)
    <=> ( v29283(VarCurr)
        | v29284(VarCurr) ) ) )).

fof(writeUnaryOperator_3015,axiom,(
    ! [VarCurr] :
      ( ~ v29284(VarCurr)
    <=> v29268(VarCurr) ) )).

fof(writeUnaryOperator_3014,axiom,(
    ! [VarCurr] :
      ( ~ v29283(VarCurr)
    <=> v29251(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6375,axiom,(
    ! [VarCurr] :
      ( v29246(VarCurr)
    <=> ( v29247(VarCurr)
        & v29280(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6374,axiom,(
    ! [VarCurr] :
      ( v29280(VarCurr)
    <=> ( v29249(VarCurr)
        | v29275(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6373,axiom,(
    ! [VarCurr] :
      ( v29247(VarCurr)
    <=> ( v29248(VarCurr)
        | v29274(VarCurr) ) ) )).

fof(writeUnaryOperator_3013,axiom,(
    ! [VarCurr] :
      ( ~ v29274(VarCurr)
    <=> v29275(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6372,axiom,(
    ! [VarCurr] :
      ( v29275(VarCurr)
    <=> ( v29276(VarCurr)
        & v29279(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1682,axiom,(
    ! [VarCurr] :
      ( v29279(VarCurr)
    <=> ( v27013(VarCurr,bitIndex37)
        | v26905(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6371,axiom,(
    ! [VarCurr] :
      ( v29276(VarCurr)
    <=> ( v29277(VarCurr)
        | v29278(VarCurr) ) ) )).

fof(writeUnaryOperator_3012,axiom,(
    ! [VarCurr] :
      ( ~ v29278(VarCurr)
    <=> v26905(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_3011,axiom,(
    ! [VarCurr] :
      ( ~ v29277(VarCurr)
    <=> v27013(VarCurr,bitIndex37) ) )).

fof(writeUnaryOperator_3010,axiom,(
    ! [VarCurr] :
      ( ~ v29248(VarCurr)
    <=> v29249(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6370,axiom,(
    ! [VarCurr] :
      ( v29249(VarCurr)
    <=> ( v29250(VarCurr)
        | v29273(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1681,axiom,(
    ! [VarCurr] :
      ( v29273(VarCurr)
    <=> ( v27013(VarCurr,bitIndex36)
        & v26905(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6369,axiom,(
    ! [VarCurr] :
      ( v29250(VarCurr)
    <=> ( v29251(VarCurr)
        & v29268(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6368,axiom,(
    ! [VarCurr] :
      ( v29268(VarCurr)
    <=> ( v29269(VarCurr)
        & v29272(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1680,axiom,(
    ! [VarCurr] :
      ( v29272(VarCurr)
    <=> ( v27013(VarCurr,bitIndex36)
        | v26905(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6367,axiom,(
    ! [VarCurr] :
      ( v29269(VarCurr)
    <=> ( v29270(VarCurr)
        | v29271(VarCurr) ) ) )).

fof(writeUnaryOperator_3009,axiom,(
    ! [VarCurr] :
      ( ~ v29271(VarCurr)
    <=> v26905(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_3008,axiom,(
    ! [VarCurr] :
      ( ~ v29270(VarCurr)
    <=> v27013(VarCurr,bitIndex36) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6366,axiom,(
    ! [VarCurr] :
      ( v29251(VarCurr)
    <=> ( v29252(VarCurr)
        | v29267(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1679,axiom,(
    ! [VarCurr] :
      ( v29267(VarCurr)
    <=> ( v27013(VarCurr,bitIndex35)
        & v26905(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6365,axiom,(
    ! [VarCurr] :
      ( v29252(VarCurr)
    <=> ( v29253(VarCurr)
        & v29262(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6364,axiom,(
    ! [VarCurr] :
      ( v29262(VarCurr)
    <=> ( v29263(VarCurr)
        & v29266(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1678,axiom,(
    ! [VarCurr] :
      ( v29266(VarCurr)
    <=> ( v27013(VarCurr,bitIndex35)
        | v26905(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6363,axiom,(
    ! [VarCurr] :
      ( v29263(VarCurr)
    <=> ( v29264(VarCurr)
        | v29265(VarCurr) ) ) )).

fof(writeUnaryOperator_3007,axiom,(
    ! [VarCurr] :
      ( ~ v29265(VarCurr)
    <=> v26905(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_3006,axiom,(
    ! [VarCurr] :
      ( ~ v29264(VarCurr)
    <=> v27013(VarCurr,bitIndex35) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6362,axiom,(
    ! [VarCurr] :
      ( v29253(VarCurr)
    <=> ( v29254(VarCurr)
        | v29261(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1677,axiom,(
    ! [VarCurr] :
      ( v29261(VarCurr)
    <=> ( v27013(VarCurr,bitIndex34)
        & v26905(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6361,axiom,(
    ! [VarCurr] :
      ( v29254(VarCurr)
    <=> ( v29255(VarCurr)
        & v29256(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6360,axiom,(
    ! [VarCurr] :
      ( v29256(VarCurr)
    <=> ( v29257(VarCurr)
        & v29260(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1676,axiom,(
    ! [VarCurr] :
      ( v29260(VarCurr)
    <=> ( v27013(VarCurr,bitIndex34)
        | v26905(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6359,axiom,(
    ! [VarCurr] :
      ( v29257(VarCurr)
    <=> ( v29258(VarCurr)
        | v29259(VarCurr) ) ) )).

fof(writeUnaryOperator_3005,axiom,(
    ! [VarCurr] :
      ( ~ v29259(VarCurr)
    <=> v26905(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_3004,axiom,(
    ! [VarCurr] :
      ( ~ v29258(VarCurr)
    <=> v27013(VarCurr,bitIndex34) ) )).

fof(writeBinaryOperatorShiftedRanges_1675,axiom,(
    ! [VarCurr] :
      ( v29255(VarCurr)
    <=> ( v27013(VarCurr,bitIndex33)
        & v26905(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6358,axiom,(
    ! [VarCurr] :
      ( v29239(VarCurr)
    <=> ( v29240(VarCurr)
        | v29242(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2006,axiom,(
    ! [VarCurr] :
      ( v29242(VarCurr)
    <=> ( ( v29243(VarCurr,bitIndex1)
        <=> $false )
        & ( v29243(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8982,axiom,(
    ! [VarCurr] :
      ( v29243(VarCurr,bitIndex0)
    <=> v26897(VarCurr) ) )).

fof(addAssignment_8981,axiom,(
    ! [VarCurr] :
      ( v29243(VarCurr,bitIndex1)
    <=> v26861(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_2005,axiom,(
    ! [VarCurr] :
      ( v29240(VarCurr)
    <=> ( ( v29241(VarCurr,bitIndex1)
        <=> $false )
        & ( v29241(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8980,axiom,(
    ! [VarCurr] :
      ( v29241(VarCurr,bitIndex0)
    <=> v26897(VarCurr) ) )).

fof(addAssignment_8979,axiom,(
    ! [VarCurr] :
      ( v29241(VarCurr,bitIndex1)
    <=> v26861(VarCurr) ) )).

fof(addAssignment_8978,axiom,(
    ! [VarCurr] :
      ( v29214(VarCurr,bitIndex0)
    <=> v29236(VarCurr) ) )).

fof(addAssignment_8977,axiom,(
    ! [VarCurr] :
      ( v29214(VarCurr,bitIndex1)
    <=> v29234(VarCurr) ) )).

fof(addAssignment_8976,axiom,(
    ! [VarCurr] :
      ( v29214(VarCurr,bitIndex2)
    <=> v29229(VarCurr) ) )).

fof(addAssignment_8975,axiom,(
    ! [VarCurr] :
      ( v29214(VarCurr,bitIndex3)
    <=> v29224(VarCurr) ) )).

fof(addAssignment_8974,axiom,(
    ! [VarCurr] :
      ( v29214(VarCurr,bitIndex4)
    <=> v29216(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6357,axiom,(
    ! [VarCurr] :
      ( v29234(VarCurr)
    <=> ( v29235(VarCurr)
        & v29238(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1674,axiom,(
    ! [VarCurr] :
      ( v29238(VarCurr)
    <=> ( v27491(VarCurr,bitIndex0)
        | v27491(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6356,axiom,(
    ! [VarCurr] :
      ( v29235(VarCurr)
    <=> ( v29236(VarCurr)
        | v29237(VarCurr) ) ) )).

fof(writeUnaryOperator_3003,axiom,(
    ! [VarCurr] :
      ( ~ v29237(VarCurr)
    <=> v27491(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_3002,axiom,(
    ! [VarCurr] :
      ( ~ v29236(VarCurr)
    <=> v27491(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6355,axiom,(
    ! [VarCurr] :
      ( v29229(VarCurr)
    <=> ( v29230(VarCurr)
        & v29233(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1673,axiom,(
    ! [VarCurr] :
      ( v29233(VarCurr)
    <=> ( v29221(VarCurr)
        | v27491(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6354,axiom,(
    ! [VarCurr] :
      ( v29230(VarCurr)
    <=> ( v29231(VarCurr)
        | v29232(VarCurr) ) ) )).

fof(writeUnaryOperator_3001,axiom,(
    ! [VarCurr] :
      ( ~ v29232(VarCurr)
    <=> v27491(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_3000,axiom,(
    ! [VarCurr] :
      ( ~ v29231(VarCurr)
    <=> v29221(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6353,axiom,(
    ! [VarCurr] :
      ( v29224(VarCurr)
    <=> ( v29225(VarCurr)
        & v29228(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1672,axiom,(
    ! [VarCurr] :
      ( v29228(VarCurr)
    <=> ( v29220(VarCurr)
        | v27491(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6352,axiom,(
    ! [VarCurr] :
      ( v29225(VarCurr)
    <=> ( v29226(VarCurr)
        | v29227(VarCurr) ) ) )).

fof(writeUnaryOperator_2999,axiom,(
    ! [VarCurr] :
      ( ~ v29227(VarCurr)
    <=> v27491(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_2998,axiom,(
    ! [VarCurr] :
      ( ~ v29226(VarCurr)
    <=> v29220(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6351,axiom,(
    ! [VarCurr] :
      ( v29216(VarCurr)
    <=> ( v29217(VarCurr)
        & v29223(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1671,axiom,(
    ! [VarCurr] :
      ( v29223(VarCurr)
    <=> ( v29219(VarCurr)
        | v27491(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6350,axiom,(
    ! [VarCurr] :
      ( v29217(VarCurr)
    <=> ( v29218(VarCurr)
        | v29222(VarCurr) ) ) )).

fof(writeUnaryOperator_2997,axiom,(
    ! [VarCurr] :
      ( ~ v29222(VarCurr)
    <=> v27491(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_2996,axiom,(
    ! [VarCurr] :
      ( ~ v29218(VarCurr)
    <=> v29219(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1670,axiom,(
    ! [VarCurr] :
      ( v29219(VarCurr)
    <=> ( v29220(VarCurr)
        & v27491(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1669,axiom,(
    ! [VarCurr] :
      ( v29220(VarCurr)
    <=> ( v29221(VarCurr)
        & v27491(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1668,axiom,(
    ! [VarCurr] :
      ( v29221(VarCurr)
    <=> ( v27491(VarCurr,bitIndex0)
        & v27491(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6349,axiom,(
    ! [VarCurr] :
      ( v29209(VarCurr)
    <=> ( v29210(VarCurr)
        | v29212(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2004,axiom,(
    ! [VarCurr] :
      ( v29212(VarCurr)
    <=> ( ( v29213(VarCurr,bitIndex1)
        <=> $true )
        & ( v29213(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8973,axiom,(
    ! [VarCurr] :
      ( v29213(VarCurr,bitIndex0)
    <=> v26897(VarCurr) ) )).

fof(addAssignment_8972,axiom,(
    ! [VarCurr] :
      ( v29213(VarCurr,bitIndex1)
    <=> v26861(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_2003,axiom,(
    ! [VarCurr] :
      ( v29210(VarCurr)
    <=> ( ( v29211(VarCurr,bitIndex1)
        <=> $true )
        & ( v29211(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8971,axiom,(
    ! [VarCurr] :
      ( v29211(VarCurr,bitIndex0)
    <=> v26897(VarCurr) ) )).

fof(addAssignment_8970,axiom,(
    ! [VarCurr] :
      ( v29211(VarCurr,bitIndex1)
    <=> v26861(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6348,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29189(VarNext)
      <=> ( v29190(VarNext)
          & v29197(VarNext) ) ) ) )).

fof(addAssignment_8969,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29197(VarNext)
      <=> v29195(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6347,axiom,(
    ! [VarCurr] :
      ( v29195(VarCurr)
    <=> ( v29198(VarCurr)
        & v29202(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6346,axiom,(
    ! [VarCurr] :
      ( v29202(VarCurr)
    <=> ( v29203(VarCurr)
        | v28095(VarCurr) ) ) )).

fof(writeUnaryOperator_2995,axiom,(
    ! [VarCurr] :
      ( ~ v29203(VarCurr)
    <=> v29204(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_2002,axiom,(
    ! [VarCurr] :
      ( v29204(VarCurr)
    <=> ( v27493(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6345,axiom,(
    ! [VarCurr] :
      ( v29198(VarCurr)
    <=> ( v28095(VarCurr)
        | v29199(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6344,axiom,(
    ! [VarCurr] :
      ( v29199(VarCurr)
    <=> ( v29200(VarCurr)
        & v29201(VarCurr) ) ) )).

fof(writeUnaryOperator_2994,axiom,(
    ! [VarCurr] :
      ( ~ v29201(VarCurr)
    <=> v28095(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_2001,axiom,(
    ! [VarCurr] :
      ( v29200(VarCurr)
    <=> ( v27493(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6343,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29190(VarNext)
      <=> ( v29192(VarNext)
          & v25419(VarNext) ) ) ) )).

fof(writeUnaryOperator_2993,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29192(VarNext)
      <=> v26847(VarNext) ) ) )).

fof(addAssignment_8968,axiom,(
    ! [VarCurr] :
      ( v27013(VarCurr,bitIndex37)
    <=> v27015(VarCurr,bitIndex37) ) )).

fof(addAssignment_8967,axiom,(
    ! [VarCurr] :
      ( v27015(VarCurr,bitIndex37)
    <=> v27017(VarCurr,bitIndex37) ) )).

fof(addAssignment_8966,axiom,(
    ! [VarCurr] :
      ( v27017(VarCurr,bitIndex37)
    <=> v27019(VarCurr,bitIndex37) ) )).

fof(addAssignment_8965,axiom,(
    ! [VarCurr] :
      ( v27019(VarCurr,bitIndex37)
    <=> v28611(VarCurr,bitIndex37) ) )).

fof(addAssignment_8964,axiom,(
    ! [VarCurr] :
      ( v27013(VarCurr,bitIndex36)
    <=> v27015(VarCurr,bitIndex36) ) )).

fof(addAssignment_8963,axiom,(
    ! [VarCurr] :
      ( v27015(VarCurr,bitIndex36)
    <=> v27017(VarCurr,bitIndex36) ) )).

fof(addAssignment_8962,axiom,(
    ! [VarCurr] :
      ( v27017(VarCurr,bitIndex36)
    <=> v27019(VarCurr,bitIndex36) ) )).

fof(addAssignment_8961,axiom,(
    ! [VarCurr] :
      ( v27019(VarCurr,bitIndex36)
    <=> v28611(VarCurr,bitIndex36) ) )).

fof(addAssignment_8960,axiom,(
    ! [VarCurr] :
      ( v27013(VarCurr,bitIndex35)
    <=> v27015(VarCurr,bitIndex35) ) )).

fof(addAssignment_8959,axiom,(
    ! [VarCurr] :
      ( v27015(VarCurr,bitIndex35)
    <=> v27017(VarCurr,bitIndex35) ) )).

fof(addAssignment_8958,axiom,(
    ! [VarCurr] :
      ( v27017(VarCurr,bitIndex35)
    <=> v27019(VarCurr,bitIndex35) ) )).

fof(addAssignment_8957,axiom,(
    ! [VarCurr] :
      ( v27019(VarCurr,bitIndex35)
    <=> v28611(VarCurr,bitIndex35) ) )).

fof(addAssignment_8956,axiom,(
    ! [VarCurr] :
      ( v27013(VarCurr,bitIndex34)
    <=> v27015(VarCurr,bitIndex34) ) )).

fof(addAssignment_8955,axiom,(
    ! [VarCurr] :
      ( v27015(VarCurr,bitIndex34)
    <=> v27017(VarCurr,bitIndex34) ) )).

fof(addAssignment_8954,axiom,(
    ! [VarCurr] :
      ( v27017(VarCurr,bitIndex34)
    <=> v27019(VarCurr,bitIndex34) ) )).

fof(addAssignment_8953,axiom,(
    ! [VarCurr] :
      ( v27019(VarCurr,bitIndex34)
    <=> v28611(VarCurr,bitIndex34) ) )).

fof(addAssignment_8952,axiom,(
    ! [VarCurr] :
      ( v27013(VarCurr,bitIndex33)
    <=> v27015(VarCurr,bitIndex33) ) )).

fof(addAssignment_8951,axiom,(
    ! [VarCurr] :
      ( v27015(VarCurr,bitIndex33)
    <=> v27017(VarCurr,bitIndex33) ) )).

fof(addAssignment_8950,axiom,(
    ! [VarCurr] :
      ( v27017(VarCurr,bitIndex33)
    <=> v27019(VarCurr,bitIndex33) ) )).

fof(addAssignment_8949,axiom,(
    ! [VarCurr] :
      ( v27019(VarCurr,bitIndex33)
    <=> v28611(VarCurr,bitIndex33) ) )).

fof(addParallelCaseBooleanConditionEqualRanges5_17,axiom,(
    ! [VarCurr] :
      ( ( ~ v28465(VarCurr)
        & ~ v28466(VarCurr)
        & ~ v28470(VarCurr)
        & ~ v28471(VarCurr)
        & ~ v28481(VarCurr) )
     => ( v27493(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges4_19,axiom,(
    ! [VarCurr] :
      ( v28481(VarCurr)
     => ( v27493(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_77,axiom,(
    ! [VarCurr] :
      ( v28471(VarCurr)
     => ( v27493(VarCurr)
      <=> v29180(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_303,axiom,(
    ! [VarCurr] :
      ( v28470(VarCurr)
     => ( v27493(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_719,axiom,(
    ! [VarCurr] :
      ( v28466(VarCurr)
     => ( v27493(VarCurr)
      <=> v29176(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_709,axiom,(
    ! [VarCurr] :
      ( v28465(VarCurr)
     => ( v27493(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_718,axiom,(
    ! [VarCurr] :
      ( ~ v28473(VarCurr)
     => ( v29180(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_708,axiom,(
    ! [VarCurr] :
      ( v28473(VarCurr)
     => ( v29180(VarCurr)
      <=> v29181(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_717,axiom,(
    ! [VarCurr] :
      ( ~ v29182(VarCurr)
     => ( v29181(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_707,axiom,(
    ! [VarCurr] :
      ( v29182(VarCurr)
     => ( v29181(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6342,axiom,(
    ! [VarCurr] :
      ( v29182(VarCurr)
    <=> ( v29183(VarCurr)
        | v29185(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_2000,axiom,(
    ! [VarCurr] :
      ( v29185(VarCurr)
    <=> ( ( v29186(VarCurr,bitIndex1)
        <=> $true )
        & ( v29186(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8948,axiom,(
    ! [VarCurr] :
      ( v29186(VarCurr,bitIndex0)
    <=> v26903(VarCurr) ) )).

fof(addAssignment_8947,axiom,(
    ! [VarCurr] :
      ( v29186(VarCurr,bitIndex1)
    <=> v26897(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1999,axiom,(
    ! [VarCurr] :
      ( v29183(VarCurr)
    <=> ( ( v29184(VarCurr,bitIndex1)
        <=> $false )
        & ( v29184(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8946,axiom,(
    ! [VarCurr] :
      ( v29184(VarCurr,bitIndex0)
    <=> v26903(VarCurr) ) )).

fof(addAssignment_8945,axiom,(
    ! [VarCurr] :
      ( v29184(VarCurr,bitIndex1)
    <=> v26897(VarCurr) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_716,axiom,(
    ! [VarCurr] :
      ( ~ v28468(VarCurr)
     => ( v29176(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_706,axiom,(
    ! [VarCurr] :
      ( v28468(VarCurr)
     => ( v29176(VarCurr)
      <=> v29177(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_715,axiom,(
    ! [VarCurr] :
      ( ~ v29178(VarCurr)
     => ( v29177(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_705,axiom,(
    ! [VarCurr] :
      ( v29178(VarCurr)
     => ( v29177(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1998,axiom,(
    ! [VarCurr] :
      ( v29179(VarCurr)
    <=> ( v27495(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1997,axiom,(
    ! [VarCurr] :
      ( v29178(VarCurr)
    <=> ( v27495(VarCurr)
      <=> $true ) ) )).

fof(addCaseBooleanConditionEqualRanges1_334,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29062(VarNext)
       => ( v27495(VarNext)
        <=> v27495(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_370,axiom,(
    ! [VarNext] :
      ( v29062(VarNext)
     => ( v27495(VarNext)
      <=> v29078(VarNext) ) ) )).

fof(addAssignment_8944,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29078(VarNext)
      <=> v29076(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_725,axiom,(
    ! [VarCurr] :
      ( ~ v29075(VarCurr)
     => ( v29076(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_669,axiom,(
    ! [VarCurr] :
      ( v29075(VarCurr)
     => ( v29076(VarCurr)
      <=> v29079(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1996,axiom,(
    ! [VarCurr] :
      ( v29079(VarCurr)
    <=> ( ( v29080(VarCurr,bitIndex5)
        <=> $false )
        & ( v29080(VarCurr,bitIndex4)
        <=> $false )
        & ( v29080(VarCurr,bitIndex3)
        <=> $false )
        & ( v29080(VarCurr,bitIndex2)
        <=> $false )
        & ( v29080(VarCurr,bitIndex1)
        <=> $false )
        & ( v29080(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8943,axiom,(
    ! [VarCurr] :
      ( v29080(VarCurr,bitIndex0)
    <=> v29169(VarCurr) ) )).

fof(addAssignment_8942,axiom,(
    ! [VarCurr] :
      ( v29080(VarCurr,bitIndex1)
    <=> v29164(VarCurr) ) )).

fof(addAssignment_8941,axiom,(
    ! [VarCurr] :
      ( v29080(VarCurr,bitIndex2)
    <=> v29159(VarCurr) ) )).

fof(addAssignment_8940,axiom,(
    ! [VarCurr] :
      ( v29080(VarCurr,bitIndex3)
    <=> v29154(VarCurr) ) )).

fof(addAssignment_8939,axiom,(
    ! [VarCurr] :
      ( v29080(VarCurr,bitIndex4)
    <=> v29149(VarCurr) ) )).

fof(addAssignment_8938,axiom,(
    ! [VarCurr] :
      ( v29080(VarCurr,bitIndex5)
    <=> v29082(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6341,axiom,(
    ! [VarCurr] :
      ( v29169(VarCurr)
    <=> ( v29170(VarCurr)
        & v29172(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1667,axiom,(
    ! [VarCurr] :
      ( v29172(VarCurr)
    <=> ( v28104(VarCurr,bitIndex0)
        | v27497(VarCurr,bitIndex38) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6340,axiom,(
    ! [VarCurr] :
      ( v29170(VarCurr)
    <=> ( v29100(VarCurr)
        | v29171(VarCurr) ) ) )).

fof(writeUnaryOperator_2992,axiom,(
    ! [VarCurr] :
      ( ~ v29171(VarCurr)
    <=> v27497(VarCurr,bitIndex38) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6339,axiom,(
    ! [VarCurr] :
      ( v29164(VarCurr)
    <=> ( v29165(VarCurr)
        & v29168(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6338,axiom,(
    ! [VarCurr] :
      ( v29168(VarCurr)
    <=> ( v29093(VarCurr)
        | v29094(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6337,axiom,(
    ! [VarCurr] :
      ( v29165(VarCurr)
    <=> ( v29166(VarCurr)
        | v29167(VarCurr) ) ) )).

fof(writeUnaryOperator_2991,axiom,(
    ! [VarCurr] :
      ( ~ v29167(VarCurr)
    <=> v29094(VarCurr) ) )).

fof(writeUnaryOperator_2990,axiom,(
    ! [VarCurr] :
      ( ~ v29166(VarCurr)
    <=> v29093(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6336,axiom,(
    ! [VarCurr] :
      ( v29159(VarCurr)
    <=> ( v29160(VarCurr)
        & v29163(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6335,axiom,(
    ! [VarCurr] :
      ( v29163(VarCurr)
    <=> ( v29091(VarCurr)
        | v29105(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6334,axiom,(
    ! [VarCurr] :
      ( v29160(VarCurr)
    <=> ( v29161(VarCurr)
        | v29162(VarCurr) ) ) )).

fof(writeUnaryOperator_2989,axiom,(
    ! [VarCurr] :
      ( ~ v29162(VarCurr)
    <=> v29105(VarCurr) ) )).

fof(writeUnaryOperator_2988,axiom,(
    ! [VarCurr] :
      ( ~ v29161(VarCurr)
    <=> v29091(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6333,axiom,(
    ! [VarCurr] :
      ( v29154(VarCurr)
    <=> ( v29155(VarCurr)
        & v29158(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6332,axiom,(
    ! [VarCurr] :
      ( v29158(VarCurr)
    <=> ( v29089(VarCurr)
        | v29117(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6331,axiom,(
    ! [VarCurr] :
      ( v29155(VarCurr)
    <=> ( v29156(VarCurr)
        | v29157(VarCurr) ) ) )).

fof(writeUnaryOperator_2987,axiom,(
    ! [VarCurr] :
      ( ~ v29157(VarCurr)
    <=> v29117(VarCurr) ) )).

fof(writeUnaryOperator_2986,axiom,(
    ! [VarCurr] :
      ( ~ v29156(VarCurr)
    <=> v29089(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6330,axiom,(
    ! [VarCurr] :
      ( v29149(VarCurr)
    <=> ( v29150(VarCurr)
        & v29153(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6329,axiom,(
    ! [VarCurr] :
      ( v29153(VarCurr)
    <=> ( v29087(VarCurr)
        | v29129(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6328,axiom,(
    ! [VarCurr] :
      ( v29150(VarCurr)
    <=> ( v29151(VarCurr)
        | v29152(VarCurr) ) ) )).

fof(writeUnaryOperator_2985,axiom,(
    ! [VarCurr] :
      ( ~ v29152(VarCurr)
    <=> v29129(VarCurr) ) )).

fof(writeUnaryOperator_2984,axiom,(
    ! [VarCurr] :
      ( ~ v29151(VarCurr)
    <=> v29087(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6327,axiom,(
    ! [VarCurr] :
      ( v29082(VarCurr)
    <=> ( v29083(VarCurr)
        & v29148(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6326,axiom,(
    ! [VarCurr] :
      ( v29148(VarCurr)
    <=> ( v29085(VarCurr)
        | v29142(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6325,axiom,(
    ! [VarCurr] :
      ( v29083(VarCurr)
    <=> ( v29084(VarCurr)
        | v29141(VarCurr) ) ) )).

fof(writeUnaryOperator_2983,axiom,(
    ! [VarCurr] :
      ( ~ v29141(VarCurr)
    <=> v29142(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6324,axiom,(
    ! [VarCurr] :
      ( v29142(VarCurr)
    <=> ( v29143(VarCurr)
        & v29146(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1666,axiom,(
    ! [VarCurr] :
      ( v29146(VarCurr)
    <=> ( v29147(VarCurr)
        | v27497(VarCurr,bitIndex43) ) ) )).

fof(writeUnaryOperator_2982,axiom,(
    ! [VarCurr] :
      ( ~ v29147(VarCurr)
    <=> v29144(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6323,axiom,(
    ! [VarCurr] :
      ( v29143(VarCurr)
    <=> ( v29144(VarCurr)
        | v29145(VarCurr) ) ) )).

fof(writeUnaryOperator_2981,axiom,(
    ! [VarCurr] :
      ( ~ v29145(VarCurr)
    <=> v27497(VarCurr,bitIndex43) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6322,axiom,(
    ! [VarCurr] :
      ( v29144(VarCurr)
    <=> ( v29135(VarCurr)
        & v29137(VarCurr) ) ) )).

fof(writeUnaryOperator_2980,axiom,(
    ! [VarCurr] :
      ( ~ v29084(VarCurr)
    <=> v29085(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6321,axiom,(
    ! [VarCurr] :
      ( v29085(VarCurr)
    <=> ( v29086(VarCurr)
        | v29140(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1665,axiom,(
    ! [VarCurr] :
      ( v29140(VarCurr)
    <=> ( v29132(VarCurr)
        & v27497(VarCurr,bitIndex42) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6320,axiom,(
    ! [VarCurr] :
      ( v29086(VarCurr)
    <=> ( v29087(VarCurr)
        & v29129(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6319,axiom,(
    ! [VarCurr] :
      ( v29129(VarCurr)
    <=> ( v29130(VarCurr)
        & v29139(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1664,axiom,(
    ! [VarCurr] :
      ( v29139(VarCurr)
    <=> ( v29132(VarCurr)
        | v27497(VarCurr,bitIndex42) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6318,axiom,(
    ! [VarCurr] :
      ( v29130(VarCurr)
    <=> ( v29131(VarCurr)
        | v29138(VarCurr) ) ) )).

fof(writeUnaryOperator_2979,axiom,(
    ! [VarCurr] :
      ( ~ v29138(VarCurr)
    <=> v27497(VarCurr,bitIndex42) ) )).

fof(writeUnaryOperator_2978,axiom,(
    ! [VarCurr] :
      ( ~ v29131(VarCurr)
    <=> v29132(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6317,axiom,(
    ! [VarCurr] :
      ( v29132(VarCurr)
    <=> ( v29133(VarCurr)
        & v29136(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6316,axiom,(
    ! [VarCurr] :
      ( v29136(VarCurr)
    <=> ( v29135(VarCurr)
        | v29137(VarCurr) ) ) )).

fof(writeUnaryOperator_2977,axiom,(
    ! [VarCurr] :
      ( ~ v29137(VarCurr)
    <=> v28104(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_1663,axiom,(
    ! [VarCurr] :
      ( v29133(VarCurr)
    <=> ( v29134(VarCurr)
        | v28104(VarCurr,bitIndex4) ) ) )).

fof(writeUnaryOperator_2976,axiom,(
    ! [VarCurr] :
      ( ~ v29134(VarCurr)
    <=> v29135(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6315,axiom,(
    ! [VarCurr] :
      ( v29135(VarCurr)
    <=> ( v29123(VarCurr)
        & v29125(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6314,axiom,(
    ! [VarCurr] :
      ( v29087(VarCurr)
    <=> ( v29088(VarCurr)
        | v29128(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1662,axiom,(
    ! [VarCurr] :
      ( v29128(VarCurr)
    <=> ( v29120(VarCurr)
        & v27497(VarCurr,bitIndex41) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6313,axiom,(
    ! [VarCurr] :
      ( v29088(VarCurr)
    <=> ( v29089(VarCurr)
        & v29117(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6312,axiom,(
    ! [VarCurr] :
      ( v29117(VarCurr)
    <=> ( v29118(VarCurr)
        & v29127(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1661,axiom,(
    ! [VarCurr] :
      ( v29127(VarCurr)
    <=> ( v29120(VarCurr)
        | v27497(VarCurr,bitIndex41) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6311,axiom,(
    ! [VarCurr] :
      ( v29118(VarCurr)
    <=> ( v29119(VarCurr)
        | v29126(VarCurr) ) ) )).

fof(writeUnaryOperator_2975,axiom,(
    ! [VarCurr] :
      ( ~ v29126(VarCurr)
    <=> v27497(VarCurr,bitIndex41) ) )).

fof(writeUnaryOperator_2974,axiom,(
    ! [VarCurr] :
      ( ~ v29119(VarCurr)
    <=> v29120(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6310,axiom,(
    ! [VarCurr] :
      ( v29120(VarCurr)
    <=> ( v29121(VarCurr)
        & v29124(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6309,axiom,(
    ! [VarCurr] :
      ( v29124(VarCurr)
    <=> ( v29123(VarCurr)
        | v29125(VarCurr) ) ) )).

fof(writeUnaryOperator_2973,axiom,(
    ! [VarCurr] :
      ( ~ v29125(VarCurr)
    <=> v28104(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_1660,axiom,(
    ! [VarCurr] :
      ( v29121(VarCurr)
    <=> ( v29122(VarCurr)
        | v28104(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_2972,axiom,(
    ! [VarCurr] :
      ( ~ v29122(VarCurr)
    <=> v29123(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6308,axiom,(
    ! [VarCurr] :
      ( v29123(VarCurr)
    <=> ( v29111(VarCurr)
        & v29113(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6307,axiom,(
    ! [VarCurr] :
      ( v29089(VarCurr)
    <=> ( v29090(VarCurr)
        | v29116(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1659,axiom,(
    ! [VarCurr] :
      ( v29116(VarCurr)
    <=> ( v29108(VarCurr)
        & v27497(VarCurr,bitIndex40) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6306,axiom,(
    ! [VarCurr] :
      ( v29090(VarCurr)
    <=> ( v29091(VarCurr)
        & v29105(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6305,axiom,(
    ! [VarCurr] :
      ( v29105(VarCurr)
    <=> ( v29106(VarCurr)
        & v29115(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1658,axiom,(
    ! [VarCurr] :
      ( v29115(VarCurr)
    <=> ( v29108(VarCurr)
        | v27497(VarCurr,bitIndex40) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6304,axiom,(
    ! [VarCurr] :
      ( v29106(VarCurr)
    <=> ( v29107(VarCurr)
        | v29114(VarCurr) ) ) )).

fof(writeUnaryOperator_2971,axiom,(
    ! [VarCurr] :
      ( ~ v29114(VarCurr)
    <=> v27497(VarCurr,bitIndex40) ) )).

fof(writeUnaryOperator_2970,axiom,(
    ! [VarCurr] :
      ( ~ v29107(VarCurr)
    <=> v29108(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6303,axiom,(
    ! [VarCurr] :
      ( v29108(VarCurr)
    <=> ( v29109(VarCurr)
        & v29112(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6302,axiom,(
    ! [VarCurr] :
      ( v29112(VarCurr)
    <=> ( v29111(VarCurr)
        | v29113(VarCurr) ) ) )).

fof(writeUnaryOperator_2969,axiom,(
    ! [VarCurr] :
      ( ~ v29113(VarCurr)
    <=> v28104(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_1657,axiom,(
    ! [VarCurr] :
      ( v29109(VarCurr)
    <=> ( v29110(VarCurr)
        | v28104(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_2968,axiom,(
    ! [VarCurr] :
      ( ~ v29110(VarCurr)
    <=> v29111(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6301,axiom,(
    ! [VarCurr] :
      ( v29111(VarCurr)
    <=> ( v29100(VarCurr)
        & v29101(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6300,axiom,(
    ! [VarCurr] :
      ( v29091(VarCurr)
    <=> ( v29092(VarCurr)
        | v29104(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1656,axiom,(
    ! [VarCurr] :
      ( v29104(VarCurr)
    <=> ( v29097(VarCurr)
        & v27497(VarCurr,bitIndex39) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6299,axiom,(
    ! [VarCurr] :
      ( v29092(VarCurr)
    <=> ( v29093(VarCurr)
        & v29094(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6298,axiom,(
    ! [VarCurr] :
      ( v29094(VarCurr)
    <=> ( v29095(VarCurr)
        & v29103(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1655,axiom,(
    ! [VarCurr] :
      ( v29103(VarCurr)
    <=> ( v29097(VarCurr)
        | v27497(VarCurr,bitIndex39) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6297,axiom,(
    ! [VarCurr] :
      ( v29095(VarCurr)
    <=> ( v29096(VarCurr)
        | v29102(VarCurr) ) ) )).

fof(writeUnaryOperator_2967,axiom,(
    ! [VarCurr] :
      ( ~ v29102(VarCurr)
    <=> v27497(VarCurr,bitIndex39) ) )).

fof(writeUnaryOperator_2966,axiom,(
    ! [VarCurr] :
      ( ~ v29096(VarCurr)
    <=> v29097(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6296,axiom,(
    ! [VarCurr] :
      ( v29097(VarCurr)
    <=> ( v29098(VarCurr)
        & v29099(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6295,axiom,(
    ! [VarCurr] :
      ( v29099(VarCurr)
    <=> ( v29100(VarCurr)
        | v29101(VarCurr) ) ) )).

fof(writeUnaryOperator_2965,axiom,(
    ! [VarCurr] :
      ( ~ v29101(VarCurr)
    <=> v28104(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2964,axiom,(
    ! [VarCurr] :
      ( ~ v29100(VarCurr)
    <=> v28104(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorShiftedRanges_1654,axiom,(
    ! [VarCurr] :
      ( v29098(VarCurr)
    <=> ( v28104(VarCurr,bitIndex0)
        | v28104(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1653,axiom,(
    ! [VarCurr] :
      ( v29093(VarCurr)
    <=> ( v28104(VarCurr,bitIndex0)
        & v27497(VarCurr,bitIndex38) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6294,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29062(VarNext)
      <=> ( v29063(VarNext)
          & v29070(VarNext) ) ) ) )).

fof(addAssignment_8937,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29070(VarNext)
      <=> v29068(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6293,axiom,(
    ! [VarCurr] :
      ( v29068(VarCurr)
    <=> ( v29071(VarCurr)
        & v29072(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6292,axiom,(
    ! [VarCurr] :
      ( v29072(VarCurr)
    <=> ( v29073(VarCurr)
        | v28095(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6291,axiom,(
    ! [VarCurr] :
      ( v29073(VarCurr)
    <=> ( v27073(VarCurr)
        | v29074(VarCurr) ) ) )).

fof(writeUnaryOperator_2963,axiom,(
    ! [VarCurr] :
      ( ~ v29074(VarCurr)
    <=> v29075(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1995,axiom,(
    ! [VarCurr] :
      ( v29075(VarCurr)
    <=> ( v26861(VarCurr)
      <=> $true ) ) )).

fof(writeUnaryOperator_2962,axiom,(
    ! [VarCurr] :
      ( ~ v29071(VarCurr)
    <=> v28095(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6290,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29063(VarNext)
      <=> ( v29065(VarNext)
          & v25419(VarNext) ) ) ) )).

fof(writeUnaryOperator_2961,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29065(VarNext)
      <=> v26847(VarNext) ) ) )).

fof(addAssignment_8936,axiom,(
    ! [VarCurr,B] :
      ( range_43_38(B)
     => ( v27013(VarCurr,B)
      <=> v27015(VarCurr,B) ) ) )).

fof(addAssignment_8935,axiom,(
    ! [VarCurr,B] :
      ( range_43_38(B)
     => ( v27015(VarCurr,B)
      <=> v27017(VarCurr,B) ) ) )).

fof(addAssignment_8934,axiom,(
    ! [VarCurr,B] :
      ( range_43_38(B)
     => ( v27017(VarCurr,B)
      <=> v27019(VarCurr,B) ) ) )).

fof(addAssignment_8933,axiom,(
    ! [VarCurr,B] :
      ( range_43_38(B)
     => ( v27019(VarCurr,B)
      <=> v28611(VarCurr,B) ) ) )).

fof(memoryReadIntoBuffer_88,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b00000_address_term = A
             => ( range_43_0(B)
               => ( v28768(VarNext,B)
                <=> v27021_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_87,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b00001_address_term = A
             => ( range_43_0(B)
               => ( v28777(VarNext,B)
                <=> v27021_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_86,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b00010_address_term = A
             => ( range_43_0(B)
               => ( v28786(VarNext,B)
                <=> v27021_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_85,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b00011_address_term = A
             => ( range_43_0(B)
               => ( v28795(VarNext,B)
                <=> v27021_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_84,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b00100_address_term = A
             => ( range_43_0(B)
               => ( v28804(VarNext,B)
                <=> v27021_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_83,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b00101_address_term = A
             => ( range_43_0(B)
               => ( v28813(VarNext,B)
                <=> v27021_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_82,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b00110_address_term = A
             => ( range_43_0(B)
               => ( v28822(VarNext,B)
                <=> v27021_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_81,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b00111_address_term = A
             => ( range_43_0(B)
               => ( v28831(VarNext,B)
                <=> v27021_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_80,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b01000_address_term = A
             => ( range_43_0(B)
               => ( v28840(VarNext,B)
                <=> v27021_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_79,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b01001_address_term = A
             => ( range_43_0(B)
               => ( v28849(VarNext,B)
                <=> v27021_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_78,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b01010_address_term = A
             => ( range_43_0(B)
               => ( v28858(VarNext,B)
                <=> v27021_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_77,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b01011_address_term = A
             => ( range_43_0(B)
               => ( v28867(VarNext,B)
                <=> v27021_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_76,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b01100_address_term = A
             => ( range_43_0(B)
               => ( v28876(VarNext,B)
                <=> v27021_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_75,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b01101_address_term = A
             => ( range_43_0(B)
               => ( v28885(VarNext,B)
                <=> v27021_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_74,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b01110_address_term = A
             => ( range_43_0(B)
               => ( v28894(VarNext,B)
                <=> v27021_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_73,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b01111_address_term = A
             => ( range_43_0(B)
               => ( v28903(VarNext,B)
                <=> v27021_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_72,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b10000_address_term = A
             => ( range_43_0(B)
               => ( v28912(VarNext,B)
                <=> v27021_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_71,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b10001_address_term = A
             => ( range_43_0(B)
               => ( v28921(VarNext,B)
                <=> v27021_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_70,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b10010_address_term = A
             => ( range_43_0(B)
               => ( v28930(VarNext,B)
                <=> v27021_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_69,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b10011_address_term = A
             => ( range_43_0(B)
               => ( v28939(VarNext,B)
                <=> v27021_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_68,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b10100_address_term = A
             => ( range_43_0(B)
               => ( v28948(VarNext,B)
                <=> v27021_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_67,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b10101_address_term = A
             => ( range_43_0(B)
               => ( v28957(VarNext,B)
                <=> v27021_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_66,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b10110_address_term = A
             => ( range_43_0(B)
               => ( v28966(VarNext,B)
                <=> v27021_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_65,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b10111_address_term = A
             => ( range_43_0(B)
               => ( v28975(VarNext,B)
                <=> v27021_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_64,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b11000_address_term = A
             => ( range_43_0(B)
               => ( v28984(VarNext,B)
                <=> v27021_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_63,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b11001_address_term = A
             => ( range_43_0(B)
               => ( v28993(VarNext,B)
                <=> v27021_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_62,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b11010_address_term = A
             => ( range_43_0(B)
               => ( v29002(VarNext,B)
                <=> v27021_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_61,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b11011_address_term = A
             => ( range_43_0(B)
               => ( v29011(VarNext,B)
                <=> v27021_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_60,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b11100_address_term = A
             => ( range_43_0(B)
               => ( v29020(VarNext,B)
                <=> v27021_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_59,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b11101_address_term = A
             => ( range_43_0(B)
               => ( v29029(VarNext,B)
                <=> v27021_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_58,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b11110_address_term = A
             => ( range_43_0(B)
               => ( v29038(VarNext,B)
                <=> v27021_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_57,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b11111_address_term = A
             => ( range_43_0(B)
               => ( v29047(VarNext,B)
                <=> v27021_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_56,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v28456_range_4_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( address(A)
             => ! [B] :
                  ( A = AssociatedAddressVar
                 => ( range_43_0(B)
                   => ( v28611(VarNext,B)
                    <=> v27021_array(VarNext,A,B) ) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_55,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v28034_range_4_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( address(A)
             => ! [B] :
                  ( A = AssociatedAddressVar
                 => ( range_43_0(B)
                   => ( v29058(VarNext,B)
                    <=> v27021_array(VarNext,A,B) ) ) ) ) ) ) )).

fof(memoryConstantWriteDisabled_6,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( $true
              & v29050(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_array(VarNext,A,B)
              <=> v27021_36__array(VarNext,A,B) ) ) ) ) )).

fof(memoryConstantWriteEnabledInsideRange_6,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( $true
            & v29050(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_array(VarNext,A,B)
              <=> b00000000000000000000000000000000000000000000(B) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6289,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29050(VarNext)
      <=> ( v29051(VarNext)
          & v29056(VarNext) ) ) ) )).

fof(addAssignment_8932,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29056(VarNext)
      <=> v28721(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6288,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29051(VarNext)
      <=> ( v29053(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2960,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29053(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_92,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b11111_address_term = A
              & v29041(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_36__array(VarNext,A,B)
              <=> v27021_35__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_92,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b11111_address_term = A
            & v29041(VarNext) )
         => ( ( v27021_36__array(VarNext,A,bitIndex43)
            <=> v29047(VarNext,bitIndex1407) )
            & ( v27021_36__array(VarNext,A,bitIndex42)
            <=> v29047(VarNext,bitIndex1406) )
            & ( v27021_36__array(VarNext,A,bitIndex41)
            <=> v29047(VarNext,bitIndex1405) )
            & ( v27021_36__array(VarNext,A,bitIndex40)
            <=> v29047(VarNext,bitIndex1404) )
            & ( v27021_36__array(VarNext,A,bitIndex39)
            <=> v29047(VarNext,bitIndex1403) )
            & ( v27021_36__array(VarNext,A,bitIndex38)
            <=> v29047(VarNext,bitIndex1402) )
            & ( v27021_36__array(VarNext,A,bitIndex37)
            <=> v29047(VarNext,bitIndex1401) )
            & ( v27021_36__array(VarNext,A,bitIndex36)
            <=> v29047(VarNext,bitIndex1400) )
            & ( v27021_36__array(VarNext,A,bitIndex35)
            <=> v29047(VarNext,bitIndex1399) )
            & ( v27021_36__array(VarNext,A,bitIndex34)
            <=> v29047(VarNext,bitIndex1398) )
            & ( v27021_36__array(VarNext,A,bitIndex33)
            <=> v29047(VarNext,bitIndex1397) )
            & ( v27021_36__array(VarNext,A,bitIndex32)
            <=> v29047(VarNext,bitIndex1396) )
            & ( v27021_36__array(VarNext,A,bitIndex31)
            <=> v29047(VarNext,bitIndex1395) )
            & ( v27021_36__array(VarNext,A,bitIndex30)
            <=> v29047(VarNext,bitIndex1394) )
            & ( v27021_36__array(VarNext,A,bitIndex29)
            <=> v29047(VarNext,bitIndex1393) )
            & ( v27021_36__array(VarNext,A,bitIndex28)
            <=> v29047(VarNext,bitIndex1392) )
            & ( v27021_36__array(VarNext,A,bitIndex27)
            <=> v29047(VarNext,bitIndex1391) )
            & ( v27021_36__array(VarNext,A,bitIndex26)
            <=> v29047(VarNext,bitIndex1390) )
            & ( v27021_36__array(VarNext,A,bitIndex25)
            <=> v29047(VarNext,bitIndex1389) )
            & ( v27021_36__array(VarNext,A,bitIndex24)
            <=> v29047(VarNext,bitIndex1388) )
            & ( v27021_36__array(VarNext,A,bitIndex23)
            <=> v29047(VarNext,bitIndex1387) )
            & ( v27021_36__array(VarNext,A,bitIndex22)
            <=> v29047(VarNext,bitIndex1386) )
            & ( v27021_36__array(VarNext,A,bitIndex21)
            <=> v29047(VarNext,bitIndex1385) )
            & ( v27021_36__array(VarNext,A,bitIndex20)
            <=> v29047(VarNext,bitIndex1384) )
            & ( v27021_36__array(VarNext,A,bitIndex19)
            <=> v29047(VarNext,bitIndex1383) )
            & ( v27021_36__array(VarNext,A,bitIndex18)
            <=> v29047(VarNext,bitIndex1382) )
            & ( v27021_36__array(VarNext,A,bitIndex17)
            <=> v29047(VarNext,bitIndex1381) )
            & ( v27021_36__array(VarNext,A,bitIndex16)
            <=> v29047(VarNext,bitIndex1380) )
            & ( v27021_36__array(VarNext,A,bitIndex15)
            <=> v29047(VarNext,bitIndex1379) )
            & ( v27021_36__array(VarNext,A,bitIndex14)
            <=> v29047(VarNext,bitIndex1378) )
            & ( v27021_36__array(VarNext,A,bitIndex13)
            <=> v29047(VarNext,bitIndex1377) )
            & ( v27021_36__array(VarNext,A,bitIndex12)
            <=> v29047(VarNext,bitIndex1376) )
            & ( v27021_36__array(VarNext,A,bitIndex11)
            <=> v29047(VarNext,bitIndex1375) )
            & ( v27021_36__array(VarNext,A,bitIndex10)
            <=> v29047(VarNext,bitIndex1374) )
            & ( v27021_36__array(VarNext,A,bitIndex9)
            <=> v29047(VarNext,bitIndex1373) )
            & ( v27021_36__array(VarNext,A,bitIndex8)
            <=> v29047(VarNext,bitIndex1372) )
            & ( v27021_36__array(VarNext,A,bitIndex7)
            <=> v29047(VarNext,bitIndex1371) )
            & ( v27021_36__array(VarNext,A,bitIndex6)
            <=> v29047(VarNext,bitIndex1370) )
            & ( v27021_36__array(VarNext,A,bitIndex5)
            <=> v29047(VarNext,bitIndex1369) )
            & ( v27021_36__array(VarNext,A,bitIndex4)
            <=> v29047(VarNext,bitIndex1368) )
            & ( v27021_36__array(VarNext,A,bitIndex3)
            <=> v29047(VarNext,bitIndex1367) )
            & ( v27021_36__array(VarNext,A,bitIndex2)
            <=> v29047(VarNext,bitIndex1366) )
            & ( v27021_36__array(VarNext,A,bitIndex1)
            <=> v29047(VarNext,bitIndex1365) )
            & ( v27021_36__array(VarNext,A,bitIndex0)
            <=> v29047(VarNext,bitIndex1364) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6287,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29041(VarNext)
      <=> ( v29042(VarNext)
          & v28764(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6286,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29042(VarNext)
      <=> ( v29044(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2959,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29044(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_91,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b11110_address_term = A
              & v29032(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_35__array(VarNext,A,B)
              <=> v27021_34__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_91,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b11110_address_term = A
            & v29032(VarNext) )
         => ( ( v27021_35__array(VarNext,A,bitIndex43)
            <=> v29038(VarNext,bitIndex1363) )
            & ( v27021_35__array(VarNext,A,bitIndex42)
            <=> v29038(VarNext,bitIndex1362) )
            & ( v27021_35__array(VarNext,A,bitIndex41)
            <=> v29038(VarNext,bitIndex1361) )
            & ( v27021_35__array(VarNext,A,bitIndex40)
            <=> v29038(VarNext,bitIndex1360) )
            & ( v27021_35__array(VarNext,A,bitIndex39)
            <=> v29038(VarNext,bitIndex1359) )
            & ( v27021_35__array(VarNext,A,bitIndex38)
            <=> v29038(VarNext,bitIndex1358) )
            & ( v27021_35__array(VarNext,A,bitIndex37)
            <=> v29038(VarNext,bitIndex1357) )
            & ( v27021_35__array(VarNext,A,bitIndex36)
            <=> v29038(VarNext,bitIndex1356) )
            & ( v27021_35__array(VarNext,A,bitIndex35)
            <=> v29038(VarNext,bitIndex1355) )
            & ( v27021_35__array(VarNext,A,bitIndex34)
            <=> v29038(VarNext,bitIndex1354) )
            & ( v27021_35__array(VarNext,A,bitIndex33)
            <=> v29038(VarNext,bitIndex1353) )
            & ( v27021_35__array(VarNext,A,bitIndex32)
            <=> v29038(VarNext,bitIndex1352) )
            & ( v27021_35__array(VarNext,A,bitIndex31)
            <=> v29038(VarNext,bitIndex1351) )
            & ( v27021_35__array(VarNext,A,bitIndex30)
            <=> v29038(VarNext,bitIndex1350) )
            & ( v27021_35__array(VarNext,A,bitIndex29)
            <=> v29038(VarNext,bitIndex1349) )
            & ( v27021_35__array(VarNext,A,bitIndex28)
            <=> v29038(VarNext,bitIndex1348) )
            & ( v27021_35__array(VarNext,A,bitIndex27)
            <=> v29038(VarNext,bitIndex1347) )
            & ( v27021_35__array(VarNext,A,bitIndex26)
            <=> v29038(VarNext,bitIndex1346) )
            & ( v27021_35__array(VarNext,A,bitIndex25)
            <=> v29038(VarNext,bitIndex1345) )
            & ( v27021_35__array(VarNext,A,bitIndex24)
            <=> v29038(VarNext,bitIndex1344) )
            & ( v27021_35__array(VarNext,A,bitIndex23)
            <=> v29038(VarNext,bitIndex1343) )
            & ( v27021_35__array(VarNext,A,bitIndex22)
            <=> v29038(VarNext,bitIndex1342) )
            & ( v27021_35__array(VarNext,A,bitIndex21)
            <=> v29038(VarNext,bitIndex1341) )
            & ( v27021_35__array(VarNext,A,bitIndex20)
            <=> v29038(VarNext,bitIndex1340) )
            & ( v27021_35__array(VarNext,A,bitIndex19)
            <=> v29038(VarNext,bitIndex1339) )
            & ( v27021_35__array(VarNext,A,bitIndex18)
            <=> v29038(VarNext,bitIndex1338) )
            & ( v27021_35__array(VarNext,A,bitIndex17)
            <=> v29038(VarNext,bitIndex1337) )
            & ( v27021_35__array(VarNext,A,bitIndex16)
            <=> v29038(VarNext,bitIndex1336) )
            & ( v27021_35__array(VarNext,A,bitIndex15)
            <=> v29038(VarNext,bitIndex1335) )
            & ( v27021_35__array(VarNext,A,bitIndex14)
            <=> v29038(VarNext,bitIndex1334) )
            & ( v27021_35__array(VarNext,A,bitIndex13)
            <=> v29038(VarNext,bitIndex1333) )
            & ( v27021_35__array(VarNext,A,bitIndex12)
            <=> v29038(VarNext,bitIndex1332) )
            & ( v27021_35__array(VarNext,A,bitIndex11)
            <=> v29038(VarNext,bitIndex1331) )
            & ( v27021_35__array(VarNext,A,bitIndex10)
            <=> v29038(VarNext,bitIndex1330) )
            & ( v27021_35__array(VarNext,A,bitIndex9)
            <=> v29038(VarNext,bitIndex1329) )
            & ( v27021_35__array(VarNext,A,bitIndex8)
            <=> v29038(VarNext,bitIndex1328) )
            & ( v27021_35__array(VarNext,A,bitIndex7)
            <=> v29038(VarNext,bitIndex1327) )
            & ( v27021_35__array(VarNext,A,bitIndex6)
            <=> v29038(VarNext,bitIndex1326) )
            & ( v27021_35__array(VarNext,A,bitIndex5)
            <=> v29038(VarNext,bitIndex1325) )
            & ( v27021_35__array(VarNext,A,bitIndex4)
            <=> v29038(VarNext,bitIndex1324) )
            & ( v27021_35__array(VarNext,A,bitIndex3)
            <=> v29038(VarNext,bitIndex1323) )
            & ( v27021_35__array(VarNext,A,bitIndex2)
            <=> v29038(VarNext,bitIndex1322) )
            & ( v27021_35__array(VarNext,A,bitIndex1)
            <=> v29038(VarNext,bitIndex1321) )
            & ( v27021_35__array(VarNext,A,bitIndex0)
            <=> v29038(VarNext,bitIndex1320) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6285,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29032(VarNext)
      <=> ( v29033(VarNext)
          & v28764(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6284,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29033(VarNext)
      <=> ( v29035(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2958,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29035(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_90,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b11101_address_term = A
              & v29023(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_34__array(VarNext,A,B)
              <=> v27021_33__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_90,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b11101_address_term = A
            & v29023(VarNext) )
         => ( ( v27021_34__array(VarNext,A,bitIndex43)
            <=> v29029(VarNext,bitIndex1319) )
            & ( v27021_34__array(VarNext,A,bitIndex42)
            <=> v29029(VarNext,bitIndex1318) )
            & ( v27021_34__array(VarNext,A,bitIndex41)
            <=> v29029(VarNext,bitIndex1317) )
            & ( v27021_34__array(VarNext,A,bitIndex40)
            <=> v29029(VarNext,bitIndex1316) )
            & ( v27021_34__array(VarNext,A,bitIndex39)
            <=> v29029(VarNext,bitIndex1315) )
            & ( v27021_34__array(VarNext,A,bitIndex38)
            <=> v29029(VarNext,bitIndex1314) )
            & ( v27021_34__array(VarNext,A,bitIndex37)
            <=> v29029(VarNext,bitIndex1313) )
            & ( v27021_34__array(VarNext,A,bitIndex36)
            <=> v29029(VarNext,bitIndex1312) )
            & ( v27021_34__array(VarNext,A,bitIndex35)
            <=> v29029(VarNext,bitIndex1311) )
            & ( v27021_34__array(VarNext,A,bitIndex34)
            <=> v29029(VarNext,bitIndex1310) )
            & ( v27021_34__array(VarNext,A,bitIndex33)
            <=> v29029(VarNext,bitIndex1309) )
            & ( v27021_34__array(VarNext,A,bitIndex32)
            <=> v29029(VarNext,bitIndex1308) )
            & ( v27021_34__array(VarNext,A,bitIndex31)
            <=> v29029(VarNext,bitIndex1307) )
            & ( v27021_34__array(VarNext,A,bitIndex30)
            <=> v29029(VarNext,bitIndex1306) )
            & ( v27021_34__array(VarNext,A,bitIndex29)
            <=> v29029(VarNext,bitIndex1305) )
            & ( v27021_34__array(VarNext,A,bitIndex28)
            <=> v29029(VarNext,bitIndex1304) )
            & ( v27021_34__array(VarNext,A,bitIndex27)
            <=> v29029(VarNext,bitIndex1303) )
            & ( v27021_34__array(VarNext,A,bitIndex26)
            <=> v29029(VarNext,bitIndex1302) )
            & ( v27021_34__array(VarNext,A,bitIndex25)
            <=> v29029(VarNext,bitIndex1301) )
            & ( v27021_34__array(VarNext,A,bitIndex24)
            <=> v29029(VarNext,bitIndex1300) )
            & ( v27021_34__array(VarNext,A,bitIndex23)
            <=> v29029(VarNext,bitIndex1299) )
            & ( v27021_34__array(VarNext,A,bitIndex22)
            <=> v29029(VarNext,bitIndex1298) )
            & ( v27021_34__array(VarNext,A,bitIndex21)
            <=> v29029(VarNext,bitIndex1297) )
            & ( v27021_34__array(VarNext,A,bitIndex20)
            <=> v29029(VarNext,bitIndex1296) )
            & ( v27021_34__array(VarNext,A,bitIndex19)
            <=> v29029(VarNext,bitIndex1295) )
            & ( v27021_34__array(VarNext,A,bitIndex18)
            <=> v29029(VarNext,bitIndex1294) )
            & ( v27021_34__array(VarNext,A,bitIndex17)
            <=> v29029(VarNext,bitIndex1293) )
            & ( v27021_34__array(VarNext,A,bitIndex16)
            <=> v29029(VarNext,bitIndex1292) )
            & ( v27021_34__array(VarNext,A,bitIndex15)
            <=> v29029(VarNext,bitIndex1291) )
            & ( v27021_34__array(VarNext,A,bitIndex14)
            <=> v29029(VarNext,bitIndex1290) )
            & ( v27021_34__array(VarNext,A,bitIndex13)
            <=> v29029(VarNext,bitIndex1289) )
            & ( v27021_34__array(VarNext,A,bitIndex12)
            <=> v29029(VarNext,bitIndex1288) )
            & ( v27021_34__array(VarNext,A,bitIndex11)
            <=> v29029(VarNext,bitIndex1287) )
            & ( v27021_34__array(VarNext,A,bitIndex10)
            <=> v29029(VarNext,bitIndex1286) )
            & ( v27021_34__array(VarNext,A,bitIndex9)
            <=> v29029(VarNext,bitIndex1285) )
            & ( v27021_34__array(VarNext,A,bitIndex8)
            <=> v29029(VarNext,bitIndex1284) )
            & ( v27021_34__array(VarNext,A,bitIndex7)
            <=> v29029(VarNext,bitIndex1283) )
            & ( v27021_34__array(VarNext,A,bitIndex6)
            <=> v29029(VarNext,bitIndex1282) )
            & ( v27021_34__array(VarNext,A,bitIndex5)
            <=> v29029(VarNext,bitIndex1281) )
            & ( v27021_34__array(VarNext,A,bitIndex4)
            <=> v29029(VarNext,bitIndex1280) )
            & ( v27021_34__array(VarNext,A,bitIndex3)
            <=> v29029(VarNext,bitIndex1279) )
            & ( v27021_34__array(VarNext,A,bitIndex2)
            <=> v29029(VarNext,bitIndex1278) )
            & ( v27021_34__array(VarNext,A,bitIndex1)
            <=> v29029(VarNext,bitIndex1277) )
            & ( v27021_34__array(VarNext,A,bitIndex0)
            <=> v29029(VarNext,bitIndex1276) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6283,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29023(VarNext)
      <=> ( v29024(VarNext)
          & v28764(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6282,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29024(VarNext)
      <=> ( v29026(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2957,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29026(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_89,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b11100_address_term = A
              & v29014(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_33__array(VarNext,A,B)
              <=> v27021_32__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_89,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b11100_address_term = A
            & v29014(VarNext) )
         => ( ( v27021_33__array(VarNext,A,bitIndex43)
            <=> v29020(VarNext,bitIndex1275) )
            & ( v27021_33__array(VarNext,A,bitIndex42)
            <=> v29020(VarNext,bitIndex1274) )
            & ( v27021_33__array(VarNext,A,bitIndex41)
            <=> v29020(VarNext,bitIndex1273) )
            & ( v27021_33__array(VarNext,A,bitIndex40)
            <=> v29020(VarNext,bitIndex1272) )
            & ( v27021_33__array(VarNext,A,bitIndex39)
            <=> v29020(VarNext,bitIndex1271) )
            & ( v27021_33__array(VarNext,A,bitIndex38)
            <=> v29020(VarNext,bitIndex1270) )
            & ( v27021_33__array(VarNext,A,bitIndex37)
            <=> v29020(VarNext,bitIndex1269) )
            & ( v27021_33__array(VarNext,A,bitIndex36)
            <=> v29020(VarNext,bitIndex1268) )
            & ( v27021_33__array(VarNext,A,bitIndex35)
            <=> v29020(VarNext,bitIndex1267) )
            & ( v27021_33__array(VarNext,A,bitIndex34)
            <=> v29020(VarNext,bitIndex1266) )
            & ( v27021_33__array(VarNext,A,bitIndex33)
            <=> v29020(VarNext,bitIndex1265) )
            & ( v27021_33__array(VarNext,A,bitIndex32)
            <=> v29020(VarNext,bitIndex1264) )
            & ( v27021_33__array(VarNext,A,bitIndex31)
            <=> v29020(VarNext,bitIndex1263) )
            & ( v27021_33__array(VarNext,A,bitIndex30)
            <=> v29020(VarNext,bitIndex1262) )
            & ( v27021_33__array(VarNext,A,bitIndex29)
            <=> v29020(VarNext,bitIndex1261) )
            & ( v27021_33__array(VarNext,A,bitIndex28)
            <=> v29020(VarNext,bitIndex1260) )
            & ( v27021_33__array(VarNext,A,bitIndex27)
            <=> v29020(VarNext,bitIndex1259) )
            & ( v27021_33__array(VarNext,A,bitIndex26)
            <=> v29020(VarNext,bitIndex1258) )
            & ( v27021_33__array(VarNext,A,bitIndex25)
            <=> v29020(VarNext,bitIndex1257) )
            & ( v27021_33__array(VarNext,A,bitIndex24)
            <=> v29020(VarNext,bitIndex1256) )
            & ( v27021_33__array(VarNext,A,bitIndex23)
            <=> v29020(VarNext,bitIndex1255) )
            & ( v27021_33__array(VarNext,A,bitIndex22)
            <=> v29020(VarNext,bitIndex1254) )
            & ( v27021_33__array(VarNext,A,bitIndex21)
            <=> v29020(VarNext,bitIndex1253) )
            & ( v27021_33__array(VarNext,A,bitIndex20)
            <=> v29020(VarNext,bitIndex1252) )
            & ( v27021_33__array(VarNext,A,bitIndex19)
            <=> v29020(VarNext,bitIndex1251) )
            & ( v27021_33__array(VarNext,A,bitIndex18)
            <=> v29020(VarNext,bitIndex1250) )
            & ( v27021_33__array(VarNext,A,bitIndex17)
            <=> v29020(VarNext,bitIndex1249) )
            & ( v27021_33__array(VarNext,A,bitIndex16)
            <=> v29020(VarNext,bitIndex1248) )
            & ( v27021_33__array(VarNext,A,bitIndex15)
            <=> v29020(VarNext,bitIndex1247) )
            & ( v27021_33__array(VarNext,A,bitIndex14)
            <=> v29020(VarNext,bitIndex1246) )
            & ( v27021_33__array(VarNext,A,bitIndex13)
            <=> v29020(VarNext,bitIndex1245) )
            & ( v27021_33__array(VarNext,A,bitIndex12)
            <=> v29020(VarNext,bitIndex1244) )
            & ( v27021_33__array(VarNext,A,bitIndex11)
            <=> v29020(VarNext,bitIndex1243) )
            & ( v27021_33__array(VarNext,A,bitIndex10)
            <=> v29020(VarNext,bitIndex1242) )
            & ( v27021_33__array(VarNext,A,bitIndex9)
            <=> v29020(VarNext,bitIndex1241) )
            & ( v27021_33__array(VarNext,A,bitIndex8)
            <=> v29020(VarNext,bitIndex1240) )
            & ( v27021_33__array(VarNext,A,bitIndex7)
            <=> v29020(VarNext,bitIndex1239) )
            & ( v27021_33__array(VarNext,A,bitIndex6)
            <=> v29020(VarNext,bitIndex1238) )
            & ( v27021_33__array(VarNext,A,bitIndex5)
            <=> v29020(VarNext,bitIndex1237) )
            & ( v27021_33__array(VarNext,A,bitIndex4)
            <=> v29020(VarNext,bitIndex1236) )
            & ( v27021_33__array(VarNext,A,bitIndex3)
            <=> v29020(VarNext,bitIndex1235) )
            & ( v27021_33__array(VarNext,A,bitIndex2)
            <=> v29020(VarNext,bitIndex1234) )
            & ( v27021_33__array(VarNext,A,bitIndex1)
            <=> v29020(VarNext,bitIndex1233) )
            & ( v27021_33__array(VarNext,A,bitIndex0)
            <=> v29020(VarNext,bitIndex1232) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6281,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29014(VarNext)
      <=> ( v29015(VarNext)
          & v28764(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6280,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29015(VarNext)
      <=> ( v29017(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2956,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29017(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_88,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b11011_address_term = A
              & v29005(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_32__array(VarNext,A,B)
              <=> v27021_31__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_88,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b11011_address_term = A
            & v29005(VarNext) )
         => ( ( v27021_32__array(VarNext,A,bitIndex43)
            <=> v29011(VarNext,bitIndex1231) )
            & ( v27021_32__array(VarNext,A,bitIndex42)
            <=> v29011(VarNext,bitIndex1230) )
            & ( v27021_32__array(VarNext,A,bitIndex41)
            <=> v29011(VarNext,bitIndex1229) )
            & ( v27021_32__array(VarNext,A,bitIndex40)
            <=> v29011(VarNext,bitIndex1228) )
            & ( v27021_32__array(VarNext,A,bitIndex39)
            <=> v29011(VarNext,bitIndex1227) )
            & ( v27021_32__array(VarNext,A,bitIndex38)
            <=> v29011(VarNext,bitIndex1226) )
            & ( v27021_32__array(VarNext,A,bitIndex37)
            <=> v29011(VarNext,bitIndex1225) )
            & ( v27021_32__array(VarNext,A,bitIndex36)
            <=> v29011(VarNext,bitIndex1224) )
            & ( v27021_32__array(VarNext,A,bitIndex35)
            <=> v29011(VarNext,bitIndex1223) )
            & ( v27021_32__array(VarNext,A,bitIndex34)
            <=> v29011(VarNext,bitIndex1222) )
            & ( v27021_32__array(VarNext,A,bitIndex33)
            <=> v29011(VarNext,bitIndex1221) )
            & ( v27021_32__array(VarNext,A,bitIndex32)
            <=> v29011(VarNext,bitIndex1220) )
            & ( v27021_32__array(VarNext,A,bitIndex31)
            <=> v29011(VarNext,bitIndex1219) )
            & ( v27021_32__array(VarNext,A,bitIndex30)
            <=> v29011(VarNext,bitIndex1218) )
            & ( v27021_32__array(VarNext,A,bitIndex29)
            <=> v29011(VarNext,bitIndex1217) )
            & ( v27021_32__array(VarNext,A,bitIndex28)
            <=> v29011(VarNext,bitIndex1216) )
            & ( v27021_32__array(VarNext,A,bitIndex27)
            <=> v29011(VarNext,bitIndex1215) )
            & ( v27021_32__array(VarNext,A,bitIndex26)
            <=> v29011(VarNext,bitIndex1214) )
            & ( v27021_32__array(VarNext,A,bitIndex25)
            <=> v29011(VarNext,bitIndex1213) )
            & ( v27021_32__array(VarNext,A,bitIndex24)
            <=> v29011(VarNext,bitIndex1212) )
            & ( v27021_32__array(VarNext,A,bitIndex23)
            <=> v29011(VarNext,bitIndex1211) )
            & ( v27021_32__array(VarNext,A,bitIndex22)
            <=> v29011(VarNext,bitIndex1210) )
            & ( v27021_32__array(VarNext,A,bitIndex21)
            <=> v29011(VarNext,bitIndex1209) )
            & ( v27021_32__array(VarNext,A,bitIndex20)
            <=> v29011(VarNext,bitIndex1208) )
            & ( v27021_32__array(VarNext,A,bitIndex19)
            <=> v29011(VarNext,bitIndex1207) )
            & ( v27021_32__array(VarNext,A,bitIndex18)
            <=> v29011(VarNext,bitIndex1206) )
            & ( v27021_32__array(VarNext,A,bitIndex17)
            <=> v29011(VarNext,bitIndex1205) )
            & ( v27021_32__array(VarNext,A,bitIndex16)
            <=> v29011(VarNext,bitIndex1204) )
            & ( v27021_32__array(VarNext,A,bitIndex15)
            <=> v29011(VarNext,bitIndex1203) )
            & ( v27021_32__array(VarNext,A,bitIndex14)
            <=> v29011(VarNext,bitIndex1202) )
            & ( v27021_32__array(VarNext,A,bitIndex13)
            <=> v29011(VarNext,bitIndex1201) )
            & ( v27021_32__array(VarNext,A,bitIndex12)
            <=> v29011(VarNext,bitIndex1200) )
            & ( v27021_32__array(VarNext,A,bitIndex11)
            <=> v29011(VarNext,bitIndex1199) )
            & ( v27021_32__array(VarNext,A,bitIndex10)
            <=> v29011(VarNext,bitIndex1198) )
            & ( v27021_32__array(VarNext,A,bitIndex9)
            <=> v29011(VarNext,bitIndex1197) )
            & ( v27021_32__array(VarNext,A,bitIndex8)
            <=> v29011(VarNext,bitIndex1196) )
            & ( v27021_32__array(VarNext,A,bitIndex7)
            <=> v29011(VarNext,bitIndex1195) )
            & ( v27021_32__array(VarNext,A,bitIndex6)
            <=> v29011(VarNext,bitIndex1194) )
            & ( v27021_32__array(VarNext,A,bitIndex5)
            <=> v29011(VarNext,bitIndex1193) )
            & ( v27021_32__array(VarNext,A,bitIndex4)
            <=> v29011(VarNext,bitIndex1192) )
            & ( v27021_32__array(VarNext,A,bitIndex3)
            <=> v29011(VarNext,bitIndex1191) )
            & ( v27021_32__array(VarNext,A,bitIndex2)
            <=> v29011(VarNext,bitIndex1190) )
            & ( v27021_32__array(VarNext,A,bitIndex1)
            <=> v29011(VarNext,bitIndex1189) )
            & ( v27021_32__array(VarNext,A,bitIndex0)
            <=> v29011(VarNext,bitIndex1188) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6279,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29005(VarNext)
      <=> ( v29006(VarNext)
          & v28764(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6278,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v29006(VarNext)
      <=> ( v29008(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2955,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v29008(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_87,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b11010_address_term = A
              & v28996(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_31__array(VarNext,A,B)
              <=> v27021_30__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_87,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b11010_address_term = A
            & v28996(VarNext) )
         => ( ( v27021_31__array(VarNext,A,bitIndex43)
            <=> v29002(VarNext,bitIndex1187) )
            & ( v27021_31__array(VarNext,A,bitIndex42)
            <=> v29002(VarNext,bitIndex1186) )
            & ( v27021_31__array(VarNext,A,bitIndex41)
            <=> v29002(VarNext,bitIndex1185) )
            & ( v27021_31__array(VarNext,A,bitIndex40)
            <=> v29002(VarNext,bitIndex1184) )
            & ( v27021_31__array(VarNext,A,bitIndex39)
            <=> v29002(VarNext,bitIndex1183) )
            & ( v27021_31__array(VarNext,A,bitIndex38)
            <=> v29002(VarNext,bitIndex1182) )
            & ( v27021_31__array(VarNext,A,bitIndex37)
            <=> v29002(VarNext,bitIndex1181) )
            & ( v27021_31__array(VarNext,A,bitIndex36)
            <=> v29002(VarNext,bitIndex1180) )
            & ( v27021_31__array(VarNext,A,bitIndex35)
            <=> v29002(VarNext,bitIndex1179) )
            & ( v27021_31__array(VarNext,A,bitIndex34)
            <=> v29002(VarNext,bitIndex1178) )
            & ( v27021_31__array(VarNext,A,bitIndex33)
            <=> v29002(VarNext,bitIndex1177) )
            & ( v27021_31__array(VarNext,A,bitIndex32)
            <=> v29002(VarNext,bitIndex1176) )
            & ( v27021_31__array(VarNext,A,bitIndex31)
            <=> v29002(VarNext,bitIndex1175) )
            & ( v27021_31__array(VarNext,A,bitIndex30)
            <=> v29002(VarNext,bitIndex1174) )
            & ( v27021_31__array(VarNext,A,bitIndex29)
            <=> v29002(VarNext,bitIndex1173) )
            & ( v27021_31__array(VarNext,A,bitIndex28)
            <=> v29002(VarNext,bitIndex1172) )
            & ( v27021_31__array(VarNext,A,bitIndex27)
            <=> v29002(VarNext,bitIndex1171) )
            & ( v27021_31__array(VarNext,A,bitIndex26)
            <=> v29002(VarNext,bitIndex1170) )
            & ( v27021_31__array(VarNext,A,bitIndex25)
            <=> v29002(VarNext,bitIndex1169) )
            & ( v27021_31__array(VarNext,A,bitIndex24)
            <=> v29002(VarNext,bitIndex1168) )
            & ( v27021_31__array(VarNext,A,bitIndex23)
            <=> v29002(VarNext,bitIndex1167) )
            & ( v27021_31__array(VarNext,A,bitIndex22)
            <=> v29002(VarNext,bitIndex1166) )
            & ( v27021_31__array(VarNext,A,bitIndex21)
            <=> v29002(VarNext,bitIndex1165) )
            & ( v27021_31__array(VarNext,A,bitIndex20)
            <=> v29002(VarNext,bitIndex1164) )
            & ( v27021_31__array(VarNext,A,bitIndex19)
            <=> v29002(VarNext,bitIndex1163) )
            & ( v27021_31__array(VarNext,A,bitIndex18)
            <=> v29002(VarNext,bitIndex1162) )
            & ( v27021_31__array(VarNext,A,bitIndex17)
            <=> v29002(VarNext,bitIndex1161) )
            & ( v27021_31__array(VarNext,A,bitIndex16)
            <=> v29002(VarNext,bitIndex1160) )
            & ( v27021_31__array(VarNext,A,bitIndex15)
            <=> v29002(VarNext,bitIndex1159) )
            & ( v27021_31__array(VarNext,A,bitIndex14)
            <=> v29002(VarNext,bitIndex1158) )
            & ( v27021_31__array(VarNext,A,bitIndex13)
            <=> v29002(VarNext,bitIndex1157) )
            & ( v27021_31__array(VarNext,A,bitIndex12)
            <=> v29002(VarNext,bitIndex1156) )
            & ( v27021_31__array(VarNext,A,bitIndex11)
            <=> v29002(VarNext,bitIndex1155) )
            & ( v27021_31__array(VarNext,A,bitIndex10)
            <=> v29002(VarNext,bitIndex1154) )
            & ( v27021_31__array(VarNext,A,bitIndex9)
            <=> v29002(VarNext,bitIndex1153) )
            & ( v27021_31__array(VarNext,A,bitIndex8)
            <=> v29002(VarNext,bitIndex1152) )
            & ( v27021_31__array(VarNext,A,bitIndex7)
            <=> v29002(VarNext,bitIndex1151) )
            & ( v27021_31__array(VarNext,A,bitIndex6)
            <=> v29002(VarNext,bitIndex1150) )
            & ( v27021_31__array(VarNext,A,bitIndex5)
            <=> v29002(VarNext,bitIndex1149) )
            & ( v27021_31__array(VarNext,A,bitIndex4)
            <=> v29002(VarNext,bitIndex1148) )
            & ( v27021_31__array(VarNext,A,bitIndex3)
            <=> v29002(VarNext,bitIndex1147) )
            & ( v27021_31__array(VarNext,A,bitIndex2)
            <=> v29002(VarNext,bitIndex1146) )
            & ( v27021_31__array(VarNext,A,bitIndex1)
            <=> v29002(VarNext,bitIndex1145) )
            & ( v27021_31__array(VarNext,A,bitIndex0)
            <=> v29002(VarNext,bitIndex1144) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6277,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28996(VarNext)
      <=> ( v28997(VarNext)
          & v28764(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6276,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28997(VarNext)
      <=> ( v28999(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2954,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28999(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_86,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b11001_address_term = A
              & v28987(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_30__array(VarNext,A,B)
              <=> v27021_29__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_86,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b11001_address_term = A
            & v28987(VarNext) )
         => ( ( v27021_30__array(VarNext,A,bitIndex43)
            <=> v28993(VarNext,bitIndex1143) )
            & ( v27021_30__array(VarNext,A,bitIndex42)
            <=> v28993(VarNext,bitIndex1142) )
            & ( v27021_30__array(VarNext,A,bitIndex41)
            <=> v28993(VarNext,bitIndex1141) )
            & ( v27021_30__array(VarNext,A,bitIndex40)
            <=> v28993(VarNext,bitIndex1140) )
            & ( v27021_30__array(VarNext,A,bitIndex39)
            <=> v28993(VarNext,bitIndex1139) )
            & ( v27021_30__array(VarNext,A,bitIndex38)
            <=> v28993(VarNext,bitIndex1138) )
            & ( v27021_30__array(VarNext,A,bitIndex37)
            <=> v28993(VarNext,bitIndex1137) )
            & ( v27021_30__array(VarNext,A,bitIndex36)
            <=> v28993(VarNext,bitIndex1136) )
            & ( v27021_30__array(VarNext,A,bitIndex35)
            <=> v28993(VarNext,bitIndex1135) )
            & ( v27021_30__array(VarNext,A,bitIndex34)
            <=> v28993(VarNext,bitIndex1134) )
            & ( v27021_30__array(VarNext,A,bitIndex33)
            <=> v28993(VarNext,bitIndex1133) )
            & ( v27021_30__array(VarNext,A,bitIndex32)
            <=> v28993(VarNext,bitIndex1132) )
            & ( v27021_30__array(VarNext,A,bitIndex31)
            <=> v28993(VarNext,bitIndex1131) )
            & ( v27021_30__array(VarNext,A,bitIndex30)
            <=> v28993(VarNext,bitIndex1130) )
            & ( v27021_30__array(VarNext,A,bitIndex29)
            <=> v28993(VarNext,bitIndex1129) )
            & ( v27021_30__array(VarNext,A,bitIndex28)
            <=> v28993(VarNext,bitIndex1128) )
            & ( v27021_30__array(VarNext,A,bitIndex27)
            <=> v28993(VarNext,bitIndex1127) )
            & ( v27021_30__array(VarNext,A,bitIndex26)
            <=> v28993(VarNext,bitIndex1126) )
            & ( v27021_30__array(VarNext,A,bitIndex25)
            <=> v28993(VarNext,bitIndex1125) )
            & ( v27021_30__array(VarNext,A,bitIndex24)
            <=> v28993(VarNext,bitIndex1124) )
            & ( v27021_30__array(VarNext,A,bitIndex23)
            <=> v28993(VarNext,bitIndex1123) )
            & ( v27021_30__array(VarNext,A,bitIndex22)
            <=> v28993(VarNext,bitIndex1122) )
            & ( v27021_30__array(VarNext,A,bitIndex21)
            <=> v28993(VarNext,bitIndex1121) )
            & ( v27021_30__array(VarNext,A,bitIndex20)
            <=> v28993(VarNext,bitIndex1120) )
            & ( v27021_30__array(VarNext,A,bitIndex19)
            <=> v28993(VarNext,bitIndex1119) )
            & ( v27021_30__array(VarNext,A,bitIndex18)
            <=> v28993(VarNext,bitIndex1118) )
            & ( v27021_30__array(VarNext,A,bitIndex17)
            <=> v28993(VarNext,bitIndex1117) )
            & ( v27021_30__array(VarNext,A,bitIndex16)
            <=> v28993(VarNext,bitIndex1116) )
            & ( v27021_30__array(VarNext,A,bitIndex15)
            <=> v28993(VarNext,bitIndex1115) )
            & ( v27021_30__array(VarNext,A,bitIndex14)
            <=> v28993(VarNext,bitIndex1114) )
            & ( v27021_30__array(VarNext,A,bitIndex13)
            <=> v28993(VarNext,bitIndex1113) )
            & ( v27021_30__array(VarNext,A,bitIndex12)
            <=> v28993(VarNext,bitIndex1112) )
            & ( v27021_30__array(VarNext,A,bitIndex11)
            <=> v28993(VarNext,bitIndex1111) )
            & ( v27021_30__array(VarNext,A,bitIndex10)
            <=> v28993(VarNext,bitIndex1110) )
            & ( v27021_30__array(VarNext,A,bitIndex9)
            <=> v28993(VarNext,bitIndex1109) )
            & ( v27021_30__array(VarNext,A,bitIndex8)
            <=> v28993(VarNext,bitIndex1108) )
            & ( v27021_30__array(VarNext,A,bitIndex7)
            <=> v28993(VarNext,bitIndex1107) )
            & ( v27021_30__array(VarNext,A,bitIndex6)
            <=> v28993(VarNext,bitIndex1106) )
            & ( v27021_30__array(VarNext,A,bitIndex5)
            <=> v28993(VarNext,bitIndex1105) )
            & ( v27021_30__array(VarNext,A,bitIndex4)
            <=> v28993(VarNext,bitIndex1104) )
            & ( v27021_30__array(VarNext,A,bitIndex3)
            <=> v28993(VarNext,bitIndex1103) )
            & ( v27021_30__array(VarNext,A,bitIndex2)
            <=> v28993(VarNext,bitIndex1102) )
            & ( v27021_30__array(VarNext,A,bitIndex1)
            <=> v28993(VarNext,bitIndex1101) )
            & ( v27021_30__array(VarNext,A,bitIndex0)
            <=> v28993(VarNext,bitIndex1100) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6275,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28987(VarNext)
      <=> ( v28988(VarNext)
          & v28764(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6274,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28988(VarNext)
      <=> ( v28990(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2953,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28990(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_85,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b11000_address_term = A
              & v28978(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_29__array(VarNext,A,B)
              <=> v27021_28__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_85,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b11000_address_term = A
            & v28978(VarNext) )
         => ( ( v27021_29__array(VarNext,A,bitIndex43)
            <=> v28984(VarNext,bitIndex1099) )
            & ( v27021_29__array(VarNext,A,bitIndex42)
            <=> v28984(VarNext,bitIndex1098) )
            & ( v27021_29__array(VarNext,A,bitIndex41)
            <=> v28984(VarNext,bitIndex1097) )
            & ( v27021_29__array(VarNext,A,bitIndex40)
            <=> v28984(VarNext,bitIndex1096) )
            & ( v27021_29__array(VarNext,A,bitIndex39)
            <=> v28984(VarNext,bitIndex1095) )
            & ( v27021_29__array(VarNext,A,bitIndex38)
            <=> v28984(VarNext,bitIndex1094) )
            & ( v27021_29__array(VarNext,A,bitIndex37)
            <=> v28984(VarNext,bitIndex1093) )
            & ( v27021_29__array(VarNext,A,bitIndex36)
            <=> v28984(VarNext,bitIndex1092) )
            & ( v27021_29__array(VarNext,A,bitIndex35)
            <=> v28984(VarNext,bitIndex1091) )
            & ( v27021_29__array(VarNext,A,bitIndex34)
            <=> v28984(VarNext,bitIndex1090) )
            & ( v27021_29__array(VarNext,A,bitIndex33)
            <=> v28984(VarNext,bitIndex1089) )
            & ( v27021_29__array(VarNext,A,bitIndex32)
            <=> v28984(VarNext,bitIndex1088) )
            & ( v27021_29__array(VarNext,A,bitIndex31)
            <=> v28984(VarNext,bitIndex1087) )
            & ( v27021_29__array(VarNext,A,bitIndex30)
            <=> v28984(VarNext,bitIndex1086) )
            & ( v27021_29__array(VarNext,A,bitIndex29)
            <=> v28984(VarNext,bitIndex1085) )
            & ( v27021_29__array(VarNext,A,bitIndex28)
            <=> v28984(VarNext,bitIndex1084) )
            & ( v27021_29__array(VarNext,A,bitIndex27)
            <=> v28984(VarNext,bitIndex1083) )
            & ( v27021_29__array(VarNext,A,bitIndex26)
            <=> v28984(VarNext,bitIndex1082) )
            & ( v27021_29__array(VarNext,A,bitIndex25)
            <=> v28984(VarNext,bitIndex1081) )
            & ( v27021_29__array(VarNext,A,bitIndex24)
            <=> v28984(VarNext,bitIndex1080) )
            & ( v27021_29__array(VarNext,A,bitIndex23)
            <=> v28984(VarNext,bitIndex1079) )
            & ( v27021_29__array(VarNext,A,bitIndex22)
            <=> v28984(VarNext,bitIndex1078) )
            & ( v27021_29__array(VarNext,A,bitIndex21)
            <=> v28984(VarNext,bitIndex1077) )
            & ( v27021_29__array(VarNext,A,bitIndex20)
            <=> v28984(VarNext,bitIndex1076) )
            & ( v27021_29__array(VarNext,A,bitIndex19)
            <=> v28984(VarNext,bitIndex1075) )
            & ( v27021_29__array(VarNext,A,bitIndex18)
            <=> v28984(VarNext,bitIndex1074) )
            & ( v27021_29__array(VarNext,A,bitIndex17)
            <=> v28984(VarNext,bitIndex1073) )
            & ( v27021_29__array(VarNext,A,bitIndex16)
            <=> v28984(VarNext,bitIndex1072) )
            & ( v27021_29__array(VarNext,A,bitIndex15)
            <=> v28984(VarNext,bitIndex1071) )
            & ( v27021_29__array(VarNext,A,bitIndex14)
            <=> v28984(VarNext,bitIndex1070) )
            & ( v27021_29__array(VarNext,A,bitIndex13)
            <=> v28984(VarNext,bitIndex1069) )
            & ( v27021_29__array(VarNext,A,bitIndex12)
            <=> v28984(VarNext,bitIndex1068) )
            & ( v27021_29__array(VarNext,A,bitIndex11)
            <=> v28984(VarNext,bitIndex1067) )
            & ( v27021_29__array(VarNext,A,bitIndex10)
            <=> v28984(VarNext,bitIndex1066) )
            & ( v27021_29__array(VarNext,A,bitIndex9)
            <=> v28984(VarNext,bitIndex1065) )
            & ( v27021_29__array(VarNext,A,bitIndex8)
            <=> v28984(VarNext,bitIndex1064) )
            & ( v27021_29__array(VarNext,A,bitIndex7)
            <=> v28984(VarNext,bitIndex1063) )
            & ( v27021_29__array(VarNext,A,bitIndex6)
            <=> v28984(VarNext,bitIndex1062) )
            & ( v27021_29__array(VarNext,A,bitIndex5)
            <=> v28984(VarNext,bitIndex1061) )
            & ( v27021_29__array(VarNext,A,bitIndex4)
            <=> v28984(VarNext,bitIndex1060) )
            & ( v27021_29__array(VarNext,A,bitIndex3)
            <=> v28984(VarNext,bitIndex1059) )
            & ( v27021_29__array(VarNext,A,bitIndex2)
            <=> v28984(VarNext,bitIndex1058) )
            & ( v27021_29__array(VarNext,A,bitIndex1)
            <=> v28984(VarNext,bitIndex1057) )
            & ( v27021_29__array(VarNext,A,bitIndex0)
            <=> v28984(VarNext,bitIndex1056) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6273,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28978(VarNext)
      <=> ( v28979(VarNext)
          & v28764(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6272,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28979(VarNext)
      <=> ( v28981(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2952,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28981(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_84,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b10111_address_term = A
              & v28969(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_28__array(VarNext,A,B)
              <=> v27021_27__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_84,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b10111_address_term = A
            & v28969(VarNext) )
         => ( ( v27021_28__array(VarNext,A,bitIndex43)
            <=> v28975(VarNext,bitIndex1055) )
            & ( v27021_28__array(VarNext,A,bitIndex42)
            <=> v28975(VarNext,bitIndex1054) )
            & ( v27021_28__array(VarNext,A,bitIndex41)
            <=> v28975(VarNext,bitIndex1053) )
            & ( v27021_28__array(VarNext,A,bitIndex40)
            <=> v28975(VarNext,bitIndex1052) )
            & ( v27021_28__array(VarNext,A,bitIndex39)
            <=> v28975(VarNext,bitIndex1051) )
            & ( v27021_28__array(VarNext,A,bitIndex38)
            <=> v28975(VarNext,bitIndex1050) )
            & ( v27021_28__array(VarNext,A,bitIndex37)
            <=> v28975(VarNext,bitIndex1049) )
            & ( v27021_28__array(VarNext,A,bitIndex36)
            <=> v28975(VarNext,bitIndex1048) )
            & ( v27021_28__array(VarNext,A,bitIndex35)
            <=> v28975(VarNext,bitIndex1047) )
            & ( v27021_28__array(VarNext,A,bitIndex34)
            <=> v28975(VarNext,bitIndex1046) )
            & ( v27021_28__array(VarNext,A,bitIndex33)
            <=> v28975(VarNext,bitIndex1045) )
            & ( v27021_28__array(VarNext,A,bitIndex32)
            <=> v28975(VarNext,bitIndex1044) )
            & ( v27021_28__array(VarNext,A,bitIndex31)
            <=> v28975(VarNext,bitIndex1043) )
            & ( v27021_28__array(VarNext,A,bitIndex30)
            <=> v28975(VarNext,bitIndex1042) )
            & ( v27021_28__array(VarNext,A,bitIndex29)
            <=> v28975(VarNext,bitIndex1041) )
            & ( v27021_28__array(VarNext,A,bitIndex28)
            <=> v28975(VarNext,bitIndex1040) )
            & ( v27021_28__array(VarNext,A,bitIndex27)
            <=> v28975(VarNext,bitIndex1039) )
            & ( v27021_28__array(VarNext,A,bitIndex26)
            <=> v28975(VarNext,bitIndex1038) )
            & ( v27021_28__array(VarNext,A,bitIndex25)
            <=> v28975(VarNext,bitIndex1037) )
            & ( v27021_28__array(VarNext,A,bitIndex24)
            <=> v28975(VarNext,bitIndex1036) )
            & ( v27021_28__array(VarNext,A,bitIndex23)
            <=> v28975(VarNext,bitIndex1035) )
            & ( v27021_28__array(VarNext,A,bitIndex22)
            <=> v28975(VarNext,bitIndex1034) )
            & ( v27021_28__array(VarNext,A,bitIndex21)
            <=> v28975(VarNext,bitIndex1033) )
            & ( v27021_28__array(VarNext,A,bitIndex20)
            <=> v28975(VarNext,bitIndex1032) )
            & ( v27021_28__array(VarNext,A,bitIndex19)
            <=> v28975(VarNext,bitIndex1031) )
            & ( v27021_28__array(VarNext,A,bitIndex18)
            <=> v28975(VarNext,bitIndex1030) )
            & ( v27021_28__array(VarNext,A,bitIndex17)
            <=> v28975(VarNext,bitIndex1029) )
            & ( v27021_28__array(VarNext,A,bitIndex16)
            <=> v28975(VarNext,bitIndex1028) )
            & ( v27021_28__array(VarNext,A,bitIndex15)
            <=> v28975(VarNext,bitIndex1027) )
            & ( v27021_28__array(VarNext,A,bitIndex14)
            <=> v28975(VarNext,bitIndex1026) )
            & ( v27021_28__array(VarNext,A,bitIndex13)
            <=> v28975(VarNext,bitIndex1025) )
            & ( v27021_28__array(VarNext,A,bitIndex12)
            <=> v28975(VarNext,bitIndex1024) )
            & ( v27021_28__array(VarNext,A,bitIndex11)
            <=> v28975(VarNext,bitIndex1023) )
            & ( v27021_28__array(VarNext,A,bitIndex10)
            <=> v28975(VarNext,bitIndex1022) )
            & ( v27021_28__array(VarNext,A,bitIndex9)
            <=> v28975(VarNext,bitIndex1021) )
            & ( v27021_28__array(VarNext,A,bitIndex8)
            <=> v28975(VarNext,bitIndex1020) )
            & ( v27021_28__array(VarNext,A,bitIndex7)
            <=> v28975(VarNext,bitIndex1019) )
            & ( v27021_28__array(VarNext,A,bitIndex6)
            <=> v28975(VarNext,bitIndex1018) )
            & ( v27021_28__array(VarNext,A,bitIndex5)
            <=> v28975(VarNext,bitIndex1017) )
            & ( v27021_28__array(VarNext,A,bitIndex4)
            <=> v28975(VarNext,bitIndex1016) )
            & ( v27021_28__array(VarNext,A,bitIndex3)
            <=> v28975(VarNext,bitIndex1015) )
            & ( v27021_28__array(VarNext,A,bitIndex2)
            <=> v28975(VarNext,bitIndex1014) )
            & ( v27021_28__array(VarNext,A,bitIndex1)
            <=> v28975(VarNext,bitIndex1013) )
            & ( v27021_28__array(VarNext,A,bitIndex0)
            <=> v28975(VarNext,bitIndex1012) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6271,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28969(VarNext)
      <=> ( v28970(VarNext)
          & v28764(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6270,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28970(VarNext)
      <=> ( v28972(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2951,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28972(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_83,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b10110_address_term = A
              & v28960(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_27__array(VarNext,A,B)
              <=> v27021_26__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_83,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b10110_address_term = A
            & v28960(VarNext) )
         => ( ( v27021_27__array(VarNext,A,bitIndex43)
            <=> v28966(VarNext,bitIndex1011) )
            & ( v27021_27__array(VarNext,A,bitIndex42)
            <=> v28966(VarNext,bitIndex1010) )
            & ( v27021_27__array(VarNext,A,bitIndex41)
            <=> v28966(VarNext,bitIndex1009) )
            & ( v27021_27__array(VarNext,A,bitIndex40)
            <=> v28966(VarNext,bitIndex1008) )
            & ( v27021_27__array(VarNext,A,bitIndex39)
            <=> v28966(VarNext,bitIndex1007) )
            & ( v27021_27__array(VarNext,A,bitIndex38)
            <=> v28966(VarNext,bitIndex1006) )
            & ( v27021_27__array(VarNext,A,bitIndex37)
            <=> v28966(VarNext,bitIndex1005) )
            & ( v27021_27__array(VarNext,A,bitIndex36)
            <=> v28966(VarNext,bitIndex1004) )
            & ( v27021_27__array(VarNext,A,bitIndex35)
            <=> v28966(VarNext,bitIndex1003) )
            & ( v27021_27__array(VarNext,A,bitIndex34)
            <=> v28966(VarNext,bitIndex1002) )
            & ( v27021_27__array(VarNext,A,bitIndex33)
            <=> v28966(VarNext,bitIndex1001) )
            & ( v27021_27__array(VarNext,A,bitIndex32)
            <=> v28966(VarNext,bitIndex1000) )
            & ( v27021_27__array(VarNext,A,bitIndex31)
            <=> v28966(VarNext,bitIndex999) )
            & ( v27021_27__array(VarNext,A,bitIndex30)
            <=> v28966(VarNext,bitIndex998) )
            & ( v27021_27__array(VarNext,A,bitIndex29)
            <=> v28966(VarNext,bitIndex997) )
            & ( v27021_27__array(VarNext,A,bitIndex28)
            <=> v28966(VarNext,bitIndex996) )
            & ( v27021_27__array(VarNext,A,bitIndex27)
            <=> v28966(VarNext,bitIndex995) )
            & ( v27021_27__array(VarNext,A,bitIndex26)
            <=> v28966(VarNext,bitIndex994) )
            & ( v27021_27__array(VarNext,A,bitIndex25)
            <=> v28966(VarNext,bitIndex993) )
            & ( v27021_27__array(VarNext,A,bitIndex24)
            <=> v28966(VarNext,bitIndex992) )
            & ( v27021_27__array(VarNext,A,bitIndex23)
            <=> v28966(VarNext,bitIndex991) )
            & ( v27021_27__array(VarNext,A,bitIndex22)
            <=> v28966(VarNext,bitIndex990) )
            & ( v27021_27__array(VarNext,A,bitIndex21)
            <=> v28966(VarNext,bitIndex989) )
            & ( v27021_27__array(VarNext,A,bitIndex20)
            <=> v28966(VarNext,bitIndex988) )
            & ( v27021_27__array(VarNext,A,bitIndex19)
            <=> v28966(VarNext,bitIndex987) )
            & ( v27021_27__array(VarNext,A,bitIndex18)
            <=> v28966(VarNext,bitIndex986) )
            & ( v27021_27__array(VarNext,A,bitIndex17)
            <=> v28966(VarNext,bitIndex985) )
            & ( v27021_27__array(VarNext,A,bitIndex16)
            <=> v28966(VarNext,bitIndex984) )
            & ( v27021_27__array(VarNext,A,bitIndex15)
            <=> v28966(VarNext,bitIndex983) )
            & ( v27021_27__array(VarNext,A,bitIndex14)
            <=> v28966(VarNext,bitIndex982) )
            & ( v27021_27__array(VarNext,A,bitIndex13)
            <=> v28966(VarNext,bitIndex981) )
            & ( v27021_27__array(VarNext,A,bitIndex12)
            <=> v28966(VarNext,bitIndex980) )
            & ( v27021_27__array(VarNext,A,bitIndex11)
            <=> v28966(VarNext,bitIndex979) )
            & ( v27021_27__array(VarNext,A,bitIndex10)
            <=> v28966(VarNext,bitIndex978) )
            & ( v27021_27__array(VarNext,A,bitIndex9)
            <=> v28966(VarNext,bitIndex977) )
            & ( v27021_27__array(VarNext,A,bitIndex8)
            <=> v28966(VarNext,bitIndex976) )
            & ( v27021_27__array(VarNext,A,bitIndex7)
            <=> v28966(VarNext,bitIndex975) )
            & ( v27021_27__array(VarNext,A,bitIndex6)
            <=> v28966(VarNext,bitIndex974) )
            & ( v27021_27__array(VarNext,A,bitIndex5)
            <=> v28966(VarNext,bitIndex973) )
            & ( v27021_27__array(VarNext,A,bitIndex4)
            <=> v28966(VarNext,bitIndex972) )
            & ( v27021_27__array(VarNext,A,bitIndex3)
            <=> v28966(VarNext,bitIndex971) )
            & ( v27021_27__array(VarNext,A,bitIndex2)
            <=> v28966(VarNext,bitIndex970) )
            & ( v27021_27__array(VarNext,A,bitIndex1)
            <=> v28966(VarNext,bitIndex969) )
            & ( v27021_27__array(VarNext,A,bitIndex0)
            <=> v28966(VarNext,bitIndex968) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6269,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28960(VarNext)
      <=> ( v28961(VarNext)
          & v28764(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6268,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28961(VarNext)
      <=> ( v28963(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2950,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28963(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_82,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b10101_address_term = A
              & v28951(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_26__array(VarNext,A,B)
              <=> v27021_25__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_82,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b10101_address_term = A
            & v28951(VarNext) )
         => ( ( v27021_26__array(VarNext,A,bitIndex43)
            <=> v28957(VarNext,bitIndex967) )
            & ( v27021_26__array(VarNext,A,bitIndex42)
            <=> v28957(VarNext,bitIndex966) )
            & ( v27021_26__array(VarNext,A,bitIndex41)
            <=> v28957(VarNext,bitIndex965) )
            & ( v27021_26__array(VarNext,A,bitIndex40)
            <=> v28957(VarNext,bitIndex964) )
            & ( v27021_26__array(VarNext,A,bitIndex39)
            <=> v28957(VarNext,bitIndex963) )
            & ( v27021_26__array(VarNext,A,bitIndex38)
            <=> v28957(VarNext,bitIndex962) )
            & ( v27021_26__array(VarNext,A,bitIndex37)
            <=> v28957(VarNext,bitIndex961) )
            & ( v27021_26__array(VarNext,A,bitIndex36)
            <=> v28957(VarNext,bitIndex960) )
            & ( v27021_26__array(VarNext,A,bitIndex35)
            <=> v28957(VarNext,bitIndex959) )
            & ( v27021_26__array(VarNext,A,bitIndex34)
            <=> v28957(VarNext,bitIndex958) )
            & ( v27021_26__array(VarNext,A,bitIndex33)
            <=> v28957(VarNext,bitIndex957) )
            & ( v27021_26__array(VarNext,A,bitIndex32)
            <=> v28957(VarNext,bitIndex956) )
            & ( v27021_26__array(VarNext,A,bitIndex31)
            <=> v28957(VarNext,bitIndex955) )
            & ( v27021_26__array(VarNext,A,bitIndex30)
            <=> v28957(VarNext,bitIndex954) )
            & ( v27021_26__array(VarNext,A,bitIndex29)
            <=> v28957(VarNext,bitIndex953) )
            & ( v27021_26__array(VarNext,A,bitIndex28)
            <=> v28957(VarNext,bitIndex952) )
            & ( v27021_26__array(VarNext,A,bitIndex27)
            <=> v28957(VarNext,bitIndex951) )
            & ( v27021_26__array(VarNext,A,bitIndex26)
            <=> v28957(VarNext,bitIndex950) )
            & ( v27021_26__array(VarNext,A,bitIndex25)
            <=> v28957(VarNext,bitIndex949) )
            & ( v27021_26__array(VarNext,A,bitIndex24)
            <=> v28957(VarNext,bitIndex948) )
            & ( v27021_26__array(VarNext,A,bitIndex23)
            <=> v28957(VarNext,bitIndex947) )
            & ( v27021_26__array(VarNext,A,bitIndex22)
            <=> v28957(VarNext,bitIndex946) )
            & ( v27021_26__array(VarNext,A,bitIndex21)
            <=> v28957(VarNext,bitIndex945) )
            & ( v27021_26__array(VarNext,A,bitIndex20)
            <=> v28957(VarNext,bitIndex944) )
            & ( v27021_26__array(VarNext,A,bitIndex19)
            <=> v28957(VarNext,bitIndex943) )
            & ( v27021_26__array(VarNext,A,bitIndex18)
            <=> v28957(VarNext,bitIndex942) )
            & ( v27021_26__array(VarNext,A,bitIndex17)
            <=> v28957(VarNext,bitIndex941) )
            & ( v27021_26__array(VarNext,A,bitIndex16)
            <=> v28957(VarNext,bitIndex940) )
            & ( v27021_26__array(VarNext,A,bitIndex15)
            <=> v28957(VarNext,bitIndex939) )
            & ( v27021_26__array(VarNext,A,bitIndex14)
            <=> v28957(VarNext,bitIndex938) )
            & ( v27021_26__array(VarNext,A,bitIndex13)
            <=> v28957(VarNext,bitIndex937) )
            & ( v27021_26__array(VarNext,A,bitIndex12)
            <=> v28957(VarNext,bitIndex936) )
            & ( v27021_26__array(VarNext,A,bitIndex11)
            <=> v28957(VarNext,bitIndex935) )
            & ( v27021_26__array(VarNext,A,bitIndex10)
            <=> v28957(VarNext,bitIndex934) )
            & ( v27021_26__array(VarNext,A,bitIndex9)
            <=> v28957(VarNext,bitIndex933) )
            & ( v27021_26__array(VarNext,A,bitIndex8)
            <=> v28957(VarNext,bitIndex932) )
            & ( v27021_26__array(VarNext,A,bitIndex7)
            <=> v28957(VarNext,bitIndex931) )
            & ( v27021_26__array(VarNext,A,bitIndex6)
            <=> v28957(VarNext,bitIndex930) )
            & ( v27021_26__array(VarNext,A,bitIndex5)
            <=> v28957(VarNext,bitIndex929) )
            & ( v27021_26__array(VarNext,A,bitIndex4)
            <=> v28957(VarNext,bitIndex928) )
            & ( v27021_26__array(VarNext,A,bitIndex3)
            <=> v28957(VarNext,bitIndex927) )
            & ( v27021_26__array(VarNext,A,bitIndex2)
            <=> v28957(VarNext,bitIndex926) )
            & ( v27021_26__array(VarNext,A,bitIndex1)
            <=> v28957(VarNext,bitIndex925) )
            & ( v27021_26__array(VarNext,A,bitIndex0)
            <=> v28957(VarNext,bitIndex924) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6267,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28951(VarNext)
      <=> ( v28952(VarNext)
          & v28764(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6266,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28952(VarNext)
      <=> ( v28954(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2949,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28954(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_81,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b10100_address_term = A
              & v28942(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_25__array(VarNext,A,B)
              <=> v27021_24__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_81,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b10100_address_term = A
            & v28942(VarNext) )
         => ( ( v27021_25__array(VarNext,A,bitIndex43)
            <=> v28948(VarNext,bitIndex923) )
            & ( v27021_25__array(VarNext,A,bitIndex42)
            <=> v28948(VarNext,bitIndex922) )
            & ( v27021_25__array(VarNext,A,bitIndex41)
            <=> v28948(VarNext,bitIndex921) )
            & ( v27021_25__array(VarNext,A,bitIndex40)
            <=> v28948(VarNext,bitIndex920) )
            & ( v27021_25__array(VarNext,A,bitIndex39)
            <=> v28948(VarNext,bitIndex919) )
            & ( v27021_25__array(VarNext,A,bitIndex38)
            <=> v28948(VarNext,bitIndex918) )
            & ( v27021_25__array(VarNext,A,bitIndex37)
            <=> v28948(VarNext,bitIndex917) )
            & ( v27021_25__array(VarNext,A,bitIndex36)
            <=> v28948(VarNext,bitIndex916) )
            & ( v27021_25__array(VarNext,A,bitIndex35)
            <=> v28948(VarNext,bitIndex915) )
            & ( v27021_25__array(VarNext,A,bitIndex34)
            <=> v28948(VarNext,bitIndex914) )
            & ( v27021_25__array(VarNext,A,bitIndex33)
            <=> v28948(VarNext,bitIndex913) )
            & ( v27021_25__array(VarNext,A,bitIndex32)
            <=> v28948(VarNext,bitIndex912) )
            & ( v27021_25__array(VarNext,A,bitIndex31)
            <=> v28948(VarNext,bitIndex911) )
            & ( v27021_25__array(VarNext,A,bitIndex30)
            <=> v28948(VarNext,bitIndex910) )
            & ( v27021_25__array(VarNext,A,bitIndex29)
            <=> v28948(VarNext,bitIndex909) )
            & ( v27021_25__array(VarNext,A,bitIndex28)
            <=> v28948(VarNext,bitIndex908) )
            & ( v27021_25__array(VarNext,A,bitIndex27)
            <=> v28948(VarNext,bitIndex907) )
            & ( v27021_25__array(VarNext,A,bitIndex26)
            <=> v28948(VarNext,bitIndex906) )
            & ( v27021_25__array(VarNext,A,bitIndex25)
            <=> v28948(VarNext,bitIndex905) )
            & ( v27021_25__array(VarNext,A,bitIndex24)
            <=> v28948(VarNext,bitIndex904) )
            & ( v27021_25__array(VarNext,A,bitIndex23)
            <=> v28948(VarNext,bitIndex903) )
            & ( v27021_25__array(VarNext,A,bitIndex22)
            <=> v28948(VarNext,bitIndex902) )
            & ( v27021_25__array(VarNext,A,bitIndex21)
            <=> v28948(VarNext,bitIndex901) )
            & ( v27021_25__array(VarNext,A,bitIndex20)
            <=> v28948(VarNext,bitIndex900) )
            & ( v27021_25__array(VarNext,A,bitIndex19)
            <=> v28948(VarNext,bitIndex899) )
            & ( v27021_25__array(VarNext,A,bitIndex18)
            <=> v28948(VarNext,bitIndex898) )
            & ( v27021_25__array(VarNext,A,bitIndex17)
            <=> v28948(VarNext,bitIndex897) )
            & ( v27021_25__array(VarNext,A,bitIndex16)
            <=> v28948(VarNext,bitIndex896) )
            & ( v27021_25__array(VarNext,A,bitIndex15)
            <=> v28948(VarNext,bitIndex895) )
            & ( v27021_25__array(VarNext,A,bitIndex14)
            <=> v28948(VarNext,bitIndex894) )
            & ( v27021_25__array(VarNext,A,bitIndex13)
            <=> v28948(VarNext,bitIndex893) )
            & ( v27021_25__array(VarNext,A,bitIndex12)
            <=> v28948(VarNext,bitIndex892) )
            & ( v27021_25__array(VarNext,A,bitIndex11)
            <=> v28948(VarNext,bitIndex891) )
            & ( v27021_25__array(VarNext,A,bitIndex10)
            <=> v28948(VarNext,bitIndex890) )
            & ( v27021_25__array(VarNext,A,bitIndex9)
            <=> v28948(VarNext,bitIndex889) )
            & ( v27021_25__array(VarNext,A,bitIndex8)
            <=> v28948(VarNext,bitIndex888) )
            & ( v27021_25__array(VarNext,A,bitIndex7)
            <=> v28948(VarNext,bitIndex887) )
            & ( v27021_25__array(VarNext,A,bitIndex6)
            <=> v28948(VarNext,bitIndex886) )
            & ( v27021_25__array(VarNext,A,bitIndex5)
            <=> v28948(VarNext,bitIndex885) )
            & ( v27021_25__array(VarNext,A,bitIndex4)
            <=> v28948(VarNext,bitIndex884) )
            & ( v27021_25__array(VarNext,A,bitIndex3)
            <=> v28948(VarNext,bitIndex883) )
            & ( v27021_25__array(VarNext,A,bitIndex2)
            <=> v28948(VarNext,bitIndex882) )
            & ( v27021_25__array(VarNext,A,bitIndex1)
            <=> v28948(VarNext,bitIndex881) )
            & ( v27021_25__array(VarNext,A,bitIndex0)
            <=> v28948(VarNext,bitIndex880) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6265,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28942(VarNext)
      <=> ( v28943(VarNext)
          & v28764(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6264,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28943(VarNext)
      <=> ( v28945(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2948,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28945(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_80,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b10011_address_term = A
              & v28933(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_24__array(VarNext,A,B)
              <=> v27021_23__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_80,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b10011_address_term = A
            & v28933(VarNext) )
         => ( ( v27021_24__array(VarNext,A,bitIndex43)
            <=> v28939(VarNext,bitIndex879) )
            & ( v27021_24__array(VarNext,A,bitIndex42)
            <=> v28939(VarNext,bitIndex878) )
            & ( v27021_24__array(VarNext,A,bitIndex41)
            <=> v28939(VarNext,bitIndex877) )
            & ( v27021_24__array(VarNext,A,bitIndex40)
            <=> v28939(VarNext,bitIndex876) )
            & ( v27021_24__array(VarNext,A,bitIndex39)
            <=> v28939(VarNext,bitIndex875) )
            & ( v27021_24__array(VarNext,A,bitIndex38)
            <=> v28939(VarNext,bitIndex874) )
            & ( v27021_24__array(VarNext,A,bitIndex37)
            <=> v28939(VarNext,bitIndex873) )
            & ( v27021_24__array(VarNext,A,bitIndex36)
            <=> v28939(VarNext,bitIndex872) )
            & ( v27021_24__array(VarNext,A,bitIndex35)
            <=> v28939(VarNext,bitIndex871) )
            & ( v27021_24__array(VarNext,A,bitIndex34)
            <=> v28939(VarNext,bitIndex870) )
            & ( v27021_24__array(VarNext,A,bitIndex33)
            <=> v28939(VarNext,bitIndex869) )
            & ( v27021_24__array(VarNext,A,bitIndex32)
            <=> v28939(VarNext,bitIndex868) )
            & ( v27021_24__array(VarNext,A,bitIndex31)
            <=> v28939(VarNext,bitIndex867) )
            & ( v27021_24__array(VarNext,A,bitIndex30)
            <=> v28939(VarNext,bitIndex866) )
            & ( v27021_24__array(VarNext,A,bitIndex29)
            <=> v28939(VarNext,bitIndex865) )
            & ( v27021_24__array(VarNext,A,bitIndex28)
            <=> v28939(VarNext,bitIndex864) )
            & ( v27021_24__array(VarNext,A,bitIndex27)
            <=> v28939(VarNext,bitIndex863) )
            & ( v27021_24__array(VarNext,A,bitIndex26)
            <=> v28939(VarNext,bitIndex862) )
            & ( v27021_24__array(VarNext,A,bitIndex25)
            <=> v28939(VarNext,bitIndex861) )
            & ( v27021_24__array(VarNext,A,bitIndex24)
            <=> v28939(VarNext,bitIndex860) )
            & ( v27021_24__array(VarNext,A,bitIndex23)
            <=> v28939(VarNext,bitIndex859) )
            & ( v27021_24__array(VarNext,A,bitIndex22)
            <=> v28939(VarNext,bitIndex858) )
            & ( v27021_24__array(VarNext,A,bitIndex21)
            <=> v28939(VarNext,bitIndex857) )
            & ( v27021_24__array(VarNext,A,bitIndex20)
            <=> v28939(VarNext,bitIndex856) )
            & ( v27021_24__array(VarNext,A,bitIndex19)
            <=> v28939(VarNext,bitIndex855) )
            & ( v27021_24__array(VarNext,A,bitIndex18)
            <=> v28939(VarNext,bitIndex854) )
            & ( v27021_24__array(VarNext,A,bitIndex17)
            <=> v28939(VarNext,bitIndex853) )
            & ( v27021_24__array(VarNext,A,bitIndex16)
            <=> v28939(VarNext,bitIndex852) )
            & ( v27021_24__array(VarNext,A,bitIndex15)
            <=> v28939(VarNext,bitIndex851) )
            & ( v27021_24__array(VarNext,A,bitIndex14)
            <=> v28939(VarNext,bitIndex850) )
            & ( v27021_24__array(VarNext,A,bitIndex13)
            <=> v28939(VarNext,bitIndex849) )
            & ( v27021_24__array(VarNext,A,bitIndex12)
            <=> v28939(VarNext,bitIndex848) )
            & ( v27021_24__array(VarNext,A,bitIndex11)
            <=> v28939(VarNext,bitIndex847) )
            & ( v27021_24__array(VarNext,A,bitIndex10)
            <=> v28939(VarNext,bitIndex846) )
            & ( v27021_24__array(VarNext,A,bitIndex9)
            <=> v28939(VarNext,bitIndex845) )
            & ( v27021_24__array(VarNext,A,bitIndex8)
            <=> v28939(VarNext,bitIndex844) )
            & ( v27021_24__array(VarNext,A,bitIndex7)
            <=> v28939(VarNext,bitIndex843) )
            & ( v27021_24__array(VarNext,A,bitIndex6)
            <=> v28939(VarNext,bitIndex842) )
            & ( v27021_24__array(VarNext,A,bitIndex5)
            <=> v28939(VarNext,bitIndex841) )
            & ( v27021_24__array(VarNext,A,bitIndex4)
            <=> v28939(VarNext,bitIndex840) )
            & ( v27021_24__array(VarNext,A,bitIndex3)
            <=> v28939(VarNext,bitIndex839) )
            & ( v27021_24__array(VarNext,A,bitIndex2)
            <=> v28939(VarNext,bitIndex838) )
            & ( v27021_24__array(VarNext,A,bitIndex1)
            <=> v28939(VarNext,bitIndex837) )
            & ( v27021_24__array(VarNext,A,bitIndex0)
            <=> v28939(VarNext,bitIndex836) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6263,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28933(VarNext)
      <=> ( v28934(VarNext)
          & v28764(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6262,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28934(VarNext)
      <=> ( v28936(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2947,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28936(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_79,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b10010_address_term = A
              & v28924(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_23__array(VarNext,A,B)
              <=> v27021_22__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_79,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b10010_address_term = A
            & v28924(VarNext) )
         => ( ( v27021_23__array(VarNext,A,bitIndex43)
            <=> v28930(VarNext,bitIndex835) )
            & ( v27021_23__array(VarNext,A,bitIndex42)
            <=> v28930(VarNext,bitIndex834) )
            & ( v27021_23__array(VarNext,A,bitIndex41)
            <=> v28930(VarNext,bitIndex833) )
            & ( v27021_23__array(VarNext,A,bitIndex40)
            <=> v28930(VarNext,bitIndex832) )
            & ( v27021_23__array(VarNext,A,bitIndex39)
            <=> v28930(VarNext,bitIndex831) )
            & ( v27021_23__array(VarNext,A,bitIndex38)
            <=> v28930(VarNext,bitIndex830) )
            & ( v27021_23__array(VarNext,A,bitIndex37)
            <=> v28930(VarNext,bitIndex829) )
            & ( v27021_23__array(VarNext,A,bitIndex36)
            <=> v28930(VarNext,bitIndex828) )
            & ( v27021_23__array(VarNext,A,bitIndex35)
            <=> v28930(VarNext,bitIndex827) )
            & ( v27021_23__array(VarNext,A,bitIndex34)
            <=> v28930(VarNext,bitIndex826) )
            & ( v27021_23__array(VarNext,A,bitIndex33)
            <=> v28930(VarNext,bitIndex825) )
            & ( v27021_23__array(VarNext,A,bitIndex32)
            <=> v28930(VarNext,bitIndex824) )
            & ( v27021_23__array(VarNext,A,bitIndex31)
            <=> v28930(VarNext,bitIndex823) )
            & ( v27021_23__array(VarNext,A,bitIndex30)
            <=> v28930(VarNext,bitIndex822) )
            & ( v27021_23__array(VarNext,A,bitIndex29)
            <=> v28930(VarNext,bitIndex821) )
            & ( v27021_23__array(VarNext,A,bitIndex28)
            <=> v28930(VarNext,bitIndex820) )
            & ( v27021_23__array(VarNext,A,bitIndex27)
            <=> v28930(VarNext,bitIndex819) )
            & ( v27021_23__array(VarNext,A,bitIndex26)
            <=> v28930(VarNext,bitIndex818) )
            & ( v27021_23__array(VarNext,A,bitIndex25)
            <=> v28930(VarNext,bitIndex817) )
            & ( v27021_23__array(VarNext,A,bitIndex24)
            <=> v28930(VarNext,bitIndex816) )
            & ( v27021_23__array(VarNext,A,bitIndex23)
            <=> v28930(VarNext,bitIndex815) )
            & ( v27021_23__array(VarNext,A,bitIndex22)
            <=> v28930(VarNext,bitIndex814) )
            & ( v27021_23__array(VarNext,A,bitIndex21)
            <=> v28930(VarNext,bitIndex813) )
            & ( v27021_23__array(VarNext,A,bitIndex20)
            <=> v28930(VarNext,bitIndex812) )
            & ( v27021_23__array(VarNext,A,bitIndex19)
            <=> v28930(VarNext,bitIndex811) )
            & ( v27021_23__array(VarNext,A,bitIndex18)
            <=> v28930(VarNext,bitIndex810) )
            & ( v27021_23__array(VarNext,A,bitIndex17)
            <=> v28930(VarNext,bitIndex809) )
            & ( v27021_23__array(VarNext,A,bitIndex16)
            <=> v28930(VarNext,bitIndex808) )
            & ( v27021_23__array(VarNext,A,bitIndex15)
            <=> v28930(VarNext,bitIndex807) )
            & ( v27021_23__array(VarNext,A,bitIndex14)
            <=> v28930(VarNext,bitIndex806) )
            & ( v27021_23__array(VarNext,A,bitIndex13)
            <=> v28930(VarNext,bitIndex805) )
            & ( v27021_23__array(VarNext,A,bitIndex12)
            <=> v28930(VarNext,bitIndex804) )
            & ( v27021_23__array(VarNext,A,bitIndex11)
            <=> v28930(VarNext,bitIndex803) )
            & ( v27021_23__array(VarNext,A,bitIndex10)
            <=> v28930(VarNext,bitIndex802) )
            & ( v27021_23__array(VarNext,A,bitIndex9)
            <=> v28930(VarNext,bitIndex801) )
            & ( v27021_23__array(VarNext,A,bitIndex8)
            <=> v28930(VarNext,bitIndex800) )
            & ( v27021_23__array(VarNext,A,bitIndex7)
            <=> v28930(VarNext,bitIndex799) )
            & ( v27021_23__array(VarNext,A,bitIndex6)
            <=> v28930(VarNext,bitIndex798) )
            & ( v27021_23__array(VarNext,A,bitIndex5)
            <=> v28930(VarNext,bitIndex797) )
            & ( v27021_23__array(VarNext,A,bitIndex4)
            <=> v28930(VarNext,bitIndex796) )
            & ( v27021_23__array(VarNext,A,bitIndex3)
            <=> v28930(VarNext,bitIndex795) )
            & ( v27021_23__array(VarNext,A,bitIndex2)
            <=> v28930(VarNext,bitIndex794) )
            & ( v27021_23__array(VarNext,A,bitIndex1)
            <=> v28930(VarNext,bitIndex793) )
            & ( v27021_23__array(VarNext,A,bitIndex0)
            <=> v28930(VarNext,bitIndex792) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6261,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28924(VarNext)
      <=> ( v28925(VarNext)
          & v28764(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6260,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28925(VarNext)
      <=> ( v28927(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2946,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28927(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_78,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b10001_address_term = A
              & v28915(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_22__array(VarNext,A,B)
              <=> v27021_21__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_78,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b10001_address_term = A
            & v28915(VarNext) )
         => ( ( v27021_22__array(VarNext,A,bitIndex43)
            <=> v28921(VarNext,bitIndex791) )
            & ( v27021_22__array(VarNext,A,bitIndex42)
            <=> v28921(VarNext,bitIndex790) )
            & ( v27021_22__array(VarNext,A,bitIndex41)
            <=> v28921(VarNext,bitIndex789) )
            & ( v27021_22__array(VarNext,A,bitIndex40)
            <=> v28921(VarNext,bitIndex788) )
            & ( v27021_22__array(VarNext,A,bitIndex39)
            <=> v28921(VarNext,bitIndex787) )
            & ( v27021_22__array(VarNext,A,bitIndex38)
            <=> v28921(VarNext,bitIndex786) )
            & ( v27021_22__array(VarNext,A,bitIndex37)
            <=> v28921(VarNext,bitIndex785) )
            & ( v27021_22__array(VarNext,A,bitIndex36)
            <=> v28921(VarNext,bitIndex784) )
            & ( v27021_22__array(VarNext,A,bitIndex35)
            <=> v28921(VarNext,bitIndex783) )
            & ( v27021_22__array(VarNext,A,bitIndex34)
            <=> v28921(VarNext,bitIndex782) )
            & ( v27021_22__array(VarNext,A,bitIndex33)
            <=> v28921(VarNext,bitIndex781) )
            & ( v27021_22__array(VarNext,A,bitIndex32)
            <=> v28921(VarNext,bitIndex780) )
            & ( v27021_22__array(VarNext,A,bitIndex31)
            <=> v28921(VarNext,bitIndex779) )
            & ( v27021_22__array(VarNext,A,bitIndex30)
            <=> v28921(VarNext,bitIndex778) )
            & ( v27021_22__array(VarNext,A,bitIndex29)
            <=> v28921(VarNext,bitIndex777) )
            & ( v27021_22__array(VarNext,A,bitIndex28)
            <=> v28921(VarNext,bitIndex776) )
            & ( v27021_22__array(VarNext,A,bitIndex27)
            <=> v28921(VarNext,bitIndex775) )
            & ( v27021_22__array(VarNext,A,bitIndex26)
            <=> v28921(VarNext,bitIndex774) )
            & ( v27021_22__array(VarNext,A,bitIndex25)
            <=> v28921(VarNext,bitIndex773) )
            & ( v27021_22__array(VarNext,A,bitIndex24)
            <=> v28921(VarNext,bitIndex772) )
            & ( v27021_22__array(VarNext,A,bitIndex23)
            <=> v28921(VarNext,bitIndex771) )
            & ( v27021_22__array(VarNext,A,bitIndex22)
            <=> v28921(VarNext,bitIndex770) )
            & ( v27021_22__array(VarNext,A,bitIndex21)
            <=> v28921(VarNext,bitIndex769) )
            & ( v27021_22__array(VarNext,A,bitIndex20)
            <=> v28921(VarNext,bitIndex768) )
            & ( v27021_22__array(VarNext,A,bitIndex19)
            <=> v28921(VarNext,bitIndex767) )
            & ( v27021_22__array(VarNext,A,bitIndex18)
            <=> v28921(VarNext,bitIndex766) )
            & ( v27021_22__array(VarNext,A,bitIndex17)
            <=> v28921(VarNext,bitIndex765) )
            & ( v27021_22__array(VarNext,A,bitIndex16)
            <=> v28921(VarNext,bitIndex764) )
            & ( v27021_22__array(VarNext,A,bitIndex15)
            <=> v28921(VarNext,bitIndex763) )
            & ( v27021_22__array(VarNext,A,bitIndex14)
            <=> v28921(VarNext,bitIndex762) )
            & ( v27021_22__array(VarNext,A,bitIndex13)
            <=> v28921(VarNext,bitIndex761) )
            & ( v27021_22__array(VarNext,A,bitIndex12)
            <=> v28921(VarNext,bitIndex760) )
            & ( v27021_22__array(VarNext,A,bitIndex11)
            <=> v28921(VarNext,bitIndex759) )
            & ( v27021_22__array(VarNext,A,bitIndex10)
            <=> v28921(VarNext,bitIndex758) )
            & ( v27021_22__array(VarNext,A,bitIndex9)
            <=> v28921(VarNext,bitIndex757) )
            & ( v27021_22__array(VarNext,A,bitIndex8)
            <=> v28921(VarNext,bitIndex756) )
            & ( v27021_22__array(VarNext,A,bitIndex7)
            <=> v28921(VarNext,bitIndex755) )
            & ( v27021_22__array(VarNext,A,bitIndex6)
            <=> v28921(VarNext,bitIndex754) )
            & ( v27021_22__array(VarNext,A,bitIndex5)
            <=> v28921(VarNext,bitIndex753) )
            & ( v27021_22__array(VarNext,A,bitIndex4)
            <=> v28921(VarNext,bitIndex752) )
            & ( v27021_22__array(VarNext,A,bitIndex3)
            <=> v28921(VarNext,bitIndex751) )
            & ( v27021_22__array(VarNext,A,bitIndex2)
            <=> v28921(VarNext,bitIndex750) )
            & ( v27021_22__array(VarNext,A,bitIndex1)
            <=> v28921(VarNext,bitIndex749) )
            & ( v27021_22__array(VarNext,A,bitIndex0)
            <=> v28921(VarNext,bitIndex748) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6259,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28915(VarNext)
      <=> ( v28916(VarNext)
          & v28764(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6258,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28916(VarNext)
      <=> ( v28918(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2945,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28918(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_77,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b10000_address_term = A
              & v28906(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_21__array(VarNext,A,B)
              <=> v27021_20__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_77,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b10000_address_term = A
            & v28906(VarNext) )
         => ( ( v27021_21__array(VarNext,A,bitIndex43)
            <=> v28912(VarNext,bitIndex747) )
            & ( v27021_21__array(VarNext,A,bitIndex42)
            <=> v28912(VarNext,bitIndex746) )
            & ( v27021_21__array(VarNext,A,bitIndex41)
            <=> v28912(VarNext,bitIndex745) )
            & ( v27021_21__array(VarNext,A,bitIndex40)
            <=> v28912(VarNext,bitIndex744) )
            & ( v27021_21__array(VarNext,A,bitIndex39)
            <=> v28912(VarNext,bitIndex743) )
            & ( v27021_21__array(VarNext,A,bitIndex38)
            <=> v28912(VarNext,bitIndex742) )
            & ( v27021_21__array(VarNext,A,bitIndex37)
            <=> v28912(VarNext,bitIndex741) )
            & ( v27021_21__array(VarNext,A,bitIndex36)
            <=> v28912(VarNext,bitIndex740) )
            & ( v27021_21__array(VarNext,A,bitIndex35)
            <=> v28912(VarNext,bitIndex739) )
            & ( v27021_21__array(VarNext,A,bitIndex34)
            <=> v28912(VarNext,bitIndex738) )
            & ( v27021_21__array(VarNext,A,bitIndex33)
            <=> v28912(VarNext,bitIndex737) )
            & ( v27021_21__array(VarNext,A,bitIndex32)
            <=> v28912(VarNext,bitIndex736) )
            & ( v27021_21__array(VarNext,A,bitIndex31)
            <=> v28912(VarNext,bitIndex735) )
            & ( v27021_21__array(VarNext,A,bitIndex30)
            <=> v28912(VarNext,bitIndex734) )
            & ( v27021_21__array(VarNext,A,bitIndex29)
            <=> v28912(VarNext,bitIndex733) )
            & ( v27021_21__array(VarNext,A,bitIndex28)
            <=> v28912(VarNext,bitIndex732) )
            & ( v27021_21__array(VarNext,A,bitIndex27)
            <=> v28912(VarNext,bitIndex731) )
            & ( v27021_21__array(VarNext,A,bitIndex26)
            <=> v28912(VarNext,bitIndex730) )
            & ( v27021_21__array(VarNext,A,bitIndex25)
            <=> v28912(VarNext,bitIndex729) )
            & ( v27021_21__array(VarNext,A,bitIndex24)
            <=> v28912(VarNext,bitIndex728) )
            & ( v27021_21__array(VarNext,A,bitIndex23)
            <=> v28912(VarNext,bitIndex727) )
            & ( v27021_21__array(VarNext,A,bitIndex22)
            <=> v28912(VarNext,bitIndex726) )
            & ( v27021_21__array(VarNext,A,bitIndex21)
            <=> v28912(VarNext,bitIndex725) )
            & ( v27021_21__array(VarNext,A,bitIndex20)
            <=> v28912(VarNext,bitIndex724) )
            & ( v27021_21__array(VarNext,A,bitIndex19)
            <=> v28912(VarNext,bitIndex723) )
            & ( v27021_21__array(VarNext,A,bitIndex18)
            <=> v28912(VarNext,bitIndex722) )
            & ( v27021_21__array(VarNext,A,bitIndex17)
            <=> v28912(VarNext,bitIndex721) )
            & ( v27021_21__array(VarNext,A,bitIndex16)
            <=> v28912(VarNext,bitIndex720) )
            & ( v27021_21__array(VarNext,A,bitIndex15)
            <=> v28912(VarNext,bitIndex719) )
            & ( v27021_21__array(VarNext,A,bitIndex14)
            <=> v28912(VarNext,bitIndex718) )
            & ( v27021_21__array(VarNext,A,bitIndex13)
            <=> v28912(VarNext,bitIndex717) )
            & ( v27021_21__array(VarNext,A,bitIndex12)
            <=> v28912(VarNext,bitIndex716) )
            & ( v27021_21__array(VarNext,A,bitIndex11)
            <=> v28912(VarNext,bitIndex715) )
            & ( v27021_21__array(VarNext,A,bitIndex10)
            <=> v28912(VarNext,bitIndex714) )
            & ( v27021_21__array(VarNext,A,bitIndex9)
            <=> v28912(VarNext,bitIndex713) )
            & ( v27021_21__array(VarNext,A,bitIndex8)
            <=> v28912(VarNext,bitIndex712) )
            & ( v27021_21__array(VarNext,A,bitIndex7)
            <=> v28912(VarNext,bitIndex711) )
            & ( v27021_21__array(VarNext,A,bitIndex6)
            <=> v28912(VarNext,bitIndex710) )
            & ( v27021_21__array(VarNext,A,bitIndex5)
            <=> v28912(VarNext,bitIndex709) )
            & ( v27021_21__array(VarNext,A,bitIndex4)
            <=> v28912(VarNext,bitIndex708) )
            & ( v27021_21__array(VarNext,A,bitIndex3)
            <=> v28912(VarNext,bitIndex707) )
            & ( v27021_21__array(VarNext,A,bitIndex2)
            <=> v28912(VarNext,bitIndex706) )
            & ( v27021_21__array(VarNext,A,bitIndex1)
            <=> v28912(VarNext,bitIndex705) )
            & ( v27021_21__array(VarNext,A,bitIndex0)
            <=> v28912(VarNext,bitIndex704) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6257,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28906(VarNext)
      <=> ( v28907(VarNext)
          & v28764(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6256,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28907(VarNext)
      <=> ( v28909(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2944,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28909(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_76,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b01111_address_term = A
              & v28897(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_20__array(VarNext,A,B)
              <=> v27021_19__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_76,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b01111_address_term = A
            & v28897(VarNext) )
         => ( ( v27021_20__array(VarNext,A,bitIndex43)
            <=> v28903(VarNext,bitIndex703) )
            & ( v27021_20__array(VarNext,A,bitIndex42)
            <=> v28903(VarNext,bitIndex702) )
            & ( v27021_20__array(VarNext,A,bitIndex41)
            <=> v28903(VarNext,bitIndex701) )
            & ( v27021_20__array(VarNext,A,bitIndex40)
            <=> v28903(VarNext,bitIndex700) )
            & ( v27021_20__array(VarNext,A,bitIndex39)
            <=> v28903(VarNext,bitIndex699) )
            & ( v27021_20__array(VarNext,A,bitIndex38)
            <=> v28903(VarNext,bitIndex698) )
            & ( v27021_20__array(VarNext,A,bitIndex37)
            <=> v28903(VarNext,bitIndex697) )
            & ( v27021_20__array(VarNext,A,bitIndex36)
            <=> v28903(VarNext,bitIndex696) )
            & ( v27021_20__array(VarNext,A,bitIndex35)
            <=> v28903(VarNext,bitIndex695) )
            & ( v27021_20__array(VarNext,A,bitIndex34)
            <=> v28903(VarNext,bitIndex694) )
            & ( v27021_20__array(VarNext,A,bitIndex33)
            <=> v28903(VarNext,bitIndex693) )
            & ( v27021_20__array(VarNext,A,bitIndex32)
            <=> v28903(VarNext,bitIndex692) )
            & ( v27021_20__array(VarNext,A,bitIndex31)
            <=> v28903(VarNext,bitIndex691) )
            & ( v27021_20__array(VarNext,A,bitIndex30)
            <=> v28903(VarNext,bitIndex690) )
            & ( v27021_20__array(VarNext,A,bitIndex29)
            <=> v28903(VarNext,bitIndex689) )
            & ( v27021_20__array(VarNext,A,bitIndex28)
            <=> v28903(VarNext,bitIndex688) )
            & ( v27021_20__array(VarNext,A,bitIndex27)
            <=> v28903(VarNext,bitIndex687) )
            & ( v27021_20__array(VarNext,A,bitIndex26)
            <=> v28903(VarNext,bitIndex686) )
            & ( v27021_20__array(VarNext,A,bitIndex25)
            <=> v28903(VarNext,bitIndex685) )
            & ( v27021_20__array(VarNext,A,bitIndex24)
            <=> v28903(VarNext,bitIndex684) )
            & ( v27021_20__array(VarNext,A,bitIndex23)
            <=> v28903(VarNext,bitIndex683) )
            & ( v27021_20__array(VarNext,A,bitIndex22)
            <=> v28903(VarNext,bitIndex682) )
            & ( v27021_20__array(VarNext,A,bitIndex21)
            <=> v28903(VarNext,bitIndex681) )
            & ( v27021_20__array(VarNext,A,bitIndex20)
            <=> v28903(VarNext,bitIndex680) )
            & ( v27021_20__array(VarNext,A,bitIndex19)
            <=> v28903(VarNext,bitIndex679) )
            & ( v27021_20__array(VarNext,A,bitIndex18)
            <=> v28903(VarNext,bitIndex678) )
            & ( v27021_20__array(VarNext,A,bitIndex17)
            <=> v28903(VarNext,bitIndex677) )
            & ( v27021_20__array(VarNext,A,bitIndex16)
            <=> v28903(VarNext,bitIndex676) )
            & ( v27021_20__array(VarNext,A,bitIndex15)
            <=> v28903(VarNext,bitIndex675) )
            & ( v27021_20__array(VarNext,A,bitIndex14)
            <=> v28903(VarNext,bitIndex674) )
            & ( v27021_20__array(VarNext,A,bitIndex13)
            <=> v28903(VarNext,bitIndex673) )
            & ( v27021_20__array(VarNext,A,bitIndex12)
            <=> v28903(VarNext,bitIndex672) )
            & ( v27021_20__array(VarNext,A,bitIndex11)
            <=> v28903(VarNext,bitIndex671) )
            & ( v27021_20__array(VarNext,A,bitIndex10)
            <=> v28903(VarNext,bitIndex670) )
            & ( v27021_20__array(VarNext,A,bitIndex9)
            <=> v28903(VarNext,bitIndex669) )
            & ( v27021_20__array(VarNext,A,bitIndex8)
            <=> v28903(VarNext,bitIndex668) )
            & ( v27021_20__array(VarNext,A,bitIndex7)
            <=> v28903(VarNext,bitIndex667) )
            & ( v27021_20__array(VarNext,A,bitIndex6)
            <=> v28903(VarNext,bitIndex666) )
            & ( v27021_20__array(VarNext,A,bitIndex5)
            <=> v28903(VarNext,bitIndex665) )
            & ( v27021_20__array(VarNext,A,bitIndex4)
            <=> v28903(VarNext,bitIndex664) )
            & ( v27021_20__array(VarNext,A,bitIndex3)
            <=> v28903(VarNext,bitIndex663) )
            & ( v27021_20__array(VarNext,A,bitIndex2)
            <=> v28903(VarNext,bitIndex662) )
            & ( v27021_20__array(VarNext,A,bitIndex1)
            <=> v28903(VarNext,bitIndex661) )
            & ( v27021_20__array(VarNext,A,bitIndex0)
            <=> v28903(VarNext,bitIndex660) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6255,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28897(VarNext)
      <=> ( v28898(VarNext)
          & v28764(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6254,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28898(VarNext)
      <=> ( v28900(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2943,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28900(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_75,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b01110_address_term = A
              & v28888(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_19__array(VarNext,A,B)
              <=> v27021_18__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_75,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b01110_address_term = A
            & v28888(VarNext) )
         => ( ( v27021_19__array(VarNext,A,bitIndex43)
            <=> v28894(VarNext,bitIndex659) )
            & ( v27021_19__array(VarNext,A,bitIndex42)
            <=> v28894(VarNext,bitIndex658) )
            & ( v27021_19__array(VarNext,A,bitIndex41)
            <=> v28894(VarNext,bitIndex657) )
            & ( v27021_19__array(VarNext,A,bitIndex40)
            <=> v28894(VarNext,bitIndex656) )
            & ( v27021_19__array(VarNext,A,bitIndex39)
            <=> v28894(VarNext,bitIndex655) )
            & ( v27021_19__array(VarNext,A,bitIndex38)
            <=> v28894(VarNext,bitIndex654) )
            & ( v27021_19__array(VarNext,A,bitIndex37)
            <=> v28894(VarNext,bitIndex653) )
            & ( v27021_19__array(VarNext,A,bitIndex36)
            <=> v28894(VarNext,bitIndex652) )
            & ( v27021_19__array(VarNext,A,bitIndex35)
            <=> v28894(VarNext,bitIndex651) )
            & ( v27021_19__array(VarNext,A,bitIndex34)
            <=> v28894(VarNext,bitIndex650) )
            & ( v27021_19__array(VarNext,A,bitIndex33)
            <=> v28894(VarNext,bitIndex649) )
            & ( v27021_19__array(VarNext,A,bitIndex32)
            <=> v28894(VarNext,bitIndex648) )
            & ( v27021_19__array(VarNext,A,bitIndex31)
            <=> v28894(VarNext,bitIndex647) )
            & ( v27021_19__array(VarNext,A,bitIndex30)
            <=> v28894(VarNext,bitIndex646) )
            & ( v27021_19__array(VarNext,A,bitIndex29)
            <=> v28894(VarNext,bitIndex645) )
            & ( v27021_19__array(VarNext,A,bitIndex28)
            <=> v28894(VarNext,bitIndex644) )
            & ( v27021_19__array(VarNext,A,bitIndex27)
            <=> v28894(VarNext,bitIndex643) )
            & ( v27021_19__array(VarNext,A,bitIndex26)
            <=> v28894(VarNext,bitIndex642) )
            & ( v27021_19__array(VarNext,A,bitIndex25)
            <=> v28894(VarNext,bitIndex641) )
            & ( v27021_19__array(VarNext,A,bitIndex24)
            <=> v28894(VarNext,bitIndex640) )
            & ( v27021_19__array(VarNext,A,bitIndex23)
            <=> v28894(VarNext,bitIndex639) )
            & ( v27021_19__array(VarNext,A,bitIndex22)
            <=> v28894(VarNext,bitIndex638) )
            & ( v27021_19__array(VarNext,A,bitIndex21)
            <=> v28894(VarNext,bitIndex637) )
            & ( v27021_19__array(VarNext,A,bitIndex20)
            <=> v28894(VarNext,bitIndex636) )
            & ( v27021_19__array(VarNext,A,bitIndex19)
            <=> v28894(VarNext,bitIndex635) )
            & ( v27021_19__array(VarNext,A,bitIndex18)
            <=> v28894(VarNext,bitIndex634) )
            & ( v27021_19__array(VarNext,A,bitIndex17)
            <=> v28894(VarNext,bitIndex633) )
            & ( v27021_19__array(VarNext,A,bitIndex16)
            <=> v28894(VarNext,bitIndex632) )
            & ( v27021_19__array(VarNext,A,bitIndex15)
            <=> v28894(VarNext,bitIndex631) )
            & ( v27021_19__array(VarNext,A,bitIndex14)
            <=> v28894(VarNext,bitIndex630) )
            & ( v27021_19__array(VarNext,A,bitIndex13)
            <=> v28894(VarNext,bitIndex629) )
            & ( v27021_19__array(VarNext,A,bitIndex12)
            <=> v28894(VarNext,bitIndex628) )
            & ( v27021_19__array(VarNext,A,bitIndex11)
            <=> v28894(VarNext,bitIndex627) )
            & ( v27021_19__array(VarNext,A,bitIndex10)
            <=> v28894(VarNext,bitIndex626) )
            & ( v27021_19__array(VarNext,A,bitIndex9)
            <=> v28894(VarNext,bitIndex625) )
            & ( v27021_19__array(VarNext,A,bitIndex8)
            <=> v28894(VarNext,bitIndex624) )
            & ( v27021_19__array(VarNext,A,bitIndex7)
            <=> v28894(VarNext,bitIndex623) )
            & ( v27021_19__array(VarNext,A,bitIndex6)
            <=> v28894(VarNext,bitIndex622) )
            & ( v27021_19__array(VarNext,A,bitIndex5)
            <=> v28894(VarNext,bitIndex621) )
            & ( v27021_19__array(VarNext,A,bitIndex4)
            <=> v28894(VarNext,bitIndex620) )
            & ( v27021_19__array(VarNext,A,bitIndex3)
            <=> v28894(VarNext,bitIndex619) )
            & ( v27021_19__array(VarNext,A,bitIndex2)
            <=> v28894(VarNext,bitIndex618) )
            & ( v27021_19__array(VarNext,A,bitIndex1)
            <=> v28894(VarNext,bitIndex617) )
            & ( v27021_19__array(VarNext,A,bitIndex0)
            <=> v28894(VarNext,bitIndex616) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6253,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28888(VarNext)
      <=> ( v28889(VarNext)
          & v28764(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6252,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28889(VarNext)
      <=> ( v28891(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2942,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28891(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_74,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b01101_address_term = A
              & v28879(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_18__array(VarNext,A,B)
              <=> v27021_17__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_74,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b01101_address_term = A
            & v28879(VarNext) )
         => ( ( v27021_18__array(VarNext,A,bitIndex43)
            <=> v28885(VarNext,bitIndex615) )
            & ( v27021_18__array(VarNext,A,bitIndex42)
            <=> v28885(VarNext,bitIndex614) )
            & ( v27021_18__array(VarNext,A,bitIndex41)
            <=> v28885(VarNext,bitIndex613) )
            & ( v27021_18__array(VarNext,A,bitIndex40)
            <=> v28885(VarNext,bitIndex612) )
            & ( v27021_18__array(VarNext,A,bitIndex39)
            <=> v28885(VarNext,bitIndex611) )
            & ( v27021_18__array(VarNext,A,bitIndex38)
            <=> v28885(VarNext,bitIndex610) )
            & ( v27021_18__array(VarNext,A,bitIndex37)
            <=> v28885(VarNext,bitIndex609) )
            & ( v27021_18__array(VarNext,A,bitIndex36)
            <=> v28885(VarNext,bitIndex608) )
            & ( v27021_18__array(VarNext,A,bitIndex35)
            <=> v28885(VarNext,bitIndex607) )
            & ( v27021_18__array(VarNext,A,bitIndex34)
            <=> v28885(VarNext,bitIndex606) )
            & ( v27021_18__array(VarNext,A,bitIndex33)
            <=> v28885(VarNext,bitIndex605) )
            & ( v27021_18__array(VarNext,A,bitIndex32)
            <=> v28885(VarNext,bitIndex604) )
            & ( v27021_18__array(VarNext,A,bitIndex31)
            <=> v28885(VarNext,bitIndex603) )
            & ( v27021_18__array(VarNext,A,bitIndex30)
            <=> v28885(VarNext,bitIndex602) )
            & ( v27021_18__array(VarNext,A,bitIndex29)
            <=> v28885(VarNext,bitIndex601) )
            & ( v27021_18__array(VarNext,A,bitIndex28)
            <=> v28885(VarNext,bitIndex600) )
            & ( v27021_18__array(VarNext,A,bitIndex27)
            <=> v28885(VarNext,bitIndex599) )
            & ( v27021_18__array(VarNext,A,bitIndex26)
            <=> v28885(VarNext,bitIndex598) )
            & ( v27021_18__array(VarNext,A,bitIndex25)
            <=> v28885(VarNext,bitIndex597) )
            & ( v27021_18__array(VarNext,A,bitIndex24)
            <=> v28885(VarNext,bitIndex596) )
            & ( v27021_18__array(VarNext,A,bitIndex23)
            <=> v28885(VarNext,bitIndex595) )
            & ( v27021_18__array(VarNext,A,bitIndex22)
            <=> v28885(VarNext,bitIndex594) )
            & ( v27021_18__array(VarNext,A,bitIndex21)
            <=> v28885(VarNext,bitIndex593) )
            & ( v27021_18__array(VarNext,A,bitIndex20)
            <=> v28885(VarNext,bitIndex592) )
            & ( v27021_18__array(VarNext,A,bitIndex19)
            <=> v28885(VarNext,bitIndex591) )
            & ( v27021_18__array(VarNext,A,bitIndex18)
            <=> v28885(VarNext,bitIndex590) )
            & ( v27021_18__array(VarNext,A,bitIndex17)
            <=> v28885(VarNext,bitIndex589) )
            & ( v27021_18__array(VarNext,A,bitIndex16)
            <=> v28885(VarNext,bitIndex588) )
            & ( v27021_18__array(VarNext,A,bitIndex15)
            <=> v28885(VarNext,bitIndex587) )
            & ( v27021_18__array(VarNext,A,bitIndex14)
            <=> v28885(VarNext,bitIndex586) )
            & ( v27021_18__array(VarNext,A,bitIndex13)
            <=> v28885(VarNext,bitIndex585) )
            & ( v27021_18__array(VarNext,A,bitIndex12)
            <=> v28885(VarNext,bitIndex584) )
            & ( v27021_18__array(VarNext,A,bitIndex11)
            <=> v28885(VarNext,bitIndex583) )
            & ( v27021_18__array(VarNext,A,bitIndex10)
            <=> v28885(VarNext,bitIndex582) )
            & ( v27021_18__array(VarNext,A,bitIndex9)
            <=> v28885(VarNext,bitIndex581) )
            & ( v27021_18__array(VarNext,A,bitIndex8)
            <=> v28885(VarNext,bitIndex580) )
            & ( v27021_18__array(VarNext,A,bitIndex7)
            <=> v28885(VarNext,bitIndex579) )
            & ( v27021_18__array(VarNext,A,bitIndex6)
            <=> v28885(VarNext,bitIndex578) )
            & ( v27021_18__array(VarNext,A,bitIndex5)
            <=> v28885(VarNext,bitIndex577) )
            & ( v27021_18__array(VarNext,A,bitIndex4)
            <=> v28885(VarNext,bitIndex576) )
            & ( v27021_18__array(VarNext,A,bitIndex3)
            <=> v28885(VarNext,bitIndex575) )
            & ( v27021_18__array(VarNext,A,bitIndex2)
            <=> v28885(VarNext,bitIndex574) )
            & ( v27021_18__array(VarNext,A,bitIndex1)
            <=> v28885(VarNext,bitIndex573) )
            & ( v27021_18__array(VarNext,A,bitIndex0)
            <=> v28885(VarNext,bitIndex572) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6251,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28879(VarNext)
      <=> ( v28880(VarNext)
          & v28764(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6250,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28880(VarNext)
      <=> ( v28882(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2941,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28882(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_73,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b01100_address_term = A
              & v28870(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_17__array(VarNext,A,B)
              <=> v27021_16__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_73,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b01100_address_term = A
            & v28870(VarNext) )
         => ( ( v27021_17__array(VarNext,A,bitIndex43)
            <=> v28876(VarNext,bitIndex571) )
            & ( v27021_17__array(VarNext,A,bitIndex42)
            <=> v28876(VarNext,bitIndex570) )
            & ( v27021_17__array(VarNext,A,bitIndex41)
            <=> v28876(VarNext,bitIndex569) )
            & ( v27021_17__array(VarNext,A,bitIndex40)
            <=> v28876(VarNext,bitIndex568) )
            & ( v27021_17__array(VarNext,A,bitIndex39)
            <=> v28876(VarNext,bitIndex567) )
            & ( v27021_17__array(VarNext,A,bitIndex38)
            <=> v28876(VarNext,bitIndex566) )
            & ( v27021_17__array(VarNext,A,bitIndex37)
            <=> v28876(VarNext,bitIndex565) )
            & ( v27021_17__array(VarNext,A,bitIndex36)
            <=> v28876(VarNext,bitIndex564) )
            & ( v27021_17__array(VarNext,A,bitIndex35)
            <=> v28876(VarNext,bitIndex563) )
            & ( v27021_17__array(VarNext,A,bitIndex34)
            <=> v28876(VarNext,bitIndex562) )
            & ( v27021_17__array(VarNext,A,bitIndex33)
            <=> v28876(VarNext,bitIndex561) )
            & ( v27021_17__array(VarNext,A,bitIndex32)
            <=> v28876(VarNext,bitIndex560) )
            & ( v27021_17__array(VarNext,A,bitIndex31)
            <=> v28876(VarNext,bitIndex559) )
            & ( v27021_17__array(VarNext,A,bitIndex30)
            <=> v28876(VarNext,bitIndex558) )
            & ( v27021_17__array(VarNext,A,bitIndex29)
            <=> v28876(VarNext,bitIndex557) )
            & ( v27021_17__array(VarNext,A,bitIndex28)
            <=> v28876(VarNext,bitIndex556) )
            & ( v27021_17__array(VarNext,A,bitIndex27)
            <=> v28876(VarNext,bitIndex555) )
            & ( v27021_17__array(VarNext,A,bitIndex26)
            <=> v28876(VarNext,bitIndex554) )
            & ( v27021_17__array(VarNext,A,bitIndex25)
            <=> v28876(VarNext,bitIndex553) )
            & ( v27021_17__array(VarNext,A,bitIndex24)
            <=> v28876(VarNext,bitIndex552) )
            & ( v27021_17__array(VarNext,A,bitIndex23)
            <=> v28876(VarNext,bitIndex551) )
            & ( v27021_17__array(VarNext,A,bitIndex22)
            <=> v28876(VarNext,bitIndex550) )
            & ( v27021_17__array(VarNext,A,bitIndex21)
            <=> v28876(VarNext,bitIndex549) )
            & ( v27021_17__array(VarNext,A,bitIndex20)
            <=> v28876(VarNext,bitIndex548) )
            & ( v27021_17__array(VarNext,A,bitIndex19)
            <=> v28876(VarNext,bitIndex547) )
            & ( v27021_17__array(VarNext,A,bitIndex18)
            <=> v28876(VarNext,bitIndex546) )
            & ( v27021_17__array(VarNext,A,bitIndex17)
            <=> v28876(VarNext,bitIndex545) )
            & ( v27021_17__array(VarNext,A,bitIndex16)
            <=> v28876(VarNext,bitIndex544) )
            & ( v27021_17__array(VarNext,A,bitIndex15)
            <=> v28876(VarNext,bitIndex543) )
            & ( v27021_17__array(VarNext,A,bitIndex14)
            <=> v28876(VarNext,bitIndex542) )
            & ( v27021_17__array(VarNext,A,bitIndex13)
            <=> v28876(VarNext,bitIndex541) )
            & ( v27021_17__array(VarNext,A,bitIndex12)
            <=> v28876(VarNext,bitIndex540) )
            & ( v27021_17__array(VarNext,A,bitIndex11)
            <=> v28876(VarNext,bitIndex539) )
            & ( v27021_17__array(VarNext,A,bitIndex10)
            <=> v28876(VarNext,bitIndex538) )
            & ( v27021_17__array(VarNext,A,bitIndex9)
            <=> v28876(VarNext,bitIndex537) )
            & ( v27021_17__array(VarNext,A,bitIndex8)
            <=> v28876(VarNext,bitIndex536) )
            & ( v27021_17__array(VarNext,A,bitIndex7)
            <=> v28876(VarNext,bitIndex535) )
            & ( v27021_17__array(VarNext,A,bitIndex6)
            <=> v28876(VarNext,bitIndex534) )
            & ( v27021_17__array(VarNext,A,bitIndex5)
            <=> v28876(VarNext,bitIndex533) )
            & ( v27021_17__array(VarNext,A,bitIndex4)
            <=> v28876(VarNext,bitIndex532) )
            & ( v27021_17__array(VarNext,A,bitIndex3)
            <=> v28876(VarNext,bitIndex531) )
            & ( v27021_17__array(VarNext,A,bitIndex2)
            <=> v28876(VarNext,bitIndex530) )
            & ( v27021_17__array(VarNext,A,bitIndex1)
            <=> v28876(VarNext,bitIndex529) )
            & ( v27021_17__array(VarNext,A,bitIndex0)
            <=> v28876(VarNext,bitIndex528) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6249,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28870(VarNext)
      <=> ( v28871(VarNext)
          & v28764(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6248,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28871(VarNext)
      <=> ( v28873(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2940,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28873(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_72,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b01011_address_term = A
              & v28861(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_16__array(VarNext,A,B)
              <=> v27021_15__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_72,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b01011_address_term = A
            & v28861(VarNext) )
         => ( ( v27021_16__array(VarNext,A,bitIndex43)
            <=> v28867(VarNext,bitIndex527) )
            & ( v27021_16__array(VarNext,A,bitIndex42)
            <=> v28867(VarNext,bitIndex526) )
            & ( v27021_16__array(VarNext,A,bitIndex41)
            <=> v28867(VarNext,bitIndex525) )
            & ( v27021_16__array(VarNext,A,bitIndex40)
            <=> v28867(VarNext,bitIndex524) )
            & ( v27021_16__array(VarNext,A,bitIndex39)
            <=> v28867(VarNext,bitIndex523) )
            & ( v27021_16__array(VarNext,A,bitIndex38)
            <=> v28867(VarNext,bitIndex522) )
            & ( v27021_16__array(VarNext,A,bitIndex37)
            <=> v28867(VarNext,bitIndex521) )
            & ( v27021_16__array(VarNext,A,bitIndex36)
            <=> v28867(VarNext,bitIndex520) )
            & ( v27021_16__array(VarNext,A,bitIndex35)
            <=> v28867(VarNext,bitIndex519) )
            & ( v27021_16__array(VarNext,A,bitIndex34)
            <=> v28867(VarNext,bitIndex518) )
            & ( v27021_16__array(VarNext,A,bitIndex33)
            <=> v28867(VarNext,bitIndex517) )
            & ( v27021_16__array(VarNext,A,bitIndex32)
            <=> v28867(VarNext,bitIndex516) )
            & ( v27021_16__array(VarNext,A,bitIndex31)
            <=> v28867(VarNext,bitIndex515) )
            & ( v27021_16__array(VarNext,A,bitIndex30)
            <=> v28867(VarNext,bitIndex514) )
            & ( v27021_16__array(VarNext,A,bitIndex29)
            <=> v28867(VarNext,bitIndex513) )
            & ( v27021_16__array(VarNext,A,bitIndex28)
            <=> v28867(VarNext,bitIndex512) )
            & ( v27021_16__array(VarNext,A,bitIndex27)
            <=> v28867(VarNext,bitIndex511) )
            & ( v27021_16__array(VarNext,A,bitIndex26)
            <=> v28867(VarNext,bitIndex510) )
            & ( v27021_16__array(VarNext,A,bitIndex25)
            <=> v28867(VarNext,bitIndex509) )
            & ( v27021_16__array(VarNext,A,bitIndex24)
            <=> v28867(VarNext,bitIndex508) )
            & ( v27021_16__array(VarNext,A,bitIndex23)
            <=> v28867(VarNext,bitIndex507) )
            & ( v27021_16__array(VarNext,A,bitIndex22)
            <=> v28867(VarNext,bitIndex506) )
            & ( v27021_16__array(VarNext,A,bitIndex21)
            <=> v28867(VarNext,bitIndex505) )
            & ( v27021_16__array(VarNext,A,bitIndex20)
            <=> v28867(VarNext,bitIndex504) )
            & ( v27021_16__array(VarNext,A,bitIndex19)
            <=> v28867(VarNext,bitIndex503) )
            & ( v27021_16__array(VarNext,A,bitIndex18)
            <=> v28867(VarNext,bitIndex502) )
            & ( v27021_16__array(VarNext,A,bitIndex17)
            <=> v28867(VarNext,bitIndex501) )
            & ( v27021_16__array(VarNext,A,bitIndex16)
            <=> v28867(VarNext,bitIndex500) )
            & ( v27021_16__array(VarNext,A,bitIndex15)
            <=> v28867(VarNext,bitIndex499) )
            & ( v27021_16__array(VarNext,A,bitIndex14)
            <=> v28867(VarNext,bitIndex498) )
            & ( v27021_16__array(VarNext,A,bitIndex13)
            <=> v28867(VarNext,bitIndex497) )
            & ( v27021_16__array(VarNext,A,bitIndex12)
            <=> v28867(VarNext,bitIndex496) )
            & ( v27021_16__array(VarNext,A,bitIndex11)
            <=> v28867(VarNext,bitIndex495) )
            & ( v27021_16__array(VarNext,A,bitIndex10)
            <=> v28867(VarNext,bitIndex494) )
            & ( v27021_16__array(VarNext,A,bitIndex9)
            <=> v28867(VarNext,bitIndex493) )
            & ( v27021_16__array(VarNext,A,bitIndex8)
            <=> v28867(VarNext,bitIndex492) )
            & ( v27021_16__array(VarNext,A,bitIndex7)
            <=> v28867(VarNext,bitIndex491) )
            & ( v27021_16__array(VarNext,A,bitIndex6)
            <=> v28867(VarNext,bitIndex490) )
            & ( v27021_16__array(VarNext,A,bitIndex5)
            <=> v28867(VarNext,bitIndex489) )
            & ( v27021_16__array(VarNext,A,bitIndex4)
            <=> v28867(VarNext,bitIndex488) )
            & ( v27021_16__array(VarNext,A,bitIndex3)
            <=> v28867(VarNext,bitIndex487) )
            & ( v27021_16__array(VarNext,A,bitIndex2)
            <=> v28867(VarNext,bitIndex486) )
            & ( v27021_16__array(VarNext,A,bitIndex1)
            <=> v28867(VarNext,bitIndex485) )
            & ( v27021_16__array(VarNext,A,bitIndex0)
            <=> v28867(VarNext,bitIndex484) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6247,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28861(VarNext)
      <=> ( v28862(VarNext)
          & v28764(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6246,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28862(VarNext)
      <=> ( v28864(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2939,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28864(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_71,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b01010_address_term = A
              & v28852(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_15__array(VarNext,A,B)
              <=> v27021_14__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_71,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b01010_address_term = A
            & v28852(VarNext) )
         => ( ( v27021_15__array(VarNext,A,bitIndex43)
            <=> v28858(VarNext,bitIndex483) )
            & ( v27021_15__array(VarNext,A,bitIndex42)
            <=> v28858(VarNext,bitIndex482) )
            & ( v27021_15__array(VarNext,A,bitIndex41)
            <=> v28858(VarNext,bitIndex481) )
            & ( v27021_15__array(VarNext,A,bitIndex40)
            <=> v28858(VarNext,bitIndex480) )
            & ( v27021_15__array(VarNext,A,bitIndex39)
            <=> v28858(VarNext,bitIndex479) )
            & ( v27021_15__array(VarNext,A,bitIndex38)
            <=> v28858(VarNext,bitIndex478) )
            & ( v27021_15__array(VarNext,A,bitIndex37)
            <=> v28858(VarNext,bitIndex477) )
            & ( v27021_15__array(VarNext,A,bitIndex36)
            <=> v28858(VarNext,bitIndex476) )
            & ( v27021_15__array(VarNext,A,bitIndex35)
            <=> v28858(VarNext,bitIndex475) )
            & ( v27021_15__array(VarNext,A,bitIndex34)
            <=> v28858(VarNext,bitIndex474) )
            & ( v27021_15__array(VarNext,A,bitIndex33)
            <=> v28858(VarNext,bitIndex473) )
            & ( v27021_15__array(VarNext,A,bitIndex32)
            <=> v28858(VarNext,bitIndex472) )
            & ( v27021_15__array(VarNext,A,bitIndex31)
            <=> v28858(VarNext,bitIndex471) )
            & ( v27021_15__array(VarNext,A,bitIndex30)
            <=> v28858(VarNext,bitIndex470) )
            & ( v27021_15__array(VarNext,A,bitIndex29)
            <=> v28858(VarNext,bitIndex469) )
            & ( v27021_15__array(VarNext,A,bitIndex28)
            <=> v28858(VarNext,bitIndex468) )
            & ( v27021_15__array(VarNext,A,bitIndex27)
            <=> v28858(VarNext,bitIndex467) )
            & ( v27021_15__array(VarNext,A,bitIndex26)
            <=> v28858(VarNext,bitIndex466) )
            & ( v27021_15__array(VarNext,A,bitIndex25)
            <=> v28858(VarNext,bitIndex465) )
            & ( v27021_15__array(VarNext,A,bitIndex24)
            <=> v28858(VarNext,bitIndex464) )
            & ( v27021_15__array(VarNext,A,bitIndex23)
            <=> v28858(VarNext,bitIndex463) )
            & ( v27021_15__array(VarNext,A,bitIndex22)
            <=> v28858(VarNext,bitIndex462) )
            & ( v27021_15__array(VarNext,A,bitIndex21)
            <=> v28858(VarNext,bitIndex461) )
            & ( v27021_15__array(VarNext,A,bitIndex20)
            <=> v28858(VarNext,bitIndex460) )
            & ( v27021_15__array(VarNext,A,bitIndex19)
            <=> v28858(VarNext,bitIndex459) )
            & ( v27021_15__array(VarNext,A,bitIndex18)
            <=> v28858(VarNext,bitIndex458) )
            & ( v27021_15__array(VarNext,A,bitIndex17)
            <=> v28858(VarNext,bitIndex457) )
            & ( v27021_15__array(VarNext,A,bitIndex16)
            <=> v28858(VarNext,bitIndex456) )
            & ( v27021_15__array(VarNext,A,bitIndex15)
            <=> v28858(VarNext,bitIndex455) )
            & ( v27021_15__array(VarNext,A,bitIndex14)
            <=> v28858(VarNext,bitIndex454) )
            & ( v27021_15__array(VarNext,A,bitIndex13)
            <=> v28858(VarNext,bitIndex453) )
            & ( v27021_15__array(VarNext,A,bitIndex12)
            <=> v28858(VarNext,bitIndex452) )
            & ( v27021_15__array(VarNext,A,bitIndex11)
            <=> v28858(VarNext,bitIndex451) )
            & ( v27021_15__array(VarNext,A,bitIndex10)
            <=> v28858(VarNext,bitIndex450) )
            & ( v27021_15__array(VarNext,A,bitIndex9)
            <=> v28858(VarNext,bitIndex449) )
            & ( v27021_15__array(VarNext,A,bitIndex8)
            <=> v28858(VarNext,bitIndex448) )
            & ( v27021_15__array(VarNext,A,bitIndex7)
            <=> v28858(VarNext,bitIndex447) )
            & ( v27021_15__array(VarNext,A,bitIndex6)
            <=> v28858(VarNext,bitIndex446) )
            & ( v27021_15__array(VarNext,A,bitIndex5)
            <=> v28858(VarNext,bitIndex445) )
            & ( v27021_15__array(VarNext,A,bitIndex4)
            <=> v28858(VarNext,bitIndex444) )
            & ( v27021_15__array(VarNext,A,bitIndex3)
            <=> v28858(VarNext,bitIndex443) )
            & ( v27021_15__array(VarNext,A,bitIndex2)
            <=> v28858(VarNext,bitIndex442) )
            & ( v27021_15__array(VarNext,A,bitIndex1)
            <=> v28858(VarNext,bitIndex441) )
            & ( v27021_15__array(VarNext,A,bitIndex0)
            <=> v28858(VarNext,bitIndex440) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6245,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28852(VarNext)
      <=> ( v28853(VarNext)
          & v28764(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6244,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28853(VarNext)
      <=> ( v28855(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2938,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28855(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_70,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b01001_address_term = A
              & v28843(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_14__array(VarNext,A,B)
              <=> v27021_13__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_70,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b01001_address_term = A
            & v28843(VarNext) )
         => ( ( v27021_14__array(VarNext,A,bitIndex43)
            <=> v28849(VarNext,bitIndex439) )
            & ( v27021_14__array(VarNext,A,bitIndex42)
            <=> v28849(VarNext,bitIndex438) )
            & ( v27021_14__array(VarNext,A,bitIndex41)
            <=> v28849(VarNext,bitIndex437) )
            & ( v27021_14__array(VarNext,A,bitIndex40)
            <=> v28849(VarNext,bitIndex436) )
            & ( v27021_14__array(VarNext,A,bitIndex39)
            <=> v28849(VarNext,bitIndex435) )
            & ( v27021_14__array(VarNext,A,bitIndex38)
            <=> v28849(VarNext,bitIndex434) )
            & ( v27021_14__array(VarNext,A,bitIndex37)
            <=> v28849(VarNext,bitIndex433) )
            & ( v27021_14__array(VarNext,A,bitIndex36)
            <=> v28849(VarNext,bitIndex432) )
            & ( v27021_14__array(VarNext,A,bitIndex35)
            <=> v28849(VarNext,bitIndex431) )
            & ( v27021_14__array(VarNext,A,bitIndex34)
            <=> v28849(VarNext,bitIndex430) )
            & ( v27021_14__array(VarNext,A,bitIndex33)
            <=> v28849(VarNext,bitIndex429) )
            & ( v27021_14__array(VarNext,A,bitIndex32)
            <=> v28849(VarNext,bitIndex428) )
            & ( v27021_14__array(VarNext,A,bitIndex31)
            <=> v28849(VarNext,bitIndex427) )
            & ( v27021_14__array(VarNext,A,bitIndex30)
            <=> v28849(VarNext,bitIndex426) )
            & ( v27021_14__array(VarNext,A,bitIndex29)
            <=> v28849(VarNext,bitIndex425) )
            & ( v27021_14__array(VarNext,A,bitIndex28)
            <=> v28849(VarNext,bitIndex424) )
            & ( v27021_14__array(VarNext,A,bitIndex27)
            <=> v28849(VarNext,bitIndex423) )
            & ( v27021_14__array(VarNext,A,bitIndex26)
            <=> v28849(VarNext,bitIndex422) )
            & ( v27021_14__array(VarNext,A,bitIndex25)
            <=> v28849(VarNext,bitIndex421) )
            & ( v27021_14__array(VarNext,A,bitIndex24)
            <=> v28849(VarNext,bitIndex420) )
            & ( v27021_14__array(VarNext,A,bitIndex23)
            <=> v28849(VarNext,bitIndex419) )
            & ( v27021_14__array(VarNext,A,bitIndex22)
            <=> v28849(VarNext,bitIndex418) )
            & ( v27021_14__array(VarNext,A,bitIndex21)
            <=> v28849(VarNext,bitIndex417) )
            & ( v27021_14__array(VarNext,A,bitIndex20)
            <=> v28849(VarNext,bitIndex416) )
            & ( v27021_14__array(VarNext,A,bitIndex19)
            <=> v28849(VarNext,bitIndex415) )
            & ( v27021_14__array(VarNext,A,bitIndex18)
            <=> v28849(VarNext,bitIndex414) )
            & ( v27021_14__array(VarNext,A,bitIndex17)
            <=> v28849(VarNext,bitIndex413) )
            & ( v27021_14__array(VarNext,A,bitIndex16)
            <=> v28849(VarNext,bitIndex412) )
            & ( v27021_14__array(VarNext,A,bitIndex15)
            <=> v28849(VarNext,bitIndex411) )
            & ( v27021_14__array(VarNext,A,bitIndex14)
            <=> v28849(VarNext,bitIndex410) )
            & ( v27021_14__array(VarNext,A,bitIndex13)
            <=> v28849(VarNext,bitIndex409) )
            & ( v27021_14__array(VarNext,A,bitIndex12)
            <=> v28849(VarNext,bitIndex408) )
            & ( v27021_14__array(VarNext,A,bitIndex11)
            <=> v28849(VarNext,bitIndex407) )
            & ( v27021_14__array(VarNext,A,bitIndex10)
            <=> v28849(VarNext,bitIndex406) )
            & ( v27021_14__array(VarNext,A,bitIndex9)
            <=> v28849(VarNext,bitIndex405) )
            & ( v27021_14__array(VarNext,A,bitIndex8)
            <=> v28849(VarNext,bitIndex404) )
            & ( v27021_14__array(VarNext,A,bitIndex7)
            <=> v28849(VarNext,bitIndex403) )
            & ( v27021_14__array(VarNext,A,bitIndex6)
            <=> v28849(VarNext,bitIndex402) )
            & ( v27021_14__array(VarNext,A,bitIndex5)
            <=> v28849(VarNext,bitIndex401) )
            & ( v27021_14__array(VarNext,A,bitIndex4)
            <=> v28849(VarNext,bitIndex400) )
            & ( v27021_14__array(VarNext,A,bitIndex3)
            <=> v28849(VarNext,bitIndex399) )
            & ( v27021_14__array(VarNext,A,bitIndex2)
            <=> v28849(VarNext,bitIndex398) )
            & ( v27021_14__array(VarNext,A,bitIndex1)
            <=> v28849(VarNext,bitIndex397) )
            & ( v27021_14__array(VarNext,A,bitIndex0)
            <=> v28849(VarNext,bitIndex396) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6243,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28843(VarNext)
      <=> ( v28844(VarNext)
          & v28764(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6242,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28844(VarNext)
      <=> ( v28846(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2937,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28846(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_69,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b01000_address_term = A
              & v28834(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_13__array(VarNext,A,B)
              <=> v27021_12__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_69,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b01000_address_term = A
            & v28834(VarNext) )
         => ( ( v27021_13__array(VarNext,A,bitIndex43)
            <=> v28840(VarNext,bitIndex395) )
            & ( v27021_13__array(VarNext,A,bitIndex42)
            <=> v28840(VarNext,bitIndex394) )
            & ( v27021_13__array(VarNext,A,bitIndex41)
            <=> v28840(VarNext,bitIndex393) )
            & ( v27021_13__array(VarNext,A,bitIndex40)
            <=> v28840(VarNext,bitIndex392) )
            & ( v27021_13__array(VarNext,A,bitIndex39)
            <=> v28840(VarNext,bitIndex391) )
            & ( v27021_13__array(VarNext,A,bitIndex38)
            <=> v28840(VarNext,bitIndex390) )
            & ( v27021_13__array(VarNext,A,bitIndex37)
            <=> v28840(VarNext,bitIndex389) )
            & ( v27021_13__array(VarNext,A,bitIndex36)
            <=> v28840(VarNext,bitIndex388) )
            & ( v27021_13__array(VarNext,A,bitIndex35)
            <=> v28840(VarNext,bitIndex387) )
            & ( v27021_13__array(VarNext,A,bitIndex34)
            <=> v28840(VarNext,bitIndex386) )
            & ( v27021_13__array(VarNext,A,bitIndex33)
            <=> v28840(VarNext,bitIndex385) )
            & ( v27021_13__array(VarNext,A,bitIndex32)
            <=> v28840(VarNext,bitIndex384) )
            & ( v27021_13__array(VarNext,A,bitIndex31)
            <=> v28840(VarNext,bitIndex383) )
            & ( v27021_13__array(VarNext,A,bitIndex30)
            <=> v28840(VarNext,bitIndex382) )
            & ( v27021_13__array(VarNext,A,bitIndex29)
            <=> v28840(VarNext,bitIndex381) )
            & ( v27021_13__array(VarNext,A,bitIndex28)
            <=> v28840(VarNext,bitIndex380) )
            & ( v27021_13__array(VarNext,A,bitIndex27)
            <=> v28840(VarNext,bitIndex379) )
            & ( v27021_13__array(VarNext,A,bitIndex26)
            <=> v28840(VarNext,bitIndex378) )
            & ( v27021_13__array(VarNext,A,bitIndex25)
            <=> v28840(VarNext,bitIndex377) )
            & ( v27021_13__array(VarNext,A,bitIndex24)
            <=> v28840(VarNext,bitIndex376) )
            & ( v27021_13__array(VarNext,A,bitIndex23)
            <=> v28840(VarNext,bitIndex375) )
            & ( v27021_13__array(VarNext,A,bitIndex22)
            <=> v28840(VarNext,bitIndex374) )
            & ( v27021_13__array(VarNext,A,bitIndex21)
            <=> v28840(VarNext,bitIndex373) )
            & ( v27021_13__array(VarNext,A,bitIndex20)
            <=> v28840(VarNext,bitIndex372) )
            & ( v27021_13__array(VarNext,A,bitIndex19)
            <=> v28840(VarNext,bitIndex371) )
            & ( v27021_13__array(VarNext,A,bitIndex18)
            <=> v28840(VarNext,bitIndex370) )
            & ( v27021_13__array(VarNext,A,bitIndex17)
            <=> v28840(VarNext,bitIndex369) )
            & ( v27021_13__array(VarNext,A,bitIndex16)
            <=> v28840(VarNext,bitIndex368) )
            & ( v27021_13__array(VarNext,A,bitIndex15)
            <=> v28840(VarNext,bitIndex367) )
            & ( v27021_13__array(VarNext,A,bitIndex14)
            <=> v28840(VarNext,bitIndex366) )
            & ( v27021_13__array(VarNext,A,bitIndex13)
            <=> v28840(VarNext,bitIndex365) )
            & ( v27021_13__array(VarNext,A,bitIndex12)
            <=> v28840(VarNext,bitIndex364) )
            & ( v27021_13__array(VarNext,A,bitIndex11)
            <=> v28840(VarNext,bitIndex363) )
            & ( v27021_13__array(VarNext,A,bitIndex10)
            <=> v28840(VarNext,bitIndex362) )
            & ( v27021_13__array(VarNext,A,bitIndex9)
            <=> v28840(VarNext,bitIndex361) )
            & ( v27021_13__array(VarNext,A,bitIndex8)
            <=> v28840(VarNext,bitIndex360) )
            & ( v27021_13__array(VarNext,A,bitIndex7)
            <=> v28840(VarNext,bitIndex359) )
            & ( v27021_13__array(VarNext,A,bitIndex6)
            <=> v28840(VarNext,bitIndex358) )
            & ( v27021_13__array(VarNext,A,bitIndex5)
            <=> v28840(VarNext,bitIndex357) )
            & ( v27021_13__array(VarNext,A,bitIndex4)
            <=> v28840(VarNext,bitIndex356) )
            & ( v27021_13__array(VarNext,A,bitIndex3)
            <=> v28840(VarNext,bitIndex355) )
            & ( v27021_13__array(VarNext,A,bitIndex2)
            <=> v28840(VarNext,bitIndex354) )
            & ( v27021_13__array(VarNext,A,bitIndex1)
            <=> v28840(VarNext,bitIndex353) )
            & ( v27021_13__array(VarNext,A,bitIndex0)
            <=> v28840(VarNext,bitIndex352) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6241,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28834(VarNext)
      <=> ( v28835(VarNext)
          & v28764(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6240,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28835(VarNext)
      <=> ( v28837(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2936,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28837(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_68,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b00111_address_term = A
              & v28825(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_12__array(VarNext,A,B)
              <=> v27021_11__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_68,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b00111_address_term = A
            & v28825(VarNext) )
         => ( ( v27021_12__array(VarNext,A,bitIndex43)
            <=> v28831(VarNext,bitIndex351) )
            & ( v27021_12__array(VarNext,A,bitIndex42)
            <=> v28831(VarNext,bitIndex350) )
            & ( v27021_12__array(VarNext,A,bitIndex41)
            <=> v28831(VarNext,bitIndex349) )
            & ( v27021_12__array(VarNext,A,bitIndex40)
            <=> v28831(VarNext,bitIndex348) )
            & ( v27021_12__array(VarNext,A,bitIndex39)
            <=> v28831(VarNext,bitIndex347) )
            & ( v27021_12__array(VarNext,A,bitIndex38)
            <=> v28831(VarNext,bitIndex346) )
            & ( v27021_12__array(VarNext,A,bitIndex37)
            <=> v28831(VarNext,bitIndex345) )
            & ( v27021_12__array(VarNext,A,bitIndex36)
            <=> v28831(VarNext,bitIndex344) )
            & ( v27021_12__array(VarNext,A,bitIndex35)
            <=> v28831(VarNext,bitIndex343) )
            & ( v27021_12__array(VarNext,A,bitIndex34)
            <=> v28831(VarNext,bitIndex342) )
            & ( v27021_12__array(VarNext,A,bitIndex33)
            <=> v28831(VarNext,bitIndex341) )
            & ( v27021_12__array(VarNext,A,bitIndex32)
            <=> v28831(VarNext,bitIndex340) )
            & ( v27021_12__array(VarNext,A,bitIndex31)
            <=> v28831(VarNext,bitIndex339) )
            & ( v27021_12__array(VarNext,A,bitIndex30)
            <=> v28831(VarNext,bitIndex338) )
            & ( v27021_12__array(VarNext,A,bitIndex29)
            <=> v28831(VarNext,bitIndex337) )
            & ( v27021_12__array(VarNext,A,bitIndex28)
            <=> v28831(VarNext,bitIndex336) )
            & ( v27021_12__array(VarNext,A,bitIndex27)
            <=> v28831(VarNext,bitIndex335) )
            & ( v27021_12__array(VarNext,A,bitIndex26)
            <=> v28831(VarNext,bitIndex334) )
            & ( v27021_12__array(VarNext,A,bitIndex25)
            <=> v28831(VarNext,bitIndex333) )
            & ( v27021_12__array(VarNext,A,bitIndex24)
            <=> v28831(VarNext,bitIndex332) )
            & ( v27021_12__array(VarNext,A,bitIndex23)
            <=> v28831(VarNext,bitIndex331) )
            & ( v27021_12__array(VarNext,A,bitIndex22)
            <=> v28831(VarNext,bitIndex330) )
            & ( v27021_12__array(VarNext,A,bitIndex21)
            <=> v28831(VarNext,bitIndex329) )
            & ( v27021_12__array(VarNext,A,bitIndex20)
            <=> v28831(VarNext,bitIndex328) )
            & ( v27021_12__array(VarNext,A,bitIndex19)
            <=> v28831(VarNext,bitIndex327) )
            & ( v27021_12__array(VarNext,A,bitIndex18)
            <=> v28831(VarNext,bitIndex326) )
            & ( v27021_12__array(VarNext,A,bitIndex17)
            <=> v28831(VarNext,bitIndex325) )
            & ( v27021_12__array(VarNext,A,bitIndex16)
            <=> v28831(VarNext,bitIndex324) )
            & ( v27021_12__array(VarNext,A,bitIndex15)
            <=> v28831(VarNext,bitIndex323) )
            & ( v27021_12__array(VarNext,A,bitIndex14)
            <=> v28831(VarNext,bitIndex322) )
            & ( v27021_12__array(VarNext,A,bitIndex13)
            <=> v28831(VarNext,bitIndex321) )
            & ( v27021_12__array(VarNext,A,bitIndex12)
            <=> v28831(VarNext,bitIndex320) )
            & ( v27021_12__array(VarNext,A,bitIndex11)
            <=> v28831(VarNext,bitIndex319) )
            & ( v27021_12__array(VarNext,A,bitIndex10)
            <=> v28831(VarNext,bitIndex318) )
            & ( v27021_12__array(VarNext,A,bitIndex9)
            <=> v28831(VarNext,bitIndex317) )
            & ( v27021_12__array(VarNext,A,bitIndex8)
            <=> v28831(VarNext,bitIndex316) )
            & ( v27021_12__array(VarNext,A,bitIndex7)
            <=> v28831(VarNext,bitIndex315) )
            & ( v27021_12__array(VarNext,A,bitIndex6)
            <=> v28831(VarNext,bitIndex314) )
            & ( v27021_12__array(VarNext,A,bitIndex5)
            <=> v28831(VarNext,bitIndex313) )
            & ( v27021_12__array(VarNext,A,bitIndex4)
            <=> v28831(VarNext,bitIndex312) )
            & ( v27021_12__array(VarNext,A,bitIndex3)
            <=> v28831(VarNext,bitIndex311) )
            & ( v27021_12__array(VarNext,A,bitIndex2)
            <=> v28831(VarNext,bitIndex310) )
            & ( v27021_12__array(VarNext,A,bitIndex1)
            <=> v28831(VarNext,bitIndex309) )
            & ( v27021_12__array(VarNext,A,bitIndex0)
            <=> v28831(VarNext,bitIndex308) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6239,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28825(VarNext)
      <=> ( v28826(VarNext)
          & v28764(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6238,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28826(VarNext)
      <=> ( v28828(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2935,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28828(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_67,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b00110_address_term = A
              & v28816(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_11__array(VarNext,A,B)
              <=> v27021_10__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_67,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b00110_address_term = A
            & v28816(VarNext) )
         => ( ( v27021_11__array(VarNext,A,bitIndex43)
            <=> v28822(VarNext,bitIndex307) )
            & ( v27021_11__array(VarNext,A,bitIndex42)
            <=> v28822(VarNext,bitIndex306) )
            & ( v27021_11__array(VarNext,A,bitIndex41)
            <=> v28822(VarNext,bitIndex305) )
            & ( v27021_11__array(VarNext,A,bitIndex40)
            <=> v28822(VarNext,bitIndex304) )
            & ( v27021_11__array(VarNext,A,bitIndex39)
            <=> v28822(VarNext,bitIndex303) )
            & ( v27021_11__array(VarNext,A,bitIndex38)
            <=> v28822(VarNext,bitIndex302) )
            & ( v27021_11__array(VarNext,A,bitIndex37)
            <=> v28822(VarNext,bitIndex301) )
            & ( v27021_11__array(VarNext,A,bitIndex36)
            <=> v28822(VarNext,bitIndex300) )
            & ( v27021_11__array(VarNext,A,bitIndex35)
            <=> v28822(VarNext,bitIndex299) )
            & ( v27021_11__array(VarNext,A,bitIndex34)
            <=> v28822(VarNext,bitIndex298) )
            & ( v27021_11__array(VarNext,A,bitIndex33)
            <=> v28822(VarNext,bitIndex297) )
            & ( v27021_11__array(VarNext,A,bitIndex32)
            <=> v28822(VarNext,bitIndex296) )
            & ( v27021_11__array(VarNext,A,bitIndex31)
            <=> v28822(VarNext,bitIndex295) )
            & ( v27021_11__array(VarNext,A,bitIndex30)
            <=> v28822(VarNext,bitIndex294) )
            & ( v27021_11__array(VarNext,A,bitIndex29)
            <=> v28822(VarNext,bitIndex293) )
            & ( v27021_11__array(VarNext,A,bitIndex28)
            <=> v28822(VarNext,bitIndex292) )
            & ( v27021_11__array(VarNext,A,bitIndex27)
            <=> v28822(VarNext,bitIndex291) )
            & ( v27021_11__array(VarNext,A,bitIndex26)
            <=> v28822(VarNext,bitIndex290) )
            & ( v27021_11__array(VarNext,A,bitIndex25)
            <=> v28822(VarNext,bitIndex289) )
            & ( v27021_11__array(VarNext,A,bitIndex24)
            <=> v28822(VarNext,bitIndex288) )
            & ( v27021_11__array(VarNext,A,bitIndex23)
            <=> v28822(VarNext,bitIndex287) )
            & ( v27021_11__array(VarNext,A,bitIndex22)
            <=> v28822(VarNext,bitIndex286) )
            & ( v27021_11__array(VarNext,A,bitIndex21)
            <=> v28822(VarNext,bitIndex285) )
            & ( v27021_11__array(VarNext,A,bitIndex20)
            <=> v28822(VarNext,bitIndex284) )
            & ( v27021_11__array(VarNext,A,bitIndex19)
            <=> v28822(VarNext,bitIndex283) )
            & ( v27021_11__array(VarNext,A,bitIndex18)
            <=> v28822(VarNext,bitIndex282) )
            & ( v27021_11__array(VarNext,A,bitIndex17)
            <=> v28822(VarNext,bitIndex281) )
            & ( v27021_11__array(VarNext,A,bitIndex16)
            <=> v28822(VarNext,bitIndex280) )
            & ( v27021_11__array(VarNext,A,bitIndex15)
            <=> v28822(VarNext,bitIndex279) )
            & ( v27021_11__array(VarNext,A,bitIndex14)
            <=> v28822(VarNext,bitIndex278) )
            & ( v27021_11__array(VarNext,A,bitIndex13)
            <=> v28822(VarNext,bitIndex277) )
            & ( v27021_11__array(VarNext,A,bitIndex12)
            <=> v28822(VarNext,bitIndex276) )
            & ( v27021_11__array(VarNext,A,bitIndex11)
            <=> v28822(VarNext,bitIndex275) )
            & ( v27021_11__array(VarNext,A,bitIndex10)
            <=> v28822(VarNext,bitIndex274) )
            & ( v27021_11__array(VarNext,A,bitIndex9)
            <=> v28822(VarNext,bitIndex273) )
            & ( v27021_11__array(VarNext,A,bitIndex8)
            <=> v28822(VarNext,bitIndex272) )
            & ( v27021_11__array(VarNext,A,bitIndex7)
            <=> v28822(VarNext,bitIndex271) )
            & ( v27021_11__array(VarNext,A,bitIndex6)
            <=> v28822(VarNext,bitIndex270) )
            & ( v27021_11__array(VarNext,A,bitIndex5)
            <=> v28822(VarNext,bitIndex269) )
            & ( v27021_11__array(VarNext,A,bitIndex4)
            <=> v28822(VarNext,bitIndex268) )
            & ( v27021_11__array(VarNext,A,bitIndex3)
            <=> v28822(VarNext,bitIndex267) )
            & ( v27021_11__array(VarNext,A,bitIndex2)
            <=> v28822(VarNext,bitIndex266) )
            & ( v27021_11__array(VarNext,A,bitIndex1)
            <=> v28822(VarNext,bitIndex265) )
            & ( v27021_11__array(VarNext,A,bitIndex0)
            <=> v28822(VarNext,bitIndex264) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6237,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28816(VarNext)
      <=> ( v28817(VarNext)
          & v28764(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6236,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28817(VarNext)
      <=> ( v28819(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2934,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28819(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_66,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b00101_address_term = A
              & v28807(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_10__array(VarNext,A,B)
              <=> v27021_9__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_66,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b00101_address_term = A
            & v28807(VarNext) )
         => ( ( v27021_10__array(VarNext,A,bitIndex43)
            <=> v28813(VarNext,bitIndex263) )
            & ( v27021_10__array(VarNext,A,bitIndex42)
            <=> v28813(VarNext,bitIndex262) )
            & ( v27021_10__array(VarNext,A,bitIndex41)
            <=> v28813(VarNext,bitIndex261) )
            & ( v27021_10__array(VarNext,A,bitIndex40)
            <=> v28813(VarNext,bitIndex260) )
            & ( v27021_10__array(VarNext,A,bitIndex39)
            <=> v28813(VarNext,bitIndex259) )
            & ( v27021_10__array(VarNext,A,bitIndex38)
            <=> v28813(VarNext,bitIndex258) )
            & ( v27021_10__array(VarNext,A,bitIndex37)
            <=> v28813(VarNext,bitIndex257) )
            & ( v27021_10__array(VarNext,A,bitIndex36)
            <=> v28813(VarNext,bitIndex256) )
            & ( v27021_10__array(VarNext,A,bitIndex35)
            <=> v28813(VarNext,bitIndex255) )
            & ( v27021_10__array(VarNext,A,bitIndex34)
            <=> v28813(VarNext,bitIndex254) )
            & ( v27021_10__array(VarNext,A,bitIndex33)
            <=> v28813(VarNext,bitIndex253) )
            & ( v27021_10__array(VarNext,A,bitIndex32)
            <=> v28813(VarNext,bitIndex252) )
            & ( v27021_10__array(VarNext,A,bitIndex31)
            <=> v28813(VarNext,bitIndex251) )
            & ( v27021_10__array(VarNext,A,bitIndex30)
            <=> v28813(VarNext,bitIndex250) )
            & ( v27021_10__array(VarNext,A,bitIndex29)
            <=> v28813(VarNext,bitIndex249) )
            & ( v27021_10__array(VarNext,A,bitIndex28)
            <=> v28813(VarNext,bitIndex248) )
            & ( v27021_10__array(VarNext,A,bitIndex27)
            <=> v28813(VarNext,bitIndex247) )
            & ( v27021_10__array(VarNext,A,bitIndex26)
            <=> v28813(VarNext,bitIndex246) )
            & ( v27021_10__array(VarNext,A,bitIndex25)
            <=> v28813(VarNext,bitIndex245) )
            & ( v27021_10__array(VarNext,A,bitIndex24)
            <=> v28813(VarNext,bitIndex244) )
            & ( v27021_10__array(VarNext,A,bitIndex23)
            <=> v28813(VarNext,bitIndex243) )
            & ( v27021_10__array(VarNext,A,bitIndex22)
            <=> v28813(VarNext,bitIndex242) )
            & ( v27021_10__array(VarNext,A,bitIndex21)
            <=> v28813(VarNext,bitIndex241) )
            & ( v27021_10__array(VarNext,A,bitIndex20)
            <=> v28813(VarNext,bitIndex240) )
            & ( v27021_10__array(VarNext,A,bitIndex19)
            <=> v28813(VarNext,bitIndex239) )
            & ( v27021_10__array(VarNext,A,bitIndex18)
            <=> v28813(VarNext,bitIndex238) )
            & ( v27021_10__array(VarNext,A,bitIndex17)
            <=> v28813(VarNext,bitIndex237) )
            & ( v27021_10__array(VarNext,A,bitIndex16)
            <=> v28813(VarNext,bitIndex236) )
            & ( v27021_10__array(VarNext,A,bitIndex15)
            <=> v28813(VarNext,bitIndex235) )
            & ( v27021_10__array(VarNext,A,bitIndex14)
            <=> v28813(VarNext,bitIndex234) )
            & ( v27021_10__array(VarNext,A,bitIndex13)
            <=> v28813(VarNext,bitIndex233) )
            & ( v27021_10__array(VarNext,A,bitIndex12)
            <=> v28813(VarNext,bitIndex232) )
            & ( v27021_10__array(VarNext,A,bitIndex11)
            <=> v28813(VarNext,bitIndex231) )
            & ( v27021_10__array(VarNext,A,bitIndex10)
            <=> v28813(VarNext,bitIndex230) )
            & ( v27021_10__array(VarNext,A,bitIndex9)
            <=> v28813(VarNext,bitIndex229) )
            & ( v27021_10__array(VarNext,A,bitIndex8)
            <=> v28813(VarNext,bitIndex228) )
            & ( v27021_10__array(VarNext,A,bitIndex7)
            <=> v28813(VarNext,bitIndex227) )
            & ( v27021_10__array(VarNext,A,bitIndex6)
            <=> v28813(VarNext,bitIndex226) )
            & ( v27021_10__array(VarNext,A,bitIndex5)
            <=> v28813(VarNext,bitIndex225) )
            & ( v27021_10__array(VarNext,A,bitIndex4)
            <=> v28813(VarNext,bitIndex224) )
            & ( v27021_10__array(VarNext,A,bitIndex3)
            <=> v28813(VarNext,bitIndex223) )
            & ( v27021_10__array(VarNext,A,bitIndex2)
            <=> v28813(VarNext,bitIndex222) )
            & ( v27021_10__array(VarNext,A,bitIndex1)
            <=> v28813(VarNext,bitIndex221) )
            & ( v27021_10__array(VarNext,A,bitIndex0)
            <=> v28813(VarNext,bitIndex220) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6235,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28807(VarNext)
      <=> ( v28808(VarNext)
          & v28764(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6234,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28808(VarNext)
      <=> ( v28810(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2933,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28810(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_65,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b00100_address_term = A
              & v28798(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_9__array(VarNext,A,B)
              <=> v27021_8__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_65,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b00100_address_term = A
            & v28798(VarNext) )
         => ( ( v27021_9__array(VarNext,A,bitIndex43)
            <=> v28804(VarNext,bitIndex219) )
            & ( v27021_9__array(VarNext,A,bitIndex42)
            <=> v28804(VarNext,bitIndex218) )
            & ( v27021_9__array(VarNext,A,bitIndex41)
            <=> v28804(VarNext,bitIndex217) )
            & ( v27021_9__array(VarNext,A,bitIndex40)
            <=> v28804(VarNext,bitIndex216) )
            & ( v27021_9__array(VarNext,A,bitIndex39)
            <=> v28804(VarNext,bitIndex215) )
            & ( v27021_9__array(VarNext,A,bitIndex38)
            <=> v28804(VarNext,bitIndex214) )
            & ( v27021_9__array(VarNext,A,bitIndex37)
            <=> v28804(VarNext,bitIndex213) )
            & ( v27021_9__array(VarNext,A,bitIndex36)
            <=> v28804(VarNext,bitIndex212) )
            & ( v27021_9__array(VarNext,A,bitIndex35)
            <=> v28804(VarNext,bitIndex211) )
            & ( v27021_9__array(VarNext,A,bitIndex34)
            <=> v28804(VarNext,bitIndex210) )
            & ( v27021_9__array(VarNext,A,bitIndex33)
            <=> v28804(VarNext,bitIndex209) )
            & ( v27021_9__array(VarNext,A,bitIndex32)
            <=> v28804(VarNext,bitIndex208) )
            & ( v27021_9__array(VarNext,A,bitIndex31)
            <=> v28804(VarNext,bitIndex207) )
            & ( v27021_9__array(VarNext,A,bitIndex30)
            <=> v28804(VarNext,bitIndex206) )
            & ( v27021_9__array(VarNext,A,bitIndex29)
            <=> v28804(VarNext,bitIndex205) )
            & ( v27021_9__array(VarNext,A,bitIndex28)
            <=> v28804(VarNext,bitIndex204) )
            & ( v27021_9__array(VarNext,A,bitIndex27)
            <=> v28804(VarNext,bitIndex203) )
            & ( v27021_9__array(VarNext,A,bitIndex26)
            <=> v28804(VarNext,bitIndex202) )
            & ( v27021_9__array(VarNext,A,bitIndex25)
            <=> v28804(VarNext,bitIndex201) )
            & ( v27021_9__array(VarNext,A,bitIndex24)
            <=> v28804(VarNext,bitIndex200) )
            & ( v27021_9__array(VarNext,A,bitIndex23)
            <=> v28804(VarNext,bitIndex199) )
            & ( v27021_9__array(VarNext,A,bitIndex22)
            <=> v28804(VarNext,bitIndex198) )
            & ( v27021_9__array(VarNext,A,bitIndex21)
            <=> v28804(VarNext,bitIndex197) )
            & ( v27021_9__array(VarNext,A,bitIndex20)
            <=> v28804(VarNext,bitIndex196) )
            & ( v27021_9__array(VarNext,A,bitIndex19)
            <=> v28804(VarNext,bitIndex195) )
            & ( v27021_9__array(VarNext,A,bitIndex18)
            <=> v28804(VarNext,bitIndex194) )
            & ( v27021_9__array(VarNext,A,bitIndex17)
            <=> v28804(VarNext,bitIndex193) )
            & ( v27021_9__array(VarNext,A,bitIndex16)
            <=> v28804(VarNext,bitIndex192) )
            & ( v27021_9__array(VarNext,A,bitIndex15)
            <=> v28804(VarNext,bitIndex191) )
            & ( v27021_9__array(VarNext,A,bitIndex14)
            <=> v28804(VarNext,bitIndex190) )
            & ( v27021_9__array(VarNext,A,bitIndex13)
            <=> v28804(VarNext,bitIndex189) )
            & ( v27021_9__array(VarNext,A,bitIndex12)
            <=> v28804(VarNext,bitIndex188) )
            & ( v27021_9__array(VarNext,A,bitIndex11)
            <=> v28804(VarNext,bitIndex187) )
            & ( v27021_9__array(VarNext,A,bitIndex10)
            <=> v28804(VarNext,bitIndex186) )
            & ( v27021_9__array(VarNext,A,bitIndex9)
            <=> v28804(VarNext,bitIndex185) )
            & ( v27021_9__array(VarNext,A,bitIndex8)
            <=> v28804(VarNext,bitIndex184) )
            & ( v27021_9__array(VarNext,A,bitIndex7)
            <=> v28804(VarNext,bitIndex183) )
            & ( v27021_9__array(VarNext,A,bitIndex6)
            <=> v28804(VarNext,bitIndex182) )
            & ( v27021_9__array(VarNext,A,bitIndex5)
            <=> v28804(VarNext,bitIndex181) )
            & ( v27021_9__array(VarNext,A,bitIndex4)
            <=> v28804(VarNext,bitIndex180) )
            & ( v27021_9__array(VarNext,A,bitIndex3)
            <=> v28804(VarNext,bitIndex179) )
            & ( v27021_9__array(VarNext,A,bitIndex2)
            <=> v28804(VarNext,bitIndex178) )
            & ( v27021_9__array(VarNext,A,bitIndex1)
            <=> v28804(VarNext,bitIndex177) )
            & ( v27021_9__array(VarNext,A,bitIndex0)
            <=> v28804(VarNext,bitIndex176) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6233,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28798(VarNext)
      <=> ( v28799(VarNext)
          & v28764(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6232,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28799(VarNext)
      <=> ( v28801(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2932,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28801(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_64,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b00011_address_term = A
              & v28789(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_8__array(VarNext,A,B)
              <=> v27021_7__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_64,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b00011_address_term = A
            & v28789(VarNext) )
         => ( ( v27021_8__array(VarNext,A,bitIndex43)
            <=> v28795(VarNext,bitIndex175) )
            & ( v27021_8__array(VarNext,A,bitIndex42)
            <=> v28795(VarNext,bitIndex174) )
            & ( v27021_8__array(VarNext,A,bitIndex41)
            <=> v28795(VarNext,bitIndex173) )
            & ( v27021_8__array(VarNext,A,bitIndex40)
            <=> v28795(VarNext,bitIndex172) )
            & ( v27021_8__array(VarNext,A,bitIndex39)
            <=> v28795(VarNext,bitIndex171) )
            & ( v27021_8__array(VarNext,A,bitIndex38)
            <=> v28795(VarNext,bitIndex170) )
            & ( v27021_8__array(VarNext,A,bitIndex37)
            <=> v28795(VarNext,bitIndex169) )
            & ( v27021_8__array(VarNext,A,bitIndex36)
            <=> v28795(VarNext,bitIndex168) )
            & ( v27021_8__array(VarNext,A,bitIndex35)
            <=> v28795(VarNext,bitIndex167) )
            & ( v27021_8__array(VarNext,A,bitIndex34)
            <=> v28795(VarNext,bitIndex166) )
            & ( v27021_8__array(VarNext,A,bitIndex33)
            <=> v28795(VarNext,bitIndex165) )
            & ( v27021_8__array(VarNext,A,bitIndex32)
            <=> v28795(VarNext,bitIndex164) )
            & ( v27021_8__array(VarNext,A,bitIndex31)
            <=> v28795(VarNext,bitIndex163) )
            & ( v27021_8__array(VarNext,A,bitIndex30)
            <=> v28795(VarNext,bitIndex162) )
            & ( v27021_8__array(VarNext,A,bitIndex29)
            <=> v28795(VarNext,bitIndex161) )
            & ( v27021_8__array(VarNext,A,bitIndex28)
            <=> v28795(VarNext,bitIndex160) )
            & ( v27021_8__array(VarNext,A,bitIndex27)
            <=> v28795(VarNext,bitIndex159) )
            & ( v27021_8__array(VarNext,A,bitIndex26)
            <=> v28795(VarNext,bitIndex158) )
            & ( v27021_8__array(VarNext,A,bitIndex25)
            <=> v28795(VarNext,bitIndex157) )
            & ( v27021_8__array(VarNext,A,bitIndex24)
            <=> v28795(VarNext,bitIndex156) )
            & ( v27021_8__array(VarNext,A,bitIndex23)
            <=> v28795(VarNext,bitIndex155) )
            & ( v27021_8__array(VarNext,A,bitIndex22)
            <=> v28795(VarNext,bitIndex154) )
            & ( v27021_8__array(VarNext,A,bitIndex21)
            <=> v28795(VarNext,bitIndex153) )
            & ( v27021_8__array(VarNext,A,bitIndex20)
            <=> v28795(VarNext,bitIndex152) )
            & ( v27021_8__array(VarNext,A,bitIndex19)
            <=> v28795(VarNext,bitIndex151) )
            & ( v27021_8__array(VarNext,A,bitIndex18)
            <=> v28795(VarNext,bitIndex150) )
            & ( v27021_8__array(VarNext,A,bitIndex17)
            <=> v28795(VarNext,bitIndex149) )
            & ( v27021_8__array(VarNext,A,bitIndex16)
            <=> v28795(VarNext,bitIndex148) )
            & ( v27021_8__array(VarNext,A,bitIndex15)
            <=> v28795(VarNext,bitIndex147) )
            & ( v27021_8__array(VarNext,A,bitIndex14)
            <=> v28795(VarNext,bitIndex146) )
            & ( v27021_8__array(VarNext,A,bitIndex13)
            <=> v28795(VarNext,bitIndex145) )
            & ( v27021_8__array(VarNext,A,bitIndex12)
            <=> v28795(VarNext,bitIndex144) )
            & ( v27021_8__array(VarNext,A,bitIndex11)
            <=> v28795(VarNext,bitIndex143) )
            & ( v27021_8__array(VarNext,A,bitIndex10)
            <=> v28795(VarNext,bitIndex142) )
            & ( v27021_8__array(VarNext,A,bitIndex9)
            <=> v28795(VarNext,bitIndex141) )
            & ( v27021_8__array(VarNext,A,bitIndex8)
            <=> v28795(VarNext,bitIndex140) )
            & ( v27021_8__array(VarNext,A,bitIndex7)
            <=> v28795(VarNext,bitIndex139) )
            & ( v27021_8__array(VarNext,A,bitIndex6)
            <=> v28795(VarNext,bitIndex138) )
            & ( v27021_8__array(VarNext,A,bitIndex5)
            <=> v28795(VarNext,bitIndex137) )
            & ( v27021_8__array(VarNext,A,bitIndex4)
            <=> v28795(VarNext,bitIndex136) )
            & ( v27021_8__array(VarNext,A,bitIndex3)
            <=> v28795(VarNext,bitIndex135) )
            & ( v27021_8__array(VarNext,A,bitIndex2)
            <=> v28795(VarNext,bitIndex134) )
            & ( v27021_8__array(VarNext,A,bitIndex1)
            <=> v28795(VarNext,bitIndex133) )
            & ( v27021_8__array(VarNext,A,bitIndex0)
            <=> v28795(VarNext,bitIndex132) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6231,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28789(VarNext)
      <=> ( v28790(VarNext)
          & v28764(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6230,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28790(VarNext)
      <=> ( v28792(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2931,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28792(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_63,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b00010_address_term = A
              & v28780(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_7__array(VarNext,A,B)
              <=> v27021_6__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_63,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b00010_address_term = A
            & v28780(VarNext) )
         => ( ( v27021_7__array(VarNext,A,bitIndex43)
            <=> v28786(VarNext,bitIndex131) )
            & ( v27021_7__array(VarNext,A,bitIndex42)
            <=> v28786(VarNext,bitIndex130) )
            & ( v27021_7__array(VarNext,A,bitIndex41)
            <=> v28786(VarNext,bitIndex129) )
            & ( v27021_7__array(VarNext,A,bitIndex40)
            <=> v28786(VarNext,bitIndex128) )
            & ( v27021_7__array(VarNext,A,bitIndex39)
            <=> v28786(VarNext,bitIndex127) )
            & ( v27021_7__array(VarNext,A,bitIndex38)
            <=> v28786(VarNext,bitIndex126) )
            & ( v27021_7__array(VarNext,A,bitIndex37)
            <=> v28786(VarNext,bitIndex125) )
            & ( v27021_7__array(VarNext,A,bitIndex36)
            <=> v28786(VarNext,bitIndex124) )
            & ( v27021_7__array(VarNext,A,bitIndex35)
            <=> v28786(VarNext,bitIndex123) )
            & ( v27021_7__array(VarNext,A,bitIndex34)
            <=> v28786(VarNext,bitIndex122) )
            & ( v27021_7__array(VarNext,A,bitIndex33)
            <=> v28786(VarNext,bitIndex121) )
            & ( v27021_7__array(VarNext,A,bitIndex32)
            <=> v28786(VarNext,bitIndex120) )
            & ( v27021_7__array(VarNext,A,bitIndex31)
            <=> v28786(VarNext,bitIndex119) )
            & ( v27021_7__array(VarNext,A,bitIndex30)
            <=> v28786(VarNext,bitIndex118) )
            & ( v27021_7__array(VarNext,A,bitIndex29)
            <=> v28786(VarNext,bitIndex117) )
            & ( v27021_7__array(VarNext,A,bitIndex28)
            <=> v28786(VarNext,bitIndex116) )
            & ( v27021_7__array(VarNext,A,bitIndex27)
            <=> v28786(VarNext,bitIndex115) )
            & ( v27021_7__array(VarNext,A,bitIndex26)
            <=> v28786(VarNext,bitIndex114) )
            & ( v27021_7__array(VarNext,A,bitIndex25)
            <=> v28786(VarNext,bitIndex113) )
            & ( v27021_7__array(VarNext,A,bitIndex24)
            <=> v28786(VarNext,bitIndex112) )
            & ( v27021_7__array(VarNext,A,bitIndex23)
            <=> v28786(VarNext,bitIndex111) )
            & ( v27021_7__array(VarNext,A,bitIndex22)
            <=> v28786(VarNext,bitIndex110) )
            & ( v27021_7__array(VarNext,A,bitIndex21)
            <=> v28786(VarNext,bitIndex109) )
            & ( v27021_7__array(VarNext,A,bitIndex20)
            <=> v28786(VarNext,bitIndex108) )
            & ( v27021_7__array(VarNext,A,bitIndex19)
            <=> v28786(VarNext,bitIndex107) )
            & ( v27021_7__array(VarNext,A,bitIndex18)
            <=> v28786(VarNext,bitIndex106) )
            & ( v27021_7__array(VarNext,A,bitIndex17)
            <=> v28786(VarNext,bitIndex105) )
            & ( v27021_7__array(VarNext,A,bitIndex16)
            <=> v28786(VarNext,bitIndex104) )
            & ( v27021_7__array(VarNext,A,bitIndex15)
            <=> v28786(VarNext,bitIndex103) )
            & ( v27021_7__array(VarNext,A,bitIndex14)
            <=> v28786(VarNext,bitIndex102) )
            & ( v27021_7__array(VarNext,A,bitIndex13)
            <=> v28786(VarNext,bitIndex101) )
            & ( v27021_7__array(VarNext,A,bitIndex12)
            <=> v28786(VarNext,bitIndex100) )
            & ( v27021_7__array(VarNext,A,bitIndex11)
            <=> v28786(VarNext,bitIndex99) )
            & ( v27021_7__array(VarNext,A,bitIndex10)
            <=> v28786(VarNext,bitIndex98) )
            & ( v27021_7__array(VarNext,A,bitIndex9)
            <=> v28786(VarNext,bitIndex97) )
            & ( v27021_7__array(VarNext,A,bitIndex8)
            <=> v28786(VarNext,bitIndex96) )
            & ( v27021_7__array(VarNext,A,bitIndex7)
            <=> v28786(VarNext,bitIndex95) )
            & ( v27021_7__array(VarNext,A,bitIndex6)
            <=> v28786(VarNext,bitIndex94) )
            & ( v27021_7__array(VarNext,A,bitIndex5)
            <=> v28786(VarNext,bitIndex93) )
            & ( v27021_7__array(VarNext,A,bitIndex4)
            <=> v28786(VarNext,bitIndex92) )
            & ( v27021_7__array(VarNext,A,bitIndex3)
            <=> v28786(VarNext,bitIndex91) )
            & ( v27021_7__array(VarNext,A,bitIndex2)
            <=> v28786(VarNext,bitIndex90) )
            & ( v27021_7__array(VarNext,A,bitIndex1)
            <=> v28786(VarNext,bitIndex89) )
            & ( v27021_7__array(VarNext,A,bitIndex0)
            <=> v28786(VarNext,bitIndex88) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6229,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28780(VarNext)
      <=> ( v28781(VarNext)
          & v28764(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6228,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28781(VarNext)
      <=> ( v28783(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2930,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28783(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_62,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b00001_address_term = A
              & v28771(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_6__array(VarNext,A,B)
              <=> v27021_5__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_62,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b00001_address_term = A
            & v28771(VarNext) )
         => ( ( v27021_6__array(VarNext,A,bitIndex43)
            <=> v28777(VarNext,bitIndex87) )
            & ( v27021_6__array(VarNext,A,bitIndex42)
            <=> v28777(VarNext,bitIndex86) )
            & ( v27021_6__array(VarNext,A,bitIndex41)
            <=> v28777(VarNext,bitIndex85) )
            & ( v27021_6__array(VarNext,A,bitIndex40)
            <=> v28777(VarNext,bitIndex84) )
            & ( v27021_6__array(VarNext,A,bitIndex39)
            <=> v28777(VarNext,bitIndex83) )
            & ( v27021_6__array(VarNext,A,bitIndex38)
            <=> v28777(VarNext,bitIndex82) )
            & ( v27021_6__array(VarNext,A,bitIndex37)
            <=> v28777(VarNext,bitIndex81) )
            & ( v27021_6__array(VarNext,A,bitIndex36)
            <=> v28777(VarNext,bitIndex80) )
            & ( v27021_6__array(VarNext,A,bitIndex35)
            <=> v28777(VarNext,bitIndex79) )
            & ( v27021_6__array(VarNext,A,bitIndex34)
            <=> v28777(VarNext,bitIndex78) )
            & ( v27021_6__array(VarNext,A,bitIndex33)
            <=> v28777(VarNext,bitIndex77) )
            & ( v27021_6__array(VarNext,A,bitIndex32)
            <=> v28777(VarNext,bitIndex76) )
            & ( v27021_6__array(VarNext,A,bitIndex31)
            <=> v28777(VarNext,bitIndex75) )
            & ( v27021_6__array(VarNext,A,bitIndex30)
            <=> v28777(VarNext,bitIndex74) )
            & ( v27021_6__array(VarNext,A,bitIndex29)
            <=> v28777(VarNext,bitIndex73) )
            & ( v27021_6__array(VarNext,A,bitIndex28)
            <=> v28777(VarNext,bitIndex72) )
            & ( v27021_6__array(VarNext,A,bitIndex27)
            <=> v28777(VarNext,bitIndex71) )
            & ( v27021_6__array(VarNext,A,bitIndex26)
            <=> v28777(VarNext,bitIndex70) )
            & ( v27021_6__array(VarNext,A,bitIndex25)
            <=> v28777(VarNext,bitIndex69) )
            & ( v27021_6__array(VarNext,A,bitIndex24)
            <=> v28777(VarNext,bitIndex68) )
            & ( v27021_6__array(VarNext,A,bitIndex23)
            <=> v28777(VarNext,bitIndex67) )
            & ( v27021_6__array(VarNext,A,bitIndex22)
            <=> v28777(VarNext,bitIndex66) )
            & ( v27021_6__array(VarNext,A,bitIndex21)
            <=> v28777(VarNext,bitIndex65) )
            & ( v27021_6__array(VarNext,A,bitIndex20)
            <=> v28777(VarNext,bitIndex64) )
            & ( v27021_6__array(VarNext,A,bitIndex19)
            <=> v28777(VarNext,bitIndex63) )
            & ( v27021_6__array(VarNext,A,bitIndex18)
            <=> v28777(VarNext,bitIndex62) )
            & ( v27021_6__array(VarNext,A,bitIndex17)
            <=> v28777(VarNext,bitIndex61) )
            & ( v27021_6__array(VarNext,A,bitIndex16)
            <=> v28777(VarNext,bitIndex60) )
            & ( v27021_6__array(VarNext,A,bitIndex15)
            <=> v28777(VarNext,bitIndex59) )
            & ( v27021_6__array(VarNext,A,bitIndex14)
            <=> v28777(VarNext,bitIndex58) )
            & ( v27021_6__array(VarNext,A,bitIndex13)
            <=> v28777(VarNext,bitIndex57) )
            & ( v27021_6__array(VarNext,A,bitIndex12)
            <=> v28777(VarNext,bitIndex56) )
            & ( v27021_6__array(VarNext,A,bitIndex11)
            <=> v28777(VarNext,bitIndex55) )
            & ( v27021_6__array(VarNext,A,bitIndex10)
            <=> v28777(VarNext,bitIndex54) )
            & ( v27021_6__array(VarNext,A,bitIndex9)
            <=> v28777(VarNext,bitIndex53) )
            & ( v27021_6__array(VarNext,A,bitIndex8)
            <=> v28777(VarNext,bitIndex52) )
            & ( v27021_6__array(VarNext,A,bitIndex7)
            <=> v28777(VarNext,bitIndex51) )
            & ( v27021_6__array(VarNext,A,bitIndex6)
            <=> v28777(VarNext,bitIndex50) )
            & ( v27021_6__array(VarNext,A,bitIndex5)
            <=> v28777(VarNext,bitIndex49) )
            & ( v27021_6__array(VarNext,A,bitIndex4)
            <=> v28777(VarNext,bitIndex48) )
            & ( v27021_6__array(VarNext,A,bitIndex3)
            <=> v28777(VarNext,bitIndex47) )
            & ( v27021_6__array(VarNext,A,bitIndex2)
            <=> v28777(VarNext,bitIndex46) )
            & ( v27021_6__array(VarNext,A,bitIndex1)
            <=> v28777(VarNext,bitIndex45) )
            & ( v27021_6__array(VarNext,A,bitIndex0)
            <=> v28777(VarNext,bitIndex44) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6227,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28771(VarNext)
      <=> ( v28772(VarNext)
          & v28764(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6226,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28772(VarNext)
      <=> ( v28774(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2929,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28774(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_61,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b00000_address_term = A
              & v28757(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_5__array(VarNext,A,B)
              <=> v27021_4__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_61,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b00000_address_term = A
            & v28757(VarNext) )
         => ! [B] :
              ( range_43_0(B)
             => ( v27021_5__array(VarNext,A,B)
              <=> v28768(VarNext,B) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6225,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28757(VarNext)
      <=> ( v28758(VarNext)
          & v28764(VarNext) ) ) ) )).

fof(addAssignment_8931,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28764(VarNext)
      <=> v28762(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6224,axiom,(
    ! [VarCurr] :
      ( v28762(VarCurr)
    <=> ( v28720(VarCurr)
        & v28765(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1994,axiom,(
    ! [VarCurr] :
      ( v28765(VarCurr)
    <=> ( ( v28766(VarCurr,bitIndex1)
        <=> $false )
        & ( v28766(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8930,axiom,(
    ! [VarCurr] :
      ( v28766(VarCurr,bitIndex0)
    <=> v27065(VarCurr) ) )).

fof(addAssignment_8929,axiom,(
    ! [VarCurr] :
      ( v28766(VarCurr,bitIndex1)
    <=> v27032(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6223,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28758(VarNext)
      <=> ( v28760(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2928,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28760(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_60,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v28034_range_4_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( ~ ( A = AssociatedAddressVar
                  & v28745(VarNext) )
             => ! [B] :
                  ( range_43_0(B)
                 => ( v27021_4__array(VarNext,A,B)
                  <=> v27021_3__array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_60,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v28034_range_4_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( ( A = AssociatedAddressVar
                & v28745(VarNext) )
             => ! [B] :
                  ( range_43_0(B)
                 => ( v27021_4__array(VarNext,A,B)
                  <=> v27499(VarNext,B) ) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6222,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28745(VarNext)
      <=> ( v28746(VarNext)
          & v28752(VarNext) ) ) ) )).

fof(addAssignment_8928,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28752(VarNext)
      <=> v28750(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6221,axiom,(
    ! [VarCurr] :
      ( v28750(VarCurr)
    <=> ( v28720(VarCurr)
        & v28753(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1993,axiom,(
    ! [VarCurr] :
      ( v28753(VarCurr)
    <=> ( ( v28754(VarCurr,bitIndex1)
        <=> $true )
        & ( v28754(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8927,axiom,(
    ! [VarCurr] :
      ( v28754(VarCurr,bitIndex0)
    <=> v27065(VarCurr) ) )).

fof(addAssignment_8926,axiom,(
    ! [VarCurr] :
      ( v28754(VarCurr,bitIndex1)
    <=> v27032(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6220,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28746(VarNext)
      <=> ( v28748(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2927,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28748(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_59,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v28456_range_4_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( ~ ( A = AssociatedAddressVar
                  & v28733(VarNext) )
             => ! [B] :
                  ( range_43_0(B)
                 => ( v27021_3__array(VarNext,A,B)
                  <=> v27021_2__array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_59,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v28456_range_4_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( ( A = AssociatedAddressVar
                & v28733(VarNext) )
             => ! [B] :
                  ( range_43_0(B)
                 => ( v27021_3__array(VarNext,A,B)
                  <=> v28076(VarNext,B) ) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6219,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28733(VarNext)
      <=> ( v28734(VarNext)
          & v28740(VarNext) ) ) ) )).

fof(addAssignment_8925,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28740(VarNext)
      <=> v28738(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6218,axiom,(
    ! [VarCurr] :
      ( v28738(VarCurr)
    <=> ( v28720(VarCurr)
        & v28741(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1992,axiom,(
    ! [VarCurr] :
      ( v28741(VarCurr)
    <=> ( ( v28742(VarCurr,bitIndex1)
        <=> $false )
        & ( v28742(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8924,axiom,(
    ! [VarCurr] :
      ( v28742(VarCurr,bitIndex0)
    <=> v27065(VarCurr) ) )).

fof(addAssignment_8923,axiom,(
    ! [VarCurr] :
      ( v28742(VarCurr,bitIndex1)
    <=> v27032(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6217,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28734(VarNext)
      <=> ( v28736(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2926,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28736(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_58,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v28456_range_4_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( ~ ( A = AssociatedAddressVar
                  & v28726(VarNext) )
             => ! [B] :
                  ( range_43_0(B)
                 => ( v27021_2__array(VarNext,A,B)
                  <=> v27021_1__array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_58,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v28456_range_4_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( ( A = AssociatedAddressVar
                & v28726(VarNext) )
             => ! [B] :
                  ( range_43_0(B)
                 => ( v27021_2__array(VarNext,A,B)
                  <=> v28076(VarNext,B) ) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6216,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28726(VarNext)
      <=> ( v28727(VarNext)
          & v28719(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6215,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28727(VarNext)
      <=> ( v28729(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2925,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28729(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(memoryWriteDisabled_57,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v28034_range_4_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( ~ ( A = AssociatedAddressVar
                  & v28710(VarNext) )
             => ! [B] :
                  ( range_43_0(B)
                 => ( v27021_1__array(VarNext,A,B)
                  <=> v27021_array(VarCurr,A,B) ) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_57,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v28034_range_4_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( ( A = AssociatedAddressVar
                & v28710(VarNext) )
             => ! [B] :
                  ( range_43_0(B)
                 => ( v27021_1__array(VarNext,A,B)
                  <=> v27499(VarNext,B) ) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6214,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28710(VarNext)
      <=> ( v28711(VarNext)
          & v28719(VarNext) ) ) ) )).

fof(addAssignment_8922,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28719(VarNext)
      <=> v28717(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6213,axiom,(
    ! [VarCurr] :
      ( v28717(VarCurr)
    <=> ( v28720(VarCurr)
        & v28722(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1991,axiom,(
    ! [VarCurr] :
      ( v28722(VarCurr)
    <=> ( ( v28723(VarCurr,bitIndex1)
        <=> $true )
        & ( v28723(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8921,axiom,(
    ! [VarCurr] :
      ( v28723(VarCurr,bitIndex0)
    <=> v27065(VarCurr) ) )).

fof(addAssignment_8920,axiom,(
    ! [VarCurr] :
      ( v28723(VarCurr,bitIndex1)
    <=> v27032(VarCurr) ) )).

fof(writeUnaryOperator_2924,axiom,(
    ! [VarCurr] :
      ( ~ v28720(VarCurr)
    <=> v28721(VarCurr) ) )).

fof(writeUnaryOperator_2923,axiom,(
    ! [VarCurr] :
      ( ~ v28721(VarCurr)
    <=> v27028(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6212,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28711(VarNext)
      <=> ( v28712(VarNext)
          & v27023(VarNext) ) ) ) )).

fof(writeUnaryOperator_2922,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28712(VarNext)
      <=> v28714(VarNext) ) ) )).

fof(addAssignment_8919,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28714(VarNext)
      <=> v27023(VarCurr) ) ) )).

fof(addAssignment_8918,axiom,(
    ! [VarCurr,B] :
      ( range_43_0(B)
     => ( v28076(VarCurr,B)
      <=> v28078(VarCurr,B) ) ) )).

fof(addAssignment_8917,axiom,(
    ! [VarCurr,B] :
      ( range_43_0(B)
     => ( v28078(VarCurr,B)
      <=> v28080(VarCurr,B) ) ) )).

fof(addAssignment_8916,axiom,(
    ! [VarCurr,B] :
      ( range_43_0(B)
     => ( v28080(VarCurr,B)
      <=> v28082(VarCurr,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_333,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28689(VarNext)
       => ! [B] :
            ( range_43_0(B)
           => ( v28082(VarNext,B)
            <=> v28082(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_369,axiom,(
    ! [VarNext] :
      ( v28689(VarNext)
     => ! [B] :
          ( range_43_0(B)
         => ( v28082(VarNext,B)
          <=> v28700(VarNext,B) ) ) ) )).

fof(addAssignment_8915,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_43_0(B)
         => ( v28700(VarNext,B)
          <=> v28698(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_724,axiom,(
    ! [VarCurr] :
      ( ~ v28095(VarCurr)
     => ! [B] :
          ( range_43_0(B)
         => ( v28698(VarCurr,B)
          <=> v28701(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_668,axiom,(
    ! [VarCurr] :
      ( v28095(VarCurr)
     => ! [B] :
          ( range_43_0(B)
         => ( v28698(VarCurr,B)
          <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_723,axiom,(
    ! [VarCurr] :
      ( ~ v26861(VarCurr)
     => ! [B] :
          ( range_43_0(B)
         => ( v28701(VarCurr,B)
          <=> v28704(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_667,axiom,(
    ! [VarCurr] :
      ( v26861(VarCurr)
     => ! [B] :
          ( range_43_0(B)
         => ( v28701(VarCurr,B)
          <=> v28702(VarCurr,B) ) ) ) )).

fof(addAssignment_8914,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v28704(VarCurr,B)
      <=> v28613(VarCurr,B) ) ) )).

fof(addAssignment_8913,axiom,(
    ! [VarCurr,B] :
      ( range_43_32(B)
     => ( v28704(VarCurr,B)
      <=> v27497(VarCurr,B) ) ) )).

fof(addAssignment_8912,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v28702(VarCurr,B)
      <=> v28703(VarCurr,B) ) ) )).

fof(addAssignment_8911,axiom,(
    ! [VarCurr,B] :
      ( range_43_32(B)
     => ( v28702(VarCurr,B)
      <=> v27497(VarCurr,B) ) ) )).

fof(range_axiom_110,axiom,(
    ! [B] :
      ( range_43_32(B)
    <=> ( $false
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_121,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v28703(VarCurr,B)
      <=> ( v28102(VarCurr,B)
          & v27011(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6211,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28689(VarNext)
      <=> ( v28690(VarNext)
          & v28697(VarNext) ) ) ) )).

fof(addAssignment_8910,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28697(VarNext)
      <=> v28695(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6210,axiom,(
    ! [VarCurr] :
      ( v28695(VarCurr)
    <=> ( v27073(VarCurr)
        | v28095(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6209,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28690(VarNext)
      <=> ( v28692(VarNext)
          & v25419(VarNext) ) ) ) )).

fof(writeUnaryOperator_2921,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28692(VarNext)
      <=> v26847(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_722,axiom,(
    ! [VarCurr] :
      ( ~ v28681(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v28613(VarCurr,B)
          <=> v27011(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_666,axiom,(
    ! [VarCurr] :
      ( v28681(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v28613(VarCurr,B)
          <=> v28686(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_120,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v28686(VarCurr,B)
      <=> ( v28615(VarCurr,B)
          & v27011(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6208,axiom,(
    ! [VarCurr] :
      ( v28681(VarCurr)
    <=> ( v28682(VarCurr)
        & v28685(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1990,axiom,(
    ! [VarCurr] :
      ( v28685(VarCurr)
    <=> ( v26903(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6207,axiom,(
    ! [VarCurr] :
      ( v28682(VarCurr)
    <=> ( v28683(VarCurr)
        | v28684(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1989,axiom,(
    ! [VarCurr] :
      ( v28684(VarCurr)
    <=> ( ( v26197(VarCurr,bitIndex2)
        <=> $false )
        & ( v26197(VarCurr,bitIndex1)
        <=> $false )
        & ( v26197(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1988,axiom,(
    ! [VarCurr] :
      ( v28683(VarCurr)
    <=> ( ( v26197(VarCurr,bitIndex2)
        <=> $false )
        & ( v26197(VarCurr,bitIndex1)
        <=> $true )
        & ( v26197(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_426,axiom,(
    ! [VarCurr] :
      ( ~ v28679(VarCurr)
     => ( v28615(VarCurr,bitIndex31)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_482,axiom,(
    ! [VarCurr] :
      ( v28679(VarCurr)
     => ( v28615(VarCurr,bitIndex31)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1987,axiom,(
    ! [VarCurr] :
      ( v28679(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $true )
        & ( v26905(VarCurr,bitIndex3)
        <=> $true )
        & ( v26905(VarCurr,bitIndex2)
        <=> $true )
        & ( v26905(VarCurr,bitIndex1)
        <=> $true )
        & ( v26905(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_425,axiom,(
    ! [VarCurr] :
      ( ~ v28677(VarCurr)
     => ( v28615(VarCurr,bitIndex30)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_481,axiom,(
    ! [VarCurr] :
      ( v28677(VarCurr)
     => ( v28615(VarCurr,bitIndex30)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1986,axiom,(
    ! [VarCurr] :
      ( v28677(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $true )
        & ( v26905(VarCurr,bitIndex3)
        <=> $true )
        & ( v26905(VarCurr,bitIndex2)
        <=> $true )
        & ( v26905(VarCurr,bitIndex1)
        <=> $true )
        & ( v26905(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_424,axiom,(
    ! [VarCurr] :
      ( ~ v28675(VarCurr)
     => ( v28615(VarCurr,bitIndex29)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_480,axiom,(
    ! [VarCurr] :
      ( v28675(VarCurr)
     => ( v28615(VarCurr,bitIndex29)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1985,axiom,(
    ! [VarCurr] :
      ( v28675(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $true )
        & ( v26905(VarCurr,bitIndex3)
        <=> $true )
        & ( v26905(VarCurr,bitIndex2)
        <=> $true )
        & ( v26905(VarCurr,bitIndex1)
        <=> $false )
        & ( v26905(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_423,axiom,(
    ! [VarCurr] :
      ( ~ v28673(VarCurr)
     => ( v28615(VarCurr,bitIndex28)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_479,axiom,(
    ! [VarCurr] :
      ( v28673(VarCurr)
     => ( v28615(VarCurr,bitIndex28)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1984,axiom,(
    ! [VarCurr] :
      ( v28673(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $true )
        & ( v26905(VarCurr,bitIndex3)
        <=> $true )
        & ( v26905(VarCurr,bitIndex2)
        <=> $true )
        & ( v26905(VarCurr,bitIndex1)
        <=> $false )
        & ( v26905(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_422,axiom,(
    ! [VarCurr] :
      ( ~ v28671(VarCurr)
     => ( v28615(VarCurr,bitIndex27)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_478,axiom,(
    ! [VarCurr] :
      ( v28671(VarCurr)
     => ( v28615(VarCurr,bitIndex27)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1983,axiom,(
    ! [VarCurr] :
      ( v28671(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $true )
        & ( v26905(VarCurr,bitIndex3)
        <=> $true )
        & ( v26905(VarCurr,bitIndex2)
        <=> $false )
        & ( v26905(VarCurr,bitIndex1)
        <=> $true )
        & ( v26905(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_421,axiom,(
    ! [VarCurr] :
      ( ~ v28669(VarCurr)
     => ( v28615(VarCurr,bitIndex26)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_477,axiom,(
    ! [VarCurr] :
      ( v28669(VarCurr)
     => ( v28615(VarCurr,bitIndex26)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1982,axiom,(
    ! [VarCurr] :
      ( v28669(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $true )
        & ( v26905(VarCurr,bitIndex3)
        <=> $true )
        & ( v26905(VarCurr,bitIndex2)
        <=> $false )
        & ( v26905(VarCurr,bitIndex1)
        <=> $true )
        & ( v26905(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_420,axiom,(
    ! [VarCurr] :
      ( ~ v28667(VarCurr)
     => ( v28615(VarCurr,bitIndex25)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_476,axiom,(
    ! [VarCurr] :
      ( v28667(VarCurr)
     => ( v28615(VarCurr,bitIndex25)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1981,axiom,(
    ! [VarCurr] :
      ( v28667(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $true )
        & ( v26905(VarCurr,bitIndex3)
        <=> $true )
        & ( v26905(VarCurr,bitIndex2)
        <=> $false )
        & ( v26905(VarCurr,bitIndex1)
        <=> $false )
        & ( v26905(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_419,axiom,(
    ! [VarCurr] :
      ( ~ v28665(VarCurr)
     => ( v28615(VarCurr,bitIndex24)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_475,axiom,(
    ! [VarCurr] :
      ( v28665(VarCurr)
     => ( v28615(VarCurr,bitIndex24)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1980,axiom,(
    ! [VarCurr] :
      ( v28665(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $true )
        & ( v26905(VarCurr,bitIndex3)
        <=> $true )
        & ( v26905(VarCurr,bitIndex2)
        <=> $false )
        & ( v26905(VarCurr,bitIndex1)
        <=> $false )
        & ( v26905(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_418,axiom,(
    ! [VarCurr] :
      ( ~ v28663(VarCurr)
     => ( v28615(VarCurr,bitIndex23)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_474,axiom,(
    ! [VarCurr] :
      ( v28663(VarCurr)
     => ( v28615(VarCurr,bitIndex23)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1979,axiom,(
    ! [VarCurr] :
      ( v28663(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $true )
        & ( v26905(VarCurr,bitIndex3)
        <=> $false )
        & ( v26905(VarCurr,bitIndex2)
        <=> $true )
        & ( v26905(VarCurr,bitIndex1)
        <=> $true )
        & ( v26905(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_417,axiom,(
    ! [VarCurr] :
      ( ~ v28661(VarCurr)
     => ( v28615(VarCurr,bitIndex22)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_473,axiom,(
    ! [VarCurr] :
      ( v28661(VarCurr)
     => ( v28615(VarCurr,bitIndex22)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1978,axiom,(
    ! [VarCurr] :
      ( v28661(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $true )
        & ( v26905(VarCurr,bitIndex3)
        <=> $false )
        & ( v26905(VarCurr,bitIndex2)
        <=> $true )
        & ( v26905(VarCurr,bitIndex1)
        <=> $true )
        & ( v26905(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_416,axiom,(
    ! [VarCurr] :
      ( ~ v28659(VarCurr)
     => ( v28615(VarCurr,bitIndex21)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_472,axiom,(
    ! [VarCurr] :
      ( v28659(VarCurr)
     => ( v28615(VarCurr,bitIndex21)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1977,axiom,(
    ! [VarCurr] :
      ( v28659(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $true )
        & ( v26905(VarCurr,bitIndex3)
        <=> $false )
        & ( v26905(VarCurr,bitIndex2)
        <=> $true )
        & ( v26905(VarCurr,bitIndex1)
        <=> $false )
        & ( v26905(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_415,axiom,(
    ! [VarCurr] :
      ( ~ v28657(VarCurr)
     => ( v28615(VarCurr,bitIndex20)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_471,axiom,(
    ! [VarCurr] :
      ( v28657(VarCurr)
     => ( v28615(VarCurr,bitIndex20)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1976,axiom,(
    ! [VarCurr] :
      ( v28657(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $true )
        & ( v26905(VarCurr,bitIndex3)
        <=> $false )
        & ( v26905(VarCurr,bitIndex2)
        <=> $true )
        & ( v26905(VarCurr,bitIndex1)
        <=> $false )
        & ( v26905(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_414,axiom,(
    ! [VarCurr] :
      ( ~ v28655(VarCurr)
     => ( v28615(VarCurr,bitIndex19)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_470,axiom,(
    ! [VarCurr] :
      ( v28655(VarCurr)
     => ( v28615(VarCurr,bitIndex19)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1975,axiom,(
    ! [VarCurr] :
      ( v28655(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $true )
        & ( v26905(VarCurr,bitIndex3)
        <=> $false )
        & ( v26905(VarCurr,bitIndex2)
        <=> $false )
        & ( v26905(VarCurr,bitIndex1)
        <=> $true )
        & ( v26905(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_413,axiom,(
    ! [VarCurr] :
      ( ~ v28653(VarCurr)
     => ( v28615(VarCurr,bitIndex18)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_469,axiom,(
    ! [VarCurr] :
      ( v28653(VarCurr)
     => ( v28615(VarCurr,bitIndex18)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1974,axiom,(
    ! [VarCurr] :
      ( v28653(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $true )
        & ( v26905(VarCurr,bitIndex3)
        <=> $false )
        & ( v26905(VarCurr,bitIndex2)
        <=> $false )
        & ( v26905(VarCurr,bitIndex1)
        <=> $true )
        & ( v26905(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_412,axiom,(
    ! [VarCurr] :
      ( ~ v28651(VarCurr)
     => ( v28615(VarCurr,bitIndex17)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_468,axiom,(
    ! [VarCurr] :
      ( v28651(VarCurr)
     => ( v28615(VarCurr,bitIndex17)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1973,axiom,(
    ! [VarCurr] :
      ( v28651(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $true )
        & ( v26905(VarCurr,bitIndex3)
        <=> $false )
        & ( v26905(VarCurr,bitIndex2)
        <=> $false )
        & ( v26905(VarCurr,bitIndex1)
        <=> $false )
        & ( v26905(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_411,axiom,(
    ! [VarCurr] :
      ( ~ v28649(VarCurr)
     => ( v28615(VarCurr,bitIndex16)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_467,axiom,(
    ! [VarCurr] :
      ( v28649(VarCurr)
     => ( v28615(VarCurr,bitIndex16)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1972,axiom,(
    ! [VarCurr] :
      ( v28649(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $true )
        & ( v26905(VarCurr,bitIndex3)
        <=> $false )
        & ( v26905(VarCurr,bitIndex2)
        <=> $false )
        & ( v26905(VarCurr,bitIndex1)
        <=> $false )
        & ( v26905(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_410,axiom,(
    ! [VarCurr] :
      ( ~ v28647(VarCurr)
     => ( v28615(VarCurr,bitIndex15)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_466,axiom,(
    ! [VarCurr] :
      ( v28647(VarCurr)
     => ( v28615(VarCurr,bitIndex15)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1971,axiom,(
    ! [VarCurr] :
      ( v28647(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $false )
        & ( v26905(VarCurr,bitIndex3)
        <=> $true )
        & ( v26905(VarCurr,bitIndex2)
        <=> $true )
        & ( v26905(VarCurr,bitIndex1)
        <=> $true )
        & ( v26905(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_409,axiom,(
    ! [VarCurr] :
      ( ~ v28645(VarCurr)
     => ( v28615(VarCurr,bitIndex14)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_465,axiom,(
    ! [VarCurr] :
      ( v28645(VarCurr)
     => ( v28615(VarCurr,bitIndex14)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1970,axiom,(
    ! [VarCurr] :
      ( v28645(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $false )
        & ( v26905(VarCurr,bitIndex3)
        <=> $true )
        & ( v26905(VarCurr,bitIndex2)
        <=> $true )
        & ( v26905(VarCurr,bitIndex1)
        <=> $true )
        & ( v26905(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_408,axiom,(
    ! [VarCurr] :
      ( ~ v28643(VarCurr)
     => ( v28615(VarCurr,bitIndex13)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_464,axiom,(
    ! [VarCurr] :
      ( v28643(VarCurr)
     => ( v28615(VarCurr,bitIndex13)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1969,axiom,(
    ! [VarCurr] :
      ( v28643(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $false )
        & ( v26905(VarCurr,bitIndex3)
        <=> $true )
        & ( v26905(VarCurr,bitIndex2)
        <=> $true )
        & ( v26905(VarCurr,bitIndex1)
        <=> $false )
        & ( v26905(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_407,axiom,(
    ! [VarCurr] :
      ( ~ v28641(VarCurr)
     => ( v28615(VarCurr,bitIndex12)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_463,axiom,(
    ! [VarCurr] :
      ( v28641(VarCurr)
     => ( v28615(VarCurr,bitIndex12)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1968,axiom,(
    ! [VarCurr] :
      ( v28641(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $false )
        & ( v26905(VarCurr,bitIndex3)
        <=> $true )
        & ( v26905(VarCurr,bitIndex2)
        <=> $true )
        & ( v26905(VarCurr,bitIndex1)
        <=> $false )
        & ( v26905(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_406,axiom,(
    ! [VarCurr] :
      ( ~ v28639(VarCurr)
     => ( v28615(VarCurr,bitIndex11)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_462,axiom,(
    ! [VarCurr] :
      ( v28639(VarCurr)
     => ( v28615(VarCurr,bitIndex11)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1967,axiom,(
    ! [VarCurr] :
      ( v28639(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $false )
        & ( v26905(VarCurr,bitIndex3)
        <=> $true )
        & ( v26905(VarCurr,bitIndex2)
        <=> $false )
        & ( v26905(VarCurr,bitIndex1)
        <=> $true )
        & ( v26905(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_405,axiom,(
    ! [VarCurr] :
      ( ~ v28637(VarCurr)
     => ( v28615(VarCurr,bitIndex10)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_461,axiom,(
    ! [VarCurr] :
      ( v28637(VarCurr)
     => ( v28615(VarCurr,bitIndex10)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1966,axiom,(
    ! [VarCurr] :
      ( v28637(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $false )
        & ( v26905(VarCurr,bitIndex3)
        <=> $true )
        & ( v26905(VarCurr,bitIndex2)
        <=> $false )
        & ( v26905(VarCurr,bitIndex1)
        <=> $true )
        & ( v26905(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_404,axiom,(
    ! [VarCurr] :
      ( ~ v28635(VarCurr)
     => ( v28615(VarCurr,bitIndex9)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_460,axiom,(
    ! [VarCurr] :
      ( v28635(VarCurr)
     => ( v28615(VarCurr,bitIndex9)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1965,axiom,(
    ! [VarCurr] :
      ( v28635(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $false )
        & ( v26905(VarCurr,bitIndex3)
        <=> $true )
        & ( v26905(VarCurr,bitIndex2)
        <=> $false )
        & ( v26905(VarCurr,bitIndex1)
        <=> $false )
        & ( v26905(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_403,axiom,(
    ! [VarCurr] :
      ( ~ v28633(VarCurr)
     => ( v28615(VarCurr,bitIndex8)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_459,axiom,(
    ! [VarCurr] :
      ( v28633(VarCurr)
     => ( v28615(VarCurr,bitIndex8)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1964,axiom,(
    ! [VarCurr] :
      ( v28633(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $false )
        & ( v26905(VarCurr,bitIndex3)
        <=> $true )
        & ( v26905(VarCurr,bitIndex2)
        <=> $false )
        & ( v26905(VarCurr,bitIndex1)
        <=> $false )
        & ( v26905(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_402,axiom,(
    ! [VarCurr] :
      ( ~ v28631(VarCurr)
     => ( v28615(VarCurr,bitIndex7)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_458,axiom,(
    ! [VarCurr] :
      ( v28631(VarCurr)
     => ( v28615(VarCurr,bitIndex7)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1963,axiom,(
    ! [VarCurr] :
      ( v28631(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $false )
        & ( v26905(VarCurr,bitIndex3)
        <=> $false )
        & ( v26905(VarCurr,bitIndex2)
        <=> $true )
        & ( v26905(VarCurr,bitIndex1)
        <=> $true )
        & ( v26905(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_401,axiom,(
    ! [VarCurr] :
      ( ~ v28629(VarCurr)
     => ( v28615(VarCurr,bitIndex6)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_457,axiom,(
    ! [VarCurr] :
      ( v28629(VarCurr)
     => ( v28615(VarCurr,bitIndex6)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1962,axiom,(
    ! [VarCurr] :
      ( v28629(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $false )
        & ( v26905(VarCurr,bitIndex3)
        <=> $false )
        & ( v26905(VarCurr,bitIndex2)
        <=> $true )
        & ( v26905(VarCurr,bitIndex1)
        <=> $true )
        & ( v26905(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_400,axiom,(
    ! [VarCurr] :
      ( ~ v28627(VarCurr)
     => ( v28615(VarCurr,bitIndex5)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_456,axiom,(
    ! [VarCurr] :
      ( v28627(VarCurr)
     => ( v28615(VarCurr,bitIndex5)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1961,axiom,(
    ! [VarCurr] :
      ( v28627(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $false )
        & ( v26905(VarCurr,bitIndex3)
        <=> $false )
        & ( v26905(VarCurr,bitIndex2)
        <=> $true )
        & ( v26905(VarCurr,bitIndex1)
        <=> $false )
        & ( v26905(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_399,axiom,(
    ! [VarCurr] :
      ( ~ v28625(VarCurr)
     => ( v28615(VarCurr,bitIndex4)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_455,axiom,(
    ! [VarCurr] :
      ( v28625(VarCurr)
     => ( v28615(VarCurr,bitIndex4)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1960,axiom,(
    ! [VarCurr] :
      ( v28625(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $false )
        & ( v26905(VarCurr,bitIndex3)
        <=> $false )
        & ( v26905(VarCurr,bitIndex2)
        <=> $true )
        & ( v26905(VarCurr,bitIndex1)
        <=> $false )
        & ( v26905(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_398,axiom,(
    ! [VarCurr] :
      ( ~ v28623(VarCurr)
     => ( v28615(VarCurr,bitIndex3)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_454,axiom,(
    ! [VarCurr] :
      ( v28623(VarCurr)
     => ( v28615(VarCurr,bitIndex3)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1959,axiom,(
    ! [VarCurr] :
      ( v28623(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $false )
        & ( v26905(VarCurr,bitIndex3)
        <=> $false )
        & ( v26905(VarCurr,bitIndex2)
        <=> $false )
        & ( v26905(VarCurr,bitIndex1)
        <=> $true )
        & ( v26905(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_397,axiom,(
    ! [VarCurr] :
      ( ~ v28621(VarCurr)
     => ( v28615(VarCurr,bitIndex2)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_453,axiom,(
    ! [VarCurr] :
      ( v28621(VarCurr)
     => ( v28615(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1958,axiom,(
    ! [VarCurr] :
      ( v28621(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $false )
        & ( v26905(VarCurr,bitIndex3)
        <=> $false )
        & ( v26905(VarCurr,bitIndex2)
        <=> $false )
        & ( v26905(VarCurr,bitIndex1)
        <=> $true )
        & ( v26905(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_396,axiom,(
    ! [VarCurr] :
      ( ~ v28619(VarCurr)
     => ( v28615(VarCurr,bitIndex1)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_452,axiom,(
    ! [VarCurr] :
      ( v28619(VarCurr)
     => ( v28615(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1957,axiom,(
    ! [VarCurr] :
      ( v28619(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $false )
        & ( v26905(VarCurr,bitIndex3)
        <=> $false )
        & ( v26905(VarCurr,bitIndex2)
        <=> $false )
        & ( v26905(VarCurr,bitIndex1)
        <=> $false )
        & ( v26905(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_721,axiom,(
    ! [VarCurr] :
      ( ~ v28617(VarCurr)
     => ( v28615(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_665,axiom,(
    ! [VarCurr] :
      ( v28617(VarCurr)
     => ( v28615(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1956,axiom,(
    ! [VarCurr] :
      ( v28617(VarCurr)
    <=> ( ( v26905(VarCurr,bitIndex4)
        <=> $false )
        & ( v26905(VarCurr,bitIndex3)
        <=> $false )
        & ( v26905(VarCurr,bitIndex2)
        <=> $false )
        & ( v26905(VarCurr,bitIndex1)
        <=> $false )
        & ( v26905(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8909,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v27011(VarCurr,B)
      <=> v27013(VarCurr,B) ) ) )).

fof(addAssignment_8908,axiom,(
    ! [VarCurr,B] :
      ( range_31_1(B)
     => ( v27013(VarCurr,B)
      <=> v27015(VarCurr,B) ) ) )).

fof(addAssignment_8907,axiom,(
    ! [VarCurr,B] :
      ( range_31_1(B)
     => ( v27015(VarCurr,B)
      <=> v27017(VarCurr,B) ) ) )).

fof(addAssignment_8906,axiom,(
    ! [VarCurr,B] :
      ( range_31_1(B)
     => ( v27017(VarCurr,B)
      <=> v27019(VarCurr,B) ) ) )).

fof(addAssignment_8905,axiom,(
    ! [VarCurr,B] :
      ( range_31_1(B)
     => ( v27019(VarCurr,B)
      <=> v28611(VarCurr,B) ) ) )).

fof(range_axiom_109,axiom,(
    ! [B] :
      ( range_31_1(B)
    <=> ( $false
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B ) ) )).

fof(addAssignment_8904,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v28456(VarCurr,B)
      <=> v28458(VarCurr,B) ) ) )).

fof(addAssignment_8903,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v28458(VarCurr,B)
      <=> v28460(VarCurr,B) ) ) )).

fof(addAssignment_8902,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v28460(VarCurr,B)
      <=> v28462(VarCurr,B) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_720,axiom,(
    ! [VarCurr] :
      ( ~ v28606(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v28462(VarCurr,B)
          <=> v28583(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_664,axiom,(
    ! [VarCurr] :
      ( v28606(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v28462(VarCurr,B)
          <=> v28483(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6206,axiom,(
    ! [VarCurr] :
      ( v28606(VarCurr)
    <=> ( v28607(VarCurr)
        & v26893(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6205,axiom,(
    ! [VarCurr] :
      ( v28607(VarCurr)
    <=> ( v28094(VarCurr)
        & v28608(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6204,axiom,(
    ! [VarCurr] :
      ( v28608(VarCurr)
    <=> ( v28609(VarCurr)
        | v28610(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1955,axiom,(
    ! [VarCurr] :
      ( v28610(VarCurr)
    <=> ( ( v26197(VarCurr,bitIndex2)
        <=> $false )
        & ( v26197(VarCurr,bitIndex1)
        <=> $true )
        & ( v26197(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1954,axiom,(
    ! [VarCurr] :
      ( v28609(VarCurr)
    <=> ( ( v26197(VarCurr,bitIndex2)
        <=> $false )
        & ( v26197(VarCurr,bitIndex1)
        <=> $false )
        & ( v26197(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_332,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28586(VarNext)
       => ! [B] :
            ( range_4_0(B)
           => ( v28583(VarNext,B)
            <=> v28583(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_368,axiom,(
    ! [VarNext] :
      ( v28586(VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v28583(VarNext,B)
          <=> v28602(VarNext,B) ) ) ) )).

fof(addAssignment_8901,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v28602(VarNext,B)
          <=> v28600(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_719,axiom,(
    ! [VarCurr] :
      ( ~ v28095(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v28600(VarCurr,B)
          <=> v28483(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_663,axiom,(
    ! [VarCurr] :
      ( v28095(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v28600(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6203,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28586(VarNext)
      <=> ( v28587(VarNext)
          & v28594(VarNext) ) ) ) )).

fof(addAssignment_8900,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28594(VarNext)
      <=> v28592(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6202,axiom,(
    ! [VarCurr] :
      ( v28592(VarCurr)
    <=> ( v28595(VarCurr)
        | v28095(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6201,axiom,(
    ! [VarCurr] :
      ( v28595(VarCurr)
    <=> ( v28596(VarCurr)
        & v26893(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6200,axiom,(
    ! [VarCurr] :
      ( v28596(VarCurr)
    <=> ( v28094(VarCurr)
        & v28597(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6199,axiom,(
    ! [VarCurr] :
      ( v28597(VarCurr)
    <=> ( v28598(VarCurr)
        | v28599(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1953,axiom,(
    ! [VarCurr] :
      ( v28599(VarCurr)
    <=> ( ( v26197(VarCurr,bitIndex2)
        <=> $false )
        & ( v26197(VarCurr,bitIndex1)
        <=> $true )
        & ( v26197(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1952,axiom,(
    ! [VarCurr] :
      ( v28598(VarCurr)
    <=> ( ( v26197(VarCurr,bitIndex2)
        <=> $false )
        & ( v26197(VarCurr,bitIndex1)
        <=> $false )
        & ( v26197(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6198,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28587(VarNext)
      <=> ( v28589(VarNext)
          & v25419(VarNext) ) ) ) )).

fof(writeUnaryOperator_2920,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28589(VarNext)
      <=> v26847(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_331,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28568(VarNext)
       => ! [B] :
            ( range_4_0(B)
           => ( v28483(VarNext,B)
            <=> v28483(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_367,axiom,(
    ! [VarNext] :
      ( v28568(VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v28483(VarNext,B)
          <=> v28579(VarNext,B) ) ) ) )).

fof(addAssignment_8899,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v28579(VarNext,B)
          <=> v28577(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_718,axiom,(
    ! [VarCurr] :
      ( ~ v26854(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v28577(VarCurr,B)
          <=> v28485(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_662,axiom,(
    ! [VarCurr] :
      ( v26854(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v28577(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6197,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28568(VarNext)
      <=> ( v28569(VarNext)
          & v28576(VarNext) ) ) ) )).

fof(addAssignment_8898,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28576(VarNext)
      <=> v28574(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6196,axiom,(
    ! [VarCurr] :
      ( v28574(VarCurr)
    <=> ( v26150(VarCurr)
        | v26854(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6195,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28569(VarNext)
      <=> ( v28571(VarNext)
          & v25419(VarNext) ) ) ) )).

fof(writeUnaryOperator_2919,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28571(VarNext)
      <=> v26847(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_302,axiom,(
    ! [VarCurr] :
      ( ( ~ v28564(VarCurr)
        & ~ v28565(VarCurr) )
     => ! [B] :
          ( range_4_0(B)
         => ( v28485(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_714,axiom,(
    ! [VarCurr] :
      ( v28565(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v28485(VarCurr,B)
          <=> v28487(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_704,axiom,(
    ! [VarCurr] :
      ( v28564(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v28485(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6194,axiom,(
    ! [VarCurr] :
      ( v28565(VarCurr)
    <=> ( v26990(VarCurr)
        | v26993(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6193,axiom,(
    ! [VarCurr] :
      ( v28564(VarCurr)
    <=> ( v26987(VarCurr)
        | v26988(VarCurr) ) ) )).

fof(addAssignment_8897,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v28487(VarCurr,B)
      <=> v28489(VarCurr,B) ) ) )).

fof(addAssignment_8896,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v28489(VarCurr,B)
      <=> v28491(VarCurr,B) ) ) )).

fof(addAssignment_8895,axiom,(
    ! [VarCurr] :
      ( ( v28491(VarCurr,bitIndex4)
      <=> v28493(VarCurr,bitIndex19) )
      & ( v28491(VarCurr,bitIndex3)
      <=> v28493(VarCurr,bitIndex18) )
      & ( v28491(VarCurr,bitIndex2)
      <=> v28493(VarCurr,bitIndex17) )
      & ( v28491(VarCurr,bitIndex1)
      <=> v28493(VarCurr,bitIndex16) )
      & ( v28491(VarCurr,bitIndex0)
      <=> v28493(VarCurr,bitIndex15) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_330,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28532(VarNext)
       => ! [B] :
            ( range_19_15(B)
           => ( v28493(VarNext,B)
            <=> v28493(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionShiftedRanges0_10,axiom,(
    ! [VarNext] :
      ( v28532(VarNext)
     => ( ( v28493(VarNext,bitIndex19)
        <=> v28559(VarNext,bitIndex4) )
        & ( v28493(VarNext,bitIndex18)
        <=> v28559(VarNext,bitIndex3) )
        & ( v28493(VarNext,bitIndex17)
        <=> v28559(VarNext,bitIndex2) )
        & ( v28493(VarNext,bitIndex16)
        <=> v28559(VarNext,bitIndex1) )
        & ( v28493(VarNext,bitIndex15)
        <=> v28559(VarNext,bitIndex0) ) ) ) )).

fof(addAssignment_8894,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v28559(VarNext,B)
          <=> v28557(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_713,axiom,(
    ! [VarCurr] :
      ( ~ v28542(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v28557(VarCurr,B)
          <=> v28560(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_703,axiom,(
    ! [VarCurr] :
      ( v28542(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v28557(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_301,axiom,(
    ! [VarCurr] :
      ( ( ~ v28546(VarCurr)
        & ~ v28548(VarCurr) )
     => ! [B] :
          ( range_4_0(B)
         => ( v28560(VarCurr,B)
          <=> v28524(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_712,axiom,(
    ! [VarCurr] :
      ( v28548(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v28560(VarCurr,B)
          <=> v28495(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_17,axiom,(
    ! [VarCurr] :
      ( v28546(VarCurr)
     => ( ( v28560(VarCurr,bitIndex4)
        <=> v28493(VarCurr,bitIndex14) )
        & ( v28560(VarCurr,bitIndex3)
        <=> v28493(VarCurr,bitIndex13) )
        & ( v28560(VarCurr,bitIndex2)
        <=> v28493(VarCurr,bitIndex12) )
        & ( v28560(VarCurr,bitIndex1)
        <=> v28493(VarCurr,bitIndex11) )
        & ( v28560(VarCurr,bitIndex0)
        <=> v28493(VarCurr,bitIndex10) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6192,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28532(VarNext)
      <=> ( v28533(VarNext)
          & v28540(VarNext) ) ) ) )).

fof(addAssignment_8893,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28540(VarNext)
      <=> v28538(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6191,axiom,(
    ! [VarCurr] :
      ( v28538(VarCurr)
    <=> ( v28541(VarCurr)
        & v28553(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6190,axiom,(
    ! [VarCurr] :
      ( v28553(VarCurr)
    <=> ( v28554(VarCurr)
        | v28542(VarCurr) ) ) )).

fof(writeUnaryOperator_2918,axiom,(
    ! [VarCurr] :
      ( ~ v28554(VarCurr)
    <=> v28555(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1951,axiom,(
    ! [VarCurr] :
      ( v28555(VarCurr)
    <=> ( ( v28556(VarCurr,bitIndex1)
        <=> $false )
        & ( v28556(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8892,axiom,(
    ! [VarCurr] :
      ( v28556(VarCurr,bitIndex0)
    <=> v25674(VarCurr) ) )).

fof(addAssignment_8891,axiom,(
    ! [VarCurr] :
      ( v28556(VarCurr,bitIndex1)
    <=> v25672(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6189,axiom,(
    ! [VarCurr] :
      ( v28541(VarCurr)
    <=> ( v28542(VarCurr)
        | v28543(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6188,axiom,(
    ! [VarCurr] :
      ( v28543(VarCurr)
    <=> ( v28544(VarCurr)
        & v28552(VarCurr) ) ) )).

fof(writeUnaryOperator_2917,axiom,(
    ! [VarCurr] :
      ( ~ v28552(VarCurr)
    <=> v28542(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6187,axiom,(
    ! [VarCurr] :
      ( v28544(VarCurr)
    <=> ( v28545(VarCurr)
        | v28550(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1950,axiom,(
    ! [VarCurr] :
      ( v28550(VarCurr)
    <=> ( ( v28551(VarCurr,bitIndex1)
        <=> $true )
        & ( v28551(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8890,axiom,(
    ! [VarCurr] :
      ( v28551(VarCurr,bitIndex0)
    <=> v25674(VarCurr) ) )).

fof(addAssignment_8889,axiom,(
    ! [VarCurr] :
      ( v28551(VarCurr,bitIndex1)
    <=> v25672(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6186,axiom,(
    ! [VarCurr] :
      ( v28545(VarCurr)
    <=> ( v28546(VarCurr)
        | v28548(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1949,axiom,(
    ! [VarCurr] :
      ( v28548(VarCurr)
    <=> ( ( v28549(VarCurr,bitIndex1)
        <=> $true )
        & ( v28549(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8888,axiom,(
    ! [VarCurr] :
      ( v28549(VarCurr,bitIndex0)
    <=> v25674(VarCurr) ) )).

fof(addAssignment_8887,axiom,(
    ! [VarCurr] :
      ( v28549(VarCurr,bitIndex1)
    <=> v25672(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1948,axiom,(
    ! [VarCurr] :
      ( v28546(VarCurr)
    <=> ( ( v28547(VarCurr,bitIndex1)
        <=> $false )
        & ( v28547(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8886,axiom,(
    ! [VarCurr] :
      ( v28547(VarCurr,bitIndex0)
    <=> v25674(VarCurr) ) )).

fof(addAssignment_8885,axiom,(
    ! [VarCurr] :
      ( v28547(VarCurr,bitIndex1)
    <=> v25672(VarCurr) ) )).

fof(writeUnaryOperator_2916,axiom,(
    ! [VarCurr] :
      ( ~ v28542(VarCurr)
    <=> v25670(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6185,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28533(VarNext)
      <=> ( v28534(VarNext)
          & v25698(VarNext) ) ) ) )).

fof(writeUnaryOperator_2915,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28534(VarNext)
      <=> v25705(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_717,axiom,(
    ! [VarCurr] :
      ( ~ v28526(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v28524(VarCurr,B)
          <=> v28528(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_661,axiom,(
    ! [VarCurr] :
      ( v28526(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v28524(VarCurr,B)
          <=> v28517(VarCurr,B) ) ) ) )).

fof(addAssignment_8884,axiom,(
    ! [VarCurr] :
      ( ( v28528(VarCurr,bitIndex4)
      <=> v28493(VarCurr,bitIndex14) )
      & ( v28528(VarCurr,bitIndex3)
      <=> v28493(VarCurr,bitIndex13) )
      & ( v28528(VarCurr,bitIndex2)
      <=> v28493(VarCurr,bitIndex12) )
      & ( v28528(VarCurr,bitIndex1)
      <=> v28493(VarCurr,bitIndex11) )
      & ( v28528(VarCurr,bitIndex0)
      <=> v28493(VarCurr,bitIndex10) ) ) )).

fof(addAssignment_8883,axiom,(
    ! [VarCurr] :
      ( v28526(VarCurr)
    <=> v28499(VarCurr,bitIndex1) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_716,axiom,(
    ! [VarCurr] :
      ( ~ v28497(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v28495(VarCurr,B)
          <=> v28521(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_660,axiom,(
    ! [VarCurr] :
      ( v28497(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v28495(VarCurr,B)
          <=> v28517(VarCurr,B) ) ) ) )).

fof(addAssignment_8882,axiom,(
    ! [VarCurr] :
      ( ( v28521(VarCurr,bitIndex4)
      <=> v28493(VarCurr,bitIndex19) )
      & ( v28521(VarCurr,bitIndex3)
      <=> v28493(VarCurr,bitIndex18) )
      & ( v28521(VarCurr,bitIndex2)
      <=> v28493(VarCurr,bitIndex17) )
      & ( v28521(VarCurr,bitIndex1)
      <=> v28493(VarCurr,bitIndex16) )
      & ( v28521(VarCurr,bitIndex0)
      <=> v28493(VarCurr,bitIndex15) ) ) )).

fof(addAssignment_8881,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v28517(VarCurr,B)
      <=> v28519(VarCurr,B) ) ) )).

fof(addAssignment_8880,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v28519(VarCurr,B)
      <=> v26264(VarCurr,B) ) ) )).

fof(addAssignment_8879,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v26264(VarCurr,B)
      <=> v26266(VarCurr,B) ) ) )).

fof(addAssignment_8878,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v26266(VarCurr,B)
      <=> v26268(VarCurr,B) ) ) )).

fof(addAssignment_8877,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v26268(VarCurr,B)
      <=> v26270(VarCurr,B) ) ) )).

fof(addAssignment_8876,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v26270(VarCurr,B)
      <=> v26272(VarCurr,B) ) ) )).

fof(addAssignment_8875,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v26272(VarCurr,B)
      <=> v26274(VarCurr,B) ) ) )).

fof(addAssignment_8874,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v26274(VarCurr,B)
      <=> v26276(VarCurr,B) ) ) )).

fof(addAssignment_8873,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v26276(VarCurr,B)
      <=> v26427(VarCurr,B) ) ) )).

fof(addAssignment_8872,axiom,(
    ! [VarCurr] :
      ( v28497(VarCurr)
    <=> v28499(VarCurr,bitIndex1) ) )).

fof(addAssignment_8871,axiom,(
    ! [VarCurr] :
      ( v28499(VarCurr,bitIndex1)
    <=> v28500(VarCurr,bitIndex1) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_715,axiom,(
    ! [VarCurr] :
      ( ~ v28501(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v28500(VarCurr,B)
          <=> v28503(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_659,axiom,(
    ! [VarCurr] :
      ( v28501(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v28500(VarCurr,B)
          <=> v28502(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_76,axiom,(
    ! [VarCurr] :
      ( ( ~ v28504(VarCurr)
        & ~ v28506(VarCurr)
        & ~ v28510(VarCurr) )
     => ! [B] :
          ( range_6_0(B)
         => ( v28503(VarCurr,B)
          <=> v25734(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_300,axiom,(
    ! [VarCurr] :
      ( v28510(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v28503(VarCurr,B)
          <=> v28512(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_711,axiom,(
    ! [VarCurr] :
      ( v28506(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v28503(VarCurr,B)
          <=> v28508(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_702,axiom,(
    ! [VarCurr] :
      ( v28504(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v28503(VarCurr,B)
          <=> v25734(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1947,axiom,(
    ! [VarCurr] :
      ( v28514(VarCurr)
    <=> ( ( v28515(VarCurr,bitIndex1)
        <=> $true )
        & ( v28515(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8870,axiom,(
    ! [VarCurr] :
      ( v28515(VarCurr,bitIndex0)
    <=> v25674(VarCurr) ) )).

fof(addAssignment_8869,axiom,(
    ! [VarCurr] :
      ( v28515(VarCurr,bitIndex1)
    <=> v25672(VarCurr) ) )).

fof(addAssignment_8868,axiom,(
    ! [VarCurr] :
      ( v28512(VarCurr,bitIndex0)
    <=> $false ) )).

fof(addAssignment_8867,axiom,(
    ! [VarCurr] :
      ( ( v28512(VarCurr,bitIndex6)
      <=> v25734(VarCurr,bitIndex5) )
      & ( v28512(VarCurr,bitIndex5)
      <=> v25734(VarCurr,bitIndex4) )
      & ( v28512(VarCurr,bitIndex4)
      <=> v25734(VarCurr,bitIndex3) )
      & ( v28512(VarCurr,bitIndex3)
      <=> v25734(VarCurr,bitIndex2) )
      & ( v28512(VarCurr,bitIndex2)
      <=> v25734(VarCurr,bitIndex1) )
      & ( v28512(VarCurr,bitIndex1)
      <=> v25734(VarCurr,bitIndex0) ) ) )).

fof(addBitVectorEqualityBitBlasted_1946,axiom,(
    ! [VarCurr] :
      ( v28510(VarCurr)
    <=> ( ( v28511(VarCurr,bitIndex1)
        <=> $true )
        & ( v28511(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8866,axiom,(
    ! [VarCurr] :
      ( v28511(VarCurr,bitIndex0)
    <=> v25674(VarCurr) ) )).

fof(addAssignment_8865,axiom,(
    ! [VarCurr] :
      ( v28511(VarCurr,bitIndex1)
    <=> v25672(VarCurr) ) )).

fof(addAssignment_8864,axiom,(
    ! [VarCurr] :
      ( ( v28508(VarCurr,bitIndex5)
      <=> v25734(VarCurr,bitIndex6) )
      & ( v28508(VarCurr,bitIndex4)
      <=> v25734(VarCurr,bitIndex5) )
      & ( v28508(VarCurr,bitIndex3)
      <=> v25734(VarCurr,bitIndex4) )
      & ( v28508(VarCurr,bitIndex2)
      <=> v25734(VarCurr,bitIndex3) )
      & ( v28508(VarCurr,bitIndex1)
      <=> v25734(VarCurr,bitIndex2) )
      & ( v28508(VarCurr,bitIndex0)
      <=> v25734(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_8863,axiom,(
    ! [VarCurr] :
      ( v28508(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_1945,axiom,(
    ! [VarCurr] :
      ( v28506(VarCurr)
    <=> ( ( v28507(VarCurr,bitIndex1)
        <=> $false )
        & ( v28507(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8862,axiom,(
    ! [VarCurr] :
      ( v28507(VarCurr,bitIndex0)
    <=> v25674(VarCurr) ) )).

fof(addAssignment_8861,axiom,(
    ! [VarCurr] :
      ( v28507(VarCurr,bitIndex1)
    <=> v25672(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1944,axiom,(
    ! [VarCurr] :
      ( v28504(VarCurr)
    <=> ( ( v28505(VarCurr,bitIndex1)
        <=> $false )
        & ( v28505(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8860,axiom,(
    ! [VarCurr] :
      ( v28505(VarCurr,bitIndex0)
    <=> v25674(VarCurr) ) )).

fof(addAssignment_8859,axiom,(
    ! [VarCurr] :
      ( v28505(VarCurr,bitIndex1)
    <=> v25672(VarCurr) ) )).

fof(addAssignment_8858,axiom,(
    ! [VarCurr] :
      ( v28502(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_8857,axiom,(
    ! [VarCurr,B] :
      ( range_6_1(B)
     => ( v28502(VarCurr,B)
      <=> v25732(VarCurr,B) ) ) )).

fof(writeUnaryOperator_2914,axiom,(
    ! [VarCurr] :
      ( ~ v28501(VarCurr)
    <=> v25670(VarCurr) ) )).

fof(addAssignment_8856,axiom,(
    ! [VarCurr] :
      ( v25732(VarCurr,bitIndex1)
    <=> v25733(VarCurr,bitIndex1) ) )).

fof(addParallelCaseBooleanConditionEqualRanges5_16,axiom,(
    ! [VarCurr] :
      ( ( ~ v28465(VarCurr)
        & ~ v28466(VarCurr)
        & ~ v28470(VarCurr)
        & ~ v28471(VarCurr)
        & ~ v28481(VarCurr) )
     => ( v28094(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges4_18,axiom,(
    ! [VarCurr] :
      ( v28481(VarCurr)
     => ( v28094(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_75,axiom,(
    ! [VarCurr] :
      ( v28471(VarCurr)
     => ( v28094(VarCurr)
      <=> v28472(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_299,axiom,(
    ! [VarCurr] :
      ( v28470(VarCurr)
     => ( v28094(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_710,axiom,(
    ! [VarCurr] :
      ( v28466(VarCurr)
     => ( v28094(VarCurr)
      <=> v28467(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_701,axiom,(
    ! [VarCurr] :
      ( v28465(VarCurr)
     => ( v28094(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1943,axiom,(
    ! [VarCurr] :
      ( v28481(VarCurr)
    <=> ( ( v26865(VarCurr,bitIndex2)
        <=> $true )
        & ( v26865(VarCurr,bitIndex1)
        <=> $false )
        & ( v26865(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_709,axiom,(
    ! [VarCurr] :
      ( ~ v28473(VarCurr)
     => ( v28472(VarCurr)
      <=> v28475(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_700,axiom,(
    ! [VarCurr] :
      ( v28473(VarCurr)
     => ( v28472(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_708,axiom,(
    ! [VarCurr] :
      ( ~ v28476(VarCurr)
     => ( v28475(VarCurr)
      <=> v28478(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_699,axiom,(
    ! [VarCurr] :
      ( v28476(VarCurr)
     => ( v28475(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_707,axiom,(
    ! [VarCurr] :
      ( ~ v28479(VarCurr)
     => ( v28478(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_698,axiom,(
    ! [VarCurr] :
      ( v28479(VarCurr)
     => ( v28478(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1942,axiom,(
    ! [VarCurr] :
      ( v28480(VarCurr)
    <=> ( v26869(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1941,axiom,(
    ! [VarCurr] :
      ( v28479(VarCurr)
    <=> ( v26869(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1940,axiom,(
    ! [VarCurr] :
      ( v28477(VarCurr)
    <=> ( v27075(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1939,axiom,(
    ! [VarCurr] :
      ( v28476(VarCurr)
    <=> ( v27075(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1938,axiom,(
    ! [VarCurr] :
      ( v28474(VarCurr)
    <=> ( v26861(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1937,axiom,(
    ! [VarCurr] :
      ( v28473(VarCurr)
    <=> ( v26861(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1936,axiom,(
    ! [VarCurr] :
      ( v28471(VarCurr)
    <=> ( ( v26865(VarCurr,bitIndex2)
        <=> $false )
        & ( v26865(VarCurr,bitIndex1)
        <=> $true )
        & ( v26865(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1935,axiom,(
    ! [VarCurr] :
      ( v28470(VarCurr)
    <=> ( ( v26865(VarCurr,bitIndex2)
        <=> $false )
        & ( v26865(VarCurr,bitIndex1)
        <=> $true )
        & ( v26865(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_706,axiom,(
    ! [VarCurr] :
      ( ~ v28468(VarCurr)
     => ( v28467(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_697,axiom,(
    ! [VarCurr] :
      ( v28468(VarCurr)
     => ( v28467(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1934,axiom,(
    ! [VarCurr] :
      ( v28469(VarCurr)
    <=> ( v26861(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1933,axiom,(
    ! [VarCurr] :
      ( v28468(VarCurr)
    <=> ( v26861(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1932,axiom,(
    ! [VarCurr] :
      ( v28466(VarCurr)
    <=> ( ( v26865(VarCurr,bitIndex2)
        <=> $false )
        & ( v26865(VarCurr,bitIndex1)
        <=> $false )
        & ( v26865(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1931,axiom,(
    ! [VarCurr] :
      ( v28465(VarCurr)
    <=> ( ( v26865(VarCurr,bitIndex2)
        <=> $false )
        & ( v26865(VarCurr,bitIndex1)
        <=> $false )
        & ( v26865(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_395,axiom,(
    ! [VarCurr] :
      ( ~ v28454(VarCurr)
     => ( v28102(VarCurr,bitIndex31)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_451,axiom,(
    ! [VarCurr] :
      ( v28454(VarCurr)
     => ( v28102(VarCurr,bitIndex31)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1930,axiom,(
    ! [VarCurr] :
      ( v28454(VarCurr)
    <=> ( ( v28104(VarCurr,bitIndex4)
        <=> $true )
        & ( v28104(VarCurr,bitIndex3)
        <=> $true )
        & ( v28104(VarCurr,bitIndex2)
        <=> $true )
        & ( v28104(VarCurr,bitIndex1)
        <=> $true )
        & ( v28104(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_394,axiom,(
    ! [VarCurr] :
      ( ~ v28452(VarCurr)
     => ( v28102(VarCurr,bitIndex30)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_450,axiom,(
    ! [VarCurr] :
      ( v28452(VarCurr)
     => ( v28102(VarCurr,bitIndex30)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1929,axiom,(
    ! [VarCurr] :
      ( v28452(VarCurr)
    <=> ( ( v28104(VarCurr,bitIndex4)
        <=> $true )
        & ( v28104(VarCurr,bitIndex3)
        <=> $true )
        & ( v28104(VarCurr,bitIndex2)
        <=> $true )
        & ( v28104(VarCurr,bitIndex1)
        <=> $true )
        & ( v28104(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_393,axiom,(
    ! [VarCurr] :
      ( ~ v28450(VarCurr)
     => ( v28102(VarCurr,bitIndex29)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_449,axiom,(
    ! [VarCurr] :
      ( v28450(VarCurr)
     => ( v28102(VarCurr,bitIndex29)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1928,axiom,(
    ! [VarCurr] :
      ( v28450(VarCurr)
    <=> ( ( v28104(VarCurr,bitIndex4)
        <=> $true )
        & ( v28104(VarCurr,bitIndex3)
        <=> $true )
        & ( v28104(VarCurr,bitIndex2)
        <=> $true )
        & ( v28104(VarCurr,bitIndex1)
        <=> $false )
        & ( v28104(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_392,axiom,(
    ! [VarCurr] :
      ( ~ v28448(VarCurr)
     => ( v28102(VarCurr,bitIndex28)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_448,axiom,(
    ! [VarCurr] :
      ( v28448(VarCurr)
     => ( v28102(VarCurr,bitIndex28)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1927,axiom,(
    ! [VarCurr] :
      ( v28448(VarCurr)
    <=> ( ( v28104(VarCurr,bitIndex4)
        <=> $true )
        & ( v28104(VarCurr,bitIndex3)
        <=> $true )
        & ( v28104(VarCurr,bitIndex2)
        <=> $true )
        & ( v28104(VarCurr,bitIndex1)
        <=> $false )
        & ( v28104(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_391,axiom,(
    ! [VarCurr] :
      ( ~ v28446(VarCurr)
     => ( v28102(VarCurr,bitIndex27)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_447,axiom,(
    ! [VarCurr] :
      ( v28446(VarCurr)
     => ( v28102(VarCurr,bitIndex27)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1926,axiom,(
    ! [VarCurr] :
      ( v28446(VarCurr)
    <=> ( ( v28104(VarCurr,bitIndex4)
        <=> $true )
        & ( v28104(VarCurr,bitIndex3)
        <=> $true )
        & ( v28104(VarCurr,bitIndex2)
        <=> $false )
        & ( v28104(VarCurr,bitIndex1)
        <=> $true )
        & ( v28104(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_390,axiom,(
    ! [VarCurr] :
      ( ~ v28444(VarCurr)
     => ( v28102(VarCurr,bitIndex26)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_446,axiom,(
    ! [VarCurr] :
      ( v28444(VarCurr)
     => ( v28102(VarCurr,bitIndex26)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1925,axiom,(
    ! [VarCurr] :
      ( v28444(VarCurr)
    <=> ( ( v28104(VarCurr,bitIndex4)
        <=> $true )
        & ( v28104(VarCurr,bitIndex3)
        <=> $true )
        & ( v28104(VarCurr,bitIndex2)
        <=> $false )
        & ( v28104(VarCurr,bitIndex1)
        <=> $true )
        & ( v28104(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_389,axiom,(
    ! [VarCurr] :
      ( ~ v28442(VarCurr)
     => ( v28102(VarCurr,bitIndex25)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_445,axiom,(
    ! [VarCurr] :
      ( v28442(VarCurr)
     => ( v28102(VarCurr,bitIndex25)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1924,axiom,(
    ! [VarCurr] :
      ( v28442(VarCurr)
    <=> ( ( v28104(VarCurr,bitIndex4)
        <=> $true )
        & ( v28104(VarCurr,bitIndex3)
        <=> $true )
        & ( v28104(VarCurr,bitIndex2)
        <=> $false )
        & ( v28104(VarCurr,bitIndex1)
        <=> $false )
        & ( v28104(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_388,axiom,(
    ! [VarCurr] :
      ( ~ v28440(VarCurr)
     => ( v28102(VarCurr,bitIndex24)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_444,axiom,(
    ! [VarCurr] :
      ( v28440(VarCurr)
     => ( v28102(VarCurr,bitIndex24)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1923,axiom,(
    ! [VarCurr] :
      ( v28440(VarCurr)
    <=> ( ( v28104(VarCurr,bitIndex4)
        <=> $true )
        & ( v28104(VarCurr,bitIndex3)
        <=> $true )
        & ( v28104(VarCurr,bitIndex2)
        <=> $false )
        & ( v28104(VarCurr,bitIndex1)
        <=> $false )
        & ( v28104(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_387,axiom,(
    ! [VarCurr] :
      ( ~ v28438(VarCurr)
     => ( v28102(VarCurr,bitIndex23)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_443,axiom,(
    ! [VarCurr] :
      ( v28438(VarCurr)
     => ( v28102(VarCurr,bitIndex23)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1922,axiom,(
    ! [VarCurr] :
      ( v28438(VarCurr)
    <=> ( ( v28104(VarCurr,bitIndex4)
        <=> $true )
        & ( v28104(VarCurr,bitIndex3)
        <=> $false )
        & ( v28104(VarCurr,bitIndex2)
        <=> $true )
        & ( v28104(VarCurr,bitIndex1)
        <=> $true )
        & ( v28104(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_386,axiom,(
    ! [VarCurr] :
      ( ~ v28436(VarCurr)
     => ( v28102(VarCurr,bitIndex22)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_442,axiom,(
    ! [VarCurr] :
      ( v28436(VarCurr)
     => ( v28102(VarCurr,bitIndex22)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1921,axiom,(
    ! [VarCurr] :
      ( v28436(VarCurr)
    <=> ( ( v28104(VarCurr,bitIndex4)
        <=> $true )
        & ( v28104(VarCurr,bitIndex3)
        <=> $false )
        & ( v28104(VarCurr,bitIndex2)
        <=> $true )
        & ( v28104(VarCurr,bitIndex1)
        <=> $true )
        & ( v28104(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_385,axiom,(
    ! [VarCurr] :
      ( ~ v28434(VarCurr)
     => ( v28102(VarCurr,bitIndex21)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_441,axiom,(
    ! [VarCurr] :
      ( v28434(VarCurr)
     => ( v28102(VarCurr,bitIndex21)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1920,axiom,(
    ! [VarCurr] :
      ( v28434(VarCurr)
    <=> ( ( v28104(VarCurr,bitIndex4)
        <=> $true )
        & ( v28104(VarCurr,bitIndex3)
        <=> $false )
        & ( v28104(VarCurr,bitIndex2)
        <=> $true )
        & ( v28104(VarCurr,bitIndex1)
        <=> $false )
        & ( v28104(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_384,axiom,(
    ! [VarCurr] :
      ( ~ v28432(VarCurr)
     => ( v28102(VarCurr,bitIndex20)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_440,axiom,(
    ! [VarCurr] :
      ( v28432(VarCurr)
     => ( v28102(VarCurr,bitIndex20)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1919,axiom,(
    ! [VarCurr] :
      ( v28432(VarCurr)
    <=> ( ( v28104(VarCurr,bitIndex4)
        <=> $true )
        & ( v28104(VarCurr,bitIndex3)
        <=> $false )
        & ( v28104(VarCurr,bitIndex2)
        <=> $true )
        & ( v28104(VarCurr,bitIndex1)
        <=> $false )
        & ( v28104(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_383,axiom,(
    ! [VarCurr] :
      ( ~ v28430(VarCurr)
     => ( v28102(VarCurr,bitIndex19)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_439,axiom,(
    ! [VarCurr] :
      ( v28430(VarCurr)
     => ( v28102(VarCurr,bitIndex19)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1918,axiom,(
    ! [VarCurr] :
      ( v28430(VarCurr)
    <=> ( ( v28104(VarCurr,bitIndex4)
        <=> $true )
        & ( v28104(VarCurr,bitIndex3)
        <=> $false )
        & ( v28104(VarCurr,bitIndex2)
        <=> $false )
        & ( v28104(VarCurr,bitIndex1)
        <=> $true )
        & ( v28104(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_382,axiom,(
    ! [VarCurr] :
      ( ~ v28428(VarCurr)
     => ( v28102(VarCurr,bitIndex18)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_438,axiom,(
    ! [VarCurr] :
      ( v28428(VarCurr)
     => ( v28102(VarCurr,bitIndex18)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1917,axiom,(
    ! [VarCurr] :
      ( v28428(VarCurr)
    <=> ( ( v28104(VarCurr,bitIndex4)
        <=> $true )
        & ( v28104(VarCurr,bitIndex3)
        <=> $false )
        & ( v28104(VarCurr,bitIndex2)
        <=> $false )
        & ( v28104(VarCurr,bitIndex1)
        <=> $true )
        & ( v28104(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_381,axiom,(
    ! [VarCurr] :
      ( ~ v28426(VarCurr)
     => ( v28102(VarCurr,bitIndex17)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_437,axiom,(
    ! [VarCurr] :
      ( v28426(VarCurr)
     => ( v28102(VarCurr,bitIndex17)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1916,axiom,(
    ! [VarCurr] :
      ( v28426(VarCurr)
    <=> ( ( v28104(VarCurr,bitIndex4)
        <=> $true )
        & ( v28104(VarCurr,bitIndex3)
        <=> $false )
        & ( v28104(VarCurr,bitIndex2)
        <=> $false )
        & ( v28104(VarCurr,bitIndex1)
        <=> $false )
        & ( v28104(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_380,axiom,(
    ! [VarCurr] :
      ( ~ v28424(VarCurr)
     => ( v28102(VarCurr,bitIndex16)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_436,axiom,(
    ! [VarCurr] :
      ( v28424(VarCurr)
     => ( v28102(VarCurr,bitIndex16)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1915,axiom,(
    ! [VarCurr] :
      ( v28424(VarCurr)
    <=> ( ( v28104(VarCurr,bitIndex4)
        <=> $true )
        & ( v28104(VarCurr,bitIndex3)
        <=> $false )
        & ( v28104(VarCurr,bitIndex2)
        <=> $false )
        & ( v28104(VarCurr,bitIndex1)
        <=> $false )
        & ( v28104(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_379,axiom,(
    ! [VarCurr] :
      ( ~ v28422(VarCurr)
     => ( v28102(VarCurr,bitIndex15)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_435,axiom,(
    ! [VarCurr] :
      ( v28422(VarCurr)
     => ( v28102(VarCurr,bitIndex15)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1914,axiom,(
    ! [VarCurr] :
      ( v28422(VarCurr)
    <=> ( ( v28104(VarCurr,bitIndex4)
        <=> $false )
        & ( v28104(VarCurr,bitIndex3)
        <=> $true )
        & ( v28104(VarCurr,bitIndex2)
        <=> $true )
        & ( v28104(VarCurr,bitIndex1)
        <=> $true )
        & ( v28104(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_378,axiom,(
    ! [VarCurr] :
      ( ~ v28420(VarCurr)
     => ( v28102(VarCurr,bitIndex14)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_434,axiom,(
    ! [VarCurr] :
      ( v28420(VarCurr)
     => ( v28102(VarCurr,bitIndex14)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1913,axiom,(
    ! [VarCurr] :
      ( v28420(VarCurr)
    <=> ( ( v28104(VarCurr,bitIndex4)
        <=> $false )
        & ( v28104(VarCurr,bitIndex3)
        <=> $true )
        & ( v28104(VarCurr,bitIndex2)
        <=> $true )
        & ( v28104(VarCurr,bitIndex1)
        <=> $true )
        & ( v28104(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_377,axiom,(
    ! [VarCurr] :
      ( ~ v28418(VarCurr)
     => ( v28102(VarCurr,bitIndex13)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_433,axiom,(
    ! [VarCurr] :
      ( v28418(VarCurr)
     => ( v28102(VarCurr,bitIndex13)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1912,axiom,(
    ! [VarCurr] :
      ( v28418(VarCurr)
    <=> ( ( v28104(VarCurr,bitIndex4)
        <=> $false )
        & ( v28104(VarCurr,bitIndex3)
        <=> $true )
        & ( v28104(VarCurr,bitIndex2)
        <=> $true )
        & ( v28104(VarCurr,bitIndex1)
        <=> $false )
        & ( v28104(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_376,axiom,(
    ! [VarCurr] :
      ( ~ v28416(VarCurr)
     => ( v28102(VarCurr,bitIndex12)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_432,axiom,(
    ! [VarCurr] :
      ( v28416(VarCurr)
     => ( v28102(VarCurr,bitIndex12)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1911,axiom,(
    ! [VarCurr] :
      ( v28416(VarCurr)
    <=> ( ( v28104(VarCurr,bitIndex4)
        <=> $false )
        & ( v28104(VarCurr,bitIndex3)
        <=> $true )
        & ( v28104(VarCurr,bitIndex2)
        <=> $true )
        & ( v28104(VarCurr,bitIndex1)
        <=> $false )
        & ( v28104(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_375,axiom,(
    ! [VarCurr] :
      ( ~ v28414(VarCurr)
     => ( v28102(VarCurr,bitIndex11)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_431,axiom,(
    ! [VarCurr] :
      ( v28414(VarCurr)
     => ( v28102(VarCurr,bitIndex11)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1910,axiom,(
    ! [VarCurr] :
      ( v28414(VarCurr)
    <=> ( ( v28104(VarCurr,bitIndex4)
        <=> $false )
        & ( v28104(VarCurr,bitIndex3)
        <=> $true )
        & ( v28104(VarCurr,bitIndex2)
        <=> $false )
        & ( v28104(VarCurr,bitIndex1)
        <=> $true )
        & ( v28104(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_374,axiom,(
    ! [VarCurr] :
      ( ~ v28412(VarCurr)
     => ( v28102(VarCurr,bitIndex10)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_430,axiom,(
    ! [VarCurr] :
      ( v28412(VarCurr)
     => ( v28102(VarCurr,bitIndex10)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1909,axiom,(
    ! [VarCurr] :
      ( v28412(VarCurr)
    <=> ( ( v28104(VarCurr,bitIndex4)
        <=> $false )
        & ( v28104(VarCurr,bitIndex3)
        <=> $true )
        & ( v28104(VarCurr,bitIndex2)
        <=> $false )
        & ( v28104(VarCurr,bitIndex1)
        <=> $true )
        & ( v28104(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_373,axiom,(
    ! [VarCurr] :
      ( ~ v28410(VarCurr)
     => ( v28102(VarCurr,bitIndex9)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_429,axiom,(
    ! [VarCurr] :
      ( v28410(VarCurr)
     => ( v28102(VarCurr,bitIndex9)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1908,axiom,(
    ! [VarCurr] :
      ( v28410(VarCurr)
    <=> ( ( v28104(VarCurr,bitIndex4)
        <=> $false )
        & ( v28104(VarCurr,bitIndex3)
        <=> $true )
        & ( v28104(VarCurr,bitIndex2)
        <=> $false )
        & ( v28104(VarCurr,bitIndex1)
        <=> $false )
        & ( v28104(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_372,axiom,(
    ! [VarCurr] :
      ( ~ v28408(VarCurr)
     => ( v28102(VarCurr,bitIndex8)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_428,axiom,(
    ! [VarCurr] :
      ( v28408(VarCurr)
     => ( v28102(VarCurr,bitIndex8)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1907,axiom,(
    ! [VarCurr] :
      ( v28408(VarCurr)
    <=> ( ( v28104(VarCurr,bitIndex4)
        <=> $false )
        & ( v28104(VarCurr,bitIndex3)
        <=> $true )
        & ( v28104(VarCurr,bitIndex2)
        <=> $false )
        & ( v28104(VarCurr,bitIndex1)
        <=> $false )
        & ( v28104(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_371,axiom,(
    ! [VarCurr] :
      ( ~ v28406(VarCurr)
     => ( v28102(VarCurr,bitIndex7)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_427,axiom,(
    ! [VarCurr] :
      ( v28406(VarCurr)
     => ( v28102(VarCurr,bitIndex7)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1906,axiom,(
    ! [VarCurr] :
      ( v28406(VarCurr)
    <=> ( ( v28104(VarCurr,bitIndex4)
        <=> $false )
        & ( v28104(VarCurr,bitIndex3)
        <=> $false )
        & ( v28104(VarCurr,bitIndex2)
        <=> $true )
        & ( v28104(VarCurr,bitIndex1)
        <=> $true )
        & ( v28104(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_370,axiom,(
    ! [VarCurr] :
      ( ~ v28404(VarCurr)
     => ( v28102(VarCurr,bitIndex6)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_426,axiom,(
    ! [VarCurr] :
      ( v28404(VarCurr)
     => ( v28102(VarCurr,bitIndex6)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1905,axiom,(
    ! [VarCurr] :
      ( v28404(VarCurr)
    <=> ( ( v28104(VarCurr,bitIndex4)
        <=> $false )
        & ( v28104(VarCurr,bitIndex3)
        <=> $false )
        & ( v28104(VarCurr,bitIndex2)
        <=> $true )
        & ( v28104(VarCurr,bitIndex1)
        <=> $true )
        & ( v28104(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_369,axiom,(
    ! [VarCurr] :
      ( ~ v28402(VarCurr)
     => ( v28102(VarCurr,bitIndex5)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_425,axiom,(
    ! [VarCurr] :
      ( v28402(VarCurr)
     => ( v28102(VarCurr,bitIndex5)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1904,axiom,(
    ! [VarCurr] :
      ( v28402(VarCurr)
    <=> ( ( v28104(VarCurr,bitIndex4)
        <=> $false )
        & ( v28104(VarCurr,bitIndex3)
        <=> $false )
        & ( v28104(VarCurr,bitIndex2)
        <=> $true )
        & ( v28104(VarCurr,bitIndex1)
        <=> $false )
        & ( v28104(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_368,axiom,(
    ! [VarCurr] :
      ( ~ v28400(VarCurr)
     => ( v28102(VarCurr,bitIndex4)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_424,axiom,(
    ! [VarCurr] :
      ( v28400(VarCurr)
     => ( v28102(VarCurr,bitIndex4)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1903,axiom,(
    ! [VarCurr] :
      ( v28400(VarCurr)
    <=> ( ( v28104(VarCurr,bitIndex4)
        <=> $false )
        & ( v28104(VarCurr,bitIndex3)
        <=> $false )
        & ( v28104(VarCurr,bitIndex2)
        <=> $true )
        & ( v28104(VarCurr,bitIndex1)
        <=> $false )
        & ( v28104(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_367,axiom,(
    ! [VarCurr] :
      ( ~ v28398(VarCurr)
     => ( v28102(VarCurr,bitIndex3)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_423,axiom,(
    ! [VarCurr] :
      ( v28398(VarCurr)
     => ( v28102(VarCurr,bitIndex3)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1902,axiom,(
    ! [VarCurr] :
      ( v28398(VarCurr)
    <=> ( ( v28104(VarCurr,bitIndex4)
        <=> $false )
        & ( v28104(VarCurr,bitIndex3)
        <=> $false )
        & ( v28104(VarCurr,bitIndex2)
        <=> $false )
        & ( v28104(VarCurr,bitIndex1)
        <=> $true )
        & ( v28104(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_366,axiom,(
    ! [VarCurr] :
      ( ~ v28396(VarCurr)
     => ( v28102(VarCurr,bitIndex2)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_422,axiom,(
    ! [VarCurr] :
      ( v28396(VarCurr)
     => ( v28102(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1901,axiom,(
    ! [VarCurr] :
      ( v28396(VarCurr)
    <=> ( ( v28104(VarCurr,bitIndex4)
        <=> $false )
        & ( v28104(VarCurr,bitIndex3)
        <=> $false )
        & ( v28104(VarCurr,bitIndex2)
        <=> $false )
        & ( v28104(VarCurr,bitIndex1)
        <=> $true )
        & ( v28104(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_365,axiom,(
    ! [VarCurr] :
      ( ~ v28394(VarCurr)
     => ( v28102(VarCurr,bitIndex1)
      <=> $true ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_421,axiom,(
    ! [VarCurr] :
      ( v28394(VarCurr)
     => ( v28102(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1900,axiom,(
    ! [VarCurr] :
      ( v28394(VarCurr)
    <=> ( ( v28104(VarCurr,bitIndex4)
        <=> $false )
        & ( v28104(VarCurr,bitIndex3)
        <=> $false )
        & ( v28104(VarCurr,bitIndex2)
        <=> $false )
        & ( v28104(VarCurr,bitIndex1)
        <=> $false )
        & ( v28104(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_714,axiom,(
    ! [VarCurr] :
      ( ~ v28392(VarCurr)
     => ( v28102(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_658,axiom,(
    ! [VarCurr] :
      ( v28392(VarCurr)
     => ( v28102(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1899,axiom,(
    ! [VarCurr] :
      ( v28392(VarCurr)
    <=> ( ( v28104(VarCurr,bitIndex4)
        <=> $false )
        & ( v28104(VarCurr,bitIndex3)
        <=> $false )
        & ( v28104(VarCurr,bitIndex2)
        <=> $false )
        & ( v28104(VarCurr,bitIndex1)
        <=> $false )
        & ( v28104(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8855,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v28104(VarCurr,B)
      <=> v28106(VarCurr,B) ) ) )).

fof(addAssignment_8854,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v28106(VarCurr,B)
      <=> v28108(VarCurr,B) ) ) )).

fof(addAssignment_8853,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v28108(VarCurr,B)
      <=> v28110(VarCurr,B) ) ) )).

fof(addAssignment_8852,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v28110(VarCurr,B)
      <=> v28112(VarCurr,B) ) ) )).

fof(addAssignment_8851,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v28112(VarCurr,B)
      <=> v28390(VarCurr,B) ) ) )).

fof(memoryReadIntoBuffer_54,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b0000_address_term = A
             => ( range_53_0(B)
               => ( v28234(VarNext,B)
                <=> v28114_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_53,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b0001_address_term = A
             => ( range_53_0(B)
               => ( v28243(VarNext,B)
                <=> v28114_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_52,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b0010_address_term = A
             => ( range_53_0(B)
               => ( v28252(VarNext,B)
                <=> v28114_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_51,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b0011_address_term = A
             => ( range_53_0(B)
               => ( v28261(VarNext,B)
                <=> v28114_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_50,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b0100_address_term = A
             => ( range_53_0(B)
               => ( v28270(VarNext,B)
                <=> v28114_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_49,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b0101_address_term = A
             => ( range_53_0(B)
               => ( v28279(VarNext,B)
                <=> v28114_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_48,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b0110_address_term = A
             => ( range_53_0(B)
               => ( v28288(VarNext,B)
                <=> v28114_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_47,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b0111_address_term = A
             => ( range_53_0(B)
               => ( v28297(VarNext,B)
                <=> v28114_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_46,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b1000_address_term = A
             => ( range_53_0(B)
               => ( v28306(VarNext,B)
                <=> v28114_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_45,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b1001_address_term = A
             => ( range_53_0(B)
               => ( v28315(VarNext,B)
                <=> v28114_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_44,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b1010_address_term = A
             => ( range_53_0(B)
               => ( v28324(VarNext,B)
                <=> v28114_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_43,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b1011_address_term = A
             => ( range_53_0(B)
               => ( v28333(VarNext,B)
                <=> v28114_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_42,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b1100_address_term = A
             => ( range_53_0(B)
               => ( v28342(VarNext,B)
                <=> v28114_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_41,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b1101_address_term = A
             => ( range_53_0(B)
               => ( v28351(VarNext,B)
                <=> v28114_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_40,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b1110_address_term = A
             => ( range_53_0(B)
               => ( v28360(VarNext,B)
                <=> v28114_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_39,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b1111_address_term = A
             => ( range_53_0(B)
               => ( v28369(VarNext,B)
                <=> v28114_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_38,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v28137_range_3_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( address(A)
             => ! [B] :
                  ( A = AssociatedAddressVar
                 => ( range_53_0(B)
                   => ( v28390(VarNext,B)
                    <=> v28114_array(VarNext,A,B) ) ) ) ) ) ) )).

fof(memoryConstantWriteDisabled_5,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( $true
              & v28382(VarNext) )
         => ! [B] :
              ( range_53_0(B)
             => ( v28114_array(VarNext,A,B)
              <=> v28114_17__array(VarNext,A,B) ) ) ) ) )).

fof(memoryConstantWriteEnabledInsideRange_5,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( $true
            & v28382(VarNext) )
         => ! [B] :
              ( range_53_0(B)
             => ( v28114_array(VarNext,A,B)
              <=> b000000000000000000000000000000000000000000000000000000(B) ) ) ) ) )).

fof(bitBlastConstant_9327,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex53) )).

fof(bitBlastConstant_9326,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex52) )).

fof(bitBlastConstant_9325,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex51) )).

fof(bitBlastConstant_9324,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex50) )).

fof(bitBlastConstant_9323,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex49) )).

fof(bitBlastConstant_9322,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex48) )).

fof(bitBlastConstant_9321,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex47) )).

fof(bitBlastConstant_9320,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex46) )).

fof(bitBlastConstant_9319,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex45) )).

fof(bitBlastConstant_9318,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex44) )).

fof(bitBlastConstant_9317,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex43) )).

fof(bitBlastConstant_9316,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex42) )).

fof(bitBlastConstant_9315,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex41) )).

fof(bitBlastConstant_9314,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex40) )).

fof(bitBlastConstant_9313,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex39) )).

fof(bitBlastConstant_9312,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex38) )).

fof(bitBlastConstant_9311,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex37) )).

fof(bitBlastConstant_9310,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex36) )).

fof(bitBlastConstant_9309,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex35) )).

fof(bitBlastConstant_9308,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex34) )).

fof(bitBlastConstant_9307,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex33) )).

fof(bitBlastConstant_9306,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex32) )).

fof(bitBlastConstant_9305,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex31) )).

fof(bitBlastConstant_9304,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex30) )).

fof(bitBlastConstant_9303,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex29) )).

fof(bitBlastConstant_9302,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex28) )).

fof(bitBlastConstant_9301,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex27) )).

fof(bitBlastConstant_9300,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_9299,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_9298,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_9297,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_9296,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_9295,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_9294,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_9293,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_9292,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_9291,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_9290,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_9289,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_9288,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_9287,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_9286,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_9285,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_9284,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_9283,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_9282,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_9281,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_9280,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_9279,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_9278,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_9277,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_9276,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_9275,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_9274,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6184,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28382(VarNext)
      <=> ( v28383(VarNext)
          & v28388(VarNext) ) ) ) )).

fof(addAssignment_8850,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28388(VarNext)
      <=> v28231(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6183,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28383(VarNext)
      <=> ( v28385(VarNext)
          & v28116(VarNext) ) ) ) )).

fof(writeUnaryOperator_2913,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28385(VarNext)
      <=> v28224(VarNext) ) ) )).

fof(memoryWriteDisabled_56,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v28137_range_3_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( ~ ( A = AssociatedAddressVar
                  & v28372(VarNext) )
             => ! [B] :
                  ( range_53_0(B)
                 => ( v28114_17__array(VarNext,A,B)
                  <=> v28114_16__array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_56,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v28137_range_3_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( ( A = AssociatedAddressVar
                & v28372(VarNext) )
             => ! [B] :
                  ( range_53_0(B)
                 => ( v28114_17__array(VarNext,A,B)
                  <=> v28121(VarNext,B) ) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6182,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28372(VarNext)
      <=> ( v28373(VarNext)
          & v28379(VarNext) ) ) ) )).

fof(addAssignment_8849,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28379(VarNext)
      <=> v28377(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6181,axiom,(
    ! [VarCurr] :
      ( v28377(VarCurr)
    <=> ( v28230(VarCurr)
        & v28129(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6180,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28373(VarNext)
      <=> ( v28375(VarNext)
          & v28116(VarNext) ) ) ) )).

fof(writeUnaryOperator_2912,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28375(VarNext)
      <=> v28224(VarNext) ) ) )).

fof(memoryWriteDisabled_55,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b1111_address_term = A
              & v28363(VarNext) )
         => ! [B] :
              ( range_53_0(B)
             => ( v28114_16__array(VarNext,A,B)
              <=> v28114_15__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_55,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b1111_address_term = A
            & v28363(VarNext) )
         => ( ( v28114_16__array(VarNext,A,bitIndex53)
            <=> v28369(VarNext,bitIndex863) )
            & ( v28114_16__array(VarNext,A,bitIndex52)
            <=> v28369(VarNext,bitIndex862) )
            & ( v28114_16__array(VarNext,A,bitIndex51)
            <=> v28369(VarNext,bitIndex861) )
            & ( v28114_16__array(VarNext,A,bitIndex50)
            <=> v28369(VarNext,bitIndex860) )
            & ( v28114_16__array(VarNext,A,bitIndex49)
            <=> v28369(VarNext,bitIndex859) )
            & ( v28114_16__array(VarNext,A,bitIndex48)
            <=> v28369(VarNext,bitIndex858) )
            & ( v28114_16__array(VarNext,A,bitIndex47)
            <=> v28369(VarNext,bitIndex857) )
            & ( v28114_16__array(VarNext,A,bitIndex46)
            <=> v28369(VarNext,bitIndex856) )
            & ( v28114_16__array(VarNext,A,bitIndex45)
            <=> v28369(VarNext,bitIndex855) )
            & ( v28114_16__array(VarNext,A,bitIndex44)
            <=> v28369(VarNext,bitIndex854) )
            & ( v28114_16__array(VarNext,A,bitIndex43)
            <=> v28369(VarNext,bitIndex853) )
            & ( v28114_16__array(VarNext,A,bitIndex42)
            <=> v28369(VarNext,bitIndex852) )
            & ( v28114_16__array(VarNext,A,bitIndex41)
            <=> v28369(VarNext,bitIndex851) )
            & ( v28114_16__array(VarNext,A,bitIndex40)
            <=> v28369(VarNext,bitIndex850) )
            & ( v28114_16__array(VarNext,A,bitIndex39)
            <=> v28369(VarNext,bitIndex849) )
            & ( v28114_16__array(VarNext,A,bitIndex38)
            <=> v28369(VarNext,bitIndex848) )
            & ( v28114_16__array(VarNext,A,bitIndex37)
            <=> v28369(VarNext,bitIndex847) )
            & ( v28114_16__array(VarNext,A,bitIndex36)
            <=> v28369(VarNext,bitIndex846) )
            & ( v28114_16__array(VarNext,A,bitIndex35)
            <=> v28369(VarNext,bitIndex845) )
            & ( v28114_16__array(VarNext,A,bitIndex34)
            <=> v28369(VarNext,bitIndex844) )
            & ( v28114_16__array(VarNext,A,bitIndex33)
            <=> v28369(VarNext,bitIndex843) )
            & ( v28114_16__array(VarNext,A,bitIndex32)
            <=> v28369(VarNext,bitIndex842) )
            & ( v28114_16__array(VarNext,A,bitIndex31)
            <=> v28369(VarNext,bitIndex841) )
            & ( v28114_16__array(VarNext,A,bitIndex30)
            <=> v28369(VarNext,bitIndex840) )
            & ( v28114_16__array(VarNext,A,bitIndex29)
            <=> v28369(VarNext,bitIndex839) )
            & ( v28114_16__array(VarNext,A,bitIndex28)
            <=> v28369(VarNext,bitIndex838) )
            & ( v28114_16__array(VarNext,A,bitIndex27)
            <=> v28369(VarNext,bitIndex837) )
            & ( v28114_16__array(VarNext,A,bitIndex26)
            <=> v28369(VarNext,bitIndex836) )
            & ( v28114_16__array(VarNext,A,bitIndex25)
            <=> v28369(VarNext,bitIndex835) )
            & ( v28114_16__array(VarNext,A,bitIndex24)
            <=> v28369(VarNext,bitIndex834) )
            & ( v28114_16__array(VarNext,A,bitIndex23)
            <=> v28369(VarNext,bitIndex833) )
            & ( v28114_16__array(VarNext,A,bitIndex22)
            <=> v28369(VarNext,bitIndex832) )
            & ( v28114_16__array(VarNext,A,bitIndex21)
            <=> v28369(VarNext,bitIndex831) )
            & ( v28114_16__array(VarNext,A,bitIndex20)
            <=> v28369(VarNext,bitIndex830) )
            & ( v28114_16__array(VarNext,A,bitIndex19)
            <=> v28369(VarNext,bitIndex829) )
            & ( v28114_16__array(VarNext,A,bitIndex18)
            <=> v28369(VarNext,bitIndex828) )
            & ( v28114_16__array(VarNext,A,bitIndex17)
            <=> v28369(VarNext,bitIndex827) )
            & ( v28114_16__array(VarNext,A,bitIndex16)
            <=> v28369(VarNext,bitIndex826) )
            & ( v28114_16__array(VarNext,A,bitIndex15)
            <=> v28369(VarNext,bitIndex825) )
            & ( v28114_16__array(VarNext,A,bitIndex14)
            <=> v28369(VarNext,bitIndex824) )
            & ( v28114_16__array(VarNext,A,bitIndex13)
            <=> v28369(VarNext,bitIndex823) )
            & ( v28114_16__array(VarNext,A,bitIndex12)
            <=> v28369(VarNext,bitIndex822) )
            & ( v28114_16__array(VarNext,A,bitIndex11)
            <=> v28369(VarNext,bitIndex821) )
            & ( v28114_16__array(VarNext,A,bitIndex10)
            <=> v28369(VarNext,bitIndex820) )
            & ( v28114_16__array(VarNext,A,bitIndex9)
            <=> v28369(VarNext,bitIndex819) )
            & ( v28114_16__array(VarNext,A,bitIndex8)
            <=> v28369(VarNext,bitIndex818) )
            & ( v28114_16__array(VarNext,A,bitIndex7)
            <=> v28369(VarNext,bitIndex817) )
            & ( v28114_16__array(VarNext,A,bitIndex6)
            <=> v28369(VarNext,bitIndex816) )
            & ( v28114_16__array(VarNext,A,bitIndex5)
            <=> v28369(VarNext,bitIndex815) )
            & ( v28114_16__array(VarNext,A,bitIndex4)
            <=> v28369(VarNext,bitIndex814) )
            & ( v28114_16__array(VarNext,A,bitIndex3)
            <=> v28369(VarNext,bitIndex813) )
            & ( v28114_16__array(VarNext,A,bitIndex2)
            <=> v28369(VarNext,bitIndex812) )
            & ( v28114_16__array(VarNext,A,bitIndex1)
            <=> v28369(VarNext,bitIndex811) )
            & ( v28114_16__array(VarNext,A,bitIndex0)
            <=> v28369(VarNext,bitIndex810) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6179,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28363(VarNext)
      <=> ( v28364(VarNext)
          & v28229(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6178,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28364(VarNext)
      <=> ( v28366(VarNext)
          & v28116(VarNext) ) ) ) )).

fof(writeUnaryOperator_2911,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28366(VarNext)
      <=> v28224(VarNext) ) ) )).

fof(memoryWriteDisabled_54,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b1110_address_term = A
              & v28354(VarNext) )
         => ! [B] :
              ( range_53_0(B)
             => ( v28114_15__array(VarNext,A,B)
              <=> v28114_14__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_54,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b1110_address_term = A
            & v28354(VarNext) )
         => ( ( v28114_15__array(VarNext,A,bitIndex53)
            <=> v28360(VarNext,bitIndex809) )
            & ( v28114_15__array(VarNext,A,bitIndex52)
            <=> v28360(VarNext,bitIndex808) )
            & ( v28114_15__array(VarNext,A,bitIndex51)
            <=> v28360(VarNext,bitIndex807) )
            & ( v28114_15__array(VarNext,A,bitIndex50)
            <=> v28360(VarNext,bitIndex806) )
            & ( v28114_15__array(VarNext,A,bitIndex49)
            <=> v28360(VarNext,bitIndex805) )
            & ( v28114_15__array(VarNext,A,bitIndex48)
            <=> v28360(VarNext,bitIndex804) )
            & ( v28114_15__array(VarNext,A,bitIndex47)
            <=> v28360(VarNext,bitIndex803) )
            & ( v28114_15__array(VarNext,A,bitIndex46)
            <=> v28360(VarNext,bitIndex802) )
            & ( v28114_15__array(VarNext,A,bitIndex45)
            <=> v28360(VarNext,bitIndex801) )
            & ( v28114_15__array(VarNext,A,bitIndex44)
            <=> v28360(VarNext,bitIndex800) )
            & ( v28114_15__array(VarNext,A,bitIndex43)
            <=> v28360(VarNext,bitIndex799) )
            & ( v28114_15__array(VarNext,A,bitIndex42)
            <=> v28360(VarNext,bitIndex798) )
            & ( v28114_15__array(VarNext,A,bitIndex41)
            <=> v28360(VarNext,bitIndex797) )
            & ( v28114_15__array(VarNext,A,bitIndex40)
            <=> v28360(VarNext,bitIndex796) )
            & ( v28114_15__array(VarNext,A,bitIndex39)
            <=> v28360(VarNext,bitIndex795) )
            & ( v28114_15__array(VarNext,A,bitIndex38)
            <=> v28360(VarNext,bitIndex794) )
            & ( v28114_15__array(VarNext,A,bitIndex37)
            <=> v28360(VarNext,bitIndex793) )
            & ( v28114_15__array(VarNext,A,bitIndex36)
            <=> v28360(VarNext,bitIndex792) )
            & ( v28114_15__array(VarNext,A,bitIndex35)
            <=> v28360(VarNext,bitIndex791) )
            & ( v28114_15__array(VarNext,A,bitIndex34)
            <=> v28360(VarNext,bitIndex790) )
            & ( v28114_15__array(VarNext,A,bitIndex33)
            <=> v28360(VarNext,bitIndex789) )
            & ( v28114_15__array(VarNext,A,bitIndex32)
            <=> v28360(VarNext,bitIndex788) )
            & ( v28114_15__array(VarNext,A,bitIndex31)
            <=> v28360(VarNext,bitIndex787) )
            & ( v28114_15__array(VarNext,A,bitIndex30)
            <=> v28360(VarNext,bitIndex786) )
            & ( v28114_15__array(VarNext,A,bitIndex29)
            <=> v28360(VarNext,bitIndex785) )
            & ( v28114_15__array(VarNext,A,bitIndex28)
            <=> v28360(VarNext,bitIndex784) )
            & ( v28114_15__array(VarNext,A,bitIndex27)
            <=> v28360(VarNext,bitIndex783) )
            & ( v28114_15__array(VarNext,A,bitIndex26)
            <=> v28360(VarNext,bitIndex782) )
            & ( v28114_15__array(VarNext,A,bitIndex25)
            <=> v28360(VarNext,bitIndex781) )
            & ( v28114_15__array(VarNext,A,bitIndex24)
            <=> v28360(VarNext,bitIndex780) )
            & ( v28114_15__array(VarNext,A,bitIndex23)
            <=> v28360(VarNext,bitIndex779) )
            & ( v28114_15__array(VarNext,A,bitIndex22)
            <=> v28360(VarNext,bitIndex778) )
            & ( v28114_15__array(VarNext,A,bitIndex21)
            <=> v28360(VarNext,bitIndex777) )
            & ( v28114_15__array(VarNext,A,bitIndex20)
            <=> v28360(VarNext,bitIndex776) )
            & ( v28114_15__array(VarNext,A,bitIndex19)
            <=> v28360(VarNext,bitIndex775) )
            & ( v28114_15__array(VarNext,A,bitIndex18)
            <=> v28360(VarNext,bitIndex774) )
            & ( v28114_15__array(VarNext,A,bitIndex17)
            <=> v28360(VarNext,bitIndex773) )
            & ( v28114_15__array(VarNext,A,bitIndex16)
            <=> v28360(VarNext,bitIndex772) )
            & ( v28114_15__array(VarNext,A,bitIndex15)
            <=> v28360(VarNext,bitIndex771) )
            & ( v28114_15__array(VarNext,A,bitIndex14)
            <=> v28360(VarNext,bitIndex770) )
            & ( v28114_15__array(VarNext,A,bitIndex13)
            <=> v28360(VarNext,bitIndex769) )
            & ( v28114_15__array(VarNext,A,bitIndex12)
            <=> v28360(VarNext,bitIndex768) )
            & ( v28114_15__array(VarNext,A,bitIndex11)
            <=> v28360(VarNext,bitIndex767) )
            & ( v28114_15__array(VarNext,A,bitIndex10)
            <=> v28360(VarNext,bitIndex766) )
            & ( v28114_15__array(VarNext,A,bitIndex9)
            <=> v28360(VarNext,bitIndex765) )
            & ( v28114_15__array(VarNext,A,bitIndex8)
            <=> v28360(VarNext,bitIndex764) )
            & ( v28114_15__array(VarNext,A,bitIndex7)
            <=> v28360(VarNext,bitIndex763) )
            & ( v28114_15__array(VarNext,A,bitIndex6)
            <=> v28360(VarNext,bitIndex762) )
            & ( v28114_15__array(VarNext,A,bitIndex5)
            <=> v28360(VarNext,bitIndex761) )
            & ( v28114_15__array(VarNext,A,bitIndex4)
            <=> v28360(VarNext,bitIndex760) )
            & ( v28114_15__array(VarNext,A,bitIndex3)
            <=> v28360(VarNext,bitIndex759) )
            & ( v28114_15__array(VarNext,A,bitIndex2)
            <=> v28360(VarNext,bitIndex758) )
            & ( v28114_15__array(VarNext,A,bitIndex1)
            <=> v28360(VarNext,bitIndex757) )
            & ( v28114_15__array(VarNext,A,bitIndex0)
            <=> v28360(VarNext,bitIndex756) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6177,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28354(VarNext)
      <=> ( v28355(VarNext)
          & v28229(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6176,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28355(VarNext)
      <=> ( v28357(VarNext)
          & v28116(VarNext) ) ) ) )).

fof(writeUnaryOperator_2910,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28357(VarNext)
      <=> v28224(VarNext) ) ) )).

fof(memoryWriteDisabled_53,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b1101_address_term = A
              & v28345(VarNext) )
         => ! [B] :
              ( range_53_0(B)
             => ( v28114_14__array(VarNext,A,B)
              <=> v28114_13__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_53,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b1101_address_term = A
            & v28345(VarNext) )
         => ( ( v28114_14__array(VarNext,A,bitIndex53)
            <=> v28351(VarNext,bitIndex755) )
            & ( v28114_14__array(VarNext,A,bitIndex52)
            <=> v28351(VarNext,bitIndex754) )
            & ( v28114_14__array(VarNext,A,bitIndex51)
            <=> v28351(VarNext,bitIndex753) )
            & ( v28114_14__array(VarNext,A,bitIndex50)
            <=> v28351(VarNext,bitIndex752) )
            & ( v28114_14__array(VarNext,A,bitIndex49)
            <=> v28351(VarNext,bitIndex751) )
            & ( v28114_14__array(VarNext,A,bitIndex48)
            <=> v28351(VarNext,bitIndex750) )
            & ( v28114_14__array(VarNext,A,bitIndex47)
            <=> v28351(VarNext,bitIndex749) )
            & ( v28114_14__array(VarNext,A,bitIndex46)
            <=> v28351(VarNext,bitIndex748) )
            & ( v28114_14__array(VarNext,A,bitIndex45)
            <=> v28351(VarNext,bitIndex747) )
            & ( v28114_14__array(VarNext,A,bitIndex44)
            <=> v28351(VarNext,bitIndex746) )
            & ( v28114_14__array(VarNext,A,bitIndex43)
            <=> v28351(VarNext,bitIndex745) )
            & ( v28114_14__array(VarNext,A,bitIndex42)
            <=> v28351(VarNext,bitIndex744) )
            & ( v28114_14__array(VarNext,A,bitIndex41)
            <=> v28351(VarNext,bitIndex743) )
            & ( v28114_14__array(VarNext,A,bitIndex40)
            <=> v28351(VarNext,bitIndex742) )
            & ( v28114_14__array(VarNext,A,bitIndex39)
            <=> v28351(VarNext,bitIndex741) )
            & ( v28114_14__array(VarNext,A,bitIndex38)
            <=> v28351(VarNext,bitIndex740) )
            & ( v28114_14__array(VarNext,A,bitIndex37)
            <=> v28351(VarNext,bitIndex739) )
            & ( v28114_14__array(VarNext,A,bitIndex36)
            <=> v28351(VarNext,bitIndex738) )
            & ( v28114_14__array(VarNext,A,bitIndex35)
            <=> v28351(VarNext,bitIndex737) )
            & ( v28114_14__array(VarNext,A,bitIndex34)
            <=> v28351(VarNext,bitIndex736) )
            & ( v28114_14__array(VarNext,A,bitIndex33)
            <=> v28351(VarNext,bitIndex735) )
            & ( v28114_14__array(VarNext,A,bitIndex32)
            <=> v28351(VarNext,bitIndex734) )
            & ( v28114_14__array(VarNext,A,bitIndex31)
            <=> v28351(VarNext,bitIndex733) )
            & ( v28114_14__array(VarNext,A,bitIndex30)
            <=> v28351(VarNext,bitIndex732) )
            & ( v28114_14__array(VarNext,A,bitIndex29)
            <=> v28351(VarNext,bitIndex731) )
            & ( v28114_14__array(VarNext,A,bitIndex28)
            <=> v28351(VarNext,bitIndex730) )
            & ( v28114_14__array(VarNext,A,bitIndex27)
            <=> v28351(VarNext,bitIndex729) )
            & ( v28114_14__array(VarNext,A,bitIndex26)
            <=> v28351(VarNext,bitIndex728) )
            & ( v28114_14__array(VarNext,A,bitIndex25)
            <=> v28351(VarNext,bitIndex727) )
            & ( v28114_14__array(VarNext,A,bitIndex24)
            <=> v28351(VarNext,bitIndex726) )
            & ( v28114_14__array(VarNext,A,bitIndex23)
            <=> v28351(VarNext,bitIndex725) )
            & ( v28114_14__array(VarNext,A,bitIndex22)
            <=> v28351(VarNext,bitIndex724) )
            & ( v28114_14__array(VarNext,A,bitIndex21)
            <=> v28351(VarNext,bitIndex723) )
            & ( v28114_14__array(VarNext,A,bitIndex20)
            <=> v28351(VarNext,bitIndex722) )
            & ( v28114_14__array(VarNext,A,bitIndex19)
            <=> v28351(VarNext,bitIndex721) )
            & ( v28114_14__array(VarNext,A,bitIndex18)
            <=> v28351(VarNext,bitIndex720) )
            & ( v28114_14__array(VarNext,A,bitIndex17)
            <=> v28351(VarNext,bitIndex719) )
            & ( v28114_14__array(VarNext,A,bitIndex16)
            <=> v28351(VarNext,bitIndex718) )
            & ( v28114_14__array(VarNext,A,bitIndex15)
            <=> v28351(VarNext,bitIndex717) )
            & ( v28114_14__array(VarNext,A,bitIndex14)
            <=> v28351(VarNext,bitIndex716) )
            & ( v28114_14__array(VarNext,A,bitIndex13)
            <=> v28351(VarNext,bitIndex715) )
            & ( v28114_14__array(VarNext,A,bitIndex12)
            <=> v28351(VarNext,bitIndex714) )
            & ( v28114_14__array(VarNext,A,bitIndex11)
            <=> v28351(VarNext,bitIndex713) )
            & ( v28114_14__array(VarNext,A,bitIndex10)
            <=> v28351(VarNext,bitIndex712) )
            & ( v28114_14__array(VarNext,A,bitIndex9)
            <=> v28351(VarNext,bitIndex711) )
            & ( v28114_14__array(VarNext,A,bitIndex8)
            <=> v28351(VarNext,bitIndex710) )
            & ( v28114_14__array(VarNext,A,bitIndex7)
            <=> v28351(VarNext,bitIndex709) )
            & ( v28114_14__array(VarNext,A,bitIndex6)
            <=> v28351(VarNext,bitIndex708) )
            & ( v28114_14__array(VarNext,A,bitIndex5)
            <=> v28351(VarNext,bitIndex707) )
            & ( v28114_14__array(VarNext,A,bitIndex4)
            <=> v28351(VarNext,bitIndex706) )
            & ( v28114_14__array(VarNext,A,bitIndex3)
            <=> v28351(VarNext,bitIndex705) )
            & ( v28114_14__array(VarNext,A,bitIndex2)
            <=> v28351(VarNext,bitIndex704) )
            & ( v28114_14__array(VarNext,A,bitIndex1)
            <=> v28351(VarNext,bitIndex703) )
            & ( v28114_14__array(VarNext,A,bitIndex0)
            <=> v28351(VarNext,bitIndex702) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6175,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28345(VarNext)
      <=> ( v28346(VarNext)
          & v28229(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6174,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28346(VarNext)
      <=> ( v28348(VarNext)
          & v28116(VarNext) ) ) ) )).

fof(writeUnaryOperator_2909,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28348(VarNext)
      <=> v28224(VarNext) ) ) )).

fof(memoryWriteDisabled_52,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b1100_address_term = A
              & v28336(VarNext) )
         => ! [B] :
              ( range_53_0(B)
             => ( v28114_13__array(VarNext,A,B)
              <=> v28114_12__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_52,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b1100_address_term = A
            & v28336(VarNext) )
         => ( ( v28114_13__array(VarNext,A,bitIndex53)
            <=> v28342(VarNext,bitIndex701) )
            & ( v28114_13__array(VarNext,A,bitIndex52)
            <=> v28342(VarNext,bitIndex700) )
            & ( v28114_13__array(VarNext,A,bitIndex51)
            <=> v28342(VarNext,bitIndex699) )
            & ( v28114_13__array(VarNext,A,bitIndex50)
            <=> v28342(VarNext,bitIndex698) )
            & ( v28114_13__array(VarNext,A,bitIndex49)
            <=> v28342(VarNext,bitIndex697) )
            & ( v28114_13__array(VarNext,A,bitIndex48)
            <=> v28342(VarNext,bitIndex696) )
            & ( v28114_13__array(VarNext,A,bitIndex47)
            <=> v28342(VarNext,bitIndex695) )
            & ( v28114_13__array(VarNext,A,bitIndex46)
            <=> v28342(VarNext,bitIndex694) )
            & ( v28114_13__array(VarNext,A,bitIndex45)
            <=> v28342(VarNext,bitIndex693) )
            & ( v28114_13__array(VarNext,A,bitIndex44)
            <=> v28342(VarNext,bitIndex692) )
            & ( v28114_13__array(VarNext,A,bitIndex43)
            <=> v28342(VarNext,bitIndex691) )
            & ( v28114_13__array(VarNext,A,bitIndex42)
            <=> v28342(VarNext,bitIndex690) )
            & ( v28114_13__array(VarNext,A,bitIndex41)
            <=> v28342(VarNext,bitIndex689) )
            & ( v28114_13__array(VarNext,A,bitIndex40)
            <=> v28342(VarNext,bitIndex688) )
            & ( v28114_13__array(VarNext,A,bitIndex39)
            <=> v28342(VarNext,bitIndex687) )
            & ( v28114_13__array(VarNext,A,bitIndex38)
            <=> v28342(VarNext,bitIndex686) )
            & ( v28114_13__array(VarNext,A,bitIndex37)
            <=> v28342(VarNext,bitIndex685) )
            & ( v28114_13__array(VarNext,A,bitIndex36)
            <=> v28342(VarNext,bitIndex684) )
            & ( v28114_13__array(VarNext,A,bitIndex35)
            <=> v28342(VarNext,bitIndex683) )
            & ( v28114_13__array(VarNext,A,bitIndex34)
            <=> v28342(VarNext,bitIndex682) )
            & ( v28114_13__array(VarNext,A,bitIndex33)
            <=> v28342(VarNext,bitIndex681) )
            & ( v28114_13__array(VarNext,A,bitIndex32)
            <=> v28342(VarNext,bitIndex680) )
            & ( v28114_13__array(VarNext,A,bitIndex31)
            <=> v28342(VarNext,bitIndex679) )
            & ( v28114_13__array(VarNext,A,bitIndex30)
            <=> v28342(VarNext,bitIndex678) )
            & ( v28114_13__array(VarNext,A,bitIndex29)
            <=> v28342(VarNext,bitIndex677) )
            & ( v28114_13__array(VarNext,A,bitIndex28)
            <=> v28342(VarNext,bitIndex676) )
            & ( v28114_13__array(VarNext,A,bitIndex27)
            <=> v28342(VarNext,bitIndex675) )
            & ( v28114_13__array(VarNext,A,bitIndex26)
            <=> v28342(VarNext,bitIndex674) )
            & ( v28114_13__array(VarNext,A,bitIndex25)
            <=> v28342(VarNext,bitIndex673) )
            & ( v28114_13__array(VarNext,A,bitIndex24)
            <=> v28342(VarNext,bitIndex672) )
            & ( v28114_13__array(VarNext,A,bitIndex23)
            <=> v28342(VarNext,bitIndex671) )
            & ( v28114_13__array(VarNext,A,bitIndex22)
            <=> v28342(VarNext,bitIndex670) )
            & ( v28114_13__array(VarNext,A,bitIndex21)
            <=> v28342(VarNext,bitIndex669) )
            & ( v28114_13__array(VarNext,A,bitIndex20)
            <=> v28342(VarNext,bitIndex668) )
            & ( v28114_13__array(VarNext,A,bitIndex19)
            <=> v28342(VarNext,bitIndex667) )
            & ( v28114_13__array(VarNext,A,bitIndex18)
            <=> v28342(VarNext,bitIndex666) )
            & ( v28114_13__array(VarNext,A,bitIndex17)
            <=> v28342(VarNext,bitIndex665) )
            & ( v28114_13__array(VarNext,A,bitIndex16)
            <=> v28342(VarNext,bitIndex664) )
            & ( v28114_13__array(VarNext,A,bitIndex15)
            <=> v28342(VarNext,bitIndex663) )
            & ( v28114_13__array(VarNext,A,bitIndex14)
            <=> v28342(VarNext,bitIndex662) )
            & ( v28114_13__array(VarNext,A,bitIndex13)
            <=> v28342(VarNext,bitIndex661) )
            & ( v28114_13__array(VarNext,A,bitIndex12)
            <=> v28342(VarNext,bitIndex660) )
            & ( v28114_13__array(VarNext,A,bitIndex11)
            <=> v28342(VarNext,bitIndex659) )
            & ( v28114_13__array(VarNext,A,bitIndex10)
            <=> v28342(VarNext,bitIndex658) )
            & ( v28114_13__array(VarNext,A,bitIndex9)
            <=> v28342(VarNext,bitIndex657) )
            & ( v28114_13__array(VarNext,A,bitIndex8)
            <=> v28342(VarNext,bitIndex656) )
            & ( v28114_13__array(VarNext,A,bitIndex7)
            <=> v28342(VarNext,bitIndex655) )
            & ( v28114_13__array(VarNext,A,bitIndex6)
            <=> v28342(VarNext,bitIndex654) )
            & ( v28114_13__array(VarNext,A,bitIndex5)
            <=> v28342(VarNext,bitIndex653) )
            & ( v28114_13__array(VarNext,A,bitIndex4)
            <=> v28342(VarNext,bitIndex652) )
            & ( v28114_13__array(VarNext,A,bitIndex3)
            <=> v28342(VarNext,bitIndex651) )
            & ( v28114_13__array(VarNext,A,bitIndex2)
            <=> v28342(VarNext,bitIndex650) )
            & ( v28114_13__array(VarNext,A,bitIndex1)
            <=> v28342(VarNext,bitIndex649) )
            & ( v28114_13__array(VarNext,A,bitIndex0)
            <=> v28342(VarNext,bitIndex648) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6173,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28336(VarNext)
      <=> ( v28337(VarNext)
          & v28229(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6172,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28337(VarNext)
      <=> ( v28339(VarNext)
          & v28116(VarNext) ) ) ) )).

fof(writeUnaryOperator_2908,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28339(VarNext)
      <=> v28224(VarNext) ) ) )).

fof(memoryWriteDisabled_51,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b1011_address_term = A
              & v28327(VarNext) )
         => ! [B] :
              ( range_53_0(B)
             => ( v28114_12__array(VarNext,A,B)
              <=> v28114_11__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_51,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b1011_address_term = A
            & v28327(VarNext) )
         => ( ( v28114_12__array(VarNext,A,bitIndex53)
            <=> v28333(VarNext,bitIndex647) )
            & ( v28114_12__array(VarNext,A,bitIndex52)
            <=> v28333(VarNext,bitIndex646) )
            & ( v28114_12__array(VarNext,A,bitIndex51)
            <=> v28333(VarNext,bitIndex645) )
            & ( v28114_12__array(VarNext,A,bitIndex50)
            <=> v28333(VarNext,bitIndex644) )
            & ( v28114_12__array(VarNext,A,bitIndex49)
            <=> v28333(VarNext,bitIndex643) )
            & ( v28114_12__array(VarNext,A,bitIndex48)
            <=> v28333(VarNext,bitIndex642) )
            & ( v28114_12__array(VarNext,A,bitIndex47)
            <=> v28333(VarNext,bitIndex641) )
            & ( v28114_12__array(VarNext,A,bitIndex46)
            <=> v28333(VarNext,bitIndex640) )
            & ( v28114_12__array(VarNext,A,bitIndex45)
            <=> v28333(VarNext,bitIndex639) )
            & ( v28114_12__array(VarNext,A,bitIndex44)
            <=> v28333(VarNext,bitIndex638) )
            & ( v28114_12__array(VarNext,A,bitIndex43)
            <=> v28333(VarNext,bitIndex637) )
            & ( v28114_12__array(VarNext,A,bitIndex42)
            <=> v28333(VarNext,bitIndex636) )
            & ( v28114_12__array(VarNext,A,bitIndex41)
            <=> v28333(VarNext,bitIndex635) )
            & ( v28114_12__array(VarNext,A,bitIndex40)
            <=> v28333(VarNext,bitIndex634) )
            & ( v28114_12__array(VarNext,A,bitIndex39)
            <=> v28333(VarNext,bitIndex633) )
            & ( v28114_12__array(VarNext,A,bitIndex38)
            <=> v28333(VarNext,bitIndex632) )
            & ( v28114_12__array(VarNext,A,bitIndex37)
            <=> v28333(VarNext,bitIndex631) )
            & ( v28114_12__array(VarNext,A,bitIndex36)
            <=> v28333(VarNext,bitIndex630) )
            & ( v28114_12__array(VarNext,A,bitIndex35)
            <=> v28333(VarNext,bitIndex629) )
            & ( v28114_12__array(VarNext,A,bitIndex34)
            <=> v28333(VarNext,bitIndex628) )
            & ( v28114_12__array(VarNext,A,bitIndex33)
            <=> v28333(VarNext,bitIndex627) )
            & ( v28114_12__array(VarNext,A,bitIndex32)
            <=> v28333(VarNext,bitIndex626) )
            & ( v28114_12__array(VarNext,A,bitIndex31)
            <=> v28333(VarNext,bitIndex625) )
            & ( v28114_12__array(VarNext,A,bitIndex30)
            <=> v28333(VarNext,bitIndex624) )
            & ( v28114_12__array(VarNext,A,bitIndex29)
            <=> v28333(VarNext,bitIndex623) )
            & ( v28114_12__array(VarNext,A,bitIndex28)
            <=> v28333(VarNext,bitIndex622) )
            & ( v28114_12__array(VarNext,A,bitIndex27)
            <=> v28333(VarNext,bitIndex621) )
            & ( v28114_12__array(VarNext,A,bitIndex26)
            <=> v28333(VarNext,bitIndex620) )
            & ( v28114_12__array(VarNext,A,bitIndex25)
            <=> v28333(VarNext,bitIndex619) )
            & ( v28114_12__array(VarNext,A,bitIndex24)
            <=> v28333(VarNext,bitIndex618) )
            & ( v28114_12__array(VarNext,A,bitIndex23)
            <=> v28333(VarNext,bitIndex617) )
            & ( v28114_12__array(VarNext,A,bitIndex22)
            <=> v28333(VarNext,bitIndex616) )
            & ( v28114_12__array(VarNext,A,bitIndex21)
            <=> v28333(VarNext,bitIndex615) )
            & ( v28114_12__array(VarNext,A,bitIndex20)
            <=> v28333(VarNext,bitIndex614) )
            & ( v28114_12__array(VarNext,A,bitIndex19)
            <=> v28333(VarNext,bitIndex613) )
            & ( v28114_12__array(VarNext,A,bitIndex18)
            <=> v28333(VarNext,bitIndex612) )
            & ( v28114_12__array(VarNext,A,bitIndex17)
            <=> v28333(VarNext,bitIndex611) )
            & ( v28114_12__array(VarNext,A,bitIndex16)
            <=> v28333(VarNext,bitIndex610) )
            & ( v28114_12__array(VarNext,A,bitIndex15)
            <=> v28333(VarNext,bitIndex609) )
            & ( v28114_12__array(VarNext,A,bitIndex14)
            <=> v28333(VarNext,bitIndex608) )
            & ( v28114_12__array(VarNext,A,bitIndex13)
            <=> v28333(VarNext,bitIndex607) )
            & ( v28114_12__array(VarNext,A,bitIndex12)
            <=> v28333(VarNext,bitIndex606) )
            & ( v28114_12__array(VarNext,A,bitIndex11)
            <=> v28333(VarNext,bitIndex605) )
            & ( v28114_12__array(VarNext,A,bitIndex10)
            <=> v28333(VarNext,bitIndex604) )
            & ( v28114_12__array(VarNext,A,bitIndex9)
            <=> v28333(VarNext,bitIndex603) )
            & ( v28114_12__array(VarNext,A,bitIndex8)
            <=> v28333(VarNext,bitIndex602) )
            & ( v28114_12__array(VarNext,A,bitIndex7)
            <=> v28333(VarNext,bitIndex601) )
            & ( v28114_12__array(VarNext,A,bitIndex6)
            <=> v28333(VarNext,bitIndex600) )
            & ( v28114_12__array(VarNext,A,bitIndex5)
            <=> v28333(VarNext,bitIndex599) )
            & ( v28114_12__array(VarNext,A,bitIndex4)
            <=> v28333(VarNext,bitIndex598) )
            & ( v28114_12__array(VarNext,A,bitIndex3)
            <=> v28333(VarNext,bitIndex597) )
            & ( v28114_12__array(VarNext,A,bitIndex2)
            <=> v28333(VarNext,bitIndex596) )
            & ( v28114_12__array(VarNext,A,bitIndex1)
            <=> v28333(VarNext,bitIndex595) )
            & ( v28114_12__array(VarNext,A,bitIndex0)
            <=> v28333(VarNext,bitIndex594) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6171,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28327(VarNext)
      <=> ( v28328(VarNext)
          & v28229(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6170,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28328(VarNext)
      <=> ( v28330(VarNext)
          & v28116(VarNext) ) ) ) )).

fof(writeUnaryOperator_2907,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28330(VarNext)
      <=> v28224(VarNext) ) ) )).

fof(memoryWriteDisabled_50,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b1010_address_term = A
              & v28318(VarNext) )
         => ! [B] :
              ( range_53_0(B)
             => ( v28114_11__array(VarNext,A,B)
              <=> v28114_10__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_50,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b1010_address_term = A
            & v28318(VarNext) )
         => ( ( v28114_11__array(VarNext,A,bitIndex53)
            <=> v28324(VarNext,bitIndex593) )
            & ( v28114_11__array(VarNext,A,bitIndex52)
            <=> v28324(VarNext,bitIndex592) )
            & ( v28114_11__array(VarNext,A,bitIndex51)
            <=> v28324(VarNext,bitIndex591) )
            & ( v28114_11__array(VarNext,A,bitIndex50)
            <=> v28324(VarNext,bitIndex590) )
            & ( v28114_11__array(VarNext,A,bitIndex49)
            <=> v28324(VarNext,bitIndex589) )
            & ( v28114_11__array(VarNext,A,bitIndex48)
            <=> v28324(VarNext,bitIndex588) )
            & ( v28114_11__array(VarNext,A,bitIndex47)
            <=> v28324(VarNext,bitIndex587) )
            & ( v28114_11__array(VarNext,A,bitIndex46)
            <=> v28324(VarNext,bitIndex586) )
            & ( v28114_11__array(VarNext,A,bitIndex45)
            <=> v28324(VarNext,bitIndex585) )
            & ( v28114_11__array(VarNext,A,bitIndex44)
            <=> v28324(VarNext,bitIndex584) )
            & ( v28114_11__array(VarNext,A,bitIndex43)
            <=> v28324(VarNext,bitIndex583) )
            & ( v28114_11__array(VarNext,A,bitIndex42)
            <=> v28324(VarNext,bitIndex582) )
            & ( v28114_11__array(VarNext,A,bitIndex41)
            <=> v28324(VarNext,bitIndex581) )
            & ( v28114_11__array(VarNext,A,bitIndex40)
            <=> v28324(VarNext,bitIndex580) )
            & ( v28114_11__array(VarNext,A,bitIndex39)
            <=> v28324(VarNext,bitIndex579) )
            & ( v28114_11__array(VarNext,A,bitIndex38)
            <=> v28324(VarNext,bitIndex578) )
            & ( v28114_11__array(VarNext,A,bitIndex37)
            <=> v28324(VarNext,bitIndex577) )
            & ( v28114_11__array(VarNext,A,bitIndex36)
            <=> v28324(VarNext,bitIndex576) )
            & ( v28114_11__array(VarNext,A,bitIndex35)
            <=> v28324(VarNext,bitIndex575) )
            & ( v28114_11__array(VarNext,A,bitIndex34)
            <=> v28324(VarNext,bitIndex574) )
            & ( v28114_11__array(VarNext,A,bitIndex33)
            <=> v28324(VarNext,bitIndex573) )
            & ( v28114_11__array(VarNext,A,bitIndex32)
            <=> v28324(VarNext,bitIndex572) )
            & ( v28114_11__array(VarNext,A,bitIndex31)
            <=> v28324(VarNext,bitIndex571) )
            & ( v28114_11__array(VarNext,A,bitIndex30)
            <=> v28324(VarNext,bitIndex570) )
            & ( v28114_11__array(VarNext,A,bitIndex29)
            <=> v28324(VarNext,bitIndex569) )
            & ( v28114_11__array(VarNext,A,bitIndex28)
            <=> v28324(VarNext,bitIndex568) )
            & ( v28114_11__array(VarNext,A,bitIndex27)
            <=> v28324(VarNext,bitIndex567) )
            & ( v28114_11__array(VarNext,A,bitIndex26)
            <=> v28324(VarNext,bitIndex566) )
            & ( v28114_11__array(VarNext,A,bitIndex25)
            <=> v28324(VarNext,bitIndex565) )
            & ( v28114_11__array(VarNext,A,bitIndex24)
            <=> v28324(VarNext,bitIndex564) )
            & ( v28114_11__array(VarNext,A,bitIndex23)
            <=> v28324(VarNext,bitIndex563) )
            & ( v28114_11__array(VarNext,A,bitIndex22)
            <=> v28324(VarNext,bitIndex562) )
            & ( v28114_11__array(VarNext,A,bitIndex21)
            <=> v28324(VarNext,bitIndex561) )
            & ( v28114_11__array(VarNext,A,bitIndex20)
            <=> v28324(VarNext,bitIndex560) )
            & ( v28114_11__array(VarNext,A,bitIndex19)
            <=> v28324(VarNext,bitIndex559) )
            & ( v28114_11__array(VarNext,A,bitIndex18)
            <=> v28324(VarNext,bitIndex558) )
            & ( v28114_11__array(VarNext,A,bitIndex17)
            <=> v28324(VarNext,bitIndex557) )
            & ( v28114_11__array(VarNext,A,bitIndex16)
            <=> v28324(VarNext,bitIndex556) )
            & ( v28114_11__array(VarNext,A,bitIndex15)
            <=> v28324(VarNext,bitIndex555) )
            & ( v28114_11__array(VarNext,A,bitIndex14)
            <=> v28324(VarNext,bitIndex554) )
            & ( v28114_11__array(VarNext,A,bitIndex13)
            <=> v28324(VarNext,bitIndex553) )
            & ( v28114_11__array(VarNext,A,bitIndex12)
            <=> v28324(VarNext,bitIndex552) )
            & ( v28114_11__array(VarNext,A,bitIndex11)
            <=> v28324(VarNext,bitIndex551) )
            & ( v28114_11__array(VarNext,A,bitIndex10)
            <=> v28324(VarNext,bitIndex550) )
            & ( v28114_11__array(VarNext,A,bitIndex9)
            <=> v28324(VarNext,bitIndex549) )
            & ( v28114_11__array(VarNext,A,bitIndex8)
            <=> v28324(VarNext,bitIndex548) )
            & ( v28114_11__array(VarNext,A,bitIndex7)
            <=> v28324(VarNext,bitIndex547) )
            & ( v28114_11__array(VarNext,A,bitIndex6)
            <=> v28324(VarNext,bitIndex546) )
            & ( v28114_11__array(VarNext,A,bitIndex5)
            <=> v28324(VarNext,bitIndex545) )
            & ( v28114_11__array(VarNext,A,bitIndex4)
            <=> v28324(VarNext,bitIndex544) )
            & ( v28114_11__array(VarNext,A,bitIndex3)
            <=> v28324(VarNext,bitIndex543) )
            & ( v28114_11__array(VarNext,A,bitIndex2)
            <=> v28324(VarNext,bitIndex542) )
            & ( v28114_11__array(VarNext,A,bitIndex1)
            <=> v28324(VarNext,bitIndex541) )
            & ( v28114_11__array(VarNext,A,bitIndex0)
            <=> v28324(VarNext,bitIndex540) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6169,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28318(VarNext)
      <=> ( v28319(VarNext)
          & v28229(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6168,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28319(VarNext)
      <=> ( v28321(VarNext)
          & v28116(VarNext) ) ) ) )).

fof(writeUnaryOperator_2906,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28321(VarNext)
      <=> v28224(VarNext) ) ) )).

fof(memoryWriteDisabled_49,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b1001_address_term = A
              & v28309(VarNext) )
         => ! [B] :
              ( range_53_0(B)
             => ( v28114_10__array(VarNext,A,B)
              <=> v28114_9__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_49,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b1001_address_term = A
            & v28309(VarNext) )
         => ( ( v28114_10__array(VarNext,A,bitIndex53)
            <=> v28315(VarNext,bitIndex539) )
            & ( v28114_10__array(VarNext,A,bitIndex52)
            <=> v28315(VarNext,bitIndex538) )
            & ( v28114_10__array(VarNext,A,bitIndex51)
            <=> v28315(VarNext,bitIndex537) )
            & ( v28114_10__array(VarNext,A,bitIndex50)
            <=> v28315(VarNext,bitIndex536) )
            & ( v28114_10__array(VarNext,A,bitIndex49)
            <=> v28315(VarNext,bitIndex535) )
            & ( v28114_10__array(VarNext,A,bitIndex48)
            <=> v28315(VarNext,bitIndex534) )
            & ( v28114_10__array(VarNext,A,bitIndex47)
            <=> v28315(VarNext,bitIndex533) )
            & ( v28114_10__array(VarNext,A,bitIndex46)
            <=> v28315(VarNext,bitIndex532) )
            & ( v28114_10__array(VarNext,A,bitIndex45)
            <=> v28315(VarNext,bitIndex531) )
            & ( v28114_10__array(VarNext,A,bitIndex44)
            <=> v28315(VarNext,bitIndex530) )
            & ( v28114_10__array(VarNext,A,bitIndex43)
            <=> v28315(VarNext,bitIndex529) )
            & ( v28114_10__array(VarNext,A,bitIndex42)
            <=> v28315(VarNext,bitIndex528) )
            & ( v28114_10__array(VarNext,A,bitIndex41)
            <=> v28315(VarNext,bitIndex527) )
            & ( v28114_10__array(VarNext,A,bitIndex40)
            <=> v28315(VarNext,bitIndex526) )
            & ( v28114_10__array(VarNext,A,bitIndex39)
            <=> v28315(VarNext,bitIndex525) )
            & ( v28114_10__array(VarNext,A,bitIndex38)
            <=> v28315(VarNext,bitIndex524) )
            & ( v28114_10__array(VarNext,A,bitIndex37)
            <=> v28315(VarNext,bitIndex523) )
            & ( v28114_10__array(VarNext,A,bitIndex36)
            <=> v28315(VarNext,bitIndex522) )
            & ( v28114_10__array(VarNext,A,bitIndex35)
            <=> v28315(VarNext,bitIndex521) )
            & ( v28114_10__array(VarNext,A,bitIndex34)
            <=> v28315(VarNext,bitIndex520) )
            & ( v28114_10__array(VarNext,A,bitIndex33)
            <=> v28315(VarNext,bitIndex519) )
            & ( v28114_10__array(VarNext,A,bitIndex32)
            <=> v28315(VarNext,bitIndex518) )
            & ( v28114_10__array(VarNext,A,bitIndex31)
            <=> v28315(VarNext,bitIndex517) )
            & ( v28114_10__array(VarNext,A,bitIndex30)
            <=> v28315(VarNext,bitIndex516) )
            & ( v28114_10__array(VarNext,A,bitIndex29)
            <=> v28315(VarNext,bitIndex515) )
            & ( v28114_10__array(VarNext,A,bitIndex28)
            <=> v28315(VarNext,bitIndex514) )
            & ( v28114_10__array(VarNext,A,bitIndex27)
            <=> v28315(VarNext,bitIndex513) )
            & ( v28114_10__array(VarNext,A,bitIndex26)
            <=> v28315(VarNext,bitIndex512) )
            & ( v28114_10__array(VarNext,A,bitIndex25)
            <=> v28315(VarNext,bitIndex511) )
            & ( v28114_10__array(VarNext,A,bitIndex24)
            <=> v28315(VarNext,bitIndex510) )
            & ( v28114_10__array(VarNext,A,bitIndex23)
            <=> v28315(VarNext,bitIndex509) )
            & ( v28114_10__array(VarNext,A,bitIndex22)
            <=> v28315(VarNext,bitIndex508) )
            & ( v28114_10__array(VarNext,A,bitIndex21)
            <=> v28315(VarNext,bitIndex507) )
            & ( v28114_10__array(VarNext,A,bitIndex20)
            <=> v28315(VarNext,bitIndex506) )
            & ( v28114_10__array(VarNext,A,bitIndex19)
            <=> v28315(VarNext,bitIndex505) )
            & ( v28114_10__array(VarNext,A,bitIndex18)
            <=> v28315(VarNext,bitIndex504) )
            & ( v28114_10__array(VarNext,A,bitIndex17)
            <=> v28315(VarNext,bitIndex503) )
            & ( v28114_10__array(VarNext,A,bitIndex16)
            <=> v28315(VarNext,bitIndex502) )
            & ( v28114_10__array(VarNext,A,bitIndex15)
            <=> v28315(VarNext,bitIndex501) )
            & ( v28114_10__array(VarNext,A,bitIndex14)
            <=> v28315(VarNext,bitIndex500) )
            & ( v28114_10__array(VarNext,A,bitIndex13)
            <=> v28315(VarNext,bitIndex499) )
            & ( v28114_10__array(VarNext,A,bitIndex12)
            <=> v28315(VarNext,bitIndex498) )
            & ( v28114_10__array(VarNext,A,bitIndex11)
            <=> v28315(VarNext,bitIndex497) )
            & ( v28114_10__array(VarNext,A,bitIndex10)
            <=> v28315(VarNext,bitIndex496) )
            & ( v28114_10__array(VarNext,A,bitIndex9)
            <=> v28315(VarNext,bitIndex495) )
            & ( v28114_10__array(VarNext,A,bitIndex8)
            <=> v28315(VarNext,bitIndex494) )
            & ( v28114_10__array(VarNext,A,bitIndex7)
            <=> v28315(VarNext,bitIndex493) )
            & ( v28114_10__array(VarNext,A,bitIndex6)
            <=> v28315(VarNext,bitIndex492) )
            & ( v28114_10__array(VarNext,A,bitIndex5)
            <=> v28315(VarNext,bitIndex491) )
            & ( v28114_10__array(VarNext,A,bitIndex4)
            <=> v28315(VarNext,bitIndex490) )
            & ( v28114_10__array(VarNext,A,bitIndex3)
            <=> v28315(VarNext,bitIndex489) )
            & ( v28114_10__array(VarNext,A,bitIndex2)
            <=> v28315(VarNext,bitIndex488) )
            & ( v28114_10__array(VarNext,A,bitIndex1)
            <=> v28315(VarNext,bitIndex487) )
            & ( v28114_10__array(VarNext,A,bitIndex0)
            <=> v28315(VarNext,bitIndex486) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6167,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28309(VarNext)
      <=> ( v28310(VarNext)
          & v28229(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6166,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28310(VarNext)
      <=> ( v28312(VarNext)
          & v28116(VarNext) ) ) ) )).

fof(writeUnaryOperator_2905,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28312(VarNext)
      <=> v28224(VarNext) ) ) )).

fof(memoryWriteDisabled_48,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b1000_address_term = A
              & v28300(VarNext) )
         => ! [B] :
              ( range_53_0(B)
             => ( v28114_9__array(VarNext,A,B)
              <=> v28114_8__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_48,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b1000_address_term = A
            & v28300(VarNext) )
         => ( ( v28114_9__array(VarNext,A,bitIndex53)
            <=> v28306(VarNext,bitIndex485) )
            & ( v28114_9__array(VarNext,A,bitIndex52)
            <=> v28306(VarNext,bitIndex484) )
            & ( v28114_9__array(VarNext,A,bitIndex51)
            <=> v28306(VarNext,bitIndex483) )
            & ( v28114_9__array(VarNext,A,bitIndex50)
            <=> v28306(VarNext,bitIndex482) )
            & ( v28114_9__array(VarNext,A,bitIndex49)
            <=> v28306(VarNext,bitIndex481) )
            & ( v28114_9__array(VarNext,A,bitIndex48)
            <=> v28306(VarNext,bitIndex480) )
            & ( v28114_9__array(VarNext,A,bitIndex47)
            <=> v28306(VarNext,bitIndex479) )
            & ( v28114_9__array(VarNext,A,bitIndex46)
            <=> v28306(VarNext,bitIndex478) )
            & ( v28114_9__array(VarNext,A,bitIndex45)
            <=> v28306(VarNext,bitIndex477) )
            & ( v28114_9__array(VarNext,A,bitIndex44)
            <=> v28306(VarNext,bitIndex476) )
            & ( v28114_9__array(VarNext,A,bitIndex43)
            <=> v28306(VarNext,bitIndex475) )
            & ( v28114_9__array(VarNext,A,bitIndex42)
            <=> v28306(VarNext,bitIndex474) )
            & ( v28114_9__array(VarNext,A,bitIndex41)
            <=> v28306(VarNext,bitIndex473) )
            & ( v28114_9__array(VarNext,A,bitIndex40)
            <=> v28306(VarNext,bitIndex472) )
            & ( v28114_9__array(VarNext,A,bitIndex39)
            <=> v28306(VarNext,bitIndex471) )
            & ( v28114_9__array(VarNext,A,bitIndex38)
            <=> v28306(VarNext,bitIndex470) )
            & ( v28114_9__array(VarNext,A,bitIndex37)
            <=> v28306(VarNext,bitIndex469) )
            & ( v28114_9__array(VarNext,A,bitIndex36)
            <=> v28306(VarNext,bitIndex468) )
            & ( v28114_9__array(VarNext,A,bitIndex35)
            <=> v28306(VarNext,bitIndex467) )
            & ( v28114_9__array(VarNext,A,bitIndex34)
            <=> v28306(VarNext,bitIndex466) )
            & ( v28114_9__array(VarNext,A,bitIndex33)
            <=> v28306(VarNext,bitIndex465) )
            & ( v28114_9__array(VarNext,A,bitIndex32)
            <=> v28306(VarNext,bitIndex464) )
            & ( v28114_9__array(VarNext,A,bitIndex31)
            <=> v28306(VarNext,bitIndex463) )
            & ( v28114_9__array(VarNext,A,bitIndex30)
            <=> v28306(VarNext,bitIndex462) )
            & ( v28114_9__array(VarNext,A,bitIndex29)
            <=> v28306(VarNext,bitIndex461) )
            & ( v28114_9__array(VarNext,A,bitIndex28)
            <=> v28306(VarNext,bitIndex460) )
            & ( v28114_9__array(VarNext,A,bitIndex27)
            <=> v28306(VarNext,bitIndex459) )
            & ( v28114_9__array(VarNext,A,bitIndex26)
            <=> v28306(VarNext,bitIndex458) )
            & ( v28114_9__array(VarNext,A,bitIndex25)
            <=> v28306(VarNext,bitIndex457) )
            & ( v28114_9__array(VarNext,A,bitIndex24)
            <=> v28306(VarNext,bitIndex456) )
            & ( v28114_9__array(VarNext,A,bitIndex23)
            <=> v28306(VarNext,bitIndex455) )
            & ( v28114_9__array(VarNext,A,bitIndex22)
            <=> v28306(VarNext,bitIndex454) )
            & ( v28114_9__array(VarNext,A,bitIndex21)
            <=> v28306(VarNext,bitIndex453) )
            & ( v28114_9__array(VarNext,A,bitIndex20)
            <=> v28306(VarNext,bitIndex452) )
            & ( v28114_9__array(VarNext,A,bitIndex19)
            <=> v28306(VarNext,bitIndex451) )
            & ( v28114_9__array(VarNext,A,bitIndex18)
            <=> v28306(VarNext,bitIndex450) )
            & ( v28114_9__array(VarNext,A,bitIndex17)
            <=> v28306(VarNext,bitIndex449) )
            & ( v28114_9__array(VarNext,A,bitIndex16)
            <=> v28306(VarNext,bitIndex448) )
            & ( v28114_9__array(VarNext,A,bitIndex15)
            <=> v28306(VarNext,bitIndex447) )
            & ( v28114_9__array(VarNext,A,bitIndex14)
            <=> v28306(VarNext,bitIndex446) )
            & ( v28114_9__array(VarNext,A,bitIndex13)
            <=> v28306(VarNext,bitIndex445) )
            & ( v28114_9__array(VarNext,A,bitIndex12)
            <=> v28306(VarNext,bitIndex444) )
            & ( v28114_9__array(VarNext,A,bitIndex11)
            <=> v28306(VarNext,bitIndex443) )
            & ( v28114_9__array(VarNext,A,bitIndex10)
            <=> v28306(VarNext,bitIndex442) )
            & ( v28114_9__array(VarNext,A,bitIndex9)
            <=> v28306(VarNext,bitIndex441) )
            & ( v28114_9__array(VarNext,A,bitIndex8)
            <=> v28306(VarNext,bitIndex440) )
            & ( v28114_9__array(VarNext,A,bitIndex7)
            <=> v28306(VarNext,bitIndex439) )
            & ( v28114_9__array(VarNext,A,bitIndex6)
            <=> v28306(VarNext,bitIndex438) )
            & ( v28114_9__array(VarNext,A,bitIndex5)
            <=> v28306(VarNext,bitIndex437) )
            & ( v28114_9__array(VarNext,A,bitIndex4)
            <=> v28306(VarNext,bitIndex436) )
            & ( v28114_9__array(VarNext,A,bitIndex3)
            <=> v28306(VarNext,bitIndex435) )
            & ( v28114_9__array(VarNext,A,bitIndex2)
            <=> v28306(VarNext,bitIndex434) )
            & ( v28114_9__array(VarNext,A,bitIndex1)
            <=> v28306(VarNext,bitIndex433) )
            & ( v28114_9__array(VarNext,A,bitIndex0)
            <=> v28306(VarNext,bitIndex432) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6165,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28300(VarNext)
      <=> ( v28301(VarNext)
          & v28229(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6164,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28301(VarNext)
      <=> ( v28303(VarNext)
          & v28116(VarNext) ) ) ) )).

fof(writeUnaryOperator_2904,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28303(VarNext)
      <=> v28224(VarNext) ) ) )).

fof(memoryWriteDisabled_47,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b0111_address_term = A
              & v28291(VarNext) )
         => ! [B] :
              ( range_53_0(B)
             => ( v28114_8__array(VarNext,A,B)
              <=> v28114_7__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_47,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b0111_address_term = A
            & v28291(VarNext) )
         => ( ( v28114_8__array(VarNext,A,bitIndex53)
            <=> v28297(VarNext,bitIndex431) )
            & ( v28114_8__array(VarNext,A,bitIndex52)
            <=> v28297(VarNext,bitIndex430) )
            & ( v28114_8__array(VarNext,A,bitIndex51)
            <=> v28297(VarNext,bitIndex429) )
            & ( v28114_8__array(VarNext,A,bitIndex50)
            <=> v28297(VarNext,bitIndex428) )
            & ( v28114_8__array(VarNext,A,bitIndex49)
            <=> v28297(VarNext,bitIndex427) )
            & ( v28114_8__array(VarNext,A,bitIndex48)
            <=> v28297(VarNext,bitIndex426) )
            & ( v28114_8__array(VarNext,A,bitIndex47)
            <=> v28297(VarNext,bitIndex425) )
            & ( v28114_8__array(VarNext,A,bitIndex46)
            <=> v28297(VarNext,bitIndex424) )
            & ( v28114_8__array(VarNext,A,bitIndex45)
            <=> v28297(VarNext,bitIndex423) )
            & ( v28114_8__array(VarNext,A,bitIndex44)
            <=> v28297(VarNext,bitIndex422) )
            & ( v28114_8__array(VarNext,A,bitIndex43)
            <=> v28297(VarNext,bitIndex421) )
            & ( v28114_8__array(VarNext,A,bitIndex42)
            <=> v28297(VarNext,bitIndex420) )
            & ( v28114_8__array(VarNext,A,bitIndex41)
            <=> v28297(VarNext,bitIndex419) )
            & ( v28114_8__array(VarNext,A,bitIndex40)
            <=> v28297(VarNext,bitIndex418) )
            & ( v28114_8__array(VarNext,A,bitIndex39)
            <=> v28297(VarNext,bitIndex417) )
            & ( v28114_8__array(VarNext,A,bitIndex38)
            <=> v28297(VarNext,bitIndex416) )
            & ( v28114_8__array(VarNext,A,bitIndex37)
            <=> v28297(VarNext,bitIndex415) )
            & ( v28114_8__array(VarNext,A,bitIndex36)
            <=> v28297(VarNext,bitIndex414) )
            & ( v28114_8__array(VarNext,A,bitIndex35)
            <=> v28297(VarNext,bitIndex413) )
            & ( v28114_8__array(VarNext,A,bitIndex34)
            <=> v28297(VarNext,bitIndex412) )
            & ( v28114_8__array(VarNext,A,bitIndex33)
            <=> v28297(VarNext,bitIndex411) )
            & ( v28114_8__array(VarNext,A,bitIndex32)
            <=> v28297(VarNext,bitIndex410) )
            & ( v28114_8__array(VarNext,A,bitIndex31)
            <=> v28297(VarNext,bitIndex409) )
            & ( v28114_8__array(VarNext,A,bitIndex30)
            <=> v28297(VarNext,bitIndex408) )
            & ( v28114_8__array(VarNext,A,bitIndex29)
            <=> v28297(VarNext,bitIndex407) )
            & ( v28114_8__array(VarNext,A,bitIndex28)
            <=> v28297(VarNext,bitIndex406) )
            & ( v28114_8__array(VarNext,A,bitIndex27)
            <=> v28297(VarNext,bitIndex405) )
            & ( v28114_8__array(VarNext,A,bitIndex26)
            <=> v28297(VarNext,bitIndex404) )
            & ( v28114_8__array(VarNext,A,bitIndex25)
            <=> v28297(VarNext,bitIndex403) )
            & ( v28114_8__array(VarNext,A,bitIndex24)
            <=> v28297(VarNext,bitIndex402) )
            & ( v28114_8__array(VarNext,A,bitIndex23)
            <=> v28297(VarNext,bitIndex401) )
            & ( v28114_8__array(VarNext,A,bitIndex22)
            <=> v28297(VarNext,bitIndex400) )
            & ( v28114_8__array(VarNext,A,bitIndex21)
            <=> v28297(VarNext,bitIndex399) )
            & ( v28114_8__array(VarNext,A,bitIndex20)
            <=> v28297(VarNext,bitIndex398) )
            & ( v28114_8__array(VarNext,A,bitIndex19)
            <=> v28297(VarNext,bitIndex397) )
            & ( v28114_8__array(VarNext,A,bitIndex18)
            <=> v28297(VarNext,bitIndex396) )
            & ( v28114_8__array(VarNext,A,bitIndex17)
            <=> v28297(VarNext,bitIndex395) )
            & ( v28114_8__array(VarNext,A,bitIndex16)
            <=> v28297(VarNext,bitIndex394) )
            & ( v28114_8__array(VarNext,A,bitIndex15)
            <=> v28297(VarNext,bitIndex393) )
            & ( v28114_8__array(VarNext,A,bitIndex14)
            <=> v28297(VarNext,bitIndex392) )
            & ( v28114_8__array(VarNext,A,bitIndex13)
            <=> v28297(VarNext,bitIndex391) )
            & ( v28114_8__array(VarNext,A,bitIndex12)
            <=> v28297(VarNext,bitIndex390) )
            & ( v28114_8__array(VarNext,A,bitIndex11)
            <=> v28297(VarNext,bitIndex389) )
            & ( v28114_8__array(VarNext,A,bitIndex10)
            <=> v28297(VarNext,bitIndex388) )
            & ( v28114_8__array(VarNext,A,bitIndex9)
            <=> v28297(VarNext,bitIndex387) )
            & ( v28114_8__array(VarNext,A,bitIndex8)
            <=> v28297(VarNext,bitIndex386) )
            & ( v28114_8__array(VarNext,A,bitIndex7)
            <=> v28297(VarNext,bitIndex385) )
            & ( v28114_8__array(VarNext,A,bitIndex6)
            <=> v28297(VarNext,bitIndex384) )
            & ( v28114_8__array(VarNext,A,bitIndex5)
            <=> v28297(VarNext,bitIndex383) )
            & ( v28114_8__array(VarNext,A,bitIndex4)
            <=> v28297(VarNext,bitIndex382) )
            & ( v28114_8__array(VarNext,A,bitIndex3)
            <=> v28297(VarNext,bitIndex381) )
            & ( v28114_8__array(VarNext,A,bitIndex2)
            <=> v28297(VarNext,bitIndex380) )
            & ( v28114_8__array(VarNext,A,bitIndex1)
            <=> v28297(VarNext,bitIndex379) )
            & ( v28114_8__array(VarNext,A,bitIndex0)
            <=> v28297(VarNext,bitIndex378) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6163,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28291(VarNext)
      <=> ( v28292(VarNext)
          & v28229(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6162,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28292(VarNext)
      <=> ( v28294(VarNext)
          & v28116(VarNext) ) ) ) )).

fof(writeUnaryOperator_2903,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28294(VarNext)
      <=> v28224(VarNext) ) ) )).

fof(memoryWriteDisabled_46,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b0110_address_term = A
              & v28282(VarNext) )
         => ! [B] :
              ( range_53_0(B)
             => ( v28114_7__array(VarNext,A,B)
              <=> v28114_6__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_46,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b0110_address_term = A
            & v28282(VarNext) )
         => ( ( v28114_7__array(VarNext,A,bitIndex53)
            <=> v28288(VarNext,bitIndex377) )
            & ( v28114_7__array(VarNext,A,bitIndex52)
            <=> v28288(VarNext,bitIndex376) )
            & ( v28114_7__array(VarNext,A,bitIndex51)
            <=> v28288(VarNext,bitIndex375) )
            & ( v28114_7__array(VarNext,A,bitIndex50)
            <=> v28288(VarNext,bitIndex374) )
            & ( v28114_7__array(VarNext,A,bitIndex49)
            <=> v28288(VarNext,bitIndex373) )
            & ( v28114_7__array(VarNext,A,bitIndex48)
            <=> v28288(VarNext,bitIndex372) )
            & ( v28114_7__array(VarNext,A,bitIndex47)
            <=> v28288(VarNext,bitIndex371) )
            & ( v28114_7__array(VarNext,A,bitIndex46)
            <=> v28288(VarNext,bitIndex370) )
            & ( v28114_7__array(VarNext,A,bitIndex45)
            <=> v28288(VarNext,bitIndex369) )
            & ( v28114_7__array(VarNext,A,bitIndex44)
            <=> v28288(VarNext,bitIndex368) )
            & ( v28114_7__array(VarNext,A,bitIndex43)
            <=> v28288(VarNext,bitIndex367) )
            & ( v28114_7__array(VarNext,A,bitIndex42)
            <=> v28288(VarNext,bitIndex366) )
            & ( v28114_7__array(VarNext,A,bitIndex41)
            <=> v28288(VarNext,bitIndex365) )
            & ( v28114_7__array(VarNext,A,bitIndex40)
            <=> v28288(VarNext,bitIndex364) )
            & ( v28114_7__array(VarNext,A,bitIndex39)
            <=> v28288(VarNext,bitIndex363) )
            & ( v28114_7__array(VarNext,A,bitIndex38)
            <=> v28288(VarNext,bitIndex362) )
            & ( v28114_7__array(VarNext,A,bitIndex37)
            <=> v28288(VarNext,bitIndex361) )
            & ( v28114_7__array(VarNext,A,bitIndex36)
            <=> v28288(VarNext,bitIndex360) )
            & ( v28114_7__array(VarNext,A,bitIndex35)
            <=> v28288(VarNext,bitIndex359) )
            & ( v28114_7__array(VarNext,A,bitIndex34)
            <=> v28288(VarNext,bitIndex358) )
            & ( v28114_7__array(VarNext,A,bitIndex33)
            <=> v28288(VarNext,bitIndex357) )
            & ( v28114_7__array(VarNext,A,bitIndex32)
            <=> v28288(VarNext,bitIndex356) )
            & ( v28114_7__array(VarNext,A,bitIndex31)
            <=> v28288(VarNext,bitIndex355) )
            & ( v28114_7__array(VarNext,A,bitIndex30)
            <=> v28288(VarNext,bitIndex354) )
            & ( v28114_7__array(VarNext,A,bitIndex29)
            <=> v28288(VarNext,bitIndex353) )
            & ( v28114_7__array(VarNext,A,bitIndex28)
            <=> v28288(VarNext,bitIndex352) )
            & ( v28114_7__array(VarNext,A,bitIndex27)
            <=> v28288(VarNext,bitIndex351) )
            & ( v28114_7__array(VarNext,A,bitIndex26)
            <=> v28288(VarNext,bitIndex350) )
            & ( v28114_7__array(VarNext,A,bitIndex25)
            <=> v28288(VarNext,bitIndex349) )
            & ( v28114_7__array(VarNext,A,bitIndex24)
            <=> v28288(VarNext,bitIndex348) )
            & ( v28114_7__array(VarNext,A,bitIndex23)
            <=> v28288(VarNext,bitIndex347) )
            & ( v28114_7__array(VarNext,A,bitIndex22)
            <=> v28288(VarNext,bitIndex346) )
            & ( v28114_7__array(VarNext,A,bitIndex21)
            <=> v28288(VarNext,bitIndex345) )
            & ( v28114_7__array(VarNext,A,bitIndex20)
            <=> v28288(VarNext,bitIndex344) )
            & ( v28114_7__array(VarNext,A,bitIndex19)
            <=> v28288(VarNext,bitIndex343) )
            & ( v28114_7__array(VarNext,A,bitIndex18)
            <=> v28288(VarNext,bitIndex342) )
            & ( v28114_7__array(VarNext,A,bitIndex17)
            <=> v28288(VarNext,bitIndex341) )
            & ( v28114_7__array(VarNext,A,bitIndex16)
            <=> v28288(VarNext,bitIndex340) )
            & ( v28114_7__array(VarNext,A,bitIndex15)
            <=> v28288(VarNext,bitIndex339) )
            & ( v28114_7__array(VarNext,A,bitIndex14)
            <=> v28288(VarNext,bitIndex338) )
            & ( v28114_7__array(VarNext,A,bitIndex13)
            <=> v28288(VarNext,bitIndex337) )
            & ( v28114_7__array(VarNext,A,bitIndex12)
            <=> v28288(VarNext,bitIndex336) )
            & ( v28114_7__array(VarNext,A,bitIndex11)
            <=> v28288(VarNext,bitIndex335) )
            & ( v28114_7__array(VarNext,A,bitIndex10)
            <=> v28288(VarNext,bitIndex334) )
            & ( v28114_7__array(VarNext,A,bitIndex9)
            <=> v28288(VarNext,bitIndex333) )
            & ( v28114_7__array(VarNext,A,bitIndex8)
            <=> v28288(VarNext,bitIndex332) )
            & ( v28114_7__array(VarNext,A,bitIndex7)
            <=> v28288(VarNext,bitIndex331) )
            & ( v28114_7__array(VarNext,A,bitIndex6)
            <=> v28288(VarNext,bitIndex330) )
            & ( v28114_7__array(VarNext,A,bitIndex5)
            <=> v28288(VarNext,bitIndex329) )
            & ( v28114_7__array(VarNext,A,bitIndex4)
            <=> v28288(VarNext,bitIndex328) )
            & ( v28114_7__array(VarNext,A,bitIndex3)
            <=> v28288(VarNext,bitIndex327) )
            & ( v28114_7__array(VarNext,A,bitIndex2)
            <=> v28288(VarNext,bitIndex326) )
            & ( v28114_7__array(VarNext,A,bitIndex1)
            <=> v28288(VarNext,bitIndex325) )
            & ( v28114_7__array(VarNext,A,bitIndex0)
            <=> v28288(VarNext,bitIndex324) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6161,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28282(VarNext)
      <=> ( v28283(VarNext)
          & v28229(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6160,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28283(VarNext)
      <=> ( v28285(VarNext)
          & v28116(VarNext) ) ) ) )).

fof(writeUnaryOperator_2902,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28285(VarNext)
      <=> v28224(VarNext) ) ) )).

fof(memoryWriteDisabled_45,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b0101_address_term = A
              & v28273(VarNext) )
         => ! [B] :
              ( range_53_0(B)
             => ( v28114_6__array(VarNext,A,B)
              <=> v28114_5__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_45,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b0101_address_term = A
            & v28273(VarNext) )
         => ( ( v28114_6__array(VarNext,A,bitIndex53)
            <=> v28279(VarNext,bitIndex323) )
            & ( v28114_6__array(VarNext,A,bitIndex52)
            <=> v28279(VarNext,bitIndex322) )
            & ( v28114_6__array(VarNext,A,bitIndex51)
            <=> v28279(VarNext,bitIndex321) )
            & ( v28114_6__array(VarNext,A,bitIndex50)
            <=> v28279(VarNext,bitIndex320) )
            & ( v28114_6__array(VarNext,A,bitIndex49)
            <=> v28279(VarNext,bitIndex319) )
            & ( v28114_6__array(VarNext,A,bitIndex48)
            <=> v28279(VarNext,bitIndex318) )
            & ( v28114_6__array(VarNext,A,bitIndex47)
            <=> v28279(VarNext,bitIndex317) )
            & ( v28114_6__array(VarNext,A,bitIndex46)
            <=> v28279(VarNext,bitIndex316) )
            & ( v28114_6__array(VarNext,A,bitIndex45)
            <=> v28279(VarNext,bitIndex315) )
            & ( v28114_6__array(VarNext,A,bitIndex44)
            <=> v28279(VarNext,bitIndex314) )
            & ( v28114_6__array(VarNext,A,bitIndex43)
            <=> v28279(VarNext,bitIndex313) )
            & ( v28114_6__array(VarNext,A,bitIndex42)
            <=> v28279(VarNext,bitIndex312) )
            & ( v28114_6__array(VarNext,A,bitIndex41)
            <=> v28279(VarNext,bitIndex311) )
            & ( v28114_6__array(VarNext,A,bitIndex40)
            <=> v28279(VarNext,bitIndex310) )
            & ( v28114_6__array(VarNext,A,bitIndex39)
            <=> v28279(VarNext,bitIndex309) )
            & ( v28114_6__array(VarNext,A,bitIndex38)
            <=> v28279(VarNext,bitIndex308) )
            & ( v28114_6__array(VarNext,A,bitIndex37)
            <=> v28279(VarNext,bitIndex307) )
            & ( v28114_6__array(VarNext,A,bitIndex36)
            <=> v28279(VarNext,bitIndex306) )
            & ( v28114_6__array(VarNext,A,bitIndex35)
            <=> v28279(VarNext,bitIndex305) )
            & ( v28114_6__array(VarNext,A,bitIndex34)
            <=> v28279(VarNext,bitIndex304) )
            & ( v28114_6__array(VarNext,A,bitIndex33)
            <=> v28279(VarNext,bitIndex303) )
            & ( v28114_6__array(VarNext,A,bitIndex32)
            <=> v28279(VarNext,bitIndex302) )
            & ( v28114_6__array(VarNext,A,bitIndex31)
            <=> v28279(VarNext,bitIndex301) )
            & ( v28114_6__array(VarNext,A,bitIndex30)
            <=> v28279(VarNext,bitIndex300) )
            & ( v28114_6__array(VarNext,A,bitIndex29)
            <=> v28279(VarNext,bitIndex299) )
            & ( v28114_6__array(VarNext,A,bitIndex28)
            <=> v28279(VarNext,bitIndex298) )
            & ( v28114_6__array(VarNext,A,bitIndex27)
            <=> v28279(VarNext,bitIndex297) )
            & ( v28114_6__array(VarNext,A,bitIndex26)
            <=> v28279(VarNext,bitIndex296) )
            & ( v28114_6__array(VarNext,A,bitIndex25)
            <=> v28279(VarNext,bitIndex295) )
            & ( v28114_6__array(VarNext,A,bitIndex24)
            <=> v28279(VarNext,bitIndex294) )
            & ( v28114_6__array(VarNext,A,bitIndex23)
            <=> v28279(VarNext,bitIndex293) )
            & ( v28114_6__array(VarNext,A,bitIndex22)
            <=> v28279(VarNext,bitIndex292) )
            & ( v28114_6__array(VarNext,A,bitIndex21)
            <=> v28279(VarNext,bitIndex291) )
            & ( v28114_6__array(VarNext,A,bitIndex20)
            <=> v28279(VarNext,bitIndex290) )
            & ( v28114_6__array(VarNext,A,bitIndex19)
            <=> v28279(VarNext,bitIndex289) )
            & ( v28114_6__array(VarNext,A,bitIndex18)
            <=> v28279(VarNext,bitIndex288) )
            & ( v28114_6__array(VarNext,A,bitIndex17)
            <=> v28279(VarNext,bitIndex287) )
            & ( v28114_6__array(VarNext,A,bitIndex16)
            <=> v28279(VarNext,bitIndex286) )
            & ( v28114_6__array(VarNext,A,bitIndex15)
            <=> v28279(VarNext,bitIndex285) )
            & ( v28114_6__array(VarNext,A,bitIndex14)
            <=> v28279(VarNext,bitIndex284) )
            & ( v28114_6__array(VarNext,A,bitIndex13)
            <=> v28279(VarNext,bitIndex283) )
            & ( v28114_6__array(VarNext,A,bitIndex12)
            <=> v28279(VarNext,bitIndex282) )
            & ( v28114_6__array(VarNext,A,bitIndex11)
            <=> v28279(VarNext,bitIndex281) )
            & ( v28114_6__array(VarNext,A,bitIndex10)
            <=> v28279(VarNext,bitIndex280) )
            & ( v28114_6__array(VarNext,A,bitIndex9)
            <=> v28279(VarNext,bitIndex279) )
            & ( v28114_6__array(VarNext,A,bitIndex8)
            <=> v28279(VarNext,bitIndex278) )
            & ( v28114_6__array(VarNext,A,bitIndex7)
            <=> v28279(VarNext,bitIndex277) )
            & ( v28114_6__array(VarNext,A,bitIndex6)
            <=> v28279(VarNext,bitIndex276) )
            & ( v28114_6__array(VarNext,A,bitIndex5)
            <=> v28279(VarNext,bitIndex275) )
            & ( v28114_6__array(VarNext,A,bitIndex4)
            <=> v28279(VarNext,bitIndex274) )
            & ( v28114_6__array(VarNext,A,bitIndex3)
            <=> v28279(VarNext,bitIndex273) )
            & ( v28114_6__array(VarNext,A,bitIndex2)
            <=> v28279(VarNext,bitIndex272) )
            & ( v28114_6__array(VarNext,A,bitIndex1)
            <=> v28279(VarNext,bitIndex271) )
            & ( v28114_6__array(VarNext,A,bitIndex0)
            <=> v28279(VarNext,bitIndex270) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6159,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28273(VarNext)
      <=> ( v28274(VarNext)
          & v28229(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6158,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28274(VarNext)
      <=> ( v28276(VarNext)
          & v28116(VarNext) ) ) ) )).

fof(writeUnaryOperator_2901,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28276(VarNext)
      <=> v28224(VarNext) ) ) )).

fof(memoryWriteDisabled_44,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b0100_address_term = A
              & v28264(VarNext) )
         => ! [B] :
              ( range_53_0(B)
             => ( v28114_5__array(VarNext,A,B)
              <=> v28114_4__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_44,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b0100_address_term = A
            & v28264(VarNext) )
         => ( ( v28114_5__array(VarNext,A,bitIndex53)
            <=> v28270(VarNext,bitIndex269) )
            & ( v28114_5__array(VarNext,A,bitIndex52)
            <=> v28270(VarNext,bitIndex268) )
            & ( v28114_5__array(VarNext,A,bitIndex51)
            <=> v28270(VarNext,bitIndex267) )
            & ( v28114_5__array(VarNext,A,bitIndex50)
            <=> v28270(VarNext,bitIndex266) )
            & ( v28114_5__array(VarNext,A,bitIndex49)
            <=> v28270(VarNext,bitIndex265) )
            & ( v28114_5__array(VarNext,A,bitIndex48)
            <=> v28270(VarNext,bitIndex264) )
            & ( v28114_5__array(VarNext,A,bitIndex47)
            <=> v28270(VarNext,bitIndex263) )
            & ( v28114_5__array(VarNext,A,bitIndex46)
            <=> v28270(VarNext,bitIndex262) )
            & ( v28114_5__array(VarNext,A,bitIndex45)
            <=> v28270(VarNext,bitIndex261) )
            & ( v28114_5__array(VarNext,A,bitIndex44)
            <=> v28270(VarNext,bitIndex260) )
            & ( v28114_5__array(VarNext,A,bitIndex43)
            <=> v28270(VarNext,bitIndex259) )
            & ( v28114_5__array(VarNext,A,bitIndex42)
            <=> v28270(VarNext,bitIndex258) )
            & ( v28114_5__array(VarNext,A,bitIndex41)
            <=> v28270(VarNext,bitIndex257) )
            & ( v28114_5__array(VarNext,A,bitIndex40)
            <=> v28270(VarNext,bitIndex256) )
            & ( v28114_5__array(VarNext,A,bitIndex39)
            <=> v28270(VarNext,bitIndex255) )
            & ( v28114_5__array(VarNext,A,bitIndex38)
            <=> v28270(VarNext,bitIndex254) )
            & ( v28114_5__array(VarNext,A,bitIndex37)
            <=> v28270(VarNext,bitIndex253) )
            & ( v28114_5__array(VarNext,A,bitIndex36)
            <=> v28270(VarNext,bitIndex252) )
            & ( v28114_5__array(VarNext,A,bitIndex35)
            <=> v28270(VarNext,bitIndex251) )
            & ( v28114_5__array(VarNext,A,bitIndex34)
            <=> v28270(VarNext,bitIndex250) )
            & ( v28114_5__array(VarNext,A,bitIndex33)
            <=> v28270(VarNext,bitIndex249) )
            & ( v28114_5__array(VarNext,A,bitIndex32)
            <=> v28270(VarNext,bitIndex248) )
            & ( v28114_5__array(VarNext,A,bitIndex31)
            <=> v28270(VarNext,bitIndex247) )
            & ( v28114_5__array(VarNext,A,bitIndex30)
            <=> v28270(VarNext,bitIndex246) )
            & ( v28114_5__array(VarNext,A,bitIndex29)
            <=> v28270(VarNext,bitIndex245) )
            & ( v28114_5__array(VarNext,A,bitIndex28)
            <=> v28270(VarNext,bitIndex244) )
            & ( v28114_5__array(VarNext,A,bitIndex27)
            <=> v28270(VarNext,bitIndex243) )
            & ( v28114_5__array(VarNext,A,bitIndex26)
            <=> v28270(VarNext,bitIndex242) )
            & ( v28114_5__array(VarNext,A,bitIndex25)
            <=> v28270(VarNext,bitIndex241) )
            & ( v28114_5__array(VarNext,A,bitIndex24)
            <=> v28270(VarNext,bitIndex240) )
            & ( v28114_5__array(VarNext,A,bitIndex23)
            <=> v28270(VarNext,bitIndex239) )
            & ( v28114_5__array(VarNext,A,bitIndex22)
            <=> v28270(VarNext,bitIndex238) )
            & ( v28114_5__array(VarNext,A,bitIndex21)
            <=> v28270(VarNext,bitIndex237) )
            & ( v28114_5__array(VarNext,A,bitIndex20)
            <=> v28270(VarNext,bitIndex236) )
            & ( v28114_5__array(VarNext,A,bitIndex19)
            <=> v28270(VarNext,bitIndex235) )
            & ( v28114_5__array(VarNext,A,bitIndex18)
            <=> v28270(VarNext,bitIndex234) )
            & ( v28114_5__array(VarNext,A,bitIndex17)
            <=> v28270(VarNext,bitIndex233) )
            & ( v28114_5__array(VarNext,A,bitIndex16)
            <=> v28270(VarNext,bitIndex232) )
            & ( v28114_5__array(VarNext,A,bitIndex15)
            <=> v28270(VarNext,bitIndex231) )
            & ( v28114_5__array(VarNext,A,bitIndex14)
            <=> v28270(VarNext,bitIndex230) )
            & ( v28114_5__array(VarNext,A,bitIndex13)
            <=> v28270(VarNext,bitIndex229) )
            & ( v28114_5__array(VarNext,A,bitIndex12)
            <=> v28270(VarNext,bitIndex228) )
            & ( v28114_5__array(VarNext,A,bitIndex11)
            <=> v28270(VarNext,bitIndex227) )
            & ( v28114_5__array(VarNext,A,bitIndex10)
            <=> v28270(VarNext,bitIndex226) )
            & ( v28114_5__array(VarNext,A,bitIndex9)
            <=> v28270(VarNext,bitIndex225) )
            & ( v28114_5__array(VarNext,A,bitIndex8)
            <=> v28270(VarNext,bitIndex224) )
            & ( v28114_5__array(VarNext,A,bitIndex7)
            <=> v28270(VarNext,bitIndex223) )
            & ( v28114_5__array(VarNext,A,bitIndex6)
            <=> v28270(VarNext,bitIndex222) )
            & ( v28114_5__array(VarNext,A,bitIndex5)
            <=> v28270(VarNext,bitIndex221) )
            & ( v28114_5__array(VarNext,A,bitIndex4)
            <=> v28270(VarNext,bitIndex220) )
            & ( v28114_5__array(VarNext,A,bitIndex3)
            <=> v28270(VarNext,bitIndex219) )
            & ( v28114_5__array(VarNext,A,bitIndex2)
            <=> v28270(VarNext,bitIndex218) )
            & ( v28114_5__array(VarNext,A,bitIndex1)
            <=> v28270(VarNext,bitIndex217) )
            & ( v28114_5__array(VarNext,A,bitIndex0)
            <=> v28270(VarNext,bitIndex216) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6157,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28264(VarNext)
      <=> ( v28265(VarNext)
          & v28229(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6156,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28265(VarNext)
      <=> ( v28267(VarNext)
          & v28116(VarNext) ) ) ) )).

fof(writeUnaryOperator_2900,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28267(VarNext)
      <=> v28224(VarNext) ) ) )).

fof(memoryWriteDisabled_43,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b0011_address_term = A
              & v28255(VarNext) )
         => ! [B] :
              ( range_53_0(B)
             => ( v28114_4__array(VarNext,A,B)
              <=> v28114_3__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_43,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b0011_address_term = A
            & v28255(VarNext) )
         => ( ( v28114_4__array(VarNext,A,bitIndex53)
            <=> v28261(VarNext,bitIndex215) )
            & ( v28114_4__array(VarNext,A,bitIndex52)
            <=> v28261(VarNext,bitIndex214) )
            & ( v28114_4__array(VarNext,A,bitIndex51)
            <=> v28261(VarNext,bitIndex213) )
            & ( v28114_4__array(VarNext,A,bitIndex50)
            <=> v28261(VarNext,bitIndex212) )
            & ( v28114_4__array(VarNext,A,bitIndex49)
            <=> v28261(VarNext,bitIndex211) )
            & ( v28114_4__array(VarNext,A,bitIndex48)
            <=> v28261(VarNext,bitIndex210) )
            & ( v28114_4__array(VarNext,A,bitIndex47)
            <=> v28261(VarNext,bitIndex209) )
            & ( v28114_4__array(VarNext,A,bitIndex46)
            <=> v28261(VarNext,bitIndex208) )
            & ( v28114_4__array(VarNext,A,bitIndex45)
            <=> v28261(VarNext,bitIndex207) )
            & ( v28114_4__array(VarNext,A,bitIndex44)
            <=> v28261(VarNext,bitIndex206) )
            & ( v28114_4__array(VarNext,A,bitIndex43)
            <=> v28261(VarNext,bitIndex205) )
            & ( v28114_4__array(VarNext,A,bitIndex42)
            <=> v28261(VarNext,bitIndex204) )
            & ( v28114_4__array(VarNext,A,bitIndex41)
            <=> v28261(VarNext,bitIndex203) )
            & ( v28114_4__array(VarNext,A,bitIndex40)
            <=> v28261(VarNext,bitIndex202) )
            & ( v28114_4__array(VarNext,A,bitIndex39)
            <=> v28261(VarNext,bitIndex201) )
            & ( v28114_4__array(VarNext,A,bitIndex38)
            <=> v28261(VarNext,bitIndex200) )
            & ( v28114_4__array(VarNext,A,bitIndex37)
            <=> v28261(VarNext,bitIndex199) )
            & ( v28114_4__array(VarNext,A,bitIndex36)
            <=> v28261(VarNext,bitIndex198) )
            & ( v28114_4__array(VarNext,A,bitIndex35)
            <=> v28261(VarNext,bitIndex197) )
            & ( v28114_4__array(VarNext,A,bitIndex34)
            <=> v28261(VarNext,bitIndex196) )
            & ( v28114_4__array(VarNext,A,bitIndex33)
            <=> v28261(VarNext,bitIndex195) )
            & ( v28114_4__array(VarNext,A,bitIndex32)
            <=> v28261(VarNext,bitIndex194) )
            & ( v28114_4__array(VarNext,A,bitIndex31)
            <=> v28261(VarNext,bitIndex193) )
            & ( v28114_4__array(VarNext,A,bitIndex30)
            <=> v28261(VarNext,bitIndex192) )
            & ( v28114_4__array(VarNext,A,bitIndex29)
            <=> v28261(VarNext,bitIndex191) )
            & ( v28114_4__array(VarNext,A,bitIndex28)
            <=> v28261(VarNext,bitIndex190) )
            & ( v28114_4__array(VarNext,A,bitIndex27)
            <=> v28261(VarNext,bitIndex189) )
            & ( v28114_4__array(VarNext,A,bitIndex26)
            <=> v28261(VarNext,bitIndex188) )
            & ( v28114_4__array(VarNext,A,bitIndex25)
            <=> v28261(VarNext,bitIndex187) )
            & ( v28114_4__array(VarNext,A,bitIndex24)
            <=> v28261(VarNext,bitIndex186) )
            & ( v28114_4__array(VarNext,A,bitIndex23)
            <=> v28261(VarNext,bitIndex185) )
            & ( v28114_4__array(VarNext,A,bitIndex22)
            <=> v28261(VarNext,bitIndex184) )
            & ( v28114_4__array(VarNext,A,bitIndex21)
            <=> v28261(VarNext,bitIndex183) )
            & ( v28114_4__array(VarNext,A,bitIndex20)
            <=> v28261(VarNext,bitIndex182) )
            & ( v28114_4__array(VarNext,A,bitIndex19)
            <=> v28261(VarNext,bitIndex181) )
            & ( v28114_4__array(VarNext,A,bitIndex18)
            <=> v28261(VarNext,bitIndex180) )
            & ( v28114_4__array(VarNext,A,bitIndex17)
            <=> v28261(VarNext,bitIndex179) )
            & ( v28114_4__array(VarNext,A,bitIndex16)
            <=> v28261(VarNext,bitIndex178) )
            & ( v28114_4__array(VarNext,A,bitIndex15)
            <=> v28261(VarNext,bitIndex177) )
            & ( v28114_4__array(VarNext,A,bitIndex14)
            <=> v28261(VarNext,bitIndex176) )
            & ( v28114_4__array(VarNext,A,bitIndex13)
            <=> v28261(VarNext,bitIndex175) )
            & ( v28114_4__array(VarNext,A,bitIndex12)
            <=> v28261(VarNext,bitIndex174) )
            & ( v28114_4__array(VarNext,A,bitIndex11)
            <=> v28261(VarNext,bitIndex173) )
            & ( v28114_4__array(VarNext,A,bitIndex10)
            <=> v28261(VarNext,bitIndex172) )
            & ( v28114_4__array(VarNext,A,bitIndex9)
            <=> v28261(VarNext,bitIndex171) )
            & ( v28114_4__array(VarNext,A,bitIndex8)
            <=> v28261(VarNext,bitIndex170) )
            & ( v28114_4__array(VarNext,A,bitIndex7)
            <=> v28261(VarNext,bitIndex169) )
            & ( v28114_4__array(VarNext,A,bitIndex6)
            <=> v28261(VarNext,bitIndex168) )
            & ( v28114_4__array(VarNext,A,bitIndex5)
            <=> v28261(VarNext,bitIndex167) )
            & ( v28114_4__array(VarNext,A,bitIndex4)
            <=> v28261(VarNext,bitIndex166) )
            & ( v28114_4__array(VarNext,A,bitIndex3)
            <=> v28261(VarNext,bitIndex165) )
            & ( v28114_4__array(VarNext,A,bitIndex2)
            <=> v28261(VarNext,bitIndex164) )
            & ( v28114_4__array(VarNext,A,bitIndex1)
            <=> v28261(VarNext,bitIndex163) )
            & ( v28114_4__array(VarNext,A,bitIndex0)
            <=> v28261(VarNext,bitIndex162) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6155,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28255(VarNext)
      <=> ( v28256(VarNext)
          & v28229(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6154,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28256(VarNext)
      <=> ( v28258(VarNext)
          & v28116(VarNext) ) ) ) )).

fof(writeUnaryOperator_2899,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28258(VarNext)
      <=> v28224(VarNext) ) ) )).

fof(memoryWriteDisabled_42,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b0010_address_term = A
              & v28246(VarNext) )
         => ! [B] :
              ( range_53_0(B)
             => ( v28114_3__array(VarNext,A,B)
              <=> v28114_2__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_42,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b0010_address_term = A
            & v28246(VarNext) )
         => ( ( v28114_3__array(VarNext,A,bitIndex53)
            <=> v28252(VarNext,bitIndex161) )
            & ( v28114_3__array(VarNext,A,bitIndex52)
            <=> v28252(VarNext,bitIndex160) )
            & ( v28114_3__array(VarNext,A,bitIndex51)
            <=> v28252(VarNext,bitIndex159) )
            & ( v28114_3__array(VarNext,A,bitIndex50)
            <=> v28252(VarNext,bitIndex158) )
            & ( v28114_3__array(VarNext,A,bitIndex49)
            <=> v28252(VarNext,bitIndex157) )
            & ( v28114_3__array(VarNext,A,bitIndex48)
            <=> v28252(VarNext,bitIndex156) )
            & ( v28114_3__array(VarNext,A,bitIndex47)
            <=> v28252(VarNext,bitIndex155) )
            & ( v28114_3__array(VarNext,A,bitIndex46)
            <=> v28252(VarNext,bitIndex154) )
            & ( v28114_3__array(VarNext,A,bitIndex45)
            <=> v28252(VarNext,bitIndex153) )
            & ( v28114_3__array(VarNext,A,bitIndex44)
            <=> v28252(VarNext,bitIndex152) )
            & ( v28114_3__array(VarNext,A,bitIndex43)
            <=> v28252(VarNext,bitIndex151) )
            & ( v28114_3__array(VarNext,A,bitIndex42)
            <=> v28252(VarNext,bitIndex150) )
            & ( v28114_3__array(VarNext,A,bitIndex41)
            <=> v28252(VarNext,bitIndex149) )
            & ( v28114_3__array(VarNext,A,bitIndex40)
            <=> v28252(VarNext,bitIndex148) )
            & ( v28114_3__array(VarNext,A,bitIndex39)
            <=> v28252(VarNext,bitIndex147) )
            & ( v28114_3__array(VarNext,A,bitIndex38)
            <=> v28252(VarNext,bitIndex146) )
            & ( v28114_3__array(VarNext,A,bitIndex37)
            <=> v28252(VarNext,bitIndex145) )
            & ( v28114_3__array(VarNext,A,bitIndex36)
            <=> v28252(VarNext,bitIndex144) )
            & ( v28114_3__array(VarNext,A,bitIndex35)
            <=> v28252(VarNext,bitIndex143) )
            & ( v28114_3__array(VarNext,A,bitIndex34)
            <=> v28252(VarNext,bitIndex142) )
            & ( v28114_3__array(VarNext,A,bitIndex33)
            <=> v28252(VarNext,bitIndex141) )
            & ( v28114_3__array(VarNext,A,bitIndex32)
            <=> v28252(VarNext,bitIndex140) )
            & ( v28114_3__array(VarNext,A,bitIndex31)
            <=> v28252(VarNext,bitIndex139) )
            & ( v28114_3__array(VarNext,A,bitIndex30)
            <=> v28252(VarNext,bitIndex138) )
            & ( v28114_3__array(VarNext,A,bitIndex29)
            <=> v28252(VarNext,bitIndex137) )
            & ( v28114_3__array(VarNext,A,bitIndex28)
            <=> v28252(VarNext,bitIndex136) )
            & ( v28114_3__array(VarNext,A,bitIndex27)
            <=> v28252(VarNext,bitIndex135) )
            & ( v28114_3__array(VarNext,A,bitIndex26)
            <=> v28252(VarNext,bitIndex134) )
            & ( v28114_3__array(VarNext,A,bitIndex25)
            <=> v28252(VarNext,bitIndex133) )
            & ( v28114_3__array(VarNext,A,bitIndex24)
            <=> v28252(VarNext,bitIndex132) )
            & ( v28114_3__array(VarNext,A,bitIndex23)
            <=> v28252(VarNext,bitIndex131) )
            & ( v28114_3__array(VarNext,A,bitIndex22)
            <=> v28252(VarNext,bitIndex130) )
            & ( v28114_3__array(VarNext,A,bitIndex21)
            <=> v28252(VarNext,bitIndex129) )
            & ( v28114_3__array(VarNext,A,bitIndex20)
            <=> v28252(VarNext,bitIndex128) )
            & ( v28114_3__array(VarNext,A,bitIndex19)
            <=> v28252(VarNext,bitIndex127) )
            & ( v28114_3__array(VarNext,A,bitIndex18)
            <=> v28252(VarNext,bitIndex126) )
            & ( v28114_3__array(VarNext,A,bitIndex17)
            <=> v28252(VarNext,bitIndex125) )
            & ( v28114_3__array(VarNext,A,bitIndex16)
            <=> v28252(VarNext,bitIndex124) )
            & ( v28114_3__array(VarNext,A,bitIndex15)
            <=> v28252(VarNext,bitIndex123) )
            & ( v28114_3__array(VarNext,A,bitIndex14)
            <=> v28252(VarNext,bitIndex122) )
            & ( v28114_3__array(VarNext,A,bitIndex13)
            <=> v28252(VarNext,bitIndex121) )
            & ( v28114_3__array(VarNext,A,bitIndex12)
            <=> v28252(VarNext,bitIndex120) )
            & ( v28114_3__array(VarNext,A,bitIndex11)
            <=> v28252(VarNext,bitIndex119) )
            & ( v28114_3__array(VarNext,A,bitIndex10)
            <=> v28252(VarNext,bitIndex118) )
            & ( v28114_3__array(VarNext,A,bitIndex9)
            <=> v28252(VarNext,bitIndex117) )
            & ( v28114_3__array(VarNext,A,bitIndex8)
            <=> v28252(VarNext,bitIndex116) )
            & ( v28114_3__array(VarNext,A,bitIndex7)
            <=> v28252(VarNext,bitIndex115) )
            & ( v28114_3__array(VarNext,A,bitIndex6)
            <=> v28252(VarNext,bitIndex114) )
            & ( v28114_3__array(VarNext,A,bitIndex5)
            <=> v28252(VarNext,bitIndex113) )
            & ( v28114_3__array(VarNext,A,bitIndex4)
            <=> v28252(VarNext,bitIndex112) )
            & ( v28114_3__array(VarNext,A,bitIndex3)
            <=> v28252(VarNext,bitIndex111) )
            & ( v28114_3__array(VarNext,A,bitIndex2)
            <=> v28252(VarNext,bitIndex110) )
            & ( v28114_3__array(VarNext,A,bitIndex1)
            <=> v28252(VarNext,bitIndex109) )
            & ( v28114_3__array(VarNext,A,bitIndex0)
            <=> v28252(VarNext,bitIndex108) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6153,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28246(VarNext)
      <=> ( v28247(VarNext)
          & v28229(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6152,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28247(VarNext)
      <=> ( v28249(VarNext)
          & v28116(VarNext) ) ) ) )).

fof(writeUnaryOperator_2898,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28249(VarNext)
      <=> v28224(VarNext) ) ) )).

fof(memoryWriteDisabled_41,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b0001_address_term = A
              & v28237(VarNext) )
         => ! [B] :
              ( range_53_0(B)
             => ( v28114_2__array(VarNext,A,B)
              <=> v28114_1__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_41,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b0001_address_term = A
            & v28237(VarNext) )
         => ( ( v28114_2__array(VarNext,A,bitIndex53)
            <=> v28243(VarNext,bitIndex107) )
            & ( v28114_2__array(VarNext,A,bitIndex52)
            <=> v28243(VarNext,bitIndex106) )
            & ( v28114_2__array(VarNext,A,bitIndex51)
            <=> v28243(VarNext,bitIndex105) )
            & ( v28114_2__array(VarNext,A,bitIndex50)
            <=> v28243(VarNext,bitIndex104) )
            & ( v28114_2__array(VarNext,A,bitIndex49)
            <=> v28243(VarNext,bitIndex103) )
            & ( v28114_2__array(VarNext,A,bitIndex48)
            <=> v28243(VarNext,bitIndex102) )
            & ( v28114_2__array(VarNext,A,bitIndex47)
            <=> v28243(VarNext,bitIndex101) )
            & ( v28114_2__array(VarNext,A,bitIndex46)
            <=> v28243(VarNext,bitIndex100) )
            & ( v28114_2__array(VarNext,A,bitIndex45)
            <=> v28243(VarNext,bitIndex99) )
            & ( v28114_2__array(VarNext,A,bitIndex44)
            <=> v28243(VarNext,bitIndex98) )
            & ( v28114_2__array(VarNext,A,bitIndex43)
            <=> v28243(VarNext,bitIndex97) )
            & ( v28114_2__array(VarNext,A,bitIndex42)
            <=> v28243(VarNext,bitIndex96) )
            & ( v28114_2__array(VarNext,A,bitIndex41)
            <=> v28243(VarNext,bitIndex95) )
            & ( v28114_2__array(VarNext,A,bitIndex40)
            <=> v28243(VarNext,bitIndex94) )
            & ( v28114_2__array(VarNext,A,bitIndex39)
            <=> v28243(VarNext,bitIndex93) )
            & ( v28114_2__array(VarNext,A,bitIndex38)
            <=> v28243(VarNext,bitIndex92) )
            & ( v28114_2__array(VarNext,A,bitIndex37)
            <=> v28243(VarNext,bitIndex91) )
            & ( v28114_2__array(VarNext,A,bitIndex36)
            <=> v28243(VarNext,bitIndex90) )
            & ( v28114_2__array(VarNext,A,bitIndex35)
            <=> v28243(VarNext,bitIndex89) )
            & ( v28114_2__array(VarNext,A,bitIndex34)
            <=> v28243(VarNext,bitIndex88) )
            & ( v28114_2__array(VarNext,A,bitIndex33)
            <=> v28243(VarNext,bitIndex87) )
            & ( v28114_2__array(VarNext,A,bitIndex32)
            <=> v28243(VarNext,bitIndex86) )
            & ( v28114_2__array(VarNext,A,bitIndex31)
            <=> v28243(VarNext,bitIndex85) )
            & ( v28114_2__array(VarNext,A,bitIndex30)
            <=> v28243(VarNext,bitIndex84) )
            & ( v28114_2__array(VarNext,A,bitIndex29)
            <=> v28243(VarNext,bitIndex83) )
            & ( v28114_2__array(VarNext,A,bitIndex28)
            <=> v28243(VarNext,bitIndex82) )
            & ( v28114_2__array(VarNext,A,bitIndex27)
            <=> v28243(VarNext,bitIndex81) )
            & ( v28114_2__array(VarNext,A,bitIndex26)
            <=> v28243(VarNext,bitIndex80) )
            & ( v28114_2__array(VarNext,A,bitIndex25)
            <=> v28243(VarNext,bitIndex79) )
            & ( v28114_2__array(VarNext,A,bitIndex24)
            <=> v28243(VarNext,bitIndex78) )
            & ( v28114_2__array(VarNext,A,bitIndex23)
            <=> v28243(VarNext,bitIndex77) )
            & ( v28114_2__array(VarNext,A,bitIndex22)
            <=> v28243(VarNext,bitIndex76) )
            & ( v28114_2__array(VarNext,A,bitIndex21)
            <=> v28243(VarNext,bitIndex75) )
            & ( v28114_2__array(VarNext,A,bitIndex20)
            <=> v28243(VarNext,bitIndex74) )
            & ( v28114_2__array(VarNext,A,bitIndex19)
            <=> v28243(VarNext,bitIndex73) )
            & ( v28114_2__array(VarNext,A,bitIndex18)
            <=> v28243(VarNext,bitIndex72) )
            & ( v28114_2__array(VarNext,A,bitIndex17)
            <=> v28243(VarNext,bitIndex71) )
            & ( v28114_2__array(VarNext,A,bitIndex16)
            <=> v28243(VarNext,bitIndex70) )
            & ( v28114_2__array(VarNext,A,bitIndex15)
            <=> v28243(VarNext,bitIndex69) )
            & ( v28114_2__array(VarNext,A,bitIndex14)
            <=> v28243(VarNext,bitIndex68) )
            & ( v28114_2__array(VarNext,A,bitIndex13)
            <=> v28243(VarNext,bitIndex67) )
            & ( v28114_2__array(VarNext,A,bitIndex12)
            <=> v28243(VarNext,bitIndex66) )
            & ( v28114_2__array(VarNext,A,bitIndex11)
            <=> v28243(VarNext,bitIndex65) )
            & ( v28114_2__array(VarNext,A,bitIndex10)
            <=> v28243(VarNext,bitIndex64) )
            & ( v28114_2__array(VarNext,A,bitIndex9)
            <=> v28243(VarNext,bitIndex63) )
            & ( v28114_2__array(VarNext,A,bitIndex8)
            <=> v28243(VarNext,bitIndex62) )
            & ( v28114_2__array(VarNext,A,bitIndex7)
            <=> v28243(VarNext,bitIndex61) )
            & ( v28114_2__array(VarNext,A,bitIndex6)
            <=> v28243(VarNext,bitIndex60) )
            & ( v28114_2__array(VarNext,A,bitIndex5)
            <=> v28243(VarNext,bitIndex59) )
            & ( v28114_2__array(VarNext,A,bitIndex4)
            <=> v28243(VarNext,bitIndex58) )
            & ( v28114_2__array(VarNext,A,bitIndex3)
            <=> v28243(VarNext,bitIndex57) )
            & ( v28114_2__array(VarNext,A,bitIndex2)
            <=> v28243(VarNext,bitIndex56) )
            & ( v28114_2__array(VarNext,A,bitIndex1)
            <=> v28243(VarNext,bitIndex55) )
            & ( v28114_2__array(VarNext,A,bitIndex0)
            <=> v28243(VarNext,bitIndex54) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6151,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28237(VarNext)
      <=> ( v28238(VarNext)
          & v28229(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6150,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28238(VarNext)
      <=> ( v28240(VarNext)
          & v28116(VarNext) ) ) ) )).

fof(writeUnaryOperator_2897,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28240(VarNext)
      <=> v28224(VarNext) ) ) )).

fof(memoryWriteDisabled_40,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b0000_address_term = A
              & v28220(VarNext) )
         => ! [B] :
              ( range_53_0(B)
             => ( v28114_1__array(VarNext,A,B)
              <=> v28114_array(VarCurr,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_40,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b0000_address_term = A
            & v28220(VarNext) )
         => ! [B] :
              ( range_53_0(B)
             => ( v28114_1__array(VarNext,A,B)
              <=> v28234(VarNext,B) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6149,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28220(VarNext)
      <=> ( v28221(VarNext)
          & v28229(VarNext) ) ) ) )).

fof(addAssignment_8848,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28229(VarNext)
      <=> v28227(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6148,axiom,(
    ! [VarCurr] :
      ( v28227(VarCurr)
    <=> ( v28230(VarCurr)
        & v28232(VarCurr) ) ) )).

fof(writeUnaryOperator_2896,axiom,(
    ! [VarCurr] :
      ( ~ v28232(VarCurr)
    <=> v28129(VarCurr) ) )).

fof(writeUnaryOperator_2895,axiom,(
    ! [VarCurr] :
      ( ~ v28230(VarCurr)
    <=> v28231(VarCurr) ) )).

fof(writeUnaryOperator_2894,axiom,(
    ! [VarCurr] :
      ( ~ v28231(VarCurr)
    <=> v28119(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6147,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28221(VarNext)
      <=> ( v28222(VarNext)
          & v28116(VarNext) ) ) ) )).

fof(writeUnaryOperator_2893,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28222(VarNext)
      <=> v28224(VarNext) ) ) )).

fof(addAssignment_8847,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28224(VarNext)
      <=> v28116(VarCurr) ) ) )).

fof(addAssignment_8846,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v28137(VarCurr,B)
      <=> v28139(VarCurr,B) ) ) )).

fof(addAssignment_8845,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v28139(VarCurr,B)
      <=> v28141(VarCurr,B) ) ) )).

fof(addAssignment_8844,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v28141(VarCurr,B)
      <=> v28143(VarCurr,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_329,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28201(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v28143(VarNext,B)
            <=> v28143(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_366,axiom,(
    ! [VarNext] :
      ( v28201(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v28143(VarNext,B)
          <=> v28213(VarNext,B) ) ) ) )).

fof(addAssignment_8843,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v28213(VarNext,B)
          <=> v28211(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_713,axiom,(
    ! [VarCurr] :
      ( ~ v28095(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v28211(VarCurr,B)
          <=> v28214(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_657,axiom,(
    ! [VarCurr] :
      ( v28095(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v28211(VarCurr,B)
          <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_712,axiom,(
    ! [VarCurr] :
      ( ~ v28145(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v28214(VarCurr,B)
          <=> v28147(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_656,axiom,(
    ! [VarCurr] :
      ( v28145(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v28214(VarCurr,B)
          <=> v27077(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6146,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28201(VarNext)
      <=> ( v28202(VarNext)
          & v28209(VarNext) ) ) ) )).

fof(addAssignment_8842,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28209(VarNext)
      <=> v28207(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6145,axiom,(
    ! [VarCurr] :
      ( v28207(VarCurr)
    <=> ( v28210(VarCurr)
        | v28095(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6144,axiom,(
    ! [VarCurr] :
      ( v28210(VarCurr)
    <=> ( v28157(VarCurr)
        | v28145(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6143,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28202(VarNext)
      <=> ( v28204(VarNext)
          & v25419(VarNext) ) ) ) )).

fof(writeUnaryOperator_2892,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28204(VarNext)
      <=> v26847(VarNext) ) ) )).

fof(addAssignment_8841,axiom,(
    ! [VarCurr] :
      ( v28157(VarCurr)
    <=> v28159(VarCurr) ) )).

fof(addAssignment_8840,axiom,(
    ! [VarCurr] :
      ( v28159(VarCurr)
    <=> v28161(VarCurr) ) )).

fof(addAssignment_8839,axiom,(
    ! [VarCurr] :
      ( v28161(VarCurr)
    <=> v28163(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_328,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28185(VarNext)
       => ( v28163(VarNext)
        <=> v28163(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_365,axiom,(
    ! [VarNext] :
      ( v28185(VarNext)
     => ( v28163(VarNext)
      <=> v28195(VarNext) ) ) )).

fof(addAssignment_8838,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28195(VarNext)
      <=> v28193(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_711,axiom,(
    ! [VarCurr] :
      ( ~ v28196(VarCurr)
     => ( v28193(VarCurr)
      <=> v28165(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_655,axiom,(
    ! [VarCurr] :
      ( v28196(VarCurr)
     => ( v28193(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1898,axiom,(
    ! [VarCurr] :
      ( v28196(VarCurr)
    <=> ( v27030(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6142,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28185(VarNext)
      <=> v28186(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6141,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28186(VarNext)
      <=> ( v28187(VarNext)
          & v27025(VarNext) ) ) ) )).

fof(writeUnaryOperator_2891,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28187(VarNext)
      <=> v28189(VarNext) ) ) )).

fof(addAssignment_8837,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28189(VarNext)
      <=> v27025(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_298,axiom,(
    ! [VarCurr] :
      ( ( ~ v28179(VarCurr)
        & ~ v28182(VarCurr) )
     => ( v28165(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_705,axiom,(
    ! [VarCurr] :
      ( v28182(VarCurr)
     => ( v28165(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_696,axiom,(
    ! [VarCurr] :
      ( v28179(VarCurr)
     => ( v28165(VarCurr)
      <=> v28180(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1897,axiom,(
    ! [VarCurr] :
      ( v28182(VarCurr)
    <=> ( ( v28167(VarCurr,bitIndex1)
        <=> $false )
        & ( v28167(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_710,axiom,(
    ! [VarCurr] :
      ( ~ v28169(VarCurr)
     => ( v28180(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_654,axiom,(
    ! [VarCurr] :
      ( v28169(VarCurr)
     => ( v28180(VarCurr)
      <=> v28181(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_709,axiom,(
    ! [VarCurr] :
      ( ~ v28175(VarCurr)
     => ( v28181(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_653,axiom,(
    ! [VarCurr] :
      ( v28175(VarCurr)
     => ( v28181(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1896,axiom,(
    ! [VarCurr] :
      ( v28179(VarCurr)
    <=> ( ( v28167(VarCurr,bitIndex1)
        <=> $false )
        & ( v28167(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8836,axiom,(
    ! [VarCurr] :
      ( v28175(VarCurr)
    <=> v28177(VarCurr) ) )).

fof(addAssignment_8835,axiom,(
    ! [VarCurr] :
      ( v28169(VarCurr)
    <=> v28171(VarCurr) ) )).

fof(addAssignment_8834,axiom,(
    ! [VarCurr] :
      ( v28171(VarCurr)
    <=> v28173(VarCurr) ) )).

fof(addAssignment_8833,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v28147(VarCurr,B)
      <=> v28149(VarCurr,B) ) ) )).

fof(addAssignment_8832,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v28149(VarCurr,B)
      <=> v28151(VarCurr,B) ) ) )).

fof(addAssignment_8831,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v28151(VarCurr,B)
      <=> v28153(VarCurr,B) ) ) )).

fof(addAssignment_8830,axiom,(
    ! [VarCurr] :
      ( ( v28153(VarCurr,bitIndex3)
      <=> v28155(VarCurr,bitIndex63) )
      & ( v28153(VarCurr,bitIndex2)
      <=> v28155(VarCurr,bitIndex62) )
      & ( v28153(VarCurr,bitIndex1)
      <=> v28155(VarCurr,bitIndex61) )
      & ( v28153(VarCurr,bitIndex0)
      <=> v28155(VarCurr,bitIndex60) ) ) )).

fof(addAssignment_8829,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v27077(VarCurr,B)
      <=> v27079(VarCurr,B) ) ) )).

fof(addAssignment_8828,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v27079(VarCurr,B)
      <=> v27081(VarCurr,B) ) ) )).

fof(addAssignment_8827,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v27081(VarCurr,B)
      <=> v27083(VarCurr,B) ) ) )).

fof(addAssignment_8826,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v27083(VarCurr,B)
      <=> v27467(VarCurr,B) ) ) )).

fof(addAssignment_8825,axiom,(
    ! [VarCurr] :
      ( v28129(VarCurr)
    <=> v28131(VarCurr) ) )).

fof(addAssignment_8824,axiom,(
    ! [VarCurr] :
      ( v28131(VarCurr)
    <=> v28133(VarCurr) ) )).

fof(addAssignment_8823,axiom,(
    ! [VarCurr] :
      ( v28133(VarCurr)
    <=> v28135(VarCurr) ) )).

fof(addAssignment_8822,axiom,(
    ! [VarCurr,B] :
      ( range_53_0(B)
     => ( v28121(VarCurr,B)
      <=> v28123(VarCurr,B) ) ) )).

fof(addAssignment_8821,axiom,(
    ! [VarCurr,B] :
      ( range_53_0(B)
     => ( v28123(VarCurr,B)
      <=> v28125(VarCurr,B) ) ) )).

fof(addAssignment_8820,axiom,(
    ! [VarCurr,B] :
      ( range_53_0(B)
     => ( v28125(VarCurr,B)
      <=> v28127(VarCurr,B) ) ) )).

fof(range_axiom_108,axiom,(
    ! [B] :
      ( range_53_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B
        | bitIndex44 = B
        | bitIndex45 = B
        | bitIndex46 = B
        | bitIndex47 = B
        | bitIndex48 = B
        | bitIndex49 = B
        | bitIndex50 = B
        | bitIndex51 = B
        | bitIndex52 = B
        | bitIndex53 = B ) ) )).

fof(addAssignment_8819,axiom,(
    ! [VarCurr] :
      ( v28119(VarCurr)
    <=> v27030(VarCurr) ) )).

fof(addAssignment_8818,axiom,(
    ! [VarCurr] :
      ( v28116(VarCurr)
    <=> v27025(VarCurr) ) )).

fof(addAssignment_8817,axiom,(
    ! [VarNext,B] :
      ( range_43_38(B)
     => ( v27497(VarNext,B)
      <=> v28084(VarNext,B) ) ) )).

fof(range_axiom_107,axiom,(
    ! [B] :
      ( range_43_38(B)
    <=> ( $false
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B ) ) )).

fof(addCaseBooleanConditionEqualRanges1_327,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28085(VarNext)
       => ! [B] :
            ( range_43_0(B)
           => ( v28084(VarNext,B)
            <=> v27497(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_364,axiom,(
    ! [VarNext] :
      ( v28085(VarNext)
     => ! [B] :
          ( range_43_0(B)
         => ( v28084(VarNext,B)
          <=> v28098(VarNext,B) ) ) ) )).

fof(addAssignment_8816,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_43_0(B)
         => ( v28098(VarNext,B)
          <=> v28096(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_708,axiom,(
    ! [VarCurr] :
      ( ~ v28095(VarCurr)
     => ! [B] :
          ( range_43_0(B)
         => ( v28096(VarCurr,B)
          <=> v27013(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_652,axiom,(
    ! [VarCurr] :
      ( v28095(VarCurr)
     => ! [B] :
          ( range_43_0(B)
         => ( v28096(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6140,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28085(VarNext)
      <=> ( v28086(VarNext)
          & v28093(VarNext) ) ) ) )).

fof(addAssignment_8815,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28093(VarNext)
      <=> v28091(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6139,axiom,(
    ! [VarCurr] :
      ( v28091(VarCurr)
    <=> ( v28094(VarCurr)
        | v28095(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1895,axiom,(
    ! [VarCurr] :
      ( v28095(VarCurr)
    <=> ( v62(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6138,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28086(VarNext)
      <=> ( v28087(VarNext)
          & v25419(VarNext) ) ) ) )).

fof(writeUnaryOperator_2890,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28087(VarNext)
      <=> v26847(VarNext) ) ) )).

fof(addAssignment_8814,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v28034(VarCurr,B)
      <=> v28036(VarCurr,B) ) ) )).

fof(addAssignment_8813,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v28036(VarCurr,B)
      <=> v28038(VarCurr,B) ) ) )).

fof(addAssignment_8812,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v28038(VarCurr,B)
      <=> v28040(VarCurr,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_326,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28061(VarNext)
       => ! [B] :
            ( range_4_0(B)
           => ( v28040(VarNext,B)
            <=> v28040(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_363,axiom,(
    ! [VarNext] :
      ( v28061(VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v28040(VarNext,B)
          <=> v28072(VarNext,B) ) ) ) )).

fof(addAssignment_8811,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v28072(VarNext,B)
          <=> v28070(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_707,axiom,(
    ! [VarCurr] :
      ( ~ v27058(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v28070(VarCurr,B)
          <=> v28042(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_651,axiom,(
    ! [VarCurr] :
      ( v27058(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v28070(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6137,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28061(VarNext)
      <=> ( v28062(VarNext)
          & v28069(VarNext) ) ) ) )).

fof(addAssignment_8810,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28069(VarNext)
      <=> v28067(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6136,axiom,(
    ! [VarCurr] :
      ( v28067(VarCurr)
    <=> ( v28052(VarCurr)
        | v27058(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6135,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28062(VarNext)
      <=> ( v28064(VarNext)
          & v13912(VarNext) ) ) ) )).

fof(writeUnaryOperator_2889,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28064(VarNext)
      <=> v27051(VarNext) ) ) )).

fof(addAssignment_8809,axiom,(
    ! [VarCurr] :
      ( v28052(VarCurr)
    <=> v28054(VarCurr) ) )).

fof(addAssignment_8808,axiom,(
    ! [VarCurr] :
      ( v28054(VarCurr)
    <=> v28056(VarCurr) ) )).

fof(addAssignment_8807,axiom,(
    ! [VarCurr] :
      ( v28056(VarCurr)
    <=> v28058(VarCurr) ) )).

fof(addAssignment_8806,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v28042(VarCurr,B)
      <=> v28044(VarCurr,B) ) ) )).

fof(addAssignment_8805,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v28044(VarCurr,B)
      <=> v28046(VarCurr,B) ) ) )).

fof(addAssignment_8804,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v28046(VarCurr,B)
      <=> v28048(VarCurr,B) ) ) )).

fof(addAssignment_8803,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v28048(VarCurr,B)
      <=> v28050(VarCurr,B) ) ) )).

fof(addAssignment_8802,axiom,(
    ! [VarCurr,B] :
      ( range_43_0(B)
     => ( v27499(VarCurr,B)
      <=> v27501(VarCurr,B) ) ) )).

fof(addAssignment_8801,axiom,(
    ! [VarCurr,B] :
      ( range_43_0(B)
     => ( v27501(VarCurr,B)
      <=> v27503(VarCurr,B) ) ) )).

fof(addAssignment_8800,axiom,(
    ! [VarCurr,B] :
      ( range_43_0(B)
     => ( v27503(VarCurr,B)
      <=> v27505(VarCurr,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_325,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28019(VarNext)
       => ! [B] :
            ( range_43_0(B)
           => ( v27505(VarNext,B)
            <=> v27505(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_362,axiom,(
    ! [VarNext] :
      ( v28019(VarNext)
     => ! [B] :
          ( range_43_0(B)
         => ( v27505(VarNext,B)
          <=> v28027(VarNext,B) ) ) ) )).

fof(addAssignment_8799,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_43_0(B)
         => ( v28027(VarNext,B)
          <=> v28025(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_706,axiom,(
    ! [VarCurr] :
      ( ~ v27058(VarCurr)
     => ! [B] :
          ( range_43_0(B)
         => ( v28025(VarCurr,B)
          <=> v28028(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_650,axiom,(
    ! [VarCurr] :
      ( v27058(VarCurr)
     => ! [B] :
          ( range_43_0(B)
         => ( v28025(VarCurr,B)
          <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_705,axiom,(
    ! [VarCurr] :
      ( ~ v28029(VarCurr)
     => ! [B] :
          ( range_43_0(B)
         => ( v28028(VarCurr,B)
          <=> $false ) ) ) )).

fof(bitBlastConstant_9273,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex43) )).

fof(bitBlastConstant_9272,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex42) )).

fof(bitBlastConstant_9271,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex41) )).

fof(bitBlastConstant_9270,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex40) )).

fof(bitBlastConstant_9269,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex39) )).

fof(bitBlastConstant_9268,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex38) )).

fof(bitBlastConstant_9267,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex37) )).

fof(bitBlastConstant_9266,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex36) )).

fof(bitBlastConstant_9265,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex35) )).

fof(bitBlastConstant_9264,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex34) )).

fof(bitBlastConstant_9263,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex33) )).

fof(bitBlastConstant_9262,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex32) )).

fof(bitBlastConstant_9261,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex31) )).

fof(bitBlastConstant_9260,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex30) )).

fof(bitBlastConstant_9259,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex29) )).

fof(bitBlastConstant_9258,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex28) )).

fof(bitBlastConstant_9257,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex27) )).

fof(bitBlastConstant_9256,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_9255,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_9254,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_9253,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_9252,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_9251,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_9250,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_9249,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_9248,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_9247,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_9246,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_9245,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_9244,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_9243,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_9242,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_9241,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_9240,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_9239,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_9238,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_9237,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_9236,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_9235,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_9234,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_9233,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_9232,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_9231,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_9230,axiom,(
    ~ b00000000000000000000000000000000000000000000(bitIndex0) )).

fof(addConditionBooleanCondEqualRangesThenBranch_649,axiom,(
    ! [VarCurr] :
      ( v28029(VarCurr)
     => ! [B] :
          ( range_43_0(B)
         => ( v28028(VarCurr,B)
          <=> v28030(VarCurr,B) ) ) ) )).

fof(range_axiom_106,axiom,(
    ! [B] :
      ( range_43_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B ) ) )).

fof(addAssignment_8798,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v28030(VarCurr,B)
      <=> v27511(VarCurr,B) ) ) )).

fof(addAssignment_8797,axiom,(
    ! [VarCurr] :
      ( v28030(VarCurr,bitIndex32)
    <=> v27509(VarCurr) ) )).

fof(addAssignment_8796,axiom,(
    ! [VarCurr] :
      ( ( v28030(VarCurr,bitIndex37)
      <=> v27479(VarCurr,bitIndex4) )
      & ( v28030(VarCurr,bitIndex36)
      <=> v27479(VarCurr,bitIndex3) )
      & ( v28030(VarCurr,bitIndex35)
      <=> v27479(VarCurr,bitIndex2) )
      & ( v28030(VarCurr,bitIndex34)
      <=> v27479(VarCurr,bitIndex1) )
      & ( v28030(VarCurr,bitIndex33)
      <=> v27479(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_8795,axiom,(
    ! [VarCurr] :
      ( ( v28030(VarCurr,bitIndex43)
      <=> v27507(VarCurr,bitIndex5) )
      & ( v28030(VarCurr,bitIndex42)
      <=> v27507(VarCurr,bitIndex4) )
      & ( v28030(VarCurr,bitIndex41)
      <=> v27507(VarCurr,bitIndex3) )
      & ( v28030(VarCurr,bitIndex40)
      <=> v27507(VarCurr,bitIndex2) )
      & ( v28030(VarCurr,bitIndex39)
      <=> v27507(VarCurr,bitIndex1) )
      & ( v28030(VarCurr,bitIndex38)
      <=> v27507(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6134,axiom,(
    ! [VarCurr] :
      ( v28029(VarCurr)
    <=> ( v27042(VarCurr)
        & v27044(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6133,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28019(VarNext)
      <=> v28020(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6132,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v28020(VarNext)
      <=> ( v28022(VarNext)
          & v13912(VarNext) ) ) ) )).

fof(writeUnaryOperator_2888,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v28022(VarNext)
      <=> v27051(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_364,axiom,(
    ! [VarCurr] :
      ( ~ v28012(VarCurr)
     => ( v27511(VarCurr,bitIndex31)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_420,axiom,(
    ! [VarCurr] :
      ( v28012(VarCurr)
     => ( v27511(VarCurr,bitIndex31)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1652,axiom,(
    ! [VarCurr] :
      ( v28012(VarCurr)
    <=> ( v28014(VarCurr,bitIndex6)
        | v28015(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1651,axiom,(
    ! [VarCurr] :
      ( v28015(VarCurr)
    <=> ( v28014(VarCurr,bitIndex5)
        & v28016(VarCurr) ) ) )).

fof(writeUnaryOperator_2887,axiom,(
    ! [VarCurr] :
      ( ~ v28016(VarCurr)
    <=> v28014(VarCurr,bitIndex6) ) )).

fof(addAssignment_8794,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v28014(VarCurr,B)
      <=> v27507(VarCurr,B) ) ) )).

fof(addAssignment_8793,axiom,(
    ! [VarCurr] :
      ( v28014(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_363,axiom,(
    ! [VarCurr] :
      ( ~ v27999(VarCurr)
     => ( v27511(VarCurr,bitIndex30)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_419,axiom,(
    ! [VarCurr] :
      ( v27999(VarCurr)
     => ( v27511(VarCurr,bitIndex30)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1650,axiom,(
    ! [VarCurr] :
      ( v27999(VarCurr)
    <=> ( v28001(VarCurr,bitIndex6)
        | v28002(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6131,axiom,(
    ! [VarCurr] :
      ( v28002(VarCurr)
    <=> ( v28003(VarCurr)
        & v28010(VarCurr) ) ) )).

fof(writeUnaryOperator_2886,axiom,(
    ! [VarCurr] :
      ( ~ v28010(VarCurr)
    <=> v28001(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_1649,axiom,(
    ! [VarCurr] :
      ( v28003(VarCurr)
    <=> ( v28001(VarCurr,bitIndex5)
        | v28004(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6130,axiom,(
    ! [VarCurr] :
      ( v28004(VarCurr)
    <=> ( v28005(VarCurr)
        & v28009(VarCurr) ) ) )).

fof(writeUnaryOperator_2885,axiom,(
    ! [VarCurr] :
      ( ~ v28009(VarCurr)
    <=> v28001(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1648,axiom,(
    ! [VarCurr] :
      ( v28005(VarCurr)
    <=> ( v28006(VarCurr)
        & v28001(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1647,axiom,(
    ! [VarCurr] :
      ( v28006(VarCurr)
    <=> ( v28007(VarCurr)
        & v28001(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1646,axiom,(
    ! [VarCurr] :
      ( v28007(VarCurr)
    <=> ( v28008(VarCurr)
        & v28001(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1645,axiom,(
    ! [VarCurr] :
      ( v28008(VarCurr)
    <=> ( v28001(VarCurr,bitIndex0)
        & v28001(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_8792,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v28001(VarCurr,B)
      <=> v27507(VarCurr,B) ) ) )).

fof(addAssignment_8791,axiom,(
    ! [VarCurr] :
      ( v28001(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_362,axiom,(
    ! [VarCurr] :
      ( ~ v27987(VarCurr)
     => ( v27511(VarCurr,bitIndex29)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_418,axiom,(
    ! [VarCurr] :
      ( v27987(VarCurr)
     => ( v27511(VarCurr,bitIndex29)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1644,axiom,(
    ! [VarCurr] :
      ( v27987(VarCurr)
    <=> ( v27989(VarCurr,bitIndex6)
        | v27990(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6129,axiom,(
    ! [VarCurr] :
      ( v27990(VarCurr)
    <=> ( v27991(VarCurr)
        & v27997(VarCurr) ) ) )).

fof(writeUnaryOperator_2884,axiom,(
    ! [VarCurr] :
      ( ~ v27997(VarCurr)
    <=> v27989(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_1643,axiom,(
    ! [VarCurr] :
      ( v27991(VarCurr)
    <=> ( v27989(VarCurr,bitIndex5)
        | v27992(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6128,axiom,(
    ! [VarCurr] :
      ( v27992(VarCurr)
    <=> ( v27993(VarCurr)
        & v27996(VarCurr) ) ) )).

fof(writeUnaryOperator_2883,axiom,(
    ! [VarCurr] :
      ( ~ v27996(VarCurr)
    <=> v27989(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1642,axiom,(
    ! [VarCurr] :
      ( v27993(VarCurr)
    <=> ( v27994(VarCurr)
        & v27989(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1641,axiom,(
    ! [VarCurr] :
      ( v27994(VarCurr)
    <=> ( v27995(VarCurr)
        & v27989(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1640,axiom,(
    ! [VarCurr] :
      ( v27995(VarCurr)
    <=> ( v27989(VarCurr,bitIndex1)
        & v27989(VarCurr,bitIndex2) ) ) )).

fof(addAssignment_8790,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v27989(VarCurr,B)
      <=> v27507(VarCurr,B) ) ) )).

fof(addAssignment_8789,axiom,(
    ! [VarCurr] :
      ( v27989(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_361,axiom,(
    ! [VarCurr] :
      ( ~ v27972(VarCurr)
     => ( v27511(VarCurr,bitIndex28)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_417,axiom,(
    ! [VarCurr] :
      ( v27972(VarCurr)
     => ( v27511(VarCurr,bitIndex28)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1639,axiom,(
    ! [VarCurr] :
      ( v27972(VarCurr)
    <=> ( v27974(VarCurr,bitIndex6)
        | v27975(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6127,axiom,(
    ! [VarCurr] :
      ( v27975(VarCurr)
    <=> ( v27976(VarCurr)
        & v27985(VarCurr) ) ) )).

fof(writeUnaryOperator_2882,axiom,(
    ! [VarCurr] :
      ( ~ v27985(VarCurr)
    <=> v27974(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_1638,axiom,(
    ! [VarCurr] :
      ( v27976(VarCurr)
    <=> ( v27974(VarCurr,bitIndex5)
        | v27977(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6126,axiom,(
    ! [VarCurr] :
      ( v27977(VarCurr)
    <=> ( v27978(VarCurr)
        & v27984(VarCurr) ) ) )).

fof(writeUnaryOperator_2881,axiom,(
    ! [VarCurr] :
      ( ~ v27984(VarCurr)
    <=> v27974(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1637,axiom,(
    ! [VarCurr] :
      ( v27978(VarCurr)
    <=> ( v27979(VarCurr)
        & v27974(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1636,axiom,(
    ! [VarCurr] :
      ( v27979(VarCurr)
    <=> ( v27980(VarCurr)
        & v27974(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1635,axiom,(
    ! [VarCurr] :
      ( v27980(VarCurr)
    <=> ( v27981(VarCurr)
        & v27974(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1634,axiom,(
    ! [VarCurr] :
      ( v27981(VarCurr)
    <=> ( v27974(VarCurr,bitIndex1)
        | v27982(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6125,axiom,(
    ! [VarCurr] :
      ( v27982(VarCurr)
    <=> ( v27974(VarCurr,bitIndex0)
        & v27983(VarCurr) ) ) )).

fof(writeUnaryOperator_2880,axiom,(
    ! [VarCurr] :
      ( ~ v27983(VarCurr)
    <=> v27974(VarCurr,bitIndex1) ) )).

fof(addAssignment_8788,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v27974(VarCurr,B)
      <=> v27507(VarCurr,B) ) ) )).

fof(addAssignment_8787,axiom,(
    ! [VarCurr] :
      ( v27974(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_360,axiom,(
    ! [VarCurr] :
      ( ~ v27961(VarCurr)
     => ( v27511(VarCurr,bitIndex27)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_416,axiom,(
    ! [VarCurr] :
      ( v27961(VarCurr)
     => ( v27511(VarCurr,bitIndex27)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1633,axiom,(
    ! [VarCurr] :
      ( v27961(VarCurr)
    <=> ( v27963(VarCurr,bitIndex6)
        | v27964(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6124,axiom,(
    ! [VarCurr] :
      ( v27964(VarCurr)
    <=> ( v27965(VarCurr)
        & v27970(VarCurr) ) ) )).

fof(writeUnaryOperator_2879,axiom,(
    ! [VarCurr] :
      ( ~ v27970(VarCurr)
    <=> v27963(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_1632,axiom,(
    ! [VarCurr] :
      ( v27965(VarCurr)
    <=> ( v27963(VarCurr,bitIndex5)
        | v27966(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6123,axiom,(
    ! [VarCurr] :
      ( v27966(VarCurr)
    <=> ( v27967(VarCurr)
        & v27969(VarCurr) ) ) )).

fof(writeUnaryOperator_2878,axiom,(
    ! [VarCurr] :
      ( ~ v27969(VarCurr)
    <=> v27963(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1631,axiom,(
    ! [VarCurr] :
      ( v27967(VarCurr)
    <=> ( v27968(VarCurr)
        & v27963(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1630,axiom,(
    ! [VarCurr] :
      ( v27968(VarCurr)
    <=> ( v27963(VarCurr,bitIndex2)
        & v27963(VarCurr,bitIndex3) ) ) )).

fof(addAssignment_8786,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v27963(VarCurr,B)
      <=> v27507(VarCurr,B) ) ) )).

fof(addAssignment_8785,axiom,(
    ! [VarCurr] :
      ( v27963(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_359,axiom,(
    ! [VarCurr] :
      ( ~ v27946(VarCurr)
     => ( v27511(VarCurr,bitIndex26)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_415,axiom,(
    ! [VarCurr] :
      ( v27946(VarCurr)
     => ( v27511(VarCurr,bitIndex26)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1629,axiom,(
    ! [VarCurr] :
      ( v27946(VarCurr)
    <=> ( v27948(VarCurr,bitIndex6)
        | v27949(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6122,axiom,(
    ! [VarCurr] :
      ( v27949(VarCurr)
    <=> ( v27950(VarCurr)
        & v27959(VarCurr) ) ) )).

fof(writeUnaryOperator_2877,axiom,(
    ! [VarCurr] :
      ( ~ v27959(VarCurr)
    <=> v27948(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_1628,axiom,(
    ! [VarCurr] :
      ( v27950(VarCurr)
    <=> ( v27948(VarCurr,bitIndex5)
        | v27951(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6121,axiom,(
    ! [VarCurr] :
      ( v27951(VarCurr)
    <=> ( v27952(VarCurr)
        & v27958(VarCurr) ) ) )).

fof(writeUnaryOperator_2876,axiom,(
    ! [VarCurr] :
      ( ~ v27958(VarCurr)
    <=> v27948(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1627,axiom,(
    ! [VarCurr] :
      ( v27952(VarCurr)
    <=> ( v27953(VarCurr)
        & v27948(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1626,axiom,(
    ! [VarCurr] :
      ( v27953(VarCurr)
    <=> ( v27954(VarCurr)
        & v27948(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1625,axiom,(
    ! [VarCurr] :
      ( v27954(VarCurr)
    <=> ( v27948(VarCurr,bitIndex2)
        | v27955(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6120,axiom,(
    ! [VarCurr] :
      ( v27955(VarCurr)
    <=> ( v27956(VarCurr)
        & v27957(VarCurr) ) ) )).

fof(writeUnaryOperator_2875,axiom,(
    ! [VarCurr] :
      ( ~ v27957(VarCurr)
    <=> v27948(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_1624,axiom,(
    ! [VarCurr] :
      ( v27956(VarCurr)
    <=> ( v27948(VarCurr,bitIndex0)
        & v27948(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_8784,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v27948(VarCurr,B)
      <=> v27507(VarCurr,B) ) ) )).

fof(addAssignment_8783,axiom,(
    ! [VarCurr] :
      ( v27948(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_358,axiom,(
    ! [VarCurr] :
      ( ~ v27932(VarCurr)
     => ( v27511(VarCurr,bitIndex25)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_414,axiom,(
    ! [VarCurr] :
      ( v27932(VarCurr)
     => ( v27511(VarCurr,bitIndex25)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1623,axiom,(
    ! [VarCurr] :
      ( v27932(VarCurr)
    <=> ( v27934(VarCurr,bitIndex6)
        | v27935(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6119,axiom,(
    ! [VarCurr] :
      ( v27935(VarCurr)
    <=> ( v27936(VarCurr)
        & v27944(VarCurr) ) ) )).

fof(writeUnaryOperator_2874,axiom,(
    ! [VarCurr] :
      ( ~ v27944(VarCurr)
    <=> v27934(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_1622,axiom,(
    ! [VarCurr] :
      ( v27936(VarCurr)
    <=> ( v27934(VarCurr,bitIndex5)
        | v27937(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6118,axiom,(
    ! [VarCurr] :
      ( v27937(VarCurr)
    <=> ( v27938(VarCurr)
        & v27943(VarCurr) ) ) )).

fof(writeUnaryOperator_2873,axiom,(
    ! [VarCurr] :
      ( ~ v27943(VarCurr)
    <=> v27934(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1621,axiom,(
    ! [VarCurr] :
      ( v27938(VarCurr)
    <=> ( v27939(VarCurr)
        & v27934(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1620,axiom,(
    ! [VarCurr] :
      ( v27939(VarCurr)
    <=> ( v27940(VarCurr)
        & v27934(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1619,axiom,(
    ! [VarCurr] :
      ( v27940(VarCurr)
    <=> ( v27934(VarCurr,bitIndex2)
        | v27941(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1618,axiom,(
    ! [VarCurr] :
      ( v27941(VarCurr)
    <=> ( v27934(VarCurr,bitIndex1)
        & v27942(VarCurr) ) ) )).

fof(writeUnaryOperator_2872,axiom,(
    ! [VarCurr] :
      ( ~ v27942(VarCurr)
    <=> v27934(VarCurr,bitIndex2) ) )).

fof(addAssignment_8782,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v27934(VarCurr,B)
      <=> v27507(VarCurr,B) ) ) )).

fof(addAssignment_8781,axiom,(
    ! [VarCurr] :
      ( v27934(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_357,axiom,(
    ! [VarCurr] :
      ( ~ v27915(VarCurr)
     => ( v27511(VarCurr,bitIndex24)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_413,axiom,(
    ! [VarCurr] :
      ( v27915(VarCurr)
     => ( v27511(VarCurr,bitIndex24)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1617,axiom,(
    ! [VarCurr] :
      ( v27915(VarCurr)
    <=> ( v27917(VarCurr,bitIndex6)
        | v27918(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6117,axiom,(
    ! [VarCurr] :
      ( v27918(VarCurr)
    <=> ( v27919(VarCurr)
        & v27930(VarCurr) ) ) )).

fof(writeUnaryOperator_2871,axiom,(
    ! [VarCurr] :
      ( ~ v27930(VarCurr)
    <=> v27917(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_1616,axiom,(
    ! [VarCurr] :
      ( v27919(VarCurr)
    <=> ( v27917(VarCurr,bitIndex5)
        | v27920(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6116,axiom,(
    ! [VarCurr] :
      ( v27920(VarCurr)
    <=> ( v27921(VarCurr)
        & v27929(VarCurr) ) ) )).

fof(writeUnaryOperator_2870,axiom,(
    ! [VarCurr] :
      ( ~ v27929(VarCurr)
    <=> v27917(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1615,axiom,(
    ! [VarCurr] :
      ( v27921(VarCurr)
    <=> ( v27922(VarCurr)
        & v27917(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1614,axiom,(
    ! [VarCurr] :
      ( v27922(VarCurr)
    <=> ( v27923(VarCurr)
        & v27917(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1613,axiom,(
    ! [VarCurr] :
      ( v27923(VarCurr)
    <=> ( v27917(VarCurr,bitIndex2)
        | v27924(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6115,axiom,(
    ! [VarCurr] :
      ( v27924(VarCurr)
    <=> ( v27925(VarCurr)
        & v27928(VarCurr) ) ) )).

fof(writeUnaryOperator_2869,axiom,(
    ! [VarCurr] :
      ( ~ v27928(VarCurr)
    <=> v27917(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_1612,axiom,(
    ! [VarCurr] :
      ( v27925(VarCurr)
    <=> ( v27917(VarCurr,bitIndex1)
        | v27926(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6114,axiom,(
    ! [VarCurr] :
      ( v27926(VarCurr)
    <=> ( v27917(VarCurr,bitIndex0)
        & v27927(VarCurr) ) ) )).

fof(writeUnaryOperator_2868,axiom,(
    ! [VarCurr] :
      ( ~ v27927(VarCurr)
    <=> v27917(VarCurr,bitIndex1) ) )).

fof(addAssignment_8780,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v27917(VarCurr,B)
      <=> v27507(VarCurr,B) ) ) )).

fof(addAssignment_8779,axiom,(
    ! [VarCurr] :
      ( v27917(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_356,axiom,(
    ! [VarCurr] :
      ( ~ v27905(VarCurr)
     => ( v27511(VarCurr,bitIndex23)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_412,axiom,(
    ! [VarCurr] :
      ( v27905(VarCurr)
     => ( v27511(VarCurr,bitIndex23)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1611,axiom,(
    ! [VarCurr] :
      ( v27905(VarCurr)
    <=> ( v27907(VarCurr,bitIndex6)
        | v27908(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6113,axiom,(
    ! [VarCurr] :
      ( v27908(VarCurr)
    <=> ( v27909(VarCurr)
        & v27913(VarCurr) ) ) )).

fof(writeUnaryOperator_2867,axiom,(
    ! [VarCurr] :
      ( ~ v27913(VarCurr)
    <=> v27907(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_1610,axiom,(
    ! [VarCurr] :
      ( v27909(VarCurr)
    <=> ( v27907(VarCurr,bitIndex5)
        | v27910(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6112,axiom,(
    ! [VarCurr] :
      ( v27910(VarCurr)
    <=> ( v27911(VarCurr)
        & v27912(VarCurr) ) ) )).

fof(writeUnaryOperator_2866,axiom,(
    ! [VarCurr] :
      ( ~ v27912(VarCurr)
    <=> v27907(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1609,axiom,(
    ! [VarCurr] :
      ( v27911(VarCurr)
    <=> ( v27907(VarCurr,bitIndex3)
        & v27907(VarCurr,bitIndex4) ) ) )).

fof(addAssignment_8778,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v27907(VarCurr,B)
      <=> v27507(VarCurr,B) ) ) )).

fof(addAssignment_8777,axiom,(
    ! [VarCurr] :
      ( v27907(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_355,axiom,(
    ! [VarCurr] :
      ( ~ v27890(VarCurr)
     => ( v27511(VarCurr,bitIndex22)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_411,axiom,(
    ! [VarCurr] :
      ( v27890(VarCurr)
     => ( v27511(VarCurr,bitIndex22)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1608,axiom,(
    ! [VarCurr] :
      ( v27890(VarCurr)
    <=> ( v27892(VarCurr,bitIndex6)
        | v27893(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6111,axiom,(
    ! [VarCurr] :
      ( v27893(VarCurr)
    <=> ( v27894(VarCurr)
        & v27903(VarCurr) ) ) )).

fof(writeUnaryOperator_2865,axiom,(
    ! [VarCurr] :
      ( ~ v27903(VarCurr)
    <=> v27892(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_1607,axiom,(
    ! [VarCurr] :
      ( v27894(VarCurr)
    <=> ( v27892(VarCurr,bitIndex5)
        | v27895(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6110,axiom,(
    ! [VarCurr] :
      ( v27895(VarCurr)
    <=> ( v27896(VarCurr)
        & v27902(VarCurr) ) ) )).

fof(writeUnaryOperator_2864,axiom,(
    ! [VarCurr] :
      ( ~ v27902(VarCurr)
    <=> v27892(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1606,axiom,(
    ! [VarCurr] :
      ( v27896(VarCurr)
    <=> ( v27897(VarCurr)
        & v27892(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1605,axiom,(
    ! [VarCurr] :
      ( v27897(VarCurr)
    <=> ( v27892(VarCurr,bitIndex3)
        | v27898(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6109,axiom,(
    ! [VarCurr] :
      ( v27898(VarCurr)
    <=> ( v27899(VarCurr)
        & v27901(VarCurr) ) ) )).

fof(writeUnaryOperator_2863,axiom,(
    ! [VarCurr] :
      ( ~ v27901(VarCurr)
    <=> v27892(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_1604,axiom,(
    ! [VarCurr] :
      ( v27899(VarCurr)
    <=> ( v27900(VarCurr)
        & v27892(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1603,axiom,(
    ! [VarCurr] :
      ( v27900(VarCurr)
    <=> ( v27892(VarCurr,bitIndex0)
        & v27892(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_8776,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v27892(VarCurr,B)
      <=> v27507(VarCurr,B) ) ) )).

fof(addAssignment_8775,axiom,(
    ! [VarCurr] :
      ( v27892(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_354,axiom,(
    ! [VarCurr] :
      ( ~ v27876(VarCurr)
     => ( v27511(VarCurr,bitIndex21)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_410,axiom,(
    ! [VarCurr] :
      ( v27876(VarCurr)
     => ( v27511(VarCurr,bitIndex21)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1602,axiom,(
    ! [VarCurr] :
      ( v27876(VarCurr)
    <=> ( v27878(VarCurr,bitIndex6)
        | v27879(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6108,axiom,(
    ! [VarCurr] :
      ( v27879(VarCurr)
    <=> ( v27880(VarCurr)
        & v27888(VarCurr) ) ) )).

fof(writeUnaryOperator_2862,axiom,(
    ! [VarCurr] :
      ( ~ v27888(VarCurr)
    <=> v27878(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_1601,axiom,(
    ! [VarCurr] :
      ( v27880(VarCurr)
    <=> ( v27878(VarCurr,bitIndex5)
        | v27881(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6107,axiom,(
    ! [VarCurr] :
      ( v27881(VarCurr)
    <=> ( v27882(VarCurr)
        & v27887(VarCurr) ) ) )).

fof(writeUnaryOperator_2861,axiom,(
    ! [VarCurr] :
      ( ~ v27887(VarCurr)
    <=> v27878(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1600,axiom,(
    ! [VarCurr] :
      ( v27882(VarCurr)
    <=> ( v27883(VarCurr)
        & v27878(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1599,axiom,(
    ! [VarCurr] :
      ( v27883(VarCurr)
    <=> ( v27878(VarCurr,bitIndex3)
        | v27884(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6106,axiom,(
    ! [VarCurr] :
      ( v27884(VarCurr)
    <=> ( v27885(VarCurr)
        & v27886(VarCurr) ) ) )).

fof(writeUnaryOperator_2860,axiom,(
    ! [VarCurr] :
      ( ~ v27886(VarCurr)
    <=> v27878(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_1598,axiom,(
    ! [VarCurr] :
      ( v27885(VarCurr)
    <=> ( v27878(VarCurr,bitIndex1)
        & v27878(VarCurr,bitIndex2) ) ) )).

fof(addAssignment_8774,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v27878(VarCurr,B)
      <=> v27507(VarCurr,B) ) ) )).

fof(addAssignment_8773,axiom,(
    ! [VarCurr] :
      ( v27878(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_353,axiom,(
    ! [VarCurr] :
      ( ~ v27859(VarCurr)
     => ( v27511(VarCurr,bitIndex20)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_409,axiom,(
    ! [VarCurr] :
      ( v27859(VarCurr)
     => ( v27511(VarCurr,bitIndex20)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1597,axiom,(
    ! [VarCurr] :
      ( v27859(VarCurr)
    <=> ( v27861(VarCurr,bitIndex6)
        | v27862(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6105,axiom,(
    ! [VarCurr] :
      ( v27862(VarCurr)
    <=> ( v27863(VarCurr)
        & v27874(VarCurr) ) ) )).

fof(writeUnaryOperator_2859,axiom,(
    ! [VarCurr] :
      ( ~ v27874(VarCurr)
    <=> v27861(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_1596,axiom,(
    ! [VarCurr] :
      ( v27863(VarCurr)
    <=> ( v27861(VarCurr,bitIndex5)
        | v27864(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6104,axiom,(
    ! [VarCurr] :
      ( v27864(VarCurr)
    <=> ( v27865(VarCurr)
        & v27873(VarCurr) ) ) )).

fof(writeUnaryOperator_2858,axiom,(
    ! [VarCurr] :
      ( ~ v27873(VarCurr)
    <=> v27861(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1595,axiom,(
    ! [VarCurr] :
      ( v27865(VarCurr)
    <=> ( v27866(VarCurr)
        & v27861(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1594,axiom,(
    ! [VarCurr] :
      ( v27866(VarCurr)
    <=> ( v27861(VarCurr,bitIndex3)
        | v27867(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6103,axiom,(
    ! [VarCurr] :
      ( v27867(VarCurr)
    <=> ( v27868(VarCurr)
        & v27872(VarCurr) ) ) )).

fof(writeUnaryOperator_2857,axiom,(
    ! [VarCurr] :
      ( ~ v27872(VarCurr)
    <=> v27861(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_1593,axiom,(
    ! [VarCurr] :
      ( v27868(VarCurr)
    <=> ( v27869(VarCurr)
        & v27861(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1592,axiom,(
    ! [VarCurr] :
      ( v27869(VarCurr)
    <=> ( v27861(VarCurr,bitIndex1)
        | v27870(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6102,axiom,(
    ! [VarCurr] :
      ( v27870(VarCurr)
    <=> ( v27861(VarCurr,bitIndex0)
        & v27871(VarCurr) ) ) )).

fof(writeUnaryOperator_2856,axiom,(
    ! [VarCurr] :
      ( ~ v27871(VarCurr)
    <=> v27861(VarCurr,bitIndex1) ) )).

fof(addAssignment_8772,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v27861(VarCurr,B)
      <=> v27507(VarCurr,B) ) ) )).

fof(addAssignment_8771,axiom,(
    ! [VarCurr] :
      ( v27861(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_352,axiom,(
    ! [VarCurr] :
      ( ~ v27846(VarCurr)
     => ( v27511(VarCurr,bitIndex19)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_408,axiom,(
    ! [VarCurr] :
      ( v27846(VarCurr)
     => ( v27511(VarCurr,bitIndex19)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1591,axiom,(
    ! [VarCurr] :
      ( v27846(VarCurr)
    <=> ( v27848(VarCurr,bitIndex6)
        | v27849(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6101,axiom,(
    ! [VarCurr] :
      ( v27849(VarCurr)
    <=> ( v27850(VarCurr)
        & v27857(VarCurr) ) ) )).

fof(writeUnaryOperator_2855,axiom,(
    ! [VarCurr] :
      ( ~ v27857(VarCurr)
    <=> v27848(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_1590,axiom,(
    ! [VarCurr] :
      ( v27850(VarCurr)
    <=> ( v27848(VarCurr,bitIndex5)
        | v27851(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6100,axiom,(
    ! [VarCurr] :
      ( v27851(VarCurr)
    <=> ( v27852(VarCurr)
        & v27856(VarCurr) ) ) )).

fof(writeUnaryOperator_2854,axiom,(
    ! [VarCurr] :
      ( ~ v27856(VarCurr)
    <=> v27848(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1589,axiom,(
    ! [VarCurr] :
      ( v27852(VarCurr)
    <=> ( v27853(VarCurr)
        & v27848(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1588,axiom,(
    ! [VarCurr] :
      ( v27853(VarCurr)
    <=> ( v27848(VarCurr,bitIndex3)
        | v27854(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1587,axiom,(
    ! [VarCurr] :
      ( v27854(VarCurr)
    <=> ( v27848(VarCurr,bitIndex2)
        & v27855(VarCurr) ) ) )).

fof(writeUnaryOperator_2853,axiom,(
    ! [VarCurr] :
      ( ~ v27855(VarCurr)
    <=> v27848(VarCurr,bitIndex3) ) )).

fof(addAssignment_8770,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v27848(VarCurr,B)
      <=> v27507(VarCurr,B) ) ) )).

fof(addAssignment_8769,axiom,(
    ! [VarCurr] :
      ( v27848(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_351,axiom,(
    ! [VarCurr] :
      ( ~ v27829(VarCurr)
     => ( v27511(VarCurr,bitIndex18)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_407,axiom,(
    ! [VarCurr] :
      ( v27829(VarCurr)
     => ( v27511(VarCurr,bitIndex18)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1586,axiom,(
    ! [VarCurr] :
      ( v27829(VarCurr)
    <=> ( v27831(VarCurr,bitIndex6)
        | v27832(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6099,axiom,(
    ! [VarCurr] :
      ( v27832(VarCurr)
    <=> ( v27833(VarCurr)
        & v27844(VarCurr) ) ) )).

fof(writeUnaryOperator_2852,axiom,(
    ! [VarCurr] :
      ( ~ v27844(VarCurr)
    <=> v27831(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_1585,axiom,(
    ! [VarCurr] :
      ( v27833(VarCurr)
    <=> ( v27831(VarCurr,bitIndex5)
        | v27834(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6098,axiom,(
    ! [VarCurr] :
      ( v27834(VarCurr)
    <=> ( v27835(VarCurr)
        & v27843(VarCurr) ) ) )).

fof(writeUnaryOperator_2851,axiom,(
    ! [VarCurr] :
      ( ~ v27843(VarCurr)
    <=> v27831(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1584,axiom,(
    ! [VarCurr] :
      ( v27835(VarCurr)
    <=> ( v27836(VarCurr)
        & v27831(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1583,axiom,(
    ! [VarCurr] :
      ( v27836(VarCurr)
    <=> ( v27831(VarCurr,bitIndex3)
        | v27837(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6097,axiom,(
    ! [VarCurr] :
      ( v27837(VarCurr)
    <=> ( v27838(VarCurr)
        & v27842(VarCurr) ) ) )).

fof(writeUnaryOperator_2850,axiom,(
    ! [VarCurr] :
      ( ~ v27842(VarCurr)
    <=> v27831(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_1582,axiom,(
    ! [VarCurr] :
      ( v27838(VarCurr)
    <=> ( v27831(VarCurr,bitIndex2)
        | v27839(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6096,axiom,(
    ! [VarCurr] :
      ( v27839(VarCurr)
    <=> ( v27840(VarCurr)
        & v27841(VarCurr) ) ) )).

fof(writeUnaryOperator_2849,axiom,(
    ! [VarCurr] :
      ( ~ v27841(VarCurr)
    <=> v27831(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_1581,axiom,(
    ! [VarCurr] :
      ( v27840(VarCurr)
    <=> ( v27831(VarCurr,bitIndex0)
        & v27831(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_8768,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v27831(VarCurr,B)
      <=> v27507(VarCurr,B) ) ) )).

fof(addAssignment_8767,axiom,(
    ! [VarCurr] :
      ( v27831(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_350,axiom,(
    ! [VarCurr] :
      ( ~ v27813(VarCurr)
     => ( v27511(VarCurr,bitIndex17)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_406,axiom,(
    ! [VarCurr] :
      ( v27813(VarCurr)
     => ( v27511(VarCurr,bitIndex17)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1580,axiom,(
    ! [VarCurr] :
      ( v27813(VarCurr)
    <=> ( v27815(VarCurr,bitIndex6)
        | v27816(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6095,axiom,(
    ! [VarCurr] :
      ( v27816(VarCurr)
    <=> ( v27817(VarCurr)
        & v27827(VarCurr) ) ) )).

fof(writeUnaryOperator_2848,axiom,(
    ! [VarCurr] :
      ( ~ v27827(VarCurr)
    <=> v27815(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_1579,axiom,(
    ! [VarCurr] :
      ( v27817(VarCurr)
    <=> ( v27815(VarCurr,bitIndex5)
        | v27818(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6094,axiom,(
    ! [VarCurr] :
      ( v27818(VarCurr)
    <=> ( v27819(VarCurr)
        & v27826(VarCurr) ) ) )).

fof(writeUnaryOperator_2847,axiom,(
    ! [VarCurr] :
      ( ~ v27826(VarCurr)
    <=> v27815(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1578,axiom,(
    ! [VarCurr] :
      ( v27819(VarCurr)
    <=> ( v27820(VarCurr)
        & v27815(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1577,axiom,(
    ! [VarCurr] :
      ( v27820(VarCurr)
    <=> ( v27815(VarCurr,bitIndex3)
        | v27821(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6093,axiom,(
    ! [VarCurr] :
      ( v27821(VarCurr)
    <=> ( v27822(VarCurr)
        & v27825(VarCurr) ) ) )).

fof(writeUnaryOperator_2846,axiom,(
    ! [VarCurr] :
      ( ~ v27825(VarCurr)
    <=> v27815(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_1576,axiom,(
    ! [VarCurr] :
      ( v27822(VarCurr)
    <=> ( v27815(VarCurr,bitIndex2)
        | v27823(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1575,axiom,(
    ! [VarCurr] :
      ( v27823(VarCurr)
    <=> ( v27815(VarCurr,bitIndex1)
        & v27824(VarCurr) ) ) )).

fof(writeUnaryOperator_2845,axiom,(
    ! [VarCurr] :
      ( ~ v27824(VarCurr)
    <=> v27815(VarCurr,bitIndex2) ) )).

fof(addAssignment_8766,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v27815(VarCurr,B)
      <=> v27507(VarCurr,B) ) ) )).

fof(addAssignment_8765,axiom,(
    ! [VarCurr] :
      ( v27815(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_349,axiom,(
    ! [VarCurr] :
      ( ~ v27794(VarCurr)
     => ( v27511(VarCurr,bitIndex16)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_405,axiom,(
    ! [VarCurr] :
      ( v27794(VarCurr)
     => ( v27511(VarCurr,bitIndex16)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1574,axiom,(
    ! [VarCurr] :
      ( v27794(VarCurr)
    <=> ( v27796(VarCurr,bitIndex6)
        | v27797(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6092,axiom,(
    ! [VarCurr] :
      ( v27797(VarCurr)
    <=> ( v27798(VarCurr)
        & v27811(VarCurr) ) ) )).

fof(writeUnaryOperator_2844,axiom,(
    ! [VarCurr] :
      ( ~ v27811(VarCurr)
    <=> v27796(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_1573,axiom,(
    ! [VarCurr] :
      ( v27798(VarCurr)
    <=> ( v27796(VarCurr,bitIndex5)
        | v27799(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6091,axiom,(
    ! [VarCurr] :
      ( v27799(VarCurr)
    <=> ( v27800(VarCurr)
        & v27810(VarCurr) ) ) )).

fof(writeUnaryOperator_2843,axiom,(
    ! [VarCurr] :
      ( ~ v27810(VarCurr)
    <=> v27796(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1572,axiom,(
    ! [VarCurr] :
      ( v27800(VarCurr)
    <=> ( v27801(VarCurr)
        & v27796(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1571,axiom,(
    ! [VarCurr] :
      ( v27801(VarCurr)
    <=> ( v27796(VarCurr,bitIndex3)
        | v27802(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6090,axiom,(
    ! [VarCurr] :
      ( v27802(VarCurr)
    <=> ( v27803(VarCurr)
        & v27809(VarCurr) ) ) )).

fof(writeUnaryOperator_2842,axiom,(
    ! [VarCurr] :
      ( ~ v27809(VarCurr)
    <=> v27796(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_1570,axiom,(
    ! [VarCurr] :
      ( v27803(VarCurr)
    <=> ( v27796(VarCurr,bitIndex2)
        | v27804(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6089,axiom,(
    ! [VarCurr] :
      ( v27804(VarCurr)
    <=> ( v27805(VarCurr)
        & v27808(VarCurr) ) ) )).

fof(writeUnaryOperator_2841,axiom,(
    ! [VarCurr] :
      ( ~ v27808(VarCurr)
    <=> v27796(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_1569,axiom,(
    ! [VarCurr] :
      ( v27805(VarCurr)
    <=> ( v27796(VarCurr,bitIndex1)
        | v27806(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6088,axiom,(
    ! [VarCurr] :
      ( v27806(VarCurr)
    <=> ( v27796(VarCurr,bitIndex0)
        & v27807(VarCurr) ) ) )).

fof(writeUnaryOperator_2840,axiom,(
    ! [VarCurr] :
      ( ~ v27807(VarCurr)
    <=> v27796(VarCurr,bitIndex1) ) )).

fof(addAssignment_8764,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v27796(VarCurr,B)
      <=> v27507(VarCurr,B) ) ) )).

fof(addAssignment_8763,axiom,(
    ! [VarCurr] :
      ( v27796(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_348,axiom,(
    ! [VarCurr] :
      ( ~ v27785(VarCurr)
     => ( v27511(VarCurr,bitIndex15)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_404,axiom,(
    ! [VarCurr] :
      ( v27785(VarCurr)
     => ( v27511(VarCurr,bitIndex15)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1568,axiom,(
    ! [VarCurr] :
      ( v27785(VarCurr)
    <=> ( v27787(VarCurr,bitIndex6)
        | v27788(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6087,axiom,(
    ! [VarCurr] :
      ( v27788(VarCurr)
    <=> ( v27789(VarCurr)
        & v27792(VarCurr) ) ) )).

fof(writeUnaryOperator_2839,axiom,(
    ! [VarCurr] :
      ( ~ v27792(VarCurr)
    <=> v27787(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_1567,axiom,(
    ! [VarCurr] :
      ( v27789(VarCurr)
    <=> ( v27787(VarCurr,bitIndex5)
        | v27790(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1566,axiom,(
    ! [VarCurr] :
      ( v27790(VarCurr)
    <=> ( v27787(VarCurr,bitIndex4)
        & v27791(VarCurr) ) ) )).

fof(writeUnaryOperator_2838,axiom,(
    ! [VarCurr] :
      ( ~ v27791(VarCurr)
    <=> v27787(VarCurr,bitIndex5) ) )).

fof(addAssignment_8762,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v27787(VarCurr,B)
      <=> v27507(VarCurr,B) ) ) )).

fof(addAssignment_8761,axiom,(
    ! [VarCurr] :
      ( v27787(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_347,axiom,(
    ! [VarCurr] :
      ( ~ v27770(VarCurr)
     => ( v27511(VarCurr,bitIndex14)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_403,axiom,(
    ! [VarCurr] :
      ( v27770(VarCurr)
     => ( v27511(VarCurr,bitIndex14)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1565,axiom,(
    ! [VarCurr] :
      ( v27770(VarCurr)
    <=> ( v27772(VarCurr,bitIndex6)
        | v27773(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6086,axiom,(
    ! [VarCurr] :
      ( v27773(VarCurr)
    <=> ( v27774(VarCurr)
        & v27783(VarCurr) ) ) )).

fof(writeUnaryOperator_2837,axiom,(
    ! [VarCurr] :
      ( ~ v27783(VarCurr)
    <=> v27772(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_1564,axiom,(
    ! [VarCurr] :
      ( v27774(VarCurr)
    <=> ( v27772(VarCurr,bitIndex5)
        | v27775(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6085,axiom,(
    ! [VarCurr] :
      ( v27775(VarCurr)
    <=> ( v27776(VarCurr)
        & v27782(VarCurr) ) ) )).

fof(writeUnaryOperator_2836,axiom,(
    ! [VarCurr] :
      ( ~ v27782(VarCurr)
    <=> v27772(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1563,axiom,(
    ! [VarCurr] :
      ( v27776(VarCurr)
    <=> ( v27772(VarCurr,bitIndex4)
        | v27777(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6084,axiom,(
    ! [VarCurr] :
      ( v27777(VarCurr)
    <=> ( v27778(VarCurr)
        & v27781(VarCurr) ) ) )).

fof(writeUnaryOperator_2835,axiom,(
    ! [VarCurr] :
      ( ~ v27781(VarCurr)
    <=> v27772(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_1562,axiom,(
    ! [VarCurr] :
      ( v27778(VarCurr)
    <=> ( v27779(VarCurr)
        & v27772(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1561,axiom,(
    ! [VarCurr] :
      ( v27779(VarCurr)
    <=> ( v27780(VarCurr)
        & v27772(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1560,axiom,(
    ! [VarCurr] :
      ( v27780(VarCurr)
    <=> ( v27772(VarCurr,bitIndex0)
        & v27772(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_8760,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v27772(VarCurr,B)
      <=> v27507(VarCurr,B) ) ) )).

fof(addAssignment_8759,axiom,(
    ! [VarCurr] :
      ( v27772(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_346,axiom,(
    ! [VarCurr] :
      ( ~ v27756(VarCurr)
     => ( v27511(VarCurr,bitIndex13)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_402,axiom,(
    ! [VarCurr] :
      ( v27756(VarCurr)
     => ( v27511(VarCurr,bitIndex13)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1559,axiom,(
    ! [VarCurr] :
      ( v27756(VarCurr)
    <=> ( v27758(VarCurr,bitIndex6)
        | v27759(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6083,axiom,(
    ! [VarCurr] :
      ( v27759(VarCurr)
    <=> ( v27760(VarCurr)
        & v27768(VarCurr) ) ) )).

fof(writeUnaryOperator_2834,axiom,(
    ! [VarCurr] :
      ( ~ v27768(VarCurr)
    <=> v27758(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_1558,axiom,(
    ! [VarCurr] :
      ( v27760(VarCurr)
    <=> ( v27758(VarCurr,bitIndex5)
        | v27761(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6082,axiom,(
    ! [VarCurr] :
      ( v27761(VarCurr)
    <=> ( v27762(VarCurr)
        & v27767(VarCurr) ) ) )).

fof(writeUnaryOperator_2833,axiom,(
    ! [VarCurr] :
      ( ~ v27767(VarCurr)
    <=> v27758(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1557,axiom,(
    ! [VarCurr] :
      ( v27762(VarCurr)
    <=> ( v27758(VarCurr,bitIndex4)
        | v27763(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6081,axiom,(
    ! [VarCurr] :
      ( v27763(VarCurr)
    <=> ( v27764(VarCurr)
        & v27766(VarCurr) ) ) )).

fof(writeUnaryOperator_2832,axiom,(
    ! [VarCurr] :
      ( ~ v27766(VarCurr)
    <=> v27758(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_1556,axiom,(
    ! [VarCurr] :
      ( v27764(VarCurr)
    <=> ( v27765(VarCurr)
        & v27758(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1555,axiom,(
    ! [VarCurr] :
      ( v27765(VarCurr)
    <=> ( v27758(VarCurr,bitIndex1)
        & v27758(VarCurr,bitIndex2) ) ) )).

fof(addAssignment_8758,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v27758(VarCurr,B)
      <=> v27507(VarCurr,B) ) ) )).

fof(addAssignment_8757,axiom,(
    ! [VarCurr] :
      ( v27758(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_345,axiom,(
    ! [VarCurr] :
      ( ~ v27739(VarCurr)
     => ( v27511(VarCurr,bitIndex12)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_401,axiom,(
    ! [VarCurr] :
      ( v27739(VarCurr)
     => ( v27511(VarCurr,bitIndex12)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1554,axiom,(
    ! [VarCurr] :
      ( v27739(VarCurr)
    <=> ( v27741(VarCurr,bitIndex6)
        | v27742(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6080,axiom,(
    ! [VarCurr] :
      ( v27742(VarCurr)
    <=> ( v27743(VarCurr)
        & v27754(VarCurr) ) ) )).

fof(writeUnaryOperator_2831,axiom,(
    ! [VarCurr] :
      ( ~ v27754(VarCurr)
    <=> v27741(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_1553,axiom,(
    ! [VarCurr] :
      ( v27743(VarCurr)
    <=> ( v27741(VarCurr,bitIndex5)
        | v27744(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6079,axiom,(
    ! [VarCurr] :
      ( v27744(VarCurr)
    <=> ( v27745(VarCurr)
        & v27753(VarCurr) ) ) )).

fof(writeUnaryOperator_2830,axiom,(
    ! [VarCurr] :
      ( ~ v27753(VarCurr)
    <=> v27741(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1552,axiom,(
    ! [VarCurr] :
      ( v27745(VarCurr)
    <=> ( v27741(VarCurr,bitIndex4)
        | v27746(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6078,axiom,(
    ! [VarCurr] :
      ( v27746(VarCurr)
    <=> ( v27747(VarCurr)
        & v27752(VarCurr) ) ) )).

fof(writeUnaryOperator_2829,axiom,(
    ! [VarCurr] :
      ( ~ v27752(VarCurr)
    <=> v27741(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_1551,axiom,(
    ! [VarCurr] :
      ( v27747(VarCurr)
    <=> ( v27748(VarCurr)
        & v27741(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1550,axiom,(
    ! [VarCurr] :
      ( v27748(VarCurr)
    <=> ( v27749(VarCurr)
        & v27741(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1549,axiom,(
    ! [VarCurr] :
      ( v27749(VarCurr)
    <=> ( v27741(VarCurr,bitIndex1)
        | v27750(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6077,axiom,(
    ! [VarCurr] :
      ( v27750(VarCurr)
    <=> ( v27741(VarCurr,bitIndex0)
        & v27751(VarCurr) ) ) )).

fof(writeUnaryOperator_2828,axiom,(
    ! [VarCurr] :
      ( ~ v27751(VarCurr)
    <=> v27741(VarCurr,bitIndex1) ) )).

fof(addAssignment_8756,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v27741(VarCurr,B)
      <=> v27507(VarCurr,B) ) ) )).

fof(addAssignment_8755,axiom,(
    ! [VarCurr] :
      ( v27741(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_344,axiom,(
    ! [VarCurr] :
      ( ~ v27726(VarCurr)
     => ( v27511(VarCurr,bitIndex11)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_400,axiom,(
    ! [VarCurr] :
      ( v27726(VarCurr)
     => ( v27511(VarCurr,bitIndex11)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1548,axiom,(
    ! [VarCurr] :
      ( v27726(VarCurr)
    <=> ( v27728(VarCurr,bitIndex6)
        | v27729(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6076,axiom,(
    ! [VarCurr] :
      ( v27729(VarCurr)
    <=> ( v27730(VarCurr)
        & v27737(VarCurr) ) ) )).

fof(writeUnaryOperator_2827,axiom,(
    ! [VarCurr] :
      ( ~ v27737(VarCurr)
    <=> v27728(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_1547,axiom,(
    ! [VarCurr] :
      ( v27730(VarCurr)
    <=> ( v27728(VarCurr,bitIndex5)
        | v27731(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6075,axiom,(
    ! [VarCurr] :
      ( v27731(VarCurr)
    <=> ( v27732(VarCurr)
        & v27736(VarCurr) ) ) )).

fof(writeUnaryOperator_2826,axiom,(
    ! [VarCurr] :
      ( ~ v27736(VarCurr)
    <=> v27728(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1546,axiom,(
    ! [VarCurr] :
      ( v27732(VarCurr)
    <=> ( v27728(VarCurr,bitIndex4)
        | v27733(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6074,axiom,(
    ! [VarCurr] :
      ( v27733(VarCurr)
    <=> ( v27734(VarCurr)
        & v27735(VarCurr) ) ) )).

fof(writeUnaryOperator_2825,axiom,(
    ! [VarCurr] :
      ( ~ v27735(VarCurr)
    <=> v27728(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_1545,axiom,(
    ! [VarCurr] :
      ( v27734(VarCurr)
    <=> ( v27728(VarCurr,bitIndex2)
        & v27728(VarCurr,bitIndex3) ) ) )).

fof(addAssignment_8754,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v27728(VarCurr,B)
      <=> v27507(VarCurr,B) ) ) )).

fof(addAssignment_8753,axiom,(
    ! [VarCurr] :
      ( v27728(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_343,axiom,(
    ! [VarCurr] :
      ( ~ v27709(VarCurr)
     => ( v27511(VarCurr,bitIndex10)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_399,axiom,(
    ! [VarCurr] :
      ( v27709(VarCurr)
     => ( v27511(VarCurr,bitIndex10)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1544,axiom,(
    ! [VarCurr] :
      ( v27709(VarCurr)
    <=> ( v27711(VarCurr,bitIndex6)
        | v27712(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6073,axiom,(
    ! [VarCurr] :
      ( v27712(VarCurr)
    <=> ( v27713(VarCurr)
        & v27724(VarCurr) ) ) )).

fof(writeUnaryOperator_2824,axiom,(
    ! [VarCurr] :
      ( ~ v27724(VarCurr)
    <=> v27711(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_1543,axiom,(
    ! [VarCurr] :
      ( v27713(VarCurr)
    <=> ( v27711(VarCurr,bitIndex5)
        | v27714(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6072,axiom,(
    ! [VarCurr] :
      ( v27714(VarCurr)
    <=> ( v27715(VarCurr)
        & v27723(VarCurr) ) ) )).

fof(writeUnaryOperator_2823,axiom,(
    ! [VarCurr] :
      ( ~ v27723(VarCurr)
    <=> v27711(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1542,axiom,(
    ! [VarCurr] :
      ( v27715(VarCurr)
    <=> ( v27711(VarCurr,bitIndex4)
        | v27716(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6071,axiom,(
    ! [VarCurr] :
      ( v27716(VarCurr)
    <=> ( v27717(VarCurr)
        & v27722(VarCurr) ) ) )).

fof(writeUnaryOperator_2822,axiom,(
    ! [VarCurr] :
      ( ~ v27722(VarCurr)
    <=> v27711(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_1541,axiom,(
    ! [VarCurr] :
      ( v27717(VarCurr)
    <=> ( v27718(VarCurr)
        & v27711(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1540,axiom,(
    ! [VarCurr] :
      ( v27718(VarCurr)
    <=> ( v27711(VarCurr,bitIndex2)
        | v27719(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6070,axiom,(
    ! [VarCurr] :
      ( v27719(VarCurr)
    <=> ( v27720(VarCurr)
        & v27721(VarCurr) ) ) )).

fof(writeUnaryOperator_2821,axiom,(
    ! [VarCurr] :
      ( ~ v27721(VarCurr)
    <=> v27711(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_1539,axiom,(
    ! [VarCurr] :
      ( v27720(VarCurr)
    <=> ( v27711(VarCurr,bitIndex0)
        & v27711(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_8752,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v27711(VarCurr,B)
      <=> v27507(VarCurr,B) ) ) )).

fof(addAssignment_8751,axiom,(
    ! [VarCurr] :
      ( v27711(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_342,axiom,(
    ! [VarCurr] :
      ( ~ v27693(VarCurr)
     => ( v27511(VarCurr,bitIndex9)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_398,axiom,(
    ! [VarCurr] :
      ( v27693(VarCurr)
     => ( v27511(VarCurr,bitIndex9)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1538,axiom,(
    ! [VarCurr] :
      ( v27693(VarCurr)
    <=> ( v27695(VarCurr,bitIndex6)
        | v27696(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6069,axiom,(
    ! [VarCurr] :
      ( v27696(VarCurr)
    <=> ( v27697(VarCurr)
        & v27707(VarCurr) ) ) )).

fof(writeUnaryOperator_2820,axiom,(
    ! [VarCurr] :
      ( ~ v27707(VarCurr)
    <=> v27695(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_1537,axiom,(
    ! [VarCurr] :
      ( v27697(VarCurr)
    <=> ( v27695(VarCurr,bitIndex5)
        | v27698(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6068,axiom,(
    ! [VarCurr] :
      ( v27698(VarCurr)
    <=> ( v27699(VarCurr)
        & v27706(VarCurr) ) ) )).

fof(writeUnaryOperator_2819,axiom,(
    ! [VarCurr] :
      ( ~ v27706(VarCurr)
    <=> v27695(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1536,axiom,(
    ! [VarCurr] :
      ( v27699(VarCurr)
    <=> ( v27695(VarCurr,bitIndex4)
        | v27700(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6067,axiom,(
    ! [VarCurr] :
      ( v27700(VarCurr)
    <=> ( v27701(VarCurr)
        & v27705(VarCurr) ) ) )).

fof(writeUnaryOperator_2818,axiom,(
    ! [VarCurr] :
      ( ~ v27705(VarCurr)
    <=> v27695(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_1535,axiom,(
    ! [VarCurr] :
      ( v27701(VarCurr)
    <=> ( v27702(VarCurr)
        & v27695(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1534,axiom,(
    ! [VarCurr] :
      ( v27702(VarCurr)
    <=> ( v27695(VarCurr,bitIndex2)
        | v27703(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1533,axiom,(
    ! [VarCurr] :
      ( v27703(VarCurr)
    <=> ( v27695(VarCurr,bitIndex1)
        & v27704(VarCurr) ) ) )).

fof(writeUnaryOperator_2817,axiom,(
    ! [VarCurr] :
      ( ~ v27704(VarCurr)
    <=> v27695(VarCurr,bitIndex2) ) )).

fof(addAssignment_8750,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v27695(VarCurr,B)
      <=> v27507(VarCurr,B) ) ) )).

fof(addAssignment_8749,axiom,(
    ! [VarCurr] :
      ( v27695(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_341,axiom,(
    ! [VarCurr] :
      ( ~ v27674(VarCurr)
     => ( v27511(VarCurr,bitIndex8)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_397,axiom,(
    ! [VarCurr] :
      ( v27674(VarCurr)
     => ( v27511(VarCurr,bitIndex8)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1532,axiom,(
    ! [VarCurr] :
      ( v27674(VarCurr)
    <=> ( v27676(VarCurr,bitIndex6)
        | v27677(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6066,axiom,(
    ! [VarCurr] :
      ( v27677(VarCurr)
    <=> ( v27678(VarCurr)
        & v27691(VarCurr) ) ) )).

fof(writeUnaryOperator_2816,axiom,(
    ! [VarCurr] :
      ( ~ v27691(VarCurr)
    <=> v27676(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_1531,axiom,(
    ! [VarCurr] :
      ( v27678(VarCurr)
    <=> ( v27676(VarCurr,bitIndex5)
        | v27679(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6065,axiom,(
    ! [VarCurr] :
      ( v27679(VarCurr)
    <=> ( v27680(VarCurr)
        & v27690(VarCurr) ) ) )).

fof(writeUnaryOperator_2815,axiom,(
    ! [VarCurr] :
      ( ~ v27690(VarCurr)
    <=> v27676(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1530,axiom,(
    ! [VarCurr] :
      ( v27680(VarCurr)
    <=> ( v27676(VarCurr,bitIndex4)
        | v27681(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6064,axiom,(
    ! [VarCurr] :
      ( v27681(VarCurr)
    <=> ( v27682(VarCurr)
        & v27689(VarCurr) ) ) )).

fof(writeUnaryOperator_2814,axiom,(
    ! [VarCurr] :
      ( ~ v27689(VarCurr)
    <=> v27676(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_1529,axiom,(
    ! [VarCurr] :
      ( v27682(VarCurr)
    <=> ( v27683(VarCurr)
        & v27676(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1528,axiom,(
    ! [VarCurr] :
      ( v27683(VarCurr)
    <=> ( v27676(VarCurr,bitIndex2)
        | v27684(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6063,axiom,(
    ! [VarCurr] :
      ( v27684(VarCurr)
    <=> ( v27685(VarCurr)
        & v27688(VarCurr) ) ) )).

fof(writeUnaryOperator_2813,axiom,(
    ! [VarCurr] :
      ( ~ v27688(VarCurr)
    <=> v27676(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_1527,axiom,(
    ! [VarCurr] :
      ( v27685(VarCurr)
    <=> ( v27676(VarCurr,bitIndex1)
        | v27686(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6062,axiom,(
    ! [VarCurr] :
      ( v27686(VarCurr)
    <=> ( v27676(VarCurr,bitIndex0)
        & v27687(VarCurr) ) ) )).

fof(writeUnaryOperator_2812,axiom,(
    ! [VarCurr] :
      ( ~ v27687(VarCurr)
    <=> v27676(VarCurr,bitIndex1) ) )).

fof(addAssignment_8748,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v27676(VarCurr,B)
      <=> v27507(VarCurr,B) ) ) )).

fof(addAssignment_8747,axiom,(
    ! [VarCurr] :
      ( v27676(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_340,axiom,(
    ! [VarCurr] :
      ( ~ v27662(VarCurr)
     => ( v27511(VarCurr,bitIndex7)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_396,axiom,(
    ! [VarCurr] :
      ( v27662(VarCurr)
     => ( v27511(VarCurr,bitIndex7)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1526,axiom,(
    ! [VarCurr] :
      ( v27662(VarCurr)
    <=> ( v27664(VarCurr,bitIndex6)
        | v27665(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6061,axiom,(
    ! [VarCurr] :
      ( v27665(VarCurr)
    <=> ( v27666(VarCurr)
        & v27672(VarCurr) ) ) )).

fof(writeUnaryOperator_2811,axiom,(
    ! [VarCurr] :
      ( ~ v27672(VarCurr)
    <=> v27664(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_1525,axiom,(
    ! [VarCurr] :
      ( v27666(VarCurr)
    <=> ( v27664(VarCurr,bitIndex5)
        | v27667(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6060,axiom,(
    ! [VarCurr] :
      ( v27667(VarCurr)
    <=> ( v27668(VarCurr)
        & v27671(VarCurr) ) ) )).

fof(writeUnaryOperator_2810,axiom,(
    ! [VarCurr] :
      ( ~ v27671(VarCurr)
    <=> v27664(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1524,axiom,(
    ! [VarCurr] :
      ( v27668(VarCurr)
    <=> ( v27664(VarCurr,bitIndex4)
        | v27669(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1523,axiom,(
    ! [VarCurr] :
      ( v27669(VarCurr)
    <=> ( v27664(VarCurr,bitIndex3)
        & v27670(VarCurr) ) ) )).

fof(writeUnaryOperator_2809,axiom,(
    ! [VarCurr] :
      ( ~ v27670(VarCurr)
    <=> v27664(VarCurr,bitIndex4) ) )).

fof(addAssignment_8746,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v27664(VarCurr,B)
      <=> v27507(VarCurr,B) ) ) )).

fof(addAssignment_8745,axiom,(
    ! [VarCurr] :
      ( v27664(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_339,axiom,(
    ! [VarCurr] :
      ( ~ v27645(VarCurr)
     => ( v27511(VarCurr,bitIndex6)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_395,axiom,(
    ! [VarCurr] :
      ( v27645(VarCurr)
     => ( v27511(VarCurr,bitIndex6)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1522,axiom,(
    ! [VarCurr] :
      ( v27645(VarCurr)
    <=> ( v27647(VarCurr,bitIndex6)
        | v27648(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6059,axiom,(
    ! [VarCurr] :
      ( v27648(VarCurr)
    <=> ( v27649(VarCurr)
        & v27660(VarCurr) ) ) )).

fof(writeUnaryOperator_2808,axiom,(
    ! [VarCurr] :
      ( ~ v27660(VarCurr)
    <=> v27647(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_1521,axiom,(
    ! [VarCurr] :
      ( v27649(VarCurr)
    <=> ( v27647(VarCurr,bitIndex5)
        | v27650(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6058,axiom,(
    ! [VarCurr] :
      ( v27650(VarCurr)
    <=> ( v27651(VarCurr)
        & v27659(VarCurr) ) ) )).

fof(writeUnaryOperator_2807,axiom,(
    ! [VarCurr] :
      ( ~ v27659(VarCurr)
    <=> v27647(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1520,axiom,(
    ! [VarCurr] :
      ( v27651(VarCurr)
    <=> ( v27647(VarCurr,bitIndex4)
        | v27652(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6057,axiom,(
    ! [VarCurr] :
      ( v27652(VarCurr)
    <=> ( v27653(VarCurr)
        & v27658(VarCurr) ) ) )).

fof(writeUnaryOperator_2806,axiom,(
    ! [VarCurr] :
      ( ~ v27658(VarCurr)
    <=> v27647(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_1519,axiom,(
    ! [VarCurr] :
      ( v27653(VarCurr)
    <=> ( v27647(VarCurr,bitIndex3)
        | v27654(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6056,axiom,(
    ! [VarCurr] :
      ( v27654(VarCurr)
    <=> ( v27655(VarCurr)
        & v27657(VarCurr) ) ) )).

fof(writeUnaryOperator_2805,axiom,(
    ! [VarCurr] :
      ( ~ v27657(VarCurr)
    <=> v27647(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_1518,axiom,(
    ! [VarCurr] :
      ( v27655(VarCurr)
    <=> ( v27656(VarCurr)
        & v27647(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1517,axiom,(
    ! [VarCurr] :
      ( v27656(VarCurr)
    <=> ( v27647(VarCurr,bitIndex0)
        & v27647(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_8744,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v27647(VarCurr,B)
      <=> v27507(VarCurr,B) ) ) )).

fof(addAssignment_8743,axiom,(
    ! [VarCurr] :
      ( v27647(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_338,axiom,(
    ! [VarCurr] :
      ( ~ v27629(VarCurr)
     => ( v27511(VarCurr,bitIndex5)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_394,axiom,(
    ! [VarCurr] :
      ( v27629(VarCurr)
     => ( v27511(VarCurr,bitIndex5)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1516,axiom,(
    ! [VarCurr] :
      ( v27629(VarCurr)
    <=> ( v27631(VarCurr,bitIndex6)
        | v27632(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6055,axiom,(
    ! [VarCurr] :
      ( v27632(VarCurr)
    <=> ( v27633(VarCurr)
        & v27643(VarCurr) ) ) )).

fof(writeUnaryOperator_2804,axiom,(
    ! [VarCurr] :
      ( ~ v27643(VarCurr)
    <=> v27631(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_1515,axiom,(
    ! [VarCurr] :
      ( v27633(VarCurr)
    <=> ( v27631(VarCurr,bitIndex5)
        | v27634(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6054,axiom,(
    ! [VarCurr] :
      ( v27634(VarCurr)
    <=> ( v27635(VarCurr)
        & v27642(VarCurr) ) ) )).

fof(writeUnaryOperator_2803,axiom,(
    ! [VarCurr] :
      ( ~ v27642(VarCurr)
    <=> v27631(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1514,axiom,(
    ! [VarCurr] :
      ( v27635(VarCurr)
    <=> ( v27631(VarCurr,bitIndex4)
        | v27636(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6053,axiom,(
    ! [VarCurr] :
      ( v27636(VarCurr)
    <=> ( v27637(VarCurr)
        & v27641(VarCurr) ) ) )).

fof(writeUnaryOperator_2802,axiom,(
    ! [VarCurr] :
      ( ~ v27641(VarCurr)
    <=> v27631(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_1513,axiom,(
    ! [VarCurr] :
      ( v27637(VarCurr)
    <=> ( v27631(VarCurr,bitIndex3)
        | v27638(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6052,axiom,(
    ! [VarCurr] :
      ( v27638(VarCurr)
    <=> ( v27639(VarCurr)
        & v27640(VarCurr) ) ) )).

fof(writeUnaryOperator_2801,axiom,(
    ! [VarCurr] :
      ( ~ v27640(VarCurr)
    <=> v27631(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_1512,axiom,(
    ! [VarCurr] :
      ( v27639(VarCurr)
    <=> ( v27631(VarCurr,bitIndex1)
        & v27631(VarCurr,bitIndex2) ) ) )).

fof(addAssignment_8742,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v27631(VarCurr,B)
      <=> v27507(VarCurr,B) ) ) )).

fof(addAssignment_8741,axiom,(
    ! [VarCurr] :
      ( v27631(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_337,axiom,(
    ! [VarCurr] :
      ( ~ v27610(VarCurr)
     => ( v27511(VarCurr,bitIndex4)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_393,axiom,(
    ! [VarCurr] :
      ( v27610(VarCurr)
     => ( v27511(VarCurr,bitIndex4)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1511,axiom,(
    ! [VarCurr] :
      ( v27610(VarCurr)
    <=> ( v27612(VarCurr,bitIndex6)
        | v27613(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6051,axiom,(
    ! [VarCurr] :
      ( v27613(VarCurr)
    <=> ( v27614(VarCurr)
        & v27627(VarCurr) ) ) )).

fof(writeUnaryOperator_2800,axiom,(
    ! [VarCurr] :
      ( ~ v27627(VarCurr)
    <=> v27612(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_1510,axiom,(
    ! [VarCurr] :
      ( v27614(VarCurr)
    <=> ( v27612(VarCurr,bitIndex5)
        | v27615(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6050,axiom,(
    ! [VarCurr] :
      ( v27615(VarCurr)
    <=> ( v27616(VarCurr)
        & v27626(VarCurr) ) ) )).

fof(writeUnaryOperator_2799,axiom,(
    ! [VarCurr] :
      ( ~ v27626(VarCurr)
    <=> v27612(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1509,axiom,(
    ! [VarCurr] :
      ( v27616(VarCurr)
    <=> ( v27612(VarCurr,bitIndex4)
        | v27617(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6049,axiom,(
    ! [VarCurr] :
      ( v27617(VarCurr)
    <=> ( v27618(VarCurr)
        & v27625(VarCurr) ) ) )).

fof(writeUnaryOperator_2798,axiom,(
    ! [VarCurr] :
      ( ~ v27625(VarCurr)
    <=> v27612(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_1508,axiom,(
    ! [VarCurr] :
      ( v27618(VarCurr)
    <=> ( v27612(VarCurr,bitIndex3)
        | v27619(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6048,axiom,(
    ! [VarCurr] :
      ( v27619(VarCurr)
    <=> ( v27620(VarCurr)
        & v27624(VarCurr) ) ) )).

fof(writeUnaryOperator_2797,axiom,(
    ! [VarCurr] :
      ( ~ v27624(VarCurr)
    <=> v27612(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_1507,axiom,(
    ! [VarCurr] :
      ( v27620(VarCurr)
    <=> ( v27621(VarCurr)
        & v27612(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1506,axiom,(
    ! [VarCurr] :
      ( v27621(VarCurr)
    <=> ( v27612(VarCurr,bitIndex1)
        | v27622(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6047,axiom,(
    ! [VarCurr] :
      ( v27622(VarCurr)
    <=> ( v27612(VarCurr,bitIndex0)
        & v27623(VarCurr) ) ) )).

fof(writeUnaryOperator_2796,axiom,(
    ! [VarCurr] :
      ( ~ v27623(VarCurr)
    <=> v27612(VarCurr,bitIndex1) ) )).

fof(addAssignment_8740,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v27612(VarCurr,B)
      <=> v27507(VarCurr,B) ) ) )).

fof(addAssignment_8739,axiom,(
    ! [VarCurr] :
      ( v27612(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_336,axiom,(
    ! [VarCurr] :
      ( ~ v27595(VarCurr)
     => ( v27511(VarCurr,bitIndex3)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_392,axiom,(
    ! [VarCurr] :
      ( v27595(VarCurr)
     => ( v27511(VarCurr,bitIndex3)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1505,axiom,(
    ! [VarCurr] :
      ( v27595(VarCurr)
    <=> ( v27597(VarCurr,bitIndex6)
        | v27598(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6046,axiom,(
    ! [VarCurr] :
      ( v27598(VarCurr)
    <=> ( v27599(VarCurr)
        & v27608(VarCurr) ) ) )).

fof(writeUnaryOperator_2795,axiom,(
    ! [VarCurr] :
      ( ~ v27608(VarCurr)
    <=> v27597(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_1504,axiom,(
    ! [VarCurr] :
      ( v27599(VarCurr)
    <=> ( v27597(VarCurr,bitIndex5)
        | v27600(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6045,axiom,(
    ! [VarCurr] :
      ( v27600(VarCurr)
    <=> ( v27601(VarCurr)
        & v27607(VarCurr) ) ) )).

fof(writeUnaryOperator_2794,axiom,(
    ! [VarCurr] :
      ( ~ v27607(VarCurr)
    <=> v27597(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1503,axiom,(
    ! [VarCurr] :
      ( v27601(VarCurr)
    <=> ( v27597(VarCurr,bitIndex4)
        | v27602(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6044,axiom,(
    ! [VarCurr] :
      ( v27602(VarCurr)
    <=> ( v27603(VarCurr)
        & v27606(VarCurr) ) ) )).

fof(writeUnaryOperator_2793,axiom,(
    ! [VarCurr] :
      ( ~ v27606(VarCurr)
    <=> v27597(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_1502,axiom,(
    ! [VarCurr] :
      ( v27603(VarCurr)
    <=> ( v27597(VarCurr,bitIndex3)
        | v27604(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1501,axiom,(
    ! [VarCurr] :
      ( v27604(VarCurr)
    <=> ( v27597(VarCurr,bitIndex2)
        & v27605(VarCurr) ) ) )).

fof(writeUnaryOperator_2792,axiom,(
    ! [VarCurr] :
      ( ~ v27605(VarCurr)
    <=> v27597(VarCurr,bitIndex3) ) )).

fof(addAssignment_8738,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v27597(VarCurr,B)
      <=> v27507(VarCurr,B) ) ) )).

fof(addAssignment_8737,axiom,(
    ! [VarCurr] :
      ( v27597(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_335,axiom,(
    ! [VarCurr] :
      ( ~ v27576(VarCurr)
     => ( v27511(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_391,axiom,(
    ! [VarCurr] :
      ( v27576(VarCurr)
     => ( v27511(VarCurr,bitIndex2)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1500,axiom,(
    ! [VarCurr] :
      ( v27576(VarCurr)
    <=> ( v27578(VarCurr,bitIndex6)
        | v27579(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6043,axiom,(
    ! [VarCurr] :
      ( v27579(VarCurr)
    <=> ( v27580(VarCurr)
        & v27593(VarCurr) ) ) )).

fof(writeUnaryOperator_2791,axiom,(
    ! [VarCurr] :
      ( ~ v27593(VarCurr)
    <=> v27578(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_1499,axiom,(
    ! [VarCurr] :
      ( v27580(VarCurr)
    <=> ( v27578(VarCurr,bitIndex5)
        | v27581(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6042,axiom,(
    ! [VarCurr] :
      ( v27581(VarCurr)
    <=> ( v27582(VarCurr)
        & v27592(VarCurr) ) ) )).

fof(writeUnaryOperator_2790,axiom,(
    ! [VarCurr] :
      ( ~ v27592(VarCurr)
    <=> v27578(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1498,axiom,(
    ! [VarCurr] :
      ( v27582(VarCurr)
    <=> ( v27578(VarCurr,bitIndex4)
        | v27583(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6041,axiom,(
    ! [VarCurr] :
      ( v27583(VarCurr)
    <=> ( v27584(VarCurr)
        & v27591(VarCurr) ) ) )).

fof(writeUnaryOperator_2789,axiom,(
    ! [VarCurr] :
      ( ~ v27591(VarCurr)
    <=> v27578(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_1497,axiom,(
    ! [VarCurr] :
      ( v27584(VarCurr)
    <=> ( v27578(VarCurr,bitIndex3)
        | v27585(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6040,axiom,(
    ! [VarCurr] :
      ( v27585(VarCurr)
    <=> ( v27586(VarCurr)
        & v27590(VarCurr) ) ) )).

fof(writeUnaryOperator_2788,axiom,(
    ! [VarCurr] :
      ( ~ v27590(VarCurr)
    <=> v27578(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_1496,axiom,(
    ! [VarCurr] :
      ( v27586(VarCurr)
    <=> ( v27578(VarCurr,bitIndex2)
        | v27587(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6039,axiom,(
    ! [VarCurr] :
      ( v27587(VarCurr)
    <=> ( v27588(VarCurr)
        & v27589(VarCurr) ) ) )).

fof(writeUnaryOperator_2787,axiom,(
    ! [VarCurr] :
      ( ~ v27589(VarCurr)
    <=> v27578(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_1495,axiom,(
    ! [VarCurr] :
      ( v27588(VarCurr)
    <=> ( v27578(VarCurr,bitIndex0)
        & v27578(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_8736,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v27578(VarCurr,B)
      <=> v27507(VarCurr,B) ) ) )).

fof(addAssignment_8735,axiom,(
    ! [VarCurr] :
      ( v27578(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_334,axiom,(
    ! [VarCurr] :
      ( ~ v27558(VarCurr)
     => ( v27511(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_390,axiom,(
    ! [VarCurr] :
      ( v27558(VarCurr)
     => ( v27511(VarCurr,bitIndex1)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1494,axiom,(
    ! [VarCurr] :
      ( v27558(VarCurr)
    <=> ( v27560(VarCurr,bitIndex6)
        | v27561(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6038,axiom,(
    ! [VarCurr] :
      ( v27561(VarCurr)
    <=> ( v27562(VarCurr)
        & v27574(VarCurr) ) ) )).

fof(writeUnaryOperator_2786,axiom,(
    ! [VarCurr] :
      ( ~ v27574(VarCurr)
    <=> v27560(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_1493,axiom,(
    ! [VarCurr] :
      ( v27562(VarCurr)
    <=> ( v27560(VarCurr,bitIndex5)
        | v27563(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6037,axiom,(
    ! [VarCurr] :
      ( v27563(VarCurr)
    <=> ( v27564(VarCurr)
        & v27573(VarCurr) ) ) )).

fof(writeUnaryOperator_2785,axiom,(
    ! [VarCurr] :
      ( ~ v27573(VarCurr)
    <=> v27560(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1492,axiom,(
    ! [VarCurr] :
      ( v27564(VarCurr)
    <=> ( v27560(VarCurr,bitIndex4)
        | v27565(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6036,axiom,(
    ! [VarCurr] :
      ( v27565(VarCurr)
    <=> ( v27566(VarCurr)
        & v27572(VarCurr) ) ) )).

fof(writeUnaryOperator_2784,axiom,(
    ! [VarCurr] :
      ( ~ v27572(VarCurr)
    <=> v27560(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_1491,axiom,(
    ! [VarCurr] :
      ( v27566(VarCurr)
    <=> ( v27560(VarCurr,bitIndex3)
        | v27567(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6035,axiom,(
    ! [VarCurr] :
      ( v27567(VarCurr)
    <=> ( v27568(VarCurr)
        & v27571(VarCurr) ) ) )).

fof(writeUnaryOperator_2783,axiom,(
    ! [VarCurr] :
      ( ~ v27571(VarCurr)
    <=> v27560(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_1490,axiom,(
    ! [VarCurr] :
      ( v27568(VarCurr)
    <=> ( v27560(VarCurr,bitIndex2)
        | v27569(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1489,axiom,(
    ! [VarCurr] :
      ( v27569(VarCurr)
    <=> ( v27560(VarCurr,bitIndex1)
        & v27570(VarCurr) ) ) )).

fof(writeUnaryOperator_2782,axiom,(
    ! [VarCurr] :
      ( ~ v27570(VarCurr)
    <=> v27560(VarCurr,bitIndex2) ) )).

fof(addAssignment_8734,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v27560(VarCurr,B)
      <=> v27507(VarCurr,B) ) ) )).

fof(addAssignment_8733,axiom,(
    ! [VarCurr] :
      ( v27560(VarCurr,bitIndex6)
    <=> $false ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_704,axiom,(
    ! [VarCurr] :
      ( ~ v27537(VarCurr)
     => ( v27511(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_648,axiom,(
    ! [VarCurr] :
      ( v27537(VarCurr)
     => ( v27511(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1488,axiom,(
    ! [VarCurr] :
      ( v27537(VarCurr)
    <=> ( v27539(VarCurr,bitIndex6)
        | v27540(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6034,axiom,(
    ! [VarCurr] :
      ( v27540(VarCurr)
    <=> ( v27541(VarCurr)
        & v27556(VarCurr) ) ) )).

fof(writeUnaryOperator_2781,axiom,(
    ! [VarCurr] :
      ( ~ v27556(VarCurr)
    <=> v27539(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_1487,axiom,(
    ! [VarCurr] :
      ( v27541(VarCurr)
    <=> ( v27539(VarCurr,bitIndex5)
        | v27542(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6033,axiom,(
    ! [VarCurr] :
      ( v27542(VarCurr)
    <=> ( v27543(VarCurr)
        & v27555(VarCurr) ) ) )).

fof(writeUnaryOperator_2780,axiom,(
    ! [VarCurr] :
      ( ~ v27555(VarCurr)
    <=> v27539(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1486,axiom,(
    ! [VarCurr] :
      ( v27543(VarCurr)
    <=> ( v27539(VarCurr,bitIndex4)
        | v27544(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6032,axiom,(
    ! [VarCurr] :
      ( v27544(VarCurr)
    <=> ( v27545(VarCurr)
        & v27554(VarCurr) ) ) )).

fof(writeUnaryOperator_2779,axiom,(
    ! [VarCurr] :
      ( ~ v27554(VarCurr)
    <=> v27539(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_1485,axiom,(
    ! [VarCurr] :
      ( v27545(VarCurr)
    <=> ( v27539(VarCurr,bitIndex3)
        | v27546(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6031,axiom,(
    ! [VarCurr] :
      ( v27546(VarCurr)
    <=> ( v27547(VarCurr)
        & v27553(VarCurr) ) ) )).

fof(writeUnaryOperator_2778,axiom,(
    ! [VarCurr] :
      ( ~ v27553(VarCurr)
    <=> v27539(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_1484,axiom,(
    ! [VarCurr] :
      ( v27547(VarCurr)
    <=> ( v27539(VarCurr,bitIndex2)
        | v27548(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6030,axiom,(
    ! [VarCurr] :
      ( v27548(VarCurr)
    <=> ( v27549(VarCurr)
        & v27552(VarCurr) ) ) )).

fof(writeUnaryOperator_2777,axiom,(
    ! [VarCurr] :
      ( ~ v27552(VarCurr)
    <=> v27539(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_1483,axiom,(
    ! [VarCurr] :
      ( v27549(VarCurr)
    <=> ( v27539(VarCurr,bitIndex1)
        | v27550(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6029,axiom,(
    ! [VarCurr] :
      ( v27550(VarCurr)
    <=> ( v27539(VarCurr,bitIndex0)
        & v27551(VarCurr) ) ) )).

fof(writeUnaryOperator_2776,axiom,(
    ! [VarCurr] :
      ( ~ v27551(VarCurr)
    <=> v27539(VarCurr,bitIndex1) ) )).

fof(addAssignment_8732,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v27539(VarCurr,B)
      <=> v27507(VarCurr,B) ) ) )).

fof(addAssignment_8731,axiom,(
    ! [VarCurr] :
      ( v27539(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addAssignment_8730,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v27137(VarCurr,B)
      <=> v27481(VarCurr,B) ) ) )).

fof(addAssignment_8729,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v27481(VarCurr,B)
      <=> v27483(VarCurr,B) ) ) )).

fof(addAssignment_8728,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v27483(VarCurr,B)
      <=> v27485(VarCurr,B) ) ) )).

fof(addAssignment_8727,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v27124(VarCurr,B)
      <=> v27475(VarCurr,B) ) ) )).

fof(addAssignment_8726,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v27475(VarCurr,B)
      <=> v27477(VarCurr,B) ) ) )).

fof(addAssignment_8725,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v27477(VarCurr,B)
      <=> v27479(VarCurr,B) ) ) )).

fof(addAssignment_8724,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v27126(VarCurr,B)
      <=> v27469(VarCurr,B) ) ) )).

fof(addAssignment_8723,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v27469(VarCurr,B)
      <=> v27471(VarCurr,B) ) ) )).

fof(addAssignment_8722,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v27471(VarCurr,B)
      <=> v27473(VarCurr,B) ) ) )).

fof(addAssignment_8721,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v27473(VarCurr,B)
      <=> $false ) ) )).

fof(memoryReadIntoBuffer_37,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b00000_address_term = A
             => ( range_4_0(B)
               => ( v27175(VarNext,B)
                <=> v27085_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_36,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b00001_address_term = A
             => ( range_4_0(B)
               => ( v27184(VarNext,B)
                <=> v27085_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_35,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b00010_address_term = A
             => ( range_4_0(B)
               => ( v27193(VarNext,B)
                <=> v27085_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_34,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b00011_address_term = A
             => ( range_4_0(B)
               => ( v27202(VarNext,B)
                <=> v27085_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_33,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b00100_address_term = A
             => ( range_4_0(B)
               => ( v27211(VarNext,B)
                <=> v27085_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_32,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b00101_address_term = A
             => ( range_4_0(B)
               => ( v27220(VarNext,B)
                <=> v27085_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_31,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b00110_address_term = A
             => ( range_4_0(B)
               => ( v27229(VarNext,B)
                <=> v27085_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_30,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b00111_address_term = A
             => ( range_4_0(B)
               => ( v27238(VarNext,B)
                <=> v27085_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_29,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b01000_address_term = A
             => ( range_4_0(B)
               => ( v27247(VarNext,B)
                <=> v27085_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_28,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b01001_address_term = A
             => ( range_4_0(B)
               => ( v27256(VarNext,B)
                <=> v27085_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_27,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b01010_address_term = A
             => ( range_4_0(B)
               => ( v27265(VarNext,B)
                <=> v27085_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_26,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b01011_address_term = A
             => ( range_4_0(B)
               => ( v27274(VarNext,B)
                <=> v27085_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_25,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b01100_address_term = A
             => ( range_4_0(B)
               => ( v27283(VarNext,B)
                <=> v27085_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_24,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b01101_address_term = A
             => ( range_4_0(B)
               => ( v27292(VarNext,B)
                <=> v27085_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_23,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b01110_address_term = A
             => ( range_4_0(B)
               => ( v27301(VarNext,B)
                <=> v27085_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_22,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b01111_address_term = A
             => ( range_4_0(B)
               => ( v27310(VarNext,B)
                <=> v27085_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_21,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b10000_address_term = A
             => ( range_4_0(B)
               => ( v27319(VarNext,B)
                <=> v27085_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_20,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b10001_address_term = A
             => ( range_4_0(B)
               => ( v27328(VarNext,B)
                <=> v27085_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_19,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b10010_address_term = A
             => ( range_4_0(B)
               => ( v27337(VarNext,B)
                <=> v27085_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_18,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b10011_address_term = A
             => ( range_4_0(B)
               => ( v27346(VarNext,B)
                <=> v27085_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_17,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b10100_address_term = A
             => ( range_4_0(B)
               => ( v27355(VarNext,B)
                <=> v27085_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_16,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b10101_address_term = A
             => ( range_4_0(B)
               => ( v27364(VarNext,B)
                <=> v27085_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_15,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b10110_address_term = A
             => ( range_4_0(B)
               => ( v27373(VarNext,B)
                <=> v27085_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_14,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b10111_address_term = A
             => ( range_4_0(B)
               => ( v27382(VarNext,B)
                <=> v27085_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_13,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b11000_address_term = A
             => ( range_4_0(B)
               => ( v27391(VarNext,B)
                <=> v27085_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_12,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b11001_address_term = A
             => ( range_4_0(B)
               => ( v27400(VarNext,B)
                <=> v27085_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_11,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b11010_address_term = A
             => ( range_4_0(B)
               => ( v27409(VarNext,B)
                <=> v27085_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_10,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b11011_address_term = A
             => ( range_4_0(B)
               => ( v27418(VarNext,B)
                <=> v27085_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_9,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b11100_address_term = A
             => ( range_4_0(B)
               => ( v27427(VarNext,B)
                <=> v27085_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_8,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b11101_address_term = A
             => ( range_4_0(B)
               => ( v27436(VarNext,B)
                <=> v27085_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_7,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b11110_address_term = A
             => ( range_4_0(B)
               => ( v27445(VarNext,B)
                <=> v27085_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_6,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( address(A)
         => ! [B] :
              ( b11111_address_term = A
             => ( range_4_0(B)
               => ( v27454(VarNext,B)
                <=> v27085_array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_5,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v27135_range_4_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( address(A)
             => ! [B] :
                  ( A = AssociatedAddressVar
                 => ( range_4_0(B)
                   => ( v27467(VarNext,B)
                    <=> v27085_array(VarNext,A,B) ) ) ) ) ) ) )).

fof(memoryReadIntoBuffer_4,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v27124_range_4_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( address(A)
             => ! [B] :
                  ( A = AssociatedAddressVar
                 => ( range_4_0(B)
                   => ( v27465(VarNext,B)
                    <=> v27085_array(VarNext,A,B) ) ) ) ) ) ) )).

fof(memoryConstantWriteDisabled_4,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( $true
              & v27457(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_array(VarNext,A,B)
              <=> v27085_36__array(VarNext,A,B) ) ) ) ) )).

fof(memoryConstantWriteEnabledInsideRange_4,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( $true
            & v27457(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_array(VarNext,A,B)
              <=> b00000(B) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6028,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27457(VarNext)
      <=> ( v27458(VarNext)
          & v27463(VarNext) ) ) ) )).

fof(addAssignment_8720,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27463(VarNext)
      <=> v27120(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6027,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27458(VarNext)
      <=> ( v27460(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2775,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27460(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_39,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b11111_address_term = A
              & v27448(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_36__array(VarNext,A,B)
              <=> v27085_35__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_39,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b11111_address_term = A
            & v27448(VarNext) )
         => ( ( v27085_36__array(VarNext,A,bitIndex4)
            <=> v27454(VarNext,bitIndex159) )
            & ( v27085_36__array(VarNext,A,bitIndex3)
            <=> v27454(VarNext,bitIndex158) )
            & ( v27085_36__array(VarNext,A,bitIndex2)
            <=> v27454(VarNext,bitIndex157) )
            & ( v27085_36__array(VarNext,A,bitIndex1)
            <=> v27454(VarNext,bitIndex156) )
            & ( v27085_36__array(VarNext,A,bitIndex0)
            <=> v27454(VarNext,bitIndex155) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6026,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27448(VarNext)
      <=> ( v27449(VarNext)
          & v27171(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6025,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27449(VarNext)
      <=> ( v27451(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2774,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27451(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_38,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b11110_address_term = A
              & v27439(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_35__array(VarNext,A,B)
              <=> v27085_34__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_38,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b11110_address_term = A
            & v27439(VarNext) )
         => ( ( v27085_35__array(VarNext,A,bitIndex4)
            <=> v27445(VarNext,bitIndex154) )
            & ( v27085_35__array(VarNext,A,bitIndex3)
            <=> v27445(VarNext,bitIndex153) )
            & ( v27085_35__array(VarNext,A,bitIndex2)
            <=> v27445(VarNext,bitIndex152) )
            & ( v27085_35__array(VarNext,A,bitIndex1)
            <=> v27445(VarNext,bitIndex151) )
            & ( v27085_35__array(VarNext,A,bitIndex0)
            <=> v27445(VarNext,bitIndex150) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6024,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27439(VarNext)
      <=> ( v27440(VarNext)
          & v27171(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6023,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27440(VarNext)
      <=> ( v27442(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2773,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27442(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_37,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b11101_address_term = A
              & v27430(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_34__array(VarNext,A,B)
              <=> v27085_33__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_37,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b11101_address_term = A
            & v27430(VarNext) )
         => ( ( v27085_34__array(VarNext,A,bitIndex4)
            <=> v27436(VarNext,bitIndex149) )
            & ( v27085_34__array(VarNext,A,bitIndex3)
            <=> v27436(VarNext,bitIndex148) )
            & ( v27085_34__array(VarNext,A,bitIndex2)
            <=> v27436(VarNext,bitIndex147) )
            & ( v27085_34__array(VarNext,A,bitIndex1)
            <=> v27436(VarNext,bitIndex146) )
            & ( v27085_34__array(VarNext,A,bitIndex0)
            <=> v27436(VarNext,bitIndex145) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6022,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27430(VarNext)
      <=> ( v27431(VarNext)
          & v27171(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6021,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27431(VarNext)
      <=> ( v27433(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2772,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27433(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_36,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b11100_address_term = A
              & v27421(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_33__array(VarNext,A,B)
              <=> v27085_32__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_36,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b11100_address_term = A
            & v27421(VarNext) )
         => ( ( v27085_33__array(VarNext,A,bitIndex4)
            <=> v27427(VarNext,bitIndex144) )
            & ( v27085_33__array(VarNext,A,bitIndex3)
            <=> v27427(VarNext,bitIndex143) )
            & ( v27085_33__array(VarNext,A,bitIndex2)
            <=> v27427(VarNext,bitIndex142) )
            & ( v27085_33__array(VarNext,A,bitIndex1)
            <=> v27427(VarNext,bitIndex141) )
            & ( v27085_33__array(VarNext,A,bitIndex0)
            <=> v27427(VarNext,bitIndex140) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6020,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27421(VarNext)
      <=> ( v27422(VarNext)
          & v27171(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6019,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27422(VarNext)
      <=> ( v27424(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2771,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27424(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_35,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b11011_address_term = A
              & v27412(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_32__array(VarNext,A,B)
              <=> v27085_31__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_35,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b11011_address_term = A
            & v27412(VarNext) )
         => ( ( v27085_32__array(VarNext,A,bitIndex4)
            <=> v27418(VarNext,bitIndex139) )
            & ( v27085_32__array(VarNext,A,bitIndex3)
            <=> v27418(VarNext,bitIndex138) )
            & ( v27085_32__array(VarNext,A,bitIndex2)
            <=> v27418(VarNext,bitIndex137) )
            & ( v27085_32__array(VarNext,A,bitIndex1)
            <=> v27418(VarNext,bitIndex136) )
            & ( v27085_32__array(VarNext,A,bitIndex0)
            <=> v27418(VarNext,bitIndex135) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6018,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27412(VarNext)
      <=> ( v27413(VarNext)
          & v27171(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6017,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27413(VarNext)
      <=> ( v27415(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2770,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27415(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_34,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b11010_address_term = A
              & v27403(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_31__array(VarNext,A,B)
              <=> v27085_30__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_34,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b11010_address_term = A
            & v27403(VarNext) )
         => ( ( v27085_31__array(VarNext,A,bitIndex4)
            <=> v27409(VarNext,bitIndex134) )
            & ( v27085_31__array(VarNext,A,bitIndex3)
            <=> v27409(VarNext,bitIndex133) )
            & ( v27085_31__array(VarNext,A,bitIndex2)
            <=> v27409(VarNext,bitIndex132) )
            & ( v27085_31__array(VarNext,A,bitIndex1)
            <=> v27409(VarNext,bitIndex131) )
            & ( v27085_31__array(VarNext,A,bitIndex0)
            <=> v27409(VarNext,bitIndex130) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6016,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27403(VarNext)
      <=> ( v27404(VarNext)
          & v27171(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6015,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27404(VarNext)
      <=> ( v27406(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2769,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27406(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_33,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b11001_address_term = A
              & v27394(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_30__array(VarNext,A,B)
              <=> v27085_29__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_33,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b11001_address_term = A
            & v27394(VarNext) )
         => ( ( v27085_30__array(VarNext,A,bitIndex4)
            <=> v27400(VarNext,bitIndex129) )
            & ( v27085_30__array(VarNext,A,bitIndex3)
            <=> v27400(VarNext,bitIndex128) )
            & ( v27085_30__array(VarNext,A,bitIndex2)
            <=> v27400(VarNext,bitIndex127) )
            & ( v27085_30__array(VarNext,A,bitIndex1)
            <=> v27400(VarNext,bitIndex126) )
            & ( v27085_30__array(VarNext,A,bitIndex0)
            <=> v27400(VarNext,bitIndex125) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6014,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27394(VarNext)
      <=> ( v27395(VarNext)
          & v27171(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6013,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27395(VarNext)
      <=> ( v27397(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2768,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27397(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_32,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b11000_address_term = A
              & v27385(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_29__array(VarNext,A,B)
              <=> v27085_28__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_32,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b11000_address_term = A
            & v27385(VarNext) )
         => ( ( v27085_29__array(VarNext,A,bitIndex4)
            <=> v27391(VarNext,bitIndex124) )
            & ( v27085_29__array(VarNext,A,bitIndex3)
            <=> v27391(VarNext,bitIndex123) )
            & ( v27085_29__array(VarNext,A,bitIndex2)
            <=> v27391(VarNext,bitIndex122) )
            & ( v27085_29__array(VarNext,A,bitIndex1)
            <=> v27391(VarNext,bitIndex121) )
            & ( v27085_29__array(VarNext,A,bitIndex0)
            <=> v27391(VarNext,bitIndex120) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6012,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27385(VarNext)
      <=> ( v27386(VarNext)
          & v27171(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6011,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27386(VarNext)
      <=> ( v27388(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2767,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27388(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_31,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b10111_address_term = A
              & v27376(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_28__array(VarNext,A,B)
              <=> v27085_27__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_31,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b10111_address_term = A
            & v27376(VarNext) )
         => ( ( v27085_28__array(VarNext,A,bitIndex4)
            <=> v27382(VarNext,bitIndex119) )
            & ( v27085_28__array(VarNext,A,bitIndex3)
            <=> v27382(VarNext,bitIndex118) )
            & ( v27085_28__array(VarNext,A,bitIndex2)
            <=> v27382(VarNext,bitIndex117) )
            & ( v27085_28__array(VarNext,A,bitIndex1)
            <=> v27382(VarNext,bitIndex116) )
            & ( v27085_28__array(VarNext,A,bitIndex0)
            <=> v27382(VarNext,bitIndex115) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6010,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27376(VarNext)
      <=> ( v27377(VarNext)
          & v27171(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6009,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27377(VarNext)
      <=> ( v27379(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2766,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27379(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_30,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b10110_address_term = A
              & v27367(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_27__array(VarNext,A,B)
              <=> v27085_26__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_30,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b10110_address_term = A
            & v27367(VarNext) )
         => ( ( v27085_27__array(VarNext,A,bitIndex4)
            <=> v27373(VarNext,bitIndex114) )
            & ( v27085_27__array(VarNext,A,bitIndex3)
            <=> v27373(VarNext,bitIndex113) )
            & ( v27085_27__array(VarNext,A,bitIndex2)
            <=> v27373(VarNext,bitIndex112) )
            & ( v27085_27__array(VarNext,A,bitIndex1)
            <=> v27373(VarNext,bitIndex111) )
            & ( v27085_27__array(VarNext,A,bitIndex0)
            <=> v27373(VarNext,bitIndex110) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6008,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27367(VarNext)
      <=> ( v27368(VarNext)
          & v27171(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6007,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27368(VarNext)
      <=> ( v27370(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2765,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27370(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_29,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b10101_address_term = A
              & v27358(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_26__array(VarNext,A,B)
              <=> v27085_25__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_29,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b10101_address_term = A
            & v27358(VarNext) )
         => ( ( v27085_26__array(VarNext,A,bitIndex4)
            <=> v27364(VarNext,bitIndex109) )
            & ( v27085_26__array(VarNext,A,bitIndex3)
            <=> v27364(VarNext,bitIndex108) )
            & ( v27085_26__array(VarNext,A,bitIndex2)
            <=> v27364(VarNext,bitIndex107) )
            & ( v27085_26__array(VarNext,A,bitIndex1)
            <=> v27364(VarNext,bitIndex106) )
            & ( v27085_26__array(VarNext,A,bitIndex0)
            <=> v27364(VarNext,bitIndex105) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6006,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27358(VarNext)
      <=> ( v27359(VarNext)
          & v27171(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6005,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27359(VarNext)
      <=> ( v27361(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2764,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27361(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_28,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b10100_address_term = A
              & v27349(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_25__array(VarNext,A,B)
              <=> v27085_24__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_28,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b10100_address_term = A
            & v27349(VarNext) )
         => ( ( v27085_25__array(VarNext,A,bitIndex4)
            <=> v27355(VarNext,bitIndex104) )
            & ( v27085_25__array(VarNext,A,bitIndex3)
            <=> v27355(VarNext,bitIndex103) )
            & ( v27085_25__array(VarNext,A,bitIndex2)
            <=> v27355(VarNext,bitIndex102) )
            & ( v27085_25__array(VarNext,A,bitIndex1)
            <=> v27355(VarNext,bitIndex101) )
            & ( v27085_25__array(VarNext,A,bitIndex0)
            <=> v27355(VarNext,bitIndex100) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6004,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27349(VarNext)
      <=> ( v27350(VarNext)
          & v27171(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6003,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27350(VarNext)
      <=> ( v27352(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2763,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27352(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_27,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b10011_address_term = A
              & v27340(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_24__array(VarNext,A,B)
              <=> v27085_23__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_27,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b10011_address_term = A
            & v27340(VarNext) )
         => ( ( v27085_24__array(VarNext,A,bitIndex4)
            <=> v27346(VarNext,bitIndex99) )
            & ( v27085_24__array(VarNext,A,bitIndex3)
            <=> v27346(VarNext,bitIndex98) )
            & ( v27085_24__array(VarNext,A,bitIndex2)
            <=> v27346(VarNext,bitIndex97) )
            & ( v27085_24__array(VarNext,A,bitIndex1)
            <=> v27346(VarNext,bitIndex96) )
            & ( v27085_24__array(VarNext,A,bitIndex0)
            <=> v27346(VarNext,bitIndex95) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6002,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27340(VarNext)
      <=> ( v27341(VarNext)
          & v27171(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6001,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27341(VarNext)
      <=> ( v27343(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2762,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27343(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_26,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b10010_address_term = A
              & v27331(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_23__array(VarNext,A,B)
              <=> v27085_22__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_26,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b10010_address_term = A
            & v27331(VarNext) )
         => ( ( v27085_23__array(VarNext,A,bitIndex4)
            <=> v27337(VarNext,bitIndex94) )
            & ( v27085_23__array(VarNext,A,bitIndex3)
            <=> v27337(VarNext,bitIndex93) )
            & ( v27085_23__array(VarNext,A,bitIndex2)
            <=> v27337(VarNext,bitIndex92) )
            & ( v27085_23__array(VarNext,A,bitIndex1)
            <=> v27337(VarNext,bitIndex91) )
            & ( v27085_23__array(VarNext,A,bitIndex0)
            <=> v27337(VarNext,bitIndex90) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6000,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27331(VarNext)
      <=> ( v27332(VarNext)
          & v27171(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5999,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27332(VarNext)
      <=> ( v27334(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2761,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27334(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_25,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b10001_address_term = A
              & v27322(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_22__array(VarNext,A,B)
              <=> v27085_21__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_25,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b10001_address_term = A
            & v27322(VarNext) )
         => ( ( v27085_22__array(VarNext,A,bitIndex4)
            <=> v27328(VarNext,bitIndex89) )
            & ( v27085_22__array(VarNext,A,bitIndex3)
            <=> v27328(VarNext,bitIndex88) )
            & ( v27085_22__array(VarNext,A,bitIndex2)
            <=> v27328(VarNext,bitIndex87) )
            & ( v27085_22__array(VarNext,A,bitIndex1)
            <=> v27328(VarNext,bitIndex86) )
            & ( v27085_22__array(VarNext,A,bitIndex0)
            <=> v27328(VarNext,bitIndex85) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5998,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27322(VarNext)
      <=> ( v27323(VarNext)
          & v27171(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5997,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27323(VarNext)
      <=> ( v27325(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2760,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27325(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_24,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b10000_address_term = A
              & v27313(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_21__array(VarNext,A,B)
              <=> v27085_20__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_24,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b10000_address_term = A
            & v27313(VarNext) )
         => ( ( v27085_21__array(VarNext,A,bitIndex4)
            <=> v27319(VarNext,bitIndex84) )
            & ( v27085_21__array(VarNext,A,bitIndex3)
            <=> v27319(VarNext,bitIndex83) )
            & ( v27085_21__array(VarNext,A,bitIndex2)
            <=> v27319(VarNext,bitIndex82) )
            & ( v27085_21__array(VarNext,A,bitIndex1)
            <=> v27319(VarNext,bitIndex81) )
            & ( v27085_21__array(VarNext,A,bitIndex0)
            <=> v27319(VarNext,bitIndex80) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5996,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27313(VarNext)
      <=> ( v27314(VarNext)
          & v27171(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5995,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27314(VarNext)
      <=> ( v27316(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2759,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27316(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_23,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b01111_address_term = A
              & v27304(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_20__array(VarNext,A,B)
              <=> v27085_19__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_23,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b01111_address_term = A
            & v27304(VarNext) )
         => ( ( v27085_20__array(VarNext,A,bitIndex4)
            <=> v27310(VarNext,bitIndex79) )
            & ( v27085_20__array(VarNext,A,bitIndex3)
            <=> v27310(VarNext,bitIndex78) )
            & ( v27085_20__array(VarNext,A,bitIndex2)
            <=> v27310(VarNext,bitIndex77) )
            & ( v27085_20__array(VarNext,A,bitIndex1)
            <=> v27310(VarNext,bitIndex76) )
            & ( v27085_20__array(VarNext,A,bitIndex0)
            <=> v27310(VarNext,bitIndex75) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5994,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27304(VarNext)
      <=> ( v27305(VarNext)
          & v27171(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5993,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27305(VarNext)
      <=> ( v27307(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2758,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27307(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_22,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b01110_address_term = A
              & v27295(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_19__array(VarNext,A,B)
              <=> v27085_18__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_22,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b01110_address_term = A
            & v27295(VarNext) )
         => ( ( v27085_19__array(VarNext,A,bitIndex4)
            <=> v27301(VarNext,bitIndex74) )
            & ( v27085_19__array(VarNext,A,bitIndex3)
            <=> v27301(VarNext,bitIndex73) )
            & ( v27085_19__array(VarNext,A,bitIndex2)
            <=> v27301(VarNext,bitIndex72) )
            & ( v27085_19__array(VarNext,A,bitIndex1)
            <=> v27301(VarNext,bitIndex71) )
            & ( v27085_19__array(VarNext,A,bitIndex0)
            <=> v27301(VarNext,bitIndex70) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5992,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27295(VarNext)
      <=> ( v27296(VarNext)
          & v27171(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5991,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27296(VarNext)
      <=> ( v27298(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2757,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27298(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_21,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b01101_address_term = A
              & v27286(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_18__array(VarNext,A,B)
              <=> v27085_17__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_21,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b01101_address_term = A
            & v27286(VarNext) )
         => ( ( v27085_18__array(VarNext,A,bitIndex4)
            <=> v27292(VarNext,bitIndex69) )
            & ( v27085_18__array(VarNext,A,bitIndex3)
            <=> v27292(VarNext,bitIndex68) )
            & ( v27085_18__array(VarNext,A,bitIndex2)
            <=> v27292(VarNext,bitIndex67) )
            & ( v27085_18__array(VarNext,A,bitIndex1)
            <=> v27292(VarNext,bitIndex66) )
            & ( v27085_18__array(VarNext,A,bitIndex0)
            <=> v27292(VarNext,bitIndex65) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5990,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27286(VarNext)
      <=> ( v27287(VarNext)
          & v27171(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5989,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27287(VarNext)
      <=> ( v27289(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2756,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27289(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_20,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b01100_address_term = A
              & v27277(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_17__array(VarNext,A,B)
              <=> v27085_16__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_20,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b01100_address_term = A
            & v27277(VarNext) )
         => ( ( v27085_17__array(VarNext,A,bitIndex4)
            <=> v27283(VarNext,bitIndex64) )
            & ( v27085_17__array(VarNext,A,bitIndex3)
            <=> v27283(VarNext,bitIndex63) )
            & ( v27085_17__array(VarNext,A,bitIndex2)
            <=> v27283(VarNext,bitIndex62) )
            & ( v27085_17__array(VarNext,A,bitIndex1)
            <=> v27283(VarNext,bitIndex61) )
            & ( v27085_17__array(VarNext,A,bitIndex0)
            <=> v27283(VarNext,bitIndex60) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5988,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27277(VarNext)
      <=> ( v27278(VarNext)
          & v27171(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5987,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27278(VarNext)
      <=> ( v27280(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2755,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27280(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_19,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b01011_address_term = A
              & v27268(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_16__array(VarNext,A,B)
              <=> v27085_15__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_19,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b01011_address_term = A
            & v27268(VarNext) )
         => ( ( v27085_16__array(VarNext,A,bitIndex4)
            <=> v27274(VarNext,bitIndex59) )
            & ( v27085_16__array(VarNext,A,bitIndex3)
            <=> v27274(VarNext,bitIndex58) )
            & ( v27085_16__array(VarNext,A,bitIndex2)
            <=> v27274(VarNext,bitIndex57) )
            & ( v27085_16__array(VarNext,A,bitIndex1)
            <=> v27274(VarNext,bitIndex56) )
            & ( v27085_16__array(VarNext,A,bitIndex0)
            <=> v27274(VarNext,bitIndex55) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5986,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27268(VarNext)
      <=> ( v27269(VarNext)
          & v27171(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5985,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27269(VarNext)
      <=> ( v27271(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2754,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27271(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_18,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b01010_address_term = A
              & v27259(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_15__array(VarNext,A,B)
              <=> v27085_14__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_18,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b01010_address_term = A
            & v27259(VarNext) )
         => ( ( v27085_15__array(VarNext,A,bitIndex4)
            <=> v27265(VarNext,bitIndex54) )
            & ( v27085_15__array(VarNext,A,bitIndex3)
            <=> v27265(VarNext,bitIndex53) )
            & ( v27085_15__array(VarNext,A,bitIndex2)
            <=> v27265(VarNext,bitIndex52) )
            & ( v27085_15__array(VarNext,A,bitIndex1)
            <=> v27265(VarNext,bitIndex51) )
            & ( v27085_15__array(VarNext,A,bitIndex0)
            <=> v27265(VarNext,bitIndex50) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5984,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27259(VarNext)
      <=> ( v27260(VarNext)
          & v27171(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5983,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27260(VarNext)
      <=> ( v27262(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2753,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27262(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_17,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b01001_address_term = A
              & v27250(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_14__array(VarNext,A,B)
              <=> v27085_13__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_17,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b01001_address_term = A
            & v27250(VarNext) )
         => ( ( v27085_14__array(VarNext,A,bitIndex4)
            <=> v27256(VarNext,bitIndex49) )
            & ( v27085_14__array(VarNext,A,bitIndex3)
            <=> v27256(VarNext,bitIndex48) )
            & ( v27085_14__array(VarNext,A,bitIndex2)
            <=> v27256(VarNext,bitIndex47) )
            & ( v27085_14__array(VarNext,A,bitIndex1)
            <=> v27256(VarNext,bitIndex46) )
            & ( v27085_14__array(VarNext,A,bitIndex0)
            <=> v27256(VarNext,bitIndex45) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5982,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27250(VarNext)
      <=> ( v27251(VarNext)
          & v27171(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5981,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27251(VarNext)
      <=> ( v27253(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2752,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27253(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_16,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b01000_address_term = A
              & v27241(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_13__array(VarNext,A,B)
              <=> v27085_12__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_16,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b01000_address_term = A
            & v27241(VarNext) )
         => ( ( v27085_13__array(VarNext,A,bitIndex4)
            <=> v27247(VarNext,bitIndex44) )
            & ( v27085_13__array(VarNext,A,bitIndex3)
            <=> v27247(VarNext,bitIndex43) )
            & ( v27085_13__array(VarNext,A,bitIndex2)
            <=> v27247(VarNext,bitIndex42) )
            & ( v27085_13__array(VarNext,A,bitIndex1)
            <=> v27247(VarNext,bitIndex41) )
            & ( v27085_13__array(VarNext,A,bitIndex0)
            <=> v27247(VarNext,bitIndex40) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5980,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27241(VarNext)
      <=> ( v27242(VarNext)
          & v27171(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5979,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27242(VarNext)
      <=> ( v27244(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2751,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27244(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_15,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b00111_address_term = A
              & v27232(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_12__array(VarNext,A,B)
              <=> v27085_11__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_15,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b00111_address_term = A
            & v27232(VarNext) )
         => ( ( v27085_12__array(VarNext,A,bitIndex4)
            <=> v27238(VarNext,bitIndex39) )
            & ( v27085_12__array(VarNext,A,bitIndex3)
            <=> v27238(VarNext,bitIndex38) )
            & ( v27085_12__array(VarNext,A,bitIndex2)
            <=> v27238(VarNext,bitIndex37) )
            & ( v27085_12__array(VarNext,A,bitIndex1)
            <=> v27238(VarNext,bitIndex36) )
            & ( v27085_12__array(VarNext,A,bitIndex0)
            <=> v27238(VarNext,bitIndex35) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5978,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27232(VarNext)
      <=> ( v27233(VarNext)
          & v27171(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5977,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27233(VarNext)
      <=> ( v27235(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2750,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27235(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_14,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b00110_address_term = A
              & v27223(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_11__array(VarNext,A,B)
              <=> v27085_10__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_14,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b00110_address_term = A
            & v27223(VarNext) )
         => ( ( v27085_11__array(VarNext,A,bitIndex4)
            <=> v27229(VarNext,bitIndex34) )
            & ( v27085_11__array(VarNext,A,bitIndex3)
            <=> v27229(VarNext,bitIndex33) )
            & ( v27085_11__array(VarNext,A,bitIndex2)
            <=> v27229(VarNext,bitIndex32) )
            & ( v27085_11__array(VarNext,A,bitIndex1)
            <=> v27229(VarNext,bitIndex31) )
            & ( v27085_11__array(VarNext,A,bitIndex0)
            <=> v27229(VarNext,bitIndex30) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5976,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27223(VarNext)
      <=> ( v27224(VarNext)
          & v27171(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5975,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27224(VarNext)
      <=> ( v27226(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2749,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27226(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_13,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b00101_address_term = A
              & v27214(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_10__array(VarNext,A,B)
              <=> v27085_9__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_13,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b00101_address_term = A
            & v27214(VarNext) )
         => ( ( v27085_10__array(VarNext,A,bitIndex4)
            <=> v27220(VarNext,bitIndex29) )
            & ( v27085_10__array(VarNext,A,bitIndex3)
            <=> v27220(VarNext,bitIndex28) )
            & ( v27085_10__array(VarNext,A,bitIndex2)
            <=> v27220(VarNext,bitIndex27) )
            & ( v27085_10__array(VarNext,A,bitIndex1)
            <=> v27220(VarNext,bitIndex26) )
            & ( v27085_10__array(VarNext,A,bitIndex0)
            <=> v27220(VarNext,bitIndex25) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5974,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27214(VarNext)
      <=> ( v27215(VarNext)
          & v27171(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5973,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27215(VarNext)
      <=> ( v27217(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2748,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27217(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_12,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b00100_address_term = A
              & v27205(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_9__array(VarNext,A,B)
              <=> v27085_8__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_12,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b00100_address_term = A
            & v27205(VarNext) )
         => ( ( v27085_9__array(VarNext,A,bitIndex4)
            <=> v27211(VarNext,bitIndex24) )
            & ( v27085_9__array(VarNext,A,bitIndex3)
            <=> v27211(VarNext,bitIndex23) )
            & ( v27085_9__array(VarNext,A,bitIndex2)
            <=> v27211(VarNext,bitIndex22) )
            & ( v27085_9__array(VarNext,A,bitIndex1)
            <=> v27211(VarNext,bitIndex21) )
            & ( v27085_9__array(VarNext,A,bitIndex0)
            <=> v27211(VarNext,bitIndex20) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5972,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27205(VarNext)
      <=> ( v27206(VarNext)
          & v27171(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5971,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27206(VarNext)
      <=> ( v27208(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2747,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27208(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_11,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b00011_address_term = A
              & v27196(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_8__array(VarNext,A,B)
              <=> v27085_7__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_11,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b00011_address_term = A
            & v27196(VarNext) )
         => ( ( v27085_8__array(VarNext,A,bitIndex4)
            <=> v27202(VarNext,bitIndex19) )
            & ( v27085_8__array(VarNext,A,bitIndex3)
            <=> v27202(VarNext,bitIndex18) )
            & ( v27085_8__array(VarNext,A,bitIndex2)
            <=> v27202(VarNext,bitIndex17) )
            & ( v27085_8__array(VarNext,A,bitIndex1)
            <=> v27202(VarNext,bitIndex16) )
            & ( v27085_8__array(VarNext,A,bitIndex0)
            <=> v27202(VarNext,bitIndex15) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5970,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27196(VarNext)
      <=> ( v27197(VarNext)
          & v27171(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5969,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27197(VarNext)
      <=> ( v27199(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2746,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27199(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_10,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b00010_address_term = A
              & v27187(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_7__array(VarNext,A,B)
              <=> v27085_6__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_10,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b00010_address_term = A
            & v27187(VarNext) )
         => ( ( v27085_7__array(VarNext,A,bitIndex4)
            <=> v27193(VarNext,bitIndex14) )
            & ( v27085_7__array(VarNext,A,bitIndex3)
            <=> v27193(VarNext,bitIndex13) )
            & ( v27085_7__array(VarNext,A,bitIndex2)
            <=> v27193(VarNext,bitIndex12) )
            & ( v27085_7__array(VarNext,A,bitIndex1)
            <=> v27193(VarNext,bitIndex11) )
            & ( v27085_7__array(VarNext,A,bitIndex0)
            <=> v27193(VarNext,bitIndex10) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5968,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27187(VarNext)
      <=> ( v27188(VarNext)
          & v27171(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5967,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27188(VarNext)
      <=> ( v27190(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2745,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27190(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_9,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b00001_address_term = A
              & v27178(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_6__array(VarNext,A,B)
              <=> v27085_5__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_9,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b00001_address_term = A
            & v27178(VarNext) )
         => ( ( v27085_6__array(VarNext,A,bitIndex4)
            <=> v27184(VarNext,bitIndex9) )
            & ( v27085_6__array(VarNext,A,bitIndex3)
            <=> v27184(VarNext,bitIndex8) )
            & ( v27085_6__array(VarNext,A,bitIndex2)
            <=> v27184(VarNext,bitIndex7) )
            & ( v27085_6__array(VarNext,A,bitIndex1)
            <=> v27184(VarNext,bitIndex6) )
            & ( v27085_6__array(VarNext,A,bitIndex0)
            <=> v27184(VarNext,bitIndex5) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5966,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27178(VarNext)
      <=> ( v27179(VarNext)
          & v27171(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5965,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27179(VarNext)
      <=> ( v27181(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2744,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27181(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_8,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( b00000_address_term = A
              & v27164(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_5__array(VarNext,A,B)
              <=> v27085_4__array(VarNext,A,B) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_8,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( b00000_address_term = A
            & v27164(VarNext) )
         => ! [B] :
              ( range_4_0(B)
             => ( v27085_5__array(VarNext,A,B)
              <=> v27175(VarNext,B) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5964,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27164(VarNext)
      <=> ( v27165(VarNext)
          & v27171(VarNext) ) ) ) )).

fof(addAssignment_8719,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27171(VarNext)
      <=> v27169(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5963,axiom,(
    ! [VarCurr] :
      ( v27169(VarCurr)
    <=> ( v27119(VarCurr)
        & v27172(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1894,axiom,(
    ! [VarCurr] :
      ( v27172(VarCurr)
    <=> ( ( v27173(VarCurr,bitIndex1)
        <=> $false )
        & ( v27173(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8718,axiom,(
    ! [VarCurr] :
      ( v27173(VarCurr,bitIndex0)
    <=> v27099(VarCurr) ) )).

fof(addAssignment_8717,axiom,(
    ! [VarCurr] :
      ( v27173(VarCurr,bitIndex1)
    <=> v27091(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5962,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27165(VarNext)
      <=> ( v27167(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2743,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27167(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_7,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v27124_range_4_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( ~ ( A = AssociatedAddressVar
                  & v27152(VarNext) )
             => ! [B] :
                  ( range_4_0(B)
                 => ( v27085_4__array(VarNext,A,B)
                  <=> v27085_3__array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_7,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v27124_range_4_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( ( A = AssociatedAddressVar
                & v27152(VarNext) )
             => ! [B] :
                  ( range_4_0(B)
                 => ( v27085_4__array(VarNext,A,B)
                  <=> v27126(VarNext,B) ) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5961,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27152(VarNext)
      <=> ( v27153(VarNext)
          & v27159(VarNext) ) ) ) )).

fof(addAssignment_8716,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27159(VarNext)
      <=> v27157(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5960,axiom,(
    ! [VarCurr] :
      ( v27157(VarCurr)
    <=> ( v27119(VarCurr)
        & v27160(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1893,axiom,(
    ! [VarCurr] :
      ( v27160(VarCurr)
    <=> ( ( v27161(VarCurr,bitIndex1)
        <=> $true )
        & ( v27161(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8715,axiom,(
    ! [VarCurr] :
      ( v27161(VarCurr,bitIndex0)
    <=> v27099(VarCurr) ) )).

fof(addAssignment_8714,axiom,(
    ! [VarCurr] :
      ( v27161(VarCurr,bitIndex1)
    <=> v27091(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5959,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27153(VarNext)
      <=> ( v27155(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2742,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27155(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_6,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v27135_range_4_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( ~ ( A = AssociatedAddressVar
                  & v27140(VarNext) )
             => ! [B] :
                  ( range_4_0(B)
                 => ( v27085_3__array(VarNext,A,B)
                  <=> v27085_2__array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_6,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v27135_range_4_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( ( A = AssociatedAddressVar
                & v27140(VarNext) )
             => ! [B] :
                  ( range_4_0(B)
                 => ( v27085_3__array(VarNext,A,B)
                  <=> v27137(VarNext,B) ) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5958,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27140(VarNext)
      <=> ( v27141(VarNext)
          & v27147(VarNext) ) ) ) )).

fof(addAssignment_8713,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27147(VarNext)
      <=> v27145(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5957,axiom,(
    ! [VarCurr] :
      ( v27145(VarCurr)
    <=> ( v27119(VarCurr)
        & v27148(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1892,axiom,(
    ! [VarCurr] :
      ( v27148(VarCurr)
    <=> ( ( v27149(VarCurr,bitIndex1)
        <=> $false )
        & ( v27149(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8712,axiom,(
    ! [VarCurr] :
      ( v27149(VarCurr,bitIndex0)
    <=> v27099(VarCurr) ) )).

fof(addAssignment_8711,axiom,(
    ! [VarCurr] :
      ( v27149(VarCurr,bitIndex1)
    <=> v27091(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5956,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27141(VarNext)
      <=> ( v27143(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2741,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27143(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_5,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v27135_range_4_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( ~ ( A = AssociatedAddressVar
                  & v27129(VarNext) )
             => ! [B] :
                  ( range_4_0(B)
                 => ( v27085_2__array(VarNext,A,B)
                  <=> v27085_1__array(VarNext,A,B) ) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_5,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v27135_range_4_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( ( A = AssociatedAddressVar
                & v27129(VarNext) )
             => ! [B] :
                  ( range_4_0(B)
                 => ( v27085_2__array(VarNext,A,B)
                  <=> v27137(VarNext,B) ) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5955,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27129(VarNext)
      <=> ( v27130(VarNext)
          & v27118(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5954,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27130(VarNext)
      <=> ( v27132(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2740,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27132(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(memoryWriteDisabled_4,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v27124_range_4_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( ~ ( A = AssociatedAddressVar
                  & v27109(VarNext) )
             => ! [B] :
                  ( range_4_0(B)
                 => ( v27085_1__array(VarNext,A,B)
                  <=> v27085_array(VarCurr,A,B) ) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_4,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v27124_range_4_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( ( A = AssociatedAddressVar
                & v27109(VarNext) )
             => ! [B] :
                  ( range_4_0(B)
                 => ( v27085_1__array(VarNext,A,B)
                  <=> v27126(VarNext,B) ) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5953,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27109(VarNext)
      <=> ( v27110(VarNext)
          & v27118(VarNext) ) ) ) )).

fof(addAssignment_8710,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27118(VarNext)
      <=> v27116(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5952,axiom,(
    ! [VarCurr] :
      ( v27116(VarCurr)
    <=> ( v27119(VarCurr)
        & v27121(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1891,axiom,(
    ! [VarCurr] :
      ( v27121(VarCurr)
    <=> ( ( v27122(VarCurr,bitIndex1)
        <=> $true )
        & ( v27122(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8709,axiom,(
    ! [VarCurr] :
      ( v27122(VarCurr,bitIndex0)
    <=> v27099(VarCurr) ) )).

fof(addAssignment_8708,axiom,(
    ! [VarCurr] :
      ( v27122(VarCurr,bitIndex1)
    <=> v27091(VarCurr) ) )).

fof(writeUnaryOperator_2739,axiom,(
    ! [VarCurr] :
      ( ~ v27119(VarCurr)
    <=> v27120(VarCurr) ) )).

fof(writeUnaryOperator_2738,axiom,(
    ! [VarCurr] :
      ( ~ v27120(VarCurr)
    <=> v27089(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5951,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27110(VarNext)
      <=> ( v27111(VarNext)
          & v27087(VarNext) ) ) ) )).

fof(writeUnaryOperator_2737,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27111(VarNext)
      <=> v27113(VarNext) ) ) )).

fof(addAssignment_8707,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27113(VarNext)
      <=> v27087(VarCurr) ) ) )).

fof(addAssignment_8706,axiom,(
    ! [VarCurr] :
      ( v27099(VarCurr)
    <=> v27101(VarCurr) ) )).

fof(addAssignment_8705,axiom,(
    ! [VarCurr] :
      ( v27101(VarCurr)
    <=> v27103(VarCurr) ) )).

fof(addAssignment_8704,axiom,(
    ! [VarCurr] :
      ( v27103(VarCurr)
    <=> v27105(VarCurr) ) )).

fof(addAssignment_8703,axiom,(
    ! [VarCurr] :
      ( v27091(VarCurr)
    <=> v27093(VarCurr) ) )).

fof(addAssignment_8702,axiom,(
    ! [VarCurr] :
      ( v27093(VarCurr)
    <=> v27095(VarCurr) ) )).

fof(addAssignment_8701,axiom,(
    ! [VarCurr] :
      ( v27095(VarCurr)
    <=> v27097(VarCurr) ) )).

fof(addAssignment_8700,axiom,(
    ! [VarCurr] :
      ( v27089(VarCurr)
    <=> v27030(VarCurr) ) )).

fof(addAssignment_8699,axiom,(
    ! [VarCurr] :
      ( v27087(VarCurr)
    <=> v27025(VarCurr) ) )).

fof(addAssignment_8698,axiom,(
    ! [VarCurr] :
      ( v27032(VarCurr)
    <=> v27034(VarCurr) ) )).

fof(addAssignment_8697,axiom,(
    ! [VarCurr] :
      ( v27034(VarCurr)
    <=> v27036(VarCurr) ) )).

fof(addAssignment_8696,axiom,(
    ! [VarCurr] :
      ( v27036(VarCurr)
    <=> v27038(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_324,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27047(VarNext)
       => ( v27038(VarNext)
        <=> v27038(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_361,axiom,(
    ! [VarNext] :
      ( v27047(VarNext)
     => ( v27038(VarNext)
      <=> v27057(VarNext) ) ) )).

fof(addAssignment_8695,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27057(VarNext)
      <=> v27055(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_703,axiom,(
    ! [VarCurr] :
      ( ~ v27058(VarCurr)
     => ( v27055(VarCurr)
      <=> v27059(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_647,axiom,(
    ! [VarCurr] :
      ( v27058(VarCurr)
     => ( v27055(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_702,axiom,(
    ! [VarCurr] :
      ( ~ v27060(VarCurr)
     => ( v27059(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_646,axiom,(
    ! [VarCurr] :
      ( v27060(VarCurr)
     => ( v27059(VarCurr)
      <=> v27044(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5950,axiom,(
    ! [VarCurr] :
      ( v27060(VarCurr)
    <=> ( v27061(VarCurr)
        & v27042(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1890,axiom,(
    ! [VarCurr] :
      ( v27061(VarCurr)
    <=> ( ( v27040(VarCurr,bitIndex2)
        <=> $false )
        & ( v27040(VarCurr,bitIndex1)
        <=> $true )
        & ( v27040(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1889,axiom,(
    ! [VarCurr] :
      ( v27058(VarCurr)
    <=> ( v13815(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5949,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27047(VarNext)
      <=> v27048(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5948,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27048(VarNext)
      <=> ( v27049(VarNext)
          & v13912(VarNext) ) ) ) )).

fof(writeUnaryOperator_2736,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v27049(VarNext)
      <=> v27051(VarNext) ) ) )).

fof(addAssignment_8694,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27051(VarNext)
      <=> v13912(VarCurr) ) ) )).

fof(addAssignment_8693,axiom,(
    ! [VarCurr] :
      ( v27028(VarCurr)
    <=> v27030(VarCurr) ) )).

fof(addAssignment_8692,axiom,(
    ! [VarCurr] :
      ( v27030(VarCurr)
    <=> v64(VarCurr) ) )).

fof(addAssignment_8691,axiom,(
    ! [VarCurr] :
      ( v27023(VarCurr)
    <=> v27025(VarCurr) ) )).

fof(addAssignment_8690,axiom,(
    ! [VarCurr] :
      ( v27025(VarCurr)
    <=> v13914(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_323,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26996(VarNext)
       => ! [B] :
            ( range_4_0(B)
           => ( v26905(VarNext,B)
            <=> v26905(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_360,axiom,(
    ! [VarNext] :
      ( v26996(VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v26905(VarNext,B)
          <=> v27007(VarNext,B) ) ) ) )).

fof(addAssignment_8689,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v27007(VarNext,B)
          <=> v27005(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_701,axiom,(
    ! [VarCurr] :
      ( ~ v26854(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v27005(VarCurr,B)
          <=> v26907(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_645,axiom,(
    ! [VarCurr] :
      ( v26854(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v27005(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5947,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26996(VarNext)
      <=> ( v26997(VarNext)
          & v27004(VarNext) ) ) ) )).

fof(addAssignment_8688,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v27004(VarNext)
      <=> v27002(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5946,axiom,(
    ! [VarCurr] :
      ( v27002(VarCurr)
    <=> ( v26150(VarCurr)
        | v26854(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5945,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26997(VarNext)
      <=> ( v26999(VarNext)
          & v25419(VarNext) ) ) ) )).

fof(writeUnaryOperator_2735,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26999(VarNext)
      <=> v26847(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_297,axiom,(
    ! [VarCurr] :
      ( ( ~ v26986(VarCurr)
        & ~ v26989(VarCurr) )
     => ! [B] :
          ( range_4_0(B)
         => ( v26907(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_704,axiom,(
    ! [VarCurr] :
      ( v26989(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v26907(VarCurr,B)
          <=> v26909(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_695,axiom,(
    ! [VarCurr] :
      ( v26986(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v26907(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5944,axiom,(
    ! [VarCurr] :
      ( v26989(VarCurr)
    <=> ( v26990(VarCurr)
        | v26993(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1888,axiom,(
    ! [VarCurr] :
      ( v26993(VarCurr)
    <=> ( ( v26199(VarCurr,bitIndex2)
        <=> $true )
        & ( v26199(VarCurr,bitIndex1)
        <=> $false )
        & ( v26199(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5943,axiom,(
    ! [VarCurr] :
      ( v26990(VarCurr)
    <=> ( v26991(VarCurr)
        | v26992(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1887,axiom,(
    ! [VarCurr] :
      ( v26992(VarCurr)
    <=> ( ( v26199(VarCurr,bitIndex2)
        <=> $false )
        & ( v26199(VarCurr,bitIndex1)
        <=> $true )
        & ( v26199(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1886,axiom,(
    ! [VarCurr] :
      ( v26991(VarCurr)
    <=> ( ( v26199(VarCurr,bitIndex2)
        <=> $false )
        & ( v26199(VarCurr,bitIndex1)
        <=> $false )
        & ( v26199(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5942,axiom,(
    ! [VarCurr] :
      ( v26986(VarCurr)
    <=> ( v26987(VarCurr)
        | v26988(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1885,axiom,(
    ! [VarCurr] :
      ( v26988(VarCurr)
    <=> ( ( v26199(VarCurr,bitIndex2)
        <=> $true )
        & ( v26199(VarCurr,bitIndex1)
        <=> $false )
        & ( v26199(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1884,axiom,(
    ! [VarCurr] :
      ( v26987(VarCurr)
    <=> ( ( v26199(VarCurr,bitIndex2)
        <=> $false )
        & ( v26199(VarCurr,bitIndex1)
        <=> $true )
        & ( v26199(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8687,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v26909(VarCurr,B)
      <=> v26911(VarCurr,B) ) ) )).

fof(addAssignment_8686,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v26911(VarCurr,B)
      <=> v26913(VarCurr,B) ) ) )).

fof(addAssignment_8685,axiom,(
    ! [VarCurr] :
      ( ( v26913(VarCurr,bitIndex4)
      <=> v26915(VarCurr,bitIndex19) )
      & ( v26913(VarCurr,bitIndex3)
      <=> v26915(VarCurr,bitIndex18) )
      & ( v26913(VarCurr,bitIndex2)
      <=> v26915(VarCurr,bitIndex17) )
      & ( v26913(VarCurr,bitIndex1)
      <=> v26915(VarCurr,bitIndex16) )
      & ( v26913(VarCurr,bitIndex0)
      <=> v26915(VarCurr,bitIndex15) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_322,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26954(VarNext)
       => ! [B] :
            ( range_19_15(B)
           => ( v26915(VarNext,B)
            <=> v26915(VarCurr,B) ) ) ) ) )).

fof(range_axiom_105,axiom,(
    ! [B] :
      ( range_19_15(B)
    <=> ( $false
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B ) ) )).

fof(addCaseBooleanConditionShiftedRanges0_9,axiom,(
    ! [VarNext] :
      ( v26954(VarNext)
     => ( ( v26915(VarNext,bitIndex19)
        <=> v26981(VarNext,bitIndex4) )
        & ( v26915(VarNext,bitIndex18)
        <=> v26981(VarNext,bitIndex3) )
        & ( v26915(VarNext,bitIndex17)
        <=> v26981(VarNext,bitIndex2) )
        & ( v26915(VarNext,bitIndex16)
        <=> v26981(VarNext,bitIndex1) )
        & ( v26915(VarNext,bitIndex15)
        <=> v26981(VarNext,bitIndex0) ) ) ) )).

fof(addAssignment_8684,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v26981(VarNext,B)
          <=> v26979(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_703,axiom,(
    ! [VarCurr] :
      ( ~ v26964(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v26979(VarCurr,B)
          <=> v26982(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_694,axiom,(
    ! [VarCurr] :
      ( v26964(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v26979(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_296,axiom,(
    ! [VarCurr] :
      ( ( ~ v26968(VarCurr)
        & ~ v26970(VarCurr) )
     => ! [B] :
          ( range_4_0(B)
         => ( v26982(VarCurr,B)
          <=> v26946(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_702,axiom,(
    ! [VarCurr] :
      ( v26970(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v26982(VarCurr,B)
          <=> v26917(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_16,axiom,(
    ! [VarCurr] :
      ( v26968(VarCurr)
     => ( ( v26982(VarCurr,bitIndex4)
        <=> v26915(VarCurr,bitIndex14) )
        & ( v26982(VarCurr,bitIndex3)
        <=> v26915(VarCurr,bitIndex13) )
        & ( v26982(VarCurr,bitIndex2)
        <=> v26915(VarCurr,bitIndex12) )
        & ( v26982(VarCurr,bitIndex1)
        <=> v26915(VarCurr,bitIndex11) )
        & ( v26982(VarCurr,bitIndex0)
        <=> v26915(VarCurr,bitIndex10) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5941,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26954(VarNext)
      <=> ( v26955(VarNext)
          & v26962(VarNext) ) ) ) )).

fof(addAssignment_8683,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26962(VarNext)
      <=> v26960(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5940,axiom,(
    ! [VarCurr] :
      ( v26960(VarCurr)
    <=> ( v26963(VarCurr)
        & v26975(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5939,axiom,(
    ! [VarCurr] :
      ( v26975(VarCurr)
    <=> ( v26976(VarCurr)
        | v26964(VarCurr) ) ) )).

fof(writeUnaryOperator_2734,axiom,(
    ! [VarCurr] :
      ( ~ v26976(VarCurr)
    <=> v26977(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1883,axiom,(
    ! [VarCurr] :
      ( v26977(VarCurr)
    <=> ( ( v26978(VarCurr,bitIndex1)
        <=> $false )
        & ( v26978(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8682,axiom,(
    ! [VarCurr] :
      ( v26978(VarCurr,bitIndex0)
    <=> v25769(VarCurr) ) )).

fof(addAssignment_8681,axiom,(
    ! [VarCurr] :
      ( v26978(VarCurr,bitIndex1)
    <=> v25767(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5938,axiom,(
    ! [VarCurr] :
      ( v26963(VarCurr)
    <=> ( v26964(VarCurr)
        | v26965(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5937,axiom,(
    ! [VarCurr] :
      ( v26965(VarCurr)
    <=> ( v26966(VarCurr)
        & v26974(VarCurr) ) ) )).

fof(writeUnaryOperator_2733,axiom,(
    ! [VarCurr] :
      ( ~ v26974(VarCurr)
    <=> v26964(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5936,axiom,(
    ! [VarCurr] :
      ( v26966(VarCurr)
    <=> ( v26967(VarCurr)
        | v26972(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1882,axiom,(
    ! [VarCurr] :
      ( v26972(VarCurr)
    <=> ( ( v26973(VarCurr,bitIndex1)
        <=> $true )
        & ( v26973(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8680,axiom,(
    ! [VarCurr] :
      ( v26973(VarCurr,bitIndex0)
    <=> v25769(VarCurr) ) )).

fof(addAssignment_8679,axiom,(
    ! [VarCurr] :
      ( v26973(VarCurr,bitIndex1)
    <=> v25767(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5935,axiom,(
    ! [VarCurr] :
      ( v26967(VarCurr)
    <=> ( v26968(VarCurr)
        | v26970(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1881,axiom,(
    ! [VarCurr] :
      ( v26970(VarCurr)
    <=> ( ( v26971(VarCurr,bitIndex1)
        <=> $true )
        & ( v26971(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8678,axiom,(
    ! [VarCurr] :
      ( v26971(VarCurr,bitIndex0)
    <=> v25769(VarCurr) ) )).

fof(addAssignment_8677,axiom,(
    ! [VarCurr] :
      ( v26971(VarCurr,bitIndex1)
    <=> v25767(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1880,axiom,(
    ! [VarCurr] :
      ( v26968(VarCurr)
    <=> ( ( v26969(VarCurr,bitIndex1)
        <=> $false )
        & ( v26969(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8676,axiom,(
    ! [VarCurr] :
      ( v26969(VarCurr,bitIndex0)
    <=> v25769(VarCurr) ) )).

fof(addAssignment_8675,axiom,(
    ! [VarCurr] :
      ( v26969(VarCurr,bitIndex1)
    <=> v25767(VarCurr) ) )).

fof(writeUnaryOperator_2732,axiom,(
    ! [VarCurr] :
      ( ~ v26964(VarCurr)
    <=> v25765(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5934,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26955(VarNext)
      <=> ( v26956(VarNext)
          & v25793(VarNext) ) ) ) )).

fof(writeUnaryOperator_2731,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26956(VarNext)
      <=> v25800(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_700,axiom,(
    ! [VarCurr] :
      ( ~ v26948(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v26946(VarCurr,B)
          <=> v26950(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_644,axiom,(
    ! [VarCurr] :
      ( v26948(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v26946(VarCurr,B)
          <=> v26939(VarCurr,B) ) ) ) )).

fof(addAssignment_8674,axiom,(
    ! [VarCurr] :
      ( ( v26950(VarCurr,bitIndex4)
      <=> v26915(VarCurr,bitIndex14) )
      & ( v26950(VarCurr,bitIndex3)
      <=> v26915(VarCurr,bitIndex13) )
      & ( v26950(VarCurr,bitIndex2)
      <=> v26915(VarCurr,bitIndex12) )
      & ( v26950(VarCurr,bitIndex1)
      <=> v26915(VarCurr,bitIndex11) )
      & ( v26950(VarCurr,bitIndex0)
      <=> v26915(VarCurr,bitIndex10) ) ) )).

fof(addAssignment_8673,axiom,(
    ! [VarCurr] :
      ( v26948(VarCurr)
    <=> v26921(VarCurr,bitIndex1) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_699,axiom,(
    ! [VarCurr] :
      ( ~ v26919(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v26917(VarCurr,B)
          <=> v26943(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_643,axiom,(
    ! [VarCurr] :
      ( v26919(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v26917(VarCurr,B)
          <=> v26939(VarCurr,B) ) ) ) )).

fof(addAssignment_8672,axiom,(
    ! [VarCurr] :
      ( ( v26943(VarCurr,bitIndex4)
      <=> v26915(VarCurr,bitIndex19) )
      & ( v26943(VarCurr,bitIndex3)
      <=> v26915(VarCurr,bitIndex18) )
      & ( v26943(VarCurr,bitIndex2)
      <=> v26915(VarCurr,bitIndex17) )
      & ( v26943(VarCurr,bitIndex1)
      <=> v26915(VarCurr,bitIndex16) )
      & ( v26943(VarCurr,bitIndex0)
      <=> v26915(VarCurr,bitIndex15) ) ) )).

fof(addAssignment_8671,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v26939(VarCurr,B)
      <=> v26941(VarCurr,B) ) ) )).

fof(addAssignment_8670,axiom,(
    ! [VarCurr] :
      ( ( v26941(VarCurr,bitIndex4)
      <=> v26264(VarCurr,bitIndex9) )
      & ( v26941(VarCurr,bitIndex3)
      <=> v26264(VarCurr,bitIndex8) )
      & ( v26941(VarCurr,bitIndex2)
      <=> v26264(VarCurr,bitIndex7) )
      & ( v26941(VarCurr,bitIndex1)
      <=> v26264(VarCurr,bitIndex6) )
      & ( v26941(VarCurr,bitIndex0)
      <=> v26264(VarCurr,bitIndex5) ) ) )).

fof(addAssignment_8669,axiom,(
    ! [VarCurr,B] :
      ( range_9_5(B)
     => ( v26264(VarCurr,B)
      <=> v26266(VarCurr,B) ) ) )).

fof(addAssignment_8668,axiom,(
    ! [VarCurr,B] :
      ( range_9_5(B)
     => ( v26266(VarCurr,B)
      <=> v26268(VarCurr,B) ) ) )).

fof(addAssignment_8667,axiom,(
    ! [VarCurr,B] :
      ( range_9_5(B)
     => ( v26268(VarCurr,B)
      <=> v26270(VarCurr,B) ) ) )).

fof(addAssignment_8666,axiom,(
    ! [VarCurr,B] :
      ( range_9_5(B)
     => ( v26270(VarCurr,B)
      <=> v26272(VarCurr,B) ) ) )).

fof(addAssignment_8665,axiom,(
    ! [VarCurr,B] :
      ( range_9_5(B)
     => ( v26272(VarCurr,B)
      <=> v26274(VarCurr,B) ) ) )).

fof(addAssignment_8664,axiom,(
    ! [VarCurr,B] :
      ( range_9_5(B)
     => ( v26274(VarCurr,B)
      <=> v26276(VarCurr,B) ) ) )).

fof(addAssignment_8663,axiom,(
    ! [VarCurr,B] :
      ( range_9_5(B)
     => ( v26276(VarCurr,B)
      <=> v26427(VarCurr,B) ) ) )).

fof(range_axiom_104,axiom,(
    ! [B] :
      ( range_9_5(B)
    <=> ( $false
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B ) ) )).

fof(addAssignment_8662,axiom,(
    ! [VarCurr] :
      ( v26919(VarCurr)
    <=> v26921(VarCurr,bitIndex1) ) )).

fof(addAssignment_8661,axiom,(
    ! [VarCurr] :
      ( v26921(VarCurr,bitIndex1)
    <=> v26922(VarCurr,bitIndex1) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_698,axiom,(
    ! [VarCurr] :
      ( ~ v26923(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26922(VarCurr,B)
          <=> v26925(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_642,axiom,(
    ! [VarCurr] :
      ( v26923(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26922(VarCurr,B)
          <=> v26924(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_74,axiom,(
    ! [VarCurr] :
      ( ( ~ v26926(VarCurr)
        & ~ v26928(VarCurr)
        & ~ v26932(VarCurr) )
     => ! [B] :
          ( range_6_0(B)
         => ( v26925(VarCurr,B)
          <=> v25829(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_295,axiom,(
    ! [VarCurr] :
      ( v26932(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26925(VarCurr,B)
          <=> v26934(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_701,axiom,(
    ! [VarCurr] :
      ( v26928(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26925(VarCurr,B)
          <=> v26930(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_693,axiom,(
    ! [VarCurr] :
      ( v26926(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26925(VarCurr,B)
          <=> v25829(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1879,axiom,(
    ! [VarCurr] :
      ( v26936(VarCurr)
    <=> ( ( v26937(VarCurr,bitIndex1)
        <=> $true )
        & ( v26937(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8660,axiom,(
    ! [VarCurr] :
      ( v26937(VarCurr,bitIndex0)
    <=> v25769(VarCurr) ) )).

fof(addAssignment_8659,axiom,(
    ! [VarCurr] :
      ( v26937(VarCurr,bitIndex1)
    <=> v25767(VarCurr) ) )).

fof(addAssignment_8658,axiom,(
    ! [VarCurr] :
      ( v26934(VarCurr,bitIndex0)
    <=> $false ) )).

fof(addAssignment_8657,axiom,(
    ! [VarCurr] :
      ( ( v26934(VarCurr,bitIndex6)
      <=> v25829(VarCurr,bitIndex5) )
      & ( v26934(VarCurr,bitIndex5)
      <=> v25829(VarCurr,bitIndex4) )
      & ( v26934(VarCurr,bitIndex4)
      <=> v25829(VarCurr,bitIndex3) )
      & ( v26934(VarCurr,bitIndex3)
      <=> v25829(VarCurr,bitIndex2) )
      & ( v26934(VarCurr,bitIndex2)
      <=> v25829(VarCurr,bitIndex1) )
      & ( v26934(VarCurr,bitIndex1)
      <=> v25829(VarCurr,bitIndex0) ) ) )).

fof(addBitVectorEqualityBitBlasted_1878,axiom,(
    ! [VarCurr] :
      ( v26932(VarCurr)
    <=> ( ( v26933(VarCurr,bitIndex1)
        <=> $true )
        & ( v26933(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8656,axiom,(
    ! [VarCurr] :
      ( v26933(VarCurr,bitIndex0)
    <=> v25769(VarCurr) ) )).

fof(addAssignment_8655,axiom,(
    ! [VarCurr] :
      ( v26933(VarCurr,bitIndex1)
    <=> v25767(VarCurr) ) )).

fof(addAssignment_8654,axiom,(
    ! [VarCurr] :
      ( ( v26930(VarCurr,bitIndex5)
      <=> v25829(VarCurr,bitIndex6) )
      & ( v26930(VarCurr,bitIndex4)
      <=> v25829(VarCurr,bitIndex5) )
      & ( v26930(VarCurr,bitIndex3)
      <=> v25829(VarCurr,bitIndex4) )
      & ( v26930(VarCurr,bitIndex2)
      <=> v25829(VarCurr,bitIndex3) )
      & ( v26930(VarCurr,bitIndex1)
      <=> v25829(VarCurr,bitIndex2) )
      & ( v26930(VarCurr,bitIndex0)
      <=> v25829(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_8653,axiom,(
    ! [VarCurr] :
      ( v26930(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_1877,axiom,(
    ! [VarCurr] :
      ( v26928(VarCurr)
    <=> ( ( v26929(VarCurr,bitIndex1)
        <=> $false )
        & ( v26929(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8652,axiom,(
    ! [VarCurr] :
      ( v26929(VarCurr,bitIndex0)
    <=> v25769(VarCurr) ) )).

fof(addAssignment_8651,axiom,(
    ! [VarCurr] :
      ( v26929(VarCurr,bitIndex1)
    <=> v25767(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1876,axiom,(
    ! [VarCurr] :
      ( v26926(VarCurr)
    <=> ( ( v26927(VarCurr,bitIndex1)
        <=> $false )
        & ( v26927(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8650,axiom,(
    ! [VarCurr] :
      ( v26927(VarCurr,bitIndex0)
    <=> v25769(VarCurr) ) )).

fof(addAssignment_8649,axiom,(
    ! [VarCurr] :
      ( v26927(VarCurr,bitIndex1)
    <=> v25767(VarCurr) ) )).

fof(addAssignment_8648,axiom,(
    ! [VarCurr] :
      ( v26924(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_8647,axiom,(
    ! [VarCurr,B] :
      ( range_6_1(B)
     => ( v26924(VarCurr,B)
      <=> v25827(VarCurr,B) ) ) )).

fof(writeUnaryOperator_2730,axiom,(
    ! [VarCurr] :
      ( ~ v26923(VarCurr)
    <=> v25765(VarCurr) ) )).

fof(addAssignment_8646,axiom,(
    ! [VarCurr] :
      ( v25827(VarCurr,bitIndex1)
    <=> v25828(VarCurr,bitIndex1) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_294,axiom,(
    ! [VarCurr] :
      ( ( ~ v26873(VarCurr)
        & ~ v26891(VarCurr) )
     => ( v26871(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_700,axiom,(
    ! [VarCurr] :
      ( v26891(VarCurr)
     => ( v26871(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_692,axiom,(
    ! [VarCurr] :
      ( v26873(VarCurr)
     => ( v26871(VarCurr)
      <=> v26874(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1875,axiom,(
    ! [VarCurr] :
      ( v26891(VarCurr)
    <=> ( ( v25387(VarCurr,bitIndex1)
        <=> $false )
        & ( v25387(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_699,axiom,(
    ! [VarCurr] :
      ( ~ v26875(VarCurr)
     => ( v26874(VarCurr)
      <=> v26877(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_691,axiom,(
    ! [VarCurr] :
      ( v26875(VarCurr)
     => ( v26874(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_698,axiom,(
    ! [VarCurr] :
      ( ~ v26878(VarCurr)
     => ( v26877(VarCurr)
      <=> v26882(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_690,axiom,(
    ! [VarCurr] :
      ( v26878(VarCurr)
     => ( v26877(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_293,axiom,(
    ! [VarCurr] :
      ( ( ~ v26883(VarCurr)
        & ~ v26888(VarCurr) )
     => ( v26882(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_697,axiom,(
    ! [VarCurr] :
      ( v26888(VarCurr)
     => ( v26882(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_689,axiom,(
    ! [VarCurr] :
      ( v26883(VarCurr)
     => ( v26882(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5933,axiom,(
    ! [VarCurr] :
      ( v26888(VarCurr)
    <=> ( v26889(VarCurr)
        | v26890(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1874,axiom,(
    ! [VarCurr] :
      ( v26890(VarCurr)
    <=> ( ( v26199(VarCurr,bitIndex2)
        <=> $false )
        & ( v26199(VarCurr,bitIndex1)
        <=> $true )
        & ( v26199(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1873,axiom,(
    ! [VarCurr] :
      ( v26889(VarCurr)
    <=> ( ( v26199(VarCurr,bitIndex2)
        <=> $false )
        & ( v26199(VarCurr,bitIndex1)
        <=> $false )
        & ( v26199(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5932,axiom,(
    ! [VarCurr] :
      ( v26883(VarCurr)
    <=> ( v26884(VarCurr)
        | v26887(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1872,axiom,(
    ! [VarCurr] :
      ( v26887(VarCurr)
    <=> ( ( v26199(VarCurr,bitIndex2)
        <=> $true )
        & ( v26199(VarCurr,bitIndex1)
        <=> $false )
        & ( v26199(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5931,axiom,(
    ! [VarCurr] :
      ( v26884(VarCurr)
    <=> ( v26885(VarCurr)
        | v26886(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1871,axiom,(
    ! [VarCurr] :
      ( v26886(VarCurr)
    <=> ( ( v26199(VarCurr,bitIndex2)
        <=> $false )
        & ( v26199(VarCurr,bitIndex1)
        <=> $true )
        & ( v26199(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1870,axiom,(
    ! [VarCurr] :
      ( v26885(VarCurr)
    <=> ( ( v26199(VarCurr,bitIndex2)
        <=> $true )
        & ( v26199(VarCurr,bitIndex1)
        <=> $false )
        & ( v26199(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1869,axiom,(
    ! [VarCurr] :
      ( v26880(VarCurr)
    <=> ( v26881(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5930,axiom,(
    ! [VarCurr] :
      ( v26881(VarCurr)
    <=> ( v26148(VarCurr)
        | v26152(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1868,axiom,(
    ! [VarCurr] :
      ( v26878(VarCurr)
    <=> ( v26879(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5929,axiom,(
    ! [VarCurr] :
      ( v26879(VarCurr)
    <=> ( v26148(VarCurr)
        | v26152(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1867,axiom,(
    ! [VarCurr] :
      ( v26876(VarCurr)
    <=> ( v25391(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1866,axiom,(
    ! [VarCurr] :
      ( v26875(VarCurr)
    <=> ( v25391(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1865,axiom,(
    ! [VarCurr] :
      ( v26873(VarCurr)
    <=> ( ( v25387(VarCurr,bitIndex1)
        <=> $false )
        & ( v25387(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignmentInitValueVector_56,axiom,(
    ! [B] :
      ( range_1_0(B)
     => ( v25387(constB0,B)
      <=> $false ) ) )).

fof(addCaseBooleanConditionEqualRanges1_321,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26843(VarNext)
       => ! [B] :
            ( range_2_0(B)
           => ( v26197(VarNext,B)
            <=> v26197(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_359,axiom,(
    ! [VarNext] :
      ( v26843(VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v26197(VarNext,B)
          <=> v26857(VarNext,B) ) ) ) )).

fof(addAssignment_8645,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v26857(VarNext,B)
          <=> v26855(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_697,axiom,(
    ! [VarCurr] :
      ( ~ v26854(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v26855(VarCurr,B)
          <=> v26199(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_641,axiom,(
    ! [VarCurr] :
      ( v26854(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v26855(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5928,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26843(VarNext)
      <=> ( v26844(VarNext)
          & v26853(VarNext) ) ) ) )).

fof(addAssignment_8644,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26853(VarNext)
      <=> v26851(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5927,axiom,(
    ! [VarCurr] :
      ( v26851(VarCurr)
    <=> ( v26150(VarCurr)
        | v26854(VarCurr) ) ) )).

fof(writeUnaryOperator_2729,axiom,(
    ! [VarCurr] :
      ( ~ v26854(VarCurr)
    <=> v62(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5926,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26844(VarNext)
      <=> ( v26845(VarNext)
          & v25419(VarNext) ) ) ) )).

fof(writeUnaryOperator_2728,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26845(VarNext)
      <=> v26847(VarNext) ) ) )).

fof(addAssignment_8643,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26847(VarNext)
      <=> v25419(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges4_17,axiom,(
    ! [VarCurr] :
      ( ( ~ v26815(VarCurr)
        & ~ v26834(VarCurr)
        & ~ v26835(VarCurr)
        & ~ v26840(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v26199(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_73,axiom,(
    ! [VarCurr] :
      ( v26840(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v26199(VarCurr,B)
          <=> b010(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_292,axiom,(
    ! [VarCurr] :
      ( v26835(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v26199(VarCurr,B)
          <=> v26838(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_696,axiom,(
    ! [VarCurr] :
      ( v26834(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v26199(VarCurr,B)
          <=> b100(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_688,axiom,(
    ! [VarCurr] :
      ( v26815(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v26199(VarCurr,B)
          <=> b011(B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1864,axiom,(
    ! [VarCurr] :
      ( v26840(VarCurr)
    <=> ( ( v26201(VarCurr,bitIndex6)
        <=> $true )
        & ( v26201(VarCurr,bitIndex5)
        <=> $false )
        & ( v26201(VarCurr,bitIndex4)
        <=> $false )
        & ( v26201(VarCurr,bitIndex3)
        <=> $true )
        & ( v26201(VarCurr,bitIndex2)
        <=> $false )
        & ( v26201(VarCurr,bitIndex1)
        <=> $true )
        & ( v26201(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_695,axiom,(
    ! [VarCurr] :
      ( ~ v26839(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v26838(VarCurr,B)
          <=> b001(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_687,axiom,(
    ! [VarCurr] :
      ( v26839(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v26838(VarCurr,B)
          <=> b101(B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1863,axiom,(
    ! [VarCurr] :
      ( v26839(VarCurr)
    <=> ( ( v26534(VarCurr,bitIndex2)
        <=> $false )
        & ( v26534(VarCurr,bitIndex1)
        <=> $false )
        & ( v26534(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5925,axiom,(
    ! [VarCurr] :
      ( v26835(VarCurr)
    <=> ( v26836(VarCurr)
        | v26837(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1862,axiom,(
    ! [VarCurr] :
      ( v26837(VarCurr)
    <=> ( ( v26201(VarCurr,bitIndex6)
        <=> $false )
        & ( v26201(VarCurr,bitIndex5)
        <=> $false )
        & ( v26201(VarCurr,bitIndex4)
        <=> $false )
        & ( v26201(VarCurr,bitIndex3)
        <=> $true )
        & ( v26201(VarCurr,bitIndex2)
        <=> $false )
        & ( v26201(VarCurr,bitIndex1)
        <=> $true )
        & ( v26201(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1861,axiom,(
    ! [VarCurr] :
      ( v26836(VarCurr)
    <=> ( ( v26201(VarCurr,bitIndex6)
        <=> $false )
        & ( v26201(VarCurr,bitIndex5)
        <=> $false )
        & ( v26201(VarCurr,bitIndex4)
        <=> $false )
        & ( v26201(VarCurr,bitIndex3)
        <=> $true )
        & ( v26201(VarCurr,bitIndex2)
        <=> $false )
        & ( v26201(VarCurr,bitIndex1)
        <=> $true )
        & ( v26201(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1860,axiom,(
    ! [VarCurr] :
      ( v26834(VarCurr)
    <=> ( ( v26201(VarCurr,bitIndex6)
        <=> $true )
        & ( v26201(VarCurr,bitIndex5)
        <=> $true )
        & ( v26201(VarCurr,bitIndex4)
        <=> $true )
        & ( v26201(VarCurr,bitIndex3)
        <=> $true )
        & ( v26201(VarCurr,bitIndex2)
        <=> $false )
        & ( v26201(VarCurr,bitIndex1)
        <=> $true )
        & ( v26201(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5924,axiom,(
    ! [VarCurr] :
      ( v26815(VarCurr)
    <=> ( v26816(VarCurr)
        | v26833(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1859,axiom,(
    ! [VarCurr] :
      ( v26833(VarCurr)
    <=> ( ( v26201(VarCurr,bitIndex6)
        <=> $true )
        & ( v26201(VarCurr,bitIndex5)
        <=> $false )
        & ( v26201(VarCurr,bitIndex4)
        <=> $false )
        & ( v26201(VarCurr,bitIndex3)
        <=> $false )
        & ( v26201(VarCurr,bitIndex2)
        <=> $true )
        & ( v26201(VarCurr,bitIndex1)
        <=> $false )
        & ( v26201(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5923,axiom,(
    ! [VarCurr] :
      ( v26816(VarCurr)
    <=> ( v26817(VarCurr)
        | v26832(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1858,axiom,(
    ! [VarCurr] :
      ( v26832(VarCurr)
    <=> ( ( v26201(VarCurr,bitIndex6)
        <=> $true )
        & ( v26201(VarCurr,bitIndex5)
        <=> $false )
        & ( v26201(VarCurr,bitIndex4)
        <=> $false )
        & ( v26201(VarCurr,bitIndex3)
        <=> $false )
        & ( v26201(VarCurr,bitIndex2)
        <=> $true )
        & ( v26201(VarCurr,bitIndex1)
        <=> $false )
        & ( v26201(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5922,axiom,(
    ! [VarCurr] :
      ( v26817(VarCurr)
    <=> ( v26818(VarCurr)
        | v26831(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1857,axiom,(
    ! [VarCurr] :
      ( v26831(VarCurr)
    <=> ( ( v26201(VarCurr,bitIndex6)
        <=> $true )
        & ( v26201(VarCurr,bitIndex5)
        <=> $false )
        & ( v26201(VarCurr,bitIndex4)
        <=> $false )
        & ( v26201(VarCurr,bitIndex3)
        <=> $false )
        & ( v26201(VarCurr,bitIndex2)
        <=> $false )
        & ( v26201(VarCurr,bitIndex1)
        <=> $true )
        & ( v26201(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5921,axiom,(
    ! [VarCurr] :
      ( v26818(VarCurr)
    <=> ( v26819(VarCurr)
        | v26830(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1856,axiom,(
    ! [VarCurr] :
      ( v26830(VarCurr)
    <=> ( ( v26201(VarCurr,bitIndex6)
        <=> $true )
        & ( v26201(VarCurr,bitIndex5)
        <=> $true )
        & ( v26201(VarCurr,bitIndex4)
        <=> $false )
        & ( v26201(VarCurr,bitIndex3)
        <=> $false )
        & ( v26201(VarCurr,bitIndex2)
        <=> $false )
        & ( v26201(VarCurr,bitIndex1)
        <=> $false )
        & ( v26201(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5920,axiom,(
    ! [VarCurr] :
      ( v26819(VarCurr)
    <=> ( v26820(VarCurr)
        | v26829(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1855,axiom,(
    ! [VarCurr] :
      ( v26829(VarCurr)
    <=> ( ( v26201(VarCurr,bitIndex6)
        <=> $true )
        & ( v26201(VarCurr,bitIndex5)
        <=> $false )
        & ( v26201(VarCurr,bitIndex4)
        <=> $false )
        & ( v26201(VarCurr,bitIndex3)
        <=> $false )
        & ( v26201(VarCurr,bitIndex2)
        <=> $false )
        & ( v26201(VarCurr,bitIndex1)
        <=> $false )
        & ( v26201(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5919,axiom,(
    ! [VarCurr] :
      ( v26820(VarCurr)
    <=> ( v26821(VarCurr)
        | v26828(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1854,axiom,(
    ! [VarCurr] :
      ( v26828(VarCurr)
    <=> ( ( v26201(VarCurr,bitIndex6)
        <=> $false )
        & ( v26201(VarCurr,bitIndex5)
        <=> $false )
        & ( v26201(VarCurr,bitIndex4)
        <=> $false )
        & ( v26201(VarCurr,bitIndex3)
        <=> $false )
        & ( v26201(VarCurr,bitIndex2)
        <=> $true )
        & ( v26201(VarCurr,bitIndex1)
        <=> $false )
        & ( v26201(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5918,axiom,(
    ! [VarCurr] :
      ( v26821(VarCurr)
    <=> ( v26822(VarCurr)
        | v26827(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1853,axiom,(
    ! [VarCurr] :
      ( v26827(VarCurr)
    <=> ( ( v26201(VarCurr,bitIndex6)
        <=> $false )
        & ( v26201(VarCurr,bitIndex5)
        <=> $false )
        & ( v26201(VarCurr,bitIndex4)
        <=> $false )
        & ( v26201(VarCurr,bitIndex3)
        <=> $false )
        & ( v26201(VarCurr,bitIndex2)
        <=> $true )
        & ( v26201(VarCurr,bitIndex1)
        <=> $false )
        & ( v26201(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5917,axiom,(
    ! [VarCurr] :
      ( v26822(VarCurr)
    <=> ( v26823(VarCurr)
        | v26826(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1852,axiom,(
    ! [VarCurr] :
      ( v26826(VarCurr)
    <=> ( ( v26201(VarCurr,bitIndex6)
        <=> $false )
        & ( v26201(VarCurr,bitIndex5)
        <=> $false )
        & ( v26201(VarCurr,bitIndex4)
        <=> $false )
        & ( v26201(VarCurr,bitIndex3)
        <=> $false )
        & ( v26201(VarCurr,bitIndex2)
        <=> $false )
        & ( v26201(VarCurr,bitIndex1)
        <=> $true )
        & ( v26201(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5916,axiom,(
    ! [VarCurr] :
      ( v26823(VarCurr)
    <=> ( v26824(VarCurr)
        | v26825(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1851,axiom,(
    ! [VarCurr] :
      ( v26825(VarCurr)
    <=> ( ( v26201(VarCurr,bitIndex6)
        <=> $false )
        & ( v26201(VarCurr,bitIndex5)
        <=> $true )
        & ( v26201(VarCurr,bitIndex4)
        <=> $false )
        & ( v26201(VarCurr,bitIndex3)
        <=> $false )
        & ( v26201(VarCurr,bitIndex2)
        <=> $false )
        & ( v26201(VarCurr,bitIndex1)
        <=> $false )
        & ( v26201(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1850,axiom,(
    ! [VarCurr] :
      ( v26824(VarCurr)
    <=> ( ( v26201(VarCurr,bitIndex6)
        <=> $false )
        & ( v26201(VarCurr,bitIndex5)
        <=> $false )
        & ( v26201(VarCurr,bitIndex4)
        <=> $false )
        & ( v26201(VarCurr,bitIndex3)
        <=> $false )
        & ( v26201(VarCurr,bitIndex2)
        <=> $false )
        & ( v26201(VarCurr,bitIndex1)
        <=> $false )
        & ( v26201(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8642,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v26534(VarCurr,B)
      <=> v26536(VarCurr,B) ) ) )).

fof(addAssignment_8641,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v26536(VarCurr,B)
      <=> v26538(VarCurr,B) ) ) )).

fof(addAssignment_8640,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v26538(VarCurr,B)
      <=> v26540(VarCurr,B) ) ) )).

fof(addAssignment_8639,axiom,(
    ! [VarCurr] :
      ( ( v26540(VarCurr,bitIndex2)
      <=> v26542(VarCurr,bitIndex26) )
      & ( v26540(VarCurr,bitIndex1)
      <=> v26542(VarCurr,bitIndex25) )
      & ( v26540(VarCurr,bitIndex0)
      <=> v26542(VarCurr,bitIndex24) ) ) )).

fof(addAssignment_8638,axiom,(
    ! [VarNext] :
      ( ( v26542(VarNext,bitIndex26)
      <=> v26783(VarNext,bitIndex2) )
      & ( v26542(VarNext,bitIndex25)
      <=> v26783(VarNext,bitIndex1) )
      & ( v26542(VarNext,bitIndex24)
      <=> v26783(VarNext,bitIndex0) ) ) )).

fof(addCaseBooleanConditionShiftedRanges1_46,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26784(VarNext)
       => ( ( v26783(VarNext,bitIndex7)
          <=> v26542(VarCurr,bitIndex31) )
          & ( v26783(VarNext,bitIndex6)
          <=> v26542(VarCurr,bitIndex30) )
          & ( v26783(VarNext,bitIndex5)
          <=> v26542(VarCurr,bitIndex29) )
          & ( v26783(VarNext,bitIndex4)
          <=> v26542(VarCurr,bitIndex28) )
          & ( v26783(VarNext,bitIndex3)
          <=> v26542(VarCurr,bitIndex27) )
          & ( v26783(VarNext,bitIndex2)
          <=> v26542(VarCurr,bitIndex26) )
          & ( v26783(VarNext,bitIndex1)
          <=> v26542(VarCurr,bitIndex25) )
          & ( v26783(VarNext,bitIndex0)
          <=> v26542(VarCurr,bitIndex24) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_358,axiom,(
    ! [VarNext] :
      ( v26784(VarNext)
     => ! [B] :
          ( range_7_0(B)
         => ( v26783(VarNext,B)
          <=> v26810(VarNext,B) ) ) ) )).

fof(addAssignment_8637,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_7_0(B)
         => ( v26810(VarNext,B)
          <=> v26808(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_694,axiom,(
    ! [VarCurr] :
      ( ~ v26747(VarCurr)
     => ! [B] :
          ( range_7_0(B)
         => ( v26808(VarCurr,B)
          <=> v26811(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_686,axiom,(
    ! [VarCurr] :
      ( v26747(VarCurr)
     => ! [B] :
          ( range_7_0(B)
         => ( v26808(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_291,axiom,(
    ! [VarCurr] :
      ( ( ~ v26797(VarCurr)
        & ~ v26799(VarCurr) )
     => ! [B] :
          ( range_7_0(B)
         => ( v26811(VarCurr,B)
          <=> v26776(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_693,axiom,(
    ! [VarCurr] :
      ( v26799(VarCurr)
     => ! [B] :
          ( range_7_0(B)
         => ( v26811(VarCurr,B)
          <=> v26769(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_15,axiom,(
    ! [VarCurr] :
      ( v26797(VarCurr)
     => ( ( v26811(VarCurr,bitIndex7)
        <=> v26542(VarCurr,bitIndex23) )
        & ( v26811(VarCurr,bitIndex6)
        <=> v26542(VarCurr,bitIndex22) )
        & ( v26811(VarCurr,bitIndex5)
        <=> v26542(VarCurr,bitIndex21) )
        & ( v26811(VarCurr,bitIndex4)
        <=> v26542(VarCurr,bitIndex20) )
        & ( v26811(VarCurr,bitIndex3)
        <=> v26542(VarCurr,bitIndex19) )
        & ( v26811(VarCurr,bitIndex2)
        <=> v26542(VarCurr,bitIndex18) )
        & ( v26811(VarCurr,bitIndex1)
        <=> v26542(VarCurr,bitIndex17) )
        & ( v26811(VarCurr,bitIndex0)
        <=> v26542(VarCurr,bitIndex16) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5915,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26784(VarNext)
      <=> ( v26785(VarNext)
          & v26792(VarNext) ) ) ) )).

fof(addAssignment_8636,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26792(VarNext)
      <=> v26790(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5914,axiom,(
    ! [VarCurr] :
      ( v26790(VarCurr)
    <=> ( v26793(VarCurr)
        & v26804(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5913,axiom,(
    ! [VarCurr] :
      ( v26804(VarCurr)
    <=> ( v26805(VarCurr)
        | v26747(VarCurr) ) ) )).

fof(writeUnaryOperator_2727,axiom,(
    ! [VarCurr] :
      ( ~ v26805(VarCurr)
    <=> v26806(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1849,axiom,(
    ! [VarCurr] :
      ( v26806(VarCurr)
    <=> ( ( v26807(VarCurr,bitIndex1)
        <=> $false )
        & ( v26807(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8635,axiom,(
    ! [VarCurr] :
      ( v26807(VarCurr,bitIndex0)
    <=> v25579(VarCurr) ) )).

fof(addAssignment_8634,axiom,(
    ! [VarCurr] :
      ( v26807(VarCurr,bitIndex1)
    <=> v25577(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5912,axiom,(
    ! [VarCurr] :
      ( v26793(VarCurr)
    <=> ( v26747(VarCurr)
        | v26794(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5911,axiom,(
    ! [VarCurr] :
      ( v26794(VarCurr)
    <=> ( v26795(VarCurr)
        & v26803(VarCurr) ) ) )).

fof(writeUnaryOperator_2726,axiom,(
    ! [VarCurr] :
      ( ~ v26803(VarCurr)
    <=> v26747(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5910,axiom,(
    ! [VarCurr] :
      ( v26795(VarCurr)
    <=> ( v26796(VarCurr)
        | v26801(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1848,axiom,(
    ! [VarCurr] :
      ( v26801(VarCurr)
    <=> ( ( v26802(VarCurr,bitIndex1)
        <=> $true )
        & ( v26802(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8633,axiom,(
    ! [VarCurr] :
      ( v26802(VarCurr,bitIndex0)
    <=> v25579(VarCurr) ) )).

fof(addAssignment_8632,axiom,(
    ! [VarCurr] :
      ( v26802(VarCurr,bitIndex1)
    <=> v25577(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5909,axiom,(
    ! [VarCurr] :
      ( v26796(VarCurr)
    <=> ( v26797(VarCurr)
        | v26799(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1847,axiom,(
    ! [VarCurr] :
      ( v26799(VarCurr)
    <=> ( ( v26800(VarCurr,bitIndex1)
        <=> $true )
        & ( v26800(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8631,axiom,(
    ! [VarCurr] :
      ( v26800(VarCurr,bitIndex0)
    <=> v25579(VarCurr) ) )).

fof(addAssignment_8630,axiom,(
    ! [VarCurr] :
      ( v26800(VarCurr,bitIndex1)
    <=> v25577(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1846,axiom,(
    ! [VarCurr] :
      ( v26797(VarCurr)
    <=> ( ( v26798(VarCurr,bitIndex1)
        <=> $false )
        & ( v26798(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8629,axiom,(
    ! [VarCurr] :
      ( v26798(VarCurr,bitIndex0)
    <=> v25579(VarCurr) ) )).

fof(addAssignment_8628,axiom,(
    ! [VarCurr] :
      ( v26798(VarCurr,bitIndex1)
    <=> v25577(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5908,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26785(VarNext)
      <=> ( v26787(VarNext)
          & v25603(VarNext) ) ) ) )).

fof(writeUnaryOperator_2725,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26787(VarNext)
      <=> v25610(VarNext) ) ) )).

fof(addAssignment_8627,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v26776(VarCurr,B)
      <=> v26781(VarCurr,B) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_696,axiom,(
    ! [VarCurr] :
      ( ~ v26778(VarCurr)
     => ! [B] :
          ( range_7_0(B)
         => ( v26781(VarCurr,B)
          <=> v26780(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_640,axiom,(
    ! [VarCurr] :
      ( v26778(VarCurr)
     => ! [B] :
          ( range_7_0(B)
         => ( v26781(VarCurr,B)
          <=> v26595(VarCurr,B) ) ) ) )).

fof(addAssignment_8626,axiom,(
    ! [VarCurr] :
      ( ( v26780(VarCurr,bitIndex2)
      <=> v26542(VarCurr,bitIndex18) )
      & ( v26780(VarCurr,bitIndex1)
      <=> v26542(VarCurr,bitIndex17) )
      & ( v26780(VarCurr,bitIndex0)
      <=> v26542(VarCurr,bitIndex16) ) ) )).

fof(addAssignment_8625,axiom,(
    ! [VarCurr] :
      ( v26778(VarCurr)
    <=> v26548(VarCurr,bitIndex1) ) )).

fof(addAssignment_8624,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v26769(VarCurr,B)
      <=> v26774(VarCurr,B) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_695,axiom,(
    ! [VarCurr] :
      ( ~ v26771(VarCurr)
     => ! [B] :
          ( range_7_0(B)
         => ( v26774(VarCurr,B)
          <=> v26773(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_639,axiom,(
    ! [VarCurr] :
      ( v26771(VarCurr)
     => ! [B] :
          ( range_7_0(B)
         => ( v26774(VarCurr,B)
          <=> v26595(VarCurr,B) ) ) ) )).

fof(addAssignment_8623,axiom,(
    ! [VarCurr] :
      ( ( v26773(VarCurr,bitIndex2)
      <=> v26542(VarCurr,bitIndex26) )
      & ( v26773(VarCurr,bitIndex1)
      <=> v26542(VarCurr,bitIndex25) )
      & ( v26773(VarCurr,bitIndex0)
      <=> v26542(VarCurr,bitIndex24) ) ) )).

fof(addAssignment_8622,axiom,(
    ! [VarCurr] :
      ( v26771(VarCurr)
    <=> v26548(VarCurr,bitIndex1) ) )).

fof(addAssignment_8621,axiom,(
    ! [VarNext] :
      ( ( v26542(VarNext,bitIndex18)
      <=> v26736(VarNext,bitIndex2) )
      & ( v26542(VarNext,bitIndex17)
      <=> v26736(VarNext,bitIndex1) )
      & ( v26542(VarNext,bitIndex16)
      <=> v26736(VarNext,bitIndex0) ) ) )).

fof(addCaseBooleanConditionShiftedRanges1_45,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26737(VarNext)
       => ( ( v26736(VarNext,bitIndex7)
          <=> v26542(VarCurr,bitIndex23) )
          & ( v26736(VarNext,bitIndex6)
          <=> v26542(VarCurr,bitIndex22) )
          & ( v26736(VarNext,bitIndex5)
          <=> v26542(VarCurr,bitIndex21) )
          & ( v26736(VarNext,bitIndex4)
          <=> v26542(VarCurr,bitIndex20) )
          & ( v26736(VarNext,bitIndex3)
          <=> v26542(VarCurr,bitIndex19) )
          & ( v26736(VarNext,bitIndex2)
          <=> v26542(VarCurr,bitIndex18) )
          & ( v26736(VarNext,bitIndex1)
          <=> v26542(VarCurr,bitIndex17) )
          & ( v26736(VarNext,bitIndex0)
          <=> v26542(VarCurr,bitIndex16) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_357,axiom,(
    ! [VarNext] :
      ( v26737(VarNext)
     => ! [B] :
          ( range_7_0(B)
         => ( v26736(VarNext,B)
          <=> v26764(VarNext,B) ) ) ) )).

fof(addAssignment_8620,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_7_0(B)
         => ( v26764(VarNext,B)
          <=> v26762(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_692,axiom,(
    ! [VarCurr] :
      ( ~ v26747(VarCurr)
     => ! [B] :
          ( range_7_0(B)
         => ( v26762(VarCurr,B)
          <=> v26765(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_685,axiom,(
    ! [VarCurr] :
      ( v26747(VarCurr)
     => ! [B] :
          ( range_7_0(B)
         => ( v26762(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_290,axiom,(
    ! [VarCurr] :
      ( ( ~ v26751(VarCurr)
        & ~ v26753(VarCurr) )
     => ! [B] :
          ( range_7_0(B)
         => ( v26765(VarCurr,B)
          <=> v26729(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_691,axiom,(
    ! [VarCurr] :
      ( v26753(VarCurr)
     => ! [B] :
          ( range_7_0(B)
         => ( v26765(VarCurr,B)
          <=> v26544(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_14,axiom,(
    ! [VarCurr] :
      ( v26751(VarCurr)
     => ( ( v26765(VarCurr,bitIndex7)
        <=> v26542(VarCurr,bitIndex15) )
        & ( v26765(VarCurr,bitIndex6)
        <=> v26542(VarCurr,bitIndex14) )
        & ( v26765(VarCurr,bitIndex5)
        <=> v26542(VarCurr,bitIndex13) )
        & ( v26765(VarCurr,bitIndex4)
        <=> v26542(VarCurr,bitIndex12) )
        & ( v26765(VarCurr,bitIndex3)
        <=> v26542(VarCurr,bitIndex11) )
        & ( v26765(VarCurr,bitIndex2)
        <=> v26542(VarCurr,bitIndex10) )
        & ( v26765(VarCurr,bitIndex1)
        <=> v26542(VarCurr,bitIndex9) )
        & ( v26765(VarCurr,bitIndex0)
        <=> v26542(VarCurr,bitIndex8) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5907,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26737(VarNext)
      <=> ( v26738(VarNext)
          & v26745(VarNext) ) ) ) )).

fof(addAssignment_8619,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26745(VarNext)
      <=> v26743(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5906,axiom,(
    ! [VarCurr] :
      ( v26743(VarCurr)
    <=> ( v26746(VarCurr)
        & v26758(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5905,axiom,(
    ! [VarCurr] :
      ( v26758(VarCurr)
    <=> ( v26759(VarCurr)
        | v26747(VarCurr) ) ) )).

fof(writeUnaryOperator_2724,axiom,(
    ! [VarCurr] :
      ( ~ v26759(VarCurr)
    <=> v26760(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1845,axiom,(
    ! [VarCurr] :
      ( v26760(VarCurr)
    <=> ( ( v26761(VarCurr,bitIndex1)
        <=> $false )
        & ( v26761(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8618,axiom,(
    ! [VarCurr] :
      ( v26761(VarCurr,bitIndex0)
    <=> v25579(VarCurr) ) )).

fof(addAssignment_8617,axiom,(
    ! [VarCurr] :
      ( v26761(VarCurr,bitIndex1)
    <=> v25577(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5904,axiom,(
    ! [VarCurr] :
      ( v26746(VarCurr)
    <=> ( v26747(VarCurr)
        | v26748(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5903,axiom,(
    ! [VarCurr] :
      ( v26748(VarCurr)
    <=> ( v26749(VarCurr)
        & v26757(VarCurr) ) ) )).

fof(writeUnaryOperator_2723,axiom,(
    ! [VarCurr] :
      ( ~ v26757(VarCurr)
    <=> v26747(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5902,axiom,(
    ! [VarCurr] :
      ( v26749(VarCurr)
    <=> ( v26750(VarCurr)
        | v26755(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1844,axiom,(
    ! [VarCurr] :
      ( v26755(VarCurr)
    <=> ( ( v26756(VarCurr,bitIndex1)
        <=> $true )
        & ( v26756(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8616,axiom,(
    ! [VarCurr] :
      ( v26756(VarCurr,bitIndex0)
    <=> v25579(VarCurr) ) )).

fof(addAssignment_8615,axiom,(
    ! [VarCurr] :
      ( v26756(VarCurr,bitIndex1)
    <=> v25577(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5901,axiom,(
    ! [VarCurr] :
      ( v26750(VarCurr)
    <=> ( v26751(VarCurr)
        | v26753(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1843,axiom,(
    ! [VarCurr] :
      ( v26753(VarCurr)
    <=> ( ( v26754(VarCurr,bitIndex1)
        <=> $true )
        & ( v26754(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8614,axiom,(
    ! [VarCurr] :
      ( v26754(VarCurr,bitIndex0)
    <=> v25579(VarCurr) ) )).

fof(addAssignment_8613,axiom,(
    ! [VarCurr] :
      ( v26754(VarCurr,bitIndex1)
    <=> v25577(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1842,axiom,(
    ! [VarCurr] :
      ( v26751(VarCurr)
    <=> ( ( v26752(VarCurr,bitIndex1)
        <=> $false )
        & ( v26752(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8612,axiom,(
    ! [VarCurr] :
      ( v26752(VarCurr,bitIndex0)
    <=> v25579(VarCurr) ) )).

fof(addAssignment_8611,axiom,(
    ! [VarCurr] :
      ( v26752(VarCurr,bitIndex1)
    <=> v25577(VarCurr) ) )).

fof(writeUnaryOperator_2722,axiom,(
    ! [VarCurr] :
      ( ~ v26747(VarCurr)
    <=> v25575(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5900,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26738(VarNext)
      <=> ( v26739(VarNext)
          & v25603(VarNext) ) ) ) )).

fof(writeUnaryOperator_2721,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26739(VarNext)
      <=> v25610(VarNext) ) ) )).

fof(addAssignment_8610,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v26729(VarCurr,B)
      <=> v26734(VarCurr,B) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_694,axiom,(
    ! [VarCurr] :
      ( ~ v26731(VarCurr)
     => ! [B] :
          ( range_7_0(B)
         => ( v26734(VarCurr,B)
          <=> v26733(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_638,axiom,(
    ! [VarCurr] :
      ( v26731(VarCurr)
     => ! [B] :
          ( range_7_0(B)
         => ( v26734(VarCurr,B)
          <=> v26595(VarCurr,B) ) ) ) )).

fof(addAssignment_8609,axiom,(
    ! [VarCurr] :
      ( ( v26733(VarCurr,bitIndex2)
      <=> v26542(VarCurr,bitIndex10) )
      & ( v26733(VarCurr,bitIndex1)
      <=> v26542(VarCurr,bitIndex9) )
      & ( v26733(VarCurr,bitIndex0)
      <=> v26542(VarCurr,bitIndex8) ) ) )).

fof(addAssignment_8608,axiom,(
    ! [VarCurr] :
      ( v26731(VarCurr)
    <=> v26548(VarCurr,bitIndex2) ) )).

fof(addAssignment_8607,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v26544(VarCurr,B)
      <=> v26727(VarCurr,B) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_693,axiom,(
    ! [VarCurr] :
      ( ~ v26546(VarCurr)
     => ! [B] :
          ( range_7_0(B)
         => ( v26727(VarCurr,B)
          <=> v26726(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_637,axiom,(
    ! [VarCurr] :
      ( v26546(VarCurr)
     => ! [B] :
          ( range_7_0(B)
         => ( v26727(VarCurr,B)
          <=> v26595(VarCurr,B) ) ) ) )).

fof(addAssignment_8606,axiom,(
    ! [VarCurr] :
      ( ( v26726(VarCurr,bitIndex2)
      <=> v26542(VarCurr,bitIndex18) )
      & ( v26726(VarCurr,bitIndex1)
      <=> v26542(VarCurr,bitIndex17) )
      & ( v26726(VarCurr,bitIndex0)
      <=> v26542(VarCurr,bitIndex16) ) ) )).

fof(addAssignment_8605,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v26595(VarCurr,B)
      <=> v26597(VarCurr,B) ) ) )).

fof(addAssignment_8604,axiom,(
    ! [VarCurr] :
      ( ( v26597(VarCurr,bitIndex2)
      <=> v26264(VarCurr,bitIndex57) )
      & ( v26597(VarCurr,bitIndex1)
      <=> v26264(VarCurr,bitIndex56) )
      & ( v26597(VarCurr,bitIndex0)
      <=> v26264(VarCurr,bitIndex55) ) ) )).

fof(addAssignment_8603,axiom,(
    ! [VarCurr,B] :
      ( range_57_55(B)
     => ( v26264(VarCurr,B)
      <=> v26266(VarCurr,B) ) ) )).

fof(addAssignment_8602,axiom,(
    ! [VarCurr,B] :
      ( range_57_55(B)
     => ( v26266(VarCurr,B)
      <=> v26268(VarCurr,B) ) ) )).

fof(addAssignment_8601,axiom,(
    ! [VarCurr,B] :
      ( range_57_55(B)
     => ( v26268(VarCurr,B)
      <=> v26270(VarCurr,B) ) ) )).

fof(addAssignment_8600,axiom,(
    ! [VarCurr,B] :
      ( range_57_55(B)
     => ( v26270(VarCurr,B)
      <=> v26272(VarCurr,B) ) ) )).

fof(addAssignment_8599,axiom,(
    ! [VarCurr,B] :
      ( range_57_55(B)
     => ( v26272(VarCurr,B)
      <=> v26274(VarCurr,B) ) ) )).

fof(addAssignment_8598,axiom,(
    ! [VarCurr,B] :
      ( range_57_55(B)
     => ( v26274(VarCurr,B)
      <=> v26276(VarCurr,B) ) ) )).

fof(addAssignment_8597,axiom,(
    ! [VarCurr,B] :
      ( range_57_55(B)
     => ( v26276(VarCurr,B)
      <=> v26427(VarCurr,B) ) ) )).

fof(range_axiom_103,axiom,(
    ! [B] :
      ( range_57_55(B)
    <=> ( $false
        | bitIndex55 = B
        | bitIndex56 = B
        | bitIndex57 = B ) ) )).

fof(addAssignment_8596,axiom,(
    ! [VarNext,B] :
      ( range_2_0(B)
     => ( v26432(VarNext,B)
      <=> v26708(VarNext,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_320,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26709(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v26708(VarNext,B)
            <=> v26432(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_356,axiom,(
    ! [VarNext] :
      ( v26709(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v26708(VarNext,B)
          <=> v26722(VarNext,B) ) ) ) )).

fof(addAssignment_8595,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v26722(VarNext,B)
          <=> v26720(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_690,axiom,(
    ! [VarCurr] :
      ( ~ v26419(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v26720(VarCurr,B)
          <=> v26599(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_684,axiom,(
    ! [VarCurr] :
      ( v26419(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v26720(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5899,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26709(VarNext)
      <=> ( v26710(VarNext)
          & v26717(VarNext) ) ) ) )).

fof(addAssignment_8594,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26717(VarNext)
      <=> v26715(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5898,axiom,(
    ! [VarCurr] :
      ( v26715(VarCurr)
    <=> ( v26419(VarCurr)
        | v26718(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5897,axiom,(
    ! [VarCurr] :
      ( v26718(VarCurr)
    <=> ( v26280(VarCurr)
        & v26719(VarCurr) ) ) )).

fof(writeUnaryOperator_2720,axiom,(
    ! [VarCurr] :
      ( ~ v26719(VarCurr)
    <=> v26419(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5896,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26710(VarNext)
      <=> ( v26712(VarNext)
          & v12852(VarNext) ) ) ) )).

fof(writeUnaryOperator_2719,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26712(VarNext)
      <=> v12859(VarNext) ) ) )).

fof(addAssignment_8593,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v26599(VarCurr,B)
      <=> v26706(VarCurr,B) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_289,axiom,(
    ! [VarCurr] :
      ( ( ~ v26403(VarCurr)
        & ~ v26404(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v26706(VarCurr,B)
          <=> v26703(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_689,axiom,(
    ! [VarCurr] :
      ( v26404(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v26706(VarCurr,B)
          <=> v26616(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_683,axiom,(
    ! [VarCurr] :
      ( v26403(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v26706(VarCurr,B)
          <=> v26601(VarCurr,B) ) ) ) )).

fof(addAssignment_8592,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v26703(VarCurr,B)
      <=> v26704(VarCurr,B) ) ) )).

fof(addAssignment_8591,axiom,(
    ! [VarCurr] :
      ( v26704(VarCurr,bitIndex0)
    <=> v26705(VarCurr) ) )).

fof(addAssignment_8590,axiom,(
    ! [VarCurr] :
      ( v26704(VarCurr,bitIndex1)
    <=> $false ) )).

fof(addAssignment_8589,axiom,(
    ! [VarCurr] :
      ( v26704(VarCurr,bitIndex2)
    <=> v26384(VarCurr,bitIndex0) ) )).

fof(addAssignment_8588,axiom,(
    ! [VarCurr] :
      ( v26704(VarCurr,bitIndex3)
    <=> $false ) )).

fof(writeBinaryOperatorShiftedRanges_1482,axiom,(
    ! [VarCurr] :
      ( v26705(VarCurr)
    <=> ( v26384(VarCurr,bitIndex2)
        | v26384(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_8587,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v26616(VarCurr,B)
      <=> v26646(VarCurr,B) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_692,axiom,(
    ! [VarCurr] :
      ( ~ v26647(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v26646(VarCurr,B)
          <=> $false ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_636,axiom,(
    ! [VarCurr] :
      ( v26647(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v26646(VarCurr,B)
          <=> v26695(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges8_4,axiom,(
    ! [VarCurr] :
      ( ( ~ v26655(VarCurr)
        & ~ v26657(VarCurr)
        & ~ v26666(VarCurr)
        & ~ v26669(VarCurr)
        & ~ v26673(VarCurr)
        & ~ v26678(VarCurr)
        & ~ v26683(VarCurr)
        & ~ v26686(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v26695(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges7_8,axiom,(
    ! [VarCurr] :
      ( v26686(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v26695(VarCurr,B)
          <=> v26701(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges6_9,axiom,(
    ! [VarCurr] :
      ( v26683(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v26695(VarCurr,B)
          <=> v26700(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges5_15,axiom,(
    ! [VarCurr] :
      ( v26678(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v26695(VarCurr,B)
          <=> v26699(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges4_16,axiom,(
    ! [VarCurr] :
      ( v26673(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v26695(VarCurr,B)
          <=> v26698(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_72,axiom,(
    ! [VarCurr] :
      ( v26669(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v26695(VarCurr,B)
          <=> v26697(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_288,axiom,(
    ! [VarCurr] :
      ( v26666(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v26695(VarCurr,B)
          <=> v26696(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_688,axiom,(
    ! [VarCurr] :
      ( v26657(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v26695(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_682,axiom,(
    ! [VarCurr] :
      ( v26655(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v26695(VarCurr,B)
          <=> $true ) ) ) )).

fof(addAssignment_8586,axiom,(
    ! [VarCurr] :
      ( v26701(VarCurr,bitIndex0)
    <=> v26620(VarCurr,bitIndex15) ) )).

fof(addAssignment_8585,axiom,(
    ! [VarCurr] :
      ( v26701(VarCurr,bitIndex1)
    <=> v26620(VarCurr,bitIndex14) ) )).

fof(addAssignment_8584,axiom,(
    ! [VarCurr] :
      ( v26701(VarCurr,bitIndex2)
    <=> v26620(VarCurr,bitIndex13) ) )).

fof(addAssignment_8583,axiom,(
    ! [VarCurr] :
      ( v26701(VarCurr,bitIndex3)
    <=> v26620(VarCurr,bitIndex12) ) )).

fof(addAssignment_8582,axiom,(
    ! [VarCurr] :
      ( v26700(VarCurr,bitIndex0)
    <=> v26620(VarCurr,bitIndex7) ) )).

fof(addAssignment_8581,axiom,(
    ! [VarCurr] :
      ( v26700(VarCurr,bitIndex1)
    <=> v26620(VarCurr,bitIndex6) ) )).

fof(addAssignment_8580,axiom,(
    ! [VarCurr] :
      ( v26700(VarCurr,bitIndex2)
    <=> v26620(VarCurr,bitIndex5) ) )).

fof(addAssignment_8579,axiom,(
    ! [VarCurr] :
      ( v26700(VarCurr,bitIndex3)
    <=> v26620(VarCurr,bitIndex4) ) )).

fof(addAssignment_8578,axiom,(
    ! [VarCurr] :
      ( v26699(VarCurr,bitIndex0)
    <=> v26620(VarCurr,bitIndex15) ) )).

fof(addAssignment_8577,axiom,(
    ! [VarCurr] :
      ( v26699(VarCurr,bitIndex1)
    <=> v26620(VarCurr,bitIndex14) ) )).

fof(addAssignment_8576,axiom,(
    ! [VarCurr] :
      ( v26699(VarCurr,bitIndex2)
    <=> v26620(VarCurr,bitIndex13) ) )).

fof(addAssignment_8575,axiom,(
    ! [VarCurr] :
      ( v26699(VarCurr,bitIndex3)
    <=> v26620(VarCurr,bitIndex12) ) )).

fof(addAssignment_8574,axiom,(
    ! [VarCurr] :
      ( v26698(VarCurr,bitIndex0)
    <=> v26620(VarCurr,bitIndex11) ) )).

fof(addAssignment_8573,axiom,(
    ! [VarCurr] :
      ( v26698(VarCurr,bitIndex1)
    <=> v26620(VarCurr,bitIndex10) ) )).

fof(addAssignment_8572,axiom,(
    ! [VarCurr] :
      ( v26698(VarCurr,bitIndex2)
    <=> v26620(VarCurr,bitIndex9) ) )).

fof(addAssignment_8571,axiom,(
    ! [VarCurr] :
      ( v26698(VarCurr,bitIndex3)
    <=> v26620(VarCurr,bitIndex8) ) )).

fof(addAssignment_8570,axiom,(
    ! [VarCurr] :
      ( v26697(VarCurr,bitIndex0)
    <=> v26620(VarCurr,bitIndex7) ) )).

fof(addAssignment_8569,axiom,(
    ! [VarCurr] :
      ( v26697(VarCurr,bitIndex1)
    <=> v26620(VarCurr,bitIndex6) ) )).

fof(addAssignment_8568,axiom,(
    ! [VarCurr] :
      ( v26697(VarCurr,bitIndex2)
    <=> v26620(VarCurr,bitIndex5) ) )).

fof(addAssignment_8567,axiom,(
    ! [VarCurr] :
      ( v26697(VarCurr,bitIndex3)
    <=> v26620(VarCurr,bitIndex4) ) )).

fof(addAssignment_8566,axiom,(
    ! [VarCurr] :
      ( v26696(VarCurr,bitIndex0)
    <=> v26620(VarCurr,bitIndex3) ) )).

fof(addAssignment_8565,axiom,(
    ! [VarCurr] :
      ( v26696(VarCurr,bitIndex1)
    <=> v26620(VarCurr,bitIndex2) ) )).

fof(addAssignment_8564,axiom,(
    ! [VarCurr] :
      ( v26696(VarCurr,bitIndex2)
    <=> v26620(VarCurr,bitIndex1) ) )).

fof(addAssignment_8563,axiom,(
    ! [VarCurr] :
      ( v26696(VarCurr,bitIndex3)
    <=> v26620(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5895,axiom,(
    ! [VarCurr] :
      ( v26647(VarCurr)
    <=> ( v26648(VarCurr)
        | v26691(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1481,axiom,(
    ! [VarCurr] :
      ( v26691(VarCurr)
    <=> ( v26693(VarCurr)
        & v12021(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5894,axiom,(
    ! [VarCurr] :
      ( v26693(VarCurr)
    <=> ( v26694(VarCurr)
        & v26640(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5893,axiom,(
    ! [VarCurr] :
      ( v26694(VarCurr)
    <=> ( v26690(VarCurr)
        & v26634(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5892,axiom,(
    ! [VarCurr] :
      ( v26648(VarCurr)
    <=> ( v26649(VarCurr)
        | v26686(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1480,axiom,(
    ! [VarCurr] :
      ( v26686(VarCurr)
    <=> ( v26688(VarCurr)
        & v12021(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5891,axiom,(
    ! [VarCurr] :
      ( v26688(VarCurr)
    <=> ( v26689(VarCurr)
        & v26665(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5890,axiom,(
    ! [VarCurr] :
      ( v26689(VarCurr)
    <=> ( v26690(VarCurr)
        & v26664(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5889,axiom,(
    ! [VarCurr] :
      ( v26690(VarCurr)
    <=> ( v26618(VarCurr)
        & v26628(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5888,axiom,(
    ! [VarCurr] :
      ( v26649(VarCurr)
    <=> ( v26650(VarCurr)
        | v26683(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1479,axiom,(
    ! [VarCurr] :
      ( v26683(VarCurr)
    <=> ( v26685(VarCurr)
        & v12021(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5887,axiom,(
    ! [VarCurr] :
      ( v26685(VarCurr)
    <=> ( v26672(VarCurr)
        & v26640(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5886,axiom,(
    ! [VarCurr] :
      ( v26650(VarCurr)
    <=> ( v26651(VarCurr)
        | v26678(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1478,axiom,(
    ! [VarCurr] :
      ( v26678(VarCurr)
    <=> ( v26680(VarCurr)
        & v12021(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5885,axiom,(
    ! [VarCurr] :
      ( v26680(VarCurr)
    <=> ( v26681(VarCurr)
        & v26665(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5884,axiom,(
    ! [VarCurr] :
      ( v26681(VarCurr)
    <=> ( v26682(VarCurr)
        & v26664(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5883,axiom,(
    ! [VarCurr] :
      ( v26682(VarCurr)
    <=> ( v26618(VarCurr)
        & v26663(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5882,axiom,(
    ! [VarCurr] :
      ( v26651(VarCurr)
    <=> ( v26652(VarCurr)
        | v26673(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1477,axiom,(
    ! [VarCurr] :
      ( v26673(VarCurr)
    <=> ( v26675(VarCurr)
        & v12021(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5881,axiom,(
    ! [VarCurr] :
      ( v26675(VarCurr)
    <=> ( v26676(VarCurr)
        & v26665(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5880,axiom,(
    ! [VarCurr] :
      ( v26676(VarCurr)
    <=> ( v26677(VarCurr)
        & v26664(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5879,axiom,(
    ! [VarCurr] :
      ( v26677(VarCurr)
    <=> ( v26662(VarCurr)
        & v26628(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5878,axiom,(
    ! [VarCurr] :
      ( v26652(VarCurr)
    <=> ( v26653(VarCurr)
        | v26669(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1476,axiom,(
    ! [VarCurr] :
      ( v26669(VarCurr)
    <=> ( v26671(VarCurr)
        & v12021(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5877,axiom,(
    ! [VarCurr] :
      ( v26671(VarCurr)
    <=> ( v26672(VarCurr)
        & v26665(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5876,axiom,(
    ! [VarCurr] :
      ( v26672(VarCurr)
    <=> ( v26661(VarCurr)
        & v26634(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5875,axiom,(
    ! [VarCurr] :
      ( v26653(VarCurr)
    <=> ( v26654(VarCurr)
        | v26666(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1475,axiom,(
    ! [VarCurr] :
      ( v26666(VarCurr)
    <=> ( v26668(VarCurr)
        & v12021(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5874,axiom,(
    ! [VarCurr] :
      ( v26668(VarCurr)
    <=> ( v26660(VarCurr)
        & v26640(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5873,axiom,(
    ! [VarCurr] :
      ( v26654(VarCurr)
    <=> ( v26655(VarCurr)
        | v26657(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1474,axiom,(
    ! [VarCurr] :
      ( v26657(VarCurr)
    <=> ( v26659(VarCurr)
        & v12021(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5872,axiom,(
    ! [VarCurr] :
      ( v26659(VarCurr)
    <=> ( v26660(VarCurr)
        & v26665(VarCurr) ) ) )).

fof(writeUnaryOperator_2718,axiom,(
    ! [VarCurr] :
      ( ~ v26665(VarCurr)
    <=> v26640(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5871,axiom,(
    ! [VarCurr] :
      ( v26660(VarCurr)
    <=> ( v26661(VarCurr)
        & v26664(VarCurr) ) ) )).

fof(writeUnaryOperator_2717,axiom,(
    ! [VarCurr] :
      ( ~ v26664(VarCurr)
    <=> v26634(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5870,axiom,(
    ! [VarCurr] :
      ( v26661(VarCurr)
    <=> ( v26662(VarCurr)
        & v26663(VarCurr) ) ) )).

fof(writeUnaryOperator_2716,axiom,(
    ! [VarCurr] :
      ( ~ v26663(VarCurr)
    <=> v26628(VarCurr) ) )).

fof(writeUnaryOperator_2715,axiom,(
    ! [VarCurr] :
      ( ~ v26662(VarCurr)
    <=> v26618(VarCurr) ) )).

fof(writeUnaryOperator_2714,axiom,(
    ! [VarCurr] :
      ( ~ v26655(VarCurr)
    <=> v12021(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_1473,axiom,(
    ! [VarCurr] :
      ( v26640(VarCurr)
    <=> ( v26643(VarCurr)
        | v26620(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1472,axiom,(
    ! [VarCurr] :
      ( v26643(VarCurr)
    <=> ( v26644(VarCurr)
        | v26620(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1471,axiom,(
    ! [VarCurr] :
      ( v26644(VarCurr)
    <=> ( v26620(VarCurr,bitIndex0)
        | v26620(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_8562,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v26620(VarCurr,B)
      <=> v26622(VarCurr,B) ) ) )).

fof(addAssignment_8561,axiom,(
    ! [VarCurr] :
      ( ( v26622(VarCurr,bitIndex3)
      <=> v12025(VarCurr,bitIndex14) )
      & ( v26622(VarCurr,bitIndex2)
      <=> v12025(VarCurr,bitIndex13) )
      & ( v26622(VarCurr,bitIndex1)
      <=> v12025(VarCurr,bitIndex12) )
      & ( v26622(VarCurr,bitIndex0)
      <=> v12025(VarCurr,bitIndex11) ) ) )).

fof(addAssignment_8560,axiom,(
    ! [VarCurr,B] :
      ( range_14_11(B)
     => ( v12025(VarCurr,B)
      <=> v12027(VarCurr,B) ) ) )).

fof(addAssignment_8559,axiom,(
    ! [VarCurr,B] :
      ( range_14_11(B)
     => ( v12027(VarCurr,B)
      <=> v12135(VarCurr,B) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1470,axiom,(
    ! [VarCurr] :
      ( v26634(VarCurr)
    <=> ( v26637(VarCurr)
        | v26620(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1469,axiom,(
    ! [VarCurr] :
      ( v26637(VarCurr)
    <=> ( v26638(VarCurr)
        | v26620(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1468,axiom,(
    ! [VarCurr] :
      ( v26638(VarCurr)
    <=> ( v26620(VarCurr,bitIndex4)
        | v26620(VarCurr,bitIndex5) ) ) )).

fof(addAssignment_8558,axiom,(
    ! [VarCurr,B] :
      ( range_7_4(B)
     => ( v26620(VarCurr,B)
      <=> v26622(VarCurr,B) ) ) )).

fof(addAssignment_8557,axiom,(
    ! [VarCurr] :
      ( ( v26622(VarCurr,bitIndex7)
      <=> v12025(VarCurr,bitIndex18) )
      & ( v26622(VarCurr,bitIndex6)
      <=> v12025(VarCurr,bitIndex17) )
      & ( v26622(VarCurr,bitIndex5)
      <=> v12025(VarCurr,bitIndex16) )
      & ( v26622(VarCurr,bitIndex4)
      <=> v12025(VarCurr,bitIndex15) ) ) )).

fof(addAssignment_8556,axiom,(
    ! [VarCurr,B] :
      ( range_18_15(B)
     => ( v12025(VarCurr,B)
      <=> v12027(VarCurr,B) ) ) )).

fof(addAssignment_8555,axiom,(
    ! [VarCurr,B] :
      ( range_18_15(B)
     => ( v12027(VarCurr,B)
      <=> v12135(VarCurr,B) ) ) )).

fof(range_axiom_102,axiom,(
    ! [B] :
      ( range_18_15(B)
    <=> ( $false
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B ) ) )).

fof(writeBinaryOperatorShiftedRanges_1467,axiom,(
    ! [VarCurr] :
      ( v26628(VarCurr)
    <=> ( v26631(VarCurr)
        | v26620(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1466,axiom,(
    ! [VarCurr] :
      ( v26631(VarCurr)
    <=> ( v26632(VarCurr)
        | v26620(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1465,axiom,(
    ! [VarCurr] :
      ( v26632(VarCurr)
    <=> ( v26620(VarCurr,bitIndex8)
        | v26620(VarCurr,bitIndex9) ) ) )).

fof(addAssignment_8554,axiom,(
    ! [VarCurr,B] :
      ( range_11_8(B)
     => ( v26620(VarCurr,B)
      <=> v26622(VarCurr,B) ) ) )).

fof(range_axiom_101,axiom,(
    ! [B] :
      ( range_11_8(B)
    <=> ( $false
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B ) ) )).

fof(addAssignment_8553,axiom,(
    ! [VarCurr] :
      ( ( v26622(VarCurr,bitIndex11)
      <=> v12025(VarCurr,bitIndex22) )
      & ( v26622(VarCurr,bitIndex10)
      <=> v12025(VarCurr,bitIndex21) )
      & ( v26622(VarCurr,bitIndex9)
      <=> v12025(VarCurr,bitIndex20) )
      & ( v26622(VarCurr,bitIndex8)
      <=> v12025(VarCurr,bitIndex19) ) ) )).

fof(addAssignment_8552,axiom,(
    ! [VarCurr,B] :
      ( range_22_19(B)
     => ( v12025(VarCurr,B)
      <=> v12027(VarCurr,B) ) ) )).

fof(addAssignment_8551,axiom,(
    ! [VarCurr,B] :
      ( range_22_19(B)
     => ( v12027(VarCurr,B)
      <=> v12135(VarCurr,B) ) ) )).

fof(range_axiom_100,axiom,(
    ! [B] :
      ( range_22_19(B)
    <=> ( $false
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B ) ) )).

fof(writeBinaryOperatorShiftedRanges_1464,axiom,(
    ! [VarCurr] :
      ( v26618(VarCurr)
    <=> ( v26625(VarCurr)
        | v26620(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1463,axiom,(
    ! [VarCurr] :
      ( v26625(VarCurr)
    <=> ( v26626(VarCurr)
        | v26620(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1462,axiom,(
    ! [VarCurr] :
      ( v26626(VarCurr)
    <=> ( v26620(VarCurr,bitIndex12)
        | v26620(VarCurr,bitIndex13) ) ) )).

fof(addAssignment_8550,axiom,(
    ! [VarCurr,B] :
      ( range_15_12(B)
     => ( v26620(VarCurr,B)
      <=> v26622(VarCurr,B) ) ) )).

fof(range_axiom_99,axiom,(
    ! [B] :
      ( range_15_12(B)
    <=> ( $false
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B ) ) )).

fof(addAssignment_8549,axiom,(
    ! [VarCurr] :
      ( ( v26622(VarCurr,bitIndex15)
      <=> v12025(VarCurr,bitIndex26) )
      & ( v26622(VarCurr,bitIndex14)
      <=> v12025(VarCurr,bitIndex25) )
      & ( v26622(VarCurr,bitIndex13)
      <=> v12025(VarCurr,bitIndex24) )
      & ( v26622(VarCurr,bitIndex12)
      <=> v12025(VarCurr,bitIndex23) ) ) )).

fof(addAssignment_8548,axiom,(
    ! [VarCurr,B] :
      ( range_26_23(B)
     => ( v12025(VarCurr,B)
      <=> v12027(VarCurr,B) ) ) )).

fof(addAssignment_8547,axiom,(
    ! [VarCurr,B] :
      ( range_26_23(B)
     => ( v12027(VarCurr,B)
      <=> v12135(VarCurr,B) ) ) )).

fof(range_axiom_98,axiom,(
    ! [B] :
      ( range_26_23(B)
    <=> ( $false
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B ) ) )).

fof(addAssignment_8546,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v26601(VarCurr,B)
      <=> v26614(VarCurr,B) ) ) )).

fof(addAssignment_8545,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v26614(VarCurr,B)
      <=> v26603(VarCurr,B) ) ) )).

fof(addAssignment_8544,axiom,(
    ! [VarCurr] :
      ( v26614(VarCurr,bitIndex3)
    <=> $false ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_691,axiom,(
    ! [VarCurr] :
      ( ~ v11945(VarCurr,bitIndex1)
     => ! [B] :
          ( range_2_0(B)
         => ( v26603(VarCurr,B)
          <=> $false ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_635,axiom,(
    ! [VarCurr] :
      ( v11945(VarCurr,bitIndex1)
     => ! [B] :
          ( range_2_0(B)
         => ( v26603(VarCurr,B)
          <=> v26613(VarCurr,B) ) ) ) )).

fof(addAssignment_8543,axiom,(
    ! [VarCurr] :
      ( v26613(VarCurr,bitIndex0)
    <=> v26611(VarCurr) ) )).

fof(addAssignment_8542,axiom,(
    ! [VarCurr] :
      ( ( v26613(VarCurr,bitIndex2)
      <=> v26605(VarCurr,bitIndex1) )
      & ( v26613(VarCurr,bitIndex1)
      <=> v26605(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_8541,axiom,(
    ! [VarCurr] :
      ( v26611(VarCurr)
    <=> v11945(VarCurr,bitIndex0) ) )).

fof(addAssignment_8540,axiom,(
    ! [VarCurr] :
      ( v11945(VarCurr,bitIndex0)
    <=> v11947(VarCurr,bitIndex0) ) )).

fof(addAssignment_8539,axiom,(
    ! [VarCurr] :
      ( v11947(VarCurr,bitIndex0)
    <=> v11723(VarCurr,bitIndex16) ) )).

fof(addAssignment_8538,axiom,(
    ! [VarCurr] :
      ( v11723(VarCurr,bitIndex16)
    <=> v11725(VarCurr,bitIndex16) ) )).

fof(addAssignment_8537,axiom,(
    ! [VarCurr] :
      ( v11725(VarCurr,bitIndex16)
    <=> v11823(VarCurr,bitIndex16) ) )).

fof(addAssignment_8536,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v26605(VarCurr,B)
      <=> v26607(VarCurr,B) ) ) )).

fof(addAssignment_8535,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v26607(VarCurr,B)
      <=> v26609(VarCurr,B) ) ) )).

fof(addAssignment_8534,axiom,(
    ! [VarCurr] :
      ( ( v26609(VarCurr,bitIndex1)
      <=> v11972(VarCurr,bitIndex2) )
      & ( v26609(VarCurr,bitIndex0)
      <=> v11972(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_8533,axiom,(
    ! [VarCurr,B] :
      ( range_2_1(B)
     => ( v11972(VarCurr,B)
      <=> v11721(VarCurr,B) ) ) )).

fof(addAssignment_8532,axiom,(
    ! [VarCurr,B] :
      ( range_2_1(B)
     => ( v11721(VarCurr,B)
      <=> v11723(VarCurr,B) ) ) )).

fof(addAssignment_8531,axiom,(
    ! [VarCurr,B] :
      ( range_2_1(B)
     => ( v11723(VarCurr,B)
      <=> v11725(VarCurr,B) ) ) )).

fof(addAssignment_8530,axiom,(
    ! [VarCurr,B] :
      ( range_2_1(B)
     => ( v11725(VarCurr,B)
      <=> v11823(VarCurr,B) ) ) )).

fof(addAssignment_8529,axiom,(
    ! [VarCurr] :
      ( v26546(VarCurr)
    <=> v26548(VarCurr,bitIndex2) ) )).

fof(addAssignment_8528,axiom,(
    ! [VarCurr] :
      ( v26548(VarCurr,bitIndex2)
    <=> v26562(VarCurr,bitIndex2) ) )).

fof(addAssignment_8527,axiom,(
    ! [VarNext] :
      ( v25639(VarNext,bitIndex1)
    <=> v26587(VarNext,bitIndex1) ) )).

fof(addCaseBooleanConditionEqualRanges1_319,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26588(VarNext)
       => ! [B] :
            ( range_6_0(B)
           => ( v26587(VarNext,B)
            <=> v25639(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_355,axiom,(
    ! [VarNext] :
      ( v26588(VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v26587(VarNext,B)
          <=> v26559(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5869,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26588(VarNext)
      <=> v26589(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5868,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26589(VarNext)
      <=> ( v26591(VarNext)
          & v25603(VarNext) ) ) ) )).

fof(writeUnaryOperator_2713,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26591(VarNext)
      <=> v25610(VarNext) ) ) )).

fof(addAssignment_8526,axiom,(
    ! [VarCurr] :
      ( v26548(VarCurr,bitIndex1)
    <=> v26562(VarCurr,bitIndex1) ) )).

fof(addAssignment_8525,axiom,(
    ! [VarNext] :
      ( v25639(VarNext,bitIndex0)
    <=> v26579(VarNext,bitIndex0) ) )).

fof(addCaseBooleanConditionEqualRanges1_318,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26580(VarNext)
       => ! [B] :
            ( range_6_0(B)
           => ( v26579(VarNext,B)
            <=> v25639(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_354,axiom,(
    ! [VarNext] :
      ( v26580(VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v26579(VarNext,B)
          <=> v26559(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5867,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26580(VarNext)
      <=> v26581(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5866,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26581(VarNext)
      <=> ( v26583(VarNext)
          & v25603(VarNext) ) ) ) )).

fof(writeUnaryOperator_2712,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26583(VarNext)
      <=> v25610(VarNext) ) ) )).

fof(addAssignment_8524,axiom,(
    ! [VarCurr] :
      ( v26548(VarCurr,bitIndex0)
    <=> v26562(VarCurr,bitIndex0) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_690,axiom,(
    ! [VarCurr] :
      ( ~ v26563(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26562(VarCurr,B)
          <=> v26565(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_634,axiom,(
    ! [VarCurr] :
      ( v26563(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26562(VarCurr,B)
          <=> v26564(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_71,axiom,(
    ! [VarCurr] :
      ( ( ~ v26566(VarCurr)
        & ~ v26568(VarCurr)
        & ~ v26572(VarCurr) )
     => ! [B] :
          ( range_6_0(B)
         => ( v26565(VarCurr,B)
          <=> v25639(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_287,axiom,(
    ! [VarCurr] :
      ( v26572(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26565(VarCurr,B)
          <=> v26574(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_687,axiom,(
    ! [VarCurr] :
      ( v26568(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26565(VarCurr,B)
          <=> v26570(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_681,axiom,(
    ! [VarCurr] :
      ( v26566(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26565(VarCurr,B)
          <=> v25639(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1841,axiom,(
    ! [VarCurr] :
      ( v26576(VarCurr)
    <=> ( ( v26577(VarCurr,bitIndex1)
        <=> $true )
        & ( v26577(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8523,axiom,(
    ! [VarCurr] :
      ( v26577(VarCurr,bitIndex0)
    <=> v25579(VarCurr) ) )).

fof(addAssignment_8522,axiom,(
    ! [VarCurr] :
      ( v26577(VarCurr,bitIndex1)
    <=> v25577(VarCurr) ) )).

fof(addAssignment_8521,axiom,(
    ! [VarCurr] :
      ( v26574(VarCurr,bitIndex0)
    <=> $false ) )).

fof(addAssignment_8520,axiom,(
    ! [VarCurr] :
      ( ( v26574(VarCurr,bitIndex6)
      <=> v25639(VarCurr,bitIndex5) )
      & ( v26574(VarCurr,bitIndex5)
      <=> v25639(VarCurr,bitIndex4) )
      & ( v26574(VarCurr,bitIndex4)
      <=> v25639(VarCurr,bitIndex3) )
      & ( v26574(VarCurr,bitIndex3)
      <=> v25639(VarCurr,bitIndex2) )
      & ( v26574(VarCurr,bitIndex2)
      <=> v25639(VarCurr,bitIndex1) )
      & ( v26574(VarCurr,bitIndex1)
      <=> v25639(VarCurr,bitIndex0) ) ) )).

fof(addBitVectorEqualityBitBlasted_1840,axiom,(
    ! [VarCurr] :
      ( v26572(VarCurr)
    <=> ( ( v26573(VarCurr,bitIndex1)
        <=> $true )
        & ( v26573(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8519,axiom,(
    ! [VarCurr] :
      ( v26573(VarCurr,bitIndex0)
    <=> v25579(VarCurr) ) )).

fof(addAssignment_8518,axiom,(
    ! [VarCurr] :
      ( v26573(VarCurr,bitIndex1)
    <=> v25577(VarCurr) ) )).

fof(addAssignment_8517,axiom,(
    ! [VarCurr] :
      ( ( v26570(VarCurr,bitIndex5)
      <=> v25639(VarCurr,bitIndex6) )
      & ( v26570(VarCurr,bitIndex4)
      <=> v25639(VarCurr,bitIndex5) )
      & ( v26570(VarCurr,bitIndex3)
      <=> v25639(VarCurr,bitIndex4) )
      & ( v26570(VarCurr,bitIndex2)
      <=> v25639(VarCurr,bitIndex3) )
      & ( v26570(VarCurr,bitIndex1)
      <=> v25639(VarCurr,bitIndex2) )
      & ( v26570(VarCurr,bitIndex0)
      <=> v25639(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_8516,axiom,(
    ! [VarCurr] :
      ( v26570(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_1839,axiom,(
    ! [VarCurr] :
      ( v26568(VarCurr)
    <=> ( ( v26569(VarCurr,bitIndex1)
        <=> $false )
        & ( v26569(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8515,axiom,(
    ! [VarCurr] :
      ( v26569(VarCurr,bitIndex0)
    <=> v25579(VarCurr) ) )).

fof(addAssignment_8514,axiom,(
    ! [VarCurr] :
      ( v26569(VarCurr,bitIndex1)
    <=> v25577(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1838,axiom,(
    ! [VarCurr] :
      ( v26566(VarCurr)
    <=> ( ( v26567(VarCurr,bitIndex1)
        <=> $false )
        & ( v26567(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8513,axiom,(
    ! [VarCurr] :
      ( v26567(VarCurr,bitIndex0)
    <=> v25579(VarCurr) ) )).

fof(addAssignment_8512,axiom,(
    ! [VarCurr] :
      ( v26567(VarCurr,bitIndex1)
    <=> v25577(VarCurr) ) )).

fof(addAssignment_8511,axiom,(
    ! [VarCurr] :
      ( v26564(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_8510,axiom,(
    ! [VarCurr,B] :
      ( range_6_1(B)
     => ( v26564(VarCurr,B)
      <=> v25637(VarCurr,B) ) ) )).

fof(writeUnaryOperator_2711,axiom,(
    ! [VarCurr] :
      ( ~ v26563(VarCurr)
    <=> v25575(VarCurr) ) )).

fof(addAssignment_8509,axiom,(
    ! [VarCurr] :
      ( v25637(VarCurr,bitIndex1)
    <=> v25638(VarCurr,bitIndex1) ) )).

fof(addAssignment_8508,axiom,(
    ! [VarCurr] :
      ( v25637(VarCurr,bitIndex2)
    <=> v25638(VarCurr,bitIndex2) ) )).

fof(addAssignment_8507,axiom,(
    ! [VarNext] :
      ( v25639(VarNext,bitIndex2)
    <=> v26550(VarNext,bitIndex2) ) )).

fof(addCaseBooleanConditionEqualRanges1_317,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26551(VarNext)
       => ! [B] :
            ( range_6_0(B)
           => ( v26550(VarNext,B)
            <=> v25639(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_353,axiom,(
    ! [VarNext] :
      ( v26551(VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v26550(VarNext,B)
          <=> v26559(VarNext,B) ) ) ) )).

fof(addAssignment_8506,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v26559(VarNext,B)
          <=> v26557(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_689,axiom,(
    ! [VarCurr] :
      ( ~ v25617(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26557(VarCurr,B)
          <=> v26548(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_633,axiom,(
    ! [VarCurr] :
      ( v25617(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26557(VarCurr,B)
          <=> b0000001(B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5865,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26551(VarNext)
      <=> v26552(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5864,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26552(VarNext)
      <=> ( v26554(VarNext)
          & v25603(VarNext) ) ) ) )).

fof(writeUnaryOperator_2710,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26554(VarNext)
      <=> v25610(VarNext) ) ) )).

fof(addAssignment_8505,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v26201(VarCurr,B)
      <=> v26203(VarCurr,B) ) ) )).

fof(addAssignment_8504,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v26203(VarCurr,B)
      <=> v26205(VarCurr,B) ) ) )).

fof(addAssignment_8503,axiom,(
    ! [VarCurr] :
      ( ( v26205(VarCurr,bitIndex6)
      <=> v26207(VarCurr,bitIndex27) )
      & ( v26205(VarCurr,bitIndex5)
      <=> v26207(VarCurr,bitIndex26) )
      & ( v26205(VarCurr,bitIndex4)
      <=> v26207(VarCurr,bitIndex25) )
      & ( v26205(VarCurr,bitIndex3)
      <=> v26207(VarCurr,bitIndex24) )
      & ( v26205(VarCurr,bitIndex2)
      <=> v26207(VarCurr,bitIndex23) )
      & ( v26205(VarCurr,bitIndex1)
      <=> v26207(VarCurr,bitIndex22) )
      & ( v26205(VarCurr,bitIndex0)
      <=> v26207(VarCurr,bitIndex21) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_316,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26503(VarNext)
       => ! [B] :
            ( range_27_21(B)
           => ( v26207(VarNext,B)
            <=> v26207(VarCurr,B) ) ) ) ) )).

fof(range_axiom_97,axiom,(
    ! [B] :
      ( range_27_21(B)
    <=> ( $false
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B ) ) )).

fof(addCaseBooleanConditionShiftedRanges0_8,axiom,(
    ! [VarNext] :
      ( v26503(VarNext)
     => ( ( v26207(VarNext,bitIndex27)
        <=> v26529(VarNext,bitIndex6) )
        & ( v26207(VarNext,bitIndex26)
        <=> v26529(VarNext,bitIndex5) )
        & ( v26207(VarNext,bitIndex25)
        <=> v26529(VarNext,bitIndex4) )
        & ( v26207(VarNext,bitIndex24)
        <=> v26529(VarNext,bitIndex3) )
        & ( v26207(VarNext,bitIndex23)
        <=> v26529(VarNext,bitIndex2) )
        & ( v26207(VarNext,bitIndex22)
        <=> v26529(VarNext,bitIndex1) )
        & ( v26207(VarNext,bitIndex21)
        <=> v26529(VarNext,bitIndex0) ) ) ) )).

fof(addAssignment_8502,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v26529(VarNext,B)
          <=> v26527(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_686,axiom,(
    ! [VarCurr] :
      ( ~ v26466(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26527(VarCurr,B)
          <=> v26530(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_680,axiom,(
    ! [VarCurr] :
      ( v26466(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26527(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_286,axiom,(
    ! [VarCurr] :
      ( ( ~ v26516(VarCurr)
        & ~ v26518(VarCurr) )
     => ! [B] :
          ( range_6_0(B)
         => ( v26530(VarCurr,B)
          <=> v26495(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_685,axiom,(
    ! [VarCurr] :
      ( v26518(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26530(VarCurr,B)
          <=> v26488(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_13,axiom,(
    ! [VarCurr] :
      ( v26516(VarCurr)
     => ( ( v26530(VarCurr,bitIndex6)
        <=> v26207(VarCurr,bitIndex20) )
        & ( v26530(VarCurr,bitIndex5)
        <=> v26207(VarCurr,bitIndex19) )
        & ( v26530(VarCurr,bitIndex4)
        <=> v26207(VarCurr,bitIndex18) )
        & ( v26530(VarCurr,bitIndex3)
        <=> v26207(VarCurr,bitIndex17) )
        & ( v26530(VarCurr,bitIndex2)
        <=> v26207(VarCurr,bitIndex16) )
        & ( v26530(VarCurr,bitIndex1)
        <=> v26207(VarCurr,bitIndex15) )
        & ( v26530(VarCurr,bitIndex0)
        <=> v26207(VarCurr,bitIndex14) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5863,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26503(VarNext)
      <=> ( v26504(VarNext)
          & v26511(VarNext) ) ) ) )).

fof(addAssignment_8501,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26511(VarNext)
      <=> v26509(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5862,axiom,(
    ! [VarCurr] :
      ( v26509(VarCurr)
    <=> ( v26512(VarCurr)
        & v26523(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5861,axiom,(
    ! [VarCurr] :
      ( v26523(VarCurr)
    <=> ( v26524(VarCurr)
        | v26466(VarCurr) ) ) )).

fof(writeUnaryOperator_2709,axiom,(
    ! [VarCurr] :
      ( ~ v26524(VarCurr)
    <=> v26525(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1837,axiom,(
    ! [VarCurr] :
      ( v26525(VarCurr)
    <=> ( ( v26526(VarCurr,bitIndex1)
        <=> $false )
        & ( v26526(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8500,axiom,(
    ! [VarCurr] :
      ( v26526(VarCurr,bitIndex0)
    <=> v25381(VarCurr) ) )).

fof(addAssignment_8499,axiom,(
    ! [VarCurr] :
      ( v26526(VarCurr,bitIndex1)
    <=> v69(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5860,axiom,(
    ! [VarCurr] :
      ( v26512(VarCurr)
    <=> ( v26466(VarCurr)
        | v26513(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5859,axiom,(
    ! [VarCurr] :
      ( v26513(VarCurr)
    <=> ( v26514(VarCurr)
        & v26522(VarCurr) ) ) )).

fof(writeUnaryOperator_2708,axiom,(
    ! [VarCurr] :
      ( ~ v26522(VarCurr)
    <=> v26466(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5858,axiom,(
    ! [VarCurr] :
      ( v26514(VarCurr)
    <=> ( v26515(VarCurr)
        | v26520(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1836,axiom,(
    ! [VarCurr] :
      ( v26520(VarCurr)
    <=> ( ( v26521(VarCurr,bitIndex1)
        <=> $true )
        & ( v26521(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8498,axiom,(
    ! [VarCurr] :
      ( v26521(VarCurr,bitIndex0)
    <=> v25381(VarCurr) ) )).

fof(addAssignment_8497,axiom,(
    ! [VarCurr] :
      ( v26521(VarCurr,bitIndex1)
    <=> v69(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5857,axiom,(
    ! [VarCurr] :
      ( v26515(VarCurr)
    <=> ( v26516(VarCurr)
        | v26518(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1835,axiom,(
    ! [VarCurr] :
      ( v26518(VarCurr)
    <=> ( ( v26519(VarCurr,bitIndex1)
        <=> $true )
        & ( v26519(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8496,axiom,(
    ! [VarCurr] :
      ( v26519(VarCurr,bitIndex0)
    <=> v25381(VarCurr) ) )).

fof(addAssignment_8495,axiom,(
    ! [VarCurr] :
      ( v26519(VarCurr,bitIndex1)
    <=> v69(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1834,axiom,(
    ! [VarCurr] :
      ( v26516(VarCurr)
    <=> ( ( v26517(VarCurr,bitIndex1)
        <=> $false )
        & ( v26517(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8494,axiom,(
    ! [VarCurr] :
      ( v26517(VarCurr,bitIndex0)
    <=> v25381(VarCurr) ) )).

fof(addAssignment_8493,axiom,(
    ! [VarCurr] :
      ( v26517(VarCurr,bitIndex1)
    <=> v69(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5856,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26504(VarNext)
      <=> ( v26506(VarNext)
          & v25415(VarNext) ) ) ) )).

fof(writeUnaryOperator_2707,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26506(VarNext)
      <=> v25426(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_688,axiom,(
    ! [VarCurr] :
      ( ~ v26497(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26495(VarCurr,B)
          <=> v26499(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_632,axiom,(
    ! [VarCurr] :
      ( v26497(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26495(VarCurr,B)
          <=> v26260(VarCurr,B) ) ) ) )).

fof(addAssignment_8492,axiom,(
    ! [VarCurr] :
      ( ( v26499(VarCurr,bitIndex6)
      <=> v26207(VarCurr,bitIndex20) )
      & ( v26499(VarCurr,bitIndex5)
      <=> v26207(VarCurr,bitIndex19) )
      & ( v26499(VarCurr,bitIndex4)
      <=> v26207(VarCurr,bitIndex18) )
      & ( v26499(VarCurr,bitIndex3)
      <=> v26207(VarCurr,bitIndex17) )
      & ( v26499(VarCurr,bitIndex2)
      <=> v26207(VarCurr,bitIndex16) )
      & ( v26499(VarCurr,bitIndex1)
      <=> v26207(VarCurr,bitIndex15) )
      & ( v26499(VarCurr,bitIndex0)
      <=> v26207(VarCurr,bitIndex14) ) ) )).

fof(addAssignment_8491,axiom,(
    ! [VarCurr] :
      ( v26497(VarCurr)
    <=> v26213(VarCurr,bitIndex1) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_687,axiom,(
    ! [VarCurr] :
      ( ~ v26490(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26488(VarCurr,B)
          <=> v26492(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_631,axiom,(
    ! [VarCurr] :
      ( v26490(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26488(VarCurr,B)
          <=> v26260(VarCurr,B) ) ) ) )).

fof(addAssignment_8490,axiom,(
    ! [VarCurr] :
      ( ( v26492(VarCurr,bitIndex6)
      <=> v26207(VarCurr,bitIndex27) )
      & ( v26492(VarCurr,bitIndex5)
      <=> v26207(VarCurr,bitIndex26) )
      & ( v26492(VarCurr,bitIndex4)
      <=> v26207(VarCurr,bitIndex25) )
      & ( v26492(VarCurr,bitIndex3)
      <=> v26207(VarCurr,bitIndex24) )
      & ( v26492(VarCurr,bitIndex2)
      <=> v26207(VarCurr,bitIndex23) )
      & ( v26492(VarCurr,bitIndex1)
      <=> v26207(VarCurr,bitIndex22) )
      & ( v26492(VarCurr,bitIndex0)
      <=> v26207(VarCurr,bitIndex21) ) ) )).

fof(addAssignment_8489,axiom,(
    ! [VarCurr] :
      ( v26490(VarCurr)
    <=> v26213(VarCurr,bitIndex1) ) )).

fof(addCaseBooleanConditionEqualRanges1_315,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26456(VarNext)
       => ! [B] :
            ( range_20_14(B)
           => ( v26207(VarNext,B)
            <=> v26207(VarCurr,B) ) ) ) ) )).

fof(range_axiom_96,axiom,(
    ! [B] :
      ( range_20_14(B)
    <=> ( $false
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B ) ) )).

fof(addCaseBooleanConditionShiftedRanges0_7,axiom,(
    ! [VarNext] :
      ( v26456(VarNext)
     => ( ( v26207(VarNext,bitIndex20)
        <=> v26483(VarNext,bitIndex6) )
        & ( v26207(VarNext,bitIndex19)
        <=> v26483(VarNext,bitIndex5) )
        & ( v26207(VarNext,bitIndex18)
        <=> v26483(VarNext,bitIndex4) )
        & ( v26207(VarNext,bitIndex17)
        <=> v26483(VarNext,bitIndex3) )
        & ( v26207(VarNext,bitIndex16)
        <=> v26483(VarNext,bitIndex2) )
        & ( v26207(VarNext,bitIndex15)
        <=> v26483(VarNext,bitIndex1) )
        & ( v26207(VarNext,bitIndex14)
        <=> v26483(VarNext,bitIndex0) ) ) ) )).

fof(addAssignment_8488,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v26483(VarNext,B)
          <=> v26481(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_684,axiom,(
    ! [VarCurr] :
      ( ~ v26466(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26481(VarCurr,B)
          <=> v26484(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_679,axiom,(
    ! [VarCurr] :
      ( v26466(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26481(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_285,axiom,(
    ! [VarCurr] :
      ( ( ~ v26470(VarCurr)
        & ~ v26472(VarCurr) )
     => ! [B] :
          ( range_6_0(B)
         => ( v26484(VarCurr,B)
          <=> v26448(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_683,axiom,(
    ! [VarCurr] :
      ( v26472(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26484(VarCurr,B)
          <=> v26209(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_12,axiom,(
    ! [VarCurr] :
      ( v26470(VarCurr)
     => ( ( v26484(VarCurr,bitIndex6)
        <=> v26207(VarCurr,bitIndex13) )
        & ( v26484(VarCurr,bitIndex5)
        <=> v26207(VarCurr,bitIndex12) )
        & ( v26484(VarCurr,bitIndex4)
        <=> v26207(VarCurr,bitIndex11) )
        & ( v26484(VarCurr,bitIndex3)
        <=> v26207(VarCurr,bitIndex10) )
        & ( v26484(VarCurr,bitIndex2)
        <=> v26207(VarCurr,bitIndex9) )
        & ( v26484(VarCurr,bitIndex1)
        <=> v26207(VarCurr,bitIndex8) )
        & ( v26484(VarCurr,bitIndex0)
        <=> v26207(VarCurr,bitIndex7) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5855,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26456(VarNext)
      <=> ( v26457(VarNext)
          & v26464(VarNext) ) ) ) )).

fof(addAssignment_8487,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26464(VarNext)
      <=> v26462(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5854,axiom,(
    ! [VarCurr] :
      ( v26462(VarCurr)
    <=> ( v26465(VarCurr)
        & v26477(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5853,axiom,(
    ! [VarCurr] :
      ( v26477(VarCurr)
    <=> ( v26478(VarCurr)
        | v26466(VarCurr) ) ) )).

fof(writeUnaryOperator_2706,axiom,(
    ! [VarCurr] :
      ( ~ v26478(VarCurr)
    <=> v26479(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1833,axiom,(
    ! [VarCurr] :
      ( v26479(VarCurr)
    <=> ( ( v26480(VarCurr,bitIndex1)
        <=> $false )
        & ( v26480(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8486,axiom,(
    ! [VarCurr] :
      ( v26480(VarCurr,bitIndex0)
    <=> v25381(VarCurr) ) )).

fof(addAssignment_8485,axiom,(
    ! [VarCurr] :
      ( v26480(VarCurr,bitIndex1)
    <=> v69(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5852,axiom,(
    ! [VarCurr] :
      ( v26465(VarCurr)
    <=> ( v26466(VarCurr)
        | v26467(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5851,axiom,(
    ! [VarCurr] :
      ( v26467(VarCurr)
    <=> ( v26468(VarCurr)
        & v26476(VarCurr) ) ) )).

fof(writeUnaryOperator_2705,axiom,(
    ! [VarCurr] :
      ( ~ v26476(VarCurr)
    <=> v26466(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5850,axiom,(
    ! [VarCurr] :
      ( v26468(VarCurr)
    <=> ( v26469(VarCurr)
        | v26474(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1832,axiom,(
    ! [VarCurr] :
      ( v26474(VarCurr)
    <=> ( ( v26475(VarCurr,bitIndex1)
        <=> $true )
        & ( v26475(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8484,axiom,(
    ! [VarCurr] :
      ( v26475(VarCurr,bitIndex0)
    <=> v25381(VarCurr) ) )).

fof(addAssignment_8483,axiom,(
    ! [VarCurr] :
      ( v26475(VarCurr,bitIndex1)
    <=> v69(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5849,axiom,(
    ! [VarCurr] :
      ( v26469(VarCurr)
    <=> ( v26470(VarCurr)
        | v26472(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1831,axiom,(
    ! [VarCurr] :
      ( v26472(VarCurr)
    <=> ( ( v26473(VarCurr,bitIndex1)
        <=> $true )
        & ( v26473(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8482,axiom,(
    ! [VarCurr] :
      ( v26473(VarCurr,bitIndex0)
    <=> v25381(VarCurr) ) )).

fof(addAssignment_8481,axiom,(
    ! [VarCurr] :
      ( v26473(VarCurr,bitIndex1)
    <=> v69(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1830,axiom,(
    ! [VarCurr] :
      ( v26470(VarCurr)
    <=> ( ( v26471(VarCurr,bitIndex1)
        <=> $false )
        & ( v26471(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8480,axiom,(
    ! [VarCurr] :
      ( v26471(VarCurr,bitIndex0)
    <=> v25381(VarCurr) ) )).

fof(addAssignment_8479,axiom,(
    ! [VarCurr] :
      ( v26471(VarCurr,bitIndex1)
    <=> v69(VarCurr) ) )).

fof(writeUnaryOperator_2704,axiom,(
    ! [VarCurr] :
      ( ~ v26466(VarCurr)
    <=> v58(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5848,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26457(VarNext)
      <=> ( v26458(VarNext)
          & v25415(VarNext) ) ) ) )).

fof(writeUnaryOperator_2703,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26458(VarNext)
      <=> v25426(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_686,axiom,(
    ! [VarCurr] :
      ( ~ v26450(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26448(VarCurr,B)
          <=> v26452(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_630,axiom,(
    ! [VarCurr] :
      ( v26450(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26448(VarCurr,B)
          <=> v26260(VarCurr,B) ) ) ) )).

fof(addAssignment_8478,axiom,(
    ! [VarCurr] :
      ( ( v26452(VarCurr,bitIndex6)
      <=> v26207(VarCurr,bitIndex13) )
      & ( v26452(VarCurr,bitIndex5)
      <=> v26207(VarCurr,bitIndex12) )
      & ( v26452(VarCurr,bitIndex4)
      <=> v26207(VarCurr,bitIndex11) )
      & ( v26452(VarCurr,bitIndex3)
      <=> v26207(VarCurr,bitIndex10) )
      & ( v26452(VarCurr,bitIndex2)
      <=> v26207(VarCurr,bitIndex9) )
      & ( v26452(VarCurr,bitIndex1)
      <=> v26207(VarCurr,bitIndex8) )
      & ( v26452(VarCurr,bitIndex0)
      <=> v26207(VarCurr,bitIndex7) ) ) )).

fof(addAssignment_8477,axiom,(
    ! [VarCurr] :
      ( v26450(VarCurr)
    <=> v26213(VarCurr,bitIndex2) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_685,axiom,(
    ! [VarCurr] :
      ( ~ v26211(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26209(VarCurr,B)
          <=> v26445(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_629,axiom,(
    ! [VarCurr] :
      ( v26211(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26209(VarCurr,B)
          <=> v26260(VarCurr,B) ) ) ) )).

fof(addAssignment_8476,axiom,(
    ! [VarCurr] :
      ( ( v26445(VarCurr,bitIndex6)
      <=> v26207(VarCurr,bitIndex20) )
      & ( v26445(VarCurr,bitIndex5)
      <=> v26207(VarCurr,bitIndex19) )
      & ( v26445(VarCurr,bitIndex4)
      <=> v26207(VarCurr,bitIndex18) )
      & ( v26445(VarCurr,bitIndex3)
      <=> v26207(VarCurr,bitIndex17) )
      & ( v26445(VarCurr,bitIndex2)
      <=> v26207(VarCurr,bitIndex16) )
      & ( v26445(VarCurr,bitIndex1)
      <=> v26207(VarCurr,bitIndex15) )
      & ( v26445(VarCurr,bitIndex0)
      <=> v26207(VarCurr,bitIndex14) ) ) )).

fof(addAssignment_8475,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v26260(VarCurr,B)
      <=> v26262(VarCurr,B) ) ) )).

fof(addAssignment_8474,axiom,(
    ! [VarCurr] :
      ( ( v26262(VarCurr,bitIndex6)
      <=> v26264(VarCurr,bitIndex79) )
      & ( v26262(VarCurr,bitIndex5)
      <=> v26264(VarCurr,bitIndex78) )
      & ( v26262(VarCurr,bitIndex4)
      <=> v26264(VarCurr,bitIndex77) )
      & ( v26262(VarCurr,bitIndex3)
      <=> v26264(VarCurr,bitIndex76) )
      & ( v26262(VarCurr,bitIndex2)
      <=> v26264(VarCurr,bitIndex75) )
      & ( v26262(VarCurr,bitIndex1)
      <=> v26264(VarCurr,bitIndex74) )
      & ( v26262(VarCurr,bitIndex0)
      <=> v26264(VarCurr,bitIndex73) ) ) )).

fof(addAssignment_8473,axiom,(
    ! [VarCurr,B] :
      ( range_79_73(B)
     => ( v26264(VarCurr,B)
      <=> v26266(VarCurr,B) ) ) )).

fof(addAssignment_8472,axiom,(
    ! [VarCurr,B] :
      ( range_79_73(B)
     => ( v26266(VarCurr,B)
      <=> v26268(VarCurr,B) ) ) )).

fof(addAssignment_8471,axiom,(
    ! [VarCurr,B] :
      ( range_79_73(B)
     => ( v26268(VarCurr,B)
      <=> v26270(VarCurr,B) ) ) )).

fof(addAssignment_8470,axiom,(
    ! [VarCurr,B] :
      ( range_79_73(B)
     => ( v26270(VarCurr,B)
      <=> v26272(VarCurr,B) ) ) )).

fof(addAssignment_8469,axiom,(
    ! [VarCurr,B] :
      ( range_79_73(B)
     => ( v26272(VarCurr,B)
      <=> v26274(VarCurr,B) ) ) )).

fof(addAssignment_8468,axiom,(
    ! [VarCurr,B] :
      ( range_79_73(B)
     => ( v26274(VarCurr,B)
      <=> v26276(VarCurr,B) ) ) )).

fof(addAssignment_8467,axiom,(
    ! [VarCurr,B] :
      ( range_79_73(B)
     => ( v26276(VarCurr,B)
      <=> v26427(VarCurr,B) ) ) )).

fof(range_axiom_95,axiom,(
    ! [B] :
      ( range_79_73(B)
    <=> ( $false
        | bitIndex73 = B
        | bitIndex74 = B
        | bitIndex75 = B
        | bitIndex76 = B
        | bitIndex77 = B
        | bitIndex78 = B
        | bitIndex79 = B ) ) )).

fof(addAssignment_8466,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v26427(VarCurr,B)
      <=> v26442(VarCurr,B) ) ) )).

fof(addAssignment_8465,axiom,(
    ! [VarCurr] :
      ( ( v26427(VarCurr,bitIndex9)
      <=> v26440(VarCurr,bitIndex4) )
      & ( v26427(VarCurr,bitIndex8)
      <=> v26440(VarCurr,bitIndex3) )
      & ( v26427(VarCurr,bitIndex7)
      <=> v26440(VarCurr,bitIndex2) )
      & ( v26427(VarCurr,bitIndex6)
      <=> v26440(VarCurr,bitIndex1) )
      & ( v26427(VarCurr,bitIndex5)
      <=> v26440(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_8464,axiom,(
    ! [VarCurr] :
      ( ( v26427(VarCurr,bitIndex15)
      <=> v26438(VarCurr,bitIndex5) )
      & ( v26427(VarCurr,bitIndex14)
      <=> v26438(VarCurr,bitIndex4) )
      & ( v26427(VarCurr,bitIndex13)
      <=> v26438(VarCurr,bitIndex3) )
      & ( v26427(VarCurr,bitIndex12)
      <=> v26438(VarCurr,bitIndex2) )
      & ( v26427(VarCurr,bitIndex11)
      <=> v26438(VarCurr,bitIndex1) )
      & ( v26427(VarCurr,bitIndex10)
      <=> v26438(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_8463,axiom,(
    ! [VarCurr] :
      ( ( v26427(VarCurr,bitIndex20)
      <=> v26436(VarCurr,bitIndex4) )
      & ( v26427(VarCurr,bitIndex19)
      <=> v26436(VarCurr,bitIndex3) )
      & ( v26427(VarCurr,bitIndex18)
      <=> v26436(VarCurr,bitIndex2) )
      & ( v26427(VarCurr,bitIndex17)
      <=> v26436(VarCurr,bitIndex1) )
      & ( v26427(VarCurr,bitIndex16)
      <=> v26436(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_8462,axiom,(
    ! [VarCurr] :
      ( ( v26427(VarCurr,bitIndex54)
      <=> v26434(VarCurr,bitIndex33) )
      & ( v26427(VarCurr,bitIndex53)
      <=> v26434(VarCurr,bitIndex32) )
      & ( v26427(VarCurr,bitIndex52)
      <=> v26434(VarCurr,bitIndex31) )
      & ( v26427(VarCurr,bitIndex51)
      <=> v26434(VarCurr,bitIndex30) )
      & ( v26427(VarCurr,bitIndex50)
      <=> v26434(VarCurr,bitIndex29) )
      & ( v26427(VarCurr,bitIndex49)
      <=> v26434(VarCurr,bitIndex28) )
      & ( v26427(VarCurr,bitIndex48)
      <=> v26434(VarCurr,bitIndex27) )
      & ( v26427(VarCurr,bitIndex47)
      <=> v26434(VarCurr,bitIndex26) )
      & ( v26427(VarCurr,bitIndex46)
      <=> v26434(VarCurr,bitIndex25) )
      & ( v26427(VarCurr,bitIndex45)
      <=> v26434(VarCurr,bitIndex24) )
      & ( v26427(VarCurr,bitIndex44)
      <=> v26434(VarCurr,bitIndex23) )
      & ( v26427(VarCurr,bitIndex43)
      <=> v26434(VarCurr,bitIndex22) )
      & ( v26427(VarCurr,bitIndex42)
      <=> v26434(VarCurr,bitIndex21) )
      & ( v26427(VarCurr,bitIndex41)
      <=> v26434(VarCurr,bitIndex20) )
      & ( v26427(VarCurr,bitIndex40)
      <=> v26434(VarCurr,bitIndex19) )
      & ( v26427(VarCurr,bitIndex39)
      <=> v26434(VarCurr,bitIndex18) )
      & ( v26427(VarCurr,bitIndex38)
      <=> v26434(VarCurr,bitIndex17) )
      & ( v26427(VarCurr,bitIndex37)
      <=> v26434(VarCurr,bitIndex16) )
      & ( v26427(VarCurr,bitIndex36)
      <=> v26434(VarCurr,bitIndex15) )
      & ( v26427(VarCurr,bitIndex35)
      <=> v26434(VarCurr,bitIndex14) )
      & ( v26427(VarCurr,bitIndex34)
      <=> v26434(VarCurr,bitIndex13) )
      & ( v26427(VarCurr,bitIndex33)
      <=> v26434(VarCurr,bitIndex12) )
      & ( v26427(VarCurr,bitIndex32)
      <=> v26434(VarCurr,bitIndex11) )
      & ( v26427(VarCurr,bitIndex31)
      <=> v26434(VarCurr,bitIndex10) )
      & ( v26427(VarCurr,bitIndex30)
      <=> v26434(VarCurr,bitIndex9) )
      & ( v26427(VarCurr,bitIndex29)
      <=> v26434(VarCurr,bitIndex8) )
      & ( v26427(VarCurr,bitIndex28)
      <=> v26434(VarCurr,bitIndex7) )
      & ( v26427(VarCurr,bitIndex27)
      <=> v26434(VarCurr,bitIndex6) )
      & ( v26427(VarCurr,bitIndex26)
      <=> v26434(VarCurr,bitIndex5) )
      & ( v26427(VarCurr,bitIndex25)
      <=> v26434(VarCurr,bitIndex4) )
      & ( v26427(VarCurr,bitIndex24)
      <=> v26434(VarCurr,bitIndex3) )
      & ( v26427(VarCurr,bitIndex23)
      <=> v26434(VarCurr,bitIndex2) )
      & ( v26427(VarCurr,bitIndex22)
      <=> v26434(VarCurr,bitIndex1) )
      & ( v26427(VarCurr,bitIndex21)
      <=> v26434(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_8461,axiom,(
    ! [VarCurr] :
      ( ( v26427(VarCurr,bitIndex58)
      <=> v26432(VarCurr,bitIndex3) )
      & ( v26427(VarCurr,bitIndex57)
      <=> v26432(VarCurr,bitIndex2) )
      & ( v26427(VarCurr,bitIndex56)
      <=> v26432(VarCurr,bitIndex1) )
      & ( v26427(VarCurr,bitIndex55)
      <=> v26432(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_8460,axiom,(
    ! [VarCurr] :
      ( ( v26427(VarCurr,bitIndex62)
      <=> v26430(VarCurr,bitIndex3) )
      & ( v26427(VarCurr,bitIndex61)
      <=> v26430(VarCurr,bitIndex2) )
      & ( v26427(VarCurr,bitIndex60)
      <=> v26430(VarCurr,bitIndex1) )
      & ( v26427(VarCurr,bitIndex59)
      <=> v26430(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_8459,axiom,(
    ! [VarCurr] :
      ( ( v26427(VarCurr,bitIndex72)
      <=> v26428(VarCurr,bitIndex9) )
      & ( v26427(VarCurr,bitIndex71)
      <=> v26428(VarCurr,bitIndex8) )
      & ( v26427(VarCurr,bitIndex70)
      <=> v26428(VarCurr,bitIndex7) )
      & ( v26427(VarCurr,bitIndex69)
      <=> v26428(VarCurr,bitIndex6) )
      & ( v26427(VarCurr,bitIndex68)
      <=> v26428(VarCurr,bitIndex5) )
      & ( v26427(VarCurr,bitIndex67)
      <=> v26428(VarCurr,bitIndex4) )
      & ( v26427(VarCurr,bitIndex66)
      <=> v26428(VarCurr,bitIndex3) )
      & ( v26427(VarCurr,bitIndex65)
      <=> v26428(VarCurr,bitIndex2) )
      & ( v26427(VarCurr,bitIndex64)
      <=> v26428(VarCurr,bitIndex1) )
      & ( v26427(VarCurr,bitIndex63)
      <=> v26428(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_8458,axiom,(
    ! [VarCurr] :
      ( ( v26427(VarCurr,bitIndex79)
      <=> v26278(VarCurr,bitIndex6) )
      & ( v26427(VarCurr,bitIndex78)
      <=> v26278(VarCurr,bitIndex5) )
      & ( v26427(VarCurr,bitIndex77)
      <=> v26278(VarCurr,bitIndex4) )
      & ( v26427(VarCurr,bitIndex76)
      <=> v26278(VarCurr,bitIndex3) )
      & ( v26427(VarCurr,bitIndex75)
      <=> v26278(VarCurr,bitIndex2) )
      & ( v26427(VarCurr,bitIndex74)
      <=> v26278(VarCurr,bitIndex1) )
      & ( v26427(VarCurr,bitIndex73)
      <=> v26278(VarCurr,bitIndex0) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_314,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26410(VarNext)
       => ! [B] :
            ( range_6_0(B)
           => ( v26278(VarNext,B)
            <=> v26278(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_352,axiom,(
    ! [VarNext] :
      ( v26410(VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v26278(VarNext,B)
          <=> v26424(VarNext,B) ) ) ) )).

fof(addAssignment_8457,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v26424(VarNext,B)
          <=> v26422(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_682,axiom,(
    ! [VarCurr] :
      ( ~ v26419(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26422(VarCurr,B)
          <=> v26289(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_678,axiom,(
    ! [VarCurr] :
      ( v26419(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26422(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5847,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26410(VarNext)
      <=> ( v26411(VarNext)
          & v26418(VarNext) ) ) ) )).

fof(addAssignment_8456,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26418(VarNext)
      <=> v26416(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5846,axiom,(
    ! [VarCurr] :
      ( v26416(VarCurr)
    <=> ( v26419(VarCurr)
        | v26420(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5845,axiom,(
    ! [VarCurr] :
      ( v26420(VarCurr)
    <=> ( v26280(VarCurr)
        & v26421(VarCurr) ) ) )).

fof(writeUnaryOperator_2702,axiom,(
    ! [VarCurr] :
      ( ~ v26421(VarCurr)
    <=> v26419(VarCurr) ) )).

fof(writeUnaryOperator_2701,axiom,(
    ! [VarCurr] :
      ( ~ v26419(VarCurr)
    <=> v11715(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5844,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26411(VarNext)
      <=> ( v26412(VarNext)
          & v12852(VarNext) ) ) ) )).

fof(writeUnaryOperator_2700,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26412(VarNext)
      <=> v12859(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_284,axiom,(
    ! [VarCurr] :
      ( ( ~ v26403(VarCurr)
        & ~ v26404(VarCurr) )
     => ! [B] :
          ( range_6_0(B)
         => ( v26289(VarCurr,B)
          <=> v26382(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_681,axiom,(
    ! [VarCurr] :
      ( v26404(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26289(VarCurr,B)
          <=> v26303(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_677,axiom,(
    ! [VarCurr] :
      ( v26403(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26289(VarCurr,B)
          <=> v26300(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5843,axiom,(
    ! [VarCurr] :
      ( v26405(VarCurr)
    <=> ( v26406(VarCurr)
        | v26407(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1829,axiom,(
    ! [VarCurr] :
      ( v26407(VarCurr)
    <=> ( ( v26291(VarCurr,bitIndex1)
        <=> $true )
        & ( v26291(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1828,axiom,(
    ! [VarCurr] :
      ( v26406(VarCurr)
    <=> ( ( v26291(VarCurr,bitIndex1)
        <=> $true )
        & ( v26291(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1827,axiom,(
    ! [VarCurr] :
      ( v26404(VarCurr)
    <=> ( ( v26291(VarCurr,bitIndex1)
        <=> $false )
        & ( v26291(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1826,axiom,(
    ! [VarCurr] :
      ( v26403(VarCurr)
    <=> ( ( v26291(VarCurr,bitIndex1)
        <=> $false )
        & ( v26291(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_684,axiom,(
    ! [VarCurr] :
      ( ~ v26396(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26382(VarCurr,B)
          <=> $false ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_628,axiom,(
    ! [VarCurr] :
      ( v26396(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26382(VarCurr,B)
          <=> v26401(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_680,axiom,(
    ! [VarCurr] :
      ( ~ v26397(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26401(VarCurr,B)
          <=> b0001011(B) ) ) ) )).

fof(bitBlastConstant_9229,axiom,(
    ~ b0001011(bitIndex6) )).

fof(bitBlastConstant_9228,axiom,(
    ~ b0001011(bitIndex5) )).

fof(bitBlastConstant_9227,axiom,(
    ~ b0001011(bitIndex4) )).

fof(bitBlastConstant_9226,axiom,(
    b0001011(bitIndex3) )).

fof(bitBlastConstant_9225,axiom,(
    ~ b0001011(bitIndex2) )).

fof(bitBlastConstant_9224,axiom,(
    b0001011(bitIndex1) )).

fof(bitBlastConstant_9223,axiom,(
    b0001011(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges0_676,axiom,(
    ! [VarCurr] :
      ( v26397(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26401(VarCurr,B)
          <=> b0001010(B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5842,axiom,(
    ! [VarCurr] :
      ( v26396(VarCurr)
    <=> ( v26397(VarCurr)
        | v26400(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1825,axiom,(
    ! [VarCurr] :
      ( v26400(VarCurr)
    <=> ( ( v26384(VarCurr,bitIndex2)
        <=> $false )
        & ( v26384(VarCurr,bitIndex1)
        <=> $true )
        & ( v26384(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5841,axiom,(
    ! [VarCurr] :
      ( v26397(VarCurr)
    <=> ( v26398(VarCurr)
        | v26399(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1824,axiom,(
    ! [VarCurr] :
      ( v26399(VarCurr)
    <=> ( ( v26384(VarCurr,bitIndex2)
        <=> $true )
        & ( v26384(VarCurr,bitIndex1)
        <=> $false )
        & ( v26384(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1823,axiom,(
    ! [VarCurr] :
      ( v26398(VarCurr)
    <=> ( ( v26384(VarCurr,bitIndex2)
        <=> $false )
        & ( v26384(VarCurr,bitIndex1)
        <=> $false )
        & ( v26384(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8455,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v26384(VarCurr,B)
      <=> v26386(VarCurr,B) ) ) )).

fof(addAssignment_8454,axiom,(
    ! [VarCurr] :
      ( ( v26386(VarCurr,bitIndex2)
      <=> v26388(VarCurr,bitIndex7) )
      & ( v26386(VarCurr,bitIndex1)
      <=> v26388(VarCurr,bitIndex6) )
      & ( v26386(VarCurr,bitIndex0)
      <=> v26388(VarCurr,bitIndex5) ) ) )).

fof(addAssignment_8453,axiom,(
    ! [VarCurr,B] :
      ( range_7_5(B)
     => ( v26388(VarCurr,B)
      <=> v26390(VarCurr,B) ) ) )).

fof(addAssignment_8452,axiom,(
    ! [VarCurr,B] :
      ( range_7_5(B)
     => ( v26390(VarCurr,B)
      <=> v26393(VarCurr,B) ) ) )).

fof(range_axiom_94,axiom,(
    ! [B] :
      ( range_7_5(B)
    <=> ( $false
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_683,axiom,(
    ! [VarCurr] :
      ( ~ v26355(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26303(VarCurr,B)
          <=> $false ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_627,axiom,(
    ! [VarCurr] :
      ( v26355(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26303(VarCurr,B)
          <=> v26378(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges7_7,axiom,(
    ! [VarCurr] :
      ( ( ~ v26362(VarCurr)
        & ~ v26365(VarCurr)
        & ~ v26368(VarCurr)
        & ~ v26369(VarCurr)
        & ~ v26370(VarCurr)
        & ~ v26373(VarCurr)
        & ~ v26376(VarCurr) )
     => ! [B] :
          ( range_6_0(B)
         => ( v26378(VarCurr,B)
          <=> v26380(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges6_8,axiom,(
    ! [VarCurr] :
      ( v26376(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26378(VarCurr,B)
          <=> b1000010(B) ) ) ) )).

fof(bitBlastConstant_9222,axiom,(
    b1000010(bitIndex6) )).

fof(bitBlastConstant_9221,axiom,(
    ~ b1000010(bitIndex5) )).

fof(bitBlastConstant_9220,axiom,(
    ~ b1000010(bitIndex4) )).

fof(bitBlastConstant_9219,axiom,(
    ~ b1000010(bitIndex3) )).

fof(bitBlastConstant_9218,axiom,(
    ~ b1000010(bitIndex2) )).

fof(bitBlastConstant_9217,axiom,(
    b1000010(bitIndex1) )).

fof(bitBlastConstant_9216,axiom,(
    ~ b1000010(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges5_14,axiom,(
    ! [VarCurr] :
      ( v26373(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26378(VarCurr,B)
          <=> b1100000(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges4_15,axiom,(
    ! [VarCurr] :
      ( v26370(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26378(VarCurr,B)
          <=> b1000000(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_70,axiom,(
    ! [VarCurr] :
      ( v26369(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26378(VarCurr,B)
          <=> v26379(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_283,axiom,(
    ! [VarCurr] :
      ( v26368(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26378(VarCurr,B)
          <=> b0000010(B) ) ) ) )).

fof(bitBlastConstant_9215,axiom,(
    ~ b0000010(bitIndex6) )).

fof(bitBlastConstant_9214,axiom,(
    ~ b0000010(bitIndex5) )).

fof(bitBlastConstant_9213,axiom,(
    ~ b0000010(bitIndex4) )).

fof(bitBlastConstant_9212,axiom,(
    ~ b0000010(bitIndex3) )).

fof(bitBlastConstant_9211,axiom,(
    ~ b0000010(bitIndex2) )).

fof(bitBlastConstant_9210,axiom,(
    b0000010(bitIndex1) )).

fof(bitBlastConstant_9209,axiom,(
    ~ b0000010(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges1_679,axiom,(
    ! [VarCurr] :
      ( v26365(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26378(VarCurr,B)
          <=> b0100000(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_675,axiom,(
    ! [VarCurr] :
      ( v26362(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26378(VarCurr,B)
          <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_682,axiom,(
    ! [VarCurr] :
      ( ~ v26306(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26380(VarCurr,B)
          <=> b1000100(B) ) ) ) )).

fof(bitBlastConstant_9208,axiom,(
    b1000100(bitIndex6) )).

fof(bitBlastConstant_9207,axiom,(
    ~ b1000100(bitIndex5) )).

fof(bitBlastConstant_9206,axiom,(
    ~ b1000100(bitIndex4) )).

fof(bitBlastConstant_9205,axiom,(
    ~ b1000100(bitIndex3) )).

fof(bitBlastConstant_9204,axiom,(
    b1000100(bitIndex2) )).

fof(bitBlastConstant_9203,axiom,(
    ~ b1000100(bitIndex1) )).

fof(bitBlastConstant_9202,axiom,(
    ~ b1000100(bitIndex0) )).

fof(addConditionBooleanCondEqualRangesThenBranch_626,axiom,(
    ! [VarCurr] :
      ( v26306(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26380(VarCurr,B)
          <=> b1000101(B) ) ) ) )).

fof(bitBlastConstant_9201,axiom,(
    b1000101(bitIndex6) )).

fof(bitBlastConstant_9200,axiom,(
    ~ b1000101(bitIndex5) )).

fof(bitBlastConstant_9199,axiom,(
    ~ b1000101(bitIndex4) )).

fof(bitBlastConstant_9198,axiom,(
    ~ b1000101(bitIndex3) )).

fof(bitBlastConstant_9197,axiom,(
    b1000101(bitIndex2) )).

fof(bitBlastConstant_9196,axiom,(
    ~ b1000101(bitIndex1) )).

fof(bitBlastConstant_9195,axiom,(
    b1000101(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_681,axiom,(
    ! [VarCurr] :
      ( ~ v26306(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26379(VarCurr,B)
          <=> b0000100(B) ) ) ) )).

fof(bitBlastConstant_9194,axiom,(
    ~ b0000100(bitIndex6) )).

fof(bitBlastConstant_9193,axiom,(
    ~ b0000100(bitIndex5) )).

fof(bitBlastConstant_9192,axiom,(
    ~ b0000100(bitIndex4) )).

fof(bitBlastConstant_9191,axiom,(
    ~ b0000100(bitIndex3) )).

fof(bitBlastConstant_9190,axiom,(
    b0000100(bitIndex2) )).

fof(bitBlastConstant_9189,axiom,(
    ~ b0000100(bitIndex1) )).

fof(bitBlastConstant_9188,axiom,(
    ~ b0000100(bitIndex0) )).

fof(addConditionBooleanCondEqualRangesThenBranch_625,axiom,(
    ! [VarCurr] :
      ( v26306(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26379(VarCurr,B)
          <=> b0000101(B) ) ) ) )).

fof(bitBlastConstant_9187,axiom,(
    ~ b0000101(bitIndex6) )).

fof(bitBlastConstant_9186,axiom,(
    ~ b0000101(bitIndex5) )).

fof(bitBlastConstant_9185,axiom,(
    ~ b0000101(bitIndex4) )).

fof(bitBlastConstant_9184,axiom,(
    ~ b0000101(bitIndex3) )).

fof(bitBlastConstant_9183,axiom,(
    b0000101(bitIndex2) )).

fof(bitBlastConstant_9182,axiom,(
    ~ b0000101(bitIndex1) )).

fof(bitBlastConstant_9181,axiom,(
    b0000101(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5840,axiom,(
    ! [VarCurr] :
      ( v26355(VarCurr)
    <=> ( v26356(VarCurr)
        | v26377(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1822,axiom,(
    ! [VarCurr] :
      ( v26377(VarCurr)
    <=> ( ( v12021(VarCurr,bitIndex3)
        <=> $false )
        & ( v12021(VarCurr,bitIndex2)
        <=> $true )
        & ( v12021(VarCurr,bitIndex1)
        <=> $true )
        & ( v12021(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5839,axiom,(
    ! [VarCurr] :
      ( v26356(VarCurr)
    <=> ( v26357(VarCurr)
        | v26376(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1821,axiom,(
    ! [VarCurr] :
      ( v26376(VarCurr)
    <=> ( ( v12021(VarCurr,bitIndex3)
        <=> $false )
        & ( v12021(VarCurr,bitIndex2)
        <=> $true )
        & ( v12021(VarCurr,bitIndex1)
        <=> $true )
        & ( v12021(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5838,axiom,(
    ! [VarCurr] :
      ( v26357(VarCurr)
    <=> ( v26358(VarCurr)
        | v26373(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5837,axiom,(
    ! [VarCurr] :
      ( v26373(VarCurr)
    <=> ( v26374(VarCurr)
        | v26375(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1820,axiom,(
    ! [VarCurr] :
      ( v26375(VarCurr)
    <=> ( ( v12021(VarCurr,bitIndex3)
        <=> $false )
        & ( v12021(VarCurr,bitIndex2)
        <=> $true )
        & ( v12021(VarCurr,bitIndex1)
        <=> $false )
        & ( v12021(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1819,axiom,(
    ! [VarCurr] :
      ( v26374(VarCurr)
    <=> ( ( v12021(VarCurr,bitIndex3)
        <=> $false )
        & ( v12021(VarCurr,bitIndex2)
        <=> $false )
        & ( v12021(VarCurr,bitIndex1)
        <=> $false )
        & ( v12021(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5836,axiom,(
    ! [VarCurr] :
      ( v26358(VarCurr)
    <=> ( v26359(VarCurr)
        | v26370(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5835,axiom,(
    ! [VarCurr] :
      ( v26370(VarCurr)
    <=> ( v26371(VarCurr)
        | v26372(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1818,axiom,(
    ! [VarCurr] :
      ( v26372(VarCurr)
    <=> ( ( v12021(VarCurr,bitIndex3)
        <=> $false )
        & ( v12021(VarCurr,bitIndex2)
        <=> $true )
        & ( v12021(VarCurr,bitIndex1)
        <=> $false )
        & ( v12021(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1817,axiom,(
    ! [VarCurr] :
      ( v26371(VarCurr)
    <=> ( ( v12021(VarCurr,bitIndex3)
        <=> $false )
        & ( v12021(VarCurr,bitIndex2)
        <=> $false )
        & ( v12021(VarCurr,bitIndex1)
        <=> $false )
        & ( v12021(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5834,axiom,(
    ! [VarCurr] :
      ( v26359(VarCurr)
    <=> ( v26360(VarCurr)
        | v26369(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1816,axiom,(
    ! [VarCurr] :
      ( v26369(VarCurr)
    <=> ( ( v12021(VarCurr,bitIndex3)
        <=> $true )
        & ( v12021(VarCurr,bitIndex2)
        <=> $true )
        & ( v12021(VarCurr,bitIndex1)
        <=> $true )
        & ( v12021(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5833,axiom,(
    ! [VarCurr] :
      ( v26360(VarCurr)
    <=> ( v26361(VarCurr)
        | v26368(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1815,axiom,(
    ! [VarCurr] :
      ( v26368(VarCurr)
    <=> ( ( v12021(VarCurr,bitIndex3)
        <=> $true )
        & ( v12021(VarCurr,bitIndex2)
        <=> $true )
        & ( v12021(VarCurr,bitIndex1)
        <=> $true )
        & ( v12021(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5832,axiom,(
    ! [VarCurr] :
      ( v26361(VarCurr)
    <=> ( v26362(VarCurr)
        | v26365(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5831,axiom,(
    ! [VarCurr] :
      ( v26365(VarCurr)
    <=> ( v26366(VarCurr)
        | v26367(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1814,axiom,(
    ! [VarCurr] :
      ( v26367(VarCurr)
    <=> ( ( v12021(VarCurr,bitIndex3)
        <=> $true )
        & ( v12021(VarCurr,bitIndex2)
        <=> $true )
        & ( v12021(VarCurr,bitIndex1)
        <=> $false )
        & ( v12021(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1813,axiom,(
    ! [VarCurr] :
      ( v26366(VarCurr)
    <=> ( ( v12021(VarCurr,bitIndex3)
        <=> $true )
        & ( v12021(VarCurr,bitIndex2)
        <=> $false )
        & ( v12021(VarCurr,bitIndex1)
        <=> $false )
        & ( v12021(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5830,axiom,(
    ! [VarCurr] :
      ( v26362(VarCurr)
    <=> ( v26363(VarCurr)
        | v26364(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1812,axiom,(
    ! [VarCurr] :
      ( v26364(VarCurr)
    <=> ( ( v12021(VarCurr,bitIndex3)
        <=> $true )
        & ( v12021(VarCurr,bitIndex2)
        <=> $true )
        & ( v12021(VarCurr,bitIndex1)
        <=> $false )
        & ( v12021(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1811,axiom,(
    ! [VarCurr] :
      ( v26363(VarCurr)
    <=> ( ( v12021(VarCurr,bitIndex3)
        <=> $true )
        & ( v12021(VarCurr,bitIndex2)
        <=> $false )
        & ( v12021(VarCurr,bitIndex1)
        <=> $false )
        & ( v12021(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_680,axiom,(
    ! [VarCurr] :
      ( ~ v26348(VarCurr)
     => ( v26306(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_624,axiom,(
    ! [VarCurr] :
      ( v26348(VarCurr)
     => ( v26306(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1810,axiom,(
    ! [VarCurr] :
      ( v26348(VarCurr)
    <=> ( ( v26308(VarCurr,bitIndex7)
        <=> v26344(VarCurr,bitIndex27) )
        & ( v26308(VarCurr,bitIndex6)
        <=> v26344(VarCurr,bitIndex26) )
        & ( v26308(VarCurr,bitIndex5)
        <=> v26344(VarCurr,bitIndex25) )
        & ( v26308(VarCurr,bitIndex4)
        <=> v26344(VarCurr,bitIndex24) )
        & ( v26308(VarCurr,bitIndex3)
        <=> v26344(VarCurr,bitIndex23) )
        & ( v26308(VarCurr,bitIndex2)
        <=> v26344(VarCurr,bitIndex22) )
        & ( v26308(VarCurr,bitIndex1)
        <=> v26344(VarCurr,bitIndex21) )
        & ( v26308(VarCurr,bitIndex0)
        <=> v26344(VarCurr,bitIndex20) ) ) ) )).

fof(addAssignment_8451,axiom,(
    ! [VarCurr,B] :
      ( range_27_20(B)
     => ( v26344(VarCurr,B)
      <=> v26346(VarCurr,B) ) ) )).

fof(range_axiom_93,axiom,(
    ! [B] :
      ( range_27_20(B)
    <=> ( $false
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B ) ) )).

fof(addAssignment_8450,axiom,(
    ! [VarCurr] :
      ( ( v26346(VarCurr,bitIndex27)
      <=> v12025(VarCurr,bitIndex54) )
      & ( v26346(VarCurr,bitIndex26)
      <=> v12025(VarCurr,bitIndex53) )
      & ( v26346(VarCurr,bitIndex25)
      <=> v12025(VarCurr,bitIndex52) )
      & ( v26346(VarCurr,bitIndex24)
      <=> v12025(VarCurr,bitIndex51) )
      & ( v26346(VarCurr,bitIndex23)
      <=> v12025(VarCurr,bitIndex50) )
      & ( v26346(VarCurr,bitIndex22)
      <=> v12025(VarCurr,bitIndex49) )
      & ( v26346(VarCurr,bitIndex21)
      <=> v12025(VarCurr,bitIndex48) )
      & ( v26346(VarCurr,bitIndex20)
      <=> v12025(VarCurr,bitIndex47) ) ) )).

fof(addAssignment_8449,axiom,(
    ! [VarCurr,B] :
      ( range_54_47(B)
     => ( v12025(VarCurr,B)
      <=> v12027(VarCurr,B) ) ) )).

fof(addAssignment_8448,axiom,(
    ! [VarCurr,B] :
      ( range_54_47(B)
     => ( v12027(VarCurr,B)
      <=> v12135(VarCurr,B) ) ) )).

fof(range_axiom_92,axiom,(
    ! [B] :
      ( range_54_47(B)
    <=> ( $false
        | bitIndex47 = B
        | bitIndex48 = B
        | bitIndex49 = B
        | bitIndex50 = B
        | bitIndex51 = B
        | bitIndex52 = B
        | bitIndex53 = B
        | bitIndex54 = B ) ) )).

fof(addAssignment_8447,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v26308(VarCurr,B)
      <=> v26310(VarCurr,B) ) ) )).

fof(addAssignment_8446,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v26310(VarCurr,B)
      <=> v26312(VarCurr,B) ) ) )).

fof(addAssignment_8445,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v26312(VarCurr,B)
      <=> v26314(VarCurr,B) ) ) )).

fof(addAssignment_8444,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v26314(VarCurr,B)
      <=> v26316(VarCurr,B) ) ) )).

fof(addAssignment_8443,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v26316(VarCurr,B)
      <=> v26318(VarCurr,B) ) ) )).

fof(addAssignment_8442,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v26318(VarCurr,B)
      <=> v26320(VarCurr,B) ) ) )).

fof(addAssignment_8441,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v26320(VarCurr,B)
      <=> v26322(VarCurr,B) ) ) )).

fof(addAssignment_8440,axiom,(
    ! [VarCurr] :
      ( ( v26322(VarCurr,bitIndex7)
      <=> v26324(VarCurr,bitIndex31) )
      & ( v26322(VarCurr,bitIndex6)
      <=> v26324(VarCurr,bitIndex30) )
      & ( v26322(VarCurr,bitIndex5)
      <=> v26324(VarCurr,bitIndex29) )
      & ( v26322(VarCurr,bitIndex4)
      <=> v26324(VarCurr,bitIndex28) )
      & ( v26322(VarCurr,bitIndex3)
      <=> v26324(VarCurr,bitIndex27) )
      & ( v26322(VarCurr,bitIndex2)
      <=> v26324(VarCurr,bitIndex26) )
      & ( v26322(VarCurr,bitIndex1)
      <=> v26324(VarCurr,bitIndex25) )
      & ( v26322(VarCurr,bitIndex0)
      <=> v26324(VarCurr,bitIndex24) ) ) )).

fof(addAssignment_8439,axiom,(
    ! [VarCurr,B] :
      ( range_31_24(B)
     => ( v26324(VarCurr,B)
      <=> v26326(VarCurr,B) ) ) )).

fof(range_axiom_91,axiom,(
    ! [B] :
      ( range_31_24(B)
    <=> ( $false
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B ) ) )).

fof(addAssignment_8438,axiom,(
    ! [VarCurr] :
      ( v26326(VarCurr,bitIndex31)
    <=> v26342(VarCurr) ) )).

fof(addAssignment_8437,axiom,(
    ! [VarCurr] :
      ( v26326(VarCurr,bitIndex30)
    <=> v26340(VarCurr) ) )).

fof(addAssignment_8436,axiom,(
    ! [VarCurr] :
      ( v26326(VarCurr,bitIndex29)
    <=> v26338(VarCurr) ) )).

fof(addAssignment_8435,axiom,(
    ! [VarCurr] :
      ( v26326(VarCurr,bitIndex28)
    <=> v26336(VarCurr) ) )).

fof(addAssignment_8434,axiom,(
    ! [VarCurr] :
      ( v26326(VarCurr,bitIndex27)
    <=> v26334(VarCurr) ) )).

fof(addAssignment_8433,axiom,(
    ! [VarCurr] :
      ( v26326(VarCurr,bitIndex26)
    <=> v26332(VarCurr) ) )).

fof(addAssignment_8432,axiom,(
    ! [VarCurr] :
      ( v26326(VarCurr,bitIndex25)
    <=> v26330(VarCurr) ) )).

fof(addAssignment_8431,axiom,(
    ! [VarCurr] :
      ( v26326(VarCurr,bitIndex24)
    <=> v26328(VarCurr) ) )).

fof(addAssignment_8430,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v12021(VarCurr,B)
      <=> v12023(VarCurr,B) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_679,axiom,(
    ! [VarCurr] :
      ( ~ v11945(VarCurr,bitIndex1)
     => ! [B] :
          ( range_6_0(B)
         => ( v26300(VarCurr,B)
          <=> b1001010(B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_623,axiom,(
    ! [VarCurr] :
      ( v11945(VarCurr,bitIndex1)
     => ! [B] :
          ( range_6_0(B)
         => ( v26300(VarCurr,B)
          <=> b1111010(B) ) ) ) )).

fof(addAssignment_8429,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v26291(VarCurr,B)
      <=> v26293(VarCurr,B) ) ) )).

fof(addAssignment_8428,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v26293(VarCurr,B)
      <=> v26295(VarCurr,B) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_678,axiom,(
    ! [VarCurr] :
      ( ~ v26297(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v26295(VarCurr,B)
          <=> v26298(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_622,axiom,(
    ! [VarCurr] :
      ( v26297(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v26295(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_677,axiom,(
    ! [VarCurr] :
      ( ~ v29(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v26298(VarCurr,B)
          <=> $false ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_621,axiom,(
    ! [VarCurr] :
      ( v29(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v26298(VarCurr,B)
          <=> b10(B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5829,axiom,(
    ! [VarCurr] :
      ( v26297(VarCurr)
    <=> ( v12147(VarCurr)
        | v12743(VarCurr) ) ) )).

fof(addAssignment_8427,axiom,(
    ! [VarCurr] :
      ( v26280(VarCurr)
    <=> v26282(VarCurr) ) )).

fof(addAssignment_8426,axiom,(
    ! [VarCurr] :
      ( v26282(VarCurr)
    <=> v26284(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5828,axiom,(
    ! [VarCurr] :
      ( v26284(VarCurr)
    <=> ( v26286(VarCurr)
        | v27(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5827,axiom,(
    ! [VarCurr] :
      ( v26286(VarCurr)
    <=> ( v26287(VarCurr)
        | v12145(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5826,axiom,(
    ! [VarCurr] :
      ( v26287(VarCurr)
    <=> ( v85(VarCurr)
        | v11978(VarCurr) ) ) )).

fof(addAssignment_8425,axiom,(
    ! [VarCurr] :
      ( v26211(VarCurr)
    <=> v26213(VarCurr,bitIndex2) ) )).

fof(addAssignment_8424,axiom,(
    ! [VarCurr] :
      ( v26213(VarCurr,bitIndex2)
    <=> v26227(VarCurr,bitIndex2) ) )).

fof(addAssignment_8423,axiom,(
    ! [VarNext] :
      ( v25449(VarNext,bitIndex1)
    <=> v26252(VarNext,bitIndex1) ) )).

fof(addCaseBooleanConditionEqualRanges1_313,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26253(VarNext)
       => ! [B] :
            ( range_6_0(B)
           => ( v26252(VarNext,B)
            <=> v25449(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_351,axiom,(
    ! [VarNext] :
      ( v26253(VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v26252(VarNext,B)
          <=> v26224(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5825,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26253(VarNext)
      <=> v26254(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5824,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26254(VarNext)
      <=> ( v26256(VarNext)
          & v25415(VarNext) ) ) ) )).

fof(writeUnaryOperator_2699,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26256(VarNext)
      <=> v25426(VarNext) ) ) )).

fof(addAssignment_8422,axiom,(
    ! [VarCurr] :
      ( v26213(VarCurr,bitIndex1)
    <=> v26227(VarCurr,bitIndex1) ) )).

fof(addAssignment_8421,axiom,(
    ! [VarNext] :
      ( v25449(VarNext,bitIndex0)
    <=> v26244(VarNext,bitIndex0) ) )).

fof(addCaseBooleanConditionEqualRanges1_312,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26245(VarNext)
       => ! [B] :
            ( range_6_0(B)
           => ( v26244(VarNext,B)
            <=> v25449(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_350,axiom,(
    ! [VarNext] :
      ( v26245(VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v26244(VarNext,B)
          <=> v26224(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5823,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26245(VarNext)
      <=> v26246(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5822,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26246(VarNext)
      <=> ( v26248(VarNext)
          & v25415(VarNext) ) ) ) )).

fof(writeUnaryOperator_2698,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26248(VarNext)
      <=> v25426(VarNext) ) ) )).

fof(addAssignment_8420,axiom,(
    ! [VarCurr] :
      ( v26213(VarCurr,bitIndex0)
    <=> v26227(VarCurr,bitIndex0) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_676,axiom,(
    ! [VarCurr] :
      ( ~ v26228(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26227(VarCurr,B)
          <=> v26230(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_620,axiom,(
    ! [VarCurr] :
      ( v26228(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26227(VarCurr,B)
          <=> v26229(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_69,axiom,(
    ! [VarCurr] :
      ( ( ~ v26231(VarCurr)
        & ~ v26233(VarCurr)
        & ~ v26237(VarCurr) )
     => ! [B] :
          ( range_6_0(B)
         => ( v26230(VarCurr,B)
          <=> v25449(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_282,axiom,(
    ! [VarCurr] :
      ( v26237(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26230(VarCurr,B)
          <=> v26239(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_678,axiom,(
    ! [VarCurr] :
      ( v26233(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26230(VarCurr,B)
          <=> v26235(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_674,axiom,(
    ! [VarCurr] :
      ( v26231(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26230(VarCurr,B)
          <=> v25449(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1809,axiom,(
    ! [VarCurr] :
      ( v26241(VarCurr)
    <=> ( ( v26242(VarCurr,bitIndex1)
        <=> $true )
        & ( v26242(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8419,axiom,(
    ! [VarCurr] :
      ( v26242(VarCurr,bitIndex0)
    <=> v25381(VarCurr) ) )).

fof(addAssignment_8418,axiom,(
    ! [VarCurr] :
      ( v26242(VarCurr,bitIndex1)
    <=> v69(VarCurr) ) )).

fof(addAssignment_8417,axiom,(
    ! [VarCurr] :
      ( v26239(VarCurr,bitIndex0)
    <=> $false ) )).

fof(addAssignment_8416,axiom,(
    ! [VarCurr] :
      ( ( v26239(VarCurr,bitIndex6)
      <=> v25449(VarCurr,bitIndex5) )
      & ( v26239(VarCurr,bitIndex5)
      <=> v25449(VarCurr,bitIndex4) )
      & ( v26239(VarCurr,bitIndex4)
      <=> v25449(VarCurr,bitIndex3) )
      & ( v26239(VarCurr,bitIndex3)
      <=> v25449(VarCurr,bitIndex2) )
      & ( v26239(VarCurr,bitIndex2)
      <=> v25449(VarCurr,bitIndex1) )
      & ( v26239(VarCurr,bitIndex1)
      <=> v25449(VarCurr,bitIndex0) ) ) )).

fof(addBitVectorEqualityBitBlasted_1808,axiom,(
    ! [VarCurr] :
      ( v26237(VarCurr)
    <=> ( ( v26238(VarCurr,bitIndex1)
        <=> $true )
        & ( v26238(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8415,axiom,(
    ! [VarCurr] :
      ( v26238(VarCurr,bitIndex0)
    <=> v25381(VarCurr) ) )).

fof(addAssignment_8414,axiom,(
    ! [VarCurr] :
      ( v26238(VarCurr,bitIndex1)
    <=> v69(VarCurr) ) )).

fof(addAssignment_8413,axiom,(
    ! [VarCurr] :
      ( ( v26235(VarCurr,bitIndex5)
      <=> v25449(VarCurr,bitIndex6) )
      & ( v26235(VarCurr,bitIndex4)
      <=> v25449(VarCurr,bitIndex5) )
      & ( v26235(VarCurr,bitIndex3)
      <=> v25449(VarCurr,bitIndex4) )
      & ( v26235(VarCurr,bitIndex2)
      <=> v25449(VarCurr,bitIndex3) )
      & ( v26235(VarCurr,bitIndex1)
      <=> v25449(VarCurr,bitIndex2) )
      & ( v26235(VarCurr,bitIndex0)
      <=> v25449(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_8412,axiom,(
    ! [VarCurr] :
      ( v26235(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_1807,axiom,(
    ! [VarCurr] :
      ( v26233(VarCurr)
    <=> ( ( v26234(VarCurr,bitIndex1)
        <=> $false )
        & ( v26234(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8411,axiom,(
    ! [VarCurr] :
      ( v26234(VarCurr,bitIndex0)
    <=> v25381(VarCurr) ) )).

fof(addAssignment_8410,axiom,(
    ! [VarCurr] :
      ( v26234(VarCurr,bitIndex1)
    <=> v69(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1806,axiom,(
    ! [VarCurr] :
      ( v26231(VarCurr)
    <=> ( ( v26232(VarCurr,bitIndex1)
        <=> $false )
        & ( v26232(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8409,axiom,(
    ! [VarCurr] :
      ( v26232(VarCurr,bitIndex0)
    <=> v25381(VarCurr) ) )).

fof(addAssignment_8408,axiom,(
    ! [VarCurr] :
      ( v26232(VarCurr,bitIndex1)
    <=> v69(VarCurr) ) )).

fof(addAssignment_8407,axiom,(
    ! [VarCurr] :
      ( v26229(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_8406,axiom,(
    ! [VarCurr,B] :
      ( range_6_1(B)
     => ( v26229(VarCurr,B)
      <=> v25447(VarCurr,B) ) ) )).

fof(writeUnaryOperator_2697,axiom,(
    ! [VarCurr] :
      ( ~ v26228(VarCurr)
    <=> v58(VarCurr) ) )).

fof(addAssignment_8405,axiom,(
    ! [VarCurr] :
      ( v25447(VarCurr,bitIndex1)
    <=> v25448(VarCurr,bitIndex1) ) )).

fof(addAssignment_8404,axiom,(
    ! [VarCurr] :
      ( v25447(VarCurr,bitIndex2)
    <=> v25448(VarCurr,bitIndex2) ) )).

fof(addAssignment_8403,axiom,(
    ! [VarNext] :
      ( v25449(VarNext,bitIndex2)
    <=> v26215(VarNext,bitIndex2) ) )).

fof(addCaseBooleanConditionEqualRanges1_311,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26216(VarNext)
       => ! [B] :
            ( range_6_0(B)
           => ( v26215(VarNext,B)
            <=> v25449(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_349,axiom,(
    ! [VarNext] :
      ( v26216(VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v26215(VarNext,B)
          <=> v26224(VarNext,B) ) ) ) )).

fof(addAssignment_8402,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v26224(VarNext,B)
          <=> v26222(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_675,axiom,(
    ! [VarCurr] :
      ( ~ v25433(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26222(VarCurr,B)
          <=> v26213(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_619,axiom,(
    ! [VarCurr] :
      ( v25433(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v26222(VarCurr,B)
          <=> b0000001(B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5821,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26216(VarNext)
      <=> v26217(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5820,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26217(VarNext)
      <=> ( v26219(VarNext)
          & v25415(VarNext) ) ) ) )).

fof(writeUnaryOperator_2696,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26219(VarNext)
      <=> v25426(VarNext) ) ) )).

fof(writeUnaryOperator_2695,axiom,(
    ! [VarCurr] :
      ( ~ v26194(VarCurr)
    <=> v26148(VarCurr) ) )).

fof(addAssignmentInitValueVector_55,axiom,
    ( v26148(constB0)
  <=> $false )).

fof(addAssignment_8401,axiom,(
    ! [VarCurr] :
      ( v26168(VarCurr)
    <=> v26170(VarCurr) ) )).

fof(addAssignment_8400,axiom,(
    ! [VarCurr] :
      ( v26170(VarCurr)
    <=> v22271(VarCurr) ) )).

fof(addAssignment_8399,axiom,(
    ! [VarCurr] :
      ( v25391(VarCurr)
    <=> v25393(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5819,axiom,(
    ! [VarCurr] :
      ( v25393(VarCurr)
    <=> ( v26141(VarCurr)
        & v26046(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5818,axiom,(
    ! [VarCurr] :
      ( v26141(VarCurr)
    <=> ( v26142(VarCurr)
        & v25951(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5817,axiom,(
    ! [VarCurr] :
      ( v26142(VarCurr)
    <=> ( v26143(VarCurr)
        & v25856(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5816,axiom,(
    ! [VarCurr] :
      ( v26143(VarCurr)
    <=> ( v26144(VarCurr)
        & v25761(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5815,axiom,(
    ! [VarCurr] :
      ( v26144(VarCurr)
    <=> ( v26145(VarCurr)
        & v25666(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5814,axiom,(
    ! [VarCurr] :
      ( v26145(VarCurr)
    <=> ( v26146(VarCurr)
        & v25571(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5813,axiom,(
    ! [VarCurr] :
      ( v26146(VarCurr)
    <=> ( v25395(VarCurr)
        & v25476(VarCurr) ) ) )).

fof(addAssignment_8398,axiom,(
    ! [VarCurr] :
      ( v26046(VarCurr)
    <=> v26048(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_310,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26118(VarNext)
       => ( v26048(VarNext)
        <=> v26048(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_348,axiom,(
    ! [VarNext] :
      ( v26118(VarNext)
     => ( v26048(VarNext)
      <=> v26136(VarNext) ) ) )).

fof(addAssignment_8397,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26136(VarNext)
      <=> v26134(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_674,axiom,(
    ! [VarCurr] :
      ( ~ v26133(VarCurr)
     => ( v26134(VarCurr)
      <=> v26137(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_618,axiom,(
    ! [VarCurr] :
      ( v26133(VarCurr)
     => ( v26134(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_673,axiom,(
    ! [VarCurr] :
      ( ~ v26052(VarCurr)
     => ( v26137(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_617,axiom,(
    ! [VarCurr] :
      ( v26052(VarCurr)
     => ( v26137(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5812,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26118(VarNext)
      <=> ( v26119(VarNext)
          & v26126(VarNext) ) ) ) )).

fof(addAssignment_8396,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26126(VarNext)
      <=> v26124(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5811,axiom,(
    ! [VarCurr] :
      ( v26124(VarCurr)
    <=> ( v26127(VarCurr)
        | v26133(VarCurr) ) ) )).

fof(writeUnaryOperator_2694,axiom,(
    ! [VarCurr] :
      ( ~ v26133(VarCurr)
    <=> v26050(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5810,axiom,(
    ! [VarCurr] :
      ( v26127(VarCurr)
    <=> ( v26128(VarCurr)
        | v26052(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5809,axiom,(
    ! [VarCurr] :
      ( v26128(VarCurr)
    <=> ( v26129(VarCurr)
        & v26132(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1805,axiom,(
    ! [VarCurr] :
      ( v26132(VarCurr)
    <=> ( v26112(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5808,axiom,(
    ! [VarCurr] :
      ( v26129(VarCurr)
    <=> ( v26130(VarCurr)
        & v26131(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1804,axiom,(
    ! [VarCurr] :
      ( v26131(VarCurr)
    <=> ( v26056(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1803,axiom,(
    ! [VarCurr] :
      ( v26130(VarCurr)
    <=> ( v26054(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5807,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26119(VarNext)
      <=> ( v26120(VarNext)
          & v26078(VarNext) ) ) ) )).

fof(writeUnaryOperator_2693,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26120(VarNext)
      <=> v26085(VarNext) ) ) )).

fof(addAssignmentInitValueVector_54,axiom,
    ( v26048(constB0)
  <=> $true )).

fof(addAssignment_8395,axiom,(
    ! [VarCurr] :
      ( v26112(VarCurr,bitIndex0)
    <=> v26113(VarCurr,bitIndex0) ) )).

fof(addAssignment_8394,axiom,(
    ! [VarCurr] :
      ( v26113(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_8393,axiom,(
    ! [VarCurr,B] :
      ( range_6_1(B)
     => ( v26113(VarCurr,B)
      <=> v26114(VarCurr,B) ) ) )).

fof(addAssignment_8392,axiom,(
    ! [VarNext] :
      ( v26056(VarNext,bitIndex1)
    <=> v26104(VarNext,bitIndex1) ) )).

fof(addCaseBooleanConditionEqualRanges1_309,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26105(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v26104(VarNext,B)
            <=> v26056(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_347,axiom,(
    ! [VarNext] :
      ( v26105(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v26104(VarNext,B)
          <=> v26091(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5806,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26105(VarNext)
      <=> v26106(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5805,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26106(VarNext)
      <=> ( v26108(VarNext)
          & v26078(VarNext) ) ) ) )).

fof(writeUnaryOperator_2692,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26108(VarNext)
      <=> v26085(VarNext) ) ) )).

fof(addAssignment_8391,axiom,(
    ! [VarCurr] :
      ( v26058(VarCurr,bitIndex1)
    <=> v26063(VarCurr,bitIndex1) ) )).

fof(addAssignment_8390,axiom,(
    ! [VarCurr] :
      ( v26060(VarCurr,bitIndex1)
    <=> v26061(VarCurr,bitIndex1) ) )).

fof(addAssignment_8389,axiom,(
    ! [VarNext] :
      ( v26056(VarNext,bitIndex0)
    <=> v26096(VarNext,bitIndex0) ) )).

fof(addCaseBooleanConditionEqualRanges1_308,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26097(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v26096(VarNext,B)
            <=> v26056(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_346,axiom,(
    ! [VarNext] :
      ( v26097(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v26096(VarNext,B)
          <=> v26091(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5804,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26097(VarNext)
      <=> v26098(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5803,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26098(VarNext)
      <=> ( v26100(VarNext)
          & v26078(VarNext) ) ) ) )).

fof(writeUnaryOperator_2691,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26100(VarNext)
      <=> v26085(VarNext) ) ) )).

fof(addAssignment_8388,axiom,(
    ! [VarCurr] :
      ( v26058(VarCurr,bitIndex0)
    <=> v26063(VarCurr,bitIndex0) ) )).

fof(addAssignment_8387,axiom,(
    ! [VarNext] :
      ( v26056(VarNext,bitIndex2)
    <=> v26080(VarNext,bitIndex2) ) )).

fof(addCaseBooleanConditionEqualRanges1_307,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26081(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v26080(VarNext,B)
            <=> v26056(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_345,axiom,(
    ! [VarNext] :
      ( v26081(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v26080(VarNext,B)
          <=> v26091(VarNext,B) ) ) ) )).

fof(addAssignment_8386,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v26091(VarNext,B)
          <=> v26089(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_672,axiom,(
    ! [VarCurr] :
      ( ~ v26092(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v26089(VarCurr,B)
          <=> v26058(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_616,axiom,(
    ! [VarCurr] :
      ( v26092(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v26089(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_2690,axiom,(
    ! [VarCurr] :
      ( ~ v26092(VarCurr)
    <=> v26050(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5802,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26081(VarNext)
      <=> v26082(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5801,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26082(VarNext)
      <=> ( v26083(VarNext)
          & v26078(VarNext) ) ) ) )).

fof(writeUnaryOperator_2689,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26083(VarNext)
      <=> v26085(VarNext) ) ) )).

fof(addAssignment_8385,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26085(VarNext)
      <=> v26078(VarCurr) ) ) )).

fof(addAssignment_8384,axiom,(
    ! [VarCurr] :
      ( v26078(VarCurr)
    <=> v25417(VarCurr) ) )).

fof(addAssignment_8383,axiom,(
    ! [VarCurr] :
      ( v26058(VarCurr,bitIndex2)
    <=> v26063(VarCurr,bitIndex2) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_671,axiom,(
    ! [VarCurr] :
      ( ~ v26064(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v26063(VarCurr,B)
          <=> v26065(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_615,axiom,(
    ! [VarCurr] :
      ( v26064(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v26063(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_68,axiom,(
    ! [VarCurr] :
      ( ( ~ v26066(VarCurr)
        & ~ v26068(VarCurr)
        & ~ v26072(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v26065(VarCurr,B)
          <=> v26056(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_281,axiom,(
    ! [VarCurr] :
      ( v26072(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v26065(VarCurr,B)
          <=> v26074(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_677,axiom,(
    ! [VarCurr] :
      ( v26068(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v26065(VarCurr,B)
          <=> v26070(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_673,axiom,(
    ! [VarCurr] :
      ( v26066(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v26065(VarCurr,B)
          <=> v26056(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1802,axiom,(
    ! [VarCurr] :
      ( v26075(VarCurr)
    <=> ( ( v26076(VarCurr,bitIndex1)
        <=> $true )
        & ( v26076(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8382,axiom,(
    ! [VarCurr] :
      ( v26076(VarCurr,bitIndex0)
    <=> v26054(VarCurr) ) )).

fof(addAssignment_8381,axiom,(
    ! [VarCurr] :
      ( v26076(VarCurr,bitIndex1)
    <=> v26052(VarCurr) ) )).

fof(addAssignment_8380,axiom,(
    ! [VarCurr] :
      ( v26074(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_8379,axiom,(
    ! [VarCurr,B] :
      ( range_3_1(B)
     => ( v26074(VarCurr,B)
      <=> v26060(VarCurr,B) ) ) )).

fof(addBitVectorEqualityBitBlasted_1801,axiom,(
    ! [VarCurr] :
      ( v26072(VarCurr)
    <=> ( ( v26073(VarCurr,bitIndex1)
        <=> $true )
        & ( v26073(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8378,axiom,(
    ! [VarCurr] :
      ( v26073(VarCurr,bitIndex0)
    <=> v26054(VarCurr) ) )).

fof(addAssignment_8377,axiom,(
    ! [VarCurr] :
      ( v26073(VarCurr,bitIndex1)
    <=> v26052(VarCurr) ) )).

fof(addAssignment_8376,axiom,(
    ! [VarCurr] :
      ( ( v26070(VarCurr,bitIndex2)
      <=> v26056(VarCurr,bitIndex3) )
      & ( v26070(VarCurr,bitIndex1)
      <=> v26056(VarCurr,bitIndex2) )
      & ( v26070(VarCurr,bitIndex0)
      <=> v26056(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_8375,axiom,(
    ! [VarCurr] :
      ( v26070(VarCurr,bitIndex3)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_1800,axiom,(
    ! [VarCurr] :
      ( v26068(VarCurr)
    <=> ( ( v26069(VarCurr,bitIndex1)
        <=> $false )
        & ( v26069(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8374,axiom,(
    ! [VarCurr] :
      ( v26069(VarCurr,bitIndex0)
    <=> v26054(VarCurr) ) )).

fof(addAssignment_8373,axiom,(
    ! [VarCurr] :
      ( v26069(VarCurr,bitIndex1)
    <=> v26052(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1799,axiom,(
    ! [VarCurr] :
      ( v26066(VarCurr)
    <=> ( ( v26067(VarCurr,bitIndex1)
        <=> $false )
        & ( v26067(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8372,axiom,(
    ! [VarCurr] :
      ( v26067(VarCurr,bitIndex0)
    <=> v26054(VarCurr) ) )).

fof(addAssignment_8371,axiom,(
    ! [VarCurr] :
      ( v26067(VarCurr,bitIndex1)
    <=> v26052(VarCurr) ) )).

fof(writeUnaryOperator_2688,axiom,(
    ! [VarCurr] :
      ( ~ v26064(VarCurr)
    <=> v26050(VarCurr) ) )).

fof(addAssignment_8370,axiom,(
    ! [VarCurr] :
      ( v26060(VarCurr,bitIndex2)
    <=> v26061(VarCurr,bitIndex2) ) )).

fof(addAssignment_8369,axiom,(
    ! [VarCurr] :
      ( v26061(VarCurr,bitIndex0)
    <=> $false ) )).

fof(addAssignment_8368,axiom,(
    ! [VarCurr] :
      ( ( v26061(VarCurr,bitIndex3)
      <=> v26056(VarCurr,bitIndex2) )
      & ( v26061(VarCurr,bitIndex2)
      <=> v26056(VarCurr,bitIndex1) )
      & ( v26061(VarCurr,bitIndex1)
      <=> v26056(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_8367,axiom,(
    ! [VarCurr] :
      ( v26054(VarCurr)
    <=> v25383(VarCurr) ) )).

fof(addAssignment_8366,axiom,(
    ! [VarCurr] :
      ( v26052(VarCurr)
    <=> v71(VarCurr) ) )).

fof(addAssignment_8365,axiom,(
    ! [VarCurr] :
      ( v26050(VarCurr)
    <=> v60(VarCurr) ) )).

fof(addAssignment_8364,axiom,(
    ! [VarCurr] :
      ( v25951(VarCurr)
    <=> v25953(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_306,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26023(VarNext)
       => ( v25953(VarNext)
        <=> v25953(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_344,axiom,(
    ! [VarNext] :
      ( v26023(VarNext)
     => ( v25953(VarNext)
      <=> v26041(VarNext) ) ) )).

fof(addAssignment_8363,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26041(VarNext)
      <=> v26039(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_670,axiom,(
    ! [VarCurr] :
      ( ~ v26038(VarCurr)
     => ( v26039(VarCurr)
      <=> v26042(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_614,axiom,(
    ! [VarCurr] :
      ( v26038(VarCurr)
     => ( v26039(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_669,axiom,(
    ! [VarCurr] :
      ( ~ v25957(VarCurr)
     => ( v26042(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_613,axiom,(
    ! [VarCurr] :
      ( v25957(VarCurr)
     => ( v26042(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5800,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26023(VarNext)
      <=> ( v26024(VarNext)
          & v26031(VarNext) ) ) ) )).

fof(addAssignment_8362,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26031(VarNext)
      <=> v26029(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5799,axiom,(
    ! [VarCurr] :
      ( v26029(VarCurr)
    <=> ( v26032(VarCurr)
        | v26038(VarCurr) ) ) )).

fof(writeUnaryOperator_2687,axiom,(
    ! [VarCurr] :
      ( ~ v26038(VarCurr)
    <=> v25955(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5798,axiom,(
    ! [VarCurr] :
      ( v26032(VarCurr)
    <=> ( v26033(VarCurr)
        | v25957(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5797,axiom,(
    ! [VarCurr] :
      ( v26033(VarCurr)
    <=> ( v26034(VarCurr)
        & v26037(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1798,axiom,(
    ! [VarCurr] :
      ( v26037(VarCurr)
    <=> ( v26017(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5796,axiom,(
    ! [VarCurr] :
      ( v26034(VarCurr)
    <=> ( v26035(VarCurr)
        & v26036(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1797,axiom,(
    ! [VarCurr] :
      ( v26036(VarCurr)
    <=> ( v25961(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1796,axiom,(
    ! [VarCurr] :
      ( v26035(VarCurr)
    <=> ( v25959(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5795,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26024(VarNext)
      <=> ( v26025(VarNext)
          & v25983(VarNext) ) ) ) )).

fof(writeUnaryOperator_2686,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26025(VarNext)
      <=> v25990(VarNext) ) ) )).

fof(addAssignmentInitValueVector_53,axiom,
    ( v25953(constB0)
  <=> $true )).

fof(addAssignment_8361,axiom,(
    ! [VarCurr] :
      ( v26017(VarCurr,bitIndex0)
    <=> v26018(VarCurr,bitIndex0) ) )).

fof(addAssignment_8360,axiom,(
    ! [VarCurr] :
      ( v26018(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_8359,axiom,(
    ! [VarCurr,B] :
      ( range_6_1(B)
     => ( v26018(VarCurr,B)
      <=> v26019(VarCurr,B) ) ) )).

fof(addAssignment_8358,axiom,(
    ! [VarNext] :
      ( v25961(VarNext,bitIndex1)
    <=> v26009(VarNext,bitIndex1) ) )).

fof(addCaseBooleanConditionEqualRanges1_305,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26010(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v26009(VarNext,B)
            <=> v25961(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_343,axiom,(
    ! [VarNext] :
      ( v26010(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v26009(VarNext,B)
          <=> v25996(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5794,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26010(VarNext)
      <=> v26011(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5793,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26011(VarNext)
      <=> ( v26013(VarNext)
          & v25983(VarNext) ) ) ) )).

fof(writeUnaryOperator_2685,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26013(VarNext)
      <=> v25990(VarNext) ) ) )).

fof(addAssignment_8357,axiom,(
    ! [VarCurr] :
      ( v25963(VarCurr,bitIndex1)
    <=> v25968(VarCurr,bitIndex1) ) )).

fof(addAssignment_8356,axiom,(
    ! [VarCurr] :
      ( v25965(VarCurr,bitIndex1)
    <=> v25966(VarCurr,bitIndex1) ) )).

fof(addAssignment_8355,axiom,(
    ! [VarNext] :
      ( v25961(VarNext,bitIndex0)
    <=> v26001(VarNext,bitIndex0) ) )).

fof(addCaseBooleanConditionEqualRanges1_304,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26002(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v26001(VarNext,B)
            <=> v25961(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_342,axiom,(
    ! [VarNext] :
      ( v26002(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v26001(VarNext,B)
          <=> v25996(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5792,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26002(VarNext)
      <=> v26003(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5791,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v26003(VarNext)
      <=> ( v26005(VarNext)
          & v25983(VarNext) ) ) ) )).

fof(writeUnaryOperator_2684,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v26005(VarNext)
      <=> v25990(VarNext) ) ) )).

fof(addAssignment_8354,axiom,(
    ! [VarCurr] :
      ( v25963(VarCurr,bitIndex0)
    <=> v25968(VarCurr,bitIndex0) ) )).

fof(addAssignment_8353,axiom,(
    ! [VarNext] :
      ( v25961(VarNext,bitIndex2)
    <=> v25985(VarNext,bitIndex2) ) )).

fof(addCaseBooleanConditionEqualRanges1_303,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25986(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v25985(VarNext,B)
            <=> v25961(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_341,axiom,(
    ! [VarNext] :
      ( v25986(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v25985(VarNext,B)
          <=> v25996(VarNext,B) ) ) ) )).

fof(addAssignment_8352,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v25996(VarNext,B)
          <=> v25994(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_668,axiom,(
    ! [VarCurr] :
      ( ~ v25997(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25994(VarCurr,B)
          <=> v25963(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_612,axiom,(
    ! [VarCurr] :
      ( v25997(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25994(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_2683,axiom,(
    ! [VarCurr] :
      ( ~ v25997(VarCurr)
    <=> v25955(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5790,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25986(VarNext)
      <=> v25987(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5789,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25987(VarNext)
      <=> ( v25988(VarNext)
          & v25983(VarNext) ) ) ) )).

fof(writeUnaryOperator_2682,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25988(VarNext)
      <=> v25990(VarNext) ) ) )).

fof(addAssignment_8351,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25990(VarNext)
      <=> v25983(VarCurr) ) ) )).

fof(addAssignment_8350,axiom,(
    ! [VarCurr] :
      ( v25983(VarCurr)
    <=> v25417(VarCurr) ) )).

fof(addAssignment_8349,axiom,(
    ! [VarCurr] :
      ( v25963(VarCurr,bitIndex2)
    <=> v25968(VarCurr,bitIndex2) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_667,axiom,(
    ! [VarCurr] :
      ( ~ v25969(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25968(VarCurr,B)
          <=> v25970(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_611,axiom,(
    ! [VarCurr] :
      ( v25969(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25968(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_67,axiom,(
    ! [VarCurr] :
      ( ( ~ v25971(VarCurr)
        & ~ v25973(VarCurr)
        & ~ v25977(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v25970(VarCurr,B)
          <=> v25961(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_280,axiom,(
    ! [VarCurr] :
      ( v25977(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25970(VarCurr,B)
          <=> v25979(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_676,axiom,(
    ! [VarCurr] :
      ( v25973(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25970(VarCurr,B)
          <=> v25975(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_672,axiom,(
    ! [VarCurr] :
      ( v25971(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25970(VarCurr,B)
          <=> v25961(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1795,axiom,(
    ! [VarCurr] :
      ( v25980(VarCurr)
    <=> ( ( v25981(VarCurr,bitIndex1)
        <=> $true )
        & ( v25981(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8348,axiom,(
    ! [VarCurr] :
      ( v25981(VarCurr,bitIndex0)
    <=> v25959(VarCurr) ) )).

fof(addAssignment_8347,axiom,(
    ! [VarCurr] :
      ( v25981(VarCurr,bitIndex1)
    <=> v25957(VarCurr) ) )).

fof(addAssignment_8346,axiom,(
    ! [VarCurr] :
      ( v25979(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_8345,axiom,(
    ! [VarCurr,B] :
      ( range_3_1(B)
     => ( v25979(VarCurr,B)
      <=> v25965(VarCurr,B) ) ) )).

fof(addBitVectorEqualityBitBlasted_1794,axiom,(
    ! [VarCurr] :
      ( v25977(VarCurr)
    <=> ( ( v25978(VarCurr,bitIndex1)
        <=> $true )
        & ( v25978(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8344,axiom,(
    ! [VarCurr] :
      ( v25978(VarCurr,bitIndex0)
    <=> v25959(VarCurr) ) )).

fof(addAssignment_8343,axiom,(
    ! [VarCurr] :
      ( v25978(VarCurr,bitIndex1)
    <=> v25957(VarCurr) ) )).

fof(addAssignment_8342,axiom,(
    ! [VarCurr] :
      ( ( v25975(VarCurr,bitIndex2)
      <=> v25961(VarCurr,bitIndex3) )
      & ( v25975(VarCurr,bitIndex1)
      <=> v25961(VarCurr,bitIndex2) )
      & ( v25975(VarCurr,bitIndex0)
      <=> v25961(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_8341,axiom,(
    ! [VarCurr] :
      ( v25975(VarCurr,bitIndex3)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_1793,axiom,(
    ! [VarCurr] :
      ( v25973(VarCurr)
    <=> ( ( v25974(VarCurr,bitIndex1)
        <=> $false )
        & ( v25974(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8340,axiom,(
    ! [VarCurr] :
      ( v25974(VarCurr,bitIndex0)
    <=> v25959(VarCurr) ) )).

fof(addAssignment_8339,axiom,(
    ! [VarCurr] :
      ( v25974(VarCurr,bitIndex1)
    <=> v25957(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1792,axiom,(
    ! [VarCurr] :
      ( v25971(VarCurr)
    <=> ( ( v25972(VarCurr,bitIndex1)
        <=> $false )
        & ( v25972(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8338,axiom,(
    ! [VarCurr] :
      ( v25972(VarCurr,bitIndex0)
    <=> v25959(VarCurr) ) )).

fof(addAssignment_8337,axiom,(
    ! [VarCurr] :
      ( v25972(VarCurr,bitIndex1)
    <=> v25957(VarCurr) ) )).

fof(writeUnaryOperator_2681,axiom,(
    ! [VarCurr] :
      ( ~ v25969(VarCurr)
    <=> v25955(VarCurr) ) )).

fof(addAssignment_8336,axiom,(
    ! [VarCurr] :
      ( v25965(VarCurr,bitIndex2)
    <=> v25966(VarCurr,bitIndex2) ) )).

fof(addAssignment_8335,axiom,(
    ! [VarCurr] :
      ( v25966(VarCurr,bitIndex0)
    <=> $false ) )).

fof(addAssignment_8334,axiom,(
    ! [VarCurr] :
      ( ( v25966(VarCurr,bitIndex3)
      <=> v25961(VarCurr,bitIndex2) )
      & ( v25966(VarCurr,bitIndex2)
      <=> v25961(VarCurr,bitIndex1) )
      & ( v25966(VarCurr,bitIndex1)
      <=> v25961(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_8333,axiom,(
    ! [VarCurr] :
      ( v25959(VarCurr)
    <=> v25383(VarCurr) ) )).

fof(addAssignment_8332,axiom,(
    ! [VarCurr] :
      ( v25957(VarCurr)
    <=> v71(VarCurr) ) )).

fof(addAssignment_8331,axiom,(
    ! [VarCurr] :
      ( v25955(VarCurr)
    <=> v60(VarCurr) ) )).

fof(addAssignment_8330,axiom,(
    ! [VarCurr] :
      ( v25856(VarCurr)
    <=> v25858(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_302,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25928(VarNext)
       => ( v25858(VarNext)
        <=> v25858(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_340,axiom,(
    ! [VarNext] :
      ( v25928(VarNext)
     => ( v25858(VarNext)
      <=> v25946(VarNext) ) ) )).

fof(addAssignment_8329,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25946(VarNext)
      <=> v25944(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_666,axiom,(
    ! [VarCurr] :
      ( ~ v25943(VarCurr)
     => ( v25944(VarCurr)
      <=> v25947(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_610,axiom,(
    ! [VarCurr] :
      ( v25943(VarCurr)
     => ( v25944(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_665,axiom,(
    ! [VarCurr] :
      ( ~ v25862(VarCurr)
     => ( v25947(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_609,axiom,(
    ! [VarCurr] :
      ( v25862(VarCurr)
     => ( v25947(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5788,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25928(VarNext)
      <=> ( v25929(VarNext)
          & v25936(VarNext) ) ) ) )).

fof(addAssignment_8328,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25936(VarNext)
      <=> v25934(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5787,axiom,(
    ! [VarCurr] :
      ( v25934(VarCurr)
    <=> ( v25937(VarCurr)
        | v25943(VarCurr) ) ) )).

fof(writeUnaryOperator_2680,axiom,(
    ! [VarCurr] :
      ( ~ v25943(VarCurr)
    <=> v25860(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5786,axiom,(
    ! [VarCurr] :
      ( v25937(VarCurr)
    <=> ( v25938(VarCurr)
        | v25862(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5785,axiom,(
    ! [VarCurr] :
      ( v25938(VarCurr)
    <=> ( v25939(VarCurr)
        & v25942(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1791,axiom,(
    ! [VarCurr] :
      ( v25942(VarCurr)
    <=> ( v25922(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5784,axiom,(
    ! [VarCurr] :
      ( v25939(VarCurr)
    <=> ( v25940(VarCurr)
        & v25941(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1790,axiom,(
    ! [VarCurr] :
      ( v25941(VarCurr)
    <=> ( v25866(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1789,axiom,(
    ! [VarCurr] :
      ( v25940(VarCurr)
    <=> ( v25864(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5783,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25929(VarNext)
      <=> ( v25930(VarNext)
          & v25888(VarNext) ) ) ) )).

fof(writeUnaryOperator_2679,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25930(VarNext)
      <=> v25895(VarNext) ) ) )).

fof(addAssignmentInitValueVector_52,axiom,
    ( v25858(constB0)
  <=> $true )).

fof(addAssignment_8327,axiom,(
    ! [VarCurr] :
      ( v25922(VarCurr,bitIndex0)
    <=> v25923(VarCurr,bitIndex0) ) )).

fof(addAssignment_8326,axiom,(
    ! [VarCurr] :
      ( v25923(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_8325,axiom,(
    ! [VarCurr,B] :
      ( range_6_1(B)
     => ( v25923(VarCurr,B)
      <=> v25924(VarCurr,B) ) ) )).

fof(addAssignment_8324,axiom,(
    ! [VarNext] :
      ( v25866(VarNext,bitIndex1)
    <=> v25914(VarNext,bitIndex1) ) )).

fof(addCaseBooleanConditionEqualRanges1_301,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25915(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v25914(VarNext,B)
            <=> v25866(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_339,axiom,(
    ! [VarNext] :
      ( v25915(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v25914(VarNext,B)
          <=> v25901(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5782,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25915(VarNext)
      <=> v25916(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5781,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25916(VarNext)
      <=> ( v25918(VarNext)
          & v25888(VarNext) ) ) ) )).

fof(writeUnaryOperator_2678,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25918(VarNext)
      <=> v25895(VarNext) ) ) )).

fof(addAssignment_8323,axiom,(
    ! [VarCurr] :
      ( v25868(VarCurr,bitIndex1)
    <=> v25873(VarCurr,bitIndex1) ) )).

fof(addAssignment_8322,axiom,(
    ! [VarCurr] :
      ( v25870(VarCurr,bitIndex1)
    <=> v25871(VarCurr,bitIndex1) ) )).

fof(addAssignment_8321,axiom,(
    ! [VarNext] :
      ( v25866(VarNext,bitIndex0)
    <=> v25906(VarNext,bitIndex0) ) )).

fof(addCaseBooleanConditionEqualRanges1_300,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25907(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v25906(VarNext,B)
            <=> v25866(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_338,axiom,(
    ! [VarNext] :
      ( v25907(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v25906(VarNext,B)
          <=> v25901(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5780,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25907(VarNext)
      <=> v25908(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5779,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25908(VarNext)
      <=> ( v25910(VarNext)
          & v25888(VarNext) ) ) ) )).

fof(writeUnaryOperator_2677,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25910(VarNext)
      <=> v25895(VarNext) ) ) )).

fof(addAssignment_8320,axiom,(
    ! [VarCurr] :
      ( v25868(VarCurr,bitIndex0)
    <=> v25873(VarCurr,bitIndex0) ) )).

fof(addAssignment_8319,axiom,(
    ! [VarNext] :
      ( v25866(VarNext,bitIndex2)
    <=> v25890(VarNext,bitIndex2) ) )).

fof(addCaseBooleanConditionEqualRanges1_299,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25891(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v25890(VarNext,B)
            <=> v25866(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_337,axiom,(
    ! [VarNext] :
      ( v25891(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v25890(VarNext,B)
          <=> v25901(VarNext,B) ) ) ) )).

fof(addAssignment_8318,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v25901(VarNext,B)
          <=> v25899(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_664,axiom,(
    ! [VarCurr] :
      ( ~ v25902(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25899(VarCurr,B)
          <=> v25868(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_608,axiom,(
    ! [VarCurr] :
      ( v25902(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25899(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_2676,axiom,(
    ! [VarCurr] :
      ( ~ v25902(VarCurr)
    <=> v25860(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5778,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25891(VarNext)
      <=> v25892(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5777,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25892(VarNext)
      <=> ( v25893(VarNext)
          & v25888(VarNext) ) ) ) )).

fof(writeUnaryOperator_2675,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25893(VarNext)
      <=> v25895(VarNext) ) ) )).

fof(addAssignment_8317,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25895(VarNext)
      <=> v25888(VarCurr) ) ) )).

fof(addAssignment_8316,axiom,(
    ! [VarCurr] :
      ( v25888(VarCurr)
    <=> v25417(VarCurr) ) )).

fof(addAssignment_8315,axiom,(
    ! [VarCurr] :
      ( v25868(VarCurr,bitIndex2)
    <=> v25873(VarCurr,bitIndex2) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_663,axiom,(
    ! [VarCurr] :
      ( ~ v25874(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25873(VarCurr,B)
          <=> v25875(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_607,axiom,(
    ! [VarCurr] :
      ( v25874(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25873(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_66,axiom,(
    ! [VarCurr] :
      ( ( ~ v25876(VarCurr)
        & ~ v25878(VarCurr)
        & ~ v25882(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v25875(VarCurr,B)
          <=> v25866(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_279,axiom,(
    ! [VarCurr] :
      ( v25882(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25875(VarCurr,B)
          <=> v25884(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_675,axiom,(
    ! [VarCurr] :
      ( v25878(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25875(VarCurr,B)
          <=> v25880(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_671,axiom,(
    ! [VarCurr] :
      ( v25876(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25875(VarCurr,B)
          <=> v25866(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1788,axiom,(
    ! [VarCurr] :
      ( v25885(VarCurr)
    <=> ( ( v25886(VarCurr,bitIndex1)
        <=> $true )
        & ( v25886(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8314,axiom,(
    ! [VarCurr] :
      ( v25886(VarCurr,bitIndex0)
    <=> v25864(VarCurr) ) )).

fof(addAssignment_8313,axiom,(
    ! [VarCurr] :
      ( v25886(VarCurr,bitIndex1)
    <=> v25862(VarCurr) ) )).

fof(addAssignment_8312,axiom,(
    ! [VarCurr] :
      ( v25884(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_8311,axiom,(
    ! [VarCurr,B] :
      ( range_3_1(B)
     => ( v25884(VarCurr,B)
      <=> v25870(VarCurr,B) ) ) )).

fof(addBitVectorEqualityBitBlasted_1787,axiom,(
    ! [VarCurr] :
      ( v25882(VarCurr)
    <=> ( ( v25883(VarCurr,bitIndex1)
        <=> $true )
        & ( v25883(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8310,axiom,(
    ! [VarCurr] :
      ( v25883(VarCurr,bitIndex0)
    <=> v25864(VarCurr) ) )).

fof(addAssignment_8309,axiom,(
    ! [VarCurr] :
      ( v25883(VarCurr,bitIndex1)
    <=> v25862(VarCurr) ) )).

fof(addAssignment_8308,axiom,(
    ! [VarCurr] :
      ( ( v25880(VarCurr,bitIndex2)
      <=> v25866(VarCurr,bitIndex3) )
      & ( v25880(VarCurr,bitIndex1)
      <=> v25866(VarCurr,bitIndex2) )
      & ( v25880(VarCurr,bitIndex0)
      <=> v25866(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_8307,axiom,(
    ! [VarCurr] :
      ( v25880(VarCurr,bitIndex3)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_1786,axiom,(
    ! [VarCurr] :
      ( v25878(VarCurr)
    <=> ( ( v25879(VarCurr,bitIndex1)
        <=> $false )
        & ( v25879(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8306,axiom,(
    ! [VarCurr] :
      ( v25879(VarCurr,bitIndex0)
    <=> v25864(VarCurr) ) )).

fof(addAssignment_8305,axiom,(
    ! [VarCurr] :
      ( v25879(VarCurr,bitIndex1)
    <=> v25862(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1785,axiom,(
    ! [VarCurr] :
      ( v25876(VarCurr)
    <=> ( ( v25877(VarCurr,bitIndex1)
        <=> $false )
        & ( v25877(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8304,axiom,(
    ! [VarCurr] :
      ( v25877(VarCurr,bitIndex0)
    <=> v25864(VarCurr) ) )).

fof(addAssignment_8303,axiom,(
    ! [VarCurr] :
      ( v25877(VarCurr,bitIndex1)
    <=> v25862(VarCurr) ) )).

fof(writeUnaryOperator_2674,axiom,(
    ! [VarCurr] :
      ( ~ v25874(VarCurr)
    <=> v25860(VarCurr) ) )).

fof(addAssignment_8302,axiom,(
    ! [VarCurr] :
      ( v25870(VarCurr,bitIndex2)
    <=> v25871(VarCurr,bitIndex2) ) )).

fof(addAssignment_8301,axiom,(
    ! [VarCurr] :
      ( v25871(VarCurr,bitIndex0)
    <=> $false ) )).

fof(addAssignment_8300,axiom,(
    ! [VarCurr] :
      ( ( v25871(VarCurr,bitIndex3)
      <=> v25866(VarCurr,bitIndex2) )
      & ( v25871(VarCurr,bitIndex2)
      <=> v25866(VarCurr,bitIndex1) )
      & ( v25871(VarCurr,bitIndex1)
      <=> v25866(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_8299,axiom,(
    ! [VarCurr] :
      ( v25864(VarCurr)
    <=> v25383(VarCurr) ) )).

fof(addAssignment_8298,axiom,(
    ! [VarCurr] :
      ( v25862(VarCurr)
    <=> v71(VarCurr) ) )).

fof(addAssignment_8297,axiom,(
    ! [VarCurr] :
      ( v25860(VarCurr)
    <=> v60(VarCurr) ) )).

fof(addAssignment_8296,axiom,(
    ! [VarCurr] :
      ( v25761(VarCurr)
    <=> v25763(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_298,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25833(VarNext)
       => ( v25763(VarNext)
        <=> v25763(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_336,axiom,(
    ! [VarNext] :
      ( v25833(VarNext)
     => ( v25763(VarNext)
      <=> v25851(VarNext) ) ) )).

fof(addAssignment_8295,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25851(VarNext)
      <=> v25849(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_662,axiom,(
    ! [VarCurr] :
      ( ~ v25848(VarCurr)
     => ( v25849(VarCurr)
      <=> v25852(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_606,axiom,(
    ! [VarCurr] :
      ( v25848(VarCurr)
     => ( v25849(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_661,axiom,(
    ! [VarCurr] :
      ( ~ v25767(VarCurr)
     => ( v25852(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_605,axiom,(
    ! [VarCurr] :
      ( v25767(VarCurr)
     => ( v25852(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5776,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25833(VarNext)
      <=> ( v25834(VarNext)
          & v25841(VarNext) ) ) ) )).

fof(addAssignment_8294,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25841(VarNext)
      <=> v25839(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5775,axiom,(
    ! [VarCurr] :
      ( v25839(VarCurr)
    <=> ( v25842(VarCurr)
        | v25848(VarCurr) ) ) )).

fof(writeUnaryOperator_2673,axiom,(
    ! [VarCurr] :
      ( ~ v25848(VarCurr)
    <=> v25765(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5774,axiom,(
    ! [VarCurr] :
      ( v25842(VarCurr)
    <=> ( v25843(VarCurr)
        | v25767(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5773,axiom,(
    ! [VarCurr] :
      ( v25843(VarCurr)
    <=> ( v25844(VarCurr)
        & v25847(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1784,axiom,(
    ! [VarCurr] :
      ( v25847(VarCurr)
    <=> ( v25827(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5772,axiom,(
    ! [VarCurr] :
      ( v25844(VarCurr)
    <=> ( v25845(VarCurr)
        & v25846(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1783,axiom,(
    ! [VarCurr] :
      ( v25846(VarCurr)
    <=> ( v25771(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1782,axiom,(
    ! [VarCurr] :
      ( v25845(VarCurr)
    <=> ( v25769(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5771,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25834(VarNext)
      <=> ( v25835(VarNext)
          & v25793(VarNext) ) ) ) )).

fof(writeUnaryOperator_2672,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25835(VarNext)
      <=> v25800(VarNext) ) ) )).

fof(addAssignmentInitValueVector_51,axiom,
    ( v25763(constB0)
  <=> $true )).

fof(addAssignment_8293,axiom,(
    ! [VarCurr] :
      ( v25827(VarCurr,bitIndex0)
    <=> v25828(VarCurr,bitIndex0) ) )).

fof(addAssignment_8292,axiom,(
    ! [VarCurr] :
      ( v25828(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_8291,axiom,(
    ! [VarCurr,B] :
      ( range_6_1(B)
     => ( v25828(VarCurr,B)
      <=> v25829(VarCurr,B) ) ) )).

fof(addAssignment_8290,axiom,(
    ! [VarNext] :
      ( v25771(VarNext,bitIndex1)
    <=> v25819(VarNext,bitIndex1) ) )).

fof(addCaseBooleanConditionEqualRanges1_297,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25820(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v25819(VarNext,B)
            <=> v25771(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_335,axiom,(
    ! [VarNext] :
      ( v25820(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v25819(VarNext,B)
          <=> v25806(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5770,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25820(VarNext)
      <=> v25821(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5769,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25821(VarNext)
      <=> ( v25823(VarNext)
          & v25793(VarNext) ) ) ) )).

fof(writeUnaryOperator_2671,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25823(VarNext)
      <=> v25800(VarNext) ) ) )).

fof(addAssignment_8289,axiom,(
    ! [VarCurr] :
      ( v25773(VarCurr,bitIndex1)
    <=> v25778(VarCurr,bitIndex1) ) )).

fof(addAssignment_8288,axiom,(
    ! [VarCurr] :
      ( v25775(VarCurr,bitIndex1)
    <=> v25776(VarCurr,bitIndex1) ) )).

fof(addAssignment_8287,axiom,(
    ! [VarNext] :
      ( v25771(VarNext,bitIndex0)
    <=> v25811(VarNext,bitIndex0) ) )).

fof(addCaseBooleanConditionEqualRanges1_296,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25812(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v25811(VarNext,B)
            <=> v25771(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_334,axiom,(
    ! [VarNext] :
      ( v25812(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v25811(VarNext,B)
          <=> v25806(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5768,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25812(VarNext)
      <=> v25813(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5767,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25813(VarNext)
      <=> ( v25815(VarNext)
          & v25793(VarNext) ) ) ) )).

fof(writeUnaryOperator_2670,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25815(VarNext)
      <=> v25800(VarNext) ) ) )).

fof(addAssignment_8286,axiom,(
    ! [VarCurr] :
      ( v25773(VarCurr,bitIndex0)
    <=> v25778(VarCurr,bitIndex0) ) )).

fof(addAssignment_8285,axiom,(
    ! [VarNext] :
      ( v25771(VarNext,bitIndex2)
    <=> v25795(VarNext,bitIndex2) ) )).

fof(addCaseBooleanConditionEqualRanges1_295,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25796(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v25795(VarNext,B)
            <=> v25771(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_333,axiom,(
    ! [VarNext] :
      ( v25796(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v25795(VarNext,B)
          <=> v25806(VarNext,B) ) ) ) )).

fof(addAssignment_8284,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v25806(VarNext,B)
          <=> v25804(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_660,axiom,(
    ! [VarCurr] :
      ( ~ v25807(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25804(VarCurr,B)
          <=> v25773(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_604,axiom,(
    ! [VarCurr] :
      ( v25807(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25804(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_2669,axiom,(
    ! [VarCurr] :
      ( ~ v25807(VarCurr)
    <=> v25765(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5766,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25796(VarNext)
      <=> v25797(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5765,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25797(VarNext)
      <=> ( v25798(VarNext)
          & v25793(VarNext) ) ) ) )).

fof(writeUnaryOperator_2668,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25798(VarNext)
      <=> v25800(VarNext) ) ) )).

fof(addAssignment_8283,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25800(VarNext)
      <=> v25793(VarCurr) ) ) )).

fof(addAssignment_8282,axiom,(
    ! [VarCurr] :
      ( v25793(VarCurr)
    <=> v25417(VarCurr) ) )).

fof(addAssignment_8281,axiom,(
    ! [VarCurr] :
      ( v25773(VarCurr,bitIndex2)
    <=> v25778(VarCurr,bitIndex2) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_659,axiom,(
    ! [VarCurr] :
      ( ~ v25779(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25778(VarCurr,B)
          <=> v25780(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_603,axiom,(
    ! [VarCurr] :
      ( v25779(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25778(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_65,axiom,(
    ! [VarCurr] :
      ( ( ~ v25781(VarCurr)
        & ~ v25783(VarCurr)
        & ~ v25787(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v25780(VarCurr,B)
          <=> v25771(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_278,axiom,(
    ! [VarCurr] :
      ( v25787(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25780(VarCurr,B)
          <=> v25789(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_674,axiom,(
    ! [VarCurr] :
      ( v25783(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25780(VarCurr,B)
          <=> v25785(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_670,axiom,(
    ! [VarCurr] :
      ( v25781(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25780(VarCurr,B)
          <=> v25771(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1781,axiom,(
    ! [VarCurr] :
      ( v25790(VarCurr)
    <=> ( ( v25791(VarCurr,bitIndex1)
        <=> $true )
        & ( v25791(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8280,axiom,(
    ! [VarCurr] :
      ( v25791(VarCurr,bitIndex0)
    <=> v25769(VarCurr) ) )).

fof(addAssignment_8279,axiom,(
    ! [VarCurr] :
      ( v25791(VarCurr,bitIndex1)
    <=> v25767(VarCurr) ) )).

fof(addAssignment_8278,axiom,(
    ! [VarCurr] :
      ( v25789(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_8277,axiom,(
    ! [VarCurr,B] :
      ( range_3_1(B)
     => ( v25789(VarCurr,B)
      <=> v25775(VarCurr,B) ) ) )).

fof(addBitVectorEqualityBitBlasted_1780,axiom,(
    ! [VarCurr] :
      ( v25787(VarCurr)
    <=> ( ( v25788(VarCurr,bitIndex1)
        <=> $true )
        & ( v25788(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8276,axiom,(
    ! [VarCurr] :
      ( v25788(VarCurr,bitIndex0)
    <=> v25769(VarCurr) ) )).

fof(addAssignment_8275,axiom,(
    ! [VarCurr] :
      ( v25788(VarCurr,bitIndex1)
    <=> v25767(VarCurr) ) )).

fof(addAssignment_8274,axiom,(
    ! [VarCurr] :
      ( ( v25785(VarCurr,bitIndex2)
      <=> v25771(VarCurr,bitIndex3) )
      & ( v25785(VarCurr,bitIndex1)
      <=> v25771(VarCurr,bitIndex2) )
      & ( v25785(VarCurr,bitIndex0)
      <=> v25771(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_8273,axiom,(
    ! [VarCurr] :
      ( v25785(VarCurr,bitIndex3)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_1779,axiom,(
    ! [VarCurr] :
      ( v25783(VarCurr)
    <=> ( ( v25784(VarCurr,bitIndex1)
        <=> $false )
        & ( v25784(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8272,axiom,(
    ! [VarCurr] :
      ( v25784(VarCurr,bitIndex0)
    <=> v25769(VarCurr) ) )).

fof(addAssignment_8271,axiom,(
    ! [VarCurr] :
      ( v25784(VarCurr,bitIndex1)
    <=> v25767(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1778,axiom,(
    ! [VarCurr] :
      ( v25781(VarCurr)
    <=> ( ( v25782(VarCurr,bitIndex1)
        <=> $false )
        & ( v25782(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8270,axiom,(
    ! [VarCurr] :
      ( v25782(VarCurr,bitIndex0)
    <=> v25769(VarCurr) ) )).

fof(addAssignment_8269,axiom,(
    ! [VarCurr] :
      ( v25782(VarCurr,bitIndex1)
    <=> v25767(VarCurr) ) )).

fof(writeUnaryOperator_2667,axiom,(
    ! [VarCurr] :
      ( ~ v25779(VarCurr)
    <=> v25765(VarCurr) ) )).

fof(addAssignment_8268,axiom,(
    ! [VarCurr] :
      ( v25775(VarCurr,bitIndex2)
    <=> v25776(VarCurr,bitIndex2) ) )).

fof(addAssignment_8267,axiom,(
    ! [VarCurr] :
      ( v25776(VarCurr,bitIndex0)
    <=> $false ) )).

fof(addAssignment_8266,axiom,(
    ! [VarCurr] :
      ( ( v25776(VarCurr,bitIndex3)
      <=> v25771(VarCurr,bitIndex2) )
      & ( v25776(VarCurr,bitIndex2)
      <=> v25771(VarCurr,bitIndex1) )
      & ( v25776(VarCurr,bitIndex1)
      <=> v25771(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_8265,axiom,(
    ! [VarCurr] :
      ( v25769(VarCurr)
    <=> v25383(VarCurr) ) )).

fof(addAssignment_8264,axiom,(
    ! [VarCurr] :
      ( v25767(VarCurr)
    <=> v71(VarCurr) ) )).

fof(addAssignment_8263,axiom,(
    ! [VarCurr] :
      ( v25765(VarCurr)
    <=> v60(VarCurr) ) )).

fof(addAssignment_8262,axiom,(
    ! [VarCurr] :
      ( v25666(VarCurr)
    <=> v25668(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_294,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25738(VarNext)
       => ( v25668(VarNext)
        <=> v25668(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_332,axiom,(
    ! [VarNext] :
      ( v25738(VarNext)
     => ( v25668(VarNext)
      <=> v25756(VarNext) ) ) )).

fof(addAssignment_8261,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25756(VarNext)
      <=> v25754(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_658,axiom,(
    ! [VarCurr] :
      ( ~ v25753(VarCurr)
     => ( v25754(VarCurr)
      <=> v25757(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_602,axiom,(
    ! [VarCurr] :
      ( v25753(VarCurr)
     => ( v25754(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_657,axiom,(
    ! [VarCurr] :
      ( ~ v25672(VarCurr)
     => ( v25757(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_601,axiom,(
    ! [VarCurr] :
      ( v25672(VarCurr)
     => ( v25757(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5764,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25738(VarNext)
      <=> ( v25739(VarNext)
          & v25746(VarNext) ) ) ) )).

fof(addAssignment_8260,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25746(VarNext)
      <=> v25744(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5763,axiom,(
    ! [VarCurr] :
      ( v25744(VarCurr)
    <=> ( v25747(VarCurr)
        | v25753(VarCurr) ) ) )).

fof(writeUnaryOperator_2666,axiom,(
    ! [VarCurr] :
      ( ~ v25753(VarCurr)
    <=> v25670(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5762,axiom,(
    ! [VarCurr] :
      ( v25747(VarCurr)
    <=> ( v25748(VarCurr)
        | v25672(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5761,axiom,(
    ! [VarCurr] :
      ( v25748(VarCurr)
    <=> ( v25749(VarCurr)
        & v25752(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1777,axiom,(
    ! [VarCurr] :
      ( v25752(VarCurr)
    <=> ( v25732(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5760,axiom,(
    ! [VarCurr] :
      ( v25749(VarCurr)
    <=> ( v25750(VarCurr)
        & v25751(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1776,axiom,(
    ! [VarCurr] :
      ( v25751(VarCurr)
    <=> ( v25676(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1775,axiom,(
    ! [VarCurr] :
      ( v25750(VarCurr)
    <=> ( v25674(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5759,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25739(VarNext)
      <=> ( v25740(VarNext)
          & v25698(VarNext) ) ) ) )).

fof(writeUnaryOperator_2665,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25740(VarNext)
      <=> v25705(VarNext) ) ) )).

fof(addAssignmentInitValueVector_50,axiom,
    ( v25668(constB0)
  <=> $true )).

fof(addAssignment_8259,axiom,(
    ! [VarCurr] :
      ( v25732(VarCurr,bitIndex0)
    <=> v25733(VarCurr,bitIndex0) ) )).

fof(addAssignment_8258,axiom,(
    ! [VarCurr] :
      ( v25733(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_8257,axiom,(
    ! [VarCurr,B] :
      ( range_6_1(B)
     => ( v25733(VarCurr,B)
      <=> v25734(VarCurr,B) ) ) )).

fof(addAssignment_8256,axiom,(
    ! [VarNext] :
      ( v25676(VarNext,bitIndex1)
    <=> v25724(VarNext,bitIndex1) ) )).

fof(addCaseBooleanConditionEqualRanges1_293,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25725(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v25724(VarNext,B)
            <=> v25676(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_331,axiom,(
    ! [VarNext] :
      ( v25725(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v25724(VarNext,B)
          <=> v25711(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5758,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25725(VarNext)
      <=> v25726(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5757,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25726(VarNext)
      <=> ( v25728(VarNext)
          & v25698(VarNext) ) ) ) )).

fof(writeUnaryOperator_2664,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25728(VarNext)
      <=> v25705(VarNext) ) ) )).

fof(addAssignment_8255,axiom,(
    ! [VarCurr] :
      ( v25678(VarCurr,bitIndex1)
    <=> v25683(VarCurr,bitIndex1) ) )).

fof(addAssignment_8254,axiom,(
    ! [VarCurr] :
      ( v25680(VarCurr,bitIndex1)
    <=> v25681(VarCurr,bitIndex1) ) )).

fof(addAssignment_8253,axiom,(
    ! [VarNext] :
      ( v25676(VarNext,bitIndex0)
    <=> v25716(VarNext,bitIndex0) ) )).

fof(addCaseBooleanConditionEqualRanges1_292,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25717(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v25716(VarNext,B)
            <=> v25676(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_330,axiom,(
    ! [VarNext] :
      ( v25717(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v25716(VarNext,B)
          <=> v25711(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5756,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25717(VarNext)
      <=> v25718(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5755,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25718(VarNext)
      <=> ( v25720(VarNext)
          & v25698(VarNext) ) ) ) )).

fof(writeUnaryOperator_2663,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25720(VarNext)
      <=> v25705(VarNext) ) ) )).

fof(addAssignment_8252,axiom,(
    ! [VarCurr] :
      ( v25678(VarCurr,bitIndex0)
    <=> v25683(VarCurr,bitIndex0) ) )).

fof(addAssignment_8251,axiom,(
    ! [VarNext] :
      ( v25676(VarNext,bitIndex2)
    <=> v25700(VarNext,bitIndex2) ) )).

fof(addCaseBooleanConditionEqualRanges1_291,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25701(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v25700(VarNext,B)
            <=> v25676(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_329,axiom,(
    ! [VarNext] :
      ( v25701(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v25700(VarNext,B)
          <=> v25711(VarNext,B) ) ) ) )).

fof(addAssignment_8250,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v25711(VarNext,B)
          <=> v25709(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_656,axiom,(
    ! [VarCurr] :
      ( ~ v25712(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25709(VarCurr,B)
          <=> v25678(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_600,axiom,(
    ! [VarCurr] :
      ( v25712(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25709(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_2662,axiom,(
    ! [VarCurr] :
      ( ~ v25712(VarCurr)
    <=> v25670(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5754,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25701(VarNext)
      <=> v25702(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5753,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25702(VarNext)
      <=> ( v25703(VarNext)
          & v25698(VarNext) ) ) ) )).

fof(writeUnaryOperator_2661,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25703(VarNext)
      <=> v25705(VarNext) ) ) )).

fof(addAssignment_8249,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25705(VarNext)
      <=> v25698(VarCurr) ) ) )).

fof(addAssignment_8248,axiom,(
    ! [VarCurr] :
      ( v25698(VarCurr)
    <=> v25417(VarCurr) ) )).

fof(addAssignment_8247,axiom,(
    ! [VarCurr] :
      ( v25678(VarCurr,bitIndex2)
    <=> v25683(VarCurr,bitIndex2) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_655,axiom,(
    ! [VarCurr] :
      ( ~ v25684(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25683(VarCurr,B)
          <=> v25685(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_599,axiom,(
    ! [VarCurr] :
      ( v25684(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25683(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_64,axiom,(
    ! [VarCurr] :
      ( ( ~ v25686(VarCurr)
        & ~ v25688(VarCurr)
        & ~ v25692(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v25685(VarCurr,B)
          <=> v25676(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_277,axiom,(
    ! [VarCurr] :
      ( v25692(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25685(VarCurr,B)
          <=> v25694(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_673,axiom,(
    ! [VarCurr] :
      ( v25688(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25685(VarCurr,B)
          <=> v25690(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_669,axiom,(
    ! [VarCurr] :
      ( v25686(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25685(VarCurr,B)
          <=> v25676(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1774,axiom,(
    ! [VarCurr] :
      ( v25695(VarCurr)
    <=> ( ( v25696(VarCurr,bitIndex1)
        <=> $true )
        & ( v25696(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8246,axiom,(
    ! [VarCurr] :
      ( v25696(VarCurr,bitIndex0)
    <=> v25674(VarCurr) ) )).

fof(addAssignment_8245,axiom,(
    ! [VarCurr] :
      ( v25696(VarCurr,bitIndex1)
    <=> v25672(VarCurr) ) )).

fof(addAssignment_8244,axiom,(
    ! [VarCurr] :
      ( v25694(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_8243,axiom,(
    ! [VarCurr,B] :
      ( range_3_1(B)
     => ( v25694(VarCurr,B)
      <=> v25680(VarCurr,B) ) ) )).

fof(addBitVectorEqualityBitBlasted_1773,axiom,(
    ! [VarCurr] :
      ( v25692(VarCurr)
    <=> ( ( v25693(VarCurr,bitIndex1)
        <=> $true )
        & ( v25693(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8242,axiom,(
    ! [VarCurr] :
      ( v25693(VarCurr,bitIndex0)
    <=> v25674(VarCurr) ) )).

fof(addAssignment_8241,axiom,(
    ! [VarCurr] :
      ( v25693(VarCurr,bitIndex1)
    <=> v25672(VarCurr) ) )).

fof(addAssignment_8240,axiom,(
    ! [VarCurr] :
      ( ( v25690(VarCurr,bitIndex2)
      <=> v25676(VarCurr,bitIndex3) )
      & ( v25690(VarCurr,bitIndex1)
      <=> v25676(VarCurr,bitIndex2) )
      & ( v25690(VarCurr,bitIndex0)
      <=> v25676(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_8239,axiom,(
    ! [VarCurr] :
      ( v25690(VarCurr,bitIndex3)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_1772,axiom,(
    ! [VarCurr] :
      ( v25688(VarCurr)
    <=> ( ( v25689(VarCurr,bitIndex1)
        <=> $false )
        & ( v25689(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8238,axiom,(
    ! [VarCurr] :
      ( v25689(VarCurr,bitIndex0)
    <=> v25674(VarCurr) ) )).

fof(addAssignment_8237,axiom,(
    ! [VarCurr] :
      ( v25689(VarCurr,bitIndex1)
    <=> v25672(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1771,axiom,(
    ! [VarCurr] :
      ( v25686(VarCurr)
    <=> ( ( v25687(VarCurr,bitIndex1)
        <=> $false )
        & ( v25687(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8236,axiom,(
    ! [VarCurr] :
      ( v25687(VarCurr,bitIndex0)
    <=> v25674(VarCurr) ) )).

fof(addAssignment_8235,axiom,(
    ! [VarCurr] :
      ( v25687(VarCurr,bitIndex1)
    <=> v25672(VarCurr) ) )).

fof(writeUnaryOperator_2660,axiom,(
    ! [VarCurr] :
      ( ~ v25684(VarCurr)
    <=> v25670(VarCurr) ) )).

fof(addAssignment_8234,axiom,(
    ! [VarCurr] :
      ( v25680(VarCurr,bitIndex2)
    <=> v25681(VarCurr,bitIndex2) ) )).

fof(addAssignment_8233,axiom,(
    ! [VarCurr] :
      ( v25681(VarCurr,bitIndex0)
    <=> $false ) )).

fof(addAssignment_8232,axiom,(
    ! [VarCurr] :
      ( ( v25681(VarCurr,bitIndex3)
      <=> v25676(VarCurr,bitIndex2) )
      & ( v25681(VarCurr,bitIndex2)
      <=> v25676(VarCurr,bitIndex1) )
      & ( v25681(VarCurr,bitIndex1)
      <=> v25676(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_8231,axiom,(
    ! [VarCurr] :
      ( v25674(VarCurr)
    <=> v25383(VarCurr) ) )).

fof(addAssignment_8230,axiom,(
    ! [VarCurr] :
      ( v25672(VarCurr)
    <=> v71(VarCurr) ) )).

fof(addAssignment_8229,axiom,(
    ! [VarCurr] :
      ( v25670(VarCurr)
    <=> v60(VarCurr) ) )).

fof(addAssignment_8228,axiom,(
    ! [VarCurr] :
      ( v25571(VarCurr)
    <=> v25573(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_290,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25643(VarNext)
       => ( v25573(VarNext)
        <=> v25573(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_328,axiom,(
    ! [VarNext] :
      ( v25643(VarNext)
     => ( v25573(VarNext)
      <=> v25661(VarNext) ) ) )).

fof(addAssignment_8227,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25661(VarNext)
      <=> v25659(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_654,axiom,(
    ! [VarCurr] :
      ( ~ v25658(VarCurr)
     => ( v25659(VarCurr)
      <=> v25662(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_598,axiom,(
    ! [VarCurr] :
      ( v25658(VarCurr)
     => ( v25659(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_653,axiom,(
    ! [VarCurr] :
      ( ~ v25577(VarCurr)
     => ( v25662(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_597,axiom,(
    ! [VarCurr] :
      ( v25577(VarCurr)
     => ( v25662(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5752,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25643(VarNext)
      <=> ( v25644(VarNext)
          & v25651(VarNext) ) ) ) )).

fof(addAssignment_8226,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25651(VarNext)
      <=> v25649(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5751,axiom,(
    ! [VarCurr] :
      ( v25649(VarCurr)
    <=> ( v25652(VarCurr)
        | v25658(VarCurr) ) ) )).

fof(writeUnaryOperator_2659,axiom,(
    ! [VarCurr] :
      ( ~ v25658(VarCurr)
    <=> v25575(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5750,axiom,(
    ! [VarCurr] :
      ( v25652(VarCurr)
    <=> ( v25653(VarCurr)
        | v25577(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5749,axiom,(
    ! [VarCurr] :
      ( v25653(VarCurr)
    <=> ( v25654(VarCurr)
        & v25657(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1770,axiom,(
    ! [VarCurr] :
      ( v25657(VarCurr)
    <=> ( v25637(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5748,axiom,(
    ! [VarCurr] :
      ( v25654(VarCurr)
    <=> ( v25655(VarCurr)
        & v25656(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1769,axiom,(
    ! [VarCurr] :
      ( v25656(VarCurr)
    <=> ( v25581(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1768,axiom,(
    ! [VarCurr] :
      ( v25655(VarCurr)
    <=> ( v25579(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5747,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25644(VarNext)
      <=> ( v25645(VarNext)
          & v25603(VarNext) ) ) ) )).

fof(writeUnaryOperator_2658,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25645(VarNext)
      <=> v25610(VarNext) ) ) )).

fof(addAssignmentInitValueVector_49,axiom,
    ( v25573(constB0)
  <=> $true )).

fof(addAssignment_8225,axiom,(
    ! [VarCurr] :
      ( v25637(VarCurr,bitIndex0)
    <=> v25638(VarCurr,bitIndex0) ) )).

fof(addAssignment_8224,axiom,(
    ! [VarCurr] :
      ( v25638(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_8223,axiom,(
    ! [VarCurr,B] :
      ( range_6_1(B)
     => ( v25638(VarCurr,B)
      <=> v25639(VarCurr,B) ) ) )).

fof(addAssignment_8222,axiom,(
    ! [VarNext] :
      ( v25581(VarNext,bitIndex1)
    <=> v25629(VarNext,bitIndex1) ) )).

fof(addCaseBooleanConditionEqualRanges1_289,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25630(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v25629(VarNext,B)
            <=> v25581(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_327,axiom,(
    ! [VarNext] :
      ( v25630(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v25629(VarNext,B)
          <=> v25616(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5746,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25630(VarNext)
      <=> v25631(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5745,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25631(VarNext)
      <=> ( v25633(VarNext)
          & v25603(VarNext) ) ) ) )).

fof(writeUnaryOperator_2657,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25633(VarNext)
      <=> v25610(VarNext) ) ) )).

fof(addAssignment_8221,axiom,(
    ! [VarCurr] :
      ( v25583(VarCurr,bitIndex1)
    <=> v25588(VarCurr,bitIndex1) ) )).

fof(addAssignment_8220,axiom,(
    ! [VarCurr] :
      ( v25585(VarCurr,bitIndex1)
    <=> v25586(VarCurr,bitIndex1) ) )).

fof(addAssignment_8219,axiom,(
    ! [VarNext] :
      ( v25581(VarNext,bitIndex0)
    <=> v25621(VarNext,bitIndex0) ) )).

fof(addCaseBooleanConditionEqualRanges1_288,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25622(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v25621(VarNext,B)
            <=> v25581(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_326,axiom,(
    ! [VarNext] :
      ( v25622(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v25621(VarNext,B)
          <=> v25616(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5744,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25622(VarNext)
      <=> v25623(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5743,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25623(VarNext)
      <=> ( v25625(VarNext)
          & v25603(VarNext) ) ) ) )).

fof(writeUnaryOperator_2656,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25625(VarNext)
      <=> v25610(VarNext) ) ) )).

fof(addAssignment_8218,axiom,(
    ! [VarCurr] :
      ( v25583(VarCurr,bitIndex0)
    <=> v25588(VarCurr,bitIndex0) ) )).

fof(addAssignment_8217,axiom,(
    ! [VarNext] :
      ( v25581(VarNext,bitIndex2)
    <=> v25605(VarNext,bitIndex2) ) )).

fof(addCaseBooleanConditionEqualRanges1_287,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25606(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v25605(VarNext,B)
            <=> v25581(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_325,axiom,(
    ! [VarNext] :
      ( v25606(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v25605(VarNext,B)
          <=> v25616(VarNext,B) ) ) ) )).

fof(addAssignment_8216,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v25616(VarNext,B)
          <=> v25614(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_652,axiom,(
    ! [VarCurr] :
      ( ~ v25617(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25614(VarCurr,B)
          <=> v25583(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_596,axiom,(
    ! [VarCurr] :
      ( v25617(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25614(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_2655,axiom,(
    ! [VarCurr] :
      ( ~ v25617(VarCurr)
    <=> v25575(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5742,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25606(VarNext)
      <=> v25607(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5741,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25607(VarNext)
      <=> ( v25608(VarNext)
          & v25603(VarNext) ) ) ) )).

fof(writeUnaryOperator_2654,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25608(VarNext)
      <=> v25610(VarNext) ) ) )).

fof(addAssignment_8215,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25610(VarNext)
      <=> v25603(VarCurr) ) ) )).

fof(addAssignment_8214,axiom,(
    ! [VarCurr] :
      ( v25603(VarCurr)
    <=> v25417(VarCurr) ) )).

fof(addAssignment_8213,axiom,(
    ! [VarCurr] :
      ( v25583(VarCurr,bitIndex2)
    <=> v25588(VarCurr,bitIndex2) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_651,axiom,(
    ! [VarCurr] :
      ( ~ v25589(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25588(VarCurr,B)
          <=> v25590(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_595,axiom,(
    ! [VarCurr] :
      ( v25589(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25588(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_63,axiom,(
    ! [VarCurr] :
      ( ( ~ v25591(VarCurr)
        & ~ v25593(VarCurr)
        & ~ v25597(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v25590(VarCurr,B)
          <=> v25581(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_276,axiom,(
    ! [VarCurr] :
      ( v25597(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25590(VarCurr,B)
          <=> v25599(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_672,axiom,(
    ! [VarCurr] :
      ( v25593(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25590(VarCurr,B)
          <=> v25595(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_668,axiom,(
    ! [VarCurr] :
      ( v25591(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25590(VarCurr,B)
          <=> v25581(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1767,axiom,(
    ! [VarCurr] :
      ( v25600(VarCurr)
    <=> ( ( v25601(VarCurr,bitIndex1)
        <=> $true )
        & ( v25601(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8212,axiom,(
    ! [VarCurr] :
      ( v25601(VarCurr,bitIndex0)
    <=> v25579(VarCurr) ) )).

fof(addAssignment_8211,axiom,(
    ! [VarCurr] :
      ( v25601(VarCurr,bitIndex1)
    <=> v25577(VarCurr) ) )).

fof(addAssignment_8210,axiom,(
    ! [VarCurr] :
      ( v25599(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_8209,axiom,(
    ! [VarCurr,B] :
      ( range_3_1(B)
     => ( v25599(VarCurr,B)
      <=> v25585(VarCurr,B) ) ) )).

fof(addBitVectorEqualityBitBlasted_1766,axiom,(
    ! [VarCurr] :
      ( v25597(VarCurr)
    <=> ( ( v25598(VarCurr,bitIndex1)
        <=> $true )
        & ( v25598(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8208,axiom,(
    ! [VarCurr] :
      ( v25598(VarCurr,bitIndex0)
    <=> v25579(VarCurr) ) )).

fof(addAssignment_8207,axiom,(
    ! [VarCurr] :
      ( v25598(VarCurr,bitIndex1)
    <=> v25577(VarCurr) ) )).

fof(addAssignment_8206,axiom,(
    ! [VarCurr] :
      ( ( v25595(VarCurr,bitIndex2)
      <=> v25581(VarCurr,bitIndex3) )
      & ( v25595(VarCurr,bitIndex1)
      <=> v25581(VarCurr,bitIndex2) )
      & ( v25595(VarCurr,bitIndex0)
      <=> v25581(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_8205,axiom,(
    ! [VarCurr] :
      ( v25595(VarCurr,bitIndex3)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_1765,axiom,(
    ! [VarCurr] :
      ( v25593(VarCurr)
    <=> ( ( v25594(VarCurr,bitIndex1)
        <=> $false )
        & ( v25594(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8204,axiom,(
    ! [VarCurr] :
      ( v25594(VarCurr,bitIndex0)
    <=> v25579(VarCurr) ) )).

fof(addAssignment_8203,axiom,(
    ! [VarCurr] :
      ( v25594(VarCurr,bitIndex1)
    <=> v25577(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1764,axiom,(
    ! [VarCurr] :
      ( v25591(VarCurr)
    <=> ( ( v25592(VarCurr,bitIndex1)
        <=> $false )
        & ( v25592(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8202,axiom,(
    ! [VarCurr] :
      ( v25592(VarCurr,bitIndex0)
    <=> v25579(VarCurr) ) )).

fof(addAssignment_8201,axiom,(
    ! [VarCurr] :
      ( v25592(VarCurr,bitIndex1)
    <=> v25577(VarCurr) ) )).

fof(writeUnaryOperator_2653,axiom,(
    ! [VarCurr] :
      ( ~ v25589(VarCurr)
    <=> v25575(VarCurr) ) )).

fof(addAssignment_8200,axiom,(
    ! [VarCurr] :
      ( v25585(VarCurr,bitIndex2)
    <=> v25586(VarCurr,bitIndex2) ) )).

fof(addAssignment_8199,axiom,(
    ! [VarCurr] :
      ( v25586(VarCurr,bitIndex0)
    <=> $false ) )).

fof(addAssignment_8198,axiom,(
    ! [VarCurr] :
      ( ( v25586(VarCurr,bitIndex3)
      <=> v25581(VarCurr,bitIndex2) )
      & ( v25586(VarCurr,bitIndex2)
      <=> v25581(VarCurr,bitIndex1) )
      & ( v25586(VarCurr,bitIndex1)
      <=> v25581(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_8197,axiom,(
    ! [VarCurr] :
      ( v25579(VarCurr)
    <=> v25383(VarCurr) ) )).

fof(addAssignment_8196,axiom,(
    ! [VarCurr] :
      ( v25577(VarCurr)
    <=> v71(VarCurr) ) )).

fof(addAssignment_8195,axiom,(
    ! [VarCurr] :
      ( v25575(VarCurr)
    <=> v60(VarCurr) ) )).

fof(addAssignment_8194,axiom,(
    ! [VarCurr] :
      ( v25476(VarCurr)
    <=> v25478(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_286,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25548(VarNext)
       => ( v25478(VarNext)
        <=> v25478(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_324,axiom,(
    ! [VarNext] :
      ( v25548(VarNext)
     => ( v25478(VarNext)
      <=> v25566(VarNext) ) ) )).

fof(addAssignment_8193,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25566(VarNext)
      <=> v25564(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_650,axiom,(
    ! [VarCurr] :
      ( ~ v25563(VarCurr)
     => ( v25564(VarCurr)
      <=> v25567(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_594,axiom,(
    ! [VarCurr] :
      ( v25563(VarCurr)
     => ( v25564(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_649,axiom,(
    ! [VarCurr] :
      ( ~ v25482(VarCurr)
     => ( v25567(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_593,axiom,(
    ! [VarCurr] :
      ( v25482(VarCurr)
     => ( v25567(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5740,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25548(VarNext)
      <=> ( v25549(VarNext)
          & v25556(VarNext) ) ) ) )).

fof(addAssignment_8192,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25556(VarNext)
      <=> v25554(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5739,axiom,(
    ! [VarCurr] :
      ( v25554(VarCurr)
    <=> ( v25557(VarCurr)
        | v25563(VarCurr) ) ) )).

fof(writeUnaryOperator_2652,axiom,(
    ! [VarCurr] :
      ( ~ v25563(VarCurr)
    <=> v25480(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5738,axiom,(
    ! [VarCurr] :
      ( v25557(VarCurr)
    <=> ( v25558(VarCurr)
        | v25482(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5737,axiom,(
    ! [VarCurr] :
      ( v25558(VarCurr)
    <=> ( v25559(VarCurr)
        & v25562(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1763,axiom,(
    ! [VarCurr] :
      ( v25562(VarCurr)
    <=> ( v25542(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5736,axiom,(
    ! [VarCurr] :
      ( v25559(VarCurr)
    <=> ( v25560(VarCurr)
        & v25561(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1762,axiom,(
    ! [VarCurr] :
      ( v25561(VarCurr)
    <=> ( v25486(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1761,axiom,(
    ! [VarCurr] :
      ( v25560(VarCurr)
    <=> ( v25484(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5735,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25549(VarNext)
      <=> ( v25550(VarNext)
          & v25508(VarNext) ) ) ) )).

fof(writeUnaryOperator_2651,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25550(VarNext)
      <=> v25515(VarNext) ) ) )).

fof(addAssignmentInitValueVector_48,axiom,
    ( v25478(constB0)
  <=> $true )).

fof(addAssignment_8191,axiom,(
    ! [VarCurr] :
      ( v25542(VarCurr,bitIndex0)
    <=> v25543(VarCurr,bitIndex0) ) )).

fof(addAssignment_8190,axiom,(
    ! [VarCurr] :
      ( v25543(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_8189,axiom,(
    ! [VarCurr,B] :
      ( range_6_1(B)
     => ( v25543(VarCurr,B)
      <=> v25544(VarCurr,B) ) ) )).

fof(addAssignment_8188,axiom,(
    ! [VarNext] :
      ( v25486(VarNext,bitIndex1)
    <=> v25534(VarNext,bitIndex1) ) )).

fof(addCaseBooleanConditionEqualRanges1_285,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25535(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v25534(VarNext,B)
            <=> v25486(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_323,axiom,(
    ! [VarNext] :
      ( v25535(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v25534(VarNext,B)
          <=> v25521(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5734,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25535(VarNext)
      <=> v25536(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5733,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25536(VarNext)
      <=> ( v25538(VarNext)
          & v25508(VarNext) ) ) ) )).

fof(writeUnaryOperator_2650,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25538(VarNext)
      <=> v25515(VarNext) ) ) )).

fof(addAssignment_8187,axiom,(
    ! [VarCurr] :
      ( v25488(VarCurr,bitIndex1)
    <=> v25493(VarCurr,bitIndex1) ) )).

fof(addAssignment_8186,axiom,(
    ! [VarCurr] :
      ( v25490(VarCurr,bitIndex1)
    <=> v25491(VarCurr,bitIndex1) ) )).

fof(addAssignment_8185,axiom,(
    ! [VarNext] :
      ( v25486(VarNext,bitIndex0)
    <=> v25526(VarNext,bitIndex0) ) )).

fof(addCaseBooleanConditionEqualRanges1_284,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25527(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v25526(VarNext,B)
            <=> v25486(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_322,axiom,(
    ! [VarNext] :
      ( v25527(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v25526(VarNext,B)
          <=> v25521(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5732,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25527(VarNext)
      <=> v25528(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5731,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25528(VarNext)
      <=> ( v25530(VarNext)
          & v25508(VarNext) ) ) ) )).

fof(writeUnaryOperator_2649,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25530(VarNext)
      <=> v25515(VarNext) ) ) )).

fof(addAssignment_8184,axiom,(
    ! [VarCurr] :
      ( v25488(VarCurr,bitIndex0)
    <=> v25493(VarCurr,bitIndex0) ) )).

fof(addAssignment_8183,axiom,(
    ! [VarNext] :
      ( v25486(VarNext,bitIndex2)
    <=> v25510(VarNext,bitIndex2) ) )).

fof(addCaseBooleanConditionEqualRanges1_283,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25511(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v25510(VarNext,B)
            <=> v25486(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_321,axiom,(
    ! [VarNext] :
      ( v25511(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v25510(VarNext,B)
          <=> v25521(VarNext,B) ) ) ) )).

fof(addAssignment_8182,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v25521(VarNext,B)
          <=> v25519(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_648,axiom,(
    ! [VarCurr] :
      ( ~ v25522(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25519(VarCurr,B)
          <=> v25488(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_592,axiom,(
    ! [VarCurr] :
      ( v25522(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25519(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_2648,axiom,(
    ! [VarCurr] :
      ( ~ v25522(VarCurr)
    <=> v25480(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5730,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25511(VarNext)
      <=> v25512(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5729,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25512(VarNext)
      <=> ( v25513(VarNext)
          & v25508(VarNext) ) ) ) )).

fof(writeUnaryOperator_2647,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25513(VarNext)
      <=> v25515(VarNext) ) ) )).

fof(addAssignment_8181,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25515(VarNext)
      <=> v25508(VarCurr) ) ) )).

fof(addAssignment_8180,axiom,(
    ! [VarCurr] :
      ( v25508(VarCurr)
    <=> v25417(VarCurr) ) )).

fof(addAssignment_8179,axiom,(
    ! [VarCurr] :
      ( v25488(VarCurr,bitIndex2)
    <=> v25493(VarCurr,bitIndex2) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_647,axiom,(
    ! [VarCurr] :
      ( ~ v25494(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25493(VarCurr,B)
          <=> v25495(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_591,axiom,(
    ! [VarCurr] :
      ( v25494(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25493(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_62,axiom,(
    ! [VarCurr] :
      ( ( ~ v25496(VarCurr)
        & ~ v25498(VarCurr)
        & ~ v25502(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v25495(VarCurr,B)
          <=> v25486(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_275,axiom,(
    ! [VarCurr] :
      ( v25502(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25495(VarCurr,B)
          <=> v25504(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_671,axiom,(
    ! [VarCurr] :
      ( v25498(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25495(VarCurr,B)
          <=> v25500(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_667,axiom,(
    ! [VarCurr] :
      ( v25496(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25495(VarCurr,B)
          <=> v25486(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1760,axiom,(
    ! [VarCurr] :
      ( v25505(VarCurr)
    <=> ( ( v25506(VarCurr,bitIndex1)
        <=> $true )
        & ( v25506(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8178,axiom,(
    ! [VarCurr] :
      ( v25506(VarCurr,bitIndex0)
    <=> v25484(VarCurr) ) )).

fof(addAssignment_8177,axiom,(
    ! [VarCurr] :
      ( v25506(VarCurr,bitIndex1)
    <=> v25482(VarCurr) ) )).

fof(addAssignment_8176,axiom,(
    ! [VarCurr] :
      ( v25504(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_8175,axiom,(
    ! [VarCurr,B] :
      ( range_3_1(B)
     => ( v25504(VarCurr,B)
      <=> v25490(VarCurr,B) ) ) )).

fof(addBitVectorEqualityBitBlasted_1759,axiom,(
    ! [VarCurr] :
      ( v25502(VarCurr)
    <=> ( ( v25503(VarCurr,bitIndex1)
        <=> $true )
        & ( v25503(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8174,axiom,(
    ! [VarCurr] :
      ( v25503(VarCurr,bitIndex0)
    <=> v25484(VarCurr) ) )).

fof(addAssignment_8173,axiom,(
    ! [VarCurr] :
      ( v25503(VarCurr,bitIndex1)
    <=> v25482(VarCurr) ) )).

fof(addAssignment_8172,axiom,(
    ! [VarCurr] :
      ( ( v25500(VarCurr,bitIndex2)
      <=> v25486(VarCurr,bitIndex3) )
      & ( v25500(VarCurr,bitIndex1)
      <=> v25486(VarCurr,bitIndex2) )
      & ( v25500(VarCurr,bitIndex0)
      <=> v25486(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_8171,axiom,(
    ! [VarCurr] :
      ( v25500(VarCurr,bitIndex3)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_1758,axiom,(
    ! [VarCurr] :
      ( v25498(VarCurr)
    <=> ( ( v25499(VarCurr,bitIndex1)
        <=> $false )
        & ( v25499(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8170,axiom,(
    ! [VarCurr] :
      ( v25499(VarCurr,bitIndex0)
    <=> v25484(VarCurr) ) )).

fof(addAssignment_8169,axiom,(
    ! [VarCurr] :
      ( v25499(VarCurr,bitIndex1)
    <=> v25482(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1757,axiom,(
    ! [VarCurr] :
      ( v25496(VarCurr)
    <=> ( ( v25497(VarCurr,bitIndex1)
        <=> $false )
        & ( v25497(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8168,axiom,(
    ! [VarCurr] :
      ( v25497(VarCurr,bitIndex0)
    <=> v25484(VarCurr) ) )).

fof(addAssignment_8167,axiom,(
    ! [VarCurr] :
      ( v25497(VarCurr,bitIndex1)
    <=> v25482(VarCurr) ) )).

fof(writeUnaryOperator_2646,axiom,(
    ! [VarCurr] :
      ( ~ v25494(VarCurr)
    <=> v25480(VarCurr) ) )).

fof(addAssignment_8166,axiom,(
    ! [VarCurr] :
      ( v25490(VarCurr,bitIndex2)
    <=> v25491(VarCurr,bitIndex2) ) )).

fof(addAssignment_8165,axiom,(
    ! [VarCurr] :
      ( v25491(VarCurr,bitIndex0)
    <=> $false ) )).

fof(addAssignment_8164,axiom,(
    ! [VarCurr] :
      ( ( v25491(VarCurr,bitIndex3)
      <=> v25486(VarCurr,bitIndex2) )
      & ( v25491(VarCurr,bitIndex2)
      <=> v25486(VarCurr,bitIndex1) )
      & ( v25491(VarCurr,bitIndex1)
      <=> v25486(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_8163,axiom,(
    ! [VarCurr] :
      ( v25484(VarCurr)
    <=> v25383(VarCurr) ) )).

fof(addAssignment_8162,axiom,(
    ! [VarCurr] :
      ( v25482(VarCurr)
    <=> v71(VarCurr) ) )).

fof(addAssignment_8161,axiom,(
    ! [VarCurr] :
      ( v25480(VarCurr)
    <=> v60(VarCurr) ) )).

fof(addAssignment_8160,axiom,(
    ! [VarCurr] :
      ( v25395(VarCurr)
    <=> v25397(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_282,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25453(VarNext)
       => ( v25397(VarNext)
        <=> v25397(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_320,axiom,(
    ! [VarNext] :
      ( v25453(VarNext)
     => ( v25397(VarNext)
      <=> v25471(VarNext) ) ) )).

fof(addAssignment_8159,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25471(VarNext)
      <=> v25469(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_646,axiom,(
    ! [VarCurr] :
      ( ~ v25468(VarCurr)
     => ( v25469(VarCurr)
      <=> v25472(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_590,axiom,(
    ! [VarCurr] :
      ( v25468(VarCurr)
     => ( v25469(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_645,axiom,(
    ! [VarCurr] :
      ( ~ v69(VarCurr)
     => ( v25472(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_589,axiom,(
    ! [VarCurr] :
      ( v69(VarCurr)
     => ( v25472(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5728,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25453(VarNext)
      <=> ( v25454(VarNext)
          & v25461(VarNext) ) ) ) )).

fof(addAssignment_8158,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25461(VarNext)
      <=> v25459(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5727,axiom,(
    ! [VarCurr] :
      ( v25459(VarCurr)
    <=> ( v25462(VarCurr)
        | v25468(VarCurr) ) ) )).

fof(writeUnaryOperator_2645,axiom,(
    ! [VarCurr] :
      ( ~ v25468(VarCurr)
    <=> v58(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5726,axiom,(
    ! [VarCurr] :
      ( v25462(VarCurr)
    <=> ( v25463(VarCurr)
        | v69(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5725,axiom,(
    ! [VarCurr] :
      ( v25463(VarCurr)
    <=> ( v25464(VarCurr)
        & v25467(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1756,axiom,(
    ! [VarCurr] :
      ( v25467(VarCurr)
    <=> ( v25447(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5724,axiom,(
    ! [VarCurr] :
      ( v25464(VarCurr)
    <=> ( v25465(VarCurr)
        & v25466(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1755,axiom,(
    ! [VarCurr] :
      ( v25466(VarCurr)
    <=> ( v56(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1754,axiom,(
    ! [VarCurr] :
      ( v25465(VarCurr)
    <=> ( v25381(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5723,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25454(VarNext)
      <=> ( v25455(VarNext)
          & v25415(VarNext) ) ) ) )).

fof(writeUnaryOperator_2644,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25455(VarNext)
      <=> v25426(VarNext) ) ) )).

fof(addAssignmentInitValueVector_47,axiom,
    ( v25397(constB0)
  <=> $true )).

fof(addAssignment_8157,axiom,(
    ! [VarCurr] :
      ( v25447(VarCurr,bitIndex0)
    <=> v25448(VarCurr,bitIndex0) ) )).

fof(addAssignment_8156,axiom,(
    ! [VarCurr] :
      ( v25448(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_8155,axiom,(
    ! [VarCurr,B] :
      ( range_6_1(B)
     => ( v25448(VarCurr,B)
      <=> v25449(VarCurr,B) ) ) )).

fof(addAssignment_8154,axiom,(
    ! [VarNext] :
      ( v56(VarNext,bitIndex1)
    <=> v25439(VarNext,bitIndex1) ) )).

fof(addCaseBooleanConditionEqualRanges1_281,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25440(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v25439(VarNext,B)
            <=> v56(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_319,axiom,(
    ! [VarNext] :
      ( v25440(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v25439(VarNext,B)
          <=> v25432(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5722,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25440(VarNext)
      <=> v25441(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5721,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25441(VarNext)
      <=> ( v25443(VarNext)
          & v25415(VarNext) ) ) ) )).

fof(writeUnaryOperator_2643,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25443(VarNext)
      <=> v25426(VarNext) ) ) )).

fof(addAssignment_8153,axiom,(
    ! [VarCurr] :
      ( v67(VarCurr,bitIndex1)
    <=> v25400(VarCurr,bitIndex1) ) )).

fof(addAssignment_8152,axiom,(
    ! [VarCurr] :
      ( v25399(VarCurr,bitIndex1)
    <=> v25436(VarCurr,bitIndex1) ) )).

fof(addAssignment_8151,axiom,(
    ! [VarCurr] :
      ( v25436(VarCurr,bitIndex0)
    <=> $false ) )).

fof(addAssignment_8150,axiom,(
    ! [VarCurr] :
      ( ( v25436(VarCurr,bitIndex3)
      <=> v56(VarCurr,bitIndex2) )
      & ( v25436(VarCurr,bitIndex2)
      <=> v56(VarCurr,bitIndex1) )
      & ( v25436(VarCurr,bitIndex1)
      <=> v56(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_8149,axiom,(
    ! [VarNext] :
      ( v56(VarNext,bitIndex0)
    <=> v25421(VarNext,bitIndex0) ) )).

fof(addCaseBooleanConditionEqualRanges1_280,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25422(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v25421(VarNext,B)
            <=> v56(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_318,axiom,(
    ! [VarNext] :
      ( v25422(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v25421(VarNext,B)
          <=> v25432(VarNext,B) ) ) ) )).

fof(addAssignment_8148,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v25432(VarNext,B)
          <=> v25430(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_644,axiom,(
    ! [VarCurr] :
      ( ~ v25433(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25430(VarCurr,B)
          <=> v67(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_588,axiom,(
    ! [VarCurr] :
      ( v25433(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25430(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_2642,axiom,(
    ! [VarCurr] :
      ( ~ v25433(VarCurr)
    <=> v58(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5720,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25422(VarNext)
      <=> v25423(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5719,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25423(VarNext)
      <=> ( v25424(VarNext)
          & v25415(VarNext) ) ) ) )).

fof(writeUnaryOperator_2641,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25424(VarNext)
      <=> v25426(VarNext) ) ) )).

fof(addAssignment_8147,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25426(VarNext)
      <=> v25415(VarCurr) ) ) )).

fof(addAssignment_8146,axiom,(
    ! [VarCurr] :
      ( v25415(VarCurr)
    <=> v25417(VarCurr) ) )).

fof(addAssignment_8145,axiom,(
    ! [VarCurr] :
      ( v25417(VarCurr)
    <=> v25419(VarCurr) ) )).

fof(addAssignment_8144,axiom,(
    ! [VarCurr] :
      ( v25419(VarCurr)
    <=> v13914(VarCurr) ) )).

fof(addAssignment_8143,axiom,(
    ! [VarCurr] :
      ( v67(VarCurr,bitIndex0)
    <=> v25400(VarCurr,bitIndex0) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_643,axiom,(
    ! [VarCurr] :
      ( ~ v25401(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25400(VarCurr,B)
          <=> v25402(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_587,axiom,(
    ! [VarCurr] :
      ( v25401(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25400(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_61,axiom,(
    ! [VarCurr] :
      ( ( ~ v25403(VarCurr)
        & ~ v25405(VarCurr)
        & ~ v25409(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v25402(VarCurr,B)
          <=> v56(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_274,axiom,(
    ! [VarCurr] :
      ( v25409(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25402(VarCurr,B)
          <=> v25411(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_670,axiom,(
    ! [VarCurr] :
      ( v25405(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25402(VarCurr,B)
          <=> v25407(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_666,axiom,(
    ! [VarCurr] :
      ( v25403(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v25402(VarCurr,B)
          <=> v56(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1753,axiom,(
    ! [VarCurr] :
      ( v25412(VarCurr)
    <=> ( ( v25413(VarCurr,bitIndex1)
        <=> $true )
        & ( v25413(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8142,axiom,(
    ! [VarCurr] :
      ( v25413(VarCurr,bitIndex0)
    <=> v25381(VarCurr) ) )).

fof(addAssignment_8141,axiom,(
    ! [VarCurr] :
      ( v25413(VarCurr,bitIndex1)
    <=> v69(VarCurr) ) )).

fof(addAssignment_8140,axiom,(
    ! [VarCurr] :
      ( v25411(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_8139,axiom,(
    ! [VarCurr,B] :
      ( range_3_1(B)
     => ( v25411(VarCurr,B)
      <=> v25399(VarCurr,B) ) ) )).

fof(addBitVectorEqualityBitBlasted_1752,axiom,(
    ! [VarCurr] :
      ( v25409(VarCurr)
    <=> ( ( v25410(VarCurr,bitIndex1)
        <=> $true )
        & ( v25410(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8138,axiom,(
    ! [VarCurr] :
      ( v25410(VarCurr,bitIndex0)
    <=> v25381(VarCurr) ) )).

fof(addAssignment_8137,axiom,(
    ! [VarCurr] :
      ( v25410(VarCurr,bitIndex1)
    <=> v69(VarCurr) ) )).

fof(addAssignment_8136,axiom,(
    ! [VarCurr] :
      ( ( v25407(VarCurr,bitIndex2)
      <=> v56(VarCurr,bitIndex3) )
      & ( v25407(VarCurr,bitIndex1)
      <=> v56(VarCurr,bitIndex2) )
      & ( v25407(VarCurr,bitIndex0)
      <=> v56(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_8135,axiom,(
    ! [VarCurr] :
      ( v25407(VarCurr,bitIndex3)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_1751,axiom,(
    ! [VarCurr] :
      ( v25405(VarCurr)
    <=> ( ( v25406(VarCurr,bitIndex1)
        <=> $false )
        & ( v25406(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8134,axiom,(
    ! [VarCurr] :
      ( v25406(VarCurr,bitIndex0)
    <=> v25381(VarCurr) ) )).

fof(addAssignment_8133,axiom,(
    ! [VarCurr] :
      ( v25406(VarCurr,bitIndex1)
    <=> v69(VarCurr) ) )).

fof(addAssignmentInitValueVector_46,axiom,(
    ! [B] :
      ( range_3_0(B)
     => ( v56(constB0,B)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1750,axiom,(
    ! [VarCurr] :
      ( v25403(VarCurr)
    <=> ( ( v25404(VarCurr,bitIndex1)
        <=> $false )
        & ( v25404(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8132,axiom,(
    ! [VarCurr] :
      ( v25404(VarCurr,bitIndex0)
    <=> v25381(VarCurr) ) )).

fof(addAssignment_8131,axiom,(
    ! [VarCurr] :
      ( v25404(VarCurr,bitIndex1)
    <=> v69(VarCurr) ) )).

fof(writeUnaryOperator_2640,axiom,(
    ! [VarCurr] :
      ( ~ v25401(VarCurr)
    <=> v58(VarCurr) ) )).

fof(addAssignment_8130,axiom,(
    ! [VarCurr] :
      ( v69(VarCurr)
    <=> v71(VarCurr) ) )).

fof(addAssignment_8129,axiom,(
    ! [VarCurr] :
      ( v71(VarCurr)
    <=> v73(VarCurr) ) )).

fof(addAssignment_8128,axiom,(
    ! [VarCurr] :
      ( v73(VarCurr)
    <=> v75(VarCurr) ) )).

fof(addAssignment_8127,axiom,(
    ! [VarCurr] :
      ( v75(VarCurr)
    <=> v77(VarCurr) ) )).

fof(addAssignment_8126,axiom,(
    ! [VarCurr] :
      ( v77(VarCurr)
    <=> v79(VarCurr) ) )).

fof(addAssignment_8125,axiom,(
    ! [VarCurr] :
      ( v79(VarCurr)
    <=> v81(VarCurr) ) )).

fof(addAssignment_8124,axiom,(
    ! [VarCurr] :
      ( v81(VarCurr)
    <=> v83(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_279,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25361(VarNext)
       => ( v83(VarNext)
        <=> v83(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_317,axiom,(
    ! [VarNext] :
      ( v25361(VarNext)
     => ( v83(VarNext)
      <=> v25369(VarNext) ) ) )).

fof(addAssignment_8123,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25369(VarNext)
      <=> v25367(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_642,axiom,(
    ! [VarCurr] :
      ( ~ v12922(VarCurr)
     => ( v25367(VarCurr)
      <=> v25370(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_586,axiom,(
    ! [VarCurr] :
      ( v12922(VarCurr)
     => ( v25367(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_641,axiom,(
    ! [VarCurr] :
      ( ~ v25371(VarCurr)
     => ( v25370(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_585,axiom,(
    ! [VarCurr] :
      ( v25371(VarCurr)
     => ( v25370(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5718,axiom,(
    ! [VarCurr] :
      ( v25371(VarCurr)
    <=> ( v25372(VarCurr)
        | v25376(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1461,axiom,(
    ! [VarCurr] :
      ( v25376(VarCurr)
    <=> ( v31(VarCurr,bitIndex9)
        & v25377(VarCurr) ) ) )).

fof(writeUnaryOperator_2639,axiom,(
    ! [VarCurr] :
      ( ~ v25377(VarCurr)
    <=> v36(VarCurr,bitIndex9) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5717,axiom,(
    ! [VarCurr] :
      ( v25372(VarCurr)
    <=> ( v25373(VarCurr)
        | v25355(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5716,axiom,(
    ! [VarCurr] :
      ( v25373(VarCurr)
    <=> ( v25374(VarCurr)
        | v25350(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5715,axiom,(
    ! [VarCurr] :
      ( v25374(VarCurr)
    <=> ( v25375(VarCurr)
        | v12147(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5714,axiom,(
    ! [VarCurr] :
      ( v25375(VarCurr)
    <=> ( v85(VarCurr)
        | v25345(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5713,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25361(VarNext)
      <=> v25362(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5712,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25362(VarNext)
      <=> ( v25364(VarNext)
          & v12213(VarNext) ) ) ) )).

fof(writeUnaryOperator_2638,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25364(VarNext)
      <=> v12220(VarNext) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1460,axiom,(
    ! [VarCurr] :
      ( v25355(VarCurr)
    <=> ( v31(VarCurr,bitIndex8)
        & v25357(VarCurr) ) ) )).

fof(writeUnaryOperator_2637,axiom,(
    ! [VarCurr] :
      ( ~ v25357(VarCurr)
    <=> v25358(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1459,axiom,(
    ! [VarCurr] :
      ( v25358(VarCurr)
    <=> ( v36(VarCurr,bitIndex8)
        | v36(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1458,axiom,(
    ! [VarCurr] :
      ( v25350(VarCurr)
    <=> ( v31(VarCurr,bitIndex5)
        & v25352(VarCurr) ) ) )).

fof(writeUnaryOperator_2636,axiom,(
    ! [VarCurr] :
      ( ~ v25352(VarCurr)
    <=> v25353(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1457,axiom,(
    ! [VarCurr] :
      ( v25353(VarCurr)
    <=> ( v36(VarCurr,bitIndex5)
        | v36(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1456,axiom,(
    ! [VarCurr] :
      ( v25345(VarCurr)
    <=> ( v31(VarCurr,bitIndex2)
        & v25347(VarCurr) ) ) )).

fof(writeUnaryOperator_2635,axiom,(
    ! [VarCurr] :
      ( ~ v25347(VarCurr)
    <=> v25348(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1455,axiom,(
    ! [VarCurr] :
      ( v25348(VarCurr)
    <=> ( v36(VarCurr,bitIndex2)
        | v36(VarCurr,bitIndex9) ) ) )).

fof(addAssignment_8122,axiom,(
    ! [VarCurr] :
      ( v85(VarCurr)
    <=> v36(VarCurr,bitIndex3) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_333,axiom,(
    ! [VarCurr] :
      ( ~ v25333(VarCurr)
     => ( v36(VarCurr,bitIndex3)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_389,axiom,(
    ! [VarCurr] :
      ( v25333(VarCurr)
     => ( v36(VarCurr,bitIndex3)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5711,axiom,(
    ! [VarCurr] :
      ( v25333(VarCurr)
    <=> ( v25334(VarCurr)
        | v25342(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5710,axiom,(
    ! [VarCurr] :
      ( v25342(VarCurr)
    <=> ( v25343(VarCurr)
        & v25283(VarCurr) ) ) )).

fof(writeUnaryOperator_2634,axiom,(
    ! [VarCurr] :
      ( ~ v25343(VarCurr)
    <=> v38(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5709,axiom,(
    ! [VarCurr] :
      ( v25334(VarCurr)
    <=> ( v25335(VarCurr)
        | v25340(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5708,axiom,(
    ! [VarCurr] :
      ( v25340(VarCurr)
    <=> ( v25341(VarCurr)
        & v12333(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5707,axiom,(
    ! [VarCurr] :
      ( v25341(VarCurr)
    <=> ( v25281(VarCurr)
        & v12657(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5706,axiom,(
    ! [VarCurr] :
      ( v25335(VarCurr)
    <=> ( v25336(VarCurr)
        | v25338(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5705,axiom,(
    ! [VarCurr] :
      ( v25338(VarCurr)
    <=> ( v25339(VarCurr)
        & v12328(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5704,axiom,(
    ! [VarCurr] :
      ( v25339(VarCurr)
    <=> ( v25281(VarCurr)
        & v12657(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5703,axiom,(
    ! [VarCurr] :
      ( v25336(VarCurr)
    <=> ( v25337(VarCurr)
        & v12321(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5702,axiom,(
    ! [VarCurr] :
      ( v25337(VarCurr)
    <=> ( v25281(VarCurr)
        & v12657(VarCurr) ) ) )).

fof(addAssignment_8121,axiom,(
    ! [VarCurr] :
      ( v87(VarCurr)
    <=> v89(VarCurr) ) )).

fof(addAssignment_8120,axiom,(
    ! [VarCurr] :
      ( v89(VarCurr)
    <=> v91(VarCurr,bitIndex0) ) )).

fof(addAssignment_8119,axiom,(
    ! [VarCurr] :
      ( v91(VarCurr,bitIndex0)
    <=> v11997(VarCurr,bitIndex0) ) )).

fof(addAssignment_8118,axiom,(
    ! [VarCurr] :
      ( v11991(VarCurr,bitIndex0)
    <=> v11995(VarCurr,bitIndex0) ) )).

fof(addAssignment_8117,axiom,(
    ! [VarCurr] :
      ( v11984(VarCurr,bitIndex0)
    <=> v11988(VarCurr,bitIndex0) ) )).

fof(writeUnaryOperator_2633,axiom,(
    ! [VarCurr] :
      ( ~ v93(VarCurr)
    <=> v25331(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1454,axiom,(
    ! [VarCurr] :
      ( v25331(VarCurr)
    <=> ( v25293(VarCurr)
        | v95(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_119,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v95(VarCurr,B)
      <=> ( v97(VarCurr,B)
          & v25244(VarCurr,B) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_278,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25306(VarNext)
       => ! [B] :
            ( range_2_0(B)
           => ( v25244(VarNext,B)
            <=> v25244(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_316,axiom,(
    ! [VarNext] :
      ( v25306(VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v25244(VarNext,B)
          <=> v25325(VarNext,B) ) ) ) )).

fof(addAssignment_8116,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v25325(VarNext,B)
          <=> v25323(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_669,axiom,(
    ! [VarCurr] :
      ( ~ v25317(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v25323(VarCurr,B)
          <=> v25326(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_665,axiom,(
    ! [VarCurr] :
      ( v25317(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v25323(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_668,axiom,(
    ! [VarCurr] :
      ( ~ v25248(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v25326(VarCurr,B)
          <=> v11986(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_664,axiom,(
    ! [VarCurr] :
      ( v25248(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v25326(VarCurr,B)
          <=> v11993(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5701,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25306(VarNext)
      <=> ( v25307(VarNext)
          & v25316(VarNext) ) ) ) )).

fof(addAssignment_8115,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25316(VarNext)
      <=> v25314(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5700,axiom,(
    ! [VarCurr] :
      ( v25314(VarCurr)
    <=> ( v25317(VarCurr)
        | v25318(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5699,axiom,(
    ! [VarCurr] :
      ( v25318(VarCurr)
    <=> ( v25319(VarCurr)
        & v25322(VarCurr) ) ) )).

fof(writeUnaryOperator_2632,axiom,(
    ! [VarCurr] :
      ( ~ v25322(VarCurr)
    <=> v25317(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5698,axiom,(
    ! [VarCurr] :
      ( v25319(VarCurr)
    <=> ( v25248(VarCurr)
        | v25320(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5697,axiom,(
    ! [VarCurr] :
      ( v25320(VarCurr)
    <=> ( v25296(VarCurr)
        & v25321(VarCurr) ) ) )).

fof(writeUnaryOperator_2631,axiom,(
    ! [VarCurr] :
      ( ~ v25321(VarCurr)
    <=> v25248(VarCurr) ) )).

fof(writeUnaryOperator_2630,axiom,(
    ! [VarCurr] :
      ( ~ v25317(VarCurr)
    <=> v25246(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5696,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25307(VarNext)
      <=> ( v25308(VarNext)
          & v25303(VarNext) ) ) ) )).

fof(writeUnaryOperator_2629,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25308(VarNext)
      <=> v25310(VarNext) ) ) )).

fof(addAssignment_8114,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25310(VarNext)
      <=> v25303(VarCurr) ) ) )).

fof(addAssignmentInitValueVector_45,axiom,(
    ! [B] :
      ( range_2_0(B)
     => ( v25244(constB0,B)
      <=> $true ) ) )).

fof(addAssignment_8113,axiom,(
    ! [VarCurr] :
      ( v25303(VarCurr)
    <=> v11731(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5695,axiom,(
    ! [VarCurr] :
      ( v25296(VarCurr)
    <=> ( v25298(VarCurr)
        & v25301(VarCurr) ) ) )).

fof(writeUnaryOperator_2628,axiom,(
    ! [VarCurr] :
      ( ~ v25301(VarCurr)
    <=> v25250(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1453,axiom,(
    ! [VarCurr] :
      ( v25298(VarCurr)
    <=> ( v25300(VarCurr)
        | v97(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1452,axiom,(
    ! [VarCurr] :
      ( v25300(VarCurr)
    <=> ( v97(VarCurr,bitIndex0)
        | v97(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5694,axiom,(
    ! [VarCurr] :
      ( v25248(VarCurr)
    <=> ( v25291(VarCurr)
        & v25294(VarCurr) ) ) )).

fof(writeUnaryOperator_2627,axiom,(
    ! [VarCurr] :
      ( ~ v25294(VarCurr)
    <=> v25250(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1451,axiom,(
    ! [VarCurr] :
      ( v25291(VarCurr)
    <=> ( v25293(VarCurr)
        | v95(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1450,axiom,(
    ! [VarCurr] :
      ( v25293(VarCurr)
    <=> ( v95(VarCurr,bitIndex0)
        | v95(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_8112,axiom,(
    ! [VarCurr] :
      ( v25250(VarCurr)
    <=> v25252(VarCurr) ) )).

fof(addAssignment_8111,axiom,(
    ! [VarCurr] :
      ( v25252(VarCurr)
    <=> v25254(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5693,axiom,(
    ! [VarCurr] :
      ( v25254(VarCurr)
    <=> ( v25285(VarCurr)
        | v38(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1449,axiom,(
    ! [VarCurr] :
      ( v25285(VarCurr)
    <=> ( v25286(VarCurr)
        | v36(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1448,axiom,(
    ! [VarCurr] :
      ( v25286(VarCurr)
    <=> ( v25287(VarCurr)
        | v36(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1447,axiom,(
    ! [VarCurr] :
      ( v25287(VarCurr)
    <=> ( v25288(VarCurr)
        | v36(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1446,axiom,(
    ! [VarCurr] :
      ( v25288(VarCurr)
    <=> ( v25289(VarCurr)
        | v36(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1445,axiom,(
    ! [VarCurr] :
      ( v25289(VarCurr)
    <=> ( v36(VarCurr,bitIndex2)
        | v36(VarCurr,bitIndex5) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_332,axiom,(
    ! [VarCurr] :
      ( ~ v25266(VarCurr)
     => ( v36(VarCurr,bitIndex10)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_388,axiom,(
    ! [VarCurr] :
      ( v25266(VarCurr)
     => ( v36(VarCurr,bitIndex10)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5692,axiom,(
    ! [VarCurr] :
      ( v25266(VarCurr)
    <=> ( v25267(VarCurr)
        | v25282(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5691,axiom,(
    ! [VarCurr] :
      ( v25282(VarCurr)
    <=> ( v38(VarCurr)
        & v25283(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1749,axiom,(
    ! [VarCurr] :
      ( v25283(VarCurr)
    <=> ( $true
      <=> v31(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5690,axiom,(
    ! [VarCurr] :
      ( v25267(VarCurr)
    <=> ( v25268(VarCurr)
        | v25278(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5689,axiom,(
    ! [VarCurr] :
      ( v25278(VarCurr)
    <=> ( v25279(VarCurr)
        & v12296(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5688,axiom,(
    ! [VarCurr] :
      ( v25279(VarCurr)
    <=> ( v25281(VarCurr)
        & v12657(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5687,axiom,(
    ! [VarCurr] :
      ( v25281(VarCurr)
    <=> ( v12653(VarCurr)
        & v12009(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5686,axiom,(
    ! [VarCurr] :
      ( v25268(VarCurr)
    <=> ( v25269(VarCurr)
        | v25276(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5685,axiom,(
    ! [VarCurr] :
      ( v25276(VarCurr)
    <=> ( v25277(VarCurr)
        & v12273(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5684,axiom,(
    ! [VarCurr] :
      ( v25277(VarCurr)
    <=> ( v25273(VarCurr)
        & v12657(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5683,axiom,(
    ! [VarCurr] :
      ( v25269(VarCurr)
    <=> ( v25270(VarCurr)
        | v25274(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5682,axiom,(
    ! [VarCurr] :
      ( v25274(VarCurr)
    <=> ( v25275(VarCurr)
        & v12251(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5681,axiom,(
    ! [VarCurr] :
      ( v25275(VarCurr)
    <=> ( v25273(VarCurr)
        & v12657(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5680,axiom,(
    ! [VarCurr] :
      ( v25270(VarCurr)
    <=> ( v25271(VarCurr)
        & v12211(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5679,axiom,(
    ! [VarCurr] :
      ( v25271(VarCurr)
    <=> ( v25273(VarCurr)
        & v12657(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5678,axiom,(
    ! [VarCurr] :
      ( v25273(VarCurr)
    <=> ( v12665(VarCurr)
        & v12009(VarCurr) ) ) )).

fof(addAssignment_8110,axiom,(
    ! [VarNext] :
      ( v31(VarNext,bitIndex10)
    <=> v25258(VarNext,bitIndex9) ) )).

fof(addCaseBooleanConditionShiftedRanges1_44,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25259(VarNext)
       => ( ( v25258(VarNext,bitIndex10)
          <=> v31(VarCurr,bitIndex11) )
          & ( v25258(VarNext,bitIndex9)
          <=> v31(VarCurr,bitIndex10) )
          & ( v25258(VarNext,bitIndex8)
          <=> v31(VarCurr,bitIndex9) )
          & ( v25258(VarNext,bitIndex7)
          <=> v31(VarCurr,bitIndex8) )
          & ( v25258(VarNext,bitIndex6)
          <=> v31(VarCurr,bitIndex7) )
          & ( v25258(VarNext,bitIndex5)
          <=> v31(VarCurr,bitIndex6) )
          & ( v25258(VarNext,bitIndex4)
          <=> v31(VarCurr,bitIndex5) )
          & ( v25258(VarNext,bitIndex3)
          <=> v31(VarCurr,bitIndex4) )
          & ( v25258(VarNext,bitIndex2)
          <=> v31(VarCurr,bitIndex3) )
          & ( v25258(VarNext,bitIndex1)
          <=> v31(VarCurr,bitIndex2) )
          & ( v25258(VarNext,bitIndex0)
          <=> v31(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_315,axiom,(
    ! [VarNext] :
      ( v25259(VarNext)
     => ! [B] :
          ( range_10_0(B)
         => ( v25258(VarNext,B)
          <=> v12226(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5677,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25259(VarNext)
      <=> v25260(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5676,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25260(VarNext)
      <=> ( v25262(VarNext)
          & v12213(VarNext) ) ) ) )).

fof(writeUnaryOperator_2626,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25262(VarNext)
      <=> v12220(VarNext) ) ) )).

fof(addAssignment_8109,axiom,(
    ! [VarCurr] :
      ( v25246(VarCurr)
    <=> v12(VarCurr) ) )).

fof(addAssignment_8108,axiom,(
    ! [VarCurr] :
      ( v97(VarCurr,bitIndex0)
    <=> v25236(VarCurr) ) )).

fof(addAssignment_8107,axiom,(
    ! [VarCurr] :
      ( v97(VarCurr,bitIndex1)
    <=> v24036(VarCurr) ) )).

fof(addAssignment_8106,axiom,(
    ! [VarCurr] :
      ( v97(VarCurr,bitIndex2)
    <=> v99(VarCurr) ) )).

fof(addAssignment_8105,axiom,(
    ! [VarCurr] :
      ( v25236(VarCurr)
    <=> v25238(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5675,axiom,(
    ! [VarCurr] :
      ( v25238(VarCurr)
    <=> ( v25240(VarCurr)
        & v25241(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5674,axiom,(
    ! [VarCurr] :
      ( v25241(VarCurr)
    <=> ( v12009(VarCurr)
        | v12006(VarCurr) ) ) )).

fof(writeUnaryOperator_2625,axiom,(
    ! [VarCurr] :
      ( ~ v25240(VarCurr)
    <=> v11837(VarCurr) ) )).

fof(addAssignment_8104,axiom,(
    ! [VarCurr] :
      ( v24036(VarCurr)
    <=> v24038(VarCurr) ) )).

fof(writeUnaryOperator_2624,axiom,(
    ! [VarCurr] :
      ( ~ v24038(VarCurr)
    <=> v24040(VarCurr) ) )).

fof(addAssignment_8103,axiom,(
    ! [VarCurr] :
      ( v24040(VarCurr)
    <=> v24042(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5673,axiom,(
    ! [VarCurr] :
      ( v24042(VarCurr)
    <=> ( v24044(VarCurr)
        | v25136(VarCurr) ) ) )).

fof(addAssignment_8102,axiom,(
    ! [VarCurr] :
      ( v25136(VarCurr)
    <=> v25138(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1748,axiom,(
    ! [VarCurr] :
      ( v25138(VarCurr)
    <=> ( ( v25140(VarCurr,bitIndex4)
        <=> $false )
        & ( v25140(VarCurr,bitIndex3)
        <=> $false )
        & ( v25140(VarCurr,bitIndex2)
        <=> $false )
        & ( v25140(VarCurr,bitIndex1)
        <=> $false )
        & ( v25140(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_277,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25220(VarNext)
       => ! [B] :
            ( range_4_0(B)
           => ( v25140(VarNext,B)
            <=> v25140(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_314,axiom,(
    ! [VarNext] :
      ( v25220(VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v25140(VarNext,B)
          <=> v25228(VarNext,B) ) ) ) )).

fof(addAssignment_8101,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v25228(VarNext,B)
          <=> v25226(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_640,axiom,(
    ! [VarCurr] :
      ( ~ v25229(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v25226(VarCurr,B)
          <=> v25142(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_584,axiom,(
    ! [VarCurr] :
      ( v25229(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v25226(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_2623,axiom,(
    ! [VarCurr] :
      ( ~ v25229(VarCurr)
    <=> v12034(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5672,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25220(VarNext)
      <=> v25221(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5671,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25221(VarNext)
      <=> ( v25222(VarNext)
          & v12031(VarNext) ) ) ) )).

fof(writeUnaryOperator_2622,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25222(VarNext)
      <=> v12102(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_60,axiom,(
    ! [VarCurr] :
      ( ( ~ v25144(VarCurr)
        & ~ v25146(VarCurr)
        & ~ v25187(VarCurr) )
     => ! [B] :
          ( range_4_0(B)
         => ( v25142(VarCurr,B)
          <=> v25140(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_273,axiom,(
    ! [VarCurr] :
      ( v25187(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v25142(VarCurr,B)
          <=> v25189(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_667,axiom,(
    ! [VarCurr] :
      ( v25146(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v25142(VarCurr,B)
          <=> v25148(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_663,axiom,(
    ! [VarCurr] :
      ( v25144(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v25142(VarCurr,B)
          <=> v25140(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1747,axiom,(
    ! [VarCurr] :
      ( v25216(VarCurr)
    <=> ( ( v25217(VarCurr,bitIndex1)
        <=> $true )
        & ( v25217(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8100,axiom,(
    ! [VarCurr] :
      ( v25217(VarCurr,bitIndex0)
    <=> v12141(VarCurr) ) )).

fof(addAssignment_8099,axiom,(
    ! [VarCurr] :
      ( v25217(VarCurr,bitIndex1)
    <=> v12063(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_639,axiom,(
    ! [VarCurr] :
      ( ~ v25190(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v25189(VarCurr,B)
          <=> v25191(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_583,axiom,(
    ! [VarCurr] :
      ( v25190(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v25189(VarCurr,B)
          <=> b10000(B) ) ) ) )).

fof(addAssignment_8098,axiom,(
    ! [VarCurr] :
      ( v25191(VarCurr,bitIndex0)
    <=> v25213(VarCurr) ) )).

fof(addAssignment_8097,axiom,(
    ! [VarCurr] :
      ( v25191(VarCurr,bitIndex1)
    <=> v25211(VarCurr) ) )).

fof(addAssignment_8096,axiom,(
    ! [VarCurr] :
      ( v25191(VarCurr,bitIndex2)
    <=> v25206(VarCurr) ) )).

fof(addAssignment_8095,axiom,(
    ! [VarCurr] :
      ( v25191(VarCurr,bitIndex3)
    <=> v25201(VarCurr) ) )).

fof(addAssignment_8094,axiom,(
    ! [VarCurr] :
      ( v25191(VarCurr,bitIndex4)
    <=> v25193(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5670,axiom,(
    ! [VarCurr] :
      ( v25211(VarCurr)
    <=> ( v25212(VarCurr)
        & v25215(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1444,axiom,(
    ! [VarCurr] :
      ( v25215(VarCurr)
    <=> ( v25140(VarCurr,bitIndex0)
        | v25140(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5669,axiom,(
    ! [VarCurr] :
      ( v25212(VarCurr)
    <=> ( v25213(VarCurr)
        | v25214(VarCurr) ) ) )).

fof(writeUnaryOperator_2621,axiom,(
    ! [VarCurr] :
      ( ~ v25214(VarCurr)
    <=> v25140(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2620,axiom,(
    ! [VarCurr] :
      ( ~ v25213(VarCurr)
    <=> v25140(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5668,axiom,(
    ! [VarCurr] :
      ( v25206(VarCurr)
    <=> ( v25207(VarCurr)
        & v25210(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1443,axiom,(
    ! [VarCurr] :
      ( v25210(VarCurr)
    <=> ( v25198(VarCurr)
        | v25140(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5667,axiom,(
    ! [VarCurr] :
      ( v25207(VarCurr)
    <=> ( v25208(VarCurr)
        | v25209(VarCurr) ) ) )).

fof(writeUnaryOperator_2619,axiom,(
    ! [VarCurr] :
      ( ~ v25209(VarCurr)
    <=> v25140(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_2618,axiom,(
    ! [VarCurr] :
      ( ~ v25208(VarCurr)
    <=> v25198(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5666,axiom,(
    ! [VarCurr] :
      ( v25201(VarCurr)
    <=> ( v25202(VarCurr)
        & v25205(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1442,axiom,(
    ! [VarCurr] :
      ( v25205(VarCurr)
    <=> ( v25197(VarCurr)
        | v25140(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5665,axiom,(
    ! [VarCurr] :
      ( v25202(VarCurr)
    <=> ( v25203(VarCurr)
        | v25204(VarCurr) ) ) )).

fof(writeUnaryOperator_2617,axiom,(
    ! [VarCurr] :
      ( ~ v25204(VarCurr)
    <=> v25140(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_2616,axiom,(
    ! [VarCurr] :
      ( ~ v25203(VarCurr)
    <=> v25197(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5664,axiom,(
    ! [VarCurr] :
      ( v25193(VarCurr)
    <=> ( v25194(VarCurr)
        & v25200(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1441,axiom,(
    ! [VarCurr] :
      ( v25200(VarCurr)
    <=> ( v25196(VarCurr)
        | v25140(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5663,axiom,(
    ! [VarCurr] :
      ( v25194(VarCurr)
    <=> ( v25195(VarCurr)
        | v25199(VarCurr) ) ) )).

fof(writeUnaryOperator_2615,axiom,(
    ! [VarCurr] :
      ( ~ v25199(VarCurr)
    <=> v25140(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_2614,axiom,(
    ! [VarCurr] :
      ( ~ v25195(VarCurr)
    <=> v25196(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1440,axiom,(
    ! [VarCurr] :
      ( v25196(VarCurr)
    <=> ( v25197(VarCurr)
        & v25140(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1439,axiom,(
    ! [VarCurr] :
      ( v25197(VarCurr)
    <=> ( v25198(VarCurr)
        & v25140(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1438,axiom,(
    ! [VarCurr] :
      ( v25198(VarCurr)
    <=> ( v25140(VarCurr,bitIndex0)
        & v25140(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_1746,axiom,(
    ! [VarCurr] :
      ( v25190(VarCurr)
    <=> ( ( v25140(VarCurr,bitIndex4)
        <=> $true )
        & ( v25140(VarCurr,bitIndex3)
        <=> $false )
        & ( v25140(VarCurr,bitIndex2)
        <=> $false )
        & ( v25140(VarCurr,bitIndex1)
        <=> $false )
        & ( v25140(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1745,axiom,(
    ! [VarCurr] :
      ( v25187(VarCurr)
    <=> ( ( v25188(VarCurr,bitIndex1)
        <=> $true )
        & ( v25188(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8093,axiom,(
    ! [VarCurr] :
      ( v25188(VarCurr,bitIndex0)
    <=> v12141(VarCurr) ) )).

fof(addAssignment_8092,axiom,(
    ! [VarCurr] :
      ( v25188(VarCurr,bitIndex1)
    <=> v12063(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_638,axiom,(
    ! [VarCurr] :
      ( ~ v25149(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v25148(VarCurr,B)
          <=> v25150(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_582,axiom,(
    ! [VarCurr] :
      ( v25149(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v25148(VarCurr,B)
          <=> $false ) ) ) )).

fof(addSignExtensionConstraint_211,axiom,(
    ! [VarCurr] :
      ( v25150(VarCurr,bitIndex6)
    <=> v25151(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_210,axiom,(
    ! [VarCurr] :
      ( v25150(VarCurr,bitIndex7)
    <=> v25151(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_209,axiom,(
    ! [VarCurr] :
      ( v25150(VarCurr,bitIndex8)
    <=> v25151(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_208,axiom,(
    ! [VarCurr] :
      ( v25150(VarCurr,bitIndex9)
    <=> v25151(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_207,axiom,(
    ! [VarCurr] :
      ( v25150(VarCurr,bitIndex10)
    <=> v25151(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_206,axiom,(
    ! [VarCurr] :
      ( v25150(VarCurr,bitIndex11)
    <=> v25151(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_205,axiom,(
    ! [VarCurr] :
      ( v25150(VarCurr,bitIndex12)
    <=> v25151(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_204,axiom,(
    ! [VarCurr] :
      ( v25150(VarCurr,bitIndex13)
    <=> v25151(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_203,axiom,(
    ! [VarCurr] :
      ( v25150(VarCurr,bitIndex14)
    <=> v25151(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_202,axiom,(
    ! [VarCurr] :
      ( v25150(VarCurr,bitIndex15)
    <=> v25151(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_201,axiom,(
    ! [VarCurr] :
      ( v25150(VarCurr,bitIndex16)
    <=> v25151(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_200,axiom,(
    ! [VarCurr] :
      ( v25150(VarCurr,bitIndex17)
    <=> v25151(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_199,axiom,(
    ! [VarCurr] :
      ( v25150(VarCurr,bitIndex18)
    <=> v25151(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_198,axiom,(
    ! [VarCurr] :
      ( v25150(VarCurr,bitIndex19)
    <=> v25151(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_197,axiom,(
    ! [VarCurr] :
      ( v25150(VarCurr,bitIndex20)
    <=> v25151(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_196,axiom,(
    ! [VarCurr] :
      ( v25150(VarCurr,bitIndex21)
    <=> v25151(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_195,axiom,(
    ! [VarCurr] :
      ( v25150(VarCurr,bitIndex22)
    <=> v25151(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_194,axiom,(
    ! [VarCurr] :
      ( v25150(VarCurr,bitIndex23)
    <=> v25151(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_193,axiom,(
    ! [VarCurr] :
      ( v25150(VarCurr,bitIndex24)
    <=> v25151(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_192,axiom,(
    ! [VarCurr] :
      ( v25150(VarCurr,bitIndex25)
    <=> v25151(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_191,axiom,(
    ! [VarCurr] :
      ( v25150(VarCurr,bitIndex26)
    <=> v25151(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_190,axiom,(
    ! [VarCurr] :
      ( v25150(VarCurr,bitIndex27)
    <=> v25151(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_189,axiom,(
    ! [VarCurr] :
      ( v25150(VarCurr,bitIndex28)
    <=> v25151(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_188,axiom,(
    ! [VarCurr] :
      ( v25150(VarCurr,bitIndex29)
    <=> v25151(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_187,axiom,(
    ! [VarCurr] :
      ( v25150(VarCurr,bitIndex30)
    <=> v25151(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_186,axiom,(
    ! [VarCurr] :
      ( v25150(VarCurr,bitIndex31)
    <=> v25151(VarCurr,bitIndex5) ) )).

fof(addAssignment_8091,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v25150(VarCurr,B)
      <=> v25151(VarCurr,B) ) ) )).

fof(addAssignment_8090,axiom,(
    ! [VarCurr] :
      ( v25151(VarCurr,bitIndex0)
    <=> v25185(VarCurr) ) )).

fof(addAssignment_8089,axiom,(
    ! [VarCurr] :
      ( v25151(VarCurr,bitIndex1)
    <=> v25183(VarCurr) ) )).

fof(addAssignment_8088,axiom,(
    ! [VarCurr] :
      ( v25151(VarCurr,bitIndex2)
    <=> v25179(VarCurr) ) )).

fof(addAssignment_8087,axiom,(
    ! [VarCurr] :
      ( v25151(VarCurr,bitIndex3)
    <=> v25175(VarCurr) ) )).

fof(addAssignment_8086,axiom,(
    ! [VarCurr] :
      ( v25151(VarCurr,bitIndex4)
    <=> v25171(VarCurr) ) )).

fof(addAssignment_8085,axiom,(
    ! [VarCurr] :
      ( v25151(VarCurr,bitIndex5)
    <=> v25153(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5662,axiom,(
    ! [VarCurr] :
      ( v25183(VarCurr)
    <=> ( v25184(VarCurr)
        & v25186(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5661,axiom,(
    ! [VarCurr] :
      ( v25186(VarCurr)
    <=> ( v25157(VarCurr,bitIndex0)
        | v25165(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1437,axiom,(
    ! [VarCurr] :
      ( v25184(VarCurr)
    <=> ( v25185(VarCurr)
        | v25157(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_2613,axiom,(
    ! [VarCurr] :
      ( ~ v25185(VarCurr)
    <=> v25157(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5660,axiom,(
    ! [VarCurr] :
      ( v25179(VarCurr)
    <=> ( v25180(VarCurr)
        & v25182(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5659,axiom,(
    ! [VarCurr] :
      ( v25182(VarCurr)
    <=> ( v25163(VarCurr)
        | v25166(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1436,axiom,(
    ! [VarCurr] :
      ( v25180(VarCurr)
    <=> ( v25181(VarCurr)
        | v25157(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_2612,axiom,(
    ! [VarCurr] :
      ( ~ v25181(VarCurr)
    <=> v25163(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5658,axiom,(
    ! [VarCurr] :
      ( v25175(VarCurr)
    <=> ( v25176(VarCurr)
        & v25178(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5657,axiom,(
    ! [VarCurr] :
      ( v25178(VarCurr)
    <=> ( v25161(VarCurr)
        | v25167(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1435,axiom,(
    ! [VarCurr] :
      ( v25176(VarCurr)
    <=> ( v25177(VarCurr)
        | v25157(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_2611,axiom,(
    ! [VarCurr] :
      ( ~ v25177(VarCurr)
    <=> v25161(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5656,axiom,(
    ! [VarCurr] :
      ( v25171(VarCurr)
    <=> ( v25172(VarCurr)
        & v25174(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5655,axiom,(
    ! [VarCurr] :
      ( v25174(VarCurr)
    <=> ( v25159(VarCurr)
        | v25168(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1434,axiom,(
    ! [VarCurr] :
      ( v25172(VarCurr)
    <=> ( v25173(VarCurr)
        | v25157(VarCurr,bitIndex4) ) ) )).

fof(writeUnaryOperator_2610,axiom,(
    ! [VarCurr] :
      ( ~ v25173(VarCurr)
    <=> v25159(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5654,axiom,(
    ! [VarCurr] :
      ( v25153(VarCurr)
    <=> ( v25154(VarCurr)
        & v25169(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5653,axiom,(
    ! [VarCurr] :
      ( v25169(VarCurr)
    <=> ( v25156(VarCurr)
        | v25170(VarCurr) ) ) )).

fof(writeUnaryOperator_2609,axiom,(
    ! [VarCurr] :
      ( ~ v25170(VarCurr)
    <=> v25157(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1433,axiom,(
    ! [VarCurr] :
      ( v25154(VarCurr)
    <=> ( v25155(VarCurr)
        | v25157(VarCurr,bitIndex5) ) ) )).

fof(writeUnaryOperator_2608,axiom,(
    ! [VarCurr] :
      ( ~ v25155(VarCurr)
    <=> v25156(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1432,axiom,(
    ! [VarCurr] :
      ( v25156(VarCurr)
    <=> ( v25157(VarCurr,bitIndex4)
        | v25158(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5652,axiom,(
    ! [VarCurr] :
      ( v25158(VarCurr)
    <=> ( v25159(VarCurr)
        & v25168(VarCurr) ) ) )).

fof(writeUnaryOperator_2607,axiom,(
    ! [VarCurr] :
      ( ~ v25168(VarCurr)
    <=> v25157(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_1431,axiom,(
    ! [VarCurr] :
      ( v25159(VarCurr)
    <=> ( v25157(VarCurr,bitIndex3)
        | v25160(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5651,axiom,(
    ! [VarCurr] :
      ( v25160(VarCurr)
    <=> ( v25161(VarCurr)
        & v25167(VarCurr) ) ) )).

fof(writeUnaryOperator_2606,axiom,(
    ! [VarCurr] :
      ( ~ v25167(VarCurr)
    <=> v25157(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_1430,axiom,(
    ! [VarCurr] :
      ( v25161(VarCurr)
    <=> ( v25157(VarCurr,bitIndex2)
        | v25162(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5650,axiom,(
    ! [VarCurr] :
      ( v25162(VarCurr)
    <=> ( v25163(VarCurr)
        & v25166(VarCurr) ) ) )).

fof(writeUnaryOperator_2605,axiom,(
    ! [VarCurr] :
      ( ~ v25166(VarCurr)
    <=> v25157(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_1429,axiom,(
    ! [VarCurr] :
      ( v25163(VarCurr)
    <=> ( v25157(VarCurr,bitIndex1)
        | v25164(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5649,axiom,(
    ! [VarCurr] :
      ( v25164(VarCurr)
    <=> ( v25157(VarCurr,bitIndex0)
        & v25165(VarCurr) ) ) )).

fof(writeUnaryOperator_2604,axiom,(
    ! [VarCurr] :
      ( ~ v25165(VarCurr)
    <=> v25157(VarCurr,bitIndex1) ) )).

fof(addZeroExtensionConstraint_10,axiom,(
    ! [VarCurr] : ~ v25157(VarCurr,bitIndex5) )).

fof(addAssignment_8084,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v25157(VarCurr,B)
      <=> v25140(VarCurr,B) ) ) )).

fof(addBitVectorEqualityBitBlasted_1744,axiom,(
    ! [VarCurr] :
      ( v25149(VarCurr)
    <=> ( ( v25140(VarCurr,bitIndex4)
        <=> $false )
        & ( v25140(VarCurr,bitIndex3)
        <=> $false )
        & ( v25140(VarCurr,bitIndex2)
        <=> $false )
        & ( v25140(VarCurr,bitIndex1)
        <=> $false )
        & ( v25140(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1743,axiom,(
    ! [VarCurr] :
      ( v25146(VarCurr)
    <=> ( ( v25147(VarCurr,bitIndex1)
        <=> $false )
        & ( v25147(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8083,axiom,(
    ! [VarCurr] :
      ( v25147(VarCurr,bitIndex0)
    <=> v12141(VarCurr) ) )).

fof(addAssignment_8082,axiom,(
    ! [VarCurr] :
      ( v25147(VarCurr,bitIndex1)
    <=> v12063(VarCurr) ) )).

fof(addAssignmentInitValue_42,axiom,(
    ~ v25140(constB0,bitIndex4) )).

fof(addAssignmentInitValue_41,axiom,(
    ~ v25140(constB0,bitIndex3) )).

fof(addAssignmentInitValue_40,axiom,(
    ~ v25140(constB0,bitIndex2) )).

fof(addAssignmentInitValue_39,axiom,(
    ~ v25140(constB0,bitIndex1) )).

fof(addAssignmentInitValue_38,axiom,(
    v25140(constB0,bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_1742,axiom,(
    ! [VarCurr] :
      ( v25144(VarCurr)
    <=> ( ( v25145(VarCurr,bitIndex1)
        <=> $false )
        & ( v25145(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8081,axiom,(
    ! [VarCurr] :
      ( v25145(VarCurr,bitIndex0)
    <=> v12141(VarCurr) ) )).

fof(addAssignment_8080,axiom,(
    ! [VarCurr] :
      ( v25145(VarCurr,bitIndex1)
    <=> v12063(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5648,axiom,(
    ! [VarCurr] :
      ( v24044(VarCurr)
    <=> ( v25130(VarCurr)
        | v25134(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5647,axiom,(
    ! [VarCurr] :
      ( v25134(VarCurr)
    <=> ( v25030(VarCurr)
        & v25036(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5646,axiom,(
    ! [VarCurr] :
      ( v25130(VarCurr)
    <=> ( v25131(VarCurr)
        | v24668(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5645,axiom,(
    ! [VarCurr] :
      ( v25131(VarCurr)
    <=> ( v25132(VarCurr)
        & v25133(VarCurr) ) ) )).

fof(writeUnaryOperator_2603,axiom,(
    ! [VarCurr] :
      ( ~ v25133(VarCurr)
    <=> v24488(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5644,axiom,(
    ! [VarCurr] :
      ( v25132(VarCurr)
    <=> ( v24046(VarCurr)
        & v24383(VarCurr) ) ) )).

fof(addAssignment_8079,axiom,(
    ! [VarCurr] :
      ( v25036(VarCurr)
    <=> v25038(VarCurr) ) )).

fof(addAssignment_8078,axiom,(
    ! [VarCurr] :
      ( v25038(VarCurr)
    <=> v25040(VarCurr) ) )).

fof(addAssignment_8077,axiom,(
    ! [VarCurr] :
      ( v25040(VarCurr)
    <=> v25042(VarCurr) ) )).

fof(addAssignment_8076,axiom,(
    ! [VarCurr] :
      ( v25042(VarCurr)
    <=> v25044(VarCurr) ) )).

fof(addAssignment_8075,axiom,(
    ! [VarCurr] :
      ( v25044(VarCurr)
    <=> v24498(VarCurr,bitIndex1) ) )).

fof(addAssignment_8074,axiom,(
    ! [VarCurr] :
      ( v24498(VarCurr,bitIndex1)
    <=> v24500(VarCurr,bitIndex1) ) )).

fof(addAssignment_8073,axiom,(
    ! [VarCurr] :
      ( v24500(VarCurr,bitIndex1)
    <=> v24502(VarCurr,bitIndex1) ) )).

fof(addAssignment_8072,axiom,(
    ! [VarCurr] :
      ( v24502(VarCurr,bitIndex1)
    <=> v24504(VarCurr,bitIndex1) ) )).

fof(addAssignment_8071,axiom,(
    ! [VarCurr] :
      ( v24504(VarCurr,bitIndex1)
    <=> v24506(VarCurr,bitIndex1) ) )).

fof(addAssignment_8070,axiom,(
    ! [VarCurr] :
      ( v24506(VarCurr,bitIndex1)
    <=> v24508(VarCurr,bitIndex1) ) )).

fof(addAssignment_8069,axiom,(
    ! [VarCurr] :
      ( v24508(VarCurr,bitIndex1)
    <=> v25046(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_276,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25085(VarNext)
       => ( v25046(VarNext)
        <=> v25046(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_313,axiom,(
    ! [VarNext] :
      ( v25085(VarNext)
     => ( v25046(VarNext)
      <=> v25120(VarNext) ) ) )).

fof(addAssignment_8068,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25120(VarNext)
      <=> v25118(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_666,axiom,(
    ! [VarCurr] :
      ( ~ v25048(VarCurr)
     => ( v25118(VarCurr)
      <=> v25121(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_662,axiom,(
    ! [VarCurr] :
      ( v25048(VarCurr)
     => ( v25118(VarCurr)
      <=> v25050(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_665,axiom,(
    ! [VarCurr] :
      ( ~ v25098(VarCurr)
     => ( v25121(VarCurr)
      <=> v25080(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_661,axiom,(
    ! [VarCurr] :
      ( v25098(VarCurr)
     => ( v25121(VarCurr)
      <=> v25122(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_272,axiom,(
    ! [VarCurr] :
      ( ( ~ v25101(VarCurr)
        & ~ v25103(VarCurr) )
     => ( v25122(VarCurr)
      <=> v25126(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_664,axiom,(
    ! [VarCurr] :
      ( v25103(VarCurr)
     => ( v25122(VarCurr)
      <=> v25125(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_660,axiom,(
    ! [VarCurr] :
      ( v25101(VarCurr)
     => ( v25122(VarCurr)
      <=> v25123(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_663,axiom,(
    ! [VarCurr] :
      ( ~ v25111(VarCurr)
     => ( v25126(VarCurr)
      <=> v25080(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_659,axiom,(
    ! [VarCurr] :
      ( v25111(VarCurr)
     => ( v25126(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_662,axiom,(
    ! [VarCurr] :
      ( ~ v25105(VarCurr)
     => ( v25125(VarCurr)
      <=> v25080(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_658,axiom,(
    ! [VarCurr] :
      ( v25105(VarCurr)
     => ( v25125(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_637,axiom,(
    ! [VarCurr] :
      ( ~ v25124(VarCurr)
     => ( v25123(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_581,axiom,(
    ! [VarCurr] :
      ( v25124(VarCurr)
     => ( v25123(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1741,axiom,(
    ! [VarCurr] :
      ( v25124(VarCurr)
    <=> ( v25058(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5643,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25085(VarNext)
      <=> ( v25086(VarNext)
          & v25095(VarNext) ) ) ) )).

fof(addAssignment_8067,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25095(VarNext)
      <=> v25093(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5642,axiom,(
    ! [VarCurr] :
      ( v25093(VarCurr)
    <=> ( v25048(VarCurr)
        | v25096(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5641,axiom,(
    ! [VarCurr] :
      ( v25096(VarCurr)
    <=> ( v25097(VarCurr)
        & v25117(VarCurr) ) ) )).

fof(writeUnaryOperator_2602,axiom,(
    ! [VarCurr] :
      ( ~ v25117(VarCurr)
    <=> v25048(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5640,axiom,(
    ! [VarCurr] :
      ( v25097(VarCurr)
    <=> ( v25098(VarCurr)
        | v25115(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5639,axiom,(
    ! [VarCurr] :
      ( v25115(VarCurr)
    <=> ( v25076(VarCurr)
        & v25116(VarCurr) ) ) )).

fof(writeUnaryOperator_2601,axiom,(
    ! [VarCurr] :
      ( ~ v25116(VarCurr)
    <=> v25078(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5638,axiom,(
    ! [VarCurr] :
      ( v25098(VarCurr)
    <=> ( v25099(VarCurr)
        & v25078(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5637,axiom,(
    ! [VarCurr] :
      ( v25099(VarCurr)
    <=> ( v25100(VarCurr)
        | v25109(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5636,axiom,(
    ! [VarCurr] :
      ( v25109(VarCurr)
    <=> ( v25110(VarCurr)
        & v25114(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1740,axiom,(
    ! [VarCurr] :
      ( v25114(VarCurr)
    <=> ( ( v25102(VarCurr,bitIndex2)
        <=> $false )
        & ( v25102(VarCurr,bitIndex1)
        <=> $false )
        & ( v25102(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5635,axiom,(
    ! [VarCurr] :
      ( v25110(VarCurr)
    <=> ( v25111(VarCurr)
        | v25112(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5634,axiom,(
    ! [VarCurr] :
      ( v25112(VarCurr)
    <=> ( v25076(VarCurr)
        & v25113(VarCurr) ) ) )).

fof(writeUnaryOperator_2600,axiom,(
    ! [VarCurr] :
      ( ~ v25113(VarCurr)
    <=> v25111(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1739,axiom,(
    ! [VarCurr] :
      ( v25111(VarCurr)
    <=> ( v25058(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5633,axiom,(
    ! [VarCurr] :
      ( v25100(VarCurr)
    <=> ( v25101(VarCurr)
        | v25103(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5632,axiom,(
    ! [VarCurr] :
      ( v25103(VarCurr)
    <=> ( v25104(VarCurr)
        & v25108(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1738,axiom,(
    ! [VarCurr] :
      ( v25108(VarCurr)
    <=> ( ( v25102(VarCurr,bitIndex2)
        <=> $false )
        & ( v25102(VarCurr,bitIndex1)
        <=> $true )
        & ( v25102(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5631,axiom,(
    ! [VarCurr] :
      ( v25104(VarCurr)
    <=> ( v25105(VarCurr)
        | v25106(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5630,axiom,(
    ! [VarCurr] :
      ( v25106(VarCurr)
    <=> ( v25076(VarCurr)
        & v25107(VarCurr) ) ) )).

fof(writeUnaryOperator_2599,axiom,(
    ! [VarCurr] :
      ( ~ v25107(VarCurr)
    <=> v25105(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1737,axiom,(
    ! [VarCurr] :
      ( v25105(VarCurr)
    <=> ( v25058(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1736,axiom,(
    ! [VarCurr] :
      ( v25101(VarCurr)
    <=> ( ( v25102(VarCurr,bitIndex2)
        <=> $true )
        & ( v25102(VarCurr,bitIndex1)
        <=> $false )
        & ( v25102(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_8066,axiom,(
    ! [VarCurr] :
      ( v25102(VarCurr,bitIndex0)
    <=> v25056(VarCurr) ) )).

fof(addAssignment_8065,axiom,(
    ! [VarCurr] :
      ( v25102(VarCurr,bitIndex1)
    <=> v25054(VarCurr) ) )).

fof(addAssignment_8064,axiom,(
    ! [VarCurr] :
      ( v25102(VarCurr,bitIndex2)
    <=> v25052(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5629,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25086(VarNext)
      <=> ( v25087(VarNext)
          & v25082(VarNext) ) ) ) )).

fof(writeUnaryOperator_2598,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25087(VarNext)
      <=> v25089(VarNext) ) ) )).

fof(addAssignment_8063,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25089(VarNext)
      <=> v25082(VarCurr) ) ) )).

fof(addAssignment_8062,axiom,(
    ! [VarCurr] :
      ( v25082(VarCurr)
    <=> v24618(VarCurr) ) )).

fof(addAssignment_8061,axiom,(
    ! [VarCurr] :
      ( v25080(VarCurr)
    <=> $false ) )).

fof(addAssignment_8060,axiom,(
    ! [VarCurr] :
      ( v25078(VarCurr)
    <=> v24597(VarCurr) ) )).

fof(addAssignment_8059,axiom,(
    ! [VarCurr] :
      ( v25076(VarCurr)
    <=> $false ) )).

fof(addAssignment_8058,axiom,(
    ! [VarCurr] :
      ( v25058(VarCurr)
    <=> v24531(VarCurr,bitIndex1) ) )).

fof(addAssignment_8057,axiom,(
    ! [VarCurr] :
      ( v24531(VarCurr,bitIndex1)
    <=> v24533(VarCurr,bitIndex1) ) )).

fof(addAssignment_8056,axiom,(
    ! [VarCurr] :
      ( v24533(VarCurr,bitIndex1)
    <=> v3162(VarCurr,bitIndex1) ) )).

fof(addAssignment_8055,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex1)
    <=> v3164(VarCurr,bitIndex1) ) )).

fof(addAssignment_8054,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex1)
    <=> v3166(VarCurr,bitIndex1) ) )).

fof(addAssignment_8053,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex1)
    <=> v3168(VarCurr,bitIndex1) ) )).

fof(addAssignment_8052,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex1)
    <=> v3170(VarCurr,bitIndex1) ) )).

fof(addAssignment_8051,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex1)
    <=> v3172(VarCurr,bitIndex1) ) )).

fof(addAssignment_8050,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex1)
    <=> v3174(VarCurr,bitIndex1) ) )).

fof(addAssignment_8049,axiom,(
    ! [VarNext] :
      ( v3174(VarNext,bitIndex1)
    <=> v25068(VarNext,bitIndex1) ) )).

fof(addCaseBooleanConditionEqualRanges1_275,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25069(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v25068(VarNext,B)
            <=> v3174(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_312,axiom,(
    ! [VarNext] :
      ( v25069(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v25068(VarNext,B)
          <=> v24589(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5628,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25069(VarNext)
      <=> v25070(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5627,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25070(VarNext)
      <=> ( v25072(VarNext)
          & v4163(VarNext) ) ) ) )).

fof(writeUnaryOperator_2597,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25072(VarNext)
      <=> v4174(VarNext) ) ) )).

fof(addAssignment_8048,axiom,(
    ! [VarCurr] :
      ( v24535(VarCurr,bitIndex1)
    <=> v24537(VarCurr,bitIndex1) ) )).

fof(addAssignment_8047,axiom,(
    ! [VarCurr] :
      ( v24537(VarCurr,bitIndex1)
    <=> v24539(VarCurr,bitIndex1) ) )).

fof(addAssignment_8046,axiom,(
    ! [VarCurr] :
      ( v24539(VarCurr,bitIndex1)
    <=> v24541(VarCurr,bitIndex1) ) )).

fof(addAssignment_8045,axiom,(
    ! [VarCurr] :
      ( v24541(VarCurr,bitIndex1)
    <=> v24543(VarCurr,bitIndex1) ) )).

fof(addAssignment_8044,axiom,(
    ! [VarCurr] :
      ( v24543(VarCurr,bitIndex1)
    <=> v24545(VarCurr,bitIndex1) ) )).

fof(addAssignment_8043,axiom,(
    ! [VarCurr] :
      ( v24545(VarCurr,bitIndex1)
    <=> v24547(VarCurr,bitIndex1) ) )).

fof(addAssignment_8042,axiom,(
    ! [VarCurr] :
      ( v24547(VarCurr,bitIndex1)
    <=> v24549(VarCurr,bitIndex1) ) )).

fof(addAssignment_8041,axiom,(
    ! [VarCurr] :
      ( v24549(VarCurr,bitIndex1)
    <=> v24551(VarCurr,bitIndex1) ) )).

fof(addAssignment_8040,axiom,(
    ! [VarCurr] :
      ( v24551(VarCurr,bitIndex1)
    <=> v24553(VarCurr,bitIndex1) ) )).

fof(addAssignment_8039,axiom,(
    ! [VarCurr] :
      ( v24553(VarCurr,bitIndex1)
    <=> v24555(VarCurr,bitIndex1) ) )).

fof(addAssignment_8038,axiom,(
    ! [VarCurr] :
      ( v24555(VarCurr,bitIndex1)
    <=> v24557(VarCurr,bitIndex1) ) )).

fof(addAssignment_8037,axiom,(
    ! [VarNext] :
      ( v24557(VarNext,bitIndex1)
    <=> v25060(VarNext,bitIndex1) ) )).

fof(addCaseBooleanConditionEqualRanges1_274,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25062(VarNext)
       => ! [B] :
            ( range_31_0(B)
           => ( v25060(VarNext,B)
            <=> v24557(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_311,axiom,(
    ! [VarNext] :
      ( v25062(VarNext)
     => ! [B] :
          ( range_31_0(B)
         => ( v25060(VarNext,B)
          <=> v24576(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5626,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25062(VarNext)
      <=> ( v25063(VarNext)
          & v24570(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5625,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25063(VarNext)
      <=> ( v25065(VarNext)
          & v3499(VarNext) ) ) ) )).

fof(writeUnaryOperator_2596,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25065(VarNext)
      <=> v3506(VarNext) ) ) )).

fof(addAssignment_8036,axiom,(
    ! [VarCurr] :
      ( v25056(VarCurr)
    <=> $false ) )).

fof(addAssignment_8035,axiom,(
    ! [VarCurr] :
      ( v25054(VarCurr)
    <=> $false ) )).

fof(addAssignment_8034,axiom,(
    ! [VarCurr] :
      ( v25052(VarCurr)
    <=> $true ) )).

fof(addAssignment_8033,axiom,(
    ! [VarCurr] :
      ( v25050(VarCurr)
    <=> $false ) )).

fof(addAssignment_8032,axiom,(
    ! [VarCurr] :
      ( v25048(VarCurr)
    <=> v24514(VarCurr) ) )).

fof(addAssignment_8031,axiom,(
    ! [VarCurr] :
      ( v25030(VarCurr)
    <=> v25032(VarCurr) ) )).

fof(addAssignment_8030,axiom,(
    ! [VarCurr] :
      ( v25032(VarCurr)
    <=> v25034(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5624,axiom,(
    ! [VarCurr] :
      ( v24668(VarCurr)
    <=> ( v25021(VarCurr)
        & v24488(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5623,axiom,(
    ! [VarCurr] :
      ( v25021(VarCurr)
    <=> ( v25022(VarCurr)
        | v25025(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5622,axiom,(
    ! [VarCurr] :
      ( v25025(VarCurr)
    <=> ( v25026(VarCurr)
        & v25027(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1735,axiom,(
    ! [VarCurr] :
      ( v25027(VarCurr)
    <=> ( ( v25028(VarCurr,bitIndex4)
        <=> $true )
        & ( v25028(VarCurr,bitIndex3)
        <=> $true )
        & ( v25028(VarCurr,bitIndex2)
        <=> $true )
        & ( v25028(VarCurr,bitIndex1)
        <=> $true )
        & ( v25028(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8029,axiom,(
    ! [VarCurr] :
      ( v25028(VarCurr,bitIndex0)
    <=> v24981(VarCurr) ) )).

fof(addAssignment_8028,axiom,(
    ! [VarCurr] :
      ( v25028(VarCurr,bitIndex1)
    <=> v24976(VarCurr) ) )).

fof(addAssignment_8027,axiom,(
    ! [VarCurr] :
      ( v25028(VarCurr,bitIndex2)
    <=> v24971(VarCurr) ) )).

fof(addAssignment_8026,axiom,(
    ! [VarCurr] :
      ( v25028(VarCurr,bitIndex3)
    <=> v24966(VarCurr) ) )).

fof(addAssignment_8025,axiom,(
    ! [VarCurr] :
      ( v25028(VarCurr,bitIndex4)
    <=> v24939(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1734,axiom,(
    ! [VarCurr] :
      ( v25026(VarCurr)
    <=> ( ( v24670(VarCurr,bitIndex1)
        <=> $true )
        & ( v24670(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5621,axiom,(
    ! [VarCurr] :
      ( v25022(VarCurr)
    <=> ( v25023(VarCurr)
        | v25024(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1733,axiom,(
    ! [VarCurr] :
      ( v25024(VarCurr)
    <=> ( ( v24670(VarCurr,bitIndex1)
        <=> $true )
        & ( v24670(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1732,axiom,(
    ! [VarCurr] :
      ( v25023(VarCurr)
    <=> ( ( v24670(VarCurr,bitIndex1)
        <=> $false )
        & ( v24670(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_273,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25006(VarNext)
       => ! [B] :
            ( range_1_0(B)
           => ( v24670(VarNext,B)
            <=> v24670(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_310,axiom,(
    ! [VarNext] :
      ( v25006(VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v24670(VarNext,B)
          <=> v25014(VarNext,B) ) ) ) )).

fof(addAssignment_8024,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v25014(VarNext,B)
          <=> v25012(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_636,axiom,(
    ! [VarCurr] :
      ( ~ v25015(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v25012(VarCurr,B)
          <=> v24672(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_580,axiom,(
    ! [VarCurr] :
      ( v25015(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v25012(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5620,axiom,(
    ! [VarCurr] :
      ( v25015(VarCurr)
    <=> ( v25016(VarCurr)
        | v25017(VarCurr) ) ) )).

fof(writeUnaryOperator_2595,axiom,(
    ! [VarCurr] :
      ( ~ v25017(VarCurr)
    <=> v24488(VarCurr) ) )).

fof(writeUnaryOperator_2594,axiom,(
    ! [VarCurr] :
      ( ~ v25016(VarCurr)
    <=> v12(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5619,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25006(VarNext)
      <=> v25007(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5618,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v25007(VarNext)
      <=> ( v25008(VarNext)
          & v11731(VarNext) ) ) ) )).

fof(writeUnaryOperator_2593,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v25008(VarNext)
      <=> v24471(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_59,axiom,(
    ! [VarCurr] :
      ( ( ~ v24915(VarCurr)
        & ~ v24919(VarCurr)
        & ~ v24931(VarCurr) )
     => ! [B] :
          ( range_1_0(B)
         => ( v24672(VarCurr,B)
          <=> v24985(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_271,axiom,(
    ! [VarCurr] :
      ( v24931(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v24672(VarCurr,B)
          <=> v24932(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_661,axiom,(
    ! [VarCurr] :
      ( v24919(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v24672(VarCurr,B)
          <=> v24920(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_657,axiom,(
    ! [VarCurr] :
      ( v24915(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v24672(VarCurr,B)
          <=> v24916(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_635,axiom,(
    ! [VarCurr] :
      ( ~ v24460(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v24985(VarCurr,B)
          <=> v24986(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_579,axiom,(
    ! [VarCurr] :
      ( v24460(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v24985(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_634,axiom,(
    ! [VarCurr] :
      ( ~ v24987(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v24986(VarCurr,B)
          <=> v24988(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_578,axiom,(
    ! [VarCurr] :
      ( v24987(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v24986(VarCurr,B)
          <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_633,axiom,(
    ! [VarCurr] :
      ( ~ v24989(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v24988(VarCurr,B)
          <=> $true ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_577,axiom,(
    ! [VarCurr] :
      ( v24989(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v24988(VarCurr,B)
          <=> b10(B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5617,axiom,(
    ! [VarCurr] :
      ( v24989(VarCurr)
    <=> ( v24991(VarCurr)
        | v24993(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1428,axiom,(
    ! [VarCurr] :
      ( v24993(VarCurr)
    <=> ( v24994(VarCurr)
        & v24992(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5616,axiom,(
    ! [VarCurr] :
      ( v24994(VarCurr)
    <=> ( v24995(VarCurr)
        | v24996(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1427,axiom,(
    ! [VarCurr] :
      ( v24996(VarCurr)
    <=> ( v24997(VarCurr)
        & v24992(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5615,axiom,(
    ! [VarCurr] :
      ( v24997(VarCurr)
    <=> ( v24998(VarCurr)
        | v24999(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1426,axiom,(
    ! [VarCurr] :
      ( v24999(VarCurr)
    <=> ( v25000(VarCurr)
        & v24992(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5614,axiom,(
    ! [VarCurr] :
      ( v25000(VarCurr)
    <=> ( v25001(VarCurr)
        | v25002(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1425,axiom,(
    ! [VarCurr] :
      ( v25002(VarCurr)
    <=> ( v25003(VarCurr)
        & v24992(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_2592,axiom,(
    ! [VarCurr] :
      ( ~ v25003(VarCurr)
    <=> v24992(VarCurr,bitIndex0) ) )).

fof(writeUnaryOperator_2591,axiom,(
    ! [VarCurr] :
      ( ~ v25001(VarCurr)
    <=> v24992(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2590,axiom,(
    ! [VarCurr] :
      ( ~ v24998(VarCurr)
    <=> v24992(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_2589,axiom,(
    ! [VarCurr] :
      ( ~ v24995(VarCurr)
    <=> v24992(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_2588,axiom,(
    ! [VarCurr] :
      ( ~ v24991(VarCurr)
    <=> v24992(VarCurr,bitIndex4) ) )).

fof(addAssignment_8023,axiom,(
    ! [VarCurr] :
      ( v24992(VarCurr,bitIndex0)
    <=> v24981(VarCurr) ) )).

fof(addAssignment_8022,axiom,(
    ! [VarCurr] :
      ( v24992(VarCurr,bitIndex1)
    <=> v24976(VarCurr) ) )).

fof(addAssignment_8021,axiom,(
    ! [VarCurr] :
      ( v24992(VarCurr,bitIndex2)
    <=> v24971(VarCurr) ) )).

fof(addAssignment_8020,axiom,(
    ! [VarCurr] :
      ( v24992(VarCurr,bitIndex3)
    <=> v24966(VarCurr) ) )).

fof(addAssignment_8019,axiom,(
    ! [VarCurr] :
      ( v24992(VarCurr,bitIndex4)
    <=> v24939(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1731,axiom,(
    ! [VarCurr] :
      ( v24987(VarCurr)
    <=> ( ( v24698(VarCurr,bitIndex4)
        <=> $false )
        & ( v24698(VarCurr,bitIndex3)
        <=> $false )
        & ( v24698(VarCurr,bitIndex2)
        <=> $false )
        & ( v24698(VarCurr,bitIndex1)
        <=> $false )
        & ( v24698(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1730,axiom,(
    ! [VarCurr] :
      ( v24984(VarCurr)
    <=> ( ( v24670(VarCurr,bitIndex1)
        <=> $true )
        & ( v24670(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_632,axiom,(
    ! [VarCurr] :
      ( ~ v24460(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v24932(VarCurr,B)
          <=> v24933(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_576,axiom,(
    ! [VarCurr] :
      ( v24460(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v24932(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_631,axiom,(
    ! [VarCurr] :
      ( ~ v24934(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v24933(VarCurr,B)
          <=> v24935(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_575,axiom,(
    ! [VarCurr] :
      ( v24934(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v24933(VarCurr,B)
          <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_630,axiom,(
    ! [VarCurr] :
      ( ~ v24936(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v24935(VarCurr,B)
          <=> b10(B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_574,axiom,(
    ! [VarCurr] :
      ( v24936(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v24935(VarCurr,B)
          <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1729,axiom,(
    ! [VarCurr] :
      ( v24936(VarCurr)
    <=> ( ( v24937(VarCurr,bitIndex4)
        <=> $true )
        & ( v24937(VarCurr,bitIndex3)
        <=> $true )
        & ( v24937(VarCurr,bitIndex2)
        <=> $true )
        & ( v24937(VarCurr,bitIndex1)
        <=> $true )
        & ( v24937(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_8018,axiom,(
    ! [VarCurr] :
      ( v24937(VarCurr,bitIndex0)
    <=> v24981(VarCurr) ) )).

fof(addAssignment_8017,axiom,(
    ! [VarCurr] :
      ( v24937(VarCurr,bitIndex1)
    <=> v24976(VarCurr) ) )).

fof(addAssignment_8016,axiom,(
    ! [VarCurr] :
      ( v24937(VarCurr,bitIndex2)
    <=> v24971(VarCurr) ) )).

fof(addAssignment_8015,axiom,(
    ! [VarCurr] :
      ( v24937(VarCurr,bitIndex3)
    <=> v24966(VarCurr) ) )).

fof(addAssignment_8014,axiom,(
    ! [VarCurr] :
      ( v24937(VarCurr,bitIndex4)
    <=> v24939(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5613,axiom,(
    ! [VarCurr] :
      ( v24981(VarCurr)
    <=> ( v24982(VarCurr)
        & v24983(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5612,axiom,(
    ! [VarCurr] :
      ( v24983(VarCurr)
    <=> ( v24698(VarCurr,bitIndex0)
        | v24855(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5611,axiom,(
    ! [VarCurr] :
      ( v24982(VarCurr)
    <=> ( v24826(VarCurr)
        | v24909(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5610,axiom,(
    ! [VarCurr] :
      ( v24976(VarCurr)
    <=> ( v24977(VarCurr)
        & v24980(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5609,axiom,(
    ! [VarCurr] :
      ( v24980(VarCurr)
    <=> ( v24948(VarCurr)
        | v24949(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5608,axiom,(
    ! [VarCurr] :
      ( v24977(VarCurr)
    <=> ( v24978(VarCurr)
        | v24979(VarCurr) ) ) )).

fof(writeUnaryOperator_2587,axiom,(
    ! [VarCurr] :
      ( ~ v24979(VarCurr)
    <=> v24949(VarCurr) ) )).

fof(writeUnaryOperator_2586,axiom,(
    ! [VarCurr] :
      ( ~ v24978(VarCurr)
    <=> v24948(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5607,axiom,(
    ! [VarCurr] :
      ( v24971(VarCurr)
    <=> ( v24972(VarCurr)
        & v24975(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5606,axiom,(
    ! [VarCurr] :
      ( v24975(VarCurr)
    <=> ( v24946(VarCurr)
        | v24953(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5605,axiom,(
    ! [VarCurr] :
      ( v24972(VarCurr)
    <=> ( v24973(VarCurr)
        | v24974(VarCurr) ) ) )).

fof(writeUnaryOperator_2585,axiom,(
    ! [VarCurr] :
      ( ~ v24974(VarCurr)
    <=> v24953(VarCurr) ) )).

fof(writeUnaryOperator_2584,axiom,(
    ! [VarCurr] :
      ( ~ v24973(VarCurr)
    <=> v24946(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5604,axiom,(
    ! [VarCurr] :
      ( v24966(VarCurr)
    <=> ( v24967(VarCurr)
        & v24970(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5603,axiom,(
    ! [VarCurr] :
      ( v24970(VarCurr)
    <=> ( v24944(VarCurr)
        | v24957(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5602,axiom,(
    ! [VarCurr] :
      ( v24967(VarCurr)
    <=> ( v24968(VarCurr)
        | v24969(VarCurr) ) ) )).

fof(writeUnaryOperator_2583,axiom,(
    ! [VarCurr] :
      ( ~ v24969(VarCurr)
    <=> v24957(VarCurr) ) )).

fof(writeUnaryOperator_2582,axiom,(
    ! [VarCurr] :
      ( ~ v24968(VarCurr)
    <=> v24944(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5601,axiom,(
    ! [VarCurr] :
      ( v24939(VarCurr)
    <=> ( v24940(VarCurr)
        & v24965(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5600,axiom,(
    ! [VarCurr] :
      ( v24965(VarCurr)
    <=> ( v24942(VarCurr)
        | v24962(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5599,axiom,(
    ! [VarCurr] :
      ( v24940(VarCurr)
    <=> ( v24941(VarCurr)
        | v24961(VarCurr) ) ) )).

fof(writeUnaryOperator_2581,axiom,(
    ! [VarCurr] :
      ( ~ v24961(VarCurr)
    <=> v24962(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5598,axiom,(
    ! [VarCurr] :
      ( v24962(VarCurr)
    <=> ( v24963(VarCurr)
        & v24964(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1424,axiom,(
    ! [VarCurr] :
      ( v24964(VarCurr)
    <=> ( v24698(VarCurr,bitIndex4)
        | v24855(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5597,axiom,(
    ! [VarCurr] :
      ( v24963(VarCurr)
    <=> ( v24812(VarCurr)
        | v24895(VarCurr) ) ) )).

fof(writeUnaryOperator_2580,axiom,(
    ! [VarCurr] :
      ( ~ v24941(VarCurr)
    <=> v24942(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5596,axiom,(
    ! [VarCurr] :
      ( v24942(VarCurr)
    <=> ( v24943(VarCurr)
        | v24960(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1423,axiom,(
    ! [VarCurr] :
      ( v24960(VarCurr)
    <=> ( v24698(VarCurr,bitIndex3)
        & v24855(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5595,axiom,(
    ! [VarCurr] :
      ( v24943(VarCurr)
    <=> ( v24944(VarCurr)
        & v24957(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5594,axiom,(
    ! [VarCurr] :
      ( v24957(VarCurr)
    <=> ( v24958(VarCurr)
        & v24959(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1422,axiom,(
    ! [VarCurr] :
      ( v24959(VarCurr)
    <=> ( v24698(VarCurr,bitIndex3)
        | v24855(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5593,axiom,(
    ! [VarCurr] :
      ( v24958(VarCurr)
    <=> ( v24817(VarCurr)
        | v24900(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5592,axiom,(
    ! [VarCurr] :
      ( v24944(VarCurr)
    <=> ( v24945(VarCurr)
        | v24956(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1421,axiom,(
    ! [VarCurr] :
      ( v24956(VarCurr)
    <=> ( v24698(VarCurr,bitIndex2)
        & v24855(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5591,axiom,(
    ! [VarCurr] :
      ( v24945(VarCurr)
    <=> ( v24946(VarCurr)
        & v24953(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5590,axiom,(
    ! [VarCurr] :
      ( v24953(VarCurr)
    <=> ( v24954(VarCurr)
        & v24955(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1420,axiom,(
    ! [VarCurr] :
      ( v24955(VarCurr)
    <=> ( v24698(VarCurr,bitIndex2)
        | v24855(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5589,axiom,(
    ! [VarCurr] :
      ( v24954(VarCurr)
    <=> ( v24822(VarCurr)
        | v24905(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5588,axiom,(
    ! [VarCurr] :
      ( v24946(VarCurr)
    <=> ( v24947(VarCurr)
        | v24952(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1419,axiom,(
    ! [VarCurr] :
      ( v24952(VarCurr)
    <=> ( v24698(VarCurr,bitIndex1)
        & v24855(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5587,axiom,(
    ! [VarCurr] :
      ( v24947(VarCurr)
    <=> ( v24948(VarCurr)
        & v24949(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5586,axiom,(
    ! [VarCurr] :
      ( v24949(VarCurr)
    <=> ( v24950(VarCurr)
        & v24951(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1418,axiom,(
    ! [VarCurr] :
      ( v24951(VarCurr)
    <=> ( v24698(VarCurr,bitIndex1)
        | v24855(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5585,axiom,(
    ! [VarCurr] :
      ( v24950(VarCurr)
    <=> ( v24827(VarCurr)
        | v24910(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5584,axiom,(
    ! [VarCurr] :
      ( v24948(VarCurr)
    <=> ( v24698(VarCurr,bitIndex0)
        & v24855(VarCurr,bitIndex0) ) ) )).

fof(addBitVectorEqualityBitBlasted_1728,axiom,(
    ! [VarCurr] :
      ( v24934(VarCurr)
    <=> ( ( v24698(VarCurr,bitIndex4)
        <=> $false )
        & ( v24698(VarCurr,bitIndex3)
        <=> $false )
        & ( v24698(VarCurr,bitIndex2)
        <=> $false )
        & ( v24698(VarCurr,bitIndex1)
        <=> $false )
        & ( v24698(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1727,axiom,(
    ! [VarCurr] :
      ( v24931(VarCurr)
    <=> ( ( v24670(VarCurr,bitIndex1)
        <=> $true )
        & ( v24670(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_629,axiom,(
    ! [VarCurr] :
      ( ~ v24921(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v24920(VarCurr,B)
          <=> v24923(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_573,axiom,(
    ! [VarCurr] :
      ( v24921(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v24920(VarCurr,B)
          <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_628,axiom,(
    ! [VarCurr] :
      ( ~ v24924(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v24923(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_572,axiom,(
    ! [VarCurr] :
      ( v24924(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v24923(VarCurr,B)
          <=> b10(B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5583,axiom,(
    ! [VarCurr] :
      ( v24924(VarCurr)
    <=> ( v24048(VarCurr)
        & v24925(VarCurr) ) ) )).

fof(writeUnaryOperator_2579,axiom,(
    ! [VarCurr] :
      ( ~ v24925(VarCurr)
    <=> v24927(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5582,axiom,(
    ! [VarCurr] :
      ( v24927(VarCurr)
    <=> ( v24928(VarCurr)
        & v24812(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5581,axiom,(
    ! [VarCurr] :
      ( v24928(VarCurr)
    <=> ( v24929(VarCurr)
        & v24817(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5580,axiom,(
    ! [VarCurr] :
      ( v24929(VarCurr)
    <=> ( v24930(VarCurr)
        & v24822(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5579,axiom,(
    ! [VarCurr] :
      ( v24930(VarCurr)
    <=> ( v24826(VarCurr)
        & v24827(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5578,axiom,(
    ! [VarCurr] :
      ( v24921(VarCurr)
    <=> ( v24048(VarCurr)
        & v24922(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1726,axiom,(
    ! [VarCurr] :
      ( v24922(VarCurr)
    <=> ( ( v24698(VarCurr,bitIndex4)
        <=> $false )
        & ( v24698(VarCurr,bitIndex3)
        <=> $false )
        & ( v24698(VarCurr,bitIndex2)
        <=> $false )
        & ( v24698(VarCurr,bitIndex1)
        <=> $false )
        & ( v24698(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1725,axiom,(
    ! [VarCurr] :
      ( v24919(VarCurr)
    <=> ( ( v24670(VarCurr,bitIndex1)
        <=> $false )
        & ( v24670(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_627,axiom,(
    ! [VarCurr] :
      ( ~ v24674(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v24916(VarCurr,B)
          <=> v24917(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_571,axiom,(
    ! [VarCurr] :
      ( v24674(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v24916(VarCurr,B)
          <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_626,axiom,(
    ! [VarCurr] :
      ( ~ v24460(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v24917(VarCurr,B)
          <=> v24918(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_570,axiom,(
    ! [VarCurr] :
      ( v24460(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v24917(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_625,axiom,(
    ! [VarCurr] :
      ( ~ v24684(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v24918(VarCurr,B)
          <=> $false ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_569,axiom,(
    ! [VarCurr] :
      ( v24684(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v24918(VarCurr,B)
          <=> b10(B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1724,axiom,(
    ! [VarCurr] :
      ( v24915(VarCurr)
    <=> ( ( v24670(VarCurr,bitIndex1)
        <=> $false )
        & ( v24670(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_272,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v24868(VarNext)
       => ! [B] :
            ( range_4_0(B)
           => ( v24855(VarNext,B)
            <=> v24855(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_309,axiom,(
    ! [VarNext] :
      ( v24868(VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v24855(VarNext,B)
          <=> v24885(VarNext,B) ) ) ) )).

fof(addAssignment_8013,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v24885(VarNext,B)
          <=> v24883(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_624,axiom,(
    ! [VarCurr] :
      ( ~ v24880(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v24883(VarCurr,B)
          <=> v24886(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_568,axiom,(
    ! [VarCurr] :
      ( v24880(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v24883(VarCurr,B)
          <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_623,axiom,(
    ! [VarCurr] :
      ( ~ v24857(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v24886(VarCurr,B)
          <=> v24887(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_567,axiom,(
    ! [VarCurr] :
      ( v24857(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v24886(VarCurr,B)
          <=> $false ) ) ) )).

fof(addAssignment_8012,axiom,(
    ! [VarCurr] :
      ( v24887(VarCurr,bitIndex0)
    <=> v24909(VarCurr) ) )).

fof(addAssignment_8011,axiom,(
    ! [VarCurr] :
      ( v24887(VarCurr,bitIndex1)
    <=> v24907(VarCurr) ) )).

fof(addAssignment_8010,axiom,(
    ! [VarCurr] :
      ( v24887(VarCurr,bitIndex2)
    <=> v24902(VarCurr) ) )).

fof(addAssignment_8009,axiom,(
    ! [VarCurr] :
      ( v24887(VarCurr,bitIndex3)
    <=> v24897(VarCurr) ) )).

fof(addAssignment_8008,axiom,(
    ! [VarCurr] :
      ( v24887(VarCurr,bitIndex4)
    <=> v24889(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5577,axiom,(
    ! [VarCurr] :
      ( v24907(VarCurr)
    <=> ( v24908(VarCurr)
        & v24911(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1417,axiom,(
    ! [VarCurr] :
      ( v24911(VarCurr)
    <=> ( v24855(VarCurr,bitIndex0)
        | v24855(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5576,axiom,(
    ! [VarCurr] :
      ( v24908(VarCurr)
    <=> ( v24909(VarCurr)
        | v24910(VarCurr) ) ) )).

fof(writeUnaryOperator_2578,axiom,(
    ! [VarCurr] :
      ( ~ v24910(VarCurr)
    <=> v24855(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2577,axiom,(
    ! [VarCurr] :
      ( ~ v24909(VarCurr)
    <=> v24855(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5575,axiom,(
    ! [VarCurr] :
      ( v24902(VarCurr)
    <=> ( v24903(VarCurr)
        & v24906(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1416,axiom,(
    ! [VarCurr] :
      ( v24906(VarCurr)
    <=> ( v24894(VarCurr)
        | v24855(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5574,axiom,(
    ! [VarCurr] :
      ( v24903(VarCurr)
    <=> ( v24904(VarCurr)
        | v24905(VarCurr) ) ) )).

fof(writeUnaryOperator_2576,axiom,(
    ! [VarCurr] :
      ( ~ v24905(VarCurr)
    <=> v24855(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_2575,axiom,(
    ! [VarCurr] :
      ( ~ v24904(VarCurr)
    <=> v24894(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5573,axiom,(
    ! [VarCurr] :
      ( v24897(VarCurr)
    <=> ( v24898(VarCurr)
        & v24901(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1415,axiom,(
    ! [VarCurr] :
      ( v24901(VarCurr)
    <=> ( v24893(VarCurr)
        | v24855(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5572,axiom,(
    ! [VarCurr] :
      ( v24898(VarCurr)
    <=> ( v24899(VarCurr)
        | v24900(VarCurr) ) ) )).

fof(writeUnaryOperator_2574,axiom,(
    ! [VarCurr] :
      ( ~ v24900(VarCurr)
    <=> v24855(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_2573,axiom,(
    ! [VarCurr] :
      ( ~ v24899(VarCurr)
    <=> v24893(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5571,axiom,(
    ! [VarCurr] :
      ( v24889(VarCurr)
    <=> ( v24890(VarCurr)
        & v24896(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1414,axiom,(
    ! [VarCurr] :
      ( v24896(VarCurr)
    <=> ( v24892(VarCurr)
        | v24855(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5570,axiom,(
    ! [VarCurr] :
      ( v24890(VarCurr)
    <=> ( v24891(VarCurr)
        | v24895(VarCurr) ) ) )).

fof(writeUnaryOperator_2572,axiom,(
    ! [VarCurr] :
      ( ~ v24895(VarCurr)
    <=> v24855(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_2571,axiom,(
    ! [VarCurr] :
      ( ~ v24891(VarCurr)
    <=> v24892(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1413,axiom,(
    ! [VarCurr] :
      ( v24892(VarCurr)
    <=> ( v24893(VarCurr)
        & v24855(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1412,axiom,(
    ! [VarCurr] :
      ( v24893(VarCurr)
    <=> ( v24894(VarCurr)
        & v24855(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1411,axiom,(
    ! [VarCurr] :
      ( v24894(VarCurr)
    <=> ( v24855(VarCurr,bitIndex0)
        & v24855(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5569,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24868(VarNext)
      <=> ( v24869(VarNext)
          & v24876(VarNext) ) ) ) )).

fof(addAssignment_8007,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24876(VarNext)
      <=> v24874(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5568,axiom,(
    ! [VarCurr] :
      ( v24874(VarCurr)
    <=> ( v24877(VarCurr)
        | v24880(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5567,axiom,(
    ! [VarCurr] :
      ( v24880(VarCurr)
    <=> ( v24881(VarCurr)
        | v24882(VarCurr) ) ) )).

fof(writeUnaryOperator_2570,axiom,(
    ! [VarCurr] :
      ( ~ v24882(VarCurr)
    <=> v24488(VarCurr) ) )).

fof(writeUnaryOperator_2569,axiom,(
    ! [VarCurr] :
      ( ~ v24881(VarCurr)
    <=> v12(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5566,axiom,(
    ! [VarCurr] :
      ( v24877(VarCurr)
    <=> ( v24878(VarCurr)
        | v24857(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5565,axiom,(
    ! [VarCurr] :
      ( v24878(VarCurr)
    <=> ( v24674(VarCurr)
        & v24879(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1723,axiom,(
    ! [VarCurr] :
      ( v24879(VarCurr)
    <=> ( ( v24670(VarCurr,bitIndex1)
        <=> $true )
        & ( v24670(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5564,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24869(VarNext)
      <=> ( v24870(VarNext)
          & v11731(VarNext) ) ) ) )).

fof(writeUnaryOperator_2568,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v24870(VarNext)
      <=> v24471(VarNext) ) ) )).

fof(addAssignmentInitValueVector_44,axiom,(
    ! [B] :
      ( range_4_0(B)
     => ( v24855(constB0,B)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5563,axiom,(
    ! [VarCurr] :
      ( v24857(VarCurr)
    <=> ( v24859(VarCurr)
        | v24861(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5562,axiom,(
    ! [VarCurr] :
      ( v24861(VarCurr)
    <=> ( v24862(VarCurr)
        & v24865(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1722,axiom,(
    ! [VarCurr] :
      ( v24865(VarCurr)
    <=> ( ( v24698(VarCurr,bitIndex4)
        <=> $false )
        & ( v24698(VarCurr,bitIndex3)
        <=> $false )
        & ( v24698(VarCurr,bitIndex2)
        <=> $false )
        & ( v24698(VarCurr,bitIndex1)
        <=> $false )
        & ( v24698(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5561,axiom,(
    ! [VarCurr] :
      ( v24862(VarCurr)
    <=> ( v24863(VarCurr)
        | v24864(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1721,axiom,(
    ! [VarCurr] :
      ( v24864(VarCurr)
    <=> ( ( v24670(VarCurr,bitIndex1)
        <=> $true )
        & ( v24670(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1720,axiom,(
    ! [VarCurr] :
      ( v24863(VarCurr)
    <=> ( ( v24670(VarCurr,bitIndex1)
        <=> $true )
        & ( v24670(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5560,axiom,(
    ! [VarCurr] :
      ( v24859(VarCurr)
    <=> ( v24860(VarCurr)
        & v24048(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1719,axiom,(
    ! [VarCurr] :
      ( v24860(VarCurr)
    <=> ( ( v24670(VarCurr,bitIndex1)
        <=> $false )
        & ( v24670(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignmentInitValueVector_43,axiom,(
    ! [B] :
      ( range_1_0(B)
     => ( v24670(constB0,B)
      <=> $false ) ) )).

fof(addCaseBooleanConditionEqualRanges1_271,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v24783(VarNext)
       => ! [B] :
            ( range_4_0(B)
           => ( v24698(VarNext,B)
            <=> v24698(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_308,axiom,(
    ! [VarNext] :
      ( v24783(VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v24698(VarNext,B)
          <=> v24802(VarNext,B) ) ) ) )).

fof(addAssignment_8006,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v24802(VarNext,B)
          <=> v24800(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_622,axiom,(
    ! [VarCurr] :
      ( ~ v24797(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v24800(VarCurr,B)
          <=> v24803(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_566,axiom,(
    ! [VarCurr] :
      ( v24797(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v24800(VarCurr,B)
          <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_621,axiom,(
    ! [VarCurr] :
      ( ~ v24795(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v24803(VarCurr,B)
          <=> v24829(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_565,axiom,(
    ! [VarCurr] :
      ( v24795(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v24803(VarCurr,B)
          <=> v24804(VarCurr,B) ) ) ) )).

fof(addAssignment_8005,axiom,(
    ! [VarCurr] :
      ( v24829(VarCurr,bitIndex0)
    <=> v24826(VarCurr) ) )).

fof(addAssignment_8004,axiom,(
    ! [VarCurr] :
      ( v24829(VarCurr,bitIndex1)
    <=> v24849(VarCurr) ) )).

fof(addAssignment_8003,axiom,(
    ! [VarCurr] :
      ( v24829(VarCurr,bitIndex2)
    <=> v24845(VarCurr) ) )).

fof(addAssignment_8002,axiom,(
    ! [VarCurr] :
      ( v24829(VarCurr,bitIndex3)
    <=> v24841(VarCurr) ) )).

fof(addAssignment_8001,axiom,(
    ! [VarCurr] :
      ( v24829(VarCurr,bitIndex4)
    <=> v24831(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5559,axiom,(
    ! [VarCurr] :
      ( v24849(VarCurr)
    <=> ( v24850(VarCurr)
        & v24851(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5558,axiom,(
    ! [VarCurr] :
      ( v24851(VarCurr)
    <=> ( v24698(VarCurr,bitIndex0)
        | v24827(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1410,axiom,(
    ! [VarCurr] :
      ( v24850(VarCurr)
    <=> ( v24826(VarCurr)
        | v24698(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5557,axiom,(
    ! [VarCurr] :
      ( v24845(VarCurr)
    <=> ( v24846(VarCurr)
        & v24848(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5556,axiom,(
    ! [VarCurr] :
      ( v24848(VarCurr)
    <=> ( v24822(VarCurr)
        | v24838(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1409,axiom,(
    ! [VarCurr] :
      ( v24846(VarCurr)
    <=> ( v24698(VarCurr,bitIndex2)
        | v24847(VarCurr) ) ) )).

fof(writeUnaryOperator_2567,axiom,(
    ! [VarCurr] :
      ( ~ v24847(VarCurr)
    <=> v24838(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5555,axiom,(
    ! [VarCurr] :
      ( v24841(VarCurr)
    <=> ( v24842(VarCurr)
        & v24844(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5554,axiom,(
    ! [VarCurr] :
      ( v24844(VarCurr)
    <=> ( v24817(VarCurr)
        | v24836(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1408,axiom,(
    ! [VarCurr] :
      ( v24842(VarCurr)
    <=> ( v24698(VarCurr,bitIndex3)
        | v24843(VarCurr) ) ) )).

fof(writeUnaryOperator_2566,axiom,(
    ! [VarCurr] :
      ( ~ v24843(VarCurr)
    <=> v24836(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5553,axiom,(
    ! [VarCurr] :
      ( v24831(VarCurr)
    <=> ( v24832(VarCurr)
        & v24840(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5552,axiom,(
    ! [VarCurr] :
      ( v24840(VarCurr)
    <=> ( v24812(VarCurr)
        | v24834(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1407,axiom,(
    ! [VarCurr] :
      ( v24832(VarCurr)
    <=> ( v24698(VarCurr,bitIndex4)
        | v24833(VarCurr) ) ) )).

fof(writeUnaryOperator_2565,axiom,(
    ! [VarCurr] :
      ( ~ v24833(VarCurr)
    <=> v24834(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1406,axiom,(
    ! [VarCurr] :
      ( v24834(VarCurr)
    <=> ( v24698(VarCurr,bitIndex3)
        | v24835(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5551,axiom,(
    ! [VarCurr] :
      ( v24835(VarCurr)
    <=> ( v24817(VarCurr)
        & v24836(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1405,axiom,(
    ! [VarCurr] :
      ( v24836(VarCurr)
    <=> ( v24698(VarCurr,bitIndex2)
        | v24837(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5550,axiom,(
    ! [VarCurr] :
      ( v24837(VarCurr)
    <=> ( v24822(VarCurr)
        & v24838(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1404,axiom,(
    ! [VarCurr] :
      ( v24838(VarCurr)
    <=> ( v24698(VarCurr,bitIndex1)
        | v24839(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5549,axiom,(
    ! [VarCurr] :
      ( v24839(VarCurr)
    <=> ( v24698(VarCurr,bitIndex0)
        & v24827(VarCurr) ) ) )).

fof(addAssignment_8000,axiom,(
    ! [VarCurr] :
      ( v24804(VarCurr,bitIndex0)
    <=> v24826(VarCurr) ) )).

fof(addAssignment_7999,axiom,(
    ! [VarCurr] :
      ( v24804(VarCurr,bitIndex1)
    <=> v24824(VarCurr) ) )).

fof(addAssignment_7998,axiom,(
    ! [VarCurr] :
      ( v24804(VarCurr,bitIndex2)
    <=> v24819(VarCurr) ) )).

fof(addAssignment_7997,axiom,(
    ! [VarCurr] :
      ( v24804(VarCurr,bitIndex3)
    <=> v24814(VarCurr) ) )).

fof(addAssignment_7996,axiom,(
    ! [VarCurr] :
      ( v24804(VarCurr,bitIndex4)
    <=> v24806(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5548,axiom,(
    ! [VarCurr] :
      ( v24824(VarCurr)
    <=> ( v24825(VarCurr)
        & v24828(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1403,axiom,(
    ! [VarCurr] :
      ( v24828(VarCurr)
    <=> ( v24698(VarCurr,bitIndex0)
        | v24698(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5547,axiom,(
    ! [VarCurr] :
      ( v24825(VarCurr)
    <=> ( v24826(VarCurr)
        | v24827(VarCurr) ) ) )).

fof(writeUnaryOperator_2564,axiom,(
    ! [VarCurr] :
      ( ~ v24827(VarCurr)
    <=> v24698(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2563,axiom,(
    ! [VarCurr] :
      ( ~ v24826(VarCurr)
    <=> v24698(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5546,axiom,(
    ! [VarCurr] :
      ( v24819(VarCurr)
    <=> ( v24820(VarCurr)
        & v24823(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1402,axiom,(
    ! [VarCurr] :
      ( v24823(VarCurr)
    <=> ( v24811(VarCurr)
        | v24698(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5545,axiom,(
    ! [VarCurr] :
      ( v24820(VarCurr)
    <=> ( v24821(VarCurr)
        | v24822(VarCurr) ) ) )).

fof(writeUnaryOperator_2562,axiom,(
    ! [VarCurr] :
      ( ~ v24822(VarCurr)
    <=> v24698(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_2561,axiom,(
    ! [VarCurr] :
      ( ~ v24821(VarCurr)
    <=> v24811(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5544,axiom,(
    ! [VarCurr] :
      ( v24814(VarCurr)
    <=> ( v24815(VarCurr)
        & v24818(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1401,axiom,(
    ! [VarCurr] :
      ( v24818(VarCurr)
    <=> ( v24810(VarCurr)
        | v24698(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5543,axiom,(
    ! [VarCurr] :
      ( v24815(VarCurr)
    <=> ( v24816(VarCurr)
        | v24817(VarCurr) ) ) )).

fof(writeUnaryOperator_2560,axiom,(
    ! [VarCurr] :
      ( ~ v24817(VarCurr)
    <=> v24698(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_2559,axiom,(
    ! [VarCurr] :
      ( ~ v24816(VarCurr)
    <=> v24810(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5542,axiom,(
    ! [VarCurr] :
      ( v24806(VarCurr)
    <=> ( v24807(VarCurr)
        & v24813(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1400,axiom,(
    ! [VarCurr] :
      ( v24813(VarCurr)
    <=> ( v24809(VarCurr)
        | v24698(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5541,axiom,(
    ! [VarCurr] :
      ( v24807(VarCurr)
    <=> ( v24808(VarCurr)
        | v24812(VarCurr) ) ) )).

fof(writeUnaryOperator_2558,axiom,(
    ! [VarCurr] :
      ( ~ v24812(VarCurr)
    <=> v24698(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_2557,axiom,(
    ! [VarCurr] :
      ( ~ v24808(VarCurr)
    <=> v24809(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1399,axiom,(
    ! [VarCurr] :
      ( v24809(VarCurr)
    <=> ( v24810(VarCurr)
        & v24698(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1398,axiom,(
    ! [VarCurr] :
      ( v24810(VarCurr)
    <=> ( v24811(VarCurr)
        & v24698(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1397,axiom,(
    ! [VarCurr] :
      ( v24811(VarCurr)
    <=> ( v24698(VarCurr,bitIndex0)
        & v24698(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5540,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24783(VarNext)
      <=> ( v24784(VarNext)
          & v24791(VarNext) ) ) ) )).

fof(addAssignment_7995,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24791(VarNext)
      <=> v24789(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5539,axiom,(
    ! [VarCurr] :
      ( v24789(VarCurr)
    <=> ( v24792(VarCurr)
        | v24797(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5538,axiom,(
    ! [VarCurr] :
      ( v24797(VarCurr)
    <=> ( v24798(VarCurr)
        | v24799(VarCurr) ) ) )).

fof(writeUnaryOperator_2556,axiom,(
    ! [VarCurr] :
      ( ~ v24799(VarCurr)
    <=> v24488(VarCurr) ) )).

fof(writeUnaryOperator_2555,axiom,(
    ! [VarCurr] :
      ( ~ v24798(VarCurr)
    <=> v12(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5537,axiom,(
    ! [VarCurr] :
      ( v24792(VarCurr)
    <=> ( v24793(VarCurr)
        | v24795(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5536,axiom,(
    ! [VarCurr] :
      ( v24795(VarCurr)
    <=> ( v24684(VarCurr)
        & v24796(VarCurr) ) ) )).

fof(writeUnaryOperator_2554,axiom,(
    ! [VarCurr] :
      ( ~ v24796(VarCurr)
    <=> v24700(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5535,axiom,(
    ! [VarCurr] :
      ( v24793(VarCurr)
    <=> ( v24794(VarCurr)
        & v24700(VarCurr) ) ) )).

fof(writeUnaryOperator_2553,axiom,(
    ! [VarCurr] :
      ( ~ v24794(VarCurr)
    <=> v24684(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5534,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24784(VarNext)
      <=> ( v24785(VarNext)
          & v11731(VarNext) ) ) ) )).

fof(writeUnaryOperator_2552,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v24785(VarNext)
      <=> v24471(VarNext) ) ) )).

fof(addAssignmentInitValueVector_42,axiom,(
    ! [B] :
      ( range_4_0(B)
     => ( v24698(constB0,B)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5533,axiom,(
    ! [VarCurr] :
      ( v24700(VarCurr)
    <=> ( v24702(VarCurr)
        & v24780(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1718,axiom,(
    ! [VarCurr] :
      ( v24780(VarCurr)
    <=> ( v24730(VarCurr)
      <=> $true ) ) )).

fof(addAssignment_7994,axiom,(
    ! [VarCurr] :
      ( v24730(VarCurr)
    <=> v24732(VarCurr,bitIndex3) ) )).

fof(addAssignment_7993,axiom,(
    ! [VarCurr] :
      ( v24732(VarCurr,bitIndex3)
    <=> v24734(VarCurr,bitIndex3) ) )).

fof(addAssignment_7992,axiom,(
    ! [VarCurr] :
      ( v24734(VarCurr,bitIndex3)
    <=> v24736(VarCurr,bitIndex3) ) )).

fof(addAssignment_7991,axiom,(
    ! [VarNext] :
      ( v24736(VarNext,bitIndex3)
    <=> v24766(VarNext,bitIndex3) ) )).

fof(addCaseBooleanConditionEqualRanges1_270,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v24767(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v24766(VarNext,B)
            <=> v24736(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_307,axiom,(
    ! [VarNext] :
      ( v24767(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v24766(VarNext,B)
          <=> v24775(VarNext,B) ) ) ) )).

fof(addAssignment_7990,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v24775(VarNext,B)
          <=> v24773(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_620,axiom,(
    ! [VarCurr] :
      ( ~ v24776(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v24773(VarCurr,B)
          <=> v24738(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_564,axiom,(
    ! [VarCurr] :
      ( v24776(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v24773(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_2551,axiom,(
    ! [VarCurr] :
      ( ~ v24776(VarCurr)
    <=> v23852(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5532,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24767(VarNext)
      <=> v24768(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5531,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24768(VarNext)
      <=> ( v24769(VarNext)
          & v23912(VarNext) ) ) ) )).

fof(writeUnaryOperator_2550,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v24769(VarNext)
      <=> v23919(VarNext) ) ) )).

fof(addAssignment_7989,axiom,(
    ! [VarCurr] :
      ( v24738(VarCurr,bitIndex3)
    <=> v24764(VarCurr,bitIndex3) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_619,axiom,(
    ! [VarCurr] :
      ( ~ v24740(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v24764(VarCurr,B)
          <=> v24746(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_563,axiom,(
    ! [VarCurr] :
      ( v24740(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v24764(VarCurr,B)
          <=> b0011(B) ) ) ) )).

fof(addAssignment_7988,axiom,(
    ! [VarCurr] :
      ( v24746(VarCurr,bitIndex3)
    <=> v24747(VarCurr,bitIndex3) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_618,axiom,(
    ! [VarCurr] :
      ( ~ v24748(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v24747(VarCurr,B)
          <=> $false ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_562,axiom,(
    ! [VarCurr] :
      ( v24748(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v24747(VarCurr,B)
          <=> v24760(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges5_13,axiom,(
    ! [VarCurr] :
      ( ( ~ v24753(VarCurr)
        & ~ v12976(VarCurr)
        & ~ v22112(VarCurr)
        & ~ v22130(VarCurr)
        & ~ v24755(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v24760(VarCurr,B)
          <=> v24763(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges4_14,axiom,(
    ! [VarCurr] :
      ( v24755(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v24760(VarCurr,B)
          <=> v24762(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_58,axiom,(
    ! [VarCurr] :
      ( v22130(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v24760(VarCurr,B)
          <=> b0100(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_270,axiom,(
    ! [VarCurr] :
      ( v22112(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v24760(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_660,axiom,(
    ! [VarCurr] :
      ( v12976(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v24760(VarCurr,B)
          <=> v24761(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_656,axiom,(
    ! [VarCurr] :
      ( v24753(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v24760(VarCurr,B)
          <=> b0010(B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_617,axiom,(
    ! [VarCurr] :
      ( ~ v648(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v24763(VarCurr,B)
          <=> b1001(B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_561,axiom,(
    ! [VarCurr] :
      ( v648(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v24763(VarCurr,B)
          <=> b1000(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_659,axiom,(
    ! [VarCurr] :
      ( ~ v24757(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v24762(VarCurr,B)
          <=> b1010(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_655,axiom,(
    ! [VarCurr] :
      ( v24757(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v24762(VarCurr,B)
          <=> b1011(B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_616,axiom,(
    ! [VarCurr] :
      ( ~ v648(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v24761(VarCurr,B)
          <=> $false ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_560,axiom,(
    ! [VarCurr] :
      ( v648(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v24761(VarCurr,B)
          <=> b0001(B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5530,axiom,(
    ! [VarCurr] :
      ( v24748(VarCurr)
    <=> ( v24749(VarCurr)
        | v24759(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1717,axiom,(
    ! [VarCurr] :
      ( v24759(VarCurr)
    <=> ( ( v2711(VarCurr,bitIndex6)
        <=> $true )
        & ( v2711(VarCurr,bitIndex5)
        <=> $false )
        & ( v2711(VarCurr,bitIndex4)
        <=> $false )
        & ( v2711(VarCurr,bitIndex3)
        <=> $true )
        & ( v2711(VarCurr,bitIndex2)
        <=> $false )
        & ( v2711(VarCurr,bitIndex1)
        <=> $true )
        & ( v2711(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5529,axiom,(
    ! [VarCurr] :
      ( v24749(VarCurr)
    <=> ( v24750(VarCurr)
        | v24755(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5528,axiom,(
    ! [VarCurr] :
      ( v24755(VarCurr)
    <=> ( v24756(VarCurr)
        & v23649(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5527,axiom,(
    ! [VarCurr] :
      ( v24756(VarCurr)
    <=> ( v24757(VarCurr)
        | v24758(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1716,axiom,(
    ! [VarCurr] :
      ( v24758(VarCurr)
    <=> ( ( v12972(VarCurr,bitIndex2)
        <=> $true )
        & ( v12972(VarCurr,bitIndex1)
        <=> $true )
        & ( v12972(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1715,axiom,(
    ! [VarCurr] :
      ( v24757(VarCurr)
    <=> ( ( v12972(VarCurr,bitIndex2)
        <=> $false )
        & ( v12972(VarCurr,bitIndex1)
        <=> $false )
        & ( v12972(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5526,axiom,(
    ! [VarCurr] :
      ( v24750(VarCurr)
    <=> ( v24751(VarCurr)
        | v22130(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5525,axiom,(
    ! [VarCurr] :
      ( v24751(VarCurr)
    <=> ( v24752(VarCurr)
        | v22112(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5524,axiom,(
    ! [VarCurr] :
      ( v24752(VarCurr)
    <=> ( v24753(VarCurr)
        | v12976(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5523,axiom,(
    ! [VarCurr] :
      ( v24753(VarCurr)
    <=> ( v24754(VarCurr)
        & v22228(VarCurr) ) ) )).

fof(writeUnaryOperator_2549,axiom,(
    ! [VarCurr] :
      ( ~ v24754(VarCurr)
    <=> v12972(VarCurr,bitIndex0) ) )).

fof(addAssignment_7987,axiom,(
    ! [VarCurr,B] :
      ( range_2_1(B)
     => ( v12972(VarCurr,B)
      <=> v12974(VarCurr,B) ) ) )).

fof(range_axiom_90,axiom,(
    ! [B] :
      ( range_2_1(B)
    <=> ( $false
        | bitIndex1 = B
        | bitIndex2 = B ) ) )).

fof(addAssignment_7986,axiom,(
    ! [VarCurr] :
      ( ( v12974(VarCurr,bitIndex2)
      <=> v652(VarCurr,bitIndex14) )
      & ( v12974(VarCurr,bitIndex1)
      <=> v652(VarCurr,bitIndex13) ) ) )).

fof(addAssignment_7985,axiom,(
    ! [VarCurr,B] :
      ( range_14_13(B)
     => ( v652(VarCurr,B)
      <=> v654(VarCurr,B) ) ) )).

fof(addAssignment_7984,axiom,(
    ! [VarCurr,B] :
      ( range_14_13(B)
     => ( v654(VarCurr,B)
      <=> v2670(VarCurr,B) ) ) )).

fof(range_axiom_89,axiom,(
    ! [B] :
      ( range_14_13(B)
    <=> ( $false
        | bitIndex13 = B
        | bitIndex14 = B ) ) )).

fof(addAssignment_7983,axiom,(
    ! [VarCurr] :
      ( v24740(VarCurr)
    <=> v24742(VarCurr) ) )).

fof(addAssignment_7982,axiom,(
    ! [VarCurr] :
      ( v24742(VarCurr)
    <=> v24744(VarCurr) ) )).

fof(addAssignment_7981,axiom,(
    ! [VarCurr] :
      ( v24744(VarCurr)
    <=> v16682(VarCurr) ) )).

fof(addAssignment_7980,axiom,(
    ! [VarCurr] :
      ( v24702(VarCurr)
    <=> v24704(VarCurr) ) )).

fof(addAssignment_7979,axiom,(
    ! [VarCurr] :
      ( v24704(VarCurr)
    <=> v24706(VarCurr) ) )).

fof(addAssignment_7978,axiom,(
    ! [VarCurr] :
      ( v24706(VarCurr)
    <=> v24708(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_269,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v24711(VarNext)
       => ( v24708(VarNext)
        <=> v24708(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_306,axiom,(
    ! [VarNext] :
      ( v24711(VarNext)
     => ( v24708(VarNext)
      <=> v24719(VarNext) ) ) )).

fof(addAssignment_7977,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24719(VarNext)
      <=> v24717(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_615,axiom,(
    ! [VarCurr] :
      ( ~ v24720(VarCurr)
     => ( v24717(VarCurr)
      <=> v24721(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_559,axiom,(
    ! [VarCurr] :
      ( v24720(VarCurr)
     => ( v24717(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5522,axiom,(
    ! [VarCurr] :
      ( v24721(VarCurr)
    <=> ( v24722(VarCurr)
        | v23641(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1396,axiom,(
    ! [VarCurr] :
      ( v24722(VarCurr)
    <=> ( v24723(VarCurr)
        | v615(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5521,axiom,(
    ! [VarCurr] :
      ( v24723(VarCurr)
    <=> ( v24724(VarCurr)
        | v22212(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5520,axiom,(
    ! [VarCurr] :
      ( v24724(VarCurr)
    <=> ( v24725(VarCurr)
        | v16682(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1395,axiom,(
    ! [VarCurr] :
      ( v24725(VarCurr)
    <=> ( v24726(VarCurr)
        | v615(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1394,axiom,(
    ! [VarCurr] :
      ( v24726(VarCurr)
    <=> ( v615(VarCurr,bitIndex3)
        | v615(VarCurr,bitIndex6) ) ) )).

fof(writeUnaryOperator_2548,axiom,(
    ! [VarCurr] :
      ( ~ v24720(VarCurr)
    <=> v123(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5519,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24711(VarNext)
      <=> v24712(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5518,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24712(VarNext)
      <=> ( v24713(VarNext)
          & v16719(VarNext) ) ) ) )).

fof(writeUnaryOperator_2547,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v24713(VarNext)
      <=> v16726(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5517,axiom,(
    ! [VarCurr] :
      ( v24684(VarCurr)
    <=> ( v24686(VarCurr)
        & v12143(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5516,axiom,(
    ! [VarCurr] :
      ( v24686(VarCurr)
    <=> ( v24687(VarCurr)
        | v24696(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1714,axiom,(
    ! [VarCurr] :
      ( v24696(VarCurr)
    <=> ( ( v12023(VarCurr,bitIndex3)
        <=> $true )
        & ( v12023(VarCurr,bitIndex2)
        <=> $true )
        & ( v12023(VarCurr,bitIndex1)
        <=> $true )
        & ( v12023(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5515,axiom,(
    ! [VarCurr] :
      ( v24687(VarCurr)
    <=> ( v24688(VarCurr)
        | v24695(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1713,axiom,(
    ! [VarCurr] :
      ( v24695(VarCurr)
    <=> ( ( v12023(VarCurr,bitIndex3)
        <=> $true )
        & ( v12023(VarCurr,bitIndex2)
        <=> $true )
        & ( v12023(VarCurr,bitIndex1)
        <=> $true )
        & ( v12023(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5514,axiom,(
    ! [VarCurr] :
      ( v24688(VarCurr)
    <=> ( v24689(VarCurr)
        | v24694(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1712,axiom,(
    ! [VarCurr] :
      ( v24694(VarCurr)
    <=> ( ( v12023(VarCurr,bitIndex3)
        <=> $true )
        & ( v12023(VarCurr,bitIndex2)
        <=> $true )
        & ( v12023(VarCurr,bitIndex1)
        <=> $false )
        & ( v12023(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5513,axiom,(
    ! [VarCurr] :
      ( v24689(VarCurr)
    <=> ( v24690(VarCurr)
        | v24693(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1711,axiom,(
    ! [VarCurr] :
      ( v24693(VarCurr)
    <=> ( ( v12023(VarCurr,bitIndex3)
        <=> $true )
        & ( v12023(VarCurr,bitIndex2)
        <=> $true )
        & ( v12023(VarCurr,bitIndex1)
        <=> $false )
        & ( v12023(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5512,axiom,(
    ! [VarCurr] :
      ( v24690(VarCurr)
    <=> ( v24691(VarCurr)
        | v24692(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1710,axiom,(
    ! [VarCurr] :
      ( v24692(VarCurr)
    <=> ( ( v12023(VarCurr,bitIndex3)
        <=> $true )
        & ( v12023(VarCurr,bitIndex2)
        <=> $false )
        & ( v12023(VarCurr,bitIndex1)
        <=> $false )
        & ( v12023(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1709,axiom,(
    ! [VarCurr] :
      ( v24691(VarCurr)
    <=> ( ( v12023(VarCurr,bitIndex3)
        <=> $true )
        & ( v12023(VarCurr,bitIndex2)
        <=> $false )
        & ( v12023(VarCurr,bitIndex1)
        <=> $false )
        & ( v12023(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5511,axiom,(
    ! [VarCurr] :
      ( v24674(VarCurr)
    <=> ( v24676(VarCurr)
        & v12143(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5510,axiom,(
    ! [VarCurr] :
      ( v24676(VarCurr)
    <=> ( v24677(VarCurr)
        | v24682(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1708,axiom,(
    ! [VarCurr] :
      ( v24682(VarCurr)
    <=> ( ( v12023(VarCurr,bitIndex3)
        <=> $false )
        & ( v12023(VarCurr,bitIndex2)
        <=> $true )
        & ( v12023(VarCurr,bitIndex1)
        <=> $false )
        & ( v12023(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5509,axiom,(
    ! [VarCurr] :
      ( v24677(VarCurr)
    <=> ( v24678(VarCurr)
        | v24681(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1707,axiom,(
    ! [VarCurr] :
      ( v24681(VarCurr)
    <=> ( ( v12023(VarCurr,bitIndex3)
        <=> $false )
        & ( v12023(VarCurr,bitIndex2)
        <=> $true )
        & ( v12023(VarCurr,bitIndex1)
        <=> $false )
        & ( v12023(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5508,axiom,(
    ! [VarCurr] :
      ( v24678(VarCurr)
    <=> ( v24679(VarCurr)
        | v24680(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1706,axiom,(
    ! [VarCurr] :
      ( v24680(VarCurr)
    <=> ( ( v12023(VarCurr,bitIndex3)
        <=> $false )
        & ( v12023(VarCurr,bitIndex2)
        <=> $false )
        & ( v12023(VarCurr,bitIndex1)
        <=> $false )
        & ( v12023(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1705,axiom,(
    ! [VarCurr] :
      ( v24679(VarCurr)
    <=> ( ( v12023(VarCurr,bitIndex3)
        <=> $false )
        & ( v12023(VarCurr,bitIndex2)
        <=> $false )
        & ( v12023(VarCurr,bitIndex1)
        <=> $false )
        & ( v12023(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7976,axiom,(
    ! [VarCurr] :
      ( v24488(VarCurr)
    <=> v24490(VarCurr) ) )).

fof(addAssignment_7975,axiom,(
    ! [VarCurr] :
      ( v24490(VarCurr)
    <=> v24492(VarCurr) ) )).

fof(addAssignment_7974,axiom,(
    ! [VarCurr] :
      ( v24492(VarCurr)
    <=> v24494(VarCurr) ) )).

fof(addAssignment_7973,axiom,(
    ! [VarCurr] :
      ( v24494(VarCurr)
    <=> v24496(VarCurr) ) )).

fof(addAssignment_7972,axiom,(
    ! [VarCurr] :
      ( v24496(VarCurr)
    <=> v24498(VarCurr,bitIndex0) ) )).

fof(addAssignment_7971,axiom,(
    ! [VarCurr] :
      ( v24498(VarCurr,bitIndex0)
    <=> v24500(VarCurr,bitIndex0) ) )).

fof(addAssignment_7970,axiom,(
    ! [VarCurr] :
      ( v24500(VarCurr,bitIndex0)
    <=> v24502(VarCurr,bitIndex0) ) )).

fof(addAssignment_7969,axiom,(
    ! [VarCurr] :
      ( v24502(VarCurr,bitIndex0)
    <=> v24504(VarCurr,bitIndex0) ) )).

fof(addAssignment_7968,axiom,(
    ! [VarCurr] :
      ( v24504(VarCurr,bitIndex0)
    <=> v24506(VarCurr,bitIndex0) ) )).

fof(addAssignment_7967,axiom,(
    ! [VarCurr] :
      ( v24506(VarCurr,bitIndex0)
    <=> v24508(VarCurr,bitIndex0) ) )).

fof(addAssignment_7966,axiom,(
    ! [VarCurr] :
      ( v24508(VarCurr,bitIndex0)
    <=> v24510(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_268,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v24623(VarNext)
       => ( v24510(VarNext)
        <=> v24510(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_305,axiom,(
    ! [VarNext] :
      ( v24623(VarNext)
     => ( v24510(VarNext)
      <=> v24658(VarNext) ) ) )).

fof(addAssignment_7965,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24658(VarNext)
      <=> v24656(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_658,axiom,(
    ! [VarCurr] :
      ( ~ v24512(VarCurr)
     => ( v24656(VarCurr)
      <=> v24659(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_654,axiom,(
    ! [VarCurr] :
      ( v24512(VarCurr)
     => ( v24656(VarCurr)
      <=> v24521(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_657,axiom,(
    ! [VarCurr] :
      ( ~ v24636(VarCurr)
     => ( v24659(VarCurr)
      <=> v24614(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_653,axiom,(
    ! [VarCurr] :
      ( v24636(VarCurr)
     => ( v24659(VarCurr)
      <=> v24660(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_269,axiom,(
    ! [VarCurr] :
      ( ( ~ v24639(VarCurr)
        & ~ v24641(VarCurr) )
     => ( v24660(VarCurr)
      <=> v24664(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_656,axiom,(
    ! [VarCurr] :
      ( v24641(VarCurr)
     => ( v24660(VarCurr)
      <=> v24663(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_652,axiom,(
    ! [VarCurr] :
      ( v24639(VarCurr)
     => ( v24660(VarCurr)
      <=> v24661(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_655,axiom,(
    ! [VarCurr] :
      ( ~ v24649(VarCurr)
     => ( v24664(VarCurr)
      <=> v24614(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_651,axiom,(
    ! [VarCurr] :
      ( v24649(VarCurr)
     => ( v24664(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_654,axiom,(
    ! [VarCurr] :
      ( ~ v24643(VarCurr)
     => ( v24663(VarCurr)
      <=> v24614(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_650,axiom,(
    ! [VarCurr] :
      ( v24643(VarCurr)
     => ( v24663(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_614,axiom,(
    ! [VarCurr] :
      ( ~ v24662(VarCurr)
     => ( v24661(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_558,axiom,(
    ! [VarCurr] :
      ( v24662(VarCurr)
     => ( v24661(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1704,axiom,(
    ! [VarCurr] :
      ( v24662(VarCurr)
    <=> ( v24529(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5507,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24623(VarNext)
      <=> ( v24624(VarNext)
          & v24633(VarNext) ) ) ) )).

fof(addAssignment_7964,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24633(VarNext)
      <=> v24631(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5506,axiom,(
    ! [VarCurr] :
      ( v24631(VarCurr)
    <=> ( v24512(VarCurr)
        | v24634(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5505,axiom,(
    ! [VarCurr] :
      ( v24634(VarCurr)
    <=> ( v24635(VarCurr)
        & v24655(VarCurr) ) ) )).

fof(writeUnaryOperator_2546,axiom,(
    ! [VarCurr] :
      ( ~ v24655(VarCurr)
    <=> v24512(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5504,axiom,(
    ! [VarCurr] :
      ( v24635(VarCurr)
    <=> ( v24636(VarCurr)
        | v24653(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5503,axiom,(
    ! [VarCurr] :
      ( v24653(VarCurr)
    <=> ( v24593(VarCurr)
        & v24654(VarCurr) ) ) )).

fof(writeUnaryOperator_2545,axiom,(
    ! [VarCurr] :
      ( ~ v24654(VarCurr)
    <=> v24595(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5502,axiom,(
    ! [VarCurr] :
      ( v24636(VarCurr)
    <=> ( v24637(VarCurr)
        & v24595(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5501,axiom,(
    ! [VarCurr] :
      ( v24637(VarCurr)
    <=> ( v24638(VarCurr)
        | v24647(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5500,axiom,(
    ! [VarCurr] :
      ( v24647(VarCurr)
    <=> ( v24648(VarCurr)
        & v24652(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1703,axiom,(
    ! [VarCurr] :
      ( v24652(VarCurr)
    <=> ( ( v24640(VarCurr,bitIndex2)
        <=> $false )
        & ( v24640(VarCurr,bitIndex1)
        <=> $false )
        & ( v24640(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5499,axiom,(
    ! [VarCurr] :
      ( v24648(VarCurr)
    <=> ( v24649(VarCurr)
        | v24650(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5498,axiom,(
    ! [VarCurr] :
      ( v24650(VarCurr)
    <=> ( v24593(VarCurr)
        & v24651(VarCurr) ) ) )).

fof(writeUnaryOperator_2544,axiom,(
    ! [VarCurr] :
      ( ~ v24651(VarCurr)
    <=> v24649(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1702,axiom,(
    ! [VarCurr] :
      ( v24649(VarCurr)
    <=> ( v24529(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5497,axiom,(
    ! [VarCurr] :
      ( v24638(VarCurr)
    <=> ( v24639(VarCurr)
        | v24641(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5496,axiom,(
    ! [VarCurr] :
      ( v24641(VarCurr)
    <=> ( v24642(VarCurr)
        & v24646(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1701,axiom,(
    ! [VarCurr] :
      ( v24646(VarCurr)
    <=> ( ( v24640(VarCurr,bitIndex2)
        <=> $false )
        & ( v24640(VarCurr,bitIndex1)
        <=> $true )
        & ( v24640(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5495,axiom,(
    ! [VarCurr] :
      ( v24642(VarCurr)
    <=> ( v24643(VarCurr)
        | v24644(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5494,axiom,(
    ! [VarCurr] :
      ( v24644(VarCurr)
    <=> ( v24593(VarCurr)
        & v24645(VarCurr) ) ) )).

fof(writeUnaryOperator_2543,axiom,(
    ! [VarCurr] :
      ( ~ v24645(VarCurr)
    <=> v24643(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1700,axiom,(
    ! [VarCurr] :
      ( v24643(VarCurr)
    <=> ( v24529(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1699,axiom,(
    ! [VarCurr] :
      ( v24639(VarCurr)
    <=> ( ( v24640(VarCurr,bitIndex2)
        <=> $true )
        & ( v24640(VarCurr,bitIndex1)
        <=> $false )
        & ( v24640(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7963,axiom,(
    ! [VarCurr] :
      ( v24640(VarCurr,bitIndex0)
    <=> v24527(VarCurr) ) )).

fof(addAssignment_7962,axiom,(
    ! [VarCurr] :
      ( v24640(VarCurr,bitIndex1)
    <=> v24525(VarCurr) ) )).

fof(addAssignment_7961,axiom,(
    ! [VarCurr] :
      ( v24640(VarCurr,bitIndex2)
    <=> v24523(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5493,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24624(VarNext)
      <=> ( v24625(VarNext)
          & v24616(VarNext) ) ) ) )).

fof(writeUnaryOperator_2542,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v24625(VarNext)
      <=> v24627(VarNext) ) ) )).

fof(addAssignment_7960,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24627(VarNext)
      <=> v24616(VarCurr) ) ) )).

fof(addAssignment_7959,axiom,(
    ! [VarCurr] :
      ( v24616(VarCurr)
    <=> v24618(VarCurr) ) )).

fof(addAssignment_7958,axiom,(
    ! [VarCurr] :
      ( v24618(VarCurr)
    <=> v24620(VarCurr) ) )).

fof(addAssignment_7957,axiom,(
    ! [VarCurr] :
      ( v24620(VarCurr)
    <=> v6816(VarCurr) ) )).

fof(addAssignment_7956,axiom,(
    ! [VarCurr] :
      ( v24614(VarCurr)
    <=> $false ) )).

fof(addAssignment_7955,axiom,(
    ! [VarCurr] :
      ( v24595(VarCurr)
    <=> v24597(VarCurr) ) )).

fof(addAssignment_7954,axiom,(
    ! [VarCurr] :
      ( v24597(VarCurr)
    <=> v24599(VarCurr) ) )).

fof(addAssignment_7953,axiom,(
    ! [VarCurr] :
      ( v24599(VarCurr)
    <=> v24601(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5492,axiom,(
    ! [VarCurr] :
      ( v24601(VarCurr)
    <=> ( v24603(VarCurr)
        & v3200(VarCurr) ) ) )).

fof(addAssignment_7952,axiom,(
    ! [VarCurr] :
      ( v24603(VarCurr)
    <=> v24605(VarCurr) ) )).

fof(addAssignment_7951,axiom,(
    ! [VarCurr] :
      ( v24605(VarCurr)
    <=> v24607(VarCurr) ) )).

fof(addAssignment_7950,axiom,(
    ! [VarCurr] :
      ( v24607(VarCurr)
    <=> v24609(VarCurr) ) )).

fof(addAssignment_7949,axiom,(
    ! [VarCurr] :
      ( v24609(VarCurr)
    <=> v24611(VarCurr) ) )).

fof(addAssignment_7948,axiom,(
    ! [VarCurr] :
      ( v24611(VarCurr)
    <=> v6183(VarCurr) ) )).

fof(addAssignment_7947,axiom,(
    ! [VarCurr] :
      ( v24593(VarCurr)
    <=> $false ) )).

fof(addAssignment_7946,axiom,(
    ! [VarCurr] :
      ( v24529(VarCurr)
    <=> v24531(VarCurr,bitIndex0) ) )).

fof(addAssignment_7945,axiom,(
    ! [VarCurr] :
      ( v24531(VarCurr,bitIndex0)
    <=> v24533(VarCurr,bitIndex0) ) )).

fof(addAssignment_7944,axiom,(
    ! [VarCurr] :
      ( v24533(VarCurr,bitIndex0)
    <=> v3162(VarCurr,bitIndex0) ) )).

fof(addAssignment_7943,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex0)
    <=> v3164(VarCurr,bitIndex0) ) )).

fof(addAssignment_7942,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex0)
    <=> v3166(VarCurr,bitIndex0) ) )).

fof(addAssignment_7941,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex0)
    <=> v3168(VarCurr,bitIndex0) ) )).

fof(addAssignment_7940,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex0)
    <=> v3170(VarCurr,bitIndex0) ) )).

fof(addAssignment_7939,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex0)
    <=> v3172(VarCurr,bitIndex0) ) )).

fof(addAssignment_7938,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex0)
    <=> v3174(VarCurr,bitIndex0) ) )).

fof(addAssignment_7937,axiom,(
    ! [VarNext] :
      ( v3174(VarNext,bitIndex0)
    <=> v24580(VarNext,bitIndex0) ) )).

fof(addCaseBooleanConditionEqualRanges1_267,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v24581(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v24580(VarNext,B)
            <=> v3174(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_304,axiom,(
    ! [VarNext] :
      ( v24581(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v24580(VarNext,B)
          <=> v24589(VarNext,B) ) ) ) )).

fof(addAssignment_7936,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v24589(VarNext,B)
          <=> v24587(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_613,axiom,(
    ! [VarCurr] :
      ( ~ v6803(VarCurr)
     => ! [B] :
          ( range_63_0(B)
         => ( v24587(VarCurr,B)
          <=> v24535(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_557,axiom,(
    ! [VarCurr] :
      ( v6803(VarCurr)
     => ! [B] :
          ( range_63_0(B)
         => ( v24587(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5491,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24581(VarNext)
      <=> v24582(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5490,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24582(VarNext)
      <=> ( v24584(VarNext)
          & v4163(VarNext) ) ) ) )).

fof(writeUnaryOperator_2541,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v24584(VarNext)
      <=> v4174(VarNext) ) ) )).

fof(addAssignment_7935,axiom,(
    ! [VarCurr] :
      ( v24535(VarCurr,bitIndex0)
    <=> v24537(VarCurr,bitIndex0) ) )).

fof(addAssignment_7934,axiom,(
    ! [VarCurr] :
      ( v24537(VarCurr,bitIndex0)
    <=> v24539(VarCurr,bitIndex0) ) )).

fof(addAssignment_7933,axiom,(
    ! [VarCurr] :
      ( v24539(VarCurr,bitIndex0)
    <=> v24541(VarCurr,bitIndex0) ) )).

fof(addAssignment_7932,axiom,(
    ! [VarCurr] :
      ( v24541(VarCurr,bitIndex0)
    <=> v24543(VarCurr,bitIndex0) ) )).

fof(addAssignment_7931,axiom,(
    ! [VarCurr] :
      ( v24543(VarCurr,bitIndex0)
    <=> v24545(VarCurr,bitIndex0) ) )).

fof(addAssignment_7930,axiom,(
    ! [VarCurr] :
      ( v24545(VarCurr,bitIndex0)
    <=> v24547(VarCurr,bitIndex0) ) )).

fof(addAssignment_7929,axiom,(
    ! [VarCurr] :
      ( v24547(VarCurr,bitIndex0)
    <=> v24549(VarCurr,bitIndex0) ) )).

fof(addAssignment_7928,axiom,(
    ! [VarCurr] :
      ( v24549(VarCurr,bitIndex0)
    <=> v24551(VarCurr,bitIndex0) ) )).

fof(addAssignment_7927,axiom,(
    ! [VarCurr] :
      ( v24551(VarCurr,bitIndex0)
    <=> v24553(VarCurr,bitIndex0) ) )).

fof(addAssignment_7926,axiom,(
    ! [VarCurr] :
      ( v24553(VarCurr,bitIndex0)
    <=> v24555(VarCurr,bitIndex0) ) )).

fof(addAssignment_7925,axiom,(
    ! [VarCurr] :
      ( v24555(VarCurr,bitIndex0)
    <=> v24557(VarCurr,bitIndex0) ) )).

fof(addAssignment_7924,axiom,(
    ! [VarNext] :
      ( v24557(VarNext,bitIndex0)
    <=> v24561(VarNext,bitIndex0) ) )).

fof(addCaseBooleanConditionEqualRanges1_266,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v24562(VarNext)
       => ! [B] :
            ( range_31_0(B)
           => ( v24561(VarNext,B)
            <=> v24557(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_303,axiom,(
    ! [VarNext] :
      ( v24562(VarNext)
     => ! [B] :
          ( range_31_0(B)
         => ( v24561(VarNext,B)
          <=> v24576(VarNext,B) ) ) ) )).

fof(addAssignment_7923,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_31_0(B)
         => ( v24576(VarNext,B)
          <=> v24574(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_653,axiom,(
    ! [VarCurr] :
      ( ~ v24571(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v24574(VarCurr,B)
          <=> v3252(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_649,axiom,(
    ! [VarCurr] :
      ( v24571(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v24574(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5489,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24562(VarNext)
      <=> ( v24563(VarNext)
          & v24570(VarNext) ) ) ) )).

fof(addAssignment_7922,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24570(VarNext)
      <=> v24568(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5488,axiom,(
    ! [VarCurr] :
      ( v24568(VarCurr)
    <=> ( v24571(VarCurr)
        | v24572(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5487,axiom,(
    ! [VarCurr] :
      ( v24572(VarCurr)
    <=> ( v3244(VarCurr,bitIndex0)
        & v24573(VarCurr) ) ) )).

fof(writeUnaryOperator_2540,axiom,(
    ! [VarCurr] :
      ( ~ v24573(VarCurr)
    <=> v24571(VarCurr) ) )).

fof(writeUnaryOperator_2539,axiom,(
    ! [VarCurr] :
      ( ~ v24571(VarCurr)
    <=> v3240(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5486,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24563(VarNext)
      <=> ( v24564(VarNext)
          & v3499(VarNext) ) ) ) )).

fof(writeUnaryOperator_2538,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v24564(VarNext)
      <=> v3506(VarNext) ) ) )).

fof(addAssignmentInitValue_37,axiom,(
    ~ v24557(constB0,bitIndex1) )).

fof(addAssignmentInitValue_36,axiom,(
    ~ v24557(constB0,bitIndex0) )).

fof(bitBlastConstant_9180,axiom,(
    ~ bxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx00(bitIndex1) )).

fof(bitBlastConstant_9179,axiom,(
    ~ bxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx00(bitIndex0) )).

fof(addAssignment_7921,axiom,(
    ! [VarCurr] :
      ( v3244(VarCurr,bitIndex0)
    <=> v6763(VarCurr,bitIndex0) ) )).

fof(addAssignment_7920,axiom,(
    ! [VarCurr] :
      ( v24527(VarCurr)
    <=> $false ) )).

fof(addAssignment_7919,axiom,(
    ! [VarCurr] :
      ( v24525(VarCurr)
    <=> $false ) )).

fof(addAssignment_7918,axiom,(
    ! [VarCurr] :
      ( v24523(VarCurr)
    <=> $true ) )).

fof(addAssignment_7917,axiom,(
    ! [VarCurr] :
      ( v24521(VarCurr)
    <=> $false ) )).

fof(addAssignment_7916,axiom,(
    ! [VarCurr] :
      ( v24512(VarCurr)
    <=> v24514(VarCurr) ) )).

fof(writeUnaryOperator_2537,axiom,(
    ! [VarCurr] :
      ( ~ v24514(VarCurr)
    <=> v24516(VarCurr) ) )).

fof(addAssignment_7915,axiom,(
    ! [VarCurr] :
      ( v24516(VarCurr)
    <=> v24518(VarCurr) ) )).

fof(addAssignment_7914,axiom,(
    ! [VarCurr] :
      ( v24518(VarCurr)
    <=> v3132(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_265,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v24467(VarNext)
       => ( v24046(VarNext)
        <=> v24046(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_302,axiom,(
    ! [VarNext] :
      ( v24467(VarNext)
     => ( v24046(VarNext)
      <=> v24483(VarNext) ) ) )).

fof(addAssignment_7913,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24483(VarNext)
      <=> v24481(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_612,axiom,(
    ! [VarCurr] :
      ( ~ v24480(VarCurr)
     => ( v24481(VarCurr)
      <=> v24484(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_556,axiom,(
    ! [VarCurr] :
      ( v24480(VarCurr)
     => ( v24481(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_611,axiom,(
    ! [VarCurr] :
      ( ~ v24048(VarCurr)
     => ( v24484(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_555,axiom,(
    ! [VarCurr] :
      ( v24048(VarCurr)
     => ( v24484(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5485,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24467(VarNext)
      <=> ( v24468(VarNext)
          & v24477(VarNext) ) ) ) )).

fof(addAssignment_7912,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24477(VarNext)
      <=> v24475(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5484,axiom,(
    ! [VarCurr] :
      ( v24475(VarCurr)
    <=> ( v24478(VarCurr)
        | v24480(VarCurr) ) ) )).

fof(writeUnaryOperator_2536,axiom,(
    ! [VarCurr] :
      ( ~ v24480(VarCurr)
    <=> v12(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5483,axiom,(
    ! [VarCurr] :
      ( v24478(VarCurr)
    <=> ( v24479(VarCurr)
        | v24048(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5482,axiom,(
    ! [VarCurr] :
      ( v24479(VarCurr)
    <=> ( v24383(VarCurr)
        & v24460(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5481,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24468(VarNext)
      <=> ( v24469(VarNext)
          & v11731(VarNext) ) ) ) )).

fof(writeUnaryOperator_2535,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v24469(VarNext)
      <=> v24471(VarNext) ) ) )).

fof(addAssignment_7911,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24471(VarNext)
      <=> v11731(VarCurr) ) ) )).

fof(addAssignmentInitValueVector_41,axiom,
    ( v24046(constB0)
  <=> $false )).

fof(writeBinaryOperatorEqualRangesSingleBits_5480,axiom,(
    ! [VarCurr] :
      ( v24460(VarCurr)
    <=> ( v24462(VarCurr)
        & v12143(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5479,axiom,(
    ! [VarCurr] :
      ( v24462(VarCurr)
    <=> ( v24463(VarCurr)
        | v24464(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1698,axiom,(
    ! [VarCurr] :
      ( v24464(VarCurr)
    <=> ( ( v12023(VarCurr,bitIndex3)
        <=> $false )
        & ( v12023(VarCurr,bitIndex2)
        <=> $true )
        & ( v12023(VarCurr,bitIndex1)
        <=> $true )
        & ( v12023(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1697,axiom,(
    ! [VarCurr] :
      ( v24463(VarCurr)
    <=> ( ( v12023(VarCurr,bitIndex3)
        <=> $false )
        & ( v12023(VarCurr,bitIndex2)
        <=> $true )
        & ( v12023(VarCurr,bitIndex1)
        <=> $true )
        & ( v12023(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7910,axiom,(
    ! [VarCurr] :
      ( ( v12023(VarCurr,bitIndex2)
      <=> v12025(VarCurr,bitIndex65) )
      & ( v12023(VarCurr,bitIndex1)
      <=> v12025(VarCurr,bitIndex64) )
      & ( v12023(VarCurr,bitIndex0)
      <=> v12025(VarCurr,bitIndex63) ) ) )).

fof(addAssignment_7909,axiom,(
    ! [VarCurr,B] :
      ( range_65_63(B)
     => ( v12025(VarCurr,B)
      <=> v12027(VarCurr,B) ) ) )).

fof(addAssignment_7908,axiom,(
    ! [VarCurr,B] :
      ( range_65_63(B)
     => ( v12027(VarCurr,B)
      <=> v12135(VarCurr,B) ) ) )).

fof(range_axiom_88,axiom,(
    ! [B] :
      ( range_65_63(B)
    <=> ( $false
        | bitIndex63 = B
        | bitIndex64 = B
        | bitIndex65 = B ) ) )).

fof(addAssignment_7907,axiom,(
    ! [VarCurr] :
      ( v24383(VarCurr)
    <=> v24385(VarCurr) ) )).

fof(addAssignment_7906,axiom,(
    ! [VarCurr] :
      ( v24385(VarCurr)
    <=> v24387(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_264,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v24443(VarNext)
       => ( v24387(VarNext)
        <=> v24387(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_301,axiom,(
    ! [VarNext] :
      ( v24443(VarNext)
     => ( v24387(VarNext)
      <=> v24453(VarNext) ) ) )).

fof(addAssignment_7905,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24453(VarNext)
      <=> v24451(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_610,axiom,(
    ! [VarCurr] :
      ( ~ v24454(VarCurr)
     => ( v24451(VarCurr)
      <=> x24416(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_554,axiom,(
    ! [VarCurr] :
      ( v24454(VarCurr)
     => ( v24451(VarCurr)
      <=> v24397(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5478,axiom,(
    ! [VarCurr] :
      ( v24454(VarCurr)
    <=> ( v24455(VarCurr)
        & v24456(VarCurr) ) ) )).

fof(writeUnaryOperator_2534,axiom,(
    ! [VarCurr] :
      ( ~ v24456(VarCurr)
    <=> v24393(VarCurr) ) )).

fof(writeUnaryOperator_2533,axiom,(
    ! [VarCurr] :
      ( ~ v24455(VarCurr)
    <=> v24389(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5477,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24443(VarNext)
      <=> v24444(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5476,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24444(VarNext)
      <=> ( v24445(VarNext)
          & v24440(VarNext) ) ) ) )).

fof(writeUnaryOperator_2532,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v24445(VarNext)
      <=> v24447(VarNext) ) ) )).

fof(addAssignment_7904,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24447(VarNext)
      <=> v24440(VarCurr) ) ) )).

fof(addAssignment_7903,axiom,(
    ! [VarCurr] :
      ( v24440(VarCurr)
    <=> v24420(VarCurr) ) )).

fof(addAssignment_7902,axiom,(
    ! [VarCurr] :
      ( v24397(VarCurr)
    <=> v24399(VarCurr) ) )).

fof(addAssignment_7901,axiom,(
    ! [VarCurr] :
      ( v24399(VarCurr)
    <=> v24401(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_263,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v24423(VarNext)
       => ( v24401(VarNext)
        <=> v24401(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_300,axiom,(
    ! [VarNext] :
      ( v24423(VarNext)
     => ( v24401(VarNext)
      <=> v24433(VarNext) ) ) )).

fof(addAssignment_7900,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24433(VarNext)
      <=> v24431(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_609,axiom,(
    ! [VarCurr] :
      ( ~ v24434(VarCurr)
     => ( v24431(VarCurr)
      <=> x24416(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_553,axiom,(
    ! [VarCurr] :
      ( v24434(VarCurr)
     => ( v24431(VarCurr)
      <=> v24407(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5475,axiom,(
    ! [VarCurr] :
      ( v24434(VarCurr)
    <=> ( v24435(VarCurr)
        & v24436(VarCurr) ) ) )).

fof(writeUnaryOperator_2531,axiom,(
    ! [VarCurr] :
      ( ~ v24436(VarCurr)
    <=> v24405(VarCurr) ) )).

fof(writeUnaryOperator_2530,axiom,(
    ! [VarCurr] :
      ( ~ v24435(VarCurr)
    <=> v24403(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5474,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24423(VarNext)
      <=> v24424(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5473,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24424(VarNext)
      <=> ( v24425(VarNext)
          & v24418(VarNext) ) ) ) )).

fof(writeUnaryOperator_2529,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v24425(VarNext)
      <=> v24427(VarNext) ) ) )).

fof(addAssignment_7899,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24427(VarNext)
      <=> v24418(VarCurr) ) ) )).

fof(addAssignmentInitValueVector_40,axiom,
    ( v24401(constB0)
  <=> $false )).

fof(addAssignment_7898,axiom,(
    ! [VarCurr] :
      ( v24418(VarCurr)
    <=> v24420(VarCurr) ) )).

fof(addAssignment_7897,axiom,(
    ! [VarCurr] :
      ( v24420(VarCurr)
    <=> v11731(VarCurr) ) )).

fof(addAssignment_7896,axiom,(
    ! [VarCurr] :
      ( v24407(VarCurr)
    <=> v24409(VarCurr) ) )).

fof(addAssignment_7895,axiom,(
    ! [VarCurr] :
      ( v24409(VarCurr)
    <=> v24411(VarCurr) ) )).

fof(addAssignment_7894,axiom,(
    ! [VarCurr] :
      ( v24411(VarCurr)
    <=> v24413(VarCurr) ) )).

fof(addAssignment_7893,axiom,(
    ! [VarCurr] :
      ( v24413(VarCurr)
    <=> v24415(VarCurr) ) )).

fof(addAssignment_7892,axiom,(
    ! [VarCurr] :
      ( v24405(VarCurr)
    <=> v24395(VarCurr) ) )).

fof(addAssignment_7891,axiom,(
    ! [VarCurr] :
      ( v24403(VarCurr)
    <=> v24391(VarCurr) ) )).

fof(addAssignment_7890,axiom,(
    ! [VarCurr] :
      ( v24393(VarCurr)
    <=> v24395(VarCurr) ) )).

fof(addAssignment_7889,axiom,(
    ! [VarCurr] :
      ( v24395(VarCurr)
    <=> $false ) )).

fof(addAssignment_7888,axiom,(
    ! [VarCurr] :
      ( v24389(VarCurr)
    <=> v24391(VarCurr) ) )).

fof(addAssignment_7887,axiom,(
    ! [VarCurr] :
      ( v24391(VarCurr)
    <=> $false ) )).

fof(addAssignment_7886,axiom,(
    ! [VarCurr] :
      ( v24048(VarCurr)
    <=> v24050(VarCurr) ) )).

fof(addAssignment_7885,axiom,(
    ! [VarCurr] :
      ( v24050(VarCurr)
    <=> v24052(VarCurr) ) )).

fof(addAssignment_7884,axiom,(
    ! [VarCurr] :
      ( v24052(VarCurr)
    <=> v24054(VarCurr) ) )).

fof(addAssignment_7883,axiom,(
    ! [VarCurr] :
      ( v24054(VarCurr)
    <=> v24056(VarCurr) ) )).

fof(addAssignment_7882,axiom,(
    ! [VarCurr] :
      ( v24056(VarCurr)
    <=> v24058(VarCurr) ) )).

fof(addAssignment_7881,axiom,(
    ! [VarCurr] :
      ( v24058(VarCurr)
    <=> v24060(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_608,axiom,(
    ! [VarCurr] :
      ( ~ v24376(VarCurr)
     => ( v24060(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_552,axiom,(
    ! [VarCurr] :
      ( v24376(VarCurr)
     => ( v24060(VarCurr)
      <=> v24377(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_652,axiom,(
    ! [VarCurr] :
      ( ~ v24231(VarCurr)
     => ( v24377(VarCurr)
      <=> v24380(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_648,axiom,(
    ! [VarCurr] :
      ( v24231(VarCurr)
     => ( v24377(VarCurr)
      <=> v24378(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_607,axiom,(
    ! [VarCurr] :
      ( ~ v24234(VarCurr)
     => ( v24380(VarCurr)
      <=> v24381(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_551,axiom,(
    ! [VarCurr] :
      ( v24234(VarCurr)
     => ( v24380(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_606,axiom,(
    ! [VarCurr] :
      ( ~ v24238(VarCurr)
     => ( v24381(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_550,axiom,(
    ! [VarCurr] :
      ( v24238(VarCurr)
     => ( v24381(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_605,axiom,(
    ! [VarCurr] :
      ( ~ v24230(VarCurr)
     => ( v24378(VarCurr)
      <=> v24379(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_549,axiom,(
    ! [VarCurr] :
      ( v24230(VarCurr)
     => ( v24378(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_604,axiom,(
    ! [VarCurr] :
      ( ~ v24258(VarCurr)
     => ( v24379(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_548,axiom,(
    ! [VarCurr] :
      ( v24258(VarCurr)
     => ( v24379(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5472,axiom,(
    ! [VarCurr] :
      ( v24376(VarCurr)
    <=> ( v24231(VarCurr)
        | v24235(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_262,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v24364(VarNext)
       => ( v24062(VarNext,bitIndex0)
        <=> v24062(VarCurr,bitIndex0) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_299,axiom,(
    ! [VarNext] :
      ( v24364(VarNext)
     => ( v24062(VarNext,bitIndex0)
      <=> v24372(VarNext) ) ) )).

fof(addAssignment_7880,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24372(VarNext)
      <=> v24370(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_603,axiom,(
    ! [VarCurr] :
      ( ~ v24250(VarCurr)
     => ( v24370(VarCurr)
      <=> v24064(VarCurr,bitIndex0) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_547,axiom,(
    ! [VarCurr] :
      ( v24250(VarCurr)
     => ( v24370(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5471,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24364(VarNext)
      <=> v24365(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5470,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24365(VarNext)
      <=> ( v24367(VarNext)
          & v22283(VarNext) ) ) ) )).

fof(writeUnaryOperator_2528,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v24367(VarNext)
      <=> v22292(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_602,axiom,(
    ! [VarCurr] :
      ( ~ v24356(VarCurr)
     => ( v24064(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_546,axiom,(
    ! [VarCurr] :
      ( v24356(VarCurr)
     => ( v24064(VarCurr,bitIndex0)
      <=> v24360(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_651,axiom,(
    ! [VarCurr] :
      ( ~ v24357(VarCurr)
     => ( v24360(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_647,axiom,(
    ! [VarCurr] :
      ( v24357(VarCurr)
     => ( v24360(VarCurr)
      <=> v24361(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_601,axiom,(
    ! [VarCurr] :
      ( ~ v24258(VarCurr)
     => ( v24361(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_545,axiom,(
    ! [VarCurr] :
      ( v24258(VarCurr)
     => ( v24361(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5469,axiom,(
    ! [VarCurr] :
      ( v24356(VarCurr)
    <=> ( v24357(VarCurr)
        | v24359(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5468,axiom,(
    ! [VarCurr] :
      ( v24359(VarCurr)
    <=> ( v24234(VarCurr)
        & v24235(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5467,axiom,(
    ! [VarCurr] :
      ( v24357(VarCurr)
    <=> ( v24358(VarCurr)
        & v24231(VarCurr) ) ) )).

fof(writeUnaryOperator_2527,axiom,(
    ! [VarCurr] :
      ( ~ v24358(VarCurr)
    <=> v24230(VarCurr) ) )).

fof(addAssignment_7879,axiom,(
    ! [VarCurr] :
      ( v24066(VarCurr)
    <=> v24068(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1696,axiom,(
    ! [VarCurr] :
      ( v24068(VarCurr)
    <=> ( ( v24070(VarCurr,bitIndex4)
        <=> $false )
        & ( v24070(VarCurr,bitIndex3)
        <=> $false )
        & ( v24070(VarCurr,bitIndex2)
        <=> $false )
        & ( v24070(VarCurr,bitIndex1)
        <=> $false )
        & ( v24070(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_261,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v24340(VarNext)
       => ! [B] :
            ( range_4_0(B)
           => ( v24070(VarNext,B)
            <=> v24070(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_298,axiom,(
    ! [VarNext] :
      ( v24340(VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v24070(VarNext,B)
          <=> v24350(VarNext,B) ) ) ) )).

fof(addAssignment_7878,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v24350(VarNext,B)
          <=> v24348(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_600,axiom,(
    ! [VarCurr] :
      ( ~ v24351(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v24348(VarCurr,B)
          <=> v24074(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_544,axiom,(
    ! [VarCurr] :
      ( v24351(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v24348(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_2526,axiom,(
    ! [VarCurr] :
      ( ~ v24351(VarCurr)
    <=> v24072(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5466,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24340(VarNext)
      <=> v24341(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5465,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24341(VarNext)
      <=> ( v24342(VarNext)
          & v24337(VarNext) ) ) ) )).

fof(writeUnaryOperator_2525,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v24342(VarNext)
      <=> v24344(VarNext) ) ) )).

fof(addAssignment_7877,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24344(VarNext)
      <=> v24337(VarCurr) ) ) )).

fof(addAssignment_7876,axiom,(
    ! [VarCurr] :
      ( v24337(VarCurr)
    <=> v22283(VarCurr) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_57,axiom,(
    ! [VarCurr] :
      ( ( ~ v24262(VarCurr)
        & ~ v24264(VarCurr)
        & ~ v24305(VarCurr) )
     => ! [B] :
          ( range_4_0(B)
         => ( v24074(VarCurr,B)
          <=> v24070(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_268,axiom,(
    ! [VarCurr] :
      ( v24305(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v24074(VarCurr,B)
          <=> v24307(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_650,axiom,(
    ! [VarCurr] :
      ( v24264(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v24074(VarCurr,B)
          <=> v24266(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_646,axiom,(
    ! [VarCurr] :
      ( v24262(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v24074(VarCurr,B)
          <=> v24070(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1695,axiom,(
    ! [VarCurr] :
      ( v24334(VarCurr)
    <=> ( ( v24335(VarCurr,bitIndex1)
        <=> $true )
        & ( v24335(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_7875,axiom,(
    ! [VarCurr] :
      ( v24335(VarCurr,bitIndex0)
    <=> v24083(VarCurr) ) )).

fof(addAssignment_7874,axiom,(
    ! [VarCurr] :
      ( v24335(VarCurr,bitIndex1)
    <=> v24076(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_599,axiom,(
    ! [VarCurr] :
      ( ~ v24308(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v24307(VarCurr,B)
          <=> v24309(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_543,axiom,(
    ! [VarCurr] :
      ( v24308(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v24307(VarCurr,B)
          <=> b01111(B) ) ) ) )).

fof(addAssignment_7873,axiom,(
    ! [VarCurr] :
      ( v24309(VarCurr,bitIndex0)
    <=> v24331(VarCurr) ) )).

fof(addAssignment_7872,axiom,(
    ! [VarCurr] :
      ( v24309(VarCurr,bitIndex1)
    <=> v24329(VarCurr) ) )).

fof(addAssignment_7871,axiom,(
    ! [VarCurr] :
      ( v24309(VarCurr,bitIndex2)
    <=> v24324(VarCurr) ) )).

fof(addAssignment_7870,axiom,(
    ! [VarCurr] :
      ( v24309(VarCurr,bitIndex3)
    <=> v24319(VarCurr) ) )).

fof(addAssignment_7869,axiom,(
    ! [VarCurr] :
      ( v24309(VarCurr,bitIndex4)
    <=> v24311(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5464,axiom,(
    ! [VarCurr] :
      ( v24329(VarCurr)
    <=> ( v24330(VarCurr)
        & v24333(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1393,axiom,(
    ! [VarCurr] :
      ( v24333(VarCurr)
    <=> ( v24070(VarCurr,bitIndex0)
        | v24070(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5463,axiom,(
    ! [VarCurr] :
      ( v24330(VarCurr)
    <=> ( v24331(VarCurr)
        | v24332(VarCurr) ) ) )).

fof(writeUnaryOperator_2524,axiom,(
    ! [VarCurr] :
      ( ~ v24332(VarCurr)
    <=> v24070(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2523,axiom,(
    ! [VarCurr] :
      ( ~ v24331(VarCurr)
    <=> v24070(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5462,axiom,(
    ! [VarCurr] :
      ( v24324(VarCurr)
    <=> ( v24325(VarCurr)
        & v24328(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1392,axiom,(
    ! [VarCurr] :
      ( v24328(VarCurr)
    <=> ( v24316(VarCurr)
        | v24070(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5461,axiom,(
    ! [VarCurr] :
      ( v24325(VarCurr)
    <=> ( v24326(VarCurr)
        | v24327(VarCurr) ) ) )).

fof(writeUnaryOperator_2522,axiom,(
    ! [VarCurr] :
      ( ~ v24327(VarCurr)
    <=> v24070(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_2521,axiom,(
    ! [VarCurr] :
      ( ~ v24326(VarCurr)
    <=> v24316(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5460,axiom,(
    ! [VarCurr] :
      ( v24319(VarCurr)
    <=> ( v24320(VarCurr)
        & v24323(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1391,axiom,(
    ! [VarCurr] :
      ( v24323(VarCurr)
    <=> ( v24315(VarCurr)
        | v24070(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5459,axiom,(
    ! [VarCurr] :
      ( v24320(VarCurr)
    <=> ( v24321(VarCurr)
        | v24322(VarCurr) ) ) )).

fof(writeUnaryOperator_2520,axiom,(
    ! [VarCurr] :
      ( ~ v24322(VarCurr)
    <=> v24070(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_2519,axiom,(
    ! [VarCurr] :
      ( ~ v24321(VarCurr)
    <=> v24315(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5458,axiom,(
    ! [VarCurr] :
      ( v24311(VarCurr)
    <=> ( v24312(VarCurr)
        & v24318(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1390,axiom,(
    ! [VarCurr] :
      ( v24318(VarCurr)
    <=> ( v24314(VarCurr)
        | v24070(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5457,axiom,(
    ! [VarCurr] :
      ( v24312(VarCurr)
    <=> ( v24313(VarCurr)
        | v24317(VarCurr) ) ) )).

fof(writeUnaryOperator_2518,axiom,(
    ! [VarCurr] :
      ( ~ v24317(VarCurr)
    <=> v24070(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_2517,axiom,(
    ! [VarCurr] :
      ( ~ v24313(VarCurr)
    <=> v24314(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1389,axiom,(
    ! [VarCurr] :
      ( v24314(VarCurr)
    <=> ( v24315(VarCurr)
        & v24070(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1388,axiom,(
    ! [VarCurr] :
      ( v24315(VarCurr)
    <=> ( v24316(VarCurr)
        & v24070(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1387,axiom,(
    ! [VarCurr] :
      ( v24316(VarCurr)
    <=> ( v24070(VarCurr,bitIndex0)
        & v24070(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_1694,axiom,(
    ! [VarCurr] :
      ( v24308(VarCurr)
    <=> ( ( v24070(VarCurr,bitIndex4)
        <=> $false )
        & ( v24070(VarCurr,bitIndex3)
        <=> $true )
        & ( v24070(VarCurr,bitIndex2)
        <=> $true )
        & ( v24070(VarCurr,bitIndex1)
        <=> $true )
        & ( v24070(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1693,axiom,(
    ! [VarCurr] :
      ( v24305(VarCurr)
    <=> ( ( v24306(VarCurr,bitIndex1)
        <=> $true )
        & ( v24306(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7868,axiom,(
    ! [VarCurr] :
      ( v24306(VarCurr,bitIndex0)
    <=> v24083(VarCurr) ) )).

fof(addAssignment_7867,axiom,(
    ! [VarCurr] :
      ( v24306(VarCurr,bitIndex1)
    <=> v24076(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_598,axiom,(
    ! [VarCurr] :
      ( ~ v24267(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v24266(VarCurr,B)
          <=> v24268(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_542,axiom,(
    ! [VarCurr] :
      ( v24267(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v24266(VarCurr,B)
          <=> $false ) ) ) )).

fof(addSignExtensionConstraint_185,axiom,(
    ! [VarCurr] :
      ( v24268(VarCurr,bitIndex6)
    <=> v24269(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_184,axiom,(
    ! [VarCurr] :
      ( v24268(VarCurr,bitIndex7)
    <=> v24269(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_183,axiom,(
    ! [VarCurr] :
      ( v24268(VarCurr,bitIndex8)
    <=> v24269(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_182,axiom,(
    ! [VarCurr] :
      ( v24268(VarCurr,bitIndex9)
    <=> v24269(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_181,axiom,(
    ! [VarCurr] :
      ( v24268(VarCurr,bitIndex10)
    <=> v24269(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_180,axiom,(
    ! [VarCurr] :
      ( v24268(VarCurr,bitIndex11)
    <=> v24269(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_179,axiom,(
    ! [VarCurr] :
      ( v24268(VarCurr,bitIndex12)
    <=> v24269(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_178,axiom,(
    ! [VarCurr] :
      ( v24268(VarCurr,bitIndex13)
    <=> v24269(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_177,axiom,(
    ! [VarCurr] :
      ( v24268(VarCurr,bitIndex14)
    <=> v24269(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_176,axiom,(
    ! [VarCurr] :
      ( v24268(VarCurr,bitIndex15)
    <=> v24269(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_175,axiom,(
    ! [VarCurr] :
      ( v24268(VarCurr,bitIndex16)
    <=> v24269(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_174,axiom,(
    ! [VarCurr] :
      ( v24268(VarCurr,bitIndex17)
    <=> v24269(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_173,axiom,(
    ! [VarCurr] :
      ( v24268(VarCurr,bitIndex18)
    <=> v24269(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_172,axiom,(
    ! [VarCurr] :
      ( v24268(VarCurr,bitIndex19)
    <=> v24269(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_171,axiom,(
    ! [VarCurr] :
      ( v24268(VarCurr,bitIndex20)
    <=> v24269(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_170,axiom,(
    ! [VarCurr] :
      ( v24268(VarCurr,bitIndex21)
    <=> v24269(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_169,axiom,(
    ! [VarCurr] :
      ( v24268(VarCurr,bitIndex22)
    <=> v24269(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_168,axiom,(
    ! [VarCurr] :
      ( v24268(VarCurr,bitIndex23)
    <=> v24269(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_167,axiom,(
    ! [VarCurr] :
      ( v24268(VarCurr,bitIndex24)
    <=> v24269(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_166,axiom,(
    ! [VarCurr] :
      ( v24268(VarCurr,bitIndex25)
    <=> v24269(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_165,axiom,(
    ! [VarCurr] :
      ( v24268(VarCurr,bitIndex26)
    <=> v24269(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_164,axiom,(
    ! [VarCurr] :
      ( v24268(VarCurr,bitIndex27)
    <=> v24269(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_163,axiom,(
    ! [VarCurr] :
      ( v24268(VarCurr,bitIndex28)
    <=> v24269(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_162,axiom,(
    ! [VarCurr] :
      ( v24268(VarCurr,bitIndex29)
    <=> v24269(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_161,axiom,(
    ! [VarCurr] :
      ( v24268(VarCurr,bitIndex30)
    <=> v24269(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_160,axiom,(
    ! [VarCurr] :
      ( v24268(VarCurr,bitIndex31)
    <=> v24269(VarCurr,bitIndex5) ) )).

fof(addAssignment_7866,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v24268(VarCurr,B)
      <=> v24269(VarCurr,B) ) ) )).

fof(addAssignment_7865,axiom,(
    ! [VarCurr] :
      ( v24269(VarCurr,bitIndex0)
    <=> v24303(VarCurr) ) )).

fof(addAssignment_7864,axiom,(
    ! [VarCurr] :
      ( v24269(VarCurr,bitIndex1)
    <=> v24301(VarCurr) ) )).

fof(addAssignment_7863,axiom,(
    ! [VarCurr] :
      ( v24269(VarCurr,bitIndex2)
    <=> v24297(VarCurr) ) )).

fof(addAssignment_7862,axiom,(
    ! [VarCurr] :
      ( v24269(VarCurr,bitIndex3)
    <=> v24293(VarCurr) ) )).

fof(addAssignment_7861,axiom,(
    ! [VarCurr] :
      ( v24269(VarCurr,bitIndex4)
    <=> v24289(VarCurr) ) )).

fof(addAssignment_7860,axiom,(
    ! [VarCurr] :
      ( v24269(VarCurr,bitIndex5)
    <=> v24271(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5456,axiom,(
    ! [VarCurr] :
      ( v24301(VarCurr)
    <=> ( v24302(VarCurr)
        & v24304(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5455,axiom,(
    ! [VarCurr] :
      ( v24304(VarCurr)
    <=> ( v24275(VarCurr,bitIndex0)
        | v24283(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1386,axiom,(
    ! [VarCurr] :
      ( v24302(VarCurr)
    <=> ( v24303(VarCurr)
        | v24275(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_2516,axiom,(
    ! [VarCurr] :
      ( ~ v24303(VarCurr)
    <=> v24275(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5454,axiom,(
    ! [VarCurr] :
      ( v24297(VarCurr)
    <=> ( v24298(VarCurr)
        & v24300(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5453,axiom,(
    ! [VarCurr] :
      ( v24300(VarCurr)
    <=> ( v24281(VarCurr)
        | v24284(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1385,axiom,(
    ! [VarCurr] :
      ( v24298(VarCurr)
    <=> ( v24299(VarCurr)
        | v24275(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_2515,axiom,(
    ! [VarCurr] :
      ( ~ v24299(VarCurr)
    <=> v24281(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5452,axiom,(
    ! [VarCurr] :
      ( v24293(VarCurr)
    <=> ( v24294(VarCurr)
        & v24296(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5451,axiom,(
    ! [VarCurr] :
      ( v24296(VarCurr)
    <=> ( v24279(VarCurr)
        | v24285(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1384,axiom,(
    ! [VarCurr] :
      ( v24294(VarCurr)
    <=> ( v24295(VarCurr)
        | v24275(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_2514,axiom,(
    ! [VarCurr] :
      ( ~ v24295(VarCurr)
    <=> v24279(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5450,axiom,(
    ! [VarCurr] :
      ( v24289(VarCurr)
    <=> ( v24290(VarCurr)
        & v24292(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5449,axiom,(
    ! [VarCurr] :
      ( v24292(VarCurr)
    <=> ( v24277(VarCurr)
        | v24286(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1383,axiom,(
    ! [VarCurr] :
      ( v24290(VarCurr)
    <=> ( v24291(VarCurr)
        | v24275(VarCurr,bitIndex4) ) ) )).

fof(writeUnaryOperator_2513,axiom,(
    ! [VarCurr] :
      ( ~ v24291(VarCurr)
    <=> v24277(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5448,axiom,(
    ! [VarCurr] :
      ( v24271(VarCurr)
    <=> ( v24272(VarCurr)
        & v24287(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5447,axiom,(
    ! [VarCurr] :
      ( v24287(VarCurr)
    <=> ( v24274(VarCurr)
        | v24288(VarCurr) ) ) )).

fof(writeUnaryOperator_2512,axiom,(
    ! [VarCurr] :
      ( ~ v24288(VarCurr)
    <=> v24275(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1382,axiom,(
    ! [VarCurr] :
      ( v24272(VarCurr)
    <=> ( v24273(VarCurr)
        | v24275(VarCurr,bitIndex5) ) ) )).

fof(writeUnaryOperator_2511,axiom,(
    ! [VarCurr] :
      ( ~ v24273(VarCurr)
    <=> v24274(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1381,axiom,(
    ! [VarCurr] :
      ( v24274(VarCurr)
    <=> ( v24275(VarCurr,bitIndex4)
        | v24276(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5446,axiom,(
    ! [VarCurr] :
      ( v24276(VarCurr)
    <=> ( v24277(VarCurr)
        & v24286(VarCurr) ) ) )).

fof(writeUnaryOperator_2510,axiom,(
    ! [VarCurr] :
      ( ~ v24286(VarCurr)
    <=> v24275(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_1380,axiom,(
    ! [VarCurr] :
      ( v24277(VarCurr)
    <=> ( v24275(VarCurr,bitIndex3)
        | v24278(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5445,axiom,(
    ! [VarCurr] :
      ( v24278(VarCurr)
    <=> ( v24279(VarCurr)
        & v24285(VarCurr) ) ) )).

fof(writeUnaryOperator_2509,axiom,(
    ! [VarCurr] :
      ( ~ v24285(VarCurr)
    <=> v24275(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_1379,axiom,(
    ! [VarCurr] :
      ( v24279(VarCurr)
    <=> ( v24275(VarCurr,bitIndex2)
        | v24280(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5444,axiom,(
    ! [VarCurr] :
      ( v24280(VarCurr)
    <=> ( v24281(VarCurr)
        & v24284(VarCurr) ) ) )).

fof(writeUnaryOperator_2508,axiom,(
    ! [VarCurr] :
      ( ~ v24284(VarCurr)
    <=> v24275(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_1378,axiom,(
    ! [VarCurr] :
      ( v24281(VarCurr)
    <=> ( v24275(VarCurr,bitIndex1)
        | v24282(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5443,axiom,(
    ! [VarCurr] :
      ( v24282(VarCurr)
    <=> ( v24275(VarCurr,bitIndex0)
        & v24283(VarCurr) ) ) )).

fof(writeUnaryOperator_2507,axiom,(
    ! [VarCurr] :
      ( ~ v24283(VarCurr)
    <=> v24275(VarCurr,bitIndex1) ) )).

fof(addZeroExtensionConstraint_9,axiom,(
    ! [VarCurr] : ~ v24275(VarCurr,bitIndex5) )).

fof(addAssignment_7859,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v24275(VarCurr,B)
      <=> v24070(VarCurr,B) ) ) )).

fof(addBitVectorEqualityBitBlasted_1692,axiom,(
    ! [VarCurr] :
      ( v24267(VarCurr)
    <=> ( ( v24070(VarCurr,bitIndex4)
        <=> $false )
        & ( v24070(VarCurr,bitIndex3)
        <=> $false )
        & ( v24070(VarCurr,bitIndex2)
        <=> $false )
        & ( v24070(VarCurr,bitIndex1)
        <=> $false )
        & ( v24070(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1691,axiom,(
    ! [VarCurr] :
      ( v24264(VarCurr)
    <=> ( ( v24265(VarCurr,bitIndex1)
        <=> $false )
        & ( v24265(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_7858,axiom,(
    ! [VarCurr] :
      ( v24265(VarCurr,bitIndex0)
    <=> v24083(VarCurr) ) )).

fof(addAssignment_7857,axiom,(
    ! [VarCurr] :
      ( v24265(VarCurr,bitIndex1)
    <=> v24076(VarCurr) ) )).

fof(addAssignmentInitValueVector_39,axiom,(
    ! [B] :
      ( range_4_0(B)
     => ( v24070(constB0,B)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1690,axiom,(
    ! [VarCurr] :
      ( v24262(VarCurr)
    <=> ( ( v24263(VarCurr,bitIndex1)
        <=> $false )
        & ( v24263(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7856,axiom,(
    ! [VarCurr] :
      ( v24263(VarCurr,bitIndex0)
    <=> v24083(VarCurr) ) )).

fof(addAssignment_7855,axiom,(
    ! [VarCurr] :
      ( v24263(VarCurr,bitIndex1)
    <=> v24076(VarCurr) ) )).

fof(addAssignment_7854,axiom,(
    ! [VarCurr] :
      ( v24083(VarCurr)
    <=> v24085(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_597,axiom,(
    ! [VarCurr] :
      ( ~ v24254(VarCurr)
     => ( v24085(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_541,axiom,(
    ! [VarCurr] :
      ( v24254(VarCurr)
     => ( v24085(VarCurr)
      <=> v24255(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_649,axiom,(
    ! [VarCurr] :
      ( ~ v24231(VarCurr)
     => ( v24255(VarCurr)
      <=> v24259(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_645,axiom,(
    ! [VarCurr] :
      ( v24231(VarCurr)
     => ( v24255(VarCurr)
      <=> v24256(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_596,axiom,(
    ! [VarCurr] :
      ( ~ v24234(VarCurr)
     => ( v24259(VarCurr)
      <=> v24260(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_540,axiom,(
    ! [VarCurr] :
      ( v24234(VarCurr)
     => ( v24259(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_595,axiom,(
    ! [VarCurr] :
      ( ~ v24238(VarCurr)
     => ( v24260(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_539,axiom,(
    ! [VarCurr] :
      ( v24238(VarCurr)
     => ( v24260(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_594,axiom,(
    ! [VarCurr] :
      ( ~ v24230(VarCurr)
     => ( v24256(VarCurr)
      <=> v24257(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_538,axiom,(
    ! [VarCurr] :
      ( v24230(VarCurr)
     => ( v24256(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_593,axiom,(
    ! [VarCurr] :
      ( ~ v24258(VarCurr)
     => ( v24257(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_537,axiom,(
    ! [VarCurr] :
      ( v24258(VarCurr)
     => ( v24257(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_2506,axiom,(
    ! [VarCurr] :
      ( ~ v24258(VarCurr)
    <=> v24087(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5442,axiom,(
    ! [VarCurr] :
      ( v24254(VarCurr)
    <=> ( v24231(VarCurr)
        | v24235(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_260,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v24241(VarNext)
       => ( v24062(VarNext,bitIndex1)
        <=> v24062(VarCurr,bitIndex1) ) ) ) )).

fof(addCaseBooleanConditionShiftedRanges0_6,axiom,(
    ! [VarNext] :
      ( v24241(VarNext)
     => ( v24062(VarNext,bitIndex1)
      <=> v24249(VarNext) ) ) )).

fof(addAssignment_7853,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24249(VarNext)
      <=> v24247(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_331,axiom,(
    ! [VarCurr] :
      ( ~ v24250(VarCurr)
     => ( v24247(VarCurr)
      <=> v24064(VarCurr,bitIndex1) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_536,axiom,(
    ! [VarCurr] :
      ( v24250(VarCurr)
     => ( v24247(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_2505,axiom,(
    ! [VarCurr] :
      ( ~ v24250(VarCurr)
    <=> v22269(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5441,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24241(VarNext)
      <=> v24242(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5440,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24242(VarNext)
      <=> ( v24243(VarNext)
          & v22283(VarNext) ) ) ) )).

fof(writeUnaryOperator_2504,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v24243(VarNext)
      <=> v22292(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_330,axiom,(
    ! [VarCurr] :
      ( ~ v24228(VarCurr)
     => ( v24064(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_387,axiom,(
    ! [VarCurr] :
      ( v24228(VarCurr)
     => ( v24064(VarCurr,bitIndex1)
      <=> v24236(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_648,axiom,(
    ! [VarCurr] :
      ( ~ v24229(VarCurr)
     => ( v24236(VarCurr)
      <=> v24237(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_644,axiom,(
    ! [VarCurr] :
      ( v24229(VarCurr)
     => ( v24236(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_592,axiom,(
    ! [VarCurr] :
      ( ~ v24238(VarCurr)
     => ( v24237(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_535,axiom,(
    ! [VarCurr] :
      ( v24238(VarCurr)
     => ( v24237(VarCurr)
      <=> $true ) ) )).

fof(writeUnaryOperator_2503,axiom,(
    ! [VarCurr] :
      ( ~ v24238(VarCurr)
    <=> v24066(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5439,axiom,(
    ! [VarCurr] :
      ( v24228(VarCurr)
    <=> ( v24229(VarCurr)
        | v24232(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5438,axiom,(
    ! [VarCurr] :
      ( v24232(VarCurr)
    <=> ( v24233(VarCurr)
        & v24235(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1689,axiom,(
    ! [VarCurr] :
      ( v24235(VarCurr)
    <=> ( $true
      <=> v24062(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_2502,axiom,(
    ! [VarCurr] :
      ( ~ v24233(VarCurr)
    <=> v24234(VarCurr) ) )).

fof(writeUnaryOperator_2501,axiom,(
    ! [VarCurr] :
      ( ~ v24234(VarCurr)
    <=> v24087(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5437,axiom,(
    ! [VarCurr] :
      ( v24229(VarCurr)
    <=> ( v24230(VarCurr)
        & v24231(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1688,axiom,(
    ! [VarCurr] :
      ( v24231(VarCurr)
    <=> ( $true
      <=> v24062(VarCurr,bitIndex0) ) ) )).

fof(addAssignmentInitValueVector_38,axiom,
    ( v24062(constB0,bitIndex1)
  <=> $false )).

fof(addAssignmentInitValueVector_37,axiom,
    ( v24062(constB0,bitIndex0)
  <=> $true )).

fof(writeUnaryOperator_2500,axiom,(
    ! [VarCurr] :
      ( ~ v24230(VarCurr)
    <=> v24066(VarCurr) ) )).

fof(addAssignment_7852,axiom,(
    ! [VarCurr] :
      ( v24087(VarCurr)
    <=> v24089(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1687,axiom,(
    ! [VarCurr] :
      ( v24089(VarCurr)
    <=> ( ( v24091(VarCurr,bitIndex4)
        <=> $false )
        & ( v24091(VarCurr,bitIndex3)
        <=> $false )
        & ( v24091(VarCurr,bitIndex2)
        <=> $false )
        & ( v24091(VarCurr,bitIndex1)
        <=> $false )
        & ( v24091(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_259,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v24212(VarNext)
       => ! [B] :
            ( range_4_0(B)
           => ( v24091(VarNext,B)
            <=> v24091(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_297,axiom,(
    ! [VarNext] :
      ( v24212(VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v24091(VarNext,B)
          <=> v24222(VarNext,B) ) ) ) )).

fof(addAssignment_7851,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v24222(VarNext,B)
          <=> v24220(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_591,axiom,(
    ! [VarCurr] :
      ( ~ v24223(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v24220(VarCurr,B)
          <=> v24095(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_534,axiom,(
    ! [VarCurr] :
      ( v24223(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v24220(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_2499,axiom,(
    ! [VarCurr] :
      ( ~ v24223(VarCurr)
    <=> v24093(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5436,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24212(VarNext)
      <=> v24213(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5435,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24213(VarNext)
      <=> ( v24214(VarNext)
          & v24209(VarNext) ) ) ) )).

fof(writeUnaryOperator_2498,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v24214(VarNext)
      <=> v24216(VarNext) ) ) )).

fof(addAssignment_7850,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24216(VarNext)
      <=> v24209(VarCurr) ) ) )).

fof(addAssignment_7849,axiom,(
    ! [VarCurr] :
      ( v24209(VarCurr)
    <=> v22283(VarCurr) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_56,axiom,(
    ! [VarCurr] :
      ( ( ~ v24134(VarCurr)
        & ~ v24136(VarCurr)
        & ~ v24177(VarCurr) )
     => ! [B] :
          ( range_4_0(B)
         => ( v24095(VarCurr,B)
          <=> v24091(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_267,axiom,(
    ! [VarCurr] :
      ( v24177(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v24095(VarCurr,B)
          <=> v24179(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_647,axiom,(
    ! [VarCurr] :
      ( v24136(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v24095(VarCurr,B)
          <=> v24138(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_643,axiom,(
    ! [VarCurr] :
      ( v24134(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v24095(VarCurr,B)
          <=> v24091(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1686,axiom,(
    ! [VarCurr] :
      ( v24206(VarCurr)
    <=> ( ( v24207(VarCurr,bitIndex1)
        <=> $true )
        & ( v24207(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_7848,axiom,(
    ! [VarCurr] :
      ( v24207(VarCurr,bitIndex0)
    <=> v24132(VarCurr) ) )).

fof(addAssignment_7847,axiom,(
    ! [VarCurr] :
      ( v24207(VarCurr,bitIndex1)
    <=> v24097(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_590,axiom,(
    ! [VarCurr] :
      ( ~ v24180(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v24179(VarCurr,B)
          <=> v24181(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_533,axiom,(
    ! [VarCurr] :
      ( v24180(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v24179(VarCurr,B)
          <=> b01111(B) ) ) ) )).

fof(addAssignment_7846,axiom,(
    ! [VarCurr] :
      ( v24181(VarCurr,bitIndex0)
    <=> v24203(VarCurr) ) )).

fof(addAssignment_7845,axiom,(
    ! [VarCurr] :
      ( v24181(VarCurr,bitIndex1)
    <=> v24201(VarCurr) ) )).

fof(addAssignment_7844,axiom,(
    ! [VarCurr] :
      ( v24181(VarCurr,bitIndex2)
    <=> v24196(VarCurr) ) )).

fof(addAssignment_7843,axiom,(
    ! [VarCurr] :
      ( v24181(VarCurr,bitIndex3)
    <=> v24191(VarCurr) ) )).

fof(addAssignment_7842,axiom,(
    ! [VarCurr] :
      ( v24181(VarCurr,bitIndex4)
    <=> v24183(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5434,axiom,(
    ! [VarCurr] :
      ( v24201(VarCurr)
    <=> ( v24202(VarCurr)
        & v24205(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1377,axiom,(
    ! [VarCurr] :
      ( v24205(VarCurr)
    <=> ( v24091(VarCurr,bitIndex0)
        | v24091(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5433,axiom,(
    ! [VarCurr] :
      ( v24202(VarCurr)
    <=> ( v24203(VarCurr)
        | v24204(VarCurr) ) ) )).

fof(writeUnaryOperator_2497,axiom,(
    ! [VarCurr] :
      ( ~ v24204(VarCurr)
    <=> v24091(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2496,axiom,(
    ! [VarCurr] :
      ( ~ v24203(VarCurr)
    <=> v24091(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5432,axiom,(
    ! [VarCurr] :
      ( v24196(VarCurr)
    <=> ( v24197(VarCurr)
        & v24200(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1376,axiom,(
    ! [VarCurr] :
      ( v24200(VarCurr)
    <=> ( v24188(VarCurr)
        | v24091(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5431,axiom,(
    ! [VarCurr] :
      ( v24197(VarCurr)
    <=> ( v24198(VarCurr)
        | v24199(VarCurr) ) ) )).

fof(writeUnaryOperator_2495,axiom,(
    ! [VarCurr] :
      ( ~ v24199(VarCurr)
    <=> v24091(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_2494,axiom,(
    ! [VarCurr] :
      ( ~ v24198(VarCurr)
    <=> v24188(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5430,axiom,(
    ! [VarCurr] :
      ( v24191(VarCurr)
    <=> ( v24192(VarCurr)
        & v24195(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1375,axiom,(
    ! [VarCurr] :
      ( v24195(VarCurr)
    <=> ( v24187(VarCurr)
        | v24091(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5429,axiom,(
    ! [VarCurr] :
      ( v24192(VarCurr)
    <=> ( v24193(VarCurr)
        | v24194(VarCurr) ) ) )).

fof(writeUnaryOperator_2493,axiom,(
    ! [VarCurr] :
      ( ~ v24194(VarCurr)
    <=> v24091(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_2492,axiom,(
    ! [VarCurr] :
      ( ~ v24193(VarCurr)
    <=> v24187(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5428,axiom,(
    ! [VarCurr] :
      ( v24183(VarCurr)
    <=> ( v24184(VarCurr)
        & v24190(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1374,axiom,(
    ! [VarCurr] :
      ( v24190(VarCurr)
    <=> ( v24186(VarCurr)
        | v24091(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5427,axiom,(
    ! [VarCurr] :
      ( v24184(VarCurr)
    <=> ( v24185(VarCurr)
        | v24189(VarCurr) ) ) )).

fof(writeUnaryOperator_2491,axiom,(
    ! [VarCurr] :
      ( ~ v24189(VarCurr)
    <=> v24091(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_2490,axiom,(
    ! [VarCurr] :
      ( ~ v24185(VarCurr)
    <=> v24186(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1373,axiom,(
    ! [VarCurr] :
      ( v24186(VarCurr)
    <=> ( v24187(VarCurr)
        & v24091(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1372,axiom,(
    ! [VarCurr] :
      ( v24187(VarCurr)
    <=> ( v24188(VarCurr)
        & v24091(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1371,axiom,(
    ! [VarCurr] :
      ( v24188(VarCurr)
    <=> ( v24091(VarCurr,bitIndex0)
        & v24091(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_1685,axiom,(
    ! [VarCurr] :
      ( v24180(VarCurr)
    <=> ( ( v24091(VarCurr,bitIndex4)
        <=> $false )
        & ( v24091(VarCurr,bitIndex3)
        <=> $true )
        & ( v24091(VarCurr,bitIndex2)
        <=> $true )
        & ( v24091(VarCurr,bitIndex1)
        <=> $true )
        & ( v24091(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1684,axiom,(
    ! [VarCurr] :
      ( v24177(VarCurr)
    <=> ( ( v24178(VarCurr,bitIndex1)
        <=> $true )
        & ( v24178(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7841,axiom,(
    ! [VarCurr] :
      ( v24178(VarCurr,bitIndex0)
    <=> v24132(VarCurr) ) )).

fof(addAssignment_7840,axiom,(
    ! [VarCurr] :
      ( v24178(VarCurr,bitIndex1)
    <=> v24097(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_589,axiom,(
    ! [VarCurr] :
      ( ~ v24139(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v24138(VarCurr,B)
          <=> v24140(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_532,axiom,(
    ! [VarCurr] :
      ( v24139(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v24138(VarCurr,B)
          <=> $false ) ) ) )).

fof(addSignExtensionConstraint_159,axiom,(
    ! [VarCurr] :
      ( v24140(VarCurr,bitIndex6)
    <=> v24141(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_158,axiom,(
    ! [VarCurr] :
      ( v24140(VarCurr,bitIndex7)
    <=> v24141(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_157,axiom,(
    ! [VarCurr] :
      ( v24140(VarCurr,bitIndex8)
    <=> v24141(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_156,axiom,(
    ! [VarCurr] :
      ( v24140(VarCurr,bitIndex9)
    <=> v24141(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_155,axiom,(
    ! [VarCurr] :
      ( v24140(VarCurr,bitIndex10)
    <=> v24141(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_154,axiom,(
    ! [VarCurr] :
      ( v24140(VarCurr,bitIndex11)
    <=> v24141(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_153,axiom,(
    ! [VarCurr] :
      ( v24140(VarCurr,bitIndex12)
    <=> v24141(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_152,axiom,(
    ! [VarCurr] :
      ( v24140(VarCurr,bitIndex13)
    <=> v24141(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_151,axiom,(
    ! [VarCurr] :
      ( v24140(VarCurr,bitIndex14)
    <=> v24141(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_150,axiom,(
    ! [VarCurr] :
      ( v24140(VarCurr,bitIndex15)
    <=> v24141(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_149,axiom,(
    ! [VarCurr] :
      ( v24140(VarCurr,bitIndex16)
    <=> v24141(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_148,axiom,(
    ! [VarCurr] :
      ( v24140(VarCurr,bitIndex17)
    <=> v24141(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_147,axiom,(
    ! [VarCurr] :
      ( v24140(VarCurr,bitIndex18)
    <=> v24141(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_146,axiom,(
    ! [VarCurr] :
      ( v24140(VarCurr,bitIndex19)
    <=> v24141(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_145,axiom,(
    ! [VarCurr] :
      ( v24140(VarCurr,bitIndex20)
    <=> v24141(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_144,axiom,(
    ! [VarCurr] :
      ( v24140(VarCurr,bitIndex21)
    <=> v24141(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_143,axiom,(
    ! [VarCurr] :
      ( v24140(VarCurr,bitIndex22)
    <=> v24141(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_142,axiom,(
    ! [VarCurr] :
      ( v24140(VarCurr,bitIndex23)
    <=> v24141(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_141,axiom,(
    ! [VarCurr] :
      ( v24140(VarCurr,bitIndex24)
    <=> v24141(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_140,axiom,(
    ! [VarCurr] :
      ( v24140(VarCurr,bitIndex25)
    <=> v24141(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_139,axiom,(
    ! [VarCurr] :
      ( v24140(VarCurr,bitIndex26)
    <=> v24141(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_138,axiom,(
    ! [VarCurr] :
      ( v24140(VarCurr,bitIndex27)
    <=> v24141(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_137,axiom,(
    ! [VarCurr] :
      ( v24140(VarCurr,bitIndex28)
    <=> v24141(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_136,axiom,(
    ! [VarCurr] :
      ( v24140(VarCurr,bitIndex29)
    <=> v24141(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_135,axiom,(
    ! [VarCurr] :
      ( v24140(VarCurr,bitIndex30)
    <=> v24141(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_134,axiom,(
    ! [VarCurr] :
      ( v24140(VarCurr,bitIndex31)
    <=> v24141(VarCurr,bitIndex5) ) )).

fof(addAssignment_7839,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v24140(VarCurr,B)
      <=> v24141(VarCurr,B) ) ) )).

fof(addAssignment_7838,axiom,(
    ! [VarCurr] :
      ( v24141(VarCurr,bitIndex0)
    <=> v24175(VarCurr) ) )).

fof(addAssignment_7837,axiom,(
    ! [VarCurr] :
      ( v24141(VarCurr,bitIndex1)
    <=> v24173(VarCurr) ) )).

fof(addAssignment_7836,axiom,(
    ! [VarCurr] :
      ( v24141(VarCurr,bitIndex2)
    <=> v24169(VarCurr) ) )).

fof(addAssignment_7835,axiom,(
    ! [VarCurr] :
      ( v24141(VarCurr,bitIndex3)
    <=> v24165(VarCurr) ) )).

fof(addAssignment_7834,axiom,(
    ! [VarCurr] :
      ( v24141(VarCurr,bitIndex4)
    <=> v24161(VarCurr) ) )).

fof(addAssignment_7833,axiom,(
    ! [VarCurr] :
      ( v24141(VarCurr,bitIndex5)
    <=> v24143(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5426,axiom,(
    ! [VarCurr] :
      ( v24173(VarCurr)
    <=> ( v24174(VarCurr)
        & v24176(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5425,axiom,(
    ! [VarCurr] :
      ( v24176(VarCurr)
    <=> ( v24147(VarCurr,bitIndex0)
        | v24155(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1370,axiom,(
    ! [VarCurr] :
      ( v24174(VarCurr)
    <=> ( v24175(VarCurr)
        | v24147(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_2489,axiom,(
    ! [VarCurr] :
      ( ~ v24175(VarCurr)
    <=> v24147(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5424,axiom,(
    ! [VarCurr] :
      ( v24169(VarCurr)
    <=> ( v24170(VarCurr)
        & v24172(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5423,axiom,(
    ! [VarCurr] :
      ( v24172(VarCurr)
    <=> ( v24153(VarCurr)
        | v24156(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1369,axiom,(
    ! [VarCurr] :
      ( v24170(VarCurr)
    <=> ( v24171(VarCurr)
        | v24147(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_2488,axiom,(
    ! [VarCurr] :
      ( ~ v24171(VarCurr)
    <=> v24153(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5422,axiom,(
    ! [VarCurr] :
      ( v24165(VarCurr)
    <=> ( v24166(VarCurr)
        & v24168(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5421,axiom,(
    ! [VarCurr] :
      ( v24168(VarCurr)
    <=> ( v24151(VarCurr)
        | v24157(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1368,axiom,(
    ! [VarCurr] :
      ( v24166(VarCurr)
    <=> ( v24167(VarCurr)
        | v24147(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_2487,axiom,(
    ! [VarCurr] :
      ( ~ v24167(VarCurr)
    <=> v24151(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5420,axiom,(
    ! [VarCurr] :
      ( v24161(VarCurr)
    <=> ( v24162(VarCurr)
        & v24164(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5419,axiom,(
    ! [VarCurr] :
      ( v24164(VarCurr)
    <=> ( v24149(VarCurr)
        | v24158(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1367,axiom,(
    ! [VarCurr] :
      ( v24162(VarCurr)
    <=> ( v24163(VarCurr)
        | v24147(VarCurr,bitIndex4) ) ) )).

fof(writeUnaryOperator_2486,axiom,(
    ! [VarCurr] :
      ( ~ v24163(VarCurr)
    <=> v24149(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5418,axiom,(
    ! [VarCurr] :
      ( v24143(VarCurr)
    <=> ( v24144(VarCurr)
        & v24159(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5417,axiom,(
    ! [VarCurr] :
      ( v24159(VarCurr)
    <=> ( v24146(VarCurr)
        | v24160(VarCurr) ) ) )).

fof(writeUnaryOperator_2485,axiom,(
    ! [VarCurr] :
      ( ~ v24160(VarCurr)
    <=> v24147(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1366,axiom,(
    ! [VarCurr] :
      ( v24144(VarCurr)
    <=> ( v24145(VarCurr)
        | v24147(VarCurr,bitIndex5) ) ) )).

fof(writeUnaryOperator_2484,axiom,(
    ! [VarCurr] :
      ( ~ v24145(VarCurr)
    <=> v24146(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1365,axiom,(
    ! [VarCurr] :
      ( v24146(VarCurr)
    <=> ( v24147(VarCurr,bitIndex4)
        | v24148(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5416,axiom,(
    ! [VarCurr] :
      ( v24148(VarCurr)
    <=> ( v24149(VarCurr)
        & v24158(VarCurr) ) ) )).

fof(writeUnaryOperator_2483,axiom,(
    ! [VarCurr] :
      ( ~ v24158(VarCurr)
    <=> v24147(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_1364,axiom,(
    ! [VarCurr] :
      ( v24149(VarCurr)
    <=> ( v24147(VarCurr,bitIndex3)
        | v24150(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5415,axiom,(
    ! [VarCurr] :
      ( v24150(VarCurr)
    <=> ( v24151(VarCurr)
        & v24157(VarCurr) ) ) )).

fof(writeUnaryOperator_2482,axiom,(
    ! [VarCurr] :
      ( ~ v24157(VarCurr)
    <=> v24147(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_1363,axiom,(
    ! [VarCurr] :
      ( v24151(VarCurr)
    <=> ( v24147(VarCurr,bitIndex2)
        | v24152(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5414,axiom,(
    ! [VarCurr] :
      ( v24152(VarCurr)
    <=> ( v24153(VarCurr)
        & v24156(VarCurr) ) ) )).

fof(writeUnaryOperator_2481,axiom,(
    ! [VarCurr] :
      ( ~ v24156(VarCurr)
    <=> v24147(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_1362,axiom,(
    ! [VarCurr] :
      ( v24153(VarCurr)
    <=> ( v24147(VarCurr,bitIndex1)
        | v24154(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5413,axiom,(
    ! [VarCurr] :
      ( v24154(VarCurr)
    <=> ( v24147(VarCurr,bitIndex0)
        & v24155(VarCurr) ) ) )).

fof(writeUnaryOperator_2480,axiom,(
    ! [VarCurr] :
      ( ~ v24155(VarCurr)
    <=> v24147(VarCurr,bitIndex1) ) )).

fof(addZeroExtensionConstraint_8,axiom,(
    ! [VarCurr] : ~ v24147(VarCurr,bitIndex5) )).

fof(addAssignment_7832,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v24147(VarCurr,B)
      <=> v24091(VarCurr,B) ) ) )).

fof(addBitVectorEqualityBitBlasted_1683,axiom,(
    ! [VarCurr] :
      ( v24139(VarCurr)
    <=> ( ( v24091(VarCurr,bitIndex4)
        <=> $false )
        & ( v24091(VarCurr,bitIndex3)
        <=> $false )
        & ( v24091(VarCurr,bitIndex2)
        <=> $false )
        & ( v24091(VarCurr,bitIndex1)
        <=> $false )
        & ( v24091(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1682,axiom,(
    ! [VarCurr] :
      ( v24136(VarCurr)
    <=> ( ( v24137(VarCurr,bitIndex1)
        <=> $false )
        & ( v24137(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_7831,axiom,(
    ! [VarCurr] :
      ( v24137(VarCurr,bitIndex0)
    <=> v24132(VarCurr) ) )).

fof(addAssignment_7830,axiom,(
    ! [VarCurr] :
      ( v24137(VarCurr,bitIndex1)
    <=> v24097(VarCurr) ) )).

fof(addAssignmentInitValueVector_36,axiom,(
    ! [B] :
      ( range_4_0(B)
     => ( v24091(constB0,B)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1681,axiom,(
    ! [VarCurr] :
      ( v24134(VarCurr)
    <=> ( ( v24135(VarCurr,bitIndex1)
        <=> $false )
        & ( v24135(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7829,axiom,(
    ! [VarCurr] :
      ( v24135(VarCurr,bitIndex0)
    <=> v24132(VarCurr) ) )).

fof(addAssignment_7828,axiom,(
    ! [VarCurr] :
      ( v24135(VarCurr,bitIndex1)
    <=> v24097(VarCurr) ) )).

fof(addAssignment_7827,axiom,(
    ! [VarCurr] :
      ( v24132(VarCurr)
    <=> v24060(VarCurr) ) )).

fof(addAssignment_7826,axiom,(
    ! [VarCurr] :
      ( v24097(VarCurr)
    <=> v24099(VarCurr) ) )).

fof(addAssignment_7825,axiom,(
    ! [VarCurr] :
      ( v24099(VarCurr)
    <=> v24101(VarCurr) ) )).

fof(addAssignment_7824,axiom,(
    ! [VarCurr] :
      ( v24101(VarCurr)
    <=> v24103(VarCurr) ) )).

fof(addAssignment_7823,axiom,(
    ! [VarCurr] :
      ( v24103(VarCurr)
    <=> v24105(VarCurr) ) )).

fof(addAssignment_7822,axiom,(
    ! [VarCurr] :
      ( v24105(VarCurr)
    <=> v24107(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_258,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v24119(VarNext)
       => ( v24107(VarNext)
        <=> v24107(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_296,axiom,(
    ! [VarNext] :
      ( v24119(VarNext)
     => ( v24107(VarNext)
      <=> v24127(VarNext) ) ) )).

fof(addAssignment_7821,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24127(VarNext)
      <=> v24125(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_588,axiom,(
    ! [VarCurr] :
      ( ~ v24128(VarCurr)
     => ( v24125(VarCurr)
      <=> v24109(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_531,axiom,(
    ! [VarCurr] :
      ( v24128(VarCurr)
     => ( v24125(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_2479,axiom,(
    ! [VarCurr] :
      ( ~ v24128(VarCurr)
    <=> v13112(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5412,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24119(VarNext)
      <=> v24120(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5411,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24120(VarNext)
      <=> ( v24121(VarNext)
          & v13185(VarNext) ) ) ) )).

fof(writeUnaryOperator_2478,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v24121(VarNext)
      <=> v21364(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_587,axiom,(
    ! [VarCurr] :
      ( ~ v24111(VarCurr)
     => ( v24109(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_530,axiom,(
    ! [VarCurr] :
      ( v24111(VarCurr)
     => ( v24109(VarCurr)
      <=> v24116(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_646,axiom,(
    ! [VarCurr] :
      ( ~ v24113(VarCurr)
     => ( v24116(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_642,axiom,(
    ! [VarCurr] :
      ( v24113(VarCurr)
     => ( v24116(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5410,axiom,(
    ! [VarCurr] :
      ( v24111(VarCurr)
    <=> ( v24112(VarCurr)
        & v24115(VarCurr) ) ) )).

fof(writeUnaryOperator_2477,axiom,(
    ! [VarCurr] :
      ( ~ v24115(VarCurr)
    <=> v21307(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5409,axiom,(
    ! [VarCurr] :
      ( v24112(VarCurr)
    <=> ( v24113(VarCurr)
        | v24114(VarCurr) ) ) )).

fof(writeUnaryOperator_2476,axiom,(
    ! [VarCurr] :
      ( ~ v24114(VarCurr)
    <=> v21304(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5408,axiom,(
    ! [VarCurr] :
      ( v24113(VarCurr)
    <=> ( v21535(VarCurr)
        & v21304(VarCurr) ) ) )).

fof(addAssignment_7820,axiom,(
    ! [VarCurr] :
      ( v24093(VarCurr)
    <=> v22269(VarCurr) ) )).

fof(addAssignment_7819,axiom,(
    ! [VarCurr] :
      ( v24076(VarCurr)
    <=> v24078(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_586,axiom,(
    ! [VarCurr] :
      ( ~ v24080(VarCurr)
     => ( v24078(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_529,axiom,(
    ! [VarCurr] :
      ( v24080(VarCurr)
     => ( v24078(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5407,axiom,(
    ! [VarCurr] :
      ( v24080(VarCurr)
    <=> ( v24081(VarCurr)
        & v22407(VarCurr) ) ) )).

fof(writeUnaryOperator_2475,axiom,(
    ! [VarCurr] :
      ( ~ v24081(VarCurr)
    <=> v22275(VarCurr,bitIndex8) ) )).

fof(addAssignment_7818,axiom,(
    ! [VarCurr] :
      ( v24072(VarCurr)
    <=> v22269(VarCurr) ) )).

fof(addAssignment_7817,axiom,(
    ! [VarCurr] :
      ( v99(VarCurr)
    <=> v101(VarCurr) ) )).

fof(writeUnaryOperator_2474,axiom,(
    ! [VarCurr] :
      ( ~ v101(VarCurr)
    <=> v103(VarCurr) ) )).

fof(addAssignment_7816,axiom,(
    ! [VarCurr] :
      ( v103(VarCurr)
    <=> v105(VarCurr) ) )).

fof(addAssignment_7815,axiom,(
    ! [VarCurr] :
      ( v105(VarCurr)
    <=> v107(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1680,axiom,(
    ! [VarCurr] :
      ( v107(VarCurr)
    <=> ( ( v109(VarCurr,bitIndex3)
        <=> $false )
        & ( v109(VarCurr,bitIndex2)
        <=> $false )
        & ( v109(VarCurr,bitIndex1)
        <=> $false )
        & ( v109(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_257,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v24019(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v109(VarNext,B)
            <=> v109(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_295,axiom,(
    ! [VarNext] :
      ( v24019(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v109(VarNext,B)
          <=> v24029(VarNext,B) ) ) ) )).

fof(addAssignment_7814,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v24029(VarNext,B)
          <=> v24027(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_585,axiom,(
    ! [VarCurr] :
      ( ~ v24030(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v24027(VarCurr,B)
          <=> v111(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_528,axiom,(
    ! [VarCurr] :
      ( v24030(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v24027(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_2473,axiom,(
    ! [VarCurr] :
      ( ~ v24030(VarCurr)
    <=> v10(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5406,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24019(VarNext)
      <=> v24020(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5405,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24020(VarNext)
      <=> ( v24021(VarNext)
          & v24016(VarNext) ) ) ) )).

fof(writeUnaryOperator_2472,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v24021(VarNext)
      <=> v24023(VarNext) ) ) )).

fof(addAssignment_7813,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v24023(VarNext)
      <=> v24016(VarCurr) ) ) )).

fof(addAssignment_7812,axiom,(
    ! [VarCurr] :
      ( v24016(VarCurr)
    <=> v11731(VarCurr) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_55,axiom,(
    ! [VarCurr] :
      ( ( ~ v23954(VarCurr)
        & ~ v23956(VarCurr)
        & ~ v23990(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v111(VarCurr,B)
          <=> v109(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_266,axiom,(
    ! [VarCurr] :
      ( v23990(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v111(VarCurr,B)
          <=> v23992(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_645,axiom,(
    ! [VarCurr] :
      ( v23956(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v111(VarCurr,B)
          <=> v23958(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_641,axiom,(
    ! [VarCurr] :
      ( v23954(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v111(VarCurr,B)
          <=> v109(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1679,axiom,(
    ! [VarCurr] :
      ( v24013(VarCurr)
    <=> ( ( v24014(VarCurr,bitIndex1)
        <=> $true )
        & ( v24014(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_7811,axiom,(
    ! [VarCurr] :
      ( v24014(VarCurr,bitIndex0)
    <=> v23(VarCurr) ) )).

fof(addAssignment_7810,axiom,(
    ! [VarCurr] :
      ( v24014(VarCurr,bitIndex1)
    <=> v113(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_584,axiom,(
    ! [VarCurr] :
      ( ~ v23993(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v23992(VarCurr,B)
          <=> v23994(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_527,axiom,(
    ! [VarCurr] :
      ( v23993(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v23992(VarCurr,B)
          <=> b0110(B) ) ) ) )).

fof(addAssignment_7809,axiom,(
    ! [VarCurr] :
      ( v23994(VarCurr,bitIndex0)
    <=> v24010(VarCurr) ) )).

fof(addAssignment_7808,axiom,(
    ! [VarCurr] :
      ( v23994(VarCurr,bitIndex1)
    <=> v24008(VarCurr) ) )).

fof(addAssignment_7807,axiom,(
    ! [VarCurr] :
      ( v23994(VarCurr,bitIndex2)
    <=> v24003(VarCurr) ) )).

fof(addAssignment_7806,axiom,(
    ! [VarCurr] :
      ( v23994(VarCurr,bitIndex3)
    <=> v23996(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5404,axiom,(
    ! [VarCurr] :
      ( v24008(VarCurr)
    <=> ( v24009(VarCurr)
        & v24012(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1361,axiom,(
    ! [VarCurr] :
      ( v24012(VarCurr)
    <=> ( v109(VarCurr,bitIndex0)
        | v109(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5403,axiom,(
    ! [VarCurr] :
      ( v24009(VarCurr)
    <=> ( v24010(VarCurr)
        | v24011(VarCurr) ) ) )).

fof(writeUnaryOperator_2471,axiom,(
    ! [VarCurr] :
      ( ~ v24011(VarCurr)
    <=> v109(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2470,axiom,(
    ! [VarCurr] :
      ( ~ v24010(VarCurr)
    <=> v109(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5402,axiom,(
    ! [VarCurr] :
      ( v24003(VarCurr)
    <=> ( v24004(VarCurr)
        & v24007(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1360,axiom,(
    ! [VarCurr] :
      ( v24007(VarCurr)
    <=> ( v24000(VarCurr)
        | v109(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5401,axiom,(
    ! [VarCurr] :
      ( v24004(VarCurr)
    <=> ( v24005(VarCurr)
        | v24006(VarCurr) ) ) )).

fof(writeUnaryOperator_2469,axiom,(
    ! [VarCurr] :
      ( ~ v24006(VarCurr)
    <=> v109(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_2468,axiom,(
    ! [VarCurr] :
      ( ~ v24005(VarCurr)
    <=> v24000(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5400,axiom,(
    ! [VarCurr] :
      ( v23996(VarCurr)
    <=> ( v23997(VarCurr)
        & v24002(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1359,axiom,(
    ! [VarCurr] :
      ( v24002(VarCurr)
    <=> ( v23999(VarCurr)
        | v109(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5399,axiom,(
    ! [VarCurr] :
      ( v23997(VarCurr)
    <=> ( v23998(VarCurr)
        | v24001(VarCurr) ) ) )).

fof(writeUnaryOperator_2467,axiom,(
    ! [VarCurr] :
      ( ~ v24001(VarCurr)
    <=> v109(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_2466,axiom,(
    ! [VarCurr] :
      ( ~ v23998(VarCurr)
    <=> v23999(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1358,axiom,(
    ! [VarCurr] :
      ( v23999(VarCurr)
    <=> ( v24000(VarCurr)
        & v109(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1357,axiom,(
    ! [VarCurr] :
      ( v24000(VarCurr)
    <=> ( v109(VarCurr,bitIndex0)
        & v109(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_1678,axiom,(
    ! [VarCurr] :
      ( v23993(VarCurr)
    <=> ( ( v109(VarCurr,bitIndex3)
        <=> $false )
        & ( v109(VarCurr,bitIndex2)
        <=> $true )
        & ( v109(VarCurr,bitIndex1)
        <=> $true )
        & ( v109(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1677,axiom,(
    ! [VarCurr] :
      ( v23990(VarCurr)
    <=> ( ( v23991(VarCurr,bitIndex1)
        <=> $true )
        & ( v23991(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7805,axiom,(
    ! [VarCurr] :
      ( v23991(VarCurr,bitIndex0)
    <=> v23(VarCurr) ) )).

fof(addAssignment_7804,axiom,(
    ! [VarCurr] :
      ( v23991(VarCurr,bitIndex1)
    <=> v113(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_583,axiom,(
    ! [VarCurr] :
      ( ~ v23959(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v23958(VarCurr,B)
          <=> v23960(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_526,axiom,(
    ! [VarCurr] :
      ( v23959(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v23958(VarCurr,B)
          <=> $false ) ) ) )).

fof(addSignExtensionConstraint_133,axiom,(
    ! [VarCurr] :
      ( v23960(VarCurr,bitIndex5)
    <=> v23961(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_132,axiom,(
    ! [VarCurr] :
      ( v23960(VarCurr,bitIndex6)
    <=> v23961(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_131,axiom,(
    ! [VarCurr] :
      ( v23960(VarCurr,bitIndex7)
    <=> v23961(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_130,axiom,(
    ! [VarCurr] :
      ( v23960(VarCurr,bitIndex8)
    <=> v23961(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_129,axiom,(
    ! [VarCurr] :
      ( v23960(VarCurr,bitIndex9)
    <=> v23961(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_128,axiom,(
    ! [VarCurr] :
      ( v23960(VarCurr,bitIndex10)
    <=> v23961(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_127,axiom,(
    ! [VarCurr] :
      ( v23960(VarCurr,bitIndex11)
    <=> v23961(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_126,axiom,(
    ! [VarCurr] :
      ( v23960(VarCurr,bitIndex12)
    <=> v23961(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_125,axiom,(
    ! [VarCurr] :
      ( v23960(VarCurr,bitIndex13)
    <=> v23961(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_124,axiom,(
    ! [VarCurr] :
      ( v23960(VarCurr,bitIndex14)
    <=> v23961(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_123,axiom,(
    ! [VarCurr] :
      ( v23960(VarCurr,bitIndex15)
    <=> v23961(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_122,axiom,(
    ! [VarCurr] :
      ( v23960(VarCurr,bitIndex16)
    <=> v23961(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_121,axiom,(
    ! [VarCurr] :
      ( v23960(VarCurr,bitIndex17)
    <=> v23961(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_120,axiom,(
    ! [VarCurr] :
      ( v23960(VarCurr,bitIndex18)
    <=> v23961(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_119,axiom,(
    ! [VarCurr] :
      ( v23960(VarCurr,bitIndex19)
    <=> v23961(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_118,axiom,(
    ! [VarCurr] :
      ( v23960(VarCurr,bitIndex20)
    <=> v23961(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_117,axiom,(
    ! [VarCurr] :
      ( v23960(VarCurr,bitIndex21)
    <=> v23961(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_116,axiom,(
    ! [VarCurr] :
      ( v23960(VarCurr,bitIndex22)
    <=> v23961(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_115,axiom,(
    ! [VarCurr] :
      ( v23960(VarCurr,bitIndex23)
    <=> v23961(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_114,axiom,(
    ! [VarCurr] :
      ( v23960(VarCurr,bitIndex24)
    <=> v23961(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_113,axiom,(
    ! [VarCurr] :
      ( v23960(VarCurr,bitIndex25)
    <=> v23961(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_112,axiom,(
    ! [VarCurr] :
      ( v23960(VarCurr,bitIndex26)
    <=> v23961(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_111,axiom,(
    ! [VarCurr] :
      ( v23960(VarCurr,bitIndex27)
    <=> v23961(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_110,axiom,(
    ! [VarCurr] :
      ( v23960(VarCurr,bitIndex28)
    <=> v23961(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_109,axiom,(
    ! [VarCurr] :
      ( v23960(VarCurr,bitIndex29)
    <=> v23961(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_108,axiom,(
    ! [VarCurr] :
      ( v23960(VarCurr,bitIndex30)
    <=> v23961(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_107,axiom,(
    ! [VarCurr] :
      ( v23960(VarCurr,bitIndex31)
    <=> v23961(VarCurr,bitIndex4) ) )).

fof(addAssignment_7803,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v23960(VarCurr,B)
      <=> v23961(VarCurr,B) ) ) )).

fof(addAssignment_7802,axiom,(
    ! [VarCurr] :
      ( v23961(VarCurr,bitIndex0)
    <=> v23988(VarCurr) ) )).

fof(addAssignment_7801,axiom,(
    ! [VarCurr] :
      ( v23961(VarCurr,bitIndex1)
    <=> v23986(VarCurr) ) )).

fof(addAssignment_7800,axiom,(
    ! [VarCurr] :
      ( v23961(VarCurr,bitIndex2)
    <=> v23982(VarCurr) ) )).

fof(addAssignment_7799,axiom,(
    ! [VarCurr] :
      ( v23961(VarCurr,bitIndex3)
    <=> v23978(VarCurr) ) )).

fof(addAssignment_7798,axiom,(
    ! [VarCurr] :
      ( v23961(VarCurr,bitIndex4)
    <=> v23963(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5398,axiom,(
    ! [VarCurr] :
      ( v23986(VarCurr)
    <=> ( v23987(VarCurr)
        & v23989(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5397,axiom,(
    ! [VarCurr] :
      ( v23989(VarCurr)
    <=> ( v23967(VarCurr,bitIndex0)
        | v23973(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1356,axiom,(
    ! [VarCurr] :
      ( v23987(VarCurr)
    <=> ( v23988(VarCurr)
        | v23967(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_2465,axiom,(
    ! [VarCurr] :
      ( ~ v23988(VarCurr)
    <=> v23967(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5396,axiom,(
    ! [VarCurr] :
      ( v23982(VarCurr)
    <=> ( v23983(VarCurr)
        & v23985(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5395,axiom,(
    ! [VarCurr] :
      ( v23985(VarCurr)
    <=> ( v23971(VarCurr)
        | v23974(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1355,axiom,(
    ! [VarCurr] :
      ( v23983(VarCurr)
    <=> ( v23984(VarCurr)
        | v23967(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_2464,axiom,(
    ! [VarCurr] :
      ( ~ v23984(VarCurr)
    <=> v23971(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5394,axiom,(
    ! [VarCurr] :
      ( v23978(VarCurr)
    <=> ( v23979(VarCurr)
        & v23981(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5393,axiom,(
    ! [VarCurr] :
      ( v23981(VarCurr)
    <=> ( v23969(VarCurr)
        | v23975(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1354,axiom,(
    ! [VarCurr] :
      ( v23979(VarCurr)
    <=> ( v23980(VarCurr)
        | v23967(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_2463,axiom,(
    ! [VarCurr] :
      ( ~ v23980(VarCurr)
    <=> v23969(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5392,axiom,(
    ! [VarCurr] :
      ( v23963(VarCurr)
    <=> ( v23964(VarCurr)
        & v23976(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5391,axiom,(
    ! [VarCurr] :
      ( v23976(VarCurr)
    <=> ( v23966(VarCurr)
        | v23977(VarCurr) ) ) )).

fof(writeUnaryOperator_2462,axiom,(
    ! [VarCurr] :
      ( ~ v23977(VarCurr)
    <=> v23967(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_1353,axiom,(
    ! [VarCurr] :
      ( v23964(VarCurr)
    <=> ( v23965(VarCurr)
        | v23967(VarCurr,bitIndex4) ) ) )).

fof(writeUnaryOperator_2461,axiom,(
    ! [VarCurr] :
      ( ~ v23965(VarCurr)
    <=> v23966(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1352,axiom,(
    ! [VarCurr] :
      ( v23966(VarCurr)
    <=> ( v23967(VarCurr,bitIndex3)
        | v23968(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5390,axiom,(
    ! [VarCurr] :
      ( v23968(VarCurr)
    <=> ( v23969(VarCurr)
        & v23975(VarCurr) ) ) )).

fof(writeUnaryOperator_2460,axiom,(
    ! [VarCurr] :
      ( ~ v23975(VarCurr)
    <=> v23967(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_1351,axiom,(
    ! [VarCurr] :
      ( v23969(VarCurr)
    <=> ( v23967(VarCurr,bitIndex2)
        | v23970(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5389,axiom,(
    ! [VarCurr] :
      ( v23970(VarCurr)
    <=> ( v23971(VarCurr)
        & v23974(VarCurr) ) ) )).

fof(writeUnaryOperator_2459,axiom,(
    ! [VarCurr] :
      ( ~ v23974(VarCurr)
    <=> v23967(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_1350,axiom,(
    ! [VarCurr] :
      ( v23971(VarCurr)
    <=> ( v23967(VarCurr,bitIndex1)
        | v23972(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5388,axiom,(
    ! [VarCurr] :
      ( v23972(VarCurr)
    <=> ( v23967(VarCurr,bitIndex0)
        & v23973(VarCurr) ) ) )).

fof(writeUnaryOperator_2458,axiom,(
    ! [VarCurr] :
      ( ~ v23973(VarCurr)
    <=> v23967(VarCurr,bitIndex1) ) )).

fof(addZeroExtensionConstraint_7,axiom,(
    ! [VarCurr] : ~ v23967(VarCurr,bitIndex4) )).

fof(addAssignment_7797,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v23967(VarCurr,B)
      <=> v109(VarCurr,B) ) ) )).

fof(addBitVectorEqualityBitBlasted_1676,axiom,(
    ! [VarCurr] :
      ( v23959(VarCurr)
    <=> ( ( v109(VarCurr,bitIndex3)
        <=> $false )
        & ( v109(VarCurr,bitIndex2)
        <=> $false )
        & ( v109(VarCurr,bitIndex1)
        <=> $false )
        & ( v109(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1675,axiom,(
    ! [VarCurr] :
      ( v23956(VarCurr)
    <=> ( ( v23957(VarCurr,bitIndex1)
        <=> $false )
        & ( v23957(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_7796,axiom,(
    ! [VarCurr] :
      ( v23957(VarCurr,bitIndex0)
    <=> v23(VarCurr) ) )).

fof(addAssignment_7795,axiom,(
    ! [VarCurr] :
      ( v23957(VarCurr,bitIndex1)
    <=> v113(VarCurr) ) )).

fof(addAssignmentInitValueVector_35,axiom,(
    ! [B] :
      ( range_3_0(B)
     => ( v109(constB0,B)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1674,axiom,(
    ! [VarCurr] :
      ( v23954(VarCurr)
    <=> ( ( v23955(VarCurr,bitIndex1)
        <=> $false )
        & ( v23955(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7794,axiom,(
    ! [VarCurr] :
      ( v23955(VarCurr,bitIndex0)
    <=> v23(VarCurr) ) )).

fof(addAssignment_7793,axiom,(
    ! [VarCurr] :
      ( v23955(VarCurr,bitIndex1)
    <=> v113(VarCurr) ) )).

fof(addAssignment_7792,axiom,(
    ! [VarCurr] :
      ( v113(VarCurr)
    <=> v115(VarCurr) ) )).

fof(addAssignment_7791,axiom,(
    ! [VarCurr] :
      ( v115(VarCurr)
    <=> v117(VarCurr) ) )).

fof(addAssignment_7790,axiom,(
    ! [VarCurr] :
      ( v117(VarCurr)
    <=> v119(VarCurr) ) )).

fof(addAssignment_7789,axiom,(
    ! [VarCurr] :
      ( v119(VarCurr)
    <=> v121(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_256,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23941(VarNext)
       => ( v121(VarNext)
        <=> v121(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_294,axiom,(
    ! [VarNext] :
      ( v23941(VarNext)
     => ( v121(VarNext)
      <=> v23949(VarNext) ) ) )).

fof(addAssignment_7788,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23949(VarNext)
      <=> v23947(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_582,axiom,(
    ! [VarCurr] :
      ( ~ v23950(VarCurr)
     => ( v23947(VarCurr)
      <=> v127(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_525,axiom,(
    ! [VarCurr] :
      ( v23950(VarCurr)
     => ( v23947(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_2457,axiom,(
    ! [VarCurr] :
      ( ~ v23950(VarCurr)
    <=> v123(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5387,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23941(VarNext)
      <=> v23942(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5386,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23942(VarNext)
      <=> ( v23943(VarNext)
          & v16719(VarNext) ) ) ) )).

fof(writeUnaryOperator_2456,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23943(VarNext)
      <=> v16726(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5385,axiom,(
    ! [VarCurr] :
      ( v127(VarCurr)
    <=> ( v23937(VarCurr)
        & v23844(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5384,axiom,(
    ! [VarCurr] :
      ( v23937(VarCurr)
    <=> ( v23938(VarCurr)
        & v23830(VarCurr) ) ) )).

fof(writeUnaryOperator_2455,axiom,(
    ! [VarCurr] :
      ( ~ v23938(VarCurr)
    <=> v129(VarCurr) ) )).

fof(addAssignment_7787,axiom,(
    ! [VarCurr] :
      ( v23844(VarCurr)
    <=> v23846(VarCurr) ) )).

fof(addAssignment_7786,axiom,(
    ! [VarCurr] :
      ( v23846(VarCurr)
    <=> v23848(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1349,axiom,(
    ! [VarCurr] :
      ( v23848(VarCurr)
    <=> ( v23910(VarCurr)
        | v23850(VarCurr,bitIndex2) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_255,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23915(VarNext)
       => ! [B] :
            ( range_2_0(B)
           => ( v23850(VarNext,B)
            <=> v23850(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_293,axiom,(
    ! [VarNext] :
      ( v23915(VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v23850(VarNext,B)
          <=> v23931(VarNext,B) ) ) ) )).

fof(addAssignment_7785,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v23931(VarNext,B)
          <=> v23929(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_644,axiom,(
    ! [VarCurr] :
      ( ~ v23926(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v23929(VarCurr,B)
          <=> v23885(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_640,axiom,(
    ! [VarCurr] :
      ( v23926(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v23929(VarCurr,B)
          <=> b110(B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5383,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23915(VarNext)
      <=> ( v23916(VarNext)
          & v23925(VarNext) ) ) ) )).

fof(addAssignment_7784,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23925(VarNext)
      <=> v23923(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5382,axiom,(
    ! [VarCurr] :
      ( v23923(VarCurr)
    <=> ( v23926(VarCurr)
        | v23927(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5381,axiom,(
    ! [VarCurr] :
      ( v23927(VarCurr)
    <=> ( v23854(VarCurr)
        & v23928(VarCurr) ) ) )).

fof(writeUnaryOperator_2454,axiom,(
    ! [VarCurr] :
      ( ~ v23928(VarCurr)
    <=> v23926(VarCurr) ) )).

fof(writeUnaryOperator_2453,axiom,(
    ! [VarCurr] :
      ( ~ v23926(VarCurr)
    <=> v23852(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5380,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23916(VarNext)
      <=> ( v23917(VarNext)
          & v23912(VarNext) ) ) ) )).

fof(writeUnaryOperator_2452,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23917(VarNext)
      <=> v23919(VarNext) ) ) )).

fof(addAssignment_7783,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23919(VarNext)
      <=> v23912(VarCurr) ) ) )).

fof(addAssignment_7782,axiom,(
    ! [VarCurr] :
      ( v23912(VarCurr)
    <=> v660(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_581,axiom,(
    ! [VarCurr] :
      ( ~ v23880(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v23885(VarCurr,B)
          <=> v23901(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_524,axiom,(
    ! [VarCurr] :
      ( v23880(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v23885(VarCurr,B)
          <=> v23887(VarCurr,B) ) ) ) )).

fof(addAssignment_7781,axiom,(
    ! [VarCurr] :
      ( v23901(VarCurr,bitIndex0)
    <=> v23899(VarCurr) ) )).

fof(addAssignment_7780,axiom,(
    ! [VarCurr] :
      ( v23901(VarCurr,bitIndex1)
    <=> v23908(VarCurr) ) )).

fof(addAssignment_7779,axiom,(
    ! [VarCurr] :
      ( v23901(VarCurr,bitIndex2)
    <=> v23903(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5379,axiom,(
    ! [VarCurr] :
      ( v23908(VarCurr)
    <=> ( v23909(VarCurr)
        & v23910(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1348,axiom,(
    ! [VarCurr] :
      ( v23910(VarCurr)
    <=> ( v23850(VarCurr,bitIndex0)
        | v23850(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5378,axiom,(
    ! [VarCurr] :
      ( v23909(VarCurr)
    <=> ( v23899(VarCurr)
        | v23894(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5377,axiom,(
    ! [VarCurr] :
      ( v23903(VarCurr)
    <=> ( v23904(VarCurr)
        & v23907(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1347,axiom,(
    ! [VarCurr] :
      ( v23907(VarCurr)
    <=> ( v23850(VarCurr,bitIndex2)
        | v23906(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5376,axiom,(
    ! [VarCurr] :
      ( v23904(VarCurr)
    <=> ( v23896(VarCurr)
        | v23905(VarCurr) ) ) )).

fof(writeUnaryOperator_2451,axiom,(
    ! [VarCurr] :
      ( ~ v23905(VarCurr)
    <=> v23906(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1346,axiom,(
    ! [VarCurr] :
      ( v23906(VarCurr)
    <=> ( v23850(VarCurr,bitIndex0)
        & v23850(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_7778,axiom,(
    ! [VarCurr] :
      ( v23887(VarCurr,bitIndex0)
    <=> v23899(VarCurr) ) )).

fof(addAssignment_7777,axiom,(
    ! [VarCurr] :
      ( v23887(VarCurr,bitIndex1)
    <=> v23897(VarCurr) ) )).

fof(addAssignment_7776,axiom,(
    ! [VarCurr] :
      ( v23887(VarCurr,bitIndex2)
    <=> v23889(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5375,axiom,(
    ! [VarCurr] :
      ( v23897(VarCurr)
    <=> ( v23898(VarCurr)
        & v23900(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5374,axiom,(
    ! [VarCurr] :
      ( v23900(VarCurr)
    <=> ( v23850(VarCurr,bitIndex0)
        | v23894(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1345,axiom,(
    ! [VarCurr] :
      ( v23898(VarCurr)
    <=> ( v23899(VarCurr)
        | v23850(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_2450,axiom,(
    ! [VarCurr] :
      ( ~ v23899(VarCurr)
    <=> v23850(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5373,axiom,(
    ! [VarCurr] :
      ( v23889(VarCurr)
    <=> ( v23890(VarCurr)
        & v23895(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5372,axiom,(
    ! [VarCurr] :
      ( v23895(VarCurr)
    <=> ( v23892(VarCurr)
        | v23896(VarCurr) ) ) )).

fof(writeUnaryOperator_2449,axiom,(
    ! [VarCurr] :
      ( ~ v23896(VarCurr)
    <=> v23850(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_1344,axiom,(
    ! [VarCurr] :
      ( v23890(VarCurr)
    <=> ( v23891(VarCurr)
        | v23850(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_2448,axiom,(
    ! [VarCurr] :
      ( ~ v23891(VarCurr)
    <=> v23892(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1343,axiom,(
    ! [VarCurr] :
      ( v23892(VarCurr)
    <=> ( v23850(VarCurr,bitIndex1)
        | v23893(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5371,axiom,(
    ! [VarCurr] :
      ( v23893(VarCurr)
    <=> ( v23850(VarCurr,bitIndex0)
        & v23894(VarCurr) ) ) )).

fof(writeUnaryOperator_2447,axiom,(
    ! [VarCurr] :
      ( ~ v23894(VarCurr)
    <=> v23850(VarCurr,bitIndex1) ) )).

fof(addAssignmentInitValueVector_34,axiom,(
    ! [B] :
      ( range_2_0(B)
     => ( v23850(constB0,B)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5370,axiom,(
    ! [VarCurr] :
      ( v23854(VarCurr)
    <=> ( v23856(VarCurr)
      <~> v23880(VarCurr) ) ) )).

fof(addAssignment_7775,axiom,(
    ! [VarCurr] :
      ( v23880(VarCurr)
    <=> v23882(VarCurr) ) )).

fof(addAssignment_7774,axiom,(
    ! [VarCurr] :
      ( v23882(VarCurr)
    <=> v127(VarCurr) ) )).

fof(addAssignment_7773,axiom,(
    ! [VarCurr] :
      ( v23856(VarCurr)
    <=> v23858(VarCurr) ) )).

fof(addAssignment_7772,axiom,(
    ! [VarCurr] :
      ( v23858(VarCurr)
    <=> v23860(VarCurr) ) )).

fof(addAssignment_7771,axiom,(
    ! [VarCurr] :
      ( v23860(VarCurr)
    <=> v23862(VarCurr) ) )).

fof(addAssignment_7770,axiom,(
    ! [VarCurr] :
      ( v23862(VarCurr)
    <=> v23864(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_254,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23867(VarNext)
       => ( v23864(VarNext)
        <=> v23864(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_292,axiom,(
    ! [VarNext] :
      ( v23867(VarNext)
     => ( v23864(VarNext)
      <=> v23875(VarNext) ) ) )).

fof(addAssignment_7769,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23875(VarNext)
      <=> v23873(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_580,axiom,(
    ! [VarCurr] :
      ( ~ v12922(VarCurr)
     => ( v23873(VarCurr)
      <=> v23876(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_523,axiom,(
    ! [VarCurr] :
      ( v12922(VarCurr)
     => ( v23873(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_579,axiom,(
    ! [VarCurr] :
      ( ~ v27(VarCurr)
     => ( v23876(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_522,axiom,(
    ! [VarCurr] :
      ( v27(VarCurr)
     => ( v23876(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5369,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23867(VarNext)
      <=> v23868(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5368,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23868(VarNext)
      <=> ( v23870(VarNext)
          & v12213(VarNext) ) ) ) )).

fof(writeUnaryOperator_2446,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23870(VarNext)
      <=> v12220(VarNext) ) ) )).

fof(addAssignment_7768,axiom,(
    ! [VarCurr] :
      ( v23852(VarCurr)
    <=> v125(VarCurr) ) )).

fof(addAssignment_7767,axiom,(
    ! [VarCurr] :
      ( v23830(VarCurr)
    <=> v23832(VarCurr) ) )).

fof(addAssignment_7766,axiom,(
    ! [VarCurr] :
      ( v23832(VarCurr)
    <=> v23834(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_578,axiom,(
    ! [VarCurr] :
      ( ~ v23836(VarCurr)
     => ( v23834(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_521,axiom,(
    ! [VarCurr] :
      ( v23836(VarCurr)
     => ( v23834(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5367,axiom,(
    ! [VarCurr] :
      ( v23836(VarCurr)
    <=> ( v23837(VarCurr)
        | v23842(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1673,axiom,(
    ! [VarCurr] :
      ( v23842(VarCurr)
    <=> ( ( v2711(VarCurr,bitIndex6)
        <=> $false )
        & ( v2711(VarCurr,bitIndex5)
        <=> $false )
        & ( v2711(VarCurr,bitIndex4)
        <=> $false )
        & ( v2711(VarCurr,bitIndex3)
        <=> $true )
        & ( v2711(VarCurr,bitIndex2)
        <=> $false )
        & ( v2711(VarCurr,bitIndex1)
        <=> $false )
        & ( v2711(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5366,axiom,(
    ! [VarCurr] :
      ( v23837(VarCurr)
    <=> ( v23838(VarCurr)
        | v23839(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5365,axiom,(
    ! [VarCurr] :
      ( v23839(VarCurr)
    <=> ( v23840(VarCurr)
        | v23841(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1672,axiom,(
    ! [VarCurr] :
      ( v23841(VarCurr)
    <=> ( ( v2711(VarCurr,bitIndex6)
        <=> $false )
        & ( v2711(VarCurr,bitIndex5)
        <=> $true )
        & ( v2711(VarCurr,bitIndex4)
        <=> $false )
        & ( v2711(VarCurr,bitIndex3)
        <=> $false )
        & ( v2711(VarCurr,bitIndex2)
        <=> $false )
        & ( v2711(VarCurr,bitIndex1)
        <=> $false )
        & ( v2711(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1671,axiom,(
    ! [VarCurr] :
      ( v23840(VarCurr)
    <=> ( ( v2711(VarCurr,bitIndex6)
        <=> $false )
        & ( v2711(VarCurr,bitIndex5)
        <=> $false )
        & ( v2711(VarCurr,bitIndex4)
        <=> $false )
        & ( v2711(VarCurr,bitIndex3)
        <=> $false )
        & ( v2711(VarCurr,bitIndex2)
        <=> $false )
        & ( v2711(VarCurr,bitIndex1)
        <=> $false )
        & ( v2711(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5364,axiom,(
    ! [VarCurr] :
      ( v23838(VarCurr)
    <=> ( v12972(VarCurr,bitIndex0)
        & v22228(VarCurr) ) ) )).

fof(addAssignment_7765,axiom,(
    ! [VarCurr] :
      ( v129(VarCurr)
    <=> v131(VarCurr) ) )).

fof(addAssignment_7764,axiom,(
    ! [VarCurr] :
      ( v131(VarCurr)
    <=> v133(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1670,axiom,(
    ! [VarCurr] :
      ( v133(VarCurr)
    <=> ( ( v135(VarCurr,bitIndex4)
        <=> $false )
        & ( v135(VarCurr,bitIndex3)
        <=> $false )
        & ( v135(VarCurr,bitIndex2)
        <=> $false )
        & ( v135(VarCurr,bitIndex1)
        <=> $false )
        & ( v135(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_253,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23816(VarNext)
       => ! [B] :
            ( range_4_0(B)
           => ( v135(VarNext,B)
            <=> v135(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_291,axiom,(
    ! [VarNext] :
      ( v23816(VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v135(VarNext,B)
          <=> v23824(VarNext,B) ) ) ) )).

fof(addAssignment_7763,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v23824(VarNext,B)
          <=> v23822(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_577,axiom,(
    ! [VarCurr] :
      ( ~ v23825(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v23822(VarCurr,B)
          <=> v140(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_520,axiom,(
    ! [VarCurr] :
      ( v23825(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v23822(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_2445,axiom,(
    ! [VarCurr] :
      ( ~ v23825(VarCurr)
    <=> v137(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5363,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23816(VarNext)
      <=> v23817(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5362,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23817(VarNext)
      <=> ( v23818(VarNext)
          & v658(VarNext) ) ) ) )).

fof(writeUnaryOperator_2444,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23818(VarNext)
      <=> v2637(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_54,axiom,(
    ! [VarCurr] :
      ( ( ~ v23740(VarCurr)
        & ~ v23742(VarCurr)
        & ~ v23783(VarCurr) )
     => ! [B] :
          ( range_4_0(B)
         => ( v140(VarCurr,B)
          <=> v135(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_265,axiom,(
    ! [VarCurr] :
      ( v23783(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v140(VarCurr,B)
          <=> v23785(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_643,axiom,(
    ! [VarCurr] :
      ( v23742(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v140(VarCurr,B)
          <=> v23744(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_639,axiom,(
    ! [VarCurr] :
      ( v23740(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v140(VarCurr,B)
          <=> v135(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1669,axiom,(
    ! [VarCurr] :
      ( v23812(VarCurr)
    <=> ( ( v23813(VarCurr,bitIndex1)
        <=> $true )
        & ( v23813(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_7762,axiom,(
    ! [VarCurr] :
      ( v23813(VarCurr,bitIndex0)
    <=> v609(VarCurr) ) )).

fof(addAssignment_7761,axiom,(
    ! [VarCurr] :
      ( v23813(VarCurr,bitIndex1)
    <=> v142(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_576,axiom,(
    ! [VarCurr] :
      ( ~ v23786(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v23785(VarCurr,B)
          <=> v23787(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_519,axiom,(
    ! [VarCurr] :
      ( v23786(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v23785(VarCurr,B)
          <=> b01010(B) ) ) ) )).

fof(addAssignment_7760,axiom,(
    ! [VarCurr] :
      ( v23787(VarCurr,bitIndex0)
    <=> v23809(VarCurr) ) )).

fof(addAssignment_7759,axiom,(
    ! [VarCurr] :
      ( v23787(VarCurr,bitIndex1)
    <=> v23807(VarCurr) ) )).

fof(addAssignment_7758,axiom,(
    ! [VarCurr] :
      ( v23787(VarCurr,bitIndex2)
    <=> v23802(VarCurr) ) )).

fof(addAssignment_7757,axiom,(
    ! [VarCurr] :
      ( v23787(VarCurr,bitIndex3)
    <=> v23797(VarCurr) ) )).

fof(addAssignment_7756,axiom,(
    ! [VarCurr] :
      ( v23787(VarCurr,bitIndex4)
    <=> v23789(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5361,axiom,(
    ! [VarCurr] :
      ( v23807(VarCurr)
    <=> ( v23808(VarCurr)
        & v23811(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1342,axiom,(
    ! [VarCurr] :
      ( v23811(VarCurr)
    <=> ( v135(VarCurr,bitIndex0)
        | v135(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5360,axiom,(
    ! [VarCurr] :
      ( v23808(VarCurr)
    <=> ( v23809(VarCurr)
        | v23810(VarCurr) ) ) )).

fof(writeUnaryOperator_2443,axiom,(
    ! [VarCurr] :
      ( ~ v23810(VarCurr)
    <=> v135(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2442,axiom,(
    ! [VarCurr] :
      ( ~ v23809(VarCurr)
    <=> v135(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5359,axiom,(
    ! [VarCurr] :
      ( v23802(VarCurr)
    <=> ( v23803(VarCurr)
        & v23806(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1341,axiom,(
    ! [VarCurr] :
      ( v23806(VarCurr)
    <=> ( v23794(VarCurr)
        | v135(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5358,axiom,(
    ! [VarCurr] :
      ( v23803(VarCurr)
    <=> ( v23804(VarCurr)
        | v23805(VarCurr) ) ) )).

fof(writeUnaryOperator_2441,axiom,(
    ! [VarCurr] :
      ( ~ v23805(VarCurr)
    <=> v135(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_2440,axiom,(
    ! [VarCurr] :
      ( ~ v23804(VarCurr)
    <=> v23794(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5357,axiom,(
    ! [VarCurr] :
      ( v23797(VarCurr)
    <=> ( v23798(VarCurr)
        & v23801(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1340,axiom,(
    ! [VarCurr] :
      ( v23801(VarCurr)
    <=> ( v23793(VarCurr)
        | v135(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5356,axiom,(
    ! [VarCurr] :
      ( v23798(VarCurr)
    <=> ( v23799(VarCurr)
        | v23800(VarCurr) ) ) )).

fof(writeUnaryOperator_2439,axiom,(
    ! [VarCurr] :
      ( ~ v23800(VarCurr)
    <=> v135(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_2438,axiom,(
    ! [VarCurr] :
      ( ~ v23799(VarCurr)
    <=> v23793(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5355,axiom,(
    ! [VarCurr] :
      ( v23789(VarCurr)
    <=> ( v23790(VarCurr)
        & v23796(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1339,axiom,(
    ! [VarCurr] :
      ( v23796(VarCurr)
    <=> ( v23792(VarCurr)
        | v135(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5354,axiom,(
    ! [VarCurr] :
      ( v23790(VarCurr)
    <=> ( v23791(VarCurr)
        | v23795(VarCurr) ) ) )).

fof(writeUnaryOperator_2437,axiom,(
    ! [VarCurr] :
      ( ~ v23795(VarCurr)
    <=> v135(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_2436,axiom,(
    ! [VarCurr] :
      ( ~ v23791(VarCurr)
    <=> v23792(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1338,axiom,(
    ! [VarCurr] :
      ( v23792(VarCurr)
    <=> ( v23793(VarCurr)
        & v135(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1337,axiom,(
    ! [VarCurr] :
      ( v23793(VarCurr)
    <=> ( v23794(VarCurr)
        & v135(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1336,axiom,(
    ! [VarCurr] :
      ( v23794(VarCurr)
    <=> ( v135(VarCurr,bitIndex0)
        & v135(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_1668,axiom,(
    ! [VarCurr] :
      ( v23786(VarCurr)
    <=> ( ( v135(VarCurr,bitIndex4)
        <=> $false )
        & ( v135(VarCurr,bitIndex3)
        <=> $true )
        & ( v135(VarCurr,bitIndex2)
        <=> $false )
        & ( v135(VarCurr,bitIndex1)
        <=> $true )
        & ( v135(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1667,axiom,(
    ! [VarCurr] :
      ( v23783(VarCurr)
    <=> ( ( v23784(VarCurr,bitIndex1)
        <=> $true )
        & ( v23784(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7755,axiom,(
    ! [VarCurr] :
      ( v23784(VarCurr,bitIndex0)
    <=> v609(VarCurr) ) )).

fof(addAssignment_7754,axiom,(
    ! [VarCurr] :
      ( v23784(VarCurr,bitIndex1)
    <=> v142(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_575,axiom,(
    ! [VarCurr] :
      ( ~ v23745(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v23744(VarCurr,B)
          <=> v23746(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_518,axiom,(
    ! [VarCurr] :
      ( v23745(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v23744(VarCurr,B)
          <=> $false ) ) ) )).

fof(addSignExtensionConstraint_106,axiom,(
    ! [VarCurr] :
      ( v23746(VarCurr,bitIndex6)
    <=> v23747(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_105,axiom,(
    ! [VarCurr] :
      ( v23746(VarCurr,bitIndex7)
    <=> v23747(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_104,axiom,(
    ! [VarCurr] :
      ( v23746(VarCurr,bitIndex8)
    <=> v23747(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_103,axiom,(
    ! [VarCurr] :
      ( v23746(VarCurr,bitIndex9)
    <=> v23747(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_102,axiom,(
    ! [VarCurr] :
      ( v23746(VarCurr,bitIndex10)
    <=> v23747(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_101,axiom,(
    ! [VarCurr] :
      ( v23746(VarCurr,bitIndex11)
    <=> v23747(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_100,axiom,(
    ! [VarCurr] :
      ( v23746(VarCurr,bitIndex12)
    <=> v23747(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_99,axiom,(
    ! [VarCurr] :
      ( v23746(VarCurr,bitIndex13)
    <=> v23747(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_98,axiom,(
    ! [VarCurr] :
      ( v23746(VarCurr,bitIndex14)
    <=> v23747(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_97,axiom,(
    ! [VarCurr] :
      ( v23746(VarCurr,bitIndex15)
    <=> v23747(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_96,axiom,(
    ! [VarCurr] :
      ( v23746(VarCurr,bitIndex16)
    <=> v23747(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_95,axiom,(
    ! [VarCurr] :
      ( v23746(VarCurr,bitIndex17)
    <=> v23747(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_94,axiom,(
    ! [VarCurr] :
      ( v23746(VarCurr,bitIndex18)
    <=> v23747(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_93,axiom,(
    ! [VarCurr] :
      ( v23746(VarCurr,bitIndex19)
    <=> v23747(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_92,axiom,(
    ! [VarCurr] :
      ( v23746(VarCurr,bitIndex20)
    <=> v23747(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_91,axiom,(
    ! [VarCurr] :
      ( v23746(VarCurr,bitIndex21)
    <=> v23747(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_90,axiom,(
    ! [VarCurr] :
      ( v23746(VarCurr,bitIndex22)
    <=> v23747(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_89,axiom,(
    ! [VarCurr] :
      ( v23746(VarCurr,bitIndex23)
    <=> v23747(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_88,axiom,(
    ! [VarCurr] :
      ( v23746(VarCurr,bitIndex24)
    <=> v23747(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_87,axiom,(
    ! [VarCurr] :
      ( v23746(VarCurr,bitIndex25)
    <=> v23747(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_86,axiom,(
    ! [VarCurr] :
      ( v23746(VarCurr,bitIndex26)
    <=> v23747(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_85,axiom,(
    ! [VarCurr] :
      ( v23746(VarCurr,bitIndex27)
    <=> v23747(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_84,axiom,(
    ! [VarCurr] :
      ( v23746(VarCurr,bitIndex28)
    <=> v23747(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_83,axiom,(
    ! [VarCurr] :
      ( v23746(VarCurr,bitIndex29)
    <=> v23747(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_82,axiom,(
    ! [VarCurr] :
      ( v23746(VarCurr,bitIndex30)
    <=> v23747(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_81,axiom,(
    ! [VarCurr] :
      ( v23746(VarCurr,bitIndex31)
    <=> v23747(VarCurr,bitIndex5) ) )).

fof(addAssignment_7753,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v23746(VarCurr,B)
      <=> v23747(VarCurr,B) ) ) )).

fof(addAssignment_7752,axiom,(
    ! [VarCurr] :
      ( v23747(VarCurr,bitIndex0)
    <=> v23781(VarCurr) ) )).

fof(addAssignment_7751,axiom,(
    ! [VarCurr] :
      ( v23747(VarCurr,bitIndex1)
    <=> v23779(VarCurr) ) )).

fof(addAssignment_7750,axiom,(
    ! [VarCurr] :
      ( v23747(VarCurr,bitIndex2)
    <=> v23775(VarCurr) ) )).

fof(addAssignment_7749,axiom,(
    ! [VarCurr] :
      ( v23747(VarCurr,bitIndex3)
    <=> v23771(VarCurr) ) )).

fof(addAssignment_7748,axiom,(
    ! [VarCurr] :
      ( v23747(VarCurr,bitIndex4)
    <=> v23767(VarCurr) ) )).

fof(addAssignment_7747,axiom,(
    ! [VarCurr] :
      ( v23747(VarCurr,bitIndex5)
    <=> v23749(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5353,axiom,(
    ! [VarCurr] :
      ( v23779(VarCurr)
    <=> ( v23780(VarCurr)
        & v23782(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5352,axiom,(
    ! [VarCurr] :
      ( v23782(VarCurr)
    <=> ( v23753(VarCurr,bitIndex0)
        | v23761(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1335,axiom,(
    ! [VarCurr] :
      ( v23780(VarCurr)
    <=> ( v23781(VarCurr)
        | v23753(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_2435,axiom,(
    ! [VarCurr] :
      ( ~ v23781(VarCurr)
    <=> v23753(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5351,axiom,(
    ! [VarCurr] :
      ( v23775(VarCurr)
    <=> ( v23776(VarCurr)
        & v23778(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5350,axiom,(
    ! [VarCurr] :
      ( v23778(VarCurr)
    <=> ( v23759(VarCurr)
        | v23762(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1334,axiom,(
    ! [VarCurr] :
      ( v23776(VarCurr)
    <=> ( v23777(VarCurr)
        | v23753(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_2434,axiom,(
    ! [VarCurr] :
      ( ~ v23777(VarCurr)
    <=> v23759(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5349,axiom,(
    ! [VarCurr] :
      ( v23771(VarCurr)
    <=> ( v23772(VarCurr)
        & v23774(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5348,axiom,(
    ! [VarCurr] :
      ( v23774(VarCurr)
    <=> ( v23757(VarCurr)
        | v23763(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1333,axiom,(
    ! [VarCurr] :
      ( v23772(VarCurr)
    <=> ( v23773(VarCurr)
        | v23753(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_2433,axiom,(
    ! [VarCurr] :
      ( ~ v23773(VarCurr)
    <=> v23757(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5347,axiom,(
    ! [VarCurr] :
      ( v23767(VarCurr)
    <=> ( v23768(VarCurr)
        & v23770(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5346,axiom,(
    ! [VarCurr] :
      ( v23770(VarCurr)
    <=> ( v23755(VarCurr)
        | v23764(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1332,axiom,(
    ! [VarCurr] :
      ( v23768(VarCurr)
    <=> ( v23769(VarCurr)
        | v23753(VarCurr,bitIndex4) ) ) )).

fof(writeUnaryOperator_2432,axiom,(
    ! [VarCurr] :
      ( ~ v23769(VarCurr)
    <=> v23755(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5345,axiom,(
    ! [VarCurr] :
      ( v23749(VarCurr)
    <=> ( v23750(VarCurr)
        & v23765(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5344,axiom,(
    ! [VarCurr] :
      ( v23765(VarCurr)
    <=> ( v23752(VarCurr)
        | v23766(VarCurr) ) ) )).

fof(writeUnaryOperator_2431,axiom,(
    ! [VarCurr] :
      ( ~ v23766(VarCurr)
    <=> v23753(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_1331,axiom,(
    ! [VarCurr] :
      ( v23750(VarCurr)
    <=> ( v23751(VarCurr)
        | v23753(VarCurr,bitIndex5) ) ) )).

fof(writeUnaryOperator_2430,axiom,(
    ! [VarCurr] :
      ( ~ v23751(VarCurr)
    <=> v23752(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1330,axiom,(
    ! [VarCurr] :
      ( v23752(VarCurr)
    <=> ( v23753(VarCurr,bitIndex4)
        | v23754(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5343,axiom,(
    ! [VarCurr] :
      ( v23754(VarCurr)
    <=> ( v23755(VarCurr)
        & v23764(VarCurr) ) ) )).

fof(writeUnaryOperator_2429,axiom,(
    ! [VarCurr] :
      ( ~ v23764(VarCurr)
    <=> v23753(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_1329,axiom,(
    ! [VarCurr] :
      ( v23755(VarCurr)
    <=> ( v23753(VarCurr,bitIndex3)
        | v23756(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5342,axiom,(
    ! [VarCurr] :
      ( v23756(VarCurr)
    <=> ( v23757(VarCurr)
        & v23763(VarCurr) ) ) )).

fof(writeUnaryOperator_2428,axiom,(
    ! [VarCurr] :
      ( ~ v23763(VarCurr)
    <=> v23753(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_1328,axiom,(
    ! [VarCurr] :
      ( v23757(VarCurr)
    <=> ( v23753(VarCurr,bitIndex2)
        | v23758(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5341,axiom,(
    ! [VarCurr] :
      ( v23758(VarCurr)
    <=> ( v23759(VarCurr)
        & v23762(VarCurr) ) ) )).

fof(writeUnaryOperator_2427,axiom,(
    ! [VarCurr] :
      ( ~ v23762(VarCurr)
    <=> v23753(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_1327,axiom,(
    ! [VarCurr] :
      ( v23759(VarCurr)
    <=> ( v23753(VarCurr,bitIndex1)
        | v23760(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5340,axiom,(
    ! [VarCurr] :
      ( v23760(VarCurr)
    <=> ( v23753(VarCurr,bitIndex0)
        & v23761(VarCurr) ) ) )).

fof(writeUnaryOperator_2426,axiom,(
    ! [VarCurr] :
      ( ~ v23761(VarCurr)
    <=> v23753(VarCurr,bitIndex1) ) )).

fof(addZeroExtensionConstraint_6,axiom,(
    ! [VarCurr] : ~ v23753(VarCurr,bitIndex5) )).

fof(addAssignment_7746,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v23753(VarCurr,B)
      <=> v135(VarCurr,B) ) ) )).

fof(addBitVectorEqualityBitBlasted_1666,axiom,(
    ! [VarCurr] :
      ( v23745(VarCurr)
    <=> ( ( v135(VarCurr,bitIndex4)
        <=> $false )
        & ( v135(VarCurr,bitIndex3)
        <=> $false )
        & ( v135(VarCurr,bitIndex2)
        <=> $false )
        & ( v135(VarCurr,bitIndex1)
        <=> $false )
        & ( v135(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1665,axiom,(
    ! [VarCurr] :
      ( v23742(VarCurr)
    <=> ( ( v23743(VarCurr,bitIndex1)
        <=> $false )
        & ( v23743(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_7745,axiom,(
    ! [VarCurr] :
      ( v23743(VarCurr,bitIndex0)
    <=> v609(VarCurr) ) )).

fof(addAssignment_7744,axiom,(
    ! [VarCurr] :
      ( v23743(VarCurr,bitIndex1)
    <=> v142(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1664,axiom,(
    ! [VarCurr] :
      ( v23740(VarCurr)
    <=> ( ( v23741(VarCurr,bitIndex1)
        <=> $false )
        & ( v23741(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7743,axiom,(
    ! [VarCurr] :
      ( v23741(VarCurr,bitIndex0)
    <=> v609(VarCurr) ) )).

fof(addAssignment_7742,axiom,(
    ! [VarCurr] :
      ( v23741(VarCurr,bitIndex1)
    <=> v142(VarCurr) ) )).

fof(addAssignment_7741,axiom,(
    ! [VarCurr] :
      ( v609(VarCurr)
    <=> v611(VarCurr) ) )).

fof(addAssignment_7740,axiom,(
    ! [VarCurr] :
      ( v611(VarCurr)
    <=> v613(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5339,axiom,(
    ! [VarCurr] :
      ( v613(VarCurr)
    <=> ( v23733(VarCurr)
        | v23639(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5338,axiom,(
    ! [VarCurr] :
      ( v23733(VarCurr)
    <=> ( v23734(VarCurr)
        | v23709(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1326,axiom,(
    ! [VarCurr] :
      ( v23734(VarCurr)
    <=> ( v23735(VarCurr)
        | v615(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5337,axiom,(
    ! [VarCurr] :
      ( v23735(VarCurr)
    <=> ( v23736(VarCurr)
        | v22212(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5336,axiom,(
    ! [VarCurr] :
      ( v23736(VarCurr)
    <=> ( v23737(VarCurr)
        | v127(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1325,axiom,(
    ! [VarCurr] :
      ( v23737(VarCurr)
    <=> ( v23738(VarCurr)
        | v615(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1324,axiom,(
    ! [VarCurr] :
      ( v23738(VarCurr)
    <=> ( v615(VarCurr,bitIndex3)
        | v615(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5335,axiom,(
    ! [VarCurr] :
      ( v23709(VarCurr)
    <=> ( v23725(VarCurr)
        & v23726(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5334,axiom,(
    ! [VarCurr] :
      ( v23726(VarCurr)
    <=> ( v23727(VarCurr)
        | v23729(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5333,axiom,(
    ! [VarCurr] :
      ( v23729(VarCurr)
    <=> ( v23730(VarCurr)
        & v23731(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5332,axiom,(
    ! [VarCurr] :
      ( v23731(VarCurr)
    <=> ( v23721(VarCurr)
        | v23723(VarCurr) ) ) )).

fof(writeUnaryOperator_2425,axiom,(
    ! [VarCurr] :
      ( ~ v23730(VarCurr)
    <=> v23717(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5331,axiom,(
    ! [VarCurr] :
      ( v23727(VarCurr)
    <=> ( v23728(VarCurr)
        & v23715(VarCurr) ) ) )).

fof(writeUnaryOperator_2424,axiom,(
    ! [VarCurr] :
      ( ~ v23728(VarCurr)
    <=> v23711(VarCurr) ) )).

fof(writeUnaryOperator_2423,axiom,(
    ! [VarCurr] :
      ( ~ v23725(VarCurr)
    <=> v129(VarCurr) ) )).

fof(addAssignment_7739,axiom,(
    ! [VarCurr] :
      ( v23723(VarCurr)
    <=> v23264(VarCurr) ) )).

fof(addAssignment_7738,axiom,(
    ! [VarCurr] :
      ( v23721(VarCurr)
    <=> v23257(VarCurr) ) )).

fof(addAssignment_7737,axiom,(
    ! [VarCurr] :
      ( v23717(VarCurr)
    <=> v23719(VarCurr) ) )).

fof(addAssignment_7736,axiom,(
    ! [VarCurr] :
      ( v23719(VarCurr)
    <=> v23245(VarCurr) ) )).

fof(addAssignment_7735,axiom,(
    ! [VarCurr] :
      ( v23715(VarCurr)
    <=> v23076(VarCurr) ) )).

fof(addAssignment_7734,axiom,(
    ! [VarCurr] :
      ( v23711(VarCurr)
    <=> v23713(VarCurr) ) )).

fof(addAssignment_7733,axiom,(
    ! [VarCurr] :
      ( v23713(VarCurr)
    <=> v23069(VarCurr) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_329,axiom,(
    ! [VarCurr] :
      ( ~ v23706(VarCurr)
     => ( v615(VarCurr,bitIndex3)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_386,axiom,(
    ! [VarCurr] :
      ( v23706(VarCurr)
     => ( v615(VarCurr,bitIndex3)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5330,axiom,(
    ! [VarCurr] :
      ( v23706(VarCurr)
    <=> ( v23707(VarCurr)
        & v23696(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5329,axiom,(
    ! [VarCurr] :
      ( v23707(VarCurr)
    <=> ( v12946(VarCurr)
        & v617(VarCurr) ) ) )).

fof(addAssignment_7732,axiom,(
    ! [VarNext] :
      ( v637(VarNext,bitIndex2)
    <=> v23698(VarNext,bitIndex1) ) )).

fof(addCaseBooleanConditionShiftedRanges1_43,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23699(VarNext)
       => ( ( v23698(VarNext,bitIndex11)
          <=> v637(VarCurr,bitIndex12) )
          & ( v23698(VarNext,bitIndex10)
          <=> v637(VarCurr,bitIndex11) )
          & ( v23698(VarNext,bitIndex9)
          <=> v637(VarCurr,bitIndex10) )
          & ( v23698(VarNext,bitIndex8)
          <=> v637(VarCurr,bitIndex9) )
          & ( v23698(VarNext,bitIndex7)
          <=> v637(VarCurr,bitIndex8) )
          & ( v23698(VarNext,bitIndex6)
          <=> v637(VarCurr,bitIndex7) )
          & ( v23698(VarNext,bitIndex5)
          <=> v637(VarCurr,bitIndex6) )
          & ( v23698(VarNext,bitIndex4)
          <=> v637(VarCurr,bitIndex5) )
          & ( v23698(VarNext,bitIndex3)
          <=> v637(VarCurr,bitIndex4) )
          & ( v23698(VarNext,bitIndex2)
          <=> v637(VarCurr,bitIndex3) )
          & ( v23698(VarNext,bitIndex1)
          <=> v637(VarCurr,bitIndex2) )
          & ( v23698(VarNext,bitIndex0)
          <=> v637(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_290,axiom,(
    ! [VarNext] :
      ( v23699(VarNext)
     => ! [B] :
          ( range_11_0(B)
         => ( v23698(VarNext,B)
          <=> v22184(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5328,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23699(VarNext)
      <=> v23700(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5327,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23700(VarNext)
      <=> ( v23702(VarNext)
          & v16719(VarNext) ) ) ) )).

fof(writeUnaryOperator_2422,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23702(VarNext)
      <=> v16726(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_328,axiom,(
    ! [VarCurr] :
      ( ~ v23690(VarCurr)
     => ( v615(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_385,axiom,(
    ! [VarCurr] :
      ( v23690(VarCurr)
     => ( v615(VarCurr,bitIndex2)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5326,axiom,(
    ! [VarCurr] :
      ( v23690(VarCurr)
    <=> ( v23691(VarCurr)
        | v23692(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5325,axiom,(
    ! [VarCurr] :
      ( v23692(VarCurr)
    <=> ( v23693(VarCurr)
        & v23696(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1663,axiom,(
    ! [VarCurr] :
      ( v23696(VarCurr)
    <=> ( $true
      <=> v637(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5324,axiom,(
    ! [VarCurr] :
      ( v23693(VarCurr)
    <=> ( v23694(VarCurr)
        | v23695(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5323,axiom,(
    ! [VarCurr] :
      ( v23695(VarCurr)
    <=> ( v22197(VarCurr)
        & v617(VarCurr) ) ) )).

fof(writeUnaryOperator_2421,axiom,(
    ! [VarCurr] :
      ( ~ v23694(VarCurr)
    <=> v617(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1662,axiom,(
    ! [VarCurr] :
      ( v23691(VarCurr)
    <=> ( $true
      <=> v637(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_7731,axiom,(
    ! [VarNext] :
      ( v637(VarNext,bitIndex1)
    <=> v23682(VarNext,bitIndex0) ) )).

fof(addCaseBooleanConditionShiftedRanges1_42,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23683(VarNext)
       => ( ( v23682(VarNext,bitIndex11)
          <=> v637(VarCurr,bitIndex12) )
          & ( v23682(VarNext,bitIndex10)
          <=> v637(VarCurr,bitIndex11) )
          & ( v23682(VarNext,bitIndex9)
          <=> v637(VarCurr,bitIndex10) )
          & ( v23682(VarNext,bitIndex8)
          <=> v637(VarCurr,bitIndex9) )
          & ( v23682(VarNext,bitIndex7)
          <=> v637(VarCurr,bitIndex8) )
          & ( v23682(VarNext,bitIndex6)
          <=> v637(VarCurr,bitIndex7) )
          & ( v23682(VarNext,bitIndex5)
          <=> v637(VarCurr,bitIndex6) )
          & ( v23682(VarNext,bitIndex4)
          <=> v637(VarCurr,bitIndex5) )
          & ( v23682(VarNext,bitIndex3)
          <=> v637(VarCurr,bitIndex4) )
          & ( v23682(VarNext,bitIndex2)
          <=> v637(VarCurr,bitIndex3) )
          & ( v23682(VarNext,bitIndex1)
          <=> v637(VarCurr,bitIndex2) )
          & ( v23682(VarNext,bitIndex0)
          <=> v637(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_289,axiom,(
    ! [VarNext] :
      ( v23683(VarNext)
     => ! [B] :
          ( range_11_0(B)
         => ( v23682(VarNext,B)
          <=> v22184(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5322,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23683(VarNext)
      <=> v23684(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5321,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23684(VarNext)
      <=> ( v23686(VarNext)
          & v16719(VarNext) ) ) ) )).

fof(writeUnaryOperator_2420,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23686(VarNext)
      <=> v16726(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_327,axiom,(
    ! [VarCurr] :
      ( ~ v23677(VarCurr)
     => ( v615(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_384,axiom,(
    ! [VarCurr] :
      ( v23677(VarCurr)
     => ( v615(VarCurr,bitIndex1)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5320,axiom,(
    ! [VarCurr] :
      ( v23677(VarCurr)
    <=> ( v23678(VarCurr)
        & v22149(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5319,axiom,(
    ! [VarCurr] :
      ( v23678(VarCurr)
    <=> ( v23680(VarCurr)
        & v22148(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5318,axiom,(
    ! [VarCurr] :
      ( v23680(VarCurr)
    <=> ( v22142(VarCurr)
        & v12962(VarCurr) ) ) )).

fof(addAssignment_7730,axiom,(
    ! [VarCurr] :
      ( v617(VarCurr)
    <=> v619(VarCurr,bitIndex1) ) )).

fof(addAssignment_7729,axiom,(
    ! [VarCurr] :
      ( v619(VarCurr,bitIndex1)
    <=> v16714(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorShiftedRanges_1323,axiom,(
    ! [VarCurr] :
      ( v16713(VarCurr,bitIndex1)
    <=> ( v16713(VarCurr,bitIndex0)
        | v621(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_7728,axiom,(
    ! [VarCurr] :
      ( v621(VarCurr,bitIndex1)
    <=> v16711(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5317,axiom,(
    ! [VarCurr] :
      ( v623(VarCurr)
    <=> ( v23671(VarCurr)
        & v23674(VarCurr) ) ) )).

fof(writeUnaryOperator_2419,axiom,(
    ! [VarCurr] :
      ( ~ v23674(VarCurr)
    <=> v633(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5316,axiom,(
    ! [VarCurr] :
      ( v23671(VarCurr)
    <=> ( v23672(VarCurr)
        & v23673(VarCurr) ) ) )).

fof(writeUnaryOperator_2418,axiom,(
    ! [VarCurr] :
      ( ~ v23673(VarCurr)
    <=> v625(VarCurr) ) )).

fof(writeUnaryOperator_2417,axiom,(
    ! [VarCurr] :
      ( ~ v23672(VarCurr)
    <=> v129(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5315,axiom,(
    ! [VarCurr] :
      ( v633(VarCurr)
    <=> ( v23668(VarCurr)
        | v23639(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5314,axiom,(
    ! [VarCurr] :
      ( v23668(VarCurr)
    <=> ( v635(VarCurr)
        & v23669(VarCurr) ) ) )).

fof(writeUnaryOperator_2416,axiom,(
    ! [VarCurr] :
      ( ~ v23669(VarCurr)
    <=> v23570(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_252,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23655(VarNext)
       => ( v23639(VarNext)
        <=> v23639(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_288,axiom,(
    ! [VarNext] :
      ( v23655(VarNext)
     => ( v23639(VarNext)
      <=> v23663(VarNext) ) ) )).

fof(addAssignment_7727,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23663(VarNext)
      <=> v23661(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_574,axiom,(
    ! [VarCurr] :
      ( ~ v23664(VarCurr)
     => ( v23661(VarCurr)
      <=> v23641(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_517,axiom,(
    ! [VarCurr] :
      ( v23664(VarCurr)
     => ( v23661(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_2415,axiom,(
    ! [VarCurr] :
      ( ~ v23664(VarCurr)
    <=> v123(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5313,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23655(VarNext)
      <=> v23656(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5312,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23656(VarNext)
      <=> ( v23657(VarNext)
          & v16719(VarNext) ) ) ) )).

fof(writeUnaryOperator_2414,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23657(VarNext)
      <=> v16726(VarNext) ) ) )).

fof(addAssignmentInitValueVector_33,axiom,
    ( v23639(constB0)
  <=> $false )).

fof(writeBinaryOperatorEqualRangesSingleBits_5311,axiom,(
    ! [VarCurr] :
      ( v23641(VarCurr)
    <=> ( v23651(VarCurr)
        & v23652(VarCurr) ) ) )).

fof(writeUnaryOperator_2413,axiom,(
    ! [VarCurr] :
      ( ~ v23652(VarCurr)
    <=> v635(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5310,axiom,(
    ! [VarCurr] :
      ( v23651(VarCurr)
    <=> ( v617(VarCurr)
        & v23643(VarCurr) ) ) )).

fof(addAssignment_7726,axiom,(
    ! [VarCurr] :
      ( v23643(VarCurr)
    <=> v23645(VarCurr) ) )).

fof(addAssignment_7725,axiom,(
    ! [VarCurr] :
      ( v23645(VarCurr)
    <=> v23647(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_573,axiom,(
    ! [VarCurr] :
      ( ~ v23649(VarCurr)
     => ( v23647(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_516,axiom,(
    ! [VarCurr] :
      ( v23649(VarCurr)
     => ( v23647(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1661,axiom,(
    ! [VarCurr] :
      ( v23649(VarCurr)
    <=> ( ( v2711(VarCurr,bitIndex6)
        <=> $false )
        & ( v2711(VarCurr,bitIndex5)
        <=> $false )
        & ( v2711(VarCurr,bitIndex4)
        <=> $false )
        & ( v2711(VarCurr,bitIndex3)
        <=> $true )
        & ( v2711(VarCurr,bitIndex2)
        <=> $false )
        & ( v2711(VarCurr,bitIndex1)
        <=> $true )
        & ( v2711(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_251,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23625(VarNext)
       => ( v635(VarNext)
        <=> v635(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_287,axiom,(
    ! [VarNext] :
      ( v23625(VarNext)
     => ( v635(VarNext)
      <=> v23633(VarNext) ) ) )).

fof(addAssignment_7724,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23633(VarNext)
      <=> v23631(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_572,axiom,(
    ! [VarCurr] :
      ( ~ v23586(VarCurr)
     => ( v23631(VarCurr)
      <=> v23634(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_515,axiom,(
    ! [VarCurr] :
      ( v23586(VarCurr)
     => ( v23631(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_571,axiom,(
    ! [VarCurr] :
      ( ~ v23588(VarCurr)
     => ( v23634(VarCurr)
      <=> v23635(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_514,axiom,(
    ! [VarCurr] :
      ( v23588(VarCurr)
     => ( v23634(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_570,axiom,(
    ! [VarCurr] :
      ( ~ v23590(VarCurr)
     => ( v23635(VarCurr)
      <=> v23570(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_513,axiom,(
    ! [VarCurr] :
      ( v23590(VarCurr)
     => ( v23635(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5309,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23625(VarNext)
      <=> v23626(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5308,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23626(VarNext)
      <=> ( v23628(VarNext)
          & v16719(VarNext) ) ) ) )).

fof(writeUnaryOperator_2412,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23628(VarNext)
      <=> v16726(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_250,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23610(VarNext)
       => ( v23570(VarNext)
        <=> v23570(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_286,axiom,(
    ! [VarNext] :
      ( v23610(VarNext)
     => ( v23570(VarNext)
      <=> v23618(VarNext) ) ) )).

fof(addAssignment_7723,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23618(VarNext)
      <=> v23616(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_569,axiom,(
    ! [VarCurr] :
      ( ~ v23586(VarCurr)
     => ( v23616(VarCurr)
      <=> v23619(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_512,axiom,(
    ! [VarCurr] :
      ( v23586(VarCurr)
     => ( v23616(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_568,axiom,(
    ! [VarCurr] :
      ( ~ v23588(VarCurr)
     => ( v23619(VarCurr)
      <=> v23620(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_511,axiom,(
    ! [VarCurr] :
      ( v23588(VarCurr)
     => ( v23619(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_567,axiom,(
    ! [VarCurr] :
      ( ~ v23590(VarCurr)
     => ( v23620(VarCurr)
      <=> v23572(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_510,axiom,(
    ! [VarCurr] :
      ( v23590(VarCurr)
     => ( v23620(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5307,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23610(VarNext)
      <=> v23611(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5306,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23611(VarNext)
      <=> ( v23613(VarNext)
          & v16719(VarNext) ) ) ) )).

fof(writeUnaryOperator_2411,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23613(VarNext)
      <=> v16726(VarNext) ) ) )).

fof(addAssignmentInitValueVector_32,axiom,
    ( v23570(constB0)
  <=> $false )).

fof(addCaseBooleanConditionEqualRanges1_249,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23595(VarNext)
       => ( v23572(VarNext)
        <=> v23572(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_285,axiom,(
    ! [VarNext] :
      ( v23595(VarNext)
     => ( v23572(VarNext)
      <=> v23603(VarNext) ) ) )).

fof(addAssignment_7722,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23603(VarNext)
      <=> v23601(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_566,axiom,(
    ! [VarCurr] :
      ( ~ v23586(VarCurr)
     => ( v23601(VarCurr)
      <=> v23604(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_509,axiom,(
    ! [VarCurr] :
      ( v23586(VarCurr)
     => ( v23601(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_565,axiom,(
    ! [VarCurr] :
      ( ~ v23588(VarCurr)
     => ( v23604(VarCurr)
      <=> v23605(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_508,axiom,(
    ! [VarCurr] :
      ( v23588(VarCurr)
     => ( v23604(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_564,axiom,(
    ! [VarCurr] :
      ( ~ v23590(VarCurr)
     => ( v23605(VarCurr)
      <=> v23574(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_507,axiom,(
    ! [VarCurr] :
      ( v23590(VarCurr)
     => ( v23605(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5305,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23595(VarNext)
      <=> v23596(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5304,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23596(VarNext)
      <=> ( v23598(VarNext)
          & v16719(VarNext) ) ) ) )).

fof(writeUnaryOperator_2410,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23598(VarNext)
      <=> v16726(VarNext) ) ) )).

fof(addAssignmentInitValueVector_31,axiom,
    ( v23572(constB0)
  <=> $false )).

fof(addCaseBooleanConditionEqualRanges1_248,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23577(VarNext)
       => ( v23574(VarNext)
        <=> v23574(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_284,axiom,(
    ! [VarNext] :
      ( v23577(VarNext)
     => ( v23574(VarNext)
      <=> v23585(VarNext) ) ) )).

fof(addAssignment_7721,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23585(VarNext)
      <=> v23583(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_563,axiom,(
    ! [VarCurr] :
      ( ~ v23586(VarCurr)
     => ( v23583(VarCurr)
      <=> v23587(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_506,axiom,(
    ! [VarCurr] :
      ( v23586(VarCurr)
     => ( v23583(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_562,axiom,(
    ! [VarCurr] :
      ( ~ v23588(VarCurr)
     => ( v23587(VarCurr)
      <=> v23589(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_505,axiom,(
    ! [VarCurr] :
      ( v23588(VarCurr)
     => ( v23587(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_561,axiom,(
    ! [VarCurr] :
      ( ~ v23590(VarCurr)
     => ( v23589(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_504,axiom,(
    ! [VarCurr] :
      ( v23590(VarCurr)
     => ( v23589(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorShiftedRanges_1322,axiom,(
    ! [VarCurr] :
      ( v23590(VarCurr)
    <=> ( v615(VarCurr,bitIndex9)
        | v615(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1321,axiom,(
    ! [VarCurr] :
      ( v23588(VarCurr)
    <=> ( v615(VarCurr,bitIndex3)
        | v615(VarCurr,bitIndex6) ) ) )).

fof(writeUnaryOperator_2409,axiom,(
    ! [VarCurr] :
      ( ~ v23586(VarCurr)
    <=> v123(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5303,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23577(VarNext)
      <=> v23578(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5302,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23578(VarNext)
      <=> ( v23579(VarNext)
          & v16719(VarNext) ) ) ) )).

fof(writeUnaryOperator_2408,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23579(VarNext)
      <=> v16726(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_326,axiom,(
    ! [VarCurr] :
      ( ~ v23568(VarCurr)
     => ( v615(VarCurr,bitIndex9)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_383,axiom,(
    ! [VarCurr] :
      ( v23568(VarCurr)
     => ( v615(VarCurr,bitIndex9)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5301,axiom,(
    ! [VarCurr] :
      ( v23568(VarCurr)
    <=> ( v617(VarCurr)
        & v23558(VarCurr) ) ) )).

fof(addAssignment_7720,axiom,(
    ! [VarNext] :
      ( v637(VarNext,bitIndex8)
    <=> v23560(VarNext,bitIndex7) ) )).

fof(addCaseBooleanConditionShiftedRanges1_41,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23561(VarNext)
       => ( ( v23560(VarNext,bitIndex11)
          <=> v637(VarCurr,bitIndex12) )
          & ( v23560(VarNext,bitIndex10)
          <=> v637(VarCurr,bitIndex11) )
          & ( v23560(VarNext,bitIndex9)
          <=> v637(VarCurr,bitIndex10) )
          & ( v23560(VarNext,bitIndex8)
          <=> v637(VarCurr,bitIndex9) )
          & ( v23560(VarNext,bitIndex7)
          <=> v637(VarCurr,bitIndex8) )
          & ( v23560(VarNext,bitIndex6)
          <=> v637(VarCurr,bitIndex7) )
          & ( v23560(VarNext,bitIndex5)
          <=> v637(VarCurr,bitIndex6) )
          & ( v23560(VarNext,bitIndex4)
          <=> v637(VarCurr,bitIndex5) )
          & ( v23560(VarNext,bitIndex3)
          <=> v637(VarCurr,bitIndex4) )
          & ( v23560(VarNext,bitIndex2)
          <=> v637(VarCurr,bitIndex3) )
          & ( v23560(VarNext,bitIndex1)
          <=> v637(VarCurr,bitIndex2) )
          & ( v23560(VarNext,bitIndex0)
          <=> v637(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_283,axiom,(
    ! [VarNext] :
      ( v23561(VarNext)
     => ! [B] :
          ( range_11_0(B)
         => ( v23560(VarNext,B)
          <=> v22184(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5300,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23561(VarNext)
      <=> v23562(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5299,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23562(VarNext)
      <=> ( v23564(VarNext)
          & v16719(VarNext) ) ) ) )).

fof(writeUnaryOperator_2407,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23564(VarNext)
      <=> v16726(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_325,axiom,(
    ! [VarCurr] :
      ( ~ v23554(VarCurr)
     => ( v615(VarCurr,bitIndex8)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_382,axiom,(
    ! [VarCurr] :
      ( v23554(VarCurr)
     => ( v615(VarCurr,bitIndex8)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5298,axiom,(
    ! [VarCurr] :
      ( v23554(VarCurr)
    <=> ( v23555(VarCurr)
        | v23556(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5297,axiom,(
    ! [VarCurr] :
      ( v23556(VarCurr)
    <=> ( v23557(VarCurr)
        & v23558(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1660,axiom,(
    ! [VarCurr] :
      ( v23558(VarCurr)
    <=> ( $true
      <=> v637(VarCurr,bitIndex8) ) ) )).

fof(writeUnaryOperator_2406,axiom,(
    ! [VarCurr] :
      ( ~ v23557(VarCurr)
    <=> v617(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1659,axiom,(
    ! [VarCurr] :
      ( v23555(VarCurr)
    <=> ( $true
      <=> v637(VarCurr,bitIndex7) ) ) )).

fof(addAssignment_7719,axiom,(
    ! [VarNext] :
      ( v637(VarNext,bitIndex7)
    <=> v23546(VarNext,bitIndex6) ) )).

fof(addCaseBooleanConditionShiftedRanges1_40,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23547(VarNext)
       => ( ( v23546(VarNext,bitIndex11)
          <=> v637(VarCurr,bitIndex12) )
          & ( v23546(VarNext,bitIndex10)
          <=> v637(VarCurr,bitIndex11) )
          & ( v23546(VarNext,bitIndex9)
          <=> v637(VarCurr,bitIndex10) )
          & ( v23546(VarNext,bitIndex8)
          <=> v637(VarCurr,bitIndex9) )
          & ( v23546(VarNext,bitIndex7)
          <=> v637(VarCurr,bitIndex8) )
          & ( v23546(VarNext,bitIndex6)
          <=> v637(VarCurr,bitIndex7) )
          & ( v23546(VarNext,bitIndex5)
          <=> v637(VarCurr,bitIndex6) )
          & ( v23546(VarNext,bitIndex4)
          <=> v637(VarCurr,bitIndex5) )
          & ( v23546(VarNext,bitIndex3)
          <=> v637(VarCurr,bitIndex4) )
          & ( v23546(VarNext,bitIndex2)
          <=> v637(VarCurr,bitIndex3) )
          & ( v23546(VarNext,bitIndex1)
          <=> v637(VarCurr,bitIndex2) )
          & ( v23546(VarNext,bitIndex0)
          <=> v637(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_282,axiom,(
    ! [VarNext] :
      ( v23547(VarNext)
     => ! [B] :
          ( range_11_0(B)
         => ( v23546(VarNext,B)
          <=> v22184(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5296,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23547(VarNext)
      <=> v23548(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5295,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23548(VarNext)
      <=> ( v23550(VarNext)
          & v16719(VarNext) ) ) ) )).

fof(writeUnaryOperator_2405,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23550(VarNext)
      <=> v16726(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_324,axiom,(
    ! [VarCurr] :
      ( ~ v23539(VarCurr)
     => ( v615(VarCurr,bitIndex7)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_381,axiom,(
    ! [VarCurr] :
      ( v23539(VarCurr)
     => ( v615(VarCurr,bitIndex7)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5294,axiom,(
    ! [VarCurr] :
      ( v23539(VarCurr)
    <=> ( v23540(VarCurr)
        & v22149(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5293,axiom,(
    ! [VarCurr] :
      ( v23540(VarCurr)
    <=> ( v23542(VarCurr)
        & v22148(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5292,axiom,(
    ! [VarCurr] :
      ( v23542(VarCurr)
    <=> ( v23543(VarCurr)
        & v22147(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5291,axiom,(
    ! [VarCurr] :
      ( v23543(VarCurr)
    <=> ( v23544(VarCurr)
        & v22146(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5290,axiom,(
    ! [VarCurr] :
      ( v23544(VarCurr)
    <=> ( v22144(VarCurr)
        & v640(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_323,axiom,(
    ! [VarCurr] :
      ( ~ v23537(VarCurr)
     => ( v615(VarCurr,bitIndex6)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_380,axiom,(
    ! [VarCurr] :
      ( v23537(VarCurr)
     => ( v615(VarCurr,bitIndex6)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5289,axiom,(
    ! [VarCurr] :
      ( v23537(VarCurr)
    <=> ( v617(VarCurr)
        & v23527(VarCurr) ) ) )).

fof(addAssignment_7718,axiom,(
    ! [VarNext] :
      ( v637(VarNext,bitIndex5)
    <=> v23529(VarNext,bitIndex4) ) )).

fof(addCaseBooleanConditionShiftedRanges1_39,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23530(VarNext)
       => ( ( v23529(VarNext,bitIndex11)
          <=> v637(VarCurr,bitIndex12) )
          & ( v23529(VarNext,bitIndex10)
          <=> v637(VarCurr,bitIndex11) )
          & ( v23529(VarNext,bitIndex9)
          <=> v637(VarCurr,bitIndex10) )
          & ( v23529(VarNext,bitIndex8)
          <=> v637(VarCurr,bitIndex9) )
          & ( v23529(VarNext,bitIndex7)
          <=> v637(VarCurr,bitIndex8) )
          & ( v23529(VarNext,bitIndex6)
          <=> v637(VarCurr,bitIndex7) )
          & ( v23529(VarNext,bitIndex5)
          <=> v637(VarCurr,bitIndex6) )
          & ( v23529(VarNext,bitIndex4)
          <=> v637(VarCurr,bitIndex5) )
          & ( v23529(VarNext,bitIndex3)
          <=> v637(VarCurr,bitIndex4) )
          & ( v23529(VarNext,bitIndex2)
          <=> v637(VarCurr,bitIndex3) )
          & ( v23529(VarNext,bitIndex1)
          <=> v637(VarCurr,bitIndex2) )
          & ( v23529(VarNext,bitIndex0)
          <=> v637(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_281,axiom,(
    ! [VarNext] :
      ( v23530(VarNext)
     => ! [B] :
          ( range_11_0(B)
         => ( v23529(VarNext,B)
          <=> v22184(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5288,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23530(VarNext)
      <=> v23531(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5287,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23531(VarNext)
      <=> ( v23533(VarNext)
          & v16719(VarNext) ) ) ) )).

fof(writeUnaryOperator_2404,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23533(VarNext)
      <=> v16726(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_322,axiom,(
    ! [VarCurr] :
      ( ~ v23523(VarCurr)
     => ( v615(VarCurr,bitIndex5)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_379,axiom,(
    ! [VarCurr] :
      ( v23523(VarCurr)
     => ( v615(VarCurr,bitIndex5)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5286,axiom,(
    ! [VarCurr] :
      ( v23523(VarCurr)
    <=> ( v23524(VarCurr)
        | v23525(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5285,axiom,(
    ! [VarCurr] :
      ( v23525(VarCurr)
    <=> ( v23526(VarCurr)
        & v23527(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1658,axiom,(
    ! [VarCurr] :
      ( v23527(VarCurr)
    <=> ( $true
      <=> v637(VarCurr,bitIndex5) ) ) )).

fof(writeUnaryOperator_2403,axiom,(
    ! [VarCurr] :
      ( ~ v23526(VarCurr)
    <=> v617(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1657,axiom,(
    ! [VarCurr] :
      ( v23524(VarCurr)
    <=> ( $true
      <=> v637(VarCurr,bitIndex4) ) ) )).

fof(addAssignment_7717,axiom,(
    ! [VarNext] :
      ( v637(VarNext,bitIndex4)
    <=> v23515(VarNext,bitIndex3) ) )).

fof(addCaseBooleanConditionShiftedRanges1_38,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23516(VarNext)
       => ( ( v23515(VarNext,bitIndex11)
          <=> v637(VarCurr,bitIndex12) )
          & ( v23515(VarNext,bitIndex10)
          <=> v637(VarCurr,bitIndex11) )
          & ( v23515(VarNext,bitIndex9)
          <=> v637(VarCurr,bitIndex10) )
          & ( v23515(VarNext,bitIndex8)
          <=> v637(VarCurr,bitIndex9) )
          & ( v23515(VarNext,bitIndex7)
          <=> v637(VarCurr,bitIndex8) )
          & ( v23515(VarNext,bitIndex6)
          <=> v637(VarCurr,bitIndex7) )
          & ( v23515(VarNext,bitIndex5)
          <=> v637(VarCurr,bitIndex6) )
          & ( v23515(VarNext,bitIndex4)
          <=> v637(VarCurr,bitIndex5) )
          & ( v23515(VarNext,bitIndex3)
          <=> v637(VarCurr,bitIndex4) )
          & ( v23515(VarNext,bitIndex2)
          <=> v637(VarCurr,bitIndex3) )
          & ( v23515(VarNext,bitIndex1)
          <=> v637(VarCurr,bitIndex2) )
          & ( v23515(VarNext,bitIndex0)
          <=> v637(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_280,axiom,(
    ! [VarNext] :
      ( v23516(VarNext)
     => ! [B] :
          ( range_11_0(B)
         => ( v23515(VarNext,B)
          <=> v22184(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5284,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23516(VarNext)
      <=> v23517(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5283,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23517(VarNext)
      <=> ( v23519(VarNext)
          & v16719(VarNext) ) ) ) )).

fof(writeUnaryOperator_2402,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23519(VarNext)
      <=> v16726(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_321,axiom,(
    ! [VarCurr] :
      ( ~ v23509(VarCurr)
     => ( v615(VarCurr,bitIndex4)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_378,axiom,(
    ! [VarCurr] :
      ( v23509(VarCurr)
     => ( v615(VarCurr,bitIndex4)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5282,axiom,(
    ! [VarCurr] :
      ( v23509(VarCurr)
    <=> ( v23510(VarCurr)
        & v22149(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5281,axiom,(
    ! [VarCurr] :
      ( v23510(VarCurr)
    <=> ( v23512(VarCurr)
        & v22148(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5280,axiom,(
    ! [VarCurr] :
      ( v23512(VarCurr)
    <=> ( v23513(VarCurr)
        & v22147(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5279,axiom,(
    ! [VarCurr] :
      ( v23513(VarCurr)
    <=> ( v22143(VarCurr)
        & v12948(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5278,axiom,(
    ! [VarCurr] :
      ( v640(VarCurr)
    <=> ( v642(VarCurr)
        & v23507(VarCurr) ) ) )).

fof(writeUnaryOperator_2401,axiom,(
    ! [VarCurr] :
      ( ~ v23507(VarCurr)
    <=> v2718(VarCurr) ) )).

fof(addAssignment_7716,axiom,(
    ! [VarCurr] :
      ( v2718(VarCurr)
    <=> v2720(VarCurr) ) )).

fof(addAssignment_7715,axiom,(
    ! [VarCurr] :
      ( v2720(VarCurr)
    <=> v2722(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1656,axiom,(
    ! [VarCurr] :
      ( v2722(VarCurr)
    <=> ( ( v23505(VarCurr,bitIndex4)
        <=> v2907(VarCurr,bitIndex4) )
        & ( v23505(VarCurr,bitIndex3)
        <=> v2907(VarCurr,bitIndex3) )
        & ( v23505(VarCurr,bitIndex2)
        <=> v2907(VarCurr,bitIndex2) )
        & ( v23505(VarCurr,bitIndex1)
        <=> v2907(VarCurr,bitIndex1) )
        & ( v23505(VarCurr,bitIndex0)
        <=> v2907(VarCurr,bitIndex0) ) ) ) )).

fof(addAssignment_7714,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v23505(VarCurr,B)
      <=> v2818(VarCurr,B) ) ) )).

fof(addAssignment_7713,axiom,(
    ! [VarCurr] :
      ( v23505(VarCurr,bitIndex4)
    <=> v2724(VarCurr) ) )).

fof(addAssignment_7712,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v2907(VarCurr,B)
      <=> v2909(VarCurr,B) ) ) )).

fof(addAssignment_7711,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v2909(VarCurr,B)
      <=> v2911(VarCurr,B) ) ) )).

fof(addAssignment_7710,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v2911(VarCurr,B)
      <=> v2913(VarCurr,B) ) ) )).

fof(addAssignment_7709,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v2913(VarCurr,B)
      <=> v2915(VarCurr,B) ) ) )).

fof(addAssignment_7708,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v2915(VarCurr,B)
      <=> v2917(VarCurr,B) ) ) )).

fof(addAssignment_7707,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v2917(VarCurr,B)
      <=> v2919(VarCurr,B) ) ) )).

fof(addAssignment_7706,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v2919(VarCurr,B)
      <=> v2921(VarCurr,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_247,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23462(VarNext)
       => ! [B] :
            ( range_4_0(B)
           => ( v2921(VarNext,B)
            <=> v2921(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_279,axiom,(
    ! [VarNext] :
      ( v23462(VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v2921(VarNext,B)
          <=> v23476(VarNext,B) ) ) ) )).

fof(addAssignment_7705,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v23476(VarNext,B)
          <=> v23474(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_642,axiom,(
    ! [VarCurr] :
      ( ~ v23471(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v23474(VarCurr,B)
          <=> v23477(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_638,axiom,(
    ! [VarCurr] :
      ( v23471(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v23474(VarCurr,B)
          <=> $false ) ) ) )).

fof(addAssignment_7704,axiom,(
    ! [VarCurr] :
      ( v23477(VarCurr,bitIndex0)
    <=> v23499(VarCurr) ) )).

fof(addAssignment_7703,axiom,(
    ! [VarCurr] :
      ( v23477(VarCurr,bitIndex1)
    <=> v23497(VarCurr) ) )).

fof(addAssignment_7702,axiom,(
    ! [VarCurr] :
      ( v23477(VarCurr,bitIndex2)
    <=> v23492(VarCurr) ) )).

fof(addAssignment_7701,axiom,(
    ! [VarCurr] :
      ( v23477(VarCurr,bitIndex3)
    <=> v23487(VarCurr) ) )).

fof(addAssignment_7700,axiom,(
    ! [VarCurr] :
      ( v23477(VarCurr,bitIndex4)
    <=> v23479(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5277,axiom,(
    ! [VarCurr] :
      ( v23497(VarCurr)
    <=> ( v23498(VarCurr)
        & v23501(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1320,axiom,(
    ! [VarCurr] :
      ( v23501(VarCurr)
    <=> ( v2921(VarCurr,bitIndex0)
        | v2921(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5276,axiom,(
    ! [VarCurr] :
      ( v23498(VarCurr)
    <=> ( v23499(VarCurr)
        | v23500(VarCurr) ) ) )).

fof(writeUnaryOperator_2400,axiom,(
    ! [VarCurr] :
      ( ~ v23500(VarCurr)
    <=> v2921(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2399,axiom,(
    ! [VarCurr] :
      ( ~ v23499(VarCurr)
    <=> v2921(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5275,axiom,(
    ! [VarCurr] :
      ( v23492(VarCurr)
    <=> ( v23493(VarCurr)
        & v23496(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1319,axiom,(
    ! [VarCurr] :
      ( v23496(VarCurr)
    <=> ( v23484(VarCurr)
        | v2921(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5274,axiom,(
    ! [VarCurr] :
      ( v23493(VarCurr)
    <=> ( v23494(VarCurr)
        | v23495(VarCurr) ) ) )).

fof(writeUnaryOperator_2398,axiom,(
    ! [VarCurr] :
      ( ~ v23495(VarCurr)
    <=> v2921(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_2397,axiom,(
    ! [VarCurr] :
      ( ~ v23494(VarCurr)
    <=> v23484(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5273,axiom,(
    ! [VarCurr] :
      ( v23487(VarCurr)
    <=> ( v23488(VarCurr)
        & v23491(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1318,axiom,(
    ! [VarCurr] :
      ( v23491(VarCurr)
    <=> ( v23483(VarCurr)
        | v2921(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5272,axiom,(
    ! [VarCurr] :
      ( v23488(VarCurr)
    <=> ( v23489(VarCurr)
        | v23490(VarCurr) ) ) )).

fof(writeUnaryOperator_2396,axiom,(
    ! [VarCurr] :
      ( ~ v23490(VarCurr)
    <=> v2921(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_2395,axiom,(
    ! [VarCurr] :
      ( ~ v23489(VarCurr)
    <=> v23483(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5271,axiom,(
    ! [VarCurr] :
      ( v23479(VarCurr)
    <=> ( v23480(VarCurr)
        & v23486(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1317,axiom,(
    ! [VarCurr] :
      ( v23486(VarCurr)
    <=> ( v23482(VarCurr)
        | v2921(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5270,axiom,(
    ! [VarCurr] :
      ( v23480(VarCurr)
    <=> ( v23481(VarCurr)
        | v23485(VarCurr) ) ) )).

fof(writeUnaryOperator_2394,axiom,(
    ! [VarCurr] :
      ( ~ v23485(VarCurr)
    <=> v2921(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_2393,axiom,(
    ! [VarCurr] :
      ( ~ v23481(VarCurr)
    <=> v23482(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1316,axiom,(
    ! [VarCurr] :
      ( v23482(VarCurr)
    <=> ( v23483(VarCurr)
        & v2921(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1315,axiom,(
    ! [VarCurr] :
      ( v23483(VarCurr)
    <=> ( v23484(VarCurr)
        & v2921(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1314,axiom,(
    ! [VarCurr] :
      ( v23484(VarCurr)
    <=> ( v2921(VarCurr,bitIndex0)
        & v2921(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5269,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23462(VarNext)
      <=> ( v23463(VarNext)
          & v23470(VarNext) ) ) ) )).

fof(addAssignment_7699,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23470(VarNext)
      <=> v23468(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5268,axiom,(
    ! [VarCurr] :
      ( v23468(VarCurr)
    <=> ( v23471(VarCurr)
        | v23472(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5267,axiom,(
    ! [VarCurr] :
      ( v23472(VarCurr)
    <=> ( v2929(VarCurr)
        & v23473(VarCurr) ) ) )).

fof(writeUnaryOperator_2392,axiom,(
    ! [VarCurr] :
      ( ~ v23473(VarCurr)
    <=> v23471(VarCurr) ) )).

fof(writeUnaryOperator_2391,axiom,(
    ! [VarCurr] :
      ( ~ v23471(VarCurr)
    <=> v2923(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5266,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23463(VarNext)
      <=> ( v23464(VarNext)
          & v22048(VarNext) ) ) ) )).

fof(writeUnaryOperator_2390,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23464(VarNext)
      <=> v22055(VarNext) ) ) )).

fof(addAssignmentInitValueVector_30,axiom,(
    ! [B] :
      ( range_4_0(B)
     => ( v2921(constB0,B)
      <=> $false ) ) )).

fof(addAssignment_7698,axiom,(
    ! [VarCurr] :
      ( v2929(VarCurr)
    <=> v2931(VarCurr) ) )).

fof(addAssignment_7697,axiom,(
    ! [VarCurr] :
      ( v2931(VarCurr)
    <=> v2933(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5265,axiom,(
    ! [VarCurr] :
      ( v2933(VarCurr)
    <=> ( v2935(VarCurr)
        & v13066(VarCurr) ) ) )).

fof(addAssignment_7696,axiom,(
    ! [VarCurr] :
      ( v2935(VarCurr)
    <=> v2937(VarCurr) ) )).

fof(addAssignment_7695,axiom,(
    ! [VarCurr] :
      ( v2937(VarCurr)
    <=> v2939(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_560,axiom,(
    ! [VarCurr] :
      ( ~ v23457(VarCurr)
     => ( v2939(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_503,axiom,(
    ! [VarCurr] :
      ( v23457(VarCurr)
     => ( v2939(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_1313,axiom,(
    ! [VarCurr] :
      ( v23457(VarCurr)
    <=> ( v13445(VarCurr)
        & v2941(VarCurr,bitIndex6) ) ) )).

fof(addAssignment_7694,axiom,(
    ! [VarCurr] :
      ( ( v2941(VarCurr,bitIndex6)
      <=> v2943(VarCurr,bitIndex115) )
      & ( v2941(VarCurr,bitIndex5)
      <=> v2943(VarCurr,bitIndex114) )
      & ( v2941(VarCurr,bitIndex4)
      <=> v2943(VarCurr,bitIndex113) )
      & ( v2941(VarCurr,bitIndex3)
      <=> v2943(VarCurr,bitIndex112) )
      & ( v2941(VarCurr,bitIndex2)
      <=> v2943(VarCurr,bitIndex111) )
      & ( v2941(VarCurr,bitIndex1)
      <=> v2943(VarCurr,bitIndex110) )
      & ( v2941(VarCurr,bitIndex0)
      <=> v2943(VarCurr,bitIndex109) ) ) )).

fof(addAssignment_7693,axiom,(
    ! [VarCurr,B] :
      ( range_115_109(B)
     => ( v2943(VarCurr,B)
      <=> v2945(VarCurr,B) ) ) )).

fof(addAssignment_7692,axiom,(
    ! [VarCurr,B] :
      ( range_115_109(B)
     => ( v2945(VarCurr,B)
      <=> v2947(VarCurr,B) ) ) )).

fof(addAssignment_7691,axiom,(
    ! [VarCurr] :
      ( ( v2947(VarCurr,bitIndex115)
      <=> v2949(VarCurr,bitIndex695) )
      & ( v2947(VarCurr,bitIndex114)
      <=> v2949(VarCurr,bitIndex694) )
      & ( v2947(VarCurr,bitIndex113)
      <=> v2949(VarCurr,bitIndex693) )
      & ( v2947(VarCurr,bitIndex112)
      <=> v2949(VarCurr,bitIndex692) )
      & ( v2947(VarCurr,bitIndex111)
      <=> v2949(VarCurr,bitIndex691) )
      & ( v2947(VarCurr,bitIndex110)
      <=> v2949(VarCurr,bitIndex690) )
      & ( v2947(VarCurr,bitIndex109)
      <=> v2949(VarCurr,bitIndex689) ) ) )).

fof(addAssignment_7690,axiom,(
    ! [VarNext] :
      ( ( v2949(VarNext,bitIndex695)
      <=> v23449(VarNext,bitIndex115) )
      & ( v2949(VarNext,bitIndex694)
      <=> v23449(VarNext,bitIndex114) )
      & ( v2949(VarNext,bitIndex693)
      <=> v23449(VarNext,bitIndex113) )
      & ( v2949(VarNext,bitIndex692)
      <=> v23449(VarNext,bitIndex112) )
      & ( v2949(VarNext,bitIndex691)
      <=> v23449(VarNext,bitIndex111) )
      & ( v2949(VarNext,bitIndex690)
      <=> v23449(VarNext,bitIndex110) )
      & ( v2949(VarNext,bitIndex689)
      <=> v23449(VarNext,bitIndex109) ) ) )).

fof(addCaseBooleanConditionShiftedRanges1_37,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23451(VarNext)
       => ( ( v23449(VarNext,bitIndex115)
          <=> v2949(VarCurr,bitIndex695) )
          & ( v23449(VarNext,bitIndex114)
          <=> v2949(VarCurr,bitIndex694) )
          & ( v23449(VarNext,bitIndex113)
          <=> v2949(VarCurr,bitIndex693) )
          & ( v23449(VarNext,bitIndex112)
          <=> v2949(VarCurr,bitIndex692) )
          & ( v23449(VarNext,bitIndex111)
          <=> v2949(VarCurr,bitIndex691) )
          & ( v23449(VarNext,bitIndex110)
          <=> v2949(VarCurr,bitIndex690) )
          & ( v23449(VarNext,bitIndex109)
          <=> v2949(VarCurr,bitIndex689) )
          & ( v23449(VarNext,bitIndex108)
          <=> v2949(VarCurr,bitIndex688) )
          & ( v23449(VarNext,bitIndex107)
          <=> v2949(VarCurr,bitIndex687) )
          & ( v23449(VarNext,bitIndex106)
          <=> v2949(VarCurr,bitIndex686) )
          & ( v23449(VarNext,bitIndex105)
          <=> v2949(VarCurr,bitIndex685) )
          & ( v23449(VarNext,bitIndex104)
          <=> v2949(VarCurr,bitIndex684) )
          & ( v23449(VarNext,bitIndex103)
          <=> v2949(VarCurr,bitIndex683) )
          & ( v23449(VarNext,bitIndex102)
          <=> v2949(VarCurr,bitIndex682) )
          & ( v23449(VarNext,bitIndex101)
          <=> v2949(VarCurr,bitIndex681) )
          & ( v23449(VarNext,bitIndex100)
          <=> v2949(VarCurr,bitIndex680) )
          & ( v23449(VarNext,bitIndex99)
          <=> v2949(VarCurr,bitIndex679) )
          & ( v23449(VarNext,bitIndex98)
          <=> v2949(VarCurr,bitIndex678) )
          & ( v23449(VarNext,bitIndex97)
          <=> v2949(VarCurr,bitIndex677) )
          & ( v23449(VarNext,bitIndex96)
          <=> v2949(VarCurr,bitIndex676) )
          & ( v23449(VarNext,bitIndex95)
          <=> v2949(VarCurr,bitIndex675) )
          & ( v23449(VarNext,bitIndex94)
          <=> v2949(VarCurr,bitIndex674) )
          & ( v23449(VarNext,bitIndex93)
          <=> v2949(VarCurr,bitIndex673) )
          & ( v23449(VarNext,bitIndex92)
          <=> v2949(VarCurr,bitIndex672) )
          & ( v23449(VarNext,bitIndex91)
          <=> v2949(VarCurr,bitIndex671) )
          & ( v23449(VarNext,bitIndex90)
          <=> v2949(VarCurr,bitIndex670) )
          & ( v23449(VarNext,bitIndex89)
          <=> v2949(VarCurr,bitIndex669) )
          & ( v23449(VarNext,bitIndex88)
          <=> v2949(VarCurr,bitIndex668) )
          & ( v23449(VarNext,bitIndex87)
          <=> v2949(VarCurr,bitIndex667) )
          & ( v23449(VarNext,bitIndex86)
          <=> v2949(VarCurr,bitIndex666) )
          & ( v23449(VarNext,bitIndex85)
          <=> v2949(VarCurr,bitIndex665) )
          & ( v23449(VarNext,bitIndex84)
          <=> v2949(VarCurr,bitIndex664) )
          & ( v23449(VarNext,bitIndex83)
          <=> v2949(VarCurr,bitIndex663) )
          & ( v23449(VarNext,bitIndex82)
          <=> v2949(VarCurr,bitIndex662) )
          & ( v23449(VarNext,bitIndex81)
          <=> v2949(VarCurr,bitIndex661) )
          & ( v23449(VarNext,bitIndex80)
          <=> v2949(VarCurr,bitIndex660) )
          & ( v23449(VarNext,bitIndex79)
          <=> v2949(VarCurr,bitIndex659) )
          & ( v23449(VarNext,bitIndex78)
          <=> v2949(VarCurr,bitIndex658) )
          & ( v23449(VarNext,bitIndex77)
          <=> v2949(VarCurr,bitIndex657) )
          & ( v23449(VarNext,bitIndex76)
          <=> v2949(VarCurr,bitIndex656) )
          & ( v23449(VarNext,bitIndex75)
          <=> v2949(VarCurr,bitIndex655) )
          & ( v23449(VarNext,bitIndex74)
          <=> v2949(VarCurr,bitIndex654) )
          & ( v23449(VarNext,bitIndex73)
          <=> v2949(VarCurr,bitIndex653) )
          & ( v23449(VarNext,bitIndex72)
          <=> v2949(VarCurr,bitIndex652) )
          & ( v23449(VarNext,bitIndex71)
          <=> v2949(VarCurr,bitIndex651) )
          & ( v23449(VarNext,bitIndex70)
          <=> v2949(VarCurr,bitIndex650) )
          & ( v23449(VarNext,bitIndex69)
          <=> v2949(VarCurr,bitIndex649) )
          & ( v23449(VarNext,bitIndex68)
          <=> v2949(VarCurr,bitIndex648) )
          & ( v23449(VarNext,bitIndex67)
          <=> v2949(VarCurr,bitIndex647) )
          & ( v23449(VarNext,bitIndex66)
          <=> v2949(VarCurr,bitIndex646) )
          & ( v23449(VarNext,bitIndex65)
          <=> v2949(VarCurr,bitIndex645) )
          & ( v23449(VarNext,bitIndex64)
          <=> v2949(VarCurr,bitIndex644) )
          & ( v23449(VarNext,bitIndex63)
          <=> v2949(VarCurr,bitIndex643) )
          & ( v23449(VarNext,bitIndex62)
          <=> v2949(VarCurr,bitIndex642) )
          & ( v23449(VarNext,bitIndex61)
          <=> v2949(VarCurr,bitIndex641) )
          & ( v23449(VarNext,bitIndex60)
          <=> v2949(VarCurr,bitIndex640) )
          & ( v23449(VarNext,bitIndex59)
          <=> v2949(VarCurr,bitIndex639) )
          & ( v23449(VarNext,bitIndex58)
          <=> v2949(VarCurr,bitIndex638) )
          & ( v23449(VarNext,bitIndex57)
          <=> v2949(VarCurr,bitIndex637) )
          & ( v23449(VarNext,bitIndex56)
          <=> v2949(VarCurr,bitIndex636) )
          & ( v23449(VarNext,bitIndex55)
          <=> v2949(VarCurr,bitIndex635) )
          & ( v23449(VarNext,bitIndex54)
          <=> v2949(VarCurr,bitIndex634) )
          & ( v23449(VarNext,bitIndex53)
          <=> v2949(VarCurr,bitIndex633) )
          & ( v23449(VarNext,bitIndex52)
          <=> v2949(VarCurr,bitIndex632) )
          & ( v23449(VarNext,bitIndex51)
          <=> v2949(VarCurr,bitIndex631) )
          & ( v23449(VarNext,bitIndex50)
          <=> v2949(VarCurr,bitIndex630) )
          & ( v23449(VarNext,bitIndex49)
          <=> v2949(VarCurr,bitIndex629) )
          & ( v23449(VarNext,bitIndex48)
          <=> v2949(VarCurr,bitIndex628) )
          & ( v23449(VarNext,bitIndex47)
          <=> v2949(VarCurr,bitIndex627) )
          & ( v23449(VarNext,bitIndex46)
          <=> v2949(VarCurr,bitIndex626) )
          & ( v23449(VarNext,bitIndex45)
          <=> v2949(VarCurr,bitIndex625) )
          & ( v23449(VarNext,bitIndex44)
          <=> v2949(VarCurr,bitIndex624) )
          & ( v23449(VarNext,bitIndex43)
          <=> v2949(VarCurr,bitIndex623) )
          & ( v23449(VarNext,bitIndex42)
          <=> v2949(VarCurr,bitIndex622) )
          & ( v23449(VarNext,bitIndex41)
          <=> v2949(VarCurr,bitIndex621) )
          & ( v23449(VarNext,bitIndex40)
          <=> v2949(VarCurr,bitIndex620) )
          & ( v23449(VarNext,bitIndex39)
          <=> v2949(VarCurr,bitIndex619) )
          & ( v23449(VarNext,bitIndex38)
          <=> v2949(VarCurr,bitIndex618) )
          & ( v23449(VarNext,bitIndex37)
          <=> v2949(VarCurr,bitIndex617) )
          & ( v23449(VarNext,bitIndex36)
          <=> v2949(VarCurr,bitIndex616) )
          & ( v23449(VarNext,bitIndex35)
          <=> v2949(VarCurr,bitIndex615) )
          & ( v23449(VarNext,bitIndex34)
          <=> v2949(VarCurr,bitIndex614) )
          & ( v23449(VarNext,bitIndex33)
          <=> v2949(VarCurr,bitIndex613) )
          & ( v23449(VarNext,bitIndex32)
          <=> v2949(VarCurr,bitIndex612) )
          & ( v23449(VarNext,bitIndex31)
          <=> v2949(VarCurr,bitIndex611) )
          & ( v23449(VarNext,bitIndex30)
          <=> v2949(VarCurr,bitIndex610) )
          & ( v23449(VarNext,bitIndex29)
          <=> v2949(VarCurr,bitIndex609) )
          & ( v23449(VarNext,bitIndex28)
          <=> v2949(VarCurr,bitIndex608) )
          & ( v23449(VarNext,bitIndex27)
          <=> v2949(VarCurr,bitIndex607) )
          & ( v23449(VarNext,bitIndex26)
          <=> v2949(VarCurr,bitIndex606) )
          & ( v23449(VarNext,bitIndex25)
          <=> v2949(VarCurr,bitIndex605) )
          & ( v23449(VarNext,bitIndex24)
          <=> v2949(VarCurr,bitIndex604) )
          & ( v23449(VarNext,bitIndex23)
          <=> v2949(VarCurr,bitIndex603) )
          & ( v23449(VarNext,bitIndex22)
          <=> v2949(VarCurr,bitIndex602) )
          & ( v23449(VarNext,bitIndex21)
          <=> v2949(VarCurr,bitIndex601) )
          & ( v23449(VarNext,bitIndex20)
          <=> v2949(VarCurr,bitIndex600) )
          & ( v23449(VarNext,bitIndex19)
          <=> v2949(VarCurr,bitIndex599) )
          & ( v23449(VarNext,bitIndex18)
          <=> v2949(VarCurr,bitIndex598) )
          & ( v23449(VarNext,bitIndex17)
          <=> v2949(VarCurr,bitIndex597) )
          & ( v23449(VarNext,bitIndex16)
          <=> v2949(VarCurr,bitIndex596) )
          & ( v23449(VarNext,bitIndex15)
          <=> v2949(VarCurr,bitIndex595) )
          & ( v23449(VarNext,bitIndex14)
          <=> v2949(VarCurr,bitIndex594) )
          & ( v23449(VarNext,bitIndex13)
          <=> v2949(VarCurr,bitIndex593) )
          & ( v23449(VarNext,bitIndex12)
          <=> v2949(VarCurr,bitIndex592) )
          & ( v23449(VarNext,bitIndex11)
          <=> v2949(VarCurr,bitIndex591) )
          & ( v23449(VarNext,bitIndex10)
          <=> v2949(VarCurr,bitIndex590) )
          & ( v23449(VarNext,bitIndex9)
          <=> v2949(VarCurr,bitIndex589) )
          & ( v23449(VarNext,bitIndex8)
          <=> v2949(VarCurr,bitIndex588) )
          & ( v23449(VarNext,bitIndex7)
          <=> v2949(VarCurr,bitIndex587) )
          & ( v23449(VarNext,bitIndex6)
          <=> v2949(VarCurr,bitIndex586) )
          & ( v23449(VarNext,bitIndex5)
          <=> v2949(VarCurr,bitIndex585) )
          & ( v23449(VarNext,bitIndex4)
          <=> v2949(VarCurr,bitIndex584) )
          & ( v23449(VarNext,bitIndex3)
          <=> v2949(VarCurr,bitIndex583) )
          & ( v23449(VarNext,bitIndex2)
          <=> v2949(VarCurr,bitIndex582) )
          & ( v23449(VarNext,bitIndex1)
          <=> v2949(VarCurr,bitIndex581) )
          & ( v23449(VarNext,bitIndex0)
          <=> v2949(VarCurr,bitIndex580) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_278,axiom,(
    ! [VarNext] :
      ( v23451(VarNext)
     => ! [B] :
          ( range_115_0(B)
         => ( v23449(VarNext,B)
          <=> v3095(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5264,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23451(VarNext)
      <=> ( v23452(VarNext)
          & v3089(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5263,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23452(VarNext)
      <=> ( v23454(VarNext)
          & v3076(VarNext) ) ) ) )).

fof(writeUnaryOperator_2389,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23454(VarNext)
      <=> v3083(VarNext) ) ) )).

fof(addAssignment_7689,axiom,(
    ! [VarCurr,B] :
      ( range_115_109(B)
     => ( v3064(VarCurr,B)
      <=> v3066(VarCurr,B) ) ) )).

fof(addAssignment_7688,axiom,(
    ! [VarCurr,B] :
      ( range_115_109(B)
     => ( v3066(VarCurr,B)
      <=> v3068(VarCurr,B) ) ) )).

fof(addAssignment_7687,axiom,(
    ! [VarCurr,B] :
      ( range_115_109(B)
     => ( v3068(VarCurr,B)
      <=> v3070(VarCurr,B) ) ) )).

fof(addAssignment_7686,axiom,(
    ! [VarCurr,B] :
      ( range_115_109(B)
     => ( v3070(VarCurr,B)
      <=> v3072(VarCurr,B) ) ) )).

fof(addAssignment_7685,axiom,(
    ! [VarCurr,B] :
      ( range_115_109(B)
     => ( v3072(VarCurr,B)
      <=> v3074(VarCurr,B) ) ) )).

fof(range_axiom_87,axiom,(
    ! [B] :
      ( range_115_109(B)
    <=> ( $false
        | bitIndex109 = B
        | bitIndex110 = B
        | bitIndex111 = B
        | bitIndex112 = B
        | bitIndex113 = B
        | bitIndex114 = B
        | bitIndex115 = B ) ) )).

fof(addAssignment_7684,axiom,(
    ! [VarCurr] :
      ( v2958(VarCurr,bitIndex0)
    <=> v2960(VarCurr,bitIndex0) ) )).

fof(addAssignment_7683,axiom,(
    ! [VarCurr] :
      ( v2960(VarCurr,bitIndex0)
    <=> v2962(VarCurr,bitIndex0) ) )).

fof(addAssignment_7682,axiom,(
    ! [VarCurr] :
      ( v2962(VarCurr,bitIndex0)
    <=> v23435(VarCurr,bitIndex0) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_53,axiom,(
    ! [VarCurr] :
      ( ( ~ v23436(VarCurr)
        & ~ v23441(VarCurr)
        & ~ v23443(VarCurr) )
     => ! [B] :
          ( range_5_0(B)
         => ( v23435(VarCurr,B)
          <=> v3002(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_264,axiom,(
    ! [VarCurr] :
      ( v23443(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v23435(VarCurr,B)
          <=> v23445(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_641,axiom,(
    ! [VarCurr] :
      ( v23441(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v23435(VarCurr,B)
          <=> v3002(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_637,axiom,(
    ! [VarCurr] :
      ( v23436(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v23435(VarCurr,B)
          <=> v23438(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1655,axiom,(
    ! [VarCurr] :
      ( v23446(VarCurr)
    <=> ( ( v23447(VarCurr,bitIndex1)
        <=> $true )
        & ( v23447(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_7681,axiom,(
    ! [VarCurr] :
      ( v23447(VarCurr,bitIndex0)
    <=> v2976(VarCurr) ) )).

fof(addAssignment_7680,axiom,(
    ! [VarCurr] :
      ( v23447(VarCurr,bitIndex1)
    <=> v2964(VarCurr) ) )).

fof(writeUnaryOperator_2388,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v23445(VarCurr,B)
      <=> ~ v3002(VarCurr,B) ) ) )).

fof(addBitVectorEqualityBitBlasted_1654,axiom,(
    ! [VarCurr] :
      ( v23443(VarCurr)
    <=> ( ( v23444(VarCurr,bitIndex1)
        <=> $true )
        & ( v23444(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7679,axiom,(
    ! [VarCurr] :
      ( v23444(VarCurr,bitIndex0)
    <=> v2976(VarCurr) ) )).

fof(addAssignment_7678,axiom,(
    ! [VarCurr] :
      ( v23444(VarCurr,bitIndex1)
    <=> v2964(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1653,axiom,(
    ! [VarCurr] :
      ( v23441(VarCurr)
    <=> ( ( v23442(VarCurr,bitIndex1)
        <=> $false )
        & ( v23442(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_7677,axiom,(
    ! [VarCurr] :
      ( v23442(VarCurr,bitIndex0)
    <=> v2976(VarCurr) ) )).

fof(addAssignment_7676,axiom,(
    ! [VarCurr] :
      ( v23442(VarCurr,bitIndex1)
    <=> v2964(VarCurr) ) )).

fof(writeUnaryOperator_2387,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v23438(VarCurr,B)
      <=> ~ v23439(VarCurr,B) ) ) )).

fof(addAssignment_7675,axiom,(
    ! [VarCurr] :
      ( v23439(VarCurr,bitIndex0)
    <=> v23440(VarCurr) ) )).

fof(addAssignment_7674,axiom,(
    ! [VarCurr] :
      ( v23439(VarCurr,bitIndex1)
    <=> v23440(VarCurr) ) )).

fof(addAssignment_7673,axiom,(
    ! [VarCurr] :
      ( v23439(VarCurr,bitIndex2)
    <=> v23440(VarCurr) ) )).

fof(addAssignment_7672,axiom,(
    ! [VarCurr] :
      ( v23439(VarCurr,bitIndex3)
    <=> v23440(VarCurr) ) )).

fof(addAssignment_7671,axiom,(
    ! [VarCurr] :
      ( v23439(VarCurr,bitIndex4)
    <=> v23440(VarCurr) ) )).

fof(addAssignment_7670,axiom,(
    ! [VarCurr] :
      ( v23439(VarCurr,bitIndex5)
    <=> v23440(VarCurr) ) )).

fof(addAssignment_7669,axiom,(
    ! [VarCurr] :
      ( v23440(VarCurr)
    <=> v3004(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1652,axiom,(
    ! [VarCurr] :
      ( v23436(VarCurr)
    <=> ( ( v23437(VarCurr,bitIndex1)
        <=> $false )
        & ( v23437(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7668,axiom,(
    ! [VarCurr] :
      ( v23437(VarCurr,bitIndex0)
    <=> v2976(VarCurr) ) )).

fof(addAssignment_7667,axiom,(
    ! [VarCurr] :
      ( v23437(VarCurr,bitIndex1)
    <=> v2964(VarCurr) ) )).

fof(addAssignment_7666,axiom,(
    ! [VarCurr] :
      ( v2976(VarCurr)
    <=> v2978(VarCurr) ) )).

fof(addAssignment_7665,axiom,(
    ! [VarCurr] :
      ( v2978(VarCurr)
    <=> v2980(VarCurr) ) )).

fof(addAssignment_7664,axiom,(
    ! [VarCurr] :
      ( v2980(VarCurr)
    <=> v2982(VarCurr) ) )).

fof(addAssignment_7663,axiom,(
    ! [VarCurr] :
      ( v2982(VarCurr)
    <=> v2984(VarCurr) ) )).

fof(addAssignment_7662,axiom,(
    ! [VarCurr] :
      ( v2984(VarCurr)
    <=> v2986(VarCurr,bitIndex1) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_320,axiom,(
    ! [VarCurr] :
      ( ~ v23421(VarCurr)
     => ( v2986(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_377,axiom,(
    ! [VarCurr] :
      ( v23421(VarCurr)
     => ( v2986(VarCurr,bitIndex1)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5262,axiom,(
    ! [VarCurr] :
      ( v23421(VarCurr)
    <=> ( v23422(VarCurr)
        | v23431(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5261,axiom,(
    ! [VarCurr] :
      ( v23431(VarCurr)
    <=> ( v23432(VarCurr)
        & v23433(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5260,axiom,(
    ! [VarCurr] :
      ( v23433(VarCurr)
    <=> ( v23434(VarCurr)
        & v22008(VarCurr) ) ) )).

fof(writeUnaryOperator_2386,axiom,(
    ! [VarCurr] :
      ( ~ v23434(VarCurr)
    <=> v13092(VarCurr) ) )).

fof(writeUnaryOperator_2385,axiom,(
    ! [VarCurr] :
      ( ~ v23432(VarCurr)
    <=> v21981(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5259,axiom,(
    ! [VarCurr] :
      ( v23422(VarCurr)
    <=> ( v23423(VarCurr)
        & v21981(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5258,axiom,(
    ! [VarCurr] :
      ( v23423(VarCurr)
    <=> ( v23424(VarCurr)
        | v23428(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5257,axiom,(
    ! [VarCurr] :
      ( v23428(VarCurr)
    <=> ( v23430(VarCurr)
        & v21970(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5256,axiom,(
    ! [VarCurr] :
      ( v23430(VarCurr)
    <=> ( v21979(VarCurr)
        & v21974(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5255,axiom,(
    ! [VarCurr] :
      ( v23424(VarCurr)
    <=> ( v23426(VarCurr)
        & v21970(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5254,axiom,(
    ! [VarCurr] :
      ( v23426(VarCurr)
    <=> ( v23427(VarCurr)
        & v13072(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5253,axiom,(
    ! [VarCurr] :
      ( v23427(VarCurr)
    <=> ( v21979(VarCurr)
        & v22004(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5252,axiom,(
    ! [VarCurr] :
      ( v3046(VarCurr)
    <=> ( v23416(VarCurr)
        | v23417(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5251,axiom,(
    ! [VarCurr] :
      ( v23417(VarCurr)
    <=> ( v23418(VarCurr)
        & v23215(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5250,axiom,(
    ! [VarCurr] :
      ( v23418(VarCurr)
    <=> ( v23204(VarCurr)
        | v13074(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5249,axiom,(
    ! [VarCurr] :
      ( v23416(VarCurr)
    <=> ( v3048(VarCurr)
        & v11598(VarCurr) ) ) )).

fof(addAssignment_7661,axiom,(
    ! [VarCurr] :
      ( v23215(VarCurr)
    <=> v23217(VarCurr) ) )).

fof(addAssignment_7660,axiom,(
    ! [VarCurr] :
      ( v23217(VarCurr)
    <=> v23219(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5248,axiom,(
    ! [VarCurr] :
      ( v23219(VarCurr)
    <=> ( v23413(VarCurr)
        & v23414(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1312,axiom,(
    ! [VarCurr] :
      ( v23414(VarCurr)
    <=> ( v23221(VarCurr,bitIndex4)
      <~> v23324(VarCurr,bitIndex4) ) ) )).

fof(addBitVectorEqualityBitBlasted_1651,axiom,(
    ! [VarCurr] :
      ( v23413(VarCurr)
    <=> ( ( v23221(VarCurr,bitIndex3)
        <=> v23324(VarCurr,bitIndex3) )
        & ( v23221(VarCurr,bitIndex2)
        <=> v23324(VarCurr,bitIndex2) )
        & ( v23221(VarCurr,bitIndex1)
        <=> v23324(VarCurr,bitIndex1) )
        & ( v23221(VarCurr,bitIndex0)
        <=> v23324(VarCurr,bitIndex0) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_246,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23394(VarNext)
       => ( v23324(VarNext,bitIndex4)
        <=> v23324(VarCurr,bitIndex4) ) ) ) )).

fof(addCaseBooleanConditionShiftedRanges0_5,axiom,(
    ! [VarNext] :
      ( v23394(VarNext)
     => ( v23324(VarNext,bitIndex4)
      <=> v23408(VarNext) ) ) )).

fof(addAssignment_7659,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23408(VarNext)
      <=> v23406(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_640,axiom,(
    ! [VarCurr] :
      ( ~ v23344(VarCurr)
     => ( v23406(VarCurr)
      <=> v23409(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_636,axiom,(
    ! [VarCurr] :
      ( v23344(VarCurr)
     => ( v23406(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_2384,axiom,(
    ! [VarCurr] :
      ( ~ v23409(VarCurr)
    <=> v23324(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5247,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23394(VarNext)
      <=> ( v23395(VarNext)
          & v23402(VarNext) ) ) ) )).

fof(addAssignment_7658,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23402(VarNext)
      <=> v23400(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5246,axiom,(
    ! [VarCurr] :
      ( v23400(VarCurr)
    <=> ( v23344(VarCurr)
        | v23403(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5245,axiom,(
    ! [VarCurr] :
      ( v23403(VarCurr)
    <=> ( v23404(VarCurr)
        & v23405(VarCurr) ) ) )).

fof(writeUnaryOperator_2383,axiom,(
    ! [VarCurr] :
      ( ~ v23405(VarCurr)
    <=> v23344(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5244,axiom,(
    ! [VarCurr] :
      ( v23404(VarCurr)
    <=> ( v23351(VarCurr)
        & v23326(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5243,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23395(VarNext)
      <=> ( v23397(VarNext)
          & v22048(VarNext) ) ) ) )).

fof(writeUnaryOperator_2382,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23397(VarNext)
      <=> v22055(VarNext) ) ) )).

fof(addAssignment_7657,axiom,(
    ! [VarCurr] :
      ( v23221(VarCurr,bitIndex4)
    <=> v23223(VarCurr,bitIndex4) ) )).

fof(addAssignment_7656,axiom,(
    ! [VarCurr] :
      ( v23223(VarCurr,bitIndex4)
    <=> v23225(VarCurr,bitIndex4) ) )).

fof(addAssignment_7655,axiom,(
    ! [VarCurr] :
      ( v23225(VarCurr,bitIndex4)
    <=> v23227(VarCurr,bitIndex4) ) )).

fof(addAssignment_7654,axiom,(
    ! [VarCurr] :
      ( v23227(VarCurr,bitIndex4)
    <=> v23229(VarCurr,bitIndex4) ) )).

fof(addAssignment_7653,axiom,(
    ! [VarCurr] :
      ( v23229(VarCurr,bitIndex4)
    <=> v23231(VarCurr,bitIndex4) ) )).

fof(addAssignment_7652,axiom,(
    ! [VarCurr] :
      ( v23231(VarCurr,bitIndex4)
    <=> v23233(VarCurr,bitIndex4) ) )).

fof(addAssignment_7651,axiom,(
    ! [VarCurr] :
      ( v23233(VarCurr,bitIndex4)
    <=> v23320(VarCurr,bitIndex4) ) )).

fof(addCaseBooleanConditionEqualRanges1_245,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23375(VarNext)
       => ( v23321(VarNext)
        <=> v23321(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_277,axiom,(
    ! [VarNext] :
      ( v23375(VarNext)
     => ( v23321(VarNext)
      <=> v23388(VarNext) ) ) )).

fof(addAssignment_7650,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23388(VarNext)
      <=> v23386(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_639,axiom,(
    ! [VarCurr] :
      ( ~ v23289(VarCurr)
     => ( v23386(VarCurr)
      <=> v23389(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_635,axiom,(
    ! [VarCurr] :
      ( v23289(VarCurr)
     => ( v23386(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5242,axiom,(
    ! [VarCurr] :
      ( v23389(VarCurr)
    <=> ( v23321(VarCurr)
      <~> v23276(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5241,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23375(VarNext)
      <=> ( v23376(VarNext)
          & v23383(VarNext) ) ) ) )).

fof(addAssignment_7649,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23383(VarNext)
      <=> v23381(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5240,axiom,(
    ! [VarCurr] :
      ( v23381(VarCurr)
    <=> ( v23289(VarCurr)
        | v23384(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5239,axiom,(
    ! [VarCurr] :
      ( v23384(VarCurr)
    <=> ( v23237(VarCurr)
        & v23385(VarCurr) ) ) )).

fof(writeUnaryOperator_2381,axiom,(
    ! [VarCurr] :
      ( ~ v23385(VarCurr)
    <=> v23289(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5238,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23376(VarNext)
      <=> ( v23378(VarNext)
          & v2820(VarNext) ) ) ) )).

fof(writeUnaryOperator_2380,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23378(VarNext)
      <=> v2827(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_244,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23335(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v23324(VarNext,B)
            <=> v23324(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_276,axiom,(
    ! [VarNext] :
      ( v23335(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v23324(VarNext,B)
          <=> v23349(VarNext,B) ) ) ) )).

fof(addAssignment_7648,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v23349(VarNext,B)
          <=> v23347(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_638,axiom,(
    ! [VarCurr] :
      ( ~ v23344(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v23347(VarCurr,B)
          <=> v23350(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_634,axiom,(
    ! [VarCurr] :
      ( v23344(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v23347(VarCurr,B)
          <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_559,axiom,(
    ! [VarCurr] :
      ( ~ v23351(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v23350(VarCurr,B)
          <=> v23352(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_502,axiom,(
    ! [VarCurr] :
      ( v23351(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v23350(VarCurr,B)
          <=> $false ) ) ) )).

fof(addAssignment_7647,axiom,(
    ! [VarCurr] :
      ( v23352(VarCurr,bitIndex0)
    <=> v23368(VarCurr) ) )).

fof(addAssignment_7646,axiom,(
    ! [VarCurr] :
      ( v23352(VarCurr,bitIndex1)
    <=> v23366(VarCurr) ) )).

fof(addAssignment_7645,axiom,(
    ! [VarCurr] :
      ( v23352(VarCurr,bitIndex2)
    <=> v23361(VarCurr) ) )).

fof(addAssignment_7644,axiom,(
    ! [VarCurr] :
      ( v23352(VarCurr,bitIndex3)
    <=> v23354(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5237,axiom,(
    ! [VarCurr] :
      ( v23366(VarCurr)
    <=> ( v23367(VarCurr)
        & v23370(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1311,axiom,(
    ! [VarCurr] :
      ( v23370(VarCurr)
    <=> ( v23324(VarCurr,bitIndex0)
        | v23324(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5236,axiom,(
    ! [VarCurr] :
      ( v23367(VarCurr)
    <=> ( v23368(VarCurr)
        | v23369(VarCurr) ) ) )).

fof(writeUnaryOperator_2379,axiom,(
    ! [VarCurr] :
      ( ~ v23369(VarCurr)
    <=> v23324(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2378,axiom,(
    ! [VarCurr] :
      ( ~ v23368(VarCurr)
    <=> v23324(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5235,axiom,(
    ! [VarCurr] :
      ( v23361(VarCurr)
    <=> ( v23362(VarCurr)
        & v23365(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1310,axiom,(
    ! [VarCurr] :
      ( v23365(VarCurr)
    <=> ( v23358(VarCurr)
        | v23324(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5234,axiom,(
    ! [VarCurr] :
      ( v23362(VarCurr)
    <=> ( v23363(VarCurr)
        | v23364(VarCurr) ) ) )).

fof(writeUnaryOperator_2377,axiom,(
    ! [VarCurr] :
      ( ~ v23364(VarCurr)
    <=> v23324(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_2376,axiom,(
    ! [VarCurr] :
      ( ~ v23363(VarCurr)
    <=> v23358(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5233,axiom,(
    ! [VarCurr] :
      ( v23354(VarCurr)
    <=> ( v23355(VarCurr)
        & v23360(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1309,axiom,(
    ! [VarCurr] :
      ( v23360(VarCurr)
    <=> ( v23357(VarCurr)
        | v23324(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5232,axiom,(
    ! [VarCurr] :
      ( v23355(VarCurr)
    <=> ( v23356(VarCurr)
        | v23359(VarCurr) ) ) )).

fof(writeUnaryOperator_2375,axiom,(
    ! [VarCurr] :
      ( ~ v23359(VarCurr)
    <=> v23324(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_2374,axiom,(
    ! [VarCurr] :
      ( ~ v23356(VarCurr)
    <=> v23357(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1308,axiom,(
    ! [VarCurr] :
      ( v23357(VarCurr)
    <=> ( v23358(VarCurr)
        & v23324(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1307,axiom,(
    ! [VarCurr] :
      ( v23358(VarCurr)
    <=> ( v23324(VarCurr,bitIndex0)
        & v23324(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_1650,axiom,(
    ! [VarCurr] :
      ( v23351(VarCurr)
    <=> ( ( v23324(VarCurr,bitIndex3)
        <=> $true )
        & ( v23324(VarCurr,bitIndex2)
        <=> $false )
        & ( v23324(VarCurr,bitIndex1)
        <=> $true )
        & ( v23324(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5231,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23335(VarNext)
      <=> ( v23336(VarNext)
          & v23343(VarNext) ) ) ) )).

fof(addAssignment_7643,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23343(VarNext)
      <=> v23341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5230,axiom,(
    ! [VarCurr] :
      ( v23341(VarCurr)
    <=> ( v23344(VarCurr)
        | v23345(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5229,axiom,(
    ! [VarCurr] :
      ( v23345(VarCurr)
    <=> ( v23326(VarCurr)
        & v23346(VarCurr) ) ) )).

fof(writeUnaryOperator_2373,axiom,(
    ! [VarCurr] :
      ( ~ v23346(VarCurr)
    <=> v23344(VarCurr) ) )).

fof(writeUnaryOperator_2372,axiom,(
    ! [VarCurr] :
      ( ~ v23344(VarCurr)
    <=> v2923(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5228,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23336(VarNext)
      <=> ( v23337(VarNext)
          & v22048(VarNext) ) ) ) )).

fof(writeUnaryOperator_2371,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23337(VarNext)
      <=> v22055(VarNext) ) ) )).

fof(addAssignment_7642,axiom,(
    ! [VarCurr] :
      ( v23326(VarCurr)
    <=> v23328(VarCurr) ) )).

fof(addAssignment_7641,axiom,(
    ! [VarCurr] :
      ( v23328(VarCurr)
    <=> v23330(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1306,axiom,(
    ! [VarCurr] :
      ( v23330(VarCurr)
    <=> ( v2986(VarCurr,bitIndex1)
        & v23332(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5227,axiom,(
    ! [VarCurr] :
      ( v23332(VarCurr)
    <=> ( v13074(VarCurr)
        | v23204(VarCurr) ) ) )).

fof(addAssignment_7640,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v23221(VarCurr,B)
      <=> v23223(VarCurr,B) ) ) )).

fof(addAssignment_7639,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v23223(VarCurr,B)
      <=> v23225(VarCurr,B) ) ) )).

fof(addAssignment_7638,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v23225(VarCurr,B)
      <=> v23227(VarCurr,B) ) ) )).

fof(addAssignment_7637,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v23227(VarCurr,B)
      <=> v23229(VarCurr,B) ) ) )).

fof(addAssignment_7636,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v23229(VarCurr,B)
      <=> v23231(VarCurr,B) ) ) )).

fof(addAssignment_7635,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v23231(VarCurr,B)
      <=> v23233(VarCurr,B) ) ) )).

fof(addAssignment_7634,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v23233(VarCurr,B)
      <=> v23320(VarCurr,B) ) ) )).

fof(addAssignment_7633,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v23320(VarCurr,B)
      <=> v23235(VarCurr,B) ) ) )).

fof(addAssignment_7632,axiom,(
    ! [VarCurr] :
      ( v23320(VarCurr,bitIndex4)
    <=> v23321(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_243,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23280(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v23235(VarNext,B)
            <=> v23235(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_275,axiom,(
    ! [VarNext] :
      ( v23280(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v23235(VarNext,B)
          <=> v23294(VarNext,B) ) ) ) )).

fof(addAssignment_7631,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v23294(VarNext,B)
          <=> v23292(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_637,axiom,(
    ! [VarCurr] :
      ( ~ v23289(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v23292(VarCurr,B)
          <=> v23295(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_633,axiom,(
    ! [VarCurr] :
      ( v23289(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v23292(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_118,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v23295(VarCurr,B)
      <=> ( v23296(VarCurr,B)
          & v23315(VarCurr,B) ) ) ) )).

fof(addAssignment_7630,axiom,(
    ! [VarCurr] :
      ( v23315(VarCurr,bitIndex0)
    <=> v23316(VarCurr) ) )).

fof(addAssignment_7629,axiom,(
    ! [VarCurr] :
      ( v23315(VarCurr,bitIndex1)
    <=> v23316(VarCurr) ) )).

fof(addAssignment_7628,axiom,(
    ! [VarCurr] :
      ( v23315(VarCurr,bitIndex2)
    <=> v23316(VarCurr) ) )).

fof(addAssignment_7627,axiom,(
    ! [VarCurr] :
      ( v23315(VarCurr,bitIndex3)
    <=> v23316(VarCurr) ) )).

fof(addAssignment_7626,axiom,(
    ! [VarCurr] :
      ( v23316(VarCurr)
    <=> v23317(VarCurr) ) )).

fof(writeUnaryOperator_2370,axiom,(
    ! [VarCurr] :
      ( ~ v23317(VarCurr)
    <=> v23276(VarCurr) ) )).

fof(addAssignment_7625,axiom,(
    ! [VarCurr] :
      ( v23296(VarCurr,bitIndex0)
    <=> v23312(VarCurr) ) )).

fof(addAssignment_7624,axiom,(
    ! [VarCurr] :
      ( v23296(VarCurr,bitIndex1)
    <=> v23310(VarCurr) ) )).

fof(addAssignment_7623,axiom,(
    ! [VarCurr] :
      ( v23296(VarCurr,bitIndex2)
    <=> v23305(VarCurr) ) )).

fof(addAssignment_7622,axiom,(
    ! [VarCurr] :
      ( v23296(VarCurr,bitIndex3)
    <=> v23298(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5226,axiom,(
    ! [VarCurr] :
      ( v23310(VarCurr)
    <=> ( v23311(VarCurr)
        & v23314(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1305,axiom,(
    ! [VarCurr] :
      ( v23314(VarCurr)
    <=> ( v23235(VarCurr,bitIndex0)
        | v23235(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5225,axiom,(
    ! [VarCurr] :
      ( v23311(VarCurr)
    <=> ( v23312(VarCurr)
        | v23313(VarCurr) ) ) )).

fof(writeUnaryOperator_2369,axiom,(
    ! [VarCurr] :
      ( ~ v23313(VarCurr)
    <=> v23235(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2368,axiom,(
    ! [VarCurr] :
      ( ~ v23312(VarCurr)
    <=> v23235(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5224,axiom,(
    ! [VarCurr] :
      ( v23305(VarCurr)
    <=> ( v23306(VarCurr)
        & v23309(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1304,axiom,(
    ! [VarCurr] :
      ( v23309(VarCurr)
    <=> ( v23302(VarCurr)
        | v23235(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5223,axiom,(
    ! [VarCurr] :
      ( v23306(VarCurr)
    <=> ( v23307(VarCurr)
        | v23308(VarCurr) ) ) )).

fof(writeUnaryOperator_2367,axiom,(
    ! [VarCurr] :
      ( ~ v23308(VarCurr)
    <=> v23235(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_2366,axiom,(
    ! [VarCurr] :
      ( ~ v23307(VarCurr)
    <=> v23302(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5222,axiom,(
    ! [VarCurr] :
      ( v23298(VarCurr)
    <=> ( v23299(VarCurr)
        & v23304(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1303,axiom,(
    ! [VarCurr] :
      ( v23304(VarCurr)
    <=> ( v23301(VarCurr)
        | v23235(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5221,axiom,(
    ! [VarCurr] :
      ( v23299(VarCurr)
    <=> ( v23300(VarCurr)
        | v23303(VarCurr) ) ) )).

fof(writeUnaryOperator_2365,axiom,(
    ! [VarCurr] :
      ( ~ v23303(VarCurr)
    <=> v23235(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_2364,axiom,(
    ! [VarCurr] :
      ( ~ v23300(VarCurr)
    <=> v23301(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1302,axiom,(
    ! [VarCurr] :
      ( v23301(VarCurr)
    <=> ( v23302(VarCurr)
        & v23235(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1301,axiom,(
    ! [VarCurr] :
      ( v23302(VarCurr)
    <=> ( v23235(VarCurr,bitIndex0)
        & v23235(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5220,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23280(VarNext)
      <=> ( v23281(VarNext)
          & v23288(VarNext) ) ) ) )).

fof(addAssignment_7621,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23288(VarNext)
      <=> v23286(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5219,axiom,(
    ! [VarCurr] :
      ( v23286(VarCurr)
    <=> ( v23289(VarCurr)
        | v23290(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5218,axiom,(
    ! [VarCurr] :
      ( v23290(VarCurr)
    <=> ( v23237(VarCurr)
        & v23291(VarCurr) ) ) )).

fof(writeUnaryOperator_2363,axiom,(
    ! [VarCurr] :
      ( ~ v23291(VarCurr)
    <=> v23289(VarCurr) ) )).

fof(writeUnaryOperator_2362,axiom,(
    ! [VarCurr] :
      ( ~ v23289(VarCurr)
    <=> v2726(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5217,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23281(VarNext)
      <=> ( v23282(VarNext)
          & v2820(VarNext) ) ) ) )).

fof(writeUnaryOperator_2361,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23282(VarNext)
      <=> v2827(VarNext) ) ) )).

fof(addBitVectorEqualityBitBlasted_1649,axiom,(
    ! [VarCurr] :
      ( v23276(VarCurr)
    <=> ( ( v23235(VarCurr,bitIndex3)
        <=> $true )
        & ( v23235(VarCurr,bitIndex2)
        <=> $false )
        & ( v23235(VarCurr,bitIndex1)
        <=> $true )
        & ( v23235(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_7620,axiom,(
    ! [VarCurr] :
      ( v23237(VarCurr)
    <=> v23239(VarCurr) ) )).

fof(addAssignment_7619,axiom,(
    ! [VarCurr] :
      ( v23239(VarCurr)
    <=> v23241(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1300,axiom,(
    ! [VarCurr] :
      ( v23241(VarCurr)
    <=> ( v2734(VarCurr,bitIndex7)
        | v23243(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5216,axiom,(
    ! [VarCurr] :
      ( v23243(VarCurr)
    <=> ( v23270(VarCurr)
        & v23273(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5215,axiom,(
    ! [VarCurr] :
      ( v23273(VarCurr)
    <=> ( v23255(VarCurr)
        | v23262(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5214,axiom,(
    ! [VarCurr] :
      ( v23270(VarCurr)
    <=> ( v23271(VarCurr)
        & v23272(VarCurr) ) ) )).

fof(writeUnaryOperator_2360,axiom,(
    ! [VarCurr] :
      ( ~ v23272(VarCurr)
    <=> v23245(VarCurr) ) )).

fof(writeUnaryOperator_2359,axiom,(
    ! [VarCurr] :
      ( ~ v23271(VarCurr)
    <=> v22888(VarCurr) ) )).

fof(addAssignment_7618,axiom,(
    ! [VarCurr] :
      ( v23262(VarCurr)
    <=> v23264(VarCurr) ) )).

fof(addAssignment_7617,axiom,(
    ! [VarCurr] :
      ( v23264(VarCurr)
    <=> v23266(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_558,axiom,(
    ! [VarCurr] :
      ( ~ v23268(VarCurr)
     => ( v23266(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_501,axiom,(
    ! [VarCurr] :
      ( v23268(VarCurr)
     => ( v23266(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1648,axiom,(
    ! [VarCurr] :
      ( v23268(VarCurr)
    <=> ( ( v2711(VarCurr,bitIndex6)
        <=> $true )
        & ( v2711(VarCurr,bitIndex5)
        <=> $true )
        & ( v2711(VarCurr,bitIndex4)
        <=> $true )
        & ( v2711(VarCurr,bitIndex3)
        <=> $true )
        & ( v2711(VarCurr,bitIndex2)
        <=> $true )
        & ( v2711(VarCurr,bitIndex1)
        <=> $false )
        & ( v2711(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_7616,axiom,(
    ! [VarCurr] :
      ( v23255(VarCurr)
    <=> v23257(VarCurr) ) )).

fof(addAssignment_7615,axiom,(
    ! [VarCurr] :
      ( v23257(VarCurr)
    <=> v23259(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_557,axiom,(
    ! [VarCurr] :
      ( ~ v22112(VarCurr)
     => ( v23259(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_500,axiom,(
    ! [VarCurr] :
      ( v22112(VarCurr)
     => ( v23259(VarCurr)
      <=> v12972(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_7614,axiom,(
    ! [VarCurr] :
      ( v23245(VarCurr)
    <=> v2734(VarCurr,bitIndex5) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_319,axiom,(
    ! [VarCurr] :
      ( ~ v23247(VarCurr)
     => ( v2734(VarCurr,bitIndex5)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_376,axiom,(
    ! [VarCurr] :
      ( v23247(VarCurr)
     => ( v2734(VarCurr,bitIndex5)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5213,axiom,(
    ! [VarCurr] :
      ( v23247(VarCurr)
    <=> ( v23248(VarCurr)
        & v22994(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5212,axiom,(
    ! [VarCurr] :
      ( v23248(VarCurr)
    <=> ( v23250(VarCurr)
        & v22993(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5211,axiom,(
    ! [VarCurr] :
      ( v23250(VarCurr)
    <=> ( v23251(VarCurr)
        & v22992(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5210,axiom,(
    ! [VarCurr] :
      ( v23251(VarCurr)
    <=> ( v23252(VarCurr)
        & v22991(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5209,axiom,(
    ! [VarCurr] :
      ( v23252(VarCurr)
    <=> ( v23253(VarCurr)
        & v22990(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5208,axiom,(
    ! [VarCurr] :
      ( v23253(VarCurr)
    <=> ( v22988(VarCurr)
        & v22898(VarCurr) ) ) )).

fof(addAssignment_7613,axiom,(
    ! [VarCurr] :
      ( v23204(VarCurr)
    <=> v23206(VarCurr) ) )).

fof(addAssignment_7612,axiom,(
    ! [VarCurr] :
      ( v23206(VarCurr)
    <=> v23208(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_556,axiom,(
    ! [VarCurr] :
      ( ~ v23210(VarCurr)
     => ( v23208(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_499,axiom,(
    ! [VarCurr] :
      ( v23210(VarCurr)
     => ( v23208(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5207,axiom,(
    ! [VarCurr] :
      ( v23210(VarCurr)
    <=> ( v23212(VarCurr)
        & v13450(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1299,axiom,(
    ! [VarCurr] :
      ( v23212(VarCurr)
    <=> ( v23213(VarCurr)
        & v2941(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1298,axiom,(
    ! [VarCurr] :
      ( v23213(VarCurr)
    <=> ( v11589(VarCurr)
        & v2941(VarCurr,bitIndex4) ) ) )).

fof(addAssignment_7611,axiom,(
    ! [VarCurr] :
      ( v11598(VarCurr)
    <=> v11600(VarCurr) ) )).

fof(addAssignment_7610,axiom,(
    ! [VarCurr] :
      ( v11600(VarCurr)
    <=> v11602(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5206,axiom,(
    ! [VarCurr] :
      ( v11602(VarCurr)
    <=> ( v23201(VarCurr)
        & v23202(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1297,axiom,(
    ! [VarCurr] :
      ( v23202(VarCurr)
    <=> ( v11604(VarCurr,bitIndex5)
      <~> v23130(VarCurr,bitIndex5) ) ) )).

fof(addBitVectorEqualityBitBlasted_1647,axiom,(
    ! [VarCurr] :
      ( v23201(VarCurr)
    <=> ( ( v11604(VarCurr,bitIndex4)
        <=> v23130(VarCurr,bitIndex4) )
        & ( v11604(VarCurr,bitIndex3)
        <=> v23130(VarCurr,bitIndex3) )
        & ( v11604(VarCurr,bitIndex2)
        <=> v23130(VarCurr,bitIndex2) )
        & ( v11604(VarCurr,bitIndex1)
        <=> v23130(VarCurr,bitIndex1) )
        & ( v11604(VarCurr,bitIndex0)
        <=> v23130(VarCurr,bitIndex0) ) ) ) )).

fof(addAssignment_7609,axiom,(
    ! [VarNext] :
      ( v23130(VarNext,bitIndex5)
    <=> v23193(VarNext,bitIndex5) ) )).

fof(addCaseBooleanConditionEqualRanges1_242,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23195(VarNext)
       => ! [B] :
            ( range_5_0(B)
           => ( v23193(VarNext,B)
            <=> v23130(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_274,axiom,(
    ! [VarNext] :
      ( v23195(VarNext)
     => ! [B] :
          ( range_5_0(B)
         => ( v23193(VarNext,B)
          <=> v23158(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5205,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23195(VarNext)
      <=> ( v23196(VarNext)
          & v23152(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5204,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23196(VarNext)
      <=> ( v23198(VarNext)
          & v22048(VarNext) ) ) ) )).

fof(writeUnaryOperator_2358,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23198(VarNext)
      <=> v22055(VarNext) ) ) )).

fof(addAssignment_7608,axiom,(
    ! [VarCurr] :
      ( v11604(VarCurr,bitIndex5)
    <=> v11606(VarCurr,bitIndex5) ) )).

fof(addAssignment_7607,axiom,(
    ! [VarCurr] :
      ( v11606(VarCurr,bitIndex5)
    <=> v11608(VarCurr,bitIndex5) ) )).

fof(addAssignment_7606,axiom,(
    ! [VarCurr] :
      ( v11608(VarCurr,bitIndex5)
    <=> v11610(VarCurr,bitIndex5) ) )).

fof(addAssignment_7605,axiom,(
    ! [VarCurr] :
      ( v11610(VarCurr,bitIndex5)
    <=> v11612(VarCurr,bitIndex5) ) )).

fof(addAssignment_7604,axiom,(
    ! [VarCurr] :
      ( v11612(VarCurr,bitIndex5)
    <=> v11614(VarCurr,bitIndex5) ) )).

fof(addAssignment_7603,axiom,(
    ! [VarCurr] :
      ( v11614(VarCurr,bitIndex5)
    <=> v11616(VarCurr,bitIndex5) ) )).

fof(addAssignment_7602,axiom,(
    ! [VarCurr] :
      ( v11616(VarCurr,bitIndex5)
    <=> v23128(VarCurr,bitIndex5) ) )).

fof(addAssignment_7601,axiom,(
    ! [VarNext,B] :
      ( range_4_0(B)
     => ( v23130(VarNext,B)
      <=> v23143(VarNext,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_241,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23144(VarNext)
       => ! [B] :
            ( range_5_0(B)
           => ( v23143(VarNext,B)
            <=> v23130(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_273,axiom,(
    ! [VarNext] :
      ( v23144(VarNext)
     => ! [B] :
          ( range_5_0(B)
         => ( v23143(VarNext,B)
          <=> v23158(VarNext,B) ) ) ) )).

fof(addAssignment_7600,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_5_0(B)
         => ( v23158(VarNext,B)
          <=> v23156(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_636,axiom,(
    ! [VarCurr] :
      ( ~ v23153(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v23156(VarCurr,B)
          <=> v23159(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_632,axiom,(
    ! [VarCurr] :
      ( v23153(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v23156(VarCurr,B)
          <=> $false ) ) ) )).

fof(addAssignment_7599,axiom,(
    ! [VarCurr] :
      ( v23159(VarCurr,bitIndex0)
    <=> v23187(VarCurr) ) )).

fof(addAssignment_7598,axiom,(
    ! [VarCurr] :
      ( v23159(VarCurr,bitIndex1)
    <=> v23185(VarCurr) ) )).

fof(addAssignment_7597,axiom,(
    ! [VarCurr] :
      ( v23159(VarCurr,bitIndex2)
    <=> v23180(VarCurr) ) )).

fof(addAssignment_7596,axiom,(
    ! [VarCurr] :
      ( v23159(VarCurr,bitIndex3)
    <=> v23175(VarCurr) ) )).

fof(addAssignment_7595,axiom,(
    ! [VarCurr] :
      ( v23159(VarCurr,bitIndex4)
    <=> v23170(VarCurr) ) )).

fof(addAssignment_7594,axiom,(
    ! [VarCurr] :
      ( v23159(VarCurr,bitIndex5)
    <=> v23161(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5203,axiom,(
    ! [VarCurr] :
      ( v23185(VarCurr)
    <=> ( v23186(VarCurr)
        & v23189(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1296,axiom,(
    ! [VarCurr] :
      ( v23189(VarCurr)
    <=> ( v23130(VarCurr,bitIndex0)
        | v23130(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5202,axiom,(
    ! [VarCurr] :
      ( v23186(VarCurr)
    <=> ( v23187(VarCurr)
        | v23188(VarCurr) ) ) )).

fof(writeUnaryOperator_2357,axiom,(
    ! [VarCurr] :
      ( ~ v23188(VarCurr)
    <=> v23130(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2356,axiom,(
    ! [VarCurr] :
      ( ~ v23187(VarCurr)
    <=> v23130(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5201,axiom,(
    ! [VarCurr] :
      ( v23180(VarCurr)
    <=> ( v23181(VarCurr)
        & v23184(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1295,axiom,(
    ! [VarCurr] :
      ( v23184(VarCurr)
    <=> ( v23167(VarCurr)
        | v23130(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5200,axiom,(
    ! [VarCurr] :
      ( v23181(VarCurr)
    <=> ( v23182(VarCurr)
        | v23183(VarCurr) ) ) )).

fof(writeUnaryOperator_2355,axiom,(
    ! [VarCurr] :
      ( ~ v23183(VarCurr)
    <=> v23130(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_2354,axiom,(
    ! [VarCurr] :
      ( ~ v23182(VarCurr)
    <=> v23167(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5199,axiom,(
    ! [VarCurr] :
      ( v23175(VarCurr)
    <=> ( v23176(VarCurr)
        & v23179(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1294,axiom,(
    ! [VarCurr] :
      ( v23179(VarCurr)
    <=> ( v23166(VarCurr)
        | v23130(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5198,axiom,(
    ! [VarCurr] :
      ( v23176(VarCurr)
    <=> ( v23177(VarCurr)
        | v23178(VarCurr) ) ) )).

fof(writeUnaryOperator_2353,axiom,(
    ! [VarCurr] :
      ( ~ v23178(VarCurr)
    <=> v23130(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_2352,axiom,(
    ! [VarCurr] :
      ( ~ v23177(VarCurr)
    <=> v23166(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5197,axiom,(
    ! [VarCurr] :
      ( v23170(VarCurr)
    <=> ( v23171(VarCurr)
        & v23174(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1293,axiom,(
    ! [VarCurr] :
      ( v23174(VarCurr)
    <=> ( v23165(VarCurr)
        | v23130(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5196,axiom,(
    ! [VarCurr] :
      ( v23171(VarCurr)
    <=> ( v23172(VarCurr)
        | v23173(VarCurr) ) ) )).

fof(writeUnaryOperator_2351,axiom,(
    ! [VarCurr] :
      ( ~ v23173(VarCurr)
    <=> v23130(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_2350,axiom,(
    ! [VarCurr] :
      ( ~ v23172(VarCurr)
    <=> v23165(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5195,axiom,(
    ! [VarCurr] :
      ( v23161(VarCurr)
    <=> ( v23162(VarCurr)
        & v23169(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1292,axiom,(
    ! [VarCurr] :
      ( v23169(VarCurr)
    <=> ( v23164(VarCurr)
        | v23130(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5194,axiom,(
    ! [VarCurr] :
      ( v23162(VarCurr)
    <=> ( v23163(VarCurr)
        | v23168(VarCurr) ) ) )).

fof(writeUnaryOperator_2349,axiom,(
    ! [VarCurr] :
      ( ~ v23168(VarCurr)
    <=> v23130(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_2348,axiom,(
    ! [VarCurr] :
      ( ~ v23163(VarCurr)
    <=> v23164(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1291,axiom,(
    ! [VarCurr] :
      ( v23164(VarCurr)
    <=> ( v23165(VarCurr)
        & v23130(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1290,axiom,(
    ! [VarCurr] :
      ( v23165(VarCurr)
    <=> ( v23166(VarCurr)
        & v23130(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1289,axiom,(
    ! [VarCurr] :
      ( v23166(VarCurr)
    <=> ( v23167(VarCurr)
        & v23130(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1288,axiom,(
    ! [VarCurr] :
      ( v23167(VarCurr)
    <=> ( v23130(VarCurr,bitIndex0)
        & v23130(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5193,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23144(VarNext)
      <=> ( v23145(VarNext)
          & v23152(VarNext) ) ) ) )).

fof(addAssignment_7593,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23152(VarNext)
      <=> v23150(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5192,axiom,(
    ! [VarCurr] :
      ( v23150(VarCurr)
    <=> ( v23153(VarCurr)
        | v23154(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5191,axiom,(
    ! [VarCurr] :
      ( v23154(VarCurr)
    <=> ( v23132(VarCurr)
        & v23155(VarCurr) ) ) )).

fof(writeUnaryOperator_2347,axiom,(
    ! [VarCurr] :
      ( ~ v23155(VarCurr)
    <=> v23153(VarCurr) ) )).

fof(writeUnaryOperator_2346,axiom,(
    ! [VarCurr] :
      ( ~ v23153(VarCurr)
    <=> v2923(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5190,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23145(VarNext)
      <=> ( v23146(VarNext)
          & v22048(VarNext) ) ) ) )).

fof(writeUnaryOperator_2345,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23146(VarNext)
      <=> v22055(VarNext) ) ) )).

fof(addAssignment_7592,axiom,(
    ! [VarCurr] :
      ( v23132(VarCurr)
    <=> v23134(VarCurr) ) )).

fof(addAssignment_7591,axiom,(
    ! [VarCurr] :
      ( v23134(VarCurr)
    <=> v23136(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5189,axiom,(
    ! [VarCurr] :
      ( v23136(VarCurr)
    <=> ( v23141(VarCurr)
        & v23138(VarCurr) ) ) )).

fof(writeUnaryOperator_2344,axiom,(
    ! [VarCurr] :
      ( ~ v23141(VarCurr)
    <=> v13062(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1646,axiom,(
    ! [VarCurr] :
      ( v23138(VarCurr)
    <=> ( ( v21574(VarCurr,bitIndex1)
        <=> $false )
        & ( v21574(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_7590,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v11604(VarCurr,B)
      <=> v11606(VarCurr,B) ) ) )).

fof(addAssignment_7589,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v11606(VarCurr,B)
      <=> v11608(VarCurr,B) ) ) )).

fof(addAssignment_7588,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v11608(VarCurr,B)
      <=> v11610(VarCurr,B) ) ) )).

fof(addAssignment_7587,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v11610(VarCurr,B)
      <=> v11612(VarCurr,B) ) ) )).

fof(addAssignment_7586,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v11612(VarCurr,B)
      <=> v11614(VarCurr,B) ) ) )).

fof(addAssignment_7585,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v11614(VarCurr,B)
      <=> v11616(VarCurr,B) ) ) )).

fof(addAssignment_7584,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v11616(VarCurr,B)
      <=> v23128(VarCurr,B) ) ) )).

fof(addAssignment_7583,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v23128(VarCurr,B)
      <=> v11618(VarCurr,B) ) ) )).

fof(addAssignment_7582,axiom,(
    ! [VarCurr] :
      ( v23128(VarCurr,bitIndex5)
    <=> v12987(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_240,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23087(VarNext)
       => ! [B] :
            ( range_4_0(B)
           => ( v11618(VarNext,B)
            <=> v11618(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_272,axiom,(
    ! [VarNext] :
      ( v23087(VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v11618(VarNext,B)
          <=> v23100(VarNext,B) ) ) ) )).

fof(addAssignment_7581,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v23100(VarNext,B)
          <=> v23098(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_635,axiom,(
    ! [VarCurr] :
      ( ~ v12999(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v23098(VarCurr,B)
          <=> v23101(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_631,axiom,(
    ! [VarCurr] :
      ( v12999(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v23098(VarCurr,B)
          <=> $false ) ) ) )).

fof(addAssignment_7580,axiom,(
    ! [VarCurr] :
      ( v23101(VarCurr,bitIndex0)
    <=> v23123(VarCurr) ) )).

fof(addAssignment_7579,axiom,(
    ! [VarCurr] :
      ( v23101(VarCurr,bitIndex1)
    <=> v23121(VarCurr) ) )).

fof(addAssignment_7578,axiom,(
    ! [VarCurr] :
      ( v23101(VarCurr,bitIndex2)
    <=> v23116(VarCurr) ) )).

fof(addAssignment_7577,axiom,(
    ! [VarCurr] :
      ( v23101(VarCurr,bitIndex3)
    <=> v23111(VarCurr) ) )).

fof(addAssignment_7576,axiom,(
    ! [VarCurr] :
      ( v23101(VarCurr,bitIndex4)
    <=> v23103(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5188,axiom,(
    ! [VarCurr] :
      ( v23121(VarCurr)
    <=> ( v23122(VarCurr)
        & v23125(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1287,axiom,(
    ! [VarCurr] :
      ( v23125(VarCurr)
    <=> ( v11618(VarCurr,bitIndex0)
        | v11618(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5187,axiom,(
    ! [VarCurr] :
      ( v23122(VarCurr)
    <=> ( v23123(VarCurr)
        | v23124(VarCurr) ) ) )).

fof(writeUnaryOperator_2343,axiom,(
    ! [VarCurr] :
      ( ~ v23124(VarCurr)
    <=> v11618(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2342,axiom,(
    ! [VarCurr] :
      ( ~ v23123(VarCurr)
    <=> v11618(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5186,axiom,(
    ! [VarCurr] :
      ( v23116(VarCurr)
    <=> ( v23117(VarCurr)
        & v23120(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1286,axiom,(
    ! [VarCurr] :
      ( v23120(VarCurr)
    <=> ( v23108(VarCurr)
        | v11618(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5185,axiom,(
    ! [VarCurr] :
      ( v23117(VarCurr)
    <=> ( v23118(VarCurr)
        | v23119(VarCurr) ) ) )).

fof(writeUnaryOperator_2341,axiom,(
    ! [VarCurr] :
      ( ~ v23119(VarCurr)
    <=> v11618(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_2340,axiom,(
    ! [VarCurr] :
      ( ~ v23118(VarCurr)
    <=> v23108(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5184,axiom,(
    ! [VarCurr] :
      ( v23111(VarCurr)
    <=> ( v23112(VarCurr)
        & v23115(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1285,axiom,(
    ! [VarCurr] :
      ( v23115(VarCurr)
    <=> ( v23107(VarCurr)
        | v11618(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5183,axiom,(
    ! [VarCurr] :
      ( v23112(VarCurr)
    <=> ( v23113(VarCurr)
        | v23114(VarCurr) ) ) )).

fof(writeUnaryOperator_2339,axiom,(
    ! [VarCurr] :
      ( ~ v23114(VarCurr)
    <=> v11618(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_2338,axiom,(
    ! [VarCurr] :
      ( ~ v23113(VarCurr)
    <=> v23107(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5182,axiom,(
    ! [VarCurr] :
      ( v23103(VarCurr)
    <=> ( v23104(VarCurr)
        & v23110(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1284,axiom,(
    ! [VarCurr] :
      ( v23110(VarCurr)
    <=> ( v23106(VarCurr)
        | v11618(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5181,axiom,(
    ! [VarCurr] :
      ( v23104(VarCurr)
    <=> ( v23105(VarCurr)
        | v23109(VarCurr) ) ) )).

fof(writeUnaryOperator_2337,axiom,(
    ! [VarCurr] :
      ( ~ v23109(VarCurr)
    <=> v11618(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_2336,axiom,(
    ! [VarCurr] :
      ( ~ v23105(VarCurr)
    <=> v23106(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1283,axiom,(
    ! [VarCurr] :
      ( v23106(VarCurr)
    <=> ( v23107(VarCurr)
        & v11618(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1282,axiom,(
    ! [VarCurr] :
      ( v23107(VarCurr)
    <=> ( v23108(VarCurr)
        & v11618(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1281,axiom,(
    ! [VarCurr] :
      ( v23108(VarCurr)
    <=> ( v11618(VarCurr,bitIndex0)
        & v11618(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5180,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23087(VarNext)
      <=> ( v23088(VarNext)
          & v23095(VarNext) ) ) ) )).

fof(addAssignment_7575,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23095(VarNext)
      <=> v23093(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5179,axiom,(
    ! [VarCurr] :
      ( v23093(VarCurr)
    <=> ( v12999(VarCurr)
        | v23096(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5178,axiom,(
    ! [VarCurr] :
      ( v23096(VarCurr)
    <=> ( v11620(VarCurr)
        & v23097(VarCurr) ) ) )).

fof(writeUnaryOperator_2335,axiom,(
    ! [VarCurr] :
      ( ~ v23097(VarCurr)
    <=> v12999(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5177,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23088(VarNext)
      <=> ( v23090(VarNext)
          & v2820(VarNext) ) ) ) )).

fof(writeUnaryOperator_2334,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23090(VarNext)
      <=> v2827(VarNext) ) ) )).

fof(addAssignment_7574,axiom,(
    ! [VarCurr] :
      ( v11620(VarCurr)
    <=> v11622(VarCurr) ) )).

fof(addAssignment_7573,axiom,(
    ! [VarCurr] :
      ( v11622(VarCurr)
    <=> v11624(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1280,axiom,(
    ! [VarCurr] :
      ( v11624(VarCurr)
    <=> ( v2734(VarCurr,bitIndex3)
        | v23067(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5176,axiom,(
    ! [VarCurr] :
      ( v23067(VarCurr)
    <=> ( v23081(VarCurr)
        & v23074(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5175,axiom,(
    ! [VarCurr] :
      ( v23081(VarCurr)
    <=> ( v23082(VarCurr)
        & v23083(VarCurr) ) ) )).

fof(writeUnaryOperator_2333,axiom,(
    ! [VarCurr] :
      ( ~ v23083(VarCurr)
    <=> v23069(VarCurr) ) )).

fof(writeUnaryOperator_2332,axiom,(
    ! [VarCurr] :
      ( ~ v23082(VarCurr)
    <=> v22888(VarCurr) ) )).

fof(addAssignment_7572,axiom,(
    ! [VarCurr] :
      ( v23074(VarCurr)
    <=> v23076(VarCurr) ) )).

fof(addAssignment_7571,axiom,(
    ! [VarCurr] :
      ( v23076(VarCurr)
    <=> v23078(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_555,axiom,(
    ! [VarCurr] :
      ( ~ v12976(VarCurr)
     => ( v23078(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_498,axiom,(
    ! [VarCurr] :
      ( v12976(VarCurr)
     => ( v23078(VarCurr)
      <=> v12972(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1279,axiom,(
    ! [VarCurr] :
      ( v23069(VarCurr)
    <=> ( v23071(VarCurr)
        | v2740(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1278,axiom,(
    ! [VarCurr] :
      ( v23071(VarCurr)
    <=> ( v23072(VarCurr)
        | v2740(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1277,axiom,(
    ! [VarCurr] :
      ( v23072(VarCurr)
    <=> ( v2734(VarCurr,bitIndex1)
        | v2740(VarCurr,bitIndex1) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_318,axiom,(
    ! [VarCurr] :
      ( ~ v23061(VarCurr)
     => ( v2734(VarCurr,bitIndex3)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_375,axiom,(
    ! [VarCurr] :
      ( v23061(VarCurr)
     => ( v2734(VarCurr,bitIndex3)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5174,axiom,(
    ! [VarCurr] :
      ( v23061(VarCurr)
    <=> ( v23062(VarCurr)
        | v23064(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5173,axiom,(
    ! [VarCurr] :
      ( v23064(VarCurr)
    <=> ( v23065(VarCurr)
        & v23051(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5172,axiom,(
    ! [VarCurr] :
      ( v23065(VarCurr)
    <=> ( v2736(VarCurr)
        & v11626(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5171,axiom,(
    ! [VarCurr] :
      ( v23062(VarCurr)
    <=> ( v23063(VarCurr)
        & v23046(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5170,axiom,(
    ! [VarCurr] :
      ( v23063(VarCurr)
    <=> ( v2736(VarCurr)
        & v11626(VarCurr) ) ) )).

fof(addAssignment_7570,axiom,(
    ! [VarNext] :
      ( v2740(VarNext,bitIndex4)
    <=> v23053(VarNext,bitIndex3) ) )).

fof(addCaseBooleanConditionShiftedRanges1_36,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23054(VarNext)
       => ( ( v23053(VarNext,bitIndex19)
          <=> v2740(VarCurr,bitIndex20) )
          & ( v23053(VarNext,bitIndex18)
          <=> v2740(VarCurr,bitIndex19) )
          & ( v23053(VarNext,bitIndex17)
          <=> v2740(VarCurr,bitIndex18) )
          & ( v23053(VarNext,bitIndex16)
          <=> v2740(VarCurr,bitIndex17) )
          & ( v23053(VarNext,bitIndex15)
          <=> v2740(VarCurr,bitIndex16) )
          & ( v23053(VarNext,bitIndex14)
          <=> v2740(VarCurr,bitIndex15) )
          & ( v23053(VarNext,bitIndex13)
          <=> v2740(VarCurr,bitIndex14) )
          & ( v23053(VarNext,bitIndex12)
          <=> v2740(VarCurr,bitIndex13) )
          & ( v23053(VarNext,bitIndex11)
          <=> v2740(VarCurr,bitIndex12) )
          & ( v23053(VarNext,bitIndex10)
          <=> v2740(VarCurr,bitIndex11) )
          & ( v23053(VarNext,bitIndex9)
          <=> v2740(VarCurr,bitIndex10) )
          & ( v23053(VarNext,bitIndex8)
          <=> v2740(VarCurr,bitIndex9) )
          & ( v23053(VarNext,bitIndex7)
          <=> v2740(VarCurr,bitIndex8) )
          & ( v23053(VarNext,bitIndex6)
          <=> v2740(VarCurr,bitIndex7) )
          & ( v23053(VarNext,bitIndex5)
          <=> v2740(VarCurr,bitIndex6) )
          & ( v23053(VarNext,bitIndex4)
          <=> v2740(VarCurr,bitIndex5) )
          & ( v23053(VarNext,bitIndex3)
          <=> v2740(VarCurr,bitIndex4) )
          & ( v23053(VarNext,bitIndex2)
          <=> v2740(VarCurr,bitIndex3) )
          & ( v23053(VarNext,bitIndex1)
          <=> v2740(VarCurr,bitIndex2) )
          & ( v23053(VarNext,bitIndex0)
          <=> v2740(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_271,axiom,(
    ! [VarNext] :
      ( v23054(VarNext)
     => ! [B] :
          ( range_19_0(B)
         => ( v23053(VarNext,B)
          <=> v2762(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5169,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23054(VarNext)
      <=> v23055(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5168,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23055(VarNext)
      <=> ( v23057(VarNext)
          & v2749(VarNext) ) ) ) )).

fof(writeUnaryOperator_2331,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23057(VarNext)
      <=> v2756(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_317,axiom,(
    ! [VarCurr] :
      ( ~ v23038(VarCurr)
     => ( v2734(VarCurr,bitIndex4)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_374,axiom,(
    ! [VarCurr] :
      ( v23038(VarCurr)
     => ( v2734(VarCurr,bitIndex4)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5167,axiom,(
    ! [VarCurr] :
      ( v23038(VarCurr)
    <=> ( v23039(VarCurr)
        | v23047(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5166,axiom,(
    ! [VarCurr] :
      ( v23047(VarCurr)
    <=> ( v23048(VarCurr)
        & v23051(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1645,axiom,(
    ! [VarCurr] :
      ( v23051(VarCurr)
    <=> ( $true
      <=> v2740(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5165,axiom,(
    ! [VarCurr] :
      ( v23048(VarCurr)
    <=> ( v23049(VarCurr)
        | v23050(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5164,axiom,(
    ! [VarCurr] :
      ( v23050(VarCurr)
    <=> ( v2736(VarCurr)
        & v23045(VarCurr) ) ) )).

fof(writeUnaryOperator_2330,axiom,(
    ! [VarCurr] :
      ( ~ v23049(VarCurr)
    <=> v2736(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5163,axiom,(
    ! [VarCurr] :
      ( v23039(VarCurr)
    <=> ( v23040(VarCurr)
        & v23046(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1644,axiom,(
    ! [VarCurr] :
      ( v23046(VarCurr)
    <=> ( $true
      <=> v2740(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5162,axiom,(
    ! [VarCurr] :
      ( v23040(VarCurr)
    <=> ( v23041(VarCurr)
        | v23043(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5161,axiom,(
    ! [VarCurr] :
      ( v23043(VarCurr)
    <=> ( v2736(VarCurr)
        & v23045(VarCurr) ) ) )).

fof(writeUnaryOperator_2329,axiom,(
    ! [VarCurr] :
      ( ~ v23045(VarCurr)
    <=> v11626(VarCurr) ) )).

fof(writeUnaryOperator_2328,axiom,(
    ! [VarCurr] :
      ( ~ v23041(VarCurr)
    <=> v2736(VarCurr) ) )).

fof(addAssignment_7569,axiom,(
    ! [VarNext] :
      ( v2740(VarNext,bitIndex2)
    <=> v23030(VarNext,bitIndex1) ) )).

fof(addCaseBooleanConditionShiftedRanges1_35,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23031(VarNext)
       => ( ( v23030(VarNext,bitIndex19)
          <=> v2740(VarCurr,bitIndex20) )
          & ( v23030(VarNext,bitIndex18)
          <=> v2740(VarCurr,bitIndex19) )
          & ( v23030(VarNext,bitIndex17)
          <=> v2740(VarCurr,bitIndex18) )
          & ( v23030(VarNext,bitIndex16)
          <=> v2740(VarCurr,bitIndex17) )
          & ( v23030(VarNext,bitIndex15)
          <=> v2740(VarCurr,bitIndex16) )
          & ( v23030(VarNext,bitIndex14)
          <=> v2740(VarCurr,bitIndex15) )
          & ( v23030(VarNext,bitIndex13)
          <=> v2740(VarCurr,bitIndex14) )
          & ( v23030(VarNext,bitIndex12)
          <=> v2740(VarCurr,bitIndex13) )
          & ( v23030(VarNext,bitIndex11)
          <=> v2740(VarCurr,bitIndex12) )
          & ( v23030(VarNext,bitIndex10)
          <=> v2740(VarCurr,bitIndex11) )
          & ( v23030(VarNext,bitIndex9)
          <=> v2740(VarCurr,bitIndex10) )
          & ( v23030(VarNext,bitIndex8)
          <=> v2740(VarCurr,bitIndex9) )
          & ( v23030(VarNext,bitIndex7)
          <=> v2740(VarCurr,bitIndex8) )
          & ( v23030(VarNext,bitIndex6)
          <=> v2740(VarCurr,bitIndex7) )
          & ( v23030(VarNext,bitIndex5)
          <=> v2740(VarCurr,bitIndex6) )
          & ( v23030(VarNext,bitIndex4)
          <=> v2740(VarCurr,bitIndex5) )
          & ( v23030(VarNext,bitIndex3)
          <=> v2740(VarCurr,bitIndex4) )
          & ( v23030(VarNext,bitIndex2)
          <=> v2740(VarCurr,bitIndex3) )
          & ( v23030(VarNext,bitIndex1)
          <=> v2740(VarCurr,bitIndex2) )
          & ( v23030(VarNext,bitIndex0)
          <=> v2740(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_270,axiom,(
    ! [VarNext] :
      ( v23031(VarNext)
     => ! [B] :
          ( range_19_0(B)
         => ( v23030(VarNext,B)
          <=> v2762(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5160,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23031(VarNext)
      <=> v23032(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5159,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23032(VarNext)
      <=> ( v23034(VarNext)
          & v2749(VarNext) ) ) ) )).

fof(writeUnaryOperator_2327,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23034(VarNext)
      <=> v2756(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_316,axiom,(
    ! [VarCurr] :
      ( ~ v23028(VarCurr)
     => ( v2734(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_373,axiom,(
    ! [VarCurr] :
      ( v23028(VarCurr)
     => ( v2734(VarCurr,bitIndex2)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1643,axiom,(
    ! [VarCurr] :
      ( v23028(VarCurr)
    <=> ( $true
      <=> v2740(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_7568,axiom,(
    ! [VarNext] :
      ( v2740(VarNext,bitIndex1)
    <=> v23020(VarNext,bitIndex0) ) )).

fof(addCaseBooleanConditionShiftedRanges1_34,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23021(VarNext)
       => ( ( v23020(VarNext,bitIndex19)
          <=> v2740(VarCurr,bitIndex20) )
          & ( v23020(VarNext,bitIndex18)
          <=> v2740(VarCurr,bitIndex19) )
          & ( v23020(VarNext,bitIndex17)
          <=> v2740(VarCurr,bitIndex18) )
          & ( v23020(VarNext,bitIndex16)
          <=> v2740(VarCurr,bitIndex17) )
          & ( v23020(VarNext,bitIndex15)
          <=> v2740(VarCurr,bitIndex16) )
          & ( v23020(VarNext,bitIndex14)
          <=> v2740(VarCurr,bitIndex15) )
          & ( v23020(VarNext,bitIndex13)
          <=> v2740(VarCurr,bitIndex14) )
          & ( v23020(VarNext,bitIndex12)
          <=> v2740(VarCurr,bitIndex13) )
          & ( v23020(VarNext,bitIndex11)
          <=> v2740(VarCurr,bitIndex12) )
          & ( v23020(VarNext,bitIndex10)
          <=> v2740(VarCurr,bitIndex11) )
          & ( v23020(VarNext,bitIndex9)
          <=> v2740(VarCurr,bitIndex10) )
          & ( v23020(VarNext,bitIndex8)
          <=> v2740(VarCurr,bitIndex9) )
          & ( v23020(VarNext,bitIndex7)
          <=> v2740(VarCurr,bitIndex8) )
          & ( v23020(VarNext,bitIndex6)
          <=> v2740(VarCurr,bitIndex7) )
          & ( v23020(VarNext,bitIndex5)
          <=> v2740(VarCurr,bitIndex6) )
          & ( v23020(VarNext,bitIndex4)
          <=> v2740(VarCurr,bitIndex5) )
          & ( v23020(VarNext,bitIndex3)
          <=> v2740(VarCurr,bitIndex4) )
          & ( v23020(VarNext,bitIndex2)
          <=> v2740(VarCurr,bitIndex3) )
          & ( v23020(VarNext,bitIndex1)
          <=> v2740(VarCurr,bitIndex2) )
          & ( v23020(VarNext,bitIndex0)
          <=> v2740(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_269,axiom,(
    ! [VarNext] :
      ( v23021(VarNext)
     => ! [B] :
          ( range_19_0(B)
         => ( v23020(VarNext,B)
          <=> v2762(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5158,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23021(VarNext)
      <=> v23022(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5157,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23022(VarNext)
      <=> ( v23024(VarNext)
          & v2749(VarNext) ) ) ) )).

fof(writeUnaryOperator_2326,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23024(VarNext)
      <=> v2756(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_315,axiom,(
    ! [VarCurr] :
      ( ~ v23014(VarCurr)
     => ( v2734(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_372,axiom,(
    ! [VarCurr] :
      ( v23014(VarCurr)
     => ( v2734(VarCurr,bitIndex1)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5156,axiom,(
    ! [VarCurr] :
      ( v23014(VarCurr)
    <=> ( v23015(VarCurr)
        & v22994(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5155,axiom,(
    ! [VarCurr] :
      ( v23015(VarCurr)
    <=> ( v23017(VarCurr)
        & v22993(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5154,axiom,(
    ! [VarCurr] :
      ( v23017(VarCurr)
    <=> ( v23018(VarCurr)
        & v22992(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5153,axiom,(
    ! [VarCurr] :
      ( v23018(VarCurr)
    <=> ( v22986(VarCurr)
        & v22890(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_239,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23002(VarNext)
       => ( v2740(VarNext,bitIndex0)
        <=> v2740(VarCurr,bitIndex0) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_268,axiom,(
    ! [VarNext] :
      ( v23002(VarNext)
     => ( v2740(VarNext,bitIndex0)
      <=> v23010(VarNext) ) ) )).

fof(addAssignment_7567,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23010(VarNext)
      <=> v23008(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_554,axiom,(
    ! [VarCurr] :
      ( ~ v2763(VarCurr)
     => ( v23008(VarCurr)
      <=> v2734(VarCurr,bitIndex0) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_497,axiom,(
    ! [VarCurr] :
      ( v2763(VarCurr)
     => ( v23008(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5152,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23002(VarNext)
      <=> v23003(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5151,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v23003(VarNext)
      <=> ( v23005(VarNext)
          & v2749(VarNext) ) ) ) )).

fof(writeUnaryOperator_2325,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v23005(VarNext)
      <=> v2756(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_553,axiom,(
    ! [VarCurr] :
      ( ~ v22974(VarCurr)
     => ( v2734(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_496,axiom,(
    ! [VarCurr] :
      ( v22974(VarCurr)
     => ( v2734(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5150,axiom,(
    ! [VarCurr] :
      ( v22974(VarCurr)
    <=> ( v22975(VarCurr)
        | v22999(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1642,axiom,(
    ! [VarCurr] :
      ( v22999(VarCurr)
    <=> ( $true
      <=> v2740(VarCurr,bitIndex19) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5149,axiom,(
    ! [VarCurr] :
      ( v22975(VarCurr)
    <=> ( v22976(VarCurr)
        | v22998(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1641,axiom,(
    ! [VarCurr] :
      ( v22998(VarCurr)
    <=> ( $true
      <=> v2740(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5148,axiom,(
    ! [VarCurr] :
      ( v22976(VarCurr)
    <=> ( v22977(VarCurr)
        | v22997(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1640,axiom,(
    ! [VarCurr] :
      ( v22997(VarCurr)
    <=> ( $true
      <=> v2740(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5147,axiom,(
    ! [VarCurr] :
      ( v22977(VarCurr)
    <=> ( v22978(VarCurr)
        | v22996(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1639,axiom,(
    ! [VarCurr] :
      ( v22996(VarCurr)
    <=> ( $true
      <=> v2740(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5146,axiom,(
    ! [VarCurr] :
      ( v22978(VarCurr)
    <=> ( v22979(VarCurr)
        | v22995(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1638,axiom,(
    ! [VarCurr] :
      ( v22995(VarCurr)
    <=> ( $true
      <=> v2740(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5145,axiom,(
    ! [VarCurr] :
      ( v22979(VarCurr)
    <=> ( v22980(VarCurr)
        & v22994(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1637,axiom,(
    ! [VarCurr] :
      ( v22994(VarCurr)
    <=> ( $true
      <=> v2740(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5144,axiom,(
    ! [VarCurr] :
      ( v22980(VarCurr)
    <=> ( v22981(VarCurr)
        | v22982(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5143,axiom,(
    ! [VarCurr] :
      ( v22982(VarCurr)
    <=> ( v22984(VarCurr)
        & v22993(VarCurr) ) ) )).

fof(writeUnaryOperator_2324,axiom,(
    ! [VarCurr] :
      ( ~ v22993(VarCurr)
    <=> v22910(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5142,axiom,(
    ! [VarCurr] :
      ( v22984(VarCurr)
    <=> ( v22985(VarCurr)
        & v22992(VarCurr) ) ) )).

fof(writeUnaryOperator_2323,axiom,(
    ! [VarCurr] :
      ( ~ v22992(VarCurr)
    <=> v22902(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5141,axiom,(
    ! [VarCurr] :
      ( v22985(VarCurr)
    <=> ( v22986(VarCurr)
        & v22991(VarCurr) ) ) )).

fof(writeUnaryOperator_2322,axiom,(
    ! [VarCurr] :
      ( ~ v22991(VarCurr)
    <=> v22890(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5140,axiom,(
    ! [VarCurr] :
      ( v22986(VarCurr)
    <=> ( v22987(VarCurr)
        & v22990(VarCurr) ) ) )).

fof(writeUnaryOperator_2321,axiom,(
    ! [VarCurr] :
      ( ~ v22990(VarCurr)
    <=> v22900(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5139,axiom,(
    ! [VarCurr] :
      ( v22987(VarCurr)
    <=> ( v22988(VarCurr)
        & v22989(VarCurr) ) ) )).

fof(writeUnaryOperator_2320,axiom,(
    ! [VarCurr] :
      ( ~ v22989(VarCurr)
    <=> v22898(VarCurr) ) )).

fof(writeUnaryOperator_2319,axiom,(
    ! [VarCurr] :
      ( ~ v22988(VarCurr)
    <=> v22888(VarCurr) ) )).

fof(addAssignment_7566,axiom,(
    ! [VarCurr] :
      ( v22981(VarCurr)
    <=> v22888(VarCurr) ) )).

fof(addAssignment_7565,axiom,(
    ! [VarNext] :
      ( v2740(VarNext,bitIndex19)
    <=> v22966(VarNext,bitIndex18) ) )).

fof(addCaseBooleanConditionShiftedRanges1_33,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22967(VarNext)
       => ( ( v22966(VarNext,bitIndex19)
          <=> v2740(VarCurr,bitIndex20) )
          & ( v22966(VarNext,bitIndex18)
          <=> v2740(VarCurr,bitIndex19) )
          & ( v22966(VarNext,bitIndex17)
          <=> v2740(VarCurr,bitIndex18) )
          & ( v22966(VarNext,bitIndex16)
          <=> v2740(VarCurr,bitIndex17) )
          & ( v22966(VarNext,bitIndex15)
          <=> v2740(VarCurr,bitIndex16) )
          & ( v22966(VarNext,bitIndex14)
          <=> v2740(VarCurr,bitIndex15) )
          & ( v22966(VarNext,bitIndex13)
          <=> v2740(VarCurr,bitIndex14) )
          & ( v22966(VarNext,bitIndex12)
          <=> v2740(VarCurr,bitIndex13) )
          & ( v22966(VarNext,bitIndex11)
          <=> v2740(VarCurr,bitIndex12) )
          & ( v22966(VarNext,bitIndex10)
          <=> v2740(VarCurr,bitIndex11) )
          & ( v22966(VarNext,bitIndex9)
          <=> v2740(VarCurr,bitIndex10) )
          & ( v22966(VarNext,bitIndex8)
          <=> v2740(VarCurr,bitIndex9) )
          & ( v22966(VarNext,bitIndex7)
          <=> v2740(VarCurr,bitIndex8) )
          & ( v22966(VarNext,bitIndex6)
          <=> v2740(VarCurr,bitIndex7) )
          & ( v22966(VarNext,bitIndex5)
          <=> v2740(VarCurr,bitIndex6) )
          & ( v22966(VarNext,bitIndex4)
          <=> v2740(VarCurr,bitIndex5) )
          & ( v22966(VarNext,bitIndex3)
          <=> v2740(VarCurr,bitIndex4) )
          & ( v22966(VarNext,bitIndex2)
          <=> v2740(VarCurr,bitIndex3) )
          & ( v22966(VarNext,bitIndex1)
          <=> v2740(VarCurr,bitIndex2) )
          & ( v22966(VarNext,bitIndex0)
          <=> v2740(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_267,axiom,(
    ! [VarNext] :
      ( v22967(VarNext)
     => ! [B] :
          ( range_19_0(B)
         => ( v22966(VarNext,B)
          <=> v2762(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5138,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22967(VarNext)
      <=> v22968(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5137,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22968(VarNext)
      <=> ( v22970(VarNext)
          & v2749(VarNext) ) ) ) )).

fof(writeUnaryOperator_2318,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22970(VarNext)
      <=> v2756(VarNext) ) ) )).

fof(addAssignment_7564,axiom,(
    ! [VarNext] :
      ( v2740(VarNext,bitIndex15)
    <=> v22958(VarNext,bitIndex14) ) )).

fof(addCaseBooleanConditionShiftedRanges1_32,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22959(VarNext)
       => ( ( v22958(VarNext,bitIndex19)
          <=> v2740(VarCurr,bitIndex20) )
          & ( v22958(VarNext,bitIndex18)
          <=> v2740(VarCurr,bitIndex19) )
          & ( v22958(VarNext,bitIndex17)
          <=> v2740(VarCurr,bitIndex18) )
          & ( v22958(VarNext,bitIndex16)
          <=> v2740(VarCurr,bitIndex17) )
          & ( v22958(VarNext,bitIndex15)
          <=> v2740(VarCurr,bitIndex16) )
          & ( v22958(VarNext,bitIndex14)
          <=> v2740(VarCurr,bitIndex15) )
          & ( v22958(VarNext,bitIndex13)
          <=> v2740(VarCurr,bitIndex14) )
          & ( v22958(VarNext,bitIndex12)
          <=> v2740(VarCurr,bitIndex13) )
          & ( v22958(VarNext,bitIndex11)
          <=> v2740(VarCurr,bitIndex12) )
          & ( v22958(VarNext,bitIndex10)
          <=> v2740(VarCurr,bitIndex11) )
          & ( v22958(VarNext,bitIndex9)
          <=> v2740(VarCurr,bitIndex10) )
          & ( v22958(VarNext,bitIndex8)
          <=> v2740(VarCurr,bitIndex9) )
          & ( v22958(VarNext,bitIndex7)
          <=> v2740(VarCurr,bitIndex8) )
          & ( v22958(VarNext,bitIndex6)
          <=> v2740(VarCurr,bitIndex7) )
          & ( v22958(VarNext,bitIndex5)
          <=> v2740(VarCurr,bitIndex6) )
          & ( v22958(VarNext,bitIndex4)
          <=> v2740(VarCurr,bitIndex5) )
          & ( v22958(VarNext,bitIndex3)
          <=> v2740(VarCurr,bitIndex4) )
          & ( v22958(VarNext,bitIndex2)
          <=> v2740(VarCurr,bitIndex3) )
          & ( v22958(VarNext,bitIndex1)
          <=> v2740(VarCurr,bitIndex2) )
          & ( v22958(VarNext,bitIndex0)
          <=> v2740(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_266,axiom,(
    ! [VarNext] :
      ( v22959(VarNext)
     => ! [B] :
          ( range_19_0(B)
         => ( v22958(VarNext,B)
          <=> v2762(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5136,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22959(VarNext)
      <=> v22960(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5135,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22960(VarNext)
      <=> ( v22962(VarNext)
          & v2749(VarNext) ) ) ) )).

fof(writeUnaryOperator_2317,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22962(VarNext)
      <=> v2756(VarNext) ) ) )).

fof(addAssignment_7563,axiom,(
    ! [VarNext] :
      ( v2740(VarNext,bitIndex11)
    <=> v22950(VarNext,bitIndex10) ) )).

fof(addCaseBooleanConditionShiftedRanges1_31,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22951(VarNext)
       => ( ( v22950(VarNext,bitIndex19)
          <=> v2740(VarCurr,bitIndex20) )
          & ( v22950(VarNext,bitIndex18)
          <=> v2740(VarCurr,bitIndex19) )
          & ( v22950(VarNext,bitIndex17)
          <=> v2740(VarCurr,bitIndex18) )
          & ( v22950(VarNext,bitIndex16)
          <=> v2740(VarCurr,bitIndex17) )
          & ( v22950(VarNext,bitIndex15)
          <=> v2740(VarCurr,bitIndex16) )
          & ( v22950(VarNext,bitIndex14)
          <=> v2740(VarCurr,bitIndex15) )
          & ( v22950(VarNext,bitIndex13)
          <=> v2740(VarCurr,bitIndex14) )
          & ( v22950(VarNext,bitIndex12)
          <=> v2740(VarCurr,bitIndex13) )
          & ( v22950(VarNext,bitIndex11)
          <=> v2740(VarCurr,bitIndex12) )
          & ( v22950(VarNext,bitIndex10)
          <=> v2740(VarCurr,bitIndex11) )
          & ( v22950(VarNext,bitIndex9)
          <=> v2740(VarCurr,bitIndex10) )
          & ( v22950(VarNext,bitIndex8)
          <=> v2740(VarCurr,bitIndex9) )
          & ( v22950(VarNext,bitIndex7)
          <=> v2740(VarCurr,bitIndex8) )
          & ( v22950(VarNext,bitIndex6)
          <=> v2740(VarCurr,bitIndex7) )
          & ( v22950(VarNext,bitIndex5)
          <=> v2740(VarCurr,bitIndex6) )
          & ( v22950(VarNext,bitIndex4)
          <=> v2740(VarCurr,bitIndex5) )
          & ( v22950(VarNext,bitIndex3)
          <=> v2740(VarCurr,bitIndex4) )
          & ( v22950(VarNext,bitIndex2)
          <=> v2740(VarCurr,bitIndex3) )
          & ( v22950(VarNext,bitIndex1)
          <=> v2740(VarCurr,bitIndex2) )
          & ( v22950(VarNext,bitIndex0)
          <=> v2740(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_265,axiom,(
    ! [VarNext] :
      ( v22951(VarNext)
     => ! [B] :
          ( range_19_0(B)
         => ( v22950(VarNext,B)
          <=> v2762(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5134,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22951(VarNext)
      <=> v22952(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5133,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22952(VarNext)
      <=> ( v22954(VarNext)
          & v2749(VarNext) ) ) ) )).

fof(writeUnaryOperator_2316,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22954(VarNext)
      <=> v2756(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_314,axiom,(
    ! [VarCurr] :
      ( ~ v22942(VarCurr)
     => ( v2734(VarCurr,bitIndex11)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_371,axiom,(
    ! [VarCurr] :
      ( v22942(VarCurr)
     => ( v2734(VarCurr,bitIndex11)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5132,axiom,(
    ! [VarCurr] :
      ( v22942(VarCurr)
    <=> ( v22943(VarCurr)
        | v22946(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5131,axiom,(
    ! [VarCurr] :
      ( v22946(VarCurr)
    <=> ( v22947(VarCurr)
        & v22948(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1636,axiom,(
    ! [VarCurr] :
      ( v22948(VarCurr)
    <=> ( $true
      <=> v2740(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5130,axiom,(
    ! [VarCurr] :
      ( v22947(VarCurr)
    <=> ( v2736(VarCurr)
        & v11626(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5129,axiom,(
    ! [VarCurr] :
      ( v22943(VarCurr)
    <=> ( v22944(VarCurr)
        & v22945(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1635,axiom,(
    ! [VarCurr] :
      ( v22945(VarCurr)
    <=> ( $true
      <=> v2740(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5128,axiom,(
    ! [VarCurr] :
      ( v22944(VarCurr)
    <=> ( v2736(VarCurr)
        & v11626(VarCurr) ) ) )).

fof(addAssignment_7562,axiom,(
    ! [VarNext] :
      ( v2740(VarNext,bitIndex7)
    <=> v22934(VarNext,bitIndex6) ) )).

fof(addCaseBooleanConditionShiftedRanges1_30,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22935(VarNext)
       => ( ( v22934(VarNext,bitIndex19)
          <=> v2740(VarCurr,bitIndex20) )
          & ( v22934(VarNext,bitIndex18)
          <=> v2740(VarCurr,bitIndex19) )
          & ( v22934(VarNext,bitIndex17)
          <=> v2740(VarCurr,bitIndex18) )
          & ( v22934(VarNext,bitIndex16)
          <=> v2740(VarCurr,bitIndex17) )
          & ( v22934(VarNext,bitIndex15)
          <=> v2740(VarCurr,bitIndex16) )
          & ( v22934(VarNext,bitIndex14)
          <=> v2740(VarCurr,bitIndex15) )
          & ( v22934(VarNext,bitIndex13)
          <=> v2740(VarCurr,bitIndex14) )
          & ( v22934(VarNext,bitIndex12)
          <=> v2740(VarCurr,bitIndex13) )
          & ( v22934(VarNext,bitIndex11)
          <=> v2740(VarCurr,bitIndex12) )
          & ( v22934(VarNext,bitIndex10)
          <=> v2740(VarCurr,bitIndex11) )
          & ( v22934(VarNext,bitIndex9)
          <=> v2740(VarCurr,bitIndex10) )
          & ( v22934(VarNext,bitIndex8)
          <=> v2740(VarCurr,bitIndex9) )
          & ( v22934(VarNext,bitIndex7)
          <=> v2740(VarCurr,bitIndex8) )
          & ( v22934(VarNext,bitIndex6)
          <=> v2740(VarCurr,bitIndex7) )
          & ( v22934(VarNext,bitIndex5)
          <=> v2740(VarCurr,bitIndex6) )
          & ( v22934(VarNext,bitIndex4)
          <=> v2740(VarCurr,bitIndex5) )
          & ( v22934(VarNext,bitIndex3)
          <=> v2740(VarCurr,bitIndex4) )
          & ( v22934(VarNext,bitIndex2)
          <=> v2740(VarCurr,bitIndex3) )
          & ( v22934(VarNext,bitIndex1)
          <=> v2740(VarCurr,bitIndex2) )
          & ( v22934(VarNext,bitIndex0)
          <=> v2740(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_264,axiom,(
    ! [VarNext] :
      ( v22935(VarNext)
     => ! [B] :
          ( range_19_0(B)
         => ( v22934(VarNext,B)
          <=> v2762(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5127,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22935(VarNext)
      <=> v22936(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5126,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22936(VarNext)
      <=> ( v22938(VarNext)
          & v2749(VarNext) ) ) ) )).

fof(writeUnaryOperator_2315,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22938(VarNext)
      <=> v2756(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_313,axiom,(
    ! [VarCurr] :
      ( ~ v22925(VarCurr)
     => ( v2734(VarCurr,bitIndex7)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_370,axiom,(
    ! [VarCurr] :
      ( v22925(VarCurr)
     => ( v2734(VarCurr,bitIndex7)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5125,axiom,(
    ! [VarCurr] :
      ( v22925(VarCurr)
    <=> ( v22926(VarCurr)
        | v22930(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5124,axiom,(
    ! [VarCurr] :
      ( v22930(VarCurr)
    <=> ( v22931(VarCurr)
        & v22932(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1634,axiom,(
    ! [VarCurr] :
      ( v22932(VarCurr)
    <=> ( $true
      <=> v2740(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5123,axiom,(
    ! [VarCurr] :
      ( v22931(VarCurr)
    <=> ( v2736(VarCurr)
        & v11626(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5122,axiom,(
    ! [VarCurr] :
      ( v22926(VarCurr)
    <=> ( v22927(VarCurr)
        & v22929(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1633,axiom,(
    ! [VarCurr] :
      ( v22929(VarCurr)
    <=> ( $true
      <=> v2740(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5121,axiom,(
    ! [VarCurr] :
      ( v22927(VarCurr)
    <=> ( v2736(VarCurr)
        & v11626(VarCurr) ) ) )).

fof(addAssignment_7561,axiom,(
    ! [VarNext] :
      ( v2740(VarNext,bitIndex3)
    <=> v22917(VarNext,bitIndex2) ) )).

fof(addCaseBooleanConditionShiftedRanges1_29,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22918(VarNext)
       => ( ( v22917(VarNext,bitIndex19)
          <=> v2740(VarCurr,bitIndex20) )
          & ( v22917(VarNext,bitIndex18)
          <=> v2740(VarCurr,bitIndex19) )
          & ( v22917(VarNext,bitIndex17)
          <=> v2740(VarCurr,bitIndex18) )
          & ( v22917(VarNext,bitIndex16)
          <=> v2740(VarCurr,bitIndex17) )
          & ( v22917(VarNext,bitIndex15)
          <=> v2740(VarCurr,bitIndex16) )
          & ( v22917(VarNext,bitIndex14)
          <=> v2740(VarCurr,bitIndex15) )
          & ( v22917(VarNext,bitIndex13)
          <=> v2740(VarCurr,bitIndex14) )
          & ( v22917(VarNext,bitIndex12)
          <=> v2740(VarCurr,bitIndex13) )
          & ( v22917(VarNext,bitIndex11)
          <=> v2740(VarCurr,bitIndex12) )
          & ( v22917(VarNext,bitIndex10)
          <=> v2740(VarCurr,bitIndex11) )
          & ( v22917(VarNext,bitIndex9)
          <=> v2740(VarCurr,bitIndex10) )
          & ( v22917(VarNext,bitIndex8)
          <=> v2740(VarCurr,bitIndex9) )
          & ( v22917(VarNext,bitIndex7)
          <=> v2740(VarCurr,bitIndex8) )
          & ( v22917(VarNext,bitIndex6)
          <=> v2740(VarCurr,bitIndex7) )
          & ( v22917(VarNext,bitIndex5)
          <=> v2740(VarCurr,bitIndex6) )
          & ( v22917(VarNext,bitIndex4)
          <=> v2740(VarCurr,bitIndex5) )
          & ( v22917(VarNext,bitIndex3)
          <=> v2740(VarCurr,bitIndex4) )
          & ( v22917(VarNext,bitIndex2)
          <=> v2740(VarCurr,bitIndex3) )
          & ( v22917(VarNext,bitIndex1)
          <=> v2740(VarCurr,bitIndex2) )
          & ( v22917(VarNext,bitIndex0)
          <=> v2740(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_263,axiom,(
    ! [VarNext] :
      ( v22918(VarNext)
     => ! [B] :
          ( range_19_0(B)
         => ( v22917(VarNext,B)
          <=> v2762(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5120,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22918(VarNext)
      <=> v22919(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5119,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22919(VarNext)
      <=> ( v22921(VarNext)
          & v2749(VarNext) ) ) ) )).

fof(writeUnaryOperator_2314,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22921(VarNext)
      <=> v2756(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5118,axiom,(
    ! [VarCurr] :
      ( v22910(VarCurr)
    <=> ( v22912(VarCurr)
        & v22914(VarCurr) ) ) )).

fof(writeUnaryOperator_2313,axiom,(
    ! [VarCurr] :
      ( ~ v22914(VarCurr)
    <=> v22906(VarCurr) ) )).

fof(addAssignment_7560,axiom,(
    ! [VarCurr] :
      ( v22912(VarCurr)
    <=> v12952(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5117,axiom,(
    ! [VarCurr] :
      ( v22902(VarCurr)
    <=> ( v22904(VarCurr)
        & v22908(VarCurr) ) ) )).

fof(writeUnaryOperator_2312,axiom,(
    ! [VarCurr] :
      ( ~ v22908(VarCurr)
    <=> v22906(VarCurr) ) )).

fof(addAssignment_7559,axiom,(
    ! [VarCurr] :
      ( v22906(VarCurr)
    <=> v2720(VarCurr) ) )).

fof(addAssignment_7558,axiom,(
    ! [VarCurr] :
      ( v22904(VarCurr)
    <=> v644(VarCurr) ) )).

fof(addAssignment_7557,axiom,(
    ! [VarCurr] :
      ( v22900(VarCurr)
    <=> v22126(VarCurr) ) )).

fof(addAssignment_7556,axiom,(
    ! [VarCurr] :
      ( v22898(VarCurr)
    <=> v22108(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5116,axiom,(
    ! [VarCurr] :
      ( v22890(VarCurr)
    <=> ( v22892(VarCurr)
        & v22896(VarCurr) ) ) )).

fof(writeUnaryOperator_2311,axiom,(
    ! [VarCurr] :
      ( ~ v22896(VarCurr)
    <=> v22894(VarCurr) ) )).

fof(addAssignment_7555,axiom,(
    ! [VarCurr] :
      ( v22894(VarCurr)
    <=> v12983(VarCurr) ) )).

fof(addAssignment_7554,axiom,(
    ! [VarCurr] :
      ( v22892(VarCurr)
    <=> v12968(VarCurr) ) )).

fof(addAssignment_7553,axiom,(
    ! [VarCurr] :
      ( v22888(VarCurr)
    <=> v131(VarCurr) ) )).

fof(addAssignment_7552,axiom,(
    ! [VarCurr] :
      ( v11626(VarCurr)
    <=> v11628(VarCurr) ) )).

fof(addAssignment_7551,axiom,(
    ! [VarCurr] :
      ( v11628(VarCurr)
    <=> v11630(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1276,axiom,(
    ! [VarCurr] :
      ( v11630(VarCurr)
    <=> ( v22873(VarCurr)
        | v11632(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1275,axiom,(
    ! [VarCurr] :
      ( v22873(VarCurr)
    <=> ( v22874(VarCurr)
        | v11632(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1274,axiom,(
    ! [VarCurr] :
      ( v22874(VarCurr)
    <=> ( v22875(VarCurr)
        | v11632(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1273,axiom,(
    ! [VarCurr] :
      ( v22875(VarCurr)
    <=> ( v22876(VarCurr)
        | v11632(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1272,axiom,(
    ! [VarCurr] :
      ( v22876(VarCurr)
    <=> ( v22877(VarCurr)
        | v11632(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1271,axiom,(
    ! [VarCurr] :
      ( v22877(VarCurr)
    <=> ( v22878(VarCurr)
        | v11632(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1270,axiom,(
    ! [VarCurr] :
      ( v22878(VarCurr)
    <=> ( v22879(VarCurr)
        | v11632(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1269,axiom,(
    ! [VarCurr] :
      ( v22879(VarCurr)
    <=> ( v22880(VarCurr)
        | v11632(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1268,axiom,(
    ! [VarCurr] :
      ( v22880(VarCurr)
    <=> ( v22881(VarCurr)
        | v11632(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1267,axiom,(
    ! [VarCurr] :
      ( v22881(VarCurr)
    <=> ( v22882(VarCurr)
        | v11632(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1266,axiom,(
    ! [VarCurr] :
      ( v22882(VarCurr)
    <=> ( v22883(VarCurr)
        | v11632(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1265,axiom,(
    ! [VarCurr] :
      ( v22883(VarCurr)
    <=> ( v22884(VarCurr)
        | v11632(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1264,axiom,(
    ! [VarCurr] :
      ( v22884(VarCurr)
    <=> ( v22885(VarCurr)
        | v11632(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1263,axiom,(
    ! [VarCurr] :
      ( v22885(VarCurr)
    <=> ( v22886(VarCurr)
        | v11632(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1262,axiom,(
    ! [VarCurr] :
      ( v22886(VarCurr)
    <=> ( v11632(VarCurr,bitIndex0)
        | v11632(VarCurr,bitIndex1) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_238,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22857(VarNext)
       => ! [B] :
            ( range_15_0(B)
           => ( v11632(VarNext,B)
            <=> v11632(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_262,axiom,(
    ! [VarNext] :
      ( v22857(VarNext)
     => ! [B] :
          ( range_15_0(B)
         => ( v11632(VarNext,B)
          <=> v22867(VarNext,B) ) ) ) )).

fof(addAssignment_7550,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_15_0(B)
         => ( v22867(VarNext,B)
          <=> v22865(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_552,axiom,(
    ! [VarCurr] :
      ( ~ v22868(VarCurr)
     => ! [B] :
          ( range_15_0(B)
         => ( v22865(VarCurr,B)
          <=> v11637(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_495,axiom,(
    ! [VarCurr] :
      ( v22868(VarCurr)
     => ! [B] :
          ( range_15_0(B)
         => ( v22865(VarCurr,B)
          <=> $true ) ) ) )).

fof(writeUnaryOperator_2310,axiom,(
    ! [VarCurr] :
      ( ~ v22868(VarCurr)
    <=> v11634(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5115,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22857(VarNext)
      <=> v22858(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5114,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22858(VarNext)
      <=> ( v22859(VarNext)
          & v22854(VarNext) ) ) ) )).

fof(writeUnaryOperator_2309,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22859(VarNext)
      <=> v22861(VarNext) ) ) )).

fof(addAssignment_7549,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22861(VarNext)
      <=> v22854(VarCurr) ) ) )).

fof(addAssignment_7548,axiom,(
    ! [VarCurr] :
      ( v22854(VarCurr)
    <=> v660(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_117,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v11637(VarCurr,B)
      <=> ( v22851(VarCurr,B)
          & v22852(VarCurr,B) ) ) ) )).

fof(writeUnaryOperator_2308,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v22852(VarCurr,B)
      <=> ~ v12931(VarCurr,B) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_116,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v22851(VarCurr,B)
      <=> ( v11639(VarCurr,B)
          | v11632(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_115,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v12931(VarCurr,B)
      <=> ( v12933(VarCurr,B)
          & v22848(VarCurr,B) ) ) ) )).

fof(addAssignment_7547,axiom,(
    ! [VarCurr] :
      ( v22848(VarCurr,bitIndex0)
    <=> v22849(VarCurr) ) )).

fof(addAssignment_7546,axiom,(
    ! [VarCurr] :
      ( v22848(VarCurr,bitIndex1)
    <=> v22849(VarCurr) ) )).

fof(addAssignment_7545,axiom,(
    ! [VarCurr] :
      ( v22848(VarCurr,bitIndex2)
    <=> v22849(VarCurr) ) )).

fof(addAssignment_7544,axiom,(
    ! [VarCurr] :
      ( v22848(VarCurr,bitIndex3)
    <=> v22849(VarCurr) ) )).

fof(addAssignment_7543,axiom,(
    ! [VarCurr] :
      ( v22848(VarCurr,bitIndex4)
    <=> v22849(VarCurr) ) )).

fof(addAssignment_7542,axiom,(
    ! [VarCurr] :
      ( v22848(VarCurr,bitIndex5)
    <=> v22849(VarCurr) ) )).

fof(addAssignment_7541,axiom,(
    ! [VarCurr] :
      ( v22848(VarCurr,bitIndex6)
    <=> v22849(VarCurr) ) )).

fof(addAssignment_7540,axiom,(
    ! [VarCurr] :
      ( v22848(VarCurr,bitIndex7)
    <=> v22849(VarCurr) ) )).

fof(addAssignment_7539,axiom,(
    ! [VarCurr] :
      ( v22848(VarCurr,bitIndex8)
    <=> v22849(VarCurr) ) )).

fof(addAssignment_7538,axiom,(
    ! [VarCurr] :
      ( v22848(VarCurr,bitIndex9)
    <=> v22849(VarCurr) ) )).

fof(addAssignment_7537,axiom,(
    ! [VarCurr] :
      ( v22848(VarCurr,bitIndex10)
    <=> v22849(VarCurr) ) )).

fof(addAssignment_7536,axiom,(
    ! [VarCurr] :
      ( v22848(VarCurr,bitIndex11)
    <=> v22849(VarCurr) ) )).

fof(addAssignment_7535,axiom,(
    ! [VarCurr] :
      ( v22848(VarCurr,bitIndex12)
    <=> v22849(VarCurr) ) )).

fof(addAssignment_7534,axiom,(
    ! [VarCurr] :
      ( v22848(VarCurr,bitIndex13)
    <=> v22849(VarCurr) ) )).

fof(addAssignment_7533,axiom,(
    ! [VarCurr] :
      ( v22848(VarCurr,bitIndex14)
    <=> v22849(VarCurr) ) )).

fof(addAssignment_7532,axiom,(
    ! [VarCurr] :
      ( v22848(VarCurr,bitIndex15)
    <=> v22849(VarCurr) ) )).

fof(addAssignment_7531,axiom,(
    ! [VarCurr] :
      ( v22849(VarCurr)
    <=> v12940(VarCurr) ) )).

fof(addAssignment_7530,axiom,(
    ! [VarCurr] :
      ( v12940(VarCurr)
    <=> v12942(VarCurr) ) )).

fof(addAssignment_7529,axiom,(
    ! [VarCurr] :
      ( v12942(VarCurr)
    <=> v12944(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5113,axiom,(
    ! [VarCurr] :
      ( v12944(VarCurr)
    <=> ( v22845(VarCurr)
        | v22212(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5112,axiom,(
    ! [VarCurr] :
      ( v22845(VarCurr)
    <=> ( v22846(VarCurr)
        | v16682(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1261,axiom,(
    ! [VarCurr] :
      ( v22846(VarCurr)
    <=> ( v615(VarCurr,bitIndex3)
        | v615(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5111,axiom,(
    ! [VarCurr] :
      ( v22212(VarCurr)
    <=> ( v22214(VarCurr)
        | v22840(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5110,axiom,(
    ! [VarCurr] :
      ( v22840(VarCurr)
    <=> ( v22842(VarCurr)
        & v22218(VarCurr) ) ) )).

fof(writeUnaryOperator_2307,axiom,(
    ! [VarCurr] :
      ( ~ v22842(VarCurr)
    <=> v22216(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5109,axiom,(
    ! [VarCurr] :
      ( v22214(VarCurr)
    <=> ( v22838(VarCurr)
        & v22236(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5108,axiom,(
    ! [VarCurr] :
      ( v22838(VarCurr)
    <=> ( v22216(VarCurr)
        & v22218(VarCurr) ) ) )).

fof(addAssignment_7528,axiom,(
    ! [VarCurr] :
      ( v22236(VarCurr)
    <=> v22238(VarCurr) ) )).

fof(addAssignment_7527,axiom,(
    ! [VarCurr] :
      ( v22238(VarCurr)
    <=> v22240(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1260,axiom,(
    ! [VarCurr] :
      ( v22240(VarCurr)
    <=> ( v22830(VarCurr)
        & v22242(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1259,axiom,(
    ! [VarCurr] :
      ( v22830(VarCurr)
    <=> ( v22831(VarCurr)
        & v22242(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1258,axiom,(
    ! [VarCurr] :
      ( v22831(VarCurr)
    <=> ( v22832(VarCurr)
        & v22242(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1257,axiom,(
    ! [VarCurr] :
      ( v22832(VarCurr)
    <=> ( v22833(VarCurr)
        & v22242(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1256,axiom,(
    ! [VarCurr] :
      ( v22833(VarCurr)
    <=> ( v22834(VarCurr)
        & v22242(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1255,axiom,(
    ! [VarCurr] :
      ( v22834(VarCurr)
    <=> ( v22835(VarCurr)
        & v22242(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1254,axiom,(
    ! [VarCurr] :
      ( v22835(VarCurr)
    <=> ( v22836(VarCurr)
        & v22242(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1253,axiom,(
    ! [VarCurr] :
      ( v22836(VarCurr)
    <=> ( v22242(VarCurr,bitIndex0)
        & v22242(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_7526,axiom,(
    ! [VarCurr] :
      ( ( v22242(VarCurr,bitIndex8)
      <=> v22763(VarCurr,bitIndex16) )
      & ( v22242(VarCurr,bitIndex7)
      <=> v22763(VarCurr,bitIndex15) )
      & ( v22242(VarCurr,bitIndex6)
      <=> v22763(VarCurr,bitIndex14) )
      & ( v22242(VarCurr,bitIndex5)
      <=> v22763(VarCurr,bitIndex13) )
      & ( v22242(VarCurr,bitIndex4)
      <=> v22763(VarCurr,bitIndex12) )
      & ( v22242(VarCurr,bitIndex3)
      <=> v22763(VarCurr,bitIndex11) )
      & ( v22242(VarCurr,bitIndex2)
      <=> v22763(VarCurr,bitIndex10) )
      & ( v22242(VarCurr,bitIndex1)
      <=> v22763(VarCurr,bitIndex9) )
      & ( v22242(VarCurr,bitIndex0)
      <=> v22763(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_114,axiom,(
    ! [VarCurr,B] :
      ( range_16_0(B)
     => ( v22763(VarCurr,B)
      <=> ( v22765(VarCurr,B)
          | v22825(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_113,axiom,(
    ! [VarCurr,B] :
      ( range_16_0(B)
     => ( v22825(VarCurr,B)
      <=> ( v22826(VarCurr,B)
          & v22827(VarCurr,B) ) ) ) )).

fof(addAssignment_7525,axiom,(
    ! [VarCurr] :
      ( v22827(VarCurr,bitIndex0)
    <=> v22775(VarCurr,bitIndex3) ) )).

fof(addAssignment_7524,axiom,(
    ! [VarCurr] :
      ( v22827(VarCurr,bitIndex1)
    <=> v22775(VarCurr,bitIndex3) ) )).

fof(addAssignment_7523,axiom,(
    ! [VarCurr] :
      ( v22827(VarCurr,bitIndex2)
    <=> v22775(VarCurr,bitIndex3) ) )).

fof(addAssignment_7522,axiom,(
    ! [VarCurr] :
      ( v22827(VarCurr,bitIndex3)
    <=> v22775(VarCurr,bitIndex3) ) )).

fof(addAssignment_7521,axiom,(
    ! [VarCurr] :
      ( v22827(VarCurr,bitIndex4)
    <=> v22775(VarCurr,bitIndex3) ) )).

fof(addAssignment_7520,axiom,(
    ! [VarCurr] :
      ( v22827(VarCurr,bitIndex5)
    <=> v22775(VarCurr,bitIndex3) ) )).

fof(addAssignment_7519,axiom,(
    ! [VarCurr] :
      ( v22827(VarCurr,bitIndex6)
    <=> v22775(VarCurr,bitIndex3) ) )).

fof(addAssignment_7518,axiom,(
    ! [VarCurr] :
      ( v22827(VarCurr,bitIndex7)
    <=> v22775(VarCurr,bitIndex3) ) )).

fof(addAssignment_7517,axiom,(
    ! [VarCurr] :
      ( v22827(VarCurr,bitIndex8)
    <=> v22775(VarCurr,bitIndex3) ) )).

fof(addAssignment_7516,axiom,(
    ! [VarCurr] :
      ( v22827(VarCurr,bitIndex9)
    <=> v22775(VarCurr,bitIndex3) ) )).

fof(addAssignment_7515,axiom,(
    ! [VarCurr] :
      ( v22827(VarCurr,bitIndex10)
    <=> v22775(VarCurr,bitIndex3) ) )).

fof(addAssignment_7514,axiom,(
    ! [VarCurr] :
      ( v22827(VarCurr,bitIndex11)
    <=> v22775(VarCurr,bitIndex3) ) )).

fof(addAssignment_7513,axiom,(
    ! [VarCurr] :
      ( v22827(VarCurr,bitIndex12)
    <=> v22775(VarCurr,bitIndex3) ) )).

fof(addAssignment_7512,axiom,(
    ! [VarCurr] :
      ( v22827(VarCurr,bitIndex13)
    <=> v22775(VarCurr,bitIndex3) ) )).

fof(addAssignment_7511,axiom,(
    ! [VarCurr] :
      ( v22827(VarCurr,bitIndex14)
    <=> v22775(VarCurr,bitIndex3) ) )).

fof(addAssignment_7510,axiom,(
    ! [VarCurr] :
      ( v22827(VarCurr,bitIndex15)
    <=> v22775(VarCurr,bitIndex3) ) )).

fof(addAssignment_7509,axiom,(
    ! [VarCurr] :
      ( v22827(VarCurr,bitIndex16)
    <=> v22775(VarCurr,bitIndex3) ) )).

fof(addAssignment_7508,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v22826(VarCurr,B)
      <=> $false ) ) )).

fof(addAssignment_7507,axiom,(
    ! [VarCurr] :
      ( ( v22826(VarCurr,bitIndex16)
      <=> v22766(VarCurr,bitIndex8) )
      & ( v22826(VarCurr,bitIndex15)
      <=> v22766(VarCurr,bitIndex7) )
      & ( v22826(VarCurr,bitIndex14)
      <=> v22766(VarCurr,bitIndex6) )
      & ( v22826(VarCurr,bitIndex13)
      <=> v22766(VarCurr,bitIndex5) )
      & ( v22826(VarCurr,bitIndex12)
      <=> v22766(VarCurr,bitIndex4) )
      & ( v22826(VarCurr,bitIndex11)
      <=> v22766(VarCurr,bitIndex3) )
      & ( v22826(VarCurr,bitIndex10)
      <=> v22766(VarCurr,bitIndex2) )
      & ( v22826(VarCurr,bitIndex9)
      <=> v22766(VarCurr,bitIndex1) )
      & ( v22826(VarCurr,bitIndex8)
      <=> v22766(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_112,axiom,(
    ! [VarCurr,B] :
      ( range_16_0(B)
     => ( v22765(VarCurr,B)
      <=> ( v22766(VarCurr,B)
          & v22823(VarCurr,B) ) ) ) )).

fof(addAssignment_7506,axiom,(
    ! [VarCurr] :
      ( v22823(VarCurr,bitIndex0)
    <=> v22824(VarCurr) ) )).

fof(addAssignment_7505,axiom,(
    ! [VarCurr] :
      ( v22823(VarCurr,bitIndex1)
    <=> v22824(VarCurr) ) )).

fof(addAssignment_7504,axiom,(
    ! [VarCurr] :
      ( v22823(VarCurr,bitIndex2)
    <=> v22824(VarCurr) ) )).

fof(addAssignment_7503,axiom,(
    ! [VarCurr] :
      ( v22823(VarCurr,bitIndex3)
    <=> v22824(VarCurr) ) )).

fof(addAssignment_7502,axiom,(
    ! [VarCurr] :
      ( v22823(VarCurr,bitIndex4)
    <=> v22824(VarCurr) ) )).

fof(addAssignment_7501,axiom,(
    ! [VarCurr] :
      ( v22823(VarCurr,bitIndex5)
    <=> v22824(VarCurr) ) )).

fof(addAssignment_7500,axiom,(
    ! [VarCurr] :
      ( v22823(VarCurr,bitIndex6)
    <=> v22824(VarCurr) ) )).

fof(addAssignment_7499,axiom,(
    ! [VarCurr] :
      ( v22823(VarCurr,bitIndex7)
    <=> v22824(VarCurr) ) )).

fof(addAssignment_7498,axiom,(
    ! [VarCurr] :
      ( v22823(VarCurr,bitIndex8)
    <=> v22824(VarCurr) ) )).

fof(addAssignment_7497,axiom,(
    ! [VarCurr] :
      ( v22823(VarCurr,bitIndex9)
    <=> v22824(VarCurr) ) )).

fof(addAssignment_7496,axiom,(
    ! [VarCurr] :
      ( v22823(VarCurr,bitIndex10)
    <=> v22824(VarCurr) ) )).

fof(addAssignment_7495,axiom,(
    ! [VarCurr] :
      ( v22823(VarCurr,bitIndex11)
    <=> v22824(VarCurr) ) )).

fof(addAssignment_7494,axiom,(
    ! [VarCurr] :
      ( v22823(VarCurr,bitIndex12)
    <=> v22824(VarCurr) ) )).

fof(addAssignment_7493,axiom,(
    ! [VarCurr] :
      ( v22823(VarCurr,bitIndex13)
    <=> v22824(VarCurr) ) )).

fof(addAssignment_7492,axiom,(
    ! [VarCurr] :
      ( v22823(VarCurr,bitIndex14)
    <=> v22824(VarCurr) ) )).

fof(addAssignment_7491,axiom,(
    ! [VarCurr] :
      ( v22823(VarCurr,bitIndex15)
    <=> v22824(VarCurr) ) )).

fof(addAssignment_7490,axiom,(
    ! [VarCurr] :
      ( v22823(VarCurr,bitIndex16)
    <=> v22824(VarCurr) ) )).

fof(writeUnaryOperator_2306,axiom,(
    ! [VarCurr] :
      ( ~ v22824(VarCurr)
    <=> v22775(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_111,axiom,(
    ! [VarCurr,B] :
      ( range_16_0(B)
     => ( v22766(VarCurr,B)
      <=> ( v22767(VarCurr,B)
          | v22820(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_110,axiom,(
    ! [VarCurr,B] :
      ( range_16_0(B)
     => ( v22820(VarCurr,B)
      <=> ( v22821(VarCurr,B)
          & v22822(VarCurr,B) ) ) ) )).

fof(addAssignment_7489,axiom,(
    ! [VarCurr] :
      ( v22822(VarCurr,bitIndex0)
    <=> v22775(VarCurr,bitIndex2) ) )).

fof(addAssignment_7488,axiom,(
    ! [VarCurr] :
      ( v22822(VarCurr,bitIndex1)
    <=> v22775(VarCurr,bitIndex2) ) )).

fof(addAssignment_7487,axiom,(
    ! [VarCurr] :
      ( v22822(VarCurr,bitIndex2)
    <=> v22775(VarCurr,bitIndex2) ) )).

fof(addAssignment_7486,axiom,(
    ! [VarCurr] :
      ( v22822(VarCurr,bitIndex3)
    <=> v22775(VarCurr,bitIndex2) ) )).

fof(addAssignment_7485,axiom,(
    ! [VarCurr] :
      ( v22822(VarCurr,bitIndex4)
    <=> v22775(VarCurr,bitIndex2) ) )).

fof(addAssignment_7484,axiom,(
    ! [VarCurr] :
      ( v22822(VarCurr,bitIndex5)
    <=> v22775(VarCurr,bitIndex2) ) )).

fof(addAssignment_7483,axiom,(
    ! [VarCurr] :
      ( v22822(VarCurr,bitIndex6)
    <=> v22775(VarCurr,bitIndex2) ) )).

fof(addAssignment_7482,axiom,(
    ! [VarCurr] :
      ( v22822(VarCurr,bitIndex7)
    <=> v22775(VarCurr,bitIndex2) ) )).

fof(addAssignment_7481,axiom,(
    ! [VarCurr] :
      ( v22822(VarCurr,bitIndex8)
    <=> v22775(VarCurr,bitIndex2) ) )).

fof(addAssignment_7480,axiom,(
    ! [VarCurr] :
      ( v22822(VarCurr,bitIndex9)
    <=> v22775(VarCurr,bitIndex2) ) )).

fof(addAssignment_7479,axiom,(
    ! [VarCurr] :
      ( v22822(VarCurr,bitIndex10)
    <=> v22775(VarCurr,bitIndex2) ) )).

fof(addAssignment_7478,axiom,(
    ! [VarCurr] :
      ( v22822(VarCurr,bitIndex11)
    <=> v22775(VarCurr,bitIndex2) ) )).

fof(addAssignment_7477,axiom,(
    ! [VarCurr] :
      ( v22822(VarCurr,bitIndex12)
    <=> v22775(VarCurr,bitIndex2) ) )).

fof(addAssignment_7476,axiom,(
    ! [VarCurr] :
      ( v22822(VarCurr,bitIndex13)
    <=> v22775(VarCurr,bitIndex2) ) )).

fof(addAssignment_7475,axiom,(
    ! [VarCurr] :
      ( v22822(VarCurr,bitIndex14)
    <=> v22775(VarCurr,bitIndex2) ) )).

fof(addAssignment_7474,axiom,(
    ! [VarCurr] :
      ( v22822(VarCurr,bitIndex15)
    <=> v22775(VarCurr,bitIndex2) ) )).

fof(addAssignment_7473,axiom,(
    ! [VarCurr] :
      ( v22822(VarCurr,bitIndex16)
    <=> v22775(VarCurr,bitIndex2) ) )).

fof(addAssignment_7472,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v22821(VarCurr,B)
      <=> $false ) ) )).

fof(addAssignment_7471,axiom,(
    ! [VarCurr] :
      ( ( v22821(VarCurr,bitIndex16)
      <=> v22768(VarCurr,bitIndex12) )
      & ( v22821(VarCurr,bitIndex15)
      <=> v22768(VarCurr,bitIndex11) )
      & ( v22821(VarCurr,bitIndex14)
      <=> v22768(VarCurr,bitIndex10) )
      & ( v22821(VarCurr,bitIndex13)
      <=> v22768(VarCurr,bitIndex9) )
      & ( v22821(VarCurr,bitIndex12)
      <=> v22768(VarCurr,bitIndex8) )
      & ( v22821(VarCurr,bitIndex11)
      <=> v22768(VarCurr,bitIndex7) )
      & ( v22821(VarCurr,bitIndex10)
      <=> v22768(VarCurr,bitIndex6) )
      & ( v22821(VarCurr,bitIndex9)
      <=> v22768(VarCurr,bitIndex5) )
      & ( v22821(VarCurr,bitIndex8)
      <=> v22768(VarCurr,bitIndex4) )
      & ( v22821(VarCurr,bitIndex7)
      <=> v22768(VarCurr,bitIndex3) )
      & ( v22821(VarCurr,bitIndex6)
      <=> v22768(VarCurr,bitIndex2) )
      & ( v22821(VarCurr,bitIndex5)
      <=> v22768(VarCurr,bitIndex1) )
      & ( v22821(VarCurr,bitIndex4)
      <=> v22768(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_109,axiom,(
    ! [VarCurr,B] :
      ( range_16_0(B)
     => ( v22767(VarCurr,B)
      <=> ( v22768(VarCurr,B)
          & v22818(VarCurr,B) ) ) ) )).

fof(addAssignment_7470,axiom,(
    ! [VarCurr] :
      ( v22818(VarCurr,bitIndex0)
    <=> v22819(VarCurr) ) )).

fof(addAssignment_7469,axiom,(
    ! [VarCurr] :
      ( v22818(VarCurr,bitIndex1)
    <=> v22819(VarCurr) ) )).

fof(addAssignment_7468,axiom,(
    ! [VarCurr] :
      ( v22818(VarCurr,bitIndex2)
    <=> v22819(VarCurr) ) )).

fof(addAssignment_7467,axiom,(
    ! [VarCurr] :
      ( v22818(VarCurr,bitIndex3)
    <=> v22819(VarCurr) ) )).

fof(addAssignment_7466,axiom,(
    ! [VarCurr] :
      ( v22818(VarCurr,bitIndex4)
    <=> v22819(VarCurr) ) )).

fof(addAssignment_7465,axiom,(
    ! [VarCurr] :
      ( v22818(VarCurr,bitIndex5)
    <=> v22819(VarCurr) ) )).

fof(addAssignment_7464,axiom,(
    ! [VarCurr] :
      ( v22818(VarCurr,bitIndex6)
    <=> v22819(VarCurr) ) )).

fof(addAssignment_7463,axiom,(
    ! [VarCurr] :
      ( v22818(VarCurr,bitIndex7)
    <=> v22819(VarCurr) ) )).

fof(addAssignment_7462,axiom,(
    ! [VarCurr] :
      ( v22818(VarCurr,bitIndex8)
    <=> v22819(VarCurr) ) )).

fof(addAssignment_7461,axiom,(
    ! [VarCurr] :
      ( v22818(VarCurr,bitIndex9)
    <=> v22819(VarCurr) ) )).

fof(addAssignment_7460,axiom,(
    ! [VarCurr] :
      ( v22818(VarCurr,bitIndex10)
    <=> v22819(VarCurr) ) )).

fof(addAssignment_7459,axiom,(
    ! [VarCurr] :
      ( v22818(VarCurr,bitIndex11)
    <=> v22819(VarCurr) ) )).

fof(addAssignment_7458,axiom,(
    ! [VarCurr] :
      ( v22818(VarCurr,bitIndex12)
    <=> v22819(VarCurr) ) )).

fof(addAssignment_7457,axiom,(
    ! [VarCurr] :
      ( v22818(VarCurr,bitIndex13)
    <=> v22819(VarCurr) ) )).

fof(addAssignment_7456,axiom,(
    ! [VarCurr] :
      ( v22818(VarCurr,bitIndex14)
    <=> v22819(VarCurr) ) )).

fof(addAssignment_7455,axiom,(
    ! [VarCurr] :
      ( v22818(VarCurr,bitIndex15)
    <=> v22819(VarCurr) ) )).

fof(addAssignment_7454,axiom,(
    ! [VarCurr] :
      ( v22818(VarCurr,bitIndex16)
    <=> v22819(VarCurr) ) )).

fof(writeUnaryOperator_2305,axiom,(
    ! [VarCurr] :
      ( ~ v22819(VarCurr)
    <=> v22775(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_108,axiom,(
    ! [VarCurr,B] :
      ( range_16_0(B)
     => ( v22768(VarCurr,B)
      <=> ( v22769(VarCurr,B)
          | v22815(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_107,axiom,(
    ! [VarCurr,B] :
      ( range_16_0(B)
     => ( v22815(VarCurr,B)
      <=> ( v22816(VarCurr,B)
          & v22817(VarCurr,B) ) ) ) )).

fof(addAssignment_7453,axiom,(
    ! [VarCurr] :
      ( v22817(VarCurr,bitIndex0)
    <=> v22775(VarCurr,bitIndex1) ) )).

fof(addAssignment_7452,axiom,(
    ! [VarCurr] :
      ( v22817(VarCurr,bitIndex1)
    <=> v22775(VarCurr,bitIndex1) ) )).

fof(addAssignment_7451,axiom,(
    ! [VarCurr] :
      ( v22817(VarCurr,bitIndex2)
    <=> v22775(VarCurr,bitIndex1) ) )).

fof(addAssignment_7450,axiom,(
    ! [VarCurr] :
      ( v22817(VarCurr,bitIndex3)
    <=> v22775(VarCurr,bitIndex1) ) )).

fof(addAssignment_7449,axiom,(
    ! [VarCurr] :
      ( v22817(VarCurr,bitIndex4)
    <=> v22775(VarCurr,bitIndex1) ) )).

fof(addAssignment_7448,axiom,(
    ! [VarCurr] :
      ( v22817(VarCurr,bitIndex5)
    <=> v22775(VarCurr,bitIndex1) ) )).

fof(addAssignment_7447,axiom,(
    ! [VarCurr] :
      ( v22817(VarCurr,bitIndex6)
    <=> v22775(VarCurr,bitIndex1) ) )).

fof(addAssignment_7446,axiom,(
    ! [VarCurr] :
      ( v22817(VarCurr,bitIndex7)
    <=> v22775(VarCurr,bitIndex1) ) )).

fof(addAssignment_7445,axiom,(
    ! [VarCurr] :
      ( v22817(VarCurr,bitIndex8)
    <=> v22775(VarCurr,bitIndex1) ) )).

fof(addAssignment_7444,axiom,(
    ! [VarCurr] :
      ( v22817(VarCurr,bitIndex9)
    <=> v22775(VarCurr,bitIndex1) ) )).

fof(addAssignment_7443,axiom,(
    ! [VarCurr] :
      ( v22817(VarCurr,bitIndex10)
    <=> v22775(VarCurr,bitIndex1) ) )).

fof(addAssignment_7442,axiom,(
    ! [VarCurr] :
      ( v22817(VarCurr,bitIndex11)
    <=> v22775(VarCurr,bitIndex1) ) )).

fof(addAssignment_7441,axiom,(
    ! [VarCurr] :
      ( v22817(VarCurr,bitIndex12)
    <=> v22775(VarCurr,bitIndex1) ) )).

fof(addAssignment_7440,axiom,(
    ! [VarCurr] :
      ( v22817(VarCurr,bitIndex13)
    <=> v22775(VarCurr,bitIndex1) ) )).

fof(addAssignment_7439,axiom,(
    ! [VarCurr] :
      ( v22817(VarCurr,bitIndex14)
    <=> v22775(VarCurr,bitIndex1) ) )).

fof(addAssignment_7438,axiom,(
    ! [VarCurr] :
      ( v22817(VarCurr,bitIndex15)
    <=> v22775(VarCurr,bitIndex1) ) )).

fof(addAssignment_7437,axiom,(
    ! [VarCurr] :
      ( v22817(VarCurr,bitIndex16)
    <=> v22775(VarCurr,bitIndex1) ) )).

fof(addAssignment_7436,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v22816(VarCurr,B)
      <=> $false ) ) )).

fof(addAssignment_7435,axiom,(
    ! [VarCurr] :
      ( ( v22816(VarCurr,bitIndex16)
      <=> v22770(VarCurr,bitIndex14) )
      & ( v22816(VarCurr,bitIndex15)
      <=> v22770(VarCurr,bitIndex13) )
      & ( v22816(VarCurr,bitIndex14)
      <=> v22770(VarCurr,bitIndex12) )
      & ( v22816(VarCurr,bitIndex13)
      <=> v22770(VarCurr,bitIndex11) )
      & ( v22816(VarCurr,bitIndex12)
      <=> v22770(VarCurr,bitIndex10) )
      & ( v22816(VarCurr,bitIndex11)
      <=> v22770(VarCurr,bitIndex9) )
      & ( v22816(VarCurr,bitIndex10)
      <=> v22770(VarCurr,bitIndex8) )
      & ( v22816(VarCurr,bitIndex9)
      <=> v22770(VarCurr,bitIndex7) )
      & ( v22816(VarCurr,bitIndex8)
      <=> v22770(VarCurr,bitIndex6) )
      & ( v22816(VarCurr,bitIndex7)
      <=> v22770(VarCurr,bitIndex5) )
      & ( v22816(VarCurr,bitIndex6)
      <=> v22770(VarCurr,bitIndex4) )
      & ( v22816(VarCurr,bitIndex5)
      <=> v22770(VarCurr,bitIndex3) )
      & ( v22816(VarCurr,bitIndex4)
      <=> v22770(VarCurr,bitIndex2) )
      & ( v22816(VarCurr,bitIndex3)
      <=> v22770(VarCurr,bitIndex1) )
      & ( v22816(VarCurr,bitIndex2)
      <=> v22770(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_106,axiom,(
    ! [VarCurr,B] :
      ( range_16_0(B)
     => ( v22769(VarCurr,B)
      <=> ( v22770(VarCurr,B)
          & v22813(VarCurr,B) ) ) ) )).

fof(addAssignment_7434,axiom,(
    ! [VarCurr] :
      ( v22813(VarCurr,bitIndex0)
    <=> v22814(VarCurr) ) )).

fof(addAssignment_7433,axiom,(
    ! [VarCurr] :
      ( v22813(VarCurr,bitIndex1)
    <=> v22814(VarCurr) ) )).

fof(addAssignment_7432,axiom,(
    ! [VarCurr] :
      ( v22813(VarCurr,bitIndex2)
    <=> v22814(VarCurr) ) )).

fof(addAssignment_7431,axiom,(
    ! [VarCurr] :
      ( v22813(VarCurr,bitIndex3)
    <=> v22814(VarCurr) ) )).

fof(addAssignment_7430,axiom,(
    ! [VarCurr] :
      ( v22813(VarCurr,bitIndex4)
    <=> v22814(VarCurr) ) )).

fof(addAssignment_7429,axiom,(
    ! [VarCurr] :
      ( v22813(VarCurr,bitIndex5)
    <=> v22814(VarCurr) ) )).

fof(addAssignment_7428,axiom,(
    ! [VarCurr] :
      ( v22813(VarCurr,bitIndex6)
    <=> v22814(VarCurr) ) )).

fof(addAssignment_7427,axiom,(
    ! [VarCurr] :
      ( v22813(VarCurr,bitIndex7)
    <=> v22814(VarCurr) ) )).

fof(addAssignment_7426,axiom,(
    ! [VarCurr] :
      ( v22813(VarCurr,bitIndex8)
    <=> v22814(VarCurr) ) )).

fof(addAssignment_7425,axiom,(
    ! [VarCurr] :
      ( v22813(VarCurr,bitIndex9)
    <=> v22814(VarCurr) ) )).

fof(addAssignment_7424,axiom,(
    ! [VarCurr] :
      ( v22813(VarCurr,bitIndex10)
    <=> v22814(VarCurr) ) )).

fof(addAssignment_7423,axiom,(
    ! [VarCurr] :
      ( v22813(VarCurr,bitIndex11)
    <=> v22814(VarCurr) ) )).

fof(addAssignment_7422,axiom,(
    ! [VarCurr] :
      ( v22813(VarCurr,bitIndex12)
    <=> v22814(VarCurr) ) )).

fof(addAssignment_7421,axiom,(
    ! [VarCurr] :
      ( v22813(VarCurr,bitIndex13)
    <=> v22814(VarCurr) ) )).

fof(addAssignment_7420,axiom,(
    ! [VarCurr] :
      ( v22813(VarCurr,bitIndex14)
    <=> v22814(VarCurr) ) )).

fof(addAssignment_7419,axiom,(
    ! [VarCurr] :
      ( v22813(VarCurr,bitIndex15)
    <=> v22814(VarCurr) ) )).

fof(addAssignment_7418,axiom,(
    ! [VarCurr] :
      ( v22813(VarCurr,bitIndex16)
    <=> v22814(VarCurr) ) )).

fof(writeUnaryOperator_2304,axiom,(
    ! [VarCurr] :
      ( ~ v22814(VarCurr)
    <=> v22775(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_105,axiom,(
    ! [VarCurr,B] :
      ( range_16_0(B)
     => ( v22770(VarCurr,B)
      <=> ( v22771(VarCurr,B)
          | v22810(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_104,axiom,(
    ! [VarCurr,B] :
      ( range_16_0(B)
     => ( v22810(VarCurr,B)
      <=> ( v22811(VarCurr,B)
          & v22812(VarCurr,B) ) ) ) )).

fof(addAssignment_7417,axiom,(
    ! [VarCurr] :
      ( v22812(VarCurr,bitIndex0)
    <=> v22775(VarCurr,bitIndex0) ) )).

fof(addAssignment_7416,axiom,(
    ! [VarCurr] :
      ( v22812(VarCurr,bitIndex1)
    <=> v22775(VarCurr,bitIndex0) ) )).

fof(addAssignment_7415,axiom,(
    ! [VarCurr] :
      ( v22812(VarCurr,bitIndex2)
    <=> v22775(VarCurr,bitIndex0) ) )).

fof(addAssignment_7414,axiom,(
    ! [VarCurr] :
      ( v22812(VarCurr,bitIndex3)
    <=> v22775(VarCurr,bitIndex0) ) )).

fof(addAssignment_7413,axiom,(
    ! [VarCurr] :
      ( v22812(VarCurr,bitIndex4)
    <=> v22775(VarCurr,bitIndex0) ) )).

fof(addAssignment_7412,axiom,(
    ! [VarCurr] :
      ( v22812(VarCurr,bitIndex5)
    <=> v22775(VarCurr,bitIndex0) ) )).

fof(addAssignment_7411,axiom,(
    ! [VarCurr] :
      ( v22812(VarCurr,bitIndex6)
    <=> v22775(VarCurr,bitIndex0) ) )).

fof(addAssignment_7410,axiom,(
    ! [VarCurr] :
      ( v22812(VarCurr,bitIndex7)
    <=> v22775(VarCurr,bitIndex0) ) )).

fof(addAssignment_7409,axiom,(
    ! [VarCurr] :
      ( v22812(VarCurr,bitIndex8)
    <=> v22775(VarCurr,bitIndex0) ) )).

fof(addAssignment_7408,axiom,(
    ! [VarCurr] :
      ( v22812(VarCurr,bitIndex9)
    <=> v22775(VarCurr,bitIndex0) ) )).

fof(addAssignment_7407,axiom,(
    ! [VarCurr] :
      ( v22812(VarCurr,bitIndex10)
    <=> v22775(VarCurr,bitIndex0) ) )).

fof(addAssignment_7406,axiom,(
    ! [VarCurr] :
      ( v22812(VarCurr,bitIndex11)
    <=> v22775(VarCurr,bitIndex0) ) )).

fof(addAssignment_7405,axiom,(
    ! [VarCurr] :
      ( v22812(VarCurr,bitIndex12)
    <=> v22775(VarCurr,bitIndex0) ) )).

fof(addAssignment_7404,axiom,(
    ! [VarCurr] :
      ( v22812(VarCurr,bitIndex13)
    <=> v22775(VarCurr,bitIndex0) ) )).

fof(addAssignment_7403,axiom,(
    ! [VarCurr] :
      ( v22812(VarCurr,bitIndex14)
    <=> v22775(VarCurr,bitIndex0) ) )).

fof(addAssignment_7402,axiom,(
    ! [VarCurr] :
      ( v22812(VarCurr,bitIndex15)
    <=> v22775(VarCurr,bitIndex0) ) )).

fof(addAssignment_7401,axiom,(
    ! [VarCurr] :
      ( v22812(VarCurr,bitIndex16)
    <=> v22775(VarCurr,bitIndex0) ) )).

fof(addAssignment_7400,axiom,(
    ! [VarCurr] :
      ( v22811(VarCurr,bitIndex0)
    <=> $false ) )).

fof(addAssignment_7399,axiom,(
    ! [VarCurr] :
      ( ( v22811(VarCurr,bitIndex16)
      <=> v22772(VarCurr,bitIndex15) )
      & ( v22811(VarCurr,bitIndex15)
      <=> v22772(VarCurr,bitIndex14) )
      & ( v22811(VarCurr,bitIndex14)
      <=> v22772(VarCurr,bitIndex13) )
      & ( v22811(VarCurr,bitIndex13)
      <=> v22772(VarCurr,bitIndex12) )
      & ( v22811(VarCurr,bitIndex12)
      <=> v22772(VarCurr,bitIndex11) )
      & ( v22811(VarCurr,bitIndex11)
      <=> v22772(VarCurr,bitIndex10) )
      & ( v22811(VarCurr,bitIndex10)
      <=> v22772(VarCurr,bitIndex9) )
      & ( v22811(VarCurr,bitIndex9)
      <=> v22772(VarCurr,bitIndex8) )
      & ( v22811(VarCurr,bitIndex8)
      <=> v22772(VarCurr,bitIndex7) )
      & ( v22811(VarCurr,bitIndex7)
      <=> v22772(VarCurr,bitIndex6) )
      & ( v22811(VarCurr,bitIndex6)
      <=> v22772(VarCurr,bitIndex5) )
      & ( v22811(VarCurr,bitIndex5)
      <=> v22772(VarCurr,bitIndex4) )
      & ( v22811(VarCurr,bitIndex4)
      <=> v22772(VarCurr,bitIndex3) )
      & ( v22811(VarCurr,bitIndex3)
      <=> v22772(VarCurr,bitIndex2) )
      & ( v22811(VarCurr,bitIndex2)
      <=> v22772(VarCurr,bitIndex1) )
      & ( v22811(VarCurr,bitIndex1)
      <=> v22772(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_103,axiom,(
    ! [VarCurr,B] :
      ( range_16_0(B)
     => ( v22771(VarCurr,B)
      <=> ( v22772(VarCurr,B)
          & v22773(VarCurr,B) ) ) ) )).

fof(range_axiom_86,axiom,(
    ! [B] :
      ( range_16_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B ) ) )).

fof(addAssignment_7398,axiom,(
    ! [VarCurr] :
      ( v22773(VarCurr,bitIndex0)
    <=> v22774(VarCurr) ) )).

fof(addAssignment_7397,axiom,(
    ! [VarCurr] :
      ( v22773(VarCurr,bitIndex1)
    <=> v22774(VarCurr) ) )).

fof(addAssignment_7396,axiom,(
    ! [VarCurr] :
      ( v22773(VarCurr,bitIndex2)
    <=> v22774(VarCurr) ) )).

fof(addAssignment_7395,axiom,(
    ! [VarCurr] :
      ( v22773(VarCurr,bitIndex3)
    <=> v22774(VarCurr) ) )).

fof(addAssignment_7394,axiom,(
    ! [VarCurr] :
      ( v22773(VarCurr,bitIndex4)
    <=> v22774(VarCurr) ) )).

fof(addAssignment_7393,axiom,(
    ! [VarCurr] :
      ( v22773(VarCurr,bitIndex5)
    <=> v22774(VarCurr) ) )).

fof(addAssignment_7392,axiom,(
    ! [VarCurr] :
      ( v22773(VarCurr,bitIndex6)
    <=> v22774(VarCurr) ) )).

fof(addAssignment_7391,axiom,(
    ! [VarCurr] :
      ( v22773(VarCurr,bitIndex7)
    <=> v22774(VarCurr) ) )).

fof(addAssignment_7390,axiom,(
    ! [VarCurr] :
      ( v22773(VarCurr,bitIndex8)
    <=> v22774(VarCurr) ) )).

fof(addAssignment_7389,axiom,(
    ! [VarCurr] :
      ( v22773(VarCurr,bitIndex9)
    <=> v22774(VarCurr) ) )).

fof(addAssignment_7388,axiom,(
    ! [VarCurr] :
      ( v22773(VarCurr,bitIndex10)
    <=> v22774(VarCurr) ) )).

fof(addAssignment_7387,axiom,(
    ! [VarCurr] :
      ( v22773(VarCurr,bitIndex11)
    <=> v22774(VarCurr) ) )).

fof(addAssignment_7386,axiom,(
    ! [VarCurr] :
      ( v22773(VarCurr,bitIndex12)
    <=> v22774(VarCurr) ) )).

fof(addAssignment_7385,axiom,(
    ! [VarCurr] :
      ( v22773(VarCurr,bitIndex13)
    <=> v22774(VarCurr) ) )).

fof(addAssignment_7384,axiom,(
    ! [VarCurr] :
      ( v22773(VarCurr,bitIndex14)
    <=> v22774(VarCurr) ) )).

fof(addAssignment_7383,axiom,(
    ! [VarCurr] :
      ( v22773(VarCurr,bitIndex15)
    <=> v22774(VarCurr) ) )).

fof(addAssignment_7382,axiom,(
    ! [VarCurr] :
      ( v22773(VarCurr,bitIndex16)
    <=> v22774(VarCurr) ) )).

fof(writeUnaryOperator_2303,axiom,(
    ! [VarCurr] :
      ( ~ v22774(VarCurr)
    <=> v22775(VarCurr,bitIndex0) ) )).

fof(addAssignment_7381,axiom,(
    ! [VarCurr] :
      ( v22775(VarCurr,bitIndex0)
    <=> v22784(VarCurr) ) )).

fof(addAssignment_7380,axiom,(
    ! [VarCurr] :
      ( v22775(VarCurr,bitIndex1)
    <=> v22806(VarCurr) ) )).

fof(addAssignment_7379,axiom,(
    ! [VarCurr] :
      ( v22775(VarCurr,bitIndex2)
    <=> v22801(VarCurr) ) )).

fof(addAssignment_7378,axiom,(
    ! [VarCurr] :
      ( v22775(VarCurr,bitIndex3)
    <=> v22777(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5107,axiom,(
    ! [VarCurr] :
      ( v22806(VarCurr)
    <=> ( v22807(VarCurr)
        & v22809(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5106,axiom,(
    ! [VarCurr] :
      ( v22809(VarCurr)
    <=> ( v22760(VarCurr,bitIndex0)
        | v22796(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5105,axiom,(
    ! [VarCurr] :
      ( v22807(VarCurr)
    <=> ( v22784(VarCurr)
        | v22808(VarCurr) ) ) )).

fof(writeUnaryOperator_2302,axiom,(
    ! [VarCurr] :
      ( ~ v22808(VarCurr)
    <=> v22796(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5104,axiom,(
    ! [VarCurr] :
      ( v22801(VarCurr)
    <=> ( v22802(VarCurr)
        & v22805(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5103,axiom,(
    ! [VarCurr] :
      ( v22805(VarCurr)
    <=> ( v22791(VarCurr)
        | v22795(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5102,axiom,(
    ! [VarCurr] :
      ( v22802(VarCurr)
    <=> ( v22803(VarCurr)
        | v22804(VarCurr) ) ) )).

fof(writeUnaryOperator_2301,axiom,(
    ! [VarCurr] :
      ( ~ v22804(VarCurr)
    <=> v22795(VarCurr) ) )).

fof(writeUnaryOperator_2300,axiom,(
    ! [VarCurr] :
      ( ~ v22803(VarCurr)
    <=> v22791(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5101,axiom,(
    ! [VarCurr] :
      ( v22777(VarCurr)
    <=> ( v22778(VarCurr)
        & v22799(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5100,axiom,(
    ! [VarCurr] :
      ( v22799(VarCurr)
    <=> ( v22800(VarCurr)
        | v22790(VarCurr) ) ) )).

fof(writeUnaryOperator_2299,axiom,(
    ! [VarCurr] :
      ( ~ v22800(VarCurr)
    <=> v22779(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5099,axiom,(
    ! [VarCurr] :
      ( v22778(VarCurr)
    <=> ( v22779(VarCurr)
        | v22789(VarCurr) ) ) )).

fof(writeUnaryOperator_2298,axiom,(
    ! [VarCurr] :
      ( ~ v22789(VarCurr)
    <=> v22790(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5098,axiom,(
    ! [VarCurr] :
      ( v22790(VarCurr)
    <=> ( v22791(VarCurr)
        & v22795(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5097,axiom,(
    ! [VarCurr] :
      ( v22795(VarCurr)
    <=> ( v22760(VarCurr,bitIndex0)
        & v22796(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5096,axiom,(
    ! [VarCurr] :
      ( v22796(VarCurr)
    <=> ( v22797(VarCurr)
        & v22798(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5095,axiom,(
    ! [VarCurr] :
      ( v22798(VarCurr)
    <=> ( v22784(VarCurr)
        | v22785(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1252,axiom,(
    ! [VarCurr] :
      ( v22797(VarCurr)
    <=> ( v22760(VarCurr,bitIndex0)
        | v22760(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5094,axiom,(
    ! [VarCurr] :
      ( v22791(VarCurr)
    <=> ( v22792(VarCurr)
        & v22794(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5093,axiom,(
    ! [VarCurr] :
      ( v22794(VarCurr)
    <=> ( v22783(VarCurr)
        | v22786(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1251,axiom,(
    ! [VarCurr] :
      ( v22792(VarCurr)
    <=> ( v22793(VarCurr)
        | v22760(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_2297,axiom,(
    ! [VarCurr] :
      ( ~ v22793(VarCurr)
    <=> v22783(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5092,axiom,(
    ! [VarCurr] :
      ( v22779(VarCurr)
    <=> ( v22780(VarCurr)
        & v22787(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5091,axiom,(
    ! [VarCurr] :
      ( v22787(VarCurr)
    <=> ( v22782(VarCurr)
        | v22788(VarCurr) ) ) )).

fof(writeUnaryOperator_2296,axiom,(
    ! [VarCurr] :
      ( ~ v22788(VarCurr)
    <=> v22760(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_1250,axiom,(
    ! [VarCurr] :
      ( v22780(VarCurr)
    <=> ( v22781(VarCurr)
        | v22760(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_2295,axiom,(
    ! [VarCurr] :
      ( ~ v22781(VarCurr)
    <=> v22782(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5090,axiom,(
    ! [VarCurr] :
      ( v22782(VarCurr)
    <=> ( v22783(VarCurr)
        & v22786(VarCurr) ) ) )).

fof(writeUnaryOperator_2294,axiom,(
    ! [VarCurr] :
      ( ~ v22786(VarCurr)
    <=> v22760(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5089,axiom,(
    ! [VarCurr] :
      ( v22783(VarCurr)
    <=> ( v22784(VarCurr)
        & v22785(VarCurr) ) ) )).

fof(writeUnaryOperator_2293,axiom,(
    ! [VarCurr] :
      ( ~ v22785(VarCurr)
    <=> v22760(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2292,axiom,(
    ! [VarCurr] :
      ( ~ v22784(VarCurr)
    <=> v22760(VarCurr,bitIndex0) ) )).

fof(addAssignment_7377,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v22772(VarCurr,B)
      <=> $true ) ) )).

fof(addAssignment_7376,axiom,(
    ! [VarCurr] :
      ( ( v22772(VarCurr,bitIndex16)
      <=> v22244(VarCurr,bitIndex8) )
      & ( v22772(VarCurr,bitIndex15)
      <=> v22244(VarCurr,bitIndex7) )
      & ( v22772(VarCurr,bitIndex14)
      <=> v22244(VarCurr,bitIndex6) )
      & ( v22772(VarCurr,bitIndex13)
      <=> v22244(VarCurr,bitIndex5) )
      & ( v22772(VarCurr,bitIndex12)
      <=> v22244(VarCurr,bitIndex4) )
      & ( v22772(VarCurr,bitIndex11)
      <=> v22244(VarCurr,bitIndex3) )
      & ( v22772(VarCurr,bitIndex10)
      <=> v22244(VarCurr,bitIndex2) )
      & ( v22772(VarCurr,bitIndex9)
      <=> v22244(VarCurr,bitIndex1) )
      & ( v22772(VarCurr,bitIndex8)
      <=> v22244(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_7375,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v22760(VarCurr,B)
      <=> v22762(VarCurr,B) ) ) )).

fof(addAssignment_7374,axiom,(
    ! [VarCurr] :
      ( ( v22762(VarCurr,bitIndex3)
      <=> v652(VarCurr,bitIndex8) )
      & ( v22762(VarCurr,bitIndex2)
      <=> v652(VarCurr,bitIndex7) )
      & ( v22762(VarCurr,bitIndex1)
      <=> v652(VarCurr,bitIndex6) )
      & ( v22762(VarCurr,bitIndex0)
      <=> v652(VarCurr,bitIndex5) ) ) )).

fof(addAssignment_7373,axiom,(
    ! [VarCurr,B] :
      ( range_8_5(B)
     => ( v652(VarCurr,B)
      <=> v654(VarCurr,B) ) ) )).

fof(addAssignment_7372,axiom,(
    ! [VarCurr,B] :
      ( range_8_5(B)
     => ( v654(VarCurr,B)
      <=> v2670(VarCurr,B) ) ) )).

fof(range_axiom_85,axiom,(
    ! [B] :
      ( range_8_5(B)
    <=> ( $false
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B ) ) )).

fof(addAssignment_7371,axiom,(
    ! [VarCurr] :
      ( v22244(VarCurr,bitIndex8)
    <=> v22570(VarCurr,bitIndex8) ) )).

fof(addAssignment_7370,axiom,(
    ! [VarCurr] :
      ( v22244(VarCurr,bitIndex7)
    <=> v22570(VarCurr,bitIndex7) ) )).

fof(addAssignment_7369,axiom,(
    ! [VarCurr] :
      ( v22244(VarCurr,bitIndex6)
    <=> v22570(VarCurr,bitIndex6) ) )).

fof(addAssignment_7368,axiom,(
    ! [VarCurr] :
      ( v22244(VarCurr,bitIndex5)
    <=> v22570(VarCurr,bitIndex5) ) )).

fof(addAssignment_7367,axiom,(
    ! [VarCurr] :
      ( v22244(VarCurr,bitIndex4)
    <=> v22570(VarCurr,bitIndex4) ) )).

fof(addAssignment_7366,axiom,(
    ! [VarCurr] :
      ( v22244(VarCurr,bitIndex3)
    <=> v22570(VarCurr,bitIndex3) ) )).

fof(addAssignment_7365,axiom,(
    ! [VarCurr] :
      ( v22244(VarCurr,bitIndex2)
    <=> v22570(VarCurr,bitIndex2) ) )).

fof(addAssignment_7364,axiom,(
    ! [VarCurr] :
      ( v22244(VarCurr,bitIndex1)
    <=> v22570(VarCurr,bitIndex1) ) )).

fof(addAssignment_7363,axiom,(
    ! [VarCurr] :
      ( v22244(VarCurr,bitIndex0)
    <=> v22570(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_102,axiom,(
    ! [VarCurr,B] :
      ( range_39_0(B)
     => ( v22570(VarCurr,B)
      <=> ( v22572(VarCurr,B)
          | v22665(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_101,axiom,(
    ! [VarCurr,B] :
      ( range_39_0(B)
     => ( v22665(VarCurr,B)
      <=> ( v22666(VarCurr,B)
          & v22758(VarCurr,B) ) ) ) )).

fof(addAssignment_7362,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex0)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7361,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex1)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7360,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex2)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7359,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex3)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7358,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex4)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7357,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex5)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7356,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex6)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7355,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex7)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7354,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex8)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7353,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex9)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7352,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex10)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7351,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex11)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7350,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex12)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7349,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex13)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7348,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex14)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7347,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex15)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7346,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex16)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7345,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex17)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7344,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex18)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7343,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex19)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7342,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex20)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7341,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex21)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7340,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex22)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7339,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex23)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7338,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex24)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7337,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex25)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7336,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex26)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7335,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex27)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7334,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex28)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7333,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex29)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7332,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex30)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7331,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex31)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7330,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex32)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7329,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex33)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7328,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex34)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7327,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex35)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7326,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex36)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7325,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex37)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7324,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex38)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7323,axiom,(
    ! [VarCurr] :
      ( v22758(VarCurr,bitIndex39)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(addAssignment_7322,axiom,(
    ! [VarCurr,B] :
      ( range_23_0(B)
     => ( v22666(VarCurr,B)
      <=> v22668(VarCurr,B) ) ) )).

fof(addAssignment_7321,axiom,(
    ! [VarCurr] :
      ( ( v22666(VarCurr,bitIndex39)
      <=> $false )
      & ( v22666(VarCurr,bitIndex38)
      <=> $false )
      & ( v22666(VarCurr,bitIndex37)
      <=> $false )
      & ( v22666(VarCurr,bitIndex36)
      <=> $false )
      & ( v22666(VarCurr,bitIndex35)
      <=> $false )
      & ( v22666(VarCurr,bitIndex34)
      <=> $false )
      & ( v22666(VarCurr,bitIndex33)
      <=> $false )
      & ( v22666(VarCurr,bitIndex32)
      <=> $false )
      & ( v22666(VarCurr,bitIndex31)
      <=> $false )
      & ( v22666(VarCurr,bitIndex30)
      <=> $false )
      & ( v22666(VarCurr,bitIndex29)
      <=> $false )
      & ( v22666(VarCurr,bitIndex28)
      <=> $false )
      & ( v22666(VarCurr,bitIndex27)
      <=> $false )
      & ( v22666(VarCurr,bitIndex26)
      <=> $false )
      & ( v22666(VarCurr,bitIndex25)
      <=> $false )
      & ( v22666(VarCurr,bitIndex24)
      <=> $false ) ) )).

fof(bitBlastConstant_9178,axiom,(
    ~ b0000000000000000(bitIndex15) )).

fof(bitBlastConstant_9177,axiom,(
    ~ b0000000000000000(bitIndex14) )).

fof(bitBlastConstant_9176,axiom,(
    ~ b0000000000000000(bitIndex13) )).

fof(bitBlastConstant_9175,axiom,(
    ~ b0000000000000000(bitIndex12) )).

fof(bitBlastConstant_9174,axiom,(
    ~ b0000000000000000(bitIndex11) )).

fof(bitBlastConstant_9173,axiom,(
    ~ b0000000000000000(bitIndex10) )).

fof(bitBlastConstant_9172,axiom,(
    ~ b0000000000000000(bitIndex9) )).

fof(bitBlastConstant_9171,axiom,(
    ~ b0000000000000000(bitIndex8) )).

fof(bitBlastConstant_9170,axiom,(
    ~ b0000000000000000(bitIndex7) )).

fof(bitBlastConstant_9169,axiom,(
    ~ b0000000000000000(bitIndex6) )).

fof(bitBlastConstant_9168,axiom,(
    ~ b0000000000000000(bitIndex5) )).

fof(bitBlastConstant_9167,axiom,(
    ~ b0000000000000000(bitIndex4) )).

fof(bitBlastConstant_9166,axiom,(
    ~ b0000000000000000(bitIndex3) )).

fof(bitBlastConstant_9165,axiom,(
    ~ b0000000000000000(bitIndex2) )).

fof(bitBlastConstant_9164,axiom,(
    ~ b0000000000000000(bitIndex1) )).

fof(bitBlastConstant_9163,axiom,(
    ~ b0000000000000000(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_100,axiom,(
    ! [VarCurr,B] :
      ( range_23_0(B)
     => ( v22668(VarCurr,B)
      <=> ( v22669(VarCurr,B)
          | v22713(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_99,axiom,(
    ! [VarCurr,B] :
      ( range_23_0(B)
     => ( v22713(VarCurr,B)
      <=> ( v22714(VarCurr,B)
          & v22757(VarCurr,B) ) ) ) )).

fof(addAssignment_7320,axiom,(
    ! [VarCurr] :
      ( v22757(VarCurr,bitIndex0)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_7319,axiom,(
    ! [VarCurr] :
      ( v22757(VarCurr,bitIndex1)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_7318,axiom,(
    ! [VarCurr] :
      ( v22757(VarCurr,bitIndex2)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_7317,axiom,(
    ! [VarCurr] :
      ( v22757(VarCurr,bitIndex3)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_7316,axiom,(
    ! [VarCurr] :
      ( v22757(VarCurr,bitIndex4)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_7315,axiom,(
    ! [VarCurr] :
      ( v22757(VarCurr,bitIndex5)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_7314,axiom,(
    ! [VarCurr] :
      ( v22757(VarCurr,bitIndex6)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_7313,axiom,(
    ! [VarCurr] :
      ( v22757(VarCurr,bitIndex7)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_7312,axiom,(
    ! [VarCurr] :
      ( v22757(VarCurr,bitIndex8)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_7311,axiom,(
    ! [VarCurr] :
      ( v22757(VarCurr,bitIndex9)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_7310,axiom,(
    ! [VarCurr] :
      ( v22757(VarCurr,bitIndex10)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_7309,axiom,(
    ! [VarCurr] :
      ( v22757(VarCurr,bitIndex11)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_7308,axiom,(
    ! [VarCurr] :
      ( v22757(VarCurr,bitIndex12)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_7307,axiom,(
    ! [VarCurr] :
      ( v22757(VarCurr,bitIndex13)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_7306,axiom,(
    ! [VarCurr] :
      ( v22757(VarCurr,bitIndex14)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_7305,axiom,(
    ! [VarCurr] :
      ( v22757(VarCurr,bitIndex15)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_7304,axiom,(
    ! [VarCurr] :
      ( v22757(VarCurr,bitIndex16)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_7303,axiom,(
    ! [VarCurr] :
      ( v22757(VarCurr,bitIndex17)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_7302,axiom,(
    ! [VarCurr] :
      ( v22757(VarCurr,bitIndex18)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_7301,axiom,(
    ! [VarCurr] :
      ( v22757(VarCurr,bitIndex19)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_7300,axiom,(
    ! [VarCurr] :
      ( v22757(VarCurr,bitIndex20)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_7299,axiom,(
    ! [VarCurr] :
      ( v22757(VarCurr,bitIndex21)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_7298,axiom,(
    ! [VarCurr] :
      ( v22757(VarCurr,bitIndex22)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_7297,axiom,(
    ! [VarCurr] :
      ( v22757(VarCurr,bitIndex23)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_7296,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v22714(VarCurr,B)
      <=> v22715(VarCurr,B) ) ) )).

fof(addAssignment_7295,axiom,(
    ! [VarCurr] :
      ( ( v22714(VarCurr,bitIndex23)
      <=> $false )
      & ( v22714(VarCurr,bitIndex22)
      <=> $false )
      & ( v22714(VarCurr,bitIndex21)
      <=> $false )
      & ( v22714(VarCurr,bitIndex20)
      <=> $false )
      & ( v22714(VarCurr,bitIndex19)
      <=> $false )
      & ( v22714(VarCurr,bitIndex18)
      <=> $false )
      & ( v22714(VarCurr,bitIndex17)
      <=> $false )
      & ( v22714(VarCurr,bitIndex16)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_98,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v22715(VarCurr,B)
      <=> ( v22716(VarCurr,B)
          | v22736(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_97,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v22736(VarCurr,B)
      <=> ( v22737(VarCurr,B)
          & v22756(VarCurr,B) ) ) ) )).

fof(addAssignment_7294,axiom,(
    ! [VarCurr] :
      ( v22756(VarCurr,bitIndex0)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7293,axiom,(
    ! [VarCurr] :
      ( v22756(VarCurr,bitIndex1)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7292,axiom,(
    ! [VarCurr] :
      ( v22756(VarCurr,bitIndex2)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7291,axiom,(
    ! [VarCurr] :
      ( v22756(VarCurr,bitIndex3)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7290,axiom,(
    ! [VarCurr] :
      ( v22756(VarCurr,bitIndex4)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7289,axiom,(
    ! [VarCurr] :
      ( v22756(VarCurr,bitIndex5)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7288,axiom,(
    ! [VarCurr] :
      ( v22756(VarCurr,bitIndex6)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7287,axiom,(
    ! [VarCurr] :
      ( v22756(VarCurr,bitIndex7)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7286,axiom,(
    ! [VarCurr] :
      ( v22756(VarCurr,bitIndex8)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7285,axiom,(
    ! [VarCurr] :
      ( v22756(VarCurr,bitIndex9)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7284,axiom,(
    ! [VarCurr] :
      ( v22756(VarCurr,bitIndex10)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7283,axiom,(
    ! [VarCurr] :
      ( v22756(VarCurr,bitIndex11)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7282,axiom,(
    ! [VarCurr] :
      ( v22756(VarCurr,bitIndex12)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7281,axiom,(
    ! [VarCurr] :
      ( v22756(VarCurr,bitIndex13)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7280,axiom,(
    ! [VarCurr] :
      ( v22756(VarCurr,bitIndex14)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7279,axiom,(
    ! [VarCurr] :
      ( v22756(VarCurr,bitIndex15)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7278,axiom,(
    ! [VarCurr,B] :
      ( range_11_0(B)
     => ( v22737(VarCurr,B)
      <=> v22738(VarCurr,B) ) ) )).

fof(addAssignment_7277,axiom,(
    ! [VarCurr] :
      ( ( v22737(VarCurr,bitIndex15)
      <=> $false )
      & ( v22737(VarCurr,bitIndex14)
      <=> $false )
      & ( v22737(VarCurr,bitIndex13)
      <=> $false )
      & ( v22737(VarCurr,bitIndex12)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_96,axiom,(
    ! [VarCurr,B] :
      ( range_11_0(B)
     => ( v22738(VarCurr,B)
      <=> ( v22739(VarCurr,B)
          | v22747(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_95,axiom,(
    ! [VarCurr,B] :
      ( range_11_0(B)
     => ( v22747(VarCurr,B)
      <=> ( v22748(VarCurr,B)
          & v22755(VarCurr,B) ) ) ) )).

fof(addAssignment_7276,axiom,(
    ! [VarCurr] :
      ( v22755(VarCurr,bitIndex0)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7275,axiom,(
    ! [VarCurr] :
      ( v22755(VarCurr,bitIndex1)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7274,axiom,(
    ! [VarCurr] :
      ( v22755(VarCurr,bitIndex2)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7273,axiom,(
    ! [VarCurr] :
      ( v22755(VarCurr,bitIndex3)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7272,axiom,(
    ! [VarCurr] :
      ( v22755(VarCurr,bitIndex4)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7271,axiom,(
    ! [VarCurr] :
      ( v22755(VarCurr,bitIndex5)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7270,axiom,(
    ! [VarCurr] :
      ( v22755(VarCurr,bitIndex6)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7269,axiom,(
    ! [VarCurr] :
      ( v22755(VarCurr,bitIndex7)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7268,axiom,(
    ! [VarCurr] :
      ( v22755(VarCurr,bitIndex8)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7267,axiom,(
    ! [VarCurr] :
      ( v22755(VarCurr,bitIndex9)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7266,axiom,(
    ! [VarCurr] :
      ( v22755(VarCurr,bitIndex10)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7265,axiom,(
    ! [VarCurr] :
      ( v22755(VarCurr,bitIndex11)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7264,axiom,(
    ! [VarCurr,B] :
      ( range_9_0(B)
     => ( v22748(VarCurr,B)
      <=> v22749(VarCurr,B) ) ) )).

fof(addAssignment_7263,axiom,(
    ! [VarCurr] :
      ( ( v22748(VarCurr,bitIndex11)
      <=> $false )
      & ( v22748(VarCurr,bitIndex10)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_94,axiom,(
    ! [VarCurr,B] :
      ( range_9_0(B)
     => ( v22749(VarCurr,B)
      <=> ( v22750(VarCurr,B)
          | v22752(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_93,axiom,(
    ! [VarCurr,B] :
      ( range_9_0(B)
     => ( v22752(VarCurr,B)
      <=> ( v22753(VarCurr,B)
          & v22754(VarCurr,B) ) ) ) )).

fof(addAssignment_7262,axiom,(
    ! [VarCurr] :
      ( v22754(VarCurr,bitIndex0)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7261,axiom,(
    ! [VarCurr] :
      ( v22754(VarCurr,bitIndex1)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7260,axiom,(
    ! [VarCurr] :
      ( v22754(VarCurr,bitIndex2)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7259,axiom,(
    ! [VarCurr] :
      ( v22754(VarCurr,bitIndex3)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7258,axiom,(
    ! [VarCurr] :
      ( v22754(VarCurr,bitIndex4)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7257,axiom,(
    ! [VarCurr] :
      ( v22754(VarCurr,bitIndex5)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7256,axiom,(
    ! [VarCurr] :
      ( v22754(VarCurr,bitIndex6)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7255,axiom,(
    ! [VarCurr] :
      ( v22754(VarCurr,bitIndex7)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7254,axiom,(
    ! [VarCurr] :
      ( v22754(VarCurr,bitIndex8)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7253,axiom,(
    ! [VarCurr] :
      ( v22754(VarCurr,bitIndex9)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7252,axiom,(
    ! [VarCurr] :
      ( ( v22753(VarCurr,bitIndex8)
      <=> v22581(VarCurr,bitIndex39) )
      & ( v22753(VarCurr,bitIndex7)
      <=> v22581(VarCurr,bitIndex38) )
      & ( v22753(VarCurr,bitIndex6)
      <=> v22581(VarCurr,bitIndex37) )
      & ( v22753(VarCurr,bitIndex5)
      <=> v22581(VarCurr,bitIndex36) )
      & ( v22753(VarCurr,bitIndex4)
      <=> v22581(VarCurr,bitIndex35) )
      & ( v22753(VarCurr,bitIndex3)
      <=> v22581(VarCurr,bitIndex34) )
      & ( v22753(VarCurr,bitIndex2)
      <=> v22581(VarCurr,bitIndex33) )
      & ( v22753(VarCurr,bitIndex1)
      <=> v22581(VarCurr,bitIndex32) )
      & ( v22753(VarCurr,bitIndex0)
      <=> v22581(VarCurr,bitIndex31) ) ) )).

fof(addAssignment_7251,axiom,(
    ! [VarCurr] :
      ( v22753(VarCurr,bitIndex9)
    <=> $false ) )).

fof(writeBinaryOperatorShiftedRanges_1249,axiom,(
    ! [VarCurr] :
      ( v22750(VarCurr,bitIndex0)
    <=> ( v22581(VarCurr,bitIndex30)
        & v22751(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1248,axiom,(
    ! [VarCurr] :
      ( v22750(VarCurr,bitIndex1)
    <=> ( v22581(VarCurr,bitIndex31)
        & v22751(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1247,axiom,(
    ! [VarCurr] :
      ( v22750(VarCurr,bitIndex2)
    <=> ( v22581(VarCurr,bitIndex32)
        & v22751(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1246,axiom,(
    ! [VarCurr] :
      ( v22750(VarCurr,bitIndex3)
    <=> ( v22581(VarCurr,bitIndex33)
        & v22751(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1245,axiom,(
    ! [VarCurr] :
      ( v22750(VarCurr,bitIndex4)
    <=> ( v22581(VarCurr,bitIndex34)
        & v22751(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1244,axiom,(
    ! [VarCurr] :
      ( v22750(VarCurr,bitIndex5)
    <=> ( v22581(VarCurr,bitIndex35)
        & v22751(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1243,axiom,(
    ! [VarCurr] :
      ( v22750(VarCurr,bitIndex6)
    <=> ( v22581(VarCurr,bitIndex36)
        & v22751(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1242,axiom,(
    ! [VarCurr] :
      ( v22750(VarCurr,bitIndex7)
    <=> ( v22581(VarCurr,bitIndex37)
        & v22751(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1241,axiom,(
    ! [VarCurr] :
      ( v22750(VarCurr,bitIndex8)
    <=> ( v22581(VarCurr,bitIndex38)
        & v22751(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1240,axiom,(
    ! [VarCurr] :
      ( v22750(VarCurr,bitIndex9)
    <=> ( v22581(VarCurr,bitIndex39)
        & v22751(VarCurr,bitIndex9) ) ) )).

fof(addAssignment_7250,axiom,(
    ! [VarCurr] :
      ( v22751(VarCurr,bitIndex0)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7249,axiom,(
    ! [VarCurr] :
      ( v22751(VarCurr,bitIndex1)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7248,axiom,(
    ! [VarCurr] :
      ( v22751(VarCurr,bitIndex2)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7247,axiom,(
    ! [VarCurr] :
      ( v22751(VarCurr,bitIndex3)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7246,axiom,(
    ! [VarCurr] :
      ( v22751(VarCurr,bitIndex4)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7245,axiom,(
    ! [VarCurr] :
      ( v22751(VarCurr,bitIndex5)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7244,axiom,(
    ! [VarCurr] :
      ( v22751(VarCurr,bitIndex6)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7243,axiom,(
    ! [VarCurr] :
      ( v22751(VarCurr,bitIndex7)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7242,axiom,(
    ! [VarCurr] :
      ( v22751(VarCurr,bitIndex8)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7241,axiom,(
    ! [VarCurr] :
      ( v22751(VarCurr,bitIndex9)
    <=> v22481(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_92,axiom,(
    ! [VarCurr,B] :
      ( range_11_0(B)
     => ( v22739(VarCurr,B)
      <=> ( v22740(VarCurr,B)
          & v22746(VarCurr,B) ) ) ) )).

fof(addAssignment_7240,axiom,(
    ! [VarCurr] :
      ( v22746(VarCurr,bitIndex0)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_7239,axiom,(
    ! [VarCurr] :
      ( v22746(VarCurr,bitIndex1)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_7238,axiom,(
    ! [VarCurr] :
      ( v22746(VarCurr,bitIndex2)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_7237,axiom,(
    ! [VarCurr] :
      ( v22746(VarCurr,bitIndex3)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_7236,axiom,(
    ! [VarCurr] :
      ( v22746(VarCurr,bitIndex4)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_7235,axiom,(
    ! [VarCurr] :
      ( v22746(VarCurr,bitIndex5)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_7234,axiom,(
    ! [VarCurr] :
      ( v22746(VarCurr,bitIndex6)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_7233,axiom,(
    ! [VarCurr] :
      ( v22746(VarCurr,bitIndex7)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_7232,axiom,(
    ! [VarCurr] :
      ( v22746(VarCurr,bitIndex8)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_7231,axiom,(
    ! [VarCurr] :
      ( v22746(VarCurr,bitIndex9)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_7230,axiom,(
    ! [VarCurr] :
      ( v22746(VarCurr,bitIndex10)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_7229,axiom,(
    ! [VarCurr] :
      ( v22746(VarCurr,bitIndex11)
    <=> v22482(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_91,axiom,(
    ! [VarCurr,B] :
      ( range_11_0(B)
     => ( v22740(VarCurr,B)
      <=> ( v22741(VarCurr,B)
          | v22743(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_90,axiom,(
    ! [VarCurr,B] :
      ( range_11_0(B)
     => ( v22743(VarCurr,B)
      <=> ( v22744(VarCurr,B)
          & v22745(VarCurr,B) ) ) ) )).

fof(addAssignment_7228,axiom,(
    ! [VarCurr] :
      ( v22745(VarCurr,bitIndex0)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7227,axiom,(
    ! [VarCurr] :
      ( v22745(VarCurr,bitIndex1)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7226,axiom,(
    ! [VarCurr] :
      ( v22745(VarCurr,bitIndex2)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7225,axiom,(
    ! [VarCurr] :
      ( v22745(VarCurr,bitIndex3)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7224,axiom,(
    ! [VarCurr] :
      ( v22745(VarCurr,bitIndex4)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7223,axiom,(
    ! [VarCurr] :
      ( v22745(VarCurr,bitIndex5)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7222,axiom,(
    ! [VarCurr] :
      ( v22745(VarCurr,bitIndex6)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7221,axiom,(
    ! [VarCurr] :
      ( v22745(VarCurr,bitIndex7)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7220,axiom,(
    ! [VarCurr] :
      ( v22745(VarCurr,bitIndex8)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7219,axiom,(
    ! [VarCurr] :
      ( v22745(VarCurr,bitIndex9)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7218,axiom,(
    ! [VarCurr] :
      ( v22745(VarCurr,bitIndex10)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7217,axiom,(
    ! [VarCurr] :
      ( v22745(VarCurr,bitIndex11)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7216,axiom,(
    ! [VarCurr] :
      ( ( v22744(VarCurr,bitIndex10)
      <=> v22581(VarCurr,bitIndex39) )
      & ( v22744(VarCurr,bitIndex9)
      <=> v22581(VarCurr,bitIndex38) )
      & ( v22744(VarCurr,bitIndex8)
      <=> v22581(VarCurr,bitIndex37) )
      & ( v22744(VarCurr,bitIndex7)
      <=> v22581(VarCurr,bitIndex36) )
      & ( v22744(VarCurr,bitIndex6)
      <=> v22581(VarCurr,bitIndex35) )
      & ( v22744(VarCurr,bitIndex5)
      <=> v22581(VarCurr,bitIndex34) )
      & ( v22744(VarCurr,bitIndex4)
      <=> v22581(VarCurr,bitIndex33) )
      & ( v22744(VarCurr,bitIndex3)
      <=> v22581(VarCurr,bitIndex32) )
      & ( v22744(VarCurr,bitIndex2)
      <=> v22581(VarCurr,bitIndex31) )
      & ( v22744(VarCurr,bitIndex1)
      <=> v22581(VarCurr,bitIndex30) )
      & ( v22744(VarCurr,bitIndex0)
      <=> v22581(VarCurr,bitIndex29) ) ) )).

fof(addAssignment_7215,axiom,(
    ! [VarCurr] :
      ( v22744(VarCurr,bitIndex11)
    <=> $false ) )).

fof(writeBinaryOperatorShiftedRanges_1239,axiom,(
    ! [VarCurr] :
      ( v22741(VarCurr,bitIndex0)
    <=> ( v22581(VarCurr,bitIndex28)
        & v22742(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1238,axiom,(
    ! [VarCurr] :
      ( v22741(VarCurr,bitIndex1)
    <=> ( v22581(VarCurr,bitIndex29)
        & v22742(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1237,axiom,(
    ! [VarCurr] :
      ( v22741(VarCurr,bitIndex2)
    <=> ( v22581(VarCurr,bitIndex30)
        & v22742(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1236,axiom,(
    ! [VarCurr] :
      ( v22741(VarCurr,bitIndex3)
    <=> ( v22581(VarCurr,bitIndex31)
        & v22742(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1235,axiom,(
    ! [VarCurr] :
      ( v22741(VarCurr,bitIndex4)
    <=> ( v22581(VarCurr,bitIndex32)
        & v22742(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1234,axiom,(
    ! [VarCurr] :
      ( v22741(VarCurr,bitIndex5)
    <=> ( v22581(VarCurr,bitIndex33)
        & v22742(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1233,axiom,(
    ! [VarCurr] :
      ( v22741(VarCurr,bitIndex6)
    <=> ( v22581(VarCurr,bitIndex34)
        & v22742(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1232,axiom,(
    ! [VarCurr] :
      ( v22741(VarCurr,bitIndex7)
    <=> ( v22581(VarCurr,bitIndex35)
        & v22742(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1231,axiom,(
    ! [VarCurr] :
      ( v22741(VarCurr,bitIndex8)
    <=> ( v22581(VarCurr,bitIndex36)
        & v22742(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1230,axiom,(
    ! [VarCurr] :
      ( v22741(VarCurr,bitIndex9)
    <=> ( v22581(VarCurr,bitIndex37)
        & v22742(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1229,axiom,(
    ! [VarCurr] :
      ( v22741(VarCurr,bitIndex10)
    <=> ( v22581(VarCurr,bitIndex38)
        & v22742(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1228,axiom,(
    ! [VarCurr] :
      ( v22741(VarCurr,bitIndex11)
    <=> ( v22581(VarCurr,bitIndex39)
        & v22742(VarCurr,bitIndex11) ) ) )).

fof(addAssignment_7214,axiom,(
    ! [VarCurr] :
      ( v22742(VarCurr,bitIndex0)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7213,axiom,(
    ! [VarCurr] :
      ( v22742(VarCurr,bitIndex1)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7212,axiom,(
    ! [VarCurr] :
      ( v22742(VarCurr,bitIndex2)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7211,axiom,(
    ! [VarCurr] :
      ( v22742(VarCurr,bitIndex3)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7210,axiom,(
    ! [VarCurr] :
      ( v22742(VarCurr,bitIndex4)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7209,axiom,(
    ! [VarCurr] :
      ( v22742(VarCurr,bitIndex5)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7208,axiom,(
    ! [VarCurr] :
      ( v22742(VarCurr,bitIndex6)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7207,axiom,(
    ! [VarCurr] :
      ( v22742(VarCurr,bitIndex7)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7206,axiom,(
    ! [VarCurr] :
      ( v22742(VarCurr,bitIndex8)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7205,axiom,(
    ! [VarCurr] :
      ( v22742(VarCurr,bitIndex9)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7204,axiom,(
    ! [VarCurr] :
      ( v22742(VarCurr,bitIndex10)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7203,axiom,(
    ! [VarCurr] :
      ( v22742(VarCurr,bitIndex11)
    <=> v22481(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_89,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v22716(VarCurr,B)
      <=> ( v22717(VarCurr,B)
          & v22735(VarCurr,B) ) ) ) )).

fof(addAssignment_7202,axiom,(
    ! [VarCurr] :
      ( v22735(VarCurr,bitIndex0)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_7201,axiom,(
    ! [VarCurr] :
      ( v22735(VarCurr,bitIndex1)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_7200,axiom,(
    ! [VarCurr] :
      ( v22735(VarCurr,bitIndex2)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_7199,axiom,(
    ! [VarCurr] :
      ( v22735(VarCurr,bitIndex3)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_7198,axiom,(
    ! [VarCurr] :
      ( v22735(VarCurr,bitIndex4)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_7197,axiom,(
    ! [VarCurr] :
      ( v22735(VarCurr,bitIndex5)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_7196,axiom,(
    ! [VarCurr] :
      ( v22735(VarCurr,bitIndex6)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_7195,axiom,(
    ! [VarCurr] :
      ( v22735(VarCurr,bitIndex7)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_7194,axiom,(
    ! [VarCurr] :
      ( v22735(VarCurr,bitIndex8)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_7193,axiom,(
    ! [VarCurr] :
      ( v22735(VarCurr,bitIndex9)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_7192,axiom,(
    ! [VarCurr] :
      ( v22735(VarCurr,bitIndex10)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_7191,axiom,(
    ! [VarCurr] :
      ( v22735(VarCurr,bitIndex11)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_7190,axiom,(
    ! [VarCurr] :
      ( v22735(VarCurr,bitIndex12)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_7189,axiom,(
    ! [VarCurr] :
      ( v22735(VarCurr,bitIndex13)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_7188,axiom,(
    ! [VarCurr] :
      ( v22735(VarCurr,bitIndex14)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_7187,axiom,(
    ! [VarCurr] :
      ( v22735(VarCurr,bitIndex15)
    <=> v22477(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_88,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v22717(VarCurr,B)
      <=> ( v22718(VarCurr,B)
          | v22726(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_87,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v22726(VarCurr,B)
      <=> ( v22727(VarCurr,B)
          & v22734(VarCurr,B) ) ) ) )).

fof(addAssignment_7186,axiom,(
    ! [VarCurr] :
      ( v22734(VarCurr,bitIndex0)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7185,axiom,(
    ! [VarCurr] :
      ( v22734(VarCurr,bitIndex1)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7184,axiom,(
    ! [VarCurr] :
      ( v22734(VarCurr,bitIndex2)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7183,axiom,(
    ! [VarCurr] :
      ( v22734(VarCurr,bitIndex3)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7182,axiom,(
    ! [VarCurr] :
      ( v22734(VarCurr,bitIndex4)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7181,axiom,(
    ! [VarCurr] :
      ( v22734(VarCurr,bitIndex5)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7180,axiom,(
    ! [VarCurr] :
      ( v22734(VarCurr,bitIndex6)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7179,axiom,(
    ! [VarCurr] :
      ( v22734(VarCurr,bitIndex7)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7178,axiom,(
    ! [VarCurr] :
      ( v22734(VarCurr,bitIndex8)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7177,axiom,(
    ! [VarCurr] :
      ( v22734(VarCurr,bitIndex9)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7176,axiom,(
    ! [VarCurr] :
      ( v22734(VarCurr,bitIndex10)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7175,axiom,(
    ! [VarCurr] :
      ( v22734(VarCurr,bitIndex11)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7174,axiom,(
    ! [VarCurr] :
      ( v22734(VarCurr,bitIndex12)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7173,axiom,(
    ! [VarCurr] :
      ( v22734(VarCurr,bitIndex13)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7172,axiom,(
    ! [VarCurr] :
      ( v22734(VarCurr,bitIndex14)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7171,axiom,(
    ! [VarCurr] :
      ( v22734(VarCurr,bitIndex15)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7170,axiom,(
    ! [VarCurr,B] :
      ( range_13_0(B)
     => ( v22727(VarCurr,B)
      <=> v22728(VarCurr,B) ) ) )).

fof(addAssignment_7169,axiom,(
    ! [VarCurr] :
      ( ( v22727(VarCurr,bitIndex15)
      <=> $false )
      & ( v22727(VarCurr,bitIndex14)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_86,axiom,(
    ! [VarCurr,B] :
      ( range_13_0(B)
     => ( v22728(VarCurr,B)
      <=> ( v22729(VarCurr,B)
          | v22731(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_85,axiom,(
    ! [VarCurr,B] :
      ( range_13_0(B)
     => ( v22731(VarCurr,B)
      <=> ( v22732(VarCurr,B)
          & v22733(VarCurr,B) ) ) ) )).

fof(addAssignment_7168,axiom,(
    ! [VarCurr] :
      ( v22733(VarCurr,bitIndex0)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7167,axiom,(
    ! [VarCurr] :
      ( v22733(VarCurr,bitIndex1)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7166,axiom,(
    ! [VarCurr] :
      ( v22733(VarCurr,bitIndex2)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7165,axiom,(
    ! [VarCurr] :
      ( v22733(VarCurr,bitIndex3)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7164,axiom,(
    ! [VarCurr] :
      ( v22733(VarCurr,bitIndex4)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7163,axiom,(
    ! [VarCurr] :
      ( v22733(VarCurr,bitIndex5)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7162,axiom,(
    ! [VarCurr] :
      ( v22733(VarCurr,bitIndex6)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7161,axiom,(
    ! [VarCurr] :
      ( v22733(VarCurr,bitIndex7)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7160,axiom,(
    ! [VarCurr] :
      ( v22733(VarCurr,bitIndex8)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7159,axiom,(
    ! [VarCurr] :
      ( v22733(VarCurr,bitIndex9)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7158,axiom,(
    ! [VarCurr] :
      ( v22733(VarCurr,bitIndex10)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7157,axiom,(
    ! [VarCurr] :
      ( v22733(VarCurr,bitIndex11)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7156,axiom,(
    ! [VarCurr] :
      ( v22733(VarCurr,bitIndex12)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7155,axiom,(
    ! [VarCurr] :
      ( v22733(VarCurr,bitIndex13)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7154,axiom,(
    ! [VarCurr] :
      ( ( v22732(VarCurr,bitIndex12)
      <=> v22581(VarCurr,bitIndex39) )
      & ( v22732(VarCurr,bitIndex11)
      <=> v22581(VarCurr,bitIndex38) )
      & ( v22732(VarCurr,bitIndex10)
      <=> v22581(VarCurr,bitIndex37) )
      & ( v22732(VarCurr,bitIndex9)
      <=> v22581(VarCurr,bitIndex36) )
      & ( v22732(VarCurr,bitIndex8)
      <=> v22581(VarCurr,bitIndex35) )
      & ( v22732(VarCurr,bitIndex7)
      <=> v22581(VarCurr,bitIndex34) )
      & ( v22732(VarCurr,bitIndex6)
      <=> v22581(VarCurr,bitIndex33) )
      & ( v22732(VarCurr,bitIndex5)
      <=> v22581(VarCurr,bitIndex32) )
      & ( v22732(VarCurr,bitIndex4)
      <=> v22581(VarCurr,bitIndex31) )
      & ( v22732(VarCurr,bitIndex3)
      <=> v22581(VarCurr,bitIndex30) )
      & ( v22732(VarCurr,bitIndex2)
      <=> v22581(VarCurr,bitIndex29) )
      & ( v22732(VarCurr,bitIndex1)
      <=> v22581(VarCurr,bitIndex28) )
      & ( v22732(VarCurr,bitIndex0)
      <=> v22581(VarCurr,bitIndex27) ) ) )).

fof(addAssignment_7153,axiom,(
    ! [VarCurr] :
      ( v22732(VarCurr,bitIndex13)
    <=> $false ) )).

fof(writeBinaryOperatorShiftedRanges_1227,axiom,(
    ! [VarCurr] :
      ( v22729(VarCurr,bitIndex0)
    <=> ( v22581(VarCurr,bitIndex26)
        & v22730(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1226,axiom,(
    ! [VarCurr] :
      ( v22729(VarCurr,bitIndex1)
    <=> ( v22581(VarCurr,bitIndex27)
        & v22730(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1225,axiom,(
    ! [VarCurr] :
      ( v22729(VarCurr,bitIndex2)
    <=> ( v22581(VarCurr,bitIndex28)
        & v22730(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1224,axiom,(
    ! [VarCurr] :
      ( v22729(VarCurr,bitIndex3)
    <=> ( v22581(VarCurr,bitIndex29)
        & v22730(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1223,axiom,(
    ! [VarCurr] :
      ( v22729(VarCurr,bitIndex4)
    <=> ( v22581(VarCurr,bitIndex30)
        & v22730(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1222,axiom,(
    ! [VarCurr] :
      ( v22729(VarCurr,bitIndex5)
    <=> ( v22581(VarCurr,bitIndex31)
        & v22730(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1221,axiom,(
    ! [VarCurr] :
      ( v22729(VarCurr,bitIndex6)
    <=> ( v22581(VarCurr,bitIndex32)
        & v22730(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1220,axiom,(
    ! [VarCurr] :
      ( v22729(VarCurr,bitIndex7)
    <=> ( v22581(VarCurr,bitIndex33)
        & v22730(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1219,axiom,(
    ! [VarCurr] :
      ( v22729(VarCurr,bitIndex8)
    <=> ( v22581(VarCurr,bitIndex34)
        & v22730(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1218,axiom,(
    ! [VarCurr] :
      ( v22729(VarCurr,bitIndex9)
    <=> ( v22581(VarCurr,bitIndex35)
        & v22730(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1217,axiom,(
    ! [VarCurr] :
      ( v22729(VarCurr,bitIndex10)
    <=> ( v22581(VarCurr,bitIndex36)
        & v22730(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1216,axiom,(
    ! [VarCurr] :
      ( v22729(VarCurr,bitIndex11)
    <=> ( v22581(VarCurr,bitIndex37)
        & v22730(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1215,axiom,(
    ! [VarCurr] :
      ( v22729(VarCurr,bitIndex12)
    <=> ( v22581(VarCurr,bitIndex38)
        & v22730(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1214,axiom,(
    ! [VarCurr] :
      ( v22729(VarCurr,bitIndex13)
    <=> ( v22581(VarCurr,bitIndex39)
        & v22730(VarCurr,bitIndex13) ) ) )).

fof(addAssignment_7152,axiom,(
    ! [VarCurr] :
      ( v22730(VarCurr,bitIndex0)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7151,axiom,(
    ! [VarCurr] :
      ( v22730(VarCurr,bitIndex1)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7150,axiom,(
    ! [VarCurr] :
      ( v22730(VarCurr,bitIndex2)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7149,axiom,(
    ! [VarCurr] :
      ( v22730(VarCurr,bitIndex3)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7148,axiom,(
    ! [VarCurr] :
      ( v22730(VarCurr,bitIndex4)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7147,axiom,(
    ! [VarCurr] :
      ( v22730(VarCurr,bitIndex5)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7146,axiom,(
    ! [VarCurr] :
      ( v22730(VarCurr,bitIndex6)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7145,axiom,(
    ! [VarCurr] :
      ( v22730(VarCurr,bitIndex7)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7144,axiom,(
    ! [VarCurr] :
      ( v22730(VarCurr,bitIndex8)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7143,axiom,(
    ! [VarCurr] :
      ( v22730(VarCurr,bitIndex9)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7142,axiom,(
    ! [VarCurr] :
      ( v22730(VarCurr,bitIndex10)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7141,axiom,(
    ! [VarCurr] :
      ( v22730(VarCurr,bitIndex11)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7140,axiom,(
    ! [VarCurr] :
      ( v22730(VarCurr,bitIndex12)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7139,axiom,(
    ! [VarCurr] :
      ( v22730(VarCurr,bitIndex13)
    <=> v22481(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_84,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v22718(VarCurr,B)
      <=> ( v22719(VarCurr,B)
          & v22725(VarCurr,B) ) ) ) )).

fof(addAssignment_7138,axiom,(
    ! [VarCurr] :
      ( v22725(VarCurr,bitIndex0)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_7137,axiom,(
    ! [VarCurr] :
      ( v22725(VarCurr,bitIndex1)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_7136,axiom,(
    ! [VarCurr] :
      ( v22725(VarCurr,bitIndex2)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_7135,axiom,(
    ! [VarCurr] :
      ( v22725(VarCurr,bitIndex3)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_7134,axiom,(
    ! [VarCurr] :
      ( v22725(VarCurr,bitIndex4)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_7133,axiom,(
    ! [VarCurr] :
      ( v22725(VarCurr,bitIndex5)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_7132,axiom,(
    ! [VarCurr] :
      ( v22725(VarCurr,bitIndex6)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_7131,axiom,(
    ! [VarCurr] :
      ( v22725(VarCurr,bitIndex7)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_7130,axiom,(
    ! [VarCurr] :
      ( v22725(VarCurr,bitIndex8)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_7129,axiom,(
    ! [VarCurr] :
      ( v22725(VarCurr,bitIndex9)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_7128,axiom,(
    ! [VarCurr] :
      ( v22725(VarCurr,bitIndex10)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_7127,axiom,(
    ! [VarCurr] :
      ( v22725(VarCurr,bitIndex11)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_7126,axiom,(
    ! [VarCurr] :
      ( v22725(VarCurr,bitIndex12)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_7125,axiom,(
    ! [VarCurr] :
      ( v22725(VarCurr,bitIndex13)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_7124,axiom,(
    ! [VarCurr] :
      ( v22725(VarCurr,bitIndex14)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_7123,axiom,(
    ! [VarCurr] :
      ( v22725(VarCurr,bitIndex15)
    <=> v22482(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_83,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v22719(VarCurr,B)
      <=> ( v22720(VarCurr,B)
          | v22722(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_82,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v22722(VarCurr,B)
      <=> ( v22723(VarCurr,B)
          & v22724(VarCurr,B) ) ) ) )).

fof(addAssignment_7122,axiom,(
    ! [VarCurr] :
      ( v22724(VarCurr,bitIndex0)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7121,axiom,(
    ! [VarCurr] :
      ( v22724(VarCurr,bitIndex1)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7120,axiom,(
    ! [VarCurr] :
      ( v22724(VarCurr,bitIndex2)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7119,axiom,(
    ! [VarCurr] :
      ( v22724(VarCurr,bitIndex3)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7118,axiom,(
    ! [VarCurr] :
      ( v22724(VarCurr,bitIndex4)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7117,axiom,(
    ! [VarCurr] :
      ( v22724(VarCurr,bitIndex5)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7116,axiom,(
    ! [VarCurr] :
      ( v22724(VarCurr,bitIndex6)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7115,axiom,(
    ! [VarCurr] :
      ( v22724(VarCurr,bitIndex7)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7114,axiom,(
    ! [VarCurr] :
      ( v22724(VarCurr,bitIndex8)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7113,axiom,(
    ! [VarCurr] :
      ( v22724(VarCurr,bitIndex9)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7112,axiom,(
    ! [VarCurr] :
      ( v22724(VarCurr,bitIndex10)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7111,axiom,(
    ! [VarCurr] :
      ( v22724(VarCurr,bitIndex11)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7110,axiom,(
    ! [VarCurr] :
      ( v22724(VarCurr,bitIndex12)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7109,axiom,(
    ! [VarCurr] :
      ( v22724(VarCurr,bitIndex13)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7108,axiom,(
    ! [VarCurr] :
      ( v22724(VarCurr,bitIndex14)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7107,axiom,(
    ! [VarCurr] :
      ( v22724(VarCurr,bitIndex15)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7106,axiom,(
    ! [VarCurr] :
      ( ( v22723(VarCurr,bitIndex14)
      <=> v22581(VarCurr,bitIndex39) )
      & ( v22723(VarCurr,bitIndex13)
      <=> v22581(VarCurr,bitIndex38) )
      & ( v22723(VarCurr,bitIndex12)
      <=> v22581(VarCurr,bitIndex37) )
      & ( v22723(VarCurr,bitIndex11)
      <=> v22581(VarCurr,bitIndex36) )
      & ( v22723(VarCurr,bitIndex10)
      <=> v22581(VarCurr,bitIndex35) )
      & ( v22723(VarCurr,bitIndex9)
      <=> v22581(VarCurr,bitIndex34) )
      & ( v22723(VarCurr,bitIndex8)
      <=> v22581(VarCurr,bitIndex33) )
      & ( v22723(VarCurr,bitIndex7)
      <=> v22581(VarCurr,bitIndex32) )
      & ( v22723(VarCurr,bitIndex6)
      <=> v22581(VarCurr,bitIndex31) )
      & ( v22723(VarCurr,bitIndex5)
      <=> v22581(VarCurr,bitIndex30) )
      & ( v22723(VarCurr,bitIndex4)
      <=> v22581(VarCurr,bitIndex29) )
      & ( v22723(VarCurr,bitIndex3)
      <=> v22581(VarCurr,bitIndex28) )
      & ( v22723(VarCurr,bitIndex2)
      <=> v22581(VarCurr,bitIndex27) )
      & ( v22723(VarCurr,bitIndex1)
      <=> v22581(VarCurr,bitIndex26) )
      & ( v22723(VarCurr,bitIndex0)
      <=> v22581(VarCurr,bitIndex25) ) ) )).

fof(addAssignment_7105,axiom,(
    ! [VarCurr] :
      ( v22723(VarCurr,bitIndex15)
    <=> $false ) )).

fof(writeBinaryOperatorShiftedRanges_1213,axiom,(
    ! [VarCurr] :
      ( v22720(VarCurr,bitIndex0)
    <=> ( v22581(VarCurr,bitIndex24)
        & v22721(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1212,axiom,(
    ! [VarCurr] :
      ( v22720(VarCurr,bitIndex1)
    <=> ( v22581(VarCurr,bitIndex25)
        & v22721(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1211,axiom,(
    ! [VarCurr] :
      ( v22720(VarCurr,bitIndex2)
    <=> ( v22581(VarCurr,bitIndex26)
        & v22721(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1210,axiom,(
    ! [VarCurr] :
      ( v22720(VarCurr,bitIndex3)
    <=> ( v22581(VarCurr,bitIndex27)
        & v22721(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1209,axiom,(
    ! [VarCurr] :
      ( v22720(VarCurr,bitIndex4)
    <=> ( v22581(VarCurr,bitIndex28)
        & v22721(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1208,axiom,(
    ! [VarCurr] :
      ( v22720(VarCurr,bitIndex5)
    <=> ( v22581(VarCurr,bitIndex29)
        & v22721(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1207,axiom,(
    ! [VarCurr] :
      ( v22720(VarCurr,bitIndex6)
    <=> ( v22581(VarCurr,bitIndex30)
        & v22721(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1206,axiom,(
    ! [VarCurr] :
      ( v22720(VarCurr,bitIndex7)
    <=> ( v22581(VarCurr,bitIndex31)
        & v22721(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1205,axiom,(
    ! [VarCurr] :
      ( v22720(VarCurr,bitIndex8)
    <=> ( v22581(VarCurr,bitIndex32)
        & v22721(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1204,axiom,(
    ! [VarCurr] :
      ( v22720(VarCurr,bitIndex9)
    <=> ( v22581(VarCurr,bitIndex33)
        & v22721(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1203,axiom,(
    ! [VarCurr] :
      ( v22720(VarCurr,bitIndex10)
    <=> ( v22581(VarCurr,bitIndex34)
        & v22721(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1202,axiom,(
    ! [VarCurr] :
      ( v22720(VarCurr,bitIndex11)
    <=> ( v22581(VarCurr,bitIndex35)
        & v22721(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1201,axiom,(
    ! [VarCurr] :
      ( v22720(VarCurr,bitIndex12)
    <=> ( v22581(VarCurr,bitIndex36)
        & v22721(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1200,axiom,(
    ! [VarCurr] :
      ( v22720(VarCurr,bitIndex13)
    <=> ( v22581(VarCurr,bitIndex37)
        & v22721(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1199,axiom,(
    ! [VarCurr] :
      ( v22720(VarCurr,bitIndex14)
    <=> ( v22581(VarCurr,bitIndex38)
        & v22721(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1198,axiom,(
    ! [VarCurr] :
      ( v22720(VarCurr,bitIndex15)
    <=> ( v22581(VarCurr,bitIndex39)
        & v22721(VarCurr,bitIndex15) ) ) )).

fof(addAssignment_7104,axiom,(
    ! [VarCurr] :
      ( v22721(VarCurr,bitIndex0)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7103,axiom,(
    ! [VarCurr] :
      ( v22721(VarCurr,bitIndex1)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7102,axiom,(
    ! [VarCurr] :
      ( v22721(VarCurr,bitIndex2)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7101,axiom,(
    ! [VarCurr] :
      ( v22721(VarCurr,bitIndex3)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7100,axiom,(
    ! [VarCurr] :
      ( v22721(VarCurr,bitIndex4)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7099,axiom,(
    ! [VarCurr] :
      ( v22721(VarCurr,bitIndex5)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7098,axiom,(
    ! [VarCurr] :
      ( v22721(VarCurr,bitIndex6)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7097,axiom,(
    ! [VarCurr] :
      ( v22721(VarCurr,bitIndex7)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7096,axiom,(
    ! [VarCurr] :
      ( v22721(VarCurr,bitIndex8)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7095,axiom,(
    ! [VarCurr] :
      ( v22721(VarCurr,bitIndex9)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7094,axiom,(
    ! [VarCurr] :
      ( v22721(VarCurr,bitIndex10)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7093,axiom,(
    ! [VarCurr] :
      ( v22721(VarCurr,bitIndex11)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7092,axiom,(
    ! [VarCurr] :
      ( v22721(VarCurr,bitIndex12)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7091,axiom,(
    ! [VarCurr] :
      ( v22721(VarCurr,bitIndex13)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7090,axiom,(
    ! [VarCurr] :
      ( v22721(VarCurr,bitIndex14)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_7089,axiom,(
    ! [VarCurr] :
      ( v22721(VarCurr,bitIndex15)
    <=> v22481(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_81,axiom,(
    ! [VarCurr,B] :
      ( range_23_0(B)
     => ( v22669(VarCurr,B)
      <=> ( v22670(VarCurr,B)
          & v22712(VarCurr,B) ) ) ) )).

fof(addAssignment_7088,axiom,(
    ! [VarCurr] :
      ( v22712(VarCurr,bitIndex0)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_7087,axiom,(
    ! [VarCurr] :
      ( v22712(VarCurr,bitIndex1)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_7086,axiom,(
    ! [VarCurr] :
      ( v22712(VarCurr,bitIndex2)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_7085,axiom,(
    ! [VarCurr] :
      ( v22712(VarCurr,bitIndex3)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_7084,axiom,(
    ! [VarCurr] :
      ( v22712(VarCurr,bitIndex4)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_7083,axiom,(
    ! [VarCurr] :
      ( v22712(VarCurr,bitIndex5)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_7082,axiom,(
    ! [VarCurr] :
      ( v22712(VarCurr,bitIndex6)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_7081,axiom,(
    ! [VarCurr] :
      ( v22712(VarCurr,bitIndex7)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_7080,axiom,(
    ! [VarCurr] :
      ( v22712(VarCurr,bitIndex8)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_7079,axiom,(
    ! [VarCurr] :
      ( v22712(VarCurr,bitIndex9)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_7078,axiom,(
    ! [VarCurr] :
      ( v22712(VarCurr,bitIndex10)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_7077,axiom,(
    ! [VarCurr] :
      ( v22712(VarCurr,bitIndex11)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_7076,axiom,(
    ! [VarCurr] :
      ( v22712(VarCurr,bitIndex12)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_7075,axiom,(
    ! [VarCurr] :
      ( v22712(VarCurr,bitIndex13)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_7074,axiom,(
    ! [VarCurr] :
      ( v22712(VarCurr,bitIndex14)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_7073,axiom,(
    ! [VarCurr] :
      ( v22712(VarCurr,bitIndex15)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_7072,axiom,(
    ! [VarCurr] :
      ( v22712(VarCurr,bitIndex16)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_7071,axiom,(
    ! [VarCurr] :
      ( v22712(VarCurr,bitIndex17)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_7070,axiom,(
    ! [VarCurr] :
      ( v22712(VarCurr,bitIndex18)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_7069,axiom,(
    ! [VarCurr] :
      ( v22712(VarCurr,bitIndex19)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_7068,axiom,(
    ! [VarCurr] :
      ( v22712(VarCurr,bitIndex20)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_7067,axiom,(
    ! [VarCurr] :
      ( v22712(VarCurr,bitIndex21)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_7066,axiom,(
    ! [VarCurr] :
      ( v22712(VarCurr,bitIndex22)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_7065,axiom,(
    ! [VarCurr] :
      ( v22712(VarCurr,bitIndex23)
    <=> v22472(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_80,axiom,(
    ! [VarCurr,B] :
      ( range_23_0(B)
     => ( v22670(VarCurr,B)
      <=> ( v22671(VarCurr,B)
          | v22691(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_79,axiom,(
    ! [VarCurr,B] :
      ( range_23_0(B)
     => ( v22691(VarCurr,B)
      <=> ( v22692(VarCurr,B)
          & v22711(VarCurr,B) ) ) ) )).

fof(addAssignment_7064,axiom,(
    ! [VarCurr] :
      ( v22711(VarCurr,bitIndex0)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7063,axiom,(
    ! [VarCurr] :
      ( v22711(VarCurr,bitIndex1)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7062,axiom,(
    ! [VarCurr] :
      ( v22711(VarCurr,bitIndex2)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7061,axiom,(
    ! [VarCurr] :
      ( v22711(VarCurr,bitIndex3)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7060,axiom,(
    ! [VarCurr] :
      ( v22711(VarCurr,bitIndex4)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7059,axiom,(
    ! [VarCurr] :
      ( v22711(VarCurr,bitIndex5)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7058,axiom,(
    ! [VarCurr] :
      ( v22711(VarCurr,bitIndex6)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7057,axiom,(
    ! [VarCurr] :
      ( v22711(VarCurr,bitIndex7)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7056,axiom,(
    ! [VarCurr] :
      ( v22711(VarCurr,bitIndex8)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7055,axiom,(
    ! [VarCurr] :
      ( v22711(VarCurr,bitIndex9)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7054,axiom,(
    ! [VarCurr] :
      ( v22711(VarCurr,bitIndex10)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7053,axiom,(
    ! [VarCurr] :
      ( v22711(VarCurr,bitIndex11)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7052,axiom,(
    ! [VarCurr] :
      ( v22711(VarCurr,bitIndex12)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7051,axiom,(
    ! [VarCurr] :
      ( v22711(VarCurr,bitIndex13)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7050,axiom,(
    ! [VarCurr] :
      ( v22711(VarCurr,bitIndex14)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7049,axiom,(
    ! [VarCurr] :
      ( v22711(VarCurr,bitIndex15)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7048,axiom,(
    ! [VarCurr] :
      ( v22711(VarCurr,bitIndex16)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7047,axiom,(
    ! [VarCurr] :
      ( v22711(VarCurr,bitIndex17)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7046,axiom,(
    ! [VarCurr] :
      ( v22711(VarCurr,bitIndex18)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7045,axiom,(
    ! [VarCurr] :
      ( v22711(VarCurr,bitIndex19)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7044,axiom,(
    ! [VarCurr] :
      ( v22711(VarCurr,bitIndex20)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7043,axiom,(
    ! [VarCurr] :
      ( v22711(VarCurr,bitIndex21)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7042,axiom,(
    ! [VarCurr] :
      ( v22711(VarCurr,bitIndex22)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7041,axiom,(
    ! [VarCurr] :
      ( v22711(VarCurr,bitIndex23)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_7040,axiom,(
    ! [VarCurr,B] :
      ( range_19_0(B)
     => ( v22692(VarCurr,B)
      <=> v22693(VarCurr,B) ) ) )).

fof(addAssignment_7039,axiom,(
    ! [VarCurr] :
      ( ( v22692(VarCurr,bitIndex23)
      <=> $false )
      & ( v22692(VarCurr,bitIndex22)
      <=> $false )
      & ( v22692(VarCurr,bitIndex21)
      <=> $false )
      & ( v22692(VarCurr,bitIndex20)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_78,axiom,(
    ! [VarCurr,B] :
      ( range_19_0(B)
     => ( v22693(VarCurr,B)
      <=> ( v22694(VarCurr,B)
          | v22702(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_77,axiom,(
    ! [VarCurr,B] :
      ( range_19_0(B)
     => ( v22702(VarCurr,B)
      <=> ( v22703(VarCurr,B)
          & v22710(VarCurr,B) ) ) ) )).

fof(addAssignment_7038,axiom,(
    ! [VarCurr] :
      ( v22710(VarCurr,bitIndex0)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7037,axiom,(
    ! [VarCurr] :
      ( v22710(VarCurr,bitIndex1)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7036,axiom,(
    ! [VarCurr] :
      ( v22710(VarCurr,bitIndex2)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7035,axiom,(
    ! [VarCurr] :
      ( v22710(VarCurr,bitIndex3)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7034,axiom,(
    ! [VarCurr] :
      ( v22710(VarCurr,bitIndex4)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7033,axiom,(
    ! [VarCurr] :
      ( v22710(VarCurr,bitIndex5)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7032,axiom,(
    ! [VarCurr] :
      ( v22710(VarCurr,bitIndex6)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7031,axiom,(
    ! [VarCurr] :
      ( v22710(VarCurr,bitIndex7)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7030,axiom,(
    ! [VarCurr] :
      ( v22710(VarCurr,bitIndex8)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7029,axiom,(
    ! [VarCurr] :
      ( v22710(VarCurr,bitIndex9)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7028,axiom,(
    ! [VarCurr] :
      ( v22710(VarCurr,bitIndex10)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7027,axiom,(
    ! [VarCurr] :
      ( v22710(VarCurr,bitIndex11)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7026,axiom,(
    ! [VarCurr] :
      ( v22710(VarCurr,bitIndex12)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7025,axiom,(
    ! [VarCurr] :
      ( v22710(VarCurr,bitIndex13)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7024,axiom,(
    ! [VarCurr] :
      ( v22710(VarCurr,bitIndex14)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7023,axiom,(
    ! [VarCurr] :
      ( v22710(VarCurr,bitIndex15)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7022,axiom,(
    ! [VarCurr] :
      ( v22710(VarCurr,bitIndex16)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7021,axiom,(
    ! [VarCurr] :
      ( v22710(VarCurr,bitIndex17)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7020,axiom,(
    ! [VarCurr] :
      ( v22710(VarCurr,bitIndex18)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7019,axiom,(
    ! [VarCurr] :
      ( v22710(VarCurr,bitIndex19)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_7018,axiom,(
    ! [VarCurr,B] :
      ( range_17_0(B)
     => ( v22703(VarCurr,B)
      <=> v22704(VarCurr,B) ) ) )).

fof(addAssignment_7017,axiom,(
    ! [VarCurr] :
      ( ( v22703(VarCurr,bitIndex19)
      <=> $false )
      & ( v22703(VarCurr,bitIndex18)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_76,axiom,(
    ! [VarCurr,B] :
      ( range_17_0(B)
     => ( v22704(VarCurr,B)
      <=> ( v22705(VarCurr,B)
          | v22707(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_75,axiom,(
    ! [VarCurr,B] :
      ( range_17_0(B)
     => ( v22707(VarCurr,B)
      <=> ( v22708(VarCurr,B)
          & v22709(VarCurr,B) ) ) ) )).

fof(addAssignment_7016,axiom,(
    ! [VarCurr] :
      ( v22709(VarCurr,bitIndex0)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7015,axiom,(
    ! [VarCurr] :
      ( v22709(VarCurr,bitIndex1)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7014,axiom,(
    ! [VarCurr] :
      ( v22709(VarCurr,bitIndex2)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7013,axiom,(
    ! [VarCurr] :
      ( v22709(VarCurr,bitIndex3)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7012,axiom,(
    ! [VarCurr] :
      ( v22709(VarCurr,bitIndex4)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7011,axiom,(
    ! [VarCurr] :
      ( v22709(VarCurr,bitIndex5)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7010,axiom,(
    ! [VarCurr] :
      ( v22709(VarCurr,bitIndex6)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7009,axiom,(
    ! [VarCurr] :
      ( v22709(VarCurr,bitIndex7)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7008,axiom,(
    ! [VarCurr] :
      ( v22709(VarCurr,bitIndex8)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7007,axiom,(
    ! [VarCurr] :
      ( v22709(VarCurr,bitIndex9)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7006,axiom,(
    ! [VarCurr] :
      ( v22709(VarCurr,bitIndex10)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7005,axiom,(
    ! [VarCurr] :
      ( v22709(VarCurr,bitIndex11)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7004,axiom,(
    ! [VarCurr] :
      ( v22709(VarCurr,bitIndex12)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7003,axiom,(
    ! [VarCurr] :
      ( v22709(VarCurr,bitIndex13)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7002,axiom,(
    ! [VarCurr] :
      ( v22709(VarCurr,bitIndex14)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7001,axiom,(
    ! [VarCurr] :
      ( v22709(VarCurr,bitIndex15)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_7000,axiom,(
    ! [VarCurr] :
      ( v22709(VarCurr,bitIndex16)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6999,axiom,(
    ! [VarCurr] :
      ( v22709(VarCurr,bitIndex17)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6998,axiom,(
    ! [VarCurr] :
      ( ( v22708(VarCurr,bitIndex16)
      <=> v22581(VarCurr,bitIndex39) )
      & ( v22708(VarCurr,bitIndex15)
      <=> v22581(VarCurr,bitIndex38) )
      & ( v22708(VarCurr,bitIndex14)
      <=> v22581(VarCurr,bitIndex37) )
      & ( v22708(VarCurr,bitIndex13)
      <=> v22581(VarCurr,bitIndex36) )
      & ( v22708(VarCurr,bitIndex12)
      <=> v22581(VarCurr,bitIndex35) )
      & ( v22708(VarCurr,bitIndex11)
      <=> v22581(VarCurr,bitIndex34) )
      & ( v22708(VarCurr,bitIndex10)
      <=> v22581(VarCurr,bitIndex33) )
      & ( v22708(VarCurr,bitIndex9)
      <=> v22581(VarCurr,bitIndex32) )
      & ( v22708(VarCurr,bitIndex8)
      <=> v22581(VarCurr,bitIndex31) )
      & ( v22708(VarCurr,bitIndex7)
      <=> v22581(VarCurr,bitIndex30) )
      & ( v22708(VarCurr,bitIndex6)
      <=> v22581(VarCurr,bitIndex29) )
      & ( v22708(VarCurr,bitIndex5)
      <=> v22581(VarCurr,bitIndex28) )
      & ( v22708(VarCurr,bitIndex4)
      <=> v22581(VarCurr,bitIndex27) )
      & ( v22708(VarCurr,bitIndex3)
      <=> v22581(VarCurr,bitIndex26) )
      & ( v22708(VarCurr,bitIndex2)
      <=> v22581(VarCurr,bitIndex25) )
      & ( v22708(VarCurr,bitIndex1)
      <=> v22581(VarCurr,bitIndex24) )
      & ( v22708(VarCurr,bitIndex0)
      <=> v22581(VarCurr,bitIndex23) ) ) )).

fof(addAssignment_6997,axiom,(
    ! [VarCurr] :
      ( v22708(VarCurr,bitIndex17)
    <=> $false ) )).

fof(writeBinaryOperatorShiftedRanges_1197,axiom,(
    ! [VarCurr] :
      ( v22705(VarCurr,bitIndex0)
    <=> ( v22581(VarCurr,bitIndex22)
        & v22706(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1196,axiom,(
    ! [VarCurr] :
      ( v22705(VarCurr,bitIndex1)
    <=> ( v22581(VarCurr,bitIndex23)
        & v22706(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1195,axiom,(
    ! [VarCurr] :
      ( v22705(VarCurr,bitIndex2)
    <=> ( v22581(VarCurr,bitIndex24)
        & v22706(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1194,axiom,(
    ! [VarCurr] :
      ( v22705(VarCurr,bitIndex3)
    <=> ( v22581(VarCurr,bitIndex25)
        & v22706(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1193,axiom,(
    ! [VarCurr] :
      ( v22705(VarCurr,bitIndex4)
    <=> ( v22581(VarCurr,bitIndex26)
        & v22706(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1192,axiom,(
    ! [VarCurr] :
      ( v22705(VarCurr,bitIndex5)
    <=> ( v22581(VarCurr,bitIndex27)
        & v22706(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1191,axiom,(
    ! [VarCurr] :
      ( v22705(VarCurr,bitIndex6)
    <=> ( v22581(VarCurr,bitIndex28)
        & v22706(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1190,axiom,(
    ! [VarCurr] :
      ( v22705(VarCurr,bitIndex7)
    <=> ( v22581(VarCurr,bitIndex29)
        & v22706(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1189,axiom,(
    ! [VarCurr] :
      ( v22705(VarCurr,bitIndex8)
    <=> ( v22581(VarCurr,bitIndex30)
        & v22706(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1188,axiom,(
    ! [VarCurr] :
      ( v22705(VarCurr,bitIndex9)
    <=> ( v22581(VarCurr,bitIndex31)
        & v22706(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1187,axiom,(
    ! [VarCurr] :
      ( v22705(VarCurr,bitIndex10)
    <=> ( v22581(VarCurr,bitIndex32)
        & v22706(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1186,axiom,(
    ! [VarCurr] :
      ( v22705(VarCurr,bitIndex11)
    <=> ( v22581(VarCurr,bitIndex33)
        & v22706(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1185,axiom,(
    ! [VarCurr] :
      ( v22705(VarCurr,bitIndex12)
    <=> ( v22581(VarCurr,bitIndex34)
        & v22706(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1184,axiom,(
    ! [VarCurr] :
      ( v22705(VarCurr,bitIndex13)
    <=> ( v22581(VarCurr,bitIndex35)
        & v22706(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1183,axiom,(
    ! [VarCurr] :
      ( v22705(VarCurr,bitIndex14)
    <=> ( v22581(VarCurr,bitIndex36)
        & v22706(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1182,axiom,(
    ! [VarCurr] :
      ( v22705(VarCurr,bitIndex15)
    <=> ( v22581(VarCurr,bitIndex37)
        & v22706(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1181,axiom,(
    ! [VarCurr] :
      ( v22705(VarCurr,bitIndex16)
    <=> ( v22581(VarCurr,bitIndex38)
        & v22706(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1180,axiom,(
    ! [VarCurr] :
      ( v22705(VarCurr,bitIndex17)
    <=> ( v22581(VarCurr,bitIndex39)
        & v22706(VarCurr,bitIndex17) ) ) )).

fof(addAssignment_6996,axiom,(
    ! [VarCurr] :
      ( v22706(VarCurr,bitIndex0)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6995,axiom,(
    ! [VarCurr] :
      ( v22706(VarCurr,bitIndex1)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6994,axiom,(
    ! [VarCurr] :
      ( v22706(VarCurr,bitIndex2)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6993,axiom,(
    ! [VarCurr] :
      ( v22706(VarCurr,bitIndex3)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6992,axiom,(
    ! [VarCurr] :
      ( v22706(VarCurr,bitIndex4)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6991,axiom,(
    ! [VarCurr] :
      ( v22706(VarCurr,bitIndex5)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6990,axiom,(
    ! [VarCurr] :
      ( v22706(VarCurr,bitIndex6)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6989,axiom,(
    ! [VarCurr] :
      ( v22706(VarCurr,bitIndex7)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6988,axiom,(
    ! [VarCurr] :
      ( v22706(VarCurr,bitIndex8)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6987,axiom,(
    ! [VarCurr] :
      ( v22706(VarCurr,bitIndex9)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6986,axiom,(
    ! [VarCurr] :
      ( v22706(VarCurr,bitIndex10)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6985,axiom,(
    ! [VarCurr] :
      ( v22706(VarCurr,bitIndex11)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6984,axiom,(
    ! [VarCurr] :
      ( v22706(VarCurr,bitIndex12)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6983,axiom,(
    ! [VarCurr] :
      ( v22706(VarCurr,bitIndex13)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6982,axiom,(
    ! [VarCurr] :
      ( v22706(VarCurr,bitIndex14)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6981,axiom,(
    ! [VarCurr] :
      ( v22706(VarCurr,bitIndex15)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6980,axiom,(
    ! [VarCurr] :
      ( v22706(VarCurr,bitIndex16)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6979,axiom,(
    ! [VarCurr] :
      ( v22706(VarCurr,bitIndex17)
    <=> v22481(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_74,axiom,(
    ! [VarCurr,B] :
      ( range_19_0(B)
     => ( v22694(VarCurr,B)
      <=> ( v22695(VarCurr,B)
          & v22701(VarCurr,B) ) ) ) )).

fof(addAssignment_6978,axiom,(
    ! [VarCurr] :
      ( v22701(VarCurr,bitIndex0)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6977,axiom,(
    ! [VarCurr] :
      ( v22701(VarCurr,bitIndex1)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6976,axiom,(
    ! [VarCurr] :
      ( v22701(VarCurr,bitIndex2)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6975,axiom,(
    ! [VarCurr] :
      ( v22701(VarCurr,bitIndex3)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6974,axiom,(
    ! [VarCurr] :
      ( v22701(VarCurr,bitIndex4)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6973,axiom,(
    ! [VarCurr] :
      ( v22701(VarCurr,bitIndex5)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6972,axiom,(
    ! [VarCurr] :
      ( v22701(VarCurr,bitIndex6)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6971,axiom,(
    ! [VarCurr] :
      ( v22701(VarCurr,bitIndex7)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6970,axiom,(
    ! [VarCurr] :
      ( v22701(VarCurr,bitIndex8)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6969,axiom,(
    ! [VarCurr] :
      ( v22701(VarCurr,bitIndex9)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6968,axiom,(
    ! [VarCurr] :
      ( v22701(VarCurr,bitIndex10)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6967,axiom,(
    ! [VarCurr] :
      ( v22701(VarCurr,bitIndex11)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6966,axiom,(
    ! [VarCurr] :
      ( v22701(VarCurr,bitIndex12)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6965,axiom,(
    ! [VarCurr] :
      ( v22701(VarCurr,bitIndex13)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6964,axiom,(
    ! [VarCurr] :
      ( v22701(VarCurr,bitIndex14)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6963,axiom,(
    ! [VarCurr] :
      ( v22701(VarCurr,bitIndex15)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6962,axiom,(
    ! [VarCurr] :
      ( v22701(VarCurr,bitIndex16)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6961,axiom,(
    ! [VarCurr] :
      ( v22701(VarCurr,bitIndex17)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6960,axiom,(
    ! [VarCurr] :
      ( v22701(VarCurr,bitIndex18)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6959,axiom,(
    ! [VarCurr] :
      ( v22701(VarCurr,bitIndex19)
    <=> v22482(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_73,axiom,(
    ! [VarCurr,B] :
      ( range_19_0(B)
     => ( v22695(VarCurr,B)
      <=> ( v22696(VarCurr,B)
          | v22698(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_72,axiom,(
    ! [VarCurr,B] :
      ( range_19_0(B)
     => ( v22698(VarCurr,B)
      <=> ( v22699(VarCurr,B)
          & v22700(VarCurr,B) ) ) ) )).

fof(addAssignment_6958,axiom,(
    ! [VarCurr] :
      ( v22700(VarCurr,bitIndex0)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6957,axiom,(
    ! [VarCurr] :
      ( v22700(VarCurr,bitIndex1)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6956,axiom,(
    ! [VarCurr] :
      ( v22700(VarCurr,bitIndex2)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6955,axiom,(
    ! [VarCurr] :
      ( v22700(VarCurr,bitIndex3)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6954,axiom,(
    ! [VarCurr] :
      ( v22700(VarCurr,bitIndex4)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6953,axiom,(
    ! [VarCurr] :
      ( v22700(VarCurr,bitIndex5)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6952,axiom,(
    ! [VarCurr] :
      ( v22700(VarCurr,bitIndex6)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6951,axiom,(
    ! [VarCurr] :
      ( v22700(VarCurr,bitIndex7)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6950,axiom,(
    ! [VarCurr] :
      ( v22700(VarCurr,bitIndex8)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6949,axiom,(
    ! [VarCurr] :
      ( v22700(VarCurr,bitIndex9)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6948,axiom,(
    ! [VarCurr] :
      ( v22700(VarCurr,bitIndex10)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6947,axiom,(
    ! [VarCurr] :
      ( v22700(VarCurr,bitIndex11)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6946,axiom,(
    ! [VarCurr] :
      ( v22700(VarCurr,bitIndex12)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6945,axiom,(
    ! [VarCurr] :
      ( v22700(VarCurr,bitIndex13)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6944,axiom,(
    ! [VarCurr] :
      ( v22700(VarCurr,bitIndex14)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6943,axiom,(
    ! [VarCurr] :
      ( v22700(VarCurr,bitIndex15)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6942,axiom,(
    ! [VarCurr] :
      ( v22700(VarCurr,bitIndex16)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6941,axiom,(
    ! [VarCurr] :
      ( v22700(VarCurr,bitIndex17)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6940,axiom,(
    ! [VarCurr] :
      ( v22700(VarCurr,bitIndex18)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6939,axiom,(
    ! [VarCurr] :
      ( v22700(VarCurr,bitIndex19)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6938,axiom,(
    ! [VarCurr] :
      ( ( v22699(VarCurr,bitIndex18)
      <=> v22581(VarCurr,bitIndex39) )
      & ( v22699(VarCurr,bitIndex17)
      <=> v22581(VarCurr,bitIndex38) )
      & ( v22699(VarCurr,bitIndex16)
      <=> v22581(VarCurr,bitIndex37) )
      & ( v22699(VarCurr,bitIndex15)
      <=> v22581(VarCurr,bitIndex36) )
      & ( v22699(VarCurr,bitIndex14)
      <=> v22581(VarCurr,bitIndex35) )
      & ( v22699(VarCurr,bitIndex13)
      <=> v22581(VarCurr,bitIndex34) )
      & ( v22699(VarCurr,bitIndex12)
      <=> v22581(VarCurr,bitIndex33) )
      & ( v22699(VarCurr,bitIndex11)
      <=> v22581(VarCurr,bitIndex32) )
      & ( v22699(VarCurr,bitIndex10)
      <=> v22581(VarCurr,bitIndex31) )
      & ( v22699(VarCurr,bitIndex9)
      <=> v22581(VarCurr,bitIndex30) )
      & ( v22699(VarCurr,bitIndex8)
      <=> v22581(VarCurr,bitIndex29) )
      & ( v22699(VarCurr,bitIndex7)
      <=> v22581(VarCurr,bitIndex28) )
      & ( v22699(VarCurr,bitIndex6)
      <=> v22581(VarCurr,bitIndex27) )
      & ( v22699(VarCurr,bitIndex5)
      <=> v22581(VarCurr,bitIndex26) )
      & ( v22699(VarCurr,bitIndex4)
      <=> v22581(VarCurr,bitIndex25) )
      & ( v22699(VarCurr,bitIndex3)
      <=> v22581(VarCurr,bitIndex24) )
      & ( v22699(VarCurr,bitIndex2)
      <=> v22581(VarCurr,bitIndex23) )
      & ( v22699(VarCurr,bitIndex1)
      <=> v22581(VarCurr,bitIndex22) )
      & ( v22699(VarCurr,bitIndex0)
      <=> v22581(VarCurr,bitIndex21) ) ) )).

fof(addAssignment_6937,axiom,(
    ! [VarCurr] :
      ( v22699(VarCurr,bitIndex19)
    <=> $false ) )).

fof(writeBinaryOperatorShiftedRanges_1179,axiom,(
    ! [VarCurr] :
      ( v22696(VarCurr,bitIndex0)
    <=> ( v22581(VarCurr,bitIndex20)
        & v22697(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1178,axiom,(
    ! [VarCurr] :
      ( v22696(VarCurr,bitIndex1)
    <=> ( v22581(VarCurr,bitIndex21)
        & v22697(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1177,axiom,(
    ! [VarCurr] :
      ( v22696(VarCurr,bitIndex2)
    <=> ( v22581(VarCurr,bitIndex22)
        & v22697(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1176,axiom,(
    ! [VarCurr] :
      ( v22696(VarCurr,bitIndex3)
    <=> ( v22581(VarCurr,bitIndex23)
        & v22697(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1175,axiom,(
    ! [VarCurr] :
      ( v22696(VarCurr,bitIndex4)
    <=> ( v22581(VarCurr,bitIndex24)
        & v22697(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1174,axiom,(
    ! [VarCurr] :
      ( v22696(VarCurr,bitIndex5)
    <=> ( v22581(VarCurr,bitIndex25)
        & v22697(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1173,axiom,(
    ! [VarCurr] :
      ( v22696(VarCurr,bitIndex6)
    <=> ( v22581(VarCurr,bitIndex26)
        & v22697(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1172,axiom,(
    ! [VarCurr] :
      ( v22696(VarCurr,bitIndex7)
    <=> ( v22581(VarCurr,bitIndex27)
        & v22697(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1171,axiom,(
    ! [VarCurr] :
      ( v22696(VarCurr,bitIndex8)
    <=> ( v22581(VarCurr,bitIndex28)
        & v22697(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1170,axiom,(
    ! [VarCurr] :
      ( v22696(VarCurr,bitIndex9)
    <=> ( v22581(VarCurr,bitIndex29)
        & v22697(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1169,axiom,(
    ! [VarCurr] :
      ( v22696(VarCurr,bitIndex10)
    <=> ( v22581(VarCurr,bitIndex30)
        & v22697(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1168,axiom,(
    ! [VarCurr] :
      ( v22696(VarCurr,bitIndex11)
    <=> ( v22581(VarCurr,bitIndex31)
        & v22697(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1167,axiom,(
    ! [VarCurr] :
      ( v22696(VarCurr,bitIndex12)
    <=> ( v22581(VarCurr,bitIndex32)
        & v22697(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1166,axiom,(
    ! [VarCurr] :
      ( v22696(VarCurr,bitIndex13)
    <=> ( v22581(VarCurr,bitIndex33)
        & v22697(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1165,axiom,(
    ! [VarCurr] :
      ( v22696(VarCurr,bitIndex14)
    <=> ( v22581(VarCurr,bitIndex34)
        & v22697(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1164,axiom,(
    ! [VarCurr] :
      ( v22696(VarCurr,bitIndex15)
    <=> ( v22581(VarCurr,bitIndex35)
        & v22697(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1163,axiom,(
    ! [VarCurr] :
      ( v22696(VarCurr,bitIndex16)
    <=> ( v22581(VarCurr,bitIndex36)
        & v22697(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1162,axiom,(
    ! [VarCurr] :
      ( v22696(VarCurr,bitIndex17)
    <=> ( v22581(VarCurr,bitIndex37)
        & v22697(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1161,axiom,(
    ! [VarCurr] :
      ( v22696(VarCurr,bitIndex18)
    <=> ( v22581(VarCurr,bitIndex38)
        & v22697(VarCurr,bitIndex18) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1160,axiom,(
    ! [VarCurr] :
      ( v22696(VarCurr,bitIndex19)
    <=> ( v22581(VarCurr,bitIndex39)
        & v22697(VarCurr,bitIndex19) ) ) )).

fof(addAssignment_6936,axiom,(
    ! [VarCurr] :
      ( v22697(VarCurr,bitIndex0)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6935,axiom,(
    ! [VarCurr] :
      ( v22697(VarCurr,bitIndex1)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6934,axiom,(
    ! [VarCurr] :
      ( v22697(VarCurr,bitIndex2)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6933,axiom,(
    ! [VarCurr] :
      ( v22697(VarCurr,bitIndex3)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6932,axiom,(
    ! [VarCurr] :
      ( v22697(VarCurr,bitIndex4)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6931,axiom,(
    ! [VarCurr] :
      ( v22697(VarCurr,bitIndex5)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6930,axiom,(
    ! [VarCurr] :
      ( v22697(VarCurr,bitIndex6)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6929,axiom,(
    ! [VarCurr] :
      ( v22697(VarCurr,bitIndex7)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6928,axiom,(
    ! [VarCurr] :
      ( v22697(VarCurr,bitIndex8)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6927,axiom,(
    ! [VarCurr] :
      ( v22697(VarCurr,bitIndex9)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6926,axiom,(
    ! [VarCurr] :
      ( v22697(VarCurr,bitIndex10)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6925,axiom,(
    ! [VarCurr] :
      ( v22697(VarCurr,bitIndex11)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6924,axiom,(
    ! [VarCurr] :
      ( v22697(VarCurr,bitIndex12)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6923,axiom,(
    ! [VarCurr] :
      ( v22697(VarCurr,bitIndex13)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6922,axiom,(
    ! [VarCurr] :
      ( v22697(VarCurr,bitIndex14)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6921,axiom,(
    ! [VarCurr] :
      ( v22697(VarCurr,bitIndex15)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6920,axiom,(
    ! [VarCurr] :
      ( v22697(VarCurr,bitIndex16)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6919,axiom,(
    ! [VarCurr] :
      ( v22697(VarCurr,bitIndex17)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6918,axiom,(
    ! [VarCurr] :
      ( v22697(VarCurr,bitIndex18)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6917,axiom,(
    ! [VarCurr] :
      ( v22697(VarCurr,bitIndex19)
    <=> v22481(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_71,axiom,(
    ! [VarCurr,B] :
      ( range_23_0(B)
     => ( v22671(VarCurr,B)
      <=> ( v22672(VarCurr,B)
          & v22690(VarCurr,B) ) ) ) )).

fof(addAssignment_6916,axiom,(
    ! [VarCurr] :
      ( v22690(VarCurr,bitIndex0)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6915,axiom,(
    ! [VarCurr] :
      ( v22690(VarCurr,bitIndex1)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6914,axiom,(
    ! [VarCurr] :
      ( v22690(VarCurr,bitIndex2)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6913,axiom,(
    ! [VarCurr] :
      ( v22690(VarCurr,bitIndex3)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6912,axiom,(
    ! [VarCurr] :
      ( v22690(VarCurr,bitIndex4)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6911,axiom,(
    ! [VarCurr] :
      ( v22690(VarCurr,bitIndex5)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6910,axiom,(
    ! [VarCurr] :
      ( v22690(VarCurr,bitIndex6)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6909,axiom,(
    ! [VarCurr] :
      ( v22690(VarCurr,bitIndex7)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6908,axiom,(
    ! [VarCurr] :
      ( v22690(VarCurr,bitIndex8)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6907,axiom,(
    ! [VarCurr] :
      ( v22690(VarCurr,bitIndex9)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6906,axiom,(
    ! [VarCurr] :
      ( v22690(VarCurr,bitIndex10)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6905,axiom,(
    ! [VarCurr] :
      ( v22690(VarCurr,bitIndex11)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6904,axiom,(
    ! [VarCurr] :
      ( v22690(VarCurr,bitIndex12)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6903,axiom,(
    ! [VarCurr] :
      ( v22690(VarCurr,bitIndex13)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6902,axiom,(
    ! [VarCurr] :
      ( v22690(VarCurr,bitIndex14)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6901,axiom,(
    ! [VarCurr] :
      ( v22690(VarCurr,bitIndex15)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6900,axiom,(
    ! [VarCurr] :
      ( v22690(VarCurr,bitIndex16)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6899,axiom,(
    ! [VarCurr] :
      ( v22690(VarCurr,bitIndex17)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6898,axiom,(
    ! [VarCurr] :
      ( v22690(VarCurr,bitIndex18)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6897,axiom,(
    ! [VarCurr] :
      ( v22690(VarCurr,bitIndex19)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6896,axiom,(
    ! [VarCurr] :
      ( v22690(VarCurr,bitIndex20)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6895,axiom,(
    ! [VarCurr] :
      ( v22690(VarCurr,bitIndex21)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6894,axiom,(
    ! [VarCurr] :
      ( v22690(VarCurr,bitIndex22)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6893,axiom,(
    ! [VarCurr] :
      ( v22690(VarCurr,bitIndex23)
    <=> v22477(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_70,axiom,(
    ! [VarCurr,B] :
      ( range_23_0(B)
     => ( v22672(VarCurr,B)
      <=> ( v22673(VarCurr,B)
          | v22681(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_69,axiom,(
    ! [VarCurr,B] :
      ( range_23_0(B)
     => ( v22681(VarCurr,B)
      <=> ( v22682(VarCurr,B)
          & v22689(VarCurr,B) ) ) ) )).

fof(addAssignment_6892,axiom,(
    ! [VarCurr] :
      ( v22689(VarCurr,bitIndex0)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6891,axiom,(
    ! [VarCurr] :
      ( v22689(VarCurr,bitIndex1)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6890,axiom,(
    ! [VarCurr] :
      ( v22689(VarCurr,bitIndex2)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6889,axiom,(
    ! [VarCurr] :
      ( v22689(VarCurr,bitIndex3)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6888,axiom,(
    ! [VarCurr] :
      ( v22689(VarCurr,bitIndex4)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6887,axiom,(
    ! [VarCurr] :
      ( v22689(VarCurr,bitIndex5)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6886,axiom,(
    ! [VarCurr] :
      ( v22689(VarCurr,bitIndex6)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6885,axiom,(
    ! [VarCurr] :
      ( v22689(VarCurr,bitIndex7)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6884,axiom,(
    ! [VarCurr] :
      ( v22689(VarCurr,bitIndex8)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6883,axiom,(
    ! [VarCurr] :
      ( v22689(VarCurr,bitIndex9)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6882,axiom,(
    ! [VarCurr] :
      ( v22689(VarCurr,bitIndex10)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6881,axiom,(
    ! [VarCurr] :
      ( v22689(VarCurr,bitIndex11)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6880,axiom,(
    ! [VarCurr] :
      ( v22689(VarCurr,bitIndex12)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6879,axiom,(
    ! [VarCurr] :
      ( v22689(VarCurr,bitIndex13)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6878,axiom,(
    ! [VarCurr] :
      ( v22689(VarCurr,bitIndex14)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6877,axiom,(
    ! [VarCurr] :
      ( v22689(VarCurr,bitIndex15)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6876,axiom,(
    ! [VarCurr] :
      ( v22689(VarCurr,bitIndex16)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6875,axiom,(
    ! [VarCurr] :
      ( v22689(VarCurr,bitIndex17)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6874,axiom,(
    ! [VarCurr] :
      ( v22689(VarCurr,bitIndex18)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6873,axiom,(
    ! [VarCurr] :
      ( v22689(VarCurr,bitIndex19)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6872,axiom,(
    ! [VarCurr] :
      ( v22689(VarCurr,bitIndex20)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6871,axiom,(
    ! [VarCurr] :
      ( v22689(VarCurr,bitIndex21)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6870,axiom,(
    ! [VarCurr] :
      ( v22689(VarCurr,bitIndex22)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6869,axiom,(
    ! [VarCurr] :
      ( v22689(VarCurr,bitIndex23)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6868,axiom,(
    ! [VarCurr,B] :
      ( range_21_0(B)
     => ( v22682(VarCurr,B)
      <=> v22683(VarCurr,B) ) ) )).

fof(addAssignment_6867,axiom,(
    ! [VarCurr] :
      ( ( v22682(VarCurr,bitIndex23)
      <=> $false )
      & ( v22682(VarCurr,bitIndex22)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_68,axiom,(
    ! [VarCurr,B] :
      ( range_21_0(B)
     => ( v22683(VarCurr,B)
      <=> ( v22684(VarCurr,B)
          | v22686(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_67,axiom,(
    ! [VarCurr,B] :
      ( range_21_0(B)
     => ( v22686(VarCurr,B)
      <=> ( v22687(VarCurr,B)
          & v22688(VarCurr,B) ) ) ) )).

fof(range_axiom_84,axiom,(
    ! [B] :
      ( range_21_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B ) ) )).

fof(addAssignment_6866,axiom,(
    ! [VarCurr] :
      ( v22688(VarCurr,bitIndex0)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6865,axiom,(
    ! [VarCurr] :
      ( v22688(VarCurr,bitIndex1)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6864,axiom,(
    ! [VarCurr] :
      ( v22688(VarCurr,bitIndex2)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6863,axiom,(
    ! [VarCurr] :
      ( v22688(VarCurr,bitIndex3)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6862,axiom,(
    ! [VarCurr] :
      ( v22688(VarCurr,bitIndex4)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6861,axiom,(
    ! [VarCurr] :
      ( v22688(VarCurr,bitIndex5)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6860,axiom,(
    ! [VarCurr] :
      ( v22688(VarCurr,bitIndex6)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6859,axiom,(
    ! [VarCurr] :
      ( v22688(VarCurr,bitIndex7)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6858,axiom,(
    ! [VarCurr] :
      ( v22688(VarCurr,bitIndex8)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6857,axiom,(
    ! [VarCurr] :
      ( v22688(VarCurr,bitIndex9)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6856,axiom,(
    ! [VarCurr] :
      ( v22688(VarCurr,bitIndex10)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6855,axiom,(
    ! [VarCurr] :
      ( v22688(VarCurr,bitIndex11)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6854,axiom,(
    ! [VarCurr] :
      ( v22688(VarCurr,bitIndex12)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6853,axiom,(
    ! [VarCurr] :
      ( v22688(VarCurr,bitIndex13)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6852,axiom,(
    ! [VarCurr] :
      ( v22688(VarCurr,bitIndex14)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6851,axiom,(
    ! [VarCurr] :
      ( v22688(VarCurr,bitIndex15)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6850,axiom,(
    ! [VarCurr] :
      ( v22688(VarCurr,bitIndex16)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6849,axiom,(
    ! [VarCurr] :
      ( v22688(VarCurr,bitIndex17)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6848,axiom,(
    ! [VarCurr] :
      ( v22688(VarCurr,bitIndex18)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6847,axiom,(
    ! [VarCurr] :
      ( v22688(VarCurr,bitIndex19)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6846,axiom,(
    ! [VarCurr] :
      ( v22688(VarCurr,bitIndex20)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6845,axiom,(
    ! [VarCurr] :
      ( v22688(VarCurr,bitIndex21)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6844,axiom,(
    ! [VarCurr] :
      ( ( v22687(VarCurr,bitIndex20)
      <=> v22581(VarCurr,bitIndex39) )
      & ( v22687(VarCurr,bitIndex19)
      <=> v22581(VarCurr,bitIndex38) )
      & ( v22687(VarCurr,bitIndex18)
      <=> v22581(VarCurr,bitIndex37) )
      & ( v22687(VarCurr,bitIndex17)
      <=> v22581(VarCurr,bitIndex36) )
      & ( v22687(VarCurr,bitIndex16)
      <=> v22581(VarCurr,bitIndex35) )
      & ( v22687(VarCurr,bitIndex15)
      <=> v22581(VarCurr,bitIndex34) )
      & ( v22687(VarCurr,bitIndex14)
      <=> v22581(VarCurr,bitIndex33) )
      & ( v22687(VarCurr,bitIndex13)
      <=> v22581(VarCurr,bitIndex32) )
      & ( v22687(VarCurr,bitIndex12)
      <=> v22581(VarCurr,bitIndex31) )
      & ( v22687(VarCurr,bitIndex11)
      <=> v22581(VarCurr,bitIndex30) )
      & ( v22687(VarCurr,bitIndex10)
      <=> v22581(VarCurr,bitIndex29) )
      & ( v22687(VarCurr,bitIndex9)
      <=> v22581(VarCurr,bitIndex28) )
      & ( v22687(VarCurr,bitIndex8)
      <=> v22581(VarCurr,bitIndex27) )
      & ( v22687(VarCurr,bitIndex7)
      <=> v22581(VarCurr,bitIndex26) )
      & ( v22687(VarCurr,bitIndex6)
      <=> v22581(VarCurr,bitIndex25) )
      & ( v22687(VarCurr,bitIndex5)
      <=> v22581(VarCurr,bitIndex24) )
      & ( v22687(VarCurr,bitIndex4)
      <=> v22581(VarCurr,bitIndex23) )
      & ( v22687(VarCurr,bitIndex3)
      <=> v22581(VarCurr,bitIndex22) )
      & ( v22687(VarCurr,bitIndex2)
      <=> v22581(VarCurr,bitIndex21) )
      & ( v22687(VarCurr,bitIndex1)
      <=> v22581(VarCurr,bitIndex20) )
      & ( v22687(VarCurr,bitIndex0)
      <=> v22581(VarCurr,bitIndex19) ) ) )).

fof(addAssignment_6843,axiom,(
    ! [VarCurr] :
      ( v22687(VarCurr,bitIndex21)
    <=> $false ) )).

fof(writeBinaryOperatorShiftedRanges_1159,axiom,(
    ! [VarCurr] :
      ( v22684(VarCurr,bitIndex0)
    <=> ( v22581(VarCurr,bitIndex18)
        & v22685(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1158,axiom,(
    ! [VarCurr] :
      ( v22684(VarCurr,bitIndex1)
    <=> ( v22581(VarCurr,bitIndex19)
        & v22685(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1157,axiom,(
    ! [VarCurr] :
      ( v22684(VarCurr,bitIndex2)
    <=> ( v22581(VarCurr,bitIndex20)
        & v22685(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1156,axiom,(
    ! [VarCurr] :
      ( v22684(VarCurr,bitIndex3)
    <=> ( v22581(VarCurr,bitIndex21)
        & v22685(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1155,axiom,(
    ! [VarCurr] :
      ( v22684(VarCurr,bitIndex4)
    <=> ( v22581(VarCurr,bitIndex22)
        & v22685(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1154,axiom,(
    ! [VarCurr] :
      ( v22684(VarCurr,bitIndex5)
    <=> ( v22581(VarCurr,bitIndex23)
        & v22685(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1153,axiom,(
    ! [VarCurr] :
      ( v22684(VarCurr,bitIndex6)
    <=> ( v22581(VarCurr,bitIndex24)
        & v22685(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1152,axiom,(
    ! [VarCurr] :
      ( v22684(VarCurr,bitIndex7)
    <=> ( v22581(VarCurr,bitIndex25)
        & v22685(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1151,axiom,(
    ! [VarCurr] :
      ( v22684(VarCurr,bitIndex8)
    <=> ( v22581(VarCurr,bitIndex26)
        & v22685(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1150,axiom,(
    ! [VarCurr] :
      ( v22684(VarCurr,bitIndex9)
    <=> ( v22581(VarCurr,bitIndex27)
        & v22685(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1149,axiom,(
    ! [VarCurr] :
      ( v22684(VarCurr,bitIndex10)
    <=> ( v22581(VarCurr,bitIndex28)
        & v22685(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1148,axiom,(
    ! [VarCurr] :
      ( v22684(VarCurr,bitIndex11)
    <=> ( v22581(VarCurr,bitIndex29)
        & v22685(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1147,axiom,(
    ! [VarCurr] :
      ( v22684(VarCurr,bitIndex12)
    <=> ( v22581(VarCurr,bitIndex30)
        & v22685(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1146,axiom,(
    ! [VarCurr] :
      ( v22684(VarCurr,bitIndex13)
    <=> ( v22581(VarCurr,bitIndex31)
        & v22685(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1145,axiom,(
    ! [VarCurr] :
      ( v22684(VarCurr,bitIndex14)
    <=> ( v22581(VarCurr,bitIndex32)
        & v22685(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1144,axiom,(
    ! [VarCurr] :
      ( v22684(VarCurr,bitIndex15)
    <=> ( v22581(VarCurr,bitIndex33)
        & v22685(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1143,axiom,(
    ! [VarCurr] :
      ( v22684(VarCurr,bitIndex16)
    <=> ( v22581(VarCurr,bitIndex34)
        & v22685(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1142,axiom,(
    ! [VarCurr] :
      ( v22684(VarCurr,bitIndex17)
    <=> ( v22581(VarCurr,bitIndex35)
        & v22685(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1141,axiom,(
    ! [VarCurr] :
      ( v22684(VarCurr,bitIndex18)
    <=> ( v22581(VarCurr,bitIndex36)
        & v22685(VarCurr,bitIndex18) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1140,axiom,(
    ! [VarCurr] :
      ( v22684(VarCurr,bitIndex19)
    <=> ( v22581(VarCurr,bitIndex37)
        & v22685(VarCurr,bitIndex19) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1139,axiom,(
    ! [VarCurr] :
      ( v22684(VarCurr,bitIndex20)
    <=> ( v22581(VarCurr,bitIndex38)
        & v22685(VarCurr,bitIndex20) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1138,axiom,(
    ! [VarCurr] :
      ( v22684(VarCurr,bitIndex21)
    <=> ( v22581(VarCurr,bitIndex39)
        & v22685(VarCurr,bitIndex21) ) ) )).

fof(addAssignment_6842,axiom,(
    ! [VarCurr] :
      ( v22685(VarCurr,bitIndex0)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6841,axiom,(
    ! [VarCurr] :
      ( v22685(VarCurr,bitIndex1)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6840,axiom,(
    ! [VarCurr] :
      ( v22685(VarCurr,bitIndex2)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6839,axiom,(
    ! [VarCurr] :
      ( v22685(VarCurr,bitIndex3)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6838,axiom,(
    ! [VarCurr] :
      ( v22685(VarCurr,bitIndex4)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6837,axiom,(
    ! [VarCurr] :
      ( v22685(VarCurr,bitIndex5)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6836,axiom,(
    ! [VarCurr] :
      ( v22685(VarCurr,bitIndex6)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6835,axiom,(
    ! [VarCurr] :
      ( v22685(VarCurr,bitIndex7)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6834,axiom,(
    ! [VarCurr] :
      ( v22685(VarCurr,bitIndex8)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6833,axiom,(
    ! [VarCurr] :
      ( v22685(VarCurr,bitIndex9)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6832,axiom,(
    ! [VarCurr] :
      ( v22685(VarCurr,bitIndex10)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6831,axiom,(
    ! [VarCurr] :
      ( v22685(VarCurr,bitIndex11)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6830,axiom,(
    ! [VarCurr] :
      ( v22685(VarCurr,bitIndex12)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6829,axiom,(
    ! [VarCurr] :
      ( v22685(VarCurr,bitIndex13)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6828,axiom,(
    ! [VarCurr] :
      ( v22685(VarCurr,bitIndex14)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6827,axiom,(
    ! [VarCurr] :
      ( v22685(VarCurr,bitIndex15)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6826,axiom,(
    ! [VarCurr] :
      ( v22685(VarCurr,bitIndex16)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6825,axiom,(
    ! [VarCurr] :
      ( v22685(VarCurr,bitIndex17)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6824,axiom,(
    ! [VarCurr] :
      ( v22685(VarCurr,bitIndex18)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6823,axiom,(
    ! [VarCurr] :
      ( v22685(VarCurr,bitIndex19)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6822,axiom,(
    ! [VarCurr] :
      ( v22685(VarCurr,bitIndex20)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6821,axiom,(
    ! [VarCurr] :
      ( v22685(VarCurr,bitIndex21)
    <=> v22481(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_66,axiom,(
    ! [VarCurr,B] :
      ( range_23_0(B)
     => ( v22673(VarCurr,B)
      <=> ( v22674(VarCurr,B)
          & v22680(VarCurr,B) ) ) ) )).

fof(addAssignment_6820,axiom,(
    ! [VarCurr] :
      ( v22680(VarCurr,bitIndex0)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6819,axiom,(
    ! [VarCurr] :
      ( v22680(VarCurr,bitIndex1)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6818,axiom,(
    ! [VarCurr] :
      ( v22680(VarCurr,bitIndex2)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6817,axiom,(
    ! [VarCurr] :
      ( v22680(VarCurr,bitIndex3)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6816,axiom,(
    ! [VarCurr] :
      ( v22680(VarCurr,bitIndex4)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6815,axiom,(
    ! [VarCurr] :
      ( v22680(VarCurr,bitIndex5)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6814,axiom,(
    ! [VarCurr] :
      ( v22680(VarCurr,bitIndex6)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6813,axiom,(
    ! [VarCurr] :
      ( v22680(VarCurr,bitIndex7)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6812,axiom,(
    ! [VarCurr] :
      ( v22680(VarCurr,bitIndex8)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6811,axiom,(
    ! [VarCurr] :
      ( v22680(VarCurr,bitIndex9)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6810,axiom,(
    ! [VarCurr] :
      ( v22680(VarCurr,bitIndex10)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6809,axiom,(
    ! [VarCurr] :
      ( v22680(VarCurr,bitIndex11)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6808,axiom,(
    ! [VarCurr] :
      ( v22680(VarCurr,bitIndex12)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6807,axiom,(
    ! [VarCurr] :
      ( v22680(VarCurr,bitIndex13)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6806,axiom,(
    ! [VarCurr] :
      ( v22680(VarCurr,bitIndex14)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6805,axiom,(
    ! [VarCurr] :
      ( v22680(VarCurr,bitIndex15)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6804,axiom,(
    ! [VarCurr] :
      ( v22680(VarCurr,bitIndex16)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6803,axiom,(
    ! [VarCurr] :
      ( v22680(VarCurr,bitIndex17)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6802,axiom,(
    ! [VarCurr] :
      ( v22680(VarCurr,bitIndex18)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6801,axiom,(
    ! [VarCurr] :
      ( v22680(VarCurr,bitIndex19)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6800,axiom,(
    ! [VarCurr] :
      ( v22680(VarCurr,bitIndex20)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6799,axiom,(
    ! [VarCurr] :
      ( v22680(VarCurr,bitIndex21)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6798,axiom,(
    ! [VarCurr] :
      ( v22680(VarCurr,bitIndex22)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6797,axiom,(
    ! [VarCurr] :
      ( v22680(VarCurr,bitIndex23)
    <=> v22482(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_65,axiom,(
    ! [VarCurr,B] :
      ( range_23_0(B)
     => ( v22674(VarCurr,B)
      <=> ( v22675(VarCurr,B)
          | v22677(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_64,axiom,(
    ! [VarCurr,B] :
      ( range_23_0(B)
     => ( v22677(VarCurr,B)
      <=> ( v22678(VarCurr,B)
          & v22679(VarCurr,B) ) ) ) )).

fof(addAssignment_6796,axiom,(
    ! [VarCurr] :
      ( v22679(VarCurr,bitIndex0)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6795,axiom,(
    ! [VarCurr] :
      ( v22679(VarCurr,bitIndex1)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6794,axiom,(
    ! [VarCurr] :
      ( v22679(VarCurr,bitIndex2)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6793,axiom,(
    ! [VarCurr] :
      ( v22679(VarCurr,bitIndex3)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6792,axiom,(
    ! [VarCurr] :
      ( v22679(VarCurr,bitIndex4)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6791,axiom,(
    ! [VarCurr] :
      ( v22679(VarCurr,bitIndex5)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6790,axiom,(
    ! [VarCurr] :
      ( v22679(VarCurr,bitIndex6)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6789,axiom,(
    ! [VarCurr] :
      ( v22679(VarCurr,bitIndex7)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6788,axiom,(
    ! [VarCurr] :
      ( v22679(VarCurr,bitIndex8)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6787,axiom,(
    ! [VarCurr] :
      ( v22679(VarCurr,bitIndex9)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6786,axiom,(
    ! [VarCurr] :
      ( v22679(VarCurr,bitIndex10)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6785,axiom,(
    ! [VarCurr] :
      ( v22679(VarCurr,bitIndex11)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6784,axiom,(
    ! [VarCurr] :
      ( v22679(VarCurr,bitIndex12)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6783,axiom,(
    ! [VarCurr] :
      ( v22679(VarCurr,bitIndex13)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6782,axiom,(
    ! [VarCurr] :
      ( v22679(VarCurr,bitIndex14)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6781,axiom,(
    ! [VarCurr] :
      ( v22679(VarCurr,bitIndex15)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6780,axiom,(
    ! [VarCurr] :
      ( v22679(VarCurr,bitIndex16)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6779,axiom,(
    ! [VarCurr] :
      ( v22679(VarCurr,bitIndex17)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6778,axiom,(
    ! [VarCurr] :
      ( v22679(VarCurr,bitIndex18)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6777,axiom,(
    ! [VarCurr] :
      ( v22679(VarCurr,bitIndex19)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6776,axiom,(
    ! [VarCurr] :
      ( v22679(VarCurr,bitIndex20)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6775,axiom,(
    ! [VarCurr] :
      ( v22679(VarCurr,bitIndex21)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6774,axiom,(
    ! [VarCurr] :
      ( v22679(VarCurr,bitIndex22)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6773,axiom,(
    ! [VarCurr] :
      ( v22679(VarCurr,bitIndex23)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6772,axiom,(
    ! [VarCurr] :
      ( ( v22678(VarCurr,bitIndex22)
      <=> v22581(VarCurr,bitIndex39) )
      & ( v22678(VarCurr,bitIndex21)
      <=> v22581(VarCurr,bitIndex38) )
      & ( v22678(VarCurr,bitIndex20)
      <=> v22581(VarCurr,bitIndex37) )
      & ( v22678(VarCurr,bitIndex19)
      <=> v22581(VarCurr,bitIndex36) )
      & ( v22678(VarCurr,bitIndex18)
      <=> v22581(VarCurr,bitIndex35) )
      & ( v22678(VarCurr,bitIndex17)
      <=> v22581(VarCurr,bitIndex34) )
      & ( v22678(VarCurr,bitIndex16)
      <=> v22581(VarCurr,bitIndex33) )
      & ( v22678(VarCurr,bitIndex15)
      <=> v22581(VarCurr,bitIndex32) )
      & ( v22678(VarCurr,bitIndex14)
      <=> v22581(VarCurr,bitIndex31) )
      & ( v22678(VarCurr,bitIndex13)
      <=> v22581(VarCurr,bitIndex30) )
      & ( v22678(VarCurr,bitIndex12)
      <=> v22581(VarCurr,bitIndex29) )
      & ( v22678(VarCurr,bitIndex11)
      <=> v22581(VarCurr,bitIndex28) )
      & ( v22678(VarCurr,bitIndex10)
      <=> v22581(VarCurr,bitIndex27) )
      & ( v22678(VarCurr,bitIndex9)
      <=> v22581(VarCurr,bitIndex26) )
      & ( v22678(VarCurr,bitIndex8)
      <=> v22581(VarCurr,bitIndex25) )
      & ( v22678(VarCurr,bitIndex7)
      <=> v22581(VarCurr,bitIndex24) )
      & ( v22678(VarCurr,bitIndex6)
      <=> v22581(VarCurr,bitIndex23) )
      & ( v22678(VarCurr,bitIndex5)
      <=> v22581(VarCurr,bitIndex22) )
      & ( v22678(VarCurr,bitIndex4)
      <=> v22581(VarCurr,bitIndex21) )
      & ( v22678(VarCurr,bitIndex3)
      <=> v22581(VarCurr,bitIndex20) )
      & ( v22678(VarCurr,bitIndex2)
      <=> v22581(VarCurr,bitIndex19) )
      & ( v22678(VarCurr,bitIndex1)
      <=> v22581(VarCurr,bitIndex18) )
      & ( v22678(VarCurr,bitIndex0)
      <=> v22581(VarCurr,bitIndex17) ) ) )).

fof(addAssignment_6771,axiom,(
    ! [VarCurr] :
      ( v22678(VarCurr,bitIndex23)
    <=> $false ) )).

fof(writeBinaryOperatorShiftedRanges_1137,axiom,(
    ! [VarCurr] :
      ( v22675(VarCurr,bitIndex0)
    <=> ( v22581(VarCurr,bitIndex16)
        & v22676(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1136,axiom,(
    ! [VarCurr] :
      ( v22675(VarCurr,bitIndex1)
    <=> ( v22581(VarCurr,bitIndex17)
        & v22676(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1135,axiom,(
    ! [VarCurr] :
      ( v22675(VarCurr,bitIndex2)
    <=> ( v22581(VarCurr,bitIndex18)
        & v22676(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1134,axiom,(
    ! [VarCurr] :
      ( v22675(VarCurr,bitIndex3)
    <=> ( v22581(VarCurr,bitIndex19)
        & v22676(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1133,axiom,(
    ! [VarCurr] :
      ( v22675(VarCurr,bitIndex4)
    <=> ( v22581(VarCurr,bitIndex20)
        & v22676(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1132,axiom,(
    ! [VarCurr] :
      ( v22675(VarCurr,bitIndex5)
    <=> ( v22581(VarCurr,bitIndex21)
        & v22676(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1131,axiom,(
    ! [VarCurr] :
      ( v22675(VarCurr,bitIndex6)
    <=> ( v22581(VarCurr,bitIndex22)
        & v22676(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1130,axiom,(
    ! [VarCurr] :
      ( v22675(VarCurr,bitIndex7)
    <=> ( v22581(VarCurr,bitIndex23)
        & v22676(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1129,axiom,(
    ! [VarCurr] :
      ( v22675(VarCurr,bitIndex8)
    <=> ( v22581(VarCurr,bitIndex24)
        & v22676(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1128,axiom,(
    ! [VarCurr] :
      ( v22675(VarCurr,bitIndex9)
    <=> ( v22581(VarCurr,bitIndex25)
        & v22676(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1127,axiom,(
    ! [VarCurr] :
      ( v22675(VarCurr,bitIndex10)
    <=> ( v22581(VarCurr,bitIndex26)
        & v22676(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1126,axiom,(
    ! [VarCurr] :
      ( v22675(VarCurr,bitIndex11)
    <=> ( v22581(VarCurr,bitIndex27)
        & v22676(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1125,axiom,(
    ! [VarCurr] :
      ( v22675(VarCurr,bitIndex12)
    <=> ( v22581(VarCurr,bitIndex28)
        & v22676(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1124,axiom,(
    ! [VarCurr] :
      ( v22675(VarCurr,bitIndex13)
    <=> ( v22581(VarCurr,bitIndex29)
        & v22676(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1123,axiom,(
    ! [VarCurr] :
      ( v22675(VarCurr,bitIndex14)
    <=> ( v22581(VarCurr,bitIndex30)
        & v22676(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1122,axiom,(
    ! [VarCurr] :
      ( v22675(VarCurr,bitIndex15)
    <=> ( v22581(VarCurr,bitIndex31)
        & v22676(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1121,axiom,(
    ! [VarCurr] :
      ( v22675(VarCurr,bitIndex16)
    <=> ( v22581(VarCurr,bitIndex32)
        & v22676(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1120,axiom,(
    ! [VarCurr] :
      ( v22675(VarCurr,bitIndex17)
    <=> ( v22581(VarCurr,bitIndex33)
        & v22676(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1119,axiom,(
    ! [VarCurr] :
      ( v22675(VarCurr,bitIndex18)
    <=> ( v22581(VarCurr,bitIndex34)
        & v22676(VarCurr,bitIndex18) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1118,axiom,(
    ! [VarCurr] :
      ( v22675(VarCurr,bitIndex19)
    <=> ( v22581(VarCurr,bitIndex35)
        & v22676(VarCurr,bitIndex19) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1117,axiom,(
    ! [VarCurr] :
      ( v22675(VarCurr,bitIndex20)
    <=> ( v22581(VarCurr,bitIndex36)
        & v22676(VarCurr,bitIndex20) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1116,axiom,(
    ! [VarCurr] :
      ( v22675(VarCurr,bitIndex21)
    <=> ( v22581(VarCurr,bitIndex37)
        & v22676(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1115,axiom,(
    ! [VarCurr] :
      ( v22675(VarCurr,bitIndex22)
    <=> ( v22581(VarCurr,bitIndex38)
        & v22676(VarCurr,bitIndex22) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1114,axiom,(
    ! [VarCurr] :
      ( v22675(VarCurr,bitIndex23)
    <=> ( v22581(VarCurr,bitIndex39)
        & v22676(VarCurr,bitIndex23) ) ) )).

fof(addAssignment_6770,axiom,(
    ! [VarCurr] :
      ( v22676(VarCurr,bitIndex0)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6769,axiom,(
    ! [VarCurr] :
      ( v22676(VarCurr,bitIndex1)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6768,axiom,(
    ! [VarCurr] :
      ( v22676(VarCurr,bitIndex2)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6767,axiom,(
    ! [VarCurr] :
      ( v22676(VarCurr,bitIndex3)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6766,axiom,(
    ! [VarCurr] :
      ( v22676(VarCurr,bitIndex4)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6765,axiom,(
    ! [VarCurr] :
      ( v22676(VarCurr,bitIndex5)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6764,axiom,(
    ! [VarCurr] :
      ( v22676(VarCurr,bitIndex6)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6763,axiom,(
    ! [VarCurr] :
      ( v22676(VarCurr,bitIndex7)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6762,axiom,(
    ! [VarCurr] :
      ( v22676(VarCurr,bitIndex8)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6761,axiom,(
    ! [VarCurr] :
      ( v22676(VarCurr,bitIndex9)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6760,axiom,(
    ! [VarCurr] :
      ( v22676(VarCurr,bitIndex10)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6759,axiom,(
    ! [VarCurr] :
      ( v22676(VarCurr,bitIndex11)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6758,axiom,(
    ! [VarCurr] :
      ( v22676(VarCurr,bitIndex12)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6757,axiom,(
    ! [VarCurr] :
      ( v22676(VarCurr,bitIndex13)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6756,axiom,(
    ! [VarCurr] :
      ( v22676(VarCurr,bitIndex14)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6755,axiom,(
    ! [VarCurr] :
      ( v22676(VarCurr,bitIndex15)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6754,axiom,(
    ! [VarCurr] :
      ( v22676(VarCurr,bitIndex16)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6753,axiom,(
    ! [VarCurr] :
      ( v22676(VarCurr,bitIndex17)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6752,axiom,(
    ! [VarCurr] :
      ( v22676(VarCurr,bitIndex18)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6751,axiom,(
    ! [VarCurr] :
      ( v22676(VarCurr,bitIndex19)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6750,axiom,(
    ! [VarCurr] :
      ( v22676(VarCurr,bitIndex20)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6749,axiom,(
    ! [VarCurr] :
      ( v22676(VarCurr,bitIndex21)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6748,axiom,(
    ! [VarCurr] :
      ( v22676(VarCurr,bitIndex22)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6747,axiom,(
    ! [VarCurr] :
      ( v22676(VarCurr,bitIndex23)
    <=> v22481(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_63,axiom,(
    ! [VarCurr,B] :
      ( range_39_0(B)
     => ( v22572(VarCurr,B)
      <=> ( v22573(VarCurr,B)
          & v22664(VarCurr,B) ) ) ) )).

fof(addAssignment_6746,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex0)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6745,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex1)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6744,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex2)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6743,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex3)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6742,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex4)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6741,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex5)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6740,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex6)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6739,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex7)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6738,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex8)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6737,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex9)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6736,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex10)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6735,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex11)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6734,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex12)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6733,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex13)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6732,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex14)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6731,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex15)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6730,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex16)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6729,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex17)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6728,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex18)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6727,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex19)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6726,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex20)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6725,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex21)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6724,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex22)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6723,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex23)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6722,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex24)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6721,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex25)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6720,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex26)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6719,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex27)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6718,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex28)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6717,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex29)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6716,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex30)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6715,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex31)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6714,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex32)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6713,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex33)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6712,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex34)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6711,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex35)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6710,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex36)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6709,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex37)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6708,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex38)
    <=> v22467(VarCurr) ) )).

fof(addAssignment_6707,axiom,(
    ! [VarCurr] :
      ( v22664(VarCurr,bitIndex39)
    <=> v22467(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_62,axiom,(
    ! [VarCurr,B] :
      ( range_39_0(B)
     => ( v22573(VarCurr,B)
      <=> ( v22574(VarCurr,B)
          | v22619(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_61,axiom,(
    ! [VarCurr,B] :
      ( range_39_0(B)
     => ( v22619(VarCurr,B)
      <=> ( v22620(VarCurr,B)
          & v22663(VarCurr,B) ) ) ) )).

fof(addAssignment_6706,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex0)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6705,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex1)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6704,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex2)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6703,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex3)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6702,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex4)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6701,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex5)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6700,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex6)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6699,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex7)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6698,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex8)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6697,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex9)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6696,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex10)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6695,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex11)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6694,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex12)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6693,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex13)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6692,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex14)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6691,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex15)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6690,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex16)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6689,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex17)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6688,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex18)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6687,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex19)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6686,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex20)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6685,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex21)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6684,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex22)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6683,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex23)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6682,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex24)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6681,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex25)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6680,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex26)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6679,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex27)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6678,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex28)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6677,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex29)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6676,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex30)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6675,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex31)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6674,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex32)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6673,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex33)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6672,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex34)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6671,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex35)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6670,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex36)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6669,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex37)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6668,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex38)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6667,axiom,(
    ! [VarCurr] :
      ( v22663(VarCurr,bitIndex39)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(addAssignment_6666,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v22620(VarCurr,B)
      <=> v22621(VarCurr,B) ) ) )).

fof(addAssignment_6665,axiom,(
    ! [VarCurr] :
      ( ( v22620(VarCurr,bitIndex39)
      <=> $false )
      & ( v22620(VarCurr,bitIndex38)
      <=> $false )
      & ( v22620(VarCurr,bitIndex37)
      <=> $false )
      & ( v22620(VarCurr,bitIndex36)
      <=> $false )
      & ( v22620(VarCurr,bitIndex35)
      <=> $false )
      & ( v22620(VarCurr,bitIndex34)
      <=> $false )
      & ( v22620(VarCurr,bitIndex33)
      <=> $false )
      & ( v22620(VarCurr,bitIndex32)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_60,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v22621(VarCurr,B)
      <=> ( v22622(VarCurr,B)
          | v22642(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_59,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v22642(VarCurr,B)
      <=> ( v22643(VarCurr,B)
          & v22662(VarCurr,B) ) ) ) )).

fof(addAssignment_6664,axiom,(
    ! [VarCurr] :
      ( v22662(VarCurr,bitIndex0)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6663,axiom,(
    ! [VarCurr] :
      ( v22662(VarCurr,bitIndex1)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6662,axiom,(
    ! [VarCurr] :
      ( v22662(VarCurr,bitIndex2)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6661,axiom,(
    ! [VarCurr] :
      ( v22662(VarCurr,bitIndex3)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6660,axiom,(
    ! [VarCurr] :
      ( v22662(VarCurr,bitIndex4)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6659,axiom,(
    ! [VarCurr] :
      ( v22662(VarCurr,bitIndex5)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6658,axiom,(
    ! [VarCurr] :
      ( v22662(VarCurr,bitIndex6)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6657,axiom,(
    ! [VarCurr] :
      ( v22662(VarCurr,bitIndex7)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6656,axiom,(
    ! [VarCurr] :
      ( v22662(VarCurr,bitIndex8)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6655,axiom,(
    ! [VarCurr] :
      ( v22662(VarCurr,bitIndex9)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6654,axiom,(
    ! [VarCurr] :
      ( v22662(VarCurr,bitIndex10)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6653,axiom,(
    ! [VarCurr] :
      ( v22662(VarCurr,bitIndex11)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6652,axiom,(
    ! [VarCurr] :
      ( v22662(VarCurr,bitIndex12)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6651,axiom,(
    ! [VarCurr] :
      ( v22662(VarCurr,bitIndex13)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6650,axiom,(
    ! [VarCurr] :
      ( v22662(VarCurr,bitIndex14)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6649,axiom,(
    ! [VarCurr] :
      ( v22662(VarCurr,bitIndex15)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6648,axiom,(
    ! [VarCurr] :
      ( v22662(VarCurr,bitIndex16)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6647,axiom,(
    ! [VarCurr] :
      ( v22662(VarCurr,bitIndex17)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6646,axiom,(
    ! [VarCurr] :
      ( v22662(VarCurr,bitIndex18)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6645,axiom,(
    ! [VarCurr] :
      ( v22662(VarCurr,bitIndex19)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6644,axiom,(
    ! [VarCurr] :
      ( v22662(VarCurr,bitIndex20)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6643,axiom,(
    ! [VarCurr] :
      ( v22662(VarCurr,bitIndex21)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6642,axiom,(
    ! [VarCurr] :
      ( v22662(VarCurr,bitIndex22)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6641,axiom,(
    ! [VarCurr] :
      ( v22662(VarCurr,bitIndex23)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6640,axiom,(
    ! [VarCurr] :
      ( v22662(VarCurr,bitIndex24)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6639,axiom,(
    ! [VarCurr] :
      ( v22662(VarCurr,bitIndex25)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6638,axiom,(
    ! [VarCurr] :
      ( v22662(VarCurr,bitIndex26)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6637,axiom,(
    ! [VarCurr] :
      ( v22662(VarCurr,bitIndex27)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6636,axiom,(
    ! [VarCurr] :
      ( v22662(VarCurr,bitIndex28)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6635,axiom,(
    ! [VarCurr] :
      ( v22662(VarCurr,bitIndex29)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6634,axiom,(
    ! [VarCurr] :
      ( v22662(VarCurr,bitIndex30)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6633,axiom,(
    ! [VarCurr] :
      ( v22662(VarCurr,bitIndex31)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6632,axiom,(
    ! [VarCurr,B] :
      ( range_27_0(B)
     => ( v22643(VarCurr,B)
      <=> v22644(VarCurr,B) ) ) )).

fof(addAssignment_6631,axiom,(
    ! [VarCurr] :
      ( ( v22643(VarCurr,bitIndex31)
      <=> $false )
      & ( v22643(VarCurr,bitIndex30)
      <=> $false )
      & ( v22643(VarCurr,bitIndex29)
      <=> $false )
      & ( v22643(VarCurr,bitIndex28)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_58,axiom,(
    ! [VarCurr,B] :
      ( range_27_0(B)
     => ( v22644(VarCurr,B)
      <=> ( v22645(VarCurr,B)
          | v22653(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_57,axiom,(
    ! [VarCurr,B] :
      ( range_27_0(B)
     => ( v22653(VarCurr,B)
      <=> ( v22654(VarCurr,B)
          & v22661(VarCurr,B) ) ) ) )).

fof(addAssignment_6630,axiom,(
    ! [VarCurr] :
      ( v22661(VarCurr,bitIndex0)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6629,axiom,(
    ! [VarCurr] :
      ( v22661(VarCurr,bitIndex1)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6628,axiom,(
    ! [VarCurr] :
      ( v22661(VarCurr,bitIndex2)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6627,axiom,(
    ! [VarCurr] :
      ( v22661(VarCurr,bitIndex3)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6626,axiom,(
    ! [VarCurr] :
      ( v22661(VarCurr,bitIndex4)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6625,axiom,(
    ! [VarCurr] :
      ( v22661(VarCurr,bitIndex5)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6624,axiom,(
    ! [VarCurr] :
      ( v22661(VarCurr,bitIndex6)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6623,axiom,(
    ! [VarCurr] :
      ( v22661(VarCurr,bitIndex7)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6622,axiom,(
    ! [VarCurr] :
      ( v22661(VarCurr,bitIndex8)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6621,axiom,(
    ! [VarCurr] :
      ( v22661(VarCurr,bitIndex9)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6620,axiom,(
    ! [VarCurr] :
      ( v22661(VarCurr,bitIndex10)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6619,axiom,(
    ! [VarCurr] :
      ( v22661(VarCurr,bitIndex11)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6618,axiom,(
    ! [VarCurr] :
      ( v22661(VarCurr,bitIndex12)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6617,axiom,(
    ! [VarCurr] :
      ( v22661(VarCurr,bitIndex13)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6616,axiom,(
    ! [VarCurr] :
      ( v22661(VarCurr,bitIndex14)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6615,axiom,(
    ! [VarCurr] :
      ( v22661(VarCurr,bitIndex15)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6614,axiom,(
    ! [VarCurr] :
      ( v22661(VarCurr,bitIndex16)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6613,axiom,(
    ! [VarCurr] :
      ( v22661(VarCurr,bitIndex17)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6612,axiom,(
    ! [VarCurr] :
      ( v22661(VarCurr,bitIndex18)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6611,axiom,(
    ! [VarCurr] :
      ( v22661(VarCurr,bitIndex19)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6610,axiom,(
    ! [VarCurr] :
      ( v22661(VarCurr,bitIndex20)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6609,axiom,(
    ! [VarCurr] :
      ( v22661(VarCurr,bitIndex21)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6608,axiom,(
    ! [VarCurr] :
      ( v22661(VarCurr,bitIndex22)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6607,axiom,(
    ! [VarCurr] :
      ( v22661(VarCurr,bitIndex23)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6606,axiom,(
    ! [VarCurr] :
      ( v22661(VarCurr,bitIndex24)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6605,axiom,(
    ! [VarCurr] :
      ( v22661(VarCurr,bitIndex25)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6604,axiom,(
    ! [VarCurr] :
      ( v22661(VarCurr,bitIndex26)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6603,axiom,(
    ! [VarCurr] :
      ( v22661(VarCurr,bitIndex27)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6602,axiom,(
    ! [VarCurr,B] :
      ( range_25_0(B)
     => ( v22654(VarCurr,B)
      <=> v22655(VarCurr,B) ) ) )).

fof(addAssignment_6601,axiom,(
    ! [VarCurr] :
      ( ( v22654(VarCurr,bitIndex27)
      <=> $false )
      & ( v22654(VarCurr,bitIndex26)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_56,axiom,(
    ! [VarCurr,B] :
      ( range_25_0(B)
     => ( v22655(VarCurr,B)
      <=> ( v22656(VarCurr,B)
          | v22658(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_55,axiom,(
    ! [VarCurr,B] :
      ( range_25_0(B)
     => ( v22658(VarCurr,B)
      <=> ( v22659(VarCurr,B)
          & v22660(VarCurr,B) ) ) ) )).

fof(addAssignment_6600,axiom,(
    ! [VarCurr] :
      ( v22660(VarCurr,bitIndex0)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6599,axiom,(
    ! [VarCurr] :
      ( v22660(VarCurr,bitIndex1)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6598,axiom,(
    ! [VarCurr] :
      ( v22660(VarCurr,bitIndex2)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6597,axiom,(
    ! [VarCurr] :
      ( v22660(VarCurr,bitIndex3)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6596,axiom,(
    ! [VarCurr] :
      ( v22660(VarCurr,bitIndex4)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6595,axiom,(
    ! [VarCurr] :
      ( v22660(VarCurr,bitIndex5)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6594,axiom,(
    ! [VarCurr] :
      ( v22660(VarCurr,bitIndex6)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6593,axiom,(
    ! [VarCurr] :
      ( v22660(VarCurr,bitIndex7)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6592,axiom,(
    ! [VarCurr] :
      ( v22660(VarCurr,bitIndex8)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6591,axiom,(
    ! [VarCurr] :
      ( v22660(VarCurr,bitIndex9)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6590,axiom,(
    ! [VarCurr] :
      ( v22660(VarCurr,bitIndex10)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6589,axiom,(
    ! [VarCurr] :
      ( v22660(VarCurr,bitIndex11)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6588,axiom,(
    ! [VarCurr] :
      ( v22660(VarCurr,bitIndex12)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6587,axiom,(
    ! [VarCurr] :
      ( v22660(VarCurr,bitIndex13)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6586,axiom,(
    ! [VarCurr] :
      ( v22660(VarCurr,bitIndex14)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6585,axiom,(
    ! [VarCurr] :
      ( v22660(VarCurr,bitIndex15)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6584,axiom,(
    ! [VarCurr] :
      ( v22660(VarCurr,bitIndex16)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6583,axiom,(
    ! [VarCurr] :
      ( v22660(VarCurr,bitIndex17)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6582,axiom,(
    ! [VarCurr] :
      ( v22660(VarCurr,bitIndex18)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6581,axiom,(
    ! [VarCurr] :
      ( v22660(VarCurr,bitIndex19)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6580,axiom,(
    ! [VarCurr] :
      ( v22660(VarCurr,bitIndex20)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6579,axiom,(
    ! [VarCurr] :
      ( v22660(VarCurr,bitIndex21)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6578,axiom,(
    ! [VarCurr] :
      ( v22660(VarCurr,bitIndex22)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6577,axiom,(
    ! [VarCurr] :
      ( v22660(VarCurr,bitIndex23)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6576,axiom,(
    ! [VarCurr] :
      ( v22660(VarCurr,bitIndex24)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6575,axiom,(
    ! [VarCurr] :
      ( v22660(VarCurr,bitIndex25)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6574,axiom,(
    ! [VarCurr] :
      ( ( v22659(VarCurr,bitIndex24)
      <=> v22581(VarCurr,bitIndex39) )
      & ( v22659(VarCurr,bitIndex23)
      <=> v22581(VarCurr,bitIndex38) )
      & ( v22659(VarCurr,bitIndex22)
      <=> v22581(VarCurr,bitIndex37) )
      & ( v22659(VarCurr,bitIndex21)
      <=> v22581(VarCurr,bitIndex36) )
      & ( v22659(VarCurr,bitIndex20)
      <=> v22581(VarCurr,bitIndex35) )
      & ( v22659(VarCurr,bitIndex19)
      <=> v22581(VarCurr,bitIndex34) )
      & ( v22659(VarCurr,bitIndex18)
      <=> v22581(VarCurr,bitIndex33) )
      & ( v22659(VarCurr,bitIndex17)
      <=> v22581(VarCurr,bitIndex32) )
      & ( v22659(VarCurr,bitIndex16)
      <=> v22581(VarCurr,bitIndex31) )
      & ( v22659(VarCurr,bitIndex15)
      <=> v22581(VarCurr,bitIndex30) )
      & ( v22659(VarCurr,bitIndex14)
      <=> v22581(VarCurr,bitIndex29) )
      & ( v22659(VarCurr,bitIndex13)
      <=> v22581(VarCurr,bitIndex28) )
      & ( v22659(VarCurr,bitIndex12)
      <=> v22581(VarCurr,bitIndex27) )
      & ( v22659(VarCurr,bitIndex11)
      <=> v22581(VarCurr,bitIndex26) )
      & ( v22659(VarCurr,bitIndex10)
      <=> v22581(VarCurr,bitIndex25) )
      & ( v22659(VarCurr,bitIndex9)
      <=> v22581(VarCurr,bitIndex24) )
      & ( v22659(VarCurr,bitIndex8)
      <=> v22581(VarCurr,bitIndex23) )
      & ( v22659(VarCurr,bitIndex7)
      <=> v22581(VarCurr,bitIndex22) )
      & ( v22659(VarCurr,bitIndex6)
      <=> v22581(VarCurr,bitIndex21) )
      & ( v22659(VarCurr,bitIndex5)
      <=> v22581(VarCurr,bitIndex20) )
      & ( v22659(VarCurr,bitIndex4)
      <=> v22581(VarCurr,bitIndex19) )
      & ( v22659(VarCurr,bitIndex3)
      <=> v22581(VarCurr,bitIndex18) )
      & ( v22659(VarCurr,bitIndex2)
      <=> v22581(VarCurr,bitIndex17) )
      & ( v22659(VarCurr,bitIndex1)
      <=> v22581(VarCurr,bitIndex16) )
      & ( v22659(VarCurr,bitIndex0)
      <=> v22581(VarCurr,bitIndex15) ) ) )).

fof(addAssignment_6573,axiom,(
    ! [VarCurr] :
      ( v22659(VarCurr,bitIndex25)
    <=> $false ) )).

fof(writeBinaryOperatorShiftedRanges_1113,axiom,(
    ! [VarCurr] :
      ( v22656(VarCurr,bitIndex0)
    <=> ( v22581(VarCurr,bitIndex14)
        & v22657(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1112,axiom,(
    ! [VarCurr] :
      ( v22656(VarCurr,bitIndex1)
    <=> ( v22581(VarCurr,bitIndex15)
        & v22657(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1111,axiom,(
    ! [VarCurr] :
      ( v22656(VarCurr,bitIndex2)
    <=> ( v22581(VarCurr,bitIndex16)
        & v22657(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1110,axiom,(
    ! [VarCurr] :
      ( v22656(VarCurr,bitIndex3)
    <=> ( v22581(VarCurr,bitIndex17)
        & v22657(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1109,axiom,(
    ! [VarCurr] :
      ( v22656(VarCurr,bitIndex4)
    <=> ( v22581(VarCurr,bitIndex18)
        & v22657(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1108,axiom,(
    ! [VarCurr] :
      ( v22656(VarCurr,bitIndex5)
    <=> ( v22581(VarCurr,bitIndex19)
        & v22657(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1107,axiom,(
    ! [VarCurr] :
      ( v22656(VarCurr,bitIndex6)
    <=> ( v22581(VarCurr,bitIndex20)
        & v22657(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1106,axiom,(
    ! [VarCurr] :
      ( v22656(VarCurr,bitIndex7)
    <=> ( v22581(VarCurr,bitIndex21)
        & v22657(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1105,axiom,(
    ! [VarCurr] :
      ( v22656(VarCurr,bitIndex8)
    <=> ( v22581(VarCurr,bitIndex22)
        & v22657(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1104,axiom,(
    ! [VarCurr] :
      ( v22656(VarCurr,bitIndex9)
    <=> ( v22581(VarCurr,bitIndex23)
        & v22657(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1103,axiom,(
    ! [VarCurr] :
      ( v22656(VarCurr,bitIndex10)
    <=> ( v22581(VarCurr,bitIndex24)
        & v22657(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1102,axiom,(
    ! [VarCurr] :
      ( v22656(VarCurr,bitIndex11)
    <=> ( v22581(VarCurr,bitIndex25)
        & v22657(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1101,axiom,(
    ! [VarCurr] :
      ( v22656(VarCurr,bitIndex12)
    <=> ( v22581(VarCurr,bitIndex26)
        & v22657(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1100,axiom,(
    ! [VarCurr] :
      ( v22656(VarCurr,bitIndex13)
    <=> ( v22581(VarCurr,bitIndex27)
        & v22657(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1099,axiom,(
    ! [VarCurr] :
      ( v22656(VarCurr,bitIndex14)
    <=> ( v22581(VarCurr,bitIndex28)
        & v22657(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1098,axiom,(
    ! [VarCurr] :
      ( v22656(VarCurr,bitIndex15)
    <=> ( v22581(VarCurr,bitIndex29)
        & v22657(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1097,axiom,(
    ! [VarCurr] :
      ( v22656(VarCurr,bitIndex16)
    <=> ( v22581(VarCurr,bitIndex30)
        & v22657(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1096,axiom,(
    ! [VarCurr] :
      ( v22656(VarCurr,bitIndex17)
    <=> ( v22581(VarCurr,bitIndex31)
        & v22657(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1095,axiom,(
    ! [VarCurr] :
      ( v22656(VarCurr,bitIndex18)
    <=> ( v22581(VarCurr,bitIndex32)
        & v22657(VarCurr,bitIndex18) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1094,axiom,(
    ! [VarCurr] :
      ( v22656(VarCurr,bitIndex19)
    <=> ( v22581(VarCurr,bitIndex33)
        & v22657(VarCurr,bitIndex19) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1093,axiom,(
    ! [VarCurr] :
      ( v22656(VarCurr,bitIndex20)
    <=> ( v22581(VarCurr,bitIndex34)
        & v22657(VarCurr,bitIndex20) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1092,axiom,(
    ! [VarCurr] :
      ( v22656(VarCurr,bitIndex21)
    <=> ( v22581(VarCurr,bitIndex35)
        & v22657(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1091,axiom,(
    ! [VarCurr] :
      ( v22656(VarCurr,bitIndex22)
    <=> ( v22581(VarCurr,bitIndex36)
        & v22657(VarCurr,bitIndex22) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1090,axiom,(
    ! [VarCurr] :
      ( v22656(VarCurr,bitIndex23)
    <=> ( v22581(VarCurr,bitIndex37)
        & v22657(VarCurr,bitIndex23) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1089,axiom,(
    ! [VarCurr] :
      ( v22656(VarCurr,bitIndex24)
    <=> ( v22581(VarCurr,bitIndex38)
        & v22657(VarCurr,bitIndex24) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1088,axiom,(
    ! [VarCurr] :
      ( v22656(VarCurr,bitIndex25)
    <=> ( v22581(VarCurr,bitIndex39)
        & v22657(VarCurr,bitIndex25) ) ) )).

fof(addAssignment_6572,axiom,(
    ! [VarCurr] :
      ( v22657(VarCurr,bitIndex0)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6571,axiom,(
    ! [VarCurr] :
      ( v22657(VarCurr,bitIndex1)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6570,axiom,(
    ! [VarCurr] :
      ( v22657(VarCurr,bitIndex2)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6569,axiom,(
    ! [VarCurr] :
      ( v22657(VarCurr,bitIndex3)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6568,axiom,(
    ! [VarCurr] :
      ( v22657(VarCurr,bitIndex4)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6567,axiom,(
    ! [VarCurr] :
      ( v22657(VarCurr,bitIndex5)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6566,axiom,(
    ! [VarCurr] :
      ( v22657(VarCurr,bitIndex6)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6565,axiom,(
    ! [VarCurr] :
      ( v22657(VarCurr,bitIndex7)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6564,axiom,(
    ! [VarCurr] :
      ( v22657(VarCurr,bitIndex8)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6563,axiom,(
    ! [VarCurr] :
      ( v22657(VarCurr,bitIndex9)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6562,axiom,(
    ! [VarCurr] :
      ( v22657(VarCurr,bitIndex10)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6561,axiom,(
    ! [VarCurr] :
      ( v22657(VarCurr,bitIndex11)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6560,axiom,(
    ! [VarCurr] :
      ( v22657(VarCurr,bitIndex12)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6559,axiom,(
    ! [VarCurr] :
      ( v22657(VarCurr,bitIndex13)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6558,axiom,(
    ! [VarCurr] :
      ( v22657(VarCurr,bitIndex14)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6557,axiom,(
    ! [VarCurr] :
      ( v22657(VarCurr,bitIndex15)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6556,axiom,(
    ! [VarCurr] :
      ( v22657(VarCurr,bitIndex16)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6555,axiom,(
    ! [VarCurr] :
      ( v22657(VarCurr,bitIndex17)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6554,axiom,(
    ! [VarCurr] :
      ( v22657(VarCurr,bitIndex18)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6553,axiom,(
    ! [VarCurr] :
      ( v22657(VarCurr,bitIndex19)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6552,axiom,(
    ! [VarCurr] :
      ( v22657(VarCurr,bitIndex20)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6551,axiom,(
    ! [VarCurr] :
      ( v22657(VarCurr,bitIndex21)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6550,axiom,(
    ! [VarCurr] :
      ( v22657(VarCurr,bitIndex22)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6549,axiom,(
    ! [VarCurr] :
      ( v22657(VarCurr,bitIndex23)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6548,axiom,(
    ! [VarCurr] :
      ( v22657(VarCurr,bitIndex24)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6547,axiom,(
    ! [VarCurr] :
      ( v22657(VarCurr,bitIndex25)
    <=> v22481(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_54,axiom,(
    ! [VarCurr,B] :
      ( range_27_0(B)
     => ( v22645(VarCurr,B)
      <=> ( v22646(VarCurr,B)
          & v22652(VarCurr,B) ) ) ) )).

fof(addAssignment_6546,axiom,(
    ! [VarCurr] :
      ( v22652(VarCurr,bitIndex0)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6545,axiom,(
    ! [VarCurr] :
      ( v22652(VarCurr,bitIndex1)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6544,axiom,(
    ! [VarCurr] :
      ( v22652(VarCurr,bitIndex2)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6543,axiom,(
    ! [VarCurr] :
      ( v22652(VarCurr,bitIndex3)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6542,axiom,(
    ! [VarCurr] :
      ( v22652(VarCurr,bitIndex4)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6541,axiom,(
    ! [VarCurr] :
      ( v22652(VarCurr,bitIndex5)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6540,axiom,(
    ! [VarCurr] :
      ( v22652(VarCurr,bitIndex6)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6539,axiom,(
    ! [VarCurr] :
      ( v22652(VarCurr,bitIndex7)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6538,axiom,(
    ! [VarCurr] :
      ( v22652(VarCurr,bitIndex8)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6537,axiom,(
    ! [VarCurr] :
      ( v22652(VarCurr,bitIndex9)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6536,axiom,(
    ! [VarCurr] :
      ( v22652(VarCurr,bitIndex10)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6535,axiom,(
    ! [VarCurr] :
      ( v22652(VarCurr,bitIndex11)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6534,axiom,(
    ! [VarCurr] :
      ( v22652(VarCurr,bitIndex12)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6533,axiom,(
    ! [VarCurr] :
      ( v22652(VarCurr,bitIndex13)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6532,axiom,(
    ! [VarCurr] :
      ( v22652(VarCurr,bitIndex14)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6531,axiom,(
    ! [VarCurr] :
      ( v22652(VarCurr,bitIndex15)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6530,axiom,(
    ! [VarCurr] :
      ( v22652(VarCurr,bitIndex16)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6529,axiom,(
    ! [VarCurr] :
      ( v22652(VarCurr,bitIndex17)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6528,axiom,(
    ! [VarCurr] :
      ( v22652(VarCurr,bitIndex18)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6527,axiom,(
    ! [VarCurr] :
      ( v22652(VarCurr,bitIndex19)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6526,axiom,(
    ! [VarCurr] :
      ( v22652(VarCurr,bitIndex20)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6525,axiom,(
    ! [VarCurr] :
      ( v22652(VarCurr,bitIndex21)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6524,axiom,(
    ! [VarCurr] :
      ( v22652(VarCurr,bitIndex22)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6523,axiom,(
    ! [VarCurr] :
      ( v22652(VarCurr,bitIndex23)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6522,axiom,(
    ! [VarCurr] :
      ( v22652(VarCurr,bitIndex24)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6521,axiom,(
    ! [VarCurr] :
      ( v22652(VarCurr,bitIndex25)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6520,axiom,(
    ! [VarCurr] :
      ( v22652(VarCurr,bitIndex26)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6519,axiom,(
    ! [VarCurr] :
      ( v22652(VarCurr,bitIndex27)
    <=> v22482(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_53,axiom,(
    ! [VarCurr,B] :
      ( range_27_0(B)
     => ( v22646(VarCurr,B)
      <=> ( v22647(VarCurr,B)
          | v22649(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_52,axiom,(
    ! [VarCurr,B] :
      ( range_27_0(B)
     => ( v22649(VarCurr,B)
      <=> ( v22650(VarCurr,B)
          & v22651(VarCurr,B) ) ) ) )).

fof(addAssignment_6518,axiom,(
    ! [VarCurr] :
      ( v22651(VarCurr,bitIndex0)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6517,axiom,(
    ! [VarCurr] :
      ( v22651(VarCurr,bitIndex1)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6516,axiom,(
    ! [VarCurr] :
      ( v22651(VarCurr,bitIndex2)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6515,axiom,(
    ! [VarCurr] :
      ( v22651(VarCurr,bitIndex3)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6514,axiom,(
    ! [VarCurr] :
      ( v22651(VarCurr,bitIndex4)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6513,axiom,(
    ! [VarCurr] :
      ( v22651(VarCurr,bitIndex5)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6512,axiom,(
    ! [VarCurr] :
      ( v22651(VarCurr,bitIndex6)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6511,axiom,(
    ! [VarCurr] :
      ( v22651(VarCurr,bitIndex7)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6510,axiom,(
    ! [VarCurr] :
      ( v22651(VarCurr,bitIndex8)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6509,axiom,(
    ! [VarCurr] :
      ( v22651(VarCurr,bitIndex9)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6508,axiom,(
    ! [VarCurr] :
      ( v22651(VarCurr,bitIndex10)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6507,axiom,(
    ! [VarCurr] :
      ( v22651(VarCurr,bitIndex11)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6506,axiom,(
    ! [VarCurr] :
      ( v22651(VarCurr,bitIndex12)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6505,axiom,(
    ! [VarCurr] :
      ( v22651(VarCurr,bitIndex13)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6504,axiom,(
    ! [VarCurr] :
      ( v22651(VarCurr,bitIndex14)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6503,axiom,(
    ! [VarCurr] :
      ( v22651(VarCurr,bitIndex15)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6502,axiom,(
    ! [VarCurr] :
      ( v22651(VarCurr,bitIndex16)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6501,axiom,(
    ! [VarCurr] :
      ( v22651(VarCurr,bitIndex17)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6500,axiom,(
    ! [VarCurr] :
      ( v22651(VarCurr,bitIndex18)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6499,axiom,(
    ! [VarCurr] :
      ( v22651(VarCurr,bitIndex19)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6498,axiom,(
    ! [VarCurr] :
      ( v22651(VarCurr,bitIndex20)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6497,axiom,(
    ! [VarCurr] :
      ( v22651(VarCurr,bitIndex21)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6496,axiom,(
    ! [VarCurr] :
      ( v22651(VarCurr,bitIndex22)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6495,axiom,(
    ! [VarCurr] :
      ( v22651(VarCurr,bitIndex23)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6494,axiom,(
    ! [VarCurr] :
      ( v22651(VarCurr,bitIndex24)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6493,axiom,(
    ! [VarCurr] :
      ( v22651(VarCurr,bitIndex25)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6492,axiom,(
    ! [VarCurr] :
      ( v22651(VarCurr,bitIndex26)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6491,axiom,(
    ! [VarCurr] :
      ( v22651(VarCurr,bitIndex27)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6490,axiom,(
    ! [VarCurr] :
      ( ( v22650(VarCurr,bitIndex26)
      <=> v22581(VarCurr,bitIndex39) )
      & ( v22650(VarCurr,bitIndex25)
      <=> v22581(VarCurr,bitIndex38) )
      & ( v22650(VarCurr,bitIndex24)
      <=> v22581(VarCurr,bitIndex37) )
      & ( v22650(VarCurr,bitIndex23)
      <=> v22581(VarCurr,bitIndex36) )
      & ( v22650(VarCurr,bitIndex22)
      <=> v22581(VarCurr,bitIndex35) )
      & ( v22650(VarCurr,bitIndex21)
      <=> v22581(VarCurr,bitIndex34) )
      & ( v22650(VarCurr,bitIndex20)
      <=> v22581(VarCurr,bitIndex33) )
      & ( v22650(VarCurr,bitIndex19)
      <=> v22581(VarCurr,bitIndex32) )
      & ( v22650(VarCurr,bitIndex18)
      <=> v22581(VarCurr,bitIndex31) )
      & ( v22650(VarCurr,bitIndex17)
      <=> v22581(VarCurr,bitIndex30) )
      & ( v22650(VarCurr,bitIndex16)
      <=> v22581(VarCurr,bitIndex29) )
      & ( v22650(VarCurr,bitIndex15)
      <=> v22581(VarCurr,bitIndex28) )
      & ( v22650(VarCurr,bitIndex14)
      <=> v22581(VarCurr,bitIndex27) )
      & ( v22650(VarCurr,bitIndex13)
      <=> v22581(VarCurr,bitIndex26) )
      & ( v22650(VarCurr,bitIndex12)
      <=> v22581(VarCurr,bitIndex25) )
      & ( v22650(VarCurr,bitIndex11)
      <=> v22581(VarCurr,bitIndex24) )
      & ( v22650(VarCurr,bitIndex10)
      <=> v22581(VarCurr,bitIndex23) )
      & ( v22650(VarCurr,bitIndex9)
      <=> v22581(VarCurr,bitIndex22) )
      & ( v22650(VarCurr,bitIndex8)
      <=> v22581(VarCurr,bitIndex21) )
      & ( v22650(VarCurr,bitIndex7)
      <=> v22581(VarCurr,bitIndex20) )
      & ( v22650(VarCurr,bitIndex6)
      <=> v22581(VarCurr,bitIndex19) )
      & ( v22650(VarCurr,bitIndex5)
      <=> v22581(VarCurr,bitIndex18) )
      & ( v22650(VarCurr,bitIndex4)
      <=> v22581(VarCurr,bitIndex17) )
      & ( v22650(VarCurr,bitIndex3)
      <=> v22581(VarCurr,bitIndex16) )
      & ( v22650(VarCurr,bitIndex2)
      <=> v22581(VarCurr,bitIndex15) )
      & ( v22650(VarCurr,bitIndex1)
      <=> v22581(VarCurr,bitIndex14) )
      & ( v22650(VarCurr,bitIndex0)
      <=> v22581(VarCurr,bitIndex13) ) ) )).

fof(addAssignment_6489,axiom,(
    ! [VarCurr] :
      ( v22650(VarCurr,bitIndex27)
    <=> $false ) )).

fof(writeBinaryOperatorShiftedRanges_1087,axiom,(
    ! [VarCurr] :
      ( v22647(VarCurr,bitIndex0)
    <=> ( v22581(VarCurr,bitIndex12)
        & v22648(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1086,axiom,(
    ! [VarCurr] :
      ( v22647(VarCurr,bitIndex1)
    <=> ( v22581(VarCurr,bitIndex13)
        & v22648(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1085,axiom,(
    ! [VarCurr] :
      ( v22647(VarCurr,bitIndex2)
    <=> ( v22581(VarCurr,bitIndex14)
        & v22648(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1084,axiom,(
    ! [VarCurr] :
      ( v22647(VarCurr,bitIndex3)
    <=> ( v22581(VarCurr,bitIndex15)
        & v22648(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1083,axiom,(
    ! [VarCurr] :
      ( v22647(VarCurr,bitIndex4)
    <=> ( v22581(VarCurr,bitIndex16)
        & v22648(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1082,axiom,(
    ! [VarCurr] :
      ( v22647(VarCurr,bitIndex5)
    <=> ( v22581(VarCurr,bitIndex17)
        & v22648(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1081,axiom,(
    ! [VarCurr] :
      ( v22647(VarCurr,bitIndex6)
    <=> ( v22581(VarCurr,bitIndex18)
        & v22648(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1080,axiom,(
    ! [VarCurr] :
      ( v22647(VarCurr,bitIndex7)
    <=> ( v22581(VarCurr,bitIndex19)
        & v22648(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1079,axiom,(
    ! [VarCurr] :
      ( v22647(VarCurr,bitIndex8)
    <=> ( v22581(VarCurr,bitIndex20)
        & v22648(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1078,axiom,(
    ! [VarCurr] :
      ( v22647(VarCurr,bitIndex9)
    <=> ( v22581(VarCurr,bitIndex21)
        & v22648(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1077,axiom,(
    ! [VarCurr] :
      ( v22647(VarCurr,bitIndex10)
    <=> ( v22581(VarCurr,bitIndex22)
        & v22648(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1076,axiom,(
    ! [VarCurr] :
      ( v22647(VarCurr,bitIndex11)
    <=> ( v22581(VarCurr,bitIndex23)
        & v22648(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1075,axiom,(
    ! [VarCurr] :
      ( v22647(VarCurr,bitIndex12)
    <=> ( v22581(VarCurr,bitIndex24)
        & v22648(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1074,axiom,(
    ! [VarCurr] :
      ( v22647(VarCurr,bitIndex13)
    <=> ( v22581(VarCurr,bitIndex25)
        & v22648(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1073,axiom,(
    ! [VarCurr] :
      ( v22647(VarCurr,bitIndex14)
    <=> ( v22581(VarCurr,bitIndex26)
        & v22648(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1072,axiom,(
    ! [VarCurr] :
      ( v22647(VarCurr,bitIndex15)
    <=> ( v22581(VarCurr,bitIndex27)
        & v22648(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1071,axiom,(
    ! [VarCurr] :
      ( v22647(VarCurr,bitIndex16)
    <=> ( v22581(VarCurr,bitIndex28)
        & v22648(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1070,axiom,(
    ! [VarCurr] :
      ( v22647(VarCurr,bitIndex17)
    <=> ( v22581(VarCurr,bitIndex29)
        & v22648(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1069,axiom,(
    ! [VarCurr] :
      ( v22647(VarCurr,bitIndex18)
    <=> ( v22581(VarCurr,bitIndex30)
        & v22648(VarCurr,bitIndex18) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1068,axiom,(
    ! [VarCurr] :
      ( v22647(VarCurr,bitIndex19)
    <=> ( v22581(VarCurr,bitIndex31)
        & v22648(VarCurr,bitIndex19) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1067,axiom,(
    ! [VarCurr] :
      ( v22647(VarCurr,bitIndex20)
    <=> ( v22581(VarCurr,bitIndex32)
        & v22648(VarCurr,bitIndex20) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1066,axiom,(
    ! [VarCurr] :
      ( v22647(VarCurr,bitIndex21)
    <=> ( v22581(VarCurr,bitIndex33)
        & v22648(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1065,axiom,(
    ! [VarCurr] :
      ( v22647(VarCurr,bitIndex22)
    <=> ( v22581(VarCurr,bitIndex34)
        & v22648(VarCurr,bitIndex22) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1064,axiom,(
    ! [VarCurr] :
      ( v22647(VarCurr,bitIndex23)
    <=> ( v22581(VarCurr,bitIndex35)
        & v22648(VarCurr,bitIndex23) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1063,axiom,(
    ! [VarCurr] :
      ( v22647(VarCurr,bitIndex24)
    <=> ( v22581(VarCurr,bitIndex36)
        & v22648(VarCurr,bitIndex24) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1062,axiom,(
    ! [VarCurr] :
      ( v22647(VarCurr,bitIndex25)
    <=> ( v22581(VarCurr,bitIndex37)
        & v22648(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1061,axiom,(
    ! [VarCurr] :
      ( v22647(VarCurr,bitIndex26)
    <=> ( v22581(VarCurr,bitIndex38)
        & v22648(VarCurr,bitIndex26) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1060,axiom,(
    ! [VarCurr] :
      ( v22647(VarCurr,bitIndex27)
    <=> ( v22581(VarCurr,bitIndex39)
        & v22648(VarCurr,bitIndex27) ) ) )).

fof(addAssignment_6488,axiom,(
    ! [VarCurr] :
      ( v22648(VarCurr,bitIndex0)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6487,axiom,(
    ! [VarCurr] :
      ( v22648(VarCurr,bitIndex1)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6486,axiom,(
    ! [VarCurr] :
      ( v22648(VarCurr,bitIndex2)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6485,axiom,(
    ! [VarCurr] :
      ( v22648(VarCurr,bitIndex3)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6484,axiom,(
    ! [VarCurr] :
      ( v22648(VarCurr,bitIndex4)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6483,axiom,(
    ! [VarCurr] :
      ( v22648(VarCurr,bitIndex5)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6482,axiom,(
    ! [VarCurr] :
      ( v22648(VarCurr,bitIndex6)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6481,axiom,(
    ! [VarCurr] :
      ( v22648(VarCurr,bitIndex7)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6480,axiom,(
    ! [VarCurr] :
      ( v22648(VarCurr,bitIndex8)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6479,axiom,(
    ! [VarCurr] :
      ( v22648(VarCurr,bitIndex9)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6478,axiom,(
    ! [VarCurr] :
      ( v22648(VarCurr,bitIndex10)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6477,axiom,(
    ! [VarCurr] :
      ( v22648(VarCurr,bitIndex11)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6476,axiom,(
    ! [VarCurr] :
      ( v22648(VarCurr,bitIndex12)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6475,axiom,(
    ! [VarCurr] :
      ( v22648(VarCurr,bitIndex13)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6474,axiom,(
    ! [VarCurr] :
      ( v22648(VarCurr,bitIndex14)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6473,axiom,(
    ! [VarCurr] :
      ( v22648(VarCurr,bitIndex15)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6472,axiom,(
    ! [VarCurr] :
      ( v22648(VarCurr,bitIndex16)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6471,axiom,(
    ! [VarCurr] :
      ( v22648(VarCurr,bitIndex17)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6470,axiom,(
    ! [VarCurr] :
      ( v22648(VarCurr,bitIndex18)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6469,axiom,(
    ! [VarCurr] :
      ( v22648(VarCurr,bitIndex19)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6468,axiom,(
    ! [VarCurr] :
      ( v22648(VarCurr,bitIndex20)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6467,axiom,(
    ! [VarCurr] :
      ( v22648(VarCurr,bitIndex21)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6466,axiom,(
    ! [VarCurr] :
      ( v22648(VarCurr,bitIndex22)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6465,axiom,(
    ! [VarCurr] :
      ( v22648(VarCurr,bitIndex23)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6464,axiom,(
    ! [VarCurr] :
      ( v22648(VarCurr,bitIndex24)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6463,axiom,(
    ! [VarCurr] :
      ( v22648(VarCurr,bitIndex25)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6462,axiom,(
    ! [VarCurr] :
      ( v22648(VarCurr,bitIndex26)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6461,axiom,(
    ! [VarCurr] :
      ( v22648(VarCurr,bitIndex27)
    <=> v22481(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_51,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v22622(VarCurr,B)
      <=> ( v22623(VarCurr,B)
          & v22641(VarCurr,B) ) ) ) )).

fof(addAssignment_6460,axiom,(
    ! [VarCurr] :
      ( v22641(VarCurr,bitIndex0)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6459,axiom,(
    ! [VarCurr] :
      ( v22641(VarCurr,bitIndex1)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6458,axiom,(
    ! [VarCurr] :
      ( v22641(VarCurr,bitIndex2)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6457,axiom,(
    ! [VarCurr] :
      ( v22641(VarCurr,bitIndex3)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6456,axiom,(
    ! [VarCurr] :
      ( v22641(VarCurr,bitIndex4)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6455,axiom,(
    ! [VarCurr] :
      ( v22641(VarCurr,bitIndex5)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6454,axiom,(
    ! [VarCurr] :
      ( v22641(VarCurr,bitIndex6)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6453,axiom,(
    ! [VarCurr] :
      ( v22641(VarCurr,bitIndex7)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6452,axiom,(
    ! [VarCurr] :
      ( v22641(VarCurr,bitIndex8)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6451,axiom,(
    ! [VarCurr] :
      ( v22641(VarCurr,bitIndex9)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6450,axiom,(
    ! [VarCurr] :
      ( v22641(VarCurr,bitIndex10)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6449,axiom,(
    ! [VarCurr] :
      ( v22641(VarCurr,bitIndex11)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6448,axiom,(
    ! [VarCurr] :
      ( v22641(VarCurr,bitIndex12)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6447,axiom,(
    ! [VarCurr] :
      ( v22641(VarCurr,bitIndex13)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6446,axiom,(
    ! [VarCurr] :
      ( v22641(VarCurr,bitIndex14)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6445,axiom,(
    ! [VarCurr] :
      ( v22641(VarCurr,bitIndex15)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6444,axiom,(
    ! [VarCurr] :
      ( v22641(VarCurr,bitIndex16)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6443,axiom,(
    ! [VarCurr] :
      ( v22641(VarCurr,bitIndex17)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6442,axiom,(
    ! [VarCurr] :
      ( v22641(VarCurr,bitIndex18)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6441,axiom,(
    ! [VarCurr] :
      ( v22641(VarCurr,bitIndex19)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6440,axiom,(
    ! [VarCurr] :
      ( v22641(VarCurr,bitIndex20)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6439,axiom,(
    ! [VarCurr] :
      ( v22641(VarCurr,bitIndex21)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6438,axiom,(
    ! [VarCurr] :
      ( v22641(VarCurr,bitIndex22)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6437,axiom,(
    ! [VarCurr] :
      ( v22641(VarCurr,bitIndex23)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6436,axiom,(
    ! [VarCurr] :
      ( v22641(VarCurr,bitIndex24)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6435,axiom,(
    ! [VarCurr] :
      ( v22641(VarCurr,bitIndex25)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6434,axiom,(
    ! [VarCurr] :
      ( v22641(VarCurr,bitIndex26)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6433,axiom,(
    ! [VarCurr] :
      ( v22641(VarCurr,bitIndex27)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6432,axiom,(
    ! [VarCurr] :
      ( v22641(VarCurr,bitIndex28)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6431,axiom,(
    ! [VarCurr] :
      ( v22641(VarCurr,bitIndex29)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6430,axiom,(
    ! [VarCurr] :
      ( v22641(VarCurr,bitIndex30)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_6429,axiom,(
    ! [VarCurr] :
      ( v22641(VarCurr,bitIndex31)
    <=> v22477(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_50,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v22623(VarCurr,B)
      <=> ( v22624(VarCurr,B)
          | v22632(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_49,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v22632(VarCurr,B)
      <=> ( v22633(VarCurr,B)
          & v22640(VarCurr,B) ) ) ) )).

fof(addAssignment_6428,axiom,(
    ! [VarCurr] :
      ( v22640(VarCurr,bitIndex0)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6427,axiom,(
    ! [VarCurr] :
      ( v22640(VarCurr,bitIndex1)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6426,axiom,(
    ! [VarCurr] :
      ( v22640(VarCurr,bitIndex2)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6425,axiom,(
    ! [VarCurr] :
      ( v22640(VarCurr,bitIndex3)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6424,axiom,(
    ! [VarCurr] :
      ( v22640(VarCurr,bitIndex4)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6423,axiom,(
    ! [VarCurr] :
      ( v22640(VarCurr,bitIndex5)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6422,axiom,(
    ! [VarCurr] :
      ( v22640(VarCurr,bitIndex6)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6421,axiom,(
    ! [VarCurr] :
      ( v22640(VarCurr,bitIndex7)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6420,axiom,(
    ! [VarCurr] :
      ( v22640(VarCurr,bitIndex8)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6419,axiom,(
    ! [VarCurr] :
      ( v22640(VarCurr,bitIndex9)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6418,axiom,(
    ! [VarCurr] :
      ( v22640(VarCurr,bitIndex10)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6417,axiom,(
    ! [VarCurr] :
      ( v22640(VarCurr,bitIndex11)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6416,axiom,(
    ! [VarCurr] :
      ( v22640(VarCurr,bitIndex12)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6415,axiom,(
    ! [VarCurr] :
      ( v22640(VarCurr,bitIndex13)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6414,axiom,(
    ! [VarCurr] :
      ( v22640(VarCurr,bitIndex14)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6413,axiom,(
    ! [VarCurr] :
      ( v22640(VarCurr,bitIndex15)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6412,axiom,(
    ! [VarCurr] :
      ( v22640(VarCurr,bitIndex16)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6411,axiom,(
    ! [VarCurr] :
      ( v22640(VarCurr,bitIndex17)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6410,axiom,(
    ! [VarCurr] :
      ( v22640(VarCurr,bitIndex18)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6409,axiom,(
    ! [VarCurr] :
      ( v22640(VarCurr,bitIndex19)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6408,axiom,(
    ! [VarCurr] :
      ( v22640(VarCurr,bitIndex20)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6407,axiom,(
    ! [VarCurr] :
      ( v22640(VarCurr,bitIndex21)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6406,axiom,(
    ! [VarCurr] :
      ( v22640(VarCurr,bitIndex22)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6405,axiom,(
    ! [VarCurr] :
      ( v22640(VarCurr,bitIndex23)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6404,axiom,(
    ! [VarCurr] :
      ( v22640(VarCurr,bitIndex24)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6403,axiom,(
    ! [VarCurr] :
      ( v22640(VarCurr,bitIndex25)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6402,axiom,(
    ! [VarCurr] :
      ( v22640(VarCurr,bitIndex26)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6401,axiom,(
    ! [VarCurr] :
      ( v22640(VarCurr,bitIndex27)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6400,axiom,(
    ! [VarCurr] :
      ( v22640(VarCurr,bitIndex28)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6399,axiom,(
    ! [VarCurr] :
      ( v22640(VarCurr,bitIndex29)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6398,axiom,(
    ! [VarCurr] :
      ( v22640(VarCurr,bitIndex30)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6397,axiom,(
    ! [VarCurr] :
      ( v22640(VarCurr,bitIndex31)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6396,axiom,(
    ! [VarCurr,B] :
      ( range_29_0(B)
     => ( v22633(VarCurr,B)
      <=> v22634(VarCurr,B) ) ) )).

fof(addAssignment_6395,axiom,(
    ! [VarCurr] :
      ( ( v22633(VarCurr,bitIndex31)
      <=> $false )
      & ( v22633(VarCurr,bitIndex30)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_48,axiom,(
    ! [VarCurr,B] :
      ( range_29_0(B)
     => ( v22634(VarCurr,B)
      <=> ( v22635(VarCurr,B)
          | v22637(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_47,axiom,(
    ! [VarCurr,B] :
      ( range_29_0(B)
     => ( v22637(VarCurr,B)
      <=> ( v22638(VarCurr,B)
          & v22639(VarCurr,B) ) ) ) )).

fof(range_axiom_83,axiom,(
    ! [B] :
      ( range_29_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B ) ) )).

fof(addAssignment_6394,axiom,(
    ! [VarCurr] :
      ( v22639(VarCurr,bitIndex0)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6393,axiom,(
    ! [VarCurr] :
      ( v22639(VarCurr,bitIndex1)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6392,axiom,(
    ! [VarCurr] :
      ( v22639(VarCurr,bitIndex2)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6391,axiom,(
    ! [VarCurr] :
      ( v22639(VarCurr,bitIndex3)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6390,axiom,(
    ! [VarCurr] :
      ( v22639(VarCurr,bitIndex4)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6389,axiom,(
    ! [VarCurr] :
      ( v22639(VarCurr,bitIndex5)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6388,axiom,(
    ! [VarCurr] :
      ( v22639(VarCurr,bitIndex6)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6387,axiom,(
    ! [VarCurr] :
      ( v22639(VarCurr,bitIndex7)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6386,axiom,(
    ! [VarCurr] :
      ( v22639(VarCurr,bitIndex8)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6385,axiom,(
    ! [VarCurr] :
      ( v22639(VarCurr,bitIndex9)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6384,axiom,(
    ! [VarCurr] :
      ( v22639(VarCurr,bitIndex10)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6383,axiom,(
    ! [VarCurr] :
      ( v22639(VarCurr,bitIndex11)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6382,axiom,(
    ! [VarCurr] :
      ( v22639(VarCurr,bitIndex12)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6381,axiom,(
    ! [VarCurr] :
      ( v22639(VarCurr,bitIndex13)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6380,axiom,(
    ! [VarCurr] :
      ( v22639(VarCurr,bitIndex14)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6379,axiom,(
    ! [VarCurr] :
      ( v22639(VarCurr,bitIndex15)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6378,axiom,(
    ! [VarCurr] :
      ( v22639(VarCurr,bitIndex16)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6377,axiom,(
    ! [VarCurr] :
      ( v22639(VarCurr,bitIndex17)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6376,axiom,(
    ! [VarCurr] :
      ( v22639(VarCurr,bitIndex18)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6375,axiom,(
    ! [VarCurr] :
      ( v22639(VarCurr,bitIndex19)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6374,axiom,(
    ! [VarCurr] :
      ( v22639(VarCurr,bitIndex20)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6373,axiom,(
    ! [VarCurr] :
      ( v22639(VarCurr,bitIndex21)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6372,axiom,(
    ! [VarCurr] :
      ( v22639(VarCurr,bitIndex22)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6371,axiom,(
    ! [VarCurr] :
      ( v22639(VarCurr,bitIndex23)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6370,axiom,(
    ! [VarCurr] :
      ( v22639(VarCurr,bitIndex24)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6369,axiom,(
    ! [VarCurr] :
      ( v22639(VarCurr,bitIndex25)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6368,axiom,(
    ! [VarCurr] :
      ( v22639(VarCurr,bitIndex26)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6367,axiom,(
    ! [VarCurr] :
      ( v22639(VarCurr,bitIndex27)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6366,axiom,(
    ! [VarCurr] :
      ( v22639(VarCurr,bitIndex28)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6365,axiom,(
    ! [VarCurr] :
      ( v22639(VarCurr,bitIndex29)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6364,axiom,(
    ! [VarCurr] :
      ( ( v22638(VarCurr,bitIndex28)
      <=> v22581(VarCurr,bitIndex39) )
      & ( v22638(VarCurr,bitIndex27)
      <=> v22581(VarCurr,bitIndex38) )
      & ( v22638(VarCurr,bitIndex26)
      <=> v22581(VarCurr,bitIndex37) )
      & ( v22638(VarCurr,bitIndex25)
      <=> v22581(VarCurr,bitIndex36) )
      & ( v22638(VarCurr,bitIndex24)
      <=> v22581(VarCurr,bitIndex35) )
      & ( v22638(VarCurr,bitIndex23)
      <=> v22581(VarCurr,bitIndex34) )
      & ( v22638(VarCurr,bitIndex22)
      <=> v22581(VarCurr,bitIndex33) )
      & ( v22638(VarCurr,bitIndex21)
      <=> v22581(VarCurr,bitIndex32) )
      & ( v22638(VarCurr,bitIndex20)
      <=> v22581(VarCurr,bitIndex31) )
      & ( v22638(VarCurr,bitIndex19)
      <=> v22581(VarCurr,bitIndex30) )
      & ( v22638(VarCurr,bitIndex18)
      <=> v22581(VarCurr,bitIndex29) )
      & ( v22638(VarCurr,bitIndex17)
      <=> v22581(VarCurr,bitIndex28) )
      & ( v22638(VarCurr,bitIndex16)
      <=> v22581(VarCurr,bitIndex27) )
      & ( v22638(VarCurr,bitIndex15)
      <=> v22581(VarCurr,bitIndex26) )
      & ( v22638(VarCurr,bitIndex14)
      <=> v22581(VarCurr,bitIndex25) )
      & ( v22638(VarCurr,bitIndex13)
      <=> v22581(VarCurr,bitIndex24) )
      & ( v22638(VarCurr,bitIndex12)
      <=> v22581(VarCurr,bitIndex23) )
      & ( v22638(VarCurr,bitIndex11)
      <=> v22581(VarCurr,bitIndex22) )
      & ( v22638(VarCurr,bitIndex10)
      <=> v22581(VarCurr,bitIndex21) )
      & ( v22638(VarCurr,bitIndex9)
      <=> v22581(VarCurr,bitIndex20) )
      & ( v22638(VarCurr,bitIndex8)
      <=> v22581(VarCurr,bitIndex19) )
      & ( v22638(VarCurr,bitIndex7)
      <=> v22581(VarCurr,bitIndex18) )
      & ( v22638(VarCurr,bitIndex6)
      <=> v22581(VarCurr,bitIndex17) )
      & ( v22638(VarCurr,bitIndex5)
      <=> v22581(VarCurr,bitIndex16) )
      & ( v22638(VarCurr,bitIndex4)
      <=> v22581(VarCurr,bitIndex15) )
      & ( v22638(VarCurr,bitIndex3)
      <=> v22581(VarCurr,bitIndex14) )
      & ( v22638(VarCurr,bitIndex2)
      <=> v22581(VarCurr,bitIndex13) )
      & ( v22638(VarCurr,bitIndex1)
      <=> v22581(VarCurr,bitIndex12) )
      & ( v22638(VarCurr,bitIndex0)
      <=> v22581(VarCurr,bitIndex11) ) ) )).

fof(addAssignment_6363,axiom,(
    ! [VarCurr] :
      ( v22638(VarCurr,bitIndex29)
    <=> $false ) )).

fof(writeBinaryOperatorShiftedRanges_1059,axiom,(
    ! [VarCurr] :
      ( v22635(VarCurr,bitIndex0)
    <=> ( v22581(VarCurr,bitIndex10)
        & v22636(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1058,axiom,(
    ! [VarCurr] :
      ( v22635(VarCurr,bitIndex1)
    <=> ( v22581(VarCurr,bitIndex11)
        & v22636(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1057,axiom,(
    ! [VarCurr] :
      ( v22635(VarCurr,bitIndex2)
    <=> ( v22581(VarCurr,bitIndex12)
        & v22636(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1056,axiom,(
    ! [VarCurr] :
      ( v22635(VarCurr,bitIndex3)
    <=> ( v22581(VarCurr,bitIndex13)
        & v22636(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1055,axiom,(
    ! [VarCurr] :
      ( v22635(VarCurr,bitIndex4)
    <=> ( v22581(VarCurr,bitIndex14)
        & v22636(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1054,axiom,(
    ! [VarCurr] :
      ( v22635(VarCurr,bitIndex5)
    <=> ( v22581(VarCurr,bitIndex15)
        & v22636(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1053,axiom,(
    ! [VarCurr] :
      ( v22635(VarCurr,bitIndex6)
    <=> ( v22581(VarCurr,bitIndex16)
        & v22636(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1052,axiom,(
    ! [VarCurr] :
      ( v22635(VarCurr,bitIndex7)
    <=> ( v22581(VarCurr,bitIndex17)
        & v22636(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1051,axiom,(
    ! [VarCurr] :
      ( v22635(VarCurr,bitIndex8)
    <=> ( v22581(VarCurr,bitIndex18)
        & v22636(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1050,axiom,(
    ! [VarCurr] :
      ( v22635(VarCurr,bitIndex9)
    <=> ( v22581(VarCurr,bitIndex19)
        & v22636(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1049,axiom,(
    ! [VarCurr] :
      ( v22635(VarCurr,bitIndex10)
    <=> ( v22581(VarCurr,bitIndex20)
        & v22636(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1048,axiom,(
    ! [VarCurr] :
      ( v22635(VarCurr,bitIndex11)
    <=> ( v22581(VarCurr,bitIndex21)
        & v22636(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1047,axiom,(
    ! [VarCurr] :
      ( v22635(VarCurr,bitIndex12)
    <=> ( v22581(VarCurr,bitIndex22)
        & v22636(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1046,axiom,(
    ! [VarCurr] :
      ( v22635(VarCurr,bitIndex13)
    <=> ( v22581(VarCurr,bitIndex23)
        & v22636(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1045,axiom,(
    ! [VarCurr] :
      ( v22635(VarCurr,bitIndex14)
    <=> ( v22581(VarCurr,bitIndex24)
        & v22636(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1044,axiom,(
    ! [VarCurr] :
      ( v22635(VarCurr,bitIndex15)
    <=> ( v22581(VarCurr,bitIndex25)
        & v22636(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1043,axiom,(
    ! [VarCurr] :
      ( v22635(VarCurr,bitIndex16)
    <=> ( v22581(VarCurr,bitIndex26)
        & v22636(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1042,axiom,(
    ! [VarCurr] :
      ( v22635(VarCurr,bitIndex17)
    <=> ( v22581(VarCurr,bitIndex27)
        & v22636(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1041,axiom,(
    ! [VarCurr] :
      ( v22635(VarCurr,bitIndex18)
    <=> ( v22581(VarCurr,bitIndex28)
        & v22636(VarCurr,bitIndex18) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1040,axiom,(
    ! [VarCurr] :
      ( v22635(VarCurr,bitIndex19)
    <=> ( v22581(VarCurr,bitIndex29)
        & v22636(VarCurr,bitIndex19) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1039,axiom,(
    ! [VarCurr] :
      ( v22635(VarCurr,bitIndex20)
    <=> ( v22581(VarCurr,bitIndex30)
        & v22636(VarCurr,bitIndex20) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1038,axiom,(
    ! [VarCurr] :
      ( v22635(VarCurr,bitIndex21)
    <=> ( v22581(VarCurr,bitIndex31)
        & v22636(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1037,axiom,(
    ! [VarCurr] :
      ( v22635(VarCurr,bitIndex22)
    <=> ( v22581(VarCurr,bitIndex32)
        & v22636(VarCurr,bitIndex22) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1036,axiom,(
    ! [VarCurr] :
      ( v22635(VarCurr,bitIndex23)
    <=> ( v22581(VarCurr,bitIndex33)
        & v22636(VarCurr,bitIndex23) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1035,axiom,(
    ! [VarCurr] :
      ( v22635(VarCurr,bitIndex24)
    <=> ( v22581(VarCurr,bitIndex34)
        & v22636(VarCurr,bitIndex24) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1034,axiom,(
    ! [VarCurr] :
      ( v22635(VarCurr,bitIndex25)
    <=> ( v22581(VarCurr,bitIndex35)
        & v22636(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1033,axiom,(
    ! [VarCurr] :
      ( v22635(VarCurr,bitIndex26)
    <=> ( v22581(VarCurr,bitIndex36)
        & v22636(VarCurr,bitIndex26) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1032,axiom,(
    ! [VarCurr] :
      ( v22635(VarCurr,bitIndex27)
    <=> ( v22581(VarCurr,bitIndex37)
        & v22636(VarCurr,bitIndex27) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1031,axiom,(
    ! [VarCurr] :
      ( v22635(VarCurr,bitIndex28)
    <=> ( v22581(VarCurr,bitIndex38)
        & v22636(VarCurr,bitIndex28) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1030,axiom,(
    ! [VarCurr] :
      ( v22635(VarCurr,bitIndex29)
    <=> ( v22581(VarCurr,bitIndex39)
        & v22636(VarCurr,bitIndex29) ) ) )).

fof(addAssignment_6362,axiom,(
    ! [VarCurr] :
      ( v22636(VarCurr,bitIndex0)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6361,axiom,(
    ! [VarCurr] :
      ( v22636(VarCurr,bitIndex1)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6360,axiom,(
    ! [VarCurr] :
      ( v22636(VarCurr,bitIndex2)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6359,axiom,(
    ! [VarCurr] :
      ( v22636(VarCurr,bitIndex3)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6358,axiom,(
    ! [VarCurr] :
      ( v22636(VarCurr,bitIndex4)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6357,axiom,(
    ! [VarCurr] :
      ( v22636(VarCurr,bitIndex5)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6356,axiom,(
    ! [VarCurr] :
      ( v22636(VarCurr,bitIndex6)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6355,axiom,(
    ! [VarCurr] :
      ( v22636(VarCurr,bitIndex7)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6354,axiom,(
    ! [VarCurr] :
      ( v22636(VarCurr,bitIndex8)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6353,axiom,(
    ! [VarCurr] :
      ( v22636(VarCurr,bitIndex9)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6352,axiom,(
    ! [VarCurr] :
      ( v22636(VarCurr,bitIndex10)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6351,axiom,(
    ! [VarCurr] :
      ( v22636(VarCurr,bitIndex11)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6350,axiom,(
    ! [VarCurr] :
      ( v22636(VarCurr,bitIndex12)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6349,axiom,(
    ! [VarCurr] :
      ( v22636(VarCurr,bitIndex13)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6348,axiom,(
    ! [VarCurr] :
      ( v22636(VarCurr,bitIndex14)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6347,axiom,(
    ! [VarCurr] :
      ( v22636(VarCurr,bitIndex15)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6346,axiom,(
    ! [VarCurr] :
      ( v22636(VarCurr,bitIndex16)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6345,axiom,(
    ! [VarCurr] :
      ( v22636(VarCurr,bitIndex17)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6344,axiom,(
    ! [VarCurr] :
      ( v22636(VarCurr,bitIndex18)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6343,axiom,(
    ! [VarCurr] :
      ( v22636(VarCurr,bitIndex19)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6342,axiom,(
    ! [VarCurr] :
      ( v22636(VarCurr,bitIndex20)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6341,axiom,(
    ! [VarCurr] :
      ( v22636(VarCurr,bitIndex21)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6340,axiom,(
    ! [VarCurr] :
      ( v22636(VarCurr,bitIndex22)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6339,axiom,(
    ! [VarCurr] :
      ( v22636(VarCurr,bitIndex23)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6338,axiom,(
    ! [VarCurr] :
      ( v22636(VarCurr,bitIndex24)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6337,axiom,(
    ! [VarCurr] :
      ( v22636(VarCurr,bitIndex25)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6336,axiom,(
    ! [VarCurr] :
      ( v22636(VarCurr,bitIndex26)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6335,axiom,(
    ! [VarCurr] :
      ( v22636(VarCurr,bitIndex27)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6334,axiom,(
    ! [VarCurr] :
      ( v22636(VarCurr,bitIndex28)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6333,axiom,(
    ! [VarCurr] :
      ( v22636(VarCurr,bitIndex29)
    <=> v22481(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_46,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v22624(VarCurr,B)
      <=> ( v22625(VarCurr,B)
          & v22631(VarCurr,B) ) ) ) )).

fof(addAssignment_6332,axiom,(
    ! [VarCurr] :
      ( v22631(VarCurr,bitIndex0)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6331,axiom,(
    ! [VarCurr] :
      ( v22631(VarCurr,bitIndex1)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6330,axiom,(
    ! [VarCurr] :
      ( v22631(VarCurr,bitIndex2)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6329,axiom,(
    ! [VarCurr] :
      ( v22631(VarCurr,bitIndex3)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6328,axiom,(
    ! [VarCurr] :
      ( v22631(VarCurr,bitIndex4)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6327,axiom,(
    ! [VarCurr] :
      ( v22631(VarCurr,bitIndex5)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6326,axiom,(
    ! [VarCurr] :
      ( v22631(VarCurr,bitIndex6)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6325,axiom,(
    ! [VarCurr] :
      ( v22631(VarCurr,bitIndex7)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6324,axiom,(
    ! [VarCurr] :
      ( v22631(VarCurr,bitIndex8)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6323,axiom,(
    ! [VarCurr] :
      ( v22631(VarCurr,bitIndex9)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6322,axiom,(
    ! [VarCurr] :
      ( v22631(VarCurr,bitIndex10)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6321,axiom,(
    ! [VarCurr] :
      ( v22631(VarCurr,bitIndex11)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6320,axiom,(
    ! [VarCurr] :
      ( v22631(VarCurr,bitIndex12)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6319,axiom,(
    ! [VarCurr] :
      ( v22631(VarCurr,bitIndex13)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6318,axiom,(
    ! [VarCurr] :
      ( v22631(VarCurr,bitIndex14)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6317,axiom,(
    ! [VarCurr] :
      ( v22631(VarCurr,bitIndex15)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6316,axiom,(
    ! [VarCurr] :
      ( v22631(VarCurr,bitIndex16)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6315,axiom,(
    ! [VarCurr] :
      ( v22631(VarCurr,bitIndex17)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6314,axiom,(
    ! [VarCurr] :
      ( v22631(VarCurr,bitIndex18)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6313,axiom,(
    ! [VarCurr] :
      ( v22631(VarCurr,bitIndex19)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6312,axiom,(
    ! [VarCurr] :
      ( v22631(VarCurr,bitIndex20)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6311,axiom,(
    ! [VarCurr] :
      ( v22631(VarCurr,bitIndex21)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6310,axiom,(
    ! [VarCurr] :
      ( v22631(VarCurr,bitIndex22)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6309,axiom,(
    ! [VarCurr] :
      ( v22631(VarCurr,bitIndex23)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6308,axiom,(
    ! [VarCurr] :
      ( v22631(VarCurr,bitIndex24)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6307,axiom,(
    ! [VarCurr] :
      ( v22631(VarCurr,bitIndex25)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6306,axiom,(
    ! [VarCurr] :
      ( v22631(VarCurr,bitIndex26)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6305,axiom,(
    ! [VarCurr] :
      ( v22631(VarCurr,bitIndex27)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6304,axiom,(
    ! [VarCurr] :
      ( v22631(VarCurr,bitIndex28)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6303,axiom,(
    ! [VarCurr] :
      ( v22631(VarCurr,bitIndex29)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6302,axiom,(
    ! [VarCurr] :
      ( v22631(VarCurr,bitIndex30)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6301,axiom,(
    ! [VarCurr] :
      ( v22631(VarCurr,bitIndex31)
    <=> v22482(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_45,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v22625(VarCurr,B)
      <=> ( v22626(VarCurr,B)
          | v22628(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_44,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v22628(VarCurr,B)
      <=> ( v22629(VarCurr,B)
          & v22630(VarCurr,B) ) ) ) )).

fof(addAssignment_6300,axiom,(
    ! [VarCurr] :
      ( v22630(VarCurr,bitIndex0)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6299,axiom,(
    ! [VarCurr] :
      ( v22630(VarCurr,bitIndex1)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6298,axiom,(
    ! [VarCurr] :
      ( v22630(VarCurr,bitIndex2)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6297,axiom,(
    ! [VarCurr] :
      ( v22630(VarCurr,bitIndex3)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6296,axiom,(
    ! [VarCurr] :
      ( v22630(VarCurr,bitIndex4)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6295,axiom,(
    ! [VarCurr] :
      ( v22630(VarCurr,bitIndex5)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6294,axiom,(
    ! [VarCurr] :
      ( v22630(VarCurr,bitIndex6)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6293,axiom,(
    ! [VarCurr] :
      ( v22630(VarCurr,bitIndex7)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6292,axiom,(
    ! [VarCurr] :
      ( v22630(VarCurr,bitIndex8)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6291,axiom,(
    ! [VarCurr] :
      ( v22630(VarCurr,bitIndex9)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6290,axiom,(
    ! [VarCurr] :
      ( v22630(VarCurr,bitIndex10)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6289,axiom,(
    ! [VarCurr] :
      ( v22630(VarCurr,bitIndex11)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6288,axiom,(
    ! [VarCurr] :
      ( v22630(VarCurr,bitIndex12)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6287,axiom,(
    ! [VarCurr] :
      ( v22630(VarCurr,bitIndex13)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6286,axiom,(
    ! [VarCurr] :
      ( v22630(VarCurr,bitIndex14)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6285,axiom,(
    ! [VarCurr] :
      ( v22630(VarCurr,bitIndex15)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6284,axiom,(
    ! [VarCurr] :
      ( v22630(VarCurr,bitIndex16)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6283,axiom,(
    ! [VarCurr] :
      ( v22630(VarCurr,bitIndex17)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6282,axiom,(
    ! [VarCurr] :
      ( v22630(VarCurr,bitIndex18)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6281,axiom,(
    ! [VarCurr] :
      ( v22630(VarCurr,bitIndex19)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6280,axiom,(
    ! [VarCurr] :
      ( v22630(VarCurr,bitIndex20)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6279,axiom,(
    ! [VarCurr] :
      ( v22630(VarCurr,bitIndex21)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6278,axiom,(
    ! [VarCurr] :
      ( v22630(VarCurr,bitIndex22)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6277,axiom,(
    ! [VarCurr] :
      ( v22630(VarCurr,bitIndex23)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6276,axiom,(
    ! [VarCurr] :
      ( v22630(VarCurr,bitIndex24)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6275,axiom,(
    ! [VarCurr] :
      ( v22630(VarCurr,bitIndex25)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6274,axiom,(
    ! [VarCurr] :
      ( v22630(VarCurr,bitIndex26)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6273,axiom,(
    ! [VarCurr] :
      ( v22630(VarCurr,bitIndex27)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6272,axiom,(
    ! [VarCurr] :
      ( v22630(VarCurr,bitIndex28)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6271,axiom,(
    ! [VarCurr] :
      ( v22630(VarCurr,bitIndex29)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6270,axiom,(
    ! [VarCurr] :
      ( v22630(VarCurr,bitIndex30)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6269,axiom,(
    ! [VarCurr] :
      ( v22630(VarCurr,bitIndex31)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6268,axiom,(
    ! [VarCurr] :
      ( ( v22629(VarCurr,bitIndex30)
      <=> v22581(VarCurr,bitIndex39) )
      & ( v22629(VarCurr,bitIndex29)
      <=> v22581(VarCurr,bitIndex38) )
      & ( v22629(VarCurr,bitIndex28)
      <=> v22581(VarCurr,bitIndex37) )
      & ( v22629(VarCurr,bitIndex27)
      <=> v22581(VarCurr,bitIndex36) )
      & ( v22629(VarCurr,bitIndex26)
      <=> v22581(VarCurr,bitIndex35) )
      & ( v22629(VarCurr,bitIndex25)
      <=> v22581(VarCurr,bitIndex34) )
      & ( v22629(VarCurr,bitIndex24)
      <=> v22581(VarCurr,bitIndex33) )
      & ( v22629(VarCurr,bitIndex23)
      <=> v22581(VarCurr,bitIndex32) )
      & ( v22629(VarCurr,bitIndex22)
      <=> v22581(VarCurr,bitIndex31) )
      & ( v22629(VarCurr,bitIndex21)
      <=> v22581(VarCurr,bitIndex30) )
      & ( v22629(VarCurr,bitIndex20)
      <=> v22581(VarCurr,bitIndex29) )
      & ( v22629(VarCurr,bitIndex19)
      <=> v22581(VarCurr,bitIndex28) )
      & ( v22629(VarCurr,bitIndex18)
      <=> v22581(VarCurr,bitIndex27) )
      & ( v22629(VarCurr,bitIndex17)
      <=> v22581(VarCurr,bitIndex26) )
      & ( v22629(VarCurr,bitIndex16)
      <=> v22581(VarCurr,bitIndex25) )
      & ( v22629(VarCurr,bitIndex15)
      <=> v22581(VarCurr,bitIndex24) )
      & ( v22629(VarCurr,bitIndex14)
      <=> v22581(VarCurr,bitIndex23) )
      & ( v22629(VarCurr,bitIndex13)
      <=> v22581(VarCurr,bitIndex22) )
      & ( v22629(VarCurr,bitIndex12)
      <=> v22581(VarCurr,bitIndex21) )
      & ( v22629(VarCurr,bitIndex11)
      <=> v22581(VarCurr,bitIndex20) )
      & ( v22629(VarCurr,bitIndex10)
      <=> v22581(VarCurr,bitIndex19) )
      & ( v22629(VarCurr,bitIndex9)
      <=> v22581(VarCurr,bitIndex18) )
      & ( v22629(VarCurr,bitIndex8)
      <=> v22581(VarCurr,bitIndex17) )
      & ( v22629(VarCurr,bitIndex7)
      <=> v22581(VarCurr,bitIndex16) )
      & ( v22629(VarCurr,bitIndex6)
      <=> v22581(VarCurr,bitIndex15) )
      & ( v22629(VarCurr,bitIndex5)
      <=> v22581(VarCurr,bitIndex14) )
      & ( v22629(VarCurr,bitIndex4)
      <=> v22581(VarCurr,bitIndex13) )
      & ( v22629(VarCurr,bitIndex3)
      <=> v22581(VarCurr,bitIndex12) )
      & ( v22629(VarCurr,bitIndex2)
      <=> v22581(VarCurr,bitIndex11) )
      & ( v22629(VarCurr,bitIndex1)
      <=> v22581(VarCurr,bitIndex10) )
      & ( v22629(VarCurr,bitIndex0)
      <=> v22581(VarCurr,bitIndex9) ) ) )).

fof(addAssignment_6267,axiom,(
    ! [VarCurr] :
      ( v22629(VarCurr,bitIndex31)
    <=> $false ) )).

fof(writeBinaryOperatorShiftedRanges_1029,axiom,(
    ! [VarCurr] :
      ( v22626(VarCurr,bitIndex0)
    <=> ( v22581(VarCurr,bitIndex8)
        & v22627(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1028,axiom,(
    ! [VarCurr] :
      ( v22626(VarCurr,bitIndex1)
    <=> ( v22581(VarCurr,bitIndex9)
        & v22627(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1027,axiom,(
    ! [VarCurr] :
      ( v22626(VarCurr,bitIndex2)
    <=> ( v22581(VarCurr,bitIndex10)
        & v22627(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1026,axiom,(
    ! [VarCurr] :
      ( v22626(VarCurr,bitIndex3)
    <=> ( v22581(VarCurr,bitIndex11)
        & v22627(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1025,axiom,(
    ! [VarCurr] :
      ( v22626(VarCurr,bitIndex4)
    <=> ( v22581(VarCurr,bitIndex12)
        & v22627(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1024,axiom,(
    ! [VarCurr] :
      ( v22626(VarCurr,bitIndex5)
    <=> ( v22581(VarCurr,bitIndex13)
        & v22627(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1023,axiom,(
    ! [VarCurr] :
      ( v22626(VarCurr,bitIndex6)
    <=> ( v22581(VarCurr,bitIndex14)
        & v22627(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1022,axiom,(
    ! [VarCurr] :
      ( v22626(VarCurr,bitIndex7)
    <=> ( v22581(VarCurr,bitIndex15)
        & v22627(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1021,axiom,(
    ! [VarCurr] :
      ( v22626(VarCurr,bitIndex8)
    <=> ( v22581(VarCurr,bitIndex16)
        & v22627(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1020,axiom,(
    ! [VarCurr] :
      ( v22626(VarCurr,bitIndex9)
    <=> ( v22581(VarCurr,bitIndex17)
        & v22627(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1019,axiom,(
    ! [VarCurr] :
      ( v22626(VarCurr,bitIndex10)
    <=> ( v22581(VarCurr,bitIndex18)
        & v22627(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1018,axiom,(
    ! [VarCurr] :
      ( v22626(VarCurr,bitIndex11)
    <=> ( v22581(VarCurr,bitIndex19)
        & v22627(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1017,axiom,(
    ! [VarCurr] :
      ( v22626(VarCurr,bitIndex12)
    <=> ( v22581(VarCurr,bitIndex20)
        & v22627(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1016,axiom,(
    ! [VarCurr] :
      ( v22626(VarCurr,bitIndex13)
    <=> ( v22581(VarCurr,bitIndex21)
        & v22627(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1015,axiom,(
    ! [VarCurr] :
      ( v22626(VarCurr,bitIndex14)
    <=> ( v22581(VarCurr,bitIndex22)
        & v22627(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1014,axiom,(
    ! [VarCurr] :
      ( v22626(VarCurr,bitIndex15)
    <=> ( v22581(VarCurr,bitIndex23)
        & v22627(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1013,axiom,(
    ! [VarCurr] :
      ( v22626(VarCurr,bitIndex16)
    <=> ( v22581(VarCurr,bitIndex24)
        & v22627(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1012,axiom,(
    ! [VarCurr] :
      ( v22626(VarCurr,bitIndex17)
    <=> ( v22581(VarCurr,bitIndex25)
        & v22627(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1011,axiom,(
    ! [VarCurr] :
      ( v22626(VarCurr,bitIndex18)
    <=> ( v22581(VarCurr,bitIndex26)
        & v22627(VarCurr,bitIndex18) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1010,axiom,(
    ! [VarCurr] :
      ( v22626(VarCurr,bitIndex19)
    <=> ( v22581(VarCurr,bitIndex27)
        & v22627(VarCurr,bitIndex19) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1009,axiom,(
    ! [VarCurr] :
      ( v22626(VarCurr,bitIndex20)
    <=> ( v22581(VarCurr,bitIndex28)
        & v22627(VarCurr,bitIndex20) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1008,axiom,(
    ! [VarCurr] :
      ( v22626(VarCurr,bitIndex21)
    <=> ( v22581(VarCurr,bitIndex29)
        & v22627(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1007,axiom,(
    ! [VarCurr] :
      ( v22626(VarCurr,bitIndex22)
    <=> ( v22581(VarCurr,bitIndex30)
        & v22627(VarCurr,bitIndex22) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1006,axiom,(
    ! [VarCurr] :
      ( v22626(VarCurr,bitIndex23)
    <=> ( v22581(VarCurr,bitIndex31)
        & v22627(VarCurr,bitIndex23) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1005,axiom,(
    ! [VarCurr] :
      ( v22626(VarCurr,bitIndex24)
    <=> ( v22581(VarCurr,bitIndex32)
        & v22627(VarCurr,bitIndex24) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1004,axiom,(
    ! [VarCurr] :
      ( v22626(VarCurr,bitIndex25)
    <=> ( v22581(VarCurr,bitIndex33)
        & v22627(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1003,axiom,(
    ! [VarCurr] :
      ( v22626(VarCurr,bitIndex26)
    <=> ( v22581(VarCurr,bitIndex34)
        & v22627(VarCurr,bitIndex26) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1002,axiom,(
    ! [VarCurr] :
      ( v22626(VarCurr,bitIndex27)
    <=> ( v22581(VarCurr,bitIndex35)
        & v22627(VarCurr,bitIndex27) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1001,axiom,(
    ! [VarCurr] :
      ( v22626(VarCurr,bitIndex28)
    <=> ( v22581(VarCurr,bitIndex36)
        & v22627(VarCurr,bitIndex28) ) ) )).

fof(writeBinaryOperatorShiftedRanges_1000,axiom,(
    ! [VarCurr] :
      ( v22626(VarCurr,bitIndex29)
    <=> ( v22581(VarCurr,bitIndex37)
        & v22627(VarCurr,bitIndex29) ) ) )).

fof(writeBinaryOperatorShiftedRanges_999,axiom,(
    ! [VarCurr] :
      ( v22626(VarCurr,bitIndex30)
    <=> ( v22581(VarCurr,bitIndex38)
        & v22627(VarCurr,bitIndex30) ) ) )).

fof(writeBinaryOperatorShiftedRanges_998,axiom,(
    ! [VarCurr] :
      ( v22626(VarCurr,bitIndex31)
    <=> ( v22581(VarCurr,bitIndex39)
        & v22627(VarCurr,bitIndex31) ) ) )).

fof(addAssignment_6266,axiom,(
    ! [VarCurr] :
      ( v22627(VarCurr,bitIndex0)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6265,axiom,(
    ! [VarCurr] :
      ( v22627(VarCurr,bitIndex1)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6264,axiom,(
    ! [VarCurr] :
      ( v22627(VarCurr,bitIndex2)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6263,axiom,(
    ! [VarCurr] :
      ( v22627(VarCurr,bitIndex3)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6262,axiom,(
    ! [VarCurr] :
      ( v22627(VarCurr,bitIndex4)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6261,axiom,(
    ! [VarCurr] :
      ( v22627(VarCurr,bitIndex5)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6260,axiom,(
    ! [VarCurr] :
      ( v22627(VarCurr,bitIndex6)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6259,axiom,(
    ! [VarCurr] :
      ( v22627(VarCurr,bitIndex7)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6258,axiom,(
    ! [VarCurr] :
      ( v22627(VarCurr,bitIndex8)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6257,axiom,(
    ! [VarCurr] :
      ( v22627(VarCurr,bitIndex9)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6256,axiom,(
    ! [VarCurr] :
      ( v22627(VarCurr,bitIndex10)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6255,axiom,(
    ! [VarCurr] :
      ( v22627(VarCurr,bitIndex11)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6254,axiom,(
    ! [VarCurr] :
      ( v22627(VarCurr,bitIndex12)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6253,axiom,(
    ! [VarCurr] :
      ( v22627(VarCurr,bitIndex13)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6252,axiom,(
    ! [VarCurr] :
      ( v22627(VarCurr,bitIndex14)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6251,axiom,(
    ! [VarCurr] :
      ( v22627(VarCurr,bitIndex15)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6250,axiom,(
    ! [VarCurr] :
      ( v22627(VarCurr,bitIndex16)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6249,axiom,(
    ! [VarCurr] :
      ( v22627(VarCurr,bitIndex17)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6248,axiom,(
    ! [VarCurr] :
      ( v22627(VarCurr,bitIndex18)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6247,axiom,(
    ! [VarCurr] :
      ( v22627(VarCurr,bitIndex19)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6246,axiom,(
    ! [VarCurr] :
      ( v22627(VarCurr,bitIndex20)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6245,axiom,(
    ! [VarCurr] :
      ( v22627(VarCurr,bitIndex21)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6244,axiom,(
    ! [VarCurr] :
      ( v22627(VarCurr,bitIndex22)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6243,axiom,(
    ! [VarCurr] :
      ( v22627(VarCurr,bitIndex23)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6242,axiom,(
    ! [VarCurr] :
      ( v22627(VarCurr,bitIndex24)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6241,axiom,(
    ! [VarCurr] :
      ( v22627(VarCurr,bitIndex25)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6240,axiom,(
    ! [VarCurr] :
      ( v22627(VarCurr,bitIndex26)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6239,axiom,(
    ! [VarCurr] :
      ( v22627(VarCurr,bitIndex27)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6238,axiom,(
    ! [VarCurr] :
      ( v22627(VarCurr,bitIndex28)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6237,axiom,(
    ! [VarCurr] :
      ( v22627(VarCurr,bitIndex29)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6236,axiom,(
    ! [VarCurr] :
      ( v22627(VarCurr,bitIndex30)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6235,axiom,(
    ! [VarCurr] :
      ( v22627(VarCurr,bitIndex31)
    <=> v22481(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_43,axiom,(
    ! [VarCurr,B] :
      ( range_39_0(B)
     => ( v22574(VarCurr,B)
      <=> ( v22575(VarCurr,B)
          & v22618(VarCurr,B) ) ) ) )).

fof(addAssignment_6234,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex0)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6233,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex1)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6232,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex2)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6231,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex3)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6230,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex4)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6229,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex5)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6228,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex6)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6227,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex7)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6226,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex8)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6225,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex9)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6224,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex10)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6223,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex11)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6222,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex12)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6221,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex13)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6220,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex14)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6219,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex15)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6218,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex16)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6217,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex17)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6216,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex18)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6215,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex19)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6214,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex20)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6213,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex21)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6212,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex22)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6211,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex23)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6210,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex24)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6209,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex25)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6208,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex26)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6207,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex27)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6206,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex28)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6205,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex29)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6204,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex30)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6203,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex31)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6202,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex32)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6201,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex33)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6200,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex34)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6199,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex35)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6198,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex36)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6197,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex37)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6196,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex38)
    <=> v22472(VarCurr) ) )).

fof(addAssignment_6195,axiom,(
    ! [VarCurr] :
      ( v22618(VarCurr,bitIndex39)
    <=> v22472(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_42,axiom,(
    ! [VarCurr,B] :
      ( range_39_0(B)
     => ( v22575(VarCurr,B)
      <=> ( v22576(VarCurr,B)
          | v22597(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_41,axiom,(
    ! [VarCurr,B] :
      ( range_39_0(B)
     => ( v22597(VarCurr,B)
      <=> ( v22598(VarCurr,B)
          & v22617(VarCurr,B) ) ) ) )).

fof(addAssignment_6194,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex0)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6193,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex1)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6192,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex2)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6191,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex3)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6190,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex4)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6189,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex5)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6188,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex6)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6187,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex7)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6186,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex8)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6185,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex9)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6184,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex10)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6183,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex11)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6182,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex12)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6181,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex13)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6180,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex14)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6179,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex15)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6178,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex16)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6177,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex17)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6176,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex18)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6175,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex19)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6174,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex20)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6173,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex21)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6172,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex22)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6171,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex23)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6170,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex24)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6169,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex25)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6168,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex26)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6167,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex27)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6166,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex28)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6165,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex29)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6164,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex30)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6163,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex31)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6162,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex32)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6161,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex33)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6160,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex34)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6159,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex35)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6158,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex36)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6157,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex37)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6156,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex38)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6155,axiom,(
    ! [VarCurr] :
      ( v22617(VarCurr,bitIndex39)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(addAssignment_6154,axiom,(
    ! [VarCurr,B] :
      ( range_35_0(B)
     => ( v22598(VarCurr,B)
      <=> v22599(VarCurr,B) ) ) )).

fof(addAssignment_6153,axiom,(
    ! [VarCurr] :
      ( ( v22598(VarCurr,bitIndex39)
      <=> $false )
      & ( v22598(VarCurr,bitIndex38)
      <=> $false )
      & ( v22598(VarCurr,bitIndex37)
      <=> $false )
      & ( v22598(VarCurr,bitIndex36)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_40,axiom,(
    ! [VarCurr,B] :
      ( range_35_0(B)
     => ( v22599(VarCurr,B)
      <=> ( v22600(VarCurr,B)
          | v22608(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_39,axiom,(
    ! [VarCurr,B] :
      ( range_35_0(B)
     => ( v22608(VarCurr,B)
      <=> ( v22609(VarCurr,B)
          & v22616(VarCurr,B) ) ) ) )).

fof(addAssignment_6152,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex0)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6151,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex1)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6150,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex2)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6149,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex3)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6148,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex4)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6147,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex5)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6146,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex6)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6145,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex7)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6144,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex8)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6143,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex9)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6142,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex10)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6141,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex11)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6140,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex12)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6139,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex13)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6138,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex14)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6137,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex15)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6136,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex16)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6135,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex17)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6134,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex18)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6133,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex19)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6132,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex20)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6131,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex21)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6130,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex22)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6129,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex23)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6128,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex24)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6127,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex25)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6126,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex26)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6125,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex27)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6124,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex28)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6123,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex29)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6122,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex30)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6121,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex31)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6120,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex32)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6119,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex33)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6118,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex34)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6117,axiom,(
    ! [VarCurr] :
      ( v22616(VarCurr,bitIndex35)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_6116,axiom,(
    ! [VarCurr,B] :
      ( range_33_0(B)
     => ( v22609(VarCurr,B)
      <=> v22610(VarCurr,B) ) ) )).

fof(addAssignment_6115,axiom,(
    ! [VarCurr] :
      ( ( v22609(VarCurr,bitIndex35)
      <=> $false )
      & ( v22609(VarCurr,bitIndex34)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_38,axiom,(
    ! [VarCurr,B] :
      ( range_33_0(B)
     => ( v22610(VarCurr,B)
      <=> ( v22611(VarCurr,B)
          | v22613(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_37,axiom,(
    ! [VarCurr,B] :
      ( range_33_0(B)
     => ( v22613(VarCurr,B)
      <=> ( v22614(VarCurr,B)
          & v22615(VarCurr,B) ) ) ) )).

fof(range_axiom_82,axiom,(
    ! [B] :
      ( range_33_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B ) ) )).

fof(addAssignment_6114,axiom,(
    ! [VarCurr] :
      ( v22615(VarCurr,bitIndex0)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6113,axiom,(
    ! [VarCurr] :
      ( v22615(VarCurr,bitIndex1)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6112,axiom,(
    ! [VarCurr] :
      ( v22615(VarCurr,bitIndex2)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6111,axiom,(
    ! [VarCurr] :
      ( v22615(VarCurr,bitIndex3)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6110,axiom,(
    ! [VarCurr] :
      ( v22615(VarCurr,bitIndex4)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6109,axiom,(
    ! [VarCurr] :
      ( v22615(VarCurr,bitIndex5)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6108,axiom,(
    ! [VarCurr] :
      ( v22615(VarCurr,bitIndex6)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6107,axiom,(
    ! [VarCurr] :
      ( v22615(VarCurr,bitIndex7)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6106,axiom,(
    ! [VarCurr] :
      ( v22615(VarCurr,bitIndex8)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6105,axiom,(
    ! [VarCurr] :
      ( v22615(VarCurr,bitIndex9)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6104,axiom,(
    ! [VarCurr] :
      ( v22615(VarCurr,bitIndex10)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6103,axiom,(
    ! [VarCurr] :
      ( v22615(VarCurr,bitIndex11)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6102,axiom,(
    ! [VarCurr] :
      ( v22615(VarCurr,bitIndex12)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6101,axiom,(
    ! [VarCurr] :
      ( v22615(VarCurr,bitIndex13)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6100,axiom,(
    ! [VarCurr] :
      ( v22615(VarCurr,bitIndex14)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6099,axiom,(
    ! [VarCurr] :
      ( v22615(VarCurr,bitIndex15)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6098,axiom,(
    ! [VarCurr] :
      ( v22615(VarCurr,bitIndex16)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6097,axiom,(
    ! [VarCurr] :
      ( v22615(VarCurr,bitIndex17)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6096,axiom,(
    ! [VarCurr] :
      ( v22615(VarCurr,bitIndex18)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6095,axiom,(
    ! [VarCurr] :
      ( v22615(VarCurr,bitIndex19)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6094,axiom,(
    ! [VarCurr] :
      ( v22615(VarCurr,bitIndex20)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6093,axiom,(
    ! [VarCurr] :
      ( v22615(VarCurr,bitIndex21)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6092,axiom,(
    ! [VarCurr] :
      ( v22615(VarCurr,bitIndex22)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6091,axiom,(
    ! [VarCurr] :
      ( v22615(VarCurr,bitIndex23)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6090,axiom,(
    ! [VarCurr] :
      ( v22615(VarCurr,bitIndex24)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6089,axiom,(
    ! [VarCurr] :
      ( v22615(VarCurr,bitIndex25)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6088,axiom,(
    ! [VarCurr] :
      ( v22615(VarCurr,bitIndex26)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6087,axiom,(
    ! [VarCurr] :
      ( v22615(VarCurr,bitIndex27)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6086,axiom,(
    ! [VarCurr] :
      ( v22615(VarCurr,bitIndex28)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6085,axiom,(
    ! [VarCurr] :
      ( v22615(VarCurr,bitIndex29)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6084,axiom,(
    ! [VarCurr] :
      ( v22615(VarCurr,bitIndex30)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6083,axiom,(
    ! [VarCurr] :
      ( v22615(VarCurr,bitIndex31)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6082,axiom,(
    ! [VarCurr] :
      ( v22615(VarCurr,bitIndex32)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6081,axiom,(
    ! [VarCurr] :
      ( v22615(VarCurr,bitIndex33)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6080,axiom,(
    ! [VarCurr] :
      ( ( v22614(VarCurr,bitIndex32)
      <=> v22581(VarCurr,bitIndex39) )
      & ( v22614(VarCurr,bitIndex31)
      <=> v22581(VarCurr,bitIndex38) )
      & ( v22614(VarCurr,bitIndex30)
      <=> v22581(VarCurr,bitIndex37) )
      & ( v22614(VarCurr,bitIndex29)
      <=> v22581(VarCurr,bitIndex36) )
      & ( v22614(VarCurr,bitIndex28)
      <=> v22581(VarCurr,bitIndex35) )
      & ( v22614(VarCurr,bitIndex27)
      <=> v22581(VarCurr,bitIndex34) )
      & ( v22614(VarCurr,bitIndex26)
      <=> v22581(VarCurr,bitIndex33) )
      & ( v22614(VarCurr,bitIndex25)
      <=> v22581(VarCurr,bitIndex32) )
      & ( v22614(VarCurr,bitIndex24)
      <=> v22581(VarCurr,bitIndex31) )
      & ( v22614(VarCurr,bitIndex23)
      <=> v22581(VarCurr,bitIndex30) )
      & ( v22614(VarCurr,bitIndex22)
      <=> v22581(VarCurr,bitIndex29) )
      & ( v22614(VarCurr,bitIndex21)
      <=> v22581(VarCurr,bitIndex28) )
      & ( v22614(VarCurr,bitIndex20)
      <=> v22581(VarCurr,bitIndex27) )
      & ( v22614(VarCurr,bitIndex19)
      <=> v22581(VarCurr,bitIndex26) )
      & ( v22614(VarCurr,bitIndex18)
      <=> v22581(VarCurr,bitIndex25) )
      & ( v22614(VarCurr,bitIndex17)
      <=> v22581(VarCurr,bitIndex24) )
      & ( v22614(VarCurr,bitIndex16)
      <=> v22581(VarCurr,bitIndex23) )
      & ( v22614(VarCurr,bitIndex15)
      <=> v22581(VarCurr,bitIndex22) )
      & ( v22614(VarCurr,bitIndex14)
      <=> v22581(VarCurr,bitIndex21) )
      & ( v22614(VarCurr,bitIndex13)
      <=> v22581(VarCurr,bitIndex20) )
      & ( v22614(VarCurr,bitIndex12)
      <=> v22581(VarCurr,bitIndex19) )
      & ( v22614(VarCurr,bitIndex11)
      <=> v22581(VarCurr,bitIndex18) )
      & ( v22614(VarCurr,bitIndex10)
      <=> v22581(VarCurr,bitIndex17) )
      & ( v22614(VarCurr,bitIndex9)
      <=> v22581(VarCurr,bitIndex16) )
      & ( v22614(VarCurr,bitIndex8)
      <=> v22581(VarCurr,bitIndex15) )
      & ( v22614(VarCurr,bitIndex7)
      <=> v22581(VarCurr,bitIndex14) )
      & ( v22614(VarCurr,bitIndex6)
      <=> v22581(VarCurr,bitIndex13) )
      & ( v22614(VarCurr,bitIndex5)
      <=> v22581(VarCurr,bitIndex12) )
      & ( v22614(VarCurr,bitIndex4)
      <=> v22581(VarCurr,bitIndex11) )
      & ( v22614(VarCurr,bitIndex3)
      <=> v22581(VarCurr,bitIndex10) )
      & ( v22614(VarCurr,bitIndex2)
      <=> v22581(VarCurr,bitIndex9) )
      & ( v22614(VarCurr,bitIndex1)
      <=> v22581(VarCurr,bitIndex8) )
      & ( v22614(VarCurr,bitIndex0)
      <=> v22581(VarCurr,bitIndex7) ) ) )).

fof(addAssignment_6079,axiom,(
    ! [VarCurr] :
      ( v22614(VarCurr,bitIndex33)
    <=> $false ) )).

fof(writeBinaryOperatorShiftedRanges_997,axiom,(
    ! [VarCurr] :
      ( v22611(VarCurr,bitIndex0)
    <=> ( v22581(VarCurr,bitIndex6)
        & v22612(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_996,axiom,(
    ! [VarCurr] :
      ( v22611(VarCurr,bitIndex1)
    <=> ( v22581(VarCurr,bitIndex7)
        & v22612(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_995,axiom,(
    ! [VarCurr] :
      ( v22611(VarCurr,bitIndex2)
    <=> ( v22581(VarCurr,bitIndex8)
        & v22612(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_994,axiom,(
    ! [VarCurr] :
      ( v22611(VarCurr,bitIndex3)
    <=> ( v22581(VarCurr,bitIndex9)
        & v22612(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_993,axiom,(
    ! [VarCurr] :
      ( v22611(VarCurr,bitIndex4)
    <=> ( v22581(VarCurr,bitIndex10)
        & v22612(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_992,axiom,(
    ! [VarCurr] :
      ( v22611(VarCurr,bitIndex5)
    <=> ( v22581(VarCurr,bitIndex11)
        & v22612(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_991,axiom,(
    ! [VarCurr] :
      ( v22611(VarCurr,bitIndex6)
    <=> ( v22581(VarCurr,bitIndex12)
        & v22612(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_990,axiom,(
    ! [VarCurr] :
      ( v22611(VarCurr,bitIndex7)
    <=> ( v22581(VarCurr,bitIndex13)
        & v22612(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_989,axiom,(
    ! [VarCurr] :
      ( v22611(VarCurr,bitIndex8)
    <=> ( v22581(VarCurr,bitIndex14)
        & v22612(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_988,axiom,(
    ! [VarCurr] :
      ( v22611(VarCurr,bitIndex9)
    <=> ( v22581(VarCurr,bitIndex15)
        & v22612(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_987,axiom,(
    ! [VarCurr] :
      ( v22611(VarCurr,bitIndex10)
    <=> ( v22581(VarCurr,bitIndex16)
        & v22612(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_986,axiom,(
    ! [VarCurr] :
      ( v22611(VarCurr,bitIndex11)
    <=> ( v22581(VarCurr,bitIndex17)
        & v22612(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_985,axiom,(
    ! [VarCurr] :
      ( v22611(VarCurr,bitIndex12)
    <=> ( v22581(VarCurr,bitIndex18)
        & v22612(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorShiftedRanges_984,axiom,(
    ! [VarCurr] :
      ( v22611(VarCurr,bitIndex13)
    <=> ( v22581(VarCurr,bitIndex19)
        & v22612(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorShiftedRanges_983,axiom,(
    ! [VarCurr] :
      ( v22611(VarCurr,bitIndex14)
    <=> ( v22581(VarCurr,bitIndex20)
        & v22612(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorShiftedRanges_982,axiom,(
    ! [VarCurr] :
      ( v22611(VarCurr,bitIndex15)
    <=> ( v22581(VarCurr,bitIndex21)
        & v22612(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorShiftedRanges_981,axiom,(
    ! [VarCurr] :
      ( v22611(VarCurr,bitIndex16)
    <=> ( v22581(VarCurr,bitIndex22)
        & v22612(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorShiftedRanges_980,axiom,(
    ! [VarCurr] :
      ( v22611(VarCurr,bitIndex17)
    <=> ( v22581(VarCurr,bitIndex23)
        & v22612(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorShiftedRanges_979,axiom,(
    ! [VarCurr] :
      ( v22611(VarCurr,bitIndex18)
    <=> ( v22581(VarCurr,bitIndex24)
        & v22612(VarCurr,bitIndex18) ) ) )).

fof(writeBinaryOperatorShiftedRanges_978,axiom,(
    ! [VarCurr] :
      ( v22611(VarCurr,bitIndex19)
    <=> ( v22581(VarCurr,bitIndex25)
        & v22612(VarCurr,bitIndex19) ) ) )).

fof(writeBinaryOperatorShiftedRanges_977,axiom,(
    ! [VarCurr] :
      ( v22611(VarCurr,bitIndex20)
    <=> ( v22581(VarCurr,bitIndex26)
        & v22612(VarCurr,bitIndex20) ) ) )).

fof(writeBinaryOperatorShiftedRanges_976,axiom,(
    ! [VarCurr] :
      ( v22611(VarCurr,bitIndex21)
    <=> ( v22581(VarCurr,bitIndex27)
        & v22612(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorShiftedRanges_975,axiom,(
    ! [VarCurr] :
      ( v22611(VarCurr,bitIndex22)
    <=> ( v22581(VarCurr,bitIndex28)
        & v22612(VarCurr,bitIndex22) ) ) )).

fof(writeBinaryOperatorShiftedRanges_974,axiom,(
    ! [VarCurr] :
      ( v22611(VarCurr,bitIndex23)
    <=> ( v22581(VarCurr,bitIndex29)
        & v22612(VarCurr,bitIndex23) ) ) )).

fof(writeBinaryOperatorShiftedRanges_973,axiom,(
    ! [VarCurr] :
      ( v22611(VarCurr,bitIndex24)
    <=> ( v22581(VarCurr,bitIndex30)
        & v22612(VarCurr,bitIndex24) ) ) )).

fof(writeBinaryOperatorShiftedRanges_972,axiom,(
    ! [VarCurr] :
      ( v22611(VarCurr,bitIndex25)
    <=> ( v22581(VarCurr,bitIndex31)
        & v22612(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorShiftedRanges_971,axiom,(
    ! [VarCurr] :
      ( v22611(VarCurr,bitIndex26)
    <=> ( v22581(VarCurr,bitIndex32)
        & v22612(VarCurr,bitIndex26) ) ) )).

fof(writeBinaryOperatorShiftedRanges_970,axiom,(
    ! [VarCurr] :
      ( v22611(VarCurr,bitIndex27)
    <=> ( v22581(VarCurr,bitIndex33)
        & v22612(VarCurr,bitIndex27) ) ) )).

fof(writeBinaryOperatorShiftedRanges_969,axiom,(
    ! [VarCurr] :
      ( v22611(VarCurr,bitIndex28)
    <=> ( v22581(VarCurr,bitIndex34)
        & v22612(VarCurr,bitIndex28) ) ) )).

fof(writeBinaryOperatorShiftedRanges_968,axiom,(
    ! [VarCurr] :
      ( v22611(VarCurr,bitIndex29)
    <=> ( v22581(VarCurr,bitIndex35)
        & v22612(VarCurr,bitIndex29) ) ) )).

fof(writeBinaryOperatorShiftedRanges_967,axiom,(
    ! [VarCurr] :
      ( v22611(VarCurr,bitIndex30)
    <=> ( v22581(VarCurr,bitIndex36)
        & v22612(VarCurr,bitIndex30) ) ) )).

fof(writeBinaryOperatorShiftedRanges_966,axiom,(
    ! [VarCurr] :
      ( v22611(VarCurr,bitIndex31)
    <=> ( v22581(VarCurr,bitIndex37)
        & v22612(VarCurr,bitIndex31) ) ) )).

fof(writeBinaryOperatorShiftedRanges_965,axiom,(
    ! [VarCurr] :
      ( v22611(VarCurr,bitIndex32)
    <=> ( v22581(VarCurr,bitIndex38)
        & v22612(VarCurr,bitIndex32) ) ) )).

fof(writeBinaryOperatorShiftedRanges_964,axiom,(
    ! [VarCurr] :
      ( v22611(VarCurr,bitIndex33)
    <=> ( v22581(VarCurr,bitIndex39)
        & v22612(VarCurr,bitIndex33) ) ) )).

fof(addAssignment_6078,axiom,(
    ! [VarCurr] :
      ( v22612(VarCurr,bitIndex0)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6077,axiom,(
    ! [VarCurr] :
      ( v22612(VarCurr,bitIndex1)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6076,axiom,(
    ! [VarCurr] :
      ( v22612(VarCurr,bitIndex2)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6075,axiom,(
    ! [VarCurr] :
      ( v22612(VarCurr,bitIndex3)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6074,axiom,(
    ! [VarCurr] :
      ( v22612(VarCurr,bitIndex4)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6073,axiom,(
    ! [VarCurr] :
      ( v22612(VarCurr,bitIndex5)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6072,axiom,(
    ! [VarCurr] :
      ( v22612(VarCurr,bitIndex6)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6071,axiom,(
    ! [VarCurr] :
      ( v22612(VarCurr,bitIndex7)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6070,axiom,(
    ! [VarCurr] :
      ( v22612(VarCurr,bitIndex8)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6069,axiom,(
    ! [VarCurr] :
      ( v22612(VarCurr,bitIndex9)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6068,axiom,(
    ! [VarCurr] :
      ( v22612(VarCurr,bitIndex10)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6067,axiom,(
    ! [VarCurr] :
      ( v22612(VarCurr,bitIndex11)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6066,axiom,(
    ! [VarCurr] :
      ( v22612(VarCurr,bitIndex12)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6065,axiom,(
    ! [VarCurr] :
      ( v22612(VarCurr,bitIndex13)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6064,axiom,(
    ! [VarCurr] :
      ( v22612(VarCurr,bitIndex14)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6063,axiom,(
    ! [VarCurr] :
      ( v22612(VarCurr,bitIndex15)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6062,axiom,(
    ! [VarCurr] :
      ( v22612(VarCurr,bitIndex16)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6061,axiom,(
    ! [VarCurr] :
      ( v22612(VarCurr,bitIndex17)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6060,axiom,(
    ! [VarCurr] :
      ( v22612(VarCurr,bitIndex18)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6059,axiom,(
    ! [VarCurr] :
      ( v22612(VarCurr,bitIndex19)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6058,axiom,(
    ! [VarCurr] :
      ( v22612(VarCurr,bitIndex20)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6057,axiom,(
    ! [VarCurr] :
      ( v22612(VarCurr,bitIndex21)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6056,axiom,(
    ! [VarCurr] :
      ( v22612(VarCurr,bitIndex22)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6055,axiom,(
    ! [VarCurr] :
      ( v22612(VarCurr,bitIndex23)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6054,axiom,(
    ! [VarCurr] :
      ( v22612(VarCurr,bitIndex24)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6053,axiom,(
    ! [VarCurr] :
      ( v22612(VarCurr,bitIndex25)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6052,axiom,(
    ! [VarCurr] :
      ( v22612(VarCurr,bitIndex26)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6051,axiom,(
    ! [VarCurr] :
      ( v22612(VarCurr,bitIndex27)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6050,axiom,(
    ! [VarCurr] :
      ( v22612(VarCurr,bitIndex28)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6049,axiom,(
    ! [VarCurr] :
      ( v22612(VarCurr,bitIndex29)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6048,axiom,(
    ! [VarCurr] :
      ( v22612(VarCurr,bitIndex30)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6047,axiom,(
    ! [VarCurr] :
      ( v22612(VarCurr,bitIndex31)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6046,axiom,(
    ! [VarCurr] :
      ( v22612(VarCurr,bitIndex32)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_6045,axiom,(
    ! [VarCurr] :
      ( v22612(VarCurr,bitIndex33)
    <=> v22481(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_36,axiom,(
    ! [VarCurr,B] :
      ( range_35_0(B)
     => ( v22600(VarCurr,B)
      <=> ( v22601(VarCurr,B)
          & v22607(VarCurr,B) ) ) ) )).

fof(addAssignment_6044,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex0)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6043,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex1)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6042,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex2)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6041,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex3)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6040,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex4)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6039,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex5)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6038,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex6)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6037,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex7)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6036,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex8)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6035,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex9)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6034,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex10)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6033,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex11)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6032,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex12)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6031,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex13)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6030,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex14)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6029,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex15)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6028,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex16)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6027,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex17)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6026,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex18)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6025,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex19)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6024,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex20)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6023,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex21)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6022,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex22)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6021,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex23)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6020,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex24)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6019,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex25)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6018,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex26)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6017,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex27)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6016,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex28)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6015,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex29)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6014,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex30)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6013,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex31)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6012,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex32)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6011,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex33)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6010,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex34)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_6009,axiom,(
    ! [VarCurr] :
      ( v22607(VarCurr,bitIndex35)
    <=> v22482(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_35,axiom,(
    ! [VarCurr,B] :
      ( range_35_0(B)
     => ( v22601(VarCurr,B)
      <=> ( v22602(VarCurr,B)
          | v22604(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_34,axiom,(
    ! [VarCurr,B] :
      ( range_35_0(B)
     => ( v22604(VarCurr,B)
      <=> ( v22605(VarCurr,B)
          & v22606(VarCurr,B) ) ) ) )).

fof(addAssignment_6008,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex0)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6007,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex1)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6006,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex2)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6005,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex3)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6004,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex4)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6003,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex5)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6002,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex6)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6001,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex7)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_6000,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex8)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5999,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex9)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5998,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex10)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5997,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex11)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5996,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex12)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5995,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex13)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5994,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex14)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5993,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex15)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5992,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex16)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5991,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex17)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5990,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex18)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5989,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex19)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5988,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex20)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5987,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex21)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5986,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex22)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5985,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex23)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5984,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex24)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5983,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex25)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5982,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex26)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5981,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex27)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5980,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex28)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5979,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex29)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5978,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex30)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5977,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex31)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5976,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex32)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5975,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex33)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5974,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex34)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5973,axiom,(
    ! [VarCurr] :
      ( v22606(VarCurr,bitIndex35)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5972,axiom,(
    ! [VarCurr] :
      ( ( v22605(VarCurr,bitIndex34)
      <=> v22581(VarCurr,bitIndex39) )
      & ( v22605(VarCurr,bitIndex33)
      <=> v22581(VarCurr,bitIndex38) )
      & ( v22605(VarCurr,bitIndex32)
      <=> v22581(VarCurr,bitIndex37) )
      & ( v22605(VarCurr,bitIndex31)
      <=> v22581(VarCurr,bitIndex36) )
      & ( v22605(VarCurr,bitIndex30)
      <=> v22581(VarCurr,bitIndex35) )
      & ( v22605(VarCurr,bitIndex29)
      <=> v22581(VarCurr,bitIndex34) )
      & ( v22605(VarCurr,bitIndex28)
      <=> v22581(VarCurr,bitIndex33) )
      & ( v22605(VarCurr,bitIndex27)
      <=> v22581(VarCurr,bitIndex32) )
      & ( v22605(VarCurr,bitIndex26)
      <=> v22581(VarCurr,bitIndex31) )
      & ( v22605(VarCurr,bitIndex25)
      <=> v22581(VarCurr,bitIndex30) )
      & ( v22605(VarCurr,bitIndex24)
      <=> v22581(VarCurr,bitIndex29) )
      & ( v22605(VarCurr,bitIndex23)
      <=> v22581(VarCurr,bitIndex28) )
      & ( v22605(VarCurr,bitIndex22)
      <=> v22581(VarCurr,bitIndex27) )
      & ( v22605(VarCurr,bitIndex21)
      <=> v22581(VarCurr,bitIndex26) )
      & ( v22605(VarCurr,bitIndex20)
      <=> v22581(VarCurr,bitIndex25) )
      & ( v22605(VarCurr,bitIndex19)
      <=> v22581(VarCurr,bitIndex24) )
      & ( v22605(VarCurr,bitIndex18)
      <=> v22581(VarCurr,bitIndex23) )
      & ( v22605(VarCurr,bitIndex17)
      <=> v22581(VarCurr,bitIndex22) )
      & ( v22605(VarCurr,bitIndex16)
      <=> v22581(VarCurr,bitIndex21) )
      & ( v22605(VarCurr,bitIndex15)
      <=> v22581(VarCurr,bitIndex20) )
      & ( v22605(VarCurr,bitIndex14)
      <=> v22581(VarCurr,bitIndex19) )
      & ( v22605(VarCurr,bitIndex13)
      <=> v22581(VarCurr,bitIndex18) )
      & ( v22605(VarCurr,bitIndex12)
      <=> v22581(VarCurr,bitIndex17) )
      & ( v22605(VarCurr,bitIndex11)
      <=> v22581(VarCurr,bitIndex16) )
      & ( v22605(VarCurr,bitIndex10)
      <=> v22581(VarCurr,bitIndex15) )
      & ( v22605(VarCurr,bitIndex9)
      <=> v22581(VarCurr,bitIndex14) )
      & ( v22605(VarCurr,bitIndex8)
      <=> v22581(VarCurr,bitIndex13) )
      & ( v22605(VarCurr,bitIndex7)
      <=> v22581(VarCurr,bitIndex12) )
      & ( v22605(VarCurr,bitIndex6)
      <=> v22581(VarCurr,bitIndex11) )
      & ( v22605(VarCurr,bitIndex5)
      <=> v22581(VarCurr,bitIndex10) )
      & ( v22605(VarCurr,bitIndex4)
      <=> v22581(VarCurr,bitIndex9) )
      & ( v22605(VarCurr,bitIndex3)
      <=> v22581(VarCurr,bitIndex8) )
      & ( v22605(VarCurr,bitIndex2)
      <=> v22581(VarCurr,bitIndex7) )
      & ( v22605(VarCurr,bitIndex1)
      <=> v22581(VarCurr,bitIndex6) )
      & ( v22605(VarCurr,bitIndex0)
      <=> v22581(VarCurr,bitIndex5) ) ) )).

fof(addAssignment_5971,axiom,(
    ! [VarCurr] :
      ( v22605(VarCurr,bitIndex35)
    <=> $false ) )).

fof(writeBinaryOperatorShiftedRanges_963,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex0)
    <=> ( v22581(VarCurr,bitIndex4)
        & v22603(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_962,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex1)
    <=> ( v22581(VarCurr,bitIndex5)
        & v22603(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_961,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex2)
    <=> ( v22581(VarCurr,bitIndex6)
        & v22603(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_960,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex3)
    <=> ( v22581(VarCurr,bitIndex7)
        & v22603(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_959,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex4)
    <=> ( v22581(VarCurr,bitIndex8)
        & v22603(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_958,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex5)
    <=> ( v22581(VarCurr,bitIndex9)
        & v22603(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_957,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex6)
    <=> ( v22581(VarCurr,bitIndex10)
        & v22603(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_956,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex7)
    <=> ( v22581(VarCurr,bitIndex11)
        & v22603(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_955,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex8)
    <=> ( v22581(VarCurr,bitIndex12)
        & v22603(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_954,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex9)
    <=> ( v22581(VarCurr,bitIndex13)
        & v22603(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_953,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex10)
    <=> ( v22581(VarCurr,bitIndex14)
        & v22603(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_952,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex11)
    <=> ( v22581(VarCurr,bitIndex15)
        & v22603(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_951,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex12)
    <=> ( v22581(VarCurr,bitIndex16)
        & v22603(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorShiftedRanges_950,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex13)
    <=> ( v22581(VarCurr,bitIndex17)
        & v22603(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorShiftedRanges_949,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex14)
    <=> ( v22581(VarCurr,bitIndex18)
        & v22603(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorShiftedRanges_948,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex15)
    <=> ( v22581(VarCurr,bitIndex19)
        & v22603(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorShiftedRanges_947,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex16)
    <=> ( v22581(VarCurr,bitIndex20)
        & v22603(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorShiftedRanges_946,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex17)
    <=> ( v22581(VarCurr,bitIndex21)
        & v22603(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorShiftedRanges_945,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex18)
    <=> ( v22581(VarCurr,bitIndex22)
        & v22603(VarCurr,bitIndex18) ) ) )).

fof(writeBinaryOperatorShiftedRanges_944,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex19)
    <=> ( v22581(VarCurr,bitIndex23)
        & v22603(VarCurr,bitIndex19) ) ) )).

fof(writeBinaryOperatorShiftedRanges_943,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex20)
    <=> ( v22581(VarCurr,bitIndex24)
        & v22603(VarCurr,bitIndex20) ) ) )).

fof(writeBinaryOperatorShiftedRanges_942,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex21)
    <=> ( v22581(VarCurr,bitIndex25)
        & v22603(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorShiftedRanges_941,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex22)
    <=> ( v22581(VarCurr,bitIndex26)
        & v22603(VarCurr,bitIndex22) ) ) )).

fof(writeBinaryOperatorShiftedRanges_940,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex23)
    <=> ( v22581(VarCurr,bitIndex27)
        & v22603(VarCurr,bitIndex23) ) ) )).

fof(writeBinaryOperatorShiftedRanges_939,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex24)
    <=> ( v22581(VarCurr,bitIndex28)
        & v22603(VarCurr,bitIndex24) ) ) )).

fof(writeBinaryOperatorShiftedRanges_938,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex25)
    <=> ( v22581(VarCurr,bitIndex29)
        & v22603(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorShiftedRanges_937,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex26)
    <=> ( v22581(VarCurr,bitIndex30)
        & v22603(VarCurr,bitIndex26) ) ) )).

fof(writeBinaryOperatorShiftedRanges_936,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex27)
    <=> ( v22581(VarCurr,bitIndex31)
        & v22603(VarCurr,bitIndex27) ) ) )).

fof(writeBinaryOperatorShiftedRanges_935,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex28)
    <=> ( v22581(VarCurr,bitIndex32)
        & v22603(VarCurr,bitIndex28) ) ) )).

fof(writeBinaryOperatorShiftedRanges_934,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex29)
    <=> ( v22581(VarCurr,bitIndex33)
        & v22603(VarCurr,bitIndex29) ) ) )).

fof(writeBinaryOperatorShiftedRanges_933,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex30)
    <=> ( v22581(VarCurr,bitIndex34)
        & v22603(VarCurr,bitIndex30) ) ) )).

fof(writeBinaryOperatorShiftedRanges_932,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex31)
    <=> ( v22581(VarCurr,bitIndex35)
        & v22603(VarCurr,bitIndex31) ) ) )).

fof(writeBinaryOperatorShiftedRanges_931,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex32)
    <=> ( v22581(VarCurr,bitIndex36)
        & v22603(VarCurr,bitIndex32) ) ) )).

fof(writeBinaryOperatorShiftedRanges_930,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex33)
    <=> ( v22581(VarCurr,bitIndex37)
        & v22603(VarCurr,bitIndex33) ) ) )).

fof(writeBinaryOperatorShiftedRanges_929,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex34)
    <=> ( v22581(VarCurr,bitIndex38)
        & v22603(VarCurr,bitIndex34) ) ) )).

fof(writeBinaryOperatorShiftedRanges_928,axiom,(
    ! [VarCurr] :
      ( v22602(VarCurr,bitIndex35)
    <=> ( v22581(VarCurr,bitIndex39)
        & v22603(VarCurr,bitIndex35) ) ) )).

fof(addAssignment_5970,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex0)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5969,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex1)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5968,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex2)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5967,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex3)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5966,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex4)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5965,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex5)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5964,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex6)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5963,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex7)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5962,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex8)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5961,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex9)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5960,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex10)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5959,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex11)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5958,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex12)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5957,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex13)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5956,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex14)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5955,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex15)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5954,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex16)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5953,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex17)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5952,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex18)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5951,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex19)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5950,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex20)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5949,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex21)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5948,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex22)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5947,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex23)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5946,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex24)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5945,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex25)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5944,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex26)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5943,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex27)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5942,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex28)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5941,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex29)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5940,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex30)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5939,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex31)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5938,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex32)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5937,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex33)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5936,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex34)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5935,axiom,(
    ! [VarCurr] :
      ( v22603(VarCurr,bitIndex35)
    <=> v22481(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_33,axiom,(
    ! [VarCurr,B] :
      ( range_39_0(B)
     => ( v22576(VarCurr,B)
      <=> ( v22577(VarCurr,B)
          & v22596(VarCurr,B) ) ) ) )).

fof(addAssignment_5934,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex0)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5933,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex1)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5932,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex2)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5931,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex3)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5930,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex4)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5929,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex5)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5928,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex6)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5927,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex7)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5926,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex8)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5925,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex9)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5924,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex10)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5923,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex11)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5922,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex12)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5921,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex13)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5920,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex14)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5919,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex15)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5918,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex16)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5917,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex17)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5916,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex18)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5915,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex19)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5914,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex20)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5913,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex21)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5912,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex22)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5911,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex23)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5910,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex24)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5909,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex25)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5908,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex26)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5907,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex27)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5906,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex28)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5905,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex29)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5904,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex30)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5903,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex31)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5902,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex32)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5901,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex33)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5900,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex34)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5899,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex35)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5898,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex36)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5897,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex37)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5896,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex38)
    <=> v22477(VarCurr) ) )).

fof(addAssignment_5895,axiom,(
    ! [VarCurr] :
      ( v22596(VarCurr,bitIndex39)
    <=> v22477(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_32,axiom,(
    ! [VarCurr,B] :
      ( range_39_0(B)
     => ( v22577(VarCurr,B)
      <=> ( v22578(VarCurr,B)
          | v22587(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_31,axiom,(
    ! [VarCurr,B] :
      ( range_39_0(B)
     => ( v22587(VarCurr,B)
      <=> ( v22588(VarCurr,B)
          & v22595(VarCurr,B) ) ) ) )).

fof(addAssignment_5894,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex0)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5893,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex1)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5892,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex2)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5891,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex3)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5890,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex4)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5889,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex5)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5888,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex6)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5887,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex7)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5886,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex8)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5885,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex9)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5884,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex10)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5883,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex11)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5882,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex12)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5881,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex13)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5880,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex14)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5879,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex15)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5878,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex16)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5877,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex17)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5876,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex18)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5875,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex19)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5874,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex20)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5873,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex21)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5872,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex22)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5871,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex23)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5870,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex24)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5869,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex25)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5868,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex26)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5867,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex27)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5866,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex28)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5865,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex29)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5864,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex30)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5863,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex31)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5862,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex32)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5861,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex33)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5860,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex34)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5859,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex35)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5858,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex36)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5857,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex37)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5856,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex38)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5855,axiom,(
    ! [VarCurr] :
      ( v22595(VarCurr,bitIndex39)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(addAssignment_5854,axiom,(
    ! [VarCurr,B] :
      ( range_37_0(B)
     => ( v22588(VarCurr,B)
      <=> v22589(VarCurr,B) ) ) )).

fof(addAssignment_5853,axiom,(
    ! [VarCurr] :
      ( ( v22588(VarCurr,bitIndex39)
      <=> $false )
      & ( v22588(VarCurr,bitIndex38)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_30,axiom,(
    ! [VarCurr,B] :
      ( range_37_0(B)
     => ( v22589(VarCurr,B)
      <=> ( v22590(VarCurr,B)
          | v22592(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_29,axiom,(
    ! [VarCurr,B] :
      ( range_37_0(B)
     => ( v22592(VarCurr,B)
      <=> ( v22593(VarCurr,B)
          & v22594(VarCurr,B) ) ) ) )).

fof(range_axiom_81,axiom,(
    ! [B] :
      ( range_37_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B ) ) )).

fof(addAssignment_5852,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex0)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5851,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex1)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5850,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex2)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5849,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex3)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5848,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex4)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5847,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex5)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5846,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex6)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5845,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex7)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5844,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex8)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5843,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex9)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5842,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex10)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5841,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex11)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5840,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex12)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5839,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex13)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5838,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex14)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5837,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex15)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5836,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex16)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5835,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex17)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5834,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex18)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5833,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex19)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5832,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex20)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5831,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex21)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5830,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex22)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5829,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex23)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5828,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex24)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5827,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex25)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5826,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex26)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5825,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex27)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5824,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex28)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5823,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex29)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5822,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex30)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5821,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex31)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5820,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex32)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5819,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex33)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5818,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex34)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5817,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex35)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5816,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex36)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5815,axiom,(
    ! [VarCurr] :
      ( v22594(VarCurr,bitIndex37)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5814,axiom,(
    ! [VarCurr] :
      ( ( v22593(VarCurr,bitIndex36)
      <=> v22581(VarCurr,bitIndex39) )
      & ( v22593(VarCurr,bitIndex35)
      <=> v22581(VarCurr,bitIndex38) )
      & ( v22593(VarCurr,bitIndex34)
      <=> v22581(VarCurr,bitIndex37) )
      & ( v22593(VarCurr,bitIndex33)
      <=> v22581(VarCurr,bitIndex36) )
      & ( v22593(VarCurr,bitIndex32)
      <=> v22581(VarCurr,bitIndex35) )
      & ( v22593(VarCurr,bitIndex31)
      <=> v22581(VarCurr,bitIndex34) )
      & ( v22593(VarCurr,bitIndex30)
      <=> v22581(VarCurr,bitIndex33) )
      & ( v22593(VarCurr,bitIndex29)
      <=> v22581(VarCurr,bitIndex32) )
      & ( v22593(VarCurr,bitIndex28)
      <=> v22581(VarCurr,bitIndex31) )
      & ( v22593(VarCurr,bitIndex27)
      <=> v22581(VarCurr,bitIndex30) )
      & ( v22593(VarCurr,bitIndex26)
      <=> v22581(VarCurr,bitIndex29) )
      & ( v22593(VarCurr,bitIndex25)
      <=> v22581(VarCurr,bitIndex28) )
      & ( v22593(VarCurr,bitIndex24)
      <=> v22581(VarCurr,bitIndex27) )
      & ( v22593(VarCurr,bitIndex23)
      <=> v22581(VarCurr,bitIndex26) )
      & ( v22593(VarCurr,bitIndex22)
      <=> v22581(VarCurr,bitIndex25) )
      & ( v22593(VarCurr,bitIndex21)
      <=> v22581(VarCurr,bitIndex24) )
      & ( v22593(VarCurr,bitIndex20)
      <=> v22581(VarCurr,bitIndex23) )
      & ( v22593(VarCurr,bitIndex19)
      <=> v22581(VarCurr,bitIndex22) )
      & ( v22593(VarCurr,bitIndex18)
      <=> v22581(VarCurr,bitIndex21) )
      & ( v22593(VarCurr,bitIndex17)
      <=> v22581(VarCurr,bitIndex20) )
      & ( v22593(VarCurr,bitIndex16)
      <=> v22581(VarCurr,bitIndex19) )
      & ( v22593(VarCurr,bitIndex15)
      <=> v22581(VarCurr,bitIndex18) )
      & ( v22593(VarCurr,bitIndex14)
      <=> v22581(VarCurr,bitIndex17) )
      & ( v22593(VarCurr,bitIndex13)
      <=> v22581(VarCurr,bitIndex16) )
      & ( v22593(VarCurr,bitIndex12)
      <=> v22581(VarCurr,bitIndex15) )
      & ( v22593(VarCurr,bitIndex11)
      <=> v22581(VarCurr,bitIndex14) )
      & ( v22593(VarCurr,bitIndex10)
      <=> v22581(VarCurr,bitIndex13) )
      & ( v22593(VarCurr,bitIndex9)
      <=> v22581(VarCurr,bitIndex12) )
      & ( v22593(VarCurr,bitIndex8)
      <=> v22581(VarCurr,bitIndex11) )
      & ( v22593(VarCurr,bitIndex7)
      <=> v22581(VarCurr,bitIndex10) )
      & ( v22593(VarCurr,bitIndex6)
      <=> v22581(VarCurr,bitIndex9) )
      & ( v22593(VarCurr,bitIndex5)
      <=> v22581(VarCurr,bitIndex8) )
      & ( v22593(VarCurr,bitIndex4)
      <=> v22581(VarCurr,bitIndex7) )
      & ( v22593(VarCurr,bitIndex3)
      <=> v22581(VarCurr,bitIndex6) )
      & ( v22593(VarCurr,bitIndex2)
      <=> v22581(VarCurr,bitIndex5) )
      & ( v22593(VarCurr,bitIndex1)
      <=> v22581(VarCurr,bitIndex4) )
      & ( v22593(VarCurr,bitIndex0)
      <=> v22581(VarCurr,bitIndex3) ) ) )).

fof(addAssignment_5813,axiom,(
    ! [VarCurr] :
      ( v22593(VarCurr,bitIndex37)
    <=> $false ) )).

fof(writeBinaryOperatorShiftedRanges_927,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex0)
    <=> ( v22581(VarCurr,bitIndex2)
        & v22591(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_926,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex1)
    <=> ( v22581(VarCurr,bitIndex3)
        & v22591(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_925,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex2)
    <=> ( v22581(VarCurr,bitIndex4)
        & v22591(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_924,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex3)
    <=> ( v22581(VarCurr,bitIndex5)
        & v22591(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_923,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex4)
    <=> ( v22581(VarCurr,bitIndex6)
        & v22591(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_922,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex5)
    <=> ( v22581(VarCurr,bitIndex7)
        & v22591(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_921,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex6)
    <=> ( v22581(VarCurr,bitIndex8)
        & v22591(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_920,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex7)
    <=> ( v22581(VarCurr,bitIndex9)
        & v22591(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_919,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex8)
    <=> ( v22581(VarCurr,bitIndex10)
        & v22591(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_918,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex9)
    <=> ( v22581(VarCurr,bitIndex11)
        & v22591(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_917,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex10)
    <=> ( v22581(VarCurr,bitIndex12)
        & v22591(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_916,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex11)
    <=> ( v22581(VarCurr,bitIndex13)
        & v22591(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_915,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex12)
    <=> ( v22581(VarCurr,bitIndex14)
        & v22591(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorShiftedRanges_914,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex13)
    <=> ( v22581(VarCurr,bitIndex15)
        & v22591(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorShiftedRanges_913,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex14)
    <=> ( v22581(VarCurr,bitIndex16)
        & v22591(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorShiftedRanges_912,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex15)
    <=> ( v22581(VarCurr,bitIndex17)
        & v22591(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorShiftedRanges_911,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex16)
    <=> ( v22581(VarCurr,bitIndex18)
        & v22591(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorShiftedRanges_910,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex17)
    <=> ( v22581(VarCurr,bitIndex19)
        & v22591(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorShiftedRanges_909,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex18)
    <=> ( v22581(VarCurr,bitIndex20)
        & v22591(VarCurr,bitIndex18) ) ) )).

fof(writeBinaryOperatorShiftedRanges_908,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex19)
    <=> ( v22581(VarCurr,bitIndex21)
        & v22591(VarCurr,bitIndex19) ) ) )).

fof(writeBinaryOperatorShiftedRanges_907,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex20)
    <=> ( v22581(VarCurr,bitIndex22)
        & v22591(VarCurr,bitIndex20) ) ) )).

fof(writeBinaryOperatorShiftedRanges_906,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex21)
    <=> ( v22581(VarCurr,bitIndex23)
        & v22591(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorShiftedRanges_905,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex22)
    <=> ( v22581(VarCurr,bitIndex24)
        & v22591(VarCurr,bitIndex22) ) ) )).

fof(writeBinaryOperatorShiftedRanges_904,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex23)
    <=> ( v22581(VarCurr,bitIndex25)
        & v22591(VarCurr,bitIndex23) ) ) )).

fof(writeBinaryOperatorShiftedRanges_903,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex24)
    <=> ( v22581(VarCurr,bitIndex26)
        & v22591(VarCurr,bitIndex24) ) ) )).

fof(writeBinaryOperatorShiftedRanges_902,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex25)
    <=> ( v22581(VarCurr,bitIndex27)
        & v22591(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorShiftedRanges_901,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex26)
    <=> ( v22581(VarCurr,bitIndex28)
        & v22591(VarCurr,bitIndex26) ) ) )).

fof(writeBinaryOperatorShiftedRanges_900,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex27)
    <=> ( v22581(VarCurr,bitIndex29)
        & v22591(VarCurr,bitIndex27) ) ) )).

fof(writeBinaryOperatorShiftedRanges_899,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex28)
    <=> ( v22581(VarCurr,bitIndex30)
        & v22591(VarCurr,bitIndex28) ) ) )).

fof(writeBinaryOperatorShiftedRanges_898,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex29)
    <=> ( v22581(VarCurr,bitIndex31)
        & v22591(VarCurr,bitIndex29) ) ) )).

fof(writeBinaryOperatorShiftedRanges_897,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex30)
    <=> ( v22581(VarCurr,bitIndex32)
        & v22591(VarCurr,bitIndex30) ) ) )).

fof(writeBinaryOperatorShiftedRanges_896,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex31)
    <=> ( v22581(VarCurr,bitIndex33)
        & v22591(VarCurr,bitIndex31) ) ) )).

fof(writeBinaryOperatorShiftedRanges_895,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex32)
    <=> ( v22581(VarCurr,bitIndex34)
        & v22591(VarCurr,bitIndex32) ) ) )).

fof(writeBinaryOperatorShiftedRanges_894,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex33)
    <=> ( v22581(VarCurr,bitIndex35)
        & v22591(VarCurr,bitIndex33) ) ) )).

fof(writeBinaryOperatorShiftedRanges_893,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex34)
    <=> ( v22581(VarCurr,bitIndex36)
        & v22591(VarCurr,bitIndex34) ) ) )).

fof(writeBinaryOperatorShiftedRanges_892,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex35)
    <=> ( v22581(VarCurr,bitIndex37)
        & v22591(VarCurr,bitIndex35) ) ) )).

fof(writeBinaryOperatorShiftedRanges_891,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex36)
    <=> ( v22581(VarCurr,bitIndex38)
        & v22591(VarCurr,bitIndex36) ) ) )).

fof(writeBinaryOperatorShiftedRanges_890,axiom,(
    ! [VarCurr] :
      ( v22590(VarCurr,bitIndex37)
    <=> ( v22581(VarCurr,bitIndex39)
        & v22591(VarCurr,bitIndex37) ) ) )).

fof(addAssignment_5812,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex0)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5811,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex1)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5810,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex2)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5809,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex3)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5808,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex4)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5807,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex5)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5806,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex6)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5805,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex7)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5804,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex8)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5803,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex9)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5802,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex10)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5801,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex11)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5800,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex12)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5799,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex13)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5798,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex14)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5797,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex15)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5796,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex16)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5795,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex17)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5794,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex18)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5793,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex19)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5792,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex20)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5791,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex21)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5790,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex22)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5789,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex23)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5788,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex24)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5787,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex25)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5786,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex26)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5785,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex27)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5784,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex28)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5783,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex29)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5782,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex30)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5781,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex31)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5780,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex32)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5779,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex33)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5778,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex34)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5777,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex35)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5776,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex36)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5775,axiom,(
    ! [VarCurr] :
      ( v22591(VarCurr,bitIndex37)
    <=> v22481(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_28,axiom,(
    ! [VarCurr,B] :
      ( range_39_0(B)
     => ( v22578(VarCurr,B)
      <=> ( v22579(VarCurr,B)
          & v22586(VarCurr,B) ) ) ) )).

fof(addAssignment_5774,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex0)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5773,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex1)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5772,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex2)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5771,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex3)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5770,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex4)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5769,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex5)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5768,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex6)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5767,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex7)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5766,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex8)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5765,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex9)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5764,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex10)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5763,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex11)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5762,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex12)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5761,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex13)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5760,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex14)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5759,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex15)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5758,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex16)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5757,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex17)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5756,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex18)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5755,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex19)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5754,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex20)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5753,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex21)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5752,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex22)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5751,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex23)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5750,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex24)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5749,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex25)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5748,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex26)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5747,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex27)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5746,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex28)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5745,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex29)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5744,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex30)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5743,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex31)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5742,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex32)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5741,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex33)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5740,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex34)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5739,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex35)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5738,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex36)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5737,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex37)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5736,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex38)
    <=> v22482(VarCurr) ) )).

fof(addAssignment_5735,axiom,(
    ! [VarCurr] :
      ( v22586(VarCurr,bitIndex39)
    <=> v22482(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_27,axiom,(
    ! [VarCurr,B] :
      ( range_39_0(B)
     => ( v22579(VarCurr,B)
      <=> ( v22580(VarCurr,B)
          | v22583(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_26,axiom,(
    ! [VarCurr,B] :
      ( range_39_0(B)
     => ( v22583(VarCurr,B)
      <=> ( v22584(VarCurr,B)
          & v22585(VarCurr,B) ) ) ) )).

fof(addAssignment_5734,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex0)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5733,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex1)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5732,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex2)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5731,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex3)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5730,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex4)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5729,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex5)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5728,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex6)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5727,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex7)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5726,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex8)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5725,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex9)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5724,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex10)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5723,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex11)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5722,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex12)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5721,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex13)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5720,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex14)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5719,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex15)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5718,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex16)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5717,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex17)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5716,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex18)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5715,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex19)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5714,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex20)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5713,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex21)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5712,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex22)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5711,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex23)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5710,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex24)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5709,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex25)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5708,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex26)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5707,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex27)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5706,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex28)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5705,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex29)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5704,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex30)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5703,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex31)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5702,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex32)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5701,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex33)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5700,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex34)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5699,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex35)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5698,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex36)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5697,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex37)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5696,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex38)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5695,axiom,(
    ! [VarCurr] :
      ( v22585(VarCurr,bitIndex39)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(addAssignment_5694,axiom,(
    ! [VarCurr] :
      ( ( v22584(VarCurr,bitIndex38)
      <=> v22581(VarCurr,bitIndex39) )
      & ( v22584(VarCurr,bitIndex37)
      <=> v22581(VarCurr,bitIndex38) )
      & ( v22584(VarCurr,bitIndex36)
      <=> v22581(VarCurr,bitIndex37) )
      & ( v22584(VarCurr,bitIndex35)
      <=> v22581(VarCurr,bitIndex36) )
      & ( v22584(VarCurr,bitIndex34)
      <=> v22581(VarCurr,bitIndex35) )
      & ( v22584(VarCurr,bitIndex33)
      <=> v22581(VarCurr,bitIndex34) )
      & ( v22584(VarCurr,bitIndex32)
      <=> v22581(VarCurr,bitIndex33) )
      & ( v22584(VarCurr,bitIndex31)
      <=> v22581(VarCurr,bitIndex32) )
      & ( v22584(VarCurr,bitIndex30)
      <=> v22581(VarCurr,bitIndex31) )
      & ( v22584(VarCurr,bitIndex29)
      <=> v22581(VarCurr,bitIndex30) )
      & ( v22584(VarCurr,bitIndex28)
      <=> v22581(VarCurr,bitIndex29) )
      & ( v22584(VarCurr,bitIndex27)
      <=> v22581(VarCurr,bitIndex28) )
      & ( v22584(VarCurr,bitIndex26)
      <=> v22581(VarCurr,bitIndex27) )
      & ( v22584(VarCurr,bitIndex25)
      <=> v22581(VarCurr,bitIndex26) )
      & ( v22584(VarCurr,bitIndex24)
      <=> v22581(VarCurr,bitIndex25) )
      & ( v22584(VarCurr,bitIndex23)
      <=> v22581(VarCurr,bitIndex24) )
      & ( v22584(VarCurr,bitIndex22)
      <=> v22581(VarCurr,bitIndex23) )
      & ( v22584(VarCurr,bitIndex21)
      <=> v22581(VarCurr,bitIndex22) )
      & ( v22584(VarCurr,bitIndex20)
      <=> v22581(VarCurr,bitIndex21) )
      & ( v22584(VarCurr,bitIndex19)
      <=> v22581(VarCurr,bitIndex20) )
      & ( v22584(VarCurr,bitIndex18)
      <=> v22581(VarCurr,bitIndex19) )
      & ( v22584(VarCurr,bitIndex17)
      <=> v22581(VarCurr,bitIndex18) )
      & ( v22584(VarCurr,bitIndex16)
      <=> v22581(VarCurr,bitIndex17) )
      & ( v22584(VarCurr,bitIndex15)
      <=> v22581(VarCurr,bitIndex16) )
      & ( v22584(VarCurr,bitIndex14)
      <=> v22581(VarCurr,bitIndex15) )
      & ( v22584(VarCurr,bitIndex13)
      <=> v22581(VarCurr,bitIndex14) )
      & ( v22584(VarCurr,bitIndex12)
      <=> v22581(VarCurr,bitIndex13) )
      & ( v22584(VarCurr,bitIndex11)
      <=> v22581(VarCurr,bitIndex12) )
      & ( v22584(VarCurr,bitIndex10)
      <=> v22581(VarCurr,bitIndex11) )
      & ( v22584(VarCurr,bitIndex9)
      <=> v22581(VarCurr,bitIndex10) )
      & ( v22584(VarCurr,bitIndex8)
      <=> v22581(VarCurr,bitIndex9) )
      & ( v22584(VarCurr,bitIndex7)
      <=> v22581(VarCurr,bitIndex8) )
      & ( v22584(VarCurr,bitIndex6)
      <=> v22581(VarCurr,bitIndex7) )
      & ( v22584(VarCurr,bitIndex5)
      <=> v22581(VarCurr,bitIndex6) )
      & ( v22584(VarCurr,bitIndex4)
      <=> v22581(VarCurr,bitIndex5) )
      & ( v22584(VarCurr,bitIndex3)
      <=> v22581(VarCurr,bitIndex4) )
      & ( v22584(VarCurr,bitIndex2)
      <=> v22581(VarCurr,bitIndex3) )
      & ( v22584(VarCurr,bitIndex1)
      <=> v22581(VarCurr,bitIndex2) )
      & ( v22584(VarCurr,bitIndex0)
      <=> v22581(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_5693,axiom,(
    ! [VarCurr] :
      ( v22584(VarCurr,bitIndex39)
    <=> $false ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_25,axiom,(
    ! [VarCurr,B] :
      ( range_39_0(B)
     => ( v22580(VarCurr,B)
      <=> ( v22581(VarCurr,B)
          & v22582(VarCurr,B) ) ) ) )).

fof(range_axiom_80,axiom,(
    ! [B] :
      ( range_39_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B ) ) )).

fof(addAssignment_5692,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex0)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5691,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex1)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5690,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex2)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5689,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex3)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5688,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex4)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5687,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex5)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5686,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex6)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5685,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex7)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5684,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex8)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5683,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex9)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5682,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex10)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5681,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex11)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5680,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex12)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5679,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex13)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5678,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex14)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5677,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex15)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5676,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex16)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5675,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex17)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5674,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex18)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5673,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex19)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5672,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex20)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5671,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex21)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5670,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex22)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5669,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex23)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5668,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex24)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5667,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex25)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5666,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex26)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5665,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex27)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5664,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex28)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5663,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex29)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5662,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex30)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5661,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex31)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5660,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex32)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5659,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex33)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5658,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex34)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5657,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex35)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5656,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex36)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5655,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex37)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5654,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex38)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5653,axiom,(
    ! [VarCurr] :
      ( v22582(VarCurr,bitIndex39)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5652,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v22581(VarCurr,B)
      <=> v22246(VarCurr,B) ) ) )).

fof(addAssignment_5651,axiom,(
    ! [VarCurr] :
      ( ( v22581(VarCurr,bitIndex39)
      <=> v22246(VarCurr,bitIndex7) )
      & ( v22581(VarCurr,bitIndex38)
      <=> v22246(VarCurr,bitIndex6) )
      & ( v22581(VarCurr,bitIndex37)
      <=> v22246(VarCurr,bitIndex5) )
      & ( v22581(VarCurr,bitIndex36)
      <=> v22246(VarCurr,bitIndex4) )
      & ( v22581(VarCurr,bitIndex35)
      <=> v22246(VarCurr,bitIndex3) )
      & ( v22581(VarCurr,bitIndex34)
      <=> v22246(VarCurr,bitIndex2) )
      & ( v22581(VarCurr,bitIndex33)
      <=> v22246(VarCurr,bitIndex1) )
      & ( v22581(VarCurr,bitIndex32)
      <=> v22246(VarCurr,bitIndex0) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_237,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22558(VarNext)
       => ! [B] :
            ( range_31_0(B)
           => ( v22246(VarNext,B)
            <=> v22246(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_261,axiom,(
    ! [VarNext] :
      ( v22558(VarNext)
     => ! [B] :
          ( range_31_0(B)
         => ( v22246(VarNext,B)
          <=> v22566(VarNext,B) ) ) ) )).

fof(addAssignment_5650,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_31_0(B)
         => ( v22566(VarNext,B)
          <=> v22564(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_551,axiom,(
    ! [VarCurr] :
      ( ~ v22567(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v22564(VarCurr,B)
          <=> v22249(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_494,axiom,(
    ! [VarCurr] :
      ( v22567(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v22564(VarCurr,B)
          <=> $true ) ) ) )).

fof(writeUnaryOperator_2291,axiom,(
    ! [VarCurr] :
      ( ~ v22567(VarCurr)
    <=> v2726(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5088,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22558(VarNext)
      <=> v22559(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5087,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22559(VarNext)
      <=> ( v22560(VarNext)
          & v2820(VarNext) ) ) ) )).

fof(writeUnaryOperator_2290,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22560(VarNext)
      <=> v2827(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_24,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v22249(VarCurr,B)
      <=> ( v22554(VarCurr,B)
          & v22555(VarCurr,B) ) ) ) )).

fof(writeUnaryOperator_2289,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v22555(VarCurr,B)
      <=> ~ v22433(VarCurr,B) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_23,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v22554(VarCurr,B)
      <=> ( v22251(VarCurr,B)
          | v22246(VarCurr,B) ) ) ) )).

fof(addAssignmentInitValueVector_29,axiom,(
    ! [B] :
      ( range_31_0(B)
     => ( v22246(constB0,B)
      <=> $true ) ) )).

fof(bitBlastConstant_9162,axiom,(
    b11111111111111111111111111111111(bitIndex31) )).

fof(bitBlastConstant_9161,axiom,(
    b11111111111111111111111111111111(bitIndex30) )).

fof(bitBlastConstant_9160,axiom,(
    b11111111111111111111111111111111(bitIndex29) )).

fof(bitBlastConstant_9159,axiom,(
    b11111111111111111111111111111111(bitIndex28) )).

fof(bitBlastConstant_9158,axiom,(
    b11111111111111111111111111111111(bitIndex27) )).

fof(bitBlastConstant_9157,axiom,(
    b11111111111111111111111111111111(bitIndex26) )).

fof(bitBlastConstant_9156,axiom,(
    b11111111111111111111111111111111(bitIndex25) )).

fof(bitBlastConstant_9155,axiom,(
    b11111111111111111111111111111111(bitIndex24) )).

fof(bitBlastConstant_9154,axiom,(
    b11111111111111111111111111111111(bitIndex23) )).

fof(bitBlastConstant_9153,axiom,(
    b11111111111111111111111111111111(bitIndex22) )).

fof(bitBlastConstant_9152,axiom,(
    b11111111111111111111111111111111(bitIndex21) )).

fof(bitBlastConstant_9151,axiom,(
    b11111111111111111111111111111111(bitIndex20) )).

fof(bitBlastConstant_9150,axiom,(
    b11111111111111111111111111111111(bitIndex19) )).

fof(bitBlastConstant_9149,axiom,(
    b11111111111111111111111111111111(bitIndex18) )).

fof(bitBlastConstant_9148,axiom,(
    b11111111111111111111111111111111(bitIndex17) )).

fof(bitBlastConstant_9147,axiom,(
    b11111111111111111111111111111111(bitIndex16) )).

fof(bitBlastConstant_9146,axiom,(
    b11111111111111111111111111111111(bitIndex15) )).

fof(bitBlastConstant_9145,axiom,(
    b11111111111111111111111111111111(bitIndex14) )).

fof(bitBlastConstant_9144,axiom,(
    b11111111111111111111111111111111(bitIndex13) )).

fof(bitBlastConstant_9143,axiom,(
    b11111111111111111111111111111111(bitIndex12) )).

fof(bitBlastConstant_9142,axiom,(
    b11111111111111111111111111111111(bitIndex11) )).

fof(bitBlastConstant_9141,axiom,(
    b11111111111111111111111111111111(bitIndex10) )).

fof(bitBlastConstant_9140,axiom,(
    b11111111111111111111111111111111(bitIndex9) )).

fof(bitBlastConstant_9139,axiom,(
    b11111111111111111111111111111111(bitIndex8) )).

fof(bitBlastConstant_9138,axiom,(
    b11111111111111111111111111111111(bitIndex7) )).

fof(bitBlastConstant_9137,axiom,(
    b11111111111111111111111111111111(bitIndex6) )).

fof(bitBlastConstant_9136,axiom,(
    b11111111111111111111111111111111(bitIndex5) )).

fof(bitBlastConstant_9135,axiom,(
    b11111111111111111111111111111111(bitIndex4) )).

fof(bitBlastConstant_9134,axiom,(
    b11111111111111111111111111111111(bitIndex3) )).

fof(bitBlastConstant_9133,axiom,(
    b11111111111111111111111111111111(bitIndex2) )).

fof(bitBlastConstant_9132,axiom,(
    b11111111111111111111111111111111(bitIndex1) )).

fof(bitBlastConstant_9131,axiom,(
    b11111111111111111111111111111111(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_22,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v22433(VarCurr,B)
      <=> ( v22435(VarCurr,B)
          & v22551(VarCurr,B) ) ) ) )).

fof(addAssignment_5649,axiom,(
    ! [VarCurr] :
      ( v22551(VarCurr,bitIndex0)
    <=> v22552(VarCurr) ) )).

fof(addAssignment_5648,axiom,(
    ! [VarCurr] :
      ( v22551(VarCurr,bitIndex1)
    <=> v22552(VarCurr) ) )).

fof(addAssignment_5647,axiom,(
    ! [VarCurr] :
      ( v22551(VarCurr,bitIndex2)
    <=> v22552(VarCurr) ) )).

fof(addAssignment_5646,axiom,(
    ! [VarCurr] :
      ( v22551(VarCurr,bitIndex3)
    <=> v22552(VarCurr) ) )).

fof(addAssignment_5645,axiom,(
    ! [VarCurr] :
      ( v22551(VarCurr,bitIndex4)
    <=> v22552(VarCurr) ) )).

fof(addAssignment_5644,axiom,(
    ! [VarCurr] :
      ( v22551(VarCurr,bitIndex5)
    <=> v22552(VarCurr) ) )).

fof(addAssignment_5643,axiom,(
    ! [VarCurr] :
      ( v22551(VarCurr,bitIndex6)
    <=> v22552(VarCurr) ) )).

fof(addAssignment_5642,axiom,(
    ! [VarCurr] :
      ( v22551(VarCurr,bitIndex7)
    <=> v22552(VarCurr) ) )).

fof(addAssignment_5641,axiom,(
    ! [VarCurr] :
      ( v22551(VarCurr,bitIndex8)
    <=> v22552(VarCurr) ) )).

fof(addAssignment_5640,axiom,(
    ! [VarCurr] :
      ( v22551(VarCurr,bitIndex9)
    <=> v22552(VarCurr) ) )).

fof(addAssignment_5639,axiom,(
    ! [VarCurr] :
      ( v22551(VarCurr,bitIndex10)
    <=> v22552(VarCurr) ) )).

fof(addAssignment_5638,axiom,(
    ! [VarCurr] :
      ( v22551(VarCurr,bitIndex11)
    <=> v22552(VarCurr) ) )).

fof(addAssignment_5637,axiom,(
    ! [VarCurr] :
      ( v22551(VarCurr,bitIndex12)
    <=> v22552(VarCurr) ) )).

fof(addAssignment_5636,axiom,(
    ! [VarCurr] :
      ( v22551(VarCurr,bitIndex13)
    <=> v22552(VarCurr) ) )).

fof(addAssignment_5635,axiom,(
    ! [VarCurr] :
      ( v22551(VarCurr,bitIndex14)
    <=> v22552(VarCurr) ) )).

fof(addAssignment_5634,axiom,(
    ! [VarCurr] :
      ( v22551(VarCurr,bitIndex15)
    <=> v22552(VarCurr) ) )).

fof(addAssignment_5633,axiom,(
    ! [VarCurr] :
      ( v22551(VarCurr,bitIndex16)
    <=> v22552(VarCurr) ) )).

fof(addAssignment_5632,axiom,(
    ! [VarCurr] :
      ( v22551(VarCurr,bitIndex17)
    <=> v22552(VarCurr) ) )).

fof(addAssignment_5631,axiom,(
    ! [VarCurr] :
      ( v22551(VarCurr,bitIndex18)
    <=> v22552(VarCurr) ) )).

fof(addAssignment_5630,axiom,(
    ! [VarCurr] :
      ( v22551(VarCurr,bitIndex19)
    <=> v22552(VarCurr) ) )).

fof(addAssignment_5629,axiom,(
    ! [VarCurr] :
      ( v22551(VarCurr,bitIndex20)
    <=> v22552(VarCurr) ) )).

fof(addAssignment_5628,axiom,(
    ! [VarCurr] :
      ( v22551(VarCurr,bitIndex21)
    <=> v22552(VarCurr) ) )).

fof(addAssignment_5627,axiom,(
    ! [VarCurr] :
      ( v22551(VarCurr,bitIndex22)
    <=> v22552(VarCurr) ) )).

fof(addAssignment_5626,axiom,(
    ! [VarCurr] :
      ( v22551(VarCurr,bitIndex23)
    <=> v22552(VarCurr) ) )).

fof(addAssignment_5625,axiom,(
    ! [VarCurr] :
      ( v22551(VarCurr,bitIndex24)
    <=> v22552(VarCurr) ) )).

fof(addAssignment_5624,axiom,(
    ! [VarCurr] :
      ( v22551(VarCurr,bitIndex25)
    <=> v22552(VarCurr) ) )).

fof(addAssignment_5623,axiom,(
    ! [VarCurr] :
      ( v22551(VarCurr,bitIndex26)
    <=> v22552(VarCurr) ) )).

fof(addAssignment_5622,axiom,(
    ! [VarCurr] :
      ( v22551(VarCurr,bitIndex27)
    <=> v22552(VarCurr) ) )).

fof(addAssignment_5621,axiom,(
    ! [VarCurr] :
      ( v22551(VarCurr,bitIndex28)
    <=> v22552(VarCurr) ) )).

fof(addAssignment_5620,axiom,(
    ! [VarCurr] :
      ( v22551(VarCurr,bitIndex29)
    <=> v22552(VarCurr) ) )).

fof(addAssignment_5619,axiom,(
    ! [VarCurr] :
      ( v22551(VarCurr,bitIndex30)
    <=> v22552(VarCurr) ) )).

fof(addAssignment_5618,axiom,(
    ! [VarCurr] :
      ( v22551(VarCurr,bitIndex31)
    <=> v22552(VarCurr) ) )).

fof(addAssignment_5617,axiom,(
    ! [VarCurr] :
      ( v22552(VarCurr)
    <=> v22439(VarCurr) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_312,axiom,(
    ! [VarCurr] :
      ( ~ v22549(VarCurr)
     => ( v22435(VarCurr,bitIndex31)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_369,axiom,(
    ! [VarCurr] :
      ( v22549(VarCurr)
     => ( v22435(VarCurr,bitIndex31)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1632,axiom,(
    ! [VarCurr] :
      ( v22549(VarCurr)
    <=> ( ( v22437(VarCurr,bitIndex4)
        <=> $true )
        & ( v22437(VarCurr,bitIndex3)
        <=> $true )
        & ( v22437(VarCurr,bitIndex2)
        <=> $true )
        & ( v22437(VarCurr,bitIndex1)
        <=> $true )
        & ( v22437(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_311,axiom,(
    ! [VarCurr] :
      ( ~ v22547(VarCurr)
     => ( v22435(VarCurr,bitIndex30)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_368,axiom,(
    ! [VarCurr] :
      ( v22547(VarCurr)
     => ( v22435(VarCurr,bitIndex30)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1631,axiom,(
    ! [VarCurr] :
      ( v22547(VarCurr)
    <=> ( ( v22437(VarCurr,bitIndex4)
        <=> $true )
        & ( v22437(VarCurr,bitIndex3)
        <=> $true )
        & ( v22437(VarCurr,bitIndex2)
        <=> $true )
        & ( v22437(VarCurr,bitIndex1)
        <=> $true )
        & ( v22437(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_310,axiom,(
    ! [VarCurr] :
      ( ~ v22545(VarCurr)
     => ( v22435(VarCurr,bitIndex29)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_367,axiom,(
    ! [VarCurr] :
      ( v22545(VarCurr)
     => ( v22435(VarCurr,bitIndex29)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1630,axiom,(
    ! [VarCurr] :
      ( v22545(VarCurr)
    <=> ( ( v22437(VarCurr,bitIndex4)
        <=> $true )
        & ( v22437(VarCurr,bitIndex3)
        <=> $true )
        & ( v22437(VarCurr,bitIndex2)
        <=> $true )
        & ( v22437(VarCurr,bitIndex1)
        <=> $false )
        & ( v22437(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_309,axiom,(
    ! [VarCurr] :
      ( ~ v22543(VarCurr)
     => ( v22435(VarCurr,bitIndex28)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_366,axiom,(
    ! [VarCurr] :
      ( v22543(VarCurr)
     => ( v22435(VarCurr,bitIndex28)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1629,axiom,(
    ! [VarCurr] :
      ( v22543(VarCurr)
    <=> ( ( v22437(VarCurr,bitIndex4)
        <=> $true )
        & ( v22437(VarCurr,bitIndex3)
        <=> $true )
        & ( v22437(VarCurr,bitIndex2)
        <=> $true )
        & ( v22437(VarCurr,bitIndex1)
        <=> $false )
        & ( v22437(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_308,axiom,(
    ! [VarCurr] :
      ( ~ v22541(VarCurr)
     => ( v22435(VarCurr,bitIndex27)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_365,axiom,(
    ! [VarCurr] :
      ( v22541(VarCurr)
     => ( v22435(VarCurr,bitIndex27)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1628,axiom,(
    ! [VarCurr] :
      ( v22541(VarCurr)
    <=> ( ( v22437(VarCurr,bitIndex4)
        <=> $true )
        & ( v22437(VarCurr,bitIndex3)
        <=> $true )
        & ( v22437(VarCurr,bitIndex2)
        <=> $false )
        & ( v22437(VarCurr,bitIndex1)
        <=> $true )
        & ( v22437(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_307,axiom,(
    ! [VarCurr] :
      ( ~ v22539(VarCurr)
     => ( v22435(VarCurr,bitIndex26)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_364,axiom,(
    ! [VarCurr] :
      ( v22539(VarCurr)
     => ( v22435(VarCurr,bitIndex26)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1627,axiom,(
    ! [VarCurr] :
      ( v22539(VarCurr)
    <=> ( ( v22437(VarCurr,bitIndex4)
        <=> $true )
        & ( v22437(VarCurr,bitIndex3)
        <=> $true )
        & ( v22437(VarCurr,bitIndex2)
        <=> $false )
        & ( v22437(VarCurr,bitIndex1)
        <=> $true )
        & ( v22437(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_306,axiom,(
    ! [VarCurr] :
      ( ~ v22537(VarCurr)
     => ( v22435(VarCurr,bitIndex25)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_363,axiom,(
    ! [VarCurr] :
      ( v22537(VarCurr)
     => ( v22435(VarCurr,bitIndex25)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1626,axiom,(
    ! [VarCurr] :
      ( v22537(VarCurr)
    <=> ( ( v22437(VarCurr,bitIndex4)
        <=> $true )
        & ( v22437(VarCurr,bitIndex3)
        <=> $true )
        & ( v22437(VarCurr,bitIndex2)
        <=> $false )
        & ( v22437(VarCurr,bitIndex1)
        <=> $false )
        & ( v22437(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_305,axiom,(
    ! [VarCurr] :
      ( ~ v22535(VarCurr)
     => ( v22435(VarCurr,bitIndex24)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_362,axiom,(
    ! [VarCurr] :
      ( v22535(VarCurr)
     => ( v22435(VarCurr,bitIndex24)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1625,axiom,(
    ! [VarCurr] :
      ( v22535(VarCurr)
    <=> ( ( v22437(VarCurr,bitIndex4)
        <=> $true )
        & ( v22437(VarCurr,bitIndex3)
        <=> $true )
        & ( v22437(VarCurr,bitIndex2)
        <=> $false )
        & ( v22437(VarCurr,bitIndex1)
        <=> $false )
        & ( v22437(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_304,axiom,(
    ! [VarCurr] :
      ( ~ v22533(VarCurr)
     => ( v22435(VarCurr,bitIndex23)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_361,axiom,(
    ! [VarCurr] :
      ( v22533(VarCurr)
     => ( v22435(VarCurr,bitIndex23)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1624,axiom,(
    ! [VarCurr] :
      ( v22533(VarCurr)
    <=> ( ( v22437(VarCurr,bitIndex4)
        <=> $true )
        & ( v22437(VarCurr,bitIndex3)
        <=> $false )
        & ( v22437(VarCurr,bitIndex2)
        <=> $true )
        & ( v22437(VarCurr,bitIndex1)
        <=> $true )
        & ( v22437(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_303,axiom,(
    ! [VarCurr] :
      ( ~ v22531(VarCurr)
     => ( v22435(VarCurr,bitIndex22)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_360,axiom,(
    ! [VarCurr] :
      ( v22531(VarCurr)
     => ( v22435(VarCurr,bitIndex22)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1623,axiom,(
    ! [VarCurr] :
      ( v22531(VarCurr)
    <=> ( ( v22437(VarCurr,bitIndex4)
        <=> $true )
        & ( v22437(VarCurr,bitIndex3)
        <=> $false )
        & ( v22437(VarCurr,bitIndex2)
        <=> $true )
        & ( v22437(VarCurr,bitIndex1)
        <=> $true )
        & ( v22437(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_302,axiom,(
    ! [VarCurr] :
      ( ~ v22529(VarCurr)
     => ( v22435(VarCurr,bitIndex21)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_359,axiom,(
    ! [VarCurr] :
      ( v22529(VarCurr)
     => ( v22435(VarCurr,bitIndex21)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1622,axiom,(
    ! [VarCurr] :
      ( v22529(VarCurr)
    <=> ( ( v22437(VarCurr,bitIndex4)
        <=> $true )
        & ( v22437(VarCurr,bitIndex3)
        <=> $false )
        & ( v22437(VarCurr,bitIndex2)
        <=> $true )
        & ( v22437(VarCurr,bitIndex1)
        <=> $false )
        & ( v22437(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_301,axiom,(
    ! [VarCurr] :
      ( ~ v22527(VarCurr)
     => ( v22435(VarCurr,bitIndex20)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_358,axiom,(
    ! [VarCurr] :
      ( v22527(VarCurr)
     => ( v22435(VarCurr,bitIndex20)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1621,axiom,(
    ! [VarCurr] :
      ( v22527(VarCurr)
    <=> ( ( v22437(VarCurr,bitIndex4)
        <=> $true )
        & ( v22437(VarCurr,bitIndex3)
        <=> $false )
        & ( v22437(VarCurr,bitIndex2)
        <=> $true )
        & ( v22437(VarCurr,bitIndex1)
        <=> $false )
        & ( v22437(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_300,axiom,(
    ! [VarCurr] :
      ( ~ v22525(VarCurr)
     => ( v22435(VarCurr,bitIndex19)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_357,axiom,(
    ! [VarCurr] :
      ( v22525(VarCurr)
     => ( v22435(VarCurr,bitIndex19)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1620,axiom,(
    ! [VarCurr] :
      ( v22525(VarCurr)
    <=> ( ( v22437(VarCurr,bitIndex4)
        <=> $true )
        & ( v22437(VarCurr,bitIndex3)
        <=> $false )
        & ( v22437(VarCurr,bitIndex2)
        <=> $false )
        & ( v22437(VarCurr,bitIndex1)
        <=> $true )
        & ( v22437(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_299,axiom,(
    ! [VarCurr] :
      ( ~ v22523(VarCurr)
     => ( v22435(VarCurr,bitIndex18)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_356,axiom,(
    ! [VarCurr] :
      ( v22523(VarCurr)
     => ( v22435(VarCurr,bitIndex18)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1619,axiom,(
    ! [VarCurr] :
      ( v22523(VarCurr)
    <=> ( ( v22437(VarCurr,bitIndex4)
        <=> $true )
        & ( v22437(VarCurr,bitIndex3)
        <=> $false )
        & ( v22437(VarCurr,bitIndex2)
        <=> $false )
        & ( v22437(VarCurr,bitIndex1)
        <=> $true )
        & ( v22437(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_298,axiom,(
    ! [VarCurr] :
      ( ~ v22521(VarCurr)
     => ( v22435(VarCurr,bitIndex17)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_355,axiom,(
    ! [VarCurr] :
      ( v22521(VarCurr)
     => ( v22435(VarCurr,bitIndex17)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1618,axiom,(
    ! [VarCurr] :
      ( v22521(VarCurr)
    <=> ( ( v22437(VarCurr,bitIndex4)
        <=> $true )
        & ( v22437(VarCurr,bitIndex3)
        <=> $false )
        & ( v22437(VarCurr,bitIndex2)
        <=> $false )
        & ( v22437(VarCurr,bitIndex1)
        <=> $false )
        & ( v22437(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_297,axiom,(
    ! [VarCurr] :
      ( ~ v22519(VarCurr)
     => ( v22435(VarCurr,bitIndex16)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_354,axiom,(
    ! [VarCurr] :
      ( v22519(VarCurr)
     => ( v22435(VarCurr,bitIndex16)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1617,axiom,(
    ! [VarCurr] :
      ( v22519(VarCurr)
    <=> ( ( v22437(VarCurr,bitIndex4)
        <=> $true )
        & ( v22437(VarCurr,bitIndex3)
        <=> $false )
        & ( v22437(VarCurr,bitIndex2)
        <=> $false )
        & ( v22437(VarCurr,bitIndex1)
        <=> $false )
        & ( v22437(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_296,axiom,(
    ! [VarCurr] :
      ( ~ v22517(VarCurr)
     => ( v22435(VarCurr,bitIndex15)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_353,axiom,(
    ! [VarCurr] :
      ( v22517(VarCurr)
     => ( v22435(VarCurr,bitIndex15)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1616,axiom,(
    ! [VarCurr] :
      ( v22517(VarCurr)
    <=> ( ( v22437(VarCurr,bitIndex4)
        <=> $false )
        & ( v22437(VarCurr,bitIndex3)
        <=> $true )
        & ( v22437(VarCurr,bitIndex2)
        <=> $true )
        & ( v22437(VarCurr,bitIndex1)
        <=> $true )
        & ( v22437(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_295,axiom,(
    ! [VarCurr] :
      ( ~ v22515(VarCurr)
     => ( v22435(VarCurr,bitIndex14)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_352,axiom,(
    ! [VarCurr] :
      ( v22515(VarCurr)
     => ( v22435(VarCurr,bitIndex14)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1615,axiom,(
    ! [VarCurr] :
      ( v22515(VarCurr)
    <=> ( ( v22437(VarCurr,bitIndex4)
        <=> $false )
        & ( v22437(VarCurr,bitIndex3)
        <=> $true )
        & ( v22437(VarCurr,bitIndex2)
        <=> $true )
        & ( v22437(VarCurr,bitIndex1)
        <=> $true )
        & ( v22437(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_294,axiom,(
    ! [VarCurr] :
      ( ~ v22513(VarCurr)
     => ( v22435(VarCurr,bitIndex13)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_351,axiom,(
    ! [VarCurr] :
      ( v22513(VarCurr)
     => ( v22435(VarCurr,bitIndex13)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1614,axiom,(
    ! [VarCurr] :
      ( v22513(VarCurr)
    <=> ( ( v22437(VarCurr,bitIndex4)
        <=> $false )
        & ( v22437(VarCurr,bitIndex3)
        <=> $true )
        & ( v22437(VarCurr,bitIndex2)
        <=> $true )
        & ( v22437(VarCurr,bitIndex1)
        <=> $false )
        & ( v22437(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_293,axiom,(
    ! [VarCurr] :
      ( ~ v22511(VarCurr)
     => ( v22435(VarCurr,bitIndex12)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_350,axiom,(
    ! [VarCurr] :
      ( v22511(VarCurr)
     => ( v22435(VarCurr,bitIndex12)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1613,axiom,(
    ! [VarCurr] :
      ( v22511(VarCurr)
    <=> ( ( v22437(VarCurr,bitIndex4)
        <=> $false )
        & ( v22437(VarCurr,bitIndex3)
        <=> $true )
        & ( v22437(VarCurr,bitIndex2)
        <=> $true )
        & ( v22437(VarCurr,bitIndex1)
        <=> $false )
        & ( v22437(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_292,axiom,(
    ! [VarCurr] :
      ( ~ v22509(VarCurr)
     => ( v22435(VarCurr,bitIndex11)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_349,axiom,(
    ! [VarCurr] :
      ( v22509(VarCurr)
     => ( v22435(VarCurr,bitIndex11)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1612,axiom,(
    ! [VarCurr] :
      ( v22509(VarCurr)
    <=> ( ( v22437(VarCurr,bitIndex4)
        <=> $false )
        & ( v22437(VarCurr,bitIndex3)
        <=> $true )
        & ( v22437(VarCurr,bitIndex2)
        <=> $false )
        & ( v22437(VarCurr,bitIndex1)
        <=> $true )
        & ( v22437(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_291,axiom,(
    ! [VarCurr] :
      ( ~ v22507(VarCurr)
     => ( v22435(VarCurr,bitIndex10)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_348,axiom,(
    ! [VarCurr] :
      ( v22507(VarCurr)
     => ( v22435(VarCurr,bitIndex10)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1611,axiom,(
    ! [VarCurr] :
      ( v22507(VarCurr)
    <=> ( ( v22437(VarCurr,bitIndex4)
        <=> $false )
        & ( v22437(VarCurr,bitIndex3)
        <=> $true )
        & ( v22437(VarCurr,bitIndex2)
        <=> $false )
        & ( v22437(VarCurr,bitIndex1)
        <=> $true )
        & ( v22437(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_290,axiom,(
    ! [VarCurr] :
      ( ~ v22505(VarCurr)
     => ( v22435(VarCurr,bitIndex9)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_347,axiom,(
    ! [VarCurr] :
      ( v22505(VarCurr)
     => ( v22435(VarCurr,bitIndex9)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1610,axiom,(
    ! [VarCurr] :
      ( v22505(VarCurr)
    <=> ( ( v22437(VarCurr,bitIndex4)
        <=> $false )
        & ( v22437(VarCurr,bitIndex3)
        <=> $true )
        & ( v22437(VarCurr,bitIndex2)
        <=> $false )
        & ( v22437(VarCurr,bitIndex1)
        <=> $false )
        & ( v22437(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_289,axiom,(
    ! [VarCurr] :
      ( ~ v22503(VarCurr)
     => ( v22435(VarCurr,bitIndex8)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_346,axiom,(
    ! [VarCurr] :
      ( v22503(VarCurr)
     => ( v22435(VarCurr,bitIndex8)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1609,axiom,(
    ! [VarCurr] :
      ( v22503(VarCurr)
    <=> ( ( v22437(VarCurr,bitIndex4)
        <=> $false )
        & ( v22437(VarCurr,bitIndex3)
        <=> $true )
        & ( v22437(VarCurr,bitIndex2)
        <=> $false )
        & ( v22437(VarCurr,bitIndex1)
        <=> $false )
        & ( v22437(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_288,axiom,(
    ! [VarCurr] :
      ( ~ v22501(VarCurr)
     => ( v22435(VarCurr,bitIndex7)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_345,axiom,(
    ! [VarCurr] :
      ( v22501(VarCurr)
     => ( v22435(VarCurr,bitIndex7)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1608,axiom,(
    ! [VarCurr] :
      ( v22501(VarCurr)
    <=> ( ( v22437(VarCurr,bitIndex4)
        <=> $false )
        & ( v22437(VarCurr,bitIndex3)
        <=> $false )
        & ( v22437(VarCurr,bitIndex2)
        <=> $true )
        & ( v22437(VarCurr,bitIndex1)
        <=> $true )
        & ( v22437(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_287,axiom,(
    ! [VarCurr] :
      ( ~ v22499(VarCurr)
     => ( v22435(VarCurr,bitIndex6)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_344,axiom,(
    ! [VarCurr] :
      ( v22499(VarCurr)
     => ( v22435(VarCurr,bitIndex6)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1607,axiom,(
    ! [VarCurr] :
      ( v22499(VarCurr)
    <=> ( ( v22437(VarCurr,bitIndex4)
        <=> $false )
        & ( v22437(VarCurr,bitIndex3)
        <=> $false )
        & ( v22437(VarCurr,bitIndex2)
        <=> $true )
        & ( v22437(VarCurr,bitIndex1)
        <=> $true )
        & ( v22437(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_286,axiom,(
    ! [VarCurr] :
      ( ~ v22497(VarCurr)
     => ( v22435(VarCurr,bitIndex5)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_343,axiom,(
    ! [VarCurr] :
      ( v22497(VarCurr)
     => ( v22435(VarCurr,bitIndex5)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1606,axiom,(
    ! [VarCurr] :
      ( v22497(VarCurr)
    <=> ( ( v22437(VarCurr,bitIndex4)
        <=> $false )
        & ( v22437(VarCurr,bitIndex3)
        <=> $false )
        & ( v22437(VarCurr,bitIndex2)
        <=> $true )
        & ( v22437(VarCurr,bitIndex1)
        <=> $false )
        & ( v22437(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_285,axiom,(
    ! [VarCurr] :
      ( ~ v22495(VarCurr)
     => ( v22435(VarCurr,bitIndex4)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_342,axiom,(
    ! [VarCurr] :
      ( v22495(VarCurr)
     => ( v22435(VarCurr,bitIndex4)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1605,axiom,(
    ! [VarCurr] :
      ( v22495(VarCurr)
    <=> ( ( v22437(VarCurr,bitIndex4)
        <=> $false )
        & ( v22437(VarCurr,bitIndex3)
        <=> $false )
        & ( v22437(VarCurr,bitIndex2)
        <=> $true )
        & ( v22437(VarCurr,bitIndex1)
        <=> $false )
        & ( v22437(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_284,axiom,(
    ! [VarCurr] :
      ( ~ v22493(VarCurr)
     => ( v22435(VarCurr,bitIndex3)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_341,axiom,(
    ! [VarCurr] :
      ( v22493(VarCurr)
     => ( v22435(VarCurr,bitIndex3)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1604,axiom,(
    ! [VarCurr] :
      ( v22493(VarCurr)
    <=> ( ( v22437(VarCurr,bitIndex4)
        <=> $false )
        & ( v22437(VarCurr,bitIndex3)
        <=> $false )
        & ( v22437(VarCurr,bitIndex2)
        <=> $false )
        & ( v22437(VarCurr,bitIndex1)
        <=> $true )
        & ( v22437(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_283,axiom,(
    ! [VarCurr] :
      ( ~ v22491(VarCurr)
     => ( v22435(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_340,axiom,(
    ! [VarCurr] :
      ( v22491(VarCurr)
     => ( v22435(VarCurr,bitIndex2)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1603,axiom,(
    ! [VarCurr] :
      ( v22491(VarCurr)
    <=> ( ( v22437(VarCurr,bitIndex4)
        <=> $false )
        & ( v22437(VarCurr,bitIndex3)
        <=> $false )
        & ( v22437(VarCurr,bitIndex2)
        <=> $false )
        & ( v22437(VarCurr,bitIndex1)
        <=> $true )
        & ( v22437(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_282,axiom,(
    ! [VarCurr] :
      ( ~ v22489(VarCurr)
     => ( v22435(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_339,axiom,(
    ! [VarCurr] :
      ( v22489(VarCurr)
     => ( v22435(VarCurr,bitIndex1)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1602,axiom,(
    ! [VarCurr] :
      ( v22489(VarCurr)
    <=> ( ( v22437(VarCurr,bitIndex4)
        <=> $false )
        & ( v22437(VarCurr,bitIndex3)
        <=> $false )
        & ( v22437(VarCurr,bitIndex2)
        <=> $false )
        & ( v22437(VarCurr,bitIndex1)
        <=> $false )
        & ( v22437(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_550,axiom,(
    ! [VarCurr] :
      ( ~ v22487(VarCurr)
     => ( v22435(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_493,axiom,(
    ! [VarCurr] :
      ( v22487(VarCurr)
     => ( v22435(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1601,axiom,(
    ! [VarCurr] :
      ( v22487(VarCurr)
    <=> ( ( v22437(VarCurr,bitIndex4)
        <=> $false )
        & ( v22437(VarCurr,bitIndex3)
        <=> $false )
        & ( v22437(VarCurr,bitIndex2)
        <=> $false )
        & ( v22437(VarCurr,bitIndex1)
        <=> $false )
        & ( v22437(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_236,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22444(VarNext)
       => ! [B] :
            ( range_4_0(B)
           => ( v22437(VarNext,B)
            <=> v22437(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_260,axiom,(
    ! [VarNext] :
      ( v22444(VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v22437(VarNext,B)
          <=> v22458(VarNext,B) ) ) ) )).

fof(addAssignment_5616,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v22458(VarNext,B)
          <=> v22456(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_634,axiom,(
    ! [VarCurr] :
      ( ~ v22453(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v22456(VarCurr,B)
          <=> v22459(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_630,axiom,(
    ! [VarCurr] :
      ( v22453(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v22456(VarCurr,B)
          <=> $false ) ) ) )).

fof(addAssignment_5615,axiom,(
    ! [VarCurr] :
      ( v22459(VarCurr,bitIndex0)
    <=> v22481(VarCurr) ) )).

fof(addAssignment_5614,axiom,(
    ! [VarCurr] :
      ( v22459(VarCurr,bitIndex1)
    <=> v22479(VarCurr) ) )).

fof(addAssignment_5613,axiom,(
    ! [VarCurr] :
      ( v22459(VarCurr,bitIndex2)
    <=> v22474(VarCurr) ) )).

fof(addAssignment_5612,axiom,(
    ! [VarCurr] :
      ( v22459(VarCurr,bitIndex3)
    <=> v22469(VarCurr) ) )).

fof(addAssignment_5611,axiom,(
    ! [VarCurr] :
      ( v22459(VarCurr,bitIndex4)
    <=> v22461(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5086,axiom,(
    ! [VarCurr] :
      ( v22479(VarCurr)
    <=> ( v22480(VarCurr)
        & v22483(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_889,axiom,(
    ! [VarCurr] :
      ( v22483(VarCurr)
    <=> ( v22437(VarCurr,bitIndex0)
        | v22437(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5085,axiom,(
    ! [VarCurr] :
      ( v22480(VarCurr)
    <=> ( v22481(VarCurr)
        | v22482(VarCurr) ) ) )).

fof(writeUnaryOperator_2288,axiom,(
    ! [VarCurr] :
      ( ~ v22482(VarCurr)
    <=> v22437(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2287,axiom,(
    ! [VarCurr] :
      ( ~ v22481(VarCurr)
    <=> v22437(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5084,axiom,(
    ! [VarCurr] :
      ( v22474(VarCurr)
    <=> ( v22475(VarCurr)
        & v22478(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_888,axiom,(
    ! [VarCurr] :
      ( v22478(VarCurr)
    <=> ( v22466(VarCurr)
        | v22437(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5083,axiom,(
    ! [VarCurr] :
      ( v22475(VarCurr)
    <=> ( v22476(VarCurr)
        | v22477(VarCurr) ) ) )).

fof(writeUnaryOperator_2286,axiom,(
    ! [VarCurr] :
      ( ~ v22477(VarCurr)
    <=> v22437(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_2285,axiom,(
    ! [VarCurr] :
      ( ~ v22476(VarCurr)
    <=> v22466(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5082,axiom,(
    ! [VarCurr] :
      ( v22469(VarCurr)
    <=> ( v22470(VarCurr)
        & v22473(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_887,axiom,(
    ! [VarCurr] :
      ( v22473(VarCurr)
    <=> ( v22465(VarCurr)
        | v22437(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5081,axiom,(
    ! [VarCurr] :
      ( v22470(VarCurr)
    <=> ( v22471(VarCurr)
        | v22472(VarCurr) ) ) )).

fof(writeUnaryOperator_2284,axiom,(
    ! [VarCurr] :
      ( ~ v22472(VarCurr)
    <=> v22437(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_2283,axiom,(
    ! [VarCurr] :
      ( ~ v22471(VarCurr)
    <=> v22465(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5080,axiom,(
    ! [VarCurr] :
      ( v22461(VarCurr)
    <=> ( v22462(VarCurr)
        & v22468(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_886,axiom,(
    ! [VarCurr] :
      ( v22468(VarCurr)
    <=> ( v22464(VarCurr)
        | v22437(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5079,axiom,(
    ! [VarCurr] :
      ( v22462(VarCurr)
    <=> ( v22463(VarCurr)
        | v22467(VarCurr) ) ) )).

fof(writeUnaryOperator_2282,axiom,(
    ! [VarCurr] :
      ( ~ v22467(VarCurr)
    <=> v22437(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_2281,axiom,(
    ! [VarCurr] :
      ( ~ v22463(VarCurr)
    <=> v22464(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_885,axiom,(
    ! [VarCurr] :
      ( v22464(VarCurr)
    <=> ( v22465(VarCurr)
        & v22437(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_884,axiom,(
    ! [VarCurr] :
      ( v22465(VarCurr)
    <=> ( v22466(VarCurr)
        & v22437(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_883,axiom,(
    ! [VarCurr] :
      ( v22466(VarCurr)
    <=> ( v22437(VarCurr,bitIndex0)
        & v22437(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5078,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22444(VarNext)
      <=> ( v22445(VarNext)
          & v22452(VarNext) ) ) ) )).

fof(addAssignment_5610,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22452(VarNext)
      <=> v22450(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5077,axiom,(
    ! [VarCurr] :
      ( v22450(VarCurr)
    <=> ( v22453(VarCurr)
        | v22454(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5076,axiom,(
    ! [VarCurr] :
      ( v22454(VarCurr)
    <=> ( v22439(VarCurr)
        & v22455(VarCurr) ) ) )).

fof(writeUnaryOperator_2280,axiom,(
    ! [VarCurr] :
      ( ~ v22455(VarCurr)
    <=> v22453(VarCurr) ) )).

fof(writeUnaryOperator_2279,axiom,(
    ! [VarCurr] :
      ( ~ v22453(VarCurr)
    <=> v2726(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5075,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22445(VarNext)
      <=> ( v22446(VarNext)
          & v2820(VarNext) ) ) ) )).

fof(writeUnaryOperator_2278,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22446(VarNext)
      <=> v2827(VarNext) ) ) )).

fof(addAssignmentInitValueVector_28,axiom,(
    ! [B] :
      ( range_4_0(B)
     => ( v22437(constB0,B)
      <=> $false ) ) )).

fof(addAssignment_5609,axiom,(
    ! [VarCurr] :
      ( v22439(VarCurr)
    <=> v22441(VarCurr) ) )).

fof(addAssignment_5608,axiom,(
    ! [VarCurr] :
      ( v22441(VarCurr)
    <=> v22212(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_21,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v22251(VarCurr,B)
      <=> ( v22253(VarCurr,B)
          & v22430(VarCurr,B) ) ) ) )).

fof(addAssignment_5607,axiom,(
    ! [VarCurr] :
      ( v22430(VarCurr,bitIndex0)
    <=> v22431(VarCurr) ) )).

fof(addAssignment_5606,axiom,(
    ! [VarCurr] :
      ( v22430(VarCurr,bitIndex1)
    <=> v22431(VarCurr) ) )).

fof(addAssignment_5605,axiom,(
    ! [VarCurr] :
      ( v22430(VarCurr,bitIndex2)
    <=> v22431(VarCurr) ) )).

fof(addAssignment_5604,axiom,(
    ! [VarCurr] :
      ( v22430(VarCurr,bitIndex3)
    <=> v22431(VarCurr) ) )).

fof(addAssignment_5603,axiom,(
    ! [VarCurr] :
      ( v22430(VarCurr,bitIndex4)
    <=> v22431(VarCurr) ) )).

fof(addAssignment_5602,axiom,(
    ! [VarCurr] :
      ( v22430(VarCurr,bitIndex5)
    <=> v22431(VarCurr) ) )).

fof(addAssignment_5601,axiom,(
    ! [VarCurr] :
      ( v22430(VarCurr,bitIndex6)
    <=> v22431(VarCurr) ) )).

fof(addAssignment_5600,axiom,(
    ! [VarCurr] :
      ( v22430(VarCurr,bitIndex7)
    <=> v22431(VarCurr) ) )).

fof(addAssignment_5599,axiom,(
    ! [VarCurr] :
      ( v22430(VarCurr,bitIndex8)
    <=> v22431(VarCurr) ) )).

fof(addAssignment_5598,axiom,(
    ! [VarCurr] :
      ( v22430(VarCurr,bitIndex9)
    <=> v22431(VarCurr) ) )).

fof(addAssignment_5597,axiom,(
    ! [VarCurr] :
      ( v22430(VarCurr,bitIndex10)
    <=> v22431(VarCurr) ) )).

fof(addAssignment_5596,axiom,(
    ! [VarCurr] :
      ( v22430(VarCurr,bitIndex11)
    <=> v22431(VarCurr) ) )).

fof(addAssignment_5595,axiom,(
    ! [VarCurr] :
      ( v22430(VarCurr,bitIndex12)
    <=> v22431(VarCurr) ) )).

fof(addAssignment_5594,axiom,(
    ! [VarCurr] :
      ( v22430(VarCurr,bitIndex13)
    <=> v22431(VarCurr) ) )).

fof(addAssignment_5593,axiom,(
    ! [VarCurr] :
      ( v22430(VarCurr,bitIndex14)
    <=> v22431(VarCurr) ) )).

fof(addAssignment_5592,axiom,(
    ! [VarCurr] :
      ( v22430(VarCurr,bitIndex15)
    <=> v22431(VarCurr) ) )).

fof(addAssignment_5591,axiom,(
    ! [VarCurr] :
      ( v22430(VarCurr,bitIndex16)
    <=> v22431(VarCurr) ) )).

fof(addAssignment_5590,axiom,(
    ! [VarCurr] :
      ( v22430(VarCurr,bitIndex17)
    <=> v22431(VarCurr) ) )).

fof(addAssignment_5589,axiom,(
    ! [VarCurr] :
      ( v22430(VarCurr,bitIndex18)
    <=> v22431(VarCurr) ) )).

fof(addAssignment_5588,axiom,(
    ! [VarCurr] :
      ( v22430(VarCurr,bitIndex19)
    <=> v22431(VarCurr) ) )).

fof(addAssignment_5587,axiom,(
    ! [VarCurr] :
      ( v22430(VarCurr,bitIndex20)
    <=> v22431(VarCurr) ) )).

fof(addAssignment_5586,axiom,(
    ! [VarCurr] :
      ( v22430(VarCurr,bitIndex21)
    <=> v22431(VarCurr) ) )).

fof(addAssignment_5585,axiom,(
    ! [VarCurr] :
      ( v22430(VarCurr,bitIndex22)
    <=> v22431(VarCurr) ) )).

fof(addAssignment_5584,axiom,(
    ! [VarCurr] :
      ( v22430(VarCurr,bitIndex23)
    <=> v22431(VarCurr) ) )).

fof(addAssignment_5583,axiom,(
    ! [VarCurr] :
      ( v22430(VarCurr,bitIndex24)
    <=> v22431(VarCurr) ) )).

fof(addAssignment_5582,axiom,(
    ! [VarCurr] :
      ( v22430(VarCurr,bitIndex25)
    <=> v22431(VarCurr) ) )).

fof(addAssignment_5581,axiom,(
    ! [VarCurr] :
      ( v22430(VarCurr,bitIndex26)
    <=> v22431(VarCurr) ) )).

fof(addAssignment_5580,axiom,(
    ! [VarCurr] :
      ( v22430(VarCurr,bitIndex27)
    <=> v22431(VarCurr) ) )).

fof(addAssignment_5579,axiom,(
    ! [VarCurr] :
      ( v22430(VarCurr,bitIndex28)
    <=> v22431(VarCurr) ) )).

fof(addAssignment_5578,axiom,(
    ! [VarCurr] :
      ( v22430(VarCurr,bitIndex29)
    <=> v22431(VarCurr) ) )).

fof(addAssignment_5577,axiom,(
    ! [VarCurr] :
      ( v22430(VarCurr,bitIndex30)
    <=> v22431(VarCurr) ) )).

fof(addAssignment_5576,axiom,(
    ! [VarCurr] :
      ( v22430(VarCurr,bitIndex31)
    <=> v22431(VarCurr) ) )).

fof(addAssignment_5575,axiom,(
    ! [VarCurr] :
      ( v22431(VarCurr)
    <=> v22391(VarCurr) ) )).

fof(addAssignment_5574,axiom,(
    ! [VarCurr] :
      ( v22391(VarCurr)
    <=> v22393(VarCurr) ) )).

fof(addAssignment_5573,axiom,(
    ! [VarCurr] :
      ( v22393(VarCurr)
    <=> v22395(VarCurr) ) )).

fof(addAssignment_5572,axiom,(
    ! [VarCurr] :
      ( v22395(VarCurr)
    <=> v22397(VarCurr) ) )).

fof(addAssignment_5571,axiom,(
    ! [VarCurr] :
      ( v22397(VarCurr)
    <=> v22399(VarCurr) ) )).

fof(addAssignment_5570,axiom,(
    ! [VarCurr] :
      ( v22399(VarCurr)
    <=> v22401(VarCurr) ) )).

fof(addAssignment_5569,axiom,(
    ! [VarCurr] :
      ( v22401(VarCurr)
    <=> v22403(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_235,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22418(VarNext)
       => ( v22403(VarNext)
        <=> v22403(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_259,axiom,(
    ! [VarNext] :
      ( v22418(VarNext)
     => ( v22403(VarNext)
      <=> v22426(VarNext) ) ) )).

fof(addAssignment_5568,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22426(VarNext)
      <=> v22424(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_549,axiom,(
    ! [VarCurr] :
      ( ~ v22299(VarCurr)
     => ( v22424(VarCurr)
      <=> v22405(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_492,axiom,(
    ! [VarCurr] :
      ( v22299(VarCurr)
     => ( v22424(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5074,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22418(VarNext)
      <=> v22419(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5073,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22419(VarNext)
      <=> ( v22421(VarNext)
          & v22283(VarNext) ) ) ) )).

fof(writeUnaryOperator_2277,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22421(VarNext)
      <=> v22292(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_548,axiom,(
    ! [VarCurr] :
      ( ~ v22415(VarCurr)
     => ( v22405(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_491,axiom,(
    ! [VarCurr] :
      ( v22415(VarCurr)
     => ( v22405(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorShiftedRanges_882,axiom,(
    ! [VarCurr] :
      ( v22415(VarCurr)
    <=> ( v22275(VarCurr,bitIndex8)
        & v22407(VarCurr) ) ) )).

fof(addAssignment_5567,axiom,(
    ! [VarCurr] :
      ( v22407(VarCurr)
    <=> v22409(VarCurr) ) )).

fof(addAssignment_5566,axiom,(
    ! [VarCurr] :
      ( v22409(VarCurr)
    <=> v22411(VarCurr) ) )).

fof(addAssignment_5565,axiom,(
    ! [VarCurr] :
      ( v22411(VarCurr)
    <=> v22413(VarCurr) ) )).

fof(addAssignment_5564,axiom,(
    ! [VarCurr] :
      ( v22275(VarCurr,bitIndex8)
    <=> v22277(VarCurr,bitIndex8) ) )).

fof(addAssignment_5563,axiom,(
    ! [VarCurr] :
      ( v22277(VarCurr,bitIndex8)
    <=> v22279(VarCurr,bitIndex8) ) )).

fof(addAssignment_5562,axiom,(
    ! [VarCurr] :
      ( v22279(VarCurr,bitIndex8)
    <=> v22281(VarCurr,bitIndex8) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_281,axiom,(
    ! [VarCurr] :
      ( ~ v22389(VarCurr)
     => ( v22253(VarCurr,bitIndex31)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_338,axiom,(
    ! [VarCurr] :
      ( v22389(VarCurr)
     => ( v22253(VarCurr,bitIndex31)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1600,axiom,(
    ! [VarCurr] :
      ( v22389(VarCurr)
    <=> ( ( v22255(VarCurr,bitIndex4)
        <=> $true )
        & ( v22255(VarCurr,bitIndex3)
        <=> $true )
        & ( v22255(VarCurr,bitIndex2)
        <=> $true )
        & ( v22255(VarCurr,bitIndex1)
        <=> $true )
        & ( v22255(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_9130,axiom,(
    b11111(bitIndex4) )).

fof(bitBlastConstant_9129,axiom,(
    b11111(bitIndex3) )).

fof(bitBlastConstant_9128,axiom,(
    b11111(bitIndex2) )).

fof(bitBlastConstant_9127,axiom,(
    b11111(bitIndex1) )).

fof(bitBlastConstant_9126,axiom,(
    b11111(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_280,axiom,(
    ! [VarCurr] :
      ( ~ v22387(VarCurr)
     => ( v22253(VarCurr,bitIndex30)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_337,axiom,(
    ! [VarCurr] :
      ( v22387(VarCurr)
     => ( v22253(VarCurr,bitIndex30)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1599,axiom,(
    ! [VarCurr] :
      ( v22387(VarCurr)
    <=> ( ( v22255(VarCurr,bitIndex4)
        <=> $true )
        & ( v22255(VarCurr,bitIndex3)
        <=> $true )
        & ( v22255(VarCurr,bitIndex2)
        <=> $true )
        & ( v22255(VarCurr,bitIndex1)
        <=> $true )
        & ( v22255(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_9125,axiom,(
    b11110(bitIndex4) )).

fof(bitBlastConstant_9124,axiom,(
    b11110(bitIndex3) )).

fof(bitBlastConstant_9123,axiom,(
    b11110(bitIndex2) )).

fof(bitBlastConstant_9122,axiom,(
    b11110(bitIndex1) )).

fof(bitBlastConstant_9121,axiom,(
    ~ b11110(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_279,axiom,(
    ! [VarCurr] :
      ( ~ v22385(VarCurr)
     => ( v22253(VarCurr,bitIndex29)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_336,axiom,(
    ! [VarCurr] :
      ( v22385(VarCurr)
     => ( v22253(VarCurr,bitIndex29)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1598,axiom,(
    ! [VarCurr] :
      ( v22385(VarCurr)
    <=> ( ( v22255(VarCurr,bitIndex4)
        <=> $true )
        & ( v22255(VarCurr,bitIndex3)
        <=> $true )
        & ( v22255(VarCurr,bitIndex2)
        <=> $true )
        & ( v22255(VarCurr,bitIndex1)
        <=> $false )
        & ( v22255(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_9120,axiom,(
    b11101(bitIndex4) )).

fof(bitBlastConstant_9119,axiom,(
    b11101(bitIndex3) )).

fof(bitBlastConstant_9118,axiom,(
    b11101(bitIndex2) )).

fof(bitBlastConstant_9117,axiom,(
    ~ b11101(bitIndex1) )).

fof(bitBlastConstant_9116,axiom,(
    b11101(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_278,axiom,(
    ! [VarCurr] :
      ( ~ v22383(VarCurr)
     => ( v22253(VarCurr,bitIndex28)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_335,axiom,(
    ! [VarCurr] :
      ( v22383(VarCurr)
     => ( v22253(VarCurr,bitIndex28)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1597,axiom,(
    ! [VarCurr] :
      ( v22383(VarCurr)
    <=> ( ( v22255(VarCurr,bitIndex4)
        <=> $true )
        & ( v22255(VarCurr,bitIndex3)
        <=> $true )
        & ( v22255(VarCurr,bitIndex2)
        <=> $true )
        & ( v22255(VarCurr,bitIndex1)
        <=> $false )
        & ( v22255(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_9115,axiom,(
    b11100(bitIndex4) )).

fof(bitBlastConstant_9114,axiom,(
    b11100(bitIndex3) )).

fof(bitBlastConstant_9113,axiom,(
    b11100(bitIndex2) )).

fof(bitBlastConstant_9112,axiom,(
    ~ b11100(bitIndex1) )).

fof(bitBlastConstant_9111,axiom,(
    ~ b11100(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_277,axiom,(
    ! [VarCurr] :
      ( ~ v22381(VarCurr)
     => ( v22253(VarCurr,bitIndex27)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_334,axiom,(
    ! [VarCurr] :
      ( v22381(VarCurr)
     => ( v22253(VarCurr,bitIndex27)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1596,axiom,(
    ! [VarCurr] :
      ( v22381(VarCurr)
    <=> ( ( v22255(VarCurr,bitIndex4)
        <=> $true )
        & ( v22255(VarCurr,bitIndex3)
        <=> $true )
        & ( v22255(VarCurr,bitIndex2)
        <=> $false )
        & ( v22255(VarCurr,bitIndex1)
        <=> $true )
        & ( v22255(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_9110,axiom,(
    b11011(bitIndex4) )).

fof(bitBlastConstant_9109,axiom,(
    b11011(bitIndex3) )).

fof(bitBlastConstant_9108,axiom,(
    ~ b11011(bitIndex2) )).

fof(bitBlastConstant_9107,axiom,(
    b11011(bitIndex1) )).

fof(bitBlastConstant_9106,axiom,(
    b11011(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_276,axiom,(
    ! [VarCurr] :
      ( ~ v22379(VarCurr)
     => ( v22253(VarCurr,bitIndex26)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_333,axiom,(
    ! [VarCurr] :
      ( v22379(VarCurr)
     => ( v22253(VarCurr,bitIndex26)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1595,axiom,(
    ! [VarCurr] :
      ( v22379(VarCurr)
    <=> ( ( v22255(VarCurr,bitIndex4)
        <=> $true )
        & ( v22255(VarCurr,bitIndex3)
        <=> $true )
        & ( v22255(VarCurr,bitIndex2)
        <=> $false )
        & ( v22255(VarCurr,bitIndex1)
        <=> $true )
        & ( v22255(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_9105,axiom,(
    b11010(bitIndex4) )).

fof(bitBlastConstant_9104,axiom,(
    b11010(bitIndex3) )).

fof(bitBlastConstant_9103,axiom,(
    ~ b11010(bitIndex2) )).

fof(bitBlastConstant_9102,axiom,(
    b11010(bitIndex1) )).

fof(bitBlastConstant_9101,axiom,(
    ~ b11010(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_275,axiom,(
    ! [VarCurr] :
      ( ~ v22377(VarCurr)
     => ( v22253(VarCurr,bitIndex25)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_332,axiom,(
    ! [VarCurr] :
      ( v22377(VarCurr)
     => ( v22253(VarCurr,bitIndex25)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1594,axiom,(
    ! [VarCurr] :
      ( v22377(VarCurr)
    <=> ( ( v22255(VarCurr,bitIndex4)
        <=> $true )
        & ( v22255(VarCurr,bitIndex3)
        <=> $true )
        & ( v22255(VarCurr,bitIndex2)
        <=> $false )
        & ( v22255(VarCurr,bitIndex1)
        <=> $false )
        & ( v22255(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_9100,axiom,(
    b11001(bitIndex4) )).

fof(bitBlastConstant_9099,axiom,(
    b11001(bitIndex3) )).

fof(bitBlastConstant_9098,axiom,(
    ~ b11001(bitIndex2) )).

fof(bitBlastConstant_9097,axiom,(
    ~ b11001(bitIndex1) )).

fof(bitBlastConstant_9096,axiom,(
    b11001(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_274,axiom,(
    ! [VarCurr] :
      ( ~ v22375(VarCurr)
     => ( v22253(VarCurr,bitIndex24)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_331,axiom,(
    ! [VarCurr] :
      ( v22375(VarCurr)
     => ( v22253(VarCurr,bitIndex24)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1593,axiom,(
    ! [VarCurr] :
      ( v22375(VarCurr)
    <=> ( ( v22255(VarCurr,bitIndex4)
        <=> $true )
        & ( v22255(VarCurr,bitIndex3)
        <=> $true )
        & ( v22255(VarCurr,bitIndex2)
        <=> $false )
        & ( v22255(VarCurr,bitIndex1)
        <=> $false )
        & ( v22255(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_9095,axiom,(
    b11000(bitIndex4) )).

fof(bitBlastConstant_9094,axiom,(
    b11000(bitIndex3) )).

fof(bitBlastConstant_9093,axiom,(
    ~ b11000(bitIndex2) )).

fof(bitBlastConstant_9092,axiom,(
    ~ b11000(bitIndex1) )).

fof(bitBlastConstant_9091,axiom,(
    ~ b11000(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_273,axiom,(
    ! [VarCurr] :
      ( ~ v22373(VarCurr)
     => ( v22253(VarCurr,bitIndex23)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_330,axiom,(
    ! [VarCurr] :
      ( v22373(VarCurr)
     => ( v22253(VarCurr,bitIndex23)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1592,axiom,(
    ! [VarCurr] :
      ( v22373(VarCurr)
    <=> ( ( v22255(VarCurr,bitIndex4)
        <=> $true )
        & ( v22255(VarCurr,bitIndex3)
        <=> $false )
        & ( v22255(VarCurr,bitIndex2)
        <=> $true )
        & ( v22255(VarCurr,bitIndex1)
        <=> $true )
        & ( v22255(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_9090,axiom,(
    b10111(bitIndex4) )).

fof(bitBlastConstant_9089,axiom,(
    ~ b10111(bitIndex3) )).

fof(bitBlastConstant_9088,axiom,(
    b10111(bitIndex2) )).

fof(bitBlastConstant_9087,axiom,(
    b10111(bitIndex1) )).

fof(bitBlastConstant_9086,axiom,(
    b10111(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_272,axiom,(
    ! [VarCurr] :
      ( ~ v22371(VarCurr)
     => ( v22253(VarCurr,bitIndex22)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_329,axiom,(
    ! [VarCurr] :
      ( v22371(VarCurr)
     => ( v22253(VarCurr,bitIndex22)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1591,axiom,(
    ! [VarCurr] :
      ( v22371(VarCurr)
    <=> ( ( v22255(VarCurr,bitIndex4)
        <=> $true )
        & ( v22255(VarCurr,bitIndex3)
        <=> $false )
        & ( v22255(VarCurr,bitIndex2)
        <=> $true )
        & ( v22255(VarCurr,bitIndex1)
        <=> $true )
        & ( v22255(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_9085,axiom,(
    b10110(bitIndex4) )).

fof(bitBlastConstant_9084,axiom,(
    ~ b10110(bitIndex3) )).

fof(bitBlastConstant_9083,axiom,(
    b10110(bitIndex2) )).

fof(bitBlastConstant_9082,axiom,(
    b10110(bitIndex1) )).

fof(bitBlastConstant_9081,axiom,(
    ~ b10110(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_271,axiom,(
    ! [VarCurr] :
      ( ~ v22369(VarCurr)
     => ( v22253(VarCurr,bitIndex21)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_328,axiom,(
    ! [VarCurr] :
      ( v22369(VarCurr)
     => ( v22253(VarCurr,bitIndex21)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1590,axiom,(
    ! [VarCurr] :
      ( v22369(VarCurr)
    <=> ( ( v22255(VarCurr,bitIndex4)
        <=> $true )
        & ( v22255(VarCurr,bitIndex3)
        <=> $false )
        & ( v22255(VarCurr,bitIndex2)
        <=> $true )
        & ( v22255(VarCurr,bitIndex1)
        <=> $false )
        & ( v22255(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_9080,axiom,(
    b10101(bitIndex4) )).

fof(bitBlastConstant_9079,axiom,(
    ~ b10101(bitIndex3) )).

fof(bitBlastConstant_9078,axiom,(
    b10101(bitIndex2) )).

fof(bitBlastConstant_9077,axiom,(
    ~ b10101(bitIndex1) )).

fof(bitBlastConstant_9076,axiom,(
    b10101(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_270,axiom,(
    ! [VarCurr] :
      ( ~ v22367(VarCurr)
     => ( v22253(VarCurr,bitIndex20)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_327,axiom,(
    ! [VarCurr] :
      ( v22367(VarCurr)
     => ( v22253(VarCurr,bitIndex20)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1589,axiom,(
    ! [VarCurr] :
      ( v22367(VarCurr)
    <=> ( ( v22255(VarCurr,bitIndex4)
        <=> $true )
        & ( v22255(VarCurr,bitIndex3)
        <=> $false )
        & ( v22255(VarCurr,bitIndex2)
        <=> $true )
        & ( v22255(VarCurr,bitIndex1)
        <=> $false )
        & ( v22255(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_9075,axiom,(
    b10100(bitIndex4) )).

fof(bitBlastConstant_9074,axiom,(
    ~ b10100(bitIndex3) )).

fof(bitBlastConstant_9073,axiom,(
    b10100(bitIndex2) )).

fof(bitBlastConstant_9072,axiom,(
    ~ b10100(bitIndex1) )).

fof(bitBlastConstant_9071,axiom,(
    ~ b10100(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_269,axiom,(
    ! [VarCurr] :
      ( ~ v22365(VarCurr)
     => ( v22253(VarCurr,bitIndex19)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_326,axiom,(
    ! [VarCurr] :
      ( v22365(VarCurr)
     => ( v22253(VarCurr,bitIndex19)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1588,axiom,(
    ! [VarCurr] :
      ( v22365(VarCurr)
    <=> ( ( v22255(VarCurr,bitIndex4)
        <=> $true )
        & ( v22255(VarCurr,bitIndex3)
        <=> $false )
        & ( v22255(VarCurr,bitIndex2)
        <=> $false )
        & ( v22255(VarCurr,bitIndex1)
        <=> $true )
        & ( v22255(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_9070,axiom,(
    b10011(bitIndex4) )).

fof(bitBlastConstant_9069,axiom,(
    ~ b10011(bitIndex3) )).

fof(bitBlastConstant_9068,axiom,(
    ~ b10011(bitIndex2) )).

fof(bitBlastConstant_9067,axiom,(
    b10011(bitIndex1) )).

fof(bitBlastConstant_9066,axiom,(
    b10011(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_268,axiom,(
    ! [VarCurr] :
      ( ~ v22363(VarCurr)
     => ( v22253(VarCurr,bitIndex18)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_325,axiom,(
    ! [VarCurr] :
      ( v22363(VarCurr)
     => ( v22253(VarCurr,bitIndex18)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1587,axiom,(
    ! [VarCurr] :
      ( v22363(VarCurr)
    <=> ( ( v22255(VarCurr,bitIndex4)
        <=> $true )
        & ( v22255(VarCurr,bitIndex3)
        <=> $false )
        & ( v22255(VarCurr,bitIndex2)
        <=> $false )
        & ( v22255(VarCurr,bitIndex1)
        <=> $true )
        & ( v22255(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_9065,axiom,(
    b10010(bitIndex4) )).

fof(bitBlastConstant_9064,axiom,(
    ~ b10010(bitIndex3) )).

fof(bitBlastConstant_9063,axiom,(
    ~ b10010(bitIndex2) )).

fof(bitBlastConstant_9062,axiom,(
    b10010(bitIndex1) )).

fof(bitBlastConstant_9061,axiom,(
    ~ b10010(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_267,axiom,(
    ! [VarCurr] :
      ( ~ v22361(VarCurr)
     => ( v22253(VarCurr,bitIndex17)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_324,axiom,(
    ! [VarCurr] :
      ( v22361(VarCurr)
     => ( v22253(VarCurr,bitIndex17)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1586,axiom,(
    ! [VarCurr] :
      ( v22361(VarCurr)
    <=> ( ( v22255(VarCurr,bitIndex4)
        <=> $true )
        & ( v22255(VarCurr,bitIndex3)
        <=> $false )
        & ( v22255(VarCurr,bitIndex2)
        <=> $false )
        & ( v22255(VarCurr,bitIndex1)
        <=> $false )
        & ( v22255(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_9060,axiom,(
    b10001(bitIndex4) )).

fof(bitBlastConstant_9059,axiom,(
    ~ b10001(bitIndex3) )).

fof(bitBlastConstant_9058,axiom,(
    ~ b10001(bitIndex2) )).

fof(bitBlastConstant_9057,axiom,(
    ~ b10001(bitIndex1) )).

fof(bitBlastConstant_9056,axiom,(
    b10001(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_266,axiom,(
    ! [VarCurr] :
      ( ~ v22359(VarCurr)
     => ( v22253(VarCurr,bitIndex16)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_323,axiom,(
    ! [VarCurr] :
      ( v22359(VarCurr)
     => ( v22253(VarCurr,bitIndex16)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1585,axiom,(
    ! [VarCurr] :
      ( v22359(VarCurr)
    <=> ( ( v22255(VarCurr,bitIndex4)
        <=> $true )
        & ( v22255(VarCurr,bitIndex3)
        <=> $false )
        & ( v22255(VarCurr,bitIndex2)
        <=> $false )
        & ( v22255(VarCurr,bitIndex1)
        <=> $false )
        & ( v22255(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_265,axiom,(
    ! [VarCurr] :
      ( ~ v22357(VarCurr)
     => ( v22253(VarCurr,bitIndex15)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_322,axiom,(
    ! [VarCurr] :
      ( v22357(VarCurr)
     => ( v22253(VarCurr,bitIndex15)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1584,axiom,(
    ! [VarCurr] :
      ( v22357(VarCurr)
    <=> ( ( v22255(VarCurr,bitIndex4)
        <=> $false )
        & ( v22255(VarCurr,bitIndex3)
        <=> $true )
        & ( v22255(VarCurr,bitIndex2)
        <=> $true )
        & ( v22255(VarCurr,bitIndex1)
        <=> $true )
        & ( v22255(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_9055,axiom,(
    ~ b01111(bitIndex4) )).

fof(bitBlastConstant_9054,axiom,(
    b01111(bitIndex3) )).

fof(bitBlastConstant_9053,axiom,(
    b01111(bitIndex2) )).

fof(bitBlastConstant_9052,axiom,(
    b01111(bitIndex1) )).

fof(bitBlastConstant_9051,axiom,(
    b01111(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_264,axiom,(
    ! [VarCurr] :
      ( ~ v22355(VarCurr)
     => ( v22253(VarCurr,bitIndex14)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_321,axiom,(
    ! [VarCurr] :
      ( v22355(VarCurr)
     => ( v22253(VarCurr,bitIndex14)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1583,axiom,(
    ! [VarCurr] :
      ( v22355(VarCurr)
    <=> ( ( v22255(VarCurr,bitIndex4)
        <=> $false )
        & ( v22255(VarCurr,bitIndex3)
        <=> $true )
        & ( v22255(VarCurr,bitIndex2)
        <=> $true )
        & ( v22255(VarCurr,bitIndex1)
        <=> $true )
        & ( v22255(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_9050,axiom,(
    ~ b01110(bitIndex4) )).

fof(bitBlastConstant_9049,axiom,(
    b01110(bitIndex3) )).

fof(bitBlastConstant_9048,axiom,(
    b01110(bitIndex2) )).

fof(bitBlastConstant_9047,axiom,(
    b01110(bitIndex1) )).

fof(bitBlastConstant_9046,axiom,(
    ~ b01110(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_263,axiom,(
    ! [VarCurr] :
      ( ~ v22353(VarCurr)
     => ( v22253(VarCurr,bitIndex13)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_320,axiom,(
    ! [VarCurr] :
      ( v22353(VarCurr)
     => ( v22253(VarCurr,bitIndex13)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1582,axiom,(
    ! [VarCurr] :
      ( v22353(VarCurr)
    <=> ( ( v22255(VarCurr,bitIndex4)
        <=> $false )
        & ( v22255(VarCurr,bitIndex3)
        <=> $true )
        & ( v22255(VarCurr,bitIndex2)
        <=> $true )
        & ( v22255(VarCurr,bitIndex1)
        <=> $false )
        & ( v22255(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_9045,axiom,(
    ~ b01101(bitIndex4) )).

fof(bitBlastConstant_9044,axiom,(
    b01101(bitIndex3) )).

fof(bitBlastConstant_9043,axiom,(
    b01101(bitIndex2) )).

fof(bitBlastConstant_9042,axiom,(
    ~ b01101(bitIndex1) )).

fof(bitBlastConstant_9041,axiom,(
    b01101(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_262,axiom,(
    ! [VarCurr] :
      ( ~ v22351(VarCurr)
     => ( v22253(VarCurr,bitIndex12)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_319,axiom,(
    ! [VarCurr] :
      ( v22351(VarCurr)
     => ( v22253(VarCurr,bitIndex12)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1581,axiom,(
    ! [VarCurr] :
      ( v22351(VarCurr)
    <=> ( ( v22255(VarCurr,bitIndex4)
        <=> $false )
        & ( v22255(VarCurr,bitIndex3)
        <=> $true )
        & ( v22255(VarCurr,bitIndex2)
        <=> $true )
        & ( v22255(VarCurr,bitIndex1)
        <=> $false )
        & ( v22255(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_9040,axiom,(
    ~ b01100(bitIndex4) )).

fof(bitBlastConstant_9039,axiom,(
    b01100(bitIndex3) )).

fof(bitBlastConstant_9038,axiom,(
    b01100(bitIndex2) )).

fof(bitBlastConstant_9037,axiom,(
    ~ b01100(bitIndex1) )).

fof(bitBlastConstant_9036,axiom,(
    ~ b01100(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_261,axiom,(
    ! [VarCurr] :
      ( ~ v22349(VarCurr)
     => ( v22253(VarCurr,bitIndex11)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_318,axiom,(
    ! [VarCurr] :
      ( v22349(VarCurr)
     => ( v22253(VarCurr,bitIndex11)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1580,axiom,(
    ! [VarCurr] :
      ( v22349(VarCurr)
    <=> ( ( v22255(VarCurr,bitIndex4)
        <=> $false )
        & ( v22255(VarCurr,bitIndex3)
        <=> $true )
        & ( v22255(VarCurr,bitIndex2)
        <=> $false )
        & ( v22255(VarCurr,bitIndex1)
        <=> $true )
        & ( v22255(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_9035,axiom,(
    ~ b01011(bitIndex4) )).

fof(bitBlastConstant_9034,axiom,(
    b01011(bitIndex3) )).

fof(bitBlastConstant_9033,axiom,(
    ~ b01011(bitIndex2) )).

fof(bitBlastConstant_9032,axiom,(
    b01011(bitIndex1) )).

fof(bitBlastConstant_9031,axiom,(
    b01011(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_260,axiom,(
    ! [VarCurr] :
      ( ~ v22347(VarCurr)
     => ( v22253(VarCurr,bitIndex10)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_317,axiom,(
    ! [VarCurr] :
      ( v22347(VarCurr)
     => ( v22253(VarCurr,bitIndex10)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1579,axiom,(
    ! [VarCurr] :
      ( v22347(VarCurr)
    <=> ( ( v22255(VarCurr,bitIndex4)
        <=> $false )
        & ( v22255(VarCurr,bitIndex3)
        <=> $true )
        & ( v22255(VarCurr,bitIndex2)
        <=> $false )
        & ( v22255(VarCurr,bitIndex1)
        <=> $true )
        & ( v22255(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_259,axiom,(
    ! [VarCurr] :
      ( ~ v22345(VarCurr)
     => ( v22253(VarCurr,bitIndex9)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_316,axiom,(
    ! [VarCurr] :
      ( v22345(VarCurr)
     => ( v22253(VarCurr,bitIndex9)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1578,axiom,(
    ! [VarCurr] :
      ( v22345(VarCurr)
    <=> ( ( v22255(VarCurr,bitIndex4)
        <=> $false )
        & ( v22255(VarCurr,bitIndex3)
        <=> $true )
        & ( v22255(VarCurr,bitIndex2)
        <=> $false )
        & ( v22255(VarCurr,bitIndex1)
        <=> $false )
        & ( v22255(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_258,axiom,(
    ! [VarCurr] :
      ( ~ v22343(VarCurr)
     => ( v22253(VarCurr,bitIndex8)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_315,axiom,(
    ! [VarCurr] :
      ( v22343(VarCurr)
     => ( v22253(VarCurr,bitIndex8)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1577,axiom,(
    ! [VarCurr] :
      ( v22343(VarCurr)
    <=> ( ( v22255(VarCurr,bitIndex4)
        <=> $false )
        & ( v22255(VarCurr,bitIndex3)
        <=> $true )
        & ( v22255(VarCurr,bitIndex2)
        <=> $false )
        & ( v22255(VarCurr,bitIndex1)
        <=> $false )
        & ( v22255(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_9030,axiom,(
    ~ b01000(bitIndex4) )).

fof(bitBlastConstant_9029,axiom,(
    b01000(bitIndex3) )).

fof(bitBlastConstant_9028,axiom,(
    ~ b01000(bitIndex2) )).

fof(bitBlastConstant_9027,axiom,(
    ~ b01000(bitIndex1) )).

fof(bitBlastConstant_9026,axiom,(
    ~ b01000(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_257,axiom,(
    ! [VarCurr] :
      ( ~ v22341(VarCurr)
     => ( v22253(VarCurr,bitIndex7)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_314,axiom,(
    ! [VarCurr] :
      ( v22341(VarCurr)
     => ( v22253(VarCurr,bitIndex7)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1576,axiom,(
    ! [VarCurr] :
      ( v22341(VarCurr)
    <=> ( ( v22255(VarCurr,bitIndex4)
        <=> $false )
        & ( v22255(VarCurr,bitIndex3)
        <=> $false )
        & ( v22255(VarCurr,bitIndex2)
        <=> $true )
        & ( v22255(VarCurr,bitIndex1)
        <=> $true )
        & ( v22255(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_9025,axiom,(
    ~ b00111(bitIndex4) )).

fof(bitBlastConstant_9024,axiom,(
    ~ b00111(bitIndex3) )).

fof(bitBlastConstant_9023,axiom,(
    b00111(bitIndex2) )).

fof(bitBlastConstant_9022,axiom,(
    b00111(bitIndex1) )).

fof(bitBlastConstant_9021,axiom,(
    b00111(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_256,axiom,(
    ! [VarCurr] :
      ( ~ v22339(VarCurr)
     => ( v22253(VarCurr,bitIndex6)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_313,axiom,(
    ! [VarCurr] :
      ( v22339(VarCurr)
     => ( v22253(VarCurr,bitIndex6)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1575,axiom,(
    ! [VarCurr] :
      ( v22339(VarCurr)
    <=> ( ( v22255(VarCurr,bitIndex4)
        <=> $false )
        & ( v22255(VarCurr,bitIndex3)
        <=> $false )
        & ( v22255(VarCurr,bitIndex2)
        <=> $true )
        & ( v22255(VarCurr,bitIndex1)
        <=> $true )
        & ( v22255(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_9020,axiom,(
    ~ b00110(bitIndex4) )).

fof(bitBlastConstant_9019,axiom,(
    ~ b00110(bitIndex3) )).

fof(bitBlastConstant_9018,axiom,(
    b00110(bitIndex2) )).

fof(bitBlastConstant_9017,axiom,(
    b00110(bitIndex1) )).

fof(bitBlastConstant_9016,axiom,(
    ~ b00110(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_255,axiom,(
    ! [VarCurr] :
      ( ~ v22337(VarCurr)
     => ( v22253(VarCurr,bitIndex5)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_312,axiom,(
    ! [VarCurr] :
      ( v22337(VarCurr)
     => ( v22253(VarCurr,bitIndex5)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1574,axiom,(
    ! [VarCurr] :
      ( v22337(VarCurr)
    <=> ( ( v22255(VarCurr,bitIndex4)
        <=> $false )
        & ( v22255(VarCurr,bitIndex3)
        <=> $false )
        & ( v22255(VarCurr,bitIndex2)
        <=> $true )
        & ( v22255(VarCurr,bitIndex1)
        <=> $false )
        & ( v22255(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_9015,axiom,(
    ~ b00101(bitIndex4) )).

fof(bitBlastConstant_9014,axiom,(
    ~ b00101(bitIndex3) )).

fof(bitBlastConstant_9013,axiom,(
    b00101(bitIndex2) )).

fof(bitBlastConstant_9012,axiom,(
    ~ b00101(bitIndex1) )).

fof(bitBlastConstant_9011,axiom,(
    b00101(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_254,axiom,(
    ! [VarCurr] :
      ( ~ v22335(VarCurr)
     => ( v22253(VarCurr,bitIndex4)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_311,axiom,(
    ! [VarCurr] :
      ( v22335(VarCurr)
     => ( v22253(VarCurr,bitIndex4)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1573,axiom,(
    ! [VarCurr] :
      ( v22335(VarCurr)
    <=> ( ( v22255(VarCurr,bitIndex4)
        <=> $false )
        & ( v22255(VarCurr,bitIndex3)
        <=> $false )
        & ( v22255(VarCurr,bitIndex2)
        <=> $true )
        & ( v22255(VarCurr,bitIndex1)
        <=> $false )
        & ( v22255(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_9010,axiom,(
    ~ b00100(bitIndex4) )).

fof(bitBlastConstant_9009,axiom,(
    ~ b00100(bitIndex3) )).

fof(bitBlastConstant_9008,axiom,(
    b00100(bitIndex2) )).

fof(bitBlastConstant_9007,axiom,(
    ~ b00100(bitIndex1) )).

fof(bitBlastConstant_9006,axiom,(
    ~ b00100(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_253,axiom,(
    ! [VarCurr] :
      ( ~ v22333(VarCurr)
     => ( v22253(VarCurr,bitIndex3)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_310,axiom,(
    ! [VarCurr] :
      ( v22333(VarCurr)
     => ( v22253(VarCurr,bitIndex3)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1572,axiom,(
    ! [VarCurr] :
      ( v22333(VarCurr)
    <=> ( ( v22255(VarCurr,bitIndex4)
        <=> $false )
        & ( v22255(VarCurr,bitIndex3)
        <=> $false )
        & ( v22255(VarCurr,bitIndex2)
        <=> $false )
        & ( v22255(VarCurr,bitIndex1)
        <=> $true )
        & ( v22255(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_9005,axiom,(
    ~ b00011(bitIndex4) )).

fof(bitBlastConstant_9004,axiom,(
    ~ b00011(bitIndex3) )).

fof(bitBlastConstant_9003,axiom,(
    ~ b00011(bitIndex2) )).

fof(bitBlastConstant_9002,axiom,(
    b00011(bitIndex1) )).

fof(bitBlastConstant_9001,axiom,(
    b00011(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_252,axiom,(
    ! [VarCurr] :
      ( ~ v22331(VarCurr)
     => ( v22253(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_309,axiom,(
    ! [VarCurr] :
      ( v22331(VarCurr)
     => ( v22253(VarCurr,bitIndex2)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1571,axiom,(
    ! [VarCurr] :
      ( v22331(VarCurr)
    <=> ( ( v22255(VarCurr,bitIndex4)
        <=> $false )
        & ( v22255(VarCurr,bitIndex3)
        <=> $false )
        & ( v22255(VarCurr,bitIndex2)
        <=> $false )
        & ( v22255(VarCurr,bitIndex1)
        <=> $true )
        & ( v22255(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_9000,axiom,(
    ~ b00010(bitIndex4) )).

fof(bitBlastConstant_8999,axiom,(
    ~ b00010(bitIndex3) )).

fof(bitBlastConstant_8998,axiom,(
    ~ b00010(bitIndex2) )).

fof(bitBlastConstant_8997,axiom,(
    b00010(bitIndex1) )).

fof(bitBlastConstant_8996,axiom,(
    ~ b00010(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_251,axiom,(
    ! [VarCurr] :
      ( ~ v22329(VarCurr)
     => ( v22253(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_308,axiom,(
    ! [VarCurr] :
      ( v22329(VarCurr)
     => ( v22253(VarCurr,bitIndex1)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1570,axiom,(
    ! [VarCurr] :
      ( v22329(VarCurr)
    <=> ( ( v22255(VarCurr,bitIndex4)
        <=> $false )
        & ( v22255(VarCurr,bitIndex3)
        <=> $false )
        & ( v22255(VarCurr,bitIndex2)
        <=> $false )
        & ( v22255(VarCurr,bitIndex1)
        <=> $false )
        & ( v22255(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_547,axiom,(
    ! [VarCurr] :
      ( ~ v22327(VarCurr)
     => ( v22253(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_490,axiom,(
    ! [VarCurr] :
      ( v22327(VarCurr)
     => ( v22253(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1569,axiom,(
    ! [VarCurr] :
      ( v22327(VarCurr)
    <=> ( ( v22255(VarCurr,bitIndex4)
        <=> $false )
        & ( v22255(VarCurr,bitIndex3)
        <=> $false )
        & ( v22255(VarCurr,bitIndex2)
        <=> $false )
        & ( v22255(VarCurr,bitIndex1)
        <=> $false )
        & ( v22255(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5561,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v22255(VarCurr,B)
      <=> v22257(VarCurr,B) ) ) )).

fof(addAssignment_5560,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v22257(VarCurr,B)
      <=> v22259(VarCurr,B) ) ) )).

fof(addAssignment_5559,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v22259(VarCurr,B)
      <=> v22261(VarCurr,B) ) ) )).

fof(addAssignment_5558,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v22261(VarCurr,B)
      <=> v22263(VarCurr,B) ) ) )).

fof(addAssignment_5557,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v22263(VarCurr,B)
      <=> v22265(VarCurr,B) ) ) )).

fof(addAssignment_5556,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v22265(VarCurr,B)
      <=> v22267(VarCurr,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_234,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22288(VarNext)
       => ! [B] :
            ( range_4_0(B)
           => ( v22267(VarNext,B)
            <=> v22267(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_258,axiom,(
    ! [VarNext] :
      ( v22288(VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v22267(VarNext,B)
          <=> v22298(VarNext,B) ) ) ) )).

fof(addAssignment_5555,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v22298(VarNext,B)
          <=> v22296(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_546,axiom,(
    ! [VarCurr] :
      ( ~ v22299(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v22296(VarCurr,B)
          <=> v22273(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_489,axiom,(
    ! [VarCurr] :
      ( v22299(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v22296(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_2276,axiom,(
    ! [VarCurr] :
      ( ~ v22299(VarCurr)
    <=> v22269(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5072,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22288(VarNext)
      <=> v22289(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5071,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22289(VarNext)
      <=> ( v22290(VarNext)
          & v22283(VarNext) ) ) ) )).

fof(writeUnaryOperator_2275,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22290(VarNext)
      <=> v22292(VarNext) ) ) )).

fof(addAssignment_5554,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22292(VarNext)
      <=> v22283(VarCurr) ) ) )).

fof(addAssignment_5553,axiom,(
    ! [VarCurr] :
      ( v22283(VarCurr)
    <=> v22285(VarCurr) ) )).

fof(addAssignment_5552,axiom,(
    ! [VarCurr] :
      ( v22285(VarCurr)
    <=> v13189(VarCurr) ) )).

fof(addAssignment_5551,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v22273(VarCurr,B)
      <=> v22275(VarCurr,B) ) ) )).

fof(addAssignment_5550,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v22275(VarCurr,B)
      <=> v22277(VarCurr,B) ) ) )).

fof(addAssignment_5549,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v22277(VarCurr,B)
      <=> v22279(VarCurr,B) ) ) )).

fof(addAssignment_5548,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v22279(VarCurr,B)
      <=> v22281(VarCurr,B) ) ) )).

fof(addAssignment_5547,axiom,(
    ! [VarCurr] :
      ( v22269(VarCurr)
    <=> v22271(VarCurr) ) )).

fof(addAssignment_5546,axiom,(
    ! [VarCurr] :
      ( v22271(VarCurr)
    <=> v13116(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5070,axiom,(
    ! [VarCurr] :
      ( v22218(VarCurr)
    <=> ( v22232(VarCurr)
        & v22234(VarCurr) ) ) )).

fof(writeUnaryOperator_2274,axiom,(
    ! [VarCurr] :
      ( ~ v22234(VarCurr)
    <=> v635(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5069,axiom,(
    ! [VarCurr] :
      ( v22232(VarCurr)
    <=> ( v22233(VarCurr)
        & v12946(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5068,axiom,(
    ! [VarCurr] :
      ( v22233(VarCurr)
    <=> ( v617(VarCurr)
        & v22220(VarCurr) ) ) )).

fof(addAssignment_5545,axiom,(
    ! [VarCurr] :
      ( v22220(VarCurr)
    <=> v22222(VarCurr) ) )).

fof(addAssignment_5544,axiom,(
    ! [VarCurr] :
      ( v22222(VarCurr)
    <=> v22224(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_545,axiom,(
    ! [VarCurr] :
      ( ~ v22226(VarCurr)
     => ( v22224(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_488,axiom,(
    ! [VarCurr] :
      ( v22226(VarCurr)
     => ( v22224(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5067,axiom,(
    ! [VarCurr] :
      ( v22226(VarCurr)
    <=> ( v22227(VarCurr)
        & v22228(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5066,axiom,(
    ! [VarCurr] :
      ( v22228(VarCurr)
    <=> ( v22229(VarCurr)
        | v22230(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1568,axiom,(
    ! [VarCurr] :
      ( v22230(VarCurr)
    <=> ( ( v2711(VarCurr,bitIndex6)
        <=> $false )
        & ( v2711(VarCurr,bitIndex5)
        <=> $true )
        & ( v2711(VarCurr,bitIndex4)
        <=> $false )
        & ( v2711(VarCurr,bitIndex3)
        <=> $false )
        & ( v2711(VarCurr,bitIndex2)
        <=> $false )
        & ( v2711(VarCurr,bitIndex1)
        <=> $false )
        & ( v2711(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1567,axiom,(
    ! [VarCurr] :
      ( v22229(VarCurr)
    <=> ( ( v2711(VarCurr,bitIndex6)
        <=> $false )
        & ( v2711(VarCurr,bitIndex5)
        <=> $false )
        & ( v2711(VarCurr,bitIndex4)
        <=> $false )
        & ( v2711(VarCurr,bitIndex3)
        <=> $false )
        & ( v2711(VarCurr,bitIndex2)
        <=> $false )
        & ( v2711(VarCurr,bitIndex1)
        <=> $false )
        & ( v2711(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeUnaryOperator_2273,axiom,(
    ! [VarCurr] :
      ( ~ v22227(VarCurr)
    <=> v12972(VarCurr,bitIndex0) ) )).

fof(addAssignment_5543,axiom,(
    ! [VarCurr] :
      ( v22216(VarCurr)
    <=> v650(VarCurr) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_250,axiom,(
    ! [VarCurr] :
      ( ~ v22208(VarCurr)
     => ( v615(VarCurr,bitIndex12)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_307,axiom,(
    ! [VarCurr] :
      ( v22208(VarCurr)
     => ( v615(VarCurr,bitIndex12)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5065,axiom,(
    ! [VarCurr] :
      ( v22208(VarCurr)
    <=> ( v22209(VarCurr)
        & v22198(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5064,axiom,(
    ! [VarCurr] :
      ( v22209(VarCurr)
    <=> ( v12946(VarCurr)
        & v617(VarCurr) ) ) )).

fof(addAssignment_5542,axiom,(
    ! [VarNext] :
      ( v637(VarNext,bitIndex11)
    <=> v22200(VarNext,bitIndex10) ) )).

fof(addCaseBooleanConditionShiftedRanges1_28,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22201(VarNext)
       => ( ( v22200(VarNext,bitIndex11)
          <=> v637(VarCurr,bitIndex12) )
          & ( v22200(VarNext,bitIndex10)
          <=> v637(VarCurr,bitIndex11) )
          & ( v22200(VarNext,bitIndex9)
          <=> v637(VarCurr,bitIndex10) )
          & ( v22200(VarNext,bitIndex8)
          <=> v637(VarCurr,bitIndex9) )
          & ( v22200(VarNext,bitIndex7)
          <=> v637(VarCurr,bitIndex8) )
          & ( v22200(VarNext,bitIndex6)
          <=> v637(VarCurr,bitIndex7) )
          & ( v22200(VarNext,bitIndex5)
          <=> v637(VarCurr,bitIndex6) )
          & ( v22200(VarNext,bitIndex4)
          <=> v637(VarCurr,bitIndex5) )
          & ( v22200(VarNext,bitIndex3)
          <=> v637(VarCurr,bitIndex4) )
          & ( v22200(VarNext,bitIndex2)
          <=> v637(VarCurr,bitIndex3) )
          & ( v22200(VarNext,bitIndex1)
          <=> v637(VarCurr,bitIndex2) )
          & ( v22200(VarNext,bitIndex0)
          <=> v637(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_257,axiom,(
    ! [VarNext] :
      ( v22201(VarNext)
     => ! [B] :
          ( range_11_0(B)
         => ( v22200(VarNext,B)
          <=> v22184(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5063,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22201(VarNext)
      <=> v22202(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5062,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22202(VarNext)
      <=> ( v22204(VarNext)
          & v16719(VarNext) ) ) ) )).

fof(writeUnaryOperator_2272,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22204(VarNext)
      <=> v16726(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_249,axiom,(
    ! [VarCurr] :
      ( ~ v22189(VarCurr)
     => ( v615(VarCurr,bitIndex11)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_306,axiom,(
    ! [VarCurr] :
      ( v22189(VarCurr)
     => ( v615(VarCurr,bitIndex11)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5061,axiom,(
    ! [VarCurr] :
      ( v22189(VarCurr)
    <=> ( v22190(VarCurr)
        | v22191(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5060,axiom,(
    ! [VarCurr] :
      ( v22191(VarCurr)
    <=> ( v22192(VarCurr)
        & v22198(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1566,axiom,(
    ! [VarCurr] :
      ( v22198(VarCurr)
    <=> ( $true
      <=> v637(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5059,axiom,(
    ! [VarCurr] :
      ( v22192(VarCurr)
    <=> ( v22193(VarCurr)
        | v22195(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5058,axiom,(
    ! [VarCurr] :
      ( v22195(VarCurr)
    <=> ( v22197(VarCurr)
        & v617(VarCurr) ) ) )).

fof(writeUnaryOperator_2271,axiom,(
    ! [VarCurr] :
      ( ~ v22197(VarCurr)
    <=> v12946(VarCurr) ) )).

fof(writeUnaryOperator_2270,axiom,(
    ! [VarCurr] :
      ( ~ v22193(VarCurr)
    <=> v617(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1565,axiom,(
    ! [VarCurr] :
      ( v22190(VarCurr)
    <=> ( $true
      <=> v637(VarCurr,bitIndex10) ) ) )).

fof(addAssignment_5541,axiom,(
    ! [VarNext] :
      ( v637(VarNext,bitIndex10)
    <=> v22175(VarNext,bitIndex9) ) )).

fof(addCaseBooleanConditionShiftedRanges1_27,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22176(VarNext)
       => ( ( v22175(VarNext,bitIndex11)
          <=> v637(VarCurr,bitIndex12) )
          & ( v22175(VarNext,bitIndex10)
          <=> v637(VarCurr,bitIndex11) )
          & ( v22175(VarNext,bitIndex9)
          <=> v637(VarCurr,bitIndex10) )
          & ( v22175(VarNext,bitIndex8)
          <=> v637(VarCurr,bitIndex9) )
          & ( v22175(VarNext,bitIndex7)
          <=> v637(VarCurr,bitIndex8) )
          & ( v22175(VarNext,bitIndex6)
          <=> v637(VarCurr,bitIndex7) )
          & ( v22175(VarNext,bitIndex5)
          <=> v637(VarCurr,bitIndex6) )
          & ( v22175(VarNext,bitIndex4)
          <=> v637(VarCurr,bitIndex5) )
          & ( v22175(VarNext,bitIndex3)
          <=> v637(VarCurr,bitIndex4) )
          & ( v22175(VarNext,bitIndex2)
          <=> v637(VarCurr,bitIndex3) )
          & ( v22175(VarNext,bitIndex1)
          <=> v637(VarCurr,bitIndex2) )
          & ( v22175(VarNext,bitIndex0)
          <=> v637(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_256,axiom,(
    ! [VarNext] :
      ( v22176(VarNext)
     => ! [B] :
          ( range_11_0(B)
         => ( v22175(VarNext,B)
          <=> v22184(VarNext,B) ) ) ) )).

fof(addAssignment_5540,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_11_0(B)
         => ( v22184(VarNext,B)
          <=> v22182(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_248,axiom,(
    ! [VarCurr] :
      ( ~ v22167(VarCurr)
     => ( ( v22182(VarCurr,bitIndex11)
        <=> v615(VarCurr,bitIndex12) )
        & ( v22182(VarCurr,bitIndex10)
        <=> v615(VarCurr,bitIndex11) )
        & ( v22182(VarCurr,bitIndex9)
        <=> v615(VarCurr,bitIndex10) )
        & ( v22182(VarCurr,bitIndex8)
        <=> v615(VarCurr,bitIndex9) )
        & ( v22182(VarCurr,bitIndex7)
        <=> v615(VarCurr,bitIndex8) )
        & ( v22182(VarCurr,bitIndex6)
        <=> v615(VarCurr,bitIndex7) )
        & ( v22182(VarCurr,bitIndex5)
        <=> v615(VarCurr,bitIndex6) )
        & ( v22182(VarCurr,bitIndex4)
        <=> v615(VarCurr,bitIndex5) )
        & ( v22182(VarCurr,bitIndex3)
        <=> v615(VarCurr,bitIndex4) )
        & ( v22182(VarCurr,bitIndex2)
        <=> v615(VarCurr,bitIndex3) )
        & ( v22182(VarCurr,bitIndex1)
        <=> v615(VarCurr,bitIndex2) )
        & ( v22182(VarCurr,bitIndex0)
        <=> v615(VarCurr,bitIndex1) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_487,axiom,(
    ! [VarCurr] :
      ( v22167(VarCurr)
     => ! [B] :
          ( range_11_0(B)
         => ( v22182(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5057,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22176(VarNext)
      <=> v22177(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5056,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22177(VarNext)
      <=> ( v22179(VarNext)
          & v16719(VarNext) ) ) ) )).

fof(writeUnaryOperator_2269,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22179(VarNext)
      <=> v16726(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_247,axiom,(
    ! [VarCurr] :
      ( ~ v22171(VarCurr)
     => ( v615(VarCurr,bitIndex10)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_305,axiom,(
    ! [VarCurr] :
      ( v22171(VarCurr)
     => ( v615(VarCurr,bitIndex10)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5055,axiom,(
    ! [VarCurr] :
      ( v22171(VarCurr)
    <=> ( v22172(VarCurr)
        & v22149(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5054,axiom,(
    ! [VarCurr] :
      ( v22172(VarCurr)
    <=> ( v22141(VarCurr)
        & v22122(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_233,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22158(VarNext)
       => ( v637(VarNext,bitIndex0)
        <=> v637(VarCurr,bitIndex0) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_255,axiom,(
    ! [VarNext] :
      ( v22158(VarNext)
     => ( v637(VarNext,bitIndex0)
      <=> v22166(VarNext) ) ) )).

fof(addAssignment_5539,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22166(VarNext)
      <=> v22164(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_544,axiom,(
    ! [VarCurr] :
      ( ~ v22167(VarCurr)
     => ( v22164(VarCurr)
      <=> v615(VarCurr,bitIndex0) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_486,axiom,(
    ! [VarCurr] :
      ( v22167(VarCurr)
     => ( v22164(VarCurr)
      <=> $true ) ) )).

fof(writeUnaryOperator_2268,axiom,(
    ! [VarCurr] :
      ( ~ v22167(VarCurr)
    <=> v123(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5053,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22158(VarNext)
      <=> v22159(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5052,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22159(VarNext)
      <=> ( v22160(VarNext)
          & v16719(VarNext) ) ) ) )).

fof(writeUnaryOperator_2267,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22160(VarNext)
      <=> v16726(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_543,axiom,(
    ! [VarCurr] :
      ( ~ v22132(VarCurr)
     => ( v615(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_485,axiom,(
    ! [VarCurr] :
      ( v22132(VarCurr)
     => ( v615(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5051,axiom,(
    ! [VarCurr] :
      ( v22132(VarCurr)
    <=> ( v22133(VarCurr)
        | v22155(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1564,axiom,(
    ! [VarCurr] :
      ( v22155(VarCurr)
    <=> ( $true
      <=> v637(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5050,axiom,(
    ! [VarCurr] :
      ( v22133(VarCurr)
    <=> ( v22134(VarCurr)
        | v22154(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1563,axiom,(
    ! [VarCurr] :
      ( v22154(VarCurr)
    <=> ( $true
      <=> v637(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5049,axiom,(
    ! [VarCurr] :
      ( v22134(VarCurr)
    <=> ( v22135(VarCurr)
        | v22153(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1562,axiom,(
    ! [VarCurr] :
      ( v22153(VarCurr)
    <=> ( $true
      <=> v637(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5048,axiom,(
    ! [VarCurr] :
      ( v22135(VarCurr)
    <=> ( v22136(VarCurr)
        | v22152(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1561,axiom,(
    ! [VarCurr] :
      ( v22152(VarCurr)
    <=> ( $true
      <=> v637(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5047,axiom,(
    ! [VarCurr] :
      ( v22136(VarCurr)
    <=> ( v22137(VarCurr)
        & v22149(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1560,axiom,(
    ! [VarCurr] :
      ( v22149(VarCurr)
    <=> ( $true
      <=> v637(VarCurr,bitIndex0) ) ) )).

fof(addAssignmentInitValue_35,axiom,(
    ~ v637(constB0,bitIndex11) )).

fof(addAssignmentInitValue_34,axiom,(
    ~ v637(constB0,bitIndex10) )).

fof(addAssignmentInitValue_33,axiom,(
    ~ v637(constB0,bitIndex8) )).

fof(addAssignmentInitValue_32,axiom,(
    ~ v637(constB0,bitIndex7) )).

fof(addAssignmentInitValue_31,axiom,(
    ~ v637(constB0,bitIndex5) )).

fof(addAssignmentInitValue_30,axiom,(
    ~ v637(constB0,bitIndex4) )).

fof(addAssignmentInitValue_29,axiom,(
    ~ v637(constB0,bitIndex2) )).

fof(addAssignmentInitValue_28,axiom,(
    ~ v637(constB0,bitIndex1) )).

fof(bitBlastConstant_8995,axiom,(
    ~ bx00x00x00x00(bitIndex10) )).

fof(bitBlastConstant_8994,axiom,(
    ~ bx00x00x00x00(bitIndex9) )).

fof(bitBlastConstant_8993,axiom,(
    ~ bx00x00x00x00(bitIndex7) )).

fof(bitBlastConstant_8992,axiom,(
    ~ bx00x00x00x00(bitIndex6) )).

fof(bitBlastConstant_8991,axiom,(
    ~ bx00x00x00x00(bitIndex4) )).

fof(bitBlastConstant_8990,axiom,(
    ~ bx00x00x00x00(bitIndex3) )).

fof(bitBlastConstant_8989,axiom,(
    ~ bx00x00x00x00(bitIndex1) )).

fof(bitBlastConstant_8988,axiom,(
    ~ bx00x00x00x00(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5046,axiom,(
    ! [VarCurr] :
      ( v22137(VarCurr)
    <=> ( v22138(VarCurr)
        | v22139(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5045,axiom,(
    ! [VarCurr] :
      ( v22139(VarCurr)
    <=> ( v22141(VarCurr)
        & v22148(VarCurr) ) ) )).

fof(writeUnaryOperator_2266,axiom,(
    ! [VarCurr] :
      ( ~ v22148(VarCurr)
    <=> v22122(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5044,axiom,(
    ! [VarCurr] :
      ( v22141(VarCurr)
    <=> ( v22142(VarCurr)
        & v22147(VarCurr) ) ) )).

fof(writeUnaryOperator_2265,axiom,(
    ! [VarCurr] :
      ( ~ v22147(VarCurr)
    <=> v12962(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5043,axiom,(
    ! [VarCurr] :
      ( v22142(VarCurr)
    <=> ( v22143(VarCurr)
        & v22146(VarCurr) ) ) )).

fof(writeUnaryOperator_2264,axiom,(
    ! [VarCurr] :
      ( ~ v22146(VarCurr)
    <=> v12948(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5042,axiom,(
    ! [VarCurr] :
      ( v22143(VarCurr)
    <=> ( v22144(VarCurr)
        & v22145(VarCurr) ) ) )).

fof(writeUnaryOperator_2263,axiom,(
    ! [VarCurr] :
      ( ~ v22145(VarCurr)
    <=> v640(VarCurr) ) )).

fof(writeUnaryOperator_2262,axiom,(
    ! [VarCurr] :
      ( ~ v22144(VarCurr)
    <=> v129(VarCurr) ) )).

fof(addAssignment_5538,axiom,(
    ! [VarCurr] :
      ( v22138(VarCurr)
    <=> v129(VarCurr) ) )).

fof(addAssignment_5537,axiom,(
    ! [VarCurr] :
      ( v22122(VarCurr)
    <=> v22124(VarCurr) ) )).

fof(addAssignment_5536,axiom,(
    ! [VarCurr] :
      ( v22124(VarCurr)
    <=> v22126(VarCurr) ) )).

fof(addAssignment_5535,axiom,(
    ! [VarCurr] :
      ( v22126(VarCurr)
    <=> v22128(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_542,axiom,(
    ! [VarCurr] :
      ( ~ v22130(VarCurr)
     => ( v22128(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_484,axiom,(
    ! [VarCurr] :
      ( v22130(VarCurr)
     => ( v22128(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1559,axiom,(
    ! [VarCurr] :
      ( v22130(VarCurr)
    <=> ( ( v2711(VarCurr,bitIndex6)
        <=> $true )
        & ( v2711(VarCurr,bitIndex5)
        <=> $true )
        & ( v2711(VarCurr,bitIndex4)
        <=> $true )
        & ( v2711(VarCurr,bitIndex3)
        <=> $true )
        & ( v2711(VarCurr,bitIndex2)
        <=> $false )
        & ( v2711(VarCurr,bitIndex1)
        <=> $true )
        & ( v2711(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5041,axiom,(
    ! [VarCurr] :
      ( v12962(VarCurr)
    <=> ( v12964(VarCurr)
        | v22106(VarCurr) ) ) )).

fof(addAssignment_5534,axiom,(
    ! [VarCurr] :
      ( v22106(VarCurr)
    <=> v22108(VarCurr) ) )).

fof(addAssignment_5533,axiom,(
    ! [VarCurr] :
      ( v22108(VarCurr)
    <=> v22110(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_541,axiom,(
    ! [VarCurr] :
      ( ~ v22112(VarCurr)
     => ( v22110(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_483,axiom,(
    ! [VarCurr] :
      ( v22112(VarCurr)
     => ( v22110(VarCurr)
      <=> v22119(VarCurr) ) ) )).

fof(writeUnaryOperator_2261,axiom,(
    ! [VarCurr] :
      ( ~ v22119(VarCurr)
    <=> v12972(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5040,axiom,(
    ! [VarCurr] :
      ( v22112(VarCurr)
    <=> ( v22113(VarCurr)
        | v22118(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1558,axiom,(
    ! [VarCurr] :
      ( v22118(VarCurr)
    <=> ( ( v2711(VarCurr,bitIndex6)
        <=> $true )
        & ( v2711(VarCurr,bitIndex5)
        <=> $true )
        & ( v2711(VarCurr,bitIndex4)
        <=> $true )
        & ( v2711(VarCurr,bitIndex3)
        <=> $false )
        & ( v2711(VarCurr,bitIndex2)
        <=> $false )
        & ( v2711(VarCurr,bitIndex1)
        <=> $false )
        & ( v2711(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5039,axiom,(
    ! [VarCurr] :
      ( v22113(VarCurr)
    <=> ( v22114(VarCurr)
        | v22117(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1557,axiom,(
    ! [VarCurr] :
      ( v22117(VarCurr)
    <=> ( ( v2711(VarCurr,bitIndex6)
        <=> $true )
        & ( v2711(VarCurr,bitIndex5)
        <=> $false )
        & ( v2711(VarCurr,bitIndex4)
        <=> $true )
        & ( v2711(VarCurr,bitIndex3)
        <=> $false )
        & ( v2711(VarCurr,bitIndex2)
        <=> $false )
        & ( v2711(VarCurr,bitIndex1)
        <=> $false )
        & ( v2711(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5038,axiom,(
    ! [VarCurr] :
      ( v22114(VarCurr)
    <=> ( v22115(VarCurr)
        | v22116(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1556,axiom,(
    ! [VarCurr] :
      ( v22116(VarCurr)
    <=> ( ( v2711(VarCurr,bitIndex6)
        <=> $true )
        & ( v2711(VarCurr,bitIndex5)
        <=> $true )
        & ( v2711(VarCurr,bitIndex4)
        <=> $true )
        & ( v2711(VarCurr,bitIndex3)
        <=> $true )
        & ( v2711(VarCurr,bitIndex2)
        <=> $false )
        & ( v2711(VarCurr,bitIndex1)
        <=> $false )
        & ( v2711(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1555,axiom,(
    ! [VarCurr] :
      ( v22115(VarCurr)
    <=> ( ( v2711(VarCurr,bitIndex6)
        <=> $true )
        & ( v2711(VarCurr,bitIndex5)
        <=> $false )
        & ( v2711(VarCurr,bitIndex4)
        <=> $true )
        & ( v2711(VarCurr,bitIndex3)
        <=> $true )
        & ( v2711(VarCurr,bitIndex2)
        <=> $false )
        & ( v2711(VarCurr,bitIndex1)
        <=> $false )
        & ( v2711(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5037,axiom,(
    ! [VarCurr] :
      ( v12964(VarCurr)
    <=> ( v12966(VarCurr)
        & v22104(VarCurr) ) ) )).

fof(writeUnaryOperator_2260,axiom,(
    ! [VarCurr] :
      ( ~ v22104(VarCurr)
    <=> v12981(VarCurr) ) )).

fof(addAssignment_5532,axiom,(
    ! [VarCurr] :
      ( v12981(VarCurr)
    <=> v12983(VarCurr) ) )).

fof(addAssignment_5531,axiom,(
    ! [VarCurr] :
      ( v12983(VarCurr)
    <=> v12985(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1554,axiom,(
    ! [VarCurr] :
      ( v12985(VarCurr)
    <=> ( ( v22102(VarCurr,bitIndex5)
        <=> v13040(VarCurr,bitIndex5) )
        & ( v22102(VarCurr,bitIndex4)
        <=> v13040(VarCurr,bitIndex4) )
        & ( v22102(VarCurr,bitIndex3)
        <=> v13040(VarCurr,bitIndex3) )
        & ( v22102(VarCurr,bitIndex2)
        <=> v13040(VarCurr,bitIndex2) )
        & ( v22102(VarCurr,bitIndex1)
        <=> v13040(VarCurr,bitIndex1) )
        & ( v22102(VarCurr,bitIndex0)
        <=> v13040(VarCurr,bitIndex0) ) ) ) )).

fof(addAssignment_5530,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v22102(VarCurr,B)
      <=> v11618(VarCurr,B) ) ) )).

fof(addAssignment_5529,axiom,(
    ! [VarCurr] :
      ( v22102(VarCurr,bitIndex5)
    <=> v12987(VarCurr) ) )).

fof(addAssignment_5528,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v13040(VarCurr,B)
      <=> v13042(VarCurr,B) ) ) )).

fof(addAssignment_5527,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v13042(VarCurr,B)
      <=> v13044(VarCurr,B) ) ) )).

fof(addAssignment_5526,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v13044(VarCurr,B)
      <=> v13046(VarCurr,B) ) ) )).

fof(addAssignment_5525,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v13046(VarCurr,B)
      <=> v13048(VarCurr,B) ) ) )).

fof(addAssignment_5524,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v13048(VarCurr,B)
      <=> v13050(VarCurr,B) ) ) )).

fof(addAssignment_5523,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v13050(VarCurr,B)
      <=> v13052(VarCurr,B) ) ) )).

fof(addAssignment_5522,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v13052(VarCurr,B)
      <=> v13054(VarCurr,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_232,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22051(VarNext)
       => ! [B] :
            ( range_5_0(B)
           => ( v13054(VarNext,B)
            <=> v13054(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_254,axiom,(
    ! [VarNext] :
      ( v22051(VarNext)
     => ! [B] :
          ( range_5_0(B)
         => ( v13054(VarNext,B)
          <=> v22067(VarNext,B) ) ) ) )).

fof(addAssignment_5521,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_5_0(B)
         => ( v22067(VarNext,B)
          <=> v22065(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_633,axiom,(
    ! [VarCurr] :
      ( ~ v22062(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v22065(VarCurr,B)
          <=> v22068(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_629,axiom,(
    ! [VarCurr] :
      ( v22062(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v22065(VarCurr,B)
          <=> $false ) ) ) )).

fof(addAssignment_5520,axiom,(
    ! [VarCurr] :
      ( v22068(VarCurr,bitIndex0)
    <=> v22096(VarCurr) ) )).

fof(addAssignment_5519,axiom,(
    ! [VarCurr] :
      ( v22068(VarCurr,bitIndex1)
    <=> v22094(VarCurr) ) )).

fof(addAssignment_5518,axiom,(
    ! [VarCurr] :
      ( v22068(VarCurr,bitIndex2)
    <=> v22089(VarCurr) ) )).

fof(addAssignment_5517,axiom,(
    ! [VarCurr] :
      ( v22068(VarCurr,bitIndex3)
    <=> v22084(VarCurr) ) )).

fof(addAssignment_5516,axiom,(
    ! [VarCurr] :
      ( v22068(VarCurr,bitIndex4)
    <=> v22079(VarCurr) ) )).

fof(addAssignment_5515,axiom,(
    ! [VarCurr] :
      ( v22068(VarCurr,bitIndex5)
    <=> v22070(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5036,axiom,(
    ! [VarCurr] :
      ( v22094(VarCurr)
    <=> ( v22095(VarCurr)
        & v22098(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_881,axiom,(
    ! [VarCurr] :
      ( v22098(VarCurr)
    <=> ( v13054(VarCurr,bitIndex0)
        | v13054(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5035,axiom,(
    ! [VarCurr] :
      ( v22095(VarCurr)
    <=> ( v22096(VarCurr)
        | v22097(VarCurr) ) ) )).

fof(writeUnaryOperator_2259,axiom,(
    ! [VarCurr] :
      ( ~ v22097(VarCurr)
    <=> v13054(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2258,axiom,(
    ! [VarCurr] :
      ( ~ v22096(VarCurr)
    <=> v13054(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5034,axiom,(
    ! [VarCurr] :
      ( v22089(VarCurr)
    <=> ( v22090(VarCurr)
        & v22093(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_880,axiom,(
    ! [VarCurr] :
      ( v22093(VarCurr)
    <=> ( v22076(VarCurr)
        | v13054(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5033,axiom,(
    ! [VarCurr] :
      ( v22090(VarCurr)
    <=> ( v22091(VarCurr)
        | v22092(VarCurr) ) ) )).

fof(writeUnaryOperator_2257,axiom,(
    ! [VarCurr] :
      ( ~ v22092(VarCurr)
    <=> v13054(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_2256,axiom,(
    ! [VarCurr] :
      ( ~ v22091(VarCurr)
    <=> v22076(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5032,axiom,(
    ! [VarCurr] :
      ( v22084(VarCurr)
    <=> ( v22085(VarCurr)
        & v22088(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_879,axiom,(
    ! [VarCurr] :
      ( v22088(VarCurr)
    <=> ( v22075(VarCurr)
        | v13054(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5031,axiom,(
    ! [VarCurr] :
      ( v22085(VarCurr)
    <=> ( v22086(VarCurr)
        | v22087(VarCurr) ) ) )).

fof(writeUnaryOperator_2255,axiom,(
    ! [VarCurr] :
      ( ~ v22087(VarCurr)
    <=> v13054(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_2254,axiom,(
    ! [VarCurr] :
      ( ~ v22086(VarCurr)
    <=> v22075(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5030,axiom,(
    ! [VarCurr] :
      ( v22079(VarCurr)
    <=> ( v22080(VarCurr)
        & v22083(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_878,axiom,(
    ! [VarCurr] :
      ( v22083(VarCurr)
    <=> ( v22074(VarCurr)
        | v13054(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5029,axiom,(
    ! [VarCurr] :
      ( v22080(VarCurr)
    <=> ( v22081(VarCurr)
        | v22082(VarCurr) ) ) )).

fof(writeUnaryOperator_2253,axiom,(
    ! [VarCurr] :
      ( ~ v22082(VarCurr)
    <=> v13054(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_2252,axiom,(
    ! [VarCurr] :
      ( ~ v22081(VarCurr)
    <=> v22074(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5028,axiom,(
    ! [VarCurr] :
      ( v22070(VarCurr)
    <=> ( v22071(VarCurr)
        & v22078(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_877,axiom,(
    ! [VarCurr] :
      ( v22078(VarCurr)
    <=> ( v22073(VarCurr)
        | v13054(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5027,axiom,(
    ! [VarCurr] :
      ( v22071(VarCurr)
    <=> ( v22072(VarCurr)
        | v22077(VarCurr) ) ) )).

fof(writeUnaryOperator_2251,axiom,(
    ! [VarCurr] :
      ( ~ v22077(VarCurr)
    <=> v13054(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_2250,axiom,(
    ! [VarCurr] :
      ( ~ v22072(VarCurr)
    <=> v22073(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_876,axiom,(
    ! [VarCurr] :
      ( v22073(VarCurr)
    <=> ( v22074(VarCurr)
        & v13054(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_875,axiom,(
    ! [VarCurr] :
      ( v22074(VarCurr)
    <=> ( v22075(VarCurr)
        & v13054(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_874,axiom,(
    ! [VarCurr] :
      ( v22075(VarCurr)
    <=> ( v22076(VarCurr)
        & v13054(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_873,axiom,(
    ! [VarCurr] :
      ( v22076(VarCurr)
    <=> ( v13054(VarCurr,bitIndex0)
        & v13054(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5026,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22051(VarNext)
      <=> ( v22052(VarNext)
          & v22061(VarNext) ) ) ) )).

fof(addAssignment_5514,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22061(VarNext)
      <=> v22059(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5025,axiom,(
    ! [VarCurr] :
      ( v22059(VarCurr)
    <=> ( v22062(VarCurr)
        | v22063(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5024,axiom,(
    ! [VarCurr] :
      ( v22063(VarCurr)
    <=> ( v13056(VarCurr)
        & v22064(VarCurr) ) ) )).

fof(writeUnaryOperator_2249,axiom,(
    ! [VarCurr] :
      ( ~ v22064(VarCurr)
    <=> v22062(VarCurr) ) )).

fof(writeUnaryOperator_2248,axiom,(
    ! [VarCurr] :
      ( ~ v22062(VarCurr)
    <=> v2923(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5023,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22052(VarNext)
      <=> ( v22053(VarNext)
          & v22048(VarNext) ) ) ) )).

fof(writeUnaryOperator_2247,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22053(VarNext)
      <=> v22055(VarNext) ) ) )).

fof(addAssignment_5513,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22055(VarNext)
      <=> v22048(VarCurr) ) ) )).

fof(addAssignmentInitValue_27,axiom,(
    ~ v13054(constB0,bitIndex5) )).

fof(addAssignmentInitValue_26,axiom,(
    ~ v13054(constB0,bitIndex4) )).

fof(addAssignmentInitValue_25,axiom,(
    ~ v13054(constB0,bitIndex3) )).

fof(addAssignmentInitValue_24,axiom,(
    ~ v13054(constB0,bitIndex2) )).

fof(addAssignmentInitValue_23,axiom,(
    ~ v13054(constB0,bitIndex1) )).

fof(addAssignmentInitValue_22,axiom,(
    v13054(constB0,bitIndex0) )).

fof(addAssignment_5512,axiom,(
    ! [VarCurr] :
      ( v22048(VarCurr)
    <=> v3025(VarCurr) ) )).

fof(addAssignment_5511,axiom,(
    ! [VarCurr] :
      ( v13056(VarCurr)
    <=> v13058(VarCurr) ) )).

fof(addAssignment_5510,axiom,(
    ! [VarCurr] :
      ( v13058(VarCurr)
    <=> v13060(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5022,axiom,(
    ! [VarCurr] :
      ( v13060(VarCurr)
    <=> ( v22046(VarCurr)
        & v22043(VarCurr) ) ) )).

fof(writeUnaryOperator_2246,axiom,(
    ! [VarCurr] :
      ( ~ v22046(VarCurr)
    <=> v13062(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1553,axiom,(
    ! [VarCurr] :
      ( v22043(VarCurr)
    <=> ( ( v21574(VarCurr,bitIndex1)
        <=> $true )
        & ( v21574(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_231,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22025(VarNext)
       => ( v13062(VarNext)
        <=> v13062(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_253,axiom,(
    ! [VarNext] :
      ( v22025(VarNext)
     => ( v13062(VarNext)
      <=> v22039(VarNext) ) ) )).

fof(addAssignment_5509,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22039(VarNext)
      <=> v22037(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_632,axiom,(
    ! [VarCurr] :
      ( ~ v22034(VarCurr)
     => ( v22037(VarCurr)
      <=> v2935(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_628,axiom,(
    ! [VarCurr] :
      ( v22034(VarCurr)
     => ( v22037(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5021,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22025(VarNext)
      <=> ( v22026(VarNext)
          & v22033(VarNext) ) ) ) )).

fof(addAssignment_5508,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22033(VarNext)
      <=> v22031(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5020,axiom,(
    ! [VarCurr] :
      ( v22031(VarCurr)
    <=> ( v22034(VarCurr)
        | v22035(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5019,axiom,(
    ! [VarCurr] :
      ( v22035(VarCurr)
    <=> ( v13066(VarCurr)
        & v22036(VarCurr) ) ) )).

fof(writeUnaryOperator_2245,axiom,(
    ! [VarCurr] :
      ( ~ v22036(VarCurr)
    <=> v22034(VarCurr) ) )).

fof(writeUnaryOperator_2244,axiom,(
    ! [VarCurr] :
      ( ~ v22034(VarCurr)
    <=> v13064(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5018,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22026(VarNext)
      <=> ( v22027(VarNext)
          & v21761(VarNext) ) ) ) )).

fof(writeUnaryOperator_2243,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22027(VarNext)
      <=> v21768(VarNext) ) ) )).

fof(addAssignment_5507,axiom,(
    ! [VarCurr] :
      ( v13066(VarCurr)
    <=> v13068(VarCurr) ) )).

fof(addAssignment_5506,axiom,(
    ! [VarCurr] :
      ( v13068(VarCurr)
    <=> v13070(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5017,axiom,(
    ! [VarCurr] :
      ( v13070(VarCurr)
    <=> ( v22018(VarCurr)
        | v22021(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_872,axiom,(
    ! [VarCurr] :
      ( v22021(VarCurr)
    <=> ( v2986(VarCurr,bitIndex2)
        & v22022(VarCurr) ) ) )).

fof(writeUnaryOperator_2242,axiom,(
    ! [VarCurr] :
      ( ~ v22022(VarCurr)
    <=> v13088(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5016,axiom,(
    ! [VarCurr] :
      ( v22018(VarCurr)
    <=> ( v22019(VarCurr)
        & v22020(VarCurr) ) ) )).

fof(writeUnaryOperator_2241,axiom,(
    ! [VarCurr] :
      ( ~ v22020(VarCurr)
    <=> v13088(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_871,axiom,(
    ! [VarCurr] :
      ( v22019(VarCurr)
    <=> ( v13072(VarCurr)
        & v2986(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_5505,axiom,(
    ! [VarNext] :
      ( v13088(VarNext,bitIndex2)
    <=> v22010(VarNext,bitIndex1) ) )).

fof(addCaseBooleanConditionShiftedRanges1_26,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22011(VarNext)
       => ( ( v22010(VarNext,bitIndex1)
          <=> v13088(VarCurr,bitIndex2) )
          & ( v22010(VarNext,bitIndex0)
          <=> v13088(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_252,axiom,(
    ! [VarNext] :
      ( v22011(VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v22010(VarNext,B)
          <=> v13149(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5015,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22011(VarNext)
      <=> v22012(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5014,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v22012(VarNext)
      <=> ( v22014(VarNext)
          & v13136(VarNext) ) ) ) )).

fof(writeUnaryOperator_2240,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v22014(VarNext)
      <=> v13143(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_246,axiom,(
    ! [VarCurr] :
      ( ~ v21998(VarCurr)
     => ( v2986(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_304,axiom,(
    ! [VarCurr] :
      ( v21998(VarCurr)
     => ( v2986(VarCurr,bitIndex2)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5013,axiom,(
    ! [VarCurr] :
      ( v21998(VarCurr)
    <=> ( v21999(VarCurr)
        | v22005(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5012,axiom,(
    ! [VarCurr] :
      ( v22005(VarCurr)
    <=> ( v22006(VarCurr)
        & v22007(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5011,axiom,(
    ! [VarCurr] :
      ( v22007(VarCurr)
    <=> ( v13092(VarCurr)
        & v22008(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1552,axiom,(
    ! [VarCurr] :
      ( v22008(VarCurr)
    <=> ( $true
      <=> v13088(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_2239,axiom,(
    ! [VarCurr] :
      ( ~ v22006(VarCurr)
    <=> v21981(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5010,axiom,(
    ! [VarCurr] :
      ( v21999(VarCurr)
    <=> ( v22000(VarCurr)
        & v21981(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5009,axiom,(
    ! [VarCurr] :
      ( v22000(VarCurr)
    <=> ( v22002(VarCurr)
        & v21970(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5008,axiom,(
    ! [VarCurr] :
      ( v22002(VarCurr)
    <=> ( v22003(VarCurr)
        & v13072(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5007,axiom,(
    ! [VarCurr] :
      ( v22003(VarCurr)
    <=> ( v21969(VarCurr)
        & v22004(VarCurr) ) ) )).

fof(writeUnaryOperator_2238,axiom,(
    ! [VarCurr] :
      ( ~ v22004(VarCurr)
    <=> v21551(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_230,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21986(VarNext)
       => ( v13088(VarNext,bitIndex0)
        <=> v13088(VarCurr,bitIndex0) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_251,axiom,(
    ! [VarNext] :
      ( v21986(VarNext)
     => ( v13088(VarNext,bitIndex0)
      <=> v21994(VarNext) ) ) )).

fof(addAssignment_5504,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21994(VarNext)
      <=> v21992(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_540,axiom,(
    ! [VarCurr] :
      ( ~ v13150(VarCurr)
     => ( v21992(VarCurr)
      <=> v2986(VarCurr,bitIndex0) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_482,axiom,(
    ! [VarCurr] :
      ( v13150(VarCurr)
     => ( v21992(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5006,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21986(VarNext)
      <=> v21987(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5005,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21987(VarNext)
      <=> ( v21989(VarNext)
          & v13136(VarNext) ) ) ) )).

fof(writeUnaryOperator_2237,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21989(VarNext)
      <=> v13143(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_539,axiom,(
    ! [VarCurr] :
      ( ~ v21956(VarCurr)
     => ( v2986(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_481,axiom,(
    ! [VarCurr] :
      ( v21956(VarCurr)
     => ( v2986(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5004,axiom,(
    ! [VarCurr] :
      ( v21956(VarCurr)
    <=> ( v21957(VarCurr)
        & v21981(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5003,axiom,(
    ! [VarCurr] :
      ( v21981(VarCurr)
    <=> ( v21982(VarCurr)
        | v21983(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1551,axiom,(
    ! [VarCurr] :
      ( v21983(VarCurr)
    <=> ( $true
      <=> v13088(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_1550,axiom,(
    ! [VarCurr] :
      ( v21982(VarCurr)
    <=> ( $true
      <=> v13088(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5002,axiom,(
    ! [VarCurr] :
      ( v21957(VarCurr)
    <=> ( v21958(VarCurr)
        | v21975(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5001,axiom,(
    ! [VarCurr] :
      ( v21975(VarCurr)
    <=> ( v21977(VarCurr)
        & v21970(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5000,axiom,(
    ! [VarCurr] :
      ( v21977(VarCurr)
    <=> ( v21978(VarCurr)
        & v13072(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4999,axiom,(
    ! [VarCurr] :
      ( v21978(VarCurr)
    <=> ( v21979(VarCurr)
        & v21551(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4998,axiom,(
    ! [VarCurr] :
      ( v21979(VarCurr)
    <=> ( v21980(VarCurr)
        & v21964(VarCurr) ) ) )).

fof(writeUnaryOperator_2236,axiom,(
    ! [VarCurr] :
      ( ~ v21980(VarCurr)
    <=> v13092(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4997,axiom,(
    ! [VarCurr] :
      ( v21958(VarCurr)
    <=> ( v21959(VarCurr)
        | v21971(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4996,axiom,(
    ! [VarCurr] :
      ( v21971(VarCurr)
    <=> ( v21973(VarCurr)
        & v21970(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4995,axiom,(
    ! [VarCurr] :
      ( v21973(VarCurr)
    <=> ( v21969(VarCurr)
        & v21974(VarCurr) ) ) )).

fof(writeUnaryOperator_2235,axiom,(
    ! [VarCurr] :
      ( ~ v21974(VarCurr)
    <=> v13072(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4994,axiom,(
    ! [VarCurr] :
      ( v21959(VarCurr)
    <=> ( v21960(VarCurr)
        | v21965(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4993,axiom,(
    ! [VarCurr] :
      ( v21965(VarCurr)
    <=> ( v21967(VarCurr)
        & v21970(VarCurr) ) ) )).

fof(writeUnaryOperator_2234,axiom,(
    ! [VarCurr] :
      ( ~ v21970(VarCurr)
    <=> v3046(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4992,axiom,(
    ! [VarCurr] :
      ( v21967(VarCurr)
    <=> ( v21968(VarCurr)
        & v13072(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4991,axiom,(
    ! [VarCurr] :
      ( v21968(VarCurr)
    <=> ( v21969(VarCurr)
        & v21551(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4990,axiom,(
    ! [VarCurr] :
      ( v21969(VarCurr)
    <=> ( v13092(VarCurr)
        & v21964(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4989,axiom,(
    ! [VarCurr] :
      ( v21960(VarCurr)
    <=> ( v21961(VarCurr)
        | v21962(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4988,axiom,(
    ! [VarCurr] :
      ( v21962(VarCurr)
    <=> ( v21964(VarCurr)
        & v3046(VarCurr) ) ) )).

fof(writeUnaryOperator_2233,axiom,(
    ! [VarCurr] :
      ( ~ v21964(VarCurr)
    <=> v2988(VarCurr) ) )).

fof(addAssignment_5503,axiom,(
    ! [VarCurr] :
      ( v21961(VarCurr)
    <=> v2988(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_229,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21930(VarNext)
       => ( v21551(VarNext)
        <=> v21551(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_250,axiom,(
    ! [VarNext] :
      ( v21930(VarNext)
     => ( v21551(VarNext)
      <=> v21945(VarNext) ) ) )).

fof(addAssignment_5502,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21945(VarNext)
      <=> v21943(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_631,axiom,(
    ! [VarCurr] :
      ( ~ v21939(VarCurr)
     => ( v21943(VarCurr)
      <=> v21946(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_627,axiom,(
    ! [VarCurr] :
      ( v21939(VarCurr)
     => ( v21943(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_538,axiom,(
    ! [VarCurr] :
      ( ~ v13070(VarCurr)
     => ( v21946(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_480,axiom,(
    ! [VarCurr] :
      ( v13070(VarCurr)
     => ( v21946(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4987,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21930(VarNext)
      <=> ( v21931(VarNext)
          & v21938(VarNext) ) ) ) )).

fof(addAssignment_5501,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21938(VarNext)
      <=> v21936(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4986,axiom,(
    ! [VarCurr] :
      ( v21936(VarCurr)
    <=> ( v21939(VarCurr)
        | v21940(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4985,axiom,(
    ! [VarCurr] :
      ( v21940(VarCurr)
    <=> ( v21941(VarCurr)
        & v21942(VarCurr) ) ) )).

fof(writeUnaryOperator_2232,axiom,(
    ! [VarCurr] :
      ( ~ v21942(VarCurr)
    <=> v21939(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4984,axiom,(
    ! [VarCurr] :
      ( v21941(VarCurr)
    <=> ( v13070(VarCurr)
      <~> v21553(VarCurr) ) ) )).

fof(writeUnaryOperator_2231,axiom,(
    ! [VarCurr] :
      ( ~ v21939(VarCurr)
    <=> v13090(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4983,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21931(VarNext)
      <=> ( v21932(VarNext)
          & v13136(VarNext) ) ) ) )).

fof(writeUnaryOperator_2230,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21932(VarNext)
      <=> v13143(VarNext) ) ) )).

fof(addAssignment_5500,axiom,(
    ! [VarCurr] :
      ( v21553(VarCurr)
    <=> v21555(VarCurr) ) )).

fof(addAssignment_5499,axiom,(
    ! [VarCurr] :
      ( v21555(VarCurr)
    <=> v21557(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_537,axiom,(
    ! [VarCurr] :
      ( ~ v21879(VarCurr)
     => ( v21557(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_479,axiom,(
    ! [VarCurr] :
      ( v21879(VarCurr)
     => ( v21557(VarCurr)
      <=> v21917(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges6_1,axiom,(
    ! [VarCurr] :
      ( ( ~ v21885(VarCurr)
        & ~ v21886(VarCurr)
        & ~ v21889(VarCurr)
        & ~ v21892(VarCurr)
        & ~ v21895(VarCurr)
        & ~ v21900(VarCurr)
        & v21908(VarCurr) )
     => ( v21917(VarCurr)
      <=> v21927(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges5_1,axiom,(
    ! [VarCurr] :
      ( ( ~ v21885(VarCurr)
        & ~ v21886(VarCurr)
        & ~ v21889(VarCurr)
        & ~ v21892(VarCurr)
        & ~ v21895(VarCurr)
        & v21900(VarCurr) )
     => ( v21917(VarCurr)
      <=> v21926(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges4_1,axiom,(
    ! [VarCurr] :
      ( ( ~ v21885(VarCurr)
        & ~ v21886(VarCurr)
        & ~ v21889(VarCurr)
        & ~ v21892(VarCurr)
        & v21895(VarCurr) )
     => ( v21917(VarCurr)
      <=> v21855(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges3_1,axiom,(
    ! [VarCurr] :
      ( ( ~ v21885(VarCurr)
        & ~ v21886(VarCurr)
        & ~ v21889(VarCurr)
        & v21892(VarCurr) )
     => ( v21917(VarCurr)
      <=> v21918(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges2_3,axiom,(
    ! [VarCurr] :
      ( ( ~ v21885(VarCurr)
        & ~ v21886(VarCurr)
        & v21889(VarCurr) )
     => ( v21917(VarCurr)
      <=> v21855(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_228,axiom,(
    ! [VarCurr] :
      ( ( ~ v21885(VarCurr)
        & v21886(VarCurr) )
     => ( v21917(VarCurr)
      <=> $true ) ) )).

fof(addCaseBooleanConditionEqualRanges0_249,axiom,(
    ! [VarCurr] :
      ( v21885(VarCurr)
     => ( v21917(VarCurr)
      <=> v21607(VarCurr,bitIndex0) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_630,axiom,(
    ! [VarCurr] :
      ( ~ v13066(VarCurr)
     => ( v21927(VarCurr)
      <=> v21855(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_626,axiom,(
    ! [VarCurr] :
      ( v13066(VarCurr)
     => ( v21927(VarCurr)
      <=> v21663(VarCurr,bitIndex0) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_629,axiom,(
    ! [VarCurr] :
      ( ~ v13066(VarCurr)
     => ( v21926(VarCurr)
      <=> v21855(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_625,axiom,(
    ! [VarCurr] :
      ( v13066(VarCurr)
     => ( v21926(VarCurr)
      <=> v21645(VarCurr,bitIndex0) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_536,axiom,(
    ! [VarCurr] :
      ( ~ v13066(VarCurr)
     => ( v21918(VarCurr)
      <=> v21919(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_478,axiom,(
    ! [VarCurr] :
      ( v13066(VarCurr)
     => ( v21918(VarCurr)
      <=> v21627(VarCurr,bitIndex0) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_535,axiom,(
    ! [VarCurr] :
      ( ~ v21920(VarCurr)
     => ( v21919(VarCurr)
      <=> v21855(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_477,axiom,(
    ! [VarCurr] :
      ( v21920(VarCurr)
     => ( v21919(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4982,axiom,(
    ! [VarCurr] :
      ( v21920(VarCurr)
    <=> ( v21921(VarCurr)
        & v21925(VarCurr) ) ) )).

fof(writeUnaryOperator_2229,axiom,(
    ! [VarCurr] :
      ( ~ v21925(VarCurr)
    <=> v21708(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4981,axiom,(
    ! [VarCurr] :
      ( v21921(VarCurr)
    <=> ( v21922(VarCurr)
        & v21924(VarCurr) ) ) )).

fof(writeUnaryOperator_2228,axiom,(
    ! [VarCurr] :
      ( ~ v21924(VarCurr)
    <=> v21578(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4980,axiom,(
    ! [VarCurr] :
      ( v21922(VarCurr)
    <=> ( v21598(VarCurr)
        & v21923(VarCurr) ) ) )).

fof(writeUnaryOperator_2227,axiom,(
    ! [VarCurr] :
      ( ~ v21923(VarCurr)
    <=> v21704(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4979,axiom,(
    ! [VarCurr] :
      ( v21879(VarCurr)
    <=> ( v21880(VarCurr)
        | v21908(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4978,axiom,(
    ! [VarCurr] :
      ( v21908(VarCurr)
    <=> ( v21909(VarCurr)
        & v21913(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4977,axiom,(
    ! [VarCurr] :
      ( v21913(VarCurr)
    <=> ( v21914(VarCurr)
        & v21743(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4976,axiom,(
    ! [VarCurr] :
      ( v21914(VarCurr)
    <=> ( v13066(VarCurr)
        | v21915(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4975,axiom,(
    ! [VarCurr] :
      ( v21915(VarCurr)
    <=> ( v21588(VarCurr)
        & v21916(VarCurr) ) ) )).

fof(writeUnaryOperator_2226,axiom,(
    ! [VarCurr] :
      ( ~ v21916(VarCurr)
    <=> v13066(VarCurr) ) )).

fof(writeUnaryOperator_2225,axiom,(
    ! [VarCurr] :
      ( ~ v21909(VarCurr)
    <=> v21910(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4974,axiom,(
    ! [VarCurr] :
      ( v21910(VarCurr)
    <=> ( v21911(VarCurr)
        | v21731(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4973,axiom,(
    ! [VarCurr] :
      ( v21911(VarCurr)
    <=> ( v21912(VarCurr)
        | v21720(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4972,axiom,(
    ! [VarCurr] :
      ( v21912(VarCurr)
    <=> ( v21688(VarCurr)
        | v21694(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4971,axiom,(
    ! [VarCurr] :
      ( v21880(VarCurr)
    <=> ( v21881(VarCurr)
        | v21900(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4970,axiom,(
    ! [VarCurr] :
      ( v21900(VarCurr)
    <=> ( v21901(VarCurr)
        & v21904(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4969,axiom,(
    ! [VarCurr] :
      ( v21904(VarCurr)
    <=> ( v21905(VarCurr)
        & v21731(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4968,axiom,(
    ! [VarCurr] :
      ( v21905(VarCurr)
    <=> ( v13066(VarCurr)
        | v21906(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4967,axiom,(
    ! [VarCurr] :
      ( v21906(VarCurr)
    <=> ( v21588(VarCurr)
        & v21907(VarCurr) ) ) )).

fof(writeUnaryOperator_2224,axiom,(
    ! [VarCurr] :
      ( ~ v21907(VarCurr)
    <=> v13066(VarCurr) ) )).

fof(writeUnaryOperator_2223,axiom,(
    ! [VarCurr] :
      ( ~ v21901(VarCurr)
    <=> v21902(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4966,axiom,(
    ! [VarCurr] :
      ( v21902(VarCurr)
    <=> ( v21903(VarCurr)
        | v21720(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4965,axiom,(
    ! [VarCurr] :
      ( v21903(VarCurr)
    <=> ( v21688(VarCurr)
        | v21694(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4964,axiom,(
    ! [VarCurr] :
      ( v21881(VarCurr)
    <=> ( v21882(VarCurr)
        | v21895(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4963,axiom,(
    ! [VarCurr] :
      ( v21895(VarCurr)
    <=> ( v21896(VarCurr)
        & v21898(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4962,axiom,(
    ! [VarCurr] :
      ( v21898(VarCurr)
    <=> ( v21899(VarCurr)
        & v21720(VarCurr) ) ) )).

fof(writeUnaryOperator_2222,axiom,(
    ! [VarCurr] :
      ( ~ v21899(VarCurr)
    <=> v21719(VarCurr) ) )).

fof(writeUnaryOperator_2221,axiom,(
    ! [VarCurr] :
      ( ~ v21896(VarCurr)
    <=> v21897(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4961,axiom,(
    ! [VarCurr] :
      ( v21897(VarCurr)
    <=> ( v21688(VarCurr)
        | v21694(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4960,axiom,(
    ! [VarCurr] :
      ( v21882(VarCurr)
    <=> ( v21883(VarCurr)
        | v21892(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4959,axiom,(
    ! [VarCurr] :
      ( v21892(VarCurr)
    <=> ( v21893(VarCurr)
        & v21711(VarCurr) ) ) )).

fof(writeUnaryOperator_2220,axiom,(
    ! [VarCurr] :
      ( ~ v21893(VarCurr)
    <=> v21894(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4958,axiom,(
    ! [VarCurr] :
      ( v21894(VarCurr)
    <=> ( v21688(VarCurr)
        | v21694(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4957,axiom,(
    ! [VarCurr] :
      ( v21883(VarCurr)
    <=> ( v21884(VarCurr)
        | v21889(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4956,axiom,(
    ! [VarCurr] :
      ( v21889(VarCurr)
    <=> ( v21890(VarCurr)
        & v21692(VarCurr) ) ) )).

fof(writeUnaryOperator_2219,axiom,(
    ! [VarCurr] :
      ( ~ v21890(VarCurr)
    <=> v21891(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4955,axiom,(
    ! [VarCurr] :
      ( v21891(VarCurr)
    <=> ( v21688(VarCurr)
        | v21694(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4954,axiom,(
    ! [VarCurr] :
      ( v21884(VarCurr)
    <=> ( v21885(VarCurr)
        | v21886(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4953,axiom,(
    ! [VarCurr] :
      ( v21886(VarCurr)
    <=> ( v21887(VarCurr)
        & v21888(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4952,axiom,(
    ! [VarCurr] :
      ( v21888(VarCurr)
    <=> ( v21561(VarCurr)
        & v21694(VarCurr) ) ) )).

fof(writeUnaryOperator_2218,axiom,(
    ! [VarCurr] :
      ( ~ v21887(VarCurr)
    <=> v21688(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4951,axiom,(
    ! [VarCurr] :
      ( v21885(VarCurr)
    <=> ( v13066(VarCurr)
        & v21688(VarCurr) ) ) )).

fof(addAssignment_5498,axiom,(
    ! [VarCurr] :
      ( v21663(VarCurr,bitIndex0)
    <=> v21668(VarCurr,bitIndex0) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_534,axiom,(
    ! [VarCurr] :
      ( ~ v21611(VarCurr)
     => ( v21679(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_476,axiom,(
    ! [VarCurr] :
      ( v21611(VarCurr)
     => ( v21679(VarCurr)
      <=> v21875(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_533,axiom,(
    ! [VarCurr] :
      ( ~ v21798(VarCurr)
     => ( v21875(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_475,axiom,(
    ! [VarCurr] :
      ( v21798(VarCurr)
     => ( v21875(VarCurr)
      <=> $true ) ) )).

fof(addAssignment_5497,axiom,(
    ! [VarCurr] :
      ( v21645(VarCurr,bitIndex0)
    <=> v21650(VarCurr,bitIndex0) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_532,axiom,(
    ! [VarCurr] :
      ( ~ v21611(VarCurr)
     => ( v21661(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_474,axiom,(
    ! [VarCurr] :
      ( v21611(VarCurr)
     => ( v21661(VarCurr)
      <=> v21870(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_531,axiom,(
    ! [VarCurr] :
      ( ~ v21798(VarCurr)
     => ( v21870(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_473,axiom,(
    ! [VarCurr] :
      ( v21798(VarCurr)
     => ( v21870(VarCurr)
      <=> $true ) ) )).

fof(addAssignment_5496,axiom,(
    ! [VarCurr] :
      ( v21627(VarCurr,bitIndex0)
    <=> v21632(VarCurr,bitIndex0) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_530,axiom,(
    ! [VarCurr] :
      ( ~ v21611(VarCurr)
     => ( v21643(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_472,axiom,(
    ! [VarCurr] :
      ( v21611(VarCurr)
     => ( v21643(VarCurr)
      <=> v21865(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_529,axiom,(
    ! [VarCurr] :
      ( ~ v21798(VarCurr)
     => ( v21865(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_471,axiom,(
    ! [VarCurr] :
      ( v21798(VarCurr)
     => ( v21865(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4950,axiom,(
    ! [VarCurr] :
      ( v21855(VarCurr)
    <=> ( v21857(VarCurr)
        & v21590(VarCurr,bitIndex0) ) ) )).

fof(writeUnaryOperator_2217,axiom,(
    ! [VarCurr] :
      ( ~ v21857(VarCurr)
    <=> v21858(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_870,axiom,(
    ! [VarCurr] :
      ( v21858(VarCurr)
    <=> ( v21860(VarCurr)
        | v21590(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_869,axiom,(
    ! [VarCurr] :
      ( v21860(VarCurr)
    <=> ( v21861(VarCurr)
        | v21590(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_868,axiom,(
    ! [VarCurr] :
      ( v21861(VarCurr)
    <=> ( v21862(VarCurr)
        | v21590(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_867,axiom,(
    ! [VarCurr] :
      ( v21862(VarCurr)
    <=> ( v21590(VarCurr,bitIndex1)
        | v21590(VarCurr,bitIndex2) ) ) )).

fof(addAssignment_5495,axiom,(
    ! [VarCurr] :
      ( v21607(VarCurr,bitIndex0)
    <=> v21614(VarCurr,bitIndex0) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_528,axiom,(
    ! [VarCurr] :
      ( ~ v21611(VarCurr)
     => ( v21625(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_470,axiom,(
    ! [VarCurr] :
      ( v21611(VarCurr)
     => ( v21625(VarCurr)
      <=> v21796(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_527,axiom,(
    ! [VarCurr] :
      ( ~ v21798(VarCurr)
     => ( v21796(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_469,axiom,(
    ! [VarCurr] :
      ( v21798(VarCurr)
     => ( v21796(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4949,axiom,(
    ! [VarCurr] :
      ( v21798(VarCurr)
    <=> ( v21846(VarCurr)
        & v21800(VarCurr,bitIndex0) ) ) )).

fof(writeUnaryOperator_2216,axiom,(
    ! [VarCurr] :
      ( ~ v21846(VarCurr)
    <=> v21847(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_866,axiom,(
    ! [VarCurr] :
      ( v21847(VarCurr)
    <=> ( v21849(VarCurr)
        | v21800(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_865,axiom,(
    ! [VarCurr] :
      ( v21849(VarCurr)
    <=> ( v21850(VarCurr)
        | v21800(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_864,axiom,(
    ! [VarCurr] :
      ( v21850(VarCurr)
    <=> ( v21851(VarCurr)
        | v21800(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_863,axiom,(
    ! [VarCurr] :
      ( v21851(VarCurr)
    <=> ( v21800(VarCurr,bitIndex1)
        | v21800(VarCurr,bitIndex2) ) ) )).

fof(addAssignment_5494,axiom,(
    ! [VarCurr] :
      ( v21800(VarCurr,bitIndex0)
    <=> v21813(VarCurr,bitIndex0) ) )).

fof(addAssignment_5493,axiom,(
    ! [VarCurr,B] :
      ( range_5_1(B)
     => ( v21800(VarCurr,B)
      <=> v21813(VarCurr,B) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_245,axiom,(
    ! [VarCurr] :
      ( ~ v21802(VarCurr)
     => ( ( v21813(VarCurr,bitIndex5)
        <=> v21804(VarCurr,bitIndex7) )
        & ( v21813(VarCurr,bitIndex4)
        <=> v21804(VarCurr,bitIndex6) )
        & ( v21813(VarCurr,bitIndex3)
        <=> v21804(VarCurr,bitIndex5) )
        & ( v21813(VarCurr,bitIndex2)
        <=> v21804(VarCurr,bitIndex4) )
        & ( v21813(VarCurr,bitIndex1)
        <=> v21804(VarCurr,bitIndex3) )
        & ( v21813(VarCurr,bitIndex0)
        <=> v21804(VarCurr,bitIndex2) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_468,axiom,(
    ! [VarCurr] :
      ( v21802(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v21813(VarCurr,B)
          <=> v21814(VarCurr,B) ) ) ) )).

fof(addAssignment_5492,axiom,(
    ! [VarCurr] :
      ( v21814(VarCurr,bitIndex0)
    <=> v21842(VarCurr) ) )).

fof(addAssignment_5491,axiom,(
    ! [VarCurr] :
      ( v21814(VarCurr,bitIndex1)
    <=> v21840(VarCurr) ) )).

fof(addAssignment_5490,axiom,(
    ! [VarCurr] :
      ( v21814(VarCurr,bitIndex2)
    <=> v21835(VarCurr) ) )).

fof(addAssignment_5489,axiom,(
    ! [VarCurr] :
      ( v21814(VarCurr,bitIndex3)
    <=> v21830(VarCurr) ) )).

fof(addAssignment_5488,axiom,(
    ! [VarCurr] :
      ( v21814(VarCurr,bitIndex4)
    <=> v21825(VarCurr) ) )).

fof(addAssignment_5487,axiom,(
    ! [VarCurr] :
      ( v21814(VarCurr,bitIndex5)
    <=> v21816(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4948,axiom,(
    ! [VarCurr] :
      ( v21840(VarCurr)
    <=> ( v21841(VarCurr)
        & v21844(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_862,axiom,(
    ! [VarCurr] :
      ( v21844(VarCurr)
    <=> ( v21804(VarCurr,bitIndex2)
        | v21804(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4947,axiom,(
    ! [VarCurr] :
      ( v21841(VarCurr)
    <=> ( v21842(VarCurr)
        | v21843(VarCurr) ) ) )).

fof(writeUnaryOperator_2215,axiom,(
    ! [VarCurr] :
      ( ~ v21843(VarCurr)
    <=> v21804(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_2214,axiom,(
    ! [VarCurr] :
      ( ~ v21842(VarCurr)
    <=> v21804(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4946,axiom,(
    ! [VarCurr] :
      ( v21835(VarCurr)
    <=> ( v21836(VarCurr)
        & v21839(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_861,axiom,(
    ! [VarCurr] :
      ( v21839(VarCurr)
    <=> ( v21822(VarCurr)
        | v21804(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4945,axiom,(
    ! [VarCurr] :
      ( v21836(VarCurr)
    <=> ( v21837(VarCurr)
        | v21838(VarCurr) ) ) )).

fof(writeUnaryOperator_2213,axiom,(
    ! [VarCurr] :
      ( ~ v21838(VarCurr)
    <=> v21804(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_2212,axiom,(
    ! [VarCurr] :
      ( ~ v21837(VarCurr)
    <=> v21822(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4944,axiom,(
    ! [VarCurr] :
      ( v21830(VarCurr)
    <=> ( v21831(VarCurr)
        & v21834(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_860,axiom,(
    ! [VarCurr] :
      ( v21834(VarCurr)
    <=> ( v21821(VarCurr)
        | v21804(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4943,axiom,(
    ! [VarCurr] :
      ( v21831(VarCurr)
    <=> ( v21832(VarCurr)
        | v21833(VarCurr) ) ) )).

fof(writeUnaryOperator_2211,axiom,(
    ! [VarCurr] :
      ( ~ v21833(VarCurr)
    <=> v21804(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_2210,axiom,(
    ! [VarCurr] :
      ( ~ v21832(VarCurr)
    <=> v21821(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4942,axiom,(
    ! [VarCurr] :
      ( v21825(VarCurr)
    <=> ( v21826(VarCurr)
        & v21829(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_859,axiom,(
    ! [VarCurr] :
      ( v21829(VarCurr)
    <=> ( v21820(VarCurr)
        | v21804(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4941,axiom,(
    ! [VarCurr] :
      ( v21826(VarCurr)
    <=> ( v21827(VarCurr)
        | v21828(VarCurr) ) ) )).

fof(writeUnaryOperator_2209,axiom,(
    ! [VarCurr] :
      ( ~ v21828(VarCurr)
    <=> v21804(VarCurr,bitIndex6) ) )).

fof(writeUnaryOperator_2208,axiom,(
    ! [VarCurr] :
      ( ~ v21827(VarCurr)
    <=> v21820(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4940,axiom,(
    ! [VarCurr] :
      ( v21816(VarCurr)
    <=> ( v21817(VarCurr)
        & v21824(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_858,axiom,(
    ! [VarCurr] :
      ( v21824(VarCurr)
    <=> ( v21819(VarCurr)
        | v21804(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4939,axiom,(
    ! [VarCurr] :
      ( v21817(VarCurr)
    <=> ( v21818(VarCurr)
        | v21823(VarCurr) ) ) )).

fof(writeUnaryOperator_2207,axiom,(
    ! [VarCurr] :
      ( ~ v21823(VarCurr)
    <=> v21804(VarCurr,bitIndex7) ) )).

fof(writeUnaryOperator_2206,axiom,(
    ! [VarCurr] :
      ( ~ v21818(VarCurr)
    <=> v21819(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_857,axiom,(
    ! [VarCurr] :
      ( v21819(VarCurr)
    <=> ( v21820(VarCurr)
        & v21804(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_856,axiom,(
    ! [VarCurr] :
      ( v21820(VarCurr)
    <=> ( v21821(VarCurr)
        & v21804(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_855,axiom,(
    ! [VarCurr] :
      ( v21821(VarCurr)
    <=> ( v21822(VarCurr)
        & v21804(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_854,axiom,(
    ! [VarCurr] :
      ( v21822(VarCurr)
    <=> ( v21804(VarCurr,bitIndex2)
        & v21804(VarCurr,bitIndex3) ) ) )).

fof(addAssignment_5486,axiom,(
    ! [VarCurr] :
      ( v21804(VarCurr,bitIndex7)
    <=> v21806(VarCurr,bitIndex7) ) )).

fof(addAssignment_5485,axiom,(
    ! [VarCurr] :
      ( v21806(VarCurr,bitIndex7)
    <=> v21808(VarCurr,bitIndex7) ) )).

fof(addAssignment_5484,axiom,(
    ! [VarCurr] :
      ( v21808(VarCurr,bitIndex7)
    <=> v21810(VarCurr,bitIndex7) ) )).

fof(addAssignment_5483,axiom,(
    ! [VarCurr] :
      ( v21810(VarCurr,bitIndex7)
    <=> v2943(VarCurr,bitIndex101) ) )).

fof(addAssignment_5482,axiom,(
    ! [VarCurr] :
      ( v2943(VarCurr,bitIndex101)
    <=> v2945(VarCurr,bitIndex101) ) )).

fof(addAssignment_5481,axiom,(
    ! [VarCurr] :
      ( v2945(VarCurr,bitIndex101)
    <=> v2947(VarCurr,bitIndex101) ) )).

fof(addAssignment_5480,axiom,(
    ! [VarCurr] :
      ( v2947(VarCurr,bitIndex101)
    <=> v2949(VarCurr,bitIndex681) ) )).

fof(addAssignment_5479,axiom,(
    ! [VarCurr] :
      ( v21804(VarCurr,bitIndex6)
    <=> v21806(VarCurr,bitIndex6) ) )).

fof(addAssignment_5478,axiom,(
    ! [VarCurr] :
      ( v21806(VarCurr,bitIndex6)
    <=> v21808(VarCurr,bitIndex6) ) )).

fof(addAssignment_5477,axiom,(
    ! [VarCurr] :
      ( v21808(VarCurr,bitIndex6)
    <=> v21810(VarCurr,bitIndex6) ) )).

fof(addAssignment_5476,axiom,(
    ! [VarCurr] :
      ( v21810(VarCurr,bitIndex6)
    <=> v2943(VarCurr,bitIndex100) ) )).

fof(addAssignment_5475,axiom,(
    ! [VarCurr] :
      ( v2943(VarCurr,bitIndex100)
    <=> v2945(VarCurr,bitIndex100) ) )).

fof(addAssignment_5474,axiom,(
    ! [VarCurr] :
      ( v2945(VarCurr,bitIndex100)
    <=> v2947(VarCurr,bitIndex100) ) )).

fof(addAssignment_5473,axiom,(
    ! [VarCurr] :
      ( v2947(VarCurr,bitIndex100)
    <=> v2949(VarCurr,bitIndex680) ) )).

fof(addAssignment_5472,axiom,(
    ! [VarCurr] :
      ( v21804(VarCurr,bitIndex5)
    <=> v21806(VarCurr,bitIndex5) ) )).

fof(addAssignment_5471,axiom,(
    ! [VarCurr] :
      ( v21806(VarCurr,bitIndex5)
    <=> v21808(VarCurr,bitIndex5) ) )).

fof(addAssignment_5470,axiom,(
    ! [VarCurr] :
      ( v21808(VarCurr,bitIndex5)
    <=> v21810(VarCurr,bitIndex5) ) )).

fof(addAssignment_5469,axiom,(
    ! [VarCurr] :
      ( v21810(VarCurr,bitIndex5)
    <=> v2943(VarCurr,bitIndex99) ) )).

fof(addAssignment_5468,axiom,(
    ! [VarCurr] :
      ( v2943(VarCurr,bitIndex99)
    <=> v2945(VarCurr,bitIndex99) ) )).

fof(addAssignment_5467,axiom,(
    ! [VarCurr] :
      ( v2945(VarCurr,bitIndex99)
    <=> v2947(VarCurr,bitIndex99) ) )).

fof(addAssignment_5466,axiom,(
    ! [VarCurr] :
      ( v2947(VarCurr,bitIndex99)
    <=> v2949(VarCurr,bitIndex679) ) )).

fof(addAssignment_5465,axiom,(
    ! [VarCurr] :
      ( v21804(VarCurr,bitIndex4)
    <=> v21806(VarCurr,bitIndex4) ) )).

fof(addAssignment_5464,axiom,(
    ! [VarCurr] :
      ( v21806(VarCurr,bitIndex4)
    <=> v21808(VarCurr,bitIndex4) ) )).

fof(addAssignment_5463,axiom,(
    ! [VarCurr] :
      ( v21808(VarCurr,bitIndex4)
    <=> v21810(VarCurr,bitIndex4) ) )).

fof(addAssignment_5462,axiom,(
    ! [VarCurr] :
      ( v21810(VarCurr,bitIndex4)
    <=> v2943(VarCurr,bitIndex98) ) )).

fof(addAssignment_5461,axiom,(
    ! [VarCurr] :
      ( v2943(VarCurr,bitIndex98)
    <=> v2945(VarCurr,bitIndex98) ) )).

fof(addAssignment_5460,axiom,(
    ! [VarCurr] :
      ( v2945(VarCurr,bitIndex98)
    <=> v2947(VarCurr,bitIndex98) ) )).

fof(addAssignment_5459,axiom,(
    ! [VarCurr] :
      ( v2947(VarCurr,bitIndex98)
    <=> v2949(VarCurr,bitIndex678) ) )).

fof(addAssignment_5458,axiom,(
    ! [VarCurr,B] :
      ( range_3_2(B)
     => ( v21804(VarCurr,B)
      <=> v21806(VarCurr,B) ) ) )).

fof(addAssignment_5457,axiom,(
    ! [VarCurr,B] :
      ( range_3_2(B)
     => ( v21806(VarCurr,B)
      <=> v21808(VarCurr,B) ) ) )).

fof(addAssignment_5456,axiom,(
    ! [VarCurr,B] :
      ( range_3_2(B)
     => ( v21808(VarCurr,B)
      <=> v21810(VarCurr,B) ) ) )).

fof(range_axiom_79,axiom,(
    ! [B] :
      ( range_3_2(B)
    <=> ( $false
        | bitIndex2 = B
        | bitIndex3 = B ) ) )).

fof(addAssignment_5455,axiom,(
    ! [VarCurr] :
      ( ( v21810(VarCurr,bitIndex3)
      <=> v2943(VarCurr,bitIndex97) )
      & ( v21810(VarCurr,bitIndex2)
      <=> v2943(VarCurr,bitIndex96) ) ) )).

fof(addAssignment_5454,axiom,(
    ! [VarCurr,B] :
      ( range_97_96(B)
     => ( v2943(VarCurr,B)
      <=> v2945(VarCurr,B) ) ) )).

fof(addAssignment_5453,axiom,(
    ! [VarCurr,B] :
      ( range_97_96(B)
     => ( v2945(VarCurr,B)
      <=> v2947(VarCurr,B) ) ) )).

fof(range_axiom_78,axiom,(
    ! [B] :
      ( range_97_96(B)
    <=> ( $false
        | bitIndex96 = B
        | bitIndex97 = B ) ) )).

fof(addAssignment_5452,axiom,(
    ! [VarCurr] :
      ( ( v2947(VarCurr,bitIndex97)
      <=> v2949(VarCurr,bitIndex677) )
      & ( v2947(VarCurr,bitIndex96)
      <=> v2949(VarCurr,bitIndex676) ) ) )).

fof(writeBinaryOperatorShiftedRanges_853,axiom,(
    ! [VarCurr] :
      ( v21802(VarCurr)
    <=> ( v21804(VarCurr,bitIndex0)
        | v21804(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_5451,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v21804(VarCurr,B)
      <=> v21806(VarCurr,B) ) ) )).

fof(addAssignment_5450,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v21806(VarCurr,B)
      <=> v21808(VarCurr,B) ) ) )).

fof(addAssignment_5449,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v21808(VarCurr,B)
      <=> v21810(VarCurr,B) ) ) )).

fof(addAssignment_5448,axiom,(
    ! [VarCurr] :
      ( ( v21810(VarCurr,bitIndex1)
      <=> v2943(VarCurr,bitIndex95) )
      & ( v21810(VarCurr,bitIndex0)
      <=> v2943(VarCurr,bitIndex94) ) ) )).

fof(addAssignment_5447,axiom,(
    ! [VarCurr,B] :
      ( range_95_94(B)
     => ( v2943(VarCurr,B)
      <=> v2945(VarCurr,B) ) ) )).

fof(addAssignment_5446,axiom,(
    ! [VarCurr,B] :
      ( range_95_94(B)
     => ( v2945(VarCurr,B)
      <=> v2947(VarCurr,B) ) ) )).

fof(range_axiom_77,axiom,(
    ! [B] :
      ( range_95_94(B)
    <=> ( $false
        | bitIndex94 = B
        | bitIndex95 = B ) ) )).

fof(addAssignment_5445,axiom,(
    ! [VarCurr] :
      ( ( v2947(VarCurr,bitIndex95)
      <=> v2949(VarCurr,bitIndex675) )
      & ( v2947(VarCurr,bitIndex94)
      <=> v2949(VarCurr,bitIndex674) ) ) )).

fof(writeUnaryOperator_2205,axiom,(
    ! [VarCurr] :
      ( ~ v21572(VarCurr)
    <=> v21793(VarCurr) ) )).

fof(addAssignment_5444,axiom,(
    ! [VarCurr] :
      ( v21793(VarCurr)
    <=> v21789(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_227,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21764(VarNext)
       => ! [B] :
            ( range_1_0(B)
           => ( v21574(VarNext,B)
            <=> v21574(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_248,axiom,(
    ! [VarNext] :
      ( v21764(VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v21574(VarNext,B)
          <=> v21782(VarNext,B) ) ) ) )).

fof(addAssignment_5443,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v21782(VarNext,B)
          <=> v21780(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_628,axiom,(
    ! [VarCurr] :
      ( ~ v21775(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v21780(VarCurr,B)
          <=> v21783(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_624,axiom,(
    ! [VarCurr] :
      ( v21775(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v21780(VarCurr,B)
          <=> $false ) ) ) )).

fof(addAssignment_5442,axiom,(
    ! [VarCurr] :
      ( v21783(VarCurr,bitIndex0)
    <=> v21787(VarCurr) ) )).

fof(addAssignment_5441,axiom,(
    ! [VarCurr] :
      ( v21783(VarCurr,bitIndex1)
    <=> v21785(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4938,axiom,(
    ! [VarCurr] :
      ( v21785(VarCurr)
    <=> ( v21786(VarCurr)
        & v21789(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_852,axiom,(
    ! [VarCurr] :
      ( v21789(VarCurr)
    <=> ( v21574(VarCurr,bitIndex0)
        | v21574(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4937,axiom,(
    ! [VarCurr] :
      ( v21786(VarCurr)
    <=> ( v21787(VarCurr)
        | v21788(VarCurr) ) ) )).

fof(writeUnaryOperator_2204,axiom,(
    ! [VarCurr] :
      ( ~ v21788(VarCurr)
    <=> v21574(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2203,axiom,(
    ! [VarCurr] :
      ( ~ v21787(VarCurr)
    <=> v21574(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4936,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21764(VarNext)
      <=> ( v21765(VarNext)
          & v21774(VarNext) ) ) ) )).

fof(addAssignment_5440,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21774(VarNext)
      <=> v21772(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4935,axiom,(
    ! [VarCurr] :
      ( v21772(VarCurr)
    <=> ( v21775(VarCurr)
        | v21776(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4934,axiom,(
    ! [VarCurr] :
      ( v21776(VarCurr)
    <=> ( v21777(VarCurr)
        & v21779(VarCurr) ) ) )).

fof(writeUnaryOperator_2202,axiom,(
    ! [VarCurr] :
      ( ~ v21779(VarCurr)
    <=> v21775(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4933,axiom,(
    ! [VarCurr] :
      ( v21777(VarCurr)
    <=> ( v21576(VarCurr)
        & v21778(VarCurr) ) ) )).

fof(writeUnaryOperator_2201,axiom,(
    ! [VarCurr] :
      ( ~ v21778(VarCurr)
    <=> v21598(VarCurr) ) )).

fof(writeUnaryOperator_2200,axiom,(
    ! [VarCurr] :
      ( ~ v21775(VarCurr)
    <=> v13064(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4932,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21765(VarNext)
      <=> ( v21766(VarNext)
          & v21761(VarNext) ) ) ) )).

fof(writeUnaryOperator_2199,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21766(VarNext)
      <=> v21768(VarNext) ) ) )).

fof(addAssignment_5439,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21768(VarNext)
      <=> v21761(VarCurr) ) ) )).

fof(addAssignment_5438,axiom,(
    ! [VarCurr] :
      ( v21761(VarCurr)
    <=> v3025(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_526,axiom,(
    ! [VarCurr] :
      ( ~ v21681(VarCurr)
     => ( v21576(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_467,axiom,(
    ! [VarCurr] :
      ( v21681(VarCurr)
     => ( v21576(VarCurr)
      <=> v21756(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges6,axiom,(
    ! [VarCurr] :
      ( ( ~ v21687(VarCurr)
        & ~ v21689(VarCurr)
        & ~ v21695(VarCurr)
        & ~ v21713(VarCurr)
        & ~ v21722(VarCurr)
        & ~ v21733(VarCurr)
        & v21745(VarCurr) )
     => ( v21756(VarCurr)
      <=> $true ) ) )).

fof(addCaseBooleanConditionEqualRanges5,axiom,(
    ! [VarCurr] :
      ( ( ~ v21687(VarCurr)
        & ~ v21689(VarCurr)
        & ~ v21695(VarCurr)
        & ~ v21713(VarCurr)
        & ~ v21722(VarCurr)
        & v21733(VarCurr) )
     => ( v21756(VarCurr)
      <=> v21759(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges4,axiom,(
    ! [VarCurr] :
      ( ( ~ v21687(VarCurr)
        & ~ v21689(VarCurr)
        & ~ v21695(VarCurr)
        & ~ v21713(VarCurr)
        & v21722(VarCurr) )
     => ( v21756(VarCurr)
      <=> v21758(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges3,axiom,(
    ! [VarCurr] :
      ( ( ~ v21687(VarCurr)
        & ~ v21689(VarCurr)
        & ~ v21695(VarCurr)
        & v21713(VarCurr) )
     => ( v21756(VarCurr)
      <=> $true ) ) )).

fof(addCaseBooleanConditionEqualRanges2_2,axiom,(
    ! [VarCurr] :
      ( ( ~ v21687(VarCurr)
        & ~ v21689(VarCurr)
        & v21695(VarCurr) )
     => ( v21756(VarCurr)
      <=> v21757(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_226,axiom,(
    ! [VarCurr] :
      ( ( ~ v21687(VarCurr)
        & v21689(VarCurr) )
     => ( v21756(VarCurr)
      <=> $true ) ) )).

fof(addCaseBooleanConditionShiftedRanges0_4,axiom,(
    ! [VarCurr] :
      ( v21687(VarCurr)
     => ( v21756(VarCurr)
      <=> v21607(VarCurr,bitIndex4) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_627,axiom,(
    ! [VarCurr] :
      ( ~ v13066(VarCurr)
     => ( v21759(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_11,axiom,(
    ! [VarCurr] :
      ( v13066(VarCurr)
     => ( v21759(VarCurr)
      <=> v21663(VarCurr,bitIndex4) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_626,axiom,(
    ! [VarCurr] :
      ( ~ v13066(VarCurr)
     => ( v21758(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_10,axiom,(
    ! [VarCurr] :
      ( v13066(VarCurr)
     => ( v21758(VarCurr)
      <=> v21645(VarCurr,bitIndex4) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_625,axiom,(
    ! [VarCurr] :
      ( ~ v13066(VarCurr)
     => ( v21757(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_9,axiom,(
    ! [VarCurr] :
      ( v13066(VarCurr)
     => ( v21757(VarCurr)
      <=> v21627(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4931,axiom,(
    ! [VarCurr] :
      ( v21681(VarCurr)
    <=> ( v21682(VarCurr)
        | v21745(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4930,axiom,(
    ! [VarCurr] :
      ( v21745(VarCurr)
    <=> ( v21746(VarCurr)
        & v21751(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4929,axiom,(
    ! [VarCurr] :
      ( v21751(VarCurr)
    <=> ( v21752(VarCurr)
        & v21755(VarCurr) ) ) )).

fof(writeUnaryOperator_2198,axiom,(
    ! [VarCurr] :
      ( ~ v21755(VarCurr)
    <=> v21694(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4928,axiom,(
    ! [VarCurr] :
      ( v21752(VarCurr)
    <=> ( v21753(VarCurr)
        & v21754(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1549,axiom,(
    ! [VarCurr] :
      ( v21754(VarCurr)
    <=> ( $true
      <=> v21559(VarCurr,bitIndex7) ) ) )).

fof(writeUnaryOperator_2197,axiom,(
    ! [VarCurr] :
      ( ~ v21753(VarCurr)
    <=> v21601(VarCurr) ) )).

fof(writeUnaryOperator_2196,axiom,(
    ! [VarCurr] :
      ( ~ v21746(VarCurr)
    <=> v21747(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4927,axiom,(
    ! [VarCurr] :
      ( v21747(VarCurr)
    <=> ( v21748(VarCurr)
        | v21743(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4926,axiom,(
    ! [VarCurr] :
      ( v21748(VarCurr)
    <=> ( v21749(VarCurr)
        | v21731(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4925,axiom,(
    ! [VarCurr] :
      ( v21749(VarCurr)
    <=> ( v21750(VarCurr)
        | v21720(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4924,axiom,(
    ! [VarCurr] :
      ( v21750(VarCurr)
    <=> ( v21688(VarCurr)
        | v21711(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4923,axiom,(
    ! [VarCurr] :
      ( v21682(VarCurr)
    <=> ( v21683(VarCurr)
        | v21733(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4922,axiom,(
    ! [VarCurr] :
      ( v21733(VarCurr)
    <=> ( v21734(VarCurr)
        & v21738(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4921,axiom,(
    ! [VarCurr] :
      ( v21738(VarCurr)
    <=> ( v21739(VarCurr)
        & v21744(VarCurr) ) ) )).

fof(writeUnaryOperator_2195,axiom,(
    ! [VarCurr] :
      ( ~ v21744(VarCurr)
    <=> v21694(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4920,axiom,(
    ! [VarCurr] :
      ( v21739(VarCurr)
    <=> ( v21740(VarCurr)
        & v21743(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1548,axiom,(
    ! [VarCurr] :
      ( v21743(VarCurr)
    <=> ( $true
      <=> v21559(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4919,axiom,(
    ! [VarCurr] :
      ( v21740(VarCurr)
    <=> ( v13066(VarCurr)
        | v21741(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4918,axiom,(
    ! [VarCurr] :
      ( v21741(VarCurr)
    <=> ( v21588(VarCurr)
        & v21742(VarCurr) ) ) )).

fof(writeUnaryOperator_2194,axiom,(
    ! [VarCurr] :
      ( ~ v21742(VarCurr)
    <=> v13066(VarCurr) ) )).

fof(writeUnaryOperator_2193,axiom,(
    ! [VarCurr] :
      ( ~ v21734(VarCurr)
    <=> v21735(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4917,axiom,(
    ! [VarCurr] :
      ( v21735(VarCurr)
    <=> ( v21736(VarCurr)
        | v21731(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4916,axiom,(
    ! [VarCurr] :
      ( v21736(VarCurr)
    <=> ( v21737(VarCurr)
        | v21720(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4915,axiom,(
    ! [VarCurr] :
      ( v21737(VarCurr)
    <=> ( v21688(VarCurr)
        | v21711(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4914,axiom,(
    ! [VarCurr] :
      ( v21683(VarCurr)
    <=> ( v21684(VarCurr)
        | v21722(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4913,axiom,(
    ! [VarCurr] :
      ( v21722(VarCurr)
    <=> ( v21723(VarCurr)
        & v21726(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4912,axiom,(
    ! [VarCurr] :
      ( v21726(VarCurr)
    <=> ( v21727(VarCurr)
        & v21732(VarCurr) ) ) )).

fof(writeUnaryOperator_2192,axiom,(
    ! [VarCurr] :
      ( ~ v21732(VarCurr)
    <=> v21694(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4911,axiom,(
    ! [VarCurr] :
      ( v21727(VarCurr)
    <=> ( v21728(VarCurr)
        & v21731(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1547,axiom,(
    ! [VarCurr] :
      ( v21731(VarCurr)
    <=> ( $true
      <=> v21559(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4910,axiom,(
    ! [VarCurr] :
      ( v21728(VarCurr)
    <=> ( v13066(VarCurr)
        | v21729(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4909,axiom,(
    ! [VarCurr] :
      ( v21729(VarCurr)
    <=> ( v21588(VarCurr)
        & v21730(VarCurr) ) ) )).

fof(writeUnaryOperator_2191,axiom,(
    ! [VarCurr] :
      ( ~ v21730(VarCurr)
    <=> v13066(VarCurr) ) )).

fof(writeUnaryOperator_2190,axiom,(
    ! [VarCurr] :
      ( ~ v21723(VarCurr)
    <=> v21724(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4908,axiom,(
    ! [VarCurr] :
      ( v21724(VarCurr)
    <=> ( v21725(VarCurr)
        | v21720(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4907,axiom,(
    ! [VarCurr] :
      ( v21725(VarCurr)
    <=> ( v21688(VarCurr)
        | v21711(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4906,axiom,(
    ! [VarCurr] :
      ( v21684(VarCurr)
    <=> ( v21685(VarCurr)
        | v21713(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4905,axiom,(
    ! [VarCurr] :
      ( v21713(VarCurr)
    <=> ( v21714(VarCurr)
        & v21716(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4904,axiom,(
    ! [VarCurr] :
      ( v21716(VarCurr)
    <=> ( v21717(VarCurr)
        & v21721(VarCurr) ) ) )).

fof(writeUnaryOperator_2189,axiom,(
    ! [VarCurr] :
      ( ~ v21721(VarCurr)
    <=> v21694(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4903,axiom,(
    ! [VarCurr] :
      ( v21717(VarCurr)
    <=> ( v21718(VarCurr)
        & v21720(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1546,axiom,(
    ! [VarCurr] :
      ( v21720(VarCurr)
    <=> ( $true
      <=> v21559(VarCurr,bitIndex4) ) ) )).

fof(writeUnaryOperator_2188,axiom,(
    ! [VarCurr] :
      ( ~ v21718(VarCurr)
    <=> v21719(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4902,axiom,(
    ! [VarCurr] :
      ( v21719(VarCurr)
    <=> ( v21572(VarCurr)
        & v21601(VarCurr) ) ) )).

fof(writeUnaryOperator_2187,axiom,(
    ! [VarCurr] :
      ( ~ v21714(VarCurr)
    <=> v21715(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4901,axiom,(
    ! [VarCurr] :
      ( v21715(VarCurr)
    <=> ( v21688(VarCurr)
        | v21711(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4900,axiom,(
    ! [VarCurr] :
      ( v21685(VarCurr)
    <=> ( v21686(VarCurr)
        | v21695(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4899,axiom,(
    ! [VarCurr] :
      ( v21695(VarCurr)
    <=> ( v21696(VarCurr)
        & v21697(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4898,axiom,(
    ! [VarCurr] :
      ( v21697(VarCurr)
    <=> ( v21698(VarCurr)
        & v21712(VarCurr) ) ) )).

fof(writeUnaryOperator_2186,axiom,(
    ! [VarCurr] :
      ( ~ v21712(VarCurr)
    <=> v21694(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4897,axiom,(
    ! [VarCurr] :
      ( v21698(VarCurr)
    <=> ( v21699(VarCurr)
        & v21711(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1545,axiom,(
    ! [VarCurr] :
      ( v21711(VarCurr)
    <=> ( $true
      <=> v21559(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4896,axiom,(
    ! [VarCurr] :
      ( v21699(VarCurr)
    <=> ( v13066(VarCurr)
        | v21700(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4895,axiom,(
    ! [VarCurr] :
      ( v21700(VarCurr)
    <=> ( v21701(VarCurr)
        & v21710(VarCurr) ) ) )).

fof(writeUnaryOperator_2185,axiom,(
    ! [VarCurr] :
      ( ~ v21710(VarCurr)
    <=> v13066(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4894,axiom,(
    ! [VarCurr] :
      ( v21701(VarCurr)
    <=> ( v21702(VarCurr)
        & v21707(VarCurr) ) ) )).

fof(writeUnaryOperator_2184,axiom,(
    ! [VarCurr] :
      ( ~ v21707(VarCurr)
    <=> v21708(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4893,axiom,(
    ! [VarCurr] :
      ( v21708(VarCurr)
    <=> ( v21709(VarCurr)
        & v21601(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4892,axiom,(
    ! [VarCurr] :
      ( v21709(VarCurr)
    <=> ( v21588(VarCurr)
        & v21572(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4891,axiom,(
    ! [VarCurr] :
      ( v21702(VarCurr)
    <=> ( v21578(VarCurr)
        | v21703(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4890,axiom,(
    ! [VarCurr] :
      ( v21703(VarCurr)
    <=> ( v21704(VarCurr)
        & v21706(VarCurr) ) ) )).

fof(writeUnaryOperator_2183,axiom,(
    ! [VarCurr] :
      ( ~ v21706(VarCurr)
    <=> v21578(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4889,axiom,(
    ! [VarCurr] :
      ( v21704(VarCurr)
    <=> ( v21588(VarCurr)
        & v21705(VarCurr) ) ) )).

fof(writeUnaryOperator_2182,axiom,(
    ! [VarCurr] :
      ( ~ v21705(VarCurr)
    <=> v21598(VarCurr) ) )).

fof(writeUnaryOperator_2181,axiom,(
    ! [VarCurr] :
      ( ~ v21696(VarCurr)
    <=> v21688(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4888,axiom,(
    ! [VarCurr] :
      ( v21686(VarCurr)
    <=> ( v21687(VarCurr)
        | v21689(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4887,axiom,(
    ! [VarCurr] :
      ( v21689(VarCurr)
    <=> ( v21690(VarCurr)
        & v21691(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4886,axiom,(
    ! [VarCurr] :
      ( v21691(VarCurr)
    <=> ( v21692(VarCurr)
        & v21693(VarCurr) ) ) )).

fof(writeUnaryOperator_2180,axiom,(
    ! [VarCurr] :
      ( ~ v21693(VarCurr)
    <=> v21694(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1544,axiom,(
    ! [VarCurr] :
      ( v21694(VarCurr)
    <=> ( $true
      <=> v21559(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_1543,axiom,(
    ! [VarCurr] :
      ( v21692(VarCurr)
    <=> ( $true
      <=> v21559(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_2179,axiom,(
    ! [VarCurr] :
      ( ~ v21690(VarCurr)
    <=> v21688(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4885,axiom,(
    ! [VarCurr] :
      ( v21687(VarCurr)
    <=> ( v13066(VarCurr)
        & v21688(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1542,axiom,(
    ! [VarCurr] :
      ( v21688(VarCurr)
    <=> ( $true
      <=> v21559(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_5437,axiom,(
    ! [VarCurr] :
      ( v21663(VarCurr,bitIndex4)
    <=> v21668(VarCurr,bitIndex4) ) )).

fof(addAssignment_5436,axiom,(
    ! [VarCurr] :
      ( v21668(VarCurr,bitIndex0)
    <=> v21679(VarCurr) ) )).

fof(addAssignment_5435,axiom,(
    ! [VarCurr] :
      ( v21668(VarCurr,bitIndex1)
    <=> v21678(VarCurr) ) )).

fof(addAssignment_5434,axiom,(
    ! [VarCurr] :
      ( v21668(VarCurr,bitIndex2)
    <=> v21677(VarCurr) ) )).

fof(addAssignment_5433,axiom,(
    ! [VarCurr] :
      ( v21668(VarCurr,bitIndex3)
    <=> v21676(VarCurr) ) )).

fof(addAssignment_5432,axiom,(
    ! [VarCurr] :
      ( v21668(VarCurr,bitIndex4)
    <=> v21665(VarCurr) ) )).

fof(addAssignment_5431,axiom,(
    ! [VarCurr] :
      ( ( v21668(VarCurr,bitIndex9)
      <=> v21672(VarCurr,bitIndex4) )
      & ( v21668(VarCurr,bitIndex8)
      <=> v21672(VarCurr,bitIndex3) )
      & ( v21668(VarCurr,bitIndex7)
      <=> v21672(VarCurr,bitIndex2) )
      & ( v21668(VarCurr,bitIndex6)
      <=> v21672(VarCurr,bitIndex1) )
      & ( v21668(VarCurr,bitIndex5)
      <=> v21672(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_5430,axiom,(
    ! [VarCurr] :
      ( ( v21668(VarCurr,bitIndex17)
      <=> v21669(VarCurr,bitIndex7) )
      & ( v21668(VarCurr,bitIndex16)
      <=> v21669(VarCurr,bitIndex6) )
      & ( v21668(VarCurr,bitIndex15)
      <=> v21669(VarCurr,bitIndex5) )
      & ( v21668(VarCurr,bitIndex14)
      <=> v21669(VarCurr,bitIndex4) )
      & ( v21668(VarCurr,bitIndex13)
      <=> v21669(VarCurr,bitIndex3) )
      & ( v21668(VarCurr,bitIndex12)
      <=> v21669(VarCurr,bitIndex2) )
      & ( v21668(VarCurr,bitIndex11)
      <=> v21669(VarCurr,bitIndex1) )
      & ( v21668(VarCurr,bitIndex10)
      <=> v21669(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_5429,axiom,(
    ! [VarCurr] :
      ( v21672(VarCurr,bitIndex0)
    <=> v21675(VarCurr,bitIndex0) ) )).

fof(addAssignment_5428,axiom,(
    ! [VarCurr] :
      ( ( v21672(VarCurr,bitIndex2)
      <=> $false )
      & ( v21672(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addAssignment_5427,axiom,(
    ! [VarCurr] :
      ( v21672(VarCurr,bitIndex3)
    <=> v21675(VarCurr,bitIndex3) ) )).

fof(addAssignment_5426,axiom,(
    ! [VarCurr] :
      ( v21672(VarCurr,bitIndex4)
    <=> v21674(VarCurr,bitIndex4) ) )).

fof(addAssignment_5425,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v21669(VarCurr,B)
      <=> v21671(VarCurr,B) ) ) )).

fof(addAssignment_5424,axiom,(
    ! [VarCurr] :
      ( ( v21669(VarCurr,bitIndex7)
      <=> $false )
      & ( v21669(VarCurr,bitIndex6)
      <=> $false )
      & ( v21669(VarCurr,bitIndex5)
      <=> $false )
      & ( v21669(VarCurr,bitIndex4)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_525,axiom,(
    ! [VarCurr] :
      ( ~ v21667(VarCurr)
     => ( v21665(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_466,axiom,(
    ! [VarCurr] :
      ( v21667(VarCurr)
     => ( v21665(VarCurr)
      <=> $true ) ) )).

fof(writeUnaryOperator_2178,axiom,(
    ! [VarCurr] :
      ( ~ v21667(VarCurr)
    <=> v21611(VarCurr) ) )).

fof(addAssignment_5423,axiom,(
    ! [VarCurr] :
      ( v21645(VarCurr,bitIndex4)
    <=> v21650(VarCurr,bitIndex4) ) )).

fof(addAssignment_5422,axiom,(
    ! [VarCurr] :
      ( v21650(VarCurr,bitIndex0)
    <=> v21661(VarCurr) ) )).

fof(addAssignment_5421,axiom,(
    ! [VarCurr] :
      ( v21650(VarCurr,bitIndex1)
    <=> v21660(VarCurr) ) )).

fof(addAssignment_5420,axiom,(
    ! [VarCurr] :
      ( v21650(VarCurr,bitIndex2)
    <=> v21659(VarCurr) ) )).

fof(addAssignment_5419,axiom,(
    ! [VarCurr] :
      ( v21650(VarCurr,bitIndex3)
    <=> v21658(VarCurr) ) )).

fof(addAssignment_5418,axiom,(
    ! [VarCurr] :
      ( v21650(VarCurr,bitIndex4)
    <=> v21647(VarCurr) ) )).

fof(addAssignment_5417,axiom,(
    ! [VarCurr] :
      ( ( v21650(VarCurr,bitIndex9)
      <=> v21654(VarCurr,bitIndex4) )
      & ( v21650(VarCurr,bitIndex8)
      <=> v21654(VarCurr,bitIndex3) )
      & ( v21650(VarCurr,bitIndex7)
      <=> v21654(VarCurr,bitIndex2) )
      & ( v21650(VarCurr,bitIndex6)
      <=> v21654(VarCurr,bitIndex1) )
      & ( v21650(VarCurr,bitIndex5)
      <=> v21654(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_5416,axiom,(
    ! [VarCurr] :
      ( ( v21650(VarCurr,bitIndex17)
      <=> v21651(VarCurr,bitIndex7) )
      & ( v21650(VarCurr,bitIndex16)
      <=> v21651(VarCurr,bitIndex6) )
      & ( v21650(VarCurr,bitIndex15)
      <=> v21651(VarCurr,bitIndex5) )
      & ( v21650(VarCurr,bitIndex14)
      <=> v21651(VarCurr,bitIndex4) )
      & ( v21650(VarCurr,bitIndex13)
      <=> v21651(VarCurr,bitIndex3) )
      & ( v21650(VarCurr,bitIndex12)
      <=> v21651(VarCurr,bitIndex2) )
      & ( v21650(VarCurr,bitIndex11)
      <=> v21651(VarCurr,bitIndex1) )
      & ( v21650(VarCurr,bitIndex10)
      <=> v21651(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_5415,axiom,(
    ! [VarCurr] :
      ( v21654(VarCurr,bitIndex0)
    <=> v21657(VarCurr,bitIndex0) ) )).

fof(addAssignment_5414,axiom,(
    ! [VarCurr] :
      ( ( v21654(VarCurr,bitIndex2)
      <=> $false )
      & ( v21654(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addAssignment_5413,axiom,(
    ! [VarCurr] :
      ( v21654(VarCurr,bitIndex3)
    <=> v21657(VarCurr,bitIndex3) ) )).

fof(addAssignment_5412,axiom,(
    ! [VarCurr] :
      ( v21654(VarCurr,bitIndex4)
    <=> v21656(VarCurr,bitIndex4) ) )).

fof(addAssignment_5411,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v21651(VarCurr,B)
      <=> v21653(VarCurr,B) ) ) )).

fof(addAssignment_5410,axiom,(
    ! [VarCurr] :
      ( ( v21651(VarCurr,bitIndex7)
      <=> $false )
      & ( v21651(VarCurr,bitIndex6)
      <=> $false )
      & ( v21651(VarCurr,bitIndex5)
      <=> $false )
      & ( v21651(VarCurr,bitIndex4)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_524,axiom,(
    ! [VarCurr] :
      ( ~ v21649(VarCurr)
     => ( v21647(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_465,axiom,(
    ! [VarCurr] :
      ( v21649(VarCurr)
     => ( v21647(VarCurr)
      <=> $true ) ) )).

fof(writeUnaryOperator_2177,axiom,(
    ! [VarCurr] :
      ( ~ v21649(VarCurr)
    <=> v21611(VarCurr) ) )).

fof(addAssignment_5409,axiom,(
    ! [VarCurr] :
      ( v21627(VarCurr,bitIndex4)
    <=> v21632(VarCurr,bitIndex4) ) )).

fof(addAssignment_5408,axiom,(
    ! [VarCurr] :
      ( v21632(VarCurr,bitIndex0)
    <=> v21643(VarCurr) ) )).

fof(addAssignment_5407,axiom,(
    ! [VarCurr] :
      ( v21632(VarCurr,bitIndex1)
    <=> v21642(VarCurr) ) )).

fof(addAssignment_5406,axiom,(
    ! [VarCurr] :
      ( v21632(VarCurr,bitIndex2)
    <=> v21641(VarCurr) ) )).

fof(addAssignment_5405,axiom,(
    ! [VarCurr] :
      ( v21632(VarCurr,bitIndex3)
    <=> v21640(VarCurr) ) )).

fof(addAssignment_5404,axiom,(
    ! [VarCurr] :
      ( v21632(VarCurr,bitIndex4)
    <=> v21629(VarCurr) ) )).

fof(addAssignment_5403,axiom,(
    ! [VarCurr] :
      ( ( v21632(VarCurr,bitIndex9)
      <=> v21636(VarCurr,bitIndex4) )
      & ( v21632(VarCurr,bitIndex8)
      <=> v21636(VarCurr,bitIndex3) )
      & ( v21632(VarCurr,bitIndex7)
      <=> v21636(VarCurr,bitIndex2) )
      & ( v21632(VarCurr,bitIndex6)
      <=> v21636(VarCurr,bitIndex1) )
      & ( v21632(VarCurr,bitIndex5)
      <=> v21636(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_5402,axiom,(
    ! [VarCurr] :
      ( ( v21632(VarCurr,bitIndex17)
      <=> v21633(VarCurr,bitIndex7) )
      & ( v21632(VarCurr,bitIndex16)
      <=> v21633(VarCurr,bitIndex6) )
      & ( v21632(VarCurr,bitIndex15)
      <=> v21633(VarCurr,bitIndex5) )
      & ( v21632(VarCurr,bitIndex14)
      <=> v21633(VarCurr,bitIndex4) )
      & ( v21632(VarCurr,bitIndex13)
      <=> v21633(VarCurr,bitIndex3) )
      & ( v21632(VarCurr,bitIndex12)
      <=> v21633(VarCurr,bitIndex2) )
      & ( v21632(VarCurr,bitIndex11)
      <=> v21633(VarCurr,bitIndex1) )
      & ( v21632(VarCurr,bitIndex10)
      <=> v21633(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_5401,axiom,(
    ! [VarCurr] :
      ( v21636(VarCurr,bitIndex0)
    <=> v21639(VarCurr,bitIndex0) ) )).

fof(addAssignment_5400,axiom,(
    ! [VarCurr] :
      ( ( v21636(VarCurr,bitIndex2)
      <=> $false )
      & ( v21636(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addAssignment_5399,axiom,(
    ! [VarCurr] :
      ( v21636(VarCurr,bitIndex3)
    <=> v21639(VarCurr,bitIndex3) ) )).

fof(addAssignment_5398,axiom,(
    ! [VarCurr] :
      ( v21636(VarCurr,bitIndex4)
    <=> v21638(VarCurr,bitIndex4) ) )).

fof(addAssignment_5397,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v21633(VarCurr,B)
      <=> v21635(VarCurr,B) ) ) )).

fof(addAssignment_5396,axiom,(
    ! [VarCurr] :
      ( ( v21633(VarCurr,bitIndex7)
      <=> $false )
      & ( v21633(VarCurr,bitIndex6)
      <=> $false )
      & ( v21633(VarCurr,bitIndex5)
      <=> $false )
      & ( v21633(VarCurr,bitIndex4)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_523,axiom,(
    ! [VarCurr] :
      ( ~ v21631(VarCurr)
     => ( v21629(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_464,axiom,(
    ! [VarCurr] :
      ( v21631(VarCurr)
     => ( v21629(VarCurr)
      <=> $true ) ) )).

fof(writeUnaryOperator_2176,axiom,(
    ! [VarCurr] :
      ( ~ v21631(VarCurr)
    <=> v21611(VarCurr) ) )).

fof(addAssignment_5395,axiom,(
    ! [VarCurr] :
      ( v21607(VarCurr,bitIndex4)
    <=> v21614(VarCurr,bitIndex4) ) )).

fof(addAssignment_5394,axiom,(
    ! [VarCurr] :
      ( v21614(VarCurr,bitIndex0)
    <=> v21625(VarCurr) ) )).

fof(addAssignment_5393,axiom,(
    ! [VarCurr] :
      ( v21614(VarCurr,bitIndex1)
    <=> v21624(VarCurr) ) )).

fof(addAssignment_5392,axiom,(
    ! [VarCurr] :
      ( v21614(VarCurr,bitIndex2)
    <=> v21623(VarCurr) ) )).

fof(addAssignment_5391,axiom,(
    ! [VarCurr] :
      ( v21614(VarCurr,bitIndex3)
    <=> v21622(VarCurr) ) )).

fof(addAssignment_5390,axiom,(
    ! [VarCurr] :
      ( v21614(VarCurr,bitIndex4)
    <=> v21609(VarCurr) ) )).

fof(addAssignment_5389,axiom,(
    ! [VarCurr] :
      ( ( v21614(VarCurr,bitIndex9)
      <=> v21618(VarCurr,bitIndex4) )
      & ( v21614(VarCurr,bitIndex8)
      <=> v21618(VarCurr,bitIndex3) )
      & ( v21614(VarCurr,bitIndex7)
      <=> v21618(VarCurr,bitIndex2) )
      & ( v21614(VarCurr,bitIndex6)
      <=> v21618(VarCurr,bitIndex1) )
      & ( v21614(VarCurr,bitIndex5)
      <=> v21618(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_5388,axiom,(
    ! [VarCurr] :
      ( ( v21614(VarCurr,bitIndex17)
      <=> v21615(VarCurr,bitIndex7) )
      & ( v21614(VarCurr,bitIndex16)
      <=> v21615(VarCurr,bitIndex6) )
      & ( v21614(VarCurr,bitIndex15)
      <=> v21615(VarCurr,bitIndex5) )
      & ( v21614(VarCurr,bitIndex14)
      <=> v21615(VarCurr,bitIndex4) )
      & ( v21614(VarCurr,bitIndex13)
      <=> v21615(VarCurr,bitIndex3) )
      & ( v21614(VarCurr,bitIndex12)
      <=> v21615(VarCurr,bitIndex2) )
      & ( v21614(VarCurr,bitIndex11)
      <=> v21615(VarCurr,bitIndex1) )
      & ( v21614(VarCurr,bitIndex10)
      <=> v21615(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_5387,axiom,(
    ! [VarCurr] :
      ( v21618(VarCurr,bitIndex0)
    <=> v21621(VarCurr,bitIndex0) ) )).

fof(addAssignment_5386,axiom,(
    ! [VarCurr] :
      ( ( v21618(VarCurr,bitIndex2)
      <=> $false )
      & ( v21618(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addAssignment_5385,axiom,(
    ! [VarCurr] :
      ( v21618(VarCurr,bitIndex3)
    <=> v21621(VarCurr,bitIndex3) ) )).

fof(addAssignment_5384,axiom,(
    ! [VarCurr] :
      ( v21618(VarCurr,bitIndex4)
    <=> v21620(VarCurr,bitIndex4) ) )).

fof(addAssignment_5383,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v21615(VarCurr,B)
      <=> v21617(VarCurr,B) ) ) )).

fof(addAssignment_5382,axiom,(
    ! [VarCurr] :
      ( ( v21615(VarCurr,bitIndex7)
      <=> $false )
      & ( v21615(VarCurr,bitIndex6)
      <=> $false )
      & ( v21615(VarCurr,bitIndex5)
      <=> $false )
      & ( v21615(VarCurr,bitIndex4)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_522,axiom,(
    ! [VarCurr] :
      ( ~ v21613(VarCurr)
     => ( v21609(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_463,axiom,(
    ! [VarCurr] :
      ( v21613(VarCurr)
     => ( v21609(VarCurr)
      <=> $true ) ) )).

fof(writeUnaryOperator_2175,axiom,(
    ! [VarCurr] :
      ( ~ v21613(VarCurr)
    <=> v21611(VarCurr) ) )).

fof(addAssignment_5381,axiom,(
    ! [VarCurr] :
      ( v21611(VarCurr)
    <=> v13076(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4884,axiom,(
    ! [VarCurr] :
      ( v21601(VarCurr)
    <=> ( v21605(VarCurr)
        & v21603(VarCurr) ) ) )).

fof(writeUnaryOperator_2174,axiom,(
    ! [VarCurr] :
      ( ~ v21605(VarCurr)
    <=> v13062(VarCurr) ) )).

fof(addAssignment_5380,axiom,(
    ! [VarCurr] :
      ( v21603(VarCurr)
    <=> v11600(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_521,axiom,(
    ! [VarCurr] :
      ( ~ v13066(VarCurr)
     => ( v21598(VarCurr)
      <=> v13062(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_462,axiom,(
    ! [VarCurr] :
      ( v13066(VarCurr)
     => ( v21598(VarCurr)
      <=> v2935(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_851,axiom,(
    ! [VarCurr] :
      ( v21588(VarCurr)
    <=> ( v21593(VarCurr)
        | v21590(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_850,axiom,(
    ! [VarCurr] :
      ( v21593(VarCurr)
    <=> ( v21594(VarCurr)
        | v21590(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_849,axiom,(
    ! [VarCurr] :
      ( v21594(VarCurr)
    <=> ( v21595(VarCurr)
        | v21590(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_848,axiom,(
    ! [VarCurr] :
      ( v21595(VarCurr)
    <=> ( v21596(VarCurr)
        | v21590(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_847,axiom,(
    ! [VarCurr] :
      ( v21596(VarCurr)
    <=> ( v21590(VarCurr,bitIndex0)
        | v21590(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_846,axiom,(
    ! [VarCurr] :
      ( v21578(VarCurr)
    <=> ( v21583(VarCurr)
        | v21580(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_845,axiom,(
    ! [VarCurr] :
      ( v21583(VarCurr)
    <=> ( v21584(VarCurr)
        | v21580(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_844,axiom,(
    ! [VarCurr] :
      ( v21584(VarCurr)
    <=> ( v21585(VarCurr)
        | v21580(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_843,axiom,(
    ! [VarCurr] :
      ( v21585(VarCurr)
    <=> ( v21586(VarCurr)
        | v21580(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_842,axiom,(
    ! [VarCurr] :
      ( v21586(VarCurr)
    <=> ( v21580(VarCurr,bitIndex0)
        | v21580(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4883,axiom,(
    ! [VarCurr] :
      ( v21561(VarCurr)
    <=> ( v21565(VarCurr)
        & v21563(VarCurr,bitIndex0) ) ) )).

fof(writeUnaryOperator_2173,axiom,(
    ! [VarCurr] :
      ( ~ v21565(VarCurr)
    <=> v21566(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_841,axiom,(
    ! [VarCurr] :
      ( v21566(VarCurr)
    <=> ( v21568(VarCurr)
        | v21563(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_840,axiom,(
    ! [VarCurr] :
      ( v21568(VarCurr)
    <=> ( v21569(VarCurr)
        | v21563(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_839,axiom,(
    ! [VarCurr] :
      ( v21569(VarCurr)
    <=> ( v21570(VarCurr)
        | v21563(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_838,axiom,(
    ! [VarCurr] :
      ( v21570(VarCurr)
    <=> ( v21563(VarCurr,bitIndex1)
        | v21563(VarCurr,bitIndex2) ) ) )).

fof(addAssignment_5379,axiom,(
    ! [VarCurr] :
      ( v13092(VarCurr)
    <=> v13094(VarCurr) ) )).

fof(addAssignment_5378,axiom,(
    ! [VarCurr] :
      ( v13094(VarCurr)
    <=> v13096(VarCurr) ) )).

fof(addAssignment_5377,axiom,(
    ! [VarCurr] :
      ( v13096(VarCurr)
    <=> v13098(VarCurr) ) )).

fof(addAssignment_5376,axiom,(
    ! [VarCurr] :
      ( v13098(VarCurr)
    <=> v13100(VarCurr) ) )).

fof(addAssignment_5375,axiom,(
    ! [VarCurr] :
      ( v13100(VarCurr)
    <=> v13102(VarCurr) ) )).

fof(addAssignment_5374,axiom,(
    ! [VarCurr] :
      ( v13102(VarCurr)
    <=> v13104(VarCurr) ) )).

fof(addAssignment_5373,axiom,(
    ! [VarCurr] :
      ( v13104(VarCurr)
    <=> v13106(VarCurr) ) )).

fof(addAssignment_5372,axiom,(
    ! [VarCurr] :
      ( v13106(VarCurr)
    <=> v13108(VarCurr,bitIndex4) ) )).

fof(addAssignment_5371,axiom,(
    ! [VarNext] :
      ( v13108(VarNext,bitIndex4)
    <=> v21543(VarNext,bitIndex4) ) )).

fof(addCaseBooleanConditionEqualRanges1_225,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21544(VarNext)
       => ! [B] :
            ( range_5_0(B)
           => ( v21543(VarNext,B)
            <=> v13108(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_247,axiom,(
    ! [VarNext] :
      ( v21544(VarNext)
     => ! [B] :
          ( range_5_0(B)
         => ( v21543(VarNext,B)
          <=> v13202(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4882,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21544(VarNext)
      <=> v21545(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4881,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21545(VarNext)
      <=> ( v21547(VarNext)
          & v13183(VarNext) ) ) ) )).

fof(writeUnaryOperator_2172,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21547(VarNext)
      <=> v13196(VarNext) ) ) )).

fof(addAssignment_5370,axiom,(
    ! [VarCurr] :
      ( v13118(VarCurr,bitIndex4)
    <=> v13168(VarCurr,bitIndex4) ) )).

fof(addAssignment_5369,axiom,(
    ! [VarCurr] :
      ( v13165(VarCurr,bitIndex4)
    <=> v13166(VarCurr,bitIndex4) ) )).

fof(addAssignment_5368,axiom,(
    ! [VarCurr] :
      ( v13154(VarCurr)
    <=> v13156(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_520,axiom,(
    ! [VarCurr] :
      ( ~ v21530(VarCurr)
     => ( v13156(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_461,axiom,(
    ! [VarCurr] :
      ( v21530(VarCurr)
     => ( v13156(VarCurr)
      <=> v21538(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_624,axiom,(
    ! [VarCurr] :
      ( ~ v21532(VarCurr)
     => ( v21538(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_623,axiom,(
    ! [VarCurr] :
      ( v21532(VarCurr)
     => ( v21538(VarCurr)
      <=> v21539(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_263,axiom,(
    ! [VarCurr] :
      ( ( ~ v21474(VarCurr)
        & ~ v21303(VarCurr) )
     => ( v21539(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_623,axiom,(
    ! [VarCurr] :
      ( v21303(VarCurr)
     => ( v21539(VarCurr)
      <=> v21541(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_622,axiom,(
    ! [VarCurr] :
      ( v21474(VarCurr)
     => ( v21539(VarCurr)
      <=> v21540(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_519,axiom,(
    ! [VarCurr] :
      ( ~ v13675(VarCurr)
     => ( v21541(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_460,axiom,(
    ! [VarCurr] :
      ( v13675(VarCurr)
     => ( v21541(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_518,axiom,(
    ! [VarCurr] :
      ( ~ v21452(VarCurr)
     => ( v21540(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_459,axiom,(
    ! [VarCurr] :
      ( v21452(VarCurr)
     => ( v21540(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4880,axiom,(
    ! [VarCurr] :
      ( v21530(VarCurr)
    <=> ( v21531(VarCurr)
        & v21537(VarCurr) ) ) )).

fof(writeUnaryOperator_2171,axiom,(
    ! [VarCurr] :
      ( ~ v21537(VarCurr)
    <=> v21307(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4879,axiom,(
    ! [VarCurr] :
      ( v21531(VarCurr)
    <=> ( v21532(VarCurr)
        | v21536(VarCurr) ) ) )).

fof(writeUnaryOperator_2170,axiom,(
    ! [VarCurr] :
      ( ~ v21536(VarCurr)
    <=> v21304(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4878,axiom,(
    ! [VarCurr] :
      ( v21532(VarCurr)
    <=> ( v21533(VarCurr)
        & v21304(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4877,axiom,(
    ! [VarCurr] :
      ( v21533(VarCurr)
    <=> ( v21534(VarCurr)
        | v21535(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1541,axiom,(
    ! [VarCurr] :
      ( v21535(VarCurr)
    <=> ( ( v13158(VarCurr,bitIndex1)
        <=> $true )
        & ( v13158(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4876,axiom,(
    ! [VarCurr] :
      ( v21534(VarCurr)
    <=> ( v21474(VarCurr)
        | v21303(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_837,axiom,(
    ! [VarCurr] :
      ( v21452(VarCurr)
    <=> ( v21507(VarCurr)
        | v21454(VarCurr,bitIndex2) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_224,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21515(VarNext)
       => ! [B] :
            ( range_2_0(B)
           => ( v21454(VarNext,B)
            <=> v21454(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_246,axiom,(
    ! [VarNext] :
      ( v21515(VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v21454(VarNext,B)
          <=> v21523(VarNext,B) ) ) ) )).

fof(addAssignment_5367,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v21523(VarNext,B)
          <=> v21521(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_517,axiom,(
    ! [VarCurr] :
      ( ~ v21524(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v21521(VarCurr,B)
          <=> v21456(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_458,axiom,(
    ! [VarCurr] :
      ( v21524(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v21521(VarCurr,B)
          <=> b100(B) ) ) ) )).

fof(writeUnaryOperator_2169,axiom,(
    ! [VarCurr] :
      ( ~ v21524(VarCurr)
    <=> v13112(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4875,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21515(VarNext)
      <=> v21516(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4874,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21516(VarNext)
      <=> ( v21517(VarNext)
          & v13185(VarNext) ) ) ) )).

fof(writeUnaryOperator_2168,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21517(VarNext)
      <=> v21364(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_262,axiom,(
    ! [VarCurr] :
      ( ( ~ v21480(VarCurr)
        & ~ v21496(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v21456(VarCurr,B)
          <=> v21454(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_622,axiom,(
    ! [VarCurr] :
      ( v21496(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v21456(VarCurr,B)
          <=> v21498(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_621,axiom,(
    ! [VarCurr] :
      ( v21480(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v21456(VarCurr,B)
          <=> v21482(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4873,axiom,(
    ! [VarCurr] :
      ( v21508(VarCurr)
    <=> ( v21509(VarCurr)
        | v21511(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1540,axiom,(
    ! [VarCurr] :
      ( v21511(VarCurr)
    <=> ( ( v21512(VarCurr,bitIndex1)
        <=> $true )
        & ( v21512(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_5366,axiom,(
    ! [VarCurr] :
      ( v21512(VarCurr,bitIndex0)
    <=> v21469(VarCurr) ) )).

fof(addAssignment_5365,axiom,(
    ! [VarCurr] :
      ( v21512(VarCurr,bitIndex1)
    <=> v21458(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1539,axiom,(
    ! [VarCurr] :
      ( v21509(VarCurr)
    <=> ( ( v21510(VarCurr,bitIndex1)
        <=> $false )
        & ( v21510(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5364,axiom,(
    ! [VarCurr] :
      ( v21510(VarCurr,bitIndex0)
    <=> v21469(VarCurr) ) )).

fof(addAssignment_5363,axiom,(
    ! [VarCurr] :
      ( v21510(VarCurr,bitIndex1)
    <=> v21458(VarCurr) ) )).

fof(addAssignment_5362,axiom,(
    ! [VarCurr] :
      ( v21498(VarCurr,bitIndex0)
    <=> v21494(VarCurr) ) )).

fof(addAssignment_5361,axiom,(
    ! [VarCurr] :
      ( v21498(VarCurr,bitIndex1)
    <=> v21505(VarCurr) ) )).

fof(addAssignment_5360,axiom,(
    ! [VarCurr] :
      ( v21498(VarCurr,bitIndex2)
    <=> v21500(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4872,axiom,(
    ! [VarCurr] :
      ( v21505(VarCurr)
    <=> ( v21506(VarCurr)
        & v21507(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_836,axiom,(
    ! [VarCurr] :
      ( v21507(VarCurr)
    <=> ( v21454(VarCurr,bitIndex0)
        | v21454(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4871,axiom,(
    ! [VarCurr] :
      ( v21506(VarCurr)
    <=> ( v21494(VarCurr)
        | v21489(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4870,axiom,(
    ! [VarCurr] :
      ( v21500(VarCurr)
    <=> ( v21501(VarCurr)
        & v21504(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_835,axiom,(
    ! [VarCurr] :
      ( v21504(VarCurr)
    <=> ( v21454(VarCurr,bitIndex2)
        | v21503(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4869,axiom,(
    ! [VarCurr] :
      ( v21501(VarCurr)
    <=> ( v21491(VarCurr)
        | v21502(VarCurr) ) ) )).

fof(writeUnaryOperator_2167,axiom,(
    ! [VarCurr] :
      ( ~ v21502(VarCurr)
    <=> v21503(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_834,axiom,(
    ! [VarCurr] :
      ( v21503(VarCurr)
    <=> ( v21454(VarCurr,bitIndex0)
        & v21454(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_1538,axiom,(
    ! [VarCurr] :
      ( v21496(VarCurr)
    <=> ( ( v21497(VarCurr,bitIndex1)
        <=> $true )
        & ( v21497(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5359,axiom,(
    ! [VarCurr] :
      ( v21497(VarCurr,bitIndex0)
    <=> v21469(VarCurr) ) )).

fof(addAssignment_5358,axiom,(
    ! [VarCurr] :
      ( v21497(VarCurr,bitIndex1)
    <=> v21458(VarCurr) ) )).

fof(addAssignment_5357,axiom,(
    ! [VarCurr] :
      ( v21482(VarCurr,bitIndex0)
    <=> v21494(VarCurr) ) )).

fof(addAssignment_5356,axiom,(
    ! [VarCurr] :
      ( v21482(VarCurr,bitIndex1)
    <=> v21492(VarCurr) ) )).

fof(addAssignment_5355,axiom,(
    ! [VarCurr] :
      ( v21482(VarCurr,bitIndex2)
    <=> v21484(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4868,axiom,(
    ! [VarCurr] :
      ( v21492(VarCurr)
    <=> ( v21493(VarCurr)
        & v21495(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4867,axiom,(
    ! [VarCurr] :
      ( v21495(VarCurr)
    <=> ( v21454(VarCurr,bitIndex0)
        | v21489(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_833,axiom,(
    ! [VarCurr] :
      ( v21493(VarCurr)
    <=> ( v21494(VarCurr)
        | v21454(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_2166,axiom,(
    ! [VarCurr] :
      ( ~ v21494(VarCurr)
    <=> v21454(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4866,axiom,(
    ! [VarCurr] :
      ( v21484(VarCurr)
    <=> ( v21485(VarCurr)
        & v21490(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4865,axiom,(
    ! [VarCurr] :
      ( v21490(VarCurr)
    <=> ( v21487(VarCurr)
        | v21491(VarCurr) ) ) )).

fof(writeUnaryOperator_2165,axiom,(
    ! [VarCurr] :
      ( ~ v21491(VarCurr)
    <=> v21454(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_832,axiom,(
    ! [VarCurr] :
      ( v21485(VarCurr)
    <=> ( v21486(VarCurr)
        | v21454(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_2164,axiom,(
    ! [VarCurr] :
      ( ~ v21486(VarCurr)
    <=> v21487(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_831,axiom,(
    ! [VarCurr] :
      ( v21487(VarCurr)
    <=> ( v21454(VarCurr,bitIndex1)
        | v21488(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4864,axiom,(
    ! [VarCurr] :
      ( v21488(VarCurr)
    <=> ( v21454(VarCurr,bitIndex0)
        & v21489(VarCurr) ) ) )).

fof(writeUnaryOperator_2163,axiom,(
    ! [VarCurr] :
      ( ~ v21489(VarCurr)
    <=> v21454(VarCurr,bitIndex1) ) )).

fof(addBitVectorEqualityBitBlasted_1537,axiom,(
    ! [VarCurr] :
      ( v21480(VarCurr)
    <=> ( ( v21481(VarCurr,bitIndex1)
        <=> $false )
        & ( v21481(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_5354,axiom,(
    ! [VarCurr] :
      ( v21481(VarCurr,bitIndex0)
    <=> v21469(VarCurr) ) )).

fof(addAssignment_5353,axiom,(
    ! [VarCurr] :
      ( v21481(VarCurr,bitIndex1)
    <=> v21458(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_516,axiom,(
    ! [VarCurr] :
      ( ~ v21471(VarCurr)
     => ( v21469(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_457,axiom,(
    ! [VarCurr] :
      ( v21471(VarCurr)
     => ( v21469(VarCurr)
      <=> v21477(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_621,axiom,(
    ! [VarCurr] :
      ( ~ v21473(VarCurr)
     => ( v21477(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_620,axiom,(
    ! [VarCurr] :
      ( v21473(VarCurr)
     => ( v21477(VarCurr)
      <=> v21478(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_515,axiom,(
    ! [VarCurr] :
      ( ~ v21452(VarCurr)
     => ( v21478(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_456,axiom,(
    ! [VarCurr] :
      ( v21452(VarCurr)
     => ( v21478(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4863,axiom,(
    ! [VarCurr] :
      ( v21471(VarCurr)
    <=> ( v21472(VarCurr)
        & v21476(VarCurr) ) ) )).

fof(writeUnaryOperator_2162,axiom,(
    ! [VarCurr] :
      ( ~ v21476(VarCurr)
    <=> v21307(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4862,axiom,(
    ! [VarCurr] :
      ( v21472(VarCurr)
    <=> ( v21473(VarCurr)
        | v21475(VarCurr) ) ) )).

fof(writeUnaryOperator_2161,axiom,(
    ! [VarCurr] :
      ( ~ v21475(VarCurr)
    <=> v21304(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4861,axiom,(
    ! [VarCurr] :
      ( v21473(VarCurr)
    <=> ( v21474(VarCurr)
        & v21304(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1536,axiom,(
    ! [VarCurr] :
      ( v21474(VarCurr)
    <=> ( ( v13158(VarCurr,bitIndex1)
        <=> $false )
        & ( v13158(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5352,axiom,(
    ! [VarCurr] :
      ( v21458(VarCurr)
    <=> v21460(VarCurr) ) )).

fof(addAssignment_5351,axiom,(
    ! [VarCurr] :
      ( v21460(VarCurr)
    <=> v21462(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_514,axiom,(
    ! [VarCurr] :
      ( ~ v21464(VarCurr)
     => ( v21462(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_455,axiom,(
    ! [VarCurr] :
      ( v21464(VarCurr)
     => ( v21462(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4860,axiom,(
    ! [VarCurr] :
      ( v21464(VarCurr)
    <=> ( v21465(VarCurr)
        | v21467(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1535,axiom,(
    ! [VarCurr] :
      ( v21467(VarCurr)
    <=> ( $true
      <=> v20813(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4859,axiom,(
    ! [VarCurr] :
      ( v21465(VarCurr)
    <=> ( v21466(VarCurr)
        & v20838(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4858,axiom,(
    ! [VarCurr] :
      ( v21466(VarCurr)
    <=> ( v20835(VarCurr)
        & v20836(VarCurr) ) ) )).

fof(addAssignment_5350,axiom,(
    ! [VarCurr] :
      ( v13575(VarCurr)
    <=> v13577(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1534,axiom,(
    ! [VarCurr] :
      ( v13577(VarCurr)
    <=> ( ( v13579(VarCurr,bitIndex2)
        <=> $false )
        & ( v13579(VarCurr,bitIndex1)
        <=> $false )
        & ( v13579(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_223,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21436(VarNext)
       => ! [B] :
            ( range_2_0(B)
           => ( v13579(VarNext,B)
            <=> v13579(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_245,axiom,(
    ! [VarNext] :
      ( v21436(VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v13579(VarNext,B)
          <=> v21446(VarNext,B) ) ) ) )).

fof(addAssignment_5349,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v21446(VarNext,B)
          <=> v21444(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_513,axiom,(
    ! [VarCurr] :
      ( ~ v21447(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v21444(VarCurr,B)
          <=> v13583(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_454,axiom,(
    ! [VarCurr] :
      ( v21447(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v21444(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_2160,axiom,(
    ! [VarCurr] :
      ( ~ v21447(VarCurr)
    <=> v13581(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4857,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21436(VarNext)
      <=> v21437(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4856,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21437(VarNext)
      <=> ( v21438(VarNext)
          & v21433(VarNext) ) ) ) )).

fof(writeUnaryOperator_2159,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21438(VarNext)
      <=> v21440(VarNext) ) ) )).

fof(addAssignment_5348,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21440(VarNext)
      <=> v21433(VarCurr) ) ) )).

fof(addAssignment_5347,axiom,(
    ! [VarCurr] :
      ( v21433(VarCurr)
    <=> v13185(VarCurr) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_52,axiom,(
    ! [VarCurr] :
      ( ( ~ v21384(VarCurr)
        & ~ v21386(VarCurr)
        & ~ v21413(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v13583(VarCurr,B)
          <=> v13579(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_261,axiom,(
    ! [VarCurr] :
      ( v21413(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v13583(VarCurr,B)
          <=> v21415(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_620,axiom,(
    ! [VarCurr] :
      ( v21386(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v13583(VarCurr,B)
          <=> v21388(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_619,axiom,(
    ! [VarCurr] :
      ( v21384(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v13583(VarCurr,B)
          <=> v13579(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1533,axiom,(
    ! [VarCurr] :
      ( v21430(VarCurr)
    <=> ( ( v21431(VarCurr,bitIndex1)
        <=> $true )
        & ( v21431(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_5346,axiom,(
    ! [VarCurr] :
      ( v21431(VarCurr,bitIndex0)
    <=> v13669(VarCurr) ) )).

fof(addAssignment_5345,axiom,(
    ! [VarCurr] :
      ( v21431(VarCurr,bitIndex1)
    <=> v13585(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_512,axiom,(
    ! [VarCurr] :
      ( ~ v21416(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v21415(VarCurr,B)
          <=> v21417(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_453,axiom,(
    ! [VarCurr] :
      ( v21416(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v21415(VarCurr,B)
          <=> b100(B) ) ) ) )).

fof(addAssignment_5344,axiom,(
    ! [VarCurr] :
      ( v21417(VarCurr,bitIndex0)
    <=> v21427(VarCurr) ) )).

fof(addAssignment_5343,axiom,(
    ! [VarCurr] :
      ( v21417(VarCurr,bitIndex1)
    <=> v21425(VarCurr) ) )).

fof(addAssignment_5342,axiom,(
    ! [VarCurr] :
      ( v21417(VarCurr,bitIndex2)
    <=> v21419(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4855,axiom,(
    ! [VarCurr] :
      ( v21425(VarCurr)
    <=> ( v21426(VarCurr)
        & v21429(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_830,axiom,(
    ! [VarCurr] :
      ( v21429(VarCurr)
    <=> ( v13579(VarCurr,bitIndex0)
        | v13579(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4854,axiom,(
    ! [VarCurr] :
      ( v21426(VarCurr)
    <=> ( v21427(VarCurr)
        | v21428(VarCurr) ) ) )).

fof(writeUnaryOperator_2158,axiom,(
    ! [VarCurr] :
      ( ~ v21428(VarCurr)
    <=> v13579(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2157,axiom,(
    ! [VarCurr] :
      ( ~ v21427(VarCurr)
    <=> v13579(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4853,axiom,(
    ! [VarCurr] :
      ( v21419(VarCurr)
    <=> ( v21420(VarCurr)
        & v21424(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_829,axiom,(
    ! [VarCurr] :
      ( v21424(VarCurr)
    <=> ( v21422(VarCurr)
        | v13579(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4852,axiom,(
    ! [VarCurr] :
      ( v21420(VarCurr)
    <=> ( v21421(VarCurr)
        | v21423(VarCurr) ) ) )).

fof(writeUnaryOperator_2156,axiom,(
    ! [VarCurr] :
      ( ~ v21423(VarCurr)
    <=> v13579(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_2155,axiom,(
    ! [VarCurr] :
      ( ~ v21421(VarCurr)
    <=> v21422(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_828,axiom,(
    ! [VarCurr] :
      ( v21422(VarCurr)
    <=> ( v13579(VarCurr,bitIndex0)
        & v13579(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_1532,axiom,(
    ! [VarCurr] :
      ( v21416(VarCurr)
    <=> ( ( v13579(VarCurr,bitIndex2)
        <=> $true )
        & ( v13579(VarCurr,bitIndex1)
        <=> $false )
        & ( v13579(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1531,axiom,(
    ! [VarCurr] :
      ( v21413(VarCurr)
    <=> ( ( v21414(VarCurr,bitIndex1)
        <=> $true )
        & ( v21414(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5341,axiom,(
    ! [VarCurr] :
      ( v21414(VarCurr,bitIndex0)
    <=> v13669(VarCurr) ) )).

fof(addAssignment_5340,axiom,(
    ! [VarCurr] :
      ( v21414(VarCurr,bitIndex1)
    <=> v13585(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_511,axiom,(
    ! [VarCurr] :
      ( ~ v21389(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v21388(VarCurr,B)
          <=> v21390(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_452,axiom,(
    ! [VarCurr] :
      ( v21389(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v21388(VarCurr,B)
          <=> $false ) ) ) )).

fof(addSignExtensionConstraint_80,axiom,(
    ! [VarCurr] :
      ( v21390(VarCurr,bitIndex4)
    <=> v21391(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_79,axiom,(
    ! [VarCurr] :
      ( v21390(VarCurr,bitIndex5)
    <=> v21391(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_78,axiom,(
    ! [VarCurr] :
      ( v21390(VarCurr,bitIndex6)
    <=> v21391(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_77,axiom,(
    ! [VarCurr] :
      ( v21390(VarCurr,bitIndex7)
    <=> v21391(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_76,axiom,(
    ! [VarCurr] :
      ( v21390(VarCurr,bitIndex8)
    <=> v21391(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_75,axiom,(
    ! [VarCurr] :
      ( v21390(VarCurr,bitIndex9)
    <=> v21391(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_74,axiom,(
    ! [VarCurr] :
      ( v21390(VarCurr,bitIndex10)
    <=> v21391(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_73,axiom,(
    ! [VarCurr] :
      ( v21390(VarCurr,bitIndex11)
    <=> v21391(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_72,axiom,(
    ! [VarCurr] :
      ( v21390(VarCurr,bitIndex12)
    <=> v21391(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_71,axiom,(
    ! [VarCurr] :
      ( v21390(VarCurr,bitIndex13)
    <=> v21391(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_70,axiom,(
    ! [VarCurr] :
      ( v21390(VarCurr,bitIndex14)
    <=> v21391(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_69,axiom,(
    ! [VarCurr] :
      ( v21390(VarCurr,bitIndex15)
    <=> v21391(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_68,axiom,(
    ! [VarCurr] :
      ( v21390(VarCurr,bitIndex16)
    <=> v21391(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_67,axiom,(
    ! [VarCurr] :
      ( v21390(VarCurr,bitIndex17)
    <=> v21391(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_66,axiom,(
    ! [VarCurr] :
      ( v21390(VarCurr,bitIndex18)
    <=> v21391(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_65,axiom,(
    ! [VarCurr] :
      ( v21390(VarCurr,bitIndex19)
    <=> v21391(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_64,axiom,(
    ! [VarCurr] :
      ( v21390(VarCurr,bitIndex20)
    <=> v21391(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_63,axiom,(
    ! [VarCurr] :
      ( v21390(VarCurr,bitIndex21)
    <=> v21391(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_62,axiom,(
    ! [VarCurr] :
      ( v21390(VarCurr,bitIndex22)
    <=> v21391(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_61,axiom,(
    ! [VarCurr] :
      ( v21390(VarCurr,bitIndex23)
    <=> v21391(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_60,axiom,(
    ! [VarCurr] :
      ( v21390(VarCurr,bitIndex24)
    <=> v21391(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_59,axiom,(
    ! [VarCurr] :
      ( v21390(VarCurr,bitIndex25)
    <=> v21391(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_58,axiom,(
    ! [VarCurr] :
      ( v21390(VarCurr,bitIndex26)
    <=> v21391(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_57,axiom,(
    ! [VarCurr] :
      ( v21390(VarCurr,bitIndex27)
    <=> v21391(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_56,axiom,(
    ! [VarCurr] :
      ( v21390(VarCurr,bitIndex28)
    <=> v21391(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_55,axiom,(
    ! [VarCurr] :
      ( v21390(VarCurr,bitIndex29)
    <=> v21391(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_54,axiom,(
    ! [VarCurr] :
      ( v21390(VarCurr,bitIndex30)
    <=> v21391(VarCurr,bitIndex3) ) )).

fof(addSignExtensionConstraint_53,axiom,(
    ! [VarCurr] :
      ( v21390(VarCurr,bitIndex31)
    <=> v21391(VarCurr,bitIndex3) ) )).

fof(addAssignment_5339,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v21390(VarCurr,B)
      <=> v21391(VarCurr,B) ) ) )).

fof(addAssignment_5338,axiom,(
    ! [VarCurr] :
      ( v21391(VarCurr,bitIndex0)
    <=> v21411(VarCurr) ) )).

fof(addAssignment_5337,axiom,(
    ! [VarCurr] :
      ( v21391(VarCurr,bitIndex1)
    <=> v21409(VarCurr) ) )).

fof(addAssignment_5336,axiom,(
    ! [VarCurr] :
      ( v21391(VarCurr,bitIndex2)
    <=> v21405(VarCurr) ) )).

fof(addAssignment_5335,axiom,(
    ! [VarCurr] :
      ( v21391(VarCurr,bitIndex3)
    <=> v21393(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4851,axiom,(
    ! [VarCurr] :
      ( v21409(VarCurr)
    <=> ( v21410(VarCurr)
        & v21412(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4850,axiom,(
    ! [VarCurr] :
      ( v21412(VarCurr)
    <=> ( v21397(VarCurr,bitIndex0)
        | v21401(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_827,axiom,(
    ! [VarCurr] :
      ( v21410(VarCurr)
    <=> ( v21411(VarCurr)
        | v21397(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_2154,axiom,(
    ! [VarCurr] :
      ( ~ v21411(VarCurr)
    <=> v21397(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4849,axiom,(
    ! [VarCurr] :
      ( v21405(VarCurr)
    <=> ( v21406(VarCurr)
        & v21408(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4848,axiom,(
    ! [VarCurr] :
      ( v21408(VarCurr)
    <=> ( v21399(VarCurr)
        | v21402(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_826,axiom,(
    ! [VarCurr] :
      ( v21406(VarCurr)
    <=> ( v21407(VarCurr)
        | v21397(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_2153,axiom,(
    ! [VarCurr] :
      ( ~ v21407(VarCurr)
    <=> v21399(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4847,axiom,(
    ! [VarCurr] :
      ( v21393(VarCurr)
    <=> ( v21394(VarCurr)
        & v21403(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4846,axiom,(
    ! [VarCurr] :
      ( v21403(VarCurr)
    <=> ( v21396(VarCurr)
        | v21404(VarCurr) ) ) )).

fof(writeUnaryOperator_2152,axiom,(
    ! [VarCurr] :
      ( ~ v21404(VarCurr)
    <=> v21397(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_825,axiom,(
    ! [VarCurr] :
      ( v21394(VarCurr)
    <=> ( v21395(VarCurr)
        | v21397(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_2151,axiom,(
    ! [VarCurr] :
      ( ~ v21395(VarCurr)
    <=> v21396(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_824,axiom,(
    ! [VarCurr] :
      ( v21396(VarCurr)
    <=> ( v21397(VarCurr,bitIndex2)
        | v21398(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4845,axiom,(
    ! [VarCurr] :
      ( v21398(VarCurr)
    <=> ( v21399(VarCurr)
        & v21402(VarCurr) ) ) )).

fof(writeUnaryOperator_2150,axiom,(
    ! [VarCurr] :
      ( ~ v21402(VarCurr)
    <=> v21397(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_823,axiom,(
    ! [VarCurr] :
      ( v21399(VarCurr)
    <=> ( v21397(VarCurr,bitIndex1)
        | v21400(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4844,axiom,(
    ! [VarCurr] :
      ( v21400(VarCurr)
    <=> ( v21397(VarCurr,bitIndex0)
        & v21401(VarCurr) ) ) )).

fof(writeUnaryOperator_2149,axiom,(
    ! [VarCurr] :
      ( ~ v21401(VarCurr)
    <=> v21397(VarCurr,bitIndex1) ) )).

fof(addZeroExtensionConstraint_5,axiom,(
    ! [VarCurr] : ~ v21397(VarCurr,bitIndex3) )).

fof(addAssignment_5334,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v21397(VarCurr,B)
      <=> v13579(VarCurr,B) ) ) )).

fof(addBitVectorEqualityBitBlasted_1530,axiom,(
    ! [VarCurr] :
      ( v21389(VarCurr)
    <=> ( ( v13579(VarCurr,bitIndex2)
        <=> $false )
        & ( v13579(VarCurr,bitIndex1)
        <=> $false )
        & ( v13579(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1529,axiom,(
    ! [VarCurr] :
      ( v21386(VarCurr)
    <=> ( ( v21387(VarCurr,bitIndex1)
        <=> $false )
        & ( v21387(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_5333,axiom,(
    ! [VarCurr] :
      ( v21387(VarCurr,bitIndex0)
    <=> v13669(VarCurr) ) )).

fof(addAssignment_5332,axiom,(
    ! [VarCurr] :
      ( v21387(VarCurr,bitIndex1)
    <=> v13585(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1528,axiom,(
    ! [VarCurr] :
      ( v21384(VarCurr)
    <=> ( ( v21385(VarCurr,bitIndex1)
        <=> $false )
        & ( v21385(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5331,axiom,(
    ! [VarCurr] :
      ( v21385(VarCurr,bitIndex0)
    <=> v13669(VarCurr) ) )).

fof(addAssignment_5330,axiom,(
    ! [VarCurr] :
      ( v21385(VarCurr,bitIndex1)
    <=> v13585(VarCurr) ) )).

fof(addAssignment_5329,axiom,(
    ! [VarCurr] :
      ( v13669(VarCurr)
    <=> v13671(VarCurr) ) )).

fof(addAssignment_5328,axiom,(
    ! [VarCurr] :
      ( v13671(VarCurr)
    <=> v13673(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_510,axiom,(
    ! [VarCurr] :
      ( ~ v21378(VarCurr)
     => ( v13673(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_451,axiom,(
    ! [VarCurr] :
      ( v21378(VarCurr)
     => ( v13673(VarCurr)
      <=> v21382(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_619,axiom,(
    ! [VarCurr] :
      ( ~ v21307(VarCurr)
     => ( v21382(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_618,axiom,(
    ! [VarCurr] :
      ( v21307(VarCurr)
     => ( v21382(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4843,axiom,(
    ! [VarCurr] :
      ( v21378(VarCurr)
    <=> ( v21307(VarCurr)
        | v21379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4842,axiom,(
    ! [VarCurr] :
      ( v21379(VarCurr)
    <=> ( v21380(VarCurr)
        & v21381(VarCurr) ) ) )).

fof(writeUnaryOperator_2148,axiom,(
    ! [VarCurr] :
      ( ~ v21381(VarCurr)
    <=> v21307(VarCurr) ) )).

fof(writeUnaryOperator_2147,axiom,(
    ! [VarCurr] :
      ( ~ v21380(VarCurr)
    <=> v21304(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_822,axiom,(
    ! [VarCurr] :
      ( v13675(VarCurr)
    <=> ( v21376(VarCurr)
        | v13677(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_821,axiom,(
    ! [VarCurr] :
      ( v21376(VarCurr)
    <=> ( v21352(VarCurr)
        | v13677(VarCurr,bitIndex2) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_222,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21360(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v13677(VarNext,B)
            <=> v13677(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_244,axiom,(
    ! [VarNext] :
      ( v21360(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v13677(VarNext,B)
          <=> v21370(VarNext,B) ) ) ) )).

fof(addAssignment_5327,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v21370(VarNext,B)
          <=> v21368(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_509,axiom,(
    ! [VarCurr] :
      ( ~ v21371(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v21368(VarCurr,B)
          <=> v13679(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_450,axiom,(
    ! [VarCurr] :
      ( v21371(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v21368(VarCurr,B)
          <=> b1000(B) ) ) ) )).

fof(writeUnaryOperator_2146,axiom,(
    ! [VarCurr] :
      ( ~ v21371(VarCurr)
    <=> v13112(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4841,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21360(VarNext)
      <=> v21361(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4840,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21361(VarNext)
      <=> ( v21362(VarNext)
          & v13185(VarNext) ) ) ) )).

fof(writeUnaryOperator_2145,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21362(VarNext)
      <=> v21364(VarNext) ) ) )).

fof(addAssignment_5326,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21364(VarNext)
      <=> v13185(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_260,axiom,(
    ! [VarCurr] :
      ( ( ~ v21313(VarCurr)
        & ~ v21336(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v13679(VarCurr,B)
          <=> v13677(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_618,axiom,(
    ! [VarCurr] :
      ( v21336(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v13679(VarCurr,B)
          <=> v21338(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_617,axiom,(
    ! [VarCurr] :
      ( v21313(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v13679(VarCurr,B)
          <=> v21315(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4839,axiom,(
    ! [VarCurr] :
      ( v21353(VarCurr)
    <=> ( v21354(VarCurr)
        | v21356(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1527,axiom,(
    ! [VarCurr] :
      ( v21356(VarCurr)
    <=> ( ( v21357(VarCurr,bitIndex1)
        <=> $true )
        & ( v21357(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_5325,axiom,(
    ! [VarCurr] :
      ( v21357(VarCurr,bitIndex0)
    <=> v21296(VarCurr) ) )).

fof(addAssignment_5324,axiom,(
    ! [VarCurr] :
      ( v21357(VarCurr,bitIndex1)
    <=> v13681(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1526,axiom,(
    ! [VarCurr] :
      ( v21354(VarCurr)
    <=> ( ( v21355(VarCurr,bitIndex1)
        <=> $false )
        & ( v21355(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5323,axiom,(
    ! [VarCurr] :
      ( v21355(VarCurr,bitIndex0)
    <=> v21296(VarCurr) ) )).

fof(addAssignment_5322,axiom,(
    ! [VarCurr] :
      ( v21355(VarCurr,bitIndex1)
    <=> v13681(VarCurr) ) )).

fof(addAssignment_5321,axiom,(
    ! [VarCurr] :
      ( v21338(VarCurr,bitIndex0)
    <=> v21334(VarCurr) ) )).

fof(addAssignment_5320,axiom,(
    ! [VarCurr] :
      ( v21338(VarCurr,bitIndex1)
    <=> v21350(VarCurr) ) )).

fof(addAssignment_5319,axiom,(
    ! [VarCurr] :
      ( v21338(VarCurr,bitIndex2)
    <=> v21346(VarCurr) ) )).

fof(addAssignment_5318,axiom,(
    ! [VarCurr] :
      ( v21338(VarCurr,bitIndex3)
    <=> v21340(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4838,axiom,(
    ! [VarCurr] :
      ( v21350(VarCurr)
    <=> ( v21351(VarCurr)
        & v21352(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_820,axiom,(
    ! [VarCurr] :
      ( v21352(VarCurr)
    <=> ( v13677(VarCurr,bitIndex0)
        | v13677(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4837,axiom,(
    ! [VarCurr] :
      ( v21351(VarCurr)
    <=> ( v21334(VarCurr)
        | v21324(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4836,axiom,(
    ! [VarCurr] :
      ( v21346(VarCurr)
    <=> ( v21347(VarCurr)
        & v21349(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_819,axiom,(
    ! [VarCurr] :
      ( v21349(VarCurr)
    <=> ( v13677(VarCurr,bitIndex2)
        | v21344(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4835,axiom,(
    ! [VarCurr] :
      ( v21347(VarCurr)
    <=> ( v21325(VarCurr)
        | v21348(VarCurr) ) ) )).

fof(writeUnaryOperator_2144,axiom,(
    ! [VarCurr] :
      ( ~ v21348(VarCurr)
    <=> v21344(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4834,axiom,(
    ! [VarCurr] :
      ( v21340(VarCurr)
    <=> ( v21341(VarCurr)
        & v21345(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_818,axiom,(
    ! [VarCurr] :
      ( v21345(VarCurr)
    <=> ( v13677(VarCurr,bitIndex3)
        | v21343(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4833,axiom,(
    ! [VarCurr] :
      ( v21341(VarCurr)
    <=> ( v21327(VarCurr)
        | v21342(VarCurr) ) ) )).

fof(writeUnaryOperator_2143,axiom,(
    ! [VarCurr] :
      ( ~ v21342(VarCurr)
    <=> v21343(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_817,axiom,(
    ! [VarCurr] :
      ( v21343(VarCurr)
    <=> ( v13677(VarCurr,bitIndex2)
        & v21344(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_816,axiom,(
    ! [VarCurr] :
      ( v21344(VarCurr)
    <=> ( v13677(VarCurr,bitIndex0)
        & v13677(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_1525,axiom,(
    ! [VarCurr] :
      ( v21336(VarCurr)
    <=> ( ( v21337(VarCurr,bitIndex1)
        <=> $true )
        & ( v21337(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5317,axiom,(
    ! [VarCurr] :
      ( v21337(VarCurr,bitIndex0)
    <=> v21296(VarCurr) ) )).

fof(addAssignment_5316,axiom,(
    ! [VarCurr] :
      ( v21337(VarCurr,bitIndex1)
    <=> v13681(VarCurr) ) )).

fof(addAssignment_5315,axiom,(
    ! [VarCurr] :
      ( v21315(VarCurr,bitIndex0)
    <=> v21334(VarCurr) ) )).

fof(addAssignment_5314,axiom,(
    ! [VarCurr] :
      ( v21315(VarCurr,bitIndex1)
    <=> v21332(VarCurr) ) )).

fof(addAssignment_5313,axiom,(
    ! [VarCurr] :
      ( v21315(VarCurr,bitIndex2)
    <=> v21328(VarCurr) ) )).

fof(addAssignment_5312,axiom,(
    ! [VarCurr] :
      ( v21315(VarCurr,bitIndex3)
    <=> v21317(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4832,axiom,(
    ! [VarCurr] :
      ( v21332(VarCurr)
    <=> ( v21333(VarCurr)
        & v21335(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4831,axiom,(
    ! [VarCurr] :
      ( v21335(VarCurr)
    <=> ( v13677(VarCurr,bitIndex0)
        | v21324(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_815,axiom,(
    ! [VarCurr] :
      ( v21333(VarCurr)
    <=> ( v21334(VarCurr)
        | v13677(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_2142,axiom,(
    ! [VarCurr] :
      ( ~ v21334(VarCurr)
    <=> v13677(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4830,axiom,(
    ! [VarCurr] :
      ( v21328(VarCurr)
    <=> ( v21329(VarCurr)
        & v21331(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4829,axiom,(
    ! [VarCurr] :
      ( v21331(VarCurr)
    <=> ( v21322(VarCurr)
        | v21325(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_814,axiom,(
    ! [VarCurr] :
      ( v21329(VarCurr)
    <=> ( v21330(VarCurr)
        | v13677(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_2141,axiom,(
    ! [VarCurr] :
      ( ~ v21330(VarCurr)
    <=> v21322(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4828,axiom,(
    ! [VarCurr] :
      ( v21317(VarCurr)
    <=> ( v21318(VarCurr)
        & v21326(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4827,axiom,(
    ! [VarCurr] :
      ( v21326(VarCurr)
    <=> ( v21320(VarCurr)
        | v21327(VarCurr) ) ) )).

fof(writeUnaryOperator_2140,axiom,(
    ! [VarCurr] :
      ( ~ v21327(VarCurr)
    <=> v13677(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_813,axiom,(
    ! [VarCurr] :
      ( v21318(VarCurr)
    <=> ( v21319(VarCurr)
        | v13677(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_2139,axiom,(
    ! [VarCurr] :
      ( ~ v21319(VarCurr)
    <=> v21320(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_812,axiom,(
    ! [VarCurr] :
      ( v21320(VarCurr)
    <=> ( v13677(VarCurr,bitIndex2)
        | v21321(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4826,axiom,(
    ! [VarCurr] :
      ( v21321(VarCurr)
    <=> ( v21322(VarCurr)
        & v21325(VarCurr) ) ) )).

fof(writeUnaryOperator_2138,axiom,(
    ! [VarCurr] :
      ( ~ v21325(VarCurr)
    <=> v13677(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_811,axiom,(
    ! [VarCurr] :
      ( v21322(VarCurr)
    <=> ( v13677(VarCurr,bitIndex1)
        | v21323(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4825,axiom,(
    ! [VarCurr] :
      ( v21323(VarCurr)
    <=> ( v13677(VarCurr,bitIndex0)
        & v21324(VarCurr) ) ) )).

fof(writeUnaryOperator_2137,axiom,(
    ! [VarCurr] :
      ( ~ v21324(VarCurr)
    <=> v13677(VarCurr,bitIndex1) ) )).

fof(addBitVectorEqualityBitBlasted_1524,axiom,(
    ! [VarCurr] :
      ( v21313(VarCurr)
    <=> ( ( v21314(VarCurr,bitIndex1)
        <=> $false )
        & ( v21314(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_5311,axiom,(
    ! [VarCurr] :
      ( v21314(VarCurr,bitIndex0)
    <=> v21296(VarCurr) ) )).

fof(addAssignment_5310,axiom,(
    ! [VarCurr] :
      ( v21314(VarCurr,bitIndex1)
    <=> v13681(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4824,axiom,(
    ! [VarCurr] :
      ( v21296(VarCurr)
    <=> ( v13673(VarCurr)
        | v21298(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_508,axiom,(
    ! [VarCurr] :
      ( ~ v21300(VarCurr)
     => ( v21298(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_449,axiom,(
    ! [VarCurr] :
      ( v21300(VarCurr)
     => ( v21298(VarCurr)
      <=> v21309(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_617,axiom,(
    ! [VarCurr] :
      ( ~ v21302(VarCurr)
     => ( v21309(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_616,axiom,(
    ! [VarCurr] :
      ( v21302(VarCurr)
     => ( v21309(VarCurr)
      <=> v21310(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_507,axiom,(
    ! [VarCurr] :
      ( ~ v13675(VarCurr)
     => ( v21310(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_448,axiom,(
    ! [VarCurr] :
      ( v13675(VarCurr)
     => ( v21310(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4823,axiom,(
    ! [VarCurr] :
      ( v21300(VarCurr)
    <=> ( v21301(VarCurr)
        & v21306(VarCurr) ) ) )).

fof(writeUnaryOperator_2136,axiom,(
    ! [VarCurr] :
      ( ~ v21306(VarCurr)
    <=> v21307(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4822,axiom,(
    ! [VarCurr] :
      ( v21307(VarCurr)
    <=> ( v21308(VarCurr)
        & v13675(VarCurr) ) ) )).

fof(writeUnaryOperator_2135,axiom,(
    ! [VarCurr] :
      ( ~ v21308(VarCurr)
    <=> v13575(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4821,axiom,(
    ! [VarCurr] :
      ( v21301(VarCurr)
    <=> ( v21302(VarCurr)
        | v21305(VarCurr) ) ) )).

fof(writeUnaryOperator_2134,axiom,(
    ! [VarCurr] :
      ( ~ v21305(VarCurr)
    <=> v21304(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4820,axiom,(
    ! [VarCurr] :
      ( v21302(VarCurr)
    <=> ( v21303(VarCurr)
        & v21304(VarCurr) ) ) )).

fof(writeUnaryOperator_2133,axiom,(
    ! [VarCurr] :
      ( ~ v21304(VarCurr)
    <=> v13160(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1523,axiom,(
    ! [VarCurr] :
      ( v21303(VarCurr)
    <=> ( ( v13158(VarCurr,bitIndex1)
        <=> $false )
        & ( v13158(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_5309,axiom,(
    ! [VarCurr] :
      ( v13681(VarCurr)
    <=> v13683(VarCurr) ) )).

fof(addAssignment_5308,axiom,(
    ! [VarCurr] :
      ( v13683(VarCurr)
    <=> v13685(VarCurr) ) )).

fof(addAssignment_5307,axiom,(
    ! [VarCurr] :
      ( v13685(VarCurr)
    <=> v13687(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_506,axiom,(
    ! [VarCurr] :
      ( ~ v21291(VarCurr)
     => ( v13687(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_447,axiom,(
    ! [VarCurr] :
      ( v21291(VarCurr)
     => ( v13687(VarCurr)
      <=> v21294(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_616,axiom,(
    ! [VarCurr] :
      ( ~ v20869(VarCurr)
     => ( v21294(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_615,axiom,(
    ! [VarCurr] :
      ( v20869(VarCurr)
     => ( v21294(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4819,axiom,(
    ! [VarCurr] :
      ( v21291(VarCurr)
    <=> ( v20869(VarCurr)
        | v21292(VarCurr) ) ) )).

fof(writeUnaryOperator_2132,axiom,(
    ! [VarCurr] :
      ( ~ v21292(VarCurr)
    <=> v21293(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4818,axiom,(
    ! [VarCurr] :
      ( v21293(VarCurr)
    <=> ( v20865(VarCurr)
        | v20869(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4817,axiom,(
    ! [VarCurr] :
      ( v20742(VarCurr)
    <=> ( v21288(VarCurr)
        & v21289(VarCurr) ) ) )).

fof(writeUnaryOperator_2131,axiom,(
    ! [VarCurr] :
      ( ~ v21289(VarCurr)
    <=> v21203(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1522,axiom,(
    ! [VarCurr] :
      ( v21288(VarCurr)
    <=> ( ( v20744(VarCurr,bitIndex7)
        <=> v21099(VarCurr,bitIndex7) )
        & ( v20744(VarCurr,bitIndex6)
        <=> v21099(VarCurr,bitIndex6) )
        & ( v20744(VarCurr,bitIndex5)
        <=> v21099(VarCurr,bitIndex5) )
        & ( v20744(VarCurr,bitIndex4)
        <=> v21099(VarCurr,bitIndex4) )
        & ( v20744(VarCurr,bitIndex3)
        <=> v21099(VarCurr,bitIndex3) )
        & ( v20744(VarCurr,bitIndex2)
        <=> v21099(VarCurr,bitIndex2) )
        & ( v20744(VarCurr,bitIndex1)
        <=> v21099(VarCurr,bitIndex1) )
        & ( v20744(VarCurr,bitIndex0)
        <=> v21099(VarCurr,bitIndex0) ) ) ) )).

fof(addAssignment_5306,axiom,(
    ! [VarCurr] :
      ( v21203(VarCurr)
    <=> v21205(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1521,axiom,(
    ! [VarCurr] :
      ( v21205(VarCurr)
    <=> ( ( v21207(VarCurr,bitIndex3)
        <=> $false )
        & ( v21207(VarCurr,bitIndex2)
        <=> $false )
        & ( v21207(VarCurr,bitIndex1)
        <=> $false )
        & ( v21207(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_221,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21274(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v21207(VarNext,B)
            <=> v21207(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_243,axiom,(
    ! [VarNext] :
      ( v21274(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v21207(VarNext,B)
          <=> v21282(VarNext,B) ) ) ) )).

fof(addAssignment_5305,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v21282(VarNext,B)
          <=> v21280(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_505,axiom,(
    ! [VarCurr] :
      ( ~ v21283(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v21280(VarCurr,B)
          <=> v21209(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_446,axiom,(
    ! [VarCurr] :
      ( v21283(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v21280(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_2130,axiom,(
    ! [VarCurr] :
      ( ~ v21283(VarCurr)
    <=> v21109(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4816,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21274(VarNext)
      <=> v21275(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4815,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21275(VarNext)
      <=> ( v21276(VarNext)
          & v21107(VarNext) ) ) ) )).

fof(writeUnaryOperator_2129,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21276(VarNext)
      <=> v21147(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_51,axiom,(
    ! [VarCurr] :
      ( ( ~ v21211(VarCurr)
        & ~ v21213(VarCurr)
        & ~ v21247(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v21209(VarCurr,B)
          <=> v21207(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_259,axiom,(
    ! [VarCurr] :
      ( v21247(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v21209(VarCurr,B)
          <=> v21249(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_615,axiom,(
    ! [VarCurr] :
      ( v21213(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v21209(VarCurr,B)
          <=> v21215(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_614,axiom,(
    ! [VarCurr] :
      ( v21211(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v21209(VarCurr,B)
          <=> v21207(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1520,axiom,(
    ! [VarCurr] :
      ( v21270(VarCurr)
    <=> ( ( v21271(VarCurr,bitIndex1)
        <=> $true )
        & ( v21271(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_5304,axiom,(
    ! [VarCurr] :
      ( v21271(VarCurr,bitIndex0)
    <=> v21171(VarCurr) ) )).

fof(addAssignment_5303,axiom,(
    ! [VarCurr] :
      ( v21271(VarCurr,bitIndex1)
    <=> v21125(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_504,axiom,(
    ! [VarCurr] :
      ( ~ v21250(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v21249(VarCurr,B)
          <=> v21251(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_445,axiom,(
    ! [VarCurr] :
      ( v21250(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v21249(VarCurr,B)
          <=> b1000(B) ) ) ) )).

fof(addAssignment_5302,axiom,(
    ! [VarCurr] :
      ( v21251(VarCurr,bitIndex0)
    <=> v21267(VarCurr) ) )).

fof(addAssignment_5301,axiom,(
    ! [VarCurr] :
      ( v21251(VarCurr,bitIndex1)
    <=> v21265(VarCurr) ) )).

fof(addAssignment_5300,axiom,(
    ! [VarCurr] :
      ( v21251(VarCurr,bitIndex2)
    <=> v21260(VarCurr) ) )).

fof(addAssignment_5299,axiom,(
    ! [VarCurr] :
      ( v21251(VarCurr,bitIndex3)
    <=> v21253(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4814,axiom,(
    ! [VarCurr] :
      ( v21265(VarCurr)
    <=> ( v21266(VarCurr)
        & v21269(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_810,axiom,(
    ! [VarCurr] :
      ( v21269(VarCurr)
    <=> ( v21207(VarCurr,bitIndex0)
        | v21207(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4813,axiom,(
    ! [VarCurr] :
      ( v21266(VarCurr)
    <=> ( v21267(VarCurr)
        | v21268(VarCurr) ) ) )).

fof(writeUnaryOperator_2128,axiom,(
    ! [VarCurr] :
      ( ~ v21268(VarCurr)
    <=> v21207(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2127,axiom,(
    ! [VarCurr] :
      ( ~ v21267(VarCurr)
    <=> v21207(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4812,axiom,(
    ! [VarCurr] :
      ( v21260(VarCurr)
    <=> ( v21261(VarCurr)
        & v21264(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_809,axiom,(
    ! [VarCurr] :
      ( v21264(VarCurr)
    <=> ( v21257(VarCurr)
        | v21207(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4811,axiom,(
    ! [VarCurr] :
      ( v21261(VarCurr)
    <=> ( v21262(VarCurr)
        | v21263(VarCurr) ) ) )).

fof(writeUnaryOperator_2126,axiom,(
    ! [VarCurr] :
      ( ~ v21263(VarCurr)
    <=> v21207(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_2125,axiom,(
    ! [VarCurr] :
      ( ~ v21262(VarCurr)
    <=> v21257(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4810,axiom,(
    ! [VarCurr] :
      ( v21253(VarCurr)
    <=> ( v21254(VarCurr)
        & v21259(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_808,axiom,(
    ! [VarCurr] :
      ( v21259(VarCurr)
    <=> ( v21256(VarCurr)
        | v21207(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4809,axiom,(
    ! [VarCurr] :
      ( v21254(VarCurr)
    <=> ( v21255(VarCurr)
        | v21258(VarCurr) ) ) )).

fof(writeUnaryOperator_2124,axiom,(
    ! [VarCurr] :
      ( ~ v21258(VarCurr)
    <=> v21207(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_2123,axiom,(
    ! [VarCurr] :
      ( ~ v21255(VarCurr)
    <=> v21256(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_807,axiom,(
    ! [VarCurr] :
      ( v21256(VarCurr)
    <=> ( v21257(VarCurr)
        & v21207(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_806,axiom,(
    ! [VarCurr] :
      ( v21257(VarCurr)
    <=> ( v21207(VarCurr,bitIndex0)
        & v21207(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_1519,axiom,(
    ! [VarCurr] :
      ( v21250(VarCurr)
    <=> ( ( v21207(VarCurr,bitIndex3)
        <=> $true )
        & ( v21207(VarCurr,bitIndex2)
        <=> $false )
        & ( v21207(VarCurr,bitIndex1)
        <=> $false )
        & ( v21207(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1518,axiom,(
    ! [VarCurr] :
      ( v21247(VarCurr)
    <=> ( ( v21248(VarCurr,bitIndex1)
        <=> $true )
        & ( v21248(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5298,axiom,(
    ! [VarCurr] :
      ( v21248(VarCurr,bitIndex0)
    <=> v21171(VarCurr) ) )).

fof(addAssignment_5297,axiom,(
    ! [VarCurr] :
      ( v21248(VarCurr,bitIndex1)
    <=> v21125(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_503,axiom,(
    ! [VarCurr] :
      ( ~ v21216(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v21215(VarCurr,B)
          <=> v21217(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_444,axiom,(
    ! [VarCurr] :
      ( v21216(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v21215(VarCurr,B)
          <=> $false ) ) ) )).

fof(addSignExtensionConstraint_52,axiom,(
    ! [VarCurr] :
      ( v21217(VarCurr,bitIndex5)
    <=> v21218(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_51,axiom,(
    ! [VarCurr] :
      ( v21217(VarCurr,bitIndex6)
    <=> v21218(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_50,axiom,(
    ! [VarCurr] :
      ( v21217(VarCurr,bitIndex7)
    <=> v21218(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_49,axiom,(
    ! [VarCurr] :
      ( v21217(VarCurr,bitIndex8)
    <=> v21218(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_48,axiom,(
    ! [VarCurr] :
      ( v21217(VarCurr,bitIndex9)
    <=> v21218(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_47,axiom,(
    ! [VarCurr] :
      ( v21217(VarCurr,bitIndex10)
    <=> v21218(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_46,axiom,(
    ! [VarCurr] :
      ( v21217(VarCurr,bitIndex11)
    <=> v21218(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_45,axiom,(
    ! [VarCurr] :
      ( v21217(VarCurr,bitIndex12)
    <=> v21218(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_44,axiom,(
    ! [VarCurr] :
      ( v21217(VarCurr,bitIndex13)
    <=> v21218(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_43,axiom,(
    ! [VarCurr] :
      ( v21217(VarCurr,bitIndex14)
    <=> v21218(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_42,axiom,(
    ! [VarCurr] :
      ( v21217(VarCurr,bitIndex15)
    <=> v21218(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_41,axiom,(
    ! [VarCurr] :
      ( v21217(VarCurr,bitIndex16)
    <=> v21218(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_40,axiom,(
    ! [VarCurr] :
      ( v21217(VarCurr,bitIndex17)
    <=> v21218(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_39,axiom,(
    ! [VarCurr] :
      ( v21217(VarCurr,bitIndex18)
    <=> v21218(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_38,axiom,(
    ! [VarCurr] :
      ( v21217(VarCurr,bitIndex19)
    <=> v21218(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_37,axiom,(
    ! [VarCurr] :
      ( v21217(VarCurr,bitIndex20)
    <=> v21218(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_36,axiom,(
    ! [VarCurr] :
      ( v21217(VarCurr,bitIndex21)
    <=> v21218(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_35,axiom,(
    ! [VarCurr] :
      ( v21217(VarCurr,bitIndex22)
    <=> v21218(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_34,axiom,(
    ! [VarCurr] :
      ( v21217(VarCurr,bitIndex23)
    <=> v21218(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_33,axiom,(
    ! [VarCurr] :
      ( v21217(VarCurr,bitIndex24)
    <=> v21218(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_32,axiom,(
    ! [VarCurr] :
      ( v21217(VarCurr,bitIndex25)
    <=> v21218(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_31,axiom,(
    ! [VarCurr] :
      ( v21217(VarCurr,bitIndex26)
    <=> v21218(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_30,axiom,(
    ! [VarCurr] :
      ( v21217(VarCurr,bitIndex27)
    <=> v21218(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_29,axiom,(
    ! [VarCurr] :
      ( v21217(VarCurr,bitIndex28)
    <=> v21218(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_28,axiom,(
    ! [VarCurr] :
      ( v21217(VarCurr,bitIndex29)
    <=> v21218(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_27,axiom,(
    ! [VarCurr] :
      ( v21217(VarCurr,bitIndex30)
    <=> v21218(VarCurr,bitIndex4) ) )).

fof(addSignExtensionConstraint_26,axiom,(
    ! [VarCurr] :
      ( v21217(VarCurr,bitIndex31)
    <=> v21218(VarCurr,bitIndex4) ) )).

fof(addAssignment_5296,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v21217(VarCurr,B)
      <=> v21218(VarCurr,B) ) ) )).

fof(addAssignment_5295,axiom,(
    ! [VarCurr] :
      ( v21218(VarCurr,bitIndex0)
    <=> v21245(VarCurr) ) )).

fof(addAssignment_5294,axiom,(
    ! [VarCurr] :
      ( v21218(VarCurr,bitIndex1)
    <=> v21243(VarCurr) ) )).

fof(addAssignment_5293,axiom,(
    ! [VarCurr] :
      ( v21218(VarCurr,bitIndex2)
    <=> v21239(VarCurr) ) )).

fof(addAssignment_5292,axiom,(
    ! [VarCurr] :
      ( v21218(VarCurr,bitIndex3)
    <=> v21235(VarCurr) ) )).

fof(addAssignment_5291,axiom,(
    ! [VarCurr] :
      ( v21218(VarCurr,bitIndex4)
    <=> v21220(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4808,axiom,(
    ! [VarCurr] :
      ( v21243(VarCurr)
    <=> ( v21244(VarCurr)
        & v21246(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4807,axiom,(
    ! [VarCurr] :
      ( v21246(VarCurr)
    <=> ( v21224(VarCurr,bitIndex0)
        | v21230(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_805,axiom,(
    ! [VarCurr] :
      ( v21244(VarCurr)
    <=> ( v21245(VarCurr)
        | v21224(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_2122,axiom,(
    ! [VarCurr] :
      ( ~ v21245(VarCurr)
    <=> v21224(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4806,axiom,(
    ! [VarCurr] :
      ( v21239(VarCurr)
    <=> ( v21240(VarCurr)
        & v21242(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4805,axiom,(
    ! [VarCurr] :
      ( v21242(VarCurr)
    <=> ( v21228(VarCurr)
        | v21231(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_804,axiom,(
    ! [VarCurr] :
      ( v21240(VarCurr)
    <=> ( v21241(VarCurr)
        | v21224(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_2121,axiom,(
    ! [VarCurr] :
      ( ~ v21241(VarCurr)
    <=> v21228(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4804,axiom,(
    ! [VarCurr] :
      ( v21235(VarCurr)
    <=> ( v21236(VarCurr)
        & v21238(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4803,axiom,(
    ! [VarCurr] :
      ( v21238(VarCurr)
    <=> ( v21226(VarCurr)
        | v21232(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_803,axiom,(
    ! [VarCurr] :
      ( v21236(VarCurr)
    <=> ( v21237(VarCurr)
        | v21224(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_2120,axiom,(
    ! [VarCurr] :
      ( ~ v21237(VarCurr)
    <=> v21226(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4802,axiom,(
    ! [VarCurr] :
      ( v21220(VarCurr)
    <=> ( v21221(VarCurr)
        & v21233(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4801,axiom,(
    ! [VarCurr] :
      ( v21233(VarCurr)
    <=> ( v21223(VarCurr)
        | v21234(VarCurr) ) ) )).

fof(writeUnaryOperator_2119,axiom,(
    ! [VarCurr] :
      ( ~ v21234(VarCurr)
    <=> v21224(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_802,axiom,(
    ! [VarCurr] :
      ( v21221(VarCurr)
    <=> ( v21222(VarCurr)
        | v21224(VarCurr,bitIndex4) ) ) )).

fof(writeUnaryOperator_2118,axiom,(
    ! [VarCurr] :
      ( ~ v21222(VarCurr)
    <=> v21223(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_801,axiom,(
    ! [VarCurr] :
      ( v21223(VarCurr)
    <=> ( v21224(VarCurr,bitIndex3)
        | v21225(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4800,axiom,(
    ! [VarCurr] :
      ( v21225(VarCurr)
    <=> ( v21226(VarCurr)
        & v21232(VarCurr) ) ) )).

fof(writeUnaryOperator_2117,axiom,(
    ! [VarCurr] :
      ( ~ v21232(VarCurr)
    <=> v21224(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_800,axiom,(
    ! [VarCurr] :
      ( v21226(VarCurr)
    <=> ( v21224(VarCurr,bitIndex2)
        | v21227(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4799,axiom,(
    ! [VarCurr] :
      ( v21227(VarCurr)
    <=> ( v21228(VarCurr)
        & v21231(VarCurr) ) ) )).

fof(writeUnaryOperator_2116,axiom,(
    ! [VarCurr] :
      ( ~ v21231(VarCurr)
    <=> v21224(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_799,axiom,(
    ! [VarCurr] :
      ( v21228(VarCurr)
    <=> ( v21224(VarCurr,bitIndex1)
        | v21229(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4798,axiom,(
    ! [VarCurr] :
      ( v21229(VarCurr)
    <=> ( v21224(VarCurr,bitIndex0)
        & v21230(VarCurr) ) ) )).

fof(writeUnaryOperator_2115,axiom,(
    ! [VarCurr] :
      ( ~ v21230(VarCurr)
    <=> v21224(VarCurr,bitIndex1) ) )).

fof(addZeroExtensionConstraint_4,axiom,(
    ! [VarCurr] : ~ v21224(VarCurr,bitIndex4) )).

fof(addAssignment_5290,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v21224(VarCurr,B)
      <=> v21207(VarCurr,B) ) ) )).

fof(addBitVectorEqualityBitBlasted_1517,axiom,(
    ! [VarCurr] :
      ( v21216(VarCurr)
    <=> ( ( v21207(VarCurr,bitIndex3)
        <=> $false )
        & ( v21207(VarCurr,bitIndex2)
        <=> $false )
        & ( v21207(VarCurr,bitIndex1)
        <=> $false )
        & ( v21207(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1516,axiom,(
    ! [VarCurr] :
      ( v21213(VarCurr)
    <=> ( ( v21214(VarCurr,bitIndex1)
        <=> $false )
        & ( v21214(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_5289,axiom,(
    ! [VarCurr] :
      ( v21214(VarCurr,bitIndex0)
    <=> v21171(VarCurr) ) )).

fof(addAssignment_5288,axiom,(
    ! [VarCurr] :
      ( v21214(VarCurr,bitIndex1)
    <=> v21125(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1515,axiom,(
    ! [VarCurr] :
      ( v21211(VarCurr)
    <=> ( ( v21212(VarCurr,bitIndex1)
        <=> $false )
        & ( v21212(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5287,axiom,(
    ! [VarCurr] :
      ( v21212(VarCurr,bitIndex0)
    <=> v21171(VarCurr) ) )).

fof(addAssignment_5286,axiom,(
    ! [VarCurr] :
      ( v21212(VarCurr,bitIndex1)
    <=> v21125(VarCurr) ) )).

fof(addAssignment_5285,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v21099(VarCurr,B)
      <=> v21101(VarCurr,B) ) ) )).

fof(addAssignment_5284,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v21101(VarCurr,B)
      <=> v21103(VarCurr,B) ) ) )).

fof(addAssignment_5283,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v21103(VarCurr,B)
      <=> v21165(VarCurr,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_220,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21190(VarNext)
       => ! [B] :
            ( range_2_0(B)
           => ( v21167(VarNext,B)
            <=> v21167(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_242,axiom,(
    ! [VarNext] :
      ( v21190(VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v21167(VarNext,B)
          <=> v21198(VarNext,B) ) ) ) )).

fof(addAssignment_5282,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v21198(VarNext,B)
          <=> v21196(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_502,axiom,(
    ! [VarCurr] :
      ( ~ v21199(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v21196(VarCurr,B)
          <=> v21169(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_443,axiom,(
    ! [VarCurr] :
      ( v21199(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v21196(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_2114,axiom,(
    ! [VarCurr] :
      ( ~ v21199(VarCurr)
    <=> v21109(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4797,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21190(VarNext)
      <=> v21191(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4796,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21191(VarNext)
      <=> ( v21192(VarNext)
          & v21107(VarNext) ) ) ) )).

fof(writeUnaryOperator_2113,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21192(VarNext)
      <=> v21147(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_501,axiom,(
    ! [VarCurr] :
      ( ~ v21171(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v21169(VarCurr,B)
          <=> v21167(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_442,axiom,(
    ! [VarCurr] :
      ( v21171(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v21169(VarCurr,B)
          <=> v21173(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_500,axiom,(
    ! [VarCurr] :
      ( ~ v21174(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v21173(VarCurr,B)
          <=> v21175(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_441,axiom,(
    ! [VarCurr] :
      ( v21174(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v21173(VarCurr,B)
          <=> $false ) ) ) )).

fof(addAssignment_5281,axiom,(
    ! [VarCurr] :
      ( v21175(VarCurr,bitIndex0)
    <=> v21185(VarCurr) ) )).

fof(addAssignment_5280,axiom,(
    ! [VarCurr] :
      ( v21175(VarCurr,bitIndex1)
    <=> v21183(VarCurr) ) )).

fof(addAssignment_5279,axiom,(
    ! [VarCurr] :
      ( v21175(VarCurr,bitIndex2)
    <=> v21177(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4795,axiom,(
    ! [VarCurr] :
      ( v21183(VarCurr)
    <=> ( v21184(VarCurr)
        & v21187(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_798,axiom,(
    ! [VarCurr] :
      ( v21187(VarCurr)
    <=> ( v21167(VarCurr,bitIndex0)
        | v21167(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4794,axiom,(
    ! [VarCurr] :
      ( v21184(VarCurr)
    <=> ( v21185(VarCurr)
        | v21186(VarCurr) ) ) )).

fof(writeUnaryOperator_2112,axiom,(
    ! [VarCurr] :
      ( ~ v21186(VarCurr)
    <=> v21167(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2111,axiom,(
    ! [VarCurr] :
      ( ~ v21185(VarCurr)
    <=> v21167(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4793,axiom,(
    ! [VarCurr] :
      ( v21177(VarCurr)
    <=> ( v21178(VarCurr)
        & v21182(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_797,axiom,(
    ! [VarCurr] :
      ( v21182(VarCurr)
    <=> ( v21180(VarCurr)
        | v21167(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4792,axiom,(
    ! [VarCurr] :
      ( v21178(VarCurr)
    <=> ( v21179(VarCurr)
        | v21181(VarCurr) ) ) )).

fof(writeUnaryOperator_2110,axiom,(
    ! [VarCurr] :
      ( ~ v21181(VarCurr)
    <=> v21167(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_2109,axiom,(
    ! [VarCurr] :
      ( ~ v21179(VarCurr)
    <=> v21180(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_796,axiom,(
    ! [VarCurr] :
      ( v21180(VarCurr)
    <=> ( v21167(VarCurr,bitIndex0)
        & v21167(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_1514,axiom,(
    ! [VarCurr] :
      ( v21174(VarCurr)
    <=> ( ( v21167(VarCurr,bitIndex2)
        <=> $true )
        & ( v21167(VarCurr,bitIndex1)
        <=> $true )
        & ( v21167(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_5278,axiom,(
    ! [VarCurr] :
      ( v21171(VarCurr)
    <=> v13685(VarCurr) ) )).

fof(memoryReadIntoBuffer_3,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v21167_range_2_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( address(A)
             => ! [B] :
                  ( A = AssociatedAddressVar
                 => ( range_130_0(B)
                   => ( v21165(VarNext,B)
                    <=> v21105_array(VarNext,A,B) ) ) ) ) ) ) )).

fof(memoryConstantWriteDisabled_3,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( $true
              & v21157(VarNext) )
         => ! [B] :
              ( range_130_0(B)
             => ( v21105_array(VarNext,A,B)
              <=> v21105_1__array(VarNext,A,B) ) ) ) ) )).

fof(memoryConstantWriteEnabledInsideRange_3,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( $true
            & v21157(VarNext) )
         => ! [B] :
              ( range_130_0(B)
             => ( v21105_array(VarNext,A,B)
              <=> b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(B) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4791,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21157(VarNext)
      <=> ( v21158(VarNext)
          & v21163(VarNext) ) ) ) )).

fof(addAssignment_5277,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21163(VarNext)
      <=> v21154(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4790,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21158(VarNext)
      <=> ( v21160(VarNext)
          & v21107(VarNext) ) ) ) )).

fof(writeUnaryOperator_2108,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21160(VarNext)
      <=> v21147(VarNext) ) ) )).

fof(memoryWriteDisabled_3,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v21139_range_2_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( ~ ( A = AssociatedAddressVar
                  & v21143(VarNext) )
             => ! [B] :
                  ( range_130_0(B)
                 => ( v21105_1__array(VarNext,A,B)
                  <=> v21105_array(VarCurr,A,B) ) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_3,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v21139_range_2_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( ( A = AssociatedAddressVar
                & v21143(VarNext) )
             => ! [B] :
                  ( range_130_0(B)
                 => ( v21105_1__array(VarNext,A,B)
                  <=> v21111(VarNext,B) ) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4789,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21143(VarNext)
      <=> ( v21144(VarNext)
          & v21152(VarNext) ) ) ) )).

fof(addAssignment_5276,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21152(VarNext)
      <=> v21150(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4788,axiom,(
    ! [VarCurr] :
      ( v21150(VarCurr)
    <=> ( v21153(VarCurr)
        & v21125(VarCurr) ) ) )).

fof(writeUnaryOperator_2107,axiom,(
    ! [VarCurr] :
      ( ~ v21153(VarCurr)
    <=> v21154(VarCurr) ) )).

fof(writeUnaryOperator_2106,axiom,(
    ! [VarCurr] :
      ( ~ v21154(VarCurr)
    <=> v21109(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4787,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21144(VarNext)
      <=> ( v21145(VarNext)
          & v21107(VarNext) ) ) ) )).

fof(writeUnaryOperator_2105,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21145(VarNext)
      <=> v21147(VarNext) ) ) )).

fof(addAssignment_5275,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21147(VarNext)
      <=> v21107(VarCurr) ) ) )).

fof(addAssignment_5274,axiom,(
    ! [VarCurr] :
      ( v21125(VarCurr)
    <=> v21127(VarCurr) ) )).

fof(addAssignment_5273,axiom,(
    ! [VarCurr] :
      ( v21127(VarCurr)
    <=> v21129(VarCurr) ) )).

fof(addAssignment_5272,axiom,(
    ! [VarCurr] :
      ( v21129(VarCurr)
    <=> v21131(VarCurr) ) )).

fof(addAssignment_5271,axiom,(
    ! [VarCurr] :
      ( v21131(VarCurr)
    <=> v21133(VarCurr) ) )).

fof(addAssignment_5270,axiom,(
    ! [VarCurr] :
      ( v21133(VarCurr)
    <=> v21135(VarCurr) ) )).

fof(addAssignment_5269,axiom,(
    ! [VarCurr] :
      ( v21135(VarCurr)
    <=> v21137(VarCurr) ) )).

fof(addAssignment_5268,axiom,(
    ! [VarCurr,B] :
      ( range_130_0(B)
     => ( v21111(VarCurr,B)
      <=> v21113(VarCurr,B) ) ) )).

fof(addAssignment_5267,axiom,(
    ! [VarCurr,B] :
      ( range_130_0(B)
     => ( v21113(VarCurr,B)
      <=> v21115(VarCurr,B) ) ) )).

fof(addAssignment_5266,axiom,(
    ! [VarCurr,B] :
      ( range_130_0(B)
     => ( v21115(VarCurr,B)
      <=> v21117(VarCurr,B) ) ) )).

fof(addAssignment_5265,axiom,(
    ! [VarCurr,B] :
      ( range_130_0(B)
     => ( v21117(VarCurr,B)
      <=> v21119(VarCurr,B) ) ) )).

fof(addAssignment_5264,axiom,(
    ! [VarCurr,B] :
      ( range_130_0(B)
     => ( v21119(VarCurr,B)
      <=> v21121(VarCurr,B) ) ) )).

fof(addAssignment_5263,axiom,(
    ! [VarCurr,B] :
      ( range_130_0(B)
     => ( v21121(VarCurr,B)
      <=> v21123(VarCurr,B) ) ) )).

fof(addAssignment_5262,axiom,(
    ! [VarCurr] :
      ( v21109(VarCurr)
    <=> v20746(VarCurr) ) )).

fof(addAssignment_5261,axiom,(
    ! [VarCurr] :
      ( v21107(VarCurr)
    <=> v20964(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_219,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21084(VarNext)
       => ! [B] :
            ( range_7_0(B)
           => ( v20744(VarNext,B)
            <=> v20744(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_241,axiom,(
    ! [VarNext] :
      ( v21084(VarNext)
     => ! [B] :
          ( range_7_0(B)
         => ( v20744(VarNext,B)
          <=> v21094(VarNext,B) ) ) ) )).

fof(addAssignment_5260,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_7_0(B)
         => ( v21094(VarNext,B)
          <=> v21092(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_499,axiom,(
    ! [VarCurr] :
      ( ~ v21095(VarCurr)
     => ! [B] :
          ( range_7_0(B)
         => ( v21092(VarCurr,B)
          <=> v20748(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_440,axiom,(
    ! [VarCurr] :
      ( v21095(VarCurr)
     => ! [B] :
          ( range_7_0(B)
         => ( v21092(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_2104,axiom,(
    ! [VarCurr] :
      ( ~ v21095(VarCurr)
    <=> v20746(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4786,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21084(VarNext)
      <=> v21085(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4785,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21085(VarNext)
      <=> ( v21086(VarNext)
          & v20964(VarNext) ) ) ) )).

fof(writeUnaryOperator_2103,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21086(VarNext)
      <=> v21088(VarNext) ) ) )).

fof(addAssignment_5259,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21088(VarNext)
      <=> v20964(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_498,axiom,(
    ! [VarCurr] :
      ( ~ v20750(VarCurr)
     => ! [B] :
          ( range_7_0(B)
         => ( v20748(VarCurr,B)
          <=> v20744(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_439,axiom,(
    ! [VarCurr] :
      ( v20750(VarCurr)
     => ! [B] :
          ( range_7_0(B)
         => ( v20748(VarCurr,B)
          <=> v21036(VarCurr,B) ) ) ) )).

fof(addAssignment_5258,axiom,(
    ! [VarCurr] :
      ( v21036(VarCurr,bitIndex0)
    <=> v21078(VarCurr) ) )).

fof(addAssignment_5257,axiom,(
    ! [VarCurr] :
      ( v21036(VarCurr,bitIndex1)
    <=> v21076(VarCurr) ) )).

fof(addAssignment_5256,axiom,(
    ! [VarCurr] :
      ( v21036(VarCurr,bitIndex2)
    <=> v21071(VarCurr) ) )).

fof(addAssignment_5255,axiom,(
    ! [VarCurr] :
      ( v21036(VarCurr,bitIndex3)
    <=> v21066(VarCurr) ) )).

fof(addAssignment_5254,axiom,(
    ! [VarCurr] :
      ( v21036(VarCurr,bitIndex4)
    <=> v21061(VarCurr) ) )).

fof(addAssignment_5253,axiom,(
    ! [VarCurr] :
      ( v21036(VarCurr,bitIndex5)
    <=> v21056(VarCurr) ) )).

fof(addAssignment_5252,axiom,(
    ! [VarCurr] :
      ( v21036(VarCurr,bitIndex6)
    <=> v21051(VarCurr) ) )).

fof(addAssignment_5251,axiom,(
    ! [VarCurr] :
      ( v21036(VarCurr,bitIndex7)
    <=> v21040(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4784,axiom,(
    ! [VarCurr] :
      ( v21076(VarCurr)
    <=> ( v21077(VarCurr)
        & v21080(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_795,axiom,(
    ! [VarCurr] :
      ( v21080(VarCurr)
    <=> ( v20744(VarCurr,bitIndex0)
        | v20744(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4783,axiom,(
    ! [VarCurr] :
      ( v21077(VarCurr)
    <=> ( v21078(VarCurr)
        | v21079(VarCurr) ) ) )).

fof(writeUnaryOperator_2102,axiom,(
    ! [VarCurr] :
      ( ~ v21079(VarCurr)
    <=> v20744(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_2101,axiom,(
    ! [VarCurr] :
      ( ~ v21078(VarCurr)
    <=> v20744(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4782,axiom,(
    ! [VarCurr] :
      ( v21071(VarCurr)
    <=> ( v21072(VarCurr)
        & v21075(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_794,axiom,(
    ! [VarCurr] :
      ( v21075(VarCurr)
    <=> ( v21048(VarCurr)
        | v20744(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4781,axiom,(
    ! [VarCurr] :
      ( v21072(VarCurr)
    <=> ( v21073(VarCurr)
        | v21074(VarCurr) ) ) )).

fof(writeUnaryOperator_2100,axiom,(
    ! [VarCurr] :
      ( ~ v21074(VarCurr)
    <=> v20744(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_2099,axiom,(
    ! [VarCurr] :
      ( ~ v21073(VarCurr)
    <=> v21048(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4780,axiom,(
    ! [VarCurr] :
      ( v21066(VarCurr)
    <=> ( v21067(VarCurr)
        & v21070(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_793,axiom,(
    ! [VarCurr] :
      ( v21070(VarCurr)
    <=> ( v21047(VarCurr)
        | v20744(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4779,axiom,(
    ! [VarCurr] :
      ( v21067(VarCurr)
    <=> ( v21068(VarCurr)
        | v21069(VarCurr) ) ) )).

fof(writeUnaryOperator_2098,axiom,(
    ! [VarCurr] :
      ( ~ v21069(VarCurr)
    <=> v20744(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_2097,axiom,(
    ! [VarCurr] :
      ( ~ v21068(VarCurr)
    <=> v21047(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4778,axiom,(
    ! [VarCurr] :
      ( v21061(VarCurr)
    <=> ( v21062(VarCurr)
        & v21065(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_792,axiom,(
    ! [VarCurr] :
      ( v21065(VarCurr)
    <=> ( v21046(VarCurr)
        | v20744(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4777,axiom,(
    ! [VarCurr] :
      ( v21062(VarCurr)
    <=> ( v21063(VarCurr)
        | v21064(VarCurr) ) ) )).

fof(writeUnaryOperator_2096,axiom,(
    ! [VarCurr] :
      ( ~ v21064(VarCurr)
    <=> v20744(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_2095,axiom,(
    ! [VarCurr] :
      ( ~ v21063(VarCurr)
    <=> v21046(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4776,axiom,(
    ! [VarCurr] :
      ( v21056(VarCurr)
    <=> ( v21057(VarCurr)
        & v21060(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_791,axiom,(
    ! [VarCurr] :
      ( v21060(VarCurr)
    <=> ( v21045(VarCurr)
        | v20744(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4775,axiom,(
    ! [VarCurr] :
      ( v21057(VarCurr)
    <=> ( v21058(VarCurr)
        | v21059(VarCurr) ) ) )).

fof(writeUnaryOperator_2094,axiom,(
    ! [VarCurr] :
      ( ~ v21059(VarCurr)
    <=> v20744(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_2093,axiom,(
    ! [VarCurr] :
      ( ~ v21058(VarCurr)
    <=> v21045(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4774,axiom,(
    ! [VarCurr] :
      ( v21051(VarCurr)
    <=> ( v21052(VarCurr)
        & v21055(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_790,axiom,(
    ! [VarCurr] :
      ( v21055(VarCurr)
    <=> ( v21044(VarCurr)
        | v20744(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4773,axiom,(
    ! [VarCurr] :
      ( v21052(VarCurr)
    <=> ( v21053(VarCurr)
        | v21054(VarCurr) ) ) )).

fof(writeUnaryOperator_2092,axiom,(
    ! [VarCurr] :
      ( ~ v21054(VarCurr)
    <=> v20744(VarCurr,bitIndex6) ) )).

fof(writeUnaryOperator_2091,axiom,(
    ! [VarCurr] :
      ( ~ v21053(VarCurr)
    <=> v21044(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4772,axiom,(
    ! [VarCurr] :
      ( v21040(VarCurr)
    <=> ( v21041(VarCurr)
        & v21050(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_789,axiom,(
    ! [VarCurr] :
      ( v21050(VarCurr)
    <=> ( v21043(VarCurr)
        | v20744(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4771,axiom,(
    ! [VarCurr] :
      ( v21041(VarCurr)
    <=> ( v21042(VarCurr)
        | v21049(VarCurr) ) ) )).

fof(writeUnaryOperator_2090,axiom,(
    ! [VarCurr] :
      ( ~ v21049(VarCurr)
    <=> v20744(VarCurr,bitIndex7) ) )).

fof(writeUnaryOperator_2089,axiom,(
    ! [VarCurr] :
      ( ~ v21042(VarCurr)
    <=> v21043(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_788,axiom,(
    ! [VarCurr] :
      ( v21043(VarCurr)
    <=> ( v21044(VarCurr)
        & v20744(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_787,axiom,(
    ! [VarCurr] :
      ( v21044(VarCurr)
    <=> ( v21045(VarCurr)
        & v20744(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_786,axiom,(
    ! [VarCurr] :
      ( v21045(VarCurr)
    <=> ( v21046(VarCurr)
        & v20744(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_785,axiom,(
    ! [VarCurr] :
      ( v21046(VarCurr)
    <=> ( v21047(VarCurr)
        & v20744(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_784,axiom,(
    ! [VarCurr] :
      ( v21047(VarCurr)
    <=> ( v21048(VarCurr)
        & v20744(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_783,axiom,(
    ! [VarCurr] :
      ( v21048(VarCurr)
    <=> ( v20744(VarCurr,bitIndex0)
        & v20744(VarCurr,bitIndex1) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_614,axiom,(
    ! [VarCurr] :
      ( ~ v21034(VarCurr)
     => ( v20750(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_613,axiom,(
    ! [VarCurr] :
      ( v21034(VarCurr)
     => ( v20750(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4770,axiom,(
    ! [VarCurr] :
      ( v21034(VarCurr)
    <=> ( v20865(VarCurr)
        | v20869(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4769,axiom,(
    ! [VarCurr] :
      ( v20752(VarCurr)
    <=> ( v21031(VarCurr)
        & v21032(VarCurr) ) ) )).

fof(writeUnaryOperator_2088,axiom,(
    ! [VarCurr] :
      ( ~ v21032(VarCurr)
    <=> v21001(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1513,axiom,(
    ! [VarCurr] :
      ( v21031(VarCurr)
    <=> ( ( v20744(VarCurr,bitIndex7)
        <=> v20754(VarCurr,bitIndex7) )
        & ( v20744(VarCurr,bitIndex6)
        <=> v20754(VarCurr,bitIndex6) )
        & ( v20744(VarCurr,bitIndex5)
        <=> v20754(VarCurr,bitIndex5) )
        & ( v20744(VarCurr,bitIndex4)
        <=> v20754(VarCurr,bitIndex4) )
        & ( v20744(VarCurr,bitIndex3)
        <=> v20754(VarCurr,bitIndex3) )
        & ( v20744(VarCurr,bitIndex2)
        <=> v20754(VarCurr,bitIndex2) )
        & ( v20744(VarCurr,bitIndex1)
        <=> v20754(VarCurr,bitIndex1) )
        & ( v20744(VarCurr,bitIndex0)
        <=> v20754(VarCurr,bitIndex0) ) ) ) )).

fof(addAssignment_5250,axiom,(
    ! [VarCurr] :
      ( v21001(VarCurr)
    <=> v21003(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_218,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21008(VarNext)
       => ( v21003(VarNext)
        <=> v21003(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_240,axiom,(
    ! [VarNext] :
      ( v21008(VarNext)
     => ( v21003(VarNext)
      <=> v21026(VarNext) ) ) )).

fof(addAssignment_5249,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21026(VarNext)
      <=> v21024(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_497,axiom,(
    ! [VarCurr] :
      ( ~ v21023(VarCurr)
     => ( v21024(VarCurr)
      <=> v21027(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_438,axiom,(
    ! [VarCurr] :
      ( v21023(VarCurr)
     => ( v21024(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_496,axiom,(
    ! [VarCurr] :
      ( ~ v20765(VarCurr)
     => ( v21027(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_437,axiom,(
    ! [VarCurr] :
      ( v20765(VarCurr)
     => ( v21027(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4768,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21008(VarNext)
      <=> ( v21009(VarNext)
          & v21016(VarNext) ) ) ) )).

fof(addAssignment_5248,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21016(VarNext)
      <=> v21014(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4767,axiom,(
    ! [VarCurr] :
      ( v21014(VarCurr)
    <=> ( v21017(VarCurr)
        | v21023(VarCurr) ) ) )).

fof(writeUnaryOperator_2087,axiom,(
    ! [VarCurr] :
      ( ~ v21023(VarCurr)
    <=> v20762(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4766,axiom,(
    ! [VarCurr] :
      ( v21017(VarCurr)
    <=> ( v21018(VarCurr)
        | v20765(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4765,axiom,(
    ! [VarCurr] :
      ( v21018(VarCurr)
    <=> ( v21019(VarCurr)
        & v21022(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1512,axiom,(
    ! [VarCurr] :
      ( v21022(VarCurr)
    <=> ( v20879(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4764,axiom,(
    ! [VarCurr] :
      ( v21019(VarCurr)
    <=> ( v21020(VarCurr)
        & v21021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1511,axiom,(
    ! [VarCurr] :
      ( v21021(VarCurr)
    <=> ( v21005(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1510,axiom,(
    ! [VarCurr] :
      ( v21020(VarCurr)
    <=> ( v20858(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4763,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v21009(VarNext)
      <=> ( v21010(VarNext)
          & v20962(VarNext) ) ) ) )).

fof(writeUnaryOperator_2086,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v21010(VarNext)
      <=> v20971(VarNext) ) ) )).

fof(addAssignment_5247,axiom,(
    ! [VarCurr] :
      ( v20879(VarCurr,bitIndex0)
    <=> v20882(VarCurr,bitIndex0) ) )).

fof(addAssignment_5246,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v20754(VarCurr,B)
      <=> v20756(VarCurr,B) ) ) )).

fof(addAssignment_5245,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v20756(VarCurr,B)
      <=> v20758(VarCurr,B) ) ) )).

fof(addAssignment_5244,axiom,(
    ! [VarCurr] :
      ( ( v20758(VarCurr,bitIndex7)
      <=> v20760(VarCurr,bitIndex400) )
      & ( v20758(VarCurr,bitIndex6)
      <=> v20760(VarCurr,bitIndex399) )
      & ( v20758(VarCurr,bitIndex5)
      <=> v20760(VarCurr,bitIndex398) )
      & ( v20758(VarCurr,bitIndex4)
      <=> v20760(VarCurr,bitIndex397) )
      & ( v20758(VarCurr,bitIndex3)
      <=> v20760(VarCurr,bitIndex396) )
      & ( v20758(VarCurr,bitIndex2)
      <=> v20760(VarCurr,bitIndex395) )
      & ( v20758(VarCurr,bitIndex1)
      <=> v20760(VarCurr,bitIndex394) )
      & ( v20758(VarCurr,bitIndex0)
      <=> v20760(VarCurr,bitIndex393) ) ) )).

fof(addAssignment_5243,axiom,(
    ! [VarNext] :
      ( ( v20760(VarNext,bitIndex400)
      <=> v20966(VarNext,bitIndex7) )
      & ( v20760(VarNext,bitIndex399)
      <=> v20966(VarNext,bitIndex6) )
      & ( v20760(VarNext,bitIndex398)
      <=> v20966(VarNext,bitIndex5) )
      & ( v20760(VarNext,bitIndex397)
      <=> v20966(VarNext,bitIndex4) )
      & ( v20760(VarNext,bitIndex396)
      <=> v20966(VarNext,bitIndex3) )
      & ( v20760(VarNext,bitIndex395)
      <=> v20966(VarNext,bitIndex2) )
      & ( v20760(VarNext,bitIndex394)
      <=> v20966(VarNext,bitIndex1) )
      & ( v20760(VarNext,bitIndex393)
      <=> v20966(VarNext,bitIndex0) ) ) )).

fof(addCaseBooleanConditionShiftedRanges1_25,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20967(VarNext)
       => ( ( v20966(VarNext,bitIndex130)
          <=> v20760(VarCurr,bitIndex523) )
          & ( v20966(VarNext,bitIndex129)
          <=> v20760(VarCurr,bitIndex522) )
          & ( v20966(VarNext,bitIndex128)
          <=> v20760(VarCurr,bitIndex521) )
          & ( v20966(VarNext,bitIndex127)
          <=> v20760(VarCurr,bitIndex520) )
          & ( v20966(VarNext,bitIndex126)
          <=> v20760(VarCurr,bitIndex519) )
          & ( v20966(VarNext,bitIndex125)
          <=> v20760(VarCurr,bitIndex518) )
          & ( v20966(VarNext,bitIndex124)
          <=> v20760(VarCurr,bitIndex517) )
          & ( v20966(VarNext,bitIndex123)
          <=> v20760(VarCurr,bitIndex516) )
          & ( v20966(VarNext,bitIndex122)
          <=> v20760(VarCurr,bitIndex515) )
          & ( v20966(VarNext,bitIndex121)
          <=> v20760(VarCurr,bitIndex514) )
          & ( v20966(VarNext,bitIndex120)
          <=> v20760(VarCurr,bitIndex513) )
          & ( v20966(VarNext,bitIndex119)
          <=> v20760(VarCurr,bitIndex512) )
          & ( v20966(VarNext,bitIndex118)
          <=> v20760(VarCurr,bitIndex511) )
          & ( v20966(VarNext,bitIndex117)
          <=> v20760(VarCurr,bitIndex510) )
          & ( v20966(VarNext,bitIndex116)
          <=> v20760(VarCurr,bitIndex509) )
          & ( v20966(VarNext,bitIndex115)
          <=> v20760(VarCurr,bitIndex508) )
          & ( v20966(VarNext,bitIndex114)
          <=> v20760(VarCurr,bitIndex507) )
          & ( v20966(VarNext,bitIndex113)
          <=> v20760(VarCurr,bitIndex506) )
          & ( v20966(VarNext,bitIndex112)
          <=> v20760(VarCurr,bitIndex505) )
          & ( v20966(VarNext,bitIndex111)
          <=> v20760(VarCurr,bitIndex504) )
          & ( v20966(VarNext,bitIndex110)
          <=> v20760(VarCurr,bitIndex503) )
          & ( v20966(VarNext,bitIndex109)
          <=> v20760(VarCurr,bitIndex502) )
          & ( v20966(VarNext,bitIndex108)
          <=> v20760(VarCurr,bitIndex501) )
          & ( v20966(VarNext,bitIndex107)
          <=> v20760(VarCurr,bitIndex500) )
          & ( v20966(VarNext,bitIndex106)
          <=> v20760(VarCurr,bitIndex499) )
          & ( v20966(VarNext,bitIndex105)
          <=> v20760(VarCurr,bitIndex498) )
          & ( v20966(VarNext,bitIndex104)
          <=> v20760(VarCurr,bitIndex497) )
          & ( v20966(VarNext,bitIndex103)
          <=> v20760(VarCurr,bitIndex496) )
          & ( v20966(VarNext,bitIndex102)
          <=> v20760(VarCurr,bitIndex495) )
          & ( v20966(VarNext,bitIndex101)
          <=> v20760(VarCurr,bitIndex494) )
          & ( v20966(VarNext,bitIndex100)
          <=> v20760(VarCurr,bitIndex493) )
          & ( v20966(VarNext,bitIndex99)
          <=> v20760(VarCurr,bitIndex492) )
          & ( v20966(VarNext,bitIndex98)
          <=> v20760(VarCurr,bitIndex491) )
          & ( v20966(VarNext,bitIndex97)
          <=> v20760(VarCurr,bitIndex490) )
          & ( v20966(VarNext,bitIndex96)
          <=> v20760(VarCurr,bitIndex489) )
          & ( v20966(VarNext,bitIndex95)
          <=> v20760(VarCurr,bitIndex488) )
          & ( v20966(VarNext,bitIndex94)
          <=> v20760(VarCurr,bitIndex487) )
          & ( v20966(VarNext,bitIndex93)
          <=> v20760(VarCurr,bitIndex486) )
          & ( v20966(VarNext,bitIndex92)
          <=> v20760(VarCurr,bitIndex485) )
          & ( v20966(VarNext,bitIndex91)
          <=> v20760(VarCurr,bitIndex484) )
          & ( v20966(VarNext,bitIndex90)
          <=> v20760(VarCurr,bitIndex483) )
          & ( v20966(VarNext,bitIndex89)
          <=> v20760(VarCurr,bitIndex482) )
          & ( v20966(VarNext,bitIndex88)
          <=> v20760(VarCurr,bitIndex481) )
          & ( v20966(VarNext,bitIndex87)
          <=> v20760(VarCurr,bitIndex480) )
          & ( v20966(VarNext,bitIndex86)
          <=> v20760(VarCurr,bitIndex479) )
          & ( v20966(VarNext,bitIndex85)
          <=> v20760(VarCurr,bitIndex478) )
          & ( v20966(VarNext,bitIndex84)
          <=> v20760(VarCurr,bitIndex477) )
          & ( v20966(VarNext,bitIndex83)
          <=> v20760(VarCurr,bitIndex476) )
          & ( v20966(VarNext,bitIndex82)
          <=> v20760(VarCurr,bitIndex475) )
          & ( v20966(VarNext,bitIndex81)
          <=> v20760(VarCurr,bitIndex474) )
          & ( v20966(VarNext,bitIndex80)
          <=> v20760(VarCurr,bitIndex473) )
          & ( v20966(VarNext,bitIndex79)
          <=> v20760(VarCurr,bitIndex472) )
          & ( v20966(VarNext,bitIndex78)
          <=> v20760(VarCurr,bitIndex471) )
          & ( v20966(VarNext,bitIndex77)
          <=> v20760(VarCurr,bitIndex470) )
          & ( v20966(VarNext,bitIndex76)
          <=> v20760(VarCurr,bitIndex469) )
          & ( v20966(VarNext,bitIndex75)
          <=> v20760(VarCurr,bitIndex468) )
          & ( v20966(VarNext,bitIndex74)
          <=> v20760(VarCurr,bitIndex467) )
          & ( v20966(VarNext,bitIndex73)
          <=> v20760(VarCurr,bitIndex466) )
          & ( v20966(VarNext,bitIndex72)
          <=> v20760(VarCurr,bitIndex465) )
          & ( v20966(VarNext,bitIndex71)
          <=> v20760(VarCurr,bitIndex464) )
          & ( v20966(VarNext,bitIndex70)
          <=> v20760(VarCurr,bitIndex463) )
          & ( v20966(VarNext,bitIndex69)
          <=> v20760(VarCurr,bitIndex462) )
          & ( v20966(VarNext,bitIndex68)
          <=> v20760(VarCurr,bitIndex461) )
          & ( v20966(VarNext,bitIndex67)
          <=> v20760(VarCurr,bitIndex460) )
          & ( v20966(VarNext,bitIndex66)
          <=> v20760(VarCurr,bitIndex459) )
          & ( v20966(VarNext,bitIndex65)
          <=> v20760(VarCurr,bitIndex458) )
          & ( v20966(VarNext,bitIndex64)
          <=> v20760(VarCurr,bitIndex457) )
          & ( v20966(VarNext,bitIndex63)
          <=> v20760(VarCurr,bitIndex456) )
          & ( v20966(VarNext,bitIndex62)
          <=> v20760(VarCurr,bitIndex455) )
          & ( v20966(VarNext,bitIndex61)
          <=> v20760(VarCurr,bitIndex454) )
          & ( v20966(VarNext,bitIndex60)
          <=> v20760(VarCurr,bitIndex453) )
          & ( v20966(VarNext,bitIndex59)
          <=> v20760(VarCurr,bitIndex452) )
          & ( v20966(VarNext,bitIndex58)
          <=> v20760(VarCurr,bitIndex451) )
          & ( v20966(VarNext,bitIndex57)
          <=> v20760(VarCurr,bitIndex450) )
          & ( v20966(VarNext,bitIndex56)
          <=> v20760(VarCurr,bitIndex449) )
          & ( v20966(VarNext,bitIndex55)
          <=> v20760(VarCurr,bitIndex448) )
          & ( v20966(VarNext,bitIndex54)
          <=> v20760(VarCurr,bitIndex447) )
          & ( v20966(VarNext,bitIndex53)
          <=> v20760(VarCurr,bitIndex446) )
          & ( v20966(VarNext,bitIndex52)
          <=> v20760(VarCurr,bitIndex445) )
          & ( v20966(VarNext,bitIndex51)
          <=> v20760(VarCurr,bitIndex444) )
          & ( v20966(VarNext,bitIndex50)
          <=> v20760(VarCurr,bitIndex443) )
          & ( v20966(VarNext,bitIndex49)
          <=> v20760(VarCurr,bitIndex442) )
          & ( v20966(VarNext,bitIndex48)
          <=> v20760(VarCurr,bitIndex441) )
          & ( v20966(VarNext,bitIndex47)
          <=> v20760(VarCurr,bitIndex440) )
          & ( v20966(VarNext,bitIndex46)
          <=> v20760(VarCurr,bitIndex439) )
          & ( v20966(VarNext,bitIndex45)
          <=> v20760(VarCurr,bitIndex438) )
          & ( v20966(VarNext,bitIndex44)
          <=> v20760(VarCurr,bitIndex437) )
          & ( v20966(VarNext,bitIndex43)
          <=> v20760(VarCurr,bitIndex436) )
          & ( v20966(VarNext,bitIndex42)
          <=> v20760(VarCurr,bitIndex435) )
          & ( v20966(VarNext,bitIndex41)
          <=> v20760(VarCurr,bitIndex434) )
          & ( v20966(VarNext,bitIndex40)
          <=> v20760(VarCurr,bitIndex433) )
          & ( v20966(VarNext,bitIndex39)
          <=> v20760(VarCurr,bitIndex432) )
          & ( v20966(VarNext,bitIndex38)
          <=> v20760(VarCurr,bitIndex431) )
          & ( v20966(VarNext,bitIndex37)
          <=> v20760(VarCurr,bitIndex430) )
          & ( v20966(VarNext,bitIndex36)
          <=> v20760(VarCurr,bitIndex429) )
          & ( v20966(VarNext,bitIndex35)
          <=> v20760(VarCurr,bitIndex428) )
          & ( v20966(VarNext,bitIndex34)
          <=> v20760(VarCurr,bitIndex427) )
          & ( v20966(VarNext,bitIndex33)
          <=> v20760(VarCurr,bitIndex426) )
          & ( v20966(VarNext,bitIndex32)
          <=> v20760(VarCurr,bitIndex425) )
          & ( v20966(VarNext,bitIndex31)
          <=> v20760(VarCurr,bitIndex424) )
          & ( v20966(VarNext,bitIndex30)
          <=> v20760(VarCurr,bitIndex423) )
          & ( v20966(VarNext,bitIndex29)
          <=> v20760(VarCurr,bitIndex422) )
          & ( v20966(VarNext,bitIndex28)
          <=> v20760(VarCurr,bitIndex421) )
          & ( v20966(VarNext,bitIndex27)
          <=> v20760(VarCurr,bitIndex420) )
          & ( v20966(VarNext,bitIndex26)
          <=> v20760(VarCurr,bitIndex419) )
          & ( v20966(VarNext,bitIndex25)
          <=> v20760(VarCurr,bitIndex418) )
          & ( v20966(VarNext,bitIndex24)
          <=> v20760(VarCurr,bitIndex417) )
          & ( v20966(VarNext,bitIndex23)
          <=> v20760(VarCurr,bitIndex416) )
          & ( v20966(VarNext,bitIndex22)
          <=> v20760(VarCurr,bitIndex415) )
          & ( v20966(VarNext,bitIndex21)
          <=> v20760(VarCurr,bitIndex414) )
          & ( v20966(VarNext,bitIndex20)
          <=> v20760(VarCurr,bitIndex413) )
          & ( v20966(VarNext,bitIndex19)
          <=> v20760(VarCurr,bitIndex412) )
          & ( v20966(VarNext,bitIndex18)
          <=> v20760(VarCurr,bitIndex411) )
          & ( v20966(VarNext,bitIndex17)
          <=> v20760(VarCurr,bitIndex410) )
          & ( v20966(VarNext,bitIndex16)
          <=> v20760(VarCurr,bitIndex409) )
          & ( v20966(VarNext,bitIndex15)
          <=> v20760(VarCurr,bitIndex408) )
          & ( v20966(VarNext,bitIndex14)
          <=> v20760(VarCurr,bitIndex407) )
          & ( v20966(VarNext,bitIndex13)
          <=> v20760(VarCurr,bitIndex406) )
          & ( v20966(VarNext,bitIndex12)
          <=> v20760(VarCurr,bitIndex405) )
          & ( v20966(VarNext,bitIndex11)
          <=> v20760(VarCurr,bitIndex404) )
          & ( v20966(VarNext,bitIndex10)
          <=> v20760(VarCurr,bitIndex403) )
          & ( v20966(VarNext,bitIndex9)
          <=> v20760(VarCurr,bitIndex402) )
          & ( v20966(VarNext,bitIndex8)
          <=> v20760(VarCurr,bitIndex401) )
          & ( v20966(VarNext,bitIndex7)
          <=> v20760(VarCurr,bitIndex400) )
          & ( v20966(VarNext,bitIndex6)
          <=> v20760(VarCurr,bitIndex399) )
          & ( v20966(VarNext,bitIndex5)
          <=> v20760(VarCurr,bitIndex398) )
          & ( v20966(VarNext,bitIndex4)
          <=> v20760(VarCurr,bitIndex397) )
          & ( v20966(VarNext,bitIndex3)
          <=> v20760(VarCurr,bitIndex396) )
          & ( v20966(VarNext,bitIndex2)
          <=> v20760(VarCurr,bitIndex395) )
          & ( v20966(VarNext,bitIndex1)
          <=> v20760(VarCurr,bitIndex394) )
          & ( v20966(VarNext,bitIndex0)
          <=> v20760(VarCurr,bitIndex393) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_239,axiom,(
    ! [VarNext] :
      ( v20967(VarNext)
     => ! [B] :
          ( range_130_0(B)
         => ( v20966(VarNext,B)
          <=> v20996(VarNext,B) ) ) ) )).

fof(addAssignment_5242,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_130_0(B)
         => ( v20996(VarNext,B)
          <=> v20994(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_613,axiom,(
    ! [VarCurr] :
      ( ~ v20979(VarCurr)
     => ! [B] :
          ( range_130_0(B)
         => ( v20994(VarCurr,B)
          <=> v20997(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_612,axiom,(
    ! [VarCurr] :
      ( v20979(VarCurr)
     => ! [B] :
          ( range_130_0(B)
         => ( v20994(VarCurr,B)
          <=> $false ) ) ) )).

fof(bitBlastConstant_8987,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex130) )).

fof(bitBlastConstant_8986,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex129) )).

fof(bitBlastConstant_8985,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex128) )).

fof(bitBlastConstant_8984,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex127) )).

fof(bitBlastConstant_8983,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex126) )).

fof(bitBlastConstant_8982,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex125) )).

fof(bitBlastConstant_8981,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex124) )).

fof(bitBlastConstant_8980,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex123) )).

fof(bitBlastConstant_8979,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex122) )).

fof(bitBlastConstant_8978,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex121) )).

fof(bitBlastConstant_8977,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex120) )).

fof(bitBlastConstant_8976,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex119) )).

fof(bitBlastConstant_8975,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex118) )).

fof(bitBlastConstant_8974,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex117) )).

fof(bitBlastConstant_8973,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex116) )).

fof(bitBlastConstant_8972,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex115) )).

fof(bitBlastConstant_8971,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex114) )).

fof(bitBlastConstant_8970,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex113) )).

fof(bitBlastConstant_8969,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex112) )).

fof(bitBlastConstant_8968,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex111) )).

fof(bitBlastConstant_8967,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex110) )).

fof(bitBlastConstant_8966,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex109) )).

fof(bitBlastConstant_8965,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex108) )).

fof(bitBlastConstant_8964,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex107) )).

fof(bitBlastConstant_8963,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex106) )).

fof(bitBlastConstant_8962,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex105) )).

fof(bitBlastConstant_8961,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex104) )).

fof(bitBlastConstant_8960,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex103) )).

fof(bitBlastConstant_8959,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex102) )).

fof(bitBlastConstant_8958,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex101) )).

fof(bitBlastConstant_8957,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex100) )).

fof(bitBlastConstant_8956,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex99) )).

fof(bitBlastConstant_8955,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex98) )).

fof(bitBlastConstant_8954,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex97) )).

fof(bitBlastConstant_8953,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex96) )).

fof(bitBlastConstant_8952,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex95) )).

fof(bitBlastConstant_8951,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex94) )).

fof(bitBlastConstant_8950,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex93) )).

fof(bitBlastConstant_8949,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex92) )).

fof(bitBlastConstant_8948,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex91) )).

fof(bitBlastConstant_8947,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex90) )).

fof(bitBlastConstant_8946,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex89) )).

fof(bitBlastConstant_8945,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex88) )).

fof(bitBlastConstant_8944,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex87) )).

fof(bitBlastConstant_8943,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex86) )).

fof(bitBlastConstant_8942,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex85) )).

fof(bitBlastConstant_8941,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex84) )).

fof(bitBlastConstant_8940,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex83) )).

fof(bitBlastConstant_8939,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex82) )).

fof(bitBlastConstant_8938,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex81) )).

fof(bitBlastConstant_8937,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex80) )).

fof(bitBlastConstant_8936,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex79) )).

fof(bitBlastConstant_8935,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex78) )).

fof(bitBlastConstant_8934,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex77) )).

fof(bitBlastConstant_8933,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex76) )).

fof(bitBlastConstant_8932,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex75) )).

fof(bitBlastConstant_8931,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex74) )).

fof(bitBlastConstant_8930,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex73) )).

fof(bitBlastConstant_8929,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex72) )).

fof(bitBlastConstant_8928,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex71) )).

fof(bitBlastConstant_8927,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex70) )).

fof(bitBlastConstant_8926,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex69) )).

fof(bitBlastConstant_8925,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex68) )).

fof(bitBlastConstant_8924,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex67) )).

fof(bitBlastConstant_8923,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex66) )).

fof(bitBlastConstant_8922,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex65) )).

fof(bitBlastConstant_8921,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex64) )).

fof(bitBlastConstant_8920,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex63) )).

fof(bitBlastConstant_8919,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex62) )).

fof(bitBlastConstant_8918,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex61) )).

fof(bitBlastConstant_8917,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex60) )).

fof(bitBlastConstant_8916,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex59) )).

fof(bitBlastConstant_8915,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex58) )).

fof(bitBlastConstant_8914,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex57) )).

fof(bitBlastConstant_8913,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex56) )).

fof(bitBlastConstant_8912,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex55) )).

fof(bitBlastConstant_8911,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex54) )).

fof(bitBlastConstant_8910,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex53) )).

fof(bitBlastConstant_8909,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex52) )).

fof(bitBlastConstant_8908,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex51) )).

fof(bitBlastConstant_8907,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex50) )).

fof(bitBlastConstant_8906,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex49) )).

fof(bitBlastConstant_8905,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex48) )).

fof(bitBlastConstant_8904,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex47) )).

fof(bitBlastConstant_8903,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex46) )).

fof(bitBlastConstant_8902,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex45) )).

fof(bitBlastConstant_8901,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex44) )).

fof(bitBlastConstant_8900,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex43) )).

fof(bitBlastConstant_8899,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex42) )).

fof(bitBlastConstant_8898,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex41) )).

fof(bitBlastConstant_8897,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex40) )).

fof(bitBlastConstant_8896,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex39) )).

fof(bitBlastConstant_8895,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex38) )).

fof(bitBlastConstant_8894,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex37) )).

fof(bitBlastConstant_8893,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex36) )).

fof(bitBlastConstant_8892,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex35) )).

fof(bitBlastConstant_8891,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex34) )).

fof(bitBlastConstant_8890,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex33) )).

fof(bitBlastConstant_8889,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex32) )).

fof(bitBlastConstant_8888,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex31) )).

fof(bitBlastConstant_8887,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex30) )).

fof(bitBlastConstant_8886,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex29) )).

fof(bitBlastConstant_8885,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex28) )).

fof(bitBlastConstant_8884,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex27) )).

fof(bitBlastConstant_8883,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_8882,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_8881,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_8880,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_8879,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_8878,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_8877,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_8876,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_8875,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_8874,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_8873,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_8872,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_8871,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_8870,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_8869,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_8868,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_8867,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_8866,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_8865,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_8864,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_8863,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_8862,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_8861,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_8860,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_8859,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_8858,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_8857,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges2_258,axiom,(
    ! [VarCurr] :
      ( ( ~ v20983(VarCurr)
        & ~ v20985(VarCurr) )
     => ! [B] :
          ( range_130_0(B)
         => ( v20997(VarCurr,B)
          <=> v20955(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_612,axiom,(
    ! [VarCurr] :
      ( v20985(VarCurr)
     => ! [B] :
          ( range_130_0(B)
         => ( v20997(VarCurr,B)
          <=> v20873(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_8,axiom,(
    ! [VarCurr] :
      ( v20983(VarCurr)
     => ( ( v20997(VarCurr,bitIndex130)
        <=> v20760(VarCurr,bitIndex392) )
        & ( v20997(VarCurr,bitIndex129)
        <=> v20760(VarCurr,bitIndex391) )
        & ( v20997(VarCurr,bitIndex128)
        <=> v20760(VarCurr,bitIndex390) )
        & ( v20997(VarCurr,bitIndex127)
        <=> v20760(VarCurr,bitIndex389) )
        & ( v20997(VarCurr,bitIndex126)
        <=> v20760(VarCurr,bitIndex388) )
        & ( v20997(VarCurr,bitIndex125)
        <=> v20760(VarCurr,bitIndex387) )
        & ( v20997(VarCurr,bitIndex124)
        <=> v20760(VarCurr,bitIndex386) )
        & ( v20997(VarCurr,bitIndex123)
        <=> v20760(VarCurr,bitIndex385) )
        & ( v20997(VarCurr,bitIndex122)
        <=> v20760(VarCurr,bitIndex384) )
        & ( v20997(VarCurr,bitIndex121)
        <=> v20760(VarCurr,bitIndex383) )
        & ( v20997(VarCurr,bitIndex120)
        <=> v20760(VarCurr,bitIndex382) )
        & ( v20997(VarCurr,bitIndex119)
        <=> v20760(VarCurr,bitIndex381) )
        & ( v20997(VarCurr,bitIndex118)
        <=> v20760(VarCurr,bitIndex380) )
        & ( v20997(VarCurr,bitIndex117)
        <=> v20760(VarCurr,bitIndex379) )
        & ( v20997(VarCurr,bitIndex116)
        <=> v20760(VarCurr,bitIndex378) )
        & ( v20997(VarCurr,bitIndex115)
        <=> v20760(VarCurr,bitIndex377) )
        & ( v20997(VarCurr,bitIndex114)
        <=> v20760(VarCurr,bitIndex376) )
        & ( v20997(VarCurr,bitIndex113)
        <=> v20760(VarCurr,bitIndex375) )
        & ( v20997(VarCurr,bitIndex112)
        <=> v20760(VarCurr,bitIndex374) )
        & ( v20997(VarCurr,bitIndex111)
        <=> v20760(VarCurr,bitIndex373) )
        & ( v20997(VarCurr,bitIndex110)
        <=> v20760(VarCurr,bitIndex372) )
        & ( v20997(VarCurr,bitIndex109)
        <=> v20760(VarCurr,bitIndex371) )
        & ( v20997(VarCurr,bitIndex108)
        <=> v20760(VarCurr,bitIndex370) )
        & ( v20997(VarCurr,bitIndex107)
        <=> v20760(VarCurr,bitIndex369) )
        & ( v20997(VarCurr,bitIndex106)
        <=> v20760(VarCurr,bitIndex368) )
        & ( v20997(VarCurr,bitIndex105)
        <=> v20760(VarCurr,bitIndex367) )
        & ( v20997(VarCurr,bitIndex104)
        <=> v20760(VarCurr,bitIndex366) )
        & ( v20997(VarCurr,bitIndex103)
        <=> v20760(VarCurr,bitIndex365) )
        & ( v20997(VarCurr,bitIndex102)
        <=> v20760(VarCurr,bitIndex364) )
        & ( v20997(VarCurr,bitIndex101)
        <=> v20760(VarCurr,bitIndex363) )
        & ( v20997(VarCurr,bitIndex100)
        <=> v20760(VarCurr,bitIndex362) )
        & ( v20997(VarCurr,bitIndex99)
        <=> v20760(VarCurr,bitIndex361) )
        & ( v20997(VarCurr,bitIndex98)
        <=> v20760(VarCurr,bitIndex360) )
        & ( v20997(VarCurr,bitIndex97)
        <=> v20760(VarCurr,bitIndex359) )
        & ( v20997(VarCurr,bitIndex96)
        <=> v20760(VarCurr,bitIndex358) )
        & ( v20997(VarCurr,bitIndex95)
        <=> v20760(VarCurr,bitIndex357) )
        & ( v20997(VarCurr,bitIndex94)
        <=> v20760(VarCurr,bitIndex356) )
        & ( v20997(VarCurr,bitIndex93)
        <=> v20760(VarCurr,bitIndex355) )
        & ( v20997(VarCurr,bitIndex92)
        <=> v20760(VarCurr,bitIndex354) )
        & ( v20997(VarCurr,bitIndex91)
        <=> v20760(VarCurr,bitIndex353) )
        & ( v20997(VarCurr,bitIndex90)
        <=> v20760(VarCurr,bitIndex352) )
        & ( v20997(VarCurr,bitIndex89)
        <=> v20760(VarCurr,bitIndex351) )
        & ( v20997(VarCurr,bitIndex88)
        <=> v20760(VarCurr,bitIndex350) )
        & ( v20997(VarCurr,bitIndex87)
        <=> v20760(VarCurr,bitIndex349) )
        & ( v20997(VarCurr,bitIndex86)
        <=> v20760(VarCurr,bitIndex348) )
        & ( v20997(VarCurr,bitIndex85)
        <=> v20760(VarCurr,bitIndex347) )
        & ( v20997(VarCurr,bitIndex84)
        <=> v20760(VarCurr,bitIndex346) )
        & ( v20997(VarCurr,bitIndex83)
        <=> v20760(VarCurr,bitIndex345) )
        & ( v20997(VarCurr,bitIndex82)
        <=> v20760(VarCurr,bitIndex344) )
        & ( v20997(VarCurr,bitIndex81)
        <=> v20760(VarCurr,bitIndex343) )
        & ( v20997(VarCurr,bitIndex80)
        <=> v20760(VarCurr,bitIndex342) )
        & ( v20997(VarCurr,bitIndex79)
        <=> v20760(VarCurr,bitIndex341) )
        & ( v20997(VarCurr,bitIndex78)
        <=> v20760(VarCurr,bitIndex340) )
        & ( v20997(VarCurr,bitIndex77)
        <=> v20760(VarCurr,bitIndex339) )
        & ( v20997(VarCurr,bitIndex76)
        <=> v20760(VarCurr,bitIndex338) )
        & ( v20997(VarCurr,bitIndex75)
        <=> v20760(VarCurr,bitIndex337) )
        & ( v20997(VarCurr,bitIndex74)
        <=> v20760(VarCurr,bitIndex336) )
        & ( v20997(VarCurr,bitIndex73)
        <=> v20760(VarCurr,bitIndex335) )
        & ( v20997(VarCurr,bitIndex72)
        <=> v20760(VarCurr,bitIndex334) )
        & ( v20997(VarCurr,bitIndex71)
        <=> v20760(VarCurr,bitIndex333) )
        & ( v20997(VarCurr,bitIndex70)
        <=> v20760(VarCurr,bitIndex332) )
        & ( v20997(VarCurr,bitIndex69)
        <=> v20760(VarCurr,bitIndex331) )
        & ( v20997(VarCurr,bitIndex68)
        <=> v20760(VarCurr,bitIndex330) )
        & ( v20997(VarCurr,bitIndex67)
        <=> v20760(VarCurr,bitIndex329) )
        & ( v20997(VarCurr,bitIndex66)
        <=> v20760(VarCurr,bitIndex328) )
        & ( v20997(VarCurr,bitIndex65)
        <=> v20760(VarCurr,bitIndex327) )
        & ( v20997(VarCurr,bitIndex64)
        <=> v20760(VarCurr,bitIndex326) )
        & ( v20997(VarCurr,bitIndex63)
        <=> v20760(VarCurr,bitIndex325) )
        & ( v20997(VarCurr,bitIndex62)
        <=> v20760(VarCurr,bitIndex324) )
        & ( v20997(VarCurr,bitIndex61)
        <=> v20760(VarCurr,bitIndex323) )
        & ( v20997(VarCurr,bitIndex60)
        <=> v20760(VarCurr,bitIndex322) )
        & ( v20997(VarCurr,bitIndex59)
        <=> v20760(VarCurr,bitIndex321) )
        & ( v20997(VarCurr,bitIndex58)
        <=> v20760(VarCurr,bitIndex320) )
        & ( v20997(VarCurr,bitIndex57)
        <=> v20760(VarCurr,bitIndex319) )
        & ( v20997(VarCurr,bitIndex56)
        <=> v20760(VarCurr,bitIndex318) )
        & ( v20997(VarCurr,bitIndex55)
        <=> v20760(VarCurr,bitIndex317) )
        & ( v20997(VarCurr,bitIndex54)
        <=> v20760(VarCurr,bitIndex316) )
        & ( v20997(VarCurr,bitIndex53)
        <=> v20760(VarCurr,bitIndex315) )
        & ( v20997(VarCurr,bitIndex52)
        <=> v20760(VarCurr,bitIndex314) )
        & ( v20997(VarCurr,bitIndex51)
        <=> v20760(VarCurr,bitIndex313) )
        & ( v20997(VarCurr,bitIndex50)
        <=> v20760(VarCurr,bitIndex312) )
        & ( v20997(VarCurr,bitIndex49)
        <=> v20760(VarCurr,bitIndex311) )
        & ( v20997(VarCurr,bitIndex48)
        <=> v20760(VarCurr,bitIndex310) )
        & ( v20997(VarCurr,bitIndex47)
        <=> v20760(VarCurr,bitIndex309) )
        & ( v20997(VarCurr,bitIndex46)
        <=> v20760(VarCurr,bitIndex308) )
        & ( v20997(VarCurr,bitIndex45)
        <=> v20760(VarCurr,bitIndex307) )
        & ( v20997(VarCurr,bitIndex44)
        <=> v20760(VarCurr,bitIndex306) )
        & ( v20997(VarCurr,bitIndex43)
        <=> v20760(VarCurr,bitIndex305) )
        & ( v20997(VarCurr,bitIndex42)
        <=> v20760(VarCurr,bitIndex304) )
        & ( v20997(VarCurr,bitIndex41)
        <=> v20760(VarCurr,bitIndex303) )
        & ( v20997(VarCurr,bitIndex40)
        <=> v20760(VarCurr,bitIndex302) )
        & ( v20997(VarCurr,bitIndex39)
        <=> v20760(VarCurr,bitIndex301) )
        & ( v20997(VarCurr,bitIndex38)
        <=> v20760(VarCurr,bitIndex300) )
        & ( v20997(VarCurr,bitIndex37)
        <=> v20760(VarCurr,bitIndex299) )
        & ( v20997(VarCurr,bitIndex36)
        <=> v20760(VarCurr,bitIndex298) )
        & ( v20997(VarCurr,bitIndex35)
        <=> v20760(VarCurr,bitIndex297) )
        & ( v20997(VarCurr,bitIndex34)
        <=> v20760(VarCurr,bitIndex296) )
        & ( v20997(VarCurr,bitIndex33)
        <=> v20760(VarCurr,bitIndex295) )
        & ( v20997(VarCurr,bitIndex32)
        <=> v20760(VarCurr,bitIndex294) )
        & ( v20997(VarCurr,bitIndex31)
        <=> v20760(VarCurr,bitIndex293) )
        & ( v20997(VarCurr,bitIndex30)
        <=> v20760(VarCurr,bitIndex292) )
        & ( v20997(VarCurr,bitIndex29)
        <=> v20760(VarCurr,bitIndex291) )
        & ( v20997(VarCurr,bitIndex28)
        <=> v20760(VarCurr,bitIndex290) )
        & ( v20997(VarCurr,bitIndex27)
        <=> v20760(VarCurr,bitIndex289) )
        & ( v20997(VarCurr,bitIndex26)
        <=> v20760(VarCurr,bitIndex288) )
        & ( v20997(VarCurr,bitIndex25)
        <=> v20760(VarCurr,bitIndex287) )
        & ( v20997(VarCurr,bitIndex24)
        <=> v20760(VarCurr,bitIndex286) )
        & ( v20997(VarCurr,bitIndex23)
        <=> v20760(VarCurr,bitIndex285) )
        & ( v20997(VarCurr,bitIndex22)
        <=> v20760(VarCurr,bitIndex284) )
        & ( v20997(VarCurr,bitIndex21)
        <=> v20760(VarCurr,bitIndex283) )
        & ( v20997(VarCurr,bitIndex20)
        <=> v20760(VarCurr,bitIndex282) )
        & ( v20997(VarCurr,bitIndex19)
        <=> v20760(VarCurr,bitIndex281) )
        & ( v20997(VarCurr,bitIndex18)
        <=> v20760(VarCurr,bitIndex280) )
        & ( v20997(VarCurr,bitIndex17)
        <=> v20760(VarCurr,bitIndex279) )
        & ( v20997(VarCurr,bitIndex16)
        <=> v20760(VarCurr,bitIndex278) )
        & ( v20997(VarCurr,bitIndex15)
        <=> v20760(VarCurr,bitIndex277) )
        & ( v20997(VarCurr,bitIndex14)
        <=> v20760(VarCurr,bitIndex276) )
        & ( v20997(VarCurr,bitIndex13)
        <=> v20760(VarCurr,bitIndex275) )
        & ( v20997(VarCurr,bitIndex12)
        <=> v20760(VarCurr,bitIndex274) )
        & ( v20997(VarCurr,bitIndex11)
        <=> v20760(VarCurr,bitIndex273) )
        & ( v20997(VarCurr,bitIndex10)
        <=> v20760(VarCurr,bitIndex272) )
        & ( v20997(VarCurr,bitIndex9)
        <=> v20760(VarCurr,bitIndex271) )
        & ( v20997(VarCurr,bitIndex8)
        <=> v20760(VarCurr,bitIndex270) )
        & ( v20997(VarCurr,bitIndex7)
        <=> v20760(VarCurr,bitIndex269) )
        & ( v20997(VarCurr,bitIndex6)
        <=> v20760(VarCurr,bitIndex268) )
        & ( v20997(VarCurr,bitIndex5)
        <=> v20760(VarCurr,bitIndex267) )
        & ( v20997(VarCurr,bitIndex4)
        <=> v20760(VarCurr,bitIndex266) )
        & ( v20997(VarCurr,bitIndex3)
        <=> v20760(VarCurr,bitIndex265) )
        & ( v20997(VarCurr,bitIndex2)
        <=> v20760(VarCurr,bitIndex264) )
        & ( v20997(VarCurr,bitIndex1)
        <=> v20760(VarCurr,bitIndex263) )
        & ( v20997(VarCurr,bitIndex0)
        <=> v20760(VarCurr,bitIndex262) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4762,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20967(VarNext)
      <=> ( v20968(VarNext)
          & v20977(VarNext) ) ) ) )).

fof(addAssignment_5241,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20977(VarNext)
      <=> v20975(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4761,axiom,(
    ! [VarCurr] :
      ( v20975(VarCurr)
    <=> ( v20978(VarCurr)
        & v20990(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4760,axiom,(
    ! [VarCurr] :
      ( v20990(VarCurr)
    <=> ( v20991(VarCurr)
        | v20979(VarCurr) ) ) )).

fof(writeUnaryOperator_2085,axiom,(
    ! [VarCurr] :
      ( ~ v20991(VarCurr)
    <=> v20992(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1509,axiom,(
    ! [VarCurr] :
      ( v20992(VarCurr)
    <=> ( ( v20993(VarCurr,bitIndex1)
        <=> $false )
        & ( v20993(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5240,axiom,(
    ! [VarCurr] :
      ( v20993(VarCurr,bitIndex0)
    <=> v20858(VarCurr) ) )).

fof(addAssignment_5239,axiom,(
    ! [VarCurr] :
      ( v20993(VarCurr,bitIndex1)
    <=> v20765(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4759,axiom,(
    ! [VarCurr] :
      ( v20978(VarCurr)
    <=> ( v20979(VarCurr)
        | v20980(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4758,axiom,(
    ! [VarCurr] :
      ( v20980(VarCurr)
    <=> ( v20981(VarCurr)
        & v20989(VarCurr) ) ) )).

fof(writeUnaryOperator_2084,axiom,(
    ! [VarCurr] :
      ( ~ v20989(VarCurr)
    <=> v20979(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4757,axiom,(
    ! [VarCurr] :
      ( v20981(VarCurr)
    <=> ( v20982(VarCurr)
        | v20987(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1508,axiom,(
    ! [VarCurr] :
      ( v20987(VarCurr)
    <=> ( ( v20988(VarCurr,bitIndex1)
        <=> $true )
        & ( v20988(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_5238,axiom,(
    ! [VarCurr] :
      ( v20988(VarCurr,bitIndex0)
    <=> v20858(VarCurr) ) )).

fof(addAssignment_5237,axiom,(
    ! [VarCurr] :
      ( v20988(VarCurr,bitIndex1)
    <=> v20765(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4756,axiom,(
    ! [VarCurr] :
      ( v20982(VarCurr)
    <=> ( v20983(VarCurr)
        | v20985(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1507,axiom,(
    ! [VarCurr] :
      ( v20985(VarCurr)
    <=> ( ( v20986(VarCurr,bitIndex1)
        <=> $true )
        & ( v20986(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5236,axiom,(
    ! [VarCurr] :
      ( v20986(VarCurr,bitIndex0)
    <=> v20858(VarCurr) ) )).

fof(addAssignment_5235,axiom,(
    ! [VarCurr] :
      ( v20986(VarCurr,bitIndex1)
    <=> v20765(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1506,axiom,(
    ! [VarCurr] :
      ( v20983(VarCurr)
    <=> ( ( v20984(VarCurr,bitIndex1)
        <=> $false )
        & ( v20984(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_5234,axiom,(
    ! [VarCurr] :
      ( v20984(VarCurr,bitIndex0)
    <=> v20858(VarCurr) ) )).

fof(addAssignment_5233,axiom,(
    ! [VarCurr] :
      ( v20984(VarCurr,bitIndex1)
    <=> v20765(VarCurr) ) )).

fof(writeUnaryOperator_2083,axiom,(
    ! [VarCurr] :
      ( ~ v20979(VarCurr)
    <=> v20762(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4755,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20968(VarNext)
      <=> ( v20969(VarNext)
          & v20962(VarNext) ) ) ) )).

fof(writeUnaryOperator_2082,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20969(VarNext)
      <=> v20971(VarNext) ) ) )).

fof(addAssignment_5232,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20971(VarNext)
      <=> v20962(VarCurr) ) ) )).

fof(addAssignment_5231,axiom,(
    ! [VarCurr] :
      ( v20962(VarCurr)
    <=> v20964(VarCurr) ) )).

fof(addAssignment_5230,axiom,(
    ! [VarCurr] :
      ( v20964(VarCurr)
    <=> v13187(VarCurr) ) )).

fof(addAssignment_5229,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v20955(VarCurr,B)
      <=> v20960(VarCurr,B) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_495,axiom,(
    ! [VarCurr] :
      ( ~ v20957(VarCurr)
     => ! [B] :
          ( range_130_0(B)
         => ( v20960(VarCurr,B)
          <=> v20959(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_436,axiom,(
    ! [VarCurr] :
      ( v20957(VarCurr)
     => ! [B] :
          ( range_130_0(B)
         => ( v20960(VarCurr,B)
          <=> v20900(VarCurr,B) ) ) ) )).

fof(addAssignment_5228,axiom,(
    ! [VarCurr] :
      ( ( v20959(VarCurr,bitIndex7)
      <=> v20760(VarCurr,bitIndex269) )
      & ( v20959(VarCurr,bitIndex6)
      <=> v20760(VarCurr,bitIndex268) )
      & ( v20959(VarCurr,bitIndex5)
      <=> v20760(VarCurr,bitIndex267) )
      & ( v20959(VarCurr,bitIndex4)
      <=> v20760(VarCurr,bitIndex266) )
      & ( v20959(VarCurr,bitIndex3)
      <=> v20760(VarCurr,bitIndex265) )
      & ( v20959(VarCurr,bitIndex2)
      <=> v20760(VarCurr,bitIndex264) )
      & ( v20959(VarCurr,bitIndex1)
      <=> v20760(VarCurr,bitIndex263) )
      & ( v20959(VarCurr,bitIndex0)
      <=> v20760(VarCurr,bitIndex262) ) ) )).

fof(addAssignment_5227,axiom,(
    ! [VarCurr] :
      ( v20957(VarCurr)
    <=> v20877(VarCurr,bitIndex1) ) )).

fof(addAssignment_5226,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v20873(VarCurr,B)
      <=> v20953(VarCurr,B) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_494,axiom,(
    ! [VarCurr] :
      ( ~ v20875(VarCurr)
     => ! [B] :
          ( range_130_0(B)
         => ( v20953(VarCurr,B)
          <=> v20952(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_435,axiom,(
    ! [VarCurr] :
      ( v20875(VarCurr)
     => ! [B] :
          ( range_130_0(B)
         => ( v20953(VarCurr,B)
          <=> v20900(VarCurr,B) ) ) ) )).

fof(addAssignment_5225,axiom,(
    ! [VarCurr] :
      ( ( v20952(VarCurr,bitIndex7)
      <=> v20760(VarCurr,bitIndex400) )
      & ( v20952(VarCurr,bitIndex6)
      <=> v20760(VarCurr,bitIndex399) )
      & ( v20952(VarCurr,bitIndex5)
      <=> v20760(VarCurr,bitIndex398) )
      & ( v20952(VarCurr,bitIndex4)
      <=> v20760(VarCurr,bitIndex397) )
      & ( v20952(VarCurr,bitIndex3)
      <=> v20760(VarCurr,bitIndex396) )
      & ( v20952(VarCurr,bitIndex2)
      <=> v20760(VarCurr,bitIndex395) )
      & ( v20952(VarCurr,bitIndex1)
      <=> v20760(VarCurr,bitIndex394) )
      & ( v20952(VarCurr,bitIndex0)
      <=> v20760(VarCurr,bitIndex393) ) ) )).

fof(addAssignment_5224,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v20900(VarCurr,B)
      <=> v20902(VarCurr,B) ) ) )).

fof(addAssignment_5223,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v20902(VarCurr,B)
      <=> v20904(VarCurr,B) ) ) )).

fof(addAssignment_5222,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v20904(VarCurr,B)
      <=> v20906(VarCurr,B) ) ) )).

fof(addAssignment_5221,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v20906(VarCurr,B)
      <=> v20950(VarCurr,B) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_493,axiom,(
    ! [VarCurr] :
      ( ~ v20908(VarCurr)
     => ! [B] :
          ( range_130_0(B)
         => ( v20950(VarCurr,B)
          <=> v20937(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_434,axiom,(
    ! [VarCurr] :
      ( v20908(VarCurr)
     => ! [B] :
          ( range_130_0(B)
         => ( v20950(VarCurr,B)
          <=> v20912(VarCurr,B) ) ) ) )).

fof(range_axiom_76,axiom,(
    ! [B] :
      ( range_130_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B
        | bitIndex44 = B
        | bitIndex45 = B
        | bitIndex46 = B
        | bitIndex47 = B
        | bitIndex48 = B
        | bitIndex49 = B
        | bitIndex50 = B
        | bitIndex51 = B
        | bitIndex52 = B
        | bitIndex53 = B
        | bitIndex54 = B
        | bitIndex55 = B
        | bitIndex56 = B
        | bitIndex57 = B
        | bitIndex58 = B
        | bitIndex59 = B
        | bitIndex60 = B
        | bitIndex61 = B
        | bitIndex62 = B
        | bitIndex63 = B
        | bitIndex64 = B
        | bitIndex65 = B
        | bitIndex66 = B
        | bitIndex67 = B
        | bitIndex68 = B
        | bitIndex69 = B
        | bitIndex70 = B
        | bitIndex71 = B
        | bitIndex72 = B
        | bitIndex73 = B
        | bitIndex74 = B
        | bitIndex75 = B
        | bitIndex76 = B
        | bitIndex77 = B
        | bitIndex78 = B
        | bitIndex79 = B
        | bitIndex80 = B
        | bitIndex81 = B
        | bitIndex82 = B
        | bitIndex83 = B
        | bitIndex84 = B
        | bitIndex85 = B
        | bitIndex86 = B
        | bitIndex87 = B
        | bitIndex88 = B
        | bitIndex89 = B
        | bitIndex90 = B
        | bitIndex91 = B
        | bitIndex92 = B
        | bitIndex93 = B
        | bitIndex94 = B
        | bitIndex95 = B
        | bitIndex96 = B
        | bitIndex97 = B
        | bitIndex98 = B
        | bitIndex99 = B
        | bitIndex100 = B
        | bitIndex101 = B
        | bitIndex102 = B
        | bitIndex103 = B
        | bitIndex104 = B
        | bitIndex105 = B
        | bitIndex106 = B
        | bitIndex107 = B
        | bitIndex108 = B
        | bitIndex109 = B
        | bitIndex110 = B
        | bitIndex111 = B
        | bitIndex112 = B
        | bitIndex113 = B
        | bitIndex114 = B
        | bitIndex115 = B
        | bitIndex116 = B
        | bitIndex117 = B
        | bitIndex118 = B
        | bitIndex119 = B
        | bitIndex120 = B
        | bitIndex121 = B
        | bitIndex122 = B
        | bitIndex123 = B
        | bitIndex124 = B
        | bitIndex125 = B
        | bitIndex126 = B
        | bitIndex127 = B
        | bitIndex128 = B
        | bitIndex129 = B
        | bitIndex130 = B ) ) )).

fof(addAssignment_5220,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v20937(VarCurr,B)
      <=> v20940(VarCurr,B) ) ) )).

fof(addAssignment_5219,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v20940(VarCurr,B)
      <=> v20939(VarCurr,B) ) ) )).

fof(addAssignment_5218,axiom,(
    ! [VarCurr] :
      ( ( v20940(VarCurr,bitIndex14)
      <=> v20949(VarCurr,bitIndex6) )
      & ( v20940(VarCurr,bitIndex13)
      <=> v20949(VarCurr,bitIndex5) )
      & ( v20940(VarCurr,bitIndex12)
      <=> v20949(VarCurr,bitIndex4) )
      & ( v20940(VarCurr,bitIndex11)
      <=> v20949(VarCurr,bitIndex3) )
      & ( v20940(VarCurr,bitIndex10)
      <=> v20949(VarCurr,bitIndex2) )
      & ( v20940(VarCurr,bitIndex9)
      <=> v20949(VarCurr,bitIndex1) )
      & ( v20940(VarCurr,bitIndex8)
      <=> v20949(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_5217,axiom,(
    ! [VarCurr] :
      ( ( v20940(VarCurr,bitIndex76)
      <=> v20948(VarCurr,bitIndex61) )
      & ( v20940(VarCurr,bitIndex75)
      <=> v20948(VarCurr,bitIndex60) )
      & ( v20940(VarCurr,bitIndex74)
      <=> v20948(VarCurr,bitIndex59) )
      & ( v20940(VarCurr,bitIndex73)
      <=> v20948(VarCurr,bitIndex58) )
      & ( v20940(VarCurr,bitIndex72)
      <=> v20948(VarCurr,bitIndex57) )
      & ( v20940(VarCurr,bitIndex71)
      <=> v20948(VarCurr,bitIndex56) )
      & ( v20940(VarCurr,bitIndex70)
      <=> v20948(VarCurr,bitIndex55) )
      & ( v20940(VarCurr,bitIndex69)
      <=> v20948(VarCurr,bitIndex54) )
      & ( v20940(VarCurr,bitIndex68)
      <=> v20948(VarCurr,bitIndex53) )
      & ( v20940(VarCurr,bitIndex67)
      <=> v20948(VarCurr,bitIndex52) )
      & ( v20940(VarCurr,bitIndex66)
      <=> v20948(VarCurr,bitIndex51) )
      & ( v20940(VarCurr,bitIndex65)
      <=> v20948(VarCurr,bitIndex50) )
      & ( v20940(VarCurr,bitIndex64)
      <=> v20948(VarCurr,bitIndex49) )
      & ( v20940(VarCurr,bitIndex63)
      <=> v20948(VarCurr,bitIndex48) )
      & ( v20940(VarCurr,bitIndex62)
      <=> v20948(VarCurr,bitIndex47) )
      & ( v20940(VarCurr,bitIndex61)
      <=> v20948(VarCurr,bitIndex46) )
      & ( v20940(VarCurr,bitIndex60)
      <=> v20948(VarCurr,bitIndex45) )
      & ( v20940(VarCurr,bitIndex59)
      <=> v20948(VarCurr,bitIndex44) )
      & ( v20940(VarCurr,bitIndex58)
      <=> v20948(VarCurr,bitIndex43) )
      & ( v20940(VarCurr,bitIndex57)
      <=> v20948(VarCurr,bitIndex42) )
      & ( v20940(VarCurr,bitIndex56)
      <=> v20948(VarCurr,bitIndex41) )
      & ( v20940(VarCurr,bitIndex55)
      <=> v20948(VarCurr,bitIndex40) )
      & ( v20940(VarCurr,bitIndex54)
      <=> v20948(VarCurr,bitIndex39) )
      & ( v20940(VarCurr,bitIndex53)
      <=> v20948(VarCurr,bitIndex38) )
      & ( v20940(VarCurr,bitIndex52)
      <=> v20948(VarCurr,bitIndex37) )
      & ( v20940(VarCurr,bitIndex51)
      <=> v20948(VarCurr,bitIndex36) )
      & ( v20940(VarCurr,bitIndex50)
      <=> v20948(VarCurr,bitIndex35) )
      & ( v20940(VarCurr,bitIndex49)
      <=> v20948(VarCurr,bitIndex34) )
      & ( v20940(VarCurr,bitIndex48)
      <=> v20948(VarCurr,bitIndex33) )
      & ( v20940(VarCurr,bitIndex47)
      <=> v20948(VarCurr,bitIndex32) )
      & ( v20940(VarCurr,bitIndex46)
      <=> v20948(VarCurr,bitIndex31) )
      & ( v20940(VarCurr,bitIndex45)
      <=> v20948(VarCurr,bitIndex30) )
      & ( v20940(VarCurr,bitIndex44)
      <=> v20948(VarCurr,bitIndex29) )
      & ( v20940(VarCurr,bitIndex43)
      <=> v20948(VarCurr,bitIndex28) )
      & ( v20940(VarCurr,bitIndex42)
      <=> v20948(VarCurr,bitIndex27) )
      & ( v20940(VarCurr,bitIndex41)
      <=> v20948(VarCurr,bitIndex26) )
      & ( v20940(VarCurr,bitIndex40)
      <=> v20948(VarCurr,bitIndex25) )
      & ( v20940(VarCurr,bitIndex39)
      <=> v20948(VarCurr,bitIndex24) )
      & ( v20940(VarCurr,bitIndex38)
      <=> v20948(VarCurr,bitIndex23) )
      & ( v20940(VarCurr,bitIndex37)
      <=> v20948(VarCurr,bitIndex22) )
      & ( v20940(VarCurr,bitIndex36)
      <=> v20948(VarCurr,bitIndex21) )
      & ( v20940(VarCurr,bitIndex35)
      <=> v20948(VarCurr,bitIndex20) )
      & ( v20940(VarCurr,bitIndex34)
      <=> v20948(VarCurr,bitIndex19) )
      & ( v20940(VarCurr,bitIndex33)
      <=> v20948(VarCurr,bitIndex18) )
      & ( v20940(VarCurr,bitIndex32)
      <=> v20948(VarCurr,bitIndex17) )
      & ( v20940(VarCurr,bitIndex31)
      <=> v20948(VarCurr,bitIndex16) )
      & ( v20940(VarCurr,bitIndex30)
      <=> v20948(VarCurr,bitIndex15) )
      & ( v20940(VarCurr,bitIndex29)
      <=> v20948(VarCurr,bitIndex14) )
      & ( v20940(VarCurr,bitIndex28)
      <=> v20948(VarCurr,bitIndex13) )
      & ( v20940(VarCurr,bitIndex27)
      <=> v20948(VarCurr,bitIndex12) )
      & ( v20940(VarCurr,bitIndex26)
      <=> v20948(VarCurr,bitIndex11) )
      & ( v20940(VarCurr,bitIndex25)
      <=> v20948(VarCurr,bitIndex10) )
      & ( v20940(VarCurr,bitIndex24)
      <=> v20948(VarCurr,bitIndex9) )
      & ( v20940(VarCurr,bitIndex23)
      <=> v20948(VarCurr,bitIndex8) )
      & ( v20940(VarCurr,bitIndex22)
      <=> v20948(VarCurr,bitIndex7) )
      & ( v20940(VarCurr,bitIndex21)
      <=> v20948(VarCurr,bitIndex6) )
      & ( v20940(VarCurr,bitIndex20)
      <=> v20948(VarCurr,bitIndex5) )
      & ( v20940(VarCurr,bitIndex19)
      <=> v20948(VarCurr,bitIndex4) )
      & ( v20940(VarCurr,bitIndex18)
      <=> v20948(VarCurr,bitIndex3) )
      & ( v20940(VarCurr,bitIndex17)
      <=> v20948(VarCurr,bitIndex2) )
      & ( v20940(VarCurr,bitIndex16)
      <=> v20948(VarCurr,bitIndex1) )
      & ( v20940(VarCurr,bitIndex15)
      <=> v20948(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_5216,axiom,(
    ! [VarCurr] :
      ( ( v20940(VarCurr,bitIndex80)
      <=> v20947(VarCurr,bitIndex3) )
      & ( v20940(VarCurr,bitIndex79)
      <=> v20947(VarCurr,bitIndex2) )
      & ( v20940(VarCurr,bitIndex78)
      <=> v20947(VarCurr,bitIndex1) )
      & ( v20940(VarCurr,bitIndex77)
      <=> v20947(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_5215,axiom,(
    ! [VarCurr] :
      ( ( v20940(VarCurr,bitIndex84)
      <=> v20946(VarCurr,bitIndex3) )
      & ( v20940(VarCurr,bitIndex83)
      <=> v20946(VarCurr,bitIndex2) )
      & ( v20940(VarCurr,bitIndex82)
      <=> v20946(VarCurr,bitIndex1) )
      & ( v20940(VarCurr,bitIndex81)
      <=> v20946(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_5214,axiom,(
    ! [VarCurr] :
      ( ( v20940(VarCurr,bitIndex92)
      <=> v20945(VarCurr,bitIndex7) )
      & ( v20940(VarCurr,bitIndex91)
      <=> v20945(VarCurr,bitIndex6) )
      & ( v20940(VarCurr,bitIndex90)
      <=> v20945(VarCurr,bitIndex5) )
      & ( v20940(VarCurr,bitIndex89)
      <=> v20945(VarCurr,bitIndex4) )
      & ( v20940(VarCurr,bitIndex88)
      <=> v20945(VarCurr,bitIndex3) )
      & ( v20940(VarCurr,bitIndex87)
      <=> v20945(VarCurr,bitIndex2) )
      & ( v20940(VarCurr,bitIndex86)
      <=> v20945(VarCurr,bitIndex1) )
      & ( v20940(VarCurr,bitIndex85)
      <=> v20945(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_5213,axiom,(
    ! [VarCurr] :
      ( ( v20940(VarCurr,bitIndex108)
      <=> v20944(VarCurr,bitIndex15) )
      & ( v20940(VarCurr,bitIndex107)
      <=> v20944(VarCurr,bitIndex14) )
      & ( v20940(VarCurr,bitIndex106)
      <=> v20944(VarCurr,bitIndex13) )
      & ( v20940(VarCurr,bitIndex105)
      <=> v20944(VarCurr,bitIndex12) )
      & ( v20940(VarCurr,bitIndex104)
      <=> v20944(VarCurr,bitIndex11) )
      & ( v20940(VarCurr,bitIndex103)
      <=> v20944(VarCurr,bitIndex10) )
      & ( v20940(VarCurr,bitIndex102)
      <=> v20944(VarCurr,bitIndex9) )
      & ( v20940(VarCurr,bitIndex101)
      <=> v20944(VarCurr,bitIndex8) )
      & ( v20940(VarCurr,bitIndex100)
      <=> v20944(VarCurr,bitIndex7) )
      & ( v20940(VarCurr,bitIndex99)
      <=> v20944(VarCurr,bitIndex6) )
      & ( v20940(VarCurr,bitIndex98)
      <=> v20944(VarCurr,bitIndex5) )
      & ( v20940(VarCurr,bitIndex97)
      <=> v20944(VarCurr,bitIndex4) )
      & ( v20940(VarCurr,bitIndex96)
      <=> v20944(VarCurr,bitIndex3) )
      & ( v20940(VarCurr,bitIndex95)
      <=> v20944(VarCurr,bitIndex2) )
      & ( v20940(VarCurr,bitIndex94)
      <=> v20944(VarCurr,bitIndex1) )
      & ( v20940(VarCurr,bitIndex93)
      <=> v20944(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_5212,axiom,(
    ! [VarCurr] :
      ( ( v20940(VarCurr,bitIndex118)
      <=> v20943(VarCurr,bitIndex9) )
      & ( v20940(VarCurr,bitIndex117)
      <=> v20943(VarCurr,bitIndex8) )
      & ( v20940(VarCurr,bitIndex116)
      <=> v20943(VarCurr,bitIndex7) )
      & ( v20940(VarCurr,bitIndex115)
      <=> v20943(VarCurr,bitIndex6) )
      & ( v20940(VarCurr,bitIndex114)
      <=> v20943(VarCurr,bitIndex5) )
      & ( v20940(VarCurr,bitIndex113)
      <=> v20943(VarCurr,bitIndex4) )
      & ( v20940(VarCurr,bitIndex112)
      <=> v20943(VarCurr,bitIndex3) )
      & ( v20940(VarCurr,bitIndex111)
      <=> v20943(VarCurr,bitIndex2) )
      & ( v20940(VarCurr,bitIndex110)
      <=> v20943(VarCurr,bitIndex1) )
      & ( v20940(VarCurr,bitIndex109)
      <=> v20943(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_5211,axiom,(
    ! [VarCurr] :
      ( ( v20940(VarCurr,bitIndex120)
      <=> v20942(VarCurr,bitIndex1) )
      & ( v20940(VarCurr,bitIndex119)
      <=> v20942(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_5210,axiom,(
    ! [VarCurr] :
      ( ( v20940(VarCurr,bitIndex123)
      <=> v20941(VarCurr,bitIndex2) )
      & ( v20940(VarCurr,bitIndex122)
      <=> v20941(VarCurr,bitIndex1) )
      & ( v20940(VarCurr,bitIndex121)
      <=> v20941(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_5209,axiom,(
    ! [VarCurr] :
      ( ( v20940(VarCurr,bitIndex130)
      <=> v20779(VarCurr,bitIndex6) )
      & ( v20940(VarCurr,bitIndex129)
      <=> v20779(VarCurr,bitIndex5) )
      & ( v20940(VarCurr,bitIndex128)
      <=> v20779(VarCurr,bitIndex4) )
      & ( v20940(VarCurr,bitIndex127)
      <=> v20779(VarCurr,bitIndex3) )
      & ( v20940(VarCurr,bitIndex126)
      <=> v20779(VarCurr,bitIndex2) )
      & ( v20940(VarCurr,bitIndex125)
      <=> v20779(VarCurr,bitIndex1) )
      & ( v20940(VarCurr,bitIndex124)
      <=> v20779(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_5208,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v20939(VarCurr,B)
      <=> v20781(VarCurr,B) ) ) )).

fof(addAssignment_5207,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v20781(VarCurr,B)
      <=> v20783(VarCurr,B) ) ) )).

fof(addAssignment_5206,axiom,(
    ! [VarCurr] :
      ( ( v20783(VarCurr,bitIndex7)
      <=> v20785(VarCurr,bitIndex400) )
      & ( v20783(VarCurr,bitIndex6)
      <=> v20785(VarCurr,bitIndex399) )
      & ( v20783(VarCurr,bitIndex5)
      <=> v20785(VarCurr,bitIndex398) )
      & ( v20783(VarCurr,bitIndex4)
      <=> v20785(VarCurr,bitIndex397) )
      & ( v20783(VarCurr,bitIndex3)
      <=> v20785(VarCurr,bitIndex396) )
      & ( v20783(VarCurr,bitIndex2)
      <=> v20785(VarCurr,bitIndex395) )
      & ( v20783(VarCurr,bitIndex1)
      <=> v20785(VarCurr,bitIndex394) )
      & ( v20783(VarCurr,bitIndex0)
      <=> v20785(VarCurr,bitIndex393) ) ) )).

fof(addAssignment_5205,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v20912(VarCurr,B)
      <=> v20915(VarCurr,B) ) ) )).

fof(addAssignment_5204,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v20915(VarCurr,B)
      <=> v20914(VarCurr,B) ) ) )).

fof(addAssignment_5203,axiom,(
    ! [VarCurr] :
      ( ( v20915(VarCurr,bitIndex14)
      <=> v20934(VarCurr,bitIndex6) )
      & ( v20915(VarCurr,bitIndex13)
      <=> v20934(VarCurr,bitIndex5) )
      & ( v20915(VarCurr,bitIndex12)
      <=> v20934(VarCurr,bitIndex4) )
      & ( v20915(VarCurr,bitIndex11)
      <=> v20934(VarCurr,bitIndex3) )
      & ( v20915(VarCurr,bitIndex10)
      <=> v20934(VarCurr,bitIndex2) )
      & ( v20915(VarCurr,bitIndex9)
      <=> v20934(VarCurr,bitIndex1) )
      & ( v20915(VarCurr,bitIndex8)
      <=> v20934(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_5202,axiom,(
    ! [VarCurr] :
      ( ( v20915(VarCurr,bitIndex76)
      <=> v20932(VarCurr,bitIndex61) )
      & ( v20915(VarCurr,bitIndex75)
      <=> v20932(VarCurr,bitIndex60) )
      & ( v20915(VarCurr,bitIndex74)
      <=> v20932(VarCurr,bitIndex59) )
      & ( v20915(VarCurr,bitIndex73)
      <=> v20932(VarCurr,bitIndex58) )
      & ( v20915(VarCurr,bitIndex72)
      <=> v20932(VarCurr,bitIndex57) )
      & ( v20915(VarCurr,bitIndex71)
      <=> v20932(VarCurr,bitIndex56) )
      & ( v20915(VarCurr,bitIndex70)
      <=> v20932(VarCurr,bitIndex55) )
      & ( v20915(VarCurr,bitIndex69)
      <=> v20932(VarCurr,bitIndex54) )
      & ( v20915(VarCurr,bitIndex68)
      <=> v20932(VarCurr,bitIndex53) )
      & ( v20915(VarCurr,bitIndex67)
      <=> v20932(VarCurr,bitIndex52) )
      & ( v20915(VarCurr,bitIndex66)
      <=> v20932(VarCurr,bitIndex51) )
      & ( v20915(VarCurr,bitIndex65)
      <=> v20932(VarCurr,bitIndex50) )
      & ( v20915(VarCurr,bitIndex64)
      <=> v20932(VarCurr,bitIndex49) )
      & ( v20915(VarCurr,bitIndex63)
      <=> v20932(VarCurr,bitIndex48) )
      & ( v20915(VarCurr,bitIndex62)
      <=> v20932(VarCurr,bitIndex47) )
      & ( v20915(VarCurr,bitIndex61)
      <=> v20932(VarCurr,bitIndex46) )
      & ( v20915(VarCurr,bitIndex60)
      <=> v20932(VarCurr,bitIndex45) )
      & ( v20915(VarCurr,bitIndex59)
      <=> v20932(VarCurr,bitIndex44) )
      & ( v20915(VarCurr,bitIndex58)
      <=> v20932(VarCurr,bitIndex43) )
      & ( v20915(VarCurr,bitIndex57)
      <=> v20932(VarCurr,bitIndex42) )
      & ( v20915(VarCurr,bitIndex56)
      <=> v20932(VarCurr,bitIndex41) )
      & ( v20915(VarCurr,bitIndex55)
      <=> v20932(VarCurr,bitIndex40) )
      & ( v20915(VarCurr,bitIndex54)
      <=> v20932(VarCurr,bitIndex39) )
      & ( v20915(VarCurr,bitIndex53)
      <=> v20932(VarCurr,bitIndex38) )
      & ( v20915(VarCurr,bitIndex52)
      <=> v20932(VarCurr,bitIndex37) )
      & ( v20915(VarCurr,bitIndex51)
      <=> v20932(VarCurr,bitIndex36) )
      & ( v20915(VarCurr,bitIndex50)
      <=> v20932(VarCurr,bitIndex35) )
      & ( v20915(VarCurr,bitIndex49)
      <=> v20932(VarCurr,bitIndex34) )
      & ( v20915(VarCurr,bitIndex48)
      <=> v20932(VarCurr,bitIndex33) )
      & ( v20915(VarCurr,bitIndex47)
      <=> v20932(VarCurr,bitIndex32) )
      & ( v20915(VarCurr,bitIndex46)
      <=> v20932(VarCurr,bitIndex31) )
      & ( v20915(VarCurr,bitIndex45)
      <=> v20932(VarCurr,bitIndex30) )
      & ( v20915(VarCurr,bitIndex44)
      <=> v20932(VarCurr,bitIndex29) )
      & ( v20915(VarCurr,bitIndex43)
      <=> v20932(VarCurr,bitIndex28) )
      & ( v20915(VarCurr,bitIndex42)
      <=> v20932(VarCurr,bitIndex27) )
      & ( v20915(VarCurr,bitIndex41)
      <=> v20932(VarCurr,bitIndex26) )
      & ( v20915(VarCurr,bitIndex40)
      <=> v20932(VarCurr,bitIndex25) )
      & ( v20915(VarCurr,bitIndex39)
      <=> v20932(VarCurr,bitIndex24) )
      & ( v20915(VarCurr,bitIndex38)
      <=> v20932(VarCurr,bitIndex23) )
      & ( v20915(VarCurr,bitIndex37)
      <=> v20932(VarCurr,bitIndex22) )
      & ( v20915(VarCurr,bitIndex36)
      <=> v20932(VarCurr,bitIndex21) )
      & ( v20915(VarCurr,bitIndex35)
      <=> v20932(VarCurr,bitIndex20) )
      & ( v20915(VarCurr,bitIndex34)
      <=> v20932(VarCurr,bitIndex19) )
      & ( v20915(VarCurr,bitIndex33)
      <=> v20932(VarCurr,bitIndex18) )
      & ( v20915(VarCurr,bitIndex32)
      <=> v20932(VarCurr,bitIndex17) )
      & ( v20915(VarCurr,bitIndex31)
      <=> v20932(VarCurr,bitIndex16) )
      & ( v20915(VarCurr,bitIndex30)
      <=> v20932(VarCurr,bitIndex15) )
      & ( v20915(VarCurr,bitIndex29)
      <=> v20932(VarCurr,bitIndex14) )
      & ( v20915(VarCurr,bitIndex28)
      <=> v20932(VarCurr,bitIndex13) )
      & ( v20915(VarCurr,bitIndex27)
      <=> v20932(VarCurr,bitIndex12) )
      & ( v20915(VarCurr,bitIndex26)
      <=> v20932(VarCurr,bitIndex11) )
      & ( v20915(VarCurr,bitIndex25)
      <=> v20932(VarCurr,bitIndex10) )
      & ( v20915(VarCurr,bitIndex24)
      <=> v20932(VarCurr,bitIndex9) )
      & ( v20915(VarCurr,bitIndex23)
      <=> v20932(VarCurr,bitIndex8) )
      & ( v20915(VarCurr,bitIndex22)
      <=> v20932(VarCurr,bitIndex7) )
      & ( v20915(VarCurr,bitIndex21)
      <=> v20932(VarCurr,bitIndex6) )
      & ( v20915(VarCurr,bitIndex20)
      <=> v20932(VarCurr,bitIndex5) )
      & ( v20915(VarCurr,bitIndex19)
      <=> v20932(VarCurr,bitIndex4) )
      & ( v20915(VarCurr,bitIndex18)
      <=> v20932(VarCurr,bitIndex3) )
      & ( v20915(VarCurr,bitIndex17)
      <=> v20932(VarCurr,bitIndex2) )
      & ( v20915(VarCurr,bitIndex16)
      <=> v20932(VarCurr,bitIndex1) )
      & ( v20915(VarCurr,bitIndex15)
      <=> v20932(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_5201,axiom,(
    ! [VarCurr] :
      ( ( v20915(VarCurr,bitIndex80)
      <=> v20930(VarCurr,bitIndex3) )
      & ( v20915(VarCurr,bitIndex79)
      <=> v20930(VarCurr,bitIndex2) )
      & ( v20915(VarCurr,bitIndex78)
      <=> v20930(VarCurr,bitIndex1) )
      & ( v20915(VarCurr,bitIndex77)
      <=> v20930(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_5200,axiom,(
    ! [VarCurr] :
      ( ( v20915(VarCurr,bitIndex84)
      <=> v20928(VarCurr,bitIndex3) )
      & ( v20915(VarCurr,bitIndex83)
      <=> v20928(VarCurr,bitIndex2) )
      & ( v20915(VarCurr,bitIndex82)
      <=> v20928(VarCurr,bitIndex1) )
      & ( v20915(VarCurr,bitIndex81)
      <=> v20928(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_5199,axiom,(
    ! [VarCurr] :
      ( ( v20915(VarCurr,bitIndex92)
      <=> v20926(VarCurr,bitIndex7) )
      & ( v20915(VarCurr,bitIndex91)
      <=> v20926(VarCurr,bitIndex6) )
      & ( v20915(VarCurr,bitIndex90)
      <=> v20926(VarCurr,bitIndex5) )
      & ( v20915(VarCurr,bitIndex89)
      <=> v20926(VarCurr,bitIndex4) )
      & ( v20915(VarCurr,bitIndex88)
      <=> v20926(VarCurr,bitIndex3) )
      & ( v20915(VarCurr,bitIndex87)
      <=> v20926(VarCurr,bitIndex2) )
      & ( v20915(VarCurr,bitIndex86)
      <=> v20926(VarCurr,bitIndex1) )
      & ( v20915(VarCurr,bitIndex85)
      <=> v20926(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_5198,axiom,(
    ! [VarCurr] :
      ( ( v20915(VarCurr,bitIndex108)
      <=> v20924(VarCurr,bitIndex15) )
      & ( v20915(VarCurr,bitIndex107)
      <=> v20924(VarCurr,bitIndex14) )
      & ( v20915(VarCurr,bitIndex106)
      <=> v20924(VarCurr,bitIndex13) )
      & ( v20915(VarCurr,bitIndex105)
      <=> v20924(VarCurr,bitIndex12) )
      & ( v20915(VarCurr,bitIndex104)
      <=> v20924(VarCurr,bitIndex11) )
      & ( v20915(VarCurr,bitIndex103)
      <=> v20924(VarCurr,bitIndex10) )
      & ( v20915(VarCurr,bitIndex102)
      <=> v20924(VarCurr,bitIndex9) )
      & ( v20915(VarCurr,bitIndex101)
      <=> v20924(VarCurr,bitIndex8) )
      & ( v20915(VarCurr,bitIndex100)
      <=> v20924(VarCurr,bitIndex7) )
      & ( v20915(VarCurr,bitIndex99)
      <=> v20924(VarCurr,bitIndex6) )
      & ( v20915(VarCurr,bitIndex98)
      <=> v20924(VarCurr,bitIndex5) )
      & ( v20915(VarCurr,bitIndex97)
      <=> v20924(VarCurr,bitIndex4) )
      & ( v20915(VarCurr,bitIndex96)
      <=> v20924(VarCurr,bitIndex3) )
      & ( v20915(VarCurr,bitIndex95)
      <=> v20924(VarCurr,bitIndex2) )
      & ( v20915(VarCurr,bitIndex94)
      <=> v20924(VarCurr,bitIndex1) )
      & ( v20915(VarCurr,bitIndex93)
      <=> v20924(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_5197,axiom,(
    ! [VarCurr] :
      ( ( v20915(VarCurr,bitIndex118)
      <=> v20922(VarCurr,bitIndex9) )
      & ( v20915(VarCurr,bitIndex117)
      <=> v20922(VarCurr,bitIndex8) )
      & ( v20915(VarCurr,bitIndex116)
      <=> v20922(VarCurr,bitIndex7) )
      & ( v20915(VarCurr,bitIndex115)
      <=> v20922(VarCurr,bitIndex6) )
      & ( v20915(VarCurr,bitIndex114)
      <=> v20922(VarCurr,bitIndex5) )
      & ( v20915(VarCurr,bitIndex113)
      <=> v20922(VarCurr,bitIndex4) )
      & ( v20915(VarCurr,bitIndex112)
      <=> v20922(VarCurr,bitIndex3) )
      & ( v20915(VarCurr,bitIndex111)
      <=> v20922(VarCurr,bitIndex2) )
      & ( v20915(VarCurr,bitIndex110)
      <=> v20922(VarCurr,bitIndex1) )
      & ( v20915(VarCurr,bitIndex109)
      <=> v20922(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_5196,axiom,(
    ! [VarCurr] :
      ( ( v20915(VarCurr,bitIndex120)
      <=> v20920(VarCurr,bitIndex1) )
      & ( v20915(VarCurr,bitIndex119)
      <=> v20920(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_5195,axiom,(
    ! [VarCurr] :
      ( ( v20915(VarCurr,bitIndex123)
      <=> v20918(VarCurr,bitIndex2) )
      & ( v20915(VarCurr,bitIndex122)
      <=> v20918(VarCurr,bitIndex1) )
      & ( v20915(VarCurr,bitIndex121)
      <=> v20918(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_5194,axiom,(
    ! [VarCurr] :
      ( ( v20915(VarCurr,bitIndex130)
      <=> v20916(VarCurr,bitIndex6) )
      & ( v20915(VarCurr,bitIndex129)
      <=> v20916(VarCurr,bitIndex5) )
      & ( v20915(VarCurr,bitIndex128)
      <=> v20916(VarCurr,bitIndex4) )
      & ( v20915(VarCurr,bitIndex127)
      <=> v20916(VarCurr,bitIndex3) )
      & ( v20915(VarCurr,bitIndex126)
      <=> v20916(VarCurr,bitIndex2) )
      & ( v20915(VarCurr,bitIndex125)
      <=> v20916(VarCurr,bitIndex1) )
      & ( v20915(VarCurr,bitIndex124)
      <=> v20916(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_5193,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v20926(VarCurr,B)
      <=> v20927(VarCurr,B) ) ) )).

fof(addAssignment_5192,axiom,(
    ! [VarCurr] :
      ( ( v20926(VarCurr,bitIndex7)
      <=> $false )
      & ( v20926(VarCurr,bitIndex6)
      <=> $false )
      & ( v20926(VarCurr,bitIndex5)
      <=> $false ) ) )).

fof(writeBinaryOperatorShiftedRanges_782,axiom,(
    ! [VarCurr] :
      ( v20908(VarCurr)
    <=> ( v20910(VarCurr)
        | v20813(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_781,axiom,(
    ! [VarCurr] :
      ( v20910(VarCurr)
    <=> ( v20813(VarCurr,bitIndex2)
        | v20813(VarCurr,bitIndex3) ) ) )).

fof(addAssignment_5191,axiom,(
    ! [VarCurr] :
      ( v20875(VarCurr)
    <=> v20877(VarCurr,bitIndex1) ) )).

fof(addAssignment_5190,axiom,(
    ! [VarCurr] :
      ( v20877(VarCurr,bitIndex1)
    <=> v20883(VarCurr,bitIndex1) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_492,axiom,(
    ! [VarCurr] :
      ( ~ v20884(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v20883(VarCurr,B)
          <=> v20886(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_433,axiom,(
    ! [VarCurr] :
      ( v20884(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v20883(VarCurr,B)
          <=> v20885(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_50,axiom,(
    ! [VarCurr] :
      ( ( ~ v20887(VarCurr)
        & ~ v20889(VarCurr)
        & ~ v20893(VarCurr) )
     => ! [B] :
          ( range_6_0(B)
         => ( v20886(VarCurr,B)
          <=> v20881(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_257,axiom,(
    ! [VarCurr] :
      ( v20893(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v20886(VarCurr,B)
          <=> v20895(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_611,axiom,(
    ! [VarCurr] :
      ( v20889(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v20886(VarCurr,B)
          <=> v20891(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_611,axiom,(
    ! [VarCurr] :
      ( v20887(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v20886(VarCurr,B)
          <=> v20881(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1505,axiom,(
    ! [VarCurr] :
      ( v20897(VarCurr)
    <=> ( ( v20898(VarCurr,bitIndex1)
        <=> $true )
        & ( v20898(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_5189,axiom,(
    ! [VarCurr] :
      ( v20898(VarCurr,bitIndex0)
    <=> v20858(VarCurr) ) )).

fof(addAssignment_5188,axiom,(
    ! [VarCurr] :
      ( v20898(VarCurr,bitIndex1)
    <=> v20765(VarCurr) ) )).

fof(addAssignment_5187,axiom,(
    ! [VarCurr] :
      ( v20895(VarCurr,bitIndex0)
    <=> $false ) )).

fof(addAssignment_5186,axiom,(
    ! [VarCurr] :
      ( ( v20895(VarCurr,bitIndex6)
      <=> v20881(VarCurr,bitIndex5) )
      & ( v20895(VarCurr,bitIndex5)
      <=> v20881(VarCurr,bitIndex4) )
      & ( v20895(VarCurr,bitIndex4)
      <=> v20881(VarCurr,bitIndex3) )
      & ( v20895(VarCurr,bitIndex3)
      <=> v20881(VarCurr,bitIndex2) )
      & ( v20895(VarCurr,bitIndex2)
      <=> v20881(VarCurr,bitIndex1) )
      & ( v20895(VarCurr,bitIndex1)
      <=> v20881(VarCurr,bitIndex0) ) ) )).

fof(addBitVectorEqualityBitBlasted_1504,axiom,(
    ! [VarCurr] :
      ( v20893(VarCurr)
    <=> ( ( v20894(VarCurr,bitIndex1)
        <=> $true )
        & ( v20894(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5185,axiom,(
    ! [VarCurr] :
      ( v20894(VarCurr,bitIndex0)
    <=> v20858(VarCurr) ) )).

fof(addAssignment_5184,axiom,(
    ! [VarCurr] :
      ( v20894(VarCurr,bitIndex1)
    <=> v20765(VarCurr) ) )).

fof(addAssignment_5183,axiom,(
    ! [VarCurr] :
      ( ( v20891(VarCurr,bitIndex5)
      <=> v20881(VarCurr,bitIndex6) )
      & ( v20891(VarCurr,bitIndex4)
      <=> v20881(VarCurr,bitIndex5) )
      & ( v20891(VarCurr,bitIndex3)
      <=> v20881(VarCurr,bitIndex4) )
      & ( v20891(VarCurr,bitIndex2)
      <=> v20881(VarCurr,bitIndex3) )
      & ( v20891(VarCurr,bitIndex1)
      <=> v20881(VarCurr,bitIndex2) )
      & ( v20891(VarCurr,bitIndex0)
      <=> v20881(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_5182,axiom,(
    ! [VarCurr] :
      ( v20891(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_1503,axiom,(
    ! [VarCurr] :
      ( v20889(VarCurr)
    <=> ( ( v20890(VarCurr,bitIndex1)
        <=> $false )
        & ( v20890(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_5181,axiom,(
    ! [VarCurr] :
      ( v20890(VarCurr,bitIndex0)
    <=> v20858(VarCurr) ) )).

fof(addAssignment_5180,axiom,(
    ! [VarCurr] :
      ( v20890(VarCurr,bitIndex1)
    <=> v20765(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1502,axiom,(
    ! [VarCurr] :
      ( v20887(VarCurr)
    <=> ( ( v20888(VarCurr,bitIndex1)
        <=> $false )
        & ( v20888(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5179,axiom,(
    ! [VarCurr] :
      ( v20888(VarCurr,bitIndex0)
    <=> v20858(VarCurr) ) )).

fof(addAssignment_5178,axiom,(
    ! [VarCurr] :
      ( v20888(VarCurr,bitIndex1)
    <=> v20765(VarCurr) ) )).

fof(addAssignment_5177,axiom,(
    ! [VarCurr] :
      ( v20885(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_5176,axiom,(
    ! [VarCurr,B] :
      ( range_6_1(B)
     => ( v20885(VarCurr,B)
      <=> v20879(VarCurr,B) ) ) )).

fof(writeUnaryOperator_2081,axiom,(
    ! [VarCurr] :
      ( ~ v20884(VarCurr)
    <=> v20762(VarCurr) ) )).

fof(addAssignment_5175,axiom,(
    ! [VarCurr] :
      ( v20879(VarCurr,bitIndex1)
    <=> v20882(VarCurr,bitIndex1) ) )).

fof(addAssignment_5174,axiom,(
    ! [VarCurr] :
      ( v20882(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_5173,axiom,(
    ! [VarCurr,B] :
      ( range_6_1(B)
     => ( v20882(VarCurr,B)
      <=> v20881(VarCurr,B) ) ) )).

fof(addAssignment_5172,axiom,(
    ! [VarCurr] :
      ( v20858(VarCurr)
    <=> v20860(VarCurr) ) )).

fof(addAssignment_5171,axiom,(
    ! [VarCurr] :
      ( v20860(VarCurr)
    <=> v20862(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_491,axiom,(
    ! [VarCurr] :
      ( ~ v20864(VarCurr)
     => ( v20862(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_432,axiom,(
    ! [VarCurr] :
      ( v20864(VarCurr)
     => ( v20862(VarCurr)
      <=> v20871(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_610,axiom,(
    ! [VarCurr] :
      ( ~ v20865(VarCurr)
     => ( v20871(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_610,axiom,(
    ! [VarCurr] :
      ( v20865(VarCurr)
     => ( v20871(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4754,axiom,(
    ! [VarCurr] :
      ( v20864(VarCurr)
    <=> ( v20865(VarCurr)
        | v20867(VarCurr) ) ) )).

fof(writeUnaryOperator_2080,axiom,(
    ! [VarCurr] :
      ( ~ v20867(VarCurr)
    <=> v20868(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4753,axiom,(
    ! [VarCurr] :
      ( v20868(VarCurr)
    <=> ( v20865(VarCurr)
        | v20869(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1501,axiom,(
    ! [VarCurr] :
      ( v20869(VarCurr)
    <=> ( ( v20870(VarCurr,bitIndex2)
        <=> $false )
        & ( v20870(VarCurr,bitIndex1)
        <=> $true )
        & ( v20870(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5170,axiom,(
    ! [VarCurr] :
      ( v20870(VarCurr,bitIndex0)
    <=> v20752(VarCurr) ) )).

fof(addAssignment_5169,axiom,(
    ! [VarCurr] :
      ( v20870(VarCurr,bitIndex1)
    <=> v20742(VarCurr) ) )).

fof(addAssignment_5168,axiom,(
    ! [VarCurr] :
      ( v20870(VarCurr,bitIndex2)
    <=> v13689(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1500,axiom,(
    ! [VarCurr] :
      ( v20865(VarCurr)
    <=> ( ( v20866(VarCurr,bitIndex2)
        <=> $false )
        & ( v20866(VarCurr,bitIndex1)
        <=> $false )
        & ( v20866(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_5167,axiom,(
    ! [VarCurr] :
      ( v20866(VarCurr,bitIndex0)
    <=> v20752(VarCurr) ) )).

fof(addAssignment_5166,axiom,(
    ! [VarCurr] :
      ( v20866(VarCurr,bitIndex1)
    <=> v20742(VarCurr) ) )).

fof(addAssignment_5165,axiom,(
    ! [VarCurr] :
      ( v20866(VarCurr,bitIndex2)
    <=> v13689(VarCurr) ) )).

fof(addAssignment_5164,axiom,(
    ! [VarCurr] :
      ( v20765(VarCurr)
    <=> v20767(VarCurr) ) )).

fof(addAssignment_5163,axiom,(
    ! [VarCurr] :
      ( v20767(VarCurr)
    <=> v20769(VarCurr) ) )).

fof(addAssignment_5162,axiom,(
    ! [VarCurr] :
      ( v20769(VarCurr)
    <=> v20771(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_490,axiom,(
    ! [VarCurr] :
      ( ~ v20830(VarCurr)
     => ( v20771(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_431,axiom,(
    ! [VarCurr] :
      ( v20830(VarCurr)
     => ( v20771(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4752,axiom,(
    ! [VarCurr] :
      ( v20830(VarCurr)
    <=> ( v20831(VarCurr)
        | v20850(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4751,axiom,(
    ! [VarCurr] :
      ( v20850(VarCurr)
    <=> ( v20851(VarCurr)
        & v20856(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1499,axiom,(
    ! [VarCurr] :
      ( v20856(VarCurr)
    <=> ( $true
      <=> v20813(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4750,axiom,(
    ! [VarCurr] :
      ( v20851(VarCurr)
    <=> ( v20852(VarCurr)
        | v20854(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1498,axiom,(
    ! [VarCurr] :
      ( v20854(VarCurr)
    <=> ( ( v20855(VarCurr,bitIndex1)
        <=> $true )
        & ( v20855(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_5161,axiom,(
    ! [VarCurr] :
      ( v20855(VarCurr,bitIndex0)
    <=> v20827(VarCurr) ) )).

fof(addAssignment_5160,axiom,(
    ! [VarCurr] :
      ( v20855(VarCurr,bitIndex1)
    <=> v20806(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1497,axiom,(
    ! [VarCurr] :
      ( v20852(VarCurr)
    <=> ( ( v20853(VarCurr,bitIndex1)
        <=> $true )
        & ( v20853(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5159,axiom,(
    ! [VarCurr] :
      ( v20853(VarCurr,bitIndex0)
    <=> v20827(VarCurr) ) )).

fof(addAssignment_5158,axiom,(
    ! [VarCurr] :
      ( v20853(VarCurr,bitIndex1)
    <=> v20806(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4749,axiom,(
    ! [VarCurr] :
      ( v20831(VarCurr)
    <=> ( v20832(VarCurr)
        | v20846(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4748,axiom,(
    ! [VarCurr] :
      ( v20846(VarCurr)
    <=> ( v20847(VarCurr)
        & v20849(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1496,axiom,(
    ! [VarCurr] :
      ( v20849(VarCurr)
    <=> ( $true
      <=> v20813(VarCurr,bitIndex3) ) ) )).

fof(addBitVectorEqualityBitBlasted_1495,axiom,(
    ! [VarCurr] :
      ( v20847(VarCurr)
    <=> ( ( v20848(VarCurr,bitIndex1)
        <=> $true )
        & ( v20848(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_5157,axiom,(
    ! [VarCurr] :
      ( v20848(VarCurr,bitIndex0)
    <=> v20806(VarCurr) ) )).

fof(addAssignment_5156,axiom,(
    ! [VarCurr] :
      ( v20848(VarCurr,bitIndex1)
    <=> v20815(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4747,axiom,(
    ! [VarCurr] :
      ( v20832(VarCurr)
    <=> ( v20833(VarCurr)
        | v20839(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4746,axiom,(
    ! [VarCurr] :
      ( v20839(VarCurr)
    <=> ( v20840(VarCurr)
        & v20845(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1494,axiom,(
    ! [VarCurr] :
      ( v20845(VarCurr)
    <=> ( $true
      <=> v20813(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4745,axiom,(
    ! [VarCurr] :
      ( v20840(VarCurr)
    <=> ( v20841(VarCurr)
        | v20843(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1493,axiom,(
    ! [VarCurr] :
      ( v20843(VarCurr)
    <=> ( ( v20844(VarCurr,bitIndex1)
        <=> $true )
        & ( v20844(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_5155,axiom,(
    ! [VarCurr] :
      ( v20844(VarCurr,bitIndex0)
    <=> v20827(VarCurr) ) )).

fof(addAssignment_5154,axiom,(
    ! [VarCurr] :
      ( v20844(VarCurr,bitIndex1)
    <=> v20815(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1492,axiom,(
    ! [VarCurr] :
      ( v20841(VarCurr)
    <=> ( ( v20842(VarCurr,bitIndex1)
        <=> $true )
        & ( v20842(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5153,axiom,(
    ! [VarCurr] :
      ( v20842(VarCurr,bitIndex0)
    <=> v20827(VarCurr) ) )).

fof(addAssignment_5152,axiom,(
    ! [VarCurr] :
      ( v20842(VarCurr,bitIndex1)
    <=> v20815(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4744,axiom,(
    ! [VarCurr] :
      ( v20833(VarCurr)
    <=> ( v20834(VarCurr)
        & v20838(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1491,axiom,(
    ! [VarCurr] :
      ( v20838(VarCurr)
    <=> ( $true
      <=> v20813(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4743,axiom,(
    ! [VarCurr] :
      ( v20834(VarCurr)
    <=> ( v20835(VarCurr)
        & v20836(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4742,axiom,(
    ! [VarCurr] :
      ( v20836(VarCurr)
    <=> ( v20837(VarCurr)
        & v20806(VarCurr) ) ) )).

fof(writeUnaryOperator_2079,axiom,(
    ! [VarCurr] :
      ( ~ v20837(VarCurr)
    <=> v20775(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1490,axiom,(
    ! [VarCurr] :
      ( v20835(VarCurr)
    <=> ( ( v20773(VarCurr,bitIndex1)
        <=> $false )
        & ( v20773(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorShiftedRanges_780,axiom,(
    ! [VarCurr] :
      ( v20827(VarCurr)
    <=> ( v20773(VarCurr,bitIndex1)
      <~> v20773(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_5151,axiom,(
    ! [VarCurr] :
      ( v20815(VarCurr)
    <=> v20817(VarCurr) ) )).

fof(addAssignment_5150,axiom,(
    ! [VarCurr] :
      ( v20817(VarCurr)
    <=> v20819(VarCurr) ) )).

fof(addAssignment_5149,axiom,(
    ! [VarCurr] :
      ( v20819(VarCurr)
    <=> v20821(VarCurr) ) )).

fof(addAssignment_5148,axiom,(
    ! [VarCurr] :
      ( v20821(VarCurr)
    <=> v20823(VarCurr) ) )).

fof(addAssignment_5147,axiom,(
    ! [VarCurr] :
      ( v20823(VarCurr)
    <=> v20825(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_779,axiom,(
    ! [VarCurr] :
      ( v20806(VarCurr)
    <=> ( v20811(VarCurr)
        | v20808(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_778,axiom,(
    ! [VarCurr] :
      ( v20811(VarCurr)
    <=> ( v20808(VarCurr,bitIndex0)
        | v20808(VarCurr,bitIndex1) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_489,axiom,(
    ! [VarCurr] :
      ( ~ v20775(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v20773(VarCurr,B)
          <=> v20787(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_430,axiom,(
    ! [VarCurr] :
      ( v20775(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v20773(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_49,axiom,(
    ! [VarCurr] :
      ( ( ~ v20788(VarCurr)
        & ~ v20796(VarCurr)
        & ~ v20797(VarCurr) )
     => ! [B] :
          ( range_1_0(B)
         => ( v20787(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_256,axiom,(
    ! [VarCurr] :
      ( v20797(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v20787(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_609,axiom,(
    ! [VarCurr] :
      ( v20796(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v20787(VarCurr,B)
          <=> b10(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_609,axiom,(
    ! [VarCurr] :
      ( v20788(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v20787(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4741,axiom,(
    ! [VarCurr] :
      ( v20797(VarCurr)
    <=> ( v20799(VarCurr)
        | v20804(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1489,axiom,(
    ! [VarCurr] :
      ( v20804(VarCurr)
    <=> ( ( v20779(VarCurr,bitIndex6)
        <=> $false )
        & ( v20779(VarCurr,bitIndex5)
        <=> $false )
        & ( v20779(VarCurr,bitIndex4)
        <=> $false )
        & ( v20779(VarCurr,bitIndex3)
        <=> $true )
        & ( v20779(VarCurr,bitIndex2)
        <=> $false )
        & ( v20779(VarCurr,bitIndex1)
        <=> $true )
        & ( v20779(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4740,axiom,(
    ! [VarCurr] :
      ( v20799(VarCurr)
    <=> ( v20800(VarCurr)
        | v20803(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1488,axiom,(
    ! [VarCurr] :
      ( v20803(VarCurr)
    <=> ( ( v20779(VarCurr,bitIndex6)
        <=> $true )
        & ( v20779(VarCurr,bitIndex5)
        <=> $false )
        & ( v20779(VarCurr,bitIndex4)
        <=> $false )
        & ( v20779(VarCurr,bitIndex3)
        <=> $true )
        & ( v20779(VarCurr,bitIndex2)
        <=> $false )
        & ( v20779(VarCurr,bitIndex1)
        <=> $true )
        & ( v20779(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4739,axiom,(
    ! [VarCurr] :
      ( v20800(VarCurr)
    <=> ( v20801(VarCurr)
        | v20802(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1487,axiom,(
    ! [VarCurr] :
      ( v20802(VarCurr)
    <=> ( ( v20779(VarCurr,bitIndex6)
        <=> $true )
        & ( v20779(VarCurr,bitIndex5)
        <=> $true )
        & ( v20779(VarCurr,bitIndex4)
        <=> $false )
        & ( v20779(VarCurr,bitIndex3)
        <=> $false )
        & ( v20779(VarCurr,bitIndex2)
        <=> $false )
        & ( v20779(VarCurr,bitIndex1)
        <=> $false )
        & ( v20779(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1486,axiom,(
    ! [VarCurr] :
      ( v20801(VarCurr)
    <=> ( ( v20779(VarCurr,bitIndex6)
        <=> $true )
        & ( v20779(VarCurr,bitIndex5)
        <=> $false )
        & ( v20779(VarCurr,bitIndex4)
        <=> $false )
        & ( v20779(VarCurr,bitIndex3)
        <=> $false )
        & ( v20779(VarCurr,bitIndex2)
        <=> $false )
        & ( v20779(VarCurr,bitIndex1)
        <=> $false )
        & ( v20779(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1485,axiom,(
    ! [VarCurr] :
      ( v20796(VarCurr)
    <=> ( ( v20779(VarCurr,bitIndex6)
        <=> $false )
        & ( v20779(VarCurr,bitIndex5)
        <=> $false )
        & ( v20779(VarCurr,bitIndex4)
        <=> $false )
        & ( v20779(VarCurr,bitIndex3)
        <=> $true )
        & ( v20779(VarCurr,bitIndex2)
        <=> $false )
        & ( v20779(VarCurr,bitIndex1)
        <=> $false )
        & ( v20779(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4738,axiom,(
    ! [VarCurr] :
      ( v20788(VarCurr)
    <=> ( v20790(VarCurr)
        | v20795(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1484,axiom,(
    ! [VarCurr] :
      ( v20795(VarCurr)
    <=> ( ( v20779(VarCurr,bitIndex6)
        <=> $false )
        & ( v20779(VarCurr,bitIndex5)
        <=> $true )
        & ( v20779(VarCurr,bitIndex4)
        <=> $false )
        & ( v20779(VarCurr,bitIndex3)
        <=> $false )
        & ( v20779(VarCurr,bitIndex2)
        <=> $false )
        & ( v20779(VarCurr,bitIndex1)
        <=> $false )
        & ( v20779(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4737,axiom,(
    ! [VarCurr] :
      ( v20790(VarCurr)
    <=> ( v20791(VarCurr)
        | v20794(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1483,axiom,(
    ! [VarCurr] :
      ( v20794(VarCurr)
    <=> ( ( v20779(VarCurr,bitIndex6)
        <=> $false )
        & ( v20779(VarCurr,bitIndex5)
        <=> $false )
        & ( v20779(VarCurr,bitIndex4)
        <=> $false )
        & ( v20779(VarCurr,bitIndex3)
        <=> $false )
        & ( v20779(VarCurr,bitIndex2)
        <=> $false )
        & ( v20779(VarCurr,bitIndex1)
        <=> $false )
        & ( v20779(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4736,axiom,(
    ! [VarCurr] :
      ( v20791(VarCurr)
    <=> ( v20792(VarCurr)
        | v20793(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1482,axiom,(
    ! [VarCurr] :
      ( v20793(VarCurr)
    <=> ( ( v20779(VarCurr,bitIndex6)
        <=> $false )
        & ( v20779(VarCurr,bitIndex5)
        <=> $true )
        & ( v20779(VarCurr,bitIndex4)
        <=> $false )
        & ( v20779(VarCurr,bitIndex3)
        <=> $false )
        & ( v20779(VarCurr,bitIndex2)
        <=> $false )
        & ( v20779(VarCurr,bitIndex1)
        <=> $false )
        & ( v20779(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1481,axiom,(
    ! [VarCurr] :
      ( v20792(VarCurr)
    <=> ( ( v20779(VarCurr,bitIndex6)
        <=> $false )
        & ( v20779(VarCurr,bitIndex5)
        <=> $false )
        & ( v20779(VarCurr,bitIndex4)
        <=> $false )
        & ( v20779(VarCurr,bitIndex3)
        <=> $false )
        & ( v20779(VarCurr,bitIndex2)
        <=> $false )
        & ( v20779(VarCurr,bitIndex1)
        <=> $false )
        & ( v20779(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5146,axiom,(
    ! [VarCurr] :
      ( ( v20779(VarCurr,bitIndex6)
      <=> v20781(VarCurr,bitIndex130) )
      & ( v20779(VarCurr,bitIndex5)
      <=> v20781(VarCurr,bitIndex129) )
      & ( v20779(VarCurr,bitIndex4)
      <=> v20781(VarCurr,bitIndex128) )
      & ( v20779(VarCurr,bitIndex3)
      <=> v20781(VarCurr,bitIndex127) )
      & ( v20779(VarCurr,bitIndex2)
      <=> v20781(VarCurr,bitIndex126) )
      & ( v20779(VarCurr,bitIndex1)
      <=> v20781(VarCurr,bitIndex125) )
      & ( v20779(VarCurr,bitIndex0)
      <=> v20781(VarCurr,bitIndex124) ) ) )).

fof(addAssignment_5145,axiom,(
    ! [VarCurr,B] :
      ( range_130_124(B)
     => ( v20781(VarCurr,B)
      <=> v20783(VarCurr,B) ) ) )).

fof(range_axiom_75,axiom,(
    ! [B] :
      ( range_130_124(B)
    <=> ( $false
        | bitIndex124 = B
        | bitIndex125 = B
        | bitIndex126 = B
        | bitIndex127 = B
        | bitIndex128 = B
        | bitIndex129 = B
        | bitIndex130 = B ) ) )).

fof(addAssignment_5144,axiom,(
    ! [VarCurr] :
      ( ( v20783(VarCurr,bitIndex130)
      <=> v20785(VarCurr,bitIndex523) )
      & ( v20783(VarCurr,bitIndex129)
      <=> v20785(VarCurr,bitIndex522) )
      & ( v20783(VarCurr,bitIndex128)
      <=> v20785(VarCurr,bitIndex521) )
      & ( v20783(VarCurr,bitIndex127)
      <=> v20785(VarCurr,bitIndex520) )
      & ( v20783(VarCurr,bitIndex126)
      <=> v20785(VarCurr,bitIndex519) )
      & ( v20783(VarCurr,bitIndex125)
      <=> v20785(VarCurr,bitIndex518) )
      & ( v20783(VarCurr,bitIndex124)
      <=> v20785(VarCurr,bitIndex517) ) ) )).

fof(addAssignment_5143,axiom,(
    ! [VarCurr] :
      ( v20775(VarCurr)
    <=> v20777(VarCurr) ) )).

fof(addAssignment_5142,axiom,(
    ! [VarCurr] :
      ( v20762(VarCurr)
    <=> v20746(VarCurr) ) )).

fof(addAssignment_5141,axiom,(
    ! [VarCurr] :
      ( v20746(VarCurr)
    <=> v13114(VarCurr) ) )).

fof(addAssignment_5140,axiom,(
    ! [VarCurr] :
      ( v13689(VarCurr)
    <=> v13691(VarCurr) ) )).

fof(addAssignment_5139,axiom,(
    ! [VarCurr] :
      ( v13691(VarCurr)
    <=> v13693(VarCurr) ) )).

fof(addAssignment_5138,axiom,(
    ! [VarCurr] :
      ( v13693(VarCurr)
    <=> v13695(VarCurr) ) )).

fof(addAssignment_5137,axiom,(
    ! [VarCurr] :
      ( v13695(VarCurr)
    <=> v13697(VarCurr) ) )).

fof(addAssignment_5136,axiom,(
    ! [VarCurr] :
      ( v13697(VarCurr)
    <=> v13699(VarCurr) ) )).

fof(addAssignment_5135,axiom,(
    ! [VarCurr] :
      ( v13699(VarCurr)
    <=> v13701(VarCurr) ) )).

fof(addAssignment_5134,axiom,(
    ! [VarCurr] :
      ( v13701(VarCurr)
    <=> v13703(VarCurr) ) )).

fof(addAssignment_5133,axiom,(
    ! [VarCurr] :
      ( v13703(VarCurr)
    <=> v13705(VarCurr) ) )).

fof(addAssignment_5132,axiom,(
    ! [VarCurr] :
      ( v13705(VarCurr)
    <=> v13707(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4735,axiom,(
    ! [VarCurr] :
      ( v13707(VarCurr)
    <=> ( v13709(VarCurr)
        | v20688(VarCurr) ) ) )).

fof(addAssignment_5131,axiom,(
    ! [VarCurr] :
      ( v20688(VarCurr)
    <=> v20690(VarCurr,bitIndex6) ) )).

fof(addAssignment_5130,axiom,(
    ! [VarCurr] :
      ( v20690(VarCurr,bitIndex6)
    <=> v20692(VarCurr,bitIndex6) ) )).

fof(addAssignment_5129,axiom,(
    ! [VarCurr] :
      ( v20692(VarCurr,bitIndex6)
    <=> v20694(VarCurr,bitIndex6) ) )).

fof(addAssignment_5128,axiom,(
    ! [VarNext] :
      ( v20694(VarNext,bitIndex6)
    <=> v20725(VarNext,bitIndex6) ) )).

fof(addCaseBooleanConditionEqualRanges1_217,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20726(VarNext)
       => ! [B] :
            ( range_7_0(B)
           => ( v20725(VarNext,B)
            <=> v20694(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_238,axiom,(
    ! [VarNext] :
      ( v20726(VarNext)
     => ! [B] :
          ( range_7_0(B)
         => ( v20725(VarNext,B)
          <=> v20736(VarNext,B) ) ) ) )).

fof(addAssignment_5127,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_7_0(B)
         => ( v20736(VarNext,B)
          <=> v20734(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_488,axiom,(
    ! [VarCurr] :
      ( ~ v20737(VarCurr)
     => ! [B] :
          ( range_7_0(B)
         => ( v20734(VarCurr,B)
          <=> v20698(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_429,axiom,(
    ! [VarCurr] :
      ( v20737(VarCurr)
     => ! [B] :
          ( range_7_0(B)
         => ( v20734(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_2078,axiom,(
    ! [VarCurr] :
      ( ~ v20737(VarCurr)
    <=> v20696(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4734,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20726(VarNext)
      <=> v20727(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4733,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20727(VarNext)
      <=> ( v20728(VarNext)
          & v20723(VarNext) ) ) ) )).

fof(writeUnaryOperator_2077,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20728(VarNext)
      <=> v20730(VarNext) ) ) )).

fof(addAssignment_5126,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20730(VarNext)
      <=> v20723(VarCurr) ) ) )).

fof(addAssignment_5125,axiom,(
    ! [VarCurr] :
      ( v20723(VarCurr)
    <=> v14176(VarCurr) ) )).

fof(addAssignment_5124,axiom,(
    ! [VarCurr] :
      ( v20698(VarCurr,bitIndex6)
    <=> v20711(VarCurr,bitIndex6) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_48,axiom,(
    ! [VarCurr] :
      ( ( ~ v20712(VarCurr)
        & ~ v20714(VarCurr)
        & ~ v20717(VarCurr) )
     => ! [B] :
          ( range_7_0(B)
         => ( v20711(VarCurr,B)
          <=> v20694(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_255,axiom,(
    ! [VarCurr] :
      ( v20717(VarCurr)
     => ! [B] :
          ( range_7_0(B)
         => ( v20711(VarCurr,B)
          <=> v20719(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_608,axiom,(
    ! [VarCurr] :
      ( v20714(VarCurr)
     => ! [B] :
          ( range_7_0(B)
         => ( v20711(VarCurr,B)
          <=> v20716(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_608,axiom,(
    ! [VarCurr] :
      ( v20712(VarCurr)
     => ! [B] :
          ( range_7_0(B)
         => ( v20711(VarCurr,B)
          <=> v20694(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1480,axiom,(
    ! [VarCurr] :
      ( v20720(VarCurr)
    <=> ( ( v20721(VarCurr,bitIndex1)
        <=> $true )
        & ( v20721(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_5123,axiom,(
    ! [VarCurr] :
      ( v20721(VarCurr,bitIndex0)
    <=> v20706(VarCurr) ) )).

fof(addAssignment_5122,axiom,(
    ! [VarCurr] :
      ( v20721(VarCurr,bitIndex1)
    <=> v20700(VarCurr) ) )).

fof(addAssignment_5121,axiom,(
    ! [VarCurr] :
      ( v20719(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_5120,axiom,(
    ! [VarCurr] :
      ( ( v20719(VarCurr,bitIndex7)
      <=> v20694(VarCurr,bitIndex6) )
      & ( v20719(VarCurr,bitIndex6)
      <=> v20694(VarCurr,bitIndex5) )
      & ( v20719(VarCurr,bitIndex5)
      <=> v20694(VarCurr,bitIndex4) )
      & ( v20719(VarCurr,bitIndex4)
      <=> v20694(VarCurr,bitIndex3) )
      & ( v20719(VarCurr,bitIndex3)
      <=> v20694(VarCurr,bitIndex2) )
      & ( v20719(VarCurr,bitIndex2)
      <=> v20694(VarCurr,bitIndex1) )
      & ( v20719(VarCurr,bitIndex1)
      <=> v20694(VarCurr,bitIndex0) ) ) )).

fof(addBitVectorEqualityBitBlasted_1479,axiom,(
    ! [VarCurr] :
      ( v20717(VarCurr)
    <=> ( ( v20718(VarCurr,bitIndex1)
        <=> $true )
        & ( v20718(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5119,axiom,(
    ! [VarCurr] :
      ( v20718(VarCurr,bitIndex0)
    <=> v20706(VarCurr) ) )).

fof(addAssignment_5118,axiom,(
    ! [VarCurr] :
      ( v20718(VarCurr,bitIndex1)
    <=> v20700(VarCurr) ) )).

fof(addAssignment_5117,axiom,(
    ! [VarCurr] :
      ( ( v20716(VarCurr,bitIndex6)
      <=> v20694(VarCurr,bitIndex7) )
      & ( v20716(VarCurr,bitIndex5)
      <=> v20694(VarCurr,bitIndex6) )
      & ( v20716(VarCurr,bitIndex4)
      <=> v20694(VarCurr,bitIndex5) )
      & ( v20716(VarCurr,bitIndex3)
      <=> v20694(VarCurr,bitIndex4) )
      & ( v20716(VarCurr,bitIndex2)
      <=> v20694(VarCurr,bitIndex3) )
      & ( v20716(VarCurr,bitIndex1)
      <=> v20694(VarCurr,bitIndex2) )
      & ( v20716(VarCurr,bitIndex0)
      <=> v20694(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_5116,axiom,(
    ! [VarCurr] :
      ( v20716(VarCurr,bitIndex7)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_1478,axiom,(
    ! [VarCurr] :
      ( v20714(VarCurr)
    <=> ( ( v20715(VarCurr,bitIndex1)
        <=> $false )
        & ( v20715(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_5115,axiom,(
    ! [VarCurr] :
      ( v20715(VarCurr,bitIndex0)
    <=> v20706(VarCurr) ) )).

fof(addAssignment_5114,axiom,(
    ! [VarCurr] :
      ( v20715(VarCurr,bitIndex1)
    <=> v20700(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1477,axiom,(
    ! [VarCurr] :
      ( v20712(VarCurr)
    <=> ( ( v20713(VarCurr,bitIndex1)
        <=> $false )
        & ( v20713(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5113,axiom,(
    ! [VarCurr] :
      ( v20713(VarCurr,bitIndex0)
    <=> v20706(VarCurr) ) )).

fof(addAssignment_5112,axiom,(
    ! [VarCurr] :
      ( v20713(VarCurr,bitIndex1)
    <=> v20700(VarCurr) ) )).

fof(addAssignment_5111,axiom,(
    ! [VarCurr] :
      ( v20706(VarCurr)
    <=> v20708(VarCurr) ) )).

fof(addAssignment_5110,axiom,(
    ! [VarCurr] :
      ( v20708(VarCurr)
    <=> v20710(VarCurr) ) )).

fof(addAssignment_5109,axiom,(
    ! [VarCurr] :
      ( v20710(VarCurr)
    <=> v14161(VarCurr) ) )).

fof(addAssignment_5108,axiom,(
    ! [VarCurr] :
      ( v20700(VarCurr)
    <=> v20702(VarCurr) ) )).

fof(addAssignment_5107,axiom,(
    ! [VarCurr] :
      ( v20702(VarCurr)
    <=> v20704(VarCurr) ) )).

fof(addAssignment_5106,axiom,(
    ! [VarCurr] :
      ( v20704(VarCurr)
    <=> v13729(VarCurr) ) )).

fof(addAssignment_5105,axiom,(
    ! [VarCurr] :
      ( v20696(VarCurr)
    <=> v13719(VarCurr) ) )).

fof(addAssignment_5104,axiom,(
    ! [VarCurr] :
      ( v13709(VarCurr)
    <=> v13711(VarCurr,bitIndex2) ) )).

fof(addAssignment_5103,axiom,(
    ! [VarCurr] :
      ( v13711(VarCurr,bitIndex2)
    <=> v13713(VarCurr,bitIndex2) ) )).

fof(addAssignment_5102,axiom,(
    ! [VarCurr] :
      ( v13713(VarCurr,bitIndex2)
    <=> v13715(VarCurr,bitIndex2) ) )).

fof(addAssignment_5101,axiom,(
    ! [VarNext] :
      ( v13715(VarNext,bitIndex2)
    <=> v20672(VarNext,bitIndex2) ) )).

fof(addCaseBooleanConditionEqualRanges1_216,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20673(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v20672(VarNext,B)
            <=> v13715(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_237,axiom,(
    ! [VarNext] :
      ( v20673(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v20672(VarNext,B)
          <=> v20683(VarNext,B) ) ) ) )).

fof(addAssignment_5100,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v20683(VarNext,B)
          <=> v20681(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_487,axiom,(
    ! [VarCurr] :
      ( ~ v20684(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v20681(VarCurr,B)
          <=> v13721(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_428,axiom,(
    ! [VarCurr] :
      ( v20684(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v20681(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_2076,axiom,(
    ! [VarCurr] :
      ( ~ v20684(VarCurr)
    <=> v13717(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4732,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20673(VarNext)
      <=> v20674(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4731,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20674(VarNext)
      <=> ( v20675(VarNext)
          & v20670(VarNext) ) ) ) )).

fof(writeUnaryOperator_2075,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20675(VarNext)
      <=> v20677(VarNext) ) ) )).

fof(addAssignment_5099,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20677(VarNext)
      <=> v20670(VarCurr) ) ) )).

fof(addAssignment_5098,axiom,(
    ! [VarCurr] :
      ( v20670(VarCurr)
    <=> v14176(VarCurr) ) )).

fof(addAssignment_5097,axiom,(
    ! [VarCurr] :
      ( v13721(VarCurr,bitIndex2)
    <=> v20658(VarCurr,bitIndex2) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_47,axiom,(
    ! [VarCurr] :
      ( ( ~ v20659(VarCurr)
        & ~ v20661(VarCurr)
        & ~ v20664(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v20658(VarCurr,B)
          <=> v13715(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_254,axiom,(
    ! [VarCurr] :
      ( v20664(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v20658(VarCurr,B)
          <=> v20666(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_607,axiom,(
    ! [VarCurr] :
      ( v20661(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v20658(VarCurr,B)
          <=> v20663(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_607,axiom,(
    ! [VarCurr] :
      ( v20659(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v20658(VarCurr,B)
          <=> v13715(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1476,axiom,(
    ! [VarCurr] :
      ( v20667(VarCurr)
    <=> ( ( v20668(VarCurr,bitIndex1)
        <=> $true )
        & ( v20668(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_5096,axiom,(
    ! [VarCurr] :
      ( v20668(VarCurr,bitIndex0)
    <=> v13749(VarCurr) ) )).

fof(addAssignment_5095,axiom,(
    ! [VarCurr] :
      ( v20668(VarCurr,bitIndex1)
    <=> v13723(VarCurr) ) )).

fof(addAssignment_5094,axiom,(
    ! [VarCurr] :
      ( v20666(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_5093,axiom,(
    ! [VarCurr] :
      ( ( v20666(VarCurr,bitIndex3)
      <=> v13715(VarCurr,bitIndex2) )
      & ( v20666(VarCurr,bitIndex2)
      <=> v13715(VarCurr,bitIndex1) )
      & ( v20666(VarCurr,bitIndex1)
      <=> v13715(VarCurr,bitIndex0) ) ) )).

fof(addBitVectorEqualityBitBlasted_1475,axiom,(
    ! [VarCurr] :
      ( v20664(VarCurr)
    <=> ( ( v20665(VarCurr,bitIndex1)
        <=> $true )
        & ( v20665(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5092,axiom,(
    ! [VarCurr] :
      ( v20665(VarCurr,bitIndex0)
    <=> v13749(VarCurr) ) )).

fof(addAssignment_5091,axiom,(
    ! [VarCurr] :
      ( v20665(VarCurr,bitIndex1)
    <=> v13723(VarCurr) ) )).

fof(addAssignment_5090,axiom,(
    ! [VarCurr] :
      ( ( v20663(VarCurr,bitIndex2)
      <=> v13715(VarCurr,bitIndex3) )
      & ( v20663(VarCurr,bitIndex1)
      <=> v13715(VarCurr,bitIndex2) )
      & ( v20663(VarCurr,bitIndex0)
      <=> v13715(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_5089,axiom,(
    ! [VarCurr] :
      ( v20663(VarCurr,bitIndex3)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_1474,axiom,(
    ! [VarCurr] :
      ( v20661(VarCurr)
    <=> ( ( v20662(VarCurr,bitIndex1)
        <=> $false )
        & ( v20662(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_5088,axiom,(
    ! [VarCurr] :
      ( v20662(VarCurr,bitIndex0)
    <=> v13749(VarCurr) ) )).

fof(addAssignment_5087,axiom,(
    ! [VarCurr] :
      ( v20662(VarCurr,bitIndex1)
    <=> v13723(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1473,axiom,(
    ! [VarCurr] :
      ( v20659(VarCurr)
    <=> ( ( v20660(VarCurr,bitIndex1)
        <=> $false )
        & ( v20660(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5086,axiom,(
    ! [VarCurr] :
      ( v20660(VarCurr,bitIndex0)
    <=> v13749(VarCurr) ) )).

fof(addAssignment_5085,axiom,(
    ! [VarCurr] :
      ( v20660(VarCurr,bitIndex1)
    <=> v13723(VarCurr) ) )).

fof(addAssignment_5084,axiom,(
    ! [VarCurr] :
      ( v13749(VarCurr)
    <=> v13751(VarCurr) ) )).

fof(addAssignment_5083,axiom,(
    ! [VarCurr] :
      ( v13751(VarCurr)
    <=> v13753(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4730,axiom,(
    ! [VarCurr] :
      ( v13753(VarCurr)
    <=> ( v13711(VarCurr,bitIndex0)
        & v20657(VarCurr) ) ) )).

fof(writeUnaryOperator_2074,axiom,(
    ! [VarCurr] :
      ( ~ v20657(VarCurr)
    <=> v13755(VarCurr) ) )).

fof(addAssignment_5082,axiom,(
    ! [VarCurr] :
      ( v13755(VarCurr)
    <=> v13757(VarCurr) ) )).

fof(addAssignment_5081,axiom,(
    ! [VarCurr] :
      ( v13757(VarCurr)
    <=> v13759(VarCurr) ) )).

fof(addAssignment_5080,axiom,(
    ! [VarCurr] :
      ( v13759(VarCurr)
    <=> v13761(VarCurr) ) )).

fof(addAssignment_5079,axiom,(
    ! [VarCurr] :
      ( v13761(VarCurr)
    <=> v13763(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4729,axiom,(
    ! [VarCurr] :
      ( v13763(VarCurr)
    <=> ( v20653(VarCurr)
        | v20654(VarCurr) ) ) )).

fof(writeUnaryOperator_2073,axiom,(
    ! [VarCurr] :
      ( ~ v20654(VarCurr)
    <=> v20655(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4728,axiom,(
    ! [VarCurr] :
      ( v20655(VarCurr)
    <=> ( v14005(VarCurr)
        & v14065(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4727,axiom,(
    ! [VarCurr] :
      ( v20653(VarCurr)
    <=> ( v13765(VarCurr,bitIndex0)
        | v13983(VarCurr) ) ) )).

fof(addAssignment_5078,axiom,(
    ! [VarCurr] :
      ( v13765(VarCurr,bitIndex0)
    <=> v13943(VarCurr,bitIndex0) ) )).

fof(addCaseBooleanConditionEqualRanges1_215,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20641(VarNext)
       => ! [B] :
            ( range_1_0(B)
           => ( v13767(VarNext,B)
            <=> v13767(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_236,axiom,(
    ! [VarNext] :
      ( v20641(VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v13767(VarNext,B)
          <=> v20649(VarNext,B) ) ) ) )).

fof(addAssignment_5077,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v20649(VarNext,B)
          <=> v20647(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_486,axiom,(
    ! [VarCurr] :
      ( ~ v20572(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v20647(VarCurr,B)
          <=> v13773(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_427,axiom,(
    ! [VarCurr] :
      ( v20572(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v20647(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4726,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20641(VarNext)
      <=> v20642(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4725,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20642(VarNext)
      <=> ( v20644(VarNext)
          & v14073(VarNext) ) ) ) )).

fof(writeUnaryOperator_2072,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20644(VarNext)
      <=> v14086(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_46,axiom,(
    ! [VarCurr] :
      ( ( ~ v20599(VarCurr)
        & ~ v20609(VarCurr)
        & ~ v20619(VarCurr) )
     => ! [B] :
          ( range_1_0(B)
         => ( v13773(VarCurr,B)
          <=> v20630(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_253,axiom,(
    ! [VarCurr] :
      ( v20619(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v13773(VarCurr,B)
          <=> v20620(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_606,axiom,(
    ! [VarCurr] :
      ( v20609(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v13773(VarCurr,B)
          <=> v20610(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_606,axiom,(
    ! [VarCurr] :
      ( v20599(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v13773(VarCurr,B)
          <=> v20600(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_45,axiom,(
    ! [VarCurr] :
      ( ( ~ v20631(VarCurr)
        & ~ v20633(VarCurr)
        & ~ v20635(VarCurr) )
     => ! [B] :
          ( range_1_0(B)
         => ( v20630(VarCurr,B)
          <=> b10(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_252,axiom,(
    ! [VarCurr] :
      ( v20635(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v20630(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_605,axiom,(
    ! [VarCurr] :
      ( v20633(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v20630(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_605,axiom,(
    ! [VarCurr] :
      ( v20631(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v20630(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1472,axiom,(
    ! [VarCurr] :
      ( v20637(VarCurr)
    <=> ( ( v20638(VarCurr,bitIndex1)
        <=> $true )
        & ( v20638(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_5076,axiom,(
    ! [VarCurr] :
      ( v20638(VarCurr,bitIndex0)
    <=> v20576(VarCurr) ) )).

fof(addAssignment_5075,axiom,(
    ! [VarCurr] :
      ( v20638(VarCurr,bitIndex1)
    <=> v13775(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1471,axiom,(
    ! [VarCurr] :
      ( v20635(VarCurr)
    <=> ( ( v20636(VarCurr,bitIndex1)
        <=> $true )
        & ( v20636(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5074,axiom,(
    ! [VarCurr] :
      ( v20636(VarCurr,bitIndex0)
    <=> v20576(VarCurr) ) )).

fof(addAssignment_5073,axiom,(
    ! [VarCurr] :
      ( v20636(VarCurr,bitIndex1)
    <=> v13775(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1470,axiom,(
    ! [VarCurr] :
      ( v20633(VarCurr)
    <=> ( ( v20634(VarCurr,bitIndex1)
        <=> $false )
        & ( v20634(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_5072,axiom,(
    ! [VarCurr] :
      ( v20634(VarCurr,bitIndex0)
    <=> v20576(VarCurr) ) )).

fof(addAssignment_5071,axiom,(
    ! [VarCurr] :
      ( v20634(VarCurr,bitIndex1)
    <=> v13775(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1469,axiom,(
    ! [VarCurr] :
      ( v20631(VarCurr)
    <=> ( ( v20632(VarCurr,bitIndex1)
        <=> $false )
        & ( v20632(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5070,axiom,(
    ! [VarCurr] :
      ( v20632(VarCurr,bitIndex0)
    <=> v20576(VarCurr) ) )).

fof(addAssignment_5069,axiom,(
    ! [VarCurr] :
      ( v20632(VarCurr,bitIndex1)
    <=> v13775(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1468,axiom,(
    ! [VarCurr] :
      ( v20629(VarCurr)
    <=> ( ( v13767(VarCurr,bitIndex1)
        <=> $true )
        & ( v13767(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_44,axiom,(
    ! [VarCurr] :
      ( ( ~ v20621(VarCurr)
        & ~ v20623(VarCurr)
        & ~ v20625(VarCurr) )
     => ! [B] :
          ( range_1_0(B)
         => ( v20620(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_251,axiom,(
    ! [VarCurr] :
      ( v20625(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v20620(VarCurr,B)
          <=> b10(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_604,axiom,(
    ! [VarCurr] :
      ( v20623(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v20620(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_604,axiom,(
    ! [VarCurr] :
      ( v20621(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v20620(VarCurr,B)
          <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1467,axiom,(
    ! [VarCurr] :
      ( v20627(VarCurr)
    <=> ( ( v20628(VarCurr,bitIndex1)
        <=> $true )
        & ( v20628(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_5068,axiom,(
    ! [VarCurr] :
      ( v20628(VarCurr,bitIndex0)
    <=> v14223(VarCurr) ) )).

fof(addAssignment_5067,axiom,(
    ! [VarCurr] :
      ( v20628(VarCurr,bitIndex1)
    <=> v13775(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1466,axiom,(
    ! [VarCurr] :
      ( v20625(VarCurr)
    <=> ( ( v20626(VarCurr,bitIndex1)
        <=> $true )
        & ( v20626(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5066,axiom,(
    ! [VarCurr] :
      ( v20626(VarCurr,bitIndex0)
    <=> v14223(VarCurr) ) )).

fof(addAssignment_5065,axiom,(
    ! [VarCurr] :
      ( v20626(VarCurr,bitIndex1)
    <=> v13775(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1465,axiom,(
    ! [VarCurr] :
      ( v20623(VarCurr)
    <=> ( ( v20624(VarCurr,bitIndex1)
        <=> $false )
        & ( v20624(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_5064,axiom,(
    ! [VarCurr] :
      ( v20624(VarCurr,bitIndex0)
    <=> v14223(VarCurr) ) )).

fof(addAssignment_5063,axiom,(
    ! [VarCurr] :
      ( v20624(VarCurr,bitIndex1)
    <=> v13775(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1464,axiom,(
    ! [VarCurr] :
      ( v20621(VarCurr)
    <=> ( ( v20622(VarCurr,bitIndex1)
        <=> $false )
        & ( v20622(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5062,axiom,(
    ! [VarCurr] :
      ( v20622(VarCurr,bitIndex0)
    <=> v14223(VarCurr) ) )).

fof(addAssignment_5061,axiom,(
    ! [VarCurr] :
      ( v20622(VarCurr,bitIndex1)
    <=> v13775(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1463,axiom,(
    ! [VarCurr] :
      ( v20619(VarCurr)
    <=> ( ( v13767(VarCurr,bitIndex1)
        <=> $true )
        & ( v13767(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_43,axiom,(
    ! [VarCurr] :
      ( ( ~ v20611(VarCurr)
        & ~ v20613(VarCurr)
        & ~ v20615(VarCurr) )
     => ! [B] :
          ( range_1_0(B)
         => ( v20610(VarCurr,B)
          <=> b10(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_250,axiom,(
    ! [VarCurr] :
      ( v20615(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v20610(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_603,axiom,(
    ! [VarCurr] :
      ( v20613(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v20610(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_603,axiom,(
    ! [VarCurr] :
      ( v20611(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v20610(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1462,axiom,(
    ! [VarCurr] :
      ( v20617(VarCurr)
    <=> ( ( v20618(VarCurr,bitIndex1)
        <=> $true )
        & ( v20618(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_5060,axiom,(
    ! [VarCurr] :
      ( v20618(VarCurr,bitIndex0)
    <=> v20576(VarCurr) ) )).

fof(addAssignment_5059,axiom,(
    ! [VarCurr] :
      ( v20618(VarCurr,bitIndex1)
    <=> v13775(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1461,axiom,(
    ! [VarCurr] :
      ( v20615(VarCurr)
    <=> ( ( v20616(VarCurr,bitIndex1)
        <=> $true )
        & ( v20616(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5058,axiom,(
    ! [VarCurr] :
      ( v20616(VarCurr,bitIndex0)
    <=> v20576(VarCurr) ) )).

fof(addAssignment_5057,axiom,(
    ! [VarCurr] :
      ( v20616(VarCurr,bitIndex1)
    <=> v13775(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1460,axiom,(
    ! [VarCurr] :
      ( v20613(VarCurr)
    <=> ( ( v20614(VarCurr,bitIndex1)
        <=> $false )
        & ( v20614(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_5056,axiom,(
    ! [VarCurr] :
      ( v20614(VarCurr,bitIndex0)
    <=> v20576(VarCurr) ) )).

fof(addAssignment_5055,axiom,(
    ! [VarCurr] :
      ( v20614(VarCurr,bitIndex1)
    <=> v13775(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1459,axiom,(
    ! [VarCurr] :
      ( v20611(VarCurr)
    <=> ( ( v20612(VarCurr,bitIndex1)
        <=> $false )
        & ( v20612(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5054,axiom,(
    ! [VarCurr] :
      ( v20612(VarCurr,bitIndex0)
    <=> v20576(VarCurr) ) )).

fof(addAssignment_5053,axiom,(
    ! [VarCurr] :
      ( v20612(VarCurr,bitIndex1)
    <=> v13775(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1458,axiom,(
    ! [VarCurr] :
      ( v20609(VarCurr)
    <=> ( ( v13767(VarCurr,bitIndex1)
        <=> $false )
        & ( v13767(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_42,axiom,(
    ! [VarCurr] :
      ( ( ~ v20601(VarCurr)
        & ~ v20603(VarCurr)
        & ~ v20605(VarCurr) )
     => ! [B] :
          ( range_1_0(B)
         => ( v20600(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_249,axiom,(
    ! [VarCurr] :
      ( v20605(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v20600(VarCurr,B)
          <=> b10(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_602,axiom,(
    ! [VarCurr] :
      ( v20603(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v20600(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_602,axiom,(
    ! [VarCurr] :
      ( v20601(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v20600(VarCurr,B)
          <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1457,axiom,(
    ! [VarCurr] :
      ( v20607(VarCurr)
    <=> ( ( v20608(VarCurr,bitIndex1)
        <=> $true )
        & ( v20608(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_5052,axiom,(
    ! [VarCurr] :
      ( v20608(VarCurr,bitIndex0)
    <=> v14223(VarCurr) ) )).

fof(addAssignment_5051,axiom,(
    ! [VarCurr] :
      ( v20608(VarCurr,bitIndex1)
    <=> v13775(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1456,axiom,(
    ! [VarCurr] :
      ( v20605(VarCurr)
    <=> ( ( v20606(VarCurr,bitIndex1)
        <=> $true )
        & ( v20606(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5050,axiom,(
    ! [VarCurr] :
      ( v20606(VarCurr,bitIndex0)
    <=> v14223(VarCurr) ) )).

fof(addAssignment_5049,axiom,(
    ! [VarCurr] :
      ( v20606(VarCurr,bitIndex1)
    <=> v13775(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1455,axiom,(
    ! [VarCurr] :
      ( v20603(VarCurr)
    <=> ( ( v20604(VarCurr,bitIndex1)
        <=> $false )
        & ( v20604(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_5048,axiom,(
    ! [VarCurr] :
      ( v20604(VarCurr,bitIndex0)
    <=> v14223(VarCurr) ) )).

fof(addAssignment_5047,axiom,(
    ! [VarCurr] :
      ( v20604(VarCurr,bitIndex1)
    <=> v13775(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1454,axiom,(
    ! [VarCurr] :
      ( v20601(VarCurr)
    <=> ( ( v20602(VarCurr,bitIndex1)
        <=> $false )
        & ( v20602(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5046,axiom,(
    ! [VarCurr] :
      ( v20602(VarCurr,bitIndex0)
    <=> v14223(VarCurr) ) )).

fof(addAssignment_5045,axiom,(
    ! [VarCurr] :
      ( v20602(VarCurr,bitIndex1)
    <=> v13775(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1453,axiom,(
    ! [VarCurr] :
      ( v20599(VarCurr)
    <=> ( ( v13767(VarCurr,bitIndex1)
        <=> $false )
        & ( v13767(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_214,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20587(VarNext)
       => ( v20576(VarNext)
        <=> v20576(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_235,axiom,(
    ! [VarNext] :
      ( v20587(VarNext)
     => ( v20576(VarNext)
      <=> v20595(VarNext) ) ) )).

fof(addAssignment_5044,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20595(VarNext)
      <=> v20593(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_485,axiom,(
    ! [VarCurr] :
      ( ~ v20572(VarCurr)
     => ( v20593(VarCurr)
      <=> v20578(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_426,axiom,(
    ! [VarCurr] :
      ( v20572(VarCurr)
     => ( v20593(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4724,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20587(VarNext)
      <=> v20588(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4723,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20588(VarNext)
      <=> ( v20590(VarNext)
          & v14073(VarNext) ) ) ) )).

fof(writeUnaryOperator_2071,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20590(VarNext)
      <=> v14086(VarNext) ) ) )).

fof(addAssignment_5043,axiom,(
    ! [VarCurr] :
      ( v20578(VarCurr)
    <=> v20580(VarCurr) ) )).

fof(addAssignment_5042,axiom,(
    ! [VarCurr] :
      ( v20580(VarCurr)
    <=> v20582(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_484,axiom,(
    ! [VarCurr] :
      ( ~ v20584(VarCurr)
     => ( v20582(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_425,axiom,(
    ! [VarCurr] :
      ( v20584(VarCurr)
     => ( v20582(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4722,axiom,(
    ! [VarCurr] :
      ( v20584(VarCurr)
    <=> ( v17904(VarCurr)
        | v17905(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_213,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20563(VarNext)
       => ( v14223(VarNext)
        <=> v14223(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_234,axiom,(
    ! [VarNext] :
      ( v20563(VarNext)
     => ( v14223(VarNext)
      <=> v20571(VarNext) ) ) )).

fof(addAssignment_5041,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20571(VarNext)
      <=> v20569(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_483,axiom,(
    ! [VarCurr] :
      ( ~ v20572(VarCurr)
     => ( v20569(VarCurr)
      <=> v14225(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_424,axiom,(
    ! [VarCurr] :
      ( v20572(VarCurr)
     => ( v20569(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_2070,axiom,(
    ! [VarCurr] :
      ( ~ v20572(VarCurr)
    <=> v13769(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4721,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20563(VarNext)
      <=> v20564(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4720,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20564(VarNext)
      <=> ( v20565(VarNext)
          & v14073(VarNext) ) ) ) )).

fof(writeUnaryOperator_2069,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20565(VarNext)
      <=> v14086(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_248,axiom,(
    ! [VarCurr] :
      ( ( ~ v20551(VarCurr)
        & ~ v20554(VarCurr) )
     => ( v14225(VarCurr)
      <=> v20558(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_601,axiom,(
    ! [VarCurr] :
      ( v20554(VarCurr)
     => ( v14225(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_601,axiom,(
    ! [VarCurr] :
      ( v20551(VarCurr)
     => ( v14225(VarCurr)
      <=> v20552(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4719,axiom,(
    ! [VarCurr] :
      ( v20558(VarCurr)
    <=> ( v14383(VarCurr)
        & v20559(VarCurr) ) ) )).

fof(writeUnaryOperator_2068,axiom,(
    ! [VarCurr] :
      ( ~ v20559(VarCurr)
    <=> v20560(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4718,axiom,(
    ! [VarCurr] :
      ( v20560(VarCurr)
    <=> ( v16596(VarCurr)
        | v18957(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4717,axiom,(
    ! [VarCurr] :
      ( v20555(VarCurr)
    <=> ( v20556(VarCurr)
        | v20557(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1452,axiom,(
    ! [VarCurr] :
      ( v20557(VarCurr)
    <=> ( ( v14227(VarCurr,bitIndex1)
        <=> $true )
        & ( v14227(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1451,axiom,(
    ! [VarCurr] :
      ( v20556(VarCurr)
    <=> ( ( v14227(VarCurr,bitIndex1)
        <=> $true )
        & ( v14227(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1450,axiom,(
    ! [VarCurr] :
      ( v20554(VarCurr)
    <=> ( ( v14227(VarCurr,bitIndex1)
        <=> $false )
        & ( v14227(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4716,axiom,(
    ! [VarCurr] :
      ( v20552(VarCurr)
    <=> ( v14383(VarCurr)
        & v20553(VarCurr) ) ) )).

fof(writeUnaryOperator_2067,axiom,(
    ! [VarCurr] :
      ( ~ v20553(VarCurr)
    <=> v16596(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1449,axiom,(
    ! [VarCurr] :
      ( v20551(VarCurr)
    <=> ( ( v14227(VarCurr,bitIndex1)
        <=> $false )
        & ( v14227(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_5040,axiom,(
    ! [VarCurr] :
      ( v18957(VarCurr)
    <=> v18959(VarCurr) ) )).

fof(addAssignment_5039,axiom,(
    ! [VarCurr] :
      ( v18959(VarCurr)
    <=> v18961(VarCurr) ) )).

fof(addAssignment_5038,axiom,(
    ! [VarCurr] :
      ( v18961(VarCurr)
    <=> v18963(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4715,axiom,(
    ! [VarCurr] :
      ( v18963(VarCurr)
    <=> ( v20486(VarCurr)
        | v20519(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4714,axiom,(
    ! [VarCurr] :
      ( v20519(VarCurr)
    <=> ( v20520(VarCurr)
        | v20535(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4713,axiom,(
    ! [VarCurr] :
      ( v20535(VarCurr)
    <=> ( v20536(VarCurr)
        | v20543(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4712,axiom,(
    ! [VarCurr] :
      ( v20543(VarCurr)
    <=> ( v20544(VarCurr)
        | v20547(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4711,axiom,(
    ! [VarCurr] :
      ( v20547(VarCurr)
    <=> ( v20548(VarCurr)
        | v20549(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_777,axiom,(
    ! [VarCurr] :
      ( v20549(VarCurr)
    <=> ( v20491(VarCurr,bitIndex62)
        | v20491(VarCurr,bitIndex63) ) ) )).

fof(writeBinaryOperatorShiftedRanges_776,axiom,(
    ! [VarCurr] :
      ( v20548(VarCurr)
    <=> ( v20491(VarCurr,bitIndex60)
        | v20491(VarCurr,bitIndex61) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4710,axiom,(
    ! [VarCurr] :
      ( v20544(VarCurr)
    <=> ( v20545(VarCurr)
        | v20546(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_775,axiom,(
    ! [VarCurr] :
      ( v20546(VarCurr)
    <=> ( v20491(VarCurr,bitIndex58)
        | v20491(VarCurr,bitIndex59) ) ) )).

fof(writeBinaryOperatorShiftedRanges_774,axiom,(
    ! [VarCurr] :
      ( v20545(VarCurr)
    <=> ( v20491(VarCurr,bitIndex56)
        | v20491(VarCurr,bitIndex57) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4709,axiom,(
    ! [VarCurr] :
      ( v20536(VarCurr)
    <=> ( v20537(VarCurr)
        | v20540(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4708,axiom,(
    ! [VarCurr] :
      ( v20540(VarCurr)
    <=> ( v20541(VarCurr)
        | v20542(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_773,axiom,(
    ! [VarCurr] :
      ( v20542(VarCurr)
    <=> ( v20491(VarCurr,bitIndex54)
        | v20491(VarCurr,bitIndex55) ) ) )).

fof(writeBinaryOperatorShiftedRanges_772,axiom,(
    ! [VarCurr] :
      ( v20541(VarCurr)
    <=> ( v20491(VarCurr,bitIndex52)
        | v20491(VarCurr,bitIndex53) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4707,axiom,(
    ! [VarCurr] :
      ( v20537(VarCurr)
    <=> ( v20538(VarCurr)
        | v20539(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_771,axiom,(
    ! [VarCurr] :
      ( v20539(VarCurr)
    <=> ( v20491(VarCurr,bitIndex50)
        | v20491(VarCurr,bitIndex51) ) ) )).

fof(writeBinaryOperatorShiftedRanges_770,axiom,(
    ! [VarCurr] :
      ( v20538(VarCurr)
    <=> ( v20491(VarCurr,bitIndex48)
        | v20491(VarCurr,bitIndex49) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4706,axiom,(
    ! [VarCurr] :
      ( v20520(VarCurr)
    <=> ( v20521(VarCurr)
        | v20528(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4705,axiom,(
    ! [VarCurr] :
      ( v20528(VarCurr)
    <=> ( v20529(VarCurr)
        | v20532(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4704,axiom,(
    ! [VarCurr] :
      ( v20532(VarCurr)
    <=> ( v20533(VarCurr)
        | v20534(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_769,axiom,(
    ! [VarCurr] :
      ( v20534(VarCurr)
    <=> ( v20491(VarCurr,bitIndex46)
        | v20491(VarCurr,bitIndex47) ) ) )).

fof(writeBinaryOperatorShiftedRanges_768,axiom,(
    ! [VarCurr] :
      ( v20533(VarCurr)
    <=> ( v20491(VarCurr,bitIndex44)
        | v20491(VarCurr,bitIndex45) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4703,axiom,(
    ! [VarCurr] :
      ( v20529(VarCurr)
    <=> ( v20530(VarCurr)
        | v20531(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_767,axiom,(
    ! [VarCurr] :
      ( v20531(VarCurr)
    <=> ( v20491(VarCurr,bitIndex42)
        | v20491(VarCurr,bitIndex43) ) ) )).

fof(writeBinaryOperatorShiftedRanges_766,axiom,(
    ! [VarCurr] :
      ( v20530(VarCurr)
    <=> ( v20491(VarCurr,bitIndex40)
        | v20491(VarCurr,bitIndex41) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4702,axiom,(
    ! [VarCurr] :
      ( v20521(VarCurr)
    <=> ( v20522(VarCurr)
        | v20525(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4701,axiom,(
    ! [VarCurr] :
      ( v20525(VarCurr)
    <=> ( v20526(VarCurr)
        | v20527(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_765,axiom,(
    ! [VarCurr] :
      ( v20527(VarCurr)
    <=> ( v20491(VarCurr,bitIndex38)
        | v20491(VarCurr,bitIndex39) ) ) )).

fof(writeBinaryOperatorShiftedRanges_764,axiom,(
    ! [VarCurr] :
      ( v20526(VarCurr)
    <=> ( v20491(VarCurr,bitIndex36)
        | v20491(VarCurr,bitIndex37) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4700,axiom,(
    ! [VarCurr] :
      ( v20522(VarCurr)
    <=> ( v20523(VarCurr)
        | v20524(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_763,axiom,(
    ! [VarCurr] :
      ( v20524(VarCurr)
    <=> ( v20491(VarCurr,bitIndex34)
        | v20491(VarCurr,bitIndex35) ) ) )).

fof(writeBinaryOperatorShiftedRanges_762,axiom,(
    ! [VarCurr] :
      ( v20523(VarCurr)
    <=> ( v20491(VarCurr,bitIndex32)
        | v20491(VarCurr,bitIndex33) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4699,axiom,(
    ! [VarCurr] :
      ( v20486(VarCurr)
    <=> ( v20487(VarCurr)
        | v20504(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4698,axiom,(
    ! [VarCurr] :
      ( v20504(VarCurr)
    <=> ( v20505(VarCurr)
        | v20512(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4697,axiom,(
    ! [VarCurr] :
      ( v20512(VarCurr)
    <=> ( v20513(VarCurr)
        | v20516(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4696,axiom,(
    ! [VarCurr] :
      ( v20516(VarCurr)
    <=> ( v20517(VarCurr)
        | v20518(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_761,axiom,(
    ! [VarCurr] :
      ( v20518(VarCurr)
    <=> ( v20491(VarCurr,bitIndex30)
        | v20491(VarCurr,bitIndex31) ) ) )).

fof(writeBinaryOperatorShiftedRanges_760,axiom,(
    ! [VarCurr] :
      ( v20517(VarCurr)
    <=> ( v20491(VarCurr,bitIndex28)
        | v20491(VarCurr,bitIndex29) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4695,axiom,(
    ! [VarCurr] :
      ( v20513(VarCurr)
    <=> ( v20514(VarCurr)
        | v20515(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_759,axiom,(
    ! [VarCurr] :
      ( v20515(VarCurr)
    <=> ( v20491(VarCurr,bitIndex26)
        | v20491(VarCurr,bitIndex27) ) ) )).

fof(writeBinaryOperatorShiftedRanges_758,axiom,(
    ! [VarCurr] :
      ( v20514(VarCurr)
    <=> ( v20491(VarCurr,bitIndex24)
        | v20491(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4694,axiom,(
    ! [VarCurr] :
      ( v20505(VarCurr)
    <=> ( v20506(VarCurr)
        | v20509(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4693,axiom,(
    ! [VarCurr] :
      ( v20509(VarCurr)
    <=> ( v20510(VarCurr)
        | v20511(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_757,axiom,(
    ! [VarCurr] :
      ( v20511(VarCurr)
    <=> ( v20491(VarCurr,bitIndex22)
        | v20491(VarCurr,bitIndex23) ) ) )).

fof(writeBinaryOperatorShiftedRanges_756,axiom,(
    ! [VarCurr] :
      ( v20510(VarCurr)
    <=> ( v20491(VarCurr,bitIndex20)
        | v20491(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4692,axiom,(
    ! [VarCurr] :
      ( v20506(VarCurr)
    <=> ( v20507(VarCurr)
        | v20508(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_755,axiom,(
    ! [VarCurr] :
      ( v20508(VarCurr)
    <=> ( v20491(VarCurr,bitIndex18)
        | v20491(VarCurr,bitIndex19) ) ) )).

fof(writeBinaryOperatorShiftedRanges_754,axiom,(
    ! [VarCurr] :
      ( v20507(VarCurr)
    <=> ( v20491(VarCurr,bitIndex16)
        | v20491(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4691,axiom,(
    ! [VarCurr] :
      ( v20487(VarCurr)
    <=> ( v20488(VarCurr)
        | v20497(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4690,axiom,(
    ! [VarCurr] :
      ( v20497(VarCurr)
    <=> ( v20498(VarCurr)
        | v20501(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4689,axiom,(
    ! [VarCurr] :
      ( v20501(VarCurr)
    <=> ( v20502(VarCurr)
        | v20503(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_753,axiom,(
    ! [VarCurr] :
      ( v20503(VarCurr)
    <=> ( v20491(VarCurr,bitIndex14)
        | v20491(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorShiftedRanges_752,axiom,(
    ! [VarCurr] :
      ( v20502(VarCurr)
    <=> ( v20491(VarCurr,bitIndex12)
        | v20491(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4688,axiom,(
    ! [VarCurr] :
      ( v20498(VarCurr)
    <=> ( v20499(VarCurr)
        | v20500(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_751,axiom,(
    ! [VarCurr] :
      ( v20500(VarCurr)
    <=> ( v20491(VarCurr,bitIndex10)
        | v20491(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_750,axiom,(
    ! [VarCurr] :
      ( v20499(VarCurr)
    <=> ( v20491(VarCurr,bitIndex8)
        | v20491(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4687,axiom,(
    ! [VarCurr] :
      ( v20488(VarCurr)
    <=> ( v20489(VarCurr)
        | v20494(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4686,axiom,(
    ! [VarCurr] :
      ( v20494(VarCurr)
    <=> ( v20495(VarCurr)
        | v20496(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_749,axiom,(
    ! [VarCurr] :
      ( v20496(VarCurr)
    <=> ( v20491(VarCurr,bitIndex6)
        | v20491(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_748,axiom,(
    ! [VarCurr] :
      ( v20495(VarCurr)
    <=> ( v20491(VarCurr,bitIndex4)
        | v20491(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4685,axiom,(
    ! [VarCurr] :
      ( v20489(VarCurr)
    <=> ( v20490(VarCurr)
        | v20493(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_747,axiom,(
    ! [VarCurr] :
      ( v20493(VarCurr)
    <=> ( v20491(VarCurr,bitIndex2)
        | v20491(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_746,axiom,(
    ! [VarCurr] :
      ( v20490(VarCurr)
    <=> ( v20491(VarCurr,bitIndex0)
        | v20491(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_20,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v20491(VarCurr,B)
      <=> ( v18965(VarCurr,B)
          & v20492(VarCurr,B) ) ) ) )).

fof(writeUnaryOperator_2066,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v20492(VarCurr,B)
      <=> ~ v20328(VarCurr,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_212,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20469(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v20328(VarNext,B)
            <=> v20328(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_233,axiom,(
    ! [VarNext] :
      ( v20469(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v20328(VarNext,B)
          <=> v20477(VarNext,B) ) ) ) )).

fof(addAssignment_5037,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v20477(VarNext,B)
          <=> v20475(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_482,axiom,(
    ! [VarCurr] :
      ( ~ v20478(VarCurr)
     => ! [B] :
          ( range_63_0(B)
         => ( v20475(VarCurr,B)
          <=> v20479(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_423,axiom,(
    ! [VarCurr] :
      ( v20478(VarCurr)
     => ! [B] :
          ( range_63_0(B)
         => ( v20475(VarCurr,B)
          <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_481,axiom,(
    ! [VarCurr] :
      ( ~ v20480(VarCurr)
     => ! [B] :
          ( range_63_0(B)
         => ( v20479(VarCurr,B)
          <=> v20481(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_422,axiom,(
    ! [VarCurr] :
      ( v20480(VarCurr)
     => ! [B] :
          ( range_63_0(B)
         => ( v20479(VarCurr,B)
          <=> v20330(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_19,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v20481(VarCurr,B)
      <=> ( v20328(VarCurr,B)
          | v20330(VarCurr,B) ) ) ) )).

fof(writeUnaryOperator_2065,axiom,(
    ! [VarCurr] :
      ( ~ v20480(VarCurr)
    <=> v18974(VarCurr) ) )).

fof(writeUnaryOperator_2064,axiom,(
    ! [VarCurr] :
      ( ~ v20478(VarCurr)
    <=> v18971(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4684,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20469(VarNext)
      <=> v20470(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4683,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v20470(VarNext)
      <=> ( v20471(VarNext)
          & v19434(VarNext) ) ) ) )).

fof(writeUnaryOperator_2063,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20471(VarNext)
      <=> v19441(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_244,axiom,(
    ! [VarCurr] :
      ( ~ v20466(VarCurr)
     => ( v20330(VarCurr,bitIndex63)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_303,axiom,(
    ! [VarCurr] :
      ( v20466(VarCurr)
     => ( v20330(VarCurr,bitIndex63)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1448,axiom,(
    ! [VarCurr] :
      ( v20466(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_243,axiom,(
    ! [VarCurr] :
      ( ~ v20464(VarCurr)
     => ( v20330(VarCurr,bitIndex62)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_302,axiom,(
    ! [VarCurr] :
      ( v20464(VarCurr)
     => ( v20330(VarCurr,bitIndex62)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1447,axiom,(
    ! [VarCurr] :
      ( v20464(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_242,axiom,(
    ! [VarCurr] :
      ( ~ v20462(VarCurr)
     => ( v20330(VarCurr,bitIndex61)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_301,axiom,(
    ! [VarCurr] :
      ( v20462(VarCurr)
     => ( v20330(VarCurr,bitIndex61)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1446,axiom,(
    ! [VarCurr] :
      ( v20462(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_241,axiom,(
    ! [VarCurr] :
      ( ~ v20460(VarCurr)
     => ( v20330(VarCurr,bitIndex60)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_300,axiom,(
    ! [VarCurr] :
      ( v20460(VarCurr)
     => ( v20330(VarCurr,bitIndex60)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1445,axiom,(
    ! [VarCurr] :
      ( v20460(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_240,axiom,(
    ! [VarCurr] :
      ( ~ v20458(VarCurr)
     => ( v20330(VarCurr,bitIndex59)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_299,axiom,(
    ! [VarCurr] :
      ( v20458(VarCurr)
     => ( v20330(VarCurr,bitIndex59)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1444,axiom,(
    ! [VarCurr] :
      ( v20458(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_239,axiom,(
    ! [VarCurr] :
      ( ~ v20456(VarCurr)
     => ( v20330(VarCurr,bitIndex58)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_298,axiom,(
    ! [VarCurr] :
      ( v20456(VarCurr)
     => ( v20330(VarCurr,bitIndex58)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1443,axiom,(
    ! [VarCurr] :
      ( v20456(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_238,axiom,(
    ! [VarCurr] :
      ( ~ v20454(VarCurr)
     => ( v20330(VarCurr,bitIndex57)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_297,axiom,(
    ! [VarCurr] :
      ( v20454(VarCurr)
     => ( v20330(VarCurr,bitIndex57)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1442,axiom,(
    ! [VarCurr] :
      ( v20454(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_237,axiom,(
    ! [VarCurr] :
      ( ~ v20452(VarCurr)
     => ( v20330(VarCurr,bitIndex56)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_296,axiom,(
    ! [VarCurr] :
      ( v20452(VarCurr)
     => ( v20330(VarCurr,bitIndex56)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1441,axiom,(
    ! [VarCurr] :
      ( v20452(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_236,axiom,(
    ! [VarCurr] :
      ( ~ v20450(VarCurr)
     => ( v20330(VarCurr,bitIndex55)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_295,axiom,(
    ! [VarCurr] :
      ( v20450(VarCurr)
     => ( v20330(VarCurr,bitIndex55)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1440,axiom,(
    ! [VarCurr] :
      ( v20450(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_235,axiom,(
    ! [VarCurr] :
      ( ~ v20448(VarCurr)
     => ( v20330(VarCurr,bitIndex54)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_294,axiom,(
    ! [VarCurr] :
      ( v20448(VarCurr)
     => ( v20330(VarCurr,bitIndex54)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1439,axiom,(
    ! [VarCurr] :
      ( v20448(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_234,axiom,(
    ! [VarCurr] :
      ( ~ v20446(VarCurr)
     => ( v20330(VarCurr,bitIndex53)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_293,axiom,(
    ! [VarCurr] :
      ( v20446(VarCurr)
     => ( v20330(VarCurr,bitIndex53)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1438,axiom,(
    ! [VarCurr] :
      ( v20446(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_233,axiom,(
    ! [VarCurr] :
      ( ~ v20444(VarCurr)
     => ( v20330(VarCurr,bitIndex52)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_292,axiom,(
    ! [VarCurr] :
      ( v20444(VarCurr)
     => ( v20330(VarCurr,bitIndex52)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1437,axiom,(
    ! [VarCurr] :
      ( v20444(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_232,axiom,(
    ! [VarCurr] :
      ( ~ v20442(VarCurr)
     => ( v20330(VarCurr,bitIndex51)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_291,axiom,(
    ! [VarCurr] :
      ( v20442(VarCurr)
     => ( v20330(VarCurr,bitIndex51)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1436,axiom,(
    ! [VarCurr] :
      ( v20442(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_231,axiom,(
    ! [VarCurr] :
      ( ~ v20440(VarCurr)
     => ( v20330(VarCurr,bitIndex50)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_290,axiom,(
    ! [VarCurr] :
      ( v20440(VarCurr)
     => ( v20330(VarCurr,bitIndex50)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1435,axiom,(
    ! [VarCurr] :
      ( v20440(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_230,axiom,(
    ! [VarCurr] :
      ( ~ v20438(VarCurr)
     => ( v20330(VarCurr,bitIndex49)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_289,axiom,(
    ! [VarCurr] :
      ( v20438(VarCurr)
     => ( v20330(VarCurr,bitIndex49)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1434,axiom,(
    ! [VarCurr] :
      ( v20438(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_229,axiom,(
    ! [VarCurr] :
      ( ~ v20436(VarCurr)
     => ( v20330(VarCurr,bitIndex48)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_288,axiom,(
    ! [VarCurr] :
      ( v20436(VarCurr)
     => ( v20330(VarCurr,bitIndex48)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1433,axiom,(
    ! [VarCurr] :
      ( v20436(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_228,axiom,(
    ! [VarCurr] :
      ( ~ v20434(VarCurr)
     => ( v20330(VarCurr,bitIndex47)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_287,axiom,(
    ! [VarCurr] :
      ( v20434(VarCurr)
     => ( v20330(VarCurr,bitIndex47)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1432,axiom,(
    ! [VarCurr] :
      ( v20434(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_227,axiom,(
    ! [VarCurr] :
      ( ~ v20432(VarCurr)
     => ( v20330(VarCurr,bitIndex46)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_286,axiom,(
    ! [VarCurr] :
      ( v20432(VarCurr)
     => ( v20330(VarCurr,bitIndex46)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1431,axiom,(
    ! [VarCurr] :
      ( v20432(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_226,axiom,(
    ! [VarCurr] :
      ( ~ v20430(VarCurr)
     => ( v20330(VarCurr,bitIndex45)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_285,axiom,(
    ! [VarCurr] :
      ( v20430(VarCurr)
     => ( v20330(VarCurr,bitIndex45)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1430,axiom,(
    ! [VarCurr] :
      ( v20430(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_225,axiom,(
    ! [VarCurr] :
      ( ~ v20428(VarCurr)
     => ( v20330(VarCurr,bitIndex44)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_284,axiom,(
    ! [VarCurr] :
      ( v20428(VarCurr)
     => ( v20330(VarCurr,bitIndex44)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1429,axiom,(
    ! [VarCurr] :
      ( v20428(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_224,axiom,(
    ! [VarCurr] :
      ( ~ v20426(VarCurr)
     => ( v20330(VarCurr,bitIndex43)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_283,axiom,(
    ! [VarCurr] :
      ( v20426(VarCurr)
     => ( v20330(VarCurr,bitIndex43)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1428,axiom,(
    ! [VarCurr] :
      ( v20426(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_223,axiom,(
    ! [VarCurr] :
      ( ~ v20424(VarCurr)
     => ( v20330(VarCurr,bitIndex42)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_282,axiom,(
    ! [VarCurr] :
      ( v20424(VarCurr)
     => ( v20330(VarCurr,bitIndex42)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1427,axiom,(
    ! [VarCurr] :
      ( v20424(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_222,axiom,(
    ! [VarCurr] :
      ( ~ v20422(VarCurr)
     => ( v20330(VarCurr,bitIndex41)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_281,axiom,(
    ! [VarCurr] :
      ( v20422(VarCurr)
     => ( v20330(VarCurr,bitIndex41)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1426,axiom,(
    ! [VarCurr] :
      ( v20422(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_221,axiom,(
    ! [VarCurr] :
      ( ~ v20420(VarCurr)
     => ( v20330(VarCurr,bitIndex40)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_280,axiom,(
    ! [VarCurr] :
      ( v20420(VarCurr)
     => ( v20330(VarCurr,bitIndex40)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1425,axiom,(
    ! [VarCurr] :
      ( v20420(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_220,axiom,(
    ! [VarCurr] :
      ( ~ v20418(VarCurr)
     => ( v20330(VarCurr,bitIndex39)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_279,axiom,(
    ! [VarCurr] :
      ( v20418(VarCurr)
     => ( v20330(VarCurr,bitIndex39)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1424,axiom,(
    ! [VarCurr] :
      ( v20418(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_219,axiom,(
    ! [VarCurr] :
      ( ~ v20416(VarCurr)
     => ( v20330(VarCurr,bitIndex38)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_278,axiom,(
    ! [VarCurr] :
      ( v20416(VarCurr)
     => ( v20330(VarCurr,bitIndex38)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1423,axiom,(
    ! [VarCurr] :
      ( v20416(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_218,axiom,(
    ! [VarCurr] :
      ( ~ v20414(VarCurr)
     => ( v20330(VarCurr,bitIndex37)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_277,axiom,(
    ! [VarCurr] :
      ( v20414(VarCurr)
     => ( v20330(VarCurr,bitIndex37)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1422,axiom,(
    ! [VarCurr] :
      ( v20414(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_217,axiom,(
    ! [VarCurr] :
      ( ~ v20412(VarCurr)
     => ( v20330(VarCurr,bitIndex36)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_276,axiom,(
    ! [VarCurr] :
      ( v20412(VarCurr)
     => ( v20330(VarCurr,bitIndex36)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1421,axiom,(
    ! [VarCurr] :
      ( v20412(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_216,axiom,(
    ! [VarCurr] :
      ( ~ v20410(VarCurr)
     => ( v20330(VarCurr,bitIndex35)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_275,axiom,(
    ! [VarCurr] :
      ( v20410(VarCurr)
     => ( v20330(VarCurr,bitIndex35)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1420,axiom,(
    ! [VarCurr] :
      ( v20410(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_215,axiom,(
    ! [VarCurr] :
      ( ~ v20408(VarCurr)
     => ( v20330(VarCurr,bitIndex34)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_274,axiom,(
    ! [VarCurr] :
      ( v20408(VarCurr)
     => ( v20330(VarCurr,bitIndex34)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1419,axiom,(
    ! [VarCurr] :
      ( v20408(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_214,axiom,(
    ! [VarCurr] :
      ( ~ v20406(VarCurr)
     => ( v20330(VarCurr,bitIndex33)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_273,axiom,(
    ! [VarCurr] :
      ( v20406(VarCurr)
     => ( v20330(VarCurr,bitIndex33)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1418,axiom,(
    ! [VarCurr] :
      ( v20406(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_213,axiom,(
    ! [VarCurr] :
      ( ~ v20404(VarCurr)
     => ( v20330(VarCurr,bitIndex32)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_272,axiom,(
    ! [VarCurr] :
      ( v20404(VarCurr)
     => ( v20330(VarCurr,bitIndex32)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1417,axiom,(
    ! [VarCurr] :
      ( v20404(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_212,axiom,(
    ! [VarCurr] :
      ( ~ v20402(VarCurr)
     => ( v20330(VarCurr,bitIndex31)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_271,axiom,(
    ! [VarCurr] :
      ( v20402(VarCurr)
     => ( v20330(VarCurr,bitIndex31)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1416,axiom,(
    ! [VarCurr] :
      ( v20402(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_211,axiom,(
    ! [VarCurr] :
      ( ~ v20400(VarCurr)
     => ( v20330(VarCurr,bitIndex30)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_270,axiom,(
    ! [VarCurr] :
      ( v20400(VarCurr)
     => ( v20330(VarCurr,bitIndex30)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1415,axiom,(
    ! [VarCurr] :
      ( v20400(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_210,axiom,(
    ! [VarCurr] :
      ( ~ v20398(VarCurr)
     => ( v20330(VarCurr,bitIndex29)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_269,axiom,(
    ! [VarCurr] :
      ( v20398(VarCurr)
     => ( v20330(VarCurr,bitIndex29)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1414,axiom,(
    ! [VarCurr] :
      ( v20398(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_209,axiom,(
    ! [VarCurr] :
      ( ~ v20396(VarCurr)
     => ( v20330(VarCurr,bitIndex28)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_268,axiom,(
    ! [VarCurr] :
      ( v20396(VarCurr)
     => ( v20330(VarCurr,bitIndex28)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1413,axiom,(
    ! [VarCurr] :
      ( v20396(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_208,axiom,(
    ! [VarCurr] :
      ( ~ v20394(VarCurr)
     => ( v20330(VarCurr,bitIndex27)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_267,axiom,(
    ! [VarCurr] :
      ( v20394(VarCurr)
     => ( v20330(VarCurr,bitIndex27)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1412,axiom,(
    ! [VarCurr] :
      ( v20394(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_207,axiom,(
    ! [VarCurr] :
      ( ~ v20392(VarCurr)
     => ( v20330(VarCurr,bitIndex26)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_266,axiom,(
    ! [VarCurr] :
      ( v20392(VarCurr)
     => ( v20330(VarCurr,bitIndex26)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1411,axiom,(
    ! [VarCurr] :
      ( v20392(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_206,axiom,(
    ! [VarCurr] :
      ( ~ v20390(VarCurr)
     => ( v20330(VarCurr,bitIndex25)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_265,axiom,(
    ! [VarCurr] :
      ( v20390(VarCurr)
     => ( v20330(VarCurr,bitIndex25)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1410,axiom,(
    ! [VarCurr] :
      ( v20390(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_205,axiom,(
    ! [VarCurr] :
      ( ~ v20388(VarCurr)
     => ( v20330(VarCurr,bitIndex24)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_264,axiom,(
    ! [VarCurr] :
      ( v20388(VarCurr)
     => ( v20330(VarCurr,bitIndex24)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1409,axiom,(
    ! [VarCurr] :
      ( v20388(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_204,axiom,(
    ! [VarCurr] :
      ( ~ v20386(VarCurr)
     => ( v20330(VarCurr,bitIndex23)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_263,axiom,(
    ! [VarCurr] :
      ( v20386(VarCurr)
     => ( v20330(VarCurr,bitIndex23)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1408,axiom,(
    ! [VarCurr] :
      ( v20386(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_203,axiom,(
    ! [VarCurr] :
      ( ~ v20384(VarCurr)
     => ( v20330(VarCurr,bitIndex22)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_262,axiom,(
    ! [VarCurr] :
      ( v20384(VarCurr)
     => ( v20330(VarCurr,bitIndex22)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1407,axiom,(
    ! [VarCurr] :
      ( v20384(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_202,axiom,(
    ! [VarCurr] :
      ( ~ v20382(VarCurr)
     => ( v20330(VarCurr,bitIndex21)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_261,axiom,(
    ! [VarCurr] :
      ( v20382(VarCurr)
     => ( v20330(VarCurr,bitIndex21)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1406,axiom,(
    ! [VarCurr] :
      ( v20382(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_201,axiom,(
    ! [VarCurr] :
      ( ~ v20380(VarCurr)
     => ( v20330(VarCurr,bitIndex20)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_260,axiom,(
    ! [VarCurr] :
      ( v20380(VarCurr)
     => ( v20330(VarCurr,bitIndex20)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1405,axiom,(
    ! [VarCurr] :
      ( v20380(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_200,axiom,(
    ! [VarCurr] :
      ( ~ v20378(VarCurr)
     => ( v20330(VarCurr,bitIndex19)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_259,axiom,(
    ! [VarCurr] :
      ( v20378(VarCurr)
     => ( v20330(VarCurr,bitIndex19)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1404,axiom,(
    ! [VarCurr] :
      ( v20378(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_199,axiom,(
    ! [VarCurr] :
      ( ~ v20376(VarCurr)
     => ( v20330(VarCurr,bitIndex18)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_258,axiom,(
    ! [VarCurr] :
      ( v20376(VarCurr)
     => ( v20330(VarCurr,bitIndex18)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1403,axiom,(
    ! [VarCurr] :
      ( v20376(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_198,axiom,(
    ! [VarCurr] :
      ( ~ v20374(VarCurr)
     => ( v20330(VarCurr,bitIndex17)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_257,axiom,(
    ! [VarCurr] :
      ( v20374(VarCurr)
     => ( v20330(VarCurr,bitIndex17)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1402,axiom,(
    ! [VarCurr] :
      ( v20374(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_197,axiom,(
    ! [VarCurr] :
      ( ~ v20372(VarCurr)
     => ( v20330(VarCurr,bitIndex16)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_256,axiom,(
    ! [VarCurr] :
      ( v20372(VarCurr)
     => ( v20330(VarCurr,bitIndex16)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1401,axiom,(
    ! [VarCurr] :
      ( v20372(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_196,axiom,(
    ! [VarCurr] :
      ( ~ v20370(VarCurr)
     => ( v20330(VarCurr,bitIndex15)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_255,axiom,(
    ! [VarCurr] :
      ( v20370(VarCurr)
     => ( v20330(VarCurr,bitIndex15)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1400,axiom,(
    ! [VarCurr] :
      ( v20370(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_195,axiom,(
    ! [VarCurr] :
      ( ~ v20368(VarCurr)
     => ( v20330(VarCurr,bitIndex14)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_254,axiom,(
    ! [VarCurr] :
      ( v20368(VarCurr)
     => ( v20330(VarCurr,bitIndex14)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1399,axiom,(
    ! [VarCurr] :
      ( v20368(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_194,axiom,(
    ! [VarCurr] :
      ( ~ v20366(VarCurr)
     => ( v20330(VarCurr,bitIndex13)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_253,axiom,(
    ! [VarCurr] :
      ( v20366(VarCurr)
     => ( v20330(VarCurr,bitIndex13)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1398,axiom,(
    ! [VarCurr] :
      ( v20366(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_193,axiom,(
    ! [VarCurr] :
      ( ~ v20364(VarCurr)
     => ( v20330(VarCurr,bitIndex12)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_252,axiom,(
    ! [VarCurr] :
      ( v20364(VarCurr)
     => ( v20330(VarCurr,bitIndex12)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1397,axiom,(
    ! [VarCurr] :
      ( v20364(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_192,axiom,(
    ! [VarCurr] :
      ( ~ v20362(VarCurr)
     => ( v20330(VarCurr,bitIndex11)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_251,axiom,(
    ! [VarCurr] :
      ( v20362(VarCurr)
     => ( v20330(VarCurr,bitIndex11)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1396,axiom,(
    ! [VarCurr] :
      ( v20362(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_191,axiom,(
    ! [VarCurr] :
      ( ~ v20360(VarCurr)
     => ( v20330(VarCurr,bitIndex10)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_250,axiom,(
    ! [VarCurr] :
      ( v20360(VarCurr)
     => ( v20330(VarCurr,bitIndex10)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1395,axiom,(
    ! [VarCurr] :
      ( v20360(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_190,axiom,(
    ! [VarCurr] :
      ( ~ v20358(VarCurr)
     => ( v20330(VarCurr,bitIndex9)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_249,axiom,(
    ! [VarCurr] :
      ( v20358(VarCurr)
     => ( v20330(VarCurr,bitIndex9)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1394,axiom,(
    ! [VarCurr] :
      ( v20358(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_189,axiom,(
    ! [VarCurr] :
      ( ~ v20356(VarCurr)
     => ( v20330(VarCurr,bitIndex8)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_248,axiom,(
    ! [VarCurr] :
      ( v20356(VarCurr)
     => ( v20330(VarCurr,bitIndex8)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1393,axiom,(
    ! [VarCurr] :
      ( v20356(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_188,axiom,(
    ! [VarCurr] :
      ( ~ v20354(VarCurr)
     => ( v20330(VarCurr,bitIndex7)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_247,axiom,(
    ! [VarCurr] :
      ( v20354(VarCurr)
     => ( v20330(VarCurr,bitIndex7)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1392,axiom,(
    ! [VarCurr] :
      ( v20354(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_187,axiom,(
    ! [VarCurr] :
      ( ~ v20352(VarCurr)
     => ( v20330(VarCurr,bitIndex6)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_246,axiom,(
    ! [VarCurr] :
      ( v20352(VarCurr)
     => ( v20330(VarCurr,bitIndex6)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1391,axiom,(
    ! [VarCurr] :
      ( v20352(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_186,axiom,(
    ! [VarCurr] :
      ( ~ v20350(VarCurr)
     => ( v20330(VarCurr,bitIndex5)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_245,axiom,(
    ! [VarCurr] :
      ( v20350(VarCurr)
     => ( v20330(VarCurr,bitIndex5)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1390,axiom,(
    ! [VarCurr] :
      ( v20350(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_185,axiom,(
    ! [VarCurr] :
      ( ~ v20348(VarCurr)
     => ( v20330(VarCurr,bitIndex4)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_244,axiom,(
    ! [VarCurr] :
      ( v20348(VarCurr)
     => ( v20330(VarCurr,bitIndex4)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1389,axiom,(
    ! [VarCurr] :
      ( v20348(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_184,axiom,(
    ! [VarCurr] :
      ( ~ v20346(VarCurr)
     => ( v20330(VarCurr,bitIndex3)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_243,axiom,(
    ! [VarCurr] :
      ( v20346(VarCurr)
     => ( v20330(VarCurr,bitIndex3)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1388,axiom,(
    ! [VarCurr] :
      ( v20346(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_183,axiom,(
    ! [VarCurr] :
      ( ~ v20344(VarCurr)
     => ( v20330(VarCurr,bitIndex2)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_242,axiom,(
    ! [VarCurr] :
      ( v20344(VarCurr)
     => ( v20330(VarCurr,bitIndex2)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1387,axiom,(
    ! [VarCurr] :
      ( v20344(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_182,axiom,(
    ! [VarCurr] :
      ( ~ v20342(VarCurr)
     => ( v20330(VarCurr,bitIndex1)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_241,axiom,(
    ! [VarCurr] :
      ( v20342(VarCurr)
     => ( v20330(VarCurr,bitIndex1)
      <=> v20332(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1386,axiom,(
    ! [VarCurr] :
      ( v20342(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_480,axiom,(
    ! [VarCurr] :
      ( ~ v20339(VarCurr)
     => ( v20330(VarCurr,bitIndex0)
      <=> v20340(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_421,axiom,(
    ! [VarCurr] :
      ( v20339(VarCurr)
     => ( v20330(VarCurr,bitIndex0)
      <=> v20332(VarCurr) ) ) )).

fof(writeUnaryOperator_2062,axiom,(
    ! [VarCurr] :
      ( ~ v20340(VarCurr)
    <=> v18971(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1385,axiom,(
    ! [VarCurr] :
      ( v20339(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4682,axiom,(
    ! [VarCurr] :
      ( v20332(VarCurr)
    <=> ( v20334(VarCurr)
        | v20337(VarCurr) ) ) )).

fof(writeUnaryOperator_2061,axiom,(
    ! [VarCurr] :
      ( ~ v20337(VarCurr)
    <=> v18971(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4681,axiom,(
    ! [VarCurr] :
      ( v20334(VarCurr)
    <=> ( v19025(VarCurr)
        | v19056(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_18,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v18965(VarCurr,B)
      <=> ( v18967(VarCurr,B)
          & v18982(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_17,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v18967(VarCurr,B)
      <=> ( v18969(VarCurr,B)
          & v19472(VarCurr,B) ) ) ) )).

fof(addAssignment_5036,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v19472(VarCurr,B)
      <=> v19474(VarCurr,B) ) ) )).

fof(addAssignment_5035,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v19474(VarCurr,B)
      <=> v19476(VarCurr,B) ) ) )).

fof(addAssignment_5034,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v19476(VarCurr,B)
      <=> v19478(VarCurr,B) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_479,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20317(VarNext)
       => ( v19478(VarNext,bitIndex63)
        <=> v19478(VarCurr,bitIndex63) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_240,axiom,(
    ! [VarNext] :
      ( v20317(VarNext)
     => ( v19478(VarNext,bitIndex63)
      <=> v20319(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4680,axiom,(
    ! [VarCurr] :
      ( v20319(VarCurr)
    <=> ( v19480(VarCurr)
        & v20320(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1384,axiom,(
    ! [VarCurr] :
      ( v20320(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex32) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex31) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex30) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex29) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex28) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex27) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex26) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex25) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex24) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex23) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex22) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex21) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex20) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex19) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex18) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex17) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex16) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex15) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex14) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex13) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex12) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex11) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex10) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex9) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex8) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex7) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex6) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex5) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex4) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex3) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex2) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex1) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex0) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4679,axiom,(
    ! [VarCurr] :
      ( v20317(VarCurr)
    <=> ( v20318(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2060,axiom,(
    ! [VarCurr] :
      ( ~ v20318(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_478,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20307(VarNext)
       => ( v19478(VarNext,bitIndex62)
        <=> v19478(VarCurr,bitIndex62) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_239,axiom,(
    ! [VarNext] :
      ( v20307(VarNext)
     => ( v19478(VarNext,bitIndex62)
      <=> v20309(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4678,axiom,(
    ! [VarCurr] :
      ( v20309(VarCurr)
    <=> ( v19480(VarCurr)
        & v20310(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1383,axiom,(
    ! [VarCurr] :
      ( v20310(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex65) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex64) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex63) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex62) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex61) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex60) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex59) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex58) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex57) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex56) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex55) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex54) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex53) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex52) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex51) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex50) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex49) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex48) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex47) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex46) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex45) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex44) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex43) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex42) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex41) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex40) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex39) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex38) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex37) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex36) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex35) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex34) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex33) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4677,axiom,(
    ! [VarCurr] :
      ( v20307(VarCurr)
    <=> ( v20308(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2059,axiom,(
    ! [VarCurr] :
      ( ~ v20308(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_477,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20297(VarNext)
       => ( v19478(VarNext,bitIndex61)
        <=> v19478(VarCurr,bitIndex61) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_238,axiom,(
    ! [VarNext] :
      ( v20297(VarNext)
     => ( v19478(VarNext,bitIndex61)
      <=> v20299(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4676,axiom,(
    ! [VarCurr] :
      ( v20299(VarCurr)
    <=> ( v19480(VarCurr)
        & v20300(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1382,axiom,(
    ! [VarCurr] :
      ( v20300(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex98) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex97) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex96) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex95) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex94) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex93) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex92) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex91) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex90) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex89) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex88) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex87) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex86) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex85) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex84) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex83) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex82) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex81) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex80) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex79) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex78) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex77) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex76) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex75) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex74) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex73) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex72) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex71) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex70) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex69) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex68) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex67) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex66) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4675,axiom,(
    ! [VarCurr] :
      ( v20297(VarCurr)
    <=> ( v20298(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2058,axiom,(
    ! [VarCurr] :
      ( ~ v20298(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_476,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20287(VarNext)
       => ( v19478(VarNext,bitIndex60)
        <=> v19478(VarCurr,bitIndex60) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_237,axiom,(
    ! [VarNext] :
      ( v20287(VarNext)
     => ( v19478(VarNext,bitIndex60)
      <=> v20289(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4674,axiom,(
    ! [VarCurr] :
      ( v20289(VarCurr)
    <=> ( v19480(VarCurr)
        & v20290(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1381,axiom,(
    ! [VarCurr] :
      ( v20290(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex131) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex130) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex129) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex128) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex127) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex126) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex125) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex124) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex123) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex122) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex121) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex120) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex119) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex118) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex117) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex116) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex115) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex114) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex113) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex112) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex111) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex110) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex109) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex108) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex107) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex106) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex105) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex104) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex103) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex102) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex101) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex100) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex99) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4673,axiom,(
    ! [VarCurr] :
      ( v20287(VarCurr)
    <=> ( v20288(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2057,axiom,(
    ! [VarCurr] :
      ( ~ v20288(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_475,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20277(VarNext)
       => ( v19478(VarNext,bitIndex59)
        <=> v19478(VarCurr,bitIndex59) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_236,axiom,(
    ! [VarNext] :
      ( v20277(VarNext)
     => ( v19478(VarNext,bitIndex59)
      <=> v20279(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4672,axiom,(
    ! [VarCurr] :
      ( v20279(VarCurr)
    <=> ( v19480(VarCurr)
        & v20280(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1380,axiom,(
    ! [VarCurr] :
      ( v20280(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex164) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex163) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex162) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex161) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex160) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex159) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex158) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex157) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex156) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex155) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex154) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex153) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex152) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex151) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex150) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex149) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex148) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex147) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex146) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex145) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex144) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex143) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex142) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex141) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex140) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex139) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex138) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex137) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex136) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex135) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex134) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex133) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex132) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4671,axiom,(
    ! [VarCurr] :
      ( v20277(VarCurr)
    <=> ( v20278(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2056,axiom,(
    ! [VarCurr] :
      ( ~ v20278(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_474,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20267(VarNext)
       => ( v19478(VarNext,bitIndex58)
        <=> v19478(VarCurr,bitIndex58) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_235,axiom,(
    ! [VarNext] :
      ( v20267(VarNext)
     => ( v19478(VarNext,bitIndex58)
      <=> v20269(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4670,axiom,(
    ! [VarCurr] :
      ( v20269(VarCurr)
    <=> ( v19480(VarCurr)
        & v20270(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1379,axiom,(
    ! [VarCurr] :
      ( v20270(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex197) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex196) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex195) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex194) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex193) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex192) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex191) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex190) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex189) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex188) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex187) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex186) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex185) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex184) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex183) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex182) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex181) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex180) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex179) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex178) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex177) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex176) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex175) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex174) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex173) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex172) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex171) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex170) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex169) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex168) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex167) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex166) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex165) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4669,axiom,(
    ! [VarCurr] :
      ( v20267(VarCurr)
    <=> ( v20268(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2055,axiom,(
    ! [VarCurr] :
      ( ~ v20268(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_473,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20257(VarNext)
       => ( v19478(VarNext,bitIndex57)
        <=> v19478(VarCurr,bitIndex57) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_234,axiom,(
    ! [VarNext] :
      ( v20257(VarNext)
     => ( v19478(VarNext,bitIndex57)
      <=> v20259(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4668,axiom,(
    ! [VarCurr] :
      ( v20259(VarCurr)
    <=> ( v19480(VarCurr)
        & v20260(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1378,axiom,(
    ! [VarCurr] :
      ( v20260(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex230) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex229) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex228) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex227) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex226) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex225) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex224) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex223) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex222) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex221) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex220) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex219) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex218) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex217) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex216) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex215) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex214) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex213) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex212) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex211) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex210) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex209) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex208) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex207) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex206) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex205) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex204) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex203) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex202) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex201) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex200) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex199) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex198) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4667,axiom,(
    ! [VarCurr] :
      ( v20257(VarCurr)
    <=> ( v20258(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2054,axiom,(
    ! [VarCurr] :
      ( ~ v20258(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_472,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20247(VarNext)
       => ( v19478(VarNext,bitIndex56)
        <=> v19478(VarCurr,bitIndex56) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_233,axiom,(
    ! [VarNext] :
      ( v20247(VarNext)
     => ( v19478(VarNext,bitIndex56)
      <=> v20249(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4666,axiom,(
    ! [VarCurr] :
      ( v20249(VarCurr)
    <=> ( v19480(VarCurr)
        & v20250(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1377,axiom,(
    ! [VarCurr] :
      ( v20250(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex263) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex262) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex261) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex260) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex259) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex258) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex257) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex256) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex255) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex254) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex253) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex252) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex251) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex250) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex249) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex248) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex247) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex246) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex245) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex244) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex243) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex242) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex241) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex240) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex239) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex238) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex237) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex236) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex235) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex234) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex233) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex232) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex231) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4665,axiom,(
    ! [VarCurr] :
      ( v20247(VarCurr)
    <=> ( v20248(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2053,axiom,(
    ! [VarCurr] :
      ( ~ v20248(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_471,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20237(VarNext)
       => ( v19478(VarNext,bitIndex55)
        <=> v19478(VarCurr,bitIndex55) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_232,axiom,(
    ! [VarNext] :
      ( v20237(VarNext)
     => ( v19478(VarNext,bitIndex55)
      <=> v20239(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4664,axiom,(
    ! [VarCurr] :
      ( v20239(VarCurr)
    <=> ( v19480(VarCurr)
        & v20240(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1376,axiom,(
    ! [VarCurr] :
      ( v20240(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex296) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex295) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex294) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex293) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex292) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex291) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex290) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex289) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex288) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex287) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex286) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex285) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex284) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex283) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex282) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex281) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex280) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex279) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex278) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex277) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex276) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex275) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex274) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex273) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex272) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex271) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex270) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex269) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex268) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex267) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex266) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex265) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex264) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4663,axiom,(
    ! [VarCurr] :
      ( v20237(VarCurr)
    <=> ( v20238(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2052,axiom,(
    ! [VarCurr] :
      ( ~ v20238(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_470,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20227(VarNext)
       => ( v19478(VarNext,bitIndex54)
        <=> v19478(VarCurr,bitIndex54) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_231,axiom,(
    ! [VarNext] :
      ( v20227(VarNext)
     => ( v19478(VarNext,bitIndex54)
      <=> v20229(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4662,axiom,(
    ! [VarCurr] :
      ( v20229(VarCurr)
    <=> ( v19480(VarCurr)
        & v20230(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1375,axiom,(
    ! [VarCurr] :
      ( v20230(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex329) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex328) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex327) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex326) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex325) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex324) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex323) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex322) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex321) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex320) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex319) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex318) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex317) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex316) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex315) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex314) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex313) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex312) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex311) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex310) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex309) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex308) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex307) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex306) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex305) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex304) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex303) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex302) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex301) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex300) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex299) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex298) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex297) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4661,axiom,(
    ! [VarCurr] :
      ( v20227(VarCurr)
    <=> ( v20228(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2051,axiom,(
    ! [VarCurr] :
      ( ~ v20228(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_469,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20217(VarNext)
       => ( v19478(VarNext,bitIndex53)
        <=> v19478(VarCurr,bitIndex53) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_230,axiom,(
    ! [VarNext] :
      ( v20217(VarNext)
     => ( v19478(VarNext,bitIndex53)
      <=> v20219(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4660,axiom,(
    ! [VarCurr] :
      ( v20219(VarCurr)
    <=> ( v19480(VarCurr)
        & v20220(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1374,axiom,(
    ! [VarCurr] :
      ( v20220(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex362) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex361) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex360) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex359) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex358) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex357) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex356) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex355) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex354) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex353) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex352) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex351) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex350) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex349) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex348) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex347) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex346) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex345) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex344) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex343) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex342) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex341) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex340) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex339) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex338) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex337) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex336) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex335) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex334) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex333) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex332) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex331) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex330) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4659,axiom,(
    ! [VarCurr] :
      ( v20217(VarCurr)
    <=> ( v20218(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2050,axiom,(
    ! [VarCurr] :
      ( ~ v20218(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_468,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20207(VarNext)
       => ( v19478(VarNext,bitIndex52)
        <=> v19478(VarCurr,bitIndex52) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_229,axiom,(
    ! [VarNext] :
      ( v20207(VarNext)
     => ( v19478(VarNext,bitIndex52)
      <=> v20209(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4658,axiom,(
    ! [VarCurr] :
      ( v20209(VarCurr)
    <=> ( v19480(VarCurr)
        & v20210(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1373,axiom,(
    ! [VarCurr] :
      ( v20210(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex395) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex394) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex393) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex392) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex391) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex390) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex389) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex388) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex387) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex386) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex385) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex384) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex383) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex382) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex381) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex380) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex379) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex378) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex377) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex376) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex375) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex374) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex373) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex372) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex371) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex370) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex369) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex368) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex367) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex366) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex365) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex364) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex363) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4657,axiom,(
    ! [VarCurr] :
      ( v20207(VarCurr)
    <=> ( v20208(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2049,axiom,(
    ! [VarCurr] :
      ( ~ v20208(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_467,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20197(VarNext)
       => ( v19478(VarNext,bitIndex51)
        <=> v19478(VarCurr,bitIndex51) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_228,axiom,(
    ! [VarNext] :
      ( v20197(VarNext)
     => ( v19478(VarNext,bitIndex51)
      <=> v20199(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4656,axiom,(
    ! [VarCurr] :
      ( v20199(VarCurr)
    <=> ( v19480(VarCurr)
        & v20200(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1372,axiom,(
    ! [VarCurr] :
      ( v20200(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex428) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex427) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex426) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex425) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex424) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex423) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex422) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex421) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex420) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex419) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex418) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex417) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex416) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex415) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex414) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex413) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex412) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex411) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex410) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex409) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex408) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex407) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex406) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex405) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex404) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex403) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex402) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex401) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex400) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex399) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex398) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex397) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex396) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4655,axiom,(
    ! [VarCurr] :
      ( v20197(VarCurr)
    <=> ( v20198(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2048,axiom,(
    ! [VarCurr] :
      ( ~ v20198(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_466,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20187(VarNext)
       => ( v19478(VarNext,bitIndex50)
        <=> v19478(VarCurr,bitIndex50) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_227,axiom,(
    ! [VarNext] :
      ( v20187(VarNext)
     => ( v19478(VarNext,bitIndex50)
      <=> v20189(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4654,axiom,(
    ! [VarCurr] :
      ( v20189(VarCurr)
    <=> ( v19480(VarCurr)
        & v20190(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1371,axiom,(
    ! [VarCurr] :
      ( v20190(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex461) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex460) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex459) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex458) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex457) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex456) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex455) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex454) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex453) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex452) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex451) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex450) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex449) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex448) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex447) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex446) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex445) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex444) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex443) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex442) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex441) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex440) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex439) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex438) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex437) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex436) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex435) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex434) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex433) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex432) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex431) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex430) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex429) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4653,axiom,(
    ! [VarCurr] :
      ( v20187(VarCurr)
    <=> ( v20188(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2047,axiom,(
    ! [VarCurr] :
      ( ~ v20188(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_465,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20177(VarNext)
       => ( v19478(VarNext,bitIndex49)
        <=> v19478(VarCurr,bitIndex49) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_226,axiom,(
    ! [VarNext] :
      ( v20177(VarNext)
     => ( v19478(VarNext,bitIndex49)
      <=> v20179(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4652,axiom,(
    ! [VarCurr] :
      ( v20179(VarCurr)
    <=> ( v19480(VarCurr)
        & v20180(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1370,axiom,(
    ! [VarCurr] :
      ( v20180(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex494) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex493) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex492) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex491) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex490) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex489) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex488) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex487) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex486) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex485) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex484) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex483) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex482) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex481) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex480) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex479) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex478) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex477) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex476) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex475) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex474) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex473) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex472) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex471) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex470) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex469) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex468) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex467) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex466) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex465) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex464) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex463) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex462) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4651,axiom,(
    ! [VarCurr] :
      ( v20177(VarCurr)
    <=> ( v20178(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2046,axiom,(
    ! [VarCurr] :
      ( ~ v20178(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_464,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20167(VarNext)
       => ( v19478(VarNext,bitIndex48)
        <=> v19478(VarCurr,bitIndex48) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_225,axiom,(
    ! [VarNext] :
      ( v20167(VarNext)
     => ( v19478(VarNext,bitIndex48)
      <=> v20169(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4650,axiom,(
    ! [VarCurr] :
      ( v20169(VarCurr)
    <=> ( v19480(VarCurr)
        & v20170(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1369,axiom,(
    ! [VarCurr] :
      ( v20170(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex527) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex526) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex525) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex524) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex523) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex522) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex521) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex520) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex519) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex518) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex517) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex516) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex515) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex514) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex513) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex512) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex511) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex510) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex509) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex508) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex507) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex506) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex505) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex504) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex503) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex502) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex501) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex500) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex499) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex498) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex497) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex496) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex495) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4649,axiom,(
    ! [VarCurr] :
      ( v20167(VarCurr)
    <=> ( v20168(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2045,axiom,(
    ! [VarCurr] :
      ( ~ v20168(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_463,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20157(VarNext)
       => ( v19478(VarNext,bitIndex47)
        <=> v19478(VarCurr,bitIndex47) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_224,axiom,(
    ! [VarNext] :
      ( v20157(VarNext)
     => ( v19478(VarNext,bitIndex47)
      <=> v20159(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4648,axiom,(
    ! [VarCurr] :
      ( v20159(VarCurr)
    <=> ( v19480(VarCurr)
        & v20160(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1368,axiom,(
    ! [VarCurr] :
      ( v20160(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex560) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex559) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex558) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex557) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex556) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex555) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex554) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex553) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex552) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex551) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex550) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex549) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex548) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex547) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex546) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex545) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex544) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex543) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex542) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex541) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex540) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex539) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex538) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex537) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex536) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex535) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex534) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex533) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex532) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex531) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex530) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex529) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex528) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4647,axiom,(
    ! [VarCurr] :
      ( v20157(VarCurr)
    <=> ( v20158(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2044,axiom,(
    ! [VarCurr] :
      ( ~ v20158(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_462,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20147(VarNext)
       => ( v19478(VarNext,bitIndex46)
        <=> v19478(VarCurr,bitIndex46) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_223,axiom,(
    ! [VarNext] :
      ( v20147(VarNext)
     => ( v19478(VarNext,bitIndex46)
      <=> v20149(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4646,axiom,(
    ! [VarCurr] :
      ( v20149(VarCurr)
    <=> ( v19480(VarCurr)
        & v20150(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1367,axiom,(
    ! [VarCurr] :
      ( v20150(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex593) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex592) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex591) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex590) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex589) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex588) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex587) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex586) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex585) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex584) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex583) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex582) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex581) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex580) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex579) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex578) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex577) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex576) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex575) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex574) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex573) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex572) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex571) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex570) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex569) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex568) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex567) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex566) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex565) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex564) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex563) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex562) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex561) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4645,axiom,(
    ! [VarCurr] :
      ( v20147(VarCurr)
    <=> ( v20148(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2043,axiom,(
    ! [VarCurr] :
      ( ~ v20148(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_461,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20137(VarNext)
       => ( v19478(VarNext,bitIndex45)
        <=> v19478(VarCurr,bitIndex45) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_222,axiom,(
    ! [VarNext] :
      ( v20137(VarNext)
     => ( v19478(VarNext,bitIndex45)
      <=> v20139(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4644,axiom,(
    ! [VarCurr] :
      ( v20139(VarCurr)
    <=> ( v19480(VarCurr)
        & v20140(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1366,axiom,(
    ! [VarCurr] :
      ( v20140(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex626) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex625) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex624) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex623) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex622) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex621) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex620) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex619) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex618) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex617) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex616) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex615) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex614) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex613) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex612) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex611) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex610) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex609) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex608) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex607) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex606) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex605) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex604) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex603) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex602) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex601) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex600) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex599) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex598) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex597) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex596) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex595) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex594) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4643,axiom,(
    ! [VarCurr] :
      ( v20137(VarCurr)
    <=> ( v20138(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2042,axiom,(
    ! [VarCurr] :
      ( ~ v20138(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_460,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20127(VarNext)
       => ( v19478(VarNext,bitIndex44)
        <=> v19478(VarCurr,bitIndex44) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_221,axiom,(
    ! [VarNext] :
      ( v20127(VarNext)
     => ( v19478(VarNext,bitIndex44)
      <=> v20129(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4642,axiom,(
    ! [VarCurr] :
      ( v20129(VarCurr)
    <=> ( v19480(VarCurr)
        & v20130(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1365,axiom,(
    ! [VarCurr] :
      ( v20130(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex659) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex658) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex657) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex656) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex655) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex654) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex653) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex652) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex651) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex650) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex649) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex648) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex647) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex646) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex645) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex644) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex643) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex642) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex641) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex640) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex639) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex638) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex637) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex636) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex635) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex634) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex633) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex632) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex631) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex630) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex629) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex628) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex627) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4641,axiom,(
    ! [VarCurr] :
      ( v20127(VarCurr)
    <=> ( v20128(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2041,axiom,(
    ! [VarCurr] :
      ( ~ v20128(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_459,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20117(VarNext)
       => ( v19478(VarNext,bitIndex43)
        <=> v19478(VarCurr,bitIndex43) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_220,axiom,(
    ! [VarNext] :
      ( v20117(VarNext)
     => ( v19478(VarNext,bitIndex43)
      <=> v20119(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4640,axiom,(
    ! [VarCurr] :
      ( v20119(VarCurr)
    <=> ( v19480(VarCurr)
        & v20120(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1364,axiom,(
    ! [VarCurr] :
      ( v20120(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex692) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex691) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex690) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex689) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex688) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex687) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex686) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex685) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex684) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex683) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex682) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex681) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex680) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex679) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex678) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex677) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex676) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex675) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex674) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex673) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex672) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex671) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex670) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex669) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex668) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex667) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex666) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex665) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex664) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex663) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex662) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex661) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex660) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4639,axiom,(
    ! [VarCurr] :
      ( v20117(VarCurr)
    <=> ( v20118(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2040,axiom,(
    ! [VarCurr] :
      ( ~ v20118(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_458,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20107(VarNext)
       => ( v19478(VarNext,bitIndex42)
        <=> v19478(VarCurr,bitIndex42) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_219,axiom,(
    ! [VarNext] :
      ( v20107(VarNext)
     => ( v19478(VarNext,bitIndex42)
      <=> v20109(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4638,axiom,(
    ! [VarCurr] :
      ( v20109(VarCurr)
    <=> ( v19480(VarCurr)
        & v20110(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1363,axiom,(
    ! [VarCurr] :
      ( v20110(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex725) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex724) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex723) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex722) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex721) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex720) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex719) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex718) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex717) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex716) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex715) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex714) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex713) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex712) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex711) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex710) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex709) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex708) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex707) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex706) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex705) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex704) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex703) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex702) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex701) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex700) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex699) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex698) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex697) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex696) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex695) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex694) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex693) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4637,axiom,(
    ! [VarCurr] :
      ( v20107(VarCurr)
    <=> ( v20108(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2039,axiom,(
    ! [VarCurr] :
      ( ~ v20108(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_457,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20097(VarNext)
       => ( v19478(VarNext,bitIndex41)
        <=> v19478(VarCurr,bitIndex41) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_218,axiom,(
    ! [VarNext] :
      ( v20097(VarNext)
     => ( v19478(VarNext,bitIndex41)
      <=> v20099(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4636,axiom,(
    ! [VarCurr] :
      ( v20099(VarCurr)
    <=> ( v19480(VarCurr)
        & v20100(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1362,axiom,(
    ! [VarCurr] :
      ( v20100(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex758) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex757) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex756) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex755) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex754) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex753) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex752) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex751) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex750) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex749) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex748) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex747) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex746) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex745) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex744) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex743) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex742) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex741) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex740) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex739) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex738) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex737) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex736) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex735) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex734) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex733) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex732) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex731) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex730) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex729) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex728) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex727) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex726) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4635,axiom,(
    ! [VarCurr] :
      ( v20097(VarCurr)
    <=> ( v20098(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2038,axiom,(
    ! [VarCurr] :
      ( ~ v20098(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_456,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20087(VarNext)
       => ( v19478(VarNext,bitIndex40)
        <=> v19478(VarCurr,bitIndex40) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_217,axiom,(
    ! [VarNext] :
      ( v20087(VarNext)
     => ( v19478(VarNext,bitIndex40)
      <=> v20089(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4634,axiom,(
    ! [VarCurr] :
      ( v20089(VarCurr)
    <=> ( v19480(VarCurr)
        & v20090(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1361,axiom,(
    ! [VarCurr] :
      ( v20090(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex791) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex790) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex789) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex788) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex787) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex786) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex785) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex784) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex783) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex782) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex781) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex780) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex779) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex778) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex777) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex776) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex775) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex774) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex773) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex772) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex771) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex770) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex769) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex768) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex767) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex766) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex765) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex764) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex763) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex762) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex761) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex760) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex759) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4633,axiom,(
    ! [VarCurr] :
      ( v20087(VarCurr)
    <=> ( v20088(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2037,axiom,(
    ! [VarCurr] :
      ( ~ v20088(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_455,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20077(VarNext)
       => ( v19478(VarNext,bitIndex39)
        <=> v19478(VarCurr,bitIndex39) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_216,axiom,(
    ! [VarNext] :
      ( v20077(VarNext)
     => ( v19478(VarNext,bitIndex39)
      <=> v20079(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4632,axiom,(
    ! [VarCurr] :
      ( v20079(VarCurr)
    <=> ( v19480(VarCurr)
        & v20080(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1360,axiom,(
    ! [VarCurr] :
      ( v20080(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex824) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex823) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex822) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex821) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex820) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex819) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex818) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex817) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex816) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex815) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex814) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex813) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex812) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex811) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex810) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex809) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex808) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex807) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex806) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex805) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex804) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex803) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex802) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex801) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex800) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex799) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex798) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex797) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex796) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex795) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex794) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex793) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex792) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4631,axiom,(
    ! [VarCurr] :
      ( v20077(VarCurr)
    <=> ( v20078(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2036,axiom,(
    ! [VarCurr] :
      ( ~ v20078(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_454,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20067(VarNext)
       => ( v19478(VarNext,bitIndex38)
        <=> v19478(VarCurr,bitIndex38) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_215,axiom,(
    ! [VarNext] :
      ( v20067(VarNext)
     => ( v19478(VarNext,bitIndex38)
      <=> v20069(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4630,axiom,(
    ! [VarCurr] :
      ( v20069(VarCurr)
    <=> ( v19480(VarCurr)
        & v20070(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1359,axiom,(
    ! [VarCurr] :
      ( v20070(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex857) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex856) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex855) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex854) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex853) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex852) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex851) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex850) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex849) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex848) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex847) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex846) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex845) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex844) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex843) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex842) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex841) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex840) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex839) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex838) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex837) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex836) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex835) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex834) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex833) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex832) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex831) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex830) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex829) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex828) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex827) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex826) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex825) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4629,axiom,(
    ! [VarCurr] :
      ( v20067(VarCurr)
    <=> ( v20068(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2035,axiom,(
    ! [VarCurr] :
      ( ~ v20068(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_453,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20057(VarNext)
       => ( v19478(VarNext,bitIndex37)
        <=> v19478(VarCurr,bitIndex37) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_214,axiom,(
    ! [VarNext] :
      ( v20057(VarNext)
     => ( v19478(VarNext,bitIndex37)
      <=> v20059(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4628,axiom,(
    ! [VarCurr] :
      ( v20059(VarCurr)
    <=> ( v19480(VarCurr)
        & v20060(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1358,axiom,(
    ! [VarCurr] :
      ( v20060(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex890) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex889) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex888) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex887) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex886) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex885) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex884) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex883) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex882) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex881) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex880) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex879) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex878) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex877) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex876) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex875) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex874) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex873) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex872) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex871) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex870) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex869) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex868) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex867) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex866) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex865) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex864) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex863) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex862) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex861) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex860) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex859) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex858) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4627,axiom,(
    ! [VarCurr] :
      ( v20057(VarCurr)
    <=> ( v20058(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2034,axiom,(
    ! [VarCurr] :
      ( ~ v20058(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_452,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20047(VarNext)
       => ( v19478(VarNext,bitIndex36)
        <=> v19478(VarCurr,bitIndex36) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_213,axiom,(
    ! [VarNext] :
      ( v20047(VarNext)
     => ( v19478(VarNext,bitIndex36)
      <=> v20049(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4626,axiom,(
    ! [VarCurr] :
      ( v20049(VarCurr)
    <=> ( v19480(VarCurr)
        & v20050(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1357,axiom,(
    ! [VarCurr] :
      ( v20050(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex923) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex922) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex921) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex920) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex919) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex918) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex917) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex916) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex915) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex914) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex913) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex912) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex911) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex910) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex909) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex908) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex907) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex906) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex905) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex904) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex903) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex902) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex901) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex900) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex899) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex898) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex897) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex896) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex895) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex894) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex893) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex892) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex891) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4625,axiom,(
    ! [VarCurr] :
      ( v20047(VarCurr)
    <=> ( v20048(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2033,axiom,(
    ! [VarCurr] :
      ( ~ v20048(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_451,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20037(VarNext)
       => ( v19478(VarNext,bitIndex35)
        <=> v19478(VarCurr,bitIndex35) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_212,axiom,(
    ! [VarNext] :
      ( v20037(VarNext)
     => ( v19478(VarNext,bitIndex35)
      <=> v20039(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4624,axiom,(
    ! [VarCurr] :
      ( v20039(VarCurr)
    <=> ( v19480(VarCurr)
        & v20040(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1356,axiom,(
    ! [VarCurr] :
      ( v20040(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex956) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex955) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex954) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex953) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex952) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex951) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex950) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex949) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex948) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex947) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex946) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex945) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex944) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex943) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex942) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex941) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex940) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex939) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex938) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex937) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex936) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex935) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex934) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex933) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex932) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex931) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex930) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex929) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex928) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex927) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex926) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex925) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex924) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4623,axiom,(
    ! [VarCurr] :
      ( v20037(VarCurr)
    <=> ( v20038(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2032,axiom,(
    ! [VarCurr] :
      ( ~ v20038(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_450,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20027(VarNext)
       => ( v19478(VarNext,bitIndex34)
        <=> v19478(VarCurr,bitIndex34) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_211,axiom,(
    ! [VarNext] :
      ( v20027(VarNext)
     => ( v19478(VarNext,bitIndex34)
      <=> v20029(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4622,axiom,(
    ! [VarCurr] :
      ( v20029(VarCurr)
    <=> ( v19480(VarCurr)
        & v20030(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1355,axiom,(
    ! [VarCurr] :
      ( v20030(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex989) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex988) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex987) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex986) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex985) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex984) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex983) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex982) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex981) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex980) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex979) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex978) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex977) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex976) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex975) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex974) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex973) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex972) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex971) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex970) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex969) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex968) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex967) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex966) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex965) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex964) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex963) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex962) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex961) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex960) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex959) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex958) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex957) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4621,axiom,(
    ! [VarCurr] :
      ( v20027(VarCurr)
    <=> ( v20028(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2031,axiom,(
    ! [VarCurr] :
      ( ~ v20028(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_449,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20017(VarNext)
       => ( v19478(VarNext,bitIndex33)
        <=> v19478(VarCurr,bitIndex33) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_210,axiom,(
    ! [VarNext] :
      ( v20017(VarNext)
     => ( v19478(VarNext,bitIndex33)
      <=> v20019(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4620,axiom,(
    ! [VarCurr] :
      ( v20019(VarCurr)
    <=> ( v19480(VarCurr)
        & v20020(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1354,axiom,(
    ! [VarCurr] :
      ( v20020(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex1022) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex1021) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex1020) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex1019) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex1018) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex1017) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex1016) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex1015) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex1014) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex1013) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex1012) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex1011) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex1010) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex1009) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex1008) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex1007) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex1006) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex1005) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex1004) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex1003) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex1002) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex1001) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex1000) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex999) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex998) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex997) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex996) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex995) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex994) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex993) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex992) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex991) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex990) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4619,axiom,(
    ! [VarCurr] :
      ( v20017(VarCurr)
    <=> ( v20018(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2030,axiom,(
    ! [VarCurr] :
      ( ~ v20018(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_448,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v20007(VarNext)
       => ( v19478(VarNext,bitIndex32)
        <=> v19478(VarCurr,bitIndex32) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_209,axiom,(
    ! [VarNext] :
      ( v20007(VarNext)
     => ( v19478(VarNext,bitIndex32)
      <=> v20009(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4618,axiom,(
    ! [VarCurr] :
      ( v20009(VarCurr)
    <=> ( v19480(VarCurr)
        & v20010(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1353,axiom,(
    ! [VarCurr] :
      ( v20010(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex1055) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex1054) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex1053) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex1052) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex1051) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex1050) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex1049) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex1048) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex1047) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex1046) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex1045) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex1044) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex1043) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex1042) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex1041) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex1040) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex1039) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex1038) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex1037) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex1036) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex1035) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex1034) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex1033) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex1032) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex1031) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex1030) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex1029) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex1028) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex1027) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex1026) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex1025) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex1024) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex1023) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4617,axiom,(
    ! [VarCurr] :
      ( v20007(VarCurr)
    <=> ( v20008(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2029,axiom,(
    ! [VarCurr] :
      ( ~ v20008(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_447,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19997(VarNext)
       => ( v19478(VarNext,bitIndex31)
        <=> v19478(VarCurr,bitIndex31) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_208,axiom,(
    ! [VarNext] :
      ( v19997(VarNext)
     => ( v19478(VarNext,bitIndex31)
      <=> v19999(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4616,axiom,(
    ! [VarCurr] :
      ( v19999(VarCurr)
    <=> ( v19480(VarCurr)
        & v20000(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1352,axiom,(
    ! [VarCurr] :
      ( v20000(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex1088) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex1087) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex1086) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex1085) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex1084) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex1083) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex1082) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex1081) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex1080) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex1079) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex1078) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex1077) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex1076) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex1075) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex1074) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex1073) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex1072) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex1071) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex1070) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex1069) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex1068) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex1067) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex1066) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex1065) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex1064) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex1063) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex1062) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex1061) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex1060) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex1059) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex1058) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex1057) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex1056) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4615,axiom,(
    ! [VarCurr] :
      ( v19997(VarCurr)
    <=> ( v19998(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2028,axiom,(
    ! [VarCurr] :
      ( ~ v19998(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_446,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19987(VarNext)
       => ( v19478(VarNext,bitIndex30)
        <=> v19478(VarCurr,bitIndex30) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_207,axiom,(
    ! [VarNext] :
      ( v19987(VarNext)
     => ( v19478(VarNext,bitIndex30)
      <=> v19989(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4614,axiom,(
    ! [VarCurr] :
      ( v19989(VarCurr)
    <=> ( v19480(VarCurr)
        & v19990(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1351,axiom,(
    ! [VarCurr] :
      ( v19990(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex1121) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex1120) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex1119) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex1118) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex1117) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex1116) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex1115) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex1114) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex1113) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex1112) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex1111) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex1110) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex1109) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex1108) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex1107) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex1106) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex1105) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex1104) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex1103) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex1102) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex1101) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex1100) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex1099) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex1098) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex1097) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex1096) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex1095) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex1094) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex1093) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex1092) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex1091) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex1090) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex1089) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4613,axiom,(
    ! [VarCurr] :
      ( v19987(VarCurr)
    <=> ( v19988(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2027,axiom,(
    ! [VarCurr] :
      ( ~ v19988(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_445,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19977(VarNext)
       => ( v19478(VarNext,bitIndex29)
        <=> v19478(VarCurr,bitIndex29) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_206,axiom,(
    ! [VarNext] :
      ( v19977(VarNext)
     => ( v19478(VarNext,bitIndex29)
      <=> v19979(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4612,axiom,(
    ! [VarCurr] :
      ( v19979(VarCurr)
    <=> ( v19480(VarCurr)
        & v19980(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1350,axiom,(
    ! [VarCurr] :
      ( v19980(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex1154) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex1153) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex1152) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex1151) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex1150) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex1149) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex1148) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex1147) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex1146) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex1145) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex1144) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex1143) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex1142) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex1141) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex1140) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex1139) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex1138) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex1137) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex1136) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex1135) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex1134) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex1133) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex1132) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex1131) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex1130) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex1129) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex1128) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex1127) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex1126) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex1125) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex1124) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex1123) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex1122) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4611,axiom,(
    ! [VarCurr] :
      ( v19977(VarCurr)
    <=> ( v19978(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2026,axiom,(
    ! [VarCurr] :
      ( ~ v19978(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_444,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19967(VarNext)
       => ( v19478(VarNext,bitIndex28)
        <=> v19478(VarCurr,bitIndex28) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_205,axiom,(
    ! [VarNext] :
      ( v19967(VarNext)
     => ( v19478(VarNext,bitIndex28)
      <=> v19969(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4610,axiom,(
    ! [VarCurr] :
      ( v19969(VarCurr)
    <=> ( v19480(VarCurr)
        & v19970(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1349,axiom,(
    ! [VarCurr] :
      ( v19970(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex1187) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex1186) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex1185) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex1184) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex1183) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex1182) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex1181) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex1180) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex1179) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex1178) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex1177) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex1176) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex1175) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex1174) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex1173) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex1172) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex1171) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex1170) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex1169) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex1168) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex1167) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex1166) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex1165) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex1164) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex1163) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex1162) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex1161) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex1160) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex1159) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex1158) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex1157) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex1156) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex1155) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4609,axiom,(
    ! [VarCurr] :
      ( v19967(VarCurr)
    <=> ( v19968(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2025,axiom,(
    ! [VarCurr] :
      ( ~ v19968(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_443,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19957(VarNext)
       => ( v19478(VarNext,bitIndex27)
        <=> v19478(VarCurr,bitIndex27) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_204,axiom,(
    ! [VarNext] :
      ( v19957(VarNext)
     => ( v19478(VarNext,bitIndex27)
      <=> v19959(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4608,axiom,(
    ! [VarCurr] :
      ( v19959(VarCurr)
    <=> ( v19480(VarCurr)
        & v19960(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1348,axiom,(
    ! [VarCurr] :
      ( v19960(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex1220) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex1219) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex1218) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex1217) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex1216) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex1215) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex1214) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex1213) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex1212) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex1211) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex1210) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex1209) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex1208) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex1207) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex1206) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex1205) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex1204) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex1203) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex1202) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex1201) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex1200) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex1199) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex1198) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex1197) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex1196) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex1195) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex1194) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex1193) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex1192) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex1191) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex1190) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex1189) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex1188) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4607,axiom,(
    ! [VarCurr] :
      ( v19957(VarCurr)
    <=> ( v19958(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2024,axiom,(
    ! [VarCurr] :
      ( ~ v19958(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_442,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19947(VarNext)
       => ( v19478(VarNext,bitIndex26)
        <=> v19478(VarCurr,bitIndex26) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_203,axiom,(
    ! [VarNext] :
      ( v19947(VarNext)
     => ( v19478(VarNext,bitIndex26)
      <=> v19949(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4606,axiom,(
    ! [VarCurr] :
      ( v19949(VarCurr)
    <=> ( v19480(VarCurr)
        & v19950(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1347,axiom,(
    ! [VarCurr] :
      ( v19950(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex1253) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex1252) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex1251) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex1250) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex1249) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex1248) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex1247) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex1246) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex1245) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex1244) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex1243) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex1242) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex1241) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex1240) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex1239) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex1238) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex1237) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex1236) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex1235) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex1234) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex1233) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex1232) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex1231) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex1230) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex1229) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex1228) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex1227) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex1226) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex1225) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex1224) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex1223) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex1222) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex1221) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4605,axiom,(
    ! [VarCurr] :
      ( v19947(VarCurr)
    <=> ( v19948(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2023,axiom,(
    ! [VarCurr] :
      ( ~ v19948(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_441,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19937(VarNext)
       => ( v19478(VarNext,bitIndex25)
        <=> v19478(VarCurr,bitIndex25) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_202,axiom,(
    ! [VarNext] :
      ( v19937(VarNext)
     => ( v19478(VarNext,bitIndex25)
      <=> v19939(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4604,axiom,(
    ! [VarCurr] :
      ( v19939(VarCurr)
    <=> ( v19480(VarCurr)
        & v19940(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1346,axiom,(
    ! [VarCurr] :
      ( v19940(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex1286) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex1285) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex1284) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex1283) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex1282) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex1281) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex1280) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex1279) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex1278) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex1277) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex1276) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex1275) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex1274) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex1273) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex1272) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex1271) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex1270) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex1269) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex1268) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex1267) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex1266) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex1265) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex1264) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex1263) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex1262) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex1261) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex1260) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex1259) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex1258) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex1257) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex1256) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex1255) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex1254) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4603,axiom,(
    ! [VarCurr] :
      ( v19937(VarCurr)
    <=> ( v19938(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2022,axiom,(
    ! [VarCurr] :
      ( ~ v19938(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_440,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19927(VarNext)
       => ( v19478(VarNext,bitIndex24)
        <=> v19478(VarCurr,bitIndex24) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_201,axiom,(
    ! [VarNext] :
      ( v19927(VarNext)
     => ( v19478(VarNext,bitIndex24)
      <=> v19929(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4602,axiom,(
    ! [VarCurr] :
      ( v19929(VarCurr)
    <=> ( v19480(VarCurr)
        & v19930(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1345,axiom,(
    ! [VarCurr] :
      ( v19930(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex1319) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex1318) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex1317) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex1316) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex1315) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex1314) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex1313) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex1312) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex1311) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex1310) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex1309) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex1308) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex1307) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex1306) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex1305) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex1304) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex1303) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex1302) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex1301) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex1300) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex1299) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex1298) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex1297) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex1296) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex1295) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex1294) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex1293) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex1292) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex1291) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex1290) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex1289) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex1288) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex1287) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4601,axiom,(
    ! [VarCurr] :
      ( v19927(VarCurr)
    <=> ( v19928(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2021,axiom,(
    ! [VarCurr] :
      ( ~ v19928(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_439,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19917(VarNext)
       => ( v19478(VarNext,bitIndex23)
        <=> v19478(VarCurr,bitIndex23) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_200,axiom,(
    ! [VarNext] :
      ( v19917(VarNext)
     => ( v19478(VarNext,bitIndex23)
      <=> v19919(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4600,axiom,(
    ! [VarCurr] :
      ( v19919(VarCurr)
    <=> ( v19480(VarCurr)
        & v19920(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1344,axiom,(
    ! [VarCurr] :
      ( v19920(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex1352) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex1351) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex1350) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex1349) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex1348) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex1347) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex1346) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex1345) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex1344) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex1343) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex1342) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex1341) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex1340) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex1339) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex1338) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex1337) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex1336) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex1335) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex1334) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex1333) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex1332) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex1331) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex1330) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex1329) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex1328) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex1327) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex1326) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex1325) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex1324) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex1323) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex1322) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex1321) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex1320) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4599,axiom,(
    ! [VarCurr] :
      ( v19917(VarCurr)
    <=> ( v19918(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2020,axiom,(
    ! [VarCurr] :
      ( ~ v19918(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_438,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19907(VarNext)
       => ( v19478(VarNext,bitIndex22)
        <=> v19478(VarCurr,bitIndex22) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_199,axiom,(
    ! [VarNext] :
      ( v19907(VarNext)
     => ( v19478(VarNext,bitIndex22)
      <=> v19909(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4598,axiom,(
    ! [VarCurr] :
      ( v19909(VarCurr)
    <=> ( v19480(VarCurr)
        & v19910(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1343,axiom,(
    ! [VarCurr] :
      ( v19910(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex1385) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex1384) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex1383) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex1382) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex1381) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex1380) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex1379) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex1378) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex1377) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex1376) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex1375) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex1374) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex1373) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex1372) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex1371) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex1370) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex1369) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex1368) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex1367) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex1366) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex1365) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex1364) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex1363) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex1362) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex1361) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex1360) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex1359) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex1358) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex1357) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex1356) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex1355) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex1354) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex1353) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4597,axiom,(
    ! [VarCurr] :
      ( v19907(VarCurr)
    <=> ( v19908(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2019,axiom,(
    ! [VarCurr] :
      ( ~ v19908(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_437,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19897(VarNext)
       => ( v19478(VarNext,bitIndex21)
        <=> v19478(VarCurr,bitIndex21) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_198,axiom,(
    ! [VarNext] :
      ( v19897(VarNext)
     => ( v19478(VarNext,bitIndex21)
      <=> v19899(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4596,axiom,(
    ! [VarCurr] :
      ( v19899(VarCurr)
    <=> ( v19480(VarCurr)
        & v19900(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1342,axiom,(
    ! [VarCurr] :
      ( v19900(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex1418) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex1417) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex1416) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex1415) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex1414) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex1413) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex1412) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex1411) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex1410) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex1409) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex1408) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex1407) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex1406) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex1405) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex1404) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex1403) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex1402) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex1401) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex1400) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex1399) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex1398) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex1397) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex1396) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex1395) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex1394) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex1393) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex1392) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex1391) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex1390) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex1389) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex1388) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex1387) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex1386) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4595,axiom,(
    ! [VarCurr] :
      ( v19897(VarCurr)
    <=> ( v19898(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2018,axiom,(
    ! [VarCurr] :
      ( ~ v19898(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_436,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19887(VarNext)
       => ( v19478(VarNext,bitIndex20)
        <=> v19478(VarCurr,bitIndex20) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_197,axiom,(
    ! [VarNext] :
      ( v19887(VarNext)
     => ( v19478(VarNext,bitIndex20)
      <=> v19889(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4594,axiom,(
    ! [VarCurr] :
      ( v19889(VarCurr)
    <=> ( v19480(VarCurr)
        & v19890(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1341,axiom,(
    ! [VarCurr] :
      ( v19890(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex1451) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex1450) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex1449) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex1448) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex1447) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex1446) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex1445) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex1444) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex1443) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex1442) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex1441) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex1440) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex1439) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex1438) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex1437) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex1436) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex1435) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex1434) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex1433) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex1432) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex1431) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex1430) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex1429) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex1428) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex1427) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex1426) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex1425) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex1424) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex1423) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex1422) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex1421) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex1420) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex1419) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4593,axiom,(
    ! [VarCurr] :
      ( v19887(VarCurr)
    <=> ( v19888(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2017,axiom,(
    ! [VarCurr] :
      ( ~ v19888(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_435,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19877(VarNext)
       => ( v19478(VarNext,bitIndex19)
        <=> v19478(VarCurr,bitIndex19) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_196,axiom,(
    ! [VarNext] :
      ( v19877(VarNext)
     => ( v19478(VarNext,bitIndex19)
      <=> v19879(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4592,axiom,(
    ! [VarCurr] :
      ( v19879(VarCurr)
    <=> ( v19480(VarCurr)
        & v19880(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1340,axiom,(
    ! [VarCurr] :
      ( v19880(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex1484) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex1483) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex1482) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex1481) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex1480) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex1479) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex1478) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex1477) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex1476) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex1475) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex1474) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex1473) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex1472) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex1471) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex1470) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex1469) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex1468) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex1467) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex1466) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex1465) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex1464) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex1463) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex1462) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex1461) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex1460) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex1459) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex1458) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex1457) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex1456) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex1455) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex1454) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex1453) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex1452) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4591,axiom,(
    ! [VarCurr] :
      ( v19877(VarCurr)
    <=> ( v19878(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2016,axiom,(
    ! [VarCurr] :
      ( ~ v19878(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_434,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19867(VarNext)
       => ( v19478(VarNext,bitIndex18)
        <=> v19478(VarCurr,bitIndex18) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_195,axiom,(
    ! [VarNext] :
      ( v19867(VarNext)
     => ( v19478(VarNext,bitIndex18)
      <=> v19869(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4590,axiom,(
    ! [VarCurr] :
      ( v19869(VarCurr)
    <=> ( v19480(VarCurr)
        & v19870(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1339,axiom,(
    ! [VarCurr] :
      ( v19870(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex1517) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex1516) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex1515) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex1514) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex1513) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex1512) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex1511) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex1510) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex1509) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex1508) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex1507) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex1506) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex1505) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex1504) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex1503) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex1502) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex1501) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex1500) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex1499) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex1498) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex1497) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex1496) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex1495) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex1494) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex1493) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex1492) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex1491) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex1490) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex1489) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex1488) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex1487) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex1486) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex1485) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4589,axiom,(
    ! [VarCurr] :
      ( v19867(VarCurr)
    <=> ( v19868(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2015,axiom,(
    ! [VarCurr] :
      ( ~ v19868(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_433,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19857(VarNext)
       => ( v19478(VarNext,bitIndex17)
        <=> v19478(VarCurr,bitIndex17) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_194,axiom,(
    ! [VarNext] :
      ( v19857(VarNext)
     => ( v19478(VarNext,bitIndex17)
      <=> v19859(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4588,axiom,(
    ! [VarCurr] :
      ( v19859(VarCurr)
    <=> ( v19480(VarCurr)
        & v19860(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1338,axiom,(
    ! [VarCurr] :
      ( v19860(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex1550) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex1549) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex1548) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex1547) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex1546) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex1545) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex1544) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex1543) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex1542) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex1541) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex1540) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex1539) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex1538) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex1537) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex1536) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex1535) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex1534) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex1533) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex1532) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex1531) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex1530) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex1529) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex1528) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex1527) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex1526) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex1525) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex1524) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex1523) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex1522) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex1521) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex1520) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex1519) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex1518) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4587,axiom,(
    ! [VarCurr] :
      ( v19857(VarCurr)
    <=> ( v19858(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2014,axiom,(
    ! [VarCurr] :
      ( ~ v19858(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_432,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19847(VarNext)
       => ( v19478(VarNext,bitIndex16)
        <=> v19478(VarCurr,bitIndex16) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_193,axiom,(
    ! [VarNext] :
      ( v19847(VarNext)
     => ( v19478(VarNext,bitIndex16)
      <=> v19849(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4586,axiom,(
    ! [VarCurr] :
      ( v19849(VarCurr)
    <=> ( v19480(VarCurr)
        & v19850(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1337,axiom,(
    ! [VarCurr] :
      ( v19850(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex1583) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex1582) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex1581) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex1580) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex1579) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex1578) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex1577) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex1576) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex1575) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex1574) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex1573) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex1572) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex1571) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex1570) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex1569) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex1568) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex1567) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex1566) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex1565) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex1564) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex1563) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex1562) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex1561) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex1560) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex1559) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex1558) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex1557) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex1556) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex1555) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex1554) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex1553) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex1552) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex1551) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4585,axiom,(
    ! [VarCurr] :
      ( v19847(VarCurr)
    <=> ( v19848(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2013,axiom,(
    ! [VarCurr] :
      ( ~ v19848(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_431,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19837(VarNext)
       => ( v19478(VarNext,bitIndex15)
        <=> v19478(VarCurr,bitIndex15) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_192,axiom,(
    ! [VarNext] :
      ( v19837(VarNext)
     => ( v19478(VarNext,bitIndex15)
      <=> v19839(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4584,axiom,(
    ! [VarCurr] :
      ( v19839(VarCurr)
    <=> ( v19480(VarCurr)
        & v19840(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1336,axiom,(
    ! [VarCurr] :
      ( v19840(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex1616) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex1615) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex1614) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex1613) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex1612) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex1611) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex1610) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex1609) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex1608) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex1607) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex1606) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex1605) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex1604) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex1603) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex1602) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex1601) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex1600) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex1599) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex1598) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex1597) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex1596) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex1595) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex1594) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex1593) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex1592) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex1591) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex1590) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex1589) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex1588) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex1587) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex1586) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex1585) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex1584) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4583,axiom,(
    ! [VarCurr] :
      ( v19837(VarCurr)
    <=> ( v19838(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2012,axiom,(
    ! [VarCurr] :
      ( ~ v19838(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_430,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19827(VarNext)
       => ( v19478(VarNext,bitIndex14)
        <=> v19478(VarCurr,bitIndex14) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_191,axiom,(
    ! [VarNext] :
      ( v19827(VarNext)
     => ( v19478(VarNext,bitIndex14)
      <=> v19829(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4582,axiom,(
    ! [VarCurr] :
      ( v19829(VarCurr)
    <=> ( v19480(VarCurr)
        & v19830(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1335,axiom,(
    ! [VarCurr] :
      ( v19830(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex1649) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex1648) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex1647) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex1646) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex1645) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex1644) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex1643) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex1642) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex1641) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex1640) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex1639) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex1638) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex1637) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex1636) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex1635) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex1634) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex1633) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex1632) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex1631) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex1630) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex1629) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex1628) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex1627) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex1626) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex1625) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex1624) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex1623) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex1622) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex1621) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex1620) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex1619) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex1618) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex1617) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4581,axiom,(
    ! [VarCurr] :
      ( v19827(VarCurr)
    <=> ( v19828(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2011,axiom,(
    ! [VarCurr] :
      ( ~ v19828(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_429,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19817(VarNext)
       => ( v19478(VarNext,bitIndex13)
        <=> v19478(VarCurr,bitIndex13) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_190,axiom,(
    ! [VarNext] :
      ( v19817(VarNext)
     => ( v19478(VarNext,bitIndex13)
      <=> v19819(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4580,axiom,(
    ! [VarCurr] :
      ( v19819(VarCurr)
    <=> ( v19480(VarCurr)
        & v19820(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1334,axiom,(
    ! [VarCurr] :
      ( v19820(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex1682) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex1681) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex1680) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex1679) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex1678) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex1677) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex1676) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex1675) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex1674) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex1673) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex1672) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex1671) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex1670) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex1669) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex1668) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex1667) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex1666) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex1665) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex1664) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex1663) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex1662) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex1661) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex1660) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex1659) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex1658) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex1657) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex1656) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex1655) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex1654) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex1653) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex1652) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex1651) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex1650) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4579,axiom,(
    ! [VarCurr] :
      ( v19817(VarCurr)
    <=> ( v19818(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2010,axiom,(
    ! [VarCurr] :
      ( ~ v19818(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_428,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19807(VarNext)
       => ( v19478(VarNext,bitIndex12)
        <=> v19478(VarCurr,bitIndex12) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_189,axiom,(
    ! [VarNext] :
      ( v19807(VarNext)
     => ( v19478(VarNext,bitIndex12)
      <=> v19809(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4578,axiom,(
    ! [VarCurr] :
      ( v19809(VarCurr)
    <=> ( v19480(VarCurr)
        & v19810(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1333,axiom,(
    ! [VarCurr] :
      ( v19810(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex1715) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex1714) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex1713) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex1712) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex1711) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex1710) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex1709) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex1708) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex1707) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex1706) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex1705) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex1704) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex1703) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex1702) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex1701) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex1700) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex1699) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex1698) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex1697) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex1696) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex1695) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex1694) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex1693) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex1692) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex1691) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex1690) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex1689) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex1688) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex1687) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex1686) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex1685) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex1684) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex1683) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4577,axiom,(
    ! [VarCurr] :
      ( v19807(VarCurr)
    <=> ( v19808(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2009,axiom,(
    ! [VarCurr] :
      ( ~ v19808(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_427,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19797(VarNext)
       => ( v19478(VarNext,bitIndex11)
        <=> v19478(VarCurr,bitIndex11) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_188,axiom,(
    ! [VarNext] :
      ( v19797(VarNext)
     => ( v19478(VarNext,bitIndex11)
      <=> v19799(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4576,axiom,(
    ! [VarCurr] :
      ( v19799(VarCurr)
    <=> ( v19480(VarCurr)
        & v19800(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1332,axiom,(
    ! [VarCurr] :
      ( v19800(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex1748) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex1747) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex1746) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex1745) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex1744) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex1743) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex1742) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex1741) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex1740) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex1739) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex1738) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex1737) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex1736) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex1735) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex1734) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex1733) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex1732) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex1731) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex1730) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex1729) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex1728) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex1727) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex1726) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex1725) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex1724) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex1723) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex1722) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex1721) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex1720) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex1719) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex1718) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex1717) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex1716) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4575,axiom,(
    ! [VarCurr] :
      ( v19797(VarCurr)
    <=> ( v19798(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2008,axiom,(
    ! [VarCurr] :
      ( ~ v19798(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_426,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19787(VarNext)
       => ( v19478(VarNext,bitIndex10)
        <=> v19478(VarCurr,bitIndex10) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_187,axiom,(
    ! [VarNext] :
      ( v19787(VarNext)
     => ( v19478(VarNext,bitIndex10)
      <=> v19789(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4574,axiom,(
    ! [VarCurr] :
      ( v19789(VarCurr)
    <=> ( v19480(VarCurr)
        & v19790(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1331,axiom,(
    ! [VarCurr] :
      ( v19790(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex1781) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex1780) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex1779) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex1778) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex1777) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex1776) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex1775) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex1774) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex1773) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex1772) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex1771) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex1770) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex1769) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex1768) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex1767) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex1766) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex1765) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex1764) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex1763) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex1762) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex1761) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex1760) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex1759) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex1758) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex1757) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex1756) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex1755) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex1754) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex1753) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex1752) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex1751) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex1750) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex1749) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4573,axiom,(
    ! [VarCurr] :
      ( v19787(VarCurr)
    <=> ( v19788(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2007,axiom,(
    ! [VarCurr] :
      ( ~ v19788(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_425,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19777(VarNext)
       => ( v19478(VarNext,bitIndex9)
        <=> v19478(VarCurr,bitIndex9) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_186,axiom,(
    ! [VarNext] :
      ( v19777(VarNext)
     => ( v19478(VarNext,bitIndex9)
      <=> v19779(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4572,axiom,(
    ! [VarCurr] :
      ( v19779(VarCurr)
    <=> ( v19480(VarCurr)
        & v19780(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1330,axiom,(
    ! [VarCurr] :
      ( v19780(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex1814) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex1813) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex1812) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex1811) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex1810) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex1809) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex1808) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex1807) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex1806) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex1805) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex1804) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex1803) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex1802) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex1801) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex1800) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex1799) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex1798) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex1797) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex1796) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex1795) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex1794) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex1793) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex1792) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex1791) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex1790) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex1789) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex1788) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex1787) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex1786) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex1785) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex1784) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex1783) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex1782) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4571,axiom,(
    ! [VarCurr] :
      ( v19777(VarCurr)
    <=> ( v19778(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2006,axiom,(
    ! [VarCurr] :
      ( ~ v19778(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_424,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19767(VarNext)
       => ( v19478(VarNext,bitIndex8)
        <=> v19478(VarCurr,bitIndex8) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_185,axiom,(
    ! [VarNext] :
      ( v19767(VarNext)
     => ( v19478(VarNext,bitIndex8)
      <=> v19769(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4570,axiom,(
    ! [VarCurr] :
      ( v19769(VarCurr)
    <=> ( v19480(VarCurr)
        & v19770(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1329,axiom,(
    ! [VarCurr] :
      ( v19770(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex1847) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex1846) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex1845) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex1844) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex1843) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex1842) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex1841) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex1840) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex1839) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex1838) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex1837) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex1836) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex1835) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex1834) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex1833) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex1832) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex1831) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex1830) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex1829) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex1828) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex1827) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex1826) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex1825) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex1824) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex1823) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex1822) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex1821) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex1820) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex1819) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex1818) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex1817) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex1816) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex1815) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4569,axiom,(
    ! [VarCurr] :
      ( v19767(VarCurr)
    <=> ( v19768(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2005,axiom,(
    ! [VarCurr] :
      ( ~ v19768(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_423,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19757(VarNext)
       => ( v19478(VarNext,bitIndex7)
        <=> v19478(VarCurr,bitIndex7) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_184,axiom,(
    ! [VarNext] :
      ( v19757(VarNext)
     => ( v19478(VarNext,bitIndex7)
      <=> v19759(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4568,axiom,(
    ! [VarCurr] :
      ( v19759(VarCurr)
    <=> ( v19480(VarCurr)
        & v19760(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1328,axiom,(
    ! [VarCurr] :
      ( v19760(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex1880) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex1879) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex1878) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex1877) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex1876) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex1875) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex1874) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex1873) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex1872) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex1871) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex1870) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex1869) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex1868) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex1867) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex1866) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex1865) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex1864) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex1863) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex1862) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex1861) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex1860) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex1859) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex1858) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex1857) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex1856) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex1855) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex1854) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex1853) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex1852) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex1851) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex1850) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex1849) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex1848) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4567,axiom,(
    ! [VarCurr] :
      ( v19757(VarCurr)
    <=> ( v19758(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2004,axiom,(
    ! [VarCurr] :
      ( ~ v19758(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_422,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19747(VarNext)
       => ( v19478(VarNext,bitIndex6)
        <=> v19478(VarCurr,bitIndex6) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_183,axiom,(
    ! [VarNext] :
      ( v19747(VarNext)
     => ( v19478(VarNext,bitIndex6)
      <=> v19749(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4566,axiom,(
    ! [VarCurr] :
      ( v19749(VarCurr)
    <=> ( v19480(VarCurr)
        & v19750(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1327,axiom,(
    ! [VarCurr] :
      ( v19750(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex1913) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex1912) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex1911) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex1910) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex1909) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex1908) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex1907) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex1906) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex1905) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex1904) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex1903) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex1902) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex1901) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex1900) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex1899) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex1898) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex1897) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex1896) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex1895) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex1894) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex1893) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex1892) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex1891) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex1890) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex1889) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex1888) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex1887) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex1886) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex1885) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex1884) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex1883) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex1882) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex1881) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4565,axiom,(
    ! [VarCurr] :
      ( v19747(VarCurr)
    <=> ( v19748(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2003,axiom,(
    ! [VarCurr] :
      ( ~ v19748(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_421,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19737(VarNext)
       => ( v19478(VarNext,bitIndex5)
        <=> v19478(VarCurr,bitIndex5) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_182,axiom,(
    ! [VarNext] :
      ( v19737(VarNext)
     => ( v19478(VarNext,bitIndex5)
      <=> v19739(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4564,axiom,(
    ! [VarCurr] :
      ( v19739(VarCurr)
    <=> ( v19480(VarCurr)
        & v19740(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1326,axiom,(
    ! [VarCurr] :
      ( v19740(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex1946) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex1945) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex1944) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex1943) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex1942) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex1941) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex1940) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex1939) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex1938) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex1937) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex1936) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex1935) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex1934) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex1933) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex1932) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex1931) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex1930) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex1929) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex1928) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex1927) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex1926) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex1925) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex1924) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex1923) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex1922) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex1921) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex1920) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex1919) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex1918) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex1917) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex1916) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex1915) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex1914) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4563,axiom,(
    ! [VarCurr] :
      ( v19737(VarCurr)
    <=> ( v19738(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2002,axiom,(
    ! [VarCurr] :
      ( ~ v19738(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_420,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19727(VarNext)
       => ( v19478(VarNext,bitIndex4)
        <=> v19478(VarCurr,bitIndex4) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_181,axiom,(
    ! [VarNext] :
      ( v19727(VarNext)
     => ( v19478(VarNext,bitIndex4)
      <=> v19729(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4562,axiom,(
    ! [VarCurr] :
      ( v19729(VarCurr)
    <=> ( v19480(VarCurr)
        & v19730(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1325,axiom,(
    ! [VarCurr] :
      ( v19730(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex1979) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex1978) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex1977) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex1976) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex1975) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex1974) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex1973) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex1972) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex1971) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex1970) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex1969) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex1968) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex1967) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex1966) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex1965) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex1964) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex1963) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex1962) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex1961) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex1960) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex1959) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex1958) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex1957) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex1956) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex1955) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex1954) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex1953) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex1952) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex1951) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex1950) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex1949) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex1948) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex1947) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4561,axiom,(
    ! [VarCurr] :
      ( v19727(VarCurr)
    <=> ( v19728(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2001,axiom,(
    ! [VarCurr] :
      ( ~ v19728(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_419,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19717(VarNext)
       => ( v19478(VarNext,bitIndex3)
        <=> v19478(VarCurr,bitIndex3) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_180,axiom,(
    ! [VarNext] :
      ( v19717(VarNext)
     => ( v19478(VarNext,bitIndex3)
      <=> v19719(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4560,axiom,(
    ! [VarCurr] :
      ( v19719(VarCurr)
    <=> ( v19480(VarCurr)
        & v19720(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1324,axiom,(
    ! [VarCurr] :
      ( v19720(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex2012) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex2011) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex2010) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex2009) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex2008) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex2007) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex2006) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex2005) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex2004) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex2003) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex2002) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex2001) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex2000) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex1999) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex1998) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex1997) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex1996) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex1995) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex1994) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex1993) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex1992) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex1991) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex1990) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex1989) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex1988) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex1987) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex1986) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex1985) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex1984) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex1983) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex1982) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex1981) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex1980) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4559,axiom,(
    ! [VarCurr] :
      ( v19717(VarCurr)
    <=> ( v19718(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_2000,axiom,(
    ! [VarCurr] :
      ( ~ v19718(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_418,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19707(VarNext)
       => ( v19478(VarNext,bitIndex2)
        <=> v19478(VarCurr,bitIndex2) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_179,axiom,(
    ! [VarNext] :
      ( v19707(VarNext)
     => ( v19478(VarNext,bitIndex2)
      <=> v19709(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4558,axiom,(
    ! [VarCurr] :
      ( v19709(VarCurr)
    <=> ( v19480(VarCurr)
        & v19710(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1323,axiom,(
    ! [VarCurr] :
      ( v19710(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex2045) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex2044) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex2043) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex2042) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex2041) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex2040) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex2039) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex2038) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex2037) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex2036) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex2035) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex2034) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex2033) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex2032) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex2031) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex2030) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex2029) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex2028) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex2027) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex2026) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex2025) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex2024) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex2023) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex2022) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex2021) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex2020) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex2019) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex2018) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex2017) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex2016) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex2015) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex2014) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex2013) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4557,axiom,(
    ! [VarCurr] :
      ( v19707(VarCurr)
    <=> ( v19708(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_1999,axiom,(
    ! [VarCurr] :
      ( ~ v19708(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_417,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19697(VarNext)
       => ( v19478(VarNext,bitIndex1)
        <=> v19478(VarCurr,bitIndex1) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_178,axiom,(
    ! [VarNext] :
      ( v19697(VarNext)
     => ( v19478(VarNext,bitIndex1)
      <=> v19699(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4556,axiom,(
    ! [VarCurr] :
      ( v19699(VarCurr)
    <=> ( v19480(VarCurr)
        & v19700(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1322,axiom,(
    ! [VarCurr] :
      ( v19700(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex2078) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex2077) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex2076) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex2075) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex2074) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex2073) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex2072) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex2071) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex2070) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex2069) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex2068) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex2067) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex2066) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex2065) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex2064) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex2063) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex2062) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex2061) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex2060) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex2059) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex2058) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex2057) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex2056) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex2055) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex2054) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex2053) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex2052) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex2051) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex2050) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex2049) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex2048) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex2047) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex2046) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4555,axiom,(
    ! [VarCurr] :
      ( v19697(VarCurr)
    <=> ( v19698(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeUnaryOperator_1998,axiom,(
    ! [VarCurr] :
      ( ~ v19698(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_416,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19686(VarNext)
       => ( v19478(VarNext,bitIndex0)
        <=> v19478(VarCurr,bitIndex0) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_420,axiom,(
    ! [VarNext] :
      ( v19686(VarNext)
     => ( v19478(VarNext,bitIndex0)
      <=> v19689(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4554,axiom,(
    ! [VarCurr] :
      ( v19689(VarCurr)
    <=> ( v19480(VarCurr)
        & v19690(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1321,axiom,(
    ! [VarCurr] :
      ( v19690(VarCurr)
    <=> ( ( v19504(VarCurr,bitIndex32)
        <=> v19640(VarCurr,bitIndex2111) )
        & ( v19504(VarCurr,bitIndex31)
        <=> v19640(VarCurr,bitIndex2110) )
        & ( v19504(VarCurr,bitIndex30)
        <=> v19640(VarCurr,bitIndex2109) )
        & ( v19504(VarCurr,bitIndex29)
        <=> v19640(VarCurr,bitIndex2108) )
        & ( v19504(VarCurr,bitIndex28)
        <=> v19640(VarCurr,bitIndex2107) )
        & ( v19504(VarCurr,bitIndex27)
        <=> v19640(VarCurr,bitIndex2106) )
        & ( v19504(VarCurr,bitIndex26)
        <=> v19640(VarCurr,bitIndex2105) )
        & ( v19504(VarCurr,bitIndex25)
        <=> v19640(VarCurr,bitIndex2104) )
        & ( v19504(VarCurr,bitIndex24)
        <=> v19640(VarCurr,bitIndex2103) )
        & ( v19504(VarCurr,bitIndex23)
        <=> v19640(VarCurr,bitIndex2102) )
        & ( v19504(VarCurr,bitIndex22)
        <=> v19640(VarCurr,bitIndex2101) )
        & ( v19504(VarCurr,bitIndex21)
        <=> v19640(VarCurr,bitIndex2100) )
        & ( v19504(VarCurr,bitIndex20)
        <=> v19640(VarCurr,bitIndex2099) )
        & ( v19504(VarCurr,bitIndex19)
        <=> v19640(VarCurr,bitIndex2098) )
        & ( v19504(VarCurr,bitIndex18)
        <=> v19640(VarCurr,bitIndex2097) )
        & ( v19504(VarCurr,bitIndex17)
        <=> v19640(VarCurr,bitIndex2096) )
        & ( v19504(VarCurr,bitIndex16)
        <=> v19640(VarCurr,bitIndex2095) )
        & ( v19504(VarCurr,bitIndex15)
        <=> v19640(VarCurr,bitIndex2094) )
        & ( v19504(VarCurr,bitIndex14)
        <=> v19640(VarCurr,bitIndex2093) )
        & ( v19504(VarCurr,bitIndex13)
        <=> v19640(VarCurr,bitIndex2092) )
        & ( v19504(VarCurr,bitIndex12)
        <=> v19640(VarCurr,bitIndex2091) )
        & ( v19504(VarCurr,bitIndex11)
        <=> v19640(VarCurr,bitIndex2090) )
        & ( v19504(VarCurr,bitIndex10)
        <=> v19640(VarCurr,bitIndex2089) )
        & ( v19504(VarCurr,bitIndex9)
        <=> v19640(VarCurr,bitIndex2088) )
        & ( v19504(VarCurr,bitIndex8)
        <=> v19640(VarCurr,bitIndex2087) )
        & ( v19504(VarCurr,bitIndex7)
        <=> v19640(VarCurr,bitIndex2086) )
        & ( v19504(VarCurr,bitIndex6)
        <=> v19640(VarCurr,bitIndex2085) )
        & ( v19504(VarCurr,bitIndex5)
        <=> v19640(VarCurr,bitIndex2084) )
        & ( v19504(VarCurr,bitIndex4)
        <=> v19640(VarCurr,bitIndex2083) )
        & ( v19504(VarCurr,bitIndex3)
        <=> v19640(VarCurr,bitIndex2082) )
        & ( v19504(VarCurr,bitIndex2)
        <=> v19640(VarCurr,bitIndex2081) )
        & ( v19504(VarCurr,bitIndex1)
        <=> v19640(VarCurr,bitIndex2080) )
        & ( v19504(VarCurr,bitIndex0)
        <=> v19640(VarCurr,bitIndex2079) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4553,axiom,(
    ! [VarCurr] :
      ( v19686(VarCurr)
    <=> ( v19687(VarCurr)
        & v19688(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4552,axiom,(
    ! [VarCurr] :
      ( v19688(VarCurr)
    <=> ( v19653(VarCurr)
        & v19683(VarCurr) ) ) )).

fof(writeUnaryOperator_1997,axiom,(
    ! [VarCurr] :
      ( ~ v19687(VarCurr)
    <=> v19642(VarCurr) ) )).

fof(addAssignment_5033,axiom,(
    ! [VarCurr] :
      ( v19683(VarCurr)
    <=> v19661(VarCurr) ) )).

fof(addAssignment_5032,axiom,(
    ! [VarCurr] :
      ( v19653(VarCurr)
    <=> v19655(VarCurr) ) )).

fof(addAssignment_5031,axiom,(
    ! [VarCurr] :
      ( v19655(VarCurr)
    <=> v19657(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4551,axiom,(
    ! [VarCurr] :
      ( v19657(VarCurr)
    <=> ( v19681(VarCurr)
        | v19671(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4550,axiom,(
    ! [VarCurr] :
      ( v19681(VarCurr)
    <=> ( v19659(VarCurr)
        & v19669(VarCurr) ) ) )).

fof(addAssignment_5030,axiom,(
    ! [VarCurr] :
      ( v19671(VarCurr)
    <=> v19673(VarCurr) ) )).

fof(addAssignment_5029,axiom,(
    ! [VarCurr] :
      ( v19673(VarCurr)
    <=> v19675(VarCurr) ) )).

fof(addAssignment_5028,axiom,(
    ! [VarCurr] :
      ( v19675(VarCurr)
    <=> v19677(VarCurr) ) )).

fof(addAssignment_5027,axiom,(
    ! [VarCurr] :
      ( v19677(VarCurr)
    <=> v19679(VarCurr) ) )).

fof(addAssignment_5026,axiom,(
    ! [VarCurr] :
      ( v19659(VarCurr)
    <=> v19661(VarCurr) ) )).

fof(addAssignment_5025,axiom,(
    ! [VarCurr] :
      ( v19661(VarCurr)
    <=> v19663(VarCurr) ) )).

fof(addAssignment_5024,axiom,(
    ! [VarCurr] :
      ( v19663(VarCurr)
    <=> v19665(VarCurr) ) )).

fof(addAssignment_5023,axiom,(
    ! [VarCurr] :
      ( v19665(VarCurr)
    <=> v19667(VarCurr) ) )).

fof(addAssignment_5022,axiom,(
    ! [VarCurr] :
      ( v19642(VarCurr)
    <=> v19644(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4549,axiom,(
    ! [VarCurr] :
      ( v19644(VarCurr)
    <=> ( v19492(VarCurr)
        | v19646(VarCurr) ) ) )).

fof(addAssignment_5021,axiom,(
    ! [VarCurr] :
      ( v19646(VarCurr)
    <=> v19648(VarCurr) ) )).

fof(addAssignment_5020,axiom,(
    ! [VarCurr] :
      ( v19648(VarCurr)
    <=> v19650(VarCurr) ) )).

fof(addAssignment_5019,axiom,(
    ! [VarCurr,B] :
      ( range_32_0(B)
     => ( v19504(VarCurr,B)
      <=> v19506(VarCurr,B) ) ) )).

fof(addAssignment_5018,axiom,(
    ! [VarCurr] :
      ( v19506(VarCurr,bitIndex32)
    <=> v19508(VarCurr) ) )).

fof(addAssignment_5017,axiom,(
    ! [VarCurr] :
      ( v19506(VarCurr,bitIndex31)
    <=> v19512(VarCurr) ) )).

fof(addAssignment_5016,axiom,(
    ! [VarCurr] :
      ( v19506(VarCurr,bitIndex30)
    <=> v19516(VarCurr) ) )).

fof(addAssignment_5015,axiom,(
    ! [VarCurr] :
      ( v19506(VarCurr,bitIndex29)
    <=> v19520(VarCurr) ) )).

fof(addAssignment_5014,axiom,(
    ! [VarCurr] :
      ( v19506(VarCurr,bitIndex28)
    <=> v19524(VarCurr) ) )).

fof(addAssignment_5013,axiom,(
    ! [VarCurr] :
      ( v19506(VarCurr,bitIndex27)
    <=> v19528(VarCurr) ) )).

fof(addAssignment_5012,axiom,(
    ! [VarCurr] :
      ( v19506(VarCurr,bitIndex26)
    <=> v19532(VarCurr) ) )).

fof(addAssignment_5011,axiom,(
    ! [VarCurr] :
      ( v19506(VarCurr,bitIndex25)
    <=> v19536(VarCurr) ) )).

fof(addAssignment_5010,axiom,(
    ! [VarCurr] :
      ( v19506(VarCurr,bitIndex24)
    <=> v19540(VarCurr) ) )).

fof(addAssignment_5009,axiom,(
    ! [VarCurr] :
      ( v19506(VarCurr,bitIndex23)
    <=> v19544(VarCurr) ) )).

fof(addAssignment_5008,axiom,(
    ! [VarCurr] :
      ( v19506(VarCurr,bitIndex22)
    <=> v19548(VarCurr) ) )).

fof(addAssignment_5007,axiom,(
    ! [VarCurr] :
      ( v19506(VarCurr,bitIndex21)
    <=> v19552(VarCurr) ) )).

fof(addAssignment_5006,axiom,(
    ! [VarCurr] :
      ( v19506(VarCurr,bitIndex20)
    <=> v19556(VarCurr) ) )).

fof(addAssignment_5005,axiom,(
    ! [VarCurr] :
      ( v19506(VarCurr,bitIndex19)
    <=> v19560(VarCurr) ) )).

fof(addAssignment_5004,axiom,(
    ! [VarCurr] :
      ( v19506(VarCurr,bitIndex18)
    <=> v19564(VarCurr) ) )).

fof(addAssignment_5003,axiom,(
    ! [VarCurr] :
      ( v19506(VarCurr,bitIndex17)
    <=> v19568(VarCurr) ) )).

fof(addAssignment_5002,axiom,(
    ! [VarCurr] :
      ( v19506(VarCurr,bitIndex16)
    <=> v19572(VarCurr) ) )).

fof(addAssignment_5001,axiom,(
    ! [VarCurr] :
      ( v19506(VarCurr,bitIndex15)
    <=> v19576(VarCurr) ) )).

fof(addAssignment_5000,axiom,(
    ! [VarCurr] :
      ( v19506(VarCurr,bitIndex14)
    <=> v19580(VarCurr) ) )).

fof(addAssignment_4999,axiom,(
    ! [VarCurr] :
      ( v19506(VarCurr,bitIndex13)
    <=> v19584(VarCurr) ) )).

fof(addAssignment_4998,axiom,(
    ! [VarCurr] :
      ( v19506(VarCurr,bitIndex12)
    <=> v19588(VarCurr) ) )).

fof(addAssignment_4997,axiom,(
    ! [VarCurr] :
      ( v19506(VarCurr,bitIndex11)
    <=> v19592(VarCurr) ) )).

fof(addAssignment_4996,axiom,(
    ! [VarCurr] :
      ( v19506(VarCurr,bitIndex10)
    <=> v19596(VarCurr) ) )).

fof(addAssignment_4995,axiom,(
    ! [VarCurr] :
      ( v19506(VarCurr,bitIndex9)
    <=> v19600(VarCurr) ) )).

fof(addAssignment_4994,axiom,(
    ! [VarCurr] :
      ( v19506(VarCurr,bitIndex8)
    <=> v19604(VarCurr) ) )).

fof(addAssignment_4993,axiom,(
    ! [VarCurr] :
      ( v19506(VarCurr,bitIndex7)
    <=> v19608(VarCurr) ) )).

fof(addAssignment_4992,axiom,(
    ! [VarCurr] :
      ( v19506(VarCurr,bitIndex6)
    <=> v19612(VarCurr) ) )).

fof(addAssignment_4991,axiom,(
    ! [VarCurr] :
      ( v19506(VarCurr,bitIndex5)
    <=> v19616(VarCurr) ) )).

fof(addAssignment_4990,axiom,(
    ! [VarCurr] :
      ( v19506(VarCurr,bitIndex4)
    <=> v19620(VarCurr) ) )).

fof(addAssignment_4989,axiom,(
    ! [VarCurr] :
      ( v19506(VarCurr,bitIndex3)
    <=> v19624(VarCurr) ) )).

fof(addAssignment_4988,axiom,(
    ! [VarCurr] :
      ( v19506(VarCurr,bitIndex2)
    <=> v19628(VarCurr) ) )).

fof(addAssignment_4987,axiom,(
    ! [VarCurr] :
      ( v19506(VarCurr,bitIndex1)
    <=> v19632(VarCurr) ) )).

fof(addAssignment_4986,axiom,(
    ! [VarCurr] :
      ( v19506(VarCurr,bitIndex0)
    <=> v19636(VarCurr) ) )).

fof(addAssignment_4985,axiom,(
    ! [VarCurr] :
      ( v19636(VarCurr)
    <=> v19638(VarCurr) ) )).

fof(addAssignment_4984,axiom,(
    ! [VarCurr] :
      ( v19632(VarCurr)
    <=> v19634(VarCurr) ) )).

fof(addAssignment_4983,axiom,(
    ! [VarCurr] :
      ( v19628(VarCurr)
    <=> v19630(VarCurr) ) )).

fof(addAssignment_4982,axiom,(
    ! [VarCurr] :
      ( v19624(VarCurr)
    <=> v19626(VarCurr) ) )).

fof(addAssignment_4981,axiom,(
    ! [VarCurr] :
      ( v19620(VarCurr)
    <=> v19622(VarCurr) ) )).

fof(addAssignment_4980,axiom,(
    ! [VarCurr] :
      ( v19616(VarCurr)
    <=> v19618(VarCurr) ) )).

fof(addAssignment_4979,axiom,(
    ! [VarCurr] :
      ( v19612(VarCurr)
    <=> v19614(VarCurr) ) )).

fof(addAssignment_4978,axiom,(
    ! [VarCurr] :
      ( v19608(VarCurr)
    <=> v19610(VarCurr) ) )).

fof(addAssignment_4977,axiom,(
    ! [VarCurr] :
      ( v19604(VarCurr)
    <=> v19606(VarCurr) ) )).

fof(addAssignment_4976,axiom,(
    ! [VarCurr] :
      ( v19600(VarCurr)
    <=> v19602(VarCurr) ) )).

fof(addAssignment_4975,axiom,(
    ! [VarCurr] :
      ( v19596(VarCurr)
    <=> v19598(VarCurr) ) )).

fof(addAssignment_4974,axiom,(
    ! [VarCurr] :
      ( v19592(VarCurr)
    <=> v19594(VarCurr) ) )).

fof(addAssignment_4973,axiom,(
    ! [VarCurr] :
      ( v19588(VarCurr)
    <=> v19590(VarCurr) ) )).

fof(addAssignment_4972,axiom,(
    ! [VarCurr] :
      ( v19584(VarCurr)
    <=> v19586(VarCurr) ) )).

fof(addAssignment_4971,axiom,(
    ! [VarCurr] :
      ( v19580(VarCurr)
    <=> v19582(VarCurr) ) )).

fof(addAssignment_4970,axiom,(
    ! [VarCurr] :
      ( v19576(VarCurr)
    <=> v19578(VarCurr) ) )).

fof(addAssignment_4969,axiom,(
    ! [VarCurr] :
      ( v19572(VarCurr)
    <=> v19574(VarCurr) ) )).

fof(addAssignment_4968,axiom,(
    ! [VarCurr] :
      ( v19568(VarCurr)
    <=> v19570(VarCurr) ) )).

fof(addAssignment_4967,axiom,(
    ! [VarCurr] :
      ( v19564(VarCurr)
    <=> v19566(VarCurr) ) )).

fof(addAssignment_4966,axiom,(
    ! [VarCurr] :
      ( v19560(VarCurr)
    <=> v19562(VarCurr) ) )).

fof(addAssignment_4965,axiom,(
    ! [VarCurr] :
      ( v19556(VarCurr)
    <=> v19558(VarCurr) ) )).

fof(addAssignment_4964,axiom,(
    ! [VarCurr] :
      ( v19552(VarCurr)
    <=> v19554(VarCurr) ) )).

fof(addAssignment_4963,axiom,(
    ! [VarCurr] :
      ( v19548(VarCurr)
    <=> v19550(VarCurr) ) )).

fof(addAssignment_4962,axiom,(
    ! [VarCurr] :
      ( v19544(VarCurr)
    <=> v19546(VarCurr) ) )).

fof(addAssignment_4961,axiom,(
    ! [VarCurr] :
      ( v19540(VarCurr)
    <=> v19542(VarCurr) ) )).

fof(addAssignment_4960,axiom,(
    ! [VarCurr] :
      ( v19536(VarCurr)
    <=> v19538(VarCurr) ) )).

fof(addAssignment_4959,axiom,(
    ! [VarCurr] :
      ( v19532(VarCurr)
    <=> v19534(VarCurr) ) )).

fof(addAssignment_4958,axiom,(
    ! [VarCurr] :
      ( v19528(VarCurr)
    <=> v19530(VarCurr) ) )).

fof(addAssignment_4957,axiom,(
    ! [VarCurr] :
      ( v19524(VarCurr)
    <=> v19526(VarCurr) ) )).

fof(addAssignment_4956,axiom,(
    ! [VarCurr] :
      ( v19520(VarCurr)
    <=> v19522(VarCurr) ) )).

fof(addAssignment_4955,axiom,(
    ! [VarCurr] :
      ( v19516(VarCurr)
    <=> v19518(VarCurr) ) )).

fof(addAssignment_4954,axiom,(
    ! [VarCurr] :
      ( v19512(VarCurr)
    <=> v19514(VarCurr) ) )).

fof(addAssignment_4953,axiom,(
    ! [VarCurr] :
      ( v19508(VarCurr)
    <=> v19510(VarCurr) ) )).

fof(addAssignment_4952,axiom,(
    ! [VarCurr] :
      ( v19480(VarCurr)
    <=> v19482(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4548,axiom,(
    ! [VarCurr] :
      ( v19482(VarCurr)
    <=> ( v19484(VarCurr)
        & v19490(VarCurr) ) ) )).

fof(writeUnaryOperator_1996,axiom,(
    ! [VarCurr] :
      ( ~ v19490(VarCurr)
    <=> v19492(VarCurr) ) )).

fof(addAssignment_4951,axiom,(
    ! [VarCurr] :
      ( v19492(VarCurr)
    <=> v19494(VarCurr) ) )).

fof(addAssignment_4950,axiom,(
    ! [VarCurr] :
      ( v19494(VarCurr)
    <=> v19496(VarCurr) ) )).

fof(addAssignment_4949,axiom,(
    ! [VarCurr] :
      ( v19496(VarCurr)
    <=> v19498(VarCurr) ) )).

fof(addAssignment_4948,axiom,(
    ! [VarCurr] :
      ( v19498(VarCurr)
    <=> v19500(VarCurr) ) )).

fof(addAssignment_4947,axiom,(
    ! [VarCurr] :
      ( v19484(VarCurr)
    <=> v19486(VarCurr) ) )).

fof(addAssignment_4946,axiom,(
    ! [VarCurr] :
      ( v19486(VarCurr)
    <=> v19488(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_211,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19453(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v18969(VarNext,B)
            <=> v18969(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_232,axiom,(
    ! [VarNext] :
      ( v19453(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v18969(VarNext,B)
          <=> v19468(VarNext,B) ) ) ) )).

fof(addAssignment_4945,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v19468(VarNext,B)
          <=> v19466(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_600,axiom,(
    ! [VarCurr] :
      ( ~ v19462(VarCurr)
     => ! [B] :
          ( range_63_0(B)
         => ( v19466(VarCurr,B)
          <=> v18982(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_600,axiom,(
    ! [VarCurr] :
      ( v19462(VarCurr)
     => ! [B] :
          ( range_63_0(B)
         => ( v19466(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4547,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19453(VarNext)
      <=> ( v19454(VarNext)
          & v19461(VarNext) ) ) ) )).

fof(addAssignment_4944,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19461(VarNext)
      <=> v19459(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4546,axiom,(
    ! [VarCurr] :
      ( v19459(VarCurr)
    <=> ( v19462(VarCurr)
        | v19463(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4545,axiom,(
    ! [VarCurr] :
      ( v19463(VarCurr)
    <=> ( v19464(VarCurr)
        & v19465(VarCurr) ) ) )).

fof(writeUnaryOperator_1995,axiom,(
    ! [VarCurr] :
      ( ~ v19465(VarCurr)
    <=> v19462(VarCurr) ) )).

fof(writeUnaryOperator_1994,axiom,(
    ! [VarCurr] :
      ( ~ v19464(VarCurr)
    <=> v18974(VarCurr) ) )).

fof(writeUnaryOperator_1993,axiom,(
    ! [VarCurr] :
      ( ~ v19462(VarCurr)
    <=> v18971(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4544,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19454(VarNext)
      <=> ( v19455(VarNext)
          & v19434(VarNext) ) ) ) )).

fof(writeUnaryOperator_1992,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19455(VarNext)
      <=> v19441(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_210,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19437(VarNext)
       => ! [B] :
            ( range_63_0(B)
           => ( v18982(VarNext,B)
            <=> v18982(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_231,axiom,(
    ! [VarNext] :
      ( v19437(VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v18982(VarNext,B)
          <=> v19447(VarNext,B) ) ) ) )).

fof(addAssignment_4943,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_63_0(B)
         => ( v19447(VarNext,B)
          <=> v19445(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_415,axiom,(
    ! [VarCurr] :
      ( ~ v19448(VarCurr)
     => ! [B] :
          ( range_63_0(B)
         => ( v19445(VarCurr,B)
          <=> v18984(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_419,axiom,(
    ! [VarCurr] :
      ( v19448(VarCurr)
     => ! [B] :
          ( range_63_0(B)
         => ( v19445(VarCurr,B)
          <=> $false ) ) ) )).

fof(bitBlastConstant_8856,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex63) )).

fof(bitBlastConstant_8855,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex62) )).

fof(bitBlastConstant_8854,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex61) )).

fof(bitBlastConstant_8853,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex60) )).

fof(bitBlastConstant_8852,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex59) )).

fof(bitBlastConstant_8851,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex58) )).

fof(bitBlastConstant_8850,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex57) )).

fof(bitBlastConstant_8849,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex56) )).

fof(bitBlastConstant_8848,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex55) )).

fof(bitBlastConstant_8847,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex54) )).

fof(bitBlastConstant_8846,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex53) )).

fof(bitBlastConstant_8845,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex52) )).

fof(bitBlastConstant_8844,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex51) )).

fof(bitBlastConstant_8843,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex50) )).

fof(bitBlastConstant_8842,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex49) )).

fof(bitBlastConstant_8841,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex48) )).

fof(bitBlastConstant_8840,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex47) )).

fof(bitBlastConstant_8839,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex46) )).

fof(bitBlastConstant_8838,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex45) )).

fof(bitBlastConstant_8837,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex44) )).

fof(bitBlastConstant_8836,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex43) )).

fof(bitBlastConstant_8835,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex42) )).

fof(bitBlastConstant_8834,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex41) )).

fof(bitBlastConstant_8833,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex40) )).

fof(bitBlastConstant_8832,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex39) )).

fof(bitBlastConstant_8831,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex38) )).

fof(bitBlastConstant_8830,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex37) )).

fof(bitBlastConstant_8829,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex36) )).

fof(bitBlastConstant_8828,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex35) )).

fof(bitBlastConstant_8827,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex34) )).

fof(bitBlastConstant_8826,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex33) )).

fof(bitBlastConstant_8825,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex32) )).

fof(bitBlastConstant_8824,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex31) )).

fof(bitBlastConstant_8823,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex30) )).

fof(bitBlastConstant_8822,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex29) )).

fof(bitBlastConstant_8821,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex28) )).

fof(bitBlastConstant_8820,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex27) )).

fof(bitBlastConstant_8819,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_8818,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_8817,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_8816,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_8815,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_8814,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_8813,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_8812,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_8811,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_8810,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_8809,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_8808,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_8807,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_8806,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_8805,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_8804,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_8803,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_8802,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_8801,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_8800,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_8799,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_8798,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_8797,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_8796,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_8795,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_8794,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_8793,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000(bitIndex0) )).

fof(writeUnaryOperator_1991,axiom,(
    ! [VarCurr] :
      ( ~ v19448(VarCurr)
    <=> v18971(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4543,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19437(VarNext)
      <=> v19438(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4542,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19438(VarNext)
      <=> ( v19439(VarNext)
          & v19434(VarNext) ) ) ) )).

fof(writeUnaryOperator_1990,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v19439(VarNext)
      <=> v19441(VarNext) ) ) )).

fof(addAssignment_4942,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v19441(VarNext)
      <=> v19434(VarCurr) ) ) )).

fof(addAssignment_4941,axiom,(
    ! [VarCurr] :
      ( v19434(VarCurr)
    <=> v8025(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_16,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v18984(VarCurr,B)
      <=> ( v19431(VarCurr,B)
          | v19292(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_15,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v19431(VarCurr,B)
      <=> ( v18982(VarCurr,B)
          & v19432(VarCurr,B) ) ) ) )).

fof(writeUnaryOperator_1989,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v19432(VarCurr,B)
      <=> ~ v18986(VarCurr,B) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_181,axiom,(
    ! [VarCurr] :
      ( ~ v19429(VarCurr)
     => ( v19292(VarCurr,bitIndex63)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_177,axiom,(
    ! [VarCurr] :
      ( v19429(VarCurr)
     => ( v19292(VarCurr,bitIndex63)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1320,axiom,(
    ! [VarCurr] :
      ( v19429(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_180,axiom,(
    ! [VarCurr] :
      ( ~ v19427(VarCurr)
     => ( v19292(VarCurr,bitIndex62)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_176,axiom,(
    ! [VarCurr] :
      ( v19427(VarCurr)
     => ( v19292(VarCurr,bitIndex62)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1319,axiom,(
    ! [VarCurr] :
      ( v19427(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_179,axiom,(
    ! [VarCurr] :
      ( ~ v19425(VarCurr)
     => ( v19292(VarCurr,bitIndex61)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_175,axiom,(
    ! [VarCurr] :
      ( v19425(VarCurr)
     => ( v19292(VarCurr,bitIndex61)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1318,axiom,(
    ! [VarCurr] :
      ( v19425(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_178,axiom,(
    ! [VarCurr] :
      ( ~ v19423(VarCurr)
     => ( v19292(VarCurr,bitIndex60)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_174,axiom,(
    ! [VarCurr] :
      ( v19423(VarCurr)
     => ( v19292(VarCurr,bitIndex60)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1317,axiom,(
    ! [VarCurr] :
      ( v19423(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_177,axiom,(
    ! [VarCurr] :
      ( ~ v19421(VarCurr)
     => ( v19292(VarCurr,bitIndex59)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_173,axiom,(
    ! [VarCurr] :
      ( v19421(VarCurr)
     => ( v19292(VarCurr,bitIndex59)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1316,axiom,(
    ! [VarCurr] :
      ( v19421(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_176,axiom,(
    ! [VarCurr] :
      ( ~ v19419(VarCurr)
     => ( v19292(VarCurr,bitIndex58)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_172,axiom,(
    ! [VarCurr] :
      ( v19419(VarCurr)
     => ( v19292(VarCurr,bitIndex58)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1315,axiom,(
    ! [VarCurr] :
      ( v19419(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_175,axiom,(
    ! [VarCurr] :
      ( ~ v19417(VarCurr)
     => ( v19292(VarCurr,bitIndex57)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_171,axiom,(
    ! [VarCurr] :
      ( v19417(VarCurr)
     => ( v19292(VarCurr,bitIndex57)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1314,axiom,(
    ! [VarCurr] :
      ( v19417(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_174,axiom,(
    ! [VarCurr] :
      ( ~ v19415(VarCurr)
     => ( v19292(VarCurr,bitIndex56)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_170,axiom,(
    ! [VarCurr] :
      ( v19415(VarCurr)
     => ( v19292(VarCurr,bitIndex56)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1313,axiom,(
    ! [VarCurr] :
      ( v19415(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_173,axiom,(
    ! [VarCurr] :
      ( ~ v19413(VarCurr)
     => ( v19292(VarCurr,bitIndex55)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_169,axiom,(
    ! [VarCurr] :
      ( v19413(VarCurr)
     => ( v19292(VarCurr,bitIndex55)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1312,axiom,(
    ! [VarCurr] :
      ( v19413(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_172,axiom,(
    ! [VarCurr] :
      ( ~ v19411(VarCurr)
     => ( v19292(VarCurr,bitIndex54)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_168,axiom,(
    ! [VarCurr] :
      ( v19411(VarCurr)
     => ( v19292(VarCurr,bitIndex54)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1311,axiom,(
    ! [VarCurr] :
      ( v19411(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_171,axiom,(
    ! [VarCurr] :
      ( ~ v19409(VarCurr)
     => ( v19292(VarCurr,bitIndex53)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_167,axiom,(
    ! [VarCurr] :
      ( v19409(VarCurr)
     => ( v19292(VarCurr,bitIndex53)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1310,axiom,(
    ! [VarCurr] :
      ( v19409(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_170,axiom,(
    ! [VarCurr] :
      ( ~ v19407(VarCurr)
     => ( v19292(VarCurr,bitIndex52)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_166,axiom,(
    ! [VarCurr] :
      ( v19407(VarCurr)
     => ( v19292(VarCurr,bitIndex52)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1309,axiom,(
    ! [VarCurr] :
      ( v19407(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_169,axiom,(
    ! [VarCurr] :
      ( ~ v19405(VarCurr)
     => ( v19292(VarCurr,bitIndex51)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_165,axiom,(
    ! [VarCurr] :
      ( v19405(VarCurr)
     => ( v19292(VarCurr,bitIndex51)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1308,axiom,(
    ! [VarCurr] :
      ( v19405(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_168,axiom,(
    ! [VarCurr] :
      ( ~ v19403(VarCurr)
     => ( v19292(VarCurr,bitIndex50)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_164,axiom,(
    ! [VarCurr] :
      ( v19403(VarCurr)
     => ( v19292(VarCurr,bitIndex50)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1307,axiom,(
    ! [VarCurr] :
      ( v19403(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_167,axiom,(
    ! [VarCurr] :
      ( ~ v19401(VarCurr)
     => ( v19292(VarCurr,bitIndex49)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_163,axiom,(
    ! [VarCurr] :
      ( v19401(VarCurr)
     => ( v19292(VarCurr,bitIndex49)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1306,axiom,(
    ! [VarCurr] :
      ( v19401(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_166,axiom,(
    ! [VarCurr] :
      ( ~ v19399(VarCurr)
     => ( v19292(VarCurr,bitIndex48)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_162,axiom,(
    ! [VarCurr] :
      ( v19399(VarCurr)
     => ( v19292(VarCurr,bitIndex48)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1305,axiom,(
    ! [VarCurr] :
      ( v19399(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_165,axiom,(
    ! [VarCurr] :
      ( ~ v19397(VarCurr)
     => ( v19292(VarCurr,bitIndex47)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_161,axiom,(
    ! [VarCurr] :
      ( v19397(VarCurr)
     => ( v19292(VarCurr,bitIndex47)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1304,axiom,(
    ! [VarCurr] :
      ( v19397(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_164,axiom,(
    ! [VarCurr] :
      ( ~ v19395(VarCurr)
     => ( v19292(VarCurr,bitIndex46)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_160,axiom,(
    ! [VarCurr] :
      ( v19395(VarCurr)
     => ( v19292(VarCurr,bitIndex46)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1303,axiom,(
    ! [VarCurr] :
      ( v19395(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_163,axiom,(
    ! [VarCurr] :
      ( ~ v19393(VarCurr)
     => ( v19292(VarCurr,bitIndex45)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_159,axiom,(
    ! [VarCurr] :
      ( v19393(VarCurr)
     => ( v19292(VarCurr,bitIndex45)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1302,axiom,(
    ! [VarCurr] :
      ( v19393(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_162,axiom,(
    ! [VarCurr] :
      ( ~ v19391(VarCurr)
     => ( v19292(VarCurr,bitIndex44)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_158,axiom,(
    ! [VarCurr] :
      ( v19391(VarCurr)
     => ( v19292(VarCurr,bitIndex44)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1301,axiom,(
    ! [VarCurr] :
      ( v19391(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_161,axiom,(
    ! [VarCurr] :
      ( ~ v19389(VarCurr)
     => ( v19292(VarCurr,bitIndex43)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_157,axiom,(
    ! [VarCurr] :
      ( v19389(VarCurr)
     => ( v19292(VarCurr,bitIndex43)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1300,axiom,(
    ! [VarCurr] :
      ( v19389(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_160,axiom,(
    ! [VarCurr] :
      ( ~ v19387(VarCurr)
     => ( v19292(VarCurr,bitIndex42)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_156,axiom,(
    ! [VarCurr] :
      ( v19387(VarCurr)
     => ( v19292(VarCurr,bitIndex42)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1299,axiom,(
    ! [VarCurr] :
      ( v19387(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_159,axiom,(
    ! [VarCurr] :
      ( ~ v19385(VarCurr)
     => ( v19292(VarCurr,bitIndex41)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_155,axiom,(
    ! [VarCurr] :
      ( v19385(VarCurr)
     => ( v19292(VarCurr,bitIndex41)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1298,axiom,(
    ! [VarCurr] :
      ( v19385(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_158,axiom,(
    ! [VarCurr] :
      ( ~ v19383(VarCurr)
     => ( v19292(VarCurr,bitIndex40)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_154,axiom,(
    ! [VarCurr] :
      ( v19383(VarCurr)
     => ( v19292(VarCurr,bitIndex40)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1297,axiom,(
    ! [VarCurr] :
      ( v19383(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_157,axiom,(
    ! [VarCurr] :
      ( ~ v19381(VarCurr)
     => ( v19292(VarCurr,bitIndex39)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_153,axiom,(
    ! [VarCurr] :
      ( v19381(VarCurr)
     => ( v19292(VarCurr,bitIndex39)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1296,axiom,(
    ! [VarCurr] :
      ( v19381(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_156,axiom,(
    ! [VarCurr] :
      ( ~ v19379(VarCurr)
     => ( v19292(VarCurr,bitIndex38)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_152,axiom,(
    ! [VarCurr] :
      ( v19379(VarCurr)
     => ( v19292(VarCurr,bitIndex38)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1295,axiom,(
    ! [VarCurr] :
      ( v19379(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_155,axiom,(
    ! [VarCurr] :
      ( ~ v19377(VarCurr)
     => ( v19292(VarCurr,bitIndex37)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_151,axiom,(
    ! [VarCurr] :
      ( v19377(VarCurr)
     => ( v19292(VarCurr,bitIndex37)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1294,axiom,(
    ! [VarCurr] :
      ( v19377(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_154,axiom,(
    ! [VarCurr] :
      ( ~ v19375(VarCurr)
     => ( v19292(VarCurr,bitIndex36)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_150,axiom,(
    ! [VarCurr] :
      ( v19375(VarCurr)
     => ( v19292(VarCurr,bitIndex36)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1293,axiom,(
    ! [VarCurr] :
      ( v19375(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_153,axiom,(
    ! [VarCurr] :
      ( ~ v19373(VarCurr)
     => ( v19292(VarCurr,bitIndex35)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_149,axiom,(
    ! [VarCurr] :
      ( v19373(VarCurr)
     => ( v19292(VarCurr,bitIndex35)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1292,axiom,(
    ! [VarCurr] :
      ( v19373(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_152,axiom,(
    ! [VarCurr] :
      ( ~ v19371(VarCurr)
     => ( v19292(VarCurr,bitIndex34)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_148,axiom,(
    ! [VarCurr] :
      ( v19371(VarCurr)
     => ( v19292(VarCurr,bitIndex34)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1291,axiom,(
    ! [VarCurr] :
      ( v19371(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_151,axiom,(
    ! [VarCurr] :
      ( ~ v19369(VarCurr)
     => ( v19292(VarCurr,bitIndex33)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_147,axiom,(
    ! [VarCurr] :
      ( v19369(VarCurr)
     => ( v19292(VarCurr,bitIndex33)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1290,axiom,(
    ! [VarCurr] :
      ( v19369(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_150,axiom,(
    ! [VarCurr] :
      ( ~ v19367(VarCurr)
     => ( v19292(VarCurr,bitIndex32)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_146,axiom,(
    ! [VarCurr] :
      ( v19367(VarCurr)
     => ( v19292(VarCurr,bitIndex32)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1289,axiom,(
    ! [VarCurr] :
      ( v19367(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_149,axiom,(
    ! [VarCurr] :
      ( ~ v19365(VarCurr)
     => ( v19292(VarCurr,bitIndex31)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_145,axiom,(
    ! [VarCurr] :
      ( v19365(VarCurr)
     => ( v19292(VarCurr,bitIndex31)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1288,axiom,(
    ! [VarCurr] :
      ( v19365(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_148,axiom,(
    ! [VarCurr] :
      ( ~ v19363(VarCurr)
     => ( v19292(VarCurr,bitIndex30)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_144,axiom,(
    ! [VarCurr] :
      ( v19363(VarCurr)
     => ( v19292(VarCurr,bitIndex30)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1287,axiom,(
    ! [VarCurr] :
      ( v19363(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_147,axiom,(
    ! [VarCurr] :
      ( ~ v19361(VarCurr)
     => ( v19292(VarCurr,bitIndex29)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_143,axiom,(
    ! [VarCurr] :
      ( v19361(VarCurr)
     => ( v19292(VarCurr,bitIndex29)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1286,axiom,(
    ! [VarCurr] :
      ( v19361(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_146,axiom,(
    ! [VarCurr] :
      ( ~ v19359(VarCurr)
     => ( v19292(VarCurr,bitIndex28)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_142,axiom,(
    ! [VarCurr] :
      ( v19359(VarCurr)
     => ( v19292(VarCurr,bitIndex28)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1285,axiom,(
    ! [VarCurr] :
      ( v19359(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_145,axiom,(
    ! [VarCurr] :
      ( ~ v19357(VarCurr)
     => ( v19292(VarCurr,bitIndex27)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_141,axiom,(
    ! [VarCurr] :
      ( v19357(VarCurr)
     => ( v19292(VarCurr,bitIndex27)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1284,axiom,(
    ! [VarCurr] :
      ( v19357(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_144,axiom,(
    ! [VarCurr] :
      ( ~ v19355(VarCurr)
     => ( v19292(VarCurr,bitIndex26)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_140,axiom,(
    ! [VarCurr] :
      ( v19355(VarCurr)
     => ( v19292(VarCurr,bitIndex26)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1283,axiom,(
    ! [VarCurr] :
      ( v19355(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_143,axiom,(
    ! [VarCurr] :
      ( ~ v19353(VarCurr)
     => ( v19292(VarCurr,bitIndex25)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_139,axiom,(
    ! [VarCurr] :
      ( v19353(VarCurr)
     => ( v19292(VarCurr,bitIndex25)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1282,axiom,(
    ! [VarCurr] :
      ( v19353(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_142,axiom,(
    ! [VarCurr] :
      ( ~ v19351(VarCurr)
     => ( v19292(VarCurr,bitIndex24)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_138,axiom,(
    ! [VarCurr] :
      ( v19351(VarCurr)
     => ( v19292(VarCurr,bitIndex24)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1281,axiom,(
    ! [VarCurr] :
      ( v19351(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_141,axiom,(
    ! [VarCurr] :
      ( ~ v19349(VarCurr)
     => ( v19292(VarCurr,bitIndex23)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_137,axiom,(
    ! [VarCurr] :
      ( v19349(VarCurr)
     => ( v19292(VarCurr,bitIndex23)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1280,axiom,(
    ! [VarCurr] :
      ( v19349(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_140,axiom,(
    ! [VarCurr] :
      ( ~ v19347(VarCurr)
     => ( v19292(VarCurr,bitIndex22)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_136,axiom,(
    ! [VarCurr] :
      ( v19347(VarCurr)
     => ( v19292(VarCurr,bitIndex22)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1279,axiom,(
    ! [VarCurr] :
      ( v19347(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_139,axiom,(
    ! [VarCurr] :
      ( ~ v19345(VarCurr)
     => ( v19292(VarCurr,bitIndex21)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_135,axiom,(
    ! [VarCurr] :
      ( v19345(VarCurr)
     => ( v19292(VarCurr,bitIndex21)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1278,axiom,(
    ! [VarCurr] :
      ( v19345(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_138,axiom,(
    ! [VarCurr] :
      ( ~ v19343(VarCurr)
     => ( v19292(VarCurr,bitIndex20)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_134,axiom,(
    ! [VarCurr] :
      ( v19343(VarCurr)
     => ( v19292(VarCurr,bitIndex20)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1277,axiom,(
    ! [VarCurr] :
      ( v19343(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_137,axiom,(
    ! [VarCurr] :
      ( ~ v19341(VarCurr)
     => ( v19292(VarCurr,bitIndex19)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_133,axiom,(
    ! [VarCurr] :
      ( v19341(VarCurr)
     => ( v19292(VarCurr,bitIndex19)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1276,axiom,(
    ! [VarCurr] :
      ( v19341(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_136,axiom,(
    ! [VarCurr] :
      ( ~ v19339(VarCurr)
     => ( v19292(VarCurr,bitIndex18)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_132,axiom,(
    ! [VarCurr] :
      ( v19339(VarCurr)
     => ( v19292(VarCurr,bitIndex18)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1275,axiom,(
    ! [VarCurr] :
      ( v19339(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_135,axiom,(
    ! [VarCurr] :
      ( ~ v19337(VarCurr)
     => ( v19292(VarCurr,bitIndex17)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_131,axiom,(
    ! [VarCurr] :
      ( v19337(VarCurr)
     => ( v19292(VarCurr,bitIndex17)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1274,axiom,(
    ! [VarCurr] :
      ( v19337(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_134,axiom,(
    ! [VarCurr] :
      ( ~ v19335(VarCurr)
     => ( v19292(VarCurr,bitIndex16)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_130,axiom,(
    ! [VarCurr] :
      ( v19335(VarCurr)
     => ( v19292(VarCurr,bitIndex16)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1273,axiom,(
    ! [VarCurr] :
      ( v19335(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_133,axiom,(
    ! [VarCurr] :
      ( ~ v19333(VarCurr)
     => ( v19292(VarCurr,bitIndex15)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_129,axiom,(
    ! [VarCurr] :
      ( v19333(VarCurr)
     => ( v19292(VarCurr,bitIndex15)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1272,axiom,(
    ! [VarCurr] :
      ( v19333(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_132,axiom,(
    ! [VarCurr] :
      ( ~ v19331(VarCurr)
     => ( v19292(VarCurr,bitIndex14)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_128,axiom,(
    ! [VarCurr] :
      ( v19331(VarCurr)
     => ( v19292(VarCurr,bitIndex14)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1271,axiom,(
    ! [VarCurr] :
      ( v19331(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_131,axiom,(
    ! [VarCurr] :
      ( ~ v19329(VarCurr)
     => ( v19292(VarCurr,bitIndex13)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_127,axiom,(
    ! [VarCurr] :
      ( v19329(VarCurr)
     => ( v19292(VarCurr,bitIndex13)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1270,axiom,(
    ! [VarCurr] :
      ( v19329(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_130,axiom,(
    ! [VarCurr] :
      ( ~ v19327(VarCurr)
     => ( v19292(VarCurr,bitIndex12)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_126,axiom,(
    ! [VarCurr] :
      ( v19327(VarCurr)
     => ( v19292(VarCurr,bitIndex12)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1269,axiom,(
    ! [VarCurr] :
      ( v19327(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_129,axiom,(
    ! [VarCurr] :
      ( ~ v19325(VarCurr)
     => ( v19292(VarCurr,bitIndex11)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_125,axiom,(
    ! [VarCurr] :
      ( v19325(VarCurr)
     => ( v19292(VarCurr,bitIndex11)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1268,axiom,(
    ! [VarCurr] :
      ( v19325(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_128,axiom,(
    ! [VarCurr] :
      ( ~ v19323(VarCurr)
     => ( v19292(VarCurr,bitIndex10)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_124,axiom,(
    ! [VarCurr] :
      ( v19323(VarCurr)
     => ( v19292(VarCurr,bitIndex10)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1267,axiom,(
    ! [VarCurr] :
      ( v19323(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_127,axiom,(
    ! [VarCurr] :
      ( ~ v19321(VarCurr)
     => ( v19292(VarCurr,bitIndex9)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_123,axiom,(
    ! [VarCurr] :
      ( v19321(VarCurr)
     => ( v19292(VarCurr,bitIndex9)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1266,axiom,(
    ! [VarCurr] :
      ( v19321(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_126,axiom,(
    ! [VarCurr] :
      ( ~ v19319(VarCurr)
     => ( v19292(VarCurr,bitIndex8)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_122,axiom,(
    ! [VarCurr] :
      ( v19319(VarCurr)
     => ( v19292(VarCurr,bitIndex8)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1265,axiom,(
    ! [VarCurr] :
      ( v19319(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_125,axiom,(
    ! [VarCurr] :
      ( ~ v19317(VarCurr)
     => ( v19292(VarCurr,bitIndex7)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_121,axiom,(
    ! [VarCurr] :
      ( v19317(VarCurr)
     => ( v19292(VarCurr,bitIndex7)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1264,axiom,(
    ! [VarCurr] :
      ( v19317(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_124,axiom,(
    ! [VarCurr] :
      ( ~ v19315(VarCurr)
     => ( v19292(VarCurr,bitIndex6)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_120,axiom,(
    ! [VarCurr] :
      ( v19315(VarCurr)
     => ( v19292(VarCurr,bitIndex6)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1263,axiom,(
    ! [VarCurr] :
      ( v19315(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_123,axiom,(
    ! [VarCurr] :
      ( ~ v19313(VarCurr)
     => ( v19292(VarCurr,bitIndex5)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_119,axiom,(
    ! [VarCurr] :
      ( v19313(VarCurr)
     => ( v19292(VarCurr,bitIndex5)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1262,axiom,(
    ! [VarCurr] :
      ( v19313(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_122,axiom,(
    ! [VarCurr] :
      ( ~ v19311(VarCurr)
     => ( v19292(VarCurr,bitIndex4)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_118,axiom,(
    ! [VarCurr] :
      ( v19311(VarCurr)
     => ( v19292(VarCurr,bitIndex4)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1261,axiom,(
    ! [VarCurr] :
      ( v19311(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_121,axiom,(
    ! [VarCurr] :
      ( ~ v19309(VarCurr)
     => ( v19292(VarCurr,bitIndex3)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_117,axiom,(
    ! [VarCurr] :
      ( v19309(VarCurr)
     => ( v19292(VarCurr,bitIndex3)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1260,axiom,(
    ! [VarCurr] :
      ( v19309(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_120,axiom,(
    ! [VarCurr] :
      ( ~ v19307(VarCurr)
     => ( v19292(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_116,axiom,(
    ! [VarCurr] :
      ( v19307(VarCurr)
     => ( v19292(VarCurr,bitIndex2)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1259,axiom,(
    ! [VarCurr] :
      ( v19307(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_119,axiom,(
    ! [VarCurr] :
      ( ~ v19305(VarCurr)
     => ( v19292(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_115,axiom,(
    ! [VarCurr] :
      ( v19305(VarCurr)
     => ( v19292(VarCurr,bitIndex1)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1258,axiom,(
    ! [VarCurr] :
      ( v19305(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_414,axiom,(
    ! [VarCurr] :
      ( ~ v19303(VarCurr)
     => ( v19292(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_418,axiom,(
    ! [VarCurr] :
      ( v19303(VarCurr)
     => ( v19292(VarCurr,bitIndex0)
      <=> v19294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1257,axiom,(
    ! [VarCurr] :
      ( v19303(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4541,axiom,(
    ! [VarCurr] :
      ( v19294(VarCurr)
    <=> ( v19296(VarCurr)
        | v19299(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4540,axiom,(
    ! [VarCurr] :
      ( v19299(VarCurr)
    <=> ( v19056(VarCurr)
        & v19066(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4539,axiom,(
    ! [VarCurr] :
      ( v19296(VarCurr)
    <=> ( v19025(VarCurr)
        & v19044(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_14,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v18986(VarCurr,B)
      <=> ( v18988(VarCurr,B)
          | v19267(VarCurr,B) ) ) ) )).

fof(addAssignment_4940,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v19267(VarCurr,B)
      <=> v19269(VarCurr,B) ) ) )).

fof(addAssignment_4939,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v19269(VarCurr,B)
      <=> v19271(VarCurr,B) ) ) )).

fof(addAssignment_4938,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v19271(VarCurr,B)
      <=> v19273(VarCurr,B) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_13,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v19273(VarCurr,B)
      <=> ( v19275(VarCurr,B)
          | v19288(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_12,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v19275(VarCurr,B)
      <=> ( v19277(VarCurr,B)
          & v19279(VarCurr,B) ) ) ) )).

fof(addAssignment_4937,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v19279(VarCurr,B)
      <=> v19281(VarCurr,B) ) ) )).

fof(addAssignment_4936,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v19281(VarCurr,B)
      <=> v19283(VarCurr,B) ) ) )).

fof(addAssignment_4935,axiom,(
    ! [VarCurr,B] :
      ( range_63_0(B)
     => ( v19283(VarCurr,B)
      <=> v19285(VarCurr,B) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_118,axiom,(
    ! [VarCurr] :
      ( ~ v19265(VarCurr)
     => ( v18988(VarCurr,bitIndex63)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_114,axiom,(
    ! [VarCurr] :
      ( v19265(VarCurr)
     => ( v18988(VarCurr,bitIndex63)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1256,axiom,(
    ! [VarCurr] :
      ( v19265(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_8792,axiom,(
    b111111(bitIndex5) )).

fof(bitBlastConstant_8791,axiom,(
    b111111(bitIndex4) )).

fof(bitBlastConstant_8790,axiom,(
    b111111(bitIndex3) )).

fof(bitBlastConstant_8789,axiom,(
    b111111(bitIndex2) )).

fof(bitBlastConstant_8788,axiom,(
    b111111(bitIndex1) )).

fof(bitBlastConstant_8787,axiom,(
    b111111(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_117,axiom,(
    ! [VarCurr] :
      ( ~ v19263(VarCurr)
     => ( v18988(VarCurr,bitIndex62)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_113,axiom,(
    ! [VarCurr] :
      ( v19263(VarCurr)
     => ( v18988(VarCurr,bitIndex62)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1255,axiom,(
    ! [VarCurr] :
      ( v19263(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_8786,axiom,(
    b111110(bitIndex5) )).

fof(bitBlastConstant_8785,axiom,(
    b111110(bitIndex4) )).

fof(bitBlastConstant_8784,axiom,(
    b111110(bitIndex3) )).

fof(bitBlastConstant_8783,axiom,(
    b111110(bitIndex2) )).

fof(bitBlastConstant_8782,axiom,(
    b111110(bitIndex1) )).

fof(bitBlastConstant_8781,axiom,(
    ~ b111110(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_116,axiom,(
    ! [VarCurr] :
      ( ~ v19261(VarCurr)
     => ( v18988(VarCurr,bitIndex61)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_112,axiom,(
    ! [VarCurr] :
      ( v19261(VarCurr)
     => ( v18988(VarCurr,bitIndex61)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1254,axiom,(
    ! [VarCurr] :
      ( v19261(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_8780,axiom,(
    b111101(bitIndex5) )).

fof(bitBlastConstant_8779,axiom,(
    b111101(bitIndex4) )).

fof(bitBlastConstant_8778,axiom,(
    b111101(bitIndex3) )).

fof(bitBlastConstant_8777,axiom,(
    b111101(bitIndex2) )).

fof(bitBlastConstant_8776,axiom,(
    ~ b111101(bitIndex1) )).

fof(bitBlastConstant_8775,axiom,(
    b111101(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_115,axiom,(
    ! [VarCurr] :
      ( ~ v19259(VarCurr)
     => ( v18988(VarCurr,bitIndex60)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_111,axiom,(
    ! [VarCurr] :
      ( v19259(VarCurr)
     => ( v18988(VarCurr,bitIndex60)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1253,axiom,(
    ! [VarCurr] :
      ( v19259(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_8774,axiom,(
    b111100(bitIndex5) )).

fof(bitBlastConstant_8773,axiom,(
    b111100(bitIndex4) )).

fof(bitBlastConstant_8772,axiom,(
    b111100(bitIndex3) )).

fof(bitBlastConstant_8771,axiom,(
    b111100(bitIndex2) )).

fof(bitBlastConstant_8770,axiom,(
    ~ b111100(bitIndex1) )).

fof(bitBlastConstant_8769,axiom,(
    ~ b111100(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_114,axiom,(
    ! [VarCurr] :
      ( ~ v19257(VarCurr)
     => ( v18988(VarCurr,bitIndex59)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_110,axiom,(
    ! [VarCurr] :
      ( v19257(VarCurr)
     => ( v18988(VarCurr,bitIndex59)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1252,axiom,(
    ! [VarCurr] :
      ( v19257(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_8768,axiom,(
    b111011(bitIndex5) )).

fof(bitBlastConstant_8767,axiom,(
    b111011(bitIndex4) )).

fof(bitBlastConstant_8766,axiom,(
    b111011(bitIndex3) )).

fof(bitBlastConstant_8765,axiom,(
    ~ b111011(bitIndex2) )).

fof(bitBlastConstant_8764,axiom,(
    b111011(bitIndex1) )).

fof(bitBlastConstant_8763,axiom,(
    b111011(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_113,axiom,(
    ! [VarCurr] :
      ( ~ v19255(VarCurr)
     => ( v18988(VarCurr,bitIndex58)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_109,axiom,(
    ! [VarCurr] :
      ( v19255(VarCurr)
     => ( v18988(VarCurr,bitIndex58)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1251,axiom,(
    ! [VarCurr] :
      ( v19255(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_8762,axiom,(
    b111010(bitIndex5) )).

fof(bitBlastConstant_8761,axiom,(
    b111010(bitIndex4) )).

fof(bitBlastConstant_8760,axiom,(
    b111010(bitIndex3) )).

fof(bitBlastConstant_8759,axiom,(
    ~ b111010(bitIndex2) )).

fof(bitBlastConstant_8758,axiom,(
    b111010(bitIndex1) )).

fof(bitBlastConstant_8757,axiom,(
    ~ b111010(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_112,axiom,(
    ! [VarCurr] :
      ( ~ v19253(VarCurr)
     => ( v18988(VarCurr,bitIndex57)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_108,axiom,(
    ! [VarCurr] :
      ( v19253(VarCurr)
     => ( v18988(VarCurr,bitIndex57)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1250,axiom,(
    ! [VarCurr] :
      ( v19253(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_8756,axiom,(
    b111001(bitIndex5) )).

fof(bitBlastConstant_8755,axiom,(
    b111001(bitIndex4) )).

fof(bitBlastConstant_8754,axiom,(
    b111001(bitIndex3) )).

fof(bitBlastConstant_8753,axiom,(
    ~ b111001(bitIndex2) )).

fof(bitBlastConstant_8752,axiom,(
    ~ b111001(bitIndex1) )).

fof(bitBlastConstant_8751,axiom,(
    b111001(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_111,axiom,(
    ! [VarCurr] :
      ( ~ v19251(VarCurr)
     => ( v18988(VarCurr,bitIndex56)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_107,axiom,(
    ! [VarCurr] :
      ( v19251(VarCurr)
     => ( v18988(VarCurr,bitIndex56)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1249,axiom,(
    ! [VarCurr] :
      ( v19251(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_8750,axiom,(
    b111000(bitIndex5) )).

fof(bitBlastConstant_8749,axiom,(
    b111000(bitIndex4) )).

fof(bitBlastConstant_8748,axiom,(
    b111000(bitIndex3) )).

fof(bitBlastConstant_8747,axiom,(
    ~ b111000(bitIndex2) )).

fof(bitBlastConstant_8746,axiom,(
    ~ b111000(bitIndex1) )).

fof(bitBlastConstant_8745,axiom,(
    ~ b111000(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_110,axiom,(
    ! [VarCurr] :
      ( ~ v19249(VarCurr)
     => ( v18988(VarCurr,bitIndex55)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_106,axiom,(
    ! [VarCurr] :
      ( v19249(VarCurr)
     => ( v18988(VarCurr,bitIndex55)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1248,axiom,(
    ! [VarCurr] :
      ( v19249(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_8744,axiom,(
    b110111(bitIndex5) )).

fof(bitBlastConstant_8743,axiom,(
    b110111(bitIndex4) )).

fof(bitBlastConstant_8742,axiom,(
    ~ b110111(bitIndex3) )).

fof(bitBlastConstant_8741,axiom,(
    b110111(bitIndex2) )).

fof(bitBlastConstant_8740,axiom,(
    b110111(bitIndex1) )).

fof(bitBlastConstant_8739,axiom,(
    b110111(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_109,axiom,(
    ! [VarCurr] :
      ( ~ v19247(VarCurr)
     => ( v18988(VarCurr,bitIndex54)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_105,axiom,(
    ! [VarCurr] :
      ( v19247(VarCurr)
     => ( v18988(VarCurr,bitIndex54)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1247,axiom,(
    ! [VarCurr] :
      ( v19247(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_8738,axiom,(
    b110110(bitIndex5) )).

fof(bitBlastConstant_8737,axiom,(
    b110110(bitIndex4) )).

fof(bitBlastConstant_8736,axiom,(
    ~ b110110(bitIndex3) )).

fof(bitBlastConstant_8735,axiom,(
    b110110(bitIndex2) )).

fof(bitBlastConstant_8734,axiom,(
    b110110(bitIndex1) )).

fof(bitBlastConstant_8733,axiom,(
    ~ b110110(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_108,axiom,(
    ! [VarCurr] :
      ( ~ v19245(VarCurr)
     => ( v18988(VarCurr,bitIndex53)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_104,axiom,(
    ! [VarCurr] :
      ( v19245(VarCurr)
     => ( v18988(VarCurr,bitIndex53)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1246,axiom,(
    ! [VarCurr] :
      ( v19245(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_8732,axiom,(
    b110101(bitIndex5) )).

fof(bitBlastConstant_8731,axiom,(
    b110101(bitIndex4) )).

fof(bitBlastConstant_8730,axiom,(
    ~ b110101(bitIndex3) )).

fof(bitBlastConstant_8729,axiom,(
    b110101(bitIndex2) )).

fof(bitBlastConstant_8728,axiom,(
    ~ b110101(bitIndex1) )).

fof(bitBlastConstant_8727,axiom,(
    b110101(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_107,axiom,(
    ! [VarCurr] :
      ( ~ v19243(VarCurr)
     => ( v18988(VarCurr,bitIndex52)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_103,axiom,(
    ! [VarCurr] :
      ( v19243(VarCurr)
     => ( v18988(VarCurr,bitIndex52)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1245,axiom,(
    ! [VarCurr] :
      ( v19243(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_8726,axiom,(
    b110100(bitIndex5) )).

fof(bitBlastConstant_8725,axiom,(
    b110100(bitIndex4) )).

fof(bitBlastConstant_8724,axiom,(
    ~ b110100(bitIndex3) )).

fof(bitBlastConstant_8723,axiom,(
    b110100(bitIndex2) )).

fof(bitBlastConstant_8722,axiom,(
    ~ b110100(bitIndex1) )).

fof(bitBlastConstant_8721,axiom,(
    ~ b110100(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_106,axiom,(
    ! [VarCurr] :
      ( ~ v19241(VarCurr)
     => ( v18988(VarCurr,bitIndex51)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_102,axiom,(
    ! [VarCurr] :
      ( v19241(VarCurr)
     => ( v18988(VarCurr,bitIndex51)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1244,axiom,(
    ! [VarCurr] :
      ( v19241(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_8720,axiom,(
    b110011(bitIndex5) )).

fof(bitBlastConstant_8719,axiom,(
    b110011(bitIndex4) )).

fof(bitBlastConstant_8718,axiom,(
    ~ b110011(bitIndex3) )).

fof(bitBlastConstant_8717,axiom,(
    ~ b110011(bitIndex2) )).

fof(bitBlastConstant_8716,axiom,(
    b110011(bitIndex1) )).

fof(bitBlastConstant_8715,axiom,(
    b110011(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_105,axiom,(
    ! [VarCurr] :
      ( ~ v19239(VarCurr)
     => ( v18988(VarCurr,bitIndex50)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_101,axiom,(
    ! [VarCurr] :
      ( v19239(VarCurr)
     => ( v18988(VarCurr,bitIndex50)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1243,axiom,(
    ! [VarCurr] :
      ( v19239(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_8714,axiom,(
    b110010(bitIndex5) )).

fof(bitBlastConstant_8713,axiom,(
    b110010(bitIndex4) )).

fof(bitBlastConstant_8712,axiom,(
    ~ b110010(bitIndex3) )).

fof(bitBlastConstant_8711,axiom,(
    ~ b110010(bitIndex2) )).

fof(bitBlastConstant_8710,axiom,(
    b110010(bitIndex1) )).

fof(bitBlastConstant_8709,axiom,(
    ~ b110010(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_104,axiom,(
    ! [VarCurr] :
      ( ~ v19237(VarCurr)
     => ( v18988(VarCurr,bitIndex49)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_100,axiom,(
    ! [VarCurr] :
      ( v19237(VarCurr)
     => ( v18988(VarCurr,bitIndex49)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1242,axiom,(
    ! [VarCurr] :
      ( v19237(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_8708,axiom,(
    b110001(bitIndex5) )).

fof(bitBlastConstant_8707,axiom,(
    b110001(bitIndex4) )).

fof(bitBlastConstant_8706,axiom,(
    ~ b110001(bitIndex3) )).

fof(bitBlastConstant_8705,axiom,(
    ~ b110001(bitIndex2) )).

fof(bitBlastConstant_8704,axiom,(
    ~ b110001(bitIndex1) )).

fof(bitBlastConstant_8703,axiom,(
    b110001(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_103,axiom,(
    ! [VarCurr] :
      ( ~ v19235(VarCurr)
     => ( v18988(VarCurr,bitIndex48)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_99,axiom,(
    ! [VarCurr] :
      ( v19235(VarCurr)
     => ( v18988(VarCurr,bitIndex48)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1241,axiom,(
    ! [VarCurr] :
      ( v19235(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_8702,axiom,(
    b110000(bitIndex5) )).

fof(bitBlastConstant_8701,axiom,(
    b110000(bitIndex4) )).

fof(bitBlastConstant_8700,axiom,(
    ~ b110000(bitIndex3) )).

fof(bitBlastConstant_8699,axiom,(
    ~ b110000(bitIndex2) )).

fof(bitBlastConstant_8698,axiom,(
    ~ b110000(bitIndex1) )).

fof(bitBlastConstant_8697,axiom,(
    ~ b110000(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_102,axiom,(
    ! [VarCurr] :
      ( ~ v19233(VarCurr)
     => ( v18988(VarCurr,bitIndex47)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_98,axiom,(
    ! [VarCurr] :
      ( v19233(VarCurr)
     => ( v18988(VarCurr,bitIndex47)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1240,axiom,(
    ! [VarCurr] :
      ( v19233(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_8696,axiom,(
    b101111(bitIndex5) )).

fof(bitBlastConstant_8695,axiom,(
    ~ b101111(bitIndex4) )).

fof(bitBlastConstant_8694,axiom,(
    b101111(bitIndex3) )).

fof(bitBlastConstant_8693,axiom,(
    b101111(bitIndex2) )).

fof(bitBlastConstant_8692,axiom,(
    b101111(bitIndex1) )).

fof(bitBlastConstant_8691,axiom,(
    b101111(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_101,axiom,(
    ! [VarCurr] :
      ( ~ v19231(VarCurr)
     => ( v18988(VarCurr,bitIndex46)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_97,axiom,(
    ! [VarCurr] :
      ( v19231(VarCurr)
     => ( v18988(VarCurr,bitIndex46)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1239,axiom,(
    ! [VarCurr] :
      ( v19231(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_8690,axiom,(
    b101110(bitIndex5) )).

fof(bitBlastConstant_8689,axiom,(
    ~ b101110(bitIndex4) )).

fof(bitBlastConstant_8688,axiom,(
    b101110(bitIndex3) )).

fof(bitBlastConstant_8687,axiom,(
    b101110(bitIndex2) )).

fof(bitBlastConstant_8686,axiom,(
    b101110(bitIndex1) )).

fof(bitBlastConstant_8685,axiom,(
    ~ b101110(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_100,axiom,(
    ! [VarCurr] :
      ( ~ v19229(VarCurr)
     => ( v18988(VarCurr,bitIndex45)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_96,axiom,(
    ! [VarCurr] :
      ( v19229(VarCurr)
     => ( v18988(VarCurr,bitIndex45)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1238,axiom,(
    ! [VarCurr] :
      ( v19229(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_8684,axiom,(
    b101101(bitIndex5) )).

fof(bitBlastConstant_8683,axiom,(
    ~ b101101(bitIndex4) )).

fof(bitBlastConstant_8682,axiom,(
    b101101(bitIndex3) )).

fof(bitBlastConstant_8681,axiom,(
    b101101(bitIndex2) )).

fof(bitBlastConstant_8680,axiom,(
    ~ b101101(bitIndex1) )).

fof(bitBlastConstant_8679,axiom,(
    b101101(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_99,axiom,(
    ! [VarCurr] :
      ( ~ v19227(VarCurr)
     => ( v18988(VarCurr,bitIndex44)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_95,axiom,(
    ! [VarCurr] :
      ( v19227(VarCurr)
     => ( v18988(VarCurr,bitIndex44)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1237,axiom,(
    ! [VarCurr] :
      ( v19227(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_8678,axiom,(
    b101100(bitIndex5) )).

fof(bitBlastConstant_8677,axiom,(
    ~ b101100(bitIndex4) )).

fof(bitBlastConstant_8676,axiom,(
    b101100(bitIndex3) )).

fof(bitBlastConstant_8675,axiom,(
    b101100(bitIndex2) )).

fof(bitBlastConstant_8674,axiom,(
    ~ b101100(bitIndex1) )).

fof(bitBlastConstant_8673,axiom,(
    ~ b101100(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_98,axiom,(
    ! [VarCurr] :
      ( ~ v19225(VarCurr)
     => ( v18988(VarCurr,bitIndex43)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_94,axiom,(
    ! [VarCurr] :
      ( v19225(VarCurr)
     => ( v18988(VarCurr,bitIndex43)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1236,axiom,(
    ! [VarCurr] :
      ( v19225(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_8672,axiom,(
    b101011(bitIndex5) )).

fof(bitBlastConstant_8671,axiom,(
    ~ b101011(bitIndex4) )).

fof(bitBlastConstant_8670,axiom,(
    b101011(bitIndex3) )).

fof(bitBlastConstant_8669,axiom,(
    ~ b101011(bitIndex2) )).

fof(bitBlastConstant_8668,axiom,(
    b101011(bitIndex1) )).

fof(bitBlastConstant_8667,axiom,(
    b101011(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_97,axiom,(
    ! [VarCurr] :
      ( ~ v19223(VarCurr)
     => ( v18988(VarCurr,bitIndex42)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_93,axiom,(
    ! [VarCurr] :
      ( v19223(VarCurr)
     => ( v18988(VarCurr,bitIndex42)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1235,axiom,(
    ! [VarCurr] :
      ( v19223(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_8666,axiom,(
    b101010(bitIndex5) )).

fof(bitBlastConstant_8665,axiom,(
    ~ b101010(bitIndex4) )).

fof(bitBlastConstant_8664,axiom,(
    b101010(bitIndex3) )).

fof(bitBlastConstant_8663,axiom,(
    ~ b101010(bitIndex2) )).

fof(bitBlastConstant_8662,axiom,(
    b101010(bitIndex1) )).

fof(bitBlastConstant_8661,axiom,(
    ~ b101010(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_96,axiom,(
    ! [VarCurr] :
      ( ~ v19221(VarCurr)
     => ( v18988(VarCurr,bitIndex41)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_92,axiom,(
    ! [VarCurr] :
      ( v19221(VarCurr)
     => ( v18988(VarCurr,bitIndex41)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1234,axiom,(
    ! [VarCurr] :
      ( v19221(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_8660,axiom,(
    b101001(bitIndex5) )).

fof(bitBlastConstant_8659,axiom,(
    ~ b101001(bitIndex4) )).

fof(bitBlastConstant_8658,axiom,(
    b101001(bitIndex3) )).

fof(bitBlastConstant_8657,axiom,(
    ~ b101001(bitIndex2) )).

fof(bitBlastConstant_8656,axiom,(
    ~ b101001(bitIndex1) )).

fof(bitBlastConstant_8655,axiom,(
    b101001(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_95,axiom,(
    ! [VarCurr] :
      ( ~ v19219(VarCurr)
     => ( v18988(VarCurr,bitIndex40)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_91,axiom,(
    ! [VarCurr] :
      ( v19219(VarCurr)
     => ( v18988(VarCurr,bitIndex40)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1233,axiom,(
    ! [VarCurr] :
      ( v19219(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_8654,axiom,(
    b101000(bitIndex5) )).

fof(bitBlastConstant_8653,axiom,(
    ~ b101000(bitIndex4) )).

fof(bitBlastConstant_8652,axiom,(
    b101000(bitIndex3) )).

fof(bitBlastConstant_8651,axiom,(
    ~ b101000(bitIndex2) )).

fof(bitBlastConstant_8650,axiom,(
    ~ b101000(bitIndex1) )).

fof(bitBlastConstant_8649,axiom,(
    ~ b101000(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_94,axiom,(
    ! [VarCurr] :
      ( ~ v19217(VarCurr)
     => ( v18988(VarCurr,bitIndex39)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_90,axiom,(
    ! [VarCurr] :
      ( v19217(VarCurr)
     => ( v18988(VarCurr,bitIndex39)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1232,axiom,(
    ! [VarCurr] :
      ( v19217(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_8648,axiom,(
    b100111(bitIndex5) )).

fof(bitBlastConstant_8647,axiom,(
    ~ b100111(bitIndex4) )).

fof(bitBlastConstant_8646,axiom,(
    ~ b100111(bitIndex3) )).

fof(bitBlastConstant_8645,axiom,(
    b100111(bitIndex2) )).

fof(bitBlastConstant_8644,axiom,(
    b100111(bitIndex1) )).

fof(bitBlastConstant_8643,axiom,(
    b100111(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_93,axiom,(
    ! [VarCurr] :
      ( ~ v19215(VarCurr)
     => ( v18988(VarCurr,bitIndex38)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_89,axiom,(
    ! [VarCurr] :
      ( v19215(VarCurr)
     => ( v18988(VarCurr,bitIndex38)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1231,axiom,(
    ! [VarCurr] :
      ( v19215(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_8642,axiom,(
    b100110(bitIndex5) )).

fof(bitBlastConstant_8641,axiom,(
    ~ b100110(bitIndex4) )).

fof(bitBlastConstant_8640,axiom,(
    ~ b100110(bitIndex3) )).

fof(bitBlastConstant_8639,axiom,(
    b100110(bitIndex2) )).

fof(bitBlastConstant_8638,axiom,(
    b100110(bitIndex1) )).

fof(bitBlastConstant_8637,axiom,(
    ~ b100110(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_92,axiom,(
    ! [VarCurr] :
      ( ~ v19213(VarCurr)
     => ( v18988(VarCurr,bitIndex37)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_88,axiom,(
    ! [VarCurr] :
      ( v19213(VarCurr)
     => ( v18988(VarCurr,bitIndex37)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1230,axiom,(
    ! [VarCurr] :
      ( v19213(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_8636,axiom,(
    b100101(bitIndex5) )).

fof(bitBlastConstant_8635,axiom,(
    ~ b100101(bitIndex4) )).

fof(bitBlastConstant_8634,axiom,(
    ~ b100101(bitIndex3) )).

fof(bitBlastConstant_8633,axiom,(
    b100101(bitIndex2) )).

fof(bitBlastConstant_8632,axiom,(
    ~ b100101(bitIndex1) )).

fof(bitBlastConstant_8631,axiom,(
    b100101(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_91,axiom,(
    ! [VarCurr] :
      ( ~ v19211(VarCurr)
     => ( v18988(VarCurr,bitIndex36)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_87,axiom,(
    ! [VarCurr] :
      ( v19211(VarCurr)
     => ( v18988(VarCurr,bitIndex36)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1229,axiom,(
    ! [VarCurr] :
      ( v19211(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_8630,axiom,(
    b100100(bitIndex5) )).

fof(bitBlastConstant_8629,axiom,(
    ~ b100100(bitIndex4) )).

fof(bitBlastConstant_8628,axiom,(
    ~ b100100(bitIndex3) )).

fof(bitBlastConstant_8627,axiom,(
    b100100(bitIndex2) )).

fof(bitBlastConstant_8626,axiom,(
    ~ b100100(bitIndex1) )).

fof(bitBlastConstant_8625,axiom,(
    ~ b100100(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_90,axiom,(
    ! [VarCurr] :
      ( ~ v19209(VarCurr)
     => ( v18988(VarCurr,bitIndex35)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_86,axiom,(
    ! [VarCurr] :
      ( v19209(VarCurr)
     => ( v18988(VarCurr,bitIndex35)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1228,axiom,(
    ! [VarCurr] :
      ( v19209(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_8624,axiom,(
    b100011(bitIndex5) )).

fof(bitBlastConstant_8623,axiom,(
    ~ b100011(bitIndex4) )).

fof(bitBlastConstant_8622,axiom,(
    ~ b100011(bitIndex3) )).

fof(bitBlastConstant_8621,axiom,(
    ~ b100011(bitIndex2) )).

fof(bitBlastConstant_8620,axiom,(
    b100011(bitIndex1) )).

fof(bitBlastConstant_8619,axiom,(
    b100011(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_89,axiom,(
    ! [VarCurr] :
      ( ~ v19207(VarCurr)
     => ( v18988(VarCurr,bitIndex34)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_85,axiom,(
    ! [VarCurr] :
      ( v19207(VarCurr)
     => ( v18988(VarCurr,bitIndex34)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1227,axiom,(
    ! [VarCurr] :
      ( v19207(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_8618,axiom,(
    b100010(bitIndex5) )).

fof(bitBlastConstant_8617,axiom,(
    ~ b100010(bitIndex4) )).

fof(bitBlastConstant_8616,axiom,(
    ~ b100010(bitIndex3) )).

fof(bitBlastConstant_8615,axiom,(
    ~ b100010(bitIndex2) )).

fof(bitBlastConstant_8614,axiom,(
    b100010(bitIndex1) )).

fof(bitBlastConstant_8613,axiom,(
    ~ b100010(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_88,axiom,(
    ! [VarCurr] :
      ( ~ v19205(VarCurr)
     => ( v18988(VarCurr,bitIndex33)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_84,axiom,(
    ! [VarCurr] :
      ( v19205(VarCurr)
     => ( v18988(VarCurr,bitIndex33)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1226,axiom,(
    ! [VarCurr] :
      ( v19205(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_8612,axiom,(
    b100001(bitIndex5) )).

fof(bitBlastConstant_8611,axiom,(
    ~ b100001(bitIndex4) )).

fof(bitBlastConstant_8610,axiom,(
    ~ b100001(bitIndex3) )).

fof(bitBlastConstant_8609,axiom,(
    ~ b100001(bitIndex2) )).

fof(bitBlastConstant_8608,axiom,(
    ~ b100001(bitIndex1) )).

fof(bitBlastConstant_8607,axiom,(
    b100001(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_87,axiom,(
    ! [VarCurr] :
      ( ~ v19203(VarCurr)
     => ( v18988(VarCurr,bitIndex32)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_83,axiom,(
    ! [VarCurr] :
      ( v19203(VarCurr)
     => ( v18988(VarCurr,bitIndex32)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1225,axiom,(
    ! [VarCurr] :
      ( v19203(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $true )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_8606,axiom,(
    b100000(bitIndex5) )).

fof(bitBlastConstant_8605,axiom,(
    ~ b100000(bitIndex4) )).

fof(bitBlastConstant_8604,axiom,(
    ~ b100000(bitIndex3) )).

fof(bitBlastConstant_8603,axiom,(
    ~ b100000(bitIndex2) )).

fof(bitBlastConstant_8602,axiom,(
    ~ b100000(bitIndex1) )).

fof(bitBlastConstant_8601,axiom,(
    ~ b100000(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_86,axiom,(
    ! [VarCurr] :
      ( ~ v19201(VarCurr)
     => ( v18988(VarCurr,bitIndex31)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_82,axiom,(
    ! [VarCurr] :
      ( v19201(VarCurr)
     => ( v18988(VarCurr,bitIndex31)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1224,axiom,(
    ! [VarCurr] :
      ( v19201(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_8600,axiom,(
    ~ b011111(bitIndex5) )).

fof(bitBlastConstant_8599,axiom,(
    b011111(bitIndex4) )).

fof(bitBlastConstant_8598,axiom,(
    b011111(bitIndex3) )).

fof(bitBlastConstant_8597,axiom,(
    b011111(bitIndex2) )).

fof(bitBlastConstant_8596,axiom,(
    b011111(bitIndex1) )).

fof(bitBlastConstant_8595,axiom,(
    b011111(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_85,axiom,(
    ! [VarCurr] :
      ( ~ v19199(VarCurr)
     => ( v18988(VarCurr,bitIndex30)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_81,axiom,(
    ! [VarCurr] :
      ( v19199(VarCurr)
     => ( v18988(VarCurr,bitIndex30)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1223,axiom,(
    ! [VarCurr] :
      ( v19199(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_8594,axiom,(
    ~ b011110(bitIndex5) )).

fof(bitBlastConstant_8593,axiom,(
    b011110(bitIndex4) )).

fof(bitBlastConstant_8592,axiom,(
    b011110(bitIndex3) )).

fof(bitBlastConstant_8591,axiom,(
    b011110(bitIndex2) )).

fof(bitBlastConstant_8590,axiom,(
    b011110(bitIndex1) )).

fof(bitBlastConstant_8589,axiom,(
    ~ b011110(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_84,axiom,(
    ! [VarCurr] :
      ( ~ v19197(VarCurr)
     => ( v18988(VarCurr,bitIndex29)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_80,axiom,(
    ! [VarCurr] :
      ( v19197(VarCurr)
     => ( v18988(VarCurr,bitIndex29)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1222,axiom,(
    ! [VarCurr] :
      ( v19197(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_8588,axiom,(
    ~ b011101(bitIndex5) )).

fof(bitBlastConstant_8587,axiom,(
    b011101(bitIndex4) )).

fof(bitBlastConstant_8586,axiom,(
    b011101(bitIndex3) )).

fof(bitBlastConstant_8585,axiom,(
    b011101(bitIndex2) )).

fof(bitBlastConstant_8584,axiom,(
    ~ b011101(bitIndex1) )).

fof(bitBlastConstant_8583,axiom,(
    b011101(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_83,axiom,(
    ! [VarCurr] :
      ( ~ v19195(VarCurr)
     => ( v18988(VarCurr,bitIndex28)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_79,axiom,(
    ! [VarCurr] :
      ( v19195(VarCurr)
     => ( v18988(VarCurr,bitIndex28)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1221,axiom,(
    ! [VarCurr] :
      ( v19195(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_8582,axiom,(
    ~ b011100(bitIndex5) )).

fof(bitBlastConstant_8581,axiom,(
    b011100(bitIndex4) )).

fof(bitBlastConstant_8580,axiom,(
    b011100(bitIndex3) )).

fof(bitBlastConstant_8579,axiom,(
    b011100(bitIndex2) )).

fof(bitBlastConstant_8578,axiom,(
    ~ b011100(bitIndex1) )).

fof(bitBlastConstant_8577,axiom,(
    ~ b011100(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_82,axiom,(
    ! [VarCurr] :
      ( ~ v19193(VarCurr)
     => ( v18988(VarCurr,bitIndex27)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_78,axiom,(
    ! [VarCurr] :
      ( v19193(VarCurr)
     => ( v18988(VarCurr,bitIndex27)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1220,axiom,(
    ! [VarCurr] :
      ( v19193(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_8576,axiom,(
    ~ b011011(bitIndex5) )).

fof(bitBlastConstant_8575,axiom,(
    b011011(bitIndex4) )).

fof(bitBlastConstant_8574,axiom,(
    b011011(bitIndex3) )).

fof(bitBlastConstant_8573,axiom,(
    ~ b011011(bitIndex2) )).

fof(bitBlastConstant_8572,axiom,(
    b011011(bitIndex1) )).

fof(bitBlastConstant_8571,axiom,(
    b011011(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_81,axiom,(
    ! [VarCurr] :
      ( ~ v19191(VarCurr)
     => ( v18988(VarCurr,bitIndex26)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_77,axiom,(
    ! [VarCurr] :
      ( v19191(VarCurr)
     => ( v18988(VarCurr,bitIndex26)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1219,axiom,(
    ! [VarCurr] :
      ( v19191(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_8570,axiom,(
    ~ b011010(bitIndex5) )).

fof(bitBlastConstant_8569,axiom,(
    b011010(bitIndex4) )).

fof(bitBlastConstant_8568,axiom,(
    b011010(bitIndex3) )).

fof(bitBlastConstant_8567,axiom,(
    ~ b011010(bitIndex2) )).

fof(bitBlastConstant_8566,axiom,(
    b011010(bitIndex1) )).

fof(bitBlastConstant_8565,axiom,(
    ~ b011010(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_80,axiom,(
    ! [VarCurr] :
      ( ~ v19189(VarCurr)
     => ( v18988(VarCurr,bitIndex25)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_76,axiom,(
    ! [VarCurr] :
      ( v19189(VarCurr)
     => ( v18988(VarCurr,bitIndex25)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1218,axiom,(
    ! [VarCurr] :
      ( v19189(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_8564,axiom,(
    ~ b011001(bitIndex5) )).

fof(bitBlastConstant_8563,axiom,(
    b011001(bitIndex4) )).

fof(bitBlastConstant_8562,axiom,(
    b011001(bitIndex3) )).

fof(bitBlastConstant_8561,axiom,(
    ~ b011001(bitIndex2) )).

fof(bitBlastConstant_8560,axiom,(
    ~ b011001(bitIndex1) )).

fof(bitBlastConstant_8559,axiom,(
    b011001(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_79,axiom,(
    ! [VarCurr] :
      ( ~ v19187(VarCurr)
     => ( v18988(VarCurr,bitIndex24)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_75,axiom,(
    ! [VarCurr] :
      ( v19187(VarCurr)
     => ( v18988(VarCurr,bitIndex24)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1217,axiom,(
    ! [VarCurr] :
      ( v19187(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_8558,axiom,(
    ~ b011000(bitIndex5) )).

fof(bitBlastConstant_8557,axiom,(
    b011000(bitIndex4) )).

fof(bitBlastConstant_8556,axiom,(
    b011000(bitIndex3) )).

fof(bitBlastConstant_8555,axiom,(
    ~ b011000(bitIndex2) )).

fof(bitBlastConstant_8554,axiom,(
    ~ b011000(bitIndex1) )).

fof(bitBlastConstant_8553,axiom,(
    ~ b011000(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_78,axiom,(
    ! [VarCurr] :
      ( ~ v19185(VarCurr)
     => ( v18988(VarCurr,bitIndex23)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_74,axiom,(
    ! [VarCurr] :
      ( v19185(VarCurr)
     => ( v18988(VarCurr,bitIndex23)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1216,axiom,(
    ! [VarCurr] :
      ( v19185(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_8552,axiom,(
    ~ b010111(bitIndex5) )).

fof(bitBlastConstant_8551,axiom,(
    b010111(bitIndex4) )).

fof(bitBlastConstant_8550,axiom,(
    ~ b010111(bitIndex3) )).

fof(bitBlastConstant_8549,axiom,(
    b010111(bitIndex2) )).

fof(bitBlastConstant_8548,axiom,(
    b010111(bitIndex1) )).

fof(bitBlastConstant_8547,axiom,(
    b010111(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_77,axiom,(
    ! [VarCurr] :
      ( ~ v19183(VarCurr)
     => ( v18988(VarCurr,bitIndex22)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_73,axiom,(
    ! [VarCurr] :
      ( v19183(VarCurr)
     => ( v18988(VarCurr,bitIndex22)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1215,axiom,(
    ! [VarCurr] :
      ( v19183(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_8546,axiom,(
    ~ b010110(bitIndex5) )).

fof(bitBlastConstant_8545,axiom,(
    b010110(bitIndex4) )).

fof(bitBlastConstant_8544,axiom,(
    ~ b010110(bitIndex3) )).

fof(bitBlastConstant_8543,axiom,(
    b010110(bitIndex2) )).

fof(bitBlastConstant_8542,axiom,(
    b010110(bitIndex1) )).

fof(bitBlastConstant_8541,axiom,(
    ~ b010110(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_76,axiom,(
    ! [VarCurr] :
      ( ~ v19181(VarCurr)
     => ( v18988(VarCurr,bitIndex21)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_72,axiom,(
    ! [VarCurr] :
      ( v19181(VarCurr)
     => ( v18988(VarCurr,bitIndex21)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1214,axiom,(
    ! [VarCurr] :
      ( v19181(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_8540,axiom,(
    ~ b010101(bitIndex5) )).

fof(bitBlastConstant_8539,axiom,(
    b010101(bitIndex4) )).

fof(bitBlastConstant_8538,axiom,(
    ~ b010101(bitIndex3) )).

fof(bitBlastConstant_8537,axiom,(
    b010101(bitIndex2) )).

fof(bitBlastConstant_8536,axiom,(
    ~ b010101(bitIndex1) )).

fof(bitBlastConstant_8535,axiom,(
    b010101(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_75,axiom,(
    ! [VarCurr] :
      ( ~ v19179(VarCurr)
     => ( v18988(VarCurr,bitIndex20)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_71,axiom,(
    ! [VarCurr] :
      ( v19179(VarCurr)
     => ( v18988(VarCurr,bitIndex20)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1213,axiom,(
    ! [VarCurr] :
      ( v19179(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_8534,axiom,(
    ~ b010100(bitIndex5) )).

fof(bitBlastConstant_8533,axiom,(
    b010100(bitIndex4) )).

fof(bitBlastConstant_8532,axiom,(
    ~ b010100(bitIndex3) )).

fof(bitBlastConstant_8531,axiom,(
    b010100(bitIndex2) )).

fof(bitBlastConstant_8530,axiom,(
    ~ b010100(bitIndex1) )).

fof(bitBlastConstant_8529,axiom,(
    ~ b010100(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_74,axiom,(
    ! [VarCurr] :
      ( ~ v19177(VarCurr)
     => ( v18988(VarCurr,bitIndex19)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_70,axiom,(
    ! [VarCurr] :
      ( v19177(VarCurr)
     => ( v18988(VarCurr,bitIndex19)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1212,axiom,(
    ! [VarCurr] :
      ( v19177(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_8528,axiom,(
    ~ b010011(bitIndex5) )).

fof(bitBlastConstant_8527,axiom,(
    b010011(bitIndex4) )).

fof(bitBlastConstant_8526,axiom,(
    ~ b010011(bitIndex3) )).

fof(bitBlastConstant_8525,axiom,(
    ~ b010011(bitIndex2) )).

fof(bitBlastConstant_8524,axiom,(
    b010011(bitIndex1) )).

fof(bitBlastConstant_8523,axiom,(
    b010011(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_73,axiom,(
    ! [VarCurr] :
      ( ~ v19175(VarCurr)
     => ( v18988(VarCurr,bitIndex18)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_69,axiom,(
    ! [VarCurr] :
      ( v19175(VarCurr)
     => ( v18988(VarCurr,bitIndex18)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1211,axiom,(
    ! [VarCurr] :
      ( v19175(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_8522,axiom,(
    ~ b010010(bitIndex5) )).

fof(bitBlastConstant_8521,axiom,(
    b010010(bitIndex4) )).

fof(bitBlastConstant_8520,axiom,(
    ~ b010010(bitIndex3) )).

fof(bitBlastConstant_8519,axiom,(
    ~ b010010(bitIndex2) )).

fof(bitBlastConstant_8518,axiom,(
    b010010(bitIndex1) )).

fof(bitBlastConstant_8517,axiom,(
    ~ b010010(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_72,axiom,(
    ! [VarCurr] :
      ( ~ v19173(VarCurr)
     => ( v18988(VarCurr,bitIndex17)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_68,axiom,(
    ! [VarCurr] :
      ( v19173(VarCurr)
     => ( v18988(VarCurr,bitIndex17)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1210,axiom,(
    ! [VarCurr] :
      ( v19173(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_8516,axiom,(
    ~ b010001(bitIndex5) )).

fof(bitBlastConstant_8515,axiom,(
    b010001(bitIndex4) )).

fof(bitBlastConstant_8514,axiom,(
    ~ b010001(bitIndex3) )).

fof(bitBlastConstant_8513,axiom,(
    ~ b010001(bitIndex2) )).

fof(bitBlastConstant_8512,axiom,(
    ~ b010001(bitIndex1) )).

fof(bitBlastConstant_8511,axiom,(
    b010001(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_71,axiom,(
    ! [VarCurr] :
      ( ~ v19171(VarCurr)
     => ( v18988(VarCurr,bitIndex16)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_67,axiom,(
    ! [VarCurr] :
      ( v19171(VarCurr)
     => ( v18988(VarCurr,bitIndex16)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1209,axiom,(
    ! [VarCurr] :
      ( v19171(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $true )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_8510,axiom,(
    ~ b010000(bitIndex5) )).

fof(bitBlastConstant_8509,axiom,(
    b010000(bitIndex4) )).

fof(bitBlastConstant_8508,axiom,(
    ~ b010000(bitIndex3) )).

fof(bitBlastConstant_8507,axiom,(
    ~ b010000(bitIndex2) )).

fof(bitBlastConstant_8506,axiom,(
    ~ b010000(bitIndex1) )).

fof(bitBlastConstant_8505,axiom,(
    ~ b010000(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_70,axiom,(
    ! [VarCurr] :
      ( ~ v19169(VarCurr)
     => ( v18988(VarCurr,bitIndex15)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_66,axiom,(
    ! [VarCurr] :
      ( v19169(VarCurr)
     => ( v18988(VarCurr,bitIndex15)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1208,axiom,(
    ! [VarCurr] :
      ( v19169(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_8504,axiom,(
    ~ b001111(bitIndex5) )).

fof(bitBlastConstant_8503,axiom,(
    ~ b001111(bitIndex4) )).

fof(bitBlastConstant_8502,axiom,(
    b001111(bitIndex3) )).

fof(bitBlastConstant_8501,axiom,(
    b001111(bitIndex2) )).

fof(bitBlastConstant_8500,axiom,(
    b001111(bitIndex1) )).

fof(bitBlastConstant_8499,axiom,(
    b001111(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_69,axiom,(
    ! [VarCurr] :
      ( ~ v19167(VarCurr)
     => ( v18988(VarCurr,bitIndex14)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_65,axiom,(
    ! [VarCurr] :
      ( v19167(VarCurr)
     => ( v18988(VarCurr,bitIndex14)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1207,axiom,(
    ! [VarCurr] :
      ( v19167(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_8498,axiom,(
    ~ b001110(bitIndex5) )).

fof(bitBlastConstant_8497,axiom,(
    ~ b001110(bitIndex4) )).

fof(bitBlastConstant_8496,axiom,(
    b001110(bitIndex3) )).

fof(bitBlastConstant_8495,axiom,(
    b001110(bitIndex2) )).

fof(bitBlastConstant_8494,axiom,(
    b001110(bitIndex1) )).

fof(bitBlastConstant_8493,axiom,(
    ~ b001110(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_68,axiom,(
    ! [VarCurr] :
      ( ~ v19165(VarCurr)
     => ( v18988(VarCurr,bitIndex13)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_64,axiom,(
    ! [VarCurr] :
      ( v19165(VarCurr)
     => ( v18988(VarCurr,bitIndex13)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1206,axiom,(
    ! [VarCurr] :
      ( v19165(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_8492,axiom,(
    ~ b001101(bitIndex5) )).

fof(bitBlastConstant_8491,axiom,(
    ~ b001101(bitIndex4) )).

fof(bitBlastConstant_8490,axiom,(
    b001101(bitIndex3) )).

fof(bitBlastConstant_8489,axiom,(
    b001101(bitIndex2) )).

fof(bitBlastConstant_8488,axiom,(
    ~ b001101(bitIndex1) )).

fof(bitBlastConstant_8487,axiom,(
    b001101(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_67,axiom,(
    ! [VarCurr] :
      ( ~ v19163(VarCurr)
     => ( v18988(VarCurr,bitIndex12)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_63,axiom,(
    ! [VarCurr] :
      ( v19163(VarCurr)
     => ( v18988(VarCurr,bitIndex12)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1205,axiom,(
    ! [VarCurr] :
      ( v19163(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_8486,axiom,(
    ~ b001100(bitIndex5) )).

fof(bitBlastConstant_8485,axiom,(
    ~ b001100(bitIndex4) )).

fof(bitBlastConstant_8484,axiom,(
    b001100(bitIndex3) )).

fof(bitBlastConstant_8483,axiom,(
    b001100(bitIndex2) )).

fof(bitBlastConstant_8482,axiom,(
    ~ b001100(bitIndex1) )).

fof(bitBlastConstant_8481,axiom,(
    ~ b001100(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_66,axiom,(
    ! [VarCurr] :
      ( ~ v19161(VarCurr)
     => ( v18988(VarCurr,bitIndex11)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_62,axiom,(
    ! [VarCurr] :
      ( v19161(VarCurr)
     => ( v18988(VarCurr,bitIndex11)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1204,axiom,(
    ! [VarCurr] :
      ( v19161(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_8480,axiom,(
    ~ b001011(bitIndex5) )).

fof(bitBlastConstant_8479,axiom,(
    ~ b001011(bitIndex4) )).

fof(bitBlastConstant_8478,axiom,(
    b001011(bitIndex3) )).

fof(bitBlastConstant_8477,axiom,(
    ~ b001011(bitIndex2) )).

fof(bitBlastConstant_8476,axiom,(
    b001011(bitIndex1) )).

fof(bitBlastConstant_8475,axiom,(
    b001011(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_65,axiom,(
    ! [VarCurr] :
      ( ~ v19159(VarCurr)
     => ( v18988(VarCurr,bitIndex10)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_61,axiom,(
    ! [VarCurr] :
      ( v19159(VarCurr)
     => ( v18988(VarCurr,bitIndex10)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1203,axiom,(
    ! [VarCurr] :
      ( v19159(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_8474,axiom,(
    ~ b001010(bitIndex5) )).

fof(bitBlastConstant_8473,axiom,(
    ~ b001010(bitIndex4) )).

fof(bitBlastConstant_8472,axiom,(
    b001010(bitIndex3) )).

fof(bitBlastConstant_8471,axiom,(
    ~ b001010(bitIndex2) )).

fof(bitBlastConstant_8470,axiom,(
    b001010(bitIndex1) )).

fof(bitBlastConstant_8469,axiom,(
    ~ b001010(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_64,axiom,(
    ! [VarCurr] :
      ( ~ v19157(VarCurr)
     => ( v18988(VarCurr,bitIndex9)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_60,axiom,(
    ! [VarCurr] :
      ( v19157(VarCurr)
     => ( v18988(VarCurr,bitIndex9)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1202,axiom,(
    ! [VarCurr] :
      ( v19157(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_8468,axiom,(
    ~ b001001(bitIndex5) )).

fof(bitBlastConstant_8467,axiom,(
    ~ b001001(bitIndex4) )).

fof(bitBlastConstant_8466,axiom,(
    b001001(bitIndex3) )).

fof(bitBlastConstant_8465,axiom,(
    ~ b001001(bitIndex2) )).

fof(bitBlastConstant_8464,axiom,(
    ~ b001001(bitIndex1) )).

fof(bitBlastConstant_8463,axiom,(
    b001001(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_63,axiom,(
    ! [VarCurr] :
      ( ~ v19155(VarCurr)
     => ( v18988(VarCurr,bitIndex8)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_59,axiom,(
    ! [VarCurr] :
      ( v19155(VarCurr)
     => ( v18988(VarCurr,bitIndex8)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1201,axiom,(
    ! [VarCurr] :
      ( v19155(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $true )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_8462,axiom,(
    ~ b001000(bitIndex5) )).

fof(bitBlastConstant_8461,axiom,(
    ~ b001000(bitIndex4) )).

fof(bitBlastConstant_8460,axiom,(
    b001000(bitIndex3) )).

fof(bitBlastConstant_8459,axiom,(
    ~ b001000(bitIndex2) )).

fof(bitBlastConstant_8458,axiom,(
    ~ b001000(bitIndex1) )).

fof(bitBlastConstant_8457,axiom,(
    ~ b001000(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_62,axiom,(
    ! [VarCurr] :
      ( ~ v19153(VarCurr)
     => ( v18988(VarCurr,bitIndex7)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_58,axiom,(
    ! [VarCurr] :
      ( v19153(VarCurr)
     => ( v18988(VarCurr,bitIndex7)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1200,axiom,(
    ! [VarCurr] :
      ( v19153(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_8456,axiom,(
    ~ b000111(bitIndex5) )).

fof(bitBlastConstant_8455,axiom,(
    ~ b000111(bitIndex4) )).

fof(bitBlastConstant_8454,axiom,(
    ~ b000111(bitIndex3) )).

fof(bitBlastConstant_8453,axiom,(
    b000111(bitIndex2) )).

fof(bitBlastConstant_8452,axiom,(
    b000111(bitIndex1) )).

fof(bitBlastConstant_8451,axiom,(
    b000111(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_61,axiom,(
    ! [VarCurr] :
      ( ~ v19151(VarCurr)
     => ( v18988(VarCurr,bitIndex6)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_57,axiom,(
    ! [VarCurr] :
      ( v19151(VarCurr)
     => ( v18988(VarCurr,bitIndex6)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1199,axiom,(
    ! [VarCurr] :
      ( v19151(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_8450,axiom,(
    ~ b000110(bitIndex5) )).

fof(bitBlastConstant_8449,axiom,(
    ~ b000110(bitIndex4) )).

fof(bitBlastConstant_8448,axiom,(
    ~ b000110(bitIndex3) )).

fof(bitBlastConstant_8447,axiom,(
    b000110(bitIndex2) )).

fof(bitBlastConstant_8446,axiom,(
    b000110(bitIndex1) )).

fof(bitBlastConstant_8445,axiom,(
    ~ b000110(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_60,axiom,(
    ! [VarCurr] :
      ( ~ v19149(VarCurr)
     => ( v18988(VarCurr,bitIndex5)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_56,axiom,(
    ! [VarCurr] :
      ( v19149(VarCurr)
     => ( v18988(VarCurr,bitIndex5)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1198,axiom,(
    ! [VarCurr] :
      ( v19149(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_8444,axiom,(
    ~ b000101(bitIndex5) )).

fof(bitBlastConstant_8443,axiom,(
    ~ b000101(bitIndex4) )).

fof(bitBlastConstant_8442,axiom,(
    ~ b000101(bitIndex3) )).

fof(bitBlastConstant_8441,axiom,(
    b000101(bitIndex2) )).

fof(bitBlastConstant_8440,axiom,(
    ~ b000101(bitIndex1) )).

fof(bitBlastConstant_8439,axiom,(
    b000101(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_59,axiom,(
    ! [VarCurr] :
      ( ~ v19147(VarCurr)
     => ( v18988(VarCurr,bitIndex4)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_55,axiom,(
    ! [VarCurr] :
      ( v19147(VarCurr)
     => ( v18988(VarCurr,bitIndex4)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1197,axiom,(
    ! [VarCurr] :
      ( v19147(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $true )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_8438,axiom,(
    ~ b000100(bitIndex5) )).

fof(bitBlastConstant_8437,axiom,(
    ~ b000100(bitIndex4) )).

fof(bitBlastConstant_8436,axiom,(
    ~ b000100(bitIndex3) )).

fof(bitBlastConstant_8435,axiom,(
    b000100(bitIndex2) )).

fof(bitBlastConstant_8434,axiom,(
    ~ b000100(bitIndex1) )).

fof(bitBlastConstant_8433,axiom,(
    ~ b000100(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_58,axiom,(
    ! [VarCurr] :
      ( ~ v19145(VarCurr)
     => ( v18988(VarCurr,bitIndex3)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_54,axiom,(
    ! [VarCurr] :
      ( v19145(VarCurr)
     => ( v18988(VarCurr,bitIndex3)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1196,axiom,(
    ! [VarCurr] :
      ( v19145(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_8432,axiom,(
    ~ b000011(bitIndex5) )).

fof(bitBlastConstant_8431,axiom,(
    ~ b000011(bitIndex4) )).

fof(bitBlastConstant_8430,axiom,(
    ~ b000011(bitIndex3) )).

fof(bitBlastConstant_8429,axiom,(
    ~ b000011(bitIndex2) )).

fof(bitBlastConstant_8428,axiom,(
    b000011(bitIndex1) )).

fof(bitBlastConstant_8427,axiom,(
    b000011(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_57,axiom,(
    ! [VarCurr] :
      ( ~ v19143(VarCurr)
     => ( v18988(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_53,axiom,(
    ! [VarCurr] :
      ( v19143(VarCurr)
     => ( v18988(VarCurr,bitIndex2)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1195,axiom,(
    ! [VarCurr] :
      ( v19143(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $true )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_8426,axiom,(
    ~ b000010(bitIndex5) )).

fof(bitBlastConstant_8425,axiom,(
    ~ b000010(bitIndex4) )).

fof(bitBlastConstant_8424,axiom,(
    ~ b000010(bitIndex3) )).

fof(bitBlastConstant_8423,axiom,(
    ~ b000010(bitIndex2) )).

fof(bitBlastConstant_8422,axiom,(
    b000010(bitIndex1) )).

fof(bitBlastConstant_8421,axiom,(
    ~ b000010(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_56,axiom,(
    ! [VarCurr] :
      ( ~ v19141(VarCurr)
     => ( v18988(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_52,axiom,(
    ! [VarCurr] :
      ( v19141(VarCurr)
     => ( v18988(VarCurr,bitIndex1)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1194,axiom,(
    ! [VarCurr] :
      ( v19141(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_8420,axiom,(
    ~ b000001(bitIndex5) )).

fof(bitBlastConstant_8419,axiom,(
    ~ b000001(bitIndex4) )).

fof(bitBlastConstant_8418,axiom,(
    ~ b000001(bitIndex3) )).

fof(bitBlastConstant_8417,axiom,(
    ~ b000001(bitIndex2) )).

fof(bitBlastConstant_8416,axiom,(
    ~ b000001(bitIndex1) )).

fof(bitBlastConstant_8415,axiom,(
    b000001(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_413,axiom,(
    ! [VarCurr] :
      ( ~ v19139(VarCurr)
     => ( v18988(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_417,axiom,(
    ! [VarCurr] :
      ( v19139(VarCurr)
     => ( v18988(VarCurr,bitIndex0)
      <=> v19021(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1193,axiom,(
    ! [VarCurr] :
      ( v19139(VarCurr)
    <=> ( ( v18990(VarCurr,bitIndex5)
        <=> $false )
        & ( v18990(VarCurr,bitIndex4)
        <=> $false )
        & ( v18990(VarCurr,bitIndex3)
        <=> $false )
        & ( v18990(VarCurr,bitIndex2)
        <=> $false )
        & ( v18990(VarCurr,bitIndex1)
        <=> $false )
        & ( v18990(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4538,axiom,(
    ! [VarCurr] :
      ( v19021(VarCurr)
    <=> ( v19023(VarCurr)
        | v19054(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4537,axiom,(
    ! [VarCurr] :
      ( v19054(VarCurr)
    <=> ( v19056(VarCurr)
        & v19074(VarCurr) ) ) )).

fof(writeUnaryOperator_1988,axiom,(
    ! [VarCurr] :
      ( ~ v19074(VarCurr)
    <=> v19066(VarCurr,bitIndex0) ) )).

fof(addAssignment_4934,axiom,(
    ! [VarCurr] :
      ( v19066(VarCurr,bitIndex0)
    <=> v19068(VarCurr,bitIndex0) ) )).

fof(addAssignment_4933,axiom,(
    ! [VarCurr] :
      ( v19068(VarCurr,bitIndex0)
    <=> v19070(VarCurr,bitIndex0) ) )).

fof(addAssignment_4932,axiom,(
    ! [VarCurr] :
      ( v19070(VarCurr,bitIndex0)
    <=> v19072(VarCurr,bitIndex0) ) )).

fof(addAssignment_4931,axiom,(
    ! [VarCurr] :
      ( v19072(VarCurr,bitIndex0)
    <=> v15026(VarCurr,bitIndex0) ) )).

fof(addAssignment_4930,axiom,(
    ! [VarCurr] :
      ( v19056(VarCurr)
    <=> v19058(VarCurr) ) )).

fof(addAssignment_4929,axiom,(
    ! [VarCurr] :
      ( v19058(VarCurr)
    <=> v19060(VarCurr) ) )).

fof(addAssignment_4928,axiom,(
    ! [VarCurr] :
      ( v19060(VarCurr)
    <=> v19062(VarCurr) ) )).

fof(addAssignment_4927,axiom,(
    ! [VarCurr] :
      ( v19062(VarCurr)
    <=> v19064(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4536,axiom,(
    ! [VarCurr] :
      ( v19023(VarCurr)
    <=> ( v19025(VarCurr)
        & v19052(VarCurr) ) ) )).

fof(writeUnaryOperator_1987,axiom,(
    ! [VarCurr] :
      ( ~ v19052(VarCurr)
    <=> v19044(VarCurr) ) )).

fof(addAssignment_4926,axiom,(
    ! [VarCurr] :
      ( v19044(VarCurr)
    <=> v19046(VarCurr) ) )).

fof(addAssignment_4925,axiom,(
    ! [VarCurr] :
      ( v19046(VarCurr)
    <=> v19048(VarCurr) ) )).

fof(addAssignment_4924,axiom,(
    ! [VarCurr] :
      ( v19048(VarCurr)
    <=> v19050(VarCurr) ) )).

fof(addAssignment_4923,axiom,(
    ! [VarCurr] :
      ( v19050(VarCurr)
    <=> v17894(VarCurr) ) )).

fof(addAssignment_4922,axiom,(
    ! [VarCurr] :
      ( v19025(VarCurr)
    <=> v19027(VarCurr) ) )).

fof(addAssignment_4921,axiom,(
    ! [VarCurr] :
      ( v19027(VarCurr)
    <=> v19029(VarCurr) ) )).

fof(addAssignment_4920,axiom,(
    ! [VarCurr] :
      ( v19029(VarCurr)
    <=> v19031(VarCurr) ) )).

fof(addAssignment_4919,axiom,(
    ! [VarCurr] :
      ( v19031(VarCurr)
    <=> v19033(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_412,axiom,(
    ! [VarCurr] :
      ( ~ v19035(VarCurr)
     => ( v19033(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_416,axiom,(
    ! [VarCurr] :
      ( v19035(VarCurr)
     => ( v19033(VarCurr)
      <=> v19042(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_745,axiom,(
    ! [VarCurr] :
      ( v19042(VarCurr)
    <=> ( v16927(VarCurr,bitIndex0)
        & v16927(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4535,axiom,(
    ! [VarCurr] :
      ( v19035(VarCurr)
    <=> ( v19036(VarCurr)
        | v17905(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4534,axiom,(
    ! [VarCurr] :
      ( v19036(VarCurr)
    <=> ( v19037(VarCurr)
        | v17904(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4533,axiom,(
    ! [VarCurr] :
      ( v19037(VarCurr)
    <=> ( v19038(VarCurr)
        | v16641(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4532,axiom,(
    ! [VarCurr] :
      ( v19038(VarCurr)
    <=> ( v19039(VarCurr)
        | v19041(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1192,axiom,(
    ! [VarCurr] :
      ( v19041(VarCurr)
    <=> ( ( v16623(VarCurr,bitIndex2)
        <=> $true )
        & ( v16623(VarCurr,bitIndex1)
        <=> $false )
        & ( v16623(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4531,axiom,(
    ! [VarCurr] :
      ( v19039(VarCurr)
    <=> ( v16761(VarCurr)
        | v19040(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1191,axiom,(
    ! [VarCurr] :
      ( v19040(VarCurr)
    <=> ( ( v16623(VarCurr,bitIndex2)
        <=> $false )
        & ( v16623(VarCurr,bitIndex1)
        <=> $true )
        & ( v16623(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_411,axiom,(
    ! [VarCurr] :
      ( ~ v18992(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v18990(VarCurr,B)
          <=> v19010(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_415,axiom,(
    ! [VarCurr] :
      ( v18992(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v18990(VarCurr,B)
          <=> v19002(VarCurr,B) ) ) ) )).

fof(addAssignment_4918,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v19010(VarCurr,B)
      <=> v19012(VarCurr,B) ) ) )).

fof(addAssignment_4917,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v19012(VarCurr,B)
      <=> v19014(VarCurr,B) ) ) )).

fof(addAssignment_4916,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v19014(VarCurr,B)
      <=> v19016(VarCurr,B) ) ) )).

fof(addAssignment_4915,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v19016(VarCurr,B)
      <=> v19018(VarCurr,B) ) ) )).

fof(addAssignment_4914,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v19002(VarCurr,B)
      <=> v19004(VarCurr,B) ) ) )).

fof(addAssignment_4913,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v19004(VarCurr,B)
      <=> v19006(VarCurr,B) ) ) )).

fof(addAssignment_4912,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v19006(VarCurr,B)
      <=> v19008(VarCurr,B) ) ) )).

fof(addAssignment_4911,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v19008(VarCurr,B)
      <=> v17019(VarCurr,B) ) ) )).

fof(addAssignment_4910,axiom,(
    ! [VarCurr] :
      ( v18992(VarCurr)
    <=> v18994(VarCurr) ) )).

fof(addAssignment_4909,axiom,(
    ! [VarCurr] :
      ( v18994(VarCurr)
    <=> v18996(VarCurr) ) )).

fof(addAssignment_4908,axiom,(
    ! [VarCurr] :
      ( v18996(VarCurr)
    <=> v18998(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_744,axiom,(
    ! [VarCurr] :
      ( v18998(VarCurr)
    <=> ( v16927(VarCurr,bitIndex0)
        | v16927(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_4907,axiom,(
    ! [VarCurr] :
      ( v18974(VarCurr)
    <=> v18976(VarCurr) ) )).

fof(addAssignment_4906,axiom,(
    ! [VarCurr] :
      ( v18976(VarCurr)
    <=> v18978(VarCurr) ) )).

fof(addAssignment_4905,axiom,(
    ! [VarCurr] :
      ( v18978(VarCurr)
    <=> v18980(VarCurr) ) )).

fof(addAssignment_4904,axiom,(
    ! [VarCurr] :
      ( v18980(VarCurr)
    <=> v13765(VarCurr,bitIndex1) ) )).

fof(addAssignment_4903,axiom,(
    ! [VarCurr] :
      ( v18971(VarCurr)
    <=> v7937(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4530,axiom,(
    ! [VarCurr] :
      ( v16596(VarCurr)
    <=> ( v16598(VarCurr)
        & v18950(VarCurr) ) ) )).

fof(addAssignment_4902,axiom,(
    ! [VarCurr] :
      ( v18950(VarCurr)
    <=> v18952(VarCurr) ) )).

fof(addAssignment_4901,axiom,(
    ! [VarCurr] :
      ( v18952(VarCurr)
    <=> v18954(VarCurr) ) )).

fof(addAssignment_4900,axiom,(
    ! [VarCurr] :
      ( v18954(VarCurr)
    <=> v17892(VarCurr) ) )).

fof(addAssignment_4899,axiom,(
    ! [VarCurr] :
      ( v16598(VarCurr)
    <=> v16600(VarCurr) ) )).

fof(addAssignment_4898,axiom,(
    ! [VarCurr] :
      ( v16600(VarCurr)
    <=> v16602(VarCurr) ) )).

fof(addAssignment_4897,axiom,(
    ! [VarCurr] :
      ( v16602(VarCurr)
    <=> v16604(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_410,axiom,(
    ! [VarCurr] :
      ( ~ v16606(VarCurr)
     => ( v16604(VarCurr)
      <=> v18948(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_414,axiom,(
    ! [VarCurr] :
      ( v16606(VarCurr)
     => ( v16604(VarCurr)
      <=> v18945(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1190,axiom,(
    ! [VarCurr] :
      ( v18948(VarCurr)
    <=> ( ( v16608(VarCurr,bitIndex23)
        <=> v18796(VarCurr,bitIndex23) )
        & ( v16608(VarCurr,bitIndex22)
        <=> v18796(VarCurr,bitIndex22) )
        & ( v16608(VarCurr,bitIndex21)
        <=> v18796(VarCurr,bitIndex21) )
        & ( v16608(VarCurr,bitIndex20)
        <=> v18796(VarCurr,bitIndex20) )
        & ( v16608(VarCurr,bitIndex19)
        <=> v18796(VarCurr,bitIndex19) )
        & ( v16608(VarCurr,bitIndex18)
        <=> v18796(VarCurr,bitIndex18) )
        & ( v16608(VarCurr,bitIndex17)
        <=> v18796(VarCurr,bitIndex17) )
        & ( v16608(VarCurr,bitIndex16)
        <=> v18796(VarCurr,bitIndex16) )
        & ( v16608(VarCurr,bitIndex15)
        <=> v18796(VarCurr,bitIndex15) )
        & ( v16608(VarCurr,bitIndex14)
        <=> v18796(VarCurr,bitIndex14) )
        & ( v16608(VarCurr,bitIndex13)
        <=> v18796(VarCurr,bitIndex13) )
        & ( v16608(VarCurr,bitIndex12)
        <=> v18796(VarCurr,bitIndex12) )
        & ( v16608(VarCurr,bitIndex11)
        <=> v18796(VarCurr,bitIndex11) )
        & ( v16608(VarCurr,bitIndex10)
        <=> v18796(VarCurr,bitIndex10) )
        & ( v16608(VarCurr,bitIndex9)
        <=> v18796(VarCurr,bitIndex9) )
        & ( v16608(VarCurr,bitIndex8)
        <=> v18796(VarCurr,bitIndex8) )
        & ( v16608(VarCurr,bitIndex7)
        <=> v18796(VarCurr,bitIndex7) )
        & ( v16608(VarCurr,bitIndex6)
        <=> v18796(VarCurr,bitIndex6) )
        & ( v16608(VarCurr,bitIndex5)
        <=> v18796(VarCurr,bitIndex5) )
        & ( v16608(VarCurr,bitIndex4)
        <=> v18796(VarCurr,bitIndex4) )
        & ( v16608(VarCurr,bitIndex3)
        <=> v18796(VarCurr,bitIndex3) )
        & ( v16608(VarCurr,bitIndex2)
        <=> v18796(VarCurr,bitIndex2) )
        & ( v16608(VarCurr,bitIndex1)
        <=> v18796(VarCurr,bitIndex1) )
        & ( v16608(VarCurr,bitIndex0)
        <=> v18796(VarCurr,bitIndex0) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4529,axiom,(
    ! [VarCurr] :
      ( v18945(VarCurr)
    <=> ( v18946(VarCurr)
        & v18947(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1189,axiom,(
    ! [VarCurr] :
      ( v18947(VarCurr)
    <=> ( ( v18875(VarCurr,bitIndex4)
        <=> v18897(VarCurr,bitIndex4) )
        & ( v18875(VarCurr,bitIndex3)
        <=> v18897(VarCurr,bitIndex3) )
        & ( v18875(VarCurr,bitIndex2)
        <=> v18897(VarCurr,bitIndex2) )
        & ( v18875(VarCurr,bitIndex1)
        <=> v18897(VarCurr,bitIndex1) )
        & ( v18875(VarCurr,bitIndex0)
        <=> v18897(VarCurr,bitIndex0) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1188,axiom,(
    ! [VarCurr] :
      ( v18946(VarCurr)
    <=> ( ( v16608(VarCurr,bitIndex23)
        <=> v18796(VarCurr,bitIndex23) )
        & ( v16608(VarCurr,bitIndex22)
        <=> v18796(VarCurr,bitIndex22) )
        & ( v16608(VarCurr,bitIndex21)
        <=> v18796(VarCurr,bitIndex21) )
        & ( v16608(VarCurr,bitIndex20)
        <=> v18796(VarCurr,bitIndex20) )
        & ( v16608(VarCurr,bitIndex19)
        <=> v18796(VarCurr,bitIndex19) )
        & ( v16608(VarCurr,bitIndex18)
        <=> v18796(VarCurr,bitIndex18) )
        & ( v16608(VarCurr,bitIndex17)
        <=> v18796(VarCurr,bitIndex17) )
        & ( v16608(VarCurr,bitIndex16)
        <=> v18796(VarCurr,bitIndex16) )
        & ( v16608(VarCurr,bitIndex15)
        <=> v18796(VarCurr,bitIndex15) )
        & ( v16608(VarCurr,bitIndex14)
        <=> v18796(VarCurr,bitIndex14) )
        & ( v16608(VarCurr,bitIndex13)
        <=> v18796(VarCurr,bitIndex13) )
        & ( v16608(VarCurr,bitIndex12)
        <=> v18796(VarCurr,bitIndex12) )
        & ( v16608(VarCurr,bitIndex11)
        <=> v18796(VarCurr,bitIndex11) )
        & ( v16608(VarCurr,bitIndex10)
        <=> v18796(VarCurr,bitIndex10) )
        & ( v16608(VarCurr,bitIndex9)
        <=> v18796(VarCurr,bitIndex9) )
        & ( v16608(VarCurr,bitIndex8)
        <=> v18796(VarCurr,bitIndex8) )
        & ( v16608(VarCurr,bitIndex7)
        <=> v18796(VarCurr,bitIndex7) )
        & ( v16608(VarCurr,bitIndex6)
        <=> v18796(VarCurr,bitIndex6) )
        & ( v16608(VarCurr,bitIndex5)
        <=> v18796(VarCurr,bitIndex5) )
        & ( v16608(VarCurr,bitIndex4)
        <=> v18796(VarCurr,bitIndex4) )
        & ( v16608(VarCurr,bitIndex3)
        <=> v18796(VarCurr,bitIndex3) )
        & ( v16608(VarCurr,bitIndex2)
        <=> v18796(VarCurr,bitIndex2) )
        & ( v16608(VarCurr,bitIndex1)
        <=> v18796(VarCurr,bitIndex1) )
        & ( v16608(VarCurr,bitIndex0)
        <=> v18796(VarCurr,bitIndex0) ) ) ) )).

fof(addAssignment_4896,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v18897(VarCurr,B)
      <=> v18899(VarCurr,B) ) ) )).

fof(addAssignment_4895,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v18899(VarCurr,B)
      <=> v18901(VarCurr,B) ) ) )).

fof(addAssignment_4894,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v18901(VarCurr,B)
      <=> v18903(VarCurr,B) ) ) )).

fof(addAssignment_4893,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v18903(VarCurr,B)
      <=> v18905(VarCurr,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_209,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18928(VarNext)
       => ! [B] :
            ( range_4_0(B)
           => ( v18905(VarNext,B)
            <=> v18905(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_230,axiom,(
    ! [VarNext] :
      ( v18928(VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v18905(VarNext,B)
          <=> v18941(VarNext,B) ) ) ) )).

fof(addAssignment_4892,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v18941(VarNext,B)
          <=> v18939(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_599,axiom,(
    ! [VarCurr] :
      ( ~ v15636(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v18939(VarCurr,B)
          <=> v18907(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_599,axiom,(
    ! [VarCurr] :
      ( v15636(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v18939(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4528,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18928(VarNext)
      <=> ( v18929(VarNext)
          & v18936(VarNext) ) ) ) )).

fof(addAssignment_4891,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18936(VarNext)
      <=> v18934(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4527,axiom,(
    ! [VarCurr] :
      ( v18934(VarCurr)
    <=> ( v15636(VarCurr)
        | v18937(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4526,axiom,(
    ! [VarCurr] :
      ( v18937(VarCurr)
    <=> ( v15638(VarCurr)
        & v18938(VarCurr) ) ) )).

fof(writeUnaryOperator_1986,axiom,(
    ! [VarCurr] :
      ( ~ v18938(VarCurr)
    <=> v15636(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4525,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18929(VarNext)
      <=> ( v18931(VarNext)
          & v15622(VarNext) ) ) ) )).

fof(writeUnaryOperator_1985,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18931(VarNext)
      <=> v15629(VarNext) ) ) )).

fof(addAssignment_4890,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v18907(VarCurr,B)
      <=> v18909(VarCurr,B) ) ) )).

fof(addAssignment_4889,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v18909(VarCurr,B)
      <=> v18911(VarCurr,B) ) ) )).

fof(addAssignment_4888,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v18911(VarCurr,B)
      <=> v18913(VarCurr,B) ) ) )).

fof(addAssignment_4887,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v18913(VarCurr,B)
      <=> v18915(VarCurr,B) ) ) )).

fof(addAssignment_4886,axiom,(
    ! [VarCurr] :
      ( v18915(VarCurr,bitIndex4)
    <=> v18917(VarCurr) ) )).

fof(addAssignment_4885,axiom,(
    ! [VarCurr] :
      ( v18915(VarCurr,bitIndex3)
    <=> v18919(VarCurr) ) )).

fof(addAssignment_4884,axiom,(
    ! [VarCurr] :
      ( v18915(VarCurr,bitIndex2)
    <=> v18921(VarCurr) ) )).

fof(addAssignment_4883,axiom,(
    ! [VarCurr] :
      ( v18915(VarCurr,bitIndex1)
    <=> v18923(VarCurr) ) )).

fof(addAssignment_4882,axiom,(
    ! [VarCurr] :
      ( v18915(VarCurr,bitIndex0)
    <=> v18925(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_208,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18880(VarNext)
       => ! [B] :
            ( range_4_0(B)
           => ( v18875(VarNext,B)
            <=> v18875(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_229,axiom,(
    ! [VarNext] :
      ( v18880(VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v18875(VarNext,B)
          <=> v18893(VarNext,B) ) ) ) )).

fof(addAssignment_4881,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v18893(VarNext,B)
          <=> v18891(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_598,axiom,(
    ! [VarCurr] :
      ( ~ v18678(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v18891(VarCurr,B)
          <=> v18877(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_598,axiom,(
    ! [VarCurr] :
      ( v18678(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v18891(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4524,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18880(VarNext)
      <=> ( v18881(VarNext)
          & v18888(VarNext) ) ) ) )).

fof(addAssignment_4880,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18888(VarNext)
      <=> v18886(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4523,axiom,(
    ! [VarCurr] :
      ( v18886(VarCurr)
    <=> ( v18678(VarCurr)
        | v18889(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4522,axiom,(
    ! [VarCurr] :
      ( v18889(VarCurr)
    <=> ( v16613(VarCurr)
        & v18890(VarCurr) ) ) )).

fof(writeUnaryOperator_1984,axiom,(
    ! [VarCurr] :
      ( ~ v18890(VarCurr)
    <=> v18678(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4521,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18881(VarNext)
      <=> ( v18883(VarNext)
          & v18664(VarNext) ) ) ) )).

fof(writeUnaryOperator_1983,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18883(VarNext)
      <=> v18671(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_409,axiom,(
    ! [VarCurr] :
      ( ~ v18871(VarCurr)
     => ! [B] :
          ( range_23_3(B)
         => ( v18796(VarCurr,B)
          <=> v18814(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_51,axiom,(
    ! [VarCurr] :
      ( v18871(VarCurr)
     => ( ( v18796(VarCurr,bitIndex23)
        <=> v18798(VarCurr,bitIndex37) )
        & ( v18796(VarCurr,bitIndex22)
        <=> v18798(VarCurr,bitIndex36) )
        & ( v18796(VarCurr,bitIndex21)
        <=> v18798(VarCurr,bitIndex35) )
        & ( v18796(VarCurr,bitIndex20)
        <=> v18798(VarCurr,bitIndex34) )
        & ( v18796(VarCurr,bitIndex19)
        <=> v18798(VarCurr,bitIndex33) )
        & ( v18796(VarCurr,bitIndex18)
        <=> v18798(VarCurr,bitIndex32) )
        & ( v18796(VarCurr,bitIndex17)
        <=> v18798(VarCurr,bitIndex31) )
        & ( v18796(VarCurr,bitIndex16)
        <=> v18798(VarCurr,bitIndex30) )
        & ( v18796(VarCurr,bitIndex15)
        <=> v18798(VarCurr,bitIndex29) )
        & ( v18796(VarCurr,bitIndex14)
        <=> v18798(VarCurr,bitIndex28) )
        & ( v18796(VarCurr,bitIndex13)
        <=> v18798(VarCurr,bitIndex27) )
        & ( v18796(VarCurr,bitIndex12)
        <=> v18798(VarCurr,bitIndex26) )
        & ( v18796(VarCurr,bitIndex11)
        <=> v18798(VarCurr,bitIndex25) )
        & ( v18796(VarCurr,bitIndex10)
        <=> v18798(VarCurr,bitIndex24) )
        & ( v18796(VarCurr,bitIndex9)
        <=> v18798(VarCurr,bitIndex23) )
        & ( v18796(VarCurr,bitIndex8)
        <=> v18798(VarCurr,bitIndex22) )
        & ( v18796(VarCurr,bitIndex7)
        <=> v18798(VarCurr,bitIndex21) )
        & ( v18796(VarCurr,bitIndex6)
        <=> v18798(VarCurr,bitIndex20) )
        & ( v18796(VarCurr,bitIndex5)
        <=> v18798(VarCurr,bitIndex19) )
        & ( v18796(VarCurr,bitIndex4)
        <=> v18798(VarCurr,bitIndex18) )
        & ( v18796(VarCurr,bitIndex3)
        <=> v18798(VarCurr,bitIndex17) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_408,axiom,(
    ! [VarCurr] :
      ( ~ v18871(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v18796(VarCurr,B)
          <=> v18814(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_413,axiom,(
    ! [VarCurr] :
      ( v18871(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v18796(VarCurr,B)
          <=> v18872(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_55,axiom,(
    ! [VarCurr] :
      ( ~ v18187(VarCurr)
     => ( ( v18872(VarCurr,bitIndex2)
        <=> v18798(VarCurr,bitIndex16) )
        & ( v18872(VarCurr,bitIndex1)
        <=> v18798(VarCurr,bitIndex15) )
        & ( v18872(VarCurr,bitIndex0)
        <=> v18798(VarCurr,bitIndex14) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_412,axiom,(
    ! [VarCurr] :
      ( v18187(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v18872(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_1982,axiom,(
    ! [VarCurr] :
      ( ~ v18871(VarCurr)
    <=> v16606(VarCurr) ) )).

fof(addAssignment_4879,axiom,(
    ! [VarCurr,B] :
      ( range_23_3(B)
     => ( v18814(VarCurr,B)
      <=> v18849(VarCurr,B) ) ) )).

fof(addAssignment_4878,axiom,(
    ! [VarCurr,B] :
      ( range_37_17(B)
     => ( v18798(VarCurr,B)
      <=> v18800(VarCurr,B) ) ) )).

fof(addAssignment_4877,axiom,(
    ! [VarCurr,B] :
      ( range_37_17(B)
     => ( v18800(VarCurr,B)
      <=> v18802(VarCurr,B) ) ) )).

fof(addAssignment_4876,axiom,(
    ! [VarCurr,B] :
      ( range_37_17(B)
     => ( v18802(VarCurr,B)
      <=> v18804(VarCurr,B) ) ) )).

fof(addAssignment_4875,axiom,(
    ! [VarCurr,B] :
      ( range_37_17(B)
     => ( v18804(VarCurr,B)
      <=> v14992(VarCurr,B) ) ) )).

fof(range_axiom_74,axiom,(
    ! [B] :
      ( range_37_17(B)
    <=> ( $false
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B ) ) )).

fof(addAssignment_4874,axiom,(
    ! [VarNext,B] :
      ( range_37_30(B)
     => ( v14992(VarNext,B)
      <=> v18863(VarNext,B) ) ) )).

fof(addAssignment_4873,axiom,(
    ! [VarNext,B] :
      ( range_20_17(B)
     => ( v14992(VarNext,B)
      <=> v18863(VarNext,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_207,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18865(VarNext)
       => ! [B] :
            ( range_61_0(B)
           => ( v18863(VarNext,B)
            <=> v14992(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_228,axiom,(
    ! [VarNext] :
      ( v18865(VarNext)
     => ! [B] :
          ( range_61_0(B)
         => ( v18863(VarNext,B)
          <=> v15642(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4520,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18865(VarNext)
      <=> ( v18866(VarNext)
          & v15635(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4519,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18866(VarNext)
      <=> ( v18868(VarNext)
          & v15622(VarNext) ) ) ) )).

fof(writeUnaryOperator_1981,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18868(VarNext)
      <=> v15629(VarNext) ) ) )).

fof(addAssignment_4872,axiom,(
    ! [VarCurr,B] :
      ( range_37_30(B)
     => ( v15005(VarCurr,B)
      <=> v14440(VarCurr,B) ) ) )).

fof(addAssignment_4871,axiom,(
    ! [VarCurr,B] :
      ( range_37_30(B)
     => ( v14440(VarCurr,B)
      <=> v14442(VarCurr,B) ) ) )).

fof(addAssignment_4870,axiom,(
    ! [VarCurr,B] :
      ( range_37_30(B)
     => ( v14442(VarCurr,B)
      <=> v14444(VarCurr,B) ) ) )).

fof(addAssignment_4869,axiom,(
    ! [VarCurr,B] :
      ( range_37_30(B)
     => ( v14444(VarCurr,B)
      <=> v14445(VarCurr,B) ) ) )).

fof(range_axiom_73,axiom,(
    ! [B] :
      ( range_37_30(B)
    <=> ( $false
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B ) ) )).

fof(addAssignment_4868,axiom,(
    ! [VarCurr,B] :
      ( range_26_19(B)
     => ( v14449(VarCurr,B)
      <=> v15608(VarCurr,B) ) ) )).

fof(addAssignment_4867,axiom,(
    ! [VarCurr,B] :
      ( range_20_17(B)
     => ( v15005(VarCurr,B)
      <=> v14440(VarCurr,B) ) ) )).

fof(addAssignment_4866,axiom,(
    ! [VarCurr,B] :
      ( range_20_17(B)
     => ( v14440(VarCurr,B)
      <=> v14442(VarCurr,B) ) ) )).

fof(addAssignment_4865,axiom,(
    ! [VarCurr,B] :
      ( range_20_17(B)
     => ( v14442(VarCurr,B)
      <=> v14444(VarCurr,B) ) ) )).

fof(addAssignment_4864,axiom,(
    ! [VarCurr,B] :
      ( range_20_17(B)
     => ( v14444(VarCurr,B)
      <=> v14445(VarCurr,B) ) ) )).

fof(range_axiom_72,axiom,(
    ! [B] :
      ( range_20_17(B)
    <=> ( $false
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B ) ) )).

fof(addAssignment_4863,axiom,(
    ! [VarCurr,B] :
      ( range_9_6(B)
     => ( v14449(VarCurr,B)
      <=> v15608(VarCurr,B) ) ) )).

fof(range_axiom_71,axiom,(
    ! [B] :
      ( range_9_6(B)
    <=> ( $false
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B ) ) )).

fof(addAssignment_4862,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v18814(VarCurr,B)
      <=> v18849(VarCurr,B) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges7_2,axiom,(
    ! [VarCurr] :
      ( ( ~ v18850(VarCurr)
        & ~ v18851(VarCurr)
        & ~ v18853(VarCurr)
        & ~ v18854(VarCurr)
        & ~ v18856(VarCurr)
        & ~ v18857(VarCurr)
        & ~ v18859(VarCurr) )
     => ( ( v18849(VarCurr,bitIndex23)
        <=> v18798(VarCurr,bitIndex37) )
        & ( v18849(VarCurr,bitIndex22)
        <=> v18798(VarCurr,bitIndex36) )
        & ( v18849(VarCurr,bitIndex21)
        <=> v18798(VarCurr,bitIndex35) )
        & ( v18849(VarCurr,bitIndex20)
        <=> v18798(VarCurr,bitIndex34) )
        & ( v18849(VarCurr,bitIndex19)
        <=> v18798(VarCurr,bitIndex33) )
        & ( v18849(VarCurr,bitIndex18)
        <=> v18798(VarCurr,bitIndex32) )
        & ( v18849(VarCurr,bitIndex17)
        <=> v18798(VarCurr,bitIndex31) )
        & ( v18849(VarCurr,bitIndex16)
        <=> v18798(VarCurr,bitIndex30) )
        & ( v18849(VarCurr,bitIndex15)
        <=> v18798(VarCurr,bitIndex29) )
        & ( v18849(VarCurr,bitIndex14)
        <=> v18798(VarCurr,bitIndex28) )
        & ( v18849(VarCurr,bitIndex13)
        <=> v18798(VarCurr,bitIndex27) )
        & ( v18849(VarCurr,bitIndex12)
        <=> v18798(VarCurr,bitIndex26) )
        & ( v18849(VarCurr,bitIndex11)
        <=> v18798(VarCurr,bitIndex25) )
        & ( v18849(VarCurr,bitIndex10)
        <=> v18798(VarCurr,bitIndex24) )
        & ( v18849(VarCurr,bitIndex9)
        <=> v18798(VarCurr,bitIndex23) )
        & ( v18849(VarCurr,bitIndex8)
        <=> v18798(VarCurr,bitIndex22) )
        & ( v18849(VarCurr,bitIndex7)
        <=> v18798(VarCurr,bitIndex21) )
        & ( v18849(VarCurr,bitIndex6)
        <=> v18798(VarCurr,bitIndex20) )
        & ( v18849(VarCurr,bitIndex5)
        <=> v18798(VarCurr,bitIndex19) )
        & ( v18849(VarCurr,bitIndex4)
        <=> v18798(VarCurr,bitIndex18) )
        & ( v18849(VarCurr,bitIndex3)
        <=> v18798(VarCurr,bitIndex17) )
        & ( v18849(VarCurr,bitIndex2)
        <=> v18798(VarCurr,bitIndex16) )
        & ( v18849(VarCurr,bitIndex1)
        <=> v18798(VarCurr,bitIndex15) )
        & ( v18849(VarCurr,bitIndex0)
        <=> v18798(VarCurr,bitIndex14) ) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges6_2,axiom,(
    ! [VarCurr] :
      ( v18859(VarCurr)
     => ( ( v18849(VarCurr,bitIndex23)
        <=> v18798(VarCurr,bitIndex37) )
        & ( v18849(VarCurr,bitIndex22)
        <=> v18798(VarCurr,bitIndex36) )
        & ( v18849(VarCurr,bitIndex21)
        <=> v18798(VarCurr,bitIndex35) )
        & ( v18849(VarCurr,bitIndex20)
        <=> v18798(VarCurr,bitIndex34) )
        & ( v18849(VarCurr,bitIndex19)
        <=> v18798(VarCurr,bitIndex33) )
        & ( v18849(VarCurr,bitIndex18)
        <=> v18798(VarCurr,bitIndex32) )
        & ( v18849(VarCurr,bitIndex17)
        <=> v18798(VarCurr,bitIndex31) )
        & ( v18849(VarCurr,bitIndex16)
        <=> v18798(VarCurr,bitIndex30) )
        & ( v18849(VarCurr,bitIndex15)
        <=> v18798(VarCurr,bitIndex29) )
        & ( v18849(VarCurr,bitIndex14)
        <=> v18798(VarCurr,bitIndex28) )
        & ( v18849(VarCurr,bitIndex13)
        <=> v18798(VarCurr,bitIndex27) )
        & ( v18849(VarCurr,bitIndex12)
        <=> v18798(VarCurr,bitIndex26) )
        & ( v18849(VarCurr,bitIndex11)
        <=> v18798(VarCurr,bitIndex25) )
        & ( v18849(VarCurr,bitIndex10)
        <=> v18798(VarCurr,bitIndex24) )
        & ( v18849(VarCurr,bitIndex9)
        <=> v18798(VarCurr,bitIndex23) )
        & ( v18849(VarCurr,bitIndex8)
        <=> v18798(VarCurr,bitIndex22) )
        & ( v18849(VarCurr,bitIndex7)
        <=> v18798(VarCurr,bitIndex21) )
        & ( v18849(VarCurr,bitIndex6)
        <=> v18798(VarCurr,bitIndex20) )
        & ( v18849(VarCurr,bitIndex5)
        <=> v18798(VarCurr,bitIndex19) )
        & ( v18849(VarCurr,bitIndex4)
        <=> v18798(VarCurr,bitIndex18) )
        & ( v18849(VarCurr,bitIndex3)
        <=> v18798(VarCurr,bitIndex17) )
        & ( v18849(VarCurr,bitIndex2)
        <=> v18798(VarCurr,bitIndex16) )
        & ( v18849(VarCurr,bitIndex1)
        <=> v18798(VarCurr,bitIndex15) )
        & ( v18849(VarCurr,bitIndex0)
        <=> v18798(VarCurr,bitIndex14) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges5_12,axiom,(
    ! [VarCurr] :
      ( v18857(VarCurr)
     => ! [B] :
          ( range_23_0(B)
         => ( v18849(VarCurr,B)
          <=> v18858(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges4_3,axiom,(
    ! [VarCurr] :
      ( v18856(VarCurr)
     => ( ( v18849(VarCurr,bitIndex23)
        <=> v18798(VarCurr,bitIndex37) )
        & ( v18849(VarCurr,bitIndex22)
        <=> v18798(VarCurr,bitIndex36) )
        & ( v18849(VarCurr,bitIndex21)
        <=> v18798(VarCurr,bitIndex35) )
        & ( v18849(VarCurr,bitIndex20)
        <=> v18798(VarCurr,bitIndex34) )
        & ( v18849(VarCurr,bitIndex19)
        <=> v18798(VarCurr,bitIndex33) )
        & ( v18849(VarCurr,bitIndex18)
        <=> v18798(VarCurr,bitIndex32) )
        & ( v18849(VarCurr,bitIndex17)
        <=> v18798(VarCurr,bitIndex31) )
        & ( v18849(VarCurr,bitIndex16)
        <=> v18798(VarCurr,bitIndex30) )
        & ( v18849(VarCurr,bitIndex15)
        <=> v18798(VarCurr,bitIndex29) )
        & ( v18849(VarCurr,bitIndex14)
        <=> v18798(VarCurr,bitIndex28) )
        & ( v18849(VarCurr,bitIndex13)
        <=> v18798(VarCurr,bitIndex27) )
        & ( v18849(VarCurr,bitIndex12)
        <=> v18798(VarCurr,bitIndex26) )
        & ( v18849(VarCurr,bitIndex11)
        <=> v18798(VarCurr,bitIndex25) )
        & ( v18849(VarCurr,bitIndex10)
        <=> v18798(VarCurr,bitIndex24) )
        & ( v18849(VarCurr,bitIndex9)
        <=> v18798(VarCurr,bitIndex23) )
        & ( v18849(VarCurr,bitIndex8)
        <=> v18798(VarCurr,bitIndex22) )
        & ( v18849(VarCurr,bitIndex7)
        <=> v18798(VarCurr,bitIndex21) )
        & ( v18849(VarCurr,bitIndex6)
        <=> v18798(VarCurr,bitIndex20) )
        & ( v18849(VarCurr,bitIndex5)
        <=> v18798(VarCurr,bitIndex19) )
        & ( v18849(VarCurr,bitIndex4)
        <=> v18798(VarCurr,bitIndex18) )
        & ( v18849(VarCurr,bitIndex3)
        <=> v18798(VarCurr,bitIndex17) )
        & ( v18849(VarCurr,bitIndex2)
        <=> v18798(VarCurr,bitIndex16) )
        & ( v18849(VarCurr,bitIndex1)
        <=> v18798(VarCurr,bitIndex15) )
        & ( v18849(VarCurr,bitIndex0)
        <=> v18798(VarCurr,bitIndex14) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_41,axiom,(
    ! [VarCurr] :
      ( v18854(VarCurr)
     => ! [B] :
          ( range_23_0(B)
         => ( v18849(VarCurr,B)
          <=> v18855(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges2_6,axiom,(
    ! [VarCurr] :
      ( v18853(VarCurr)
     => ( ( v18849(VarCurr,bitIndex23)
        <=> v18798(VarCurr,bitIndex37) )
        & ( v18849(VarCurr,bitIndex22)
        <=> v18798(VarCurr,bitIndex36) )
        & ( v18849(VarCurr,bitIndex21)
        <=> v18798(VarCurr,bitIndex35) )
        & ( v18849(VarCurr,bitIndex20)
        <=> v18798(VarCurr,bitIndex34) )
        & ( v18849(VarCurr,bitIndex19)
        <=> v18798(VarCurr,bitIndex33) )
        & ( v18849(VarCurr,bitIndex18)
        <=> v18798(VarCurr,bitIndex32) )
        & ( v18849(VarCurr,bitIndex17)
        <=> v18798(VarCurr,bitIndex31) )
        & ( v18849(VarCurr,bitIndex16)
        <=> v18798(VarCurr,bitIndex30) )
        & ( v18849(VarCurr,bitIndex15)
        <=> v18798(VarCurr,bitIndex29) )
        & ( v18849(VarCurr,bitIndex14)
        <=> v18798(VarCurr,bitIndex28) )
        & ( v18849(VarCurr,bitIndex13)
        <=> v18798(VarCurr,bitIndex27) )
        & ( v18849(VarCurr,bitIndex12)
        <=> v18798(VarCurr,bitIndex26) )
        & ( v18849(VarCurr,bitIndex11)
        <=> v18798(VarCurr,bitIndex25) )
        & ( v18849(VarCurr,bitIndex10)
        <=> v18798(VarCurr,bitIndex24) )
        & ( v18849(VarCurr,bitIndex9)
        <=> v18798(VarCurr,bitIndex23) )
        & ( v18849(VarCurr,bitIndex8)
        <=> v18798(VarCurr,bitIndex22) )
        & ( v18849(VarCurr,bitIndex7)
        <=> v18798(VarCurr,bitIndex21) )
        & ( v18849(VarCurr,bitIndex6)
        <=> v18798(VarCurr,bitIndex20) )
        & ( v18849(VarCurr,bitIndex5)
        <=> v18798(VarCurr,bitIndex19) )
        & ( v18849(VarCurr,bitIndex4)
        <=> v18798(VarCurr,bitIndex18) )
        & ( v18849(VarCurr,bitIndex3)
        <=> v18798(VarCurr,bitIndex17) )
        & ( v18849(VarCurr,bitIndex2)
        <=> v18798(VarCurr,bitIndex16) )
        & ( v18849(VarCurr,bitIndex1)
        <=> v18798(VarCurr,bitIndex15) )
        & ( v18849(VarCurr,bitIndex0)
        <=> v18798(VarCurr,bitIndex14) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_597,axiom,(
    ! [VarCurr] :
      ( v18851(VarCurr)
     => ! [B] :
          ( range_23_0(B)
         => ( v18849(VarCurr,B)
          <=> v18852(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_7,axiom,(
    ! [VarCurr] :
      ( v18850(VarCurr)
     => ( ( v18849(VarCurr,bitIndex23)
        <=> v18798(VarCurr,bitIndex37) )
        & ( v18849(VarCurr,bitIndex22)
        <=> v18798(VarCurr,bitIndex36) )
        & ( v18849(VarCurr,bitIndex21)
        <=> v18798(VarCurr,bitIndex35) )
        & ( v18849(VarCurr,bitIndex20)
        <=> v18798(VarCurr,bitIndex34) )
        & ( v18849(VarCurr,bitIndex19)
        <=> v18798(VarCurr,bitIndex33) )
        & ( v18849(VarCurr,bitIndex18)
        <=> v18798(VarCurr,bitIndex32) )
        & ( v18849(VarCurr,bitIndex17)
        <=> v18798(VarCurr,bitIndex31) )
        & ( v18849(VarCurr,bitIndex16)
        <=> v18798(VarCurr,bitIndex30) )
        & ( v18849(VarCurr,bitIndex15)
        <=> v18798(VarCurr,bitIndex29) )
        & ( v18849(VarCurr,bitIndex14)
        <=> v18798(VarCurr,bitIndex28) )
        & ( v18849(VarCurr,bitIndex13)
        <=> v18798(VarCurr,bitIndex27) )
        & ( v18849(VarCurr,bitIndex12)
        <=> v18798(VarCurr,bitIndex26) )
        & ( v18849(VarCurr,bitIndex11)
        <=> v18798(VarCurr,bitIndex25) )
        & ( v18849(VarCurr,bitIndex10)
        <=> v18798(VarCurr,bitIndex24) )
        & ( v18849(VarCurr,bitIndex9)
        <=> v18798(VarCurr,bitIndex23) )
        & ( v18849(VarCurr,bitIndex8)
        <=> v18798(VarCurr,bitIndex22) )
        & ( v18849(VarCurr,bitIndex7)
        <=> v18798(VarCurr,bitIndex21) )
        & ( v18849(VarCurr,bitIndex6)
        <=> v18798(VarCurr,bitIndex20) )
        & ( v18849(VarCurr,bitIndex5)
        <=> v18798(VarCurr,bitIndex19) )
        & ( v18849(VarCurr,bitIndex4)
        <=> v18798(VarCurr,bitIndex18) )
        & ( v18849(VarCurr,bitIndex3)
        <=> v18798(VarCurr,bitIndex17) )
        & ( v18849(VarCurr,bitIndex2)
        <=> v18798(VarCurr,bitIndex16) )
        & ( v18849(VarCurr,bitIndex1)
        <=> v18798(VarCurr,bitIndex15) )
        & ( v18849(VarCurr,bitIndex0)
        <=> v18798(VarCurr,bitIndex14) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4518,axiom,(
    ! [VarCurr] :
      ( v18859(VarCurr)
    <=> ( v18860(VarCurr)
        | v18861(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1187,axiom,(
    ! [VarCurr] :
      ( v18861(VarCurr)
    <=> ( ( v18816(VarCurr,bitIndex2)
        <=> $true )
        & ( v18816(VarCurr,bitIndex1)
        <=> $true )
        & ( v18816(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1186,axiom,(
    ! [VarCurr] :
      ( v18860(VarCurr)
    <=> ( ( v18816(VarCurr,bitIndex2)
        <=> $true )
        & ( v18816(VarCurr,bitIndex1)
        <=> $true )
        & ( v18816(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_4861,axiom,(
    ! [VarCurr,B] :
      ( range_14_0(B)
     => ( v18858(VarCurr,B)
      <=> $false ) ) )).

fof(addAssignment_4860,axiom,(
    ! [VarCurr] :
      ( ( v18858(VarCurr,bitIndex23)
      <=> v18798(VarCurr,bitIndex37) )
      & ( v18858(VarCurr,bitIndex22)
      <=> v18798(VarCurr,bitIndex36) )
      & ( v18858(VarCurr,bitIndex21)
      <=> v18798(VarCurr,bitIndex35) )
      & ( v18858(VarCurr,bitIndex20)
      <=> v18798(VarCurr,bitIndex34) )
      & ( v18858(VarCurr,bitIndex19)
      <=> v18798(VarCurr,bitIndex33) )
      & ( v18858(VarCurr,bitIndex18)
      <=> v18798(VarCurr,bitIndex32) )
      & ( v18858(VarCurr,bitIndex17)
      <=> v18798(VarCurr,bitIndex31) )
      & ( v18858(VarCurr,bitIndex16)
      <=> v18798(VarCurr,bitIndex30) )
      & ( v18858(VarCurr,bitIndex15)
      <=> v18798(VarCurr,bitIndex29) ) ) )).

fof(addBitVectorEqualityBitBlasted_1185,axiom,(
    ! [VarCurr] :
      ( v18857(VarCurr)
    <=> ( ( v18816(VarCurr,bitIndex2)
        <=> $true )
        & ( v18816(VarCurr,bitIndex1)
        <=> $false )
        & ( v18816(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1184,axiom,(
    ! [VarCurr] :
      ( v18856(VarCurr)
    <=> ( ( v18816(VarCurr,bitIndex2)
        <=> $true )
        & ( v18816(VarCurr,bitIndex1)
        <=> $false )
        & ( v18816(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_4859,axiom,(
    ! [VarCurr,B] :
      ( range_8_0(B)
     => ( v18855(VarCurr,B)
      <=> $false ) ) )).

fof(addAssignment_4858,axiom,(
    ! [VarCurr] :
      ( ( v18855(VarCurr,bitIndex23)
      <=> v18798(VarCurr,bitIndex37) )
      & ( v18855(VarCurr,bitIndex22)
      <=> v18798(VarCurr,bitIndex36) )
      & ( v18855(VarCurr,bitIndex21)
      <=> v18798(VarCurr,bitIndex35) )
      & ( v18855(VarCurr,bitIndex20)
      <=> v18798(VarCurr,bitIndex34) )
      & ( v18855(VarCurr,bitIndex19)
      <=> v18798(VarCurr,bitIndex33) )
      & ( v18855(VarCurr,bitIndex18)
      <=> v18798(VarCurr,bitIndex32) )
      & ( v18855(VarCurr,bitIndex17)
      <=> v18798(VarCurr,bitIndex31) )
      & ( v18855(VarCurr,bitIndex16)
      <=> v18798(VarCurr,bitIndex30) )
      & ( v18855(VarCurr,bitIndex15)
      <=> v18798(VarCurr,bitIndex29) )
      & ( v18855(VarCurr,bitIndex14)
      <=> v18798(VarCurr,bitIndex28) )
      & ( v18855(VarCurr,bitIndex13)
      <=> v18798(VarCurr,bitIndex27) )
      & ( v18855(VarCurr,bitIndex12)
      <=> v18798(VarCurr,bitIndex26) )
      & ( v18855(VarCurr,bitIndex11)
      <=> v18798(VarCurr,bitIndex25) )
      & ( v18855(VarCurr,bitIndex10)
      <=> v18798(VarCurr,bitIndex24) )
      & ( v18855(VarCurr,bitIndex9)
      <=> v18798(VarCurr,bitIndex23) ) ) )).

fof(addBitVectorEqualityBitBlasted_1183,axiom,(
    ! [VarCurr] :
      ( v18854(VarCurr)
    <=> ( ( v18816(VarCurr,bitIndex2)
        <=> $false )
        & ( v18816(VarCurr,bitIndex1)
        <=> $true )
        & ( v18816(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1182,axiom,(
    ! [VarCurr] :
      ( v18853(VarCurr)
    <=> ( ( v18816(VarCurr,bitIndex2)
        <=> $false )
        & ( v18816(VarCurr,bitIndex1)
        <=> $true )
        & ( v18816(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_4857,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v18852(VarCurr,B)
      <=> $false ) ) )).

fof(addAssignment_4856,axiom,(
    ! [VarCurr] :
      ( ( v18852(VarCurr,bitIndex23)
      <=> v18798(VarCurr,bitIndex37) )
      & ( v18852(VarCurr,bitIndex22)
      <=> v18798(VarCurr,bitIndex36) )
      & ( v18852(VarCurr,bitIndex21)
      <=> v18798(VarCurr,bitIndex35) )
      & ( v18852(VarCurr,bitIndex20)
      <=> v18798(VarCurr,bitIndex34) )
      & ( v18852(VarCurr,bitIndex19)
      <=> v18798(VarCurr,bitIndex33) )
      & ( v18852(VarCurr,bitIndex18)
      <=> v18798(VarCurr,bitIndex32) )
      & ( v18852(VarCurr,bitIndex17)
      <=> v18798(VarCurr,bitIndex31) )
      & ( v18852(VarCurr,bitIndex16)
      <=> v18798(VarCurr,bitIndex30) )
      & ( v18852(VarCurr,bitIndex15)
      <=> v18798(VarCurr,bitIndex29) )
      & ( v18852(VarCurr,bitIndex14)
      <=> v18798(VarCurr,bitIndex28) )
      & ( v18852(VarCurr,bitIndex13)
      <=> v18798(VarCurr,bitIndex27) )
      & ( v18852(VarCurr,bitIndex12)
      <=> v18798(VarCurr,bitIndex26) )
      & ( v18852(VarCurr,bitIndex11)
      <=> v18798(VarCurr,bitIndex25) )
      & ( v18852(VarCurr,bitIndex10)
      <=> v18798(VarCurr,bitIndex24) )
      & ( v18852(VarCurr,bitIndex9)
      <=> v18798(VarCurr,bitIndex23) )
      & ( v18852(VarCurr,bitIndex8)
      <=> v18798(VarCurr,bitIndex22) )
      & ( v18852(VarCurr,bitIndex7)
      <=> v18798(VarCurr,bitIndex21) )
      & ( v18852(VarCurr,bitIndex6)
      <=> v18798(VarCurr,bitIndex20) )
      & ( v18852(VarCurr,bitIndex5)
      <=> v18798(VarCurr,bitIndex19) )
      & ( v18852(VarCurr,bitIndex4)
      <=> v18798(VarCurr,bitIndex18) )
      & ( v18852(VarCurr,bitIndex3)
      <=> v18798(VarCurr,bitIndex17) ) ) )).

fof(addBitVectorEqualityBitBlasted_1181,axiom,(
    ! [VarCurr] :
      ( v18851(VarCurr)
    <=> ( ( v18816(VarCurr,bitIndex2)
        <=> $false )
        & ( v18816(VarCurr,bitIndex1)
        <=> $false )
        & ( v18816(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1180,axiom,(
    ! [VarCurr] :
      ( v18850(VarCurr)
    <=> ( ( v18816(VarCurr,bitIndex2)
        <=> $false )
        & ( v18816(VarCurr,bitIndex1)
        <=> $false )
        & ( v18816(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_4855,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v18816(VarCurr,B)
      <=> v18818(VarCurr,B) ) ) )).

fof(addAssignment_4854,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v18818(VarCurr,B)
      <=> v18820(VarCurr,B) ) ) )).

fof(addAssignment_4853,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v18820(VarCurr,B)
      <=> v18822(VarCurr,B) ) ) )).

fof(addAssignment_4852,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v18822(VarCurr,B)
      <=> v18824(VarCurr,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_206,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18833(VarNext)
       => ! [B] :
            ( range_2_0(B)
           => ( v18824(VarNext,B)
            <=> v18824(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_227,axiom,(
    ! [VarNext] :
      ( v18833(VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v18824(VarNext,B)
          <=> v18846(VarNext,B) ) ) ) )).

fof(addAssignment_4851,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v18846(VarNext,B)
          <=> v18844(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_596,axiom,(
    ! [VarCurr] :
      ( ~ v15636(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v18844(VarCurr,B)
          <=> v18826(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_597,axiom,(
    ! [VarCurr] :
      ( v15636(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v18844(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4517,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18833(VarNext)
      <=> ( v18834(VarNext)
          & v18841(VarNext) ) ) ) )).

fof(addAssignment_4850,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18841(VarNext)
      <=> v18839(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4516,axiom,(
    ! [VarCurr] :
      ( v18839(VarCurr)
    <=> ( v15636(VarCurr)
        | v18842(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4515,axiom,(
    ! [VarCurr] :
      ( v18842(VarCurr)
    <=> ( v15638(VarCurr)
        & v18843(VarCurr) ) ) )).

fof(writeUnaryOperator_1980,axiom,(
    ! [VarCurr] :
      ( ~ v18843(VarCurr)
    <=> v15636(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4514,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18834(VarNext)
      <=> ( v18836(VarNext)
          & v15622(VarNext) ) ) ) )).

fof(writeUnaryOperator_1979,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18836(VarNext)
      <=> v15629(VarNext) ) ) )).

fof(addAssignment_4849,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v18826(VarCurr,B)
      <=> v18828(VarCurr,B) ) ) )).

fof(addAssignment_4848,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v18828(VarCurr,B)
      <=> v18830(VarCurr,B) ) ) )).

fof(addAssignment_4847,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v18830(VarCurr,B)
      <=> v15008(VarCurr,B) ) ) )).

fof(addAssignment_4846,axiom,(
    ! [VarCurr,B] :
      ( range_16_14(B)
     => ( v18798(VarCurr,B)
      <=> v18800(VarCurr,B) ) ) )).

fof(addAssignment_4845,axiom,(
    ! [VarCurr,B] :
      ( range_16_14(B)
     => ( v18800(VarCurr,B)
      <=> v18802(VarCurr,B) ) ) )).

fof(addAssignment_4844,axiom,(
    ! [VarCurr,B] :
      ( range_16_14(B)
     => ( v18802(VarCurr,B)
      <=> v18804(VarCurr,B) ) ) )).

fof(addAssignment_4843,axiom,(
    ! [VarCurr,B] :
      ( range_16_14(B)
     => ( v18804(VarCurr,B)
      <=> v14992(VarCurr,B) ) ) )).

fof(addAssignment_4842,axiom,(
    ! [VarNext,B] :
      ( range_16_14(B)
     => ( v14992(VarNext,B)
      <=> v18806(VarNext,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_205,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18808(VarNext)
       => ! [B] :
            ( range_61_0(B)
           => ( v18806(VarNext,B)
            <=> v14992(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_226,axiom,(
    ! [VarNext] :
      ( v18808(VarNext)
     => ! [B] :
          ( range_61_0(B)
         => ( v18806(VarNext,B)
          <=> v15642(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4513,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18808(VarNext)
      <=> ( v18809(VarNext)
          & v15635(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4512,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18809(VarNext)
      <=> ( v18811(VarNext)
          & v15622(VarNext) ) ) ) )).

fof(writeUnaryOperator_1978,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18811(VarNext)
      <=> v15629(VarNext) ) ) )).

fof(addAssignment_4841,axiom,(
    ! [VarCurr,B] :
      ( range_16_14(B)
     => ( v15005(VarCurr,B)
      <=> v14440(VarCurr,B) ) ) )).

fof(addAssignment_4840,axiom,(
    ! [VarCurr,B] :
      ( range_16_14(B)
     => ( v14440(VarCurr,B)
      <=> v14442(VarCurr,B) ) ) )).

fof(addAssignment_4839,axiom,(
    ! [VarCurr,B] :
      ( range_16_14(B)
     => ( v14442(VarCurr,B)
      <=> v14444(VarCurr,B) ) ) )).

fof(addAssignment_4838,axiom,(
    ! [VarCurr,B] :
      ( range_16_14(B)
     => ( v14444(VarCurr,B)
      <=> v14445(VarCurr,B) ) ) )).

fof(range_axiom_70,axiom,(
    ! [B] :
      ( range_16_14(B)
    <=> ( $false
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B ) ) )).

fof(addAssignment_4837,axiom,(
    ! [VarCurr,B] :
      ( range_5_3(B)
     => ( v14449(VarCurr,B)
      <=> v15608(VarCurr,B) ) ) )).

fof(range_axiom_69,axiom,(
    ! [B] :
      ( range_5_3(B)
    <=> ( $false
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B ) ) )).

fof(addCaseBooleanConditionEqualRanges1_204,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18779(VarNext)
       => ! [B] :
            ( range_23_0(B)
           => ( v16608(VarNext,B)
            <=> v16608(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_225,axiom,(
    ! [VarNext] :
      ( v18779(VarNext)
     => ! [B] :
          ( range_23_0(B)
         => ( v16608(VarNext,B)
          <=> v18792(VarNext,B) ) ) ) )).

fof(addAssignment_4836,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_23_0(B)
         => ( v18792(VarNext,B)
          <=> v18790(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_595,axiom,(
    ! [VarCurr] :
      ( ~ v18678(VarCurr)
     => ! [B] :
          ( range_23_0(B)
         => ( v18790(VarCurr,B)
          <=> v18755(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_596,axiom,(
    ! [VarCurr] :
      ( v18678(VarCurr)
     => ! [B] :
          ( range_23_0(B)
         => ( v18790(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4511,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18779(VarNext)
      <=> ( v18780(VarNext)
          & v18787(VarNext) ) ) ) )).

fof(addAssignment_4835,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18787(VarNext)
      <=> v18785(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4510,axiom,(
    ! [VarCurr] :
      ( v18785(VarCurr)
    <=> ( v18678(VarCurr)
        | v18788(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4509,axiom,(
    ! [VarCurr] :
      ( v18788(VarCurr)
    <=> ( v16613(VarCurr)
        & v18789(VarCurr) ) ) )).

fof(writeUnaryOperator_1977,axiom,(
    ! [VarCurr] :
      ( ~ v18789(VarCurr)
    <=> v18678(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4508,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18780(VarNext)
      <=> ( v18782(VarNext)
          & v18664(VarNext) ) ) ) )).

fof(writeUnaryOperator_1976,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18782(VarNext)
      <=> v18671(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_407,axiom,(
    ! [VarCurr] :
      ( ~ v18774(VarCurr)
     => ! [B] :
          ( range_23_3(B)
         => ( v18755(VarCurr,B)
          <=> v18757(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_50,axiom,(
    ! [VarCurr] :
      ( v18774(VarCurr)
     => ( ( v18755(VarCurr,bitIndex23)
        <=> v18197(VarCurr,bitIndex37) )
        & ( v18755(VarCurr,bitIndex22)
        <=> v18197(VarCurr,bitIndex36) )
        & ( v18755(VarCurr,bitIndex21)
        <=> v18197(VarCurr,bitIndex35) )
        & ( v18755(VarCurr,bitIndex20)
        <=> v18197(VarCurr,bitIndex34) )
        & ( v18755(VarCurr,bitIndex19)
        <=> v18197(VarCurr,bitIndex33) )
        & ( v18755(VarCurr,bitIndex18)
        <=> v18197(VarCurr,bitIndex32) )
        & ( v18755(VarCurr,bitIndex17)
        <=> v18197(VarCurr,bitIndex31) )
        & ( v18755(VarCurr,bitIndex16)
        <=> v18197(VarCurr,bitIndex30) )
        & ( v18755(VarCurr,bitIndex15)
        <=> v18197(VarCurr,bitIndex29) )
        & ( v18755(VarCurr,bitIndex14)
        <=> v18197(VarCurr,bitIndex28) )
        & ( v18755(VarCurr,bitIndex13)
        <=> v18197(VarCurr,bitIndex27) )
        & ( v18755(VarCurr,bitIndex12)
        <=> v18197(VarCurr,bitIndex26) )
        & ( v18755(VarCurr,bitIndex11)
        <=> v18197(VarCurr,bitIndex25) )
        & ( v18755(VarCurr,bitIndex10)
        <=> v18197(VarCurr,bitIndex24) )
        & ( v18755(VarCurr,bitIndex9)
        <=> v18197(VarCurr,bitIndex23) )
        & ( v18755(VarCurr,bitIndex8)
        <=> v18197(VarCurr,bitIndex22) )
        & ( v18755(VarCurr,bitIndex7)
        <=> v18197(VarCurr,bitIndex21) )
        & ( v18755(VarCurr,bitIndex6)
        <=> v18197(VarCurr,bitIndex20) )
        & ( v18755(VarCurr,bitIndex5)
        <=> v18197(VarCurr,bitIndex19) )
        & ( v18755(VarCurr,bitIndex4)
        <=> v18197(VarCurr,bitIndex18) )
        & ( v18755(VarCurr,bitIndex3)
        <=> v18197(VarCurr,bitIndex17) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_406,axiom,(
    ! [VarCurr] :
      ( ~ v18774(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v18755(VarCurr,B)
          <=> v18757(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_411,axiom,(
    ! [VarCurr] :
      ( v18774(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v18755(VarCurr,B)
          <=> v18775(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_54,axiom,(
    ! [VarCurr] :
      ( ~ v18187(VarCurr)
     => ( ( v18775(VarCurr,bitIndex2)
        <=> v18197(VarCurr,bitIndex16) )
        & ( v18775(VarCurr,bitIndex1)
        <=> v18197(VarCurr,bitIndex15) )
        & ( v18775(VarCurr,bitIndex0)
        <=> v18197(VarCurr,bitIndex14) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_410,axiom,(
    ! [VarCurr] :
      ( v18187(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v18775(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_1975,axiom,(
    ! [VarCurr] :
      ( ~ v18774(VarCurr)
    <=> v16606(VarCurr) ) )).

fof(addAssignment_4834,axiom,(
    ! [VarCurr,B] :
      ( range_23_3(B)
     => ( v18757(VarCurr,B)
      <=> v18760(VarCurr,B) ) ) )).

fof(range_axiom_68,axiom,(
    ! [B] :
      ( range_23_3(B)
    <=> ( $false
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B ) ) )).

fof(addAssignment_4833,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v18757(VarCurr,B)
      <=> v18760(VarCurr,B) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges7_1,axiom,(
    ! [VarCurr] :
      ( ( ~ v18761(VarCurr)
        & ~ v18762(VarCurr)
        & ~ v18764(VarCurr)
        & ~ v18765(VarCurr)
        & ~ v18767(VarCurr)
        & ~ v18768(VarCurr)
        & ~ v18770(VarCurr) )
     => ( ( v18760(VarCurr,bitIndex23)
        <=> v18197(VarCurr,bitIndex37) )
        & ( v18760(VarCurr,bitIndex22)
        <=> v18197(VarCurr,bitIndex36) )
        & ( v18760(VarCurr,bitIndex21)
        <=> v18197(VarCurr,bitIndex35) )
        & ( v18760(VarCurr,bitIndex20)
        <=> v18197(VarCurr,bitIndex34) )
        & ( v18760(VarCurr,bitIndex19)
        <=> v18197(VarCurr,bitIndex33) )
        & ( v18760(VarCurr,bitIndex18)
        <=> v18197(VarCurr,bitIndex32) )
        & ( v18760(VarCurr,bitIndex17)
        <=> v18197(VarCurr,bitIndex31) )
        & ( v18760(VarCurr,bitIndex16)
        <=> v18197(VarCurr,bitIndex30) )
        & ( v18760(VarCurr,bitIndex15)
        <=> v18197(VarCurr,bitIndex29) )
        & ( v18760(VarCurr,bitIndex14)
        <=> v18197(VarCurr,bitIndex28) )
        & ( v18760(VarCurr,bitIndex13)
        <=> v18197(VarCurr,bitIndex27) )
        & ( v18760(VarCurr,bitIndex12)
        <=> v18197(VarCurr,bitIndex26) )
        & ( v18760(VarCurr,bitIndex11)
        <=> v18197(VarCurr,bitIndex25) )
        & ( v18760(VarCurr,bitIndex10)
        <=> v18197(VarCurr,bitIndex24) )
        & ( v18760(VarCurr,bitIndex9)
        <=> v18197(VarCurr,bitIndex23) )
        & ( v18760(VarCurr,bitIndex8)
        <=> v18197(VarCurr,bitIndex22) )
        & ( v18760(VarCurr,bitIndex7)
        <=> v18197(VarCurr,bitIndex21) )
        & ( v18760(VarCurr,bitIndex6)
        <=> v18197(VarCurr,bitIndex20) )
        & ( v18760(VarCurr,bitIndex5)
        <=> v18197(VarCurr,bitIndex19) )
        & ( v18760(VarCurr,bitIndex4)
        <=> v18197(VarCurr,bitIndex18) )
        & ( v18760(VarCurr,bitIndex3)
        <=> v18197(VarCurr,bitIndex17) )
        & ( v18760(VarCurr,bitIndex2)
        <=> v18197(VarCurr,bitIndex16) )
        & ( v18760(VarCurr,bitIndex1)
        <=> v18197(VarCurr,bitIndex15) )
        & ( v18760(VarCurr,bitIndex0)
        <=> v18197(VarCurr,bitIndex14) ) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges6_1,axiom,(
    ! [VarCurr] :
      ( v18770(VarCurr)
     => ( ( v18760(VarCurr,bitIndex23)
        <=> v18197(VarCurr,bitIndex37) )
        & ( v18760(VarCurr,bitIndex22)
        <=> v18197(VarCurr,bitIndex36) )
        & ( v18760(VarCurr,bitIndex21)
        <=> v18197(VarCurr,bitIndex35) )
        & ( v18760(VarCurr,bitIndex20)
        <=> v18197(VarCurr,bitIndex34) )
        & ( v18760(VarCurr,bitIndex19)
        <=> v18197(VarCurr,bitIndex33) )
        & ( v18760(VarCurr,bitIndex18)
        <=> v18197(VarCurr,bitIndex32) )
        & ( v18760(VarCurr,bitIndex17)
        <=> v18197(VarCurr,bitIndex31) )
        & ( v18760(VarCurr,bitIndex16)
        <=> v18197(VarCurr,bitIndex30) )
        & ( v18760(VarCurr,bitIndex15)
        <=> v18197(VarCurr,bitIndex29) )
        & ( v18760(VarCurr,bitIndex14)
        <=> v18197(VarCurr,bitIndex28) )
        & ( v18760(VarCurr,bitIndex13)
        <=> v18197(VarCurr,bitIndex27) )
        & ( v18760(VarCurr,bitIndex12)
        <=> v18197(VarCurr,bitIndex26) )
        & ( v18760(VarCurr,bitIndex11)
        <=> v18197(VarCurr,bitIndex25) )
        & ( v18760(VarCurr,bitIndex10)
        <=> v18197(VarCurr,bitIndex24) )
        & ( v18760(VarCurr,bitIndex9)
        <=> v18197(VarCurr,bitIndex23) )
        & ( v18760(VarCurr,bitIndex8)
        <=> v18197(VarCurr,bitIndex22) )
        & ( v18760(VarCurr,bitIndex7)
        <=> v18197(VarCurr,bitIndex21) )
        & ( v18760(VarCurr,bitIndex6)
        <=> v18197(VarCurr,bitIndex20) )
        & ( v18760(VarCurr,bitIndex5)
        <=> v18197(VarCurr,bitIndex19) )
        & ( v18760(VarCurr,bitIndex4)
        <=> v18197(VarCurr,bitIndex18) )
        & ( v18760(VarCurr,bitIndex3)
        <=> v18197(VarCurr,bitIndex17) )
        & ( v18760(VarCurr,bitIndex2)
        <=> v18197(VarCurr,bitIndex16) )
        & ( v18760(VarCurr,bitIndex1)
        <=> v18197(VarCurr,bitIndex15) )
        & ( v18760(VarCurr,bitIndex0)
        <=> v18197(VarCurr,bitIndex14) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges5_11,axiom,(
    ! [VarCurr] :
      ( v18768(VarCurr)
     => ! [B] :
          ( range_23_0(B)
         => ( v18760(VarCurr,B)
          <=> v18769(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges4_2,axiom,(
    ! [VarCurr] :
      ( v18767(VarCurr)
     => ( ( v18760(VarCurr,bitIndex23)
        <=> v18197(VarCurr,bitIndex37) )
        & ( v18760(VarCurr,bitIndex22)
        <=> v18197(VarCurr,bitIndex36) )
        & ( v18760(VarCurr,bitIndex21)
        <=> v18197(VarCurr,bitIndex35) )
        & ( v18760(VarCurr,bitIndex20)
        <=> v18197(VarCurr,bitIndex34) )
        & ( v18760(VarCurr,bitIndex19)
        <=> v18197(VarCurr,bitIndex33) )
        & ( v18760(VarCurr,bitIndex18)
        <=> v18197(VarCurr,bitIndex32) )
        & ( v18760(VarCurr,bitIndex17)
        <=> v18197(VarCurr,bitIndex31) )
        & ( v18760(VarCurr,bitIndex16)
        <=> v18197(VarCurr,bitIndex30) )
        & ( v18760(VarCurr,bitIndex15)
        <=> v18197(VarCurr,bitIndex29) )
        & ( v18760(VarCurr,bitIndex14)
        <=> v18197(VarCurr,bitIndex28) )
        & ( v18760(VarCurr,bitIndex13)
        <=> v18197(VarCurr,bitIndex27) )
        & ( v18760(VarCurr,bitIndex12)
        <=> v18197(VarCurr,bitIndex26) )
        & ( v18760(VarCurr,bitIndex11)
        <=> v18197(VarCurr,bitIndex25) )
        & ( v18760(VarCurr,bitIndex10)
        <=> v18197(VarCurr,bitIndex24) )
        & ( v18760(VarCurr,bitIndex9)
        <=> v18197(VarCurr,bitIndex23) )
        & ( v18760(VarCurr,bitIndex8)
        <=> v18197(VarCurr,bitIndex22) )
        & ( v18760(VarCurr,bitIndex7)
        <=> v18197(VarCurr,bitIndex21) )
        & ( v18760(VarCurr,bitIndex6)
        <=> v18197(VarCurr,bitIndex20) )
        & ( v18760(VarCurr,bitIndex5)
        <=> v18197(VarCurr,bitIndex19) )
        & ( v18760(VarCurr,bitIndex4)
        <=> v18197(VarCurr,bitIndex18) )
        & ( v18760(VarCurr,bitIndex3)
        <=> v18197(VarCurr,bitIndex17) )
        & ( v18760(VarCurr,bitIndex2)
        <=> v18197(VarCurr,bitIndex16) )
        & ( v18760(VarCurr,bitIndex1)
        <=> v18197(VarCurr,bitIndex15) )
        & ( v18760(VarCurr,bitIndex0)
        <=> v18197(VarCurr,bitIndex14) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_40,axiom,(
    ! [VarCurr] :
      ( v18765(VarCurr)
     => ! [B] :
          ( range_23_0(B)
         => ( v18760(VarCurr,B)
          <=> v18766(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges2_5,axiom,(
    ! [VarCurr] :
      ( v18764(VarCurr)
     => ( ( v18760(VarCurr,bitIndex23)
        <=> v18197(VarCurr,bitIndex37) )
        & ( v18760(VarCurr,bitIndex22)
        <=> v18197(VarCurr,bitIndex36) )
        & ( v18760(VarCurr,bitIndex21)
        <=> v18197(VarCurr,bitIndex35) )
        & ( v18760(VarCurr,bitIndex20)
        <=> v18197(VarCurr,bitIndex34) )
        & ( v18760(VarCurr,bitIndex19)
        <=> v18197(VarCurr,bitIndex33) )
        & ( v18760(VarCurr,bitIndex18)
        <=> v18197(VarCurr,bitIndex32) )
        & ( v18760(VarCurr,bitIndex17)
        <=> v18197(VarCurr,bitIndex31) )
        & ( v18760(VarCurr,bitIndex16)
        <=> v18197(VarCurr,bitIndex30) )
        & ( v18760(VarCurr,bitIndex15)
        <=> v18197(VarCurr,bitIndex29) )
        & ( v18760(VarCurr,bitIndex14)
        <=> v18197(VarCurr,bitIndex28) )
        & ( v18760(VarCurr,bitIndex13)
        <=> v18197(VarCurr,bitIndex27) )
        & ( v18760(VarCurr,bitIndex12)
        <=> v18197(VarCurr,bitIndex26) )
        & ( v18760(VarCurr,bitIndex11)
        <=> v18197(VarCurr,bitIndex25) )
        & ( v18760(VarCurr,bitIndex10)
        <=> v18197(VarCurr,bitIndex24) )
        & ( v18760(VarCurr,bitIndex9)
        <=> v18197(VarCurr,bitIndex23) )
        & ( v18760(VarCurr,bitIndex8)
        <=> v18197(VarCurr,bitIndex22) )
        & ( v18760(VarCurr,bitIndex7)
        <=> v18197(VarCurr,bitIndex21) )
        & ( v18760(VarCurr,bitIndex6)
        <=> v18197(VarCurr,bitIndex20) )
        & ( v18760(VarCurr,bitIndex5)
        <=> v18197(VarCurr,bitIndex19) )
        & ( v18760(VarCurr,bitIndex4)
        <=> v18197(VarCurr,bitIndex18) )
        & ( v18760(VarCurr,bitIndex3)
        <=> v18197(VarCurr,bitIndex17) )
        & ( v18760(VarCurr,bitIndex2)
        <=> v18197(VarCurr,bitIndex16) )
        & ( v18760(VarCurr,bitIndex1)
        <=> v18197(VarCurr,bitIndex15) )
        & ( v18760(VarCurr,bitIndex0)
        <=> v18197(VarCurr,bitIndex14) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_594,axiom,(
    ! [VarCurr] :
      ( v18762(VarCurr)
     => ! [B] :
          ( range_23_0(B)
         => ( v18760(VarCurr,B)
          <=> v18763(VarCurr,B) ) ) ) )).

fof(range_axiom_67,axiom,(
    ! [B] :
      ( range_23_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_6,axiom,(
    ! [VarCurr] :
      ( v18761(VarCurr)
     => ( ( v18760(VarCurr,bitIndex23)
        <=> v18197(VarCurr,bitIndex37) )
        & ( v18760(VarCurr,bitIndex22)
        <=> v18197(VarCurr,bitIndex36) )
        & ( v18760(VarCurr,bitIndex21)
        <=> v18197(VarCurr,bitIndex35) )
        & ( v18760(VarCurr,bitIndex20)
        <=> v18197(VarCurr,bitIndex34) )
        & ( v18760(VarCurr,bitIndex19)
        <=> v18197(VarCurr,bitIndex33) )
        & ( v18760(VarCurr,bitIndex18)
        <=> v18197(VarCurr,bitIndex32) )
        & ( v18760(VarCurr,bitIndex17)
        <=> v18197(VarCurr,bitIndex31) )
        & ( v18760(VarCurr,bitIndex16)
        <=> v18197(VarCurr,bitIndex30) )
        & ( v18760(VarCurr,bitIndex15)
        <=> v18197(VarCurr,bitIndex29) )
        & ( v18760(VarCurr,bitIndex14)
        <=> v18197(VarCurr,bitIndex28) )
        & ( v18760(VarCurr,bitIndex13)
        <=> v18197(VarCurr,bitIndex27) )
        & ( v18760(VarCurr,bitIndex12)
        <=> v18197(VarCurr,bitIndex26) )
        & ( v18760(VarCurr,bitIndex11)
        <=> v18197(VarCurr,bitIndex25) )
        & ( v18760(VarCurr,bitIndex10)
        <=> v18197(VarCurr,bitIndex24) )
        & ( v18760(VarCurr,bitIndex9)
        <=> v18197(VarCurr,bitIndex23) )
        & ( v18760(VarCurr,bitIndex8)
        <=> v18197(VarCurr,bitIndex22) )
        & ( v18760(VarCurr,bitIndex7)
        <=> v18197(VarCurr,bitIndex21) )
        & ( v18760(VarCurr,bitIndex6)
        <=> v18197(VarCurr,bitIndex20) )
        & ( v18760(VarCurr,bitIndex5)
        <=> v18197(VarCurr,bitIndex19) )
        & ( v18760(VarCurr,bitIndex4)
        <=> v18197(VarCurr,bitIndex18) )
        & ( v18760(VarCurr,bitIndex3)
        <=> v18197(VarCurr,bitIndex17) )
        & ( v18760(VarCurr,bitIndex2)
        <=> v18197(VarCurr,bitIndex16) )
        & ( v18760(VarCurr,bitIndex1)
        <=> v18197(VarCurr,bitIndex15) )
        & ( v18760(VarCurr,bitIndex0)
        <=> v18197(VarCurr,bitIndex14) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4507,axiom,(
    ! [VarCurr] :
      ( v18770(VarCurr)
    <=> ( v18771(VarCurr)
        | v18772(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1179,axiom,(
    ! [VarCurr] :
      ( v18772(VarCurr)
    <=> ( ( v18759(VarCurr,bitIndex2)
        <=> $true )
        & ( v18759(VarCurr,bitIndex1)
        <=> $true )
        & ( v18759(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1178,axiom,(
    ! [VarCurr] :
      ( v18771(VarCurr)
    <=> ( ( v18759(VarCurr,bitIndex2)
        <=> $true )
        & ( v18759(VarCurr,bitIndex1)
        <=> $true )
        & ( v18759(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_4832,axiom,(
    ! [VarCurr,B] :
      ( range_14_0(B)
     => ( v18769(VarCurr,B)
      <=> $false ) ) )).

fof(addAssignment_4831,axiom,(
    ! [VarCurr] :
      ( ( v18769(VarCurr,bitIndex23)
      <=> v18197(VarCurr,bitIndex37) )
      & ( v18769(VarCurr,bitIndex22)
      <=> v18197(VarCurr,bitIndex36) )
      & ( v18769(VarCurr,bitIndex21)
      <=> v18197(VarCurr,bitIndex35) )
      & ( v18769(VarCurr,bitIndex20)
      <=> v18197(VarCurr,bitIndex34) )
      & ( v18769(VarCurr,bitIndex19)
      <=> v18197(VarCurr,bitIndex33) )
      & ( v18769(VarCurr,bitIndex18)
      <=> v18197(VarCurr,bitIndex32) )
      & ( v18769(VarCurr,bitIndex17)
      <=> v18197(VarCurr,bitIndex31) )
      & ( v18769(VarCurr,bitIndex16)
      <=> v18197(VarCurr,bitIndex30) )
      & ( v18769(VarCurr,bitIndex15)
      <=> v18197(VarCurr,bitIndex29) ) ) )).

fof(addBitVectorEqualityBitBlasted_1177,axiom,(
    ! [VarCurr] :
      ( v18768(VarCurr)
    <=> ( ( v18759(VarCurr,bitIndex2)
        <=> $true )
        & ( v18759(VarCurr,bitIndex1)
        <=> $false )
        & ( v18759(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1176,axiom,(
    ! [VarCurr] :
      ( v18767(VarCurr)
    <=> ( ( v18759(VarCurr,bitIndex2)
        <=> $true )
        & ( v18759(VarCurr,bitIndex1)
        <=> $false )
        & ( v18759(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_4830,axiom,(
    ! [VarCurr,B] :
      ( range_8_0(B)
     => ( v18766(VarCurr,B)
      <=> $false ) ) )).

fof(addAssignment_4829,axiom,(
    ! [VarCurr] :
      ( ( v18766(VarCurr,bitIndex23)
      <=> v18197(VarCurr,bitIndex37) )
      & ( v18766(VarCurr,bitIndex22)
      <=> v18197(VarCurr,bitIndex36) )
      & ( v18766(VarCurr,bitIndex21)
      <=> v18197(VarCurr,bitIndex35) )
      & ( v18766(VarCurr,bitIndex20)
      <=> v18197(VarCurr,bitIndex34) )
      & ( v18766(VarCurr,bitIndex19)
      <=> v18197(VarCurr,bitIndex33) )
      & ( v18766(VarCurr,bitIndex18)
      <=> v18197(VarCurr,bitIndex32) )
      & ( v18766(VarCurr,bitIndex17)
      <=> v18197(VarCurr,bitIndex31) )
      & ( v18766(VarCurr,bitIndex16)
      <=> v18197(VarCurr,bitIndex30) )
      & ( v18766(VarCurr,bitIndex15)
      <=> v18197(VarCurr,bitIndex29) )
      & ( v18766(VarCurr,bitIndex14)
      <=> v18197(VarCurr,bitIndex28) )
      & ( v18766(VarCurr,bitIndex13)
      <=> v18197(VarCurr,bitIndex27) )
      & ( v18766(VarCurr,bitIndex12)
      <=> v18197(VarCurr,bitIndex26) )
      & ( v18766(VarCurr,bitIndex11)
      <=> v18197(VarCurr,bitIndex25) )
      & ( v18766(VarCurr,bitIndex10)
      <=> v18197(VarCurr,bitIndex24) )
      & ( v18766(VarCurr,bitIndex9)
      <=> v18197(VarCurr,bitIndex23) ) ) )).

fof(addBitVectorEqualityBitBlasted_1175,axiom,(
    ! [VarCurr] :
      ( v18765(VarCurr)
    <=> ( ( v18759(VarCurr,bitIndex2)
        <=> $false )
        & ( v18759(VarCurr,bitIndex1)
        <=> $true )
        & ( v18759(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1174,axiom,(
    ! [VarCurr] :
      ( v18764(VarCurr)
    <=> ( ( v18759(VarCurr,bitIndex2)
        <=> $false )
        & ( v18759(VarCurr,bitIndex1)
        <=> $true )
        & ( v18759(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_4828,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v18763(VarCurr,B)
      <=> $false ) ) )).

fof(addAssignment_4827,axiom,(
    ! [VarCurr] :
      ( ( v18763(VarCurr,bitIndex23)
      <=> v18197(VarCurr,bitIndex37) )
      & ( v18763(VarCurr,bitIndex22)
      <=> v18197(VarCurr,bitIndex36) )
      & ( v18763(VarCurr,bitIndex21)
      <=> v18197(VarCurr,bitIndex35) )
      & ( v18763(VarCurr,bitIndex20)
      <=> v18197(VarCurr,bitIndex34) )
      & ( v18763(VarCurr,bitIndex19)
      <=> v18197(VarCurr,bitIndex33) )
      & ( v18763(VarCurr,bitIndex18)
      <=> v18197(VarCurr,bitIndex32) )
      & ( v18763(VarCurr,bitIndex17)
      <=> v18197(VarCurr,bitIndex31) )
      & ( v18763(VarCurr,bitIndex16)
      <=> v18197(VarCurr,bitIndex30) )
      & ( v18763(VarCurr,bitIndex15)
      <=> v18197(VarCurr,bitIndex29) )
      & ( v18763(VarCurr,bitIndex14)
      <=> v18197(VarCurr,bitIndex28) )
      & ( v18763(VarCurr,bitIndex13)
      <=> v18197(VarCurr,bitIndex27) )
      & ( v18763(VarCurr,bitIndex12)
      <=> v18197(VarCurr,bitIndex26) )
      & ( v18763(VarCurr,bitIndex11)
      <=> v18197(VarCurr,bitIndex25) )
      & ( v18763(VarCurr,bitIndex10)
      <=> v18197(VarCurr,bitIndex24) )
      & ( v18763(VarCurr,bitIndex9)
      <=> v18197(VarCurr,bitIndex23) )
      & ( v18763(VarCurr,bitIndex8)
      <=> v18197(VarCurr,bitIndex22) )
      & ( v18763(VarCurr,bitIndex7)
      <=> v18197(VarCurr,bitIndex21) )
      & ( v18763(VarCurr,bitIndex6)
      <=> v18197(VarCurr,bitIndex20) )
      & ( v18763(VarCurr,bitIndex5)
      <=> v18197(VarCurr,bitIndex19) )
      & ( v18763(VarCurr,bitIndex4)
      <=> v18197(VarCurr,bitIndex18) )
      & ( v18763(VarCurr,bitIndex3)
      <=> v18197(VarCurr,bitIndex17) ) ) )).

fof(addBitVectorEqualityBitBlasted_1173,axiom,(
    ! [VarCurr] :
      ( v18762(VarCurr)
    <=> ( ( v18759(VarCurr,bitIndex2)
        <=> $false )
        & ( v18759(VarCurr,bitIndex1)
        <=> $false )
        & ( v18759(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1172,axiom,(
    ! [VarCurr] :
      ( v18761(VarCurr)
    <=> ( ( v18759(VarCurr,bitIndex2)
        <=> $false )
        & ( v18759(VarCurr,bitIndex1)
        <=> $false )
        & ( v18759(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_4826,axiom,(
    ! [VarCurr] :
      ( v16613(VarCurr)
    <=> v16615(VarCurr) ) )).

fof(addAssignment_4825,axiom,(
    ! [VarCurr] :
      ( v16615(VarCurr)
    <=> v16617(VarCurr) ) )).

fof(addAssignment_4824,axiom,(
    ! [VarCurr] :
      ( v16617(VarCurr)
    <=> v16619(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4506,axiom,(
    ! [VarCurr] :
      ( v16619(VarCurr)
    <=> ( v16621(VarCurr)
        | v18753(VarCurr) ) ) )).

fof(writeUnaryOperator_1974,axiom,(
    ! [VarCurr] :
      ( ~ v18753(VarCurr)
    <=> v16625(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_405,axiom,(
    ! [VarCurr] :
      ( ~ v16640(VarCurr)
     => ( v16621(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_409,axiom,(
    ! [VarCurr] :
      ( v16640(VarCurr)
     => ( v16621(VarCurr)
      <=> $true ) ) )).

fof(addCaseBooleanConditionEqualRanges1_203,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18740(VarNext)
       => ! [B] :
            ( range_2_0(B)
           => ( v16623(VarNext,B)
            <=> v16623(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_224,axiom,(
    ! [VarNext] :
      ( v18740(VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v16623(VarNext,B)
          <=> v18748(VarNext,B) ) ) ) )).

fof(addAssignment_4823,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v18748(VarNext,B)
          <=> v18746(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_404,axiom,(
    ! [VarCurr] :
      ( ~ v16658(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v18746(VarCurr,B)
          <=> v16627(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_408,axiom,(
    ! [VarCurr] :
      ( v16658(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v18746(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4505,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18740(VarNext)
      <=> v18741(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4504,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18741(VarNext)
      <=> ( v18743(VarNext)
          & v16644(VarNext) ) ) ) )).

fof(writeUnaryOperator_1973,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18743(VarNext)
      <=> v16651(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges6_7,axiom,(
    ! [VarCurr] :
      ( ( ~ v18691(VarCurr)
        & ~ v18695(VarCurr)
        & ~ v18696(VarCurr)
        & ~ v18702(VarCurr)
        & ~ v18717(VarCurr)
        & ~ v18734(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v16627(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges5_10,axiom,(
    ! [VarCurr] :
      ( v18734(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v16627(VarCurr,B)
          <=> b010(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges4_13,axiom,(
    ! [VarCurr] :
      ( v18717(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v16627(VarCurr,B)
          <=> v18718(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_39,axiom,(
    ! [VarCurr] :
      ( v18702(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v16627(VarCurr,B)
          <=> v18703(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_247,axiom,(
    ! [VarCurr] :
      ( v18696(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v16627(VarCurr,B)
          <=> v18697(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_593,axiom,(
    ! [VarCurr] :
      ( v18695(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v16627(VarCurr,B)
          <=> b010(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_595,axiom,(
    ! [VarCurr] :
      ( v18691(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v16627(VarCurr,B)
          <=> v18692(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4503,axiom,(
    ! [VarCurr] :
      ( v18735(VarCurr)
    <=> ( v18736(VarCurr)
        | v18737(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1171,axiom,(
    ! [VarCurr] :
      ( v18737(VarCurr)
    <=> ( ( v16623(VarCurr,bitIndex2)
        <=> $true )
        & ( v16623(VarCurr,bitIndex1)
        <=> $true )
        & ( v16623(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1170,axiom,(
    ! [VarCurr] :
      ( v18736(VarCurr)
    <=> ( ( v16623(VarCurr,bitIndex2)
        <=> $true )
        & ( v16623(VarCurr,bitIndex1)
        <=> $true )
        & ( v16623(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1169,axiom,(
    ! [VarCurr] :
      ( v18734(VarCurr)
    <=> ( ( v16623(VarCurr,bitIndex2)
        <=> $true )
        & ( v16623(VarCurr,bitIndex1)
        <=> $false )
        & ( v16623(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_38,axiom,(
    ! [VarCurr] :
      ( ( ~ v18719(VarCurr)
        & ~ v18724(VarCurr)
        & ~ v18729(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v18718(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_246,axiom,(
    ! [VarCurr] :
      ( v18729(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v18718(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_592,axiom,(
    ! [VarCurr] :
      ( v18724(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v18718(VarCurr,B)
          <=> b101(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_594,axiom,(
    ! [VarCurr] :
      ( v18719(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v18718(VarCurr,B)
          <=> b100(B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4502,axiom,(
    ! [VarCurr] :
      ( v18729(VarCurr)
    <=> ( v18730(VarCurr)
        | v18732(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1168,axiom,(
    ! [VarCurr] :
      ( v18732(VarCurr)
    <=> ( ( v18733(VarCurr,bitIndex2)
        <=> $true )
        & ( v18733(VarCurr,bitIndex1)
        <=> $true )
        & ( v18733(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_4822,axiom,(
    ! [VarCurr] :
      ( v18733(VarCurr,bitIndex0)
    <=> v17890(VarCurr) ) )).

fof(addAssignment_4821,axiom,(
    ! [VarCurr] :
      ( v18733(VarCurr,bitIndex1)
    <=> v17001(VarCurr) ) )).

fof(addAssignment_4820,axiom,(
    ! [VarCurr] :
      ( v18733(VarCurr,bitIndex2)
    <=> v16743(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1167,axiom,(
    ! [VarCurr] :
      ( v18730(VarCurr)
    <=> ( ( v18731(VarCurr,bitIndex2)
        <=> $true )
        & ( v18731(VarCurr,bitIndex1)
        <=> $true )
        & ( v18731(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_4819,axiom,(
    ! [VarCurr] :
      ( v18731(VarCurr,bitIndex0)
    <=> v17890(VarCurr) ) )).

fof(addAssignment_4818,axiom,(
    ! [VarCurr] :
      ( v18731(VarCurr,bitIndex1)
    <=> v17001(VarCurr) ) )).

fof(addAssignment_4817,axiom,(
    ! [VarCurr] :
      ( v18731(VarCurr,bitIndex2)
    <=> v16743(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4501,axiom,(
    ! [VarCurr] :
      ( v18724(VarCurr)
    <=> ( v18725(VarCurr)
        | v18727(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1166,axiom,(
    ! [VarCurr] :
      ( v18727(VarCurr)
    <=> ( ( v18728(VarCurr,bitIndex2)
        <=> $true )
        & ( v18728(VarCurr,bitIndex1)
        <=> $false )
        & ( v18728(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_4816,axiom,(
    ! [VarCurr] :
      ( v18728(VarCurr,bitIndex0)
    <=> v17890(VarCurr) ) )).

fof(addAssignment_4815,axiom,(
    ! [VarCurr] :
      ( v18728(VarCurr,bitIndex1)
    <=> v17001(VarCurr) ) )).

fof(addAssignment_4814,axiom,(
    ! [VarCurr] :
      ( v18728(VarCurr,bitIndex2)
    <=> v16743(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1165,axiom,(
    ! [VarCurr] :
      ( v18725(VarCurr)
    <=> ( ( v18726(VarCurr,bitIndex2)
        <=> $true )
        & ( v18726(VarCurr,bitIndex1)
        <=> $false )
        & ( v18726(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_4813,axiom,(
    ! [VarCurr] :
      ( v18726(VarCurr,bitIndex0)
    <=> v17890(VarCurr) ) )).

fof(addAssignment_4812,axiom,(
    ! [VarCurr] :
      ( v18726(VarCurr,bitIndex1)
    <=> v17001(VarCurr) ) )).

fof(addAssignment_4811,axiom,(
    ! [VarCurr] :
      ( v18726(VarCurr,bitIndex2)
    <=> v16743(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4500,axiom,(
    ! [VarCurr] :
      ( v18719(VarCurr)
    <=> ( v18720(VarCurr)
        | v18722(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1164,axiom,(
    ! [VarCurr] :
      ( v18722(VarCurr)
    <=> ( ( v18723(VarCurr,bitIndex2)
        <=> $false )
        & ( v18723(VarCurr,bitIndex1)
        <=> $false )
        & ( v18723(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_4810,axiom,(
    ! [VarCurr] :
      ( v18723(VarCurr,bitIndex0)
    <=> v17890(VarCurr) ) )).

fof(addAssignment_4809,axiom,(
    ! [VarCurr] :
      ( v18723(VarCurr,bitIndex1)
    <=> v17001(VarCurr) ) )).

fof(addAssignment_4808,axiom,(
    ! [VarCurr] :
      ( v18723(VarCurr,bitIndex2)
    <=> v16743(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1163,axiom,(
    ! [VarCurr] :
      ( v18720(VarCurr)
    <=> ( ( v18721(VarCurr,bitIndex2)
        <=> $false )
        & ( v18721(VarCurr,bitIndex1)
        <=> $false )
        & ( v18721(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_4807,axiom,(
    ! [VarCurr] :
      ( v18721(VarCurr,bitIndex0)
    <=> v17890(VarCurr) ) )).

fof(addAssignment_4806,axiom,(
    ! [VarCurr] :
      ( v18721(VarCurr,bitIndex1)
    <=> v17001(VarCurr) ) )).

fof(addAssignment_4805,axiom,(
    ! [VarCurr] :
      ( v18721(VarCurr,bitIndex2)
    <=> v16743(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1162,axiom,(
    ! [VarCurr] :
      ( v18717(VarCurr)
    <=> ( ( v16623(VarCurr,bitIndex2)
        <=> $true )
        & ( v16623(VarCurr,bitIndex1)
        <=> $false )
        & ( v16623(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges5_9,axiom,(
    ! [VarCurr] :
      ( ( ~ v18704(VarCurr)
        & ~ v18706(VarCurr)
        & ~ v18708(VarCurr)
        & ~ v18710(VarCurr)
        & ~ v18712(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v18703(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges4_12,axiom,(
    ! [VarCurr] :
      ( v18712(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v18703(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_37,axiom,(
    ! [VarCurr] :
      ( v18710(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v18703(VarCurr,B)
          <=> b101(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_245,axiom,(
    ! [VarCurr] :
      ( v18708(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v18703(VarCurr,B)
          <=> b110(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_591,axiom,(
    ! [VarCurr] :
      ( v18706(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v18703(VarCurr,B)
          <=> b100(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_593,axiom,(
    ! [VarCurr] :
      ( v18704(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v18703(VarCurr,B)
          <=> b011(B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4499,axiom,(
    ! [VarCurr] :
      ( v18712(VarCurr)
    <=> ( v18713(VarCurr)
        | v18715(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1161,axiom,(
    ! [VarCurr] :
      ( v18715(VarCurr)
    <=> ( ( v18716(VarCurr,bitIndex2)
        <=> $true )
        & ( v18716(VarCurr,bitIndex1)
        <=> $true )
        & ( v18716(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_4804,axiom,(
    ! [VarCurr] :
      ( v18716(VarCurr,bitIndex0)
    <=> v17890(VarCurr) ) )).

fof(addAssignment_4803,axiom,(
    ! [VarCurr] :
      ( v18716(VarCurr,bitIndex1)
    <=> v17001(VarCurr) ) )).

fof(addAssignment_4802,axiom,(
    ! [VarCurr] :
      ( v18716(VarCurr,bitIndex2)
    <=> v16743(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1160,axiom,(
    ! [VarCurr] :
      ( v18713(VarCurr)
    <=> ( ( v18714(VarCurr,bitIndex2)
        <=> $true )
        & ( v18714(VarCurr,bitIndex1)
        <=> $true )
        & ( v18714(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_4801,axiom,(
    ! [VarCurr] :
      ( v18714(VarCurr,bitIndex0)
    <=> v17890(VarCurr) ) )).

fof(addAssignment_4800,axiom,(
    ! [VarCurr] :
      ( v18714(VarCurr,bitIndex1)
    <=> v17001(VarCurr) ) )).

fof(addAssignment_4799,axiom,(
    ! [VarCurr] :
      ( v18714(VarCurr,bitIndex2)
    <=> v16743(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1159,axiom,(
    ! [VarCurr] :
      ( v18710(VarCurr)
    <=> ( ( v18711(VarCurr,bitIndex2)
        <=> $true )
        & ( v18711(VarCurr,bitIndex1)
        <=> $false )
        & ( v18711(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_4798,axiom,(
    ! [VarCurr] :
      ( v18711(VarCurr,bitIndex0)
    <=> v17890(VarCurr) ) )).

fof(addAssignment_4797,axiom,(
    ! [VarCurr] :
      ( v18711(VarCurr,bitIndex1)
    <=> v17001(VarCurr) ) )).

fof(addAssignment_4796,axiom,(
    ! [VarCurr] :
      ( v18711(VarCurr,bitIndex2)
    <=> v16743(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1158,axiom,(
    ! [VarCurr] :
      ( v18708(VarCurr)
    <=> ( ( v18709(VarCurr,bitIndex2)
        <=> $true )
        & ( v18709(VarCurr,bitIndex1)
        <=> $false )
        & ( v18709(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_4795,axiom,(
    ! [VarCurr] :
      ( v18709(VarCurr,bitIndex0)
    <=> v17890(VarCurr) ) )).

fof(addAssignment_4794,axiom,(
    ! [VarCurr] :
      ( v18709(VarCurr,bitIndex1)
    <=> v17001(VarCurr) ) )).

fof(addAssignment_4793,axiom,(
    ! [VarCurr] :
      ( v18709(VarCurr,bitIndex2)
    <=> v16743(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1157,axiom,(
    ! [VarCurr] :
      ( v18706(VarCurr)
    <=> ( ( v18707(VarCurr,bitIndex2)
        <=> $false )
        & ( v18707(VarCurr,bitIndex1)
        <=> $false )
        & ( v18707(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_4792,axiom,(
    ! [VarCurr] :
      ( v18707(VarCurr,bitIndex0)
    <=> v17890(VarCurr) ) )).

fof(addAssignment_4791,axiom,(
    ! [VarCurr] :
      ( v18707(VarCurr,bitIndex1)
    <=> v17001(VarCurr) ) )).

fof(addAssignment_4790,axiom,(
    ! [VarCurr] :
      ( v18707(VarCurr,bitIndex2)
    <=> v16743(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1156,axiom,(
    ! [VarCurr] :
      ( v18704(VarCurr)
    <=> ( ( v18705(VarCurr,bitIndex2)
        <=> $false )
        & ( v18705(VarCurr,bitIndex1)
        <=> $false )
        & ( v18705(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_4789,axiom,(
    ! [VarCurr] :
      ( v18705(VarCurr,bitIndex0)
    <=> v17890(VarCurr) ) )).

fof(addAssignment_4788,axiom,(
    ! [VarCurr] :
      ( v18705(VarCurr,bitIndex1)
    <=> v17001(VarCurr) ) )).

fof(addAssignment_4787,axiom,(
    ! [VarCurr] :
      ( v18705(VarCurr,bitIndex2)
    <=> v16743(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1155,axiom,(
    ! [VarCurr] :
      ( v18702(VarCurr)
    <=> ( ( v16623(VarCurr,bitIndex2)
        <=> $false )
        & ( v16623(VarCurr,bitIndex1)
        <=> $true )
        & ( v16623(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_590,axiom,(
    ! [VarCurr] :
      ( ~ v18698(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v18697(VarCurr,B)
          <=> b010(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_592,axiom,(
    ! [VarCurr] :
      ( v18698(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v18697(VarCurr,B)
          <=> b011(B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1154,axiom,(
    ! [VarCurr] :
      ( v18700(VarCurr)
    <=> ( v18701(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4498,axiom,(
    ! [VarCurr] :
      ( v18701(VarCurr)
    <=> ( v16635(VarCurr)
      <~> v16662(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1153,axiom,(
    ! [VarCurr] :
      ( v18698(VarCurr)
    <=> ( v18699(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4497,axiom,(
    ! [VarCurr] :
      ( v18699(VarCurr)
    <=> ( v16635(VarCurr)
      <~> v16662(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1152,axiom,(
    ! [VarCurr] :
      ( v18696(VarCurr)
    <=> ( ( v16623(VarCurr,bitIndex2)
        <=> $false )
        & ( v16623(VarCurr,bitIndex1)
        <=> $true )
        & ( v16623(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1151,axiom,(
    ! [VarCurr] :
      ( v18695(VarCurr)
    <=> ( ( v16623(VarCurr,bitIndex2)
        <=> $false )
        & ( v16623(VarCurr,bitIndex1)
        <=> $false )
        & ( v16623(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_589,axiom,(
    ! [VarCurr] :
      ( ~ v18693(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v18692(VarCurr,B)
          <=> b001(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_591,axiom,(
    ! [VarCurr] :
      ( v18693(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v18692(VarCurr,B)
          <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1150,axiom,(
    ! [VarCurr] :
      ( v18694(VarCurr)
    <=> ( v16629(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1149,axiom,(
    ! [VarCurr] :
      ( v18693(VarCurr)
    <=> ( v16629(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1148,axiom,(
    ! [VarCurr] :
      ( v18691(VarCurr)
    <=> ( ( v16623(VarCurr,bitIndex2)
        <=> $false )
        & ( v16623(VarCurr,bitIndex1)
        <=> $false )
        & ( v16623(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4496,axiom,(
    ! [VarCurr] :
      ( v17890(VarCurr)
    <=> ( v17892(VarCurr)
        & v17924(VarCurr) ) ) )).

fof(addAssignment_4786,axiom,(
    ! [VarCurr] :
      ( v17924(VarCurr)
    <=> v17926(VarCurr) ) )).

fof(addAssignment_4785,axiom,(
    ! [VarCurr] :
      ( v17926(VarCurr)
    <=> v17928(VarCurr) ) )).

fof(addAssignment_4784,axiom,(
    ! [VarCurr] :
      ( v17928(VarCurr)
    <=> v17930(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4495,axiom,(
    ! [VarCurr] :
      ( v17930(VarCurr)
    <=> ( v17932(VarCurr)
        | v17985(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4494,axiom,(
    ! [VarCurr] :
      ( v17985(VarCurr)
    <=> ( v17987(VarCurr)
        & v18687(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1147,axiom,(
    ! [VarCurr] :
      ( v18687(VarCurr)
    <=> ( ( v18040(VarCurr,bitIndex32)
        <=> v18066(VarCurr,bitIndex32) )
        & ( v18040(VarCurr,bitIndex31)
        <=> v18066(VarCurr,bitIndex31) )
        & ( v18040(VarCurr,bitIndex30)
        <=> v18066(VarCurr,bitIndex30) )
        & ( v18040(VarCurr,bitIndex29)
        <=> v18066(VarCurr,bitIndex29) )
        & ( v18040(VarCurr,bitIndex28)
        <=> v18066(VarCurr,bitIndex28) )
        & ( v18040(VarCurr,bitIndex27)
        <=> v18066(VarCurr,bitIndex27) )
        & ( v18040(VarCurr,bitIndex26)
        <=> v18066(VarCurr,bitIndex26) )
        & ( v18040(VarCurr,bitIndex25)
        <=> v18066(VarCurr,bitIndex25) )
        & ( v18040(VarCurr,bitIndex24)
        <=> v18066(VarCurr,bitIndex24) )
        & ( v18040(VarCurr,bitIndex23)
        <=> v18066(VarCurr,bitIndex23) )
        & ( v18040(VarCurr,bitIndex22)
        <=> v18066(VarCurr,bitIndex22) )
        & ( v18040(VarCurr,bitIndex21)
        <=> v18066(VarCurr,bitIndex21) )
        & ( v18040(VarCurr,bitIndex20)
        <=> v18066(VarCurr,bitIndex20) )
        & ( v18040(VarCurr,bitIndex19)
        <=> v18066(VarCurr,bitIndex19) )
        & ( v18040(VarCurr,bitIndex18)
        <=> v18066(VarCurr,bitIndex18) )
        & ( v18040(VarCurr,bitIndex17)
        <=> v18066(VarCurr,bitIndex17) )
        & ( v18040(VarCurr,bitIndex16)
        <=> v18066(VarCurr,bitIndex16) )
        & ( v18040(VarCurr,bitIndex15)
        <=> v18066(VarCurr,bitIndex15) )
        & ( v18040(VarCurr,bitIndex14)
        <=> v18066(VarCurr,bitIndex14) )
        & ( v18040(VarCurr,bitIndex13)
        <=> v18066(VarCurr,bitIndex13) )
        & ( v18040(VarCurr,bitIndex12)
        <=> v18066(VarCurr,bitIndex12) )
        & ( v18040(VarCurr,bitIndex11)
        <=> v18066(VarCurr,bitIndex11) )
        & ( v18040(VarCurr,bitIndex10)
        <=> v18066(VarCurr,bitIndex10) )
        & ( v18040(VarCurr,bitIndex9)
        <=> v18066(VarCurr,bitIndex9) )
        & ( v18040(VarCurr,bitIndex8)
        <=> v18066(VarCurr,bitIndex8) )
        & ( v18040(VarCurr,bitIndex7)
        <=> v18066(VarCurr,bitIndex7) )
        & ( v18040(VarCurr,bitIndex6)
        <=> v18066(VarCurr,bitIndex6) )
        & ( v18040(VarCurr,bitIndex5)
        <=> v18066(VarCurr,bitIndex5) )
        & ( v18040(VarCurr,bitIndex4)
        <=> v18066(VarCurr,bitIndex4) )
        & ( v18040(VarCurr,bitIndex3)
        <=> v18066(VarCurr,bitIndex3) )
        & ( v18040(VarCurr,bitIndex2)
        <=> v18066(VarCurr,bitIndex2) )
        & ( v18040(VarCurr,bitIndex1)
        <=> v18066(VarCurr,bitIndex1) )
        & ( v18040(VarCurr,bitIndex0)
        <=> v18066(VarCurr,bitIndex0) ) ) ) )).

fof(addAssignment_4783,axiom,(
    ! [VarCurr,B] :
      ( range_32_0(B)
     => ( v18066(VarCurr,B)
      <=> v18068(VarCurr,B) ) ) )).

fof(addAssignment_4782,axiom,(
    ! [VarCurr,B] :
      ( range_32_0(B)
     => ( v18068(VarCurr,B)
      <=> v18070(VarCurr,B) ) ) )).

fof(addAssignment_4781,axiom,(
    ! [VarCurr,B] :
      ( range_32_0(B)
     => ( v18070(VarCurr,B)
      <=> v18072(VarCurr,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_202,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18667(VarNext)
       => ! [B] :
            ( range_32_0(B)
           => ( v18072(VarNext,B)
            <=> v18072(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_223,axiom,(
    ! [VarNext] :
      ( v18667(VarNext)
     => ! [B] :
          ( range_32_0(B)
         => ( v18072(VarNext,B)
          <=> v18683(VarNext,B) ) ) ) )).

fof(addAssignment_4780,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_32_0(B)
         => ( v18683(VarNext,B)
          <=> v18681(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_588,axiom,(
    ! [VarCurr] :
      ( ~ v18678(VarCurr)
     => ! [B] :
          ( range_32_0(B)
         => ( v18681(VarCurr,B)
          <=> v18074(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_590,axiom,(
    ! [VarCurr] :
      ( v18678(VarCurr)
     => ! [B] :
          ( range_32_0(B)
         => ( v18681(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4493,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18667(VarNext)
      <=> ( v18668(VarNext)
          & v18677(VarNext) ) ) ) )).

fof(addAssignment_4779,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18677(VarNext)
      <=> v18675(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4492,axiom,(
    ! [VarCurr] :
      ( v18675(VarCurr)
    <=> ( v18678(VarCurr)
        | v18679(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4491,axiom,(
    ! [VarCurr] :
      ( v18679(VarCurr)
    <=> ( v16613(VarCurr)
        & v18680(VarCurr) ) ) )).

fof(writeUnaryOperator_1972,axiom,(
    ! [VarCurr] :
      ( ~ v18680(VarCurr)
    <=> v18678(VarCurr) ) )).

fof(writeUnaryOperator_1971,axiom,(
    ! [VarCurr] :
      ( ~ v18678(VarCurr)
    <=> v16610(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4490,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18668(VarNext)
      <=> ( v18669(VarNext)
          & v18664(VarNext) ) ) ) )).

fof(writeUnaryOperator_1970,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18669(VarNext)
      <=> v18671(VarNext) ) ) )).

fof(addAssignment_4778,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18671(VarNext)
      <=> v18664(VarCurr) ) ) )).

fof(addAssignment_4777,axiom,(
    ! [VarCurr] :
      ( v18664(VarCurr)
    <=> v8025(VarCurr) ) )).

fof(addAssignment_4776,axiom,(
    ! [VarCurr,B] :
      ( range_32_0(B)
     => ( v18074(VarCurr,B)
      <=> v18076(VarCurr,B) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_403,axiom,(
    ! [VarCurr] :
      ( ~ v18078(VarCurr)
     => ! [B] :
          ( range_32_0(B)
         => ( v18076(VarCurr,B)
          <=> v18662(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_407,axiom,(
    ! [VarCurr] :
      ( v18078(VarCurr)
     => ! [B] :
          ( range_32_0(B)
         => ( v18076(VarCurr,B)
          <=> v18661(VarCurr,B) ) ) ) )).

fof(addAssignment_4775,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v18662(VarCurr,B)
      <=> v18166(VarCurr,B) ) ) )).

fof(addAssignment_4774,axiom,(
    ! [VarCurr] :
      ( ( v18662(VarCurr,bitIndex32)
      <=> v18080(VarCurr,bitIndex25) )
      & ( v18662(VarCurr,bitIndex31)
      <=> v18080(VarCurr,bitIndex24) )
      & ( v18662(VarCurr,bitIndex30)
      <=> v18080(VarCurr,bitIndex23) )
      & ( v18662(VarCurr,bitIndex29)
      <=> v18080(VarCurr,bitIndex22) )
      & ( v18662(VarCurr,bitIndex28)
      <=> v18080(VarCurr,bitIndex21) )
      & ( v18662(VarCurr,bitIndex27)
      <=> v18080(VarCurr,bitIndex20) )
      & ( v18662(VarCurr,bitIndex26)
      <=> v18080(VarCurr,bitIndex19) )
      & ( v18662(VarCurr,bitIndex25)
      <=> v18080(VarCurr,bitIndex18) )
      & ( v18662(VarCurr,bitIndex24)
      <=> v18080(VarCurr,bitIndex17) )
      & ( v18662(VarCurr,bitIndex23)
      <=> v18080(VarCurr,bitIndex16) )
      & ( v18662(VarCurr,bitIndex22)
      <=> v18080(VarCurr,bitIndex15) )
      & ( v18662(VarCurr,bitIndex21)
      <=> v18080(VarCurr,bitIndex14) )
      & ( v18662(VarCurr,bitIndex20)
      <=> v18080(VarCurr,bitIndex13) )
      & ( v18662(VarCurr,bitIndex19)
      <=> v18080(VarCurr,bitIndex12) )
      & ( v18662(VarCurr,bitIndex18)
      <=> v18080(VarCurr,bitIndex11) )
      & ( v18662(VarCurr,bitIndex17)
      <=> v18080(VarCurr,bitIndex10) )
      & ( v18662(VarCurr,bitIndex16)
      <=> v18080(VarCurr,bitIndex9) )
      & ( v18662(VarCurr,bitIndex15)
      <=> v18080(VarCurr,bitIndex8) )
      & ( v18662(VarCurr,bitIndex14)
      <=> v18080(VarCurr,bitIndex7) )
      & ( v18662(VarCurr,bitIndex13)
      <=> v18080(VarCurr,bitIndex6) )
      & ( v18662(VarCurr,bitIndex12)
      <=> v18080(VarCurr,bitIndex5) )
      & ( v18662(VarCurr,bitIndex11)
      <=> v18080(VarCurr,bitIndex4) )
      & ( v18662(VarCurr,bitIndex10)
      <=> v18080(VarCurr,bitIndex3) )
      & ( v18662(VarCurr,bitIndex9)
      <=> v18080(VarCurr,bitIndex2) )
      & ( v18662(VarCurr,bitIndex8)
      <=> v18080(VarCurr,bitIndex1) )
      & ( v18662(VarCurr,bitIndex7)
      <=> v18080(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_4773,axiom,(
    ! [VarCurr,B] :
      ( range_32_0(B)
     => ( v18661(VarCurr,B)
      <=> v18080(VarCurr,B) ) ) )).

fof(addAssignment_4772,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v18166(VarCurr,B)
      <=> v18222(VarCurr,B) ) ) )).

fof(addAssignment_4771,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v18220(VarCurr,B)
      <=> v18221(VarCurr,B) ) ) )).

fof(addAssignment_4770,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v18217(VarCurr,B)
      <=> v18218(VarCurr,B) ) ) )).

fof(addAssignment_4769,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v18214(VarCurr,B)
      <=> v18215(VarCurr,B) ) ) )).

fof(addAssignment_4768,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v18211(VarCurr,B)
      <=> v18212(VarCurr,B) ) ) )).

fof(addAssignment_4767,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v18208(VarCurr,B)
      <=> v18209(VarCurr,B) ) ) )).

fof(addAssignment_4766,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v18205(VarCurr,B)
      <=> v18206(VarCurr,B) ) ) )).

fof(addAssignment_4765,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v18202(VarCurr,B)
      <=> v18203(VarCurr,B) ) ) )).

fof(addAssignment_4764,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v18182(VarCurr,B)
      <=> v18200(VarCurr,B) ) ) )).

fof(addAssignment_4763,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v18178(VarCurr,B)
      <=> v18179(VarCurr,B) ) ) )).

fof(addAssignment_4762,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v18180(VarCurr,B)
      <=> v18198(VarCurr,B) ) ) )).

fof(addAssignment_4761,axiom,(
    ! [VarCurr] :
      ( ( v18195(VarCurr,bitIndex2)
      <=> v18197(VarCurr,bitIndex16) )
      & ( v18195(VarCurr,bitIndex1)
      <=> v18197(VarCurr,bitIndex15) )
      & ( v18195(VarCurr,bitIndex0)
      <=> v18197(VarCurr,bitIndex14) ) ) )).

fof(addAssignment_4760,axiom,(
    ! [VarCurr] :
      ( ( v18195(VarCurr,bitIndex6)
      <=> v18197(VarCurr,bitIndex20) )
      & ( v18195(VarCurr,bitIndex5)
      <=> v18197(VarCurr,bitIndex19) )
      & ( v18195(VarCurr,bitIndex4)
      <=> v18197(VarCurr,bitIndex18) )
      & ( v18195(VarCurr,bitIndex3)
      <=> v18197(VarCurr,bitIndex17) ) ) )).

fof(addAssignment_4759,axiom,(
    ! [VarCurr] :
      ( v18080(VarCurr,bitIndex0)
    <=> v18655(VarCurr) ) )).

fof(addAssignment_4758,axiom,(
    ! [VarCurr] :
      ( v18080(VarCurr,bitIndex1)
    <=> v18650(VarCurr) ) )).

fof(addAssignment_4757,axiom,(
    ! [VarCurr] :
      ( v18080(VarCurr,bitIndex2)
    <=> v18645(VarCurr) ) )).

fof(addAssignment_4756,axiom,(
    ! [VarCurr] :
      ( v18080(VarCurr,bitIndex3)
    <=> v18640(VarCurr) ) )).

fof(addAssignment_4755,axiom,(
    ! [VarCurr] :
      ( v18080(VarCurr,bitIndex4)
    <=> v18635(VarCurr) ) )).

fof(addAssignment_4754,axiom,(
    ! [VarCurr] :
      ( v18080(VarCurr,bitIndex5)
    <=> v18630(VarCurr) ) )).

fof(addAssignment_4753,axiom,(
    ! [VarCurr] :
      ( v18080(VarCurr,bitIndex6)
    <=> v18625(VarCurr) ) )).

fof(addAssignment_4752,axiom,(
    ! [VarCurr] :
      ( v18080(VarCurr,bitIndex7)
    <=> v18620(VarCurr) ) )).

fof(addAssignment_4751,axiom,(
    ! [VarCurr] :
      ( v18080(VarCurr,bitIndex8)
    <=> v18615(VarCurr) ) )).

fof(addAssignment_4750,axiom,(
    ! [VarCurr] :
      ( v18080(VarCurr,bitIndex9)
    <=> v18610(VarCurr) ) )).

fof(addAssignment_4749,axiom,(
    ! [VarCurr] :
      ( v18080(VarCurr,bitIndex10)
    <=> v18605(VarCurr) ) )).

fof(addAssignment_4748,axiom,(
    ! [VarCurr] :
      ( v18080(VarCurr,bitIndex11)
    <=> v18600(VarCurr) ) )).

fof(addAssignment_4747,axiom,(
    ! [VarCurr] :
      ( v18080(VarCurr,bitIndex12)
    <=> v18595(VarCurr) ) )).

fof(addAssignment_4746,axiom,(
    ! [VarCurr] :
      ( v18080(VarCurr,bitIndex13)
    <=> v18590(VarCurr) ) )).

fof(addAssignment_4745,axiom,(
    ! [VarCurr] :
      ( v18080(VarCurr,bitIndex14)
    <=> v18585(VarCurr) ) )).

fof(addAssignment_4744,axiom,(
    ! [VarCurr] :
      ( v18080(VarCurr,bitIndex15)
    <=> v18580(VarCurr) ) )).

fof(addAssignment_4743,axiom,(
    ! [VarCurr] :
      ( v18080(VarCurr,bitIndex16)
    <=> v18575(VarCurr) ) )).

fof(addAssignment_4742,axiom,(
    ! [VarCurr] :
      ( v18080(VarCurr,bitIndex17)
    <=> v18570(VarCurr) ) )).

fof(addAssignment_4741,axiom,(
    ! [VarCurr] :
      ( v18080(VarCurr,bitIndex18)
    <=> v18565(VarCurr) ) )).

fof(addAssignment_4740,axiom,(
    ! [VarCurr] :
      ( v18080(VarCurr,bitIndex19)
    <=> v18560(VarCurr) ) )).

fof(addAssignment_4739,axiom,(
    ! [VarCurr] :
      ( v18080(VarCurr,bitIndex20)
    <=> v18555(VarCurr) ) )).

fof(addAssignment_4738,axiom,(
    ! [VarCurr] :
      ( v18080(VarCurr,bitIndex21)
    <=> v18550(VarCurr) ) )).

fof(addAssignment_4737,axiom,(
    ! [VarCurr] :
      ( v18080(VarCurr,bitIndex22)
    <=> v18545(VarCurr) ) )).

fof(addAssignment_4736,axiom,(
    ! [VarCurr] :
      ( v18080(VarCurr,bitIndex23)
    <=> v18540(VarCurr) ) )).

fof(addAssignment_4735,axiom,(
    ! [VarCurr] :
      ( v18080(VarCurr,bitIndex24)
    <=> v18535(VarCurr) ) )).

fof(addAssignment_4734,axiom,(
    ! [VarCurr] :
      ( v18080(VarCurr,bitIndex25)
    <=> v18530(VarCurr) ) )).

fof(addAssignment_4733,axiom,(
    ! [VarCurr] :
      ( v18080(VarCurr,bitIndex26)
    <=> v18525(VarCurr) ) )).

fof(addAssignment_4732,axiom,(
    ! [VarCurr] :
      ( v18080(VarCurr,bitIndex27)
    <=> v18520(VarCurr) ) )).

fof(addAssignment_4731,axiom,(
    ! [VarCurr] :
      ( v18080(VarCurr,bitIndex28)
    <=> v18515(VarCurr) ) )).

fof(addAssignment_4730,axiom,(
    ! [VarCurr] :
      ( v18080(VarCurr,bitIndex29)
    <=> v18510(VarCurr) ) )).

fof(addAssignment_4729,axiom,(
    ! [VarCurr] :
      ( v18080(VarCurr,bitIndex30)
    <=> v18505(VarCurr) ) )).

fof(addAssignment_4728,axiom,(
    ! [VarCurr] :
      ( v18080(VarCurr,bitIndex31)
    <=> v18500(VarCurr) ) )).

fof(addAssignment_4727,axiom,(
    ! [VarCurr] :
      ( v18080(VarCurr,bitIndex32)
    <=> v18241(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4489,axiom,(
    ! [VarCurr] :
      ( v18655(VarCurr)
    <=> ( v18656(VarCurr)
        & v18659(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4488,axiom,(
    ! [VarCurr] :
      ( v18659(VarCurr)
    <=> ( v18082(VarCurr,bitIndex0)
        | v18164(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4487,axiom,(
    ! [VarCurr] :
      ( v18656(VarCurr)
    <=> ( v18657(VarCurr)
        | v18658(VarCurr) ) ) )).

fof(writeUnaryOperator_1969,axiom,(
    ! [VarCurr] :
      ( ~ v18658(VarCurr)
    <=> v18164(VarCurr,bitIndex0) ) )).

fof(writeUnaryOperator_1968,axiom,(
    ! [VarCurr] :
      ( ~ v18657(VarCurr)
    <=> v18082(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4486,axiom,(
    ! [VarCurr] :
      ( v18650(VarCurr)
    <=> ( v18651(VarCurr)
        & v18654(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4485,axiom,(
    ! [VarCurr] :
      ( v18654(VarCurr)
    <=> ( v18306(VarCurr)
        | v18307(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4484,axiom,(
    ! [VarCurr] :
      ( v18651(VarCurr)
    <=> ( v18652(VarCurr)
        | v18653(VarCurr) ) ) )).

fof(writeUnaryOperator_1967,axiom,(
    ! [VarCurr] :
      ( ~ v18653(VarCurr)
    <=> v18307(VarCurr) ) )).

fof(writeUnaryOperator_1966,axiom,(
    ! [VarCurr] :
      ( ~ v18652(VarCurr)
    <=> v18306(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4483,axiom,(
    ! [VarCurr] :
      ( v18645(VarCurr)
    <=> ( v18646(VarCurr)
        & v18649(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4482,axiom,(
    ! [VarCurr] :
      ( v18649(VarCurr)
    <=> ( v18304(VarCurr)
        | v18313(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4481,axiom,(
    ! [VarCurr] :
      ( v18646(VarCurr)
    <=> ( v18647(VarCurr)
        | v18648(VarCurr) ) ) )).

fof(writeUnaryOperator_1965,axiom,(
    ! [VarCurr] :
      ( ~ v18648(VarCurr)
    <=> v18313(VarCurr) ) )).

fof(writeUnaryOperator_1964,axiom,(
    ! [VarCurr] :
      ( ~ v18647(VarCurr)
    <=> v18304(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4480,axiom,(
    ! [VarCurr] :
      ( v18640(VarCurr)
    <=> ( v18641(VarCurr)
        & v18644(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4479,axiom,(
    ! [VarCurr] :
      ( v18644(VarCurr)
    <=> ( v18302(VarCurr)
        | v18319(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4478,axiom,(
    ! [VarCurr] :
      ( v18641(VarCurr)
    <=> ( v18642(VarCurr)
        | v18643(VarCurr) ) ) )).

fof(writeUnaryOperator_1963,axiom,(
    ! [VarCurr] :
      ( ~ v18643(VarCurr)
    <=> v18319(VarCurr) ) )).

fof(writeUnaryOperator_1962,axiom,(
    ! [VarCurr] :
      ( ~ v18642(VarCurr)
    <=> v18302(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4477,axiom,(
    ! [VarCurr] :
      ( v18635(VarCurr)
    <=> ( v18636(VarCurr)
        & v18639(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4476,axiom,(
    ! [VarCurr] :
      ( v18639(VarCurr)
    <=> ( v18300(VarCurr)
        | v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4475,axiom,(
    ! [VarCurr] :
      ( v18636(VarCurr)
    <=> ( v18637(VarCurr)
        | v18638(VarCurr) ) ) )).

fof(writeUnaryOperator_1961,axiom,(
    ! [VarCurr] :
      ( ~ v18638(VarCurr)
    <=> v18325(VarCurr) ) )).

fof(writeUnaryOperator_1960,axiom,(
    ! [VarCurr] :
      ( ~ v18637(VarCurr)
    <=> v18300(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4474,axiom,(
    ! [VarCurr] :
      ( v18630(VarCurr)
    <=> ( v18631(VarCurr)
        & v18634(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4473,axiom,(
    ! [VarCurr] :
      ( v18634(VarCurr)
    <=> ( v18298(VarCurr)
        | v18331(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4472,axiom,(
    ! [VarCurr] :
      ( v18631(VarCurr)
    <=> ( v18632(VarCurr)
        | v18633(VarCurr) ) ) )).

fof(writeUnaryOperator_1959,axiom,(
    ! [VarCurr] :
      ( ~ v18633(VarCurr)
    <=> v18331(VarCurr) ) )).

fof(writeUnaryOperator_1958,axiom,(
    ! [VarCurr] :
      ( ~ v18632(VarCurr)
    <=> v18298(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4471,axiom,(
    ! [VarCurr] :
      ( v18625(VarCurr)
    <=> ( v18626(VarCurr)
        & v18629(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4470,axiom,(
    ! [VarCurr] :
      ( v18629(VarCurr)
    <=> ( v18296(VarCurr)
        | v18337(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4469,axiom,(
    ! [VarCurr] :
      ( v18626(VarCurr)
    <=> ( v18627(VarCurr)
        | v18628(VarCurr) ) ) )).

fof(writeUnaryOperator_1957,axiom,(
    ! [VarCurr] :
      ( ~ v18628(VarCurr)
    <=> v18337(VarCurr) ) )).

fof(writeUnaryOperator_1956,axiom,(
    ! [VarCurr] :
      ( ~ v18627(VarCurr)
    <=> v18296(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4468,axiom,(
    ! [VarCurr] :
      ( v18620(VarCurr)
    <=> ( v18621(VarCurr)
        & v18624(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4467,axiom,(
    ! [VarCurr] :
      ( v18624(VarCurr)
    <=> ( v18294(VarCurr)
        | v18343(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4466,axiom,(
    ! [VarCurr] :
      ( v18621(VarCurr)
    <=> ( v18622(VarCurr)
        | v18623(VarCurr) ) ) )).

fof(writeUnaryOperator_1955,axiom,(
    ! [VarCurr] :
      ( ~ v18623(VarCurr)
    <=> v18343(VarCurr) ) )).

fof(writeUnaryOperator_1954,axiom,(
    ! [VarCurr] :
      ( ~ v18622(VarCurr)
    <=> v18294(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4465,axiom,(
    ! [VarCurr] :
      ( v18615(VarCurr)
    <=> ( v18616(VarCurr)
        & v18619(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4464,axiom,(
    ! [VarCurr] :
      ( v18619(VarCurr)
    <=> ( v18292(VarCurr)
        | v18349(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4463,axiom,(
    ! [VarCurr] :
      ( v18616(VarCurr)
    <=> ( v18617(VarCurr)
        | v18618(VarCurr) ) ) )).

fof(writeUnaryOperator_1953,axiom,(
    ! [VarCurr] :
      ( ~ v18618(VarCurr)
    <=> v18349(VarCurr) ) )).

fof(writeUnaryOperator_1952,axiom,(
    ! [VarCurr] :
      ( ~ v18617(VarCurr)
    <=> v18292(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4462,axiom,(
    ! [VarCurr] :
      ( v18610(VarCurr)
    <=> ( v18611(VarCurr)
        & v18614(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4461,axiom,(
    ! [VarCurr] :
      ( v18614(VarCurr)
    <=> ( v18290(VarCurr)
        | v18355(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4460,axiom,(
    ! [VarCurr] :
      ( v18611(VarCurr)
    <=> ( v18612(VarCurr)
        | v18613(VarCurr) ) ) )).

fof(writeUnaryOperator_1951,axiom,(
    ! [VarCurr] :
      ( ~ v18613(VarCurr)
    <=> v18355(VarCurr) ) )).

fof(writeUnaryOperator_1950,axiom,(
    ! [VarCurr] :
      ( ~ v18612(VarCurr)
    <=> v18290(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4459,axiom,(
    ! [VarCurr] :
      ( v18605(VarCurr)
    <=> ( v18606(VarCurr)
        & v18609(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4458,axiom,(
    ! [VarCurr] :
      ( v18609(VarCurr)
    <=> ( v18288(VarCurr)
        | v18361(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4457,axiom,(
    ! [VarCurr] :
      ( v18606(VarCurr)
    <=> ( v18607(VarCurr)
        | v18608(VarCurr) ) ) )).

fof(writeUnaryOperator_1949,axiom,(
    ! [VarCurr] :
      ( ~ v18608(VarCurr)
    <=> v18361(VarCurr) ) )).

fof(writeUnaryOperator_1948,axiom,(
    ! [VarCurr] :
      ( ~ v18607(VarCurr)
    <=> v18288(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4456,axiom,(
    ! [VarCurr] :
      ( v18600(VarCurr)
    <=> ( v18601(VarCurr)
        & v18604(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4455,axiom,(
    ! [VarCurr] :
      ( v18604(VarCurr)
    <=> ( v18286(VarCurr)
        | v18367(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4454,axiom,(
    ! [VarCurr] :
      ( v18601(VarCurr)
    <=> ( v18602(VarCurr)
        | v18603(VarCurr) ) ) )).

fof(writeUnaryOperator_1947,axiom,(
    ! [VarCurr] :
      ( ~ v18603(VarCurr)
    <=> v18367(VarCurr) ) )).

fof(writeUnaryOperator_1946,axiom,(
    ! [VarCurr] :
      ( ~ v18602(VarCurr)
    <=> v18286(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4453,axiom,(
    ! [VarCurr] :
      ( v18595(VarCurr)
    <=> ( v18596(VarCurr)
        & v18599(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4452,axiom,(
    ! [VarCurr] :
      ( v18599(VarCurr)
    <=> ( v18284(VarCurr)
        | v18373(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4451,axiom,(
    ! [VarCurr] :
      ( v18596(VarCurr)
    <=> ( v18597(VarCurr)
        | v18598(VarCurr) ) ) )).

fof(writeUnaryOperator_1945,axiom,(
    ! [VarCurr] :
      ( ~ v18598(VarCurr)
    <=> v18373(VarCurr) ) )).

fof(writeUnaryOperator_1944,axiom,(
    ! [VarCurr] :
      ( ~ v18597(VarCurr)
    <=> v18284(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4450,axiom,(
    ! [VarCurr] :
      ( v18590(VarCurr)
    <=> ( v18591(VarCurr)
        & v18594(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4449,axiom,(
    ! [VarCurr] :
      ( v18594(VarCurr)
    <=> ( v18282(VarCurr)
        | v18379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4448,axiom,(
    ! [VarCurr] :
      ( v18591(VarCurr)
    <=> ( v18592(VarCurr)
        | v18593(VarCurr) ) ) )).

fof(writeUnaryOperator_1943,axiom,(
    ! [VarCurr] :
      ( ~ v18593(VarCurr)
    <=> v18379(VarCurr) ) )).

fof(writeUnaryOperator_1942,axiom,(
    ! [VarCurr] :
      ( ~ v18592(VarCurr)
    <=> v18282(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4447,axiom,(
    ! [VarCurr] :
      ( v18585(VarCurr)
    <=> ( v18586(VarCurr)
        & v18589(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4446,axiom,(
    ! [VarCurr] :
      ( v18589(VarCurr)
    <=> ( v18280(VarCurr)
        | v18385(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4445,axiom,(
    ! [VarCurr] :
      ( v18586(VarCurr)
    <=> ( v18587(VarCurr)
        | v18588(VarCurr) ) ) )).

fof(writeUnaryOperator_1941,axiom,(
    ! [VarCurr] :
      ( ~ v18588(VarCurr)
    <=> v18385(VarCurr) ) )).

fof(writeUnaryOperator_1940,axiom,(
    ! [VarCurr] :
      ( ~ v18587(VarCurr)
    <=> v18280(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4444,axiom,(
    ! [VarCurr] :
      ( v18580(VarCurr)
    <=> ( v18581(VarCurr)
        & v18584(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4443,axiom,(
    ! [VarCurr] :
      ( v18584(VarCurr)
    <=> ( v18278(VarCurr)
        | v18391(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4442,axiom,(
    ! [VarCurr] :
      ( v18581(VarCurr)
    <=> ( v18582(VarCurr)
        | v18583(VarCurr) ) ) )).

fof(writeUnaryOperator_1939,axiom,(
    ! [VarCurr] :
      ( ~ v18583(VarCurr)
    <=> v18391(VarCurr) ) )).

fof(writeUnaryOperator_1938,axiom,(
    ! [VarCurr] :
      ( ~ v18582(VarCurr)
    <=> v18278(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4441,axiom,(
    ! [VarCurr] :
      ( v18575(VarCurr)
    <=> ( v18576(VarCurr)
        & v18579(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4440,axiom,(
    ! [VarCurr] :
      ( v18579(VarCurr)
    <=> ( v18276(VarCurr)
        | v18397(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4439,axiom,(
    ! [VarCurr] :
      ( v18576(VarCurr)
    <=> ( v18577(VarCurr)
        | v18578(VarCurr) ) ) )).

fof(writeUnaryOperator_1937,axiom,(
    ! [VarCurr] :
      ( ~ v18578(VarCurr)
    <=> v18397(VarCurr) ) )).

fof(writeUnaryOperator_1936,axiom,(
    ! [VarCurr] :
      ( ~ v18577(VarCurr)
    <=> v18276(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4438,axiom,(
    ! [VarCurr] :
      ( v18570(VarCurr)
    <=> ( v18571(VarCurr)
        & v18574(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4437,axiom,(
    ! [VarCurr] :
      ( v18574(VarCurr)
    <=> ( v18274(VarCurr)
        | v18403(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4436,axiom,(
    ! [VarCurr] :
      ( v18571(VarCurr)
    <=> ( v18572(VarCurr)
        | v18573(VarCurr) ) ) )).

fof(writeUnaryOperator_1935,axiom,(
    ! [VarCurr] :
      ( ~ v18573(VarCurr)
    <=> v18403(VarCurr) ) )).

fof(writeUnaryOperator_1934,axiom,(
    ! [VarCurr] :
      ( ~ v18572(VarCurr)
    <=> v18274(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4435,axiom,(
    ! [VarCurr] :
      ( v18565(VarCurr)
    <=> ( v18566(VarCurr)
        & v18569(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4434,axiom,(
    ! [VarCurr] :
      ( v18569(VarCurr)
    <=> ( v18272(VarCurr)
        | v18409(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4433,axiom,(
    ! [VarCurr] :
      ( v18566(VarCurr)
    <=> ( v18567(VarCurr)
        | v18568(VarCurr) ) ) )).

fof(writeUnaryOperator_1933,axiom,(
    ! [VarCurr] :
      ( ~ v18568(VarCurr)
    <=> v18409(VarCurr) ) )).

fof(writeUnaryOperator_1932,axiom,(
    ! [VarCurr] :
      ( ~ v18567(VarCurr)
    <=> v18272(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4432,axiom,(
    ! [VarCurr] :
      ( v18560(VarCurr)
    <=> ( v18561(VarCurr)
        & v18564(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4431,axiom,(
    ! [VarCurr] :
      ( v18564(VarCurr)
    <=> ( v18270(VarCurr)
        | v18415(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4430,axiom,(
    ! [VarCurr] :
      ( v18561(VarCurr)
    <=> ( v18562(VarCurr)
        | v18563(VarCurr) ) ) )).

fof(writeUnaryOperator_1931,axiom,(
    ! [VarCurr] :
      ( ~ v18563(VarCurr)
    <=> v18415(VarCurr) ) )).

fof(writeUnaryOperator_1930,axiom,(
    ! [VarCurr] :
      ( ~ v18562(VarCurr)
    <=> v18270(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4429,axiom,(
    ! [VarCurr] :
      ( v18555(VarCurr)
    <=> ( v18556(VarCurr)
        & v18559(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4428,axiom,(
    ! [VarCurr] :
      ( v18559(VarCurr)
    <=> ( v18268(VarCurr)
        | v18421(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4427,axiom,(
    ! [VarCurr] :
      ( v18556(VarCurr)
    <=> ( v18557(VarCurr)
        | v18558(VarCurr) ) ) )).

fof(writeUnaryOperator_1929,axiom,(
    ! [VarCurr] :
      ( ~ v18558(VarCurr)
    <=> v18421(VarCurr) ) )).

fof(writeUnaryOperator_1928,axiom,(
    ! [VarCurr] :
      ( ~ v18557(VarCurr)
    <=> v18268(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4426,axiom,(
    ! [VarCurr] :
      ( v18550(VarCurr)
    <=> ( v18551(VarCurr)
        & v18554(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4425,axiom,(
    ! [VarCurr] :
      ( v18554(VarCurr)
    <=> ( v18266(VarCurr)
        | v18427(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4424,axiom,(
    ! [VarCurr] :
      ( v18551(VarCurr)
    <=> ( v18552(VarCurr)
        | v18553(VarCurr) ) ) )).

fof(writeUnaryOperator_1927,axiom,(
    ! [VarCurr] :
      ( ~ v18553(VarCurr)
    <=> v18427(VarCurr) ) )).

fof(writeUnaryOperator_1926,axiom,(
    ! [VarCurr] :
      ( ~ v18552(VarCurr)
    <=> v18266(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4423,axiom,(
    ! [VarCurr] :
      ( v18545(VarCurr)
    <=> ( v18546(VarCurr)
        & v18549(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4422,axiom,(
    ! [VarCurr] :
      ( v18549(VarCurr)
    <=> ( v18264(VarCurr)
        | v18433(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4421,axiom,(
    ! [VarCurr] :
      ( v18546(VarCurr)
    <=> ( v18547(VarCurr)
        | v18548(VarCurr) ) ) )).

fof(writeUnaryOperator_1925,axiom,(
    ! [VarCurr] :
      ( ~ v18548(VarCurr)
    <=> v18433(VarCurr) ) )).

fof(writeUnaryOperator_1924,axiom,(
    ! [VarCurr] :
      ( ~ v18547(VarCurr)
    <=> v18264(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4420,axiom,(
    ! [VarCurr] :
      ( v18540(VarCurr)
    <=> ( v18541(VarCurr)
        & v18544(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4419,axiom,(
    ! [VarCurr] :
      ( v18544(VarCurr)
    <=> ( v18262(VarCurr)
        | v18439(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4418,axiom,(
    ! [VarCurr] :
      ( v18541(VarCurr)
    <=> ( v18542(VarCurr)
        | v18543(VarCurr) ) ) )).

fof(writeUnaryOperator_1923,axiom,(
    ! [VarCurr] :
      ( ~ v18543(VarCurr)
    <=> v18439(VarCurr) ) )).

fof(writeUnaryOperator_1922,axiom,(
    ! [VarCurr] :
      ( ~ v18542(VarCurr)
    <=> v18262(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4417,axiom,(
    ! [VarCurr] :
      ( v18535(VarCurr)
    <=> ( v18536(VarCurr)
        & v18539(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4416,axiom,(
    ! [VarCurr] :
      ( v18539(VarCurr)
    <=> ( v18260(VarCurr)
        | v18445(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4415,axiom,(
    ! [VarCurr] :
      ( v18536(VarCurr)
    <=> ( v18537(VarCurr)
        | v18538(VarCurr) ) ) )).

fof(writeUnaryOperator_1921,axiom,(
    ! [VarCurr] :
      ( ~ v18538(VarCurr)
    <=> v18445(VarCurr) ) )).

fof(writeUnaryOperator_1920,axiom,(
    ! [VarCurr] :
      ( ~ v18537(VarCurr)
    <=> v18260(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4414,axiom,(
    ! [VarCurr] :
      ( v18530(VarCurr)
    <=> ( v18531(VarCurr)
        & v18534(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4413,axiom,(
    ! [VarCurr] :
      ( v18534(VarCurr)
    <=> ( v18258(VarCurr)
        | v18451(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4412,axiom,(
    ! [VarCurr] :
      ( v18531(VarCurr)
    <=> ( v18532(VarCurr)
        | v18533(VarCurr) ) ) )).

fof(writeUnaryOperator_1919,axiom,(
    ! [VarCurr] :
      ( ~ v18533(VarCurr)
    <=> v18451(VarCurr) ) )).

fof(writeUnaryOperator_1918,axiom,(
    ! [VarCurr] :
      ( ~ v18532(VarCurr)
    <=> v18258(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4411,axiom,(
    ! [VarCurr] :
      ( v18525(VarCurr)
    <=> ( v18526(VarCurr)
        & v18529(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4410,axiom,(
    ! [VarCurr] :
      ( v18529(VarCurr)
    <=> ( v18256(VarCurr)
        | v18457(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4409,axiom,(
    ! [VarCurr] :
      ( v18526(VarCurr)
    <=> ( v18527(VarCurr)
        | v18528(VarCurr) ) ) )).

fof(writeUnaryOperator_1917,axiom,(
    ! [VarCurr] :
      ( ~ v18528(VarCurr)
    <=> v18457(VarCurr) ) )).

fof(writeUnaryOperator_1916,axiom,(
    ! [VarCurr] :
      ( ~ v18527(VarCurr)
    <=> v18256(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4408,axiom,(
    ! [VarCurr] :
      ( v18520(VarCurr)
    <=> ( v18521(VarCurr)
        & v18524(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4407,axiom,(
    ! [VarCurr] :
      ( v18524(VarCurr)
    <=> ( v18254(VarCurr)
        | v18463(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4406,axiom,(
    ! [VarCurr] :
      ( v18521(VarCurr)
    <=> ( v18522(VarCurr)
        | v18523(VarCurr) ) ) )).

fof(writeUnaryOperator_1915,axiom,(
    ! [VarCurr] :
      ( ~ v18523(VarCurr)
    <=> v18463(VarCurr) ) )).

fof(writeUnaryOperator_1914,axiom,(
    ! [VarCurr] :
      ( ~ v18522(VarCurr)
    <=> v18254(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4405,axiom,(
    ! [VarCurr] :
      ( v18515(VarCurr)
    <=> ( v18516(VarCurr)
        & v18519(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4404,axiom,(
    ! [VarCurr] :
      ( v18519(VarCurr)
    <=> ( v18252(VarCurr)
        | v18469(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4403,axiom,(
    ! [VarCurr] :
      ( v18516(VarCurr)
    <=> ( v18517(VarCurr)
        | v18518(VarCurr) ) ) )).

fof(writeUnaryOperator_1913,axiom,(
    ! [VarCurr] :
      ( ~ v18518(VarCurr)
    <=> v18469(VarCurr) ) )).

fof(writeUnaryOperator_1912,axiom,(
    ! [VarCurr] :
      ( ~ v18517(VarCurr)
    <=> v18252(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4402,axiom,(
    ! [VarCurr] :
      ( v18510(VarCurr)
    <=> ( v18511(VarCurr)
        & v18514(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4401,axiom,(
    ! [VarCurr] :
      ( v18514(VarCurr)
    <=> ( v18250(VarCurr)
        | v18475(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4400,axiom,(
    ! [VarCurr] :
      ( v18511(VarCurr)
    <=> ( v18512(VarCurr)
        | v18513(VarCurr) ) ) )).

fof(writeUnaryOperator_1911,axiom,(
    ! [VarCurr] :
      ( ~ v18513(VarCurr)
    <=> v18475(VarCurr) ) )).

fof(writeUnaryOperator_1910,axiom,(
    ! [VarCurr] :
      ( ~ v18512(VarCurr)
    <=> v18250(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4399,axiom,(
    ! [VarCurr] :
      ( v18505(VarCurr)
    <=> ( v18506(VarCurr)
        & v18509(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4398,axiom,(
    ! [VarCurr] :
      ( v18509(VarCurr)
    <=> ( v18248(VarCurr)
        | v18481(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4397,axiom,(
    ! [VarCurr] :
      ( v18506(VarCurr)
    <=> ( v18507(VarCurr)
        | v18508(VarCurr) ) ) )).

fof(writeUnaryOperator_1909,axiom,(
    ! [VarCurr] :
      ( ~ v18508(VarCurr)
    <=> v18481(VarCurr) ) )).

fof(writeUnaryOperator_1908,axiom,(
    ! [VarCurr] :
      ( ~ v18507(VarCurr)
    <=> v18248(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4396,axiom,(
    ! [VarCurr] :
      ( v18500(VarCurr)
    <=> ( v18501(VarCurr)
        & v18504(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4395,axiom,(
    ! [VarCurr] :
      ( v18504(VarCurr)
    <=> ( v18246(VarCurr)
        | v18487(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4394,axiom,(
    ! [VarCurr] :
      ( v18501(VarCurr)
    <=> ( v18502(VarCurr)
        | v18503(VarCurr) ) ) )).

fof(writeUnaryOperator_1907,axiom,(
    ! [VarCurr] :
      ( ~ v18503(VarCurr)
    <=> v18487(VarCurr) ) )).

fof(writeUnaryOperator_1906,axiom,(
    ! [VarCurr] :
      ( ~ v18502(VarCurr)
    <=> v18246(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4393,axiom,(
    ! [VarCurr] :
      ( v18241(VarCurr)
    <=> ( v18242(VarCurr)
        & v18499(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4392,axiom,(
    ! [VarCurr] :
      ( v18499(VarCurr)
    <=> ( v18244(VarCurr)
        | v18494(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4391,axiom,(
    ! [VarCurr] :
      ( v18242(VarCurr)
    <=> ( v18243(VarCurr)
        | v18493(VarCurr) ) ) )).

fof(writeUnaryOperator_1905,axiom,(
    ! [VarCurr] :
      ( ~ v18493(VarCurr)
    <=> v18494(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4390,axiom,(
    ! [VarCurr] :
      ( v18494(VarCurr)
    <=> ( v18495(VarCurr)
        & v18498(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_743,axiom,(
    ! [VarCurr] :
      ( v18498(VarCurr)
    <=> ( v18082(VarCurr,bitIndex32)
        | v18164(VarCurr,bitIndex32) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4389,axiom,(
    ! [VarCurr] :
      ( v18495(VarCurr)
    <=> ( v18496(VarCurr)
        | v18497(VarCurr) ) ) )).

fof(writeUnaryOperator_1904,axiom,(
    ! [VarCurr] :
      ( ~ v18497(VarCurr)
    <=> v18164(VarCurr,bitIndex32) ) )).

fof(writeUnaryOperator_1903,axiom,(
    ! [VarCurr] :
      ( ~ v18496(VarCurr)
    <=> v18082(VarCurr,bitIndex32) ) )).

fof(writeUnaryOperator_1902,axiom,(
    ! [VarCurr] :
      ( ~ v18243(VarCurr)
    <=> v18244(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4388,axiom,(
    ! [VarCurr] :
      ( v18244(VarCurr)
    <=> ( v18245(VarCurr)
        | v18492(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_742,axiom,(
    ! [VarCurr] :
      ( v18492(VarCurr)
    <=> ( v18082(VarCurr,bitIndex31)
        & v18164(VarCurr,bitIndex31) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4387,axiom,(
    ! [VarCurr] :
      ( v18245(VarCurr)
    <=> ( v18246(VarCurr)
        & v18487(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4386,axiom,(
    ! [VarCurr] :
      ( v18487(VarCurr)
    <=> ( v18488(VarCurr)
        & v18491(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_741,axiom,(
    ! [VarCurr] :
      ( v18491(VarCurr)
    <=> ( v18082(VarCurr,bitIndex31)
        | v18164(VarCurr,bitIndex31) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4385,axiom,(
    ! [VarCurr] :
      ( v18488(VarCurr)
    <=> ( v18489(VarCurr)
        | v18490(VarCurr) ) ) )).

fof(writeUnaryOperator_1901,axiom,(
    ! [VarCurr] :
      ( ~ v18490(VarCurr)
    <=> v18164(VarCurr,bitIndex31) ) )).

fof(writeUnaryOperator_1900,axiom,(
    ! [VarCurr] :
      ( ~ v18489(VarCurr)
    <=> v18082(VarCurr,bitIndex31) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4384,axiom,(
    ! [VarCurr] :
      ( v18246(VarCurr)
    <=> ( v18247(VarCurr)
        | v18486(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_740,axiom,(
    ! [VarCurr] :
      ( v18486(VarCurr)
    <=> ( v18082(VarCurr,bitIndex30)
        & v18164(VarCurr,bitIndex30) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4383,axiom,(
    ! [VarCurr] :
      ( v18247(VarCurr)
    <=> ( v18248(VarCurr)
        & v18481(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4382,axiom,(
    ! [VarCurr] :
      ( v18481(VarCurr)
    <=> ( v18482(VarCurr)
        & v18485(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_739,axiom,(
    ! [VarCurr] :
      ( v18485(VarCurr)
    <=> ( v18082(VarCurr,bitIndex30)
        | v18164(VarCurr,bitIndex30) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4381,axiom,(
    ! [VarCurr] :
      ( v18482(VarCurr)
    <=> ( v18483(VarCurr)
        | v18484(VarCurr) ) ) )).

fof(writeUnaryOperator_1899,axiom,(
    ! [VarCurr] :
      ( ~ v18484(VarCurr)
    <=> v18164(VarCurr,bitIndex30) ) )).

fof(writeUnaryOperator_1898,axiom,(
    ! [VarCurr] :
      ( ~ v18483(VarCurr)
    <=> v18082(VarCurr,bitIndex30) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4380,axiom,(
    ! [VarCurr] :
      ( v18248(VarCurr)
    <=> ( v18249(VarCurr)
        | v18480(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_738,axiom,(
    ! [VarCurr] :
      ( v18480(VarCurr)
    <=> ( v18082(VarCurr,bitIndex29)
        & v18164(VarCurr,bitIndex29) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4379,axiom,(
    ! [VarCurr] :
      ( v18249(VarCurr)
    <=> ( v18250(VarCurr)
        & v18475(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4378,axiom,(
    ! [VarCurr] :
      ( v18475(VarCurr)
    <=> ( v18476(VarCurr)
        & v18479(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_737,axiom,(
    ! [VarCurr] :
      ( v18479(VarCurr)
    <=> ( v18082(VarCurr,bitIndex29)
        | v18164(VarCurr,bitIndex29) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4377,axiom,(
    ! [VarCurr] :
      ( v18476(VarCurr)
    <=> ( v18477(VarCurr)
        | v18478(VarCurr) ) ) )).

fof(writeUnaryOperator_1897,axiom,(
    ! [VarCurr] :
      ( ~ v18478(VarCurr)
    <=> v18164(VarCurr,bitIndex29) ) )).

fof(writeUnaryOperator_1896,axiom,(
    ! [VarCurr] :
      ( ~ v18477(VarCurr)
    <=> v18082(VarCurr,bitIndex29) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4376,axiom,(
    ! [VarCurr] :
      ( v18250(VarCurr)
    <=> ( v18251(VarCurr)
        | v18474(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_736,axiom,(
    ! [VarCurr] :
      ( v18474(VarCurr)
    <=> ( v18082(VarCurr,bitIndex28)
        & v18164(VarCurr,bitIndex28) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4375,axiom,(
    ! [VarCurr] :
      ( v18251(VarCurr)
    <=> ( v18252(VarCurr)
        & v18469(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4374,axiom,(
    ! [VarCurr] :
      ( v18469(VarCurr)
    <=> ( v18470(VarCurr)
        & v18473(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_735,axiom,(
    ! [VarCurr] :
      ( v18473(VarCurr)
    <=> ( v18082(VarCurr,bitIndex28)
        | v18164(VarCurr,bitIndex28) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4373,axiom,(
    ! [VarCurr] :
      ( v18470(VarCurr)
    <=> ( v18471(VarCurr)
        | v18472(VarCurr) ) ) )).

fof(writeUnaryOperator_1895,axiom,(
    ! [VarCurr] :
      ( ~ v18472(VarCurr)
    <=> v18164(VarCurr,bitIndex28) ) )).

fof(writeUnaryOperator_1894,axiom,(
    ! [VarCurr] :
      ( ~ v18471(VarCurr)
    <=> v18082(VarCurr,bitIndex28) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4372,axiom,(
    ! [VarCurr] :
      ( v18252(VarCurr)
    <=> ( v18253(VarCurr)
        | v18468(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_734,axiom,(
    ! [VarCurr] :
      ( v18468(VarCurr)
    <=> ( v18082(VarCurr,bitIndex27)
        & v18164(VarCurr,bitIndex27) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4371,axiom,(
    ! [VarCurr] :
      ( v18253(VarCurr)
    <=> ( v18254(VarCurr)
        & v18463(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4370,axiom,(
    ! [VarCurr] :
      ( v18463(VarCurr)
    <=> ( v18464(VarCurr)
        & v18467(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_733,axiom,(
    ! [VarCurr] :
      ( v18467(VarCurr)
    <=> ( v18082(VarCurr,bitIndex27)
        | v18164(VarCurr,bitIndex27) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4369,axiom,(
    ! [VarCurr] :
      ( v18464(VarCurr)
    <=> ( v18465(VarCurr)
        | v18466(VarCurr) ) ) )).

fof(writeUnaryOperator_1893,axiom,(
    ! [VarCurr] :
      ( ~ v18466(VarCurr)
    <=> v18164(VarCurr,bitIndex27) ) )).

fof(writeUnaryOperator_1892,axiom,(
    ! [VarCurr] :
      ( ~ v18465(VarCurr)
    <=> v18082(VarCurr,bitIndex27) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4368,axiom,(
    ! [VarCurr] :
      ( v18254(VarCurr)
    <=> ( v18255(VarCurr)
        | v18462(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_732,axiom,(
    ! [VarCurr] :
      ( v18462(VarCurr)
    <=> ( v18082(VarCurr,bitIndex26)
        & v18164(VarCurr,bitIndex26) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4367,axiom,(
    ! [VarCurr] :
      ( v18255(VarCurr)
    <=> ( v18256(VarCurr)
        & v18457(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4366,axiom,(
    ! [VarCurr] :
      ( v18457(VarCurr)
    <=> ( v18458(VarCurr)
        & v18461(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_731,axiom,(
    ! [VarCurr] :
      ( v18461(VarCurr)
    <=> ( v18082(VarCurr,bitIndex26)
        | v18164(VarCurr,bitIndex26) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4365,axiom,(
    ! [VarCurr] :
      ( v18458(VarCurr)
    <=> ( v18459(VarCurr)
        | v18460(VarCurr) ) ) )).

fof(writeUnaryOperator_1891,axiom,(
    ! [VarCurr] :
      ( ~ v18460(VarCurr)
    <=> v18164(VarCurr,bitIndex26) ) )).

fof(writeUnaryOperator_1890,axiom,(
    ! [VarCurr] :
      ( ~ v18459(VarCurr)
    <=> v18082(VarCurr,bitIndex26) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4364,axiom,(
    ! [VarCurr] :
      ( v18256(VarCurr)
    <=> ( v18257(VarCurr)
        | v18456(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_730,axiom,(
    ! [VarCurr] :
      ( v18456(VarCurr)
    <=> ( v18082(VarCurr,bitIndex25)
        & v18164(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4363,axiom,(
    ! [VarCurr] :
      ( v18257(VarCurr)
    <=> ( v18258(VarCurr)
        & v18451(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4362,axiom,(
    ! [VarCurr] :
      ( v18451(VarCurr)
    <=> ( v18452(VarCurr)
        & v18455(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_729,axiom,(
    ! [VarCurr] :
      ( v18455(VarCurr)
    <=> ( v18082(VarCurr,bitIndex25)
        | v18164(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4361,axiom,(
    ! [VarCurr] :
      ( v18452(VarCurr)
    <=> ( v18453(VarCurr)
        | v18454(VarCurr) ) ) )).

fof(writeUnaryOperator_1889,axiom,(
    ! [VarCurr] :
      ( ~ v18454(VarCurr)
    <=> v18164(VarCurr,bitIndex25) ) )).

fof(writeUnaryOperator_1888,axiom,(
    ! [VarCurr] :
      ( ~ v18453(VarCurr)
    <=> v18082(VarCurr,bitIndex25) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4360,axiom,(
    ! [VarCurr] :
      ( v18258(VarCurr)
    <=> ( v18259(VarCurr)
        | v18450(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_728,axiom,(
    ! [VarCurr] :
      ( v18450(VarCurr)
    <=> ( v18082(VarCurr,bitIndex24)
        & v18164(VarCurr,bitIndex24) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4359,axiom,(
    ! [VarCurr] :
      ( v18259(VarCurr)
    <=> ( v18260(VarCurr)
        & v18445(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4358,axiom,(
    ! [VarCurr] :
      ( v18445(VarCurr)
    <=> ( v18446(VarCurr)
        & v18449(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_727,axiom,(
    ! [VarCurr] :
      ( v18449(VarCurr)
    <=> ( v18082(VarCurr,bitIndex24)
        | v18164(VarCurr,bitIndex24) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4357,axiom,(
    ! [VarCurr] :
      ( v18446(VarCurr)
    <=> ( v18447(VarCurr)
        | v18448(VarCurr) ) ) )).

fof(writeUnaryOperator_1887,axiom,(
    ! [VarCurr] :
      ( ~ v18448(VarCurr)
    <=> v18164(VarCurr,bitIndex24) ) )).

fof(writeUnaryOperator_1886,axiom,(
    ! [VarCurr] :
      ( ~ v18447(VarCurr)
    <=> v18082(VarCurr,bitIndex24) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4356,axiom,(
    ! [VarCurr] :
      ( v18260(VarCurr)
    <=> ( v18261(VarCurr)
        | v18444(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_726,axiom,(
    ! [VarCurr] :
      ( v18444(VarCurr)
    <=> ( v18082(VarCurr,bitIndex23)
        & v18164(VarCurr,bitIndex23) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4355,axiom,(
    ! [VarCurr] :
      ( v18261(VarCurr)
    <=> ( v18262(VarCurr)
        & v18439(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4354,axiom,(
    ! [VarCurr] :
      ( v18439(VarCurr)
    <=> ( v18440(VarCurr)
        & v18443(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_725,axiom,(
    ! [VarCurr] :
      ( v18443(VarCurr)
    <=> ( v18082(VarCurr,bitIndex23)
        | v18164(VarCurr,bitIndex23) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4353,axiom,(
    ! [VarCurr] :
      ( v18440(VarCurr)
    <=> ( v18441(VarCurr)
        | v18442(VarCurr) ) ) )).

fof(writeUnaryOperator_1885,axiom,(
    ! [VarCurr] :
      ( ~ v18442(VarCurr)
    <=> v18164(VarCurr,bitIndex23) ) )).

fof(writeUnaryOperator_1884,axiom,(
    ! [VarCurr] :
      ( ~ v18441(VarCurr)
    <=> v18082(VarCurr,bitIndex23) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4352,axiom,(
    ! [VarCurr] :
      ( v18262(VarCurr)
    <=> ( v18263(VarCurr)
        | v18438(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_724,axiom,(
    ! [VarCurr] :
      ( v18438(VarCurr)
    <=> ( v18082(VarCurr,bitIndex22)
        & v18164(VarCurr,bitIndex22) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4351,axiom,(
    ! [VarCurr] :
      ( v18263(VarCurr)
    <=> ( v18264(VarCurr)
        & v18433(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4350,axiom,(
    ! [VarCurr] :
      ( v18433(VarCurr)
    <=> ( v18434(VarCurr)
        & v18437(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_723,axiom,(
    ! [VarCurr] :
      ( v18437(VarCurr)
    <=> ( v18082(VarCurr,bitIndex22)
        | v18164(VarCurr,bitIndex22) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4349,axiom,(
    ! [VarCurr] :
      ( v18434(VarCurr)
    <=> ( v18435(VarCurr)
        | v18436(VarCurr) ) ) )).

fof(writeUnaryOperator_1883,axiom,(
    ! [VarCurr] :
      ( ~ v18436(VarCurr)
    <=> v18164(VarCurr,bitIndex22) ) )).

fof(writeUnaryOperator_1882,axiom,(
    ! [VarCurr] :
      ( ~ v18435(VarCurr)
    <=> v18082(VarCurr,bitIndex22) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4348,axiom,(
    ! [VarCurr] :
      ( v18264(VarCurr)
    <=> ( v18265(VarCurr)
        | v18432(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_722,axiom,(
    ! [VarCurr] :
      ( v18432(VarCurr)
    <=> ( v18082(VarCurr,bitIndex21)
        & v18164(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4347,axiom,(
    ! [VarCurr] :
      ( v18265(VarCurr)
    <=> ( v18266(VarCurr)
        & v18427(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4346,axiom,(
    ! [VarCurr] :
      ( v18427(VarCurr)
    <=> ( v18428(VarCurr)
        & v18431(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_721,axiom,(
    ! [VarCurr] :
      ( v18431(VarCurr)
    <=> ( v18082(VarCurr,bitIndex21)
        | v18164(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4345,axiom,(
    ! [VarCurr] :
      ( v18428(VarCurr)
    <=> ( v18429(VarCurr)
        | v18430(VarCurr) ) ) )).

fof(writeUnaryOperator_1881,axiom,(
    ! [VarCurr] :
      ( ~ v18430(VarCurr)
    <=> v18164(VarCurr,bitIndex21) ) )).

fof(writeUnaryOperator_1880,axiom,(
    ! [VarCurr] :
      ( ~ v18429(VarCurr)
    <=> v18082(VarCurr,bitIndex21) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4344,axiom,(
    ! [VarCurr] :
      ( v18266(VarCurr)
    <=> ( v18267(VarCurr)
        | v18426(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_720,axiom,(
    ! [VarCurr] :
      ( v18426(VarCurr)
    <=> ( v18082(VarCurr,bitIndex20)
        & v18164(VarCurr,bitIndex20) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4343,axiom,(
    ! [VarCurr] :
      ( v18267(VarCurr)
    <=> ( v18268(VarCurr)
        & v18421(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4342,axiom,(
    ! [VarCurr] :
      ( v18421(VarCurr)
    <=> ( v18422(VarCurr)
        & v18425(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_719,axiom,(
    ! [VarCurr] :
      ( v18425(VarCurr)
    <=> ( v18082(VarCurr,bitIndex20)
        | v18164(VarCurr,bitIndex20) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4341,axiom,(
    ! [VarCurr] :
      ( v18422(VarCurr)
    <=> ( v18423(VarCurr)
        | v18424(VarCurr) ) ) )).

fof(writeUnaryOperator_1879,axiom,(
    ! [VarCurr] :
      ( ~ v18424(VarCurr)
    <=> v18164(VarCurr,bitIndex20) ) )).

fof(writeUnaryOperator_1878,axiom,(
    ! [VarCurr] :
      ( ~ v18423(VarCurr)
    <=> v18082(VarCurr,bitIndex20) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4340,axiom,(
    ! [VarCurr] :
      ( v18268(VarCurr)
    <=> ( v18269(VarCurr)
        | v18420(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_718,axiom,(
    ! [VarCurr] :
      ( v18420(VarCurr)
    <=> ( v18082(VarCurr,bitIndex19)
        & v18164(VarCurr,bitIndex19) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4339,axiom,(
    ! [VarCurr] :
      ( v18269(VarCurr)
    <=> ( v18270(VarCurr)
        & v18415(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4338,axiom,(
    ! [VarCurr] :
      ( v18415(VarCurr)
    <=> ( v18416(VarCurr)
        & v18419(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_717,axiom,(
    ! [VarCurr] :
      ( v18419(VarCurr)
    <=> ( v18082(VarCurr,bitIndex19)
        | v18164(VarCurr,bitIndex19) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4337,axiom,(
    ! [VarCurr] :
      ( v18416(VarCurr)
    <=> ( v18417(VarCurr)
        | v18418(VarCurr) ) ) )).

fof(writeUnaryOperator_1877,axiom,(
    ! [VarCurr] :
      ( ~ v18418(VarCurr)
    <=> v18164(VarCurr,bitIndex19) ) )).

fof(writeUnaryOperator_1876,axiom,(
    ! [VarCurr] :
      ( ~ v18417(VarCurr)
    <=> v18082(VarCurr,bitIndex19) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4336,axiom,(
    ! [VarCurr] :
      ( v18270(VarCurr)
    <=> ( v18271(VarCurr)
        | v18414(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_716,axiom,(
    ! [VarCurr] :
      ( v18414(VarCurr)
    <=> ( v18082(VarCurr,bitIndex18)
        & v18164(VarCurr,bitIndex18) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4335,axiom,(
    ! [VarCurr] :
      ( v18271(VarCurr)
    <=> ( v18272(VarCurr)
        & v18409(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4334,axiom,(
    ! [VarCurr] :
      ( v18409(VarCurr)
    <=> ( v18410(VarCurr)
        & v18413(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_715,axiom,(
    ! [VarCurr] :
      ( v18413(VarCurr)
    <=> ( v18082(VarCurr,bitIndex18)
        | v18164(VarCurr,bitIndex18) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4333,axiom,(
    ! [VarCurr] :
      ( v18410(VarCurr)
    <=> ( v18411(VarCurr)
        | v18412(VarCurr) ) ) )).

fof(writeUnaryOperator_1875,axiom,(
    ! [VarCurr] :
      ( ~ v18412(VarCurr)
    <=> v18164(VarCurr,bitIndex18) ) )).

fof(writeUnaryOperator_1874,axiom,(
    ! [VarCurr] :
      ( ~ v18411(VarCurr)
    <=> v18082(VarCurr,bitIndex18) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4332,axiom,(
    ! [VarCurr] :
      ( v18272(VarCurr)
    <=> ( v18273(VarCurr)
        | v18408(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_714,axiom,(
    ! [VarCurr] :
      ( v18408(VarCurr)
    <=> ( v18082(VarCurr,bitIndex17)
        & v18164(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4331,axiom,(
    ! [VarCurr] :
      ( v18273(VarCurr)
    <=> ( v18274(VarCurr)
        & v18403(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4330,axiom,(
    ! [VarCurr] :
      ( v18403(VarCurr)
    <=> ( v18404(VarCurr)
        & v18407(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_713,axiom,(
    ! [VarCurr] :
      ( v18407(VarCurr)
    <=> ( v18082(VarCurr,bitIndex17)
        | v18164(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4329,axiom,(
    ! [VarCurr] :
      ( v18404(VarCurr)
    <=> ( v18405(VarCurr)
        | v18406(VarCurr) ) ) )).

fof(writeUnaryOperator_1873,axiom,(
    ! [VarCurr] :
      ( ~ v18406(VarCurr)
    <=> v18164(VarCurr,bitIndex17) ) )).

fof(writeUnaryOperator_1872,axiom,(
    ! [VarCurr] :
      ( ~ v18405(VarCurr)
    <=> v18082(VarCurr,bitIndex17) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4328,axiom,(
    ! [VarCurr] :
      ( v18274(VarCurr)
    <=> ( v18275(VarCurr)
        | v18402(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_712,axiom,(
    ! [VarCurr] :
      ( v18402(VarCurr)
    <=> ( v18082(VarCurr,bitIndex16)
        & v18164(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4327,axiom,(
    ! [VarCurr] :
      ( v18275(VarCurr)
    <=> ( v18276(VarCurr)
        & v18397(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4326,axiom,(
    ! [VarCurr] :
      ( v18397(VarCurr)
    <=> ( v18398(VarCurr)
        & v18401(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_711,axiom,(
    ! [VarCurr] :
      ( v18401(VarCurr)
    <=> ( v18082(VarCurr,bitIndex16)
        | v18164(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4325,axiom,(
    ! [VarCurr] :
      ( v18398(VarCurr)
    <=> ( v18399(VarCurr)
        | v18400(VarCurr) ) ) )).

fof(writeUnaryOperator_1871,axiom,(
    ! [VarCurr] :
      ( ~ v18400(VarCurr)
    <=> v18164(VarCurr,bitIndex16) ) )).

fof(writeUnaryOperator_1870,axiom,(
    ! [VarCurr] :
      ( ~ v18399(VarCurr)
    <=> v18082(VarCurr,bitIndex16) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4324,axiom,(
    ! [VarCurr] :
      ( v18276(VarCurr)
    <=> ( v18277(VarCurr)
        | v18396(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_710,axiom,(
    ! [VarCurr] :
      ( v18396(VarCurr)
    <=> ( v18082(VarCurr,bitIndex15)
        & v18164(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4323,axiom,(
    ! [VarCurr] :
      ( v18277(VarCurr)
    <=> ( v18278(VarCurr)
        & v18391(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4322,axiom,(
    ! [VarCurr] :
      ( v18391(VarCurr)
    <=> ( v18392(VarCurr)
        & v18395(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_709,axiom,(
    ! [VarCurr] :
      ( v18395(VarCurr)
    <=> ( v18082(VarCurr,bitIndex15)
        | v18164(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4321,axiom,(
    ! [VarCurr] :
      ( v18392(VarCurr)
    <=> ( v18393(VarCurr)
        | v18394(VarCurr) ) ) )).

fof(writeUnaryOperator_1869,axiom,(
    ! [VarCurr] :
      ( ~ v18394(VarCurr)
    <=> v18164(VarCurr,bitIndex15) ) )).

fof(writeUnaryOperator_1868,axiom,(
    ! [VarCurr] :
      ( ~ v18393(VarCurr)
    <=> v18082(VarCurr,bitIndex15) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4320,axiom,(
    ! [VarCurr] :
      ( v18278(VarCurr)
    <=> ( v18279(VarCurr)
        | v18390(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_708,axiom,(
    ! [VarCurr] :
      ( v18390(VarCurr)
    <=> ( v18082(VarCurr,bitIndex14)
        & v18164(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4319,axiom,(
    ! [VarCurr] :
      ( v18279(VarCurr)
    <=> ( v18280(VarCurr)
        & v18385(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4318,axiom,(
    ! [VarCurr] :
      ( v18385(VarCurr)
    <=> ( v18386(VarCurr)
        & v18389(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_707,axiom,(
    ! [VarCurr] :
      ( v18389(VarCurr)
    <=> ( v18082(VarCurr,bitIndex14)
        | v18164(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4317,axiom,(
    ! [VarCurr] :
      ( v18386(VarCurr)
    <=> ( v18387(VarCurr)
        | v18388(VarCurr) ) ) )).

fof(writeUnaryOperator_1867,axiom,(
    ! [VarCurr] :
      ( ~ v18388(VarCurr)
    <=> v18164(VarCurr,bitIndex14) ) )).

fof(writeUnaryOperator_1866,axiom,(
    ! [VarCurr] :
      ( ~ v18387(VarCurr)
    <=> v18082(VarCurr,bitIndex14) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4316,axiom,(
    ! [VarCurr] :
      ( v18280(VarCurr)
    <=> ( v18281(VarCurr)
        | v18384(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_706,axiom,(
    ! [VarCurr] :
      ( v18384(VarCurr)
    <=> ( v18082(VarCurr,bitIndex13)
        & v18164(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4315,axiom,(
    ! [VarCurr] :
      ( v18281(VarCurr)
    <=> ( v18282(VarCurr)
        & v18379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4314,axiom,(
    ! [VarCurr] :
      ( v18379(VarCurr)
    <=> ( v18380(VarCurr)
        & v18383(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_705,axiom,(
    ! [VarCurr] :
      ( v18383(VarCurr)
    <=> ( v18082(VarCurr,bitIndex13)
        | v18164(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4313,axiom,(
    ! [VarCurr] :
      ( v18380(VarCurr)
    <=> ( v18381(VarCurr)
        | v18382(VarCurr) ) ) )).

fof(writeUnaryOperator_1865,axiom,(
    ! [VarCurr] :
      ( ~ v18382(VarCurr)
    <=> v18164(VarCurr,bitIndex13) ) )).

fof(writeUnaryOperator_1864,axiom,(
    ! [VarCurr] :
      ( ~ v18381(VarCurr)
    <=> v18082(VarCurr,bitIndex13) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4312,axiom,(
    ! [VarCurr] :
      ( v18282(VarCurr)
    <=> ( v18283(VarCurr)
        | v18378(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_704,axiom,(
    ! [VarCurr] :
      ( v18378(VarCurr)
    <=> ( v18082(VarCurr,bitIndex12)
        & v18164(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4311,axiom,(
    ! [VarCurr] :
      ( v18283(VarCurr)
    <=> ( v18284(VarCurr)
        & v18373(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4310,axiom,(
    ! [VarCurr] :
      ( v18373(VarCurr)
    <=> ( v18374(VarCurr)
        & v18377(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_703,axiom,(
    ! [VarCurr] :
      ( v18377(VarCurr)
    <=> ( v18082(VarCurr,bitIndex12)
        | v18164(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4309,axiom,(
    ! [VarCurr] :
      ( v18374(VarCurr)
    <=> ( v18375(VarCurr)
        | v18376(VarCurr) ) ) )).

fof(writeUnaryOperator_1863,axiom,(
    ! [VarCurr] :
      ( ~ v18376(VarCurr)
    <=> v18164(VarCurr,bitIndex12) ) )).

fof(writeUnaryOperator_1862,axiom,(
    ! [VarCurr] :
      ( ~ v18375(VarCurr)
    <=> v18082(VarCurr,bitIndex12) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4308,axiom,(
    ! [VarCurr] :
      ( v18284(VarCurr)
    <=> ( v18285(VarCurr)
        | v18372(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_702,axiom,(
    ! [VarCurr] :
      ( v18372(VarCurr)
    <=> ( v18082(VarCurr,bitIndex11)
        & v18164(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4307,axiom,(
    ! [VarCurr] :
      ( v18285(VarCurr)
    <=> ( v18286(VarCurr)
        & v18367(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4306,axiom,(
    ! [VarCurr] :
      ( v18367(VarCurr)
    <=> ( v18368(VarCurr)
        & v18371(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_701,axiom,(
    ! [VarCurr] :
      ( v18371(VarCurr)
    <=> ( v18082(VarCurr,bitIndex11)
        | v18164(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4305,axiom,(
    ! [VarCurr] :
      ( v18368(VarCurr)
    <=> ( v18369(VarCurr)
        | v18370(VarCurr) ) ) )).

fof(writeUnaryOperator_1861,axiom,(
    ! [VarCurr] :
      ( ~ v18370(VarCurr)
    <=> v18164(VarCurr,bitIndex11) ) )).

fof(writeUnaryOperator_1860,axiom,(
    ! [VarCurr] :
      ( ~ v18369(VarCurr)
    <=> v18082(VarCurr,bitIndex11) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4304,axiom,(
    ! [VarCurr] :
      ( v18286(VarCurr)
    <=> ( v18287(VarCurr)
        | v18366(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_700,axiom,(
    ! [VarCurr] :
      ( v18366(VarCurr)
    <=> ( v18082(VarCurr,bitIndex10)
        & v18164(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4303,axiom,(
    ! [VarCurr] :
      ( v18287(VarCurr)
    <=> ( v18288(VarCurr)
        & v18361(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4302,axiom,(
    ! [VarCurr] :
      ( v18361(VarCurr)
    <=> ( v18362(VarCurr)
        & v18365(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_699,axiom,(
    ! [VarCurr] :
      ( v18365(VarCurr)
    <=> ( v18082(VarCurr,bitIndex10)
        | v18164(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4301,axiom,(
    ! [VarCurr] :
      ( v18362(VarCurr)
    <=> ( v18363(VarCurr)
        | v18364(VarCurr) ) ) )).

fof(writeUnaryOperator_1859,axiom,(
    ! [VarCurr] :
      ( ~ v18364(VarCurr)
    <=> v18164(VarCurr,bitIndex10) ) )).

fof(writeUnaryOperator_1858,axiom,(
    ! [VarCurr] :
      ( ~ v18363(VarCurr)
    <=> v18082(VarCurr,bitIndex10) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4300,axiom,(
    ! [VarCurr] :
      ( v18288(VarCurr)
    <=> ( v18289(VarCurr)
        | v18360(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_698,axiom,(
    ! [VarCurr] :
      ( v18360(VarCurr)
    <=> ( v18082(VarCurr,bitIndex9)
        & v18164(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4299,axiom,(
    ! [VarCurr] :
      ( v18289(VarCurr)
    <=> ( v18290(VarCurr)
        & v18355(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4298,axiom,(
    ! [VarCurr] :
      ( v18355(VarCurr)
    <=> ( v18356(VarCurr)
        & v18359(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_697,axiom,(
    ! [VarCurr] :
      ( v18359(VarCurr)
    <=> ( v18082(VarCurr,bitIndex9)
        | v18164(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4297,axiom,(
    ! [VarCurr] :
      ( v18356(VarCurr)
    <=> ( v18357(VarCurr)
        | v18358(VarCurr) ) ) )).

fof(writeUnaryOperator_1857,axiom,(
    ! [VarCurr] :
      ( ~ v18358(VarCurr)
    <=> v18164(VarCurr,bitIndex9) ) )).

fof(writeUnaryOperator_1856,axiom,(
    ! [VarCurr] :
      ( ~ v18357(VarCurr)
    <=> v18082(VarCurr,bitIndex9) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4296,axiom,(
    ! [VarCurr] :
      ( v18290(VarCurr)
    <=> ( v18291(VarCurr)
        | v18354(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_696,axiom,(
    ! [VarCurr] :
      ( v18354(VarCurr)
    <=> ( v18082(VarCurr,bitIndex8)
        & v18164(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4295,axiom,(
    ! [VarCurr] :
      ( v18291(VarCurr)
    <=> ( v18292(VarCurr)
        & v18349(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4294,axiom,(
    ! [VarCurr] :
      ( v18349(VarCurr)
    <=> ( v18350(VarCurr)
        & v18353(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_695,axiom,(
    ! [VarCurr] :
      ( v18353(VarCurr)
    <=> ( v18082(VarCurr,bitIndex8)
        | v18164(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4293,axiom,(
    ! [VarCurr] :
      ( v18350(VarCurr)
    <=> ( v18351(VarCurr)
        | v18352(VarCurr) ) ) )).

fof(writeUnaryOperator_1855,axiom,(
    ! [VarCurr] :
      ( ~ v18352(VarCurr)
    <=> v18164(VarCurr,bitIndex8) ) )).

fof(writeUnaryOperator_1854,axiom,(
    ! [VarCurr] :
      ( ~ v18351(VarCurr)
    <=> v18082(VarCurr,bitIndex8) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4292,axiom,(
    ! [VarCurr] :
      ( v18292(VarCurr)
    <=> ( v18293(VarCurr)
        | v18348(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_694,axiom,(
    ! [VarCurr] :
      ( v18348(VarCurr)
    <=> ( v18082(VarCurr,bitIndex7)
        & v18164(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4291,axiom,(
    ! [VarCurr] :
      ( v18293(VarCurr)
    <=> ( v18294(VarCurr)
        & v18343(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4290,axiom,(
    ! [VarCurr] :
      ( v18343(VarCurr)
    <=> ( v18344(VarCurr)
        & v18347(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_693,axiom,(
    ! [VarCurr] :
      ( v18347(VarCurr)
    <=> ( v18082(VarCurr,bitIndex7)
        | v18164(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4289,axiom,(
    ! [VarCurr] :
      ( v18344(VarCurr)
    <=> ( v18345(VarCurr)
        | v18346(VarCurr) ) ) )).

fof(writeUnaryOperator_1853,axiom,(
    ! [VarCurr] :
      ( ~ v18346(VarCurr)
    <=> v18164(VarCurr,bitIndex7) ) )).

fof(writeUnaryOperator_1852,axiom,(
    ! [VarCurr] :
      ( ~ v18345(VarCurr)
    <=> v18082(VarCurr,bitIndex7) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4288,axiom,(
    ! [VarCurr] :
      ( v18294(VarCurr)
    <=> ( v18295(VarCurr)
        | v18342(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_692,axiom,(
    ! [VarCurr] :
      ( v18342(VarCurr)
    <=> ( v18082(VarCurr,bitIndex6)
        & v18164(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4287,axiom,(
    ! [VarCurr] :
      ( v18295(VarCurr)
    <=> ( v18296(VarCurr)
        & v18337(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4286,axiom,(
    ! [VarCurr] :
      ( v18337(VarCurr)
    <=> ( v18338(VarCurr)
        & v18341(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_691,axiom,(
    ! [VarCurr] :
      ( v18341(VarCurr)
    <=> ( v18082(VarCurr,bitIndex6)
        | v18164(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4285,axiom,(
    ! [VarCurr] :
      ( v18338(VarCurr)
    <=> ( v18339(VarCurr)
        | v18340(VarCurr) ) ) )).

fof(writeUnaryOperator_1851,axiom,(
    ! [VarCurr] :
      ( ~ v18340(VarCurr)
    <=> v18164(VarCurr,bitIndex6) ) )).

fof(writeUnaryOperator_1850,axiom,(
    ! [VarCurr] :
      ( ~ v18339(VarCurr)
    <=> v18082(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4284,axiom,(
    ! [VarCurr] :
      ( v18296(VarCurr)
    <=> ( v18297(VarCurr)
        | v18336(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_690,axiom,(
    ! [VarCurr] :
      ( v18336(VarCurr)
    <=> ( v18082(VarCurr,bitIndex5)
        & v18164(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4283,axiom,(
    ! [VarCurr] :
      ( v18297(VarCurr)
    <=> ( v18298(VarCurr)
        & v18331(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4282,axiom,(
    ! [VarCurr] :
      ( v18331(VarCurr)
    <=> ( v18332(VarCurr)
        & v18335(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_689,axiom,(
    ! [VarCurr] :
      ( v18335(VarCurr)
    <=> ( v18082(VarCurr,bitIndex5)
        | v18164(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4281,axiom,(
    ! [VarCurr] :
      ( v18332(VarCurr)
    <=> ( v18333(VarCurr)
        | v18334(VarCurr) ) ) )).

fof(writeUnaryOperator_1849,axiom,(
    ! [VarCurr] :
      ( ~ v18334(VarCurr)
    <=> v18164(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_1848,axiom,(
    ! [VarCurr] :
      ( ~ v18333(VarCurr)
    <=> v18082(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4280,axiom,(
    ! [VarCurr] :
      ( v18298(VarCurr)
    <=> ( v18299(VarCurr)
        | v18330(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_688,axiom,(
    ! [VarCurr] :
      ( v18330(VarCurr)
    <=> ( v18082(VarCurr,bitIndex4)
        & v18164(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4279,axiom,(
    ! [VarCurr] :
      ( v18299(VarCurr)
    <=> ( v18300(VarCurr)
        & v18325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4278,axiom,(
    ! [VarCurr] :
      ( v18325(VarCurr)
    <=> ( v18326(VarCurr)
        & v18329(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_687,axiom,(
    ! [VarCurr] :
      ( v18329(VarCurr)
    <=> ( v18082(VarCurr,bitIndex4)
        | v18164(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4277,axiom,(
    ! [VarCurr] :
      ( v18326(VarCurr)
    <=> ( v18327(VarCurr)
        | v18328(VarCurr) ) ) )).

fof(writeUnaryOperator_1847,axiom,(
    ! [VarCurr] :
      ( ~ v18328(VarCurr)
    <=> v18164(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_1846,axiom,(
    ! [VarCurr] :
      ( ~ v18327(VarCurr)
    <=> v18082(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4276,axiom,(
    ! [VarCurr] :
      ( v18300(VarCurr)
    <=> ( v18301(VarCurr)
        | v18324(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_686,axiom,(
    ! [VarCurr] :
      ( v18324(VarCurr)
    <=> ( v18082(VarCurr,bitIndex3)
        & v18164(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4275,axiom,(
    ! [VarCurr] :
      ( v18301(VarCurr)
    <=> ( v18302(VarCurr)
        & v18319(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4274,axiom,(
    ! [VarCurr] :
      ( v18319(VarCurr)
    <=> ( v18320(VarCurr)
        & v18323(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_685,axiom,(
    ! [VarCurr] :
      ( v18323(VarCurr)
    <=> ( v18082(VarCurr,bitIndex3)
        | v18164(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4273,axiom,(
    ! [VarCurr] :
      ( v18320(VarCurr)
    <=> ( v18321(VarCurr)
        | v18322(VarCurr) ) ) )).

fof(writeUnaryOperator_1845,axiom,(
    ! [VarCurr] :
      ( ~ v18322(VarCurr)
    <=> v18164(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_1844,axiom,(
    ! [VarCurr] :
      ( ~ v18321(VarCurr)
    <=> v18082(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4272,axiom,(
    ! [VarCurr] :
      ( v18302(VarCurr)
    <=> ( v18303(VarCurr)
        | v18318(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_684,axiom,(
    ! [VarCurr] :
      ( v18318(VarCurr)
    <=> ( v18082(VarCurr,bitIndex2)
        & v18164(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4271,axiom,(
    ! [VarCurr] :
      ( v18303(VarCurr)
    <=> ( v18304(VarCurr)
        & v18313(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4270,axiom,(
    ! [VarCurr] :
      ( v18313(VarCurr)
    <=> ( v18314(VarCurr)
        & v18317(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_683,axiom,(
    ! [VarCurr] :
      ( v18317(VarCurr)
    <=> ( v18082(VarCurr,bitIndex2)
        | v18164(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4269,axiom,(
    ! [VarCurr] :
      ( v18314(VarCurr)
    <=> ( v18315(VarCurr)
        | v18316(VarCurr) ) ) )).

fof(writeUnaryOperator_1843,axiom,(
    ! [VarCurr] :
      ( ~ v18316(VarCurr)
    <=> v18164(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_1842,axiom,(
    ! [VarCurr] :
      ( ~ v18315(VarCurr)
    <=> v18082(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4268,axiom,(
    ! [VarCurr] :
      ( v18304(VarCurr)
    <=> ( v18305(VarCurr)
        | v18312(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_682,axiom,(
    ! [VarCurr] :
      ( v18312(VarCurr)
    <=> ( v18082(VarCurr,bitIndex1)
        & v18164(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4267,axiom,(
    ! [VarCurr] :
      ( v18305(VarCurr)
    <=> ( v18306(VarCurr)
        & v18307(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4266,axiom,(
    ! [VarCurr] :
      ( v18307(VarCurr)
    <=> ( v18308(VarCurr)
        & v18311(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_681,axiom,(
    ! [VarCurr] :
      ( v18311(VarCurr)
    <=> ( v18082(VarCurr,bitIndex1)
        | v18164(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4265,axiom,(
    ! [VarCurr] :
      ( v18308(VarCurr)
    <=> ( v18309(VarCurr)
        | v18310(VarCurr) ) ) )).

fof(writeUnaryOperator_1841,axiom,(
    ! [VarCurr] :
      ( ~ v18310(VarCurr)
    <=> v18164(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_1840,axiom,(
    ! [VarCurr] :
      ( ~ v18309(VarCurr)
    <=> v18082(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4264,axiom,(
    ! [VarCurr] :
      ( v18306(VarCurr)
    <=> ( v18082(VarCurr,bitIndex0)
        & v18164(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_4726,axiom,(
    ! [VarCurr] :
      ( v18164(VarCurr,bitIndex32)
    <=> v18232(VarCurr,bitIndex32) ) )).

fof(addAssignment_4725,axiom,(
    ! [VarCurr] :
      ( v18234(VarCurr,bitIndex25)
    <=> v18238(VarCurr,bitIndex25) ) )).

fof(addAssignment_4724,axiom,(
    ! [VarCurr] :
      ( v18164(VarCurr,bitIndex31)
    <=> v18232(VarCurr,bitIndex31) ) )).

fof(addAssignment_4723,axiom,(
    ! [VarCurr] :
      ( v18234(VarCurr,bitIndex24)
    <=> v18238(VarCurr,bitIndex24) ) )).

fof(addAssignment_4722,axiom,(
    ! [VarCurr] :
      ( v18164(VarCurr,bitIndex30)
    <=> v18232(VarCurr,bitIndex30) ) )).

fof(addAssignment_4721,axiom,(
    ! [VarCurr] :
      ( v18234(VarCurr,bitIndex23)
    <=> v18238(VarCurr,bitIndex23) ) )).

fof(addAssignment_4720,axiom,(
    ! [VarCurr] :
      ( v18164(VarCurr,bitIndex29)
    <=> v18232(VarCurr,bitIndex29) ) )).

fof(addAssignment_4719,axiom,(
    ! [VarCurr] :
      ( v18234(VarCurr,bitIndex22)
    <=> v18238(VarCurr,bitIndex22) ) )).

fof(addAssignment_4718,axiom,(
    ! [VarCurr] :
      ( v18164(VarCurr,bitIndex28)
    <=> v18232(VarCurr,bitIndex28) ) )).

fof(addAssignment_4717,axiom,(
    ! [VarCurr] :
      ( v18234(VarCurr,bitIndex21)
    <=> v18238(VarCurr,bitIndex21) ) )).

fof(addAssignment_4716,axiom,(
    ! [VarCurr] :
      ( v18164(VarCurr,bitIndex27)
    <=> v18232(VarCurr,bitIndex27) ) )).

fof(addAssignment_4715,axiom,(
    ! [VarCurr] :
      ( v18234(VarCurr,bitIndex20)
    <=> v18238(VarCurr,bitIndex20) ) )).

fof(addAssignment_4714,axiom,(
    ! [VarCurr] :
      ( v18164(VarCurr,bitIndex26)
    <=> v18232(VarCurr,bitIndex26) ) )).

fof(addAssignment_4713,axiom,(
    ! [VarCurr] :
      ( v18234(VarCurr,bitIndex19)
    <=> v18238(VarCurr,bitIndex19) ) )).

fof(addAssignment_4712,axiom,(
    ! [VarCurr] :
      ( v18164(VarCurr,bitIndex25)
    <=> v18232(VarCurr,bitIndex25) ) )).

fof(addAssignment_4711,axiom,(
    ! [VarCurr] :
      ( v18234(VarCurr,bitIndex18)
    <=> v18238(VarCurr,bitIndex18) ) )).

fof(addAssignment_4710,axiom,(
    ! [VarCurr] :
      ( v18164(VarCurr,bitIndex24)
    <=> v18232(VarCurr,bitIndex24) ) )).

fof(addAssignment_4709,axiom,(
    ! [VarCurr] :
      ( v18234(VarCurr,bitIndex17)
    <=> v18238(VarCurr,bitIndex17) ) )).

fof(addAssignment_4708,axiom,(
    ! [VarCurr] :
      ( v18164(VarCurr,bitIndex23)
    <=> v18232(VarCurr,bitIndex23) ) )).

fof(addAssignment_4707,axiom,(
    ! [VarCurr] :
      ( v18234(VarCurr,bitIndex16)
    <=> v18238(VarCurr,bitIndex16) ) )).

fof(addAssignment_4706,axiom,(
    ! [VarCurr] :
      ( v18164(VarCurr,bitIndex22)
    <=> v18232(VarCurr,bitIndex22) ) )).

fof(addAssignment_4705,axiom,(
    ! [VarCurr] :
      ( v18234(VarCurr,bitIndex15)
    <=> v18238(VarCurr,bitIndex15) ) )).

fof(addAssignment_4704,axiom,(
    ! [VarCurr] :
      ( v18164(VarCurr,bitIndex21)
    <=> v18232(VarCurr,bitIndex21) ) )).

fof(addAssignment_4703,axiom,(
    ! [VarCurr] :
      ( v18234(VarCurr,bitIndex14)
    <=> v18238(VarCurr,bitIndex14) ) )).

fof(addAssignment_4702,axiom,(
    ! [VarCurr] :
      ( v18164(VarCurr,bitIndex20)
    <=> v18232(VarCurr,bitIndex20) ) )).

fof(addAssignment_4701,axiom,(
    ! [VarCurr] :
      ( v18234(VarCurr,bitIndex13)
    <=> v18238(VarCurr,bitIndex13) ) )).

fof(addAssignment_4700,axiom,(
    ! [VarCurr] :
      ( v18164(VarCurr,bitIndex19)
    <=> v18232(VarCurr,bitIndex19) ) )).

fof(addAssignment_4699,axiom,(
    ! [VarCurr] :
      ( v18234(VarCurr,bitIndex12)
    <=> v18238(VarCurr,bitIndex12) ) )).

fof(addAssignment_4698,axiom,(
    ! [VarCurr] :
      ( v18164(VarCurr,bitIndex18)
    <=> v18232(VarCurr,bitIndex18) ) )).

fof(addAssignment_4697,axiom,(
    ! [VarCurr] :
      ( v18234(VarCurr,bitIndex11)
    <=> v18238(VarCurr,bitIndex11) ) )).

fof(addAssignment_4696,axiom,(
    ! [VarCurr] :
      ( v18164(VarCurr,bitIndex17)
    <=> v18232(VarCurr,bitIndex17) ) )).

fof(addAssignment_4695,axiom,(
    ! [VarCurr] :
      ( v18234(VarCurr,bitIndex10)
    <=> v18238(VarCurr,bitIndex10) ) )).

fof(addAssignment_4694,axiom,(
    ! [VarCurr] :
      ( v18164(VarCurr,bitIndex16)
    <=> v18232(VarCurr,bitIndex16) ) )).

fof(addAssignment_4693,axiom,(
    ! [VarCurr] :
      ( v18234(VarCurr,bitIndex9)
    <=> v18238(VarCurr,bitIndex9) ) )).

fof(addAssignment_4692,axiom,(
    ! [VarCurr] :
      ( v18164(VarCurr,bitIndex15)
    <=> v18232(VarCurr,bitIndex15) ) )).

fof(addAssignment_4691,axiom,(
    ! [VarCurr] :
      ( v18234(VarCurr,bitIndex8)
    <=> v18238(VarCurr,bitIndex8) ) )).

fof(addAssignment_4690,axiom,(
    ! [VarCurr] :
      ( v18164(VarCurr,bitIndex14)
    <=> v18232(VarCurr,bitIndex14) ) )).

fof(addAssignment_4689,axiom,(
    ! [VarCurr] :
      ( v18234(VarCurr,bitIndex7)
    <=> v18238(VarCurr,bitIndex7) ) )).

fof(addAssignment_4688,axiom,(
    ! [VarCurr] :
      ( v18164(VarCurr,bitIndex13)
    <=> v18232(VarCurr,bitIndex13) ) )).

fof(addAssignment_4687,axiom,(
    ! [VarCurr] :
      ( v18234(VarCurr,bitIndex6)
    <=> v18238(VarCurr,bitIndex6) ) )).

fof(addAssignment_4686,axiom,(
    ! [VarCurr] :
      ( v18164(VarCurr,bitIndex12)
    <=> v18232(VarCurr,bitIndex12) ) )).

fof(addAssignment_4685,axiom,(
    ! [VarCurr] :
      ( v18234(VarCurr,bitIndex5)
    <=> v18238(VarCurr,bitIndex5) ) )).

fof(addAssignment_4684,axiom,(
    ! [VarCurr] :
      ( v18164(VarCurr,bitIndex11)
    <=> v18232(VarCurr,bitIndex11) ) )).

fof(addAssignment_4683,axiom,(
    ! [VarCurr] :
      ( v18234(VarCurr,bitIndex4)
    <=> v18238(VarCurr,bitIndex4) ) )).

fof(addAssignment_4682,axiom,(
    ! [VarCurr] :
      ( v18164(VarCurr,bitIndex10)
    <=> v18232(VarCurr,bitIndex10) ) )).

fof(addAssignment_4681,axiom,(
    ! [VarCurr] :
      ( v18234(VarCurr,bitIndex3)
    <=> v18238(VarCurr,bitIndex3) ) )).

fof(addAssignment_4680,axiom,(
    ! [VarCurr] :
      ( v18164(VarCurr,bitIndex9)
    <=> v18232(VarCurr,bitIndex9) ) )).

fof(addAssignment_4679,axiom,(
    ! [VarCurr] :
      ( v18234(VarCurr,bitIndex2)
    <=> v18238(VarCurr,bitIndex2) ) )).

fof(addAssignment_4678,axiom,(
    ! [VarCurr] :
      ( v18164(VarCurr,bitIndex8)
    <=> v18232(VarCurr,bitIndex8) ) )).

fof(addAssignment_4677,axiom,(
    ! [VarCurr] :
      ( v18166(VarCurr,bitIndex15)
    <=> v18222(VarCurr,bitIndex15) ) )).

fof(addAssignment_4676,axiom,(
    ! [VarCurr] :
      ( v18180(VarCurr,bitIndex15)
    <=> v18198(VarCurr,bitIndex15) ) )).

fof(addAssignment_4675,axiom,(
    ! [VarCurr] :
      ( v18220(VarCurr,bitIndex15)
    <=> v18221(VarCurr,bitIndex15) ) )).

fof(addAssignment_4674,axiom,(
    ! [VarCurr] :
      ( v18217(VarCurr,bitIndex15)
    <=> v18218(VarCurr,bitIndex15) ) )).

fof(addAssignment_4673,axiom,(
    ! [VarCurr] :
      ( v18214(VarCurr,bitIndex15)
    <=> v18215(VarCurr,bitIndex15) ) )).

fof(addAssignment_4672,axiom,(
    ! [VarCurr] :
      ( v18211(VarCurr,bitIndex15)
    <=> v18212(VarCurr,bitIndex15) ) )).

fof(addAssignment_4671,axiom,(
    ! [VarCurr] :
      ( v18208(VarCurr,bitIndex15)
    <=> v18209(VarCurr,bitIndex15) ) )).

fof(addAssignment_4670,axiom,(
    ! [VarCurr] :
      ( v18205(VarCurr,bitIndex15)
    <=> v18206(VarCurr,bitIndex15) ) )).

fof(addAssignment_4669,axiom,(
    ! [VarCurr] :
      ( v18202(VarCurr,bitIndex15)
    <=> v18203(VarCurr,bitIndex15) ) )).

fof(addAssignment_4668,axiom,(
    ! [VarCurr] :
      ( v18182(VarCurr,bitIndex15)
    <=> v18200(VarCurr,bitIndex15) ) )).

fof(addAssignment_4667,axiom,(
    ! [VarCurr] :
      ( v18178(VarCurr,bitIndex15)
    <=> v18179(VarCurr,bitIndex15) ) )).

fof(addAssignment_4666,axiom,(
    ! [VarCurr] :
      ( v18234(VarCurr,bitIndex1)
    <=> v18238(VarCurr,bitIndex1) ) )).

fof(addAssignment_4665,axiom,(
    ! [VarCurr] :
      ( v18164(VarCurr,bitIndex7)
    <=> v18232(VarCurr,bitIndex7) ) )).

fof(addAssignment_4664,axiom,(
    ! [VarCurr] :
      ( v18166(VarCurr,bitIndex14)
    <=> v18222(VarCurr,bitIndex14) ) )).

fof(addAssignment_4663,axiom,(
    ! [VarCurr] :
      ( v18220(VarCurr,bitIndex14)
    <=> v18221(VarCurr,bitIndex14) ) )).

fof(addAssignment_4662,axiom,(
    ! [VarCurr] :
      ( v18180(VarCurr,bitIndex14)
    <=> v18198(VarCurr,bitIndex14) ) )).

fof(addAssignment_4661,axiom,(
    ! [VarCurr] :
      ( v18217(VarCurr,bitIndex14)
    <=> v18218(VarCurr,bitIndex14) ) )).

fof(addAssignment_4660,axiom,(
    ! [VarCurr] :
      ( v18214(VarCurr,bitIndex14)
    <=> v18215(VarCurr,bitIndex14) ) )).

fof(addAssignment_4659,axiom,(
    ! [VarCurr] :
      ( v18211(VarCurr,bitIndex14)
    <=> v18212(VarCurr,bitIndex14) ) )).

fof(addAssignment_4658,axiom,(
    ! [VarCurr] :
      ( v18208(VarCurr,bitIndex14)
    <=> v18209(VarCurr,bitIndex14) ) )).

fof(addAssignment_4657,axiom,(
    ! [VarCurr] :
      ( v18205(VarCurr,bitIndex14)
    <=> v18206(VarCurr,bitIndex14) ) )).

fof(addAssignment_4656,axiom,(
    ! [VarCurr] :
      ( v18202(VarCurr,bitIndex14)
    <=> v18203(VarCurr,bitIndex14) ) )).

fof(addAssignment_4655,axiom,(
    ! [VarCurr] :
      ( v18182(VarCurr,bitIndex14)
    <=> v18200(VarCurr,bitIndex14) ) )).

fof(addAssignment_4654,axiom,(
    ! [VarCurr] :
      ( v18178(VarCurr,bitIndex14)
    <=> v18179(VarCurr,bitIndex14) ) )).

fof(addAssignment_4653,axiom,(
    ! [VarCurr] :
      ( v18234(VarCurr,bitIndex0)
    <=> v18238(VarCurr,bitIndex0) ) )).

fof(addAssignment_4652,axiom,(
    ! [VarCurr] :
      ( v18164(VarCurr,bitIndex6)
    <=> v18232(VarCurr,bitIndex6) ) )).

fof(addAssignment_4651,axiom,(
    ! [VarCurr] :
      ( v18166(VarCurr,bitIndex13)
    <=> v18222(VarCurr,bitIndex13) ) )).

fof(addAssignment_4650,axiom,(
    ! [VarCurr] :
      ( v18220(VarCurr,bitIndex13)
    <=> v18221(VarCurr,bitIndex13) ) )).

fof(addAssignment_4649,axiom,(
    ! [VarCurr] :
      ( v18217(VarCurr,bitIndex13)
    <=> v18218(VarCurr,bitIndex13) ) )).

fof(addAssignment_4648,axiom,(
    ! [VarCurr] :
      ( v18180(VarCurr,bitIndex13)
    <=> v18198(VarCurr,bitIndex13) ) )).

fof(addAssignment_4647,axiom,(
    ! [VarCurr] :
      ( v18214(VarCurr,bitIndex13)
    <=> v18215(VarCurr,bitIndex13) ) )).

fof(addAssignment_4646,axiom,(
    ! [VarCurr] :
      ( v18211(VarCurr,bitIndex13)
    <=> v18212(VarCurr,bitIndex13) ) )).

fof(addAssignment_4645,axiom,(
    ! [VarCurr] :
      ( v18208(VarCurr,bitIndex13)
    <=> v18209(VarCurr,bitIndex13) ) )).

fof(addAssignment_4644,axiom,(
    ! [VarCurr] :
      ( v18205(VarCurr,bitIndex13)
    <=> v18206(VarCurr,bitIndex13) ) )).

fof(addAssignment_4643,axiom,(
    ! [VarCurr] :
      ( v18202(VarCurr,bitIndex13)
    <=> v18203(VarCurr,bitIndex13) ) )).

fof(addAssignment_4642,axiom,(
    ! [VarCurr] :
      ( v18182(VarCurr,bitIndex13)
    <=> v18200(VarCurr,bitIndex13) ) )).

fof(addAssignment_4641,axiom,(
    ! [VarCurr] :
      ( v18178(VarCurr,bitIndex13)
    <=> v18179(VarCurr,bitIndex13) ) )).

fof(addAssignment_4640,axiom,(
    ! [VarCurr] :
      ( v18164(VarCurr,bitIndex5)
    <=> v18232(VarCurr,bitIndex5) ) )).

fof(addAssignment_4639,axiom,(
    ! [VarCurr] :
      ( v18166(VarCurr,bitIndex12)
    <=> v18222(VarCurr,bitIndex12) ) )).

fof(addAssignment_4638,axiom,(
    ! [VarCurr] :
      ( v18220(VarCurr,bitIndex12)
    <=> v18221(VarCurr,bitIndex12) ) )).

fof(addAssignment_4637,axiom,(
    ! [VarCurr] :
      ( v18217(VarCurr,bitIndex12)
    <=> v18218(VarCurr,bitIndex12) ) )).

fof(addAssignment_4636,axiom,(
    ! [VarCurr] :
      ( v18214(VarCurr,bitIndex12)
    <=> v18215(VarCurr,bitIndex12) ) )).

fof(addAssignment_4635,axiom,(
    ! [VarCurr] :
      ( v18180(VarCurr,bitIndex12)
    <=> v18198(VarCurr,bitIndex12) ) )).

fof(addAssignment_4634,axiom,(
    ! [VarCurr] :
      ( v18195(VarCurr,bitIndex15)
    <=> v18197(VarCurr,bitIndex29) ) )).

fof(addAssignment_4633,axiom,(
    ! [VarCurr] :
      ( v18211(VarCurr,bitIndex12)
    <=> v18212(VarCurr,bitIndex12) ) )).

fof(addAssignment_4632,axiom,(
    ! [VarCurr] :
      ( v18208(VarCurr,bitIndex12)
    <=> v18209(VarCurr,bitIndex12) ) )).

fof(addAssignment_4631,axiom,(
    ! [VarCurr] :
      ( v18205(VarCurr,bitIndex12)
    <=> v18206(VarCurr,bitIndex12) ) )).

fof(addAssignment_4630,axiom,(
    ! [VarCurr] :
      ( v18202(VarCurr,bitIndex12)
    <=> v18203(VarCurr,bitIndex12) ) )).

fof(addAssignment_4629,axiom,(
    ! [VarCurr] :
      ( v18182(VarCurr,bitIndex12)
    <=> v18200(VarCurr,bitIndex12) ) )).

fof(addAssignment_4628,axiom,(
    ! [VarCurr] :
      ( v18178(VarCurr,bitIndex12)
    <=> v18179(VarCurr,bitIndex12) ) )).

fof(addAssignment_4627,axiom,(
    ! [VarCurr] :
      ( v18164(VarCurr,bitIndex4)
    <=> v18232(VarCurr,bitIndex4) ) )).

fof(addAssignment_4626,axiom,(
    ! [VarCurr] :
      ( v18166(VarCurr,bitIndex11)
    <=> v18222(VarCurr,bitIndex11) ) )).

fof(addAssignment_4625,axiom,(
    ! [VarCurr] :
      ( v18220(VarCurr,bitIndex11)
    <=> v18221(VarCurr,bitIndex11) ) )).

fof(addAssignment_4624,axiom,(
    ! [VarCurr] :
      ( v18217(VarCurr,bitIndex11)
    <=> v18218(VarCurr,bitIndex11) ) )).

fof(addAssignment_4623,axiom,(
    ! [VarCurr] :
      ( v18214(VarCurr,bitIndex11)
    <=> v18215(VarCurr,bitIndex11) ) )).

fof(addAssignment_4622,axiom,(
    ! [VarCurr] :
      ( v18211(VarCurr,bitIndex11)
    <=> v18212(VarCurr,bitIndex11) ) )).

fof(addAssignment_4621,axiom,(
    ! [VarCurr] :
      ( v18180(VarCurr,bitIndex11)
    <=> v18198(VarCurr,bitIndex11) ) )).

fof(addAssignment_4620,axiom,(
    ! [VarCurr] :
      ( v18195(VarCurr,bitIndex14)
    <=> v18197(VarCurr,bitIndex28) ) )).

fof(addAssignment_4619,axiom,(
    ! [VarCurr] :
      ( v18208(VarCurr,bitIndex11)
    <=> v18209(VarCurr,bitIndex11) ) )).

fof(addAssignment_4618,axiom,(
    ! [VarCurr] :
      ( v18205(VarCurr,bitIndex11)
    <=> v18206(VarCurr,bitIndex11) ) )).

fof(addAssignment_4617,axiom,(
    ! [VarCurr] :
      ( v18202(VarCurr,bitIndex11)
    <=> v18203(VarCurr,bitIndex11) ) )).

fof(addAssignment_4616,axiom,(
    ! [VarCurr] :
      ( v18182(VarCurr,bitIndex11)
    <=> v18200(VarCurr,bitIndex11) ) )).

fof(addAssignment_4615,axiom,(
    ! [VarCurr] :
      ( v18178(VarCurr,bitIndex11)
    <=> v18179(VarCurr,bitIndex11) ) )).

fof(addAssignment_4614,axiom,(
    ! [VarCurr] :
      ( v18164(VarCurr,bitIndex3)
    <=> v18232(VarCurr,bitIndex3) ) )).

fof(addAssignment_4613,axiom,(
    ! [VarCurr] :
      ( v18166(VarCurr,bitIndex10)
    <=> v18222(VarCurr,bitIndex10) ) )).

fof(addAssignment_4612,axiom,(
    ! [VarCurr] :
      ( v18220(VarCurr,bitIndex10)
    <=> v18221(VarCurr,bitIndex10) ) )).

fof(addAssignment_4611,axiom,(
    ! [VarCurr] :
      ( v18217(VarCurr,bitIndex10)
    <=> v18218(VarCurr,bitIndex10) ) )).

fof(addAssignment_4610,axiom,(
    ! [VarCurr] :
      ( v18214(VarCurr,bitIndex10)
    <=> v18215(VarCurr,bitIndex10) ) )).

fof(addAssignment_4609,axiom,(
    ! [VarCurr] :
      ( v18211(VarCurr,bitIndex10)
    <=> v18212(VarCurr,bitIndex10) ) )).

fof(addAssignment_4608,axiom,(
    ! [VarCurr] :
      ( v18208(VarCurr,bitIndex10)
    <=> v18209(VarCurr,bitIndex10) ) )).

fof(addAssignment_4607,axiom,(
    ! [VarCurr] :
      ( v18180(VarCurr,bitIndex10)
    <=> v18198(VarCurr,bitIndex10) ) )).

fof(addAssignment_4606,axiom,(
    ! [VarCurr] :
      ( v18195(VarCurr,bitIndex13)
    <=> v18197(VarCurr,bitIndex27) ) )).

fof(addAssignment_4605,axiom,(
    ! [VarCurr] :
      ( v18205(VarCurr,bitIndex10)
    <=> v18206(VarCurr,bitIndex10) ) )).

fof(addAssignment_4604,axiom,(
    ! [VarCurr] :
      ( v18202(VarCurr,bitIndex10)
    <=> v18203(VarCurr,bitIndex10) ) )).

fof(addAssignment_4603,axiom,(
    ! [VarCurr] :
      ( v18182(VarCurr,bitIndex10)
    <=> v18200(VarCurr,bitIndex10) ) )).

fof(addAssignment_4602,axiom,(
    ! [VarCurr] :
      ( v18178(VarCurr,bitIndex10)
    <=> v18179(VarCurr,bitIndex10) ) )).

fof(addAssignment_4601,axiom,(
    ! [VarCurr] :
      ( v18164(VarCurr,bitIndex2)
    <=> v18232(VarCurr,bitIndex2) ) )).

fof(addAssignment_4600,axiom,(
    ! [VarCurr] :
      ( v18166(VarCurr,bitIndex9)
    <=> v18222(VarCurr,bitIndex9) ) )).

fof(addAssignment_4599,axiom,(
    ! [VarCurr] :
      ( v18220(VarCurr,bitIndex9)
    <=> v18221(VarCurr,bitIndex9) ) )).

fof(addAssignment_4598,axiom,(
    ! [VarCurr] :
      ( v18217(VarCurr,bitIndex9)
    <=> v18218(VarCurr,bitIndex9) ) )).

fof(addAssignment_4597,axiom,(
    ! [VarCurr] :
      ( v18214(VarCurr,bitIndex9)
    <=> v18215(VarCurr,bitIndex9) ) )).

fof(addAssignment_4596,axiom,(
    ! [VarCurr] :
      ( v18211(VarCurr,bitIndex9)
    <=> v18212(VarCurr,bitIndex9) ) )).

fof(addAssignment_4595,axiom,(
    ! [VarCurr] :
      ( v18208(VarCurr,bitIndex9)
    <=> v18209(VarCurr,bitIndex9) ) )).

fof(addAssignment_4594,axiom,(
    ! [VarCurr] :
      ( v18205(VarCurr,bitIndex9)
    <=> v18206(VarCurr,bitIndex9) ) )).

fof(addAssignment_4593,axiom,(
    ! [VarCurr] :
      ( v18180(VarCurr,bitIndex9)
    <=> v18198(VarCurr,bitIndex9) ) )).

fof(addAssignment_4592,axiom,(
    ! [VarCurr] :
      ( v18195(VarCurr,bitIndex9)
    <=> v18197(VarCurr,bitIndex23) ) )).

fof(addAssignment_4591,axiom,(
    ! [VarCurr] :
      ( v18195(VarCurr,bitIndex12)
    <=> v18197(VarCurr,bitIndex26) ) )).

fof(addAssignment_4590,axiom,(
    ! [VarCurr] :
      ( v18202(VarCurr,bitIndex9)
    <=> v18203(VarCurr,bitIndex9) ) )).

fof(addAssignment_4589,axiom,(
    ! [VarCurr] :
      ( v18182(VarCurr,bitIndex9)
    <=> v18200(VarCurr,bitIndex9) ) )).

fof(addAssignment_4588,axiom,(
    ! [VarCurr] :
      ( v18178(VarCurr,bitIndex9)
    <=> v18179(VarCurr,bitIndex9) ) )).

fof(addAssignment_4587,axiom,(
    ! [VarCurr] :
      ( v18164(VarCurr,bitIndex1)
    <=> v18232(VarCurr,bitIndex1) ) )).

fof(addAssignment_4586,axiom,(
    ! [VarCurr] :
      ( v18166(VarCurr,bitIndex8)
    <=> v18222(VarCurr,bitIndex8) ) )).

fof(addAssignment_4585,axiom,(
    ! [VarCurr] :
      ( v18220(VarCurr,bitIndex8)
    <=> v18221(VarCurr,bitIndex8) ) )).

fof(addAssignment_4584,axiom,(
    ! [VarCurr] :
      ( v18217(VarCurr,bitIndex8)
    <=> v18218(VarCurr,bitIndex8) ) )).

fof(addAssignment_4583,axiom,(
    ! [VarCurr] :
      ( v18214(VarCurr,bitIndex8)
    <=> v18215(VarCurr,bitIndex8) ) )).

fof(addAssignment_4582,axiom,(
    ! [VarCurr] :
      ( v18211(VarCurr,bitIndex8)
    <=> v18212(VarCurr,bitIndex8) ) )).

fof(addAssignment_4581,axiom,(
    ! [VarCurr] :
      ( v18208(VarCurr,bitIndex8)
    <=> v18209(VarCurr,bitIndex8) ) )).

fof(addAssignment_4580,axiom,(
    ! [VarCurr] :
      ( v18205(VarCurr,bitIndex8)
    <=> v18206(VarCurr,bitIndex8) ) )).

fof(addAssignment_4579,axiom,(
    ! [VarCurr] :
      ( v18202(VarCurr,bitIndex8)
    <=> v18203(VarCurr,bitIndex8) ) )).

fof(addAssignment_4578,axiom,(
    ! [VarCurr] :
      ( v18180(VarCurr,bitIndex8)
    <=> v18198(VarCurr,bitIndex8) ) )).

fof(addAssignment_4577,axiom,(
    ! [VarCurr] :
      ( v18195(VarCurr,bitIndex8)
    <=> v18197(VarCurr,bitIndex22) ) )).

fof(addAssignment_4576,axiom,(
    ! [VarCurr] :
      ( v18195(VarCurr,bitIndex11)
    <=> v18197(VarCurr,bitIndex25) ) )).

fof(addAssignment_4575,axiom,(
    ! [VarCurr] :
      ( v18182(VarCurr,bitIndex8)
    <=> v18200(VarCurr,bitIndex8) ) )).

fof(addAssignment_4574,axiom,(
    ! [VarCurr] :
      ( v18178(VarCurr,bitIndex8)
    <=> v18179(VarCurr,bitIndex8) ) )).

fof(addAssignment_4573,axiom,(
    ! [VarCurr] :
      ( v18164(VarCurr,bitIndex0)
    <=> v18232(VarCurr,bitIndex0) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_402,axiom,(
    ! [VarCurr] :
      ( ~ v18078(VarCurr)
     => ! [B] :
          ( range_32_0(B)
         => ( v18232(VarCurr,B)
          <=> v18235(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_406,axiom,(
    ! [VarCurr] :
      ( v18078(VarCurr)
     => ! [B] :
          ( range_32_0(B)
         => ( v18232(VarCurr,B)
          <=> v18233(VarCurr,B) ) ) ) )).

fof(addAssignment_4572,axiom,(
    ! [VarCurr] :
      ( ( v18235(VarCurr,bitIndex8)
      <=> v18166(VarCurr,bitIndex15) )
      & ( v18235(VarCurr,bitIndex7)
      <=> v18166(VarCurr,bitIndex14) )
      & ( v18235(VarCurr,bitIndex6)
      <=> v18166(VarCurr,bitIndex13) )
      & ( v18235(VarCurr,bitIndex5)
      <=> v18166(VarCurr,bitIndex12) )
      & ( v18235(VarCurr,bitIndex4)
      <=> v18166(VarCurr,bitIndex11) )
      & ( v18235(VarCurr,bitIndex3)
      <=> v18166(VarCurr,bitIndex10) )
      & ( v18235(VarCurr,bitIndex2)
      <=> v18166(VarCurr,bitIndex9) )
      & ( v18235(VarCurr,bitIndex1)
      <=> v18166(VarCurr,bitIndex8) )
      & ( v18235(VarCurr,bitIndex0)
      <=> v18166(VarCurr,bitIndex7) ) ) )).

fof(addAssignment_4571,axiom,(
    ! [VarCurr] :
      ( ( v18235(VarCurr,bitIndex32)
      <=> $false )
      & ( v18235(VarCurr,bitIndex31)
      <=> $false )
      & ( v18235(VarCurr,bitIndex30)
      <=> $false )
      & ( v18235(VarCurr,bitIndex29)
      <=> $false )
      & ( v18235(VarCurr,bitIndex28)
      <=> $false )
      & ( v18235(VarCurr,bitIndex27)
      <=> $false )
      & ( v18235(VarCurr,bitIndex26)
      <=> $false )
      & ( v18235(VarCurr,bitIndex25)
      <=> $false )
      & ( v18235(VarCurr,bitIndex24)
      <=> $false )
      & ( v18235(VarCurr,bitIndex23)
      <=> $false )
      & ( v18235(VarCurr,bitIndex22)
      <=> $false )
      & ( v18235(VarCurr,bitIndex21)
      <=> $false )
      & ( v18235(VarCurr,bitIndex20)
      <=> $false )
      & ( v18235(VarCurr,bitIndex19)
      <=> $false )
      & ( v18235(VarCurr,bitIndex18)
      <=> $false )
      & ( v18235(VarCurr,bitIndex17)
      <=> $false )
      & ( v18235(VarCurr,bitIndex16)
      <=> $false )
      & ( v18235(VarCurr,bitIndex15)
      <=> $false )
      & ( v18235(VarCurr,bitIndex14)
      <=> $false )
      & ( v18235(VarCurr,bitIndex13)
      <=> $false )
      & ( v18235(VarCurr,bitIndex12)
      <=> $false )
      & ( v18235(VarCurr,bitIndex11)
      <=> $false )
      & ( v18235(VarCurr,bitIndex10)
      <=> $false )
      & ( v18235(VarCurr,bitIndex9)
      <=> $false ) ) )).

fof(bitBlastConstant_8414,axiom,(
    ~ b000000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_8413,axiom,(
    ~ b000000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_8412,axiom,(
    ~ b000000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_8411,axiom,(
    ~ b000000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_8410,axiom,(
    ~ b000000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_8409,axiom,(
    ~ b000000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_8408,axiom,(
    ~ b000000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_8407,axiom,(
    ~ b000000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_8406,axiom,(
    ~ b000000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_8405,axiom,(
    ~ b000000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_8404,axiom,(
    ~ b000000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_8403,axiom,(
    ~ b000000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_8402,axiom,(
    ~ b000000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_8401,axiom,(
    ~ b000000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_8400,axiom,(
    ~ b000000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_8399,axiom,(
    ~ b000000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_8398,axiom,(
    ~ b000000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_8397,axiom,(
    ~ b000000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_8396,axiom,(
    ~ b000000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_8395,axiom,(
    ~ b000000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_8394,axiom,(
    ~ b000000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_8393,axiom,(
    ~ b000000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_8392,axiom,(
    ~ b000000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_8391,axiom,(
    ~ b000000000000000000000000(bitIndex0) )).

fof(addAssignment_4570,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v18233(VarCurr,B)
      <=> $false ) ) )).

fof(addAssignment_4569,axiom,(
    ! [VarCurr] :
      ( ( v18233(VarCurr,bitIndex32)
      <=> v18234(VarCurr,bitIndex25) )
      & ( v18233(VarCurr,bitIndex31)
      <=> v18234(VarCurr,bitIndex24) )
      & ( v18233(VarCurr,bitIndex30)
      <=> v18234(VarCurr,bitIndex23) )
      & ( v18233(VarCurr,bitIndex29)
      <=> v18234(VarCurr,bitIndex22) )
      & ( v18233(VarCurr,bitIndex28)
      <=> v18234(VarCurr,bitIndex21) )
      & ( v18233(VarCurr,bitIndex27)
      <=> v18234(VarCurr,bitIndex20) )
      & ( v18233(VarCurr,bitIndex26)
      <=> v18234(VarCurr,bitIndex19) )
      & ( v18233(VarCurr,bitIndex25)
      <=> v18234(VarCurr,bitIndex18) )
      & ( v18233(VarCurr,bitIndex24)
      <=> v18234(VarCurr,bitIndex17) )
      & ( v18233(VarCurr,bitIndex23)
      <=> v18234(VarCurr,bitIndex16) )
      & ( v18233(VarCurr,bitIndex22)
      <=> v18234(VarCurr,bitIndex15) )
      & ( v18233(VarCurr,bitIndex21)
      <=> v18234(VarCurr,bitIndex14) )
      & ( v18233(VarCurr,bitIndex20)
      <=> v18234(VarCurr,bitIndex13) )
      & ( v18233(VarCurr,bitIndex19)
      <=> v18234(VarCurr,bitIndex12) )
      & ( v18233(VarCurr,bitIndex18)
      <=> v18234(VarCurr,bitIndex11) )
      & ( v18233(VarCurr,bitIndex17)
      <=> v18234(VarCurr,bitIndex10) )
      & ( v18233(VarCurr,bitIndex16)
      <=> v18234(VarCurr,bitIndex9) )
      & ( v18233(VarCurr,bitIndex15)
      <=> v18234(VarCurr,bitIndex8) )
      & ( v18233(VarCurr,bitIndex14)
      <=> v18234(VarCurr,bitIndex7) )
      & ( v18233(VarCurr,bitIndex13)
      <=> v18234(VarCurr,bitIndex6) )
      & ( v18233(VarCurr,bitIndex12)
      <=> v18234(VarCurr,bitIndex5) )
      & ( v18233(VarCurr,bitIndex11)
      <=> v18234(VarCurr,bitIndex4) )
      & ( v18233(VarCurr,bitIndex10)
      <=> v18234(VarCurr,bitIndex3) )
      & ( v18233(VarCurr,bitIndex9)
      <=> v18234(VarCurr,bitIndex2) )
      & ( v18233(VarCurr,bitIndex8)
      <=> v18234(VarCurr,bitIndex1) )
      & ( v18233(VarCurr,bitIndex7)
      <=> v18234(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_4568,axiom,(
    ! [VarCurr] :
      ( v18166(VarCurr,bitIndex7)
    <=> v18222(VarCurr,bitIndex7) ) )).

fof(addParallelCaseBooleanConditionEqualRanges9_3,axiom,(
    ! [VarCurr] :
      ( ( ~ v18223(VarCurr)
        & ~ v18224(VarCurr)
        & ~ v18225(VarCurr)
        & ~ v18226(VarCurr)
        & ~ v18227(VarCurr)
        & ~ v18228(VarCurr)
        & ~ v18229(VarCurr)
        & ~ v18230(VarCurr)
        & ~ v18231(VarCurr) )
     => ! [B] :
          ( range_15_0(B)
         => ( v18222(VarCurr,B)
          <=> v18180(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges8_3,axiom,(
    ! [VarCurr] :
      ( v18231(VarCurr)
     => ! [B] :
          ( range_15_0(B)
         => ( v18222(VarCurr,B)
          <=> v18220(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges7_6,axiom,(
    ! [VarCurr] :
      ( v18230(VarCurr)
     => ! [B] :
          ( range_15_0(B)
         => ( v18222(VarCurr,B)
          <=> v18217(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges6_6,axiom,(
    ! [VarCurr] :
      ( v18229(VarCurr)
     => ! [B] :
          ( range_15_0(B)
         => ( v18222(VarCurr,B)
          <=> v18214(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges5_8,axiom,(
    ! [VarCurr] :
      ( v18228(VarCurr)
     => ! [B] :
          ( range_15_0(B)
         => ( v18222(VarCurr,B)
          <=> v18211(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges4_11,axiom,(
    ! [VarCurr] :
      ( v18227(VarCurr)
     => ! [B] :
          ( range_15_0(B)
         => ( v18222(VarCurr,B)
          <=> v18208(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_36,axiom,(
    ! [VarCurr] :
      ( v18226(VarCurr)
     => ! [B] :
          ( range_15_0(B)
         => ( v18222(VarCurr,B)
          <=> v18205(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_244,axiom,(
    ! [VarCurr] :
      ( v18225(VarCurr)
     => ! [B] :
          ( range_15_0(B)
         => ( v18222(VarCurr,B)
          <=> v18202(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_587,axiom,(
    ! [VarCurr] :
      ( v18224(VarCurr)
     => ! [B] :
          ( range_15_0(B)
         => ( v18222(VarCurr,B)
          <=> v18182(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_589,axiom,(
    ! [VarCurr] :
      ( v18223(VarCurr)
     => ! [B] :
          ( range_15_0(B)
         => ( v18222(VarCurr,B)
          <=> v18178(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1146,axiom,(
    ! [VarCurr] :
      ( v18231(VarCurr)
    <=> ( ( v18168(VarCurr,bitIndex3)
        <=> $true )
        & ( v18168(VarCurr,bitIndex2)
        <=> $false )
        & ( v18168(VarCurr,bitIndex1)
        <=> $false )
        & ( v18168(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1145,axiom,(
    ! [VarCurr] :
      ( v18230(VarCurr)
    <=> ( ( v18168(VarCurr,bitIndex3)
        <=> $false )
        & ( v18168(VarCurr,bitIndex2)
        <=> $true )
        & ( v18168(VarCurr,bitIndex1)
        <=> $true )
        & ( v18168(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1144,axiom,(
    ! [VarCurr] :
      ( v18229(VarCurr)
    <=> ( ( v18168(VarCurr,bitIndex3)
        <=> $false )
        & ( v18168(VarCurr,bitIndex2)
        <=> $true )
        & ( v18168(VarCurr,bitIndex1)
        <=> $true )
        & ( v18168(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1143,axiom,(
    ! [VarCurr] :
      ( v18228(VarCurr)
    <=> ( ( v18168(VarCurr,bitIndex3)
        <=> $false )
        & ( v18168(VarCurr,bitIndex2)
        <=> $true )
        & ( v18168(VarCurr,bitIndex1)
        <=> $false )
        & ( v18168(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1142,axiom,(
    ! [VarCurr] :
      ( v18227(VarCurr)
    <=> ( ( v18168(VarCurr,bitIndex3)
        <=> $false )
        & ( v18168(VarCurr,bitIndex2)
        <=> $true )
        & ( v18168(VarCurr,bitIndex1)
        <=> $false )
        & ( v18168(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1141,axiom,(
    ! [VarCurr] :
      ( v18226(VarCurr)
    <=> ( ( v18168(VarCurr,bitIndex3)
        <=> $false )
        & ( v18168(VarCurr,bitIndex2)
        <=> $false )
        & ( v18168(VarCurr,bitIndex1)
        <=> $true )
        & ( v18168(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1140,axiom,(
    ! [VarCurr] :
      ( v18225(VarCurr)
    <=> ( ( v18168(VarCurr,bitIndex3)
        <=> $false )
        & ( v18168(VarCurr,bitIndex2)
        <=> $false )
        & ( v18168(VarCurr,bitIndex1)
        <=> $true )
        & ( v18168(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1139,axiom,(
    ! [VarCurr] :
      ( v18224(VarCurr)
    <=> ( ( v18168(VarCurr,bitIndex3)
        <=> $false )
        & ( v18168(VarCurr,bitIndex2)
        <=> $false )
        & ( v18168(VarCurr,bitIndex1)
        <=> $false )
        & ( v18168(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1138,axiom,(
    ! [VarCurr] :
      ( v18223(VarCurr)
    <=> ( ( v18168(VarCurr,bitIndex3)
        <=> $false )
        & ( v18168(VarCurr,bitIndex2)
        <=> $false )
        & ( v18168(VarCurr,bitIndex1)
        <=> $false )
        & ( v18168(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_4567,axiom,(
    ! [VarCurr] :
      ( v18220(VarCurr,bitIndex7)
    <=> v18221(VarCurr,bitIndex7) ) )).

fof(addAssignment_4566,axiom,(
    ! [VarCurr,B] :
      ( range_14_0(B)
     => ( v18221(VarCurr,B)
      <=> v18180(VarCurr,B) ) ) )).

fof(range_axiom_66,axiom,(
    ! [B] :
      ( range_14_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B ) ) )).

fof(addAssignment_4565,axiom,(
    ! [VarCurr] :
      ( v18221(VarCurr,bitIndex15)
    <=> $false ) )).

fof(addAssignment_4564,axiom,(
    ! [VarCurr] :
      ( v18217(VarCurr,bitIndex7)
    <=> v18218(VarCurr,bitIndex7) ) )).

fof(addAssignment_4563,axiom,(
    ! [VarCurr,B] :
      ( range_13_0(B)
     => ( v18218(VarCurr,B)
      <=> v18180(VarCurr,B) ) ) )).

fof(range_axiom_65,axiom,(
    ! [B] :
      ( range_13_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B ) ) )).

fof(addAssignment_4562,axiom,(
    ! [VarCurr] :
      ( ( v18218(VarCurr,bitIndex15)
      <=> $false )
      & ( v18218(VarCurr,bitIndex14)
      <=> $false ) ) )).

fof(addAssignment_4561,axiom,(
    ! [VarCurr] :
      ( v18214(VarCurr,bitIndex7)
    <=> v18215(VarCurr,bitIndex7) ) )).

fof(addAssignment_4560,axiom,(
    ! [VarCurr,B] :
      ( range_12_0(B)
     => ( v18215(VarCurr,B)
      <=> v18180(VarCurr,B) ) ) )).

fof(range_axiom_64,axiom,(
    ! [B] :
      ( range_12_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B ) ) )).

fof(addAssignment_4559,axiom,(
    ! [VarCurr] :
      ( ( v18215(VarCurr,bitIndex15)
      <=> $false )
      & ( v18215(VarCurr,bitIndex14)
      <=> $false )
      & ( v18215(VarCurr,bitIndex13)
      <=> $false ) ) )).

fof(addAssignment_4558,axiom,(
    ! [VarCurr] :
      ( v18211(VarCurr,bitIndex7)
    <=> v18212(VarCurr,bitIndex7) ) )).

fof(addAssignment_4557,axiom,(
    ! [VarCurr,B] :
      ( range_11_0(B)
     => ( v18212(VarCurr,B)
      <=> v18180(VarCurr,B) ) ) )).

fof(addAssignment_4556,axiom,(
    ! [VarCurr] :
      ( ( v18212(VarCurr,bitIndex15)
      <=> $false )
      & ( v18212(VarCurr,bitIndex14)
      <=> $false )
      & ( v18212(VarCurr,bitIndex13)
      <=> $false )
      & ( v18212(VarCurr,bitIndex12)
      <=> $false ) ) )).

fof(addAssignment_4555,axiom,(
    ! [VarCurr] :
      ( v18208(VarCurr,bitIndex7)
    <=> v18209(VarCurr,bitIndex7) ) )).

fof(addAssignment_4554,axiom,(
    ! [VarCurr,B] :
      ( range_10_0(B)
     => ( v18209(VarCurr,B)
      <=> v18180(VarCurr,B) ) ) )).

fof(addAssignment_4553,axiom,(
    ! [VarCurr] :
      ( ( v18209(VarCurr,bitIndex15)
      <=> $false )
      & ( v18209(VarCurr,bitIndex14)
      <=> $false )
      & ( v18209(VarCurr,bitIndex13)
      <=> $false )
      & ( v18209(VarCurr,bitIndex12)
      <=> $false )
      & ( v18209(VarCurr,bitIndex11)
      <=> $false ) ) )).

fof(addAssignment_4552,axiom,(
    ! [VarCurr] :
      ( v18205(VarCurr,bitIndex7)
    <=> v18206(VarCurr,bitIndex7) ) )).

fof(addAssignment_4551,axiom,(
    ! [VarCurr,B] :
      ( range_9_0(B)
     => ( v18206(VarCurr,B)
      <=> v18180(VarCurr,B) ) ) )).

fof(addAssignment_4550,axiom,(
    ! [VarCurr] :
      ( ( v18206(VarCurr,bitIndex15)
      <=> $false )
      & ( v18206(VarCurr,bitIndex14)
      <=> $false )
      & ( v18206(VarCurr,bitIndex13)
      <=> $false )
      & ( v18206(VarCurr,bitIndex12)
      <=> $false )
      & ( v18206(VarCurr,bitIndex11)
      <=> $false )
      & ( v18206(VarCurr,bitIndex10)
      <=> $false ) ) )).

fof(addAssignment_4549,axiom,(
    ! [VarCurr] :
      ( v18202(VarCurr,bitIndex7)
    <=> v18203(VarCurr,bitIndex7) ) )).

fof(addAssignment_4548,axiom,(
    ! [VarCurr,B] :
      ( range_8_0(B)
     => ( v18203(VarCurr,B)
      <=> v18180(VarCurr,B) ) ) )).

fof(addAssignment_4547,axiom,(
    ! [VarCurr] :
      ( ( v18203(VarCurr,bitIndex15)
      <=> $false )
      & ( v18203(VarCurr,bitIndex14)
      <=> $false )
      & ( v18203(VarCurr,bitIndex13)
      <=> $false )
      & ( v18203(VarCurr,bitIndex12)
      <=> $false )
      & ( v18203(VarCurr,bitIndex11)
      <=> $false )
      & ( v18203(VarCurr,bitIndex10)
      <=> $false )
      & ( v18203(VarCurr,bitIndex9)
      <=> $false ) ) )).

fof(addAssignment_4546,axiom,(
    ! [VarCurr] :
      ( v18182(VarCurr,bitIndex7)
    <=> v18200(VarCurr,bitIndex7) ) )).

fof(addAssignment_4545,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v18200(VarCurr,B)
      <=> v18180(VarCurr,B) ) ) )).

fof(addAssignment_4544,axiom,(
    ! [VarCurr] :
      ( ( v18200(VarCurr,bitIndex15)
      <=> $false )
      & ( v18200(VarCurr,bitIndex14)
      <=> $false )
      & ( v18200(VarCurr,bitIndex13)
      <=> $false )
      & ( v18200(VarCurr,bitIndex12)
      <=> $false )
      & ( v18200(VarCurr,bitIndex11)
      <=> $false )
      & ( v18200(VarCurr,bitIndex10)
      <=> $false )
      & ( v18200(VarCurr,bitIndex9)
      <=> $false )
      & ( v18200(VarCurr,bitIndex8)
      <=> $false ) ) )).

fof(addAssignment_4543,axiom,(
    ! [VarCurr] :
      ( v18180(VarCurr,bitIndex7)
    <=> v18198(VarCurr,bitIndex7) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_401,axiom,(
    ! [VarCurr] :
      ( ~ v18185(VarCurr)
     => ! [B] :
          ( range_15_0(B)
         => ( v18198(VarCurr,B)
          <=> v18195(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_405,axiom,(
    ! [VarCurr] :
      ( v18185(VarCurr)
     => ! [B] :
          ( range_15_0(B)
         => ( v18198(VarCurr,B)
          <=> v18199(VarCurr,B) ) ) ) )).

fof(addAssignment_4542,axiom,(
    ! [VarCurr] :
      ( ( v18199(VarCurr,bitIndex12)
      <=> v18195(VarCurr,bitIndex15) )
      & ( v18199(VarCurr,bitIndex11)
      <=> v18195(VarCurr,bitIndex14) )
      & ( v18199(VarCurr,bitIndex10)
      <=> v18195(VarCurr,bitIndex13) )
      & ( v18199(VarCurr,bitIndex9)
      <=> v18195(VarCurr,bitIndex12) )
      & ( v18199(VarCurr,bitIndex8)
      <=> v18195(VarCurr,bitIndex11) )
      & ( v18199(VarCurr,bitIndex7)
      <=> v18195(VarCurr,bitIndex10) )
      & ( v18199(VarCurr,bitIndex6)
      <=> v18195(VarCurr,bitIndex9) )
      & ( v18199(VarCurr,bitIndex5)
      <=> v18195(VarCurr,bitIndex8) )
      & ( v18199(VarCurr,bitIndex4)
      <=> v18195(VarCurr,bitIndex7) )
      & ( v18199(VarCurr,bitIndex3)
      <=> v18195(VarCurr,bitIndex6) )
      & ( v18199(VarCurr,bitIndex2)
      <=> v18195(VarCurr,bitIndex5) )
      & ( v18199(VarCurr,bitIndex1)
      <=> v18195(VarCurr,bitIndex4) )
      & ( v18199(VarCurr,bitIndex0)
      <=> v18195(VarCurr,bitIndex3) ) ) )).

fof(addAssignment_4541,axiom,(
    ! [VarCurr] :
      ( ( v18199(VarCurr,bitIndex15)
      <=> $false )
      & ( v18199(VarCurr,bitIndex14)
      <=> $false )
      & ( v18199(VarCurr,bitIndex13)
      <=> $false ) ) )).

fof(addAssignment_4540,axiom,(
    ! [VarCurr] :
      ( v18195(VarCurr,bitIndex7)
    <=> v18197(VarCurr,bitIndex21) ) )).

fof(addAssignment_4539,axiom,(
    ! [VarCurr] :
      ( v18195(VarCurr,bitIndex10)
    <=> v18197(VarCurr,bitIndex24) ) )).

fof(addAssignment_4538,axiom,(
    ! [VarCurr] :
      ( v18185(VarCurr)
    <=> v18187(VarCurr) ) )).

fof(addAssignment_4537,axiom,(
    ! [VarCurr] :
      ( v18187(VarCurr)
    <=> v18189(VarCurr) ) )).

fof(addAssignment_4536,axiom,(
    ! [VarCurr] :
      ( v18189(VarCurr)
    <=> v18191(VarCurr) ) )).

fof(addAssignment_4535,axiom,(
    ! [VarCurr] :
      ( v18191(VarCurr)
    <=> v18193(VarCurr) ) )).

fof(addAssignment_4534,axiom,(
    ! [VarCurr] :
      ( v18193(VarCurr)
    <=> v14571(VarCurr) ) )).

fof(addAssignment_4533,axiom,(
    ! [VarCurr] :
      ( v18178(VarCurr,bitIndex7)
    <=> v18179(VarCurr,bitIndex7) ) )).

fof(addAssignment_4532,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v18179(VarCurr,B)
      <=> v18180(VarCurr,B) ) ) )).

fof(addAssignment_4531,axiom,(
    ! [VarCurr] :
      ( ( v18179(VarCurr,bitIndex15)
      <=> $false )
      & ( v18179(VarCurr,bitIndex14)
      <=> $false )
      & ( v18179(VarCurr,bitIndex13)
      <=> $false )
      & ( v18179(VarCurr,bitIndex12)
      <=> $false )
      & ( v18179(VarCurr,bitIndex11)
      <=> $false )
      & ( v18179(VarCurr,bitIndex10)
      <=> $false )
      & ( v18179(VarCurr,bitIndex9)
      <=> $false )
      & ( v18179(VarCurr,bitIndex8)
      <=> $false )
      & ( v18179(VarCurr,bitIndex7)
      <=> $false ) ) )).

fof(addAssignment_4530,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v18168(VarCurr,B)
      <=> v18170(VarCurr,B) ) ) )).

fof(addAssignment_4529,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v18170(VarCurr,B)
      <=> v18172(VarCurr,B) ) ) )).

fof(addAssignment_4528,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v18172(VarCurr,B)
      <=> v18174(VarCurr,B) ) ) )).

fof(addAssignment_4527,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v18174(VarCurr,B)
      <=> v18176(VarCurr,B) ) ) )).

fof(addAssignment_4526,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v18176(VarCurr,B)
      <=> v14689(VarCurr,B) ) ) )).

fof(addAssignment_4525,axiom,(
    ! [VarCurr] :
      ( v18082(VarCurr,bitIndex32)
    <=> v18109(VarCurr,bitIndex32) ) )).

fof(addAssignment_4524,axiom,(
    ! [VarCurr] :
      ( v18082(VarCurr,bitIndex31)
    <=> v18109(VarCurr,bitIndex31) ) )).

fof(addAssignment_4523,axiom,(
    ! [VarCurr] :
      ( v18082(VarCurr,bitIndex30)
    <=> v18109(VarCurr,bitIndex30) ) )).

fof(addAssignment_4522,axiom,(
    ! [VarCurr] :
      ( v18082(VarCurr,bitIndex29)
    <=> v18109(VarCurr,bitIndex29) ) )).

fof(addAssignment_4521,axiom,(
    ! [VarCurr] :
      ( v18082(VarCurr,bitIndex28)
    <=> v18109(VarCurr,bitIndex28) ) )).

fof(addAssignment_4520,axiom,(
    ! [VarCurr] :
      ( v18082(VarCurr,bitIndex27)
    <=> v18109(VarCurr,bitIndex27) ) )).

fof(addAssignment_4519,axiom,(
    ! [VarCurr] :
      ( v18082(VarCurr,bitIndex26)
    <=> v18109(VarCurr,bitIndex26) ) )).

fof(addAssignment_4518,axiom,(
    ! [VarCurr] :
      ( v18082(VarCurr,bitIndex25)
    <=> v18109(VarCurr,bitIndex25) ) )).

fof(addAssignment_4517,axiom,(
    ! [VarCurr] :
      ( v18088(VarCurr,bitIndex25)
    <=> v18090(VarCurr,bitIndex25) ) )).

fof(addAssignment_4516,axiom,(
    ! [VarCurr] :
      ( v18090(VarCurr,bitIndex25)
    <=> v18092(VarCurr,bitIndex25) ) )).

fof(addAssignment_4515,axiom,(
    ! [VarCurr] :
      ( v18092(VarCurr,bitIndex25)
    <=> v18094(VarCurr,bitIndex25) ) )).

fof(addAssignment_4514,axiom,(
    ! [VarCurr] :
      ( v18094(VarCurr,bitIndex25)
    <=> v18096(VarCurr,bitIndex25) ) )).

fof(addAssignment_4513,axiom,(
    ! [VarCurr] :
      ( v18096(VarCurr,bitIndex25)
    <=> v18098(VarCurr,bitIndex25) ) )).

fof(addAssignment_4512,axiom,(
    ! [VarCurr] :
      ( v18098(VarCurr,bitIndex25)
    <=> v18100(VarCurr,bitIndex25) ) )).

fof(addAssignment_4511,axiom,(
    ! [VarCurr] :
      ( v18100(VarCurr,bitIndex25)
    <=> v18102(VarCurr,bitIndex25) ) )).

fof(addAssignment_4510,axiom,(
    ! [VarCurr] :
      ( v18102(VarCurr,bitIndex25)
    <=> v18104(VarCurr,bitIndex25) ) )).

fof(addAssignment_4509,axiom,(
    ! [VarCurr] :
      ( v18104(VarCurr,bitIndex25)
    <=> v18106(VarCurr,bitIndex25) ) )).

fof(addAssignment_4508,axiom,(
    ! [VarCurr] :
      ( v18106(VarCurr,bitIndex25)
    <=> v14581(VarCurr,bitIndex38) ) )).

fof(addAssignment_4507,axiom,(
    ! [VarCurr] :
      ( v14581(VarCurr,bitIndex38)
    <=> v14583(VarCurr,bitIndex38) ) )).

fof(addAssignment_4506,axiom,(
    ! [VarCurr] :
      ( v14583(VarCurr,bitIndex38)
    <=> v18162(VarCurr) ) )).

fof(addAssignment_4505,axiom,(
    ! [VarCurr] :
      ( v18082(VarCurr,bitIndex24)
    <=> v18109(VarCurr,bitIndex24) ) )).

fof(addAssignment_4504,axiom,(
    ! [VarCurr] :
      ( v18088(VarCurr,bitIndex24)
    <=> v18090(VarCurr,bitIndex24) ) )).

fof(addAssignment_4503,axiom,(
    ! [VarCurr] :
      ( v18090(VarCurr,bitIndex24)
    <=> v18092(VarCurr,bitIndex24) ) )).

fof(addAssignment_4502,axiom,(
    ! [VarCurr] :
      ( v18092(VarCurr,bitIndex24)
    <=> v18094(VarCurr,bitIndex24) ) )).

fof(addAssignment_4501,axiom,(
    ! [VarCurr] :
      ( v18094(VarCurr,bitIndex24)
    <=> v18096(VarCurr,bitIndex24) ) )).

fof(addAssignment_4500,axiom,(
    ! [VarCurr] :
      ( v18096(VarCurr,bitIndex24)
    <=> v18098(VarCurr,bitIndex24) ) )).

fof(addAssignment_4499,axiom,(
    ! [VarCurr] :
      ( v18098(VarCurr,bitIndex24)
    <=> v18100(VarCurr,bitIndex24) ) )).

fof(addAssignment_4498,axiom,(
    ! [VarCurr] :
      ( v18100(VarCurr,bitIndex24)
    <=> v18102(VarCurr,bitIndex24) ) )).

fof(addAssignment_4497,axiom,(
    ! [VarCurr] :
      ( v18102(VarCurr,bitIndex24)
    <=> v18104(VarCurr,bitIndex24) ) )).

fof(addAssignment_4496,axiom,(
    ! [VarCurr] :
      ( v18104(VarCurr,bitIndex24)
    <=> v18106(VarCurr,bitIndex24) ) )).

fof(addAssignment_4495,axiom,(
    ! [VarCurr] :
      ( v18106(VarCurr,bitIndex24)
    <=> v14581(VarCurr,bitIndex37) ) )).

fof(addAssignment_4494,axiom,(
    ! [VarCurr] :
      ( v14581(VarCurr,bitIndex37)
    <=> v14583(VarCurr,bitIndex37) ) )).

fof(addAssignment_4493,axiom,(
    ! [VarCurr] :
      ( v14583(VarCurr,bitIndex37)
    <=> v18160(VarCurr) ) )).

fof(addAssignment_4492,axiom,(
    ! [VarCurr] :
      ( v18084(VarCurr,bitIndex27)
    <=> v18086(VarCurr,bitIndex27) ) )).

fof(addAssignment_4491,axiom,(
    ! [VarCurr] :
      ( v18082(VarCurr,bitIndex23)
    <=> v18109(VarCurr,bitIndex23) ) )).

fof(addAssignment_4490,axiom,(
    ! [VarCurr] :
      ( v18088(VarCurr,bitIndex23)
    <=> v18090(VarCurr,bitIndex23) ) )).

fof(addAssignment_4489,axiom,(
    ! [VarCurr] :
      ( v18090(VarCurr,bitIndex23)
    <=> v18092(VarCurr,bitIndex23) ) )).

fof(addAssignment_4488,axiom,(
    ! [VarCurr] :
      ( v18092(VarCurr,bitIndex23)
    <=> v18094(VarCurr,bitIndex23) ) )).

fof(addAssignment_4487,axiom,(
    ! [VarCurr] :
      ( v18094(VarCurr,bitIndex23)
    <=> v18096(VarCurr,bitIndex23) ) )).

fof(addAssignment_4486,axiom,(
    ! [VarCurr] :
      ( v18096(VarCurr,bitIndex23)
    <=> v18098(VarCurr,bitIndex23) ) )).

fof(addAssignment_4485,axiom,(
    ! [VarCurr] :
      ( v18098(VarCurr,bitIndex23)
    <=> v18100(VarCurr,bitIndex23) ) )).

fof(addAssignment_4484,axiom,(
    ! [VarCurr] :
      ( v18100(VarCurr,bitIndex23)
    <=> v18102(VarCurr,bitIndex23) ) )).

fof(addAssignment_4483,axiom,(
    ! [VarCurr] :
      ( v18102(VarCurr,bitIndex23)
    <=> v18104(VarCurr,bitIndex23) ) )).

fof(addAssignment_4482,axiom,(
    ! [VarCurr] :
      ( v18104(VarCurr,bitIndex23)
    <=> v18106(VarCurr,bitIndex23) ) )).

fof(addAssignment_4481,axiom,(
    ! [VarCurr] :
      ( v18106(VarCurr,bitIndex23)
    <=> v14581(VarCurr,bitIndex36) ) )).

fof(addAssignment_4480,axiom,(
    ! [VarCurr] :
      ( v14581(VarCurr,bitIndex36)
    <=> v14583(VarCurr,bitIndex36) ) )).

fof(addAssignment_4479,axiom,(
    ! [VarCurr] :
      ( v14583(VarCurr,bitIndex36)
    <=> v18158(VarCurr) ) )).

fof(addAssignment_4478,axiom,(
    ! [VarCurr] :
      ( v18084(VarCurr,bitIndex26)
    <=> v18086(VarCurr,bitIndex26) ) )).

fof(addAssignment_4477,axiom,(
    ! [VarCurr] :
      ( v18082(VarCurr,bitIndex22)
    <=> v18109(VarCurr,bitIndex22) ) )).

fof(addAssignment_4476,axiom,(
    ! [VarCurr] :
      ( v18088(VarCurr,bitIndex22)
    <=> v18090(VarCurr,bitIndex22) ) )).

fof(addAssignment_4475,axiom,(
    ! [VarCurr] :
      ( v18090(VarCurr,bitIndex22)
    <=> v18092(VarCurr,bitIndex22) ) )).

fof(addAssignment_4474,axiom,(
    ! [VarCurr] :
      ( v18092(VarCurr,bitIndex22)
    <=> v18094(VarCurr,bitIndex22) ) )).

fof(addAssignment_4473,axiom,(
    ! [VarCurr] :
      ( v18094(VarCurr,bitIndex22)
    <=> v18096(VarCurr,bitIndex22) ) )).

fof(addAssignment_4472,axiom,(
    ! [VarCurr] :
      ( v18096(VarCurr,bitIndex22)
    <=> v18098(VarCurr,bitIndex22) ) )).

fof(addAssignment_4471,axiom,(
    ! [VarCurr] :
      ( v18098(VarCurr,bitIndex22)
    <=> v18100(VarCurr,bitIndex22) ) )).

fof(addAssignment_4470,axiom,(
    ! [VarCurr] :
      ( v18100(VarCurr,bitIndex22)
    <=> v18102(VarCurr,bitIndex22) ) )).

fof(addAssignment_4469,axiom,(
    ! [VarCurr] :
      ( v18102(VarCurr,bitIndex22)
    <=> v18104(VarCurr,bitIndex22) ) )).

fof(addAssignment_4468,axiom,(
    ! [VarCurr] :
      ( v18104(VarCurr,bitIndex22)
    <=> v18106(VarCurr,bitIndex22) ) )).

fof(addAssignment_4467,axiom,(
    ! [VarCurr] :
      ( v18106(VarCurr,bitIndex22)
    <=> v14581(VarCurr,bitIndex35) ) )).

fof(addAssignment_4466,axiom,(
    ! [VarCurr] :
      ( v14581(VarCurr,bitIndex35)
    <=> v14583(VarCurr,bitIndex35) ) )).

fof(addAssignment_4465,axiom,(
    ! [VarCurr] :
      ( v14583(VarCurr,bitIndex35)
    <=> v18156(VarCurr) ) )).

fof(addAssignment_4464,axiom,(
    ! [VarCurr] :
      ( v18084(VarCurr,bitIndex25)
    <=> v18086(VarCurr,bitIndex25) ) )).

fof(addAssignment_4463,axiom,(
    ! [VarCurr] :
      ( v18082(VarCurr,bitIndex21)
    <=> v18109(VarCurr,bitIndex21) ) )).

fof(addAssignment_4462,axiom,(
    ! [VarCurr] :
      ( v18088(VarCurr,bitIndex21)
    <=> v18090(VarCurr,bitIndex21) ) )).

fof(addAssignment_4461,axiom,(
    ! [VarCurr] :
      ( v18090(VarCurr,bitIndex21)
    <=> v18092(VarCurr,bitIndex21) ) )).

fof(addAssignment_4460,axiom,(
    ! [VarCurr] :
      ( v18092(VarCurr,bitIndex21)
    <=> v18094(VarCurr,bitIndex21) ) )).

fof(addAssignment_4459,axiom,(
    ! [VarCurr] :
      ( v18094(VarCurr,bitIndex21)
    <=> v18096(VarCurr,bitIndex21) ) )).

fof(addAssignment_4458,axiom,(
    ! [VarCurr] :
      ( v18096(VarCurr,bitIndex21)
    <=> v18098(VarCurr,bitIndex21) ) )).

fof(addAssignment_4457,axiom,(
    ! [VarCurr] :
      ( v18098(VarCurr,bitIndex21)
    <=> v18100(VarCurr,bitIndex21) ) )).

fof(addAssignment_4456,axiom,(
    ! [VarCurr] :
      ( v18100(VarCurr,bitIndex21)
    <=> v18102(VarCurr,bitIndex21) ) )).

fof(addAssignment_4455,axiom,(
    ! [VarCurr] :
      ( v18102(VarCurr,bitIndex21)
    <=> v18104(VarCurr,bitIndex21) ) )).

fof(addAssignment_4454,axiom,(
    ! [VarCurr] :
      ( v18104(VarCurr,bitIndex21)
    <=> v18106(VarCurr,bitIndex21) ) )).

fof(addAssignment_4453,axiom,(
    ! [VarCurr] :
      ( v18106(VarCurr,bitIndex21)
    <=> v14581(VarCurr,bitIndex34) ) )).

fof(addAssignment_4452,axiom,(
    ! [VarCurr] :
      ( v14581(VarCurr,bitIndex34)
    <=> v14583(VarCurr,bitIndex34) ) )).

fof(addAssignment_4451,axiom,(
    ! [VarCurr] :
      ( v14583(VarCurr,bitIndex34)
    <=> v18154(VarCurr) ) )).

fof(addAssignment_4450,axiom,(
    ! [VarCurr] :
      ( v18084(VarCurr,bitIndex24)
    <=> v18086(VarCurr,bitIndex24) ) )).

fof(addAssignment_4449,axiom,(
    ! [VarCurr] :
      ( v18082(VarCurr,bitIndex20)
    <=> v18109(VarCurr,bitIndex20) ) )).

fof(addAssignment_4448,axiom,(
    ! [VarCurr] :
      ( v18088(VarCurr,bitIndex20)
    <=> v18090(VarCurr,bitIndex20) ) )).

fof(addAssignment_4447,axiom,(
    ! [VarCurr] :
      ( v18090(VarCurr,bitIndex20)
    <=> v18092(VarCurr,bitIndex20) ) )).

fof(addAssignment_4446,axiom,(
    ! [VarCurr] :
      ( v18092(VarCurr,bitIndex20)
    <=> v18094(VarCurr,bitIndex20) ) )).

fof(addAssignment_4445,axiom,(
    ! [VarCurr] :
      ( v18094(VarCurr,bitIndex20)
    <=> v18096(VarCurr,bitIndex20) ) )).

fof(addAssignment_4444,axiom,(
    ! [VarCurr] :
      ( v18096(VarCurr,bitIndex20)
    <=> v18098(VarCurr,bitIndex20) ) )).

fof(addAssignment_4443,axiom,(
    ! [VarCurr] :
      ( v18098(VarCurr,bitIndex20)
    <=> v18100(VarCurr,bitIndex20) ) )).

fof(addAssignment_4442,axiom,(
    ! [VarCurr] :
      ( v18100(VarCurr,bitIndex20)
    <=> v18102(VarCurr,bitIndex20) ) )).

fof(addAssignment_4441,axiom,(
    ! [VarCurr] :
      ( v18102(VarCurr,bitIndex20)
    <=> v18104(VarCurr,bitIndex20) ) )).

fof(addAssignment_4440,axiom,(
    ! [VarCurr] :
      ( v18104(VarCurr,bitIndex20)
    <=> v18106(VarCurr,bitIndex20) ) )).

fof(addAssignment_4439,axiom,(
    ! [VarCurr] :
      ( v18106(VarCurr,bitIndex20)
    <=> v14581(VarCurr,bitIndex33) ) )).

fof(addAssignment_4438,axiom,(
    ! [VarCurr] :
      ( v14581(VarCurr,bitIndex33)
    <=> v14583(VarCurr,bitIndex33) ) )).

fof(addAssignment_4437,axiom,(
    ! [VarCurr] :
      ( v14583(VarCurr,bitIndex33)
    <=> v18152(VarCurr) ) )).

fof(addAssignment_4436,axiom,(
    ! [VarCurr] :
      ( v18084(VarCurr,bitIndex23)
    <=> v18086(VarCurr,bitIndex23) ) )).

fof(addAssignment_4435,axiom,(
    ! [VarCurr] :
      ( v18082(VarCurr,bitIndex19)
    <=> v18109(VarCurr,bitIndex19) ) )).

fof(addAssignment_4434,axiom,(
    ! [VarCurr] :
      ( v18088(VarCurr,bitIndex19)
    <=> v18090(VarCurr,bitIndex19) ) )).

fof(addAssignment_4433,axiom,(
    ! [VarCurr] :
      ( v18090(VarCurr,bitIndex19)
    <=> v18092(VarCurr,bitIndex19) ) )).

fof(addAssignment_4432,axiom,(
    ! [VarCurr] :
      ( v18092(VarCurr,bitIndex19)
    <=> v18094(VarCurr,bitIndex19) ) )).

fof(addAssignment_4431,axiom,(
    ! [VarCurr] :
      ( v18094(VarCurr,bitIndex19)
    <=> v18096(VarCurr,bitIndex19) ) )).

fof(addAssignment_4430,axiom,(
    ! [VarCurr] :
      ( v18096(VarCurr,bitIndex19)
    <=> v18098(VarCurr,bitIndex19) ) )).

fof(addAssignment_4429,axiom,(
    ! [VarCurr] :
      ( v18098(VarCurr,bitIndex19)
    <=> v18100(VarCurr,bitIndex19) ) )).

fof(addAssignment_4428,axiom,(
    ! [VarCurr] :
      ( v18100(VarCurr,bitIndex19)
    <=> v18102(VarCurr,bitIndex19) ) )).

fof(addAssignment_4427,axiom,(
    ! [VarCurr] :
      ( v18102(VarCurr,bitIndex19)
    <=> v18104(VarCurr,bitIndex19) ) )).

fof(addAssignment_4426,axiom,(
    ! [VarCurr] :
      ( v18104(VarCurr,bitIndex19)
    <=> v18106(VarCurr,bitIndex19) ) )).

fof(addAssignment_4425,axiom,(
    ! [VarCurr] :
      ( v18106(VarCurr,bitIndex19)
    <=> v14581(VarCurr,bitIndex32) ) )).

fof(addAssignment_4424,axiom,(
    ! [VarCurr] :
      ( v14581(VarCurr,bitIndex32)
    <=> v14583(VarCurr,bitIndex32) ) )).

fof(addAssignment_4423,axiom,(
    ! [VarCurr] :
      ( v14583(VarCurr,bitIndex32)
    <=> v18150(VarCurr) ) )).

fof(addAssignment_4422,axiom,(
    ! [VarCurr] :
      ( v18084(VarCurr,bitIndex22)
    <=> v18086(VarCurr,bitIndex22) ) )).

fof(addAssignment_4421,axiom,(
    ! [VarCurr] :
      ( v18082(VarCurr,bitIndex18)
    <=> v18109(VarCurr,bitIndex18) ) )).

fof(addAssignment_4420,axiom,(
    ! [VarCurr] :
      ( v18088(VarCurr,bitIndex18)
    <=> v18090(VarCurr,bitIndex18) ) )).

fof(addAssignment_4419,axiom,(
    ! [VarCurr] :
      ( v18090(VarCurr,bitIndex18)
    <=> v18092(VarCurr,bitIndex18) ) )).

fof(addAssignment_4418,axiom,(
    ! [VarCurr] :
      ( v18092(VarCurr,bitIndex18)
    <=> v18094(VarCurr,bitIndex18) ) )).

fof(addAssignment_4417,axiom,(
    ! [VarCurr] :
      ( v18094(VarCurr,bitIndex18)
    <=> v18096(VarCurr,bitIndex18) ) )).

fof(addAssignment_4416,axiom,(
    ! [VarCurr] :
      ( v18096(VarCurr,bitIndex18)
    <=> v18098(VarCurr,bitIndex18) ) )).

fof(addAssignment_4415,axiom,(
    ! [VarCurr] :
      ( v18098(VarCurr,bitIndex18)
    <=> v18100(VarCurr,bitIndex18) ) )).

fof(addAssignment_4414,axiom,(
    ! [VarCurr] :
      ( v18100(VarCurr,bitIndex18)
    <=> v18102(VarCurr,bitIndex18) ) )).

fof(addAssignment_4413,axiom,(
    ! [VarCurr] :
      ( v18102(VarCurr,bitIndex18)
    <=> v18104(VarCurr,bitIndex18) ) )).

fof(addAssignment_4412,axiom,(
    ! [VarCurr] :
      ( v18104(VarCurr,bitIndex18)
    <=> v18106(VarCurr,bitIndex18) ) )).

fof(addAssignment_4411,axiom,(
    ! [VarCurr] :
      ( v18106(VarCurr,bitIndex18)
    <=> v14581(VarCurr,bitIndex31) ) )).

fof(addAssignment_4410,axiom,(
    ! [VarCurr] :
      ( v14581(VarCurr,bitIndex31)
    <=> v14583(VarCurr,bitIndex31) ) )).

fof(addAssignment_4409,axiom,(
    ! [VarCurr] :
      ( v14583(VarCurr,bitIndex31)
    <=> v18148(VarCurr) ) )).

fof(addAssignment_4408,axiom,(
    ! [VarCurr] :
      ( v18084(VarCurr,bitIndex21)
    <=> v18086(VarCurr,bitIndex21) ) )).

fof(addAssignment_4407,axiom,(
    ! [VarCurr] :
      ( v18082(VarCurr,bitIndex17)
    <=> v18109(VarCurr,bitIndex17) ) )).

fof(addAssignment_4406,axiom,(
    ! [VarCurr] :
      ( v18088(VarCurr,bitIndex17)
    <=> v18090(VarCurr,bitIndex17) ) )).

fof(addAssignment_4405,axiom,(
    ! [VarCurr] :
      ( v18090(VarCurr,bitIndex17)
    <=> v18092(VarCurr,bitIndex17) ) )).

fof(addAssignment_4404,axiom,(
    ! [VarCurr] :
      ( v18092(VarCurr,bitIndex17)
    <=> v18094(VarCurr,bitIndex17) ) )).

fof(addAssignment_4403,axiom,(
    ! [VarCurr] :
      ( v18094(VarCurr,bitIndex17)
    <=> v18096(VarCurr,bitIndex17) ) )).

fof(addAssignment_4402,axiom,(
    ! [VarCurr] :
      ( v18096(VarCurr,bitIndex17)
    <=> v18098(VarCurr,bitIndex17) ) )).

fof(addAssignment_4401,axiom,(
    ! [VarCurr] :
      ( v18098(VarCurr,bitIndex17)
    <=> v18100(VarCurr,bitIndex17) ) )).

fof(addAssignment_4400,axiom,(
    ! [VarCurr] :
      ( v18100(VarCurr,bitIndex17)
    <=> v18102(VarCurr,bitIndex17) ) )).

fof(addAssignment_4399,axiom,(
    ! [VarCurr] :
      ( v18102(VarCurr,bitIndex17)
    <=> v18104(VarCurr,bitIndex17) ) )).

fof(addAssignment_4398,axiom,(
    ! [VarCurr] :
      ( v18104(VarCurr,bitIndex17)
    <=> v18106(VarCurr,bitIndex17) ) )).

fof(addAssignment_4397,axiom,(
    ! [VarCurr] :
      ( v18106(VarCurr,bitIndex17)
    <=> v14581(VarCurr,bitIndex30) ) )).

fof(addAssignment_4396,axiom,(
    ! [VarCurr] :
      ( v14581(VarCurr,bitIndex30)
    <=> v14583(VarCurr,bitIndex30) ) )).

fof(addAssignment_4395,axiom,(
    ! [VarCurr] :
      ( v14583(VarCurr,bitIndex30)
    <=> v18146(VarCurr) ) )).

fof(addAssignment_4394,axiom,(
    ! [VarCurr] :
      ( v18084(VarCurr,bitIndex20)
    <=> v18086(VarCurr,bitIndex20) ) )).

fof(addAssignment_4393,axiom,(
    ! [VarCurr] :
      ( v18082(VarCurr,bitIndex16)
    <=> v18109(VarCurr,bitIndex16) ) )).

fof(addAssignment_4392,axiom,(
    ! [VarCurr] :
      ( v18088(VarCurr,bitIndex16)
    <=> v18090(VarCurr,bitIndex16) ) )).

fof(addAssignment_4391,axiom,(
    ! [VarCurr] :
      ( v18090(VarCurr,bitIndex16)
    <=> v18092(VarCurr,bitIndex16) ) )).

fof(addAssignment_4390,axiom,(
    ! [VarCurr] :
      ( v18092(VarCurr,bitIndex16)
    <=> v18094(VarCurr,bitIndex16) ) )).

fof(addAssignment_4389,axiom,(
    ! [VarCurr] :
      ( v18094(VarCurr,bitIndex16)
    <=> v18096(VarCurr,bitIndex16) ) )).

fof(addAssignment_4388,axiom,(
    ! [VarCurr] :
      ( v18096(VarCurr,bitIndex16)
    <=> v18098(VarCurr,bitIndex16) ) )).

fof(addAssignment_4387,axiom,(
    ! [VarCurr] :
      ( v18098(VarCurr,bitIndex16)
    <=> v18100(VarCurr,bitIndex16) ) )).

fof(addAssignment_4386,axiom,(
    ! [VarCurr] :
      ( v18100(VarCurr,bitIndex16)
    <=> v18102(VarCurr,bitIndex16) ) )).

fof(addAssignment_4385,axiom,(
    ! [VarCurr] :
      ( v18102(VarCurr,bitIndex16)
    <=> v18104(VarCurr,bitIndex16) ) )).

fof(addAssignment_4384,axiom,(
    ! [VarCurr] :
      ( v18104(VarCurr,bitIndex16)
    <=> v18106(VarCurr,bitIndex16) ) )).

fof(addAssignment_4383,axiom,(
    ! [VarCurr] :
      ( v18106(VarCurr,bitIndex16)
    <=> v14581(VarCurr,bitIndex29) ) )).

fof(addAssignment_4382,axiom,(
    ! [VarCurr] :
      ( v14581(VarCurr,bitIndex29)
    <=> v14583(VarCurr,bitIndex29) ) )).

fof(addAssignment_4381,axiom,(
    ! [VarCurr] :
      ( v14583(VarCurr,bitIndex29)
    <=> v18144(VarCurr) ) )).

fof(addAssignment_4380,axiom,(
    ! [VarCurr] :
      ( v18084(VarCurr,bitIndex19)
    <=> v18086(VarCurr,bitIndex19) ) )).

fof(addAssignment_4379,axiom,(
    ! [VarCurr] :
      ( v18082(VarCurr,bitIndex15)
    <=> v18109(VarCurr,bitIndex15) ) )).

fof(addAssignment_4378,axiom,(
    ! [VarCurr] :
      ( v18088(VarCurr,bitIndex15)
    <=> v18090(VarCurr,bitIndex15) ) )).

fof(addAssignment_4377,axiom,(
    ! [VarCurr] :
      ( v18090(VarCurr,bitIndex15)
    <=> v18092(VarCurr,bitIndex15) ) )).

fof(addAssignment_4376,axiom,(
    ! [VarCurr] :
      ( v18092(VarCurr,bitIndex15)
    <=> v18094(VarCurr,bitIndex15) ) )).

fof(addAssignment_4375,axiom,(
    ! [VarCurr] :
      ( v18094(VarCurr,bitIndex15)
    <=> v18096(VarCurr,bitIndex15) ) )).

fof(addAssignment_4374,axiom,(
    ! [VarCurr] :
      ( v18096(VarCurr,bitIndex15)
    <=> v18098(VarCurr,bitIndex15) ) )).

fof(addAssignment_4373,axiom,(
    ! [VarCurr] :
      ( v18098(VarCurr,bitIndex15)
    <=> v18100(VarCurr,bitIndex15) ) )).

fof(addAssignment_4372,axiom,(
    ! [VarCurr] :
      ( v18100(VarCurr,bitIndex15)
    <=> v18102(VarCurr,bitIndex15) ) )).

fof(addAssignment_4371,axiom,(
    ! [VarCurr] :
      ( v18102(VarCurr,bitIndex15)
    <=> v18104(VarCurr,bitIndex15) ) )).

fof(addAssignment_4370,axiom,(
    ! [VarCurr] :
      ( v18104(VarCurr,bitIndex15)
    <=> v18106(VarCurr,bitIndex15) ) )).

fof(addAssignment_4369,axiom,(
    ! [VarCurr] :
      ( v18106(VarCurr,bitIndex15)
    <=> v14581(VarCurr,bitIndex28) ) )).

fof(addAssignment_4368,axiom,(
    ! [VarCurr] :
      ( v14581(VarCurr,bitIndex28)
    <=> v14583(VarCurr,bitIndex28) ) )).

fof(addAssignment_4367,axiom,(
    ! [VarCurr] :
      ( v14583(VarCurr,bitIndex28)
    <=> v18142(VarCurr) ) )).

fof(addAssignment_4366,axiom,(
    ! [VarCurr] :
      ( v18084(VarCurr,bitIndex18)
    <=> v18086(VarCurr,bitIndex18) ) )).

fof(addAssignment_4365,axiom,(
    ! [VarCurr] :
      ( v18082(VarCurr,bitIndex14)
    <=> v18109(VarCurr,bitIndex14) ) )).

fof(addAssignment_4364,axiom,(
    ! [VarCurr] :
      ( v18088(VarCurr,bitIndex14)
    <=> v18090(VarCurr,bitIndex14) ) )).

fof(addAssignment_4363,axiom,(
    ! [VarCurr] :
      ( v18090(VarCurr,bitIndex14)
    <=> v18092(VarCurr,bitIndex14) ) )).

fof(addAssignment_4362,axiom,(
    ! [VarCurr] :
      ( v18092(VarCurr,bitIndex14)
    <=> v18094(VarCurr,bitIndex14) ) )).

fof(addAssignment_4361,axiom,(
    ! [VarCurr] :
      ( v18094(VarCurr,bitIndex14)
    <=> v18096(VarCurr,bitIndex14) ) )).

fof(addAssignment_4360,axiom,(
    ! [VarCurr] :
      ( v18096(VarCurr,bitIndex14)
    <=> v18098(VarCurr,bitIndex14) ) )).

fof(addAssignment_4359,axiom,(
    ! [VarCurr] :
      ( v18098(VarCurr,bitIndex14)
    <=> v18100(VarCurr,bitIndex14) ) )).

fof(addAssignment_4358,axiom,(
    ! [VarCurr] :
      ( v18100(VarCurr,bitIndex14)
    <=> v18102(VarCurr,bitIndex14) ) )).

fof(addAssignment_4357,axiom,(
    ! [VarCurr] :
      ( v18102(VarCurr,bitIndex14)
    <=> v18104(VarCurr,bitIndex14) ) )).

fof(addAssignment_4356,axiom,(
    ! [VarCurr] :
      ( v18104(VarCurr,bitIndex14)
    <=> v18106(VarCurr,bitIndex14) ) )).

fof(addAssignment_4355,axiom,(
    ! [VarCurr] :
      ( v18106(VarCurr,bitIndex14)
    <=> v14581(VarCurr,bitIndex27) ) )).

fof(addAssignment_4354,axiom,(
    ! [VarCurr] :
      ( v14581(VarCurr,bitIndex27)
    <=> v14583(VarCurr,bitIndex27) ) )).

fof(addAssignment_4353,axiom,(
    ! [VarCurr] :
      ( v14583(VarCurr,bitIndex27)
    <=> v18140(VarCurr) ) )).

fof(addAssignment_4352,axiom,(
    ! [VarCurr] :
      ( v18084(VarCurr,bitIndex17)
    <=> v18086(VarCurr,bitIndex17) ) )).

fof(addAssignment_4351,axiom,(
    ! [VarCurr] :
      ( v18082(VarCurr,bitIndex13)
    <=> v18109(VarCurr,bitIndex13) ) )).

fof(addAssignment_4350,axiom,(
    ! [VarCurr] :
      ( v18088(VarCurr,bitIndex13)
    <=> v18090(VarCurr,bitIndex13) ) )).

fof(addAssignment_4349,axiom,(
    ! [VarCurr] :
      ( v18090(VarCurr,bitIndex13)
    <=> v18092(VarCurr,bitIndex13) ) )).

fof(addAssignment_4348,axiom,(
    ! [VarCurr] :
      ( v18092(VarCurr,bitIndex13)
    <=> v18094(VarCurr,bitIndex13) ) )).

fof(addAssignment_4347,axiom,(
    ! [VarCurr] :
      ( v18094(VarCurr,bitIndex13)
    <=> v18096(VarCurr,bitIndex13) ) )).

fof(addAssignment_4346,axiom,(
    ! [VarCurr] :
      ( v18096(VarCurr,bitIndex13)
    <=> v18098(VarCurr,bitIndex13) ) )).

fof(addAssignment_4345,axiom,(
    ! [VarCurr] :
      ( v18098(VarCurr,bitIndex13)
    <=> v18100(VarCurr,bitIndex13) ) )).

fof(addAssignment_4344,axiom,(
    ! [VarCurr] :
      ( v18100(VarCurr,bitIndex13)
    <=> v18102(VarCurr,bitIndex13) ) )).

fof(addAssignment_4343,axiom,(
    ! [VarCurr] :
      ( v18102(VarCurr,bitIndex13)
    <=> v18104(VarCurr,bitIndex13) ) )).

fof(addAssignment_4342,axiom,(
    ! [VarCurr] :
      ( v18104(VarCurr,bitIndex13)
    <=> v18106(VarCurr,bitIndex13) ) )).

fof(addAssignment_4341,axiom,(
    ! [VarCurr] :
      ( v18106(VarCurr,bitIndex13)
    <=> v14581(VarCurr,bitIndex26) ) )).

fof(addAssignment_4340,axiom,(
    ! [VarCurr] :
      ( v14581(VarCurr,bitIndex26)
    <=> v14583(VarCurr,bitIndex26) ) )).

fof(addAssignment_4339,axiom,(
    ! [VarCurr] :
      ( v14583(VarCurr,bitIndex26)
    <=> v18138(VarCurr) ) )).

fof(addAssignment_4338,axiom,(
    ! [VarCurr] :
      ( v18084(VarCurr,bitIndex16)
    <=> v18086(VarCurr,bitIndex16) ) )).

fof(addAssignment_4337,axiom,(
    ! [VarCurr] :
      ( v18082(VarCurr,bitIndex12)
    <=> v18109(VarCurr,bitIndex12) ) )).

fof(addAssignment_4336,axiom,(
    ! [VarCurr] :
      ( v18088(VarCurr,bitIndex12)
    <=> v18090(VarCurr,bitIndex12) ) )).

fof(addAssignment_4335,axiom,(
    ! [VarCurr] :
      ( v18090(VarCurr,bitIndex12)
    <=> v18092(VarCurr,bitIndex12) ) )).

fof(addAssignment_4334,axiom,(
    ! [VarCurr] :
      ( v18092(VarCurr,bitIndex12)
    <=> v18094(VarCurr,bitIndex12) ) )).

fof(addAssignment_4333,axiom,(
    ! [VarCurr] :
      ( v18094(VarCurr,bitIndex12)
    <=> v18096(VarCurr,bitIndex12) ) )).

fof(addAssignment_4332,axiom,(
    ! [VarCurr] :
      ( v18096(VarCurr,bitIndex12)
    <=> v18098(VarCurr,bitIndex12) ) )).

fof(addAssignment_4331,axiom,(
    ! [VarCurr] :
      ( v18098(VarCurr,bitIndex12)
    <=> v18100(VarCurr,bitIndex12) ) )).

fof(addAssignment_4330,axiom,(
    ! [VarCurr] :
      ( v18100(VarCurr,bitIndex12)
    <=> v18102(VarCurr,bitIndex12) ) )).

fof(addAssignment_4329,axiom,(
    ! [VarCurr] :
      ( v18102(VarCurr,bitIndex12)
    <=> v18104(VarCurr,bitIndex12) ) )).

fof(addAssignment_4328,axiom,(
    ! [VarCurr] :
      ( v18104(VarCurr,bitIndex12)
    <=> v18106(VarCurr,bitIndex12) ) )).

fof(addAssignment_4327,axiom,(
    ! [VarCurr] :
      ( v18106(VarCurr,bitIndex12)
    <=> v14581(VarCurr,bitIndex25) ) )).

fof(addAssignment_4326,axiom,(
    ! [VarCurr] :
      ( v14581(VarCurr,bitIndex25)
    <=> v14583(VarCurr,bitIndex25) ) )).

fof(addAssignment_4325,axiom,(
    ! [VarCurr] :
      ( v14583(VarCurr,bitIndex25)
    <=> v18136(VarCurr) ) )).

fof(addAssignment_4324,axiom,(
    ! [VarCurr] :
      ( v18084(VarCurr,bitIndex15)
    <=> v18086(VarCurr,bitIndex15) ) )).

fof(addAssignment_4323,axiom,(
    ! [VarCurr] :
      ( v18082(VarCurr,bitIndex11)
    <=> v18109(VarCurr,bitIndex11) ) )).

fof(addAssignment_4322,axiom,(
    ! [VarCurr] :
      ( v18088(VarCurr,bitIndex11)
    <=> v18090(VarCurr,bitIndex11) ) )).

fof(addAssignment_4321,axiom,(
    ! [VarCurr] :
      ( v18090(VarCurr,bitIndex11)
    <=> v18092(VarCurr,bitIndex11) ) )).

fof(addAssignment_4320,axiom,(
    ! [VarCurr] :
      ( v18092(VarCurr,bitIndex11)
    <=> v18094(VarCurr,bitIndex11) ) )).

fof(addAssignment_4319,axiom,(
    ! [VarCurr] :
      ( v18094(VarCurr,bitIndex11)
    <=> v18096(VarCurr,bitIndex11) ) )).

fof(addAssignment_4318,axiom,(
    ! [VarCurr] :
      ( v18096(VarCurr,bitIndex11)
    <=> v18098(VarCurr,bitIndex11) ) )).

fof(addAssignment_4317,axiom,(
    ! [VarCurr] :
      ( v18098(VarCurr,bitIndex11)
    <=> v18100(VarCurr,bitIndex11) ) )).

fof(addAssignment_4316,axiom,(
    ! [VarCurr] :
      ( v18100(VarCurr,bitIndex11)
    <=> v18102(VarCurr,bitIndex11) ) )).

fof(addAssignment_4315,axiom,(
    ! [VarCurr] :
      ( v18102(VarCurr,bitIndex11)
    <=> v18104(VarCurr,bitIndex11) ) )).

fof(addAssignment_4314,axiom,(
    ! [VarCurr] :
      ( v18104(VarCurr,bitIndex11)
    <=> v18106(VarCurr,bitIndex11) ) )).

fof(addAssignment_4313,axiom,(
    ! [VarCurr] :
      ( v18106(VarCurr,bitIndex11)
    <=> v14581(VarCurr,bitIndex24) ) )).

fof(addAssignment_4312,axiom,(
    ! [VarCurr] :
      ( v14581(VarCurr,bitIndex24)
    <=> v14583(VarCurr,bitIndex24) ) )).

fof(addAssignment_4311,axiom,(
    ! [VarCurr] :
      ( v14583(VarCurr,bitIndex24)
    <=> v18134(VarCurr) ) )).

fof(addAssignment_4310,axiom,(
    ! [VarCurr] :
      ( v18084(VarCurr,bitIndex14)
    <=> v18086(VarCurr,bitIndex14) ) )).

fof(addAssignment_4309,axiom,(
    ! [VarCurr] :
      ( v18082(VarCurr,bitIndex10)
    <=> v18109(VarCurr,bitIndex10) ) )).

fof(addAssignment_4308,axiom,(
    ! [VarCurr] :
      ( v18088(VarCurr,bitIndex10)
    <=> v18090(VarCurr,bitIndex10) ) )).

fof(addAssignment_4307,axiom,(
    ! [VarCurr] :
      ( v18090(VarCurr,bitIndex10)
    <=> v18092(VarCurr,bitIndex10) ) )).

fof(addAssignment_4306,axiom,(
    ! [VarCurr] :
      ( v18092(VarCurr,bitIndex10)
    <=> v18094(VarCurr,bitIndex10) ) )).

fof(addAssignment_4305,axiom,(
    ! [VarCurr] :
      ( v18094(VarCurr,bitIndex10)
    <=> v18096(VarCurr,bitIndex10) ) )).

fof(addAssignment_4304,axiom,(
    ! [VarCurr] :
      ( v18096(VarCurr,bitIndex10)
    <=> v18098(VarCurr,bitIndex10) ) )).

fof(addAssignment_4303,axiom,(
    ! [VarCurr] :
      ( v18098(VarCurr,bitIndex10)
    <=> v18100(VarCurr,bitIndex10) ) )).

fof(addAssignment_4302,axiom,(
    ! [VarCurr] :
      ( v18100(VarCurr,bitIndex10)
    <=> v18102(VarCurr,bitIndex10) ) )).

fof(addAssignment_4301,axiom,(
    ! [VarCurr] :
      ( v18102(VarCurr,bitIndex10)
    <=> v18104(VarCurr,bitIndex10) ) )).

fof(addAssignment_4300,axiom,(
    ! [VarCurr] :
      ( v18104(VarCurr,bitIndex10)
    <=> v18106(VarCurr,bitIndex10) ) )).

fof(addAssignment_4299,axiom,(
    ! [VarCurr] :
      ( v18106(VarCurr,bitIndex10)
    <=> v14581(VarCurr,bitIndex23) ) )).

fof(addAssignment_4298,axiom,(
    ! [VarCurr] :
      ( v14581(VarCurr,bitIndex23)
    <=> v14583(VarCurr,bitIndex23) ) )).

fof(addAssignment_4297,axiom,(
    ! [VarCurr] :
      ( v14583(VarCurr,bitIndex23)
    <=> v18132(VarCurr) ) )).

fof(addAssignment_4296,axiom,(
    ! [VarCurr] :
      ( v18084(VarCurr,bitIndex13)
    <=> v18086(VarCurr,bitIndex13) ) )).

fof(addAssignment_4295,axiom,(
    ! [VarCurr] :
      ( v18082(VarCurr,bitIndex9)
    <=> v18109(VarCurr,bitIndex9) ) )).

fof(addAssignment_4294,axiom,(
    ! [VarCurr] :
      ( v18088(VarCurr,bitIndex9)
    <=> v18090(VarCurr,bitIndex9) ) )).

fof(addAssignment_4293,axiom,(
    ! [VarCurr] :
      ( v18090(VarCurr,bitIndex9)
    <=> v18092(VarCurr,bitIndex9) ) )).

fof(addAssignment_4292,axiom,(
    ! [VarCurr] :
      ( v18092(VarCurr,bitIndex9)
    <=> v18094(VarCurr,bitIndex9) ) )).

fof(addAssignment_4291,axiom,(
    ! [VarCurr] :
      ( v18094(VarCurr,bitIndex9)
    <=> v18096(VarCurr,bitIndex9) ) )).

fof(addAssignment_4290,axiom,(
    ! [VarCurr] :
      ( v18096(VarCurr,bitIndex9)
    <=> v18098(VarCurr,bitIndex9) ) )).

fof(addAssignment_4289,axiom,(
    ! [VarCurr] :
      ( v18098(VarCurr,bitIndex9)
    <=> v18100(VarCurr,bitIndex9) ) )).

fof(addAssignment_4288,axiom,(
    ! [VarCurr] :
      ( v18100(VarCurr,bitIndex9)
    <=> v18102(VarCurr,bitIndex9) ) )).

fof(addAssignment_4287,axiom,(
    ! [VarCurr] :
      ( v18102(VarCurr,bitIndex9)
    <=> v18104(VarCurr,bitIndex9) ) )).

fof(addAssignment_4286,axiom,(
    ! [VarCurr] :
      ( v18104(VarCurr,bitIndex9)
    <=> v18106(VarCurr,bitIndex9) ) )).

fof(addAssignment_4285,axiom,(
    ! [VarCurr] :
      ( v18106(VarCurr,bitIndex9)
    <=> v14581(VarCurr,bitIndex22) ) )).

fof(addAssignment_4284,axiom,(
    ! [VarCurr] :
      ( v14581(VarCurr,bitIndex22)
    <=> v14583(VarCurr,bitIndex22) ) )).

fof(addAssignment_4283,axiom,(
    ! [VarCurr] :
      ( v14583(VarCurr,bitIndex22)
    <=> v18130(VarCurr) ) )).

fof(addAssignment_4282,axiom,(
    ! [VarCurr] :
      ( v18084(VarCurr,bitIndex12)
    <=> v18086(VarCurr,bitIndex12) ) )).

fof(addAssignment_4281,axiom,(
    ! [VarCurr] :
      ( v18082(VarCurr,bitIndex8)
    <=> v18109(VarCurr,bitIndex8) ) )).

fof(addAssignment_4280,axiom,(
    ! [VarCurr] :
      ( v18088(VarCurr,bitIndex8)
    <=> v18090(VarCurr,bitIndex8) ) )).

fof(addAssignment_4279,axiom,(
    ! [VarCurr] :
      ( v18090(VarCurr,bitIndex8)
    <=> v18092(VarCurr,bitIndex8) ) )).

fof(addAssignment_4278,axiom,(
    ! [VarCurr] :
      ( v18092(VarCurr,bitIndex8)
    <=> v18094(VarCurr,bitIndex8) ) )).

fof(addAssignment_4277,axiom,(
    ! [VarCurr] :
      ( v18094(VarCurr,bitIndex8)
    <=> v18096(VarCurr,bitIndex8) ) )).

fof(addAssignment_4276,axiom,(
    ! [VarCurr] :
      ( v18096(VarCurr,bitIndex8)
    <=> v18098(VarCurr,bitIndex8) ) )).

fof(addAssignment_4275,axiom,(
    ! [VarCurr] :
      ( v18098(VarCurr,bitIndex8)
    <=> v18100(VarCurr,bitIndex8) ) )).

fof(addAssignment_4274,axiom,(
    ! [VarCurr] :
      ( v18100(VarCurr,bitIndex8)
    <=> v18102(VarCurr,bitIndex8) ) )).

fof(addAssignment_4273,axiom,(
    ! [VarCurr] :
      ( v18102(VarCurr,bitIndex8)
    <=> v18104(VarCurr,bitIndex8) ) )).

fof(addAssignment_4272,axiom,(
    ! [VarCurr] :
      ( v18104(VarCurr,bitIndex8)
    <=> v18106(VarCurr,bitIndex8) ) )).

fof(addAssignment_4271,axiom,(
    ! [VarCurr] :
      ( v18106(VarCurr,bitIndex8)
    <=> v14581(VarCurr,bitIndex21) ) )).

fof(addAssignment_4270,axiom,(
    ! [VarCurr] :
      ( v14581(VarCurr,bitIndex21)
    <=> v14583(VarCurr,bitIndex21) ) )).

fof(addAssignment_4269,axiom,(
    ! [VarCurr] :
      ( v14583(VarCurr,bitIndex21)
    <=> v18128(VarCurr) ) )).

fof(addAssignment_4268,axiom,(
    ! [VarCurr] :
      ( v18084(VarCurr,bitIndex11)
    <=> v18086(VarCurr,bitIndex11) ) )).

fof(addAssignment_4267,axiom,(
    ! [VarCurr] :
      ( v18082(VarCurr,bitIndex7)
    <=> v18109(VarCurr,bitIndex7) ) )).

fof(addAssignment_4266,axiom,(
    ! [VarCurr] :
      ( v18088(VarCurr,bitIndex7)
    <=> v18090(VarCurr,bitIndex7) ) )).

fof(addAssignment_4265,axiom,(
    ! [VarCurr] :
      ( v18090(VarCurr,bitIndex7)
    <=> v18092(VarCurr,bitIndex7) ) )).

fof(addAssignment_4264,axiom,(
    ! [VarCurr] :
      ( v18092(VarCurr,bitIndex7)
    <=> v18094(VarCurr,bitIndex7) ) )).

fof(addAssignment_4263,axiom,(
    ! [VarCurr] :
      ( v18094(VarCurr,bitIndex7)
    <=> v18096(VarCurr,bitIndex7) ) )).

fof(addAssignment_4262,axiom,(
    ! [VarCurr] :
      ( v18096(VarCurr,bitIndex7)
    <=> v18098(VarCurr,bitIndex7) ) )).

fof(addAssignment_4261,axiom,(
    ! [VarCurr] :
      ( v18098(VarCurr,bitIndex7)
    <=> v18100(VarCurr,bitIndex7) ) )).

fof(addAssignment_4260,axiom,(
    ! [VarCurr] :
      ( v18100(VarCurr,bitIndex7)
    <=> v18102(VarCurr,bitIndex7) ) )).

fof(addAssignment_4259,axiom,(
    ! [VarCurr] :
      ( v18102(VarCurr,bitIndex7)
    <=> v18104(VarCurr,bitIndex7) ) )).

fof(addAssignment_4258,axiom,(
    ! [VarCurr] :
      ( v18104(VarCurr,bitIndex7)
    <=> v18106(VarCurr,bitIndex7) ) )).

fof(addAssignment_4257,axiom,(
    ! [VarCurr] :
      ( v18106(VarCurr,bitIndex7)
    <=> v14581(VarCurr,bitIndex20) ) )).

fof(addAssignment_4256,axiom,(
    ! [VarCurr] :
      ( v14581(VarCurr,bitIndex20)
    <=> v14583(VarCurr,bitIndex20) ) )).

fof(addAssignment_4255,axiom,(
    ! [VarCurr] :
      ( v14583(VarCurr,bitIndex20)
    <=> v18126(VarCurr) ) )).

fof(addAssignment_4254,axiom,(
    ! [VarCurr] :
      ( v18084(VarCurr,bitIndex10)
    <=> v18086(VarCurr,bitIndex10) ) )).

fof(addAssignment_4253,axiom,(
    ! [VarCurr] :
      ( v18082(VarCurr,bitIndex6)
    <=> v18109(VarCurr,bitIndex6) ) )).

fof(addAssignment_4252,axiom,(
    ! [VarCurr] :
      ( v18088(VarCurr,bitIndex6)
    <=> v18090(VarCurr,bitIndex6) ) )).

fof(addAssignment_4251,axiom,(
    ! [VarCurr] :
      ( v18090(VarCurr,bitIndex6)
    <=> v18092(VarCurr,bitIndex6) ) )).

fof(addAssignment_4250,axiom,(
    ! [VarCurr] :
      ( v18092(VarCurr,bitIndex6)
    <=> v18094(VarCurr,bitIndex6) ) )).

fof(addAssignment_4249,axiom,(
    ! [VarCurr] :
      ( v18094(VarCurr,bitIndex6)
    <=> v18096(VarCurr,bitIndex6) ) )).

fof(addAssignment_4248,axiom,(
    ! [VarCurr] :
      ( v18096(VarCurr,bitIndex6)
    <=> v18098(VarCurr,bitIndex6) ) )).

fof(addAssignment_4247,axiom,(
    ! [VarCurr] :
      ( v18098(VarCurr,bitIndex6)
    <=> v18100(VarCurr,bitIndex6) ) )).

fof(addAssignment_4246,axiom,(
    ! [VarCurr] :
      ( v18100(VarCurr,bitIndex6)
    <=> v18102(VarCurr,bitIndex6) ) )).

fof(addAssignment_4245,axiom,(
    ! [VarCurr] :
      ( v18102(VarCurr,bitIndex6)
    <=> v18104(VarCurr,bitIndex6) ) )).

fof(addAssignment_4244,axiom,(
    ! [VarCurr] :
      ( v18104(VarCurr,bitIndex6)
    <=> v18106(VarCurr,bitIndex6) ) )).

fof(addAssignment_4243,axiom,(
    ! [VarCurr] :
      ( v18106(VarCurr,bitIndex6)
    <=> v14581(VarCurr,bitIndex19) ) )).

fof(addAssignment_4242,axiom,(
    ! [VarCurr] :
      ( v14581(VarCurr,bitIndex19)
    <=> v14583(VarCurr,bitIndex19) ) )).

fof(addAssignment_4241,axiom,(
    ! [VarCurr] :
      ( v14583(VarCurr,bitIndex19)
    <=> v18124(VarCurr) ) )).

fof(addAssignment_4240,axiom,(
    ! [VarCurr] :
      ( v18084(VarCurr,bitIndex9)
    <=> v18086(VarCurr,bitIndex9) ) )).

fof(addAssignment_4239,axiom,(
    ! [VarCurr] :
      ( v18082(VarCurr,bitIndex5)
    <=> v18109(VarCurr,bitIndex5) ) )).

fof(addAssignment_4238,axiom,(
    ! [VarCurr] :
      ( v18088(VarCurr,bitIndex5)
    <=> v18090(VarCurr,bitIndex5) ) )).

fof(addAssignment_4237,axiom,(
    ! [VarCurr] :
      ( v18090(VarCurr,bitIndex5)
    <=> v18092(VarCurr,bitIndex5) ) )).

fof(addAssignment_4236,axiom,(
    ! [VarCurr] :
      ( v18092(VarCurr,bitIndex5)
    <=> v18094(VarCurr,bitIndex5) ) )).

fof(addAssignment_4235,axiom,(
    ! [VarCurr] :
      ( v18094(VarCurr,bitIndex5)
    <=> v18096(VarCurr,bitIndex5) ) )).

fof(addAssignment_4234,axiom,(
    ! [VarCurr] :
      ( v18096(VarCurr,bitIndex5)
    <=> v18098(VarCurr,bitIndex5) ) )).

fof(addAssignment_4233,axiom,(
    ! [VarCurr] :
      ( v18098(VarCurr,bitIndex5)
    <=> v18100(VarCurr,bitIndex5) ) )).

fof(addAssignment_4232,axiom,(
    ! [VarCurr] :
      ( v18100(VarCurr,bitIndex5)
    <=> v18102(VarCurr,bitIndex5) ) )).

fof(addAssignment_4231,axiom,(
    ! [VarCurr] :
      ( v18102(VarCurr,bitIndex5)
    <=> v18104(VarCurr,bitIndex5) ) )).

fof(addAssignment_4230,axiom,(
    ! [VarCurr] :
      ( v18104(VarCurr,bitIndex5)
    <=> v18106(VarCurr,bitIndex5) ) )).

fof(addAssignment_4229,axiom,(
    ! [VarCurr] :
      ( v18106(VarCurr,bitIndex5)
    <=> v14581(VarCurr,bitIndex18) ) )).

fof(addAssignment_4228,axiom,(
    ! [VarCurr] :
      ( v14581(VarCurr,bitIndex18)
    <=> v14583(VarCurr,bitIndex18) ) )).

fof(addAssignment_4227,axiom,(
    ! [VarCurr] :
      ( v14583(VarCurr,bitIndex18)
    <=> v18122(VarCurr) ) )).

fof(addAssignment_4226,axiom,(
    ! [VarCurr] :
      ( v18084(VarCurr,bitIndex8)
    <=> v18086(VarCurr,bitIndex8) ) )).

fof(addAssignment_4225,axiom,(
    ! [VarCurr] :
      ( v18082(VarCurr,bitIndex4)
    <=> v18109(VarCurr,bitIndex4) ) )).

fof(addAssignment_4224,axiom,(
    ! [VarCurr] :
      ( v18088(VarCurr,bitIndex4)
    <=> v18090(VarCurr,bitIndex4) ) )).

fof(addAssignment_4223,axiom,(
    ! [VarCurr] :
      ( v18090(VarCurr,bitIndex4)
    <=> v18092(VarCurr,bitIndex4) ) )).

fof(addAssignment_4222,axiom,(
    ! [VarCurr] :
      ( v18092(VarCurr,bitIndex4)
    <=> v18094(VarCurr,bitIndex4) ) )).

fof(addAssignment_4221,axiom,(
    ! [VarCurr] :
      ( v18094(VarCurr,bitIndex4)
    <=> v18096(VarCurr,bitIndex4) ) )).

fof(addAssignment_4220,axiom,(
    ! [VarCurr] :
      ( v18096(VarCurr,bitIndex4)
    <=> v18098(VarCurr,bitIndex4) ) )).

fof(addAssignment_4219,axiom,(
    ! [VarCurr] :
      ( v18098(VarCurr,bitIndex4)
    <=> v18100(VarCurr,bitIndex4) ) )).

fof(addAssignment_4218,axiom,(
    ! [VarCurr] :
      ( v18100(VarCurr,bitIndex4)
    <=> v18102(VarCurr,bitIndex4) ) )).

fof(addAssignment_4217,axiom,(
    ! [VarCurr] :
      ( v18102(VarCurr,bitIndex4)
    <=> v18104(VarCurr,bitIndex4) ) )).

fof(addAssignment_4216,axiom,(
    ! [VarCurr] :
      ( v18104(VarCurr,bitIndex4)
    <=> v18106(VarCurr,bitIndex4) ) )).

fof(addAssignment_4215,axiom,(
    ! [VarCurr] :
      ( v18106(VarCurr,bitIndex4)
    <=> v14581(VarCurr,bitIndex17) ) )).

fof(addAssignment_4214,axiom,(
    ! [VarCurr] :
      ( v14581(VarCurr,bitIndex17)
    <=> v14583(VarCurr,bitIndex17) ) )).

fof(addAssignment_4213,axiom,(
    ! [VarCurr] :
      ( v14583(VarCurr,bitIndex17)
    <=> v18120(VarCurr) ) )).

fof(addAssignment_4212,axiom,(
    ! [VarCurr] :
      ( v18084(VarCurr,bitIndex7)
    <=> v18086(VarCurr,bitIndex7) ) )).

fof(addAssignment_4211,axiom,(
    ! [VarCurr] :
      ( v18082(VarCurr,bitIndex3)
    <=> v18109(VarCurr,bitIndex3) ) )).

fof(addAssignment_4210,axiom,(
    ! [VarCurr] :
      ( v18088(VarCurr,bitIndex3)
    <=> v18090(VarCurr,bitIndex3) ) )).

fof(addAssignment_4209,axiom,(
    ! [VarCurr] :
      ( v18090(VarCurr,bitIndex3)
    <=> v18092(VarCurr,bitIndex3) ) )).

fof(addAssignment_4208,axiom,(
    ! [VarCurr] :
      ( v18092(VarCurr,bitIndex3)
    <=> v18094(VarCurr,bitIndex3) ) )).

fof(addAssignment_4207,axiom,(
    ! [VarCurr] :
      ( v18094(VarCurr,bitIndex3)
    <=> v18096(VarCurr,bitIndex3) ) )).

fof(addAssignment_4206,axiom,(
    ! [VarCurr] :
      ( v18096(VarCurr,bitIndex3)
    <=> v18098(VarCurr,bitIndex3) ) )).

fof(addAssignment_4205,axiom,(
    ! [VarCurr] :
      ( v18098(VarCurr,bitIndex3)
    <=> v18100(VarCurr,bitIndex3) ) )).

fof(addAssignment_4204,axiom,(
    ! [VarCurr] :
      ( v18100(VarCurr,bitIndex3)
    <=> v18102(VarCurr,bitIndex3) ) )).

fof(addAssignment_4203,axiom,(
    ! [VarCurr] :
      ( v18102(VarCurr,bitIndex3)
    <=> v18104(VarCurr,bitIndex3) ) )).

fof(addAssignment_4202,axiom,(
    ! [VarCurr] :
      ( v18104(VarCurr,bitIndex3)
    <=> v18106(VarCurr,bitIndex3) ) )).

fof(addAssignment_4201,axiom,(
    ! [VarCurr] :
      ( v18106(VarCurr,bitIndex3)
    <=> v14581(VarCurr,bitIndex16) ) )).

fof(addAssignment_4200,axiom,(
    ! [VarCurr] :
      ( v14581(VarCurr,bitIndex16)
    <=> v14583(VarCurr,bitIndex16) ) )).

fof(addAssignment_4199,axiom,(
    ! [VarCurr] :
      ( v14583(VarCurr,bitIndex16)
    <=> v18118(VarCurr) ) )).

fof(addAssignment_4198,axiom,(
    ! [VarCurr] :
      ( v18084(VarCurr,bitIndex6)
    <=> v18086(VarCurr,bitIndex6) ) )).

fof(addAssignment_4197,axiom,(
    ! [VarCurr] :
      ( v18082(VarCurr,bitIndex2)
    <=> v18109(VarCurr,bitIndex2) ) )).

fof(addAssignment_4196,axiom,(
    ! [VarCurr] :
      ( v18088(VarCurr,bitIndex2)
    <=> v18090(VarCurr,bitIndex2) ) )).

fof(addAssignment_4195,axiom,(
    ! [VarCurr] :
      ( v18090(VarCurr,bitIndex2)
    <=> v18092(VarCurr,bitIndex2) ) )).

fof(addAssignment_4194,axiom,(
    ! [VarCurr] :
      ( v18092(VarCurr,bitIndex2)
    <=> v18094(VarCurr,bitIndex2) ) )).

fof(addAssignment_4193,axiom,(
    ! [VarCurr] :
      ( v18094(VarCurr,bitIndex2)
    <=> v18096(VarCurr,bitIndex2) ) )).

fof(addAssignment_4192,axiom,(
    ! [VarCurr] :
      ( v18096(VarCurr,bitIndex2)
    <=> v18098(VarCurr,bitIndex2) ) )).

fof(addAssignment_4191,axiom,(
    ! [VarCurr] :
      ( v18098(VarCurr,bitIndex2)
    <=> v18100(VarCurr,bitIndex2) ) )).

fof(addAssignment_4190,axiom,(
    ! [VarCurr] :
      ( v18100(VarCurr,bitIndex2)
    <=> v18102(VarCurr,bitIndex2) ) )).

fof(addAssignment_4189,axiom,(
    ! [VarCurr] :
      ( v18102(VarCurr,bitIndex2)
    <=> v18104(VarCurr,bitIndex2) ) )).

fof(addAssignment_4188,axiom,(
    ! [VarCurr] :
      ( v18104(VarCurr,bitIndex2)
    <=> v18106(VarCurr,bitIndex2) ) )).

fof(addAssignment_4187,axiom,(
    ! [VarCurr] :
      ( v18106(VarCurr,bitIndex2)
    <=> v14581(VarCurr,bitIndex15) ) )).

fof(addAssignment_4186,axiom,(
    ! [VarCurr] :
      ( v14581(VarCurr,bitIndex15)
    <=> v14583(VarCurr,bitIndex15) ) )).

fof(addAssignment_4185,axiom,(
    ! [VarCurr] :
      ( v14583(VarCurr,bitIndex15)
    <=> v18116(VarCurr) ) )).

fof(addAssignment_4184,axiom,(
    ! [VarCurr] :
      ( v18084(VarCurr,bitIndex5)
    <=> v18086(VarCurr,bitIndex5) ) )).

fof(addAssignment_4183,axiom,(
    ! [VarCurr] :
      ( v18082(VarCurr,bitIndex1)
    <=> v18109(VarCurr,bitIndex1) ) )).

fof(addAssignment_4182,axiom,(
    ! [VarCurr] :
      ( v18088(VarCurr,bitIndex1)
    <=> v18090(VarCurr,bitIndex1) ) )).

fof(addAssignment_4181,axiom,(
    ! [VarCurr] :
      ( v18090(VarCurr,bitIndex1)
    <=> v18092(VarCurr,bitIndex1) ) )).

fof(addAssignment_4180,axiom,(
    ! [VarCurr] :
      ( v18092(VarCurr,bitIndex1)
    <=> v18094(VarCurr,bitIndex1) ) )).

fof(addAssignment_4179,axiom,(
    ! [VarCurr] :
      ( v18094(VarCurr,bitIndex1)
    <=> v18096(VarCurr,bitIndex1) ) )).

fof(addAssignment_4178,axiom,(
    ! [VarCurr] :
      ( v18096(VarCurr,bitIndex1)
    <=> v18098(VarCurr,bitIndex1) ) )).

fof(addAssignment_4177,axiom,(
    ! [VarCurr] :
      ( v18098(VarCurr,bitIndex1)
    <=> v18100(VarCurr,bitIndex1) ) )).

fof(addAssignment_4176,axiom,(
    ! [VarCurr] :
      ( v18100(VarCurr,bitIndex1)
    <=> v18102(VarCurr,bitIndex1) ) )).

fof(addAssignment_4175,axiom,(
    ! [VarCurr] :
      ( v18102(VarCurr,bitIndex1)
    <=> v18104(VarCurr,bitIndex1) ) )).

fof(addAssignment_4174,axiom,(
    ! [VarCurr] :
      ( v18104(VarCurr,bitIndex1)
    <=> v18106(VarCurr,bitIndex1) ) )).

fof(addAssignment_4173,axiom,(
    ! [VarCurr] :
      ( v18106(VarCurr,bitIndex1)
    <=> v14581(VarCurr,bitIndex14) ) )).

fof(addAssignment_4172,axiom,(
    ! [VarCurr] :
      ( v14581(VarCurr,bitIndex14)
    <=> v14583(VarCurr,bitIndex14) ) )).

fof(addAssignment_4171,axiom,(
    ! [VarCurr] :
      ( v14583(VarCurr,bitIndex14)
    <=> v18114(VarCurr) ) )).

fof(addAssignment_4170,axiom,(
    ! [VarCurr] :
      ( v18084(VarCurr,bitIndex4)
    <=> v18086(VarCurr,bitIndex4) ) )).

fof(addAssignment_4169,axiom,(
    ! [VarCurr] :
      ( v18082(VarCurr,bitIndex0)
    <=> v18109(VarCurr,bitIndex0) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_400,axiom,(
    ! [VarCurr] :
      ( ~ v18078(VarCurr)
     => ! [B] :
          ( range_32_0(B)
         => ( v18109(VarCurr,B)
          <=> v18112(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_404,axiom,(
    ! [VarCurr] :
      ( v18078(VarCurr)
     => ! [B] :
          ( range_32_0(B)
         => ( v18109(VarCurr,B)
          <=> v18110(VarCurr,B) ) ) ) )).

fof(addAssignment_4168,axiom,(
    ! [VarCurr,B] :
      ( range_25_0(B)
     => ( v18112(VarCurr,B)
      <=> v18088(VarCurr,B) ) ) )).

fof(range_axiom_63,axiom,(
    ! [B] :
      ( range_25_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B ) ) )).

fof(addAssignment_4167,axiom,(
    ! [VarCurr] :
      ( ( v18112(VarCurr,bitIndex32)
      <=> $false )
      & ( v18112(VarCurr,bitIndex31)
      <=> $false )
      & ( v18112(VarCurr,bitIndex30)
      <=> $false )
      & ( v18112(VarCurr,bitIndex29)
      <=> $false )
      & ( v18112(VarCurr,bitIndex28)
      <=> $false )
      & ( v18112(VarCurr,bitIndex27)
      <=> $false )
      & ( v18112(VarCurr,bitIndex26)
      <=> $false ) ) )).

fof(addAssignment_4166,axiom,(
    ! [VarCurr] :
      ( ( v18110(VarCurr,bitIndex24)
      <=> v18084(VarCurr,bitIndex27) )
      & ( v18110(VarCurr,bitIndex23)
      <=> v18084(VarCurr,bitIndex26) )
      & ( v18110(VarCurr,bitIndex22)
      <=> v18084(VarCurr,bitIndex25) )
      & ( v18110(VarCurr,bitIndex21)
      <=> v18084(VarCurr,bitIndex24) )
      & ( v18110(VarCurr,bitIndex20)
      <=> v18084(VarCurr,bitIndex23) )
      & ( v18110(VarCurr,bitIndex19)
      <=> v18084(VarCurr,bitIndex22) )
      & ( v18110(VarCurr,bitIndex18)
      <=> v18084(VarCurr,bitIndex21) )
      & ( v18110(VarCurr,bitIndex17)
      <=> v18084(VarCurr,bitIndex20) )
      & ( v18110(VarCurr,bitIndex16)
      <=> v18084(VarCurr,bitIndex19) )
      & ( v18110(VarCurr,bitIndex15)
      <=> v18084(VarCurr,bitIndex18) )
      & ( v18110(VarCurr,bitIndex14)
      <=> v18084(VarCurr,bitIndex17) )
      & ( v18110(VarCurr,bitIndex13)
      <=> v18084(VarCurr,bitIndex16) )
      & ( v18110(VarCurr,bitIndex12)
      <=> v18084(VarCurr,bitIndex15) )
      & ( v18110(VarCurr,bitIndex11)
      <=> v18084(VarCurr,bitIndex14) )
      & ( v18110(VarCurr,bitIndex10)
      <=> v18084(VarCurr,bitIndex13) )
      & ( v18110(VarCurr,bitIndex9)
      <=> v18084(VarCurr,bitIndex12) )
      & ( v18110(VarCurr,bitIndex8)
      <=> v18084(VarCurr,bitIndex11) )
      & ( v18110(VarCurr,bitIndex7)
      <=> v18084(VarCurr,bitIndex10) )
      & ( v18110(VarCurr,bitIndex6)
      <=> v18084(VarCurr,bitIndex9) )
      & ( v18110(VarCurr,bitIndex5)
      <=> v18084(VarCurr,bitIndex8) )
      & ( v18110(VarCurr,bitIndex4)
      <=> v18084(VarCurr,bitIndex7) )
      & ( v18110(VarCurr,bitIndex3)
      <=> v18084(VarCurr,bitIndex6) )
      & ( v18110(VarCurr,bitIndex2)
      <=> v18084(VarCurr,bitIndex5) )
      & ( v18110(VarCurr,bitIndex1)
      <=> v18084(VarCurr,bitIndex4) )
      & ( v18110(VarCurr,bitIndex0)
      <=> v18084(VarCurr,bitIndex3) ) ) )).

fof(addAssignment_4165,axiom,(
    ! [VarCurr] :
      ( ( v18110(VarCurr,bitIndex32)
      <=> $false )
      & ( v18110(VarCurr,bitIndex31)
      <=> $false )
      & ( v18110(VarCurr,bitIndex30)
      <=> $false )
      & ( v18110(VarCurr,bitIndex29)
      <=> $false )
      & ( v18110(VarCurr,bitIndex28)
      <=> $false )
      & ( v18110(VarCurr,bitIndex27)
      <=> $false )
      & ( v18110(VarCurr,bitIndex26)
      <=> $false )
      & ( v18110(VarCurr,bitIndex25)
      <=> $false ) ) )).

fof(bitBlastConstant_8390,axiom,(
    ~ b00000000(bitIndex7) )).

fof(bitBlastConstant_8389,axiom,(
    ~ b00000000(bitIndex6) )).

fof(bitBlastConstant_8388,axiom,(
    ~ b00000000(bitIndex5) )).

fof(bitBlastConstant_8387,axiom,(
    ~ b00000000(bitIndex4) )).

fof(bitBlastConstant_8386,axiom,(
    ~ b00000000(bitIndex3) )).

fof(bitBlastConstant_8385,axiom,(
    ~ b00000000(bitIndex2) )).

fof(bitBlastConstant_8384,axiom,(
    ~ b00000000(bitIndex1) )).

fof(bitBlastConstant_8383,axiom,(
    ~ b00000000(bitIndex0) )).

fof(addAssignment_4164,axiom,(
    ! [VarCurr] :
      ( v18088(VarCurr,bitIndex0)
    <=> v18090(VarCurr,bitIndex0) ) )).

fof(addAssignment_4163,axiom,(
    ! [VarCurr] :
      ( v18090(VarCurr,bitIndex0)
    <=> v18092(VarCurr,bitIndex0) ) )).

fof(addAssignment_4162,axiom,(
    ! [VarCurr] :
      ( v18092(VarCurr,bitIndex0)
    <=> v18094(VarCurr,bitIndex0) ) )).

fof(addAssignment_4161,axiom,(
    ! [VarCurr] :
      ( v18094(VarCurr,bitIndex0)
    <=> v18096(VarCurr,bitIndex0) ) )).

fof(addAssignment_4160,axiom,(
    ! [VarCurr] :
      ( v18096(VarCurr,bitIndex0)
    <=> v18098(VarCurr,bitIndex0) ) )).

fof(addAssignment_4159,axiom,(
    ! [VarCurr] :
      ( v18098(VarCurr,bitIndex0)
    <=> v18100(VarCurr,bitIndex0) ) )).

fof(addAssignment_4158,axiom,(
    ! [VarCurr] :
      ( v18100(VarCurr,bitIndex0)
    <=> v18102(VarCurr,bitIndex0) ) )).

fof(addAssignment_4157,axiom,(
    ! [VarCurr] :
      ( v18102(VarCurr,bitIndex0)
    <=> v18104(VarCurr,bitIndex0) ) )).

fof(addAssignment_4156,axiom,(
    ! [VarCurr] :
      ( v18104(VarCurr,bitIndex0)
    <=> v18106(VarCurr,bitIndex0) ) )).

fof(addAssignment_4155,axiom,(
    ! [VarCurr] :
      ( v18106(VarCurr,bitIndex0)
    <=> v14581(VarCurr,bitIndex13) ) )).

fof(addAssignment_4154,axiom,(
    ! [VarCurr] :
      ( v14581(VarCurr,bitIndex13)
    <=> v14583(VarCurr,bitIndex13) ) )).

fof(addAssignment_4153,axiom,(
    ! [VarCurr] :
      ( v14583(VarCurr,bitIndex13)
    <=> v18108(VarCurr) ) )).

fof(addAssignment_4152,axiom,(
    ! [VarCurr] :
      ( v18084(VarCurr,bitIndex3)
    <=> v18086(VarCurr,bitIndex3) ) )).

fof(addAssignment_4151,axiom,(
    ! [VarCurr] :
      ( v18078(VarCurr)
    <=> v16606(VarCurr) ) )).

fof(addAssignment_4150,axiom,(
    ! [VarCurr,B] :
      ( range_32_0(B)
     => ( v18040(VarCurr,B)
      <=> v18042(VarCurr,B) ) ) )).

fof(addAssignment_4149,axiom,(
    ! [VarCurr,B] :
      ( range_32_0(B)
     => ( v18042(VarCurr,B)
      <=> v18044(VarCurr,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_201,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18054(VarNext)
       => ! [B] :
            ( range_32_0(B)
           => ( v18044(VarNext,B)
            <=> v18044(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_222,axiom,(
    ! [VarNext] :
      ( v18054(VarNext)
     => ! [B] :
          ( range_32_0(B)
         => ( v18044(VarNext,B)
          <=> v18062(VarNext,B) ) ) ) )).

fof(addAssignment_4148,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_32_0(B)
         => ( v18062(VarNext,B)
          <=> v18060(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_399,axiom,(
    ! [VarCurr] :
      ( ~ v18035(VarCurr)
     => ! [B] :
          ( range_32_0(B)
         => ( v18060(VarCurr,B)
          <=> v18047(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_403,axiom,(
    ! [VarCurr] :
      ( v18035(VarCurr)
     => ! [B] :
          ( range_32_0(B)
         => ( v18060(VarCurr,B)
          <=> $false ) ) ) )).

fof(bitBlastConstant_8382,axiom,(
    ~ b000000000000000000000000000000000(bitIndex32) )).

fof(bitBlastConstant_8381,axiom,(
    ~ b000000000000000000000000000000000(bitIndex31) )).

fof(bitBlastConstant_8380,axiom,(
    ~ b000000000000000000000000000000000(bitIndex30) )).

fof(bitBlastConstant_8379,axiom,(
    ~ b000000000000000000000000000000000(bitIndex29) )).

fof(bitBlastConstant_8378,axiom,(
    ~ b000000000000000000000000000000000(bitIndex28) )).

fof(bitBlastConstant_8377,axiom,(
    ~ b000000000000000000000000000000000(bitIndex27) )).

fof(bitBlastConstant_8376,axiom,(
    ~ b000000000000000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_8375,axiom,(
    ~ b000000000000000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_8374,axiom,(
    ~ b000000000000000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_8373,axiom,(
    ~ b000000000000000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_8372,axiom,(
    ~ b000000000000000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_8371,axiom,(
    ~ b000000000000000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_8370,axiom,(
    ~ b000000000000000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_8369,axiom,(
    ~ b000000000000000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_8368,axiom,(
    ~ b000000000000000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_8367,axiom,(
    ~ b000000000000000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_8366,axiom,(
    ~ b000000000000000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_8365,axiom,(
    ~ b000000000000000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_8364,axiom,(
    ~ b000000000000000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_8363,axiom,(
    ~ b000000000000000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_8362,axiom,(
    ~ b000000000000000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_8361,axiom,(
    ~ b000000000000000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_8360,axiom,(
    ~ b000000000000000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_8359,axiom,(
    ~ b000000000000000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_8358,axiom,(
    ~ b000000000000000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_8357,axiom,(
    ~ b000000000000000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_8356,axiom,(
    ~ b000000000000000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_8355,axiom,(
    ~ b000000000000000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_8354,axiom,(
    ~ b000000000000000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_8353,axiom,(
    ~ b000000000000000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_8352,axiom,(
    ~ b000000000000000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_8351,axiom,(
    ~ b000000000000000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_8350,axiom,(
    ~ b000000000000000000000000000000000(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4263,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18054(VarNext)
      <=> v18055(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4262,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18055(VarNext)
      <=> ( v18057(VarNext)
          & v18021(VarNext) ) ) ) )).

fof(writeUnaryOperator_1839,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18057(VarNext)
      <=> v18028(VarNext) ) ) )).

fof(addAssignment_4147,axiom,(
    ! [VarCurr,B] :
      ( range_32_0(B)
     => ( v18047(VarCurr,B)
      <=> v18049(VarCurr,B) ) ) )).

fof(addAssignment_4146,axiom,(
    ! [VarCurr,B] :
      ( range_32_0(B)
     => ( v18049(VarCurr,B)
      <=> v18051(VarCurr,B) ) ) )).

fof(range_axiom_62,axiom,(
    ! [B] :
      ( range_32_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B ) ) )).

fof(addAssignment_4145,axiom,(
    ! [VarCurr] :
      ( v17987(VarCurr)
    <=> v17989(VarCurr) ) )).

fof(addAssignment_4144,axiom,(
    ! [VarCurr] :
      ( v17989(VarCurr)
    <=> v17991(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_200,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18024(VarNext)
       => ( v17991(VarNext)
        <=> v17991(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_221,axiom,(
    ! [VarNext] :
      ( v18024(VarNext)
     => ( v17991(VarNext)
      <=> v18034(VarNext) ) ) )).

fof(addAssignment_4143,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18034(VarNext)
      <=> v18032(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_398,axiom,(
    ! [VarCurr] :
      ( ~ v18035(VarCurr)
     => ( v18032(VarCurr)
      <=> v18036(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_402,axiom,(
    ! [VarCurr] :
      ( v18035(VarCurr)
     => ( v18032(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4261,axiom,(
    ! [VarCurr] :
      ( v18036(VarCurr)
    <=> ( v17995(VarCurr)
        & v18001(VarCurr) ) ) )).

fof(writeUnaryOperator_1838,axiom,(
    ! [VarCurr] :
      ( ~ v18035(VarCurr)
    <=> v17993(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4260,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18024(VarNext)
      <=> v18025(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4259,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18025(VarNext)
      <=> ( v18026(VarNext)
          & v18021(VarNext) ) ) ) )).

fof(writeUnaryOperator_1837,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v18026(VarNext)
      <=> v18028(VarNext) ) ) )).

fof(addAssignment_4142,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v18028(VarNext)
      <=> v18021(VarCurr) ) ) )).

fof(addAssignment_4141,axiom,(
    ! [VarCurr] :
      ( v18021(VarCurr)
    <=> v8025(VarCurr) ) )).

fof(addAssignment_4140,axiom,(
    ! [VarCurr] :
      ( v18001(VarCurr)
    <=> v18003(VarCurr) ) )).

fof(addAssignment_4139,axiom,(
    ! [VarCurr] :
      ( v18003(VarCurr)
    <=> v18005(VarCurr) ) )).

fof(addAssignment_4138,axiom,(
    ! [VarCurr] :
      ( v18005(VarCurr)
    <=> v18007(VarCurr) ) )).

fof(addAssignment_4137,axiom,(
    ! [VarCurr] :
      ( v18007(VarCurr)
    <=> v18009(VarCurr) ) )).

fof(addAssignment_4136,axiom,(
    ! [VarCurr] :
      ( v18009(VarCurr)
    <=> v18011(VarCurr) ) )).

fof(addAssignment_4135,axiom,(
    ! [VarCurr] :
      ( v18011(VarCurr)
    <=> v18013(VarCurr) ) )).

fof(addAssignment_4134,axiom,(
    ! [VarCurr] :
      ( v18013(VarCurr)
    <=> v18015(VarCurr) ) )).

fof(addAssignment_4133,axiom,(
    ! [VarCurr] :
      ( v18015(VarCurr)
    <=> v18017(VarCurr) ) )).

fof(addAssignment_4132,axiom,(
    ! [VarCurr] :
      ( v18017(VarCurr)
    <=> v7905(VarCurr,bitIndex10) ) )).

fof(addAssignment_4131,axiom,(
    ! [VarCurr] :
      ( v7905(VarCurr,bitIndex10)
    <=> v7907(VarCurr,bitIndex10) ) )).

fof(addAssignment_4130,axiom,(
    ! [VarCurr] :
      ( v7907(VarCurr,bitIndex10)
    <=> v18019(VarCurr) ) )).

fof(addAssignment_4129,axiom,(
    ! [VarCurr] :
      ( v17995(VarCurr)
    <=> v17997(VarCurr) ) )).

fof(addAssignment_4128,axiom,(
    ! [VarCurr] :
      ( v17997(VarCurr)
    <=> v17999(VarCurr) ) )).

fof(addAssignment_4127,axiom,(
    ! [VarCurr] :
      ( v17993(VarCurr)
    <=> v7937(VarCurr) ) )).

fof(addAssignment_4126,axiom,(
    ! [VarCurr] :
      ( v17932(VarCurr)
    <=> v17934(VarCurr) ) )).

fof(addAssignment_4125,axiom,(
    ! [VarCurr] :
      ( v17934(VarCurr)
    <=> v17936(VarCurr) ) )).

fof(addAssignment_4124,axiom,(
    ! [VarCurr] :
      ( v17936(VarCurr)
    <=> v17938(VarCurr) ) )).

fof(addAssignment_4123,axiom,(
    ! [VarCurr] :
      ( v17938(VarCurr)
    <=> v17940(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_199,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17969(VarNext)
       => ( v17940(VarNext)
        <=> v17940(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_220,axiom,(
    ! [VarNext] :
      ( v17969(VarNext)
     => ( v17940(VarNext)
      <=> v17979(VarNext) ) ) )).

fof(addAssignment_4122,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17979(VarNext)
      <=> v17977(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_397,axiom,(
    ! [VarCurr] :
      ( ~ v17980(VarCurr)
     => ( v17977(VarCurr)
      <=> v17981(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_401,axiom,(
    ! [VarCurr] :
      ( v17980(VarCurr)
     => ( v17977(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4258,axiom,(
    ! [VarCurr] :
      ( v17981(VarCurr)
    <=> ( v17944(VarCurr)
        & v17952(VarCurr) ) ) )).

fof(writeUnaryOperator_1836,axiom,(
    ! [VarCurr] :
      ( ~ v17980(VarCurr)
    <=> v17942(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4257,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17969(VarNext)
      <=> v17970(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4256,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17970(VarNext)
      <=> ( v17971(VarNext)
          & v17966(VarNext) ) ) ) )).

fof(writeUnaryOperator_1835,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17971(VarNext)
      <=> v17973(VarNext) ) ) )).

fof(addAssignment_4121,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17973(VarNext)
      <=> v17966(VarCurr) ) ) )).

fof(addAssignment_4120,axiom,(
    ! [VarCurr] :
      ( v17966(VarCurr)
    <=> v8023(VarCurr) ) )).

fof(addAssignment_4119,axiom,(
    ! [VarCurr] :
      ( v17952(VarCurr)
    <=> v17954(VarCurr) ) )).

fof(addAssignment_4118,axiom,(
    ! [VarCurr] :
      ( v17954(VarCurr)
    <=> v17956(VarCurr) ) )).

fof(addAssignment_4117,axiom,(
    ! [VarCurr] :
      ( v17956(VarCurr)
    <=> v17958(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4255,axiom,(
    ! [VarCurr] :
      ( v17958(VarCurr)
    <=> ( v17960(VarCurr)
        & v17964(VarCurr) ) ) )).

fof(writeUnaryOperator_1834,axiom,(
    ! [VarCurr] :
      ( ~ v17964(VarCurr)
    <=> v17962(VarCurr) ) )).

fof(addAssignment_4116,axiom,(
    ! [VarCurr] :
      ( v17944(VarCurr)
    <=> v17946(VarCurr) ) )).

fof(addAssignment_4115,axiom,(
    ! [VarCurr] :
      ( v17946(VarCurr)
    <=> v17948(VarCurr) ) )).

fof(addAssignment_4114,axiom,(
    ! [VarCurr] :
      ( v17948(VarCurr)
    <=> v17950(VarCurr) ) )).

fof(addAssignment_4113,axiom,(
    ! [VarCurr] :
      ( v17950(VarCurr)
    <=> v7992(VarCurr) ) )).

fof(addAssignment_4112,axiom,(
    ! [VarCurr] :
      ( v17942(VarCurr)
    <=> v7935(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_198,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17912(VarNext)
       => ( v17892(VarNext)
        <=> v17892(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_219,axiom,(
    ! [VarNext] :
      ( v17912(VarNext)
     => ( v17892(VarNext)
      <=> v17920(VarNext) ) ) )).

fof(addAssignment_4111,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17920(VarNext)
      <=> v17918(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_396,axiom,(
    ! [VarCurr] :
      ( ~ v16658(VarCurr)
     => ( v17918(VarCurr)
      <=> v17894(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_400,axiom,(
    ! [VarCurr] :
      ( v16658(VarCurr)
     => ( v17918(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4254,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17912(VarNext)
      <=> v17913(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4253,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17913(VarNext)
      <=> ( v17915(VarNext)
          & v16644(VarNext) ) ) ) )).

fof(writeUnaryOperator_1833,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17915(VarNext)
      <=> v16651(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4252,axiom,(
    ! [VarCurr] :
      ( v17894(VarCurr)
    <=> ( v17908(VarCurr)
        & v17909(VarCurr) ) ) )).

fof(writeUnaryOperator_1832,axiom,(
    ! [VarCurr] :
      ( ~ v17909(VarCurr)
    <=> v17899(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4251,axiom,(
    ! [VarCurr] :
      ( v17908(VarCurr)
    <=> ( v17892(VarCurr)
        | v17896(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_395,axiom,(
    ! [VarCurr] :
      ( ~ v17901(VarCurr)
     => ( v17899(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_399,axiom,(
    ! [VarCurr] :
      ( v17901(VarCurr)
     => ( v17899(VarCurr)
      <=> v17906(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_35,axiom,(
    ! [VarCurr] :
      ( ( ~ v16933(VarCurr)
        & ~ v16640(VarCurr)
        & ~ v17904(VarCurr) )
     => ( v17906(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_243,axiom,(
    ! [VarCurr] :
      ( v17904(VarCurr)
     => ( v17906(VarCurr)
      <=> v17890(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_586,axiom,(
    ! [VarCurr] :
      ( v16640(VarCurr)
     => ( v17906(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_588,axiom,(
    ! [VarCurr] :
      ( v16933(VarCurr)
     => ( v17906(VarCurr)
      <=> v17890(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4250,axiom,(
    ! [VarCurr] :
      ( v17901(VarCurr)
    <=> ( v17902(VarCurr)
        | v17905(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1137,axiom,(
    ! [VarCurr] :
      ( v17905(VarCurr)
    <=> ( ( v16623(VarCurr,bitIndex2)
        <=> $true )
        & ( v16623(VarCurr,bitIndex1)
        <=> $true )
        & ( v16623(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4249,axiom,(
    ! [VarCurr] :
      ( v17902(VarCurr)
    <=> ( v17903(VarCurr)
        | v17904(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1136,axiom,(
    ! [VarCurr] :
      ( v17904(VarCurr)
    <=> ( ( v16623(VarCurr,bitIndex2)
        <=> $true )
        & ( v16623(VarCurr,bitIndex1)
        <=> $true )
        & ( v16623(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4248,axiom,(
    ! [VarCurr] :
      ( v17903(VarCurr)
    <=> ( v16933(VarCurr)
        | v16640(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_394,axiom,(
    ! [VarCurr] :
      ( ~ v16761(VarCurr)
     => ( v17896(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_398,axiom,(
    ! [VarCurr] :
      ( v16761(VarCurr)
     => ( v17896(VarCurr)
      <=> $true ) ) )).

fof(addAssignment_4110,axiom,(
    ! [VarCurr] :
      ( v17001(VarCurr)
    <=> v17003(VarCurr) ) )).

fof(addAssignment_4109,axiom,(
    ! [VarCurr] :
      ( v17003(VarCurr)
    <=> v17005(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4247,axiom,(
    ! [VarCurr] :
      ( v17005(VarCurr)
    <=> ( v17885(VarCurr)
        & v16747(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_680,axiom,(
    ! [VarCurr] :
      ( v17885(VarCurr)
    <=> ( v17887(VarCurr)
        | v17888(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_679,axiom,(
    ! [VarCurr] :
      ( v17887(VarCurr)
    <=> ( v17888(VarCurr,bitIndex0)
        | v17888(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_11,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v17888(VarCurr,B)
      <=> ( v17007(VarCurr,B)
          | v16834(VarCurr,B) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_197,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17873(VarNext)
       => ! [B] :
            ( range_2_0(B)
           => ( v17007(VarNext,B)
            <=> v17007(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_218,axiom,(
    ! [VarNext] :
      ( v17873(VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v17007(VarNext,B)
          <=> v17881(VarNext,B) ) ) ) )).

fof(addAssignment_4108,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v17881(VarNext,B)
          <=> v17879(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_393,axiom,(
    ! [VarCurr] :
      ( ~ v16917(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v17879(VarCurr,B)
          <=> v17009(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_397,axiom,(
    ! [VarCurr] :
      ( v16917(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v17879(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4246,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17873(VarNext)
      <=> v17874(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4245,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17874(VarNext)
      <=> ( v17876(VarNext)
          & v16903(VarNext) ) ) ) )).

fof(writeUnaryOperator_1831,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17876(VarNext)
      <=> v16910(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_34,axiom,(
    ! [VarCurr] :
      ( ( ~ v16885(VarCurr)
        & ~ v16886(VarCurr)
        & ~ v16887(VarCurr) )
     => ( v17009(VarCurr,bitIndex2)
      <=> v17007(VarCurr,bitIndex2) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges2_4,axiom,(
    ! [VarCurr] :
      ( v16887(VarCurr)
     => ( v17009(VarCurr,bitIndex2)
      <=> v17870(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges1_7,axiom,(
    ! [VarCurr] :
      ( v16886(VarCurr)
     => ( v17009(VarCurr,bitIndex2)
      <=> v17869(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_5,axiom,(
    ! [VarCurr] :
      ( v16885(VarCurr)
     => ( v17009(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(writeBinaryOperatorShiftedRanges_678,axiom,(
    ! [VarCurr] :
      ( v17870(VarCurr)
    <=> ( v17007(VarCurr,bitIndex2)
        | v16834(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_677,axiom,(
    ! [VarCurr] :
      ( v17869(VarCurr)
    <=> ( v17007(VarCurr,bitIndex2)
        | v16834(VarCurr,bitIndex2) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_33,axiom,(
    ! [VarCurr] :
      ( ( ~ v16885(VarCurr)
        & ~ v16886(VarCurr)
        & ~ v16887(VarCurr) )
     => ( v17009(VarCurr,bitIndex1)
      <=> v17007(VarCurr,bitIndex1) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges2_3,axiom,(
    ! [VarCurr] :
      ( v16887(VarCurr)
     => ( v17009(VarCurr,bitIndex1)
      <=> v17867(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges1_6,axiom,(
    ! [VarCurr] :
      ( v16886(VarCurr)
     => ( v17009(VarCurr,bitIndex1)
      <=> v17864(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_4,axiom,(
    ! [VarCurr] :
      ( v16885(VarCurr)
     => ( v17009(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(writeBinaryOperatorShiftedRanges_676,axiom,(
    ! [VarCurr] :
      ( v17867(VarCurr)
    <=> ( v17007(VarCurr,bitIndex1)
        | v16834(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_675,axiom,(
    ! [VarCurr] :
      ( v17864(VarCurr)
    <=> ( v17007(VarCurr,bitIndex1)
        | v17865(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_674,axiom,(
    ! [VarCurr] :
      ( v17865(VarCurr)
    <=> ( v16834(VarCurr,bitIndex0)
        | v16834(VarCurr,bitIndex1) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_32,axiom,(
    ! [VarCurr] :
      ( ( ~ v16885(VarCurr)
        & ~ v16886(VarCurr)
        & ~ v16887(VarCurr) )
     => ( v17009(VarCurr,bitIndex0)
      <=> v17007(VarCurr,bitIndex0) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_242,axiom,(
    ! [VarCurr] :
      ( v16887(VarCurr)
     => ( v17009(VarCurr,bitIndex0)
      <=> v17862(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_585,axiom,(
    ! [VarCurr] :
      ( v16886(VarCurr)
     => ( v17009(VarCurr,bitIndex0)
      <=> v17861(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_587,axiom,(
    ! [VarCurr] :
      ( v16885(VarCurr)
     => ( v17009(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4244,axiom,(
    ! [VarCurr] :
      ( v17862(VarCurr)
    <=> ( v17007(VarCurr,bitIndex0)
        | v16834(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4243,axiom,(
    ! [VarCurr] :
      ( v17861(VarCurr)
    <=> ( v17007(VarCurr,bitIndex0)
        | v17011(VarCurr) ) ) )).

fof(addAssignment_4107,axiom,(
    ! [VarCurr] :
      ( v16834(VarCurr,bitIndex2)
    <=> v16878(VarCurr,bitIndex2) ) )).

fof(addAssignment_4106,axiom,(
    ! [VarCurr] :
      ( v16836(VarCurr,bitIndex2)
    <=> v16838(VarCurr,bitIndex2) ) )).

fof(addAssignment_4105,axiom,(
    ! [VarCurr] :
      ( v16838(VarCurr,bitIndex2)
    <=> v16840(VarCurr,bitIndex2) ) )).

fof(addAssignment_4104,axiom,(
    ! [VarCurr] :
      ( v16840(VarCurr,bitIndex2)
    <=> v16842(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_673,axiom,(
    ! [VarCurr] :
      ( v16842(VarCurr,bitIndex2)
    <=> ( v17858(VarCurr)
        | v17116(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_672,axiom,(
    ! [VarCurr] :
      ( v17858(VarCurr)
    <=> ( v17859(VarCurr)
        | v17116(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_671,axiom,(
    ! [VarCurr] :
      ( v17859(VarCurr)
    <=> ( v17116(VarCurr,bitIndex0)
        | v17116(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_670,axiom,(
    ! [VarCurr] :
      ( v17116(VarCurr,bitIndex3)
    <=> ( v17699(VarCurr)
      <~> v17855(VarCurr) ) ) )).

fof(writeUnaryOperator_1830,axiom,(
    ! [VarCurr] :
      ( ~ v17855(VarCurr)
    <=> v17148(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4242,axiom,(
    ! [VarCurr] :
      ( v17699(VarCurr)
    <=> ( v17701(VarCurr)
        & v17854(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4241,axiom,(
    ! [VarCurr] :
      ( v17854(VarCurr)
    <=> ( v17703(VarCurr)
        | v17779(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4240,axiom,(
    ! [VarCurr] :
      ( v17701(VarCurr)
    <=> ( v17702(VarCurr)
        | v17778(VarCurr) ) ) )).

fof(writeUnaryOperator_1829,axiom,(
    ! [VarCurr] :
      ( ~ v17778(VarCurr)
    <=> v17779(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4239,axiom,(
    ! [VarCurr] :
      ( v17779(VarCurr)
    <=> ( v17780(VarCurr)
        & v17853(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4238,axiom,(
    ! [VarCurr] :
      ( v17853(VarCurr)
    <=> ( v17782(VarCurr)
        | v17798(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4237,axiom,(
    ! [VarCurr] :
      ( v17780(VarCurr)
    <=> ( v17781(VarCurr)
        | v17797(VarCurr) ) ) )).

fof(writeUnaryOperator_1828,axiom,(
    ! [VarCurr] :
      ( ~ v17797(VarCurr)
    <=> v17798(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4236,axiom,(
    ! [VarCurr] :
      ( v17798(VarCurr)
    <=> ( v17799(VarCurr)
        & v17852(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4235,axiom,(
    ! [VarCurr] :
      ( v17852(VarCurr)
    <=> ( v17801(VarCurr)
        | v17817(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4234,axiom,(
    ! [VarCurr] :
      ( v17799(VarCurr)
    <=> ( v17800(VarCurr)
        | v17816(VarCurr) ) ) )).

fof(writeUnaryOperator_1827,axiom,(
    ! [VarCurr] :
      ( ~ v17816(VarCurr)
    <=> v17817(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4233,axiom,(
    ! [VarCurr] :
      ( v17817(VarCurr)
    <=> ( v17818(VarCurr)
        & v17851(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4232,axiom,(
    ! [VarCurr] :
      ( v17851(VarCurr)
    <=> ( v17820(VarCurr)
        | v17836(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4231,axiom,(
    ! [VarCurr] :
      ( v17818(VarCurr)
    <=> ( v17819(VarCurr)
        | v17835(VarCurr) ) ) )).

fof(writeUnaryOperator_1826,axiom,(
    ! [VarCurr] :
      ( ~ v17835(VarCurr)
    <=> v17836(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4230,axiom,(
    ! [VarCurr] :
      ( v17836(VarCurr)
    <=> ( v17837(VarCurr)
        & v17850(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_669,axiom,(
    ! [VarCurr] :
      ( v17850(VarCurr)
    <=> ( v17118(VarCurr,bitIndex119)
        | v17840(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4229,axiom,(
    ! [VarCurr] :
      ( v17837(VarCurr)
    <=> ( v17838(VarCurr)
        | v17839(VarCurr) ) ) )).

fof(writeUnaryOperator_1825,axiom,(
    ! [VarCurr] :
      ( ~ v17839(VarCurr)
    <=> v17840(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4228,axiom,(
    ! [VarCurr] :
      ( v17840(VarCurr)
    <=> ( v17841(VarCurr)
        & v17849(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_668,axiom,(
    ! [VarCurr] :
      ( v17849(VarCurr)
    <=> ( v17118(VarCurr,bitIndex118)
        | v17844(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4227,axiom,(
    ! [VarCurr] :
      ( v17841(VarCurr)
    <=> ( v17842(VarCurr)
        | v17843(VarCurr) ) ) )).

fof(writeUnaryOperator_1824,axiom,(
    ! [VarCurr] :
      ( ~ v17843(VarCurr)
    <=> v17844(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4226,axiom,(
    ! [VarCurr] :
      ( v17844(VarCurr)
    <=> ( v17845(VarCurr)
        & v17848(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_667,axiom,(
    ! [VarCurr] :
      ( v17848(VarCurr)
    <=> ( v17118(VarCurr,bitIndex116)
        | v17118(VarCurr,bitIndex117) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4225,axiom,(
    ! [VarCurr] :
      ( v17845(VarCurr)
    <=> ( v17846(VarCurr)
        | v17847(VarCurr) ) ) )).

fof(writeUnaryOperator_1823,axiom,(
    ! [VarCurr] :
      ( ~ v17847(VarCurr)
    <=> v17118(VarCurr,bitIndex117) ) )).

fof(writeUnaryOperator_1822,axiom,(
    ! [VarCurr] :
      ( ~ v17846(VarCurr)
    <=> v17118(VarCurr,bitIndex116) ) )).

fof(writeUnaryOperator_1821,axiom,(
    ! [VarCurr] :
      ( ~ v17842(VarCurr)
    <=> v17118(VarCurr,bitIndex118) ) )).

fof(writeUnaryOperator_1820,axiom,(
    ! [VarCurr] :
      ( ~ v17838(VarCurr)
    <=> v17118(VarCurr,bitIndex119) ) )).

fof(writeUnaryOperator_1819,axiom,(
    ! [VarCurr] :
      ( ~ v17819(VarCurr)
    <=> v17820(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4224,axiom,(
    ! [VarCurr] :
      ( v17820(VarCurr)
    <=> ( v17821(VarCurr)
        & v17834(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_666,axiom,(
    ! [VarCurr] :
      ( v17834(VarCurr)
    <=> ( v17118(VarCurr,bitIndex115)
        | v17824(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4223,axiom,(
    ! [VarCurr] :
      ( v17821(VarCurr)
    <=> ( v17822(VarCurr)
        | v17823(VarCurr) ) ) )).

fof(writeUnaryOperator_1818,axiom,(
    ! [VarCurr] :
      ( ~ v17823(VarCurr)
    <=> v17824(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4222,axiom,(
    ! [VarCurr] :
      ( v17824(VarCurr)
    <=> ( v17825(VarCurr)
        & v17833(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_665,axiom,(
    ! [VarCurr] :
      ( v17833(VarCurr)
    <=> ( v17118(VarCurr,bitIndex114)
        | v17828(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4221,axiom,(
    ! [VarCurr] :
      ( v17825(VarCurr)
    <=> ( v17826(VarCurr)
        | v17827(VarCurr) ) ) )).

fof(writeUnaryOperator_1817,axiom,(
    ! [VarCurr] :
      ( ~ v17827(VarCurr)
    <=> v17828(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4220,axiom,(
    ! [VarCurr] :
      ( v17828(VarCurr)
    <=> ( v17829(VarCurr)
        & v17832(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_664,axiom,(
    ! [VarCurr] :
      ( v17832(VarCurr)
    <=> ( v17118(VarCurr,bitIndex112)
        | v17118(VarCurr,bitIndex113) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4219,axiom,(
    ! [VarCurr] :
      ( v17829(VarCurr)
    <=> ( v17830(VarCurr)
        | v17831(VarCurr) ) ) )).

fof(writeUnaryOperator_1816,axiom,(
    ! [VarCurr] :
      ( ~ v17831(VarCurr)
    <=> v17118(VarCurr,bitIndex113) ) )).

fof(writeUnaryOperator_1815,axiom,(
    ! [VarCurr] :
      ( ~ v17830(VarCurr)
    <=> v17118(VarCurr,bitIndex112) ) )).

fof(writeUnaryOperator_1814,axiom,(
    ! [VarCurr] :
      ( ~ v17826(VarCurr)
    <=> v17118(VarCurr,bitIndex114) ) )).

fof(writeUnaryOperator_1813,axiom,(
    ! [VarCurr] :
      ( ~ v17822(VarCurr)
    <=> v17118(VarCurr,bitIndex115) ) )).

fof(writeUnaryOperator_1812,axiom,(
    ! [VarCurr] :
      ( ~ v17800(VarCurr)
    <=> v17801(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4218,axiom,(
    ! [VarCurr] :
      ( v17801(VarCurr)
    <=> ( v17802(VarCurr)
        & v17815(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_663,axiom,(
    ! [VarCurr] :
      ( v17815(VarCurr)
    <=> ( v17118(VarCurr,bitIndex123)
        | v17805(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4217,axiom,(
    ! [VarCurr] :
      ( v17802(VarCurr)
    <=> ( v17803(VarCurr)
        | v17804(VarCurr) ) ) )).

fof(writeUnaryOperator_1811,axiom,(
    ! [VarCurr] :
      ( ~ v17804(VarCurr)
    <=> v17805(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4216,axiom,(
    ! [VarCurr] :
      ( v17805(VarCurr)
    <=> ( v17806(VarCurr)
        & v17814(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_662,axiom,(
    ! [VarCurr] :
      ( v17814(VarCurr)
    <=> ( v17118(VarCurr,bitIndex122)
        | v17809(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4215,axiom,(
    ! [VarCurr] :
      ( v17806(VarCurr)
    <=> ( v17807(VarCurr)
        | v17808(VarCurr) ) ) )).

fof(writeUnaryOperator_1810,axiom,(
    ! [VarCurr] :
      ( ~ v17808(VarCurr)
    <=> v17809(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4214,axiom,(
    ! [VarCurr] :
      ( v17809(VarCurr)
    <=> ( v17810(VarCurr)
        & v17813(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_661,axiom,(
    ! [VarCurr] :
      ( v17813(VarCurr)
    <=> ( v17118(VarCurr,bitIndex120)
        | v17118(VarCurr,bitIndex121) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4213,axiom,(
    ! [VarCurr] :
      ( v17810(VarCurr)
    <=> ( v17811(VarCurr)
        | v17812(VarCurr) ) ) )).

fof(writeUnaryOperator_1809,axiom,(
    ! [VarCurr] :
      ( ~ v17812(VarCurr)
    <=> v17118(VarCurr,bitIndex121) ) )).

fof(writeUnaryOperator_1808,axiom,(
    ! [VarCurr] :
      ( ~ v17811(VarCurr)
    <=> v17118(VarCurr,bitIndex120) ) )).

fof(writeUnaryOperator_1807,axiom,(
    ! [VarCurr] :
      ( ~ v17807(VarCurr)
    <=> v17118(VarCurr,bitIndex122) ) )).

fof(writeUnaryOperator_1806,axiom,(
    ! [VarCurr] :
      ( ~ v17803(VarCurr)
    <=> v17118(VarCurr,bitIndex123) ) )).

fof(writeUnaryOperator_1805,axiom,(
    ! [VarCurr] :
      ( ~ v17781(VarCurr)
    <=> v17782(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4212,axiom,(
    ! [VarCurr] :
      ( v17782(VarCurr)
    <=> ( v17783(VarCurr)
        & v17796(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_660,axiom,(
    ! [VarCurr] :
      ( v17796(VarCurr)
    <=> ( v17118(VarCurr,bitIndex127)
        | v17786(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4211,axiom,(
    ! [VarCurr] :
      ( v17783(VarCurr)
    <=> ( v17784(VarCurr)
        | v17785(VarCurr) ) ) )).

fof(writeUnaryOperator_1804,axiom,(
    ! [VarCurr] :
      ( ~ v17785(VarCurr)
    <=> v17786(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4210,axiom,(
    ! [VarCurr] :
      ( v17786(VarCurr)
    <=> ( v17787(VarCurr)
        & v17795(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_659,axiom,(
    ! [VarCurr] :
      ( v17795(VarCurr)
    <=> ( v17118(VarCurr,bitIndex126)
        | v17790(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4209,axiom,(
    ! [VarCurr] :
      ( v17787(VarCurr)
    <=> ( v17788(VarCurr)
        | v17789(VarCurr) ) ) )).

fof(writeUnaryOperator_1803,axiom,(
    ! [VarCurr] :
      ( ~ v17789(VarCurr)
    <=> v17790(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4208,axiom,(
    ! [VarCurr] :
      ( v17790(VarCurr)
    <=> ( v17791(VarCurr)
        & v17794(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_658,axiom,(
    ! [VarCurr] :
      ( v17794(VarCurr)
    <=> ( v17118(VarCurr,bitIndex124)
        | v17118(VarCurr,bitIndex125) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4207,axiom,(
    ! [VarCurr] :
      ( v17791(VarCurr)
    <=> ( v17792(VarCurr)
        | v17793(VarCurr) ) ) )).

fof(writeUnaryOperator_1802,axiom,(
    ! [VarCurr] :
      ( ~ v17793(VarCurr)
    <=> v17118(VarCurr,bitIndex125) ) )).

fof(writeUnaryOperator_1801,axiom,(
    ! [VarCurr] :
      ( ~ v17792(VarCurr)
    <=> v17118(VarCurr,bitIndex124) ) )).

fof(writeUnaryOperator_1800,axiom,(
    ! [VarCurr] :
      ( ~ v17788(VarCurr)
    <=> v17118(VarCurr,bitIndex126) ) )).

fof(writeUnaryOperator_1799,axiom,(
    ! [VarCurr] :
      ( ~ v17784(VarCurr)
    <=> v17118(VarCurr,bitIndex127) ) )).

fof(writeUnaryOperator_1798,axiom,(
    ! [VarCurr] :
      ( ~ v17702(VarCurr)
    <=> v17703(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4206,axiom,(
    ! [VarCurr] :
      ( v17703(VarCurr)
    <=> ( v17704(VarCurr)
        & v17777(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4205,axiom,(
    ! [VarCurr] :
      ( v17777(VarCurr)
    <=> ( v17706(VarCurr)
        | v17722(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4204,axiom,(
    ! [VarCurr] :
      ( v17704(VarCurr)
    <=> ( v17705(VarCurr)
        | v17721(VarCurr) ) ) )).

fof(writeUnaryOperator_1797,axiom,(
    ! [VarCurr] :
      ( ~ v17721(VarCurr)
    <=> v17722(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4203,axiom,(
    ! [VarCurr] :
      ( v17722(VarCurr)
    <=> ( v17723(VarCurr)
        & v17776(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4202,axiom,(
    ! [VarCurr] :
      ( v17776(VarCurr)
    <=> ( v17725(VarCurr)
        | v17741(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4201,axiom,(
    ! [VarCurr] :
      ( v17723(VarCurr)
    <=> ( v17724(VarCurr)
        | v17740(VarCurr) ) ) )).

fof(writeUnaryOperator_1796,axiom,(
    ! [VarCurr] :
      ( ~ v17740(VarCurr)
    <=> v17741(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4200,axiom,(
    ! [VarCurr] :
      ( v17741(VarCurr)
    <=> ( v17742(VarCurr)
        & v17775(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4199,axiom,(
    ! [VarCurr] :
      ( v17775(VarCurr)
    <=> ( v17744(VarCurr)
        | v17760(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4198,axiom,(
    ! [VarCurr] :
      ( v17742(VarCurr)
    <=> ( v17743(VarCurr)
        | v17759(VarCurr) ) ) )).

fof(writeUnaryOperator_1795,axiom,(
    ! [VarCurr] :
      ( ~ v17759(VarCurr)
    <=> v17760(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4197,axiom,(
    ! [VarCurr] :
      ( v17760(VarCurr)
    <=> ( v17761(VarCurr)
        & v17774(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_657,axiom,(
    ! [VarCurr] :
      ( v17774(VarCurr)
    <=> ( v17118(VarCurr,bitIndex103)
        | v17764(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4196,axiom,(
    ! [VarCurr] :
      ( v17761(VarCurr)
    <=> ( v17762(VarCurr)
        | v17763(VarCurr) ) ) )).

fof(writeUnaryOperator_1794,axiom,(
    ! [VarCurr] :
      ( ~ v17763(VarCurr)
    <=> v17764(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4195,axiom,(
    ! [VarCurr] :
      ( v17764(VarCurr)
    <=> ( v17765(VarCurr)
        & v17773(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_656,axiom,(
    ! [VarCurr] :
      ( v17773(VarCurr)
    <=> ( v17118(VarCurr,bitIndex102)
        | v17768(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4194,axiom,(
    ! [VarCurr] :
      ( v17765(VarCurr)
    <=> ( v17766(VarCurr)
        | v17767(VarCurr) ) ) )).

fof(writeUnaryOperator_1793,axiom,(
    ! [VarCurr] :
      ( ~ v17767(VarCurr)
    <=> v17768(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4193,axiom,(
    ! [VarCurr] :
      ( v17768(VarCurr)
    <=> ( v17769(VarCurr)
        & v17772(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_655,axiom,(
    ! [VarCurr] :
      ( v17772(VarCurr)
    <=> ( v17118(VarCurr,bitIndex100)
        | v17118(VarCurr,bitIndex101) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4192,axiom,(
    ! [VarCurr] :
      ( v17769(VarCurr)
    <=> ( v17770(VarCurr)
        | v17771(VarCurr) ) ) )).

fof(writeUnaryOperator_1792,axiom,(
    ! [VarCurr] :
      ( ~ v17771(VarCurr)
    <=> v17118(VarCurr,bitIndex101) ) )).

fof(writeUnaryOperator_1791,axiom,(
    ! [VarCurr] :
      ( ~ v17770(VarCurr)
    <=> v17118(VarCurr,bitIndex100) ) )).

fof(writeUnaryOperator_1790,axiom,(
    ! [VarCurr] :
      ( ~ v17766(VarCurr)
    <=> v17118(VarCurr,bitIndex102) ) )).

fof(writeUnaryOperator_1789,axiom,(
    ! [VarCurr] :
      ( ~ v17762(VarCurr)
    <=> v17118(VarCurr,bitIndex103) ) )).

fof(writeUnaryOperator_1788,axiom,(
    ! [VarCurr] :
      ( ~ v17743(VarCurr)
    <=> v17744(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4191,axiom,(
    ! [VarCurr] :
      ( v17744(VarCurr)
    <=> ( v17745(VarCurr)
        & v17758(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_654,axiom,(
    ! [VarCurr] :
      ( v17758(VarCurr)
    <=> ( v17118(VarCurr,bitIndex99)
        | v17748(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4190,axiom,(
    ! [VarCurr] :
      ( v17745(VarCurr)
    <=> ( v17746(VarCurr)
        | v17747(VarCurr) ) ) )).

fof(writeUnaryOperator_1787,axiom,(
    ! [VarCurr] :
      ( ~ v17747(VarCurr)
    <=> v17748(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4189,axiom,(
    ! [VarCurr] :
      ( v17748(VarCurr)
    <=> ( v17749(VarCurr)
        & v17757(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_653,axiom,(
    ! [VarCurr] :
      ( v17757(VarCurr)
    <=> ( v17118(VarCurr,bitIndex98)
        | v17752(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4188,axiom,(
    ! [VarCurr] :
      ( v17749(VarCurr)
    <=> ( v17750(VarCurr)
        | v17751(VarCurr) ) ) )).

fof(writeUnaryOperator_1786,axiom,(
    ! [VarCurr] :
      ( ~ v17751(VarCurr)
    <=> v17752(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4187,axiom,(
    ! [VarCurr] :
      ( v17752(VarCurr)
    <=> ( v17753(VarCurr)
        & v17756(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_652,axiom,(
    ! [VarCurr] :
      ( v17756(VarCurr)
    <=> ( v17118(VarCurr,bitIndex96)
        | v17118(VarCurr,bitIndex97) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4186,axiom,(
    ! [VarCurr] :
      ( v17753(VarCurr)
    <=> ( v17754(VarCurr)
        | v17755(VarCurr) ) ) )).

fof(writeUnaryOperator_1785,axiom,(
    ! [VarCurr] :
      ( ~ v17755(VarCurr)
    <=> v17118(VarCurr,bitIndex97) ) )).

fof(writeUnaryOperator_1784,axiom,(
    ! [VarCurr] :
      ( ~ v17754(VarCurr)
    <=> v17118(VarCurr,bitIndex96) ) )).

fof(writeUnaryOperator_1783,axiom,(
    ! [VarCurr] :
      ( ~ v17750(VarCurr)
    <=> v17118(VarCurr,bitIndex98) ) )).

fof(writeUnaryOperator_1782,axiom,(
    ! [VarCurr] :
      ( ~ v17746(VarCurr)
    <=> v17118(VarCurr,bitIndex99) ) )).

fof(writeUnaryOperator_1781,axiom,(
    ! [VarCurr] :
      ( ~ v17724(VarCurr)
    <=> v17725(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4185,axiom,(
    ! [VarCurr] :
      ( v17725(VarCurr)
    <=> ( v17726(VarCurr)
        & v17739(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_651,axiom,(
    ! [VarCurr] :
      ( v17739(VarCurr)
    <=> ( v17118(VarCurr,bitIndex107)
        | v17729(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4184,axiom,(
    ! [VarCurr] :
      ( v17726(VarCurr)
    <=> ( v17727(VarCurr)
        | v17728(VarCurr) ) ) )).

fof(writeUnaryOperator_1780,axiom,(
    ! [VarCurr] :
      ( ~ v17728(VarCurr)
    <=> v17729(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4183,axiom,(
    ! [VarCurr] :
      ( v17729(VarCurr)
    <=> ( v17730(VarCurr)
        & v17738(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_650,axiom,(
    ! [VarCurr] :
      ( v17738(VarCurr)
    <=> ( v17118(VarCurr,bitIndex106)
        | v17733(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4182,axiom,(
    ! [VarCurr] :
      ( v17730(VarCurr)
    <=> ( v17731(VarCurr)
        | v17732(VarCurr) ) ) )).

fof(writeUnaryOperator_1779,axiom,(
    ! [VarCurr] :
      ( ~ v17732(VarCurr)
    <=> v17733(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4181,axiom,(
    ! [VarCurr] :
      ( v17733(VarCurr)
    <=> ( v17734(VarCurr)
        & v17737(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_649,axiom,(
    ! [VarCurr] :
      ( v17737(VarCurr)
    <=> ( v17118(VarCurr,bitIndex104)
        | v17118(VarCurr,bitIndex105) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4180,axiom,(
    ! [VarCurr] :
      ( v17734(VarCurr)
    <=> ( v17735(VarCurr)
        | v17736(VarCurr) ) ) )).

fof(writeUnaryOperator_1778,axiom,(
    ! [VarCurr] :
      ( ~ v17736(VarCurr)
    <=> v17118(VarCurr,bitIndex105) ) )).

fof(writeUnaryOperator_1777,axiom,(
    ! [VarCurr] :
      ( ~ v17735(VarCurr)
    <=> v17118(VarCurr,bitIndex104) ) )).

fof(writeUnaryOperator_1776,axiom,(
    ! [VarCurr] :
      ( ~ v17731(VarCurr)
    <=> v17118(VarCurr,bitIndex106) ) )).

fof(writeUnaryOperator_1775,axiom,(
    ! [VarCurr] :
      ( ~ v17727(VarCurr)
    <=> v17118(VarCurr,bitIndex107) ) )).

fof(writeUnaryOperator_1774,axiom,(
    ! [VarCurr] :
      ( ~ v17705(VarCurr)
    <=> v17706(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4179,axiom,(
    ! [VarCurr] :
      ( v17706(VarCurr)
    <=> ( v17707(VarCurr)
        & v17720(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_648,axiom,(
    ! [VarCurr] :
      ( v17720(VarCurr)
    <=> ( v17118(VarCurr,bitIndex111)
        | v17710(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4178,axiom,(
    ! [VarCurr] :
      ( v17707(VarCurr)
    <=> ( v17708(VarCurr)
        | v17709(VarCurr) ) ) )).

fof(writeUnaryOperator_1773,axiom,(
    ! [VarCurr] :
      ( ~ v17709(VarCurr)
    <=> v17710(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4177,axiom,(
    ! [VarCurr] :
      ( v17710(VarCurr)
    <=> ( v17711(VarCurr)
        & v17719(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_647,axiom,(
    ! [VarCurr] :
      ( v17719(VarCurr)
    <=> ( v17118(VarCurr,bitIndex110)
        | v17714(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4176,axiom,(
    ! [VarCurr] :
      ( v17711(VarCurr)
    <=> ( v17712(VarCurr)
        | v17713(VarCurr) ) ) )).

fof(writeUnaryOperator_1772,axiom,(
    ! [VarCurr] :
      ( ~ v17713(VarCurr)
    <=> v17714(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4175,axiom,(
    ! [VarCurr] :
      ( v17714(VarCurr)
    <=> ( v17715(VarCurr)
        & v17718(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_646,axiom,(
    ! [VarCurr] :
      ( v17718(VarCurr)
    <=> ( v17118(VarCurr,bitIndex108)
        | v17118(VarCurr,bitIndex109) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4174,axiom,(
    ! [VarCurr] :
      ( v17715(VarCurr)
    <=> ( v17716(VarCurr)
        | v17717(VarCurr) ) ) )).

fof(writeUnaryOperator_1771,axiom,(
    ! [VarCurr] :
      ( ~ v17717(VarCurr)
    <=> v17118(VarCurr,bitIndex109) ) )).

fof(writeUnaryOperator_1770,axiom,(
    ! [VarCurr] :
      ( ~ v17716(VarCurr)
    <=> v17118(VarCurr,bitIndex108) ) )).

fof(writeUnaryOperator_1769,axiom,(
    ! [VarCurr] :
      ( ~ v17712(VarCurr)
    <=> v17118(VarCurr,bitIndex110) ) )).

fof(writeUnaryOperator_1768,axiom,(
    ! [VarCurr] :
      ( ~ v17708(VarCurr)
    <=> v17118(VarCurr,bitIndex111) ) )).

fof(writeBinaryOperatorShiftedRanges_645,axiom,(
    ! [VarCurr] :
      ( v17116(VarCurr,bitIndex2)
    <=> ( v17541(VarCurr)
      <~> v17697(VarCurr) ) ) )).

fof(writeUnaryOperator_1767,axiom,(
    ! [VarCurr] :
      ( ~ v17697(VarCurr)
    <=> v17148(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4173,axiom,(
    ! [VarCurr] :
      ( v17541(VarCurr)
    <=> ( v17543(VarCurr)
        & v17696(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4172,axiom,(
    ! [VarCurr] :
      ( v17696(VarCurr)
    <=> ( v17545(VarCurr)
        | v17621(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4171,axiom,(
    ! [VarCurr] :
      ( v17543(VarCurr)
    <=> ( v17544(VarCurr)
        | v17620(VarCurr) ) ) )).

fof(writeUnaryOperator_1766,axiom,(
    ! [VarCurr] :
      ( ~ v17620(VarCurr)
    <=> v17621(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4170,axiom,(
    ! [VarCurr] :
      ( v17621(VarCurr)
    <=> ( v17622(VarCurr)
        & v17695(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4169,axiom,(
    ! [VarCurr] :
      ( v17695(VarCurr)
    <=> ( v17624(VarCurr)
        | v17640(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4168,axiom,(
    ! [VarCurr] :
      ( v17622(VarCurr)
    <=> ( v17623(VarCurr)
        | v17639(VarCurr) ) ) )).

fof(writeUnaryOperator_1765,axiom,(
    ! [VarCurr] :
      ( ~ v17639(VarCurr)
    <=> v17640(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4167,axiom,(
    ! [VarCurr] :
      ( v17640(VarCurr)
    <=> ( v17641(VarCurr)
        & v17694(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4166,axiom,(
    ! [VarCurr] :
      ( v17694(VarCurr)
    <=> ( v17643(VarCurr)
        | v17659(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4165,axiom,(
    ! [VarCurr] :
      ( v17641(VarCurr)
    <=> ( v17642(VarCurr)
        | v17658(VarCurr) ) ) )).

fof(writeUnaryOperator_1764,axiom,(
    ! [VarCurr] :
      ( ~ v17658(VarCurr)
    <=> v17659(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4164,axiom,(
    ! [VarCurr] :
      ( v17659(VarCurr)
    <=> ( v17660(VarCurr)
        & v17693(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4163,axiom,(
    ! [VarCurr] :
      ( v17693(VarCurr)
    <=> ( v17662(VarCurr)
        | v17678(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4162,axiom,(
    ! [VarCurr] :
      ( v17660(VarCurr)
    <=> ( v17661(VarCurr)
        | v17677(VarCurr) ) ) )).

fof(writeUnaryOperator_1763,axiom,(
    ! [VarCurr] :
      ( ~ v17677(VarCurr)
    <=> v17678(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4161,axiom,(
    ! [VarCurr] :
      ( v17678(VarCurr)
    <=> ( v17679(VarCurr)
        & v17692(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_644,axiom,(
    ! [VarCurr] :
      ( v17692(VarCurr)
    <=> ( v17118(VarCurr,bitIndex87)
        | v17682(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4160,axiom,(
    ! [VarCurr] :
      ( v17679(VarCurr)
    <=> ( v17680(VarCurr)
        | v17681(VarCurr) ) ) )).

fof(writeUnaryOperator_1762,axiom,(
    ! [VarCurr] :
      ( ~ v17681(VarCurr)
    <=> v17682(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4159,axiom,(
    ! [VarCurr] :
      ( v17682(VarCurr)
    <=> ( v17683(VarCurr)
        & v17691(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_643,axiom,(
    ! [VarCurr] :
      ( v17691(VarCurr)
    <=> ( v17118(VarCurr,bitIndex86)
        | v17686(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4158,axiom,(
    ! [VarCurr] :
      ( v17683(VarCurr)
    <=> ( v17684(VarCurr)
        | v17685(VarCurr) ) ) )).

fof(writeUnaryOperator_1761,axiom,(
    ! [VarCurr] :
      ( ~ v17685(VarCurr)
    <=> v17686(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4157,axiom,(
    ! [VarCurr] :
      ( v17686(VarCurr)
    <=> ( v17687(VarCurr)
        & v17690(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_642,axiom,(
    ! [VarCurr] :
      ( v17690(VarCurr)
    <=> ( v17118(VarCurr,bitIndex84)
        | v17118(VarCurr,bitIndex85) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4156,axiom,(
    ! [VarCurr] :
      ( v17687(VarCurr)
    <=> ( v17688(VarCurr)
        | v17689(VarCurr) ) ) )).

fof(writeUnaryOperator_1760,axiom,(
    ! [VarCurr] :
      ( ~ v17689(VarCurr)
    <=> v17118(VarCurr,bitIndex85) ) )).

fof(writeUnaryOperator_1759,axiom,(
    ! [VarCurr] :
      ( ~ v17688(VarCurr)
    <=> v17118(VarCurr,bitIndex84) ) )).

fof(writeUnaryOperator_1758,axiom,(
    ! [VarCurr] :
      ( ~ v17684(VarCurr)
    <=> v17118(VarCurr,bitIndex86) ) )).

fof(writeUnaryOperator_1757,axiom,(
    ! [VarCurr] :
      ( ~ v17680(VarCurr)
    <=> v17118(VarCurr,bitIndex87) ) )).

fof(writeUnaryOperator_1756,axiom,(
    ! [VarCurr] :
      ( ~ v17661(VarCurr)
    <=> v17662(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4155,axiom,(
    ! [VarCurr] :
      ( v17662(VarCurr)
    <=> ( v17663(VarCurr)
        & v17676(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_641,axiom,(
    ! [VarCurr] :
      ( v17676(VarCurr)
    <=> ( v17118(VarCurr,bitIndex83)
        | v17666(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4154,axiom,(
    ! [VarCurr] :
      ( v17663(VarCurr)
    <=> ( v17664(VarCurr)
        | v17665(VarCurr) ) ) )).

fof(writeUnaryOperator_1755,axiom,(
    ! [VarCurr] :
      ( ~ v17665(VarCurr)
    <=> v17666(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4153,axiom,(
    ! [VarCurr] :
      ( v17666(VarCurr)
    <=> ( v17667(VarCurr)
        & v17675(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_640,axiom,(
    ! [VarCurr] :
      ( v17675(VarCurr)
    <=> ( v17118(VarCurr,bitIndex82)
        | v17670(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4152,axiom,(
    ! [VarCurr] :
      ( v17667(VarCurr)
    <=> ( v17668(VarCurr)
        | v17669(VarCurr) ) ) )).

fof(writeUnaryOperator_1754,axiom,(
    ! [VarCurr] :
      ( ~ v17669(VarCurr)
    <=> v17670(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4151,axiom,(
    ! [VarCurr] :
      ( v17670(VarCurr)
    <=> ( v17671(VarCurr)
        & v17674(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_639,axiom,(
    ! [VarCurr] :
      ( v17674(VarCurr)
    <=> ( v17118(VarCurr,bitIndex80)
        | v17118(VarCurr,bitIndex81) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4150,axiom,(
    ! [VarCurr] :
      ( v17671(VarCurr)
    <=> ( v17672(VarCurr)
        | v17673(VarCurr) ) ) )).

fof(writeUnaryOperator_1753,axiom,(
    ! [VarCurr] :
      ( ~ v17673(VarCurr)
    <=> v17118(VarCurr,bitIndex81) ) )).

fof(writeUnaryOperator_1752,axiom,(
    ! [VarCurr] :
      ( ~ v17672(VarCurr)
    <=> v17118(VarCurr,bitIndex80) ) )).

fof(writeUnaryOperator_1751,axiom,(
    ! [VarCurr] :
      ( ~ v17668(VarCurr)
    <=> v17118(VarCurr,bitIndex82) ) )).

fof(writeUnaryOperator_1750,axiom,(
    ! [VarCurr] :
      ( ~ v17664(VarCurr)
    <=> v17118(VarCurr,bitIndex83) ) )).

fof(writeUnaryOperator_1749,axiom,(
    ! [VarCurr] :
      ( ~ v17642(VarCurr)
    <=> v17643(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4149,axiom,(
    ! [VarCurr] :
      ( v17643(VarCurr)
    <=> ( v17644(VarCurr)
        & v17657(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_638,axiom,(
    ! [VarCurr] :
      ( v17657(VarCurr)
    <=> ( v17118(VarCurr,bitIndex91)
        | v17647(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4148,axiom,(
    ! [VarCurr] :
      ( v17644(VarCurr)
    <=> ( v17645(VarCurr)
        | v17646(VarCurr) ) ) )).

fof(writeUnaryOperator_1748,axiom,(
    ! [VarCurr] :
      ( ~ v17646(VarCurr)
    <=> v17647(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4147,axiom,(
    ! [VarCurr] :
      ( v17647(VarCurr)
    <=> ( v17648(VarCurr)
        & v17656(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_637,axiom,(
    ! [VarCurr] :
      ( v17656(VarCurr)
    <=> ( v17118(VarCurr,bitIndex90)
        | v17651(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4146,axiom,(
    ! [VarCurr] :
      ( v17648(VarCurr)
    <=> ( v17649(VarCurr)
        | v17650(VarCurr) ) ) )).

fof(writeUnaryOperator_1747,axiom,(
    ! [VarCurr] :
      ( ~ v17650(VarCurr)
    <=> v17651(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4145,axiom,(
    ! [VarCurr] :
      ( v17651(VarCurr)
    <=> ( v17652(VarCurr)
        & v17655(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_636,axiom,(
    ! [VarCurr] :
      ( v17655(VarCurr)
    <=> ( v17118(VarCurr,bitIndex88)
        | v17118(VarCurr,bitIndex89) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4144,axiom,(
    ! [VarCurr] :
      ( v17652(VarCurr)
    <=> ( v17653(VarCurr)
        | v17654(VarCurr) ) ) )).

fof(writeUnaryOperator_1746,axiom,(
    ! [VarCurr] :
      ( ~ v17654(VarCurr)
    <=> v17118(VarCurr,bitIndex89) ) )).

fof(writeUnaryOperator_1745,axiom,(
    ! [VarCurr] :
      ( ~ v17653(VarCurr)
    <=> v17118(VarCurr,bitIndex88) ) )).

fof(writeUnaryOperator_1744,axiom,(
    ! [VarCurr] :
      ( ~ v17649(VarCurr)
    <=> v17118(VarCurr,bitIndex90) ) )).

fof(writeUnaryOperator_1743,axiom,(
    ! [VarCurr] :
      ( ~ v17645(VarCurr)
    <=> v17118(VarCurr,bitIndex91) ) )).

fof(writeUnaryOperator_1742,axiom,(
    ! [VarCurr] :
      ( ~ v17623(VarCurr)
    <=> v17624(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4143,axiom,(
    ! [VarCurr] :
      ( v17624(VarCurr)
    <=> ( v17625(VarCurr)
        & v17638(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_635,axiom,(
    ! [VarCurr] :
      ( v17638(VarCurr)
    <=> ( v17118(VarCurr,bitIndex95)
        | v17628(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4142,axiom,(
    ! [VarCurr] :
      ( v17625(VarCurr)
    <=> ( v17626(VarCurr)
        | v17627(VarCurr) ) ) )).

fof(writeUnaryOperator_1741,axiom,(
    ! [VarCurr] :
      ( ~ v17627(VarCurr)
    <=> v17628(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4141,axiom,(
    ! [VarCurr] :
      ( v17628(VarCurr)
    <=> ( v17629(VarCurr)
        & v17637(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_634,axiom,(
    ! [VarCurr] :
      ( v17637(VarCurr)
    <=> ( v17118(VarCurr,bitIndex94)
        | v17632(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4140,axiom,(
    ! [VarCurr] :
      ( v17629(VarCurr)
    <=> ( v17630(VarCurr)
        | v17631(VarCurr) ) ) )).

fof(writeUnaryOperator_1740,axiom,(
    ! [VarCurr] :
      ( ~ v17631(VarCurr)
    <=> v17632(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4139,axiom,(
    ! [VarCurr] :
      ( v17632(VarCurr)
    <=> ( v17633(VarCurr)
        & v17636(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_633,axiom,(
    ! [VarCurr] :
      ( v17636(VarCurr)
    <=> ( v17118(VarCurr,bitIndex92)
        | v17118(VarCurr,bitIndex93) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4138,axiom,(
    ! [VarCurr] :
      ( v17633(VarCurr)
    <=> ( v17634(VarCurr)
        | v17635(VarCurr) ) ) )).

fof(writeUnaryOperator_1739,axiom,(
    ! [VarCurr] :
      ( ~ v17635(VarCurr)
    <=> v17118(VarCurr,bitIndex93) ) )).

fof(writeUnaryOperator_1738,axiom,(
    ! [VarCurr] :
      ( ~ v17634(VarCurr)
    <=> v17118(VarCurr,bitIndex92) ) )).

fof(writeUnaryOperator_1737,axiom,(
    ! [VarCurr] :
      ( ~ v17630(VarCurr)
    <=> v17118(VarCurr,bitIndex94) ) )).

fof(writeUnaryOperator_1736,axiom,(
    ! [VarCurr] :
      ( ~ v17626(VarCurr)
    <=> v17118(VarCurr,bitIndex95) ) )).

fof(writeUnaryOperator_1735,axiom,(
    ! [VarCurr] :
      ( ~ v17544(VarCurr)
    <=> v17545(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4137,axiom,(
    ! [VarCurr] :
      ( v17545(VarCurr)
    <=> ( v17546(VarCurr)
        & v17619(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4136,axiom,(
    ! [VarCurr] :
      ( v17619(VarCurr)
    <=> ( v17548(VarCurr)
        | v17564(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4135,axiom,(
    ! [VarCurr] :
      ( v17546(VarCurr)
    <=> ( v17547(VarCurr)
        | v17563(VarCurr) ) ) )).

fof(writeUnaryOperator_1734,axiom,(
    ! [VarCurr] :
      ( ~ v17563(VarCurr)
    <=> v17564(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4134,axiom,(
    ! [VarCurr] :
      ( v17564(VarCurr)
    <=> ( v17565(VarCurr)
        & v17618(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4133,axiom,(
    ! [VarCurr] :
      ( v17618(VarCurr)
    <=> ( v17567(VarCurr)
        | v17583(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4132,axiom,(
    ! [VarCurr] :
      ( v17565(VarCurr)
    <=> ( v17566(VarCurr)
        | v17582(VarCurr) ) ) )).

fof(writeUnaryOperator_1733,axiom,(
    ! [VarCurr] :
      ( ~ v17582(VarCurr)
    <=> v17583(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4131,axiom,(
    ! [VarCurr] :
      ( v17583(VarCurr)
    <=> ( v17584(VarCurr)
        & v17617(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4130,axiom,(
    ! [VarCurr] :
      ( v17617(VarCurr)
    <=> ( v17586(VarCurr)
        | v17602(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4129,axiom,(
    ! [VarCurr] :
      ( v17584(VarCurr)
    <=> ( v17585(VarCurr)
        | v17601(VarCurr) ) ) )).

fof(writeUnaryOperator_1732,axiom,(
    ! [VarCurr] :
      ( ~ v17601(VarCurr)
    <=> v17602(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4128,axiom,(
    ! [VarCurr] :
      ( v17602(VarCurr)
    <=> ( v17603(VarCurr)
        & v17616(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_632,axiom,(
    ! [VarCurr] :
      ( v17616(VarCurr)
    <=> ( v17118(VarCurr,bitIndex71)
        | v17606(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4127,axiom,(
    ! [VarCurr] :
      ( v17603(VarCurr)
    <=> ( v17604(VarCurr)
        | v17605(VarCurr) ) ) )).

fof(writeUnaryOperator_1731,axiom,(
    ! [VarCurr] :
      ( ~ v17605(VarCurr)
    <=> v17606(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4126,axiom,(
    ! [VarCurr] :
      ( v17606(VarCurr)
    <=> ( v17607(VarCurr)
        & v17615(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_631,axiom,(
    ! [VarCurr] :
      ( v17615(VarCurr)
    <=> ( v17118(VarCurr,bitIndex70)
        | v17610(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4125,axiom,(
    ! [VarCurr] :
      ( v17607(VarCurr)
    <=> ( v17608(VarCurr)
        | v17609(VarCurr) ) ) )).

fof(writeUnaryOperator_1730,axiom,(
    ! [VarCurr] :
      ( ~ v17609(VarCurr)
    <=> v17610(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4124,axiom,(
    ! [VarCurr] :
      ( v17610(VarCurr)
    <=> ( v17611(VarCurr)
        & v17614(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_630,axiom,(
    ! [VarCurr] :
      ( v17614(VarCurr)
    <=> ( v17118(VarCurr,bitIndex68)
        | v17118(VarCurr,bitIndex69) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4123,axiom,(
    ! [VarCurr] :
      ( v17611(VarCurr)
    <=> ( v17612(VarCurr)
        | v17613(VarCurr) ) ) )).

fof(writeUnaryOperator_1729,axiom,(
    ! [VarCurr] :
      ( ~ v17613(VarCurr)
    <=> v17118(VarCurr,bitIndex69) ) )).

fof(writeUnaryOperator_1728,axiom,(
    ! [VarCurr] :
      ( ~ v17612(VarCurr)
    <=> v17118(VarCurr,bitIndex68) ) )).

fof(writeUnaryOperator_1727,axiom,(
    ! [VarCurr] :
      ( ~ v17608(VarCurr)
    <=> v17118(VarCurr,bitIndex70) ) )).

fof(writeUnaryOperator_1726,axiom,(
    ! [VarCurr] :
      ( ~ v17604(VarCurr)
    <=> v17118(VarCurr,bitIndex71) ) )).

fof(writeUnaryOperator_1725,axiom,(
    ! [VarCurr] :
      ( ~ v17585(VarCurr)
    <=> v17586(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4122,axiom,(
    ! [VarCurr] :
      ( v17586(VarCurr)
    <=> ( v17587(VarCurr)
        & v17600(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_629,axiom,(
    ! [VarCurr] :
      ( v17600(VarCurr)
    <=> ( v17118(VarCurr,bitIndex67)
        | v17590(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4121,axiom,(
    ! [VarCurr] :
      ( v17587(VarCurr)
    <=> ( v17588(VarCurr)
        | v17589(VarCurr) ) ) )).

fof(writeUnaryOperator_1724,axiom,(
    ! [VarCurr] :
      ( ~ v17589(VarCurr)
    <=> v17590(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4120,axiom,(
    ! [VarCurr] :
      ( v17590(VarCurr)
    <=> ( v17591(VarCurr)
        & v17599(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_628,axiom,(
    ! [VarCurr] :
      ( v17599(VarCurr)
    <=> ( v17118(VarCurr,bitIndex66)
        | v17594(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4119,axiom,(
    ! [VarCurr] :
      ( v17591(VarCurr)
    <=> ( v17592(VarCurr)
        | v17593(VarCurr) ) ) )).

fof(writeUnaryOperator_1723,axiom,(
    ! [VarCurr] :
      ( ~ v17593(VarCurr)
    <=> v17594(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4118,axiom,(
    ! [VarCurr] :
      ( v17594(VarCurr)
    <=> ( v17595(VarCurr)
        & v17598(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_627,axiom,(
    ! [VarCurr] :
      ( v17598(VarCurr)
    <=> ( v17118(VarCurr,bitIndex64)
        | v17118(VarCurr,bitIndex65) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4117,axiom,(
    ! [VarCurr] :
      ( v17595(VarCurr)
    <=> ( v17596(VarCurr)
        | v17597(VarCurr) ) ) )).

fof(writeUnaryOperator_1722,axiom,(
    ! [VarCurr] :
      ( ~ v17597(VarCurr)
    <=> v17118(VarCurr,bitIndex65) ) )).

fof(writeUnaryOperator_1721,axiom,(
    ! [VarCurr] :
      ( ~ v17596(VarCurr)
    <=> v17118(VarCurr,bitIndex64) ) )).

fof(writeUnaryOperator_1720,axiom,(
    ! [VarCurr] :
      ( ~ v17592(VarCurr)
    <=> v17118(VarCurr,bitIndex66) ) )).

fof(writeUnaryOperator_1719,axiom,(
    ! [VarCurr] :
      ( ~ v17588(VarCurr)
    <=> v17118(VarCurr,bitIndex67) ) )).

fof(writeUnaryOperator_1718,axiom,(
    ! [VarCurr] :
      ( ~ v17566(VarCurr)
    <=> v17567(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4116,axiom,(
    ! [VarCurr] :
      ( v17567(VarCurr)
    <=> ( v17568(VarCurr)
        & v17581(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_626,axiom,(
    ! [VarCurr] :
      ( v17581(VarCurr)
    <=> ( v17118(VarCurr,bitIndex75)
        | v17571(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4115,axiom,(
    ! [VarCurr] :
      ( v17568(VarCurr)
    <=> ( v17569(VarCurr)
        | v17570(VarCurr) ) ) )).

fof(writeUnaryOperator_1717,axiom,(
    ! [VarCurr] :
      ( ~ v17570(VarCurr)
    <=> v17571(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4114,axiom,(
    ! [VarCurr] :
      ( v17571(VarCurr)
    <=> ( v17572(VarCurr)
        & v17580(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_625,axiom,(
    ! [VarCurr] :
      ( v17580(VarCurr)
    <=> ( v17118(VarCurr,bitIndex74)
        | v17575(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4113,axiom,(
    ! [VarCurr] :
      ( v17572(VarCurr)
    <=> ( v17573(VarCurr)
        | v17574(VarCurr) ) ) )).

fof(writeUnaryOperator_1716,axiom,(
    ! [VarCurr] :
      ( ~ v17574(VarCurr)
    <=> v17575(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4112,axiom,(
    ! [VarCurr] :
      ( v17575(VarCurr)
    <=> ( v17576(VarCurr)
        & v17579(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_624,axiom,(
    ! [VarCurr] :
      ( v17579(VarCurr)
    <=> ( v17118(VarCurr,bitIndex72)
        | v17118(VarCurr,bitIndex73) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4111,axiom,(
    ! [VarCurr] :
      ( v17576(VarCurr)
    <=> ( v17577(VarCurr)
        | v17578(VarCurr) ) ) )).

fof(writeUnaryOperator_1715,axiom,(
    ! [VarCurr] :
      ( ~ v17578(VarCurr)
    <=> v17118(VarCurr,bitIndex73) ) )).

fof(writeUnaryOperator_1714,axiom,(
    ! [VarCurr] :
      ( ~ v17577(VarCurr)
    <=> v17118(VarCurr,bitIndex72) ) )).

fof(writeUnaryOperator_1713,axiom,(
    ! [VarCurr] :
      ( ~ v17573(VarCurr)
    <=> v17118(VarCurr,bitIndex74) ) )).

fof(writeUnaryOperator_1712,axiom,(
    ! [VarCurr] :
      ( ~ v17569(VarCurr)
    <=> v17118(VarCurr,bitIndex75) ) )).

fof(writeUnaryOperator_1711,axiom,(
    ! [VarCurr] :
      ( ~ v17547(VarCurr)
    <=> v17548(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4110,axiom,(
    ! [VarCurr] :
      ( v17548(VarCurr)
    <=> ( v17549(VarCurr)
        & v17562(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_623,axiom,(
    ! [VarCurr] :
      ( v17562(VarCurr)
    <=> ( v17118(VarCurr,bitIndex79)
        | v17552(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4109,axiom,(
    ! [VarCurr] :
      ( v17549(VarCurr)
    <=> ( v17550(VarCurr)
        | v17551(VarCurr) ) ) )).

fof(writeUnaryOperator_1710,axiom,(
    ! [VarCurr] :
      ( ~ v17551(VarCurr)
    <=> v17552(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4108,axiom,(
    ! [VarCurr] :
      ( v17552(VarCurr)
    <=> ( v17553(VarCurr)
        & v17561(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_622,axiom,(
    ! [VarCurr] :
      ( v17561(VarCurr)
    <=> ( v17118(VarCurr,bitIndex78)
        | v17556(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4107,axiom,(
    ! [VarCurr] :
      ( v17553(VarCurr)
    <=> ( v17554(VarCurr)
        | v17555(VarCurr) ) ) )).

fof(writeUnaryOperator_1709,axiom,(
    ! [VarCurr] :
      ( ~ v17555(VarCurr)
    <=> v17556(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4106,axiom,(
    ! [VarCurr] :
      ( v17556(VarCurr)
    <=> ( v17557(VarCurr)
        & v17560(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_621,axiom,(
    ! [VarCurr] :
      ( v17560(VarCurr)
    <=> ( v17118(VarCurr,bitIndex76)
        | v17118(VarCurr,bitIndex77) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4105,axiom,(
    ! [VarCurr] :
      ( v17557(VarCurr)
    <=> ( v17558(VarCurr)
        | v17559(VarCurr) ) ) )).

fof(writeUnaryOperator_1708,axiom,(
    ! [VarCurr] :
      ( ~ v17559(VarCurr)
    <=> v17118(VarCurr,bitIndex77) ) )).

fof(writeUnaryOperator_1707,axiom,(
    ! [VarCurr] :
      ( ~ v17558(VarCurr)
    <=> v17118(VarCurr,bitIndex76) ) )).

fof(writeUnaryOperator_1706,axiom,(
    ! [VarCurr] :
      ( ~ v17554(VarCurr)
    <=> v17118(VarCurr,bitIndex78) ) )).

fof(writeUnaryOperator_1705,axiom,(
    ! [VarCurr] :
      ( ~ v17550(VarCurr)
    <=> v17118(VarCurr,bitIndex79) ) )).

fof(writeBinaryOperatorShiftedRanges_620,axiom,(
    ! [VarCurr] :
      ( v17116(VarCurr,bitIndex1)
    <=> ( v17383(VarCurr)
      <~> v17539(VarCurr) ) ) )).

fof(writeUnaryOperator_1704,axiom,(
    ! [VarCurr] :
      ( ~ v17539(VarCurr)
    <=> v17148(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4104,axiom,(
    ! [VarCurr] :
      ( v17383(VarCurr)
    <=> ( v17385(VarCurr)
        & v17538(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4103,axiom,(
    ! [VarCurr] :
      ( v17538(VarCurr)
    <=> ( v17387(VarCurr)
        | v17463(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4102,axiom,(
    ! [VarCurr] :
      ( v17385(VarCurr)
    <=> ( v17386(VarCurr)
        | v17462(VarCurr) ) ) )).

fof(writeUnaryOperator_1703,axiom,(
    ! [VarCurr] :
      ( ~ v17462(VarCurr)
    <=> v17463(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4101,axiom,(
    ! [VarCurr] :
      ( v17463(VarCurr)
    <=> ( v17464(VarCurr)
        & v17537(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4100,axiom,(
    ! [VarCurr] :
      ( v17537(VarCurr)
    <=> ( v17466(VarCurr)
        | v17482(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4099,axiom,(
    ! [VarCurr] :
      ( v17464(VarCurr)
    <=> ( v17465(VarCurr)
        | v17481(VarCurr) ) ) )).

fof(writeUnaryOperator_1702,axiom,(
    ! [VarCurr] :
      ( ~ v17481(VarCurr)
    <=> v17482(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4098,axiom,(
    ! [VarCurr] :
      ( v17482(VarCurr)
    <=> ( v17483(VarCurr)
        & v17536(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4097,axiom,(
    ! [VarCurr] :
      ( v17536(VarCurr)
    <=> ( v17485(VarCurr)
        | v17501(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4096,axiom,(
    ! [VarCurr] :
      ( v17483(VarCurr)
    <=> ( v17484(VarCurr)
        | v17500(VarCurr) ) ) )).

fof(writeUnaryOperator_1701,axiom,(
    ! [VarCurr] :
      ( ~ v17500(VarCurr)
    <=> v17501(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4095,axiom,(
    ! [VarCurr] :
      ( v17501(VarCurr)
    <=> ( v17502(VarCurr)
        & v17535(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4094,axiom,(
    ! [VarCurr] :
      ( v17535(VarCurr)
    <=> ( v17504(VarCurr)
        | v17520(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4093,axiom,(
    ! [VarCurr] :
      ( v17502(VarCurr)
    <=> ( v17503(VarCurr)
        | v17519(VarCurr) ) ) )).

fof(writeUnaryOperator_1700,axiom,(
    ! [VarCurr] :
      ( ~ v17519(VarCurr)
    <=> v17520(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4092,axiom,(
    ! [VarCurr] :
      ( v17520(VarCurr)
    <=> ( v17521(VarCurr)
        & v17534(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_619,axiom,(
    ! [VarCurr] :
      ( v17534(VarCurr)
    <=> ( v17118(VarCurr,bitIndex55)
        | v17524(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4091,axiom,(
    ! [VarCurr] :
      ( v17521(VarCurr)
    <=> ( v17522(VarCurr)
        | v17523(VarCurr) ) ) )).

fof(writeUnaryOperator_1699,axiom,(
    ! [VarCurr] :
      ( ~ v17523(VarCurr)
    <=> v17524(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4090,axiom,(
    ! [VarCurr] :
      ( v17524(VarCurr)
    <=> ( v17525(VarCurr)
        & v17533(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_618,axiom,(
    ! [VarCurr] :
      ( v17533(VarCurr)
    <=> ( v17118(VarCurr,bitIndex54)
        | v17528(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4089,axiom,(
    ! [VarCurr] :
      ( v17525(VarCurr)
    <=> ( v17526(VarCurr)
        | v17527(VarCurr) ) ) )).

fof(writeUnaryOperator_1698,axiom,(
    ! [VarCurr] :
      ( ~ v17527(VarCurr)
    <=> v17528(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4088,axiom,(
    ! [VarCurr] :
      ( v17528(VarCurr)
    <=> ( v17529(VarCurr)
        & v17532(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_617,axiom,(
    ! [VarCurr] :
      ( v17532(VarCurr)
    <=> ( v17118(VarCurr,bitIndex52)
        | v17118(VarCurr,bitIndex53) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4087,axiom,(
    ! [VarCurr] :
      ( v17529(VarCurr)
    <=> ( v17530(VarCurr)
        | v17531(VarCurr) ) ) )).

fof(writeUnaryOperator_1697,axiom,(
    ! [VarCurr] :
      ( ~ v17531(VarCurr)
    <=> v17118(VarCurr,bitIndex53) ) )).

fof(writeUnaryOperator_1696,axiom,(
    ! [VarCurr] :
      ( ~ v17530(VarCurr)
    <=> v17118(VarCurr,bitIndex52) ) )).

fof(writeUnaryOperator_1695,axiom,(
    ! [VarCurr] :
      ( ~ v17526(VarCurr)
    <=> v17118(VarCurr,bitIndex54) ) )).

fof(writeUnaryOperator_1694,axiom,(
    ! [VarCurr] :
      ( ~ v17522(VarCurr)
    <=> v17118(VarCurr,bitIndex55) ) )).

fof(writeUnaryOperator_1693,axiom,(
    ! [VarCurr] :
      ( ~ v17503(VarCurr)
    <=> v17504(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4086,axiom,(
    ! [VarCurr] :
      ( v17504(VarCurr)
    <=> ( v17505(VarCurr)
        & v17518(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_616,axiom,(
    ! [VarCurr] :
      ( v17518(VarCurr)
    <=> ( v17118(VarCurr,bitIndex51)
        | v17508(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4085,axiom,(
    ! [VarCurr] :
      ( v17505(VarCurr)
    <=> ( v17506(VarCurr)
        | v17507(VarCurr) ) ) )).

fof(writeUnaryOperator_1692,axiom,(
    ! [VarCurr] :
      ( ~ v17507(VarCurr)
    <=> v17508(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4084,axiom,(
    ! [VarCurr] :
      ( v17508(VarCurr)
    <=> ( v17509(VarCurr)
        & v17517(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_615,axiom,(
    ! [VarCurr] :
      ( v17517(VarCurr)
    <=> ( v17118(VarCurr,bitIndex50)
        | v17512(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4083,axiom,(
    ! [VarCurr] :
      ( v17509(VarCurr)
    <=> ( v17510(VarCurr)
        | v17511(VarCurr) ) ) )).

fof(writeUnaryOperator_1691,axiom,(
    ! [VarCurr] :
      ( ~ v17511(VarCurr)
    <=> v17512(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4082,axiom,(
    ! [VarCurr] :
      ( v17512(VarCurr)
    <=> ( v17513(VarCurr)
        & v17516(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_614,axiom,(
    ! [VarCurr] :
      ( v17516(VarCurr)
    <=> ( v17118(VarCurr,bitIndex48)
        | v17118(VarCurr,bitIndex49) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4081,axiom,(
    ! [VarCurr] :
      ( v17513(VarCurr)
    <=> ( v17514(VarCurr)
        | v17515(VarCurr) ) ) )).

fof(writeUnaryOperator_1690,axiom,(
    ! [VarCurr] :
      ( ~ v17515(VarCurr)
    <=> v17118(VarCurr,bitIndex49) ) )).

fof(writeUnaryOperator_1689,axiom,(
    ! [VarCurr] :
      ( ~ v17514(VarCurr)
    <=> v17118(VarCurr,bitIndex48) ) )).

fof(writeUnaryOperator_1688,axiom,(
    ! [VarCurr] :
      ( ~ v17510(VarCurr)
    <=> v17118(VarCurr,bitIndex50) ) )).

fof(writeUnaryOperator_1687,axiom,(
    ! [VarCurr] :
      ( ~ v17506(VarCurr)
    <=> v17118(VarCurr,bitIndex51) ) )).

fof(writeUnaryOperator_1686,axiom,(
    ! [VarCurr] :
      ( ~ v17484(VarCurr)
    <=> v17485(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4080,axiom,(
    ! [VarCurr] :
      ( v17485(VarCurr)
    <=> ( v17486(VarCurr)
        & v17499(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_613,axiom,(
    ! [VarCurr] :
      ( v17499(VarCurr)
    <=> ( v17118(VarCurr,bitIndex59)
        | v17489(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4079,axiom,(
    ! [VarCurr] :
      ( v17486(VarCurr)
    <=> ( v17487(VarCurr)
        | v17488(VarCurr) ) ) )).

fof(writeUnaryOperator_1685,axiom,(
    ! [VarCurr] :
      ( ~ v17488(VarCurr)
    <=> v17489(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4078,axiom,(
    ! [VarCurr] :
      ( v17489(VarCurr)
    <=> ( v17490(VarCurr)
        & v17498(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_612,axiom,(
    ! [VarCurr] :
      ( v17498(VarCurr)
    <=> ( v17118(VarCurr,bitIndex58)
        | v17493(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4077,axiom,(
    ! [VarCurr] :
      ( v17490(VarCurr)
    <=> ( v17491(VarCurr)
        | v17492(VarCurr) ) ) )).

fof(writeUnaryOperator_1684,axiom,(
    ! [VarCurr] :
      ( ~ v17492(VarCurr)
    <=> v17493(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4076,axiom,(
    ! [VarCurr] :
      ( v17493(VarCurr)
    <=> ( v17494(VarCurr)
        & v17497(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_611,axiom,(
    ! [VarCurr] :
      ( v17497(VarCurr)
    <=> ( v17118(VarCurr,bitIndex56)
        | v17118(VarCurr,bitIndex57) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4075,axiom,(
    ! [VarCurr] :
      ( v17494(VarCurr)
    <=> ( v17495(VarCurr)
        | v17496(VarCurr) ) ) )).

fof(writeUnaryOperator_1683,axiom,(
    ! [VarCurr] :
      ( ~ v17496(VarCurr)
    <=> v17118(VarCurr,bitIndex57) ) )).

fof(writeUnaryOperator_1682,axiom,(
    ! [VarCurr] :
      ( ~ v17495(VarCurr)
    <=> v17118(VarCurr,bitIndex56) ) )).

fof(writeUnaryOperator_1681,axiom,(
    ! [VarCurr] :
      ( ~ v17491(VarCurr)
    <=> v17118(VarCurr,bitIndex58) ) )).

fof(writeUnaryOperator_1680,axiom,(
    ! [VarCurr] :
      ( ~ v17487(VarCurr)
    <=> v17118(VarCurr,bitIndex59) ) )).

fof(writeUnaryOperator_1679,axiom,(
    ! [VarCurr] :
      ( ~ v17465(VarCurr)
    <=> v17466(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4074,axiom,(
    ! [VarCurr] :
      ( v17466(VarCurr)
    <=> ( v17467(VarCurr)
        & v17480(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_610,axiom,(
    ! [VarCurr] :
      ( v17480(VarCurr)
    <=> ( v17118(VarCurr,bitIndex63)
        | v17470(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4073,axiom,(
    ! [VarCurr] :
      ( v17467(VarCurr)
    <=> ( v17468(VarCurr)
        | v17469(VarCurr) ) ) )).

fof(writeUnaryOperator_1678,axiom,(
    ! [VarCurr] :
      ( ~ v17469(VarCurr)
    <=> v17470(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4072,axiom,(
    ! [VarCurr] :
      ( v17470(VarCurr)
    <=> ( v17471(VarCurr)
        & v17479(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_609,axiom,(
    ! [VarCurr] :
      ( v17479(VarCurr)
    <=> ( v17118(VarCurr,bitIndex62)
        | v17474(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4071,axiom,(
    ! [VarCurr] :
      ( v17471(VarCurr)
    <=> ( v17472(VarCurr)
        | v17473(VarCurr) ) ) )).

fof(writeUnaryOperator_1677,axiom,(
    ! [VarCurr] :
      ( ~ v17473(VarCurr)
    <=> v17474(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4070,axiom,(
    ! [VarCurr] :
      ( v17474(VarCurr)
    <=> ( v17475(VarCurr)
        & v17478(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_608,axiom,(
    ! [VarCurr] :
      ( v17478(VarCurr)
    <=> ( v17118(VarCurr,bitIndex60)
        | v17118(VarCurr,bitIndex61) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4069,axiom,(
    ! [VarCurr] :
      ( v17475(VarCurr)
    <=> ( v17476(VarCurr)
        | v17477(VarCurr) ) ) )).

fof(writeUnaryOperator_1676,axiom,(
    ! [VarCurr] :
      ( ~ v17477(VarCurr)
    <=> v17118(VarCurr,bitIndex61) ) )).

fof(writeUnaryOperator_1675,axiom,(
    ! [VarCurr] :
      ( ~ v17476(VarCurr)
    <=> v17118(VarCurr,bitIndex60) ) )).

fof(writeUnaryOperator_1674,axiom,(
    ! [VarCurr] :
      ( ~ v17472(VarCurr)
    <=> v17118(VarCurr,bitIndex62) ) )).

fof(writeUnaryOperator_1673,axiom,(
    ! [VarCurr] :
      ( ~ v17468(VarCurr)
    <=> v17118(VarCurr,bitIndex63) ) )).

fof(writeUnaryOperator_1672,axiom,(
    ! [VarCurr] :
      ( ~ v17386(VarCurr)
    <=> v17387(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4068,axiom,(
    ! [VarCurr] :
      ( v17387(VarCurr)
    <=> ( v17388(VarCurr)
        & v17461(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4067,axiom,(
    ! [VarCurr] :
      ( v17461(VarCurr)
    <=> ( v17390(VarCurr)
        | v17406(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4066,axiom,(
    ! [VarCurr] :
      ( v17388(VarCurr)
    <=> ( v17389(VarCurr)
        | v17405(VarCurr) ) ) )).

fof(writeUnaryOperator_1671,axiom,(
    ! [VarCurr] :
      ( ~ v17405(VarCurr)
    <=> v17406(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4065,axiom,(
    ! [VarCurr] :
      ( v17406(VarCurr)
    <=> ( v17407(VarCurr)
        & v17460(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4064,axiom,(
    ! [VarCurr] :
      ( v17460(VarCurr)
    <=> ( v17409(VarCurr)
        | v17425(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4063,axiom,(
    ! [VarCurr] :
      ( v17407(VarCurr)
    <=> ( v17408(VarCurr)
        | v17424(VarCurr) ) ) )).

fof(writeUnaryOperator_1670,axiom,(
    ! [VarCurr] :
      ( ~ v17424(VarCurr)
    <=> v17425(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4062,axiom,(
    ! [VarCurr] :
      ( v17425(VarCurr)
    <=> ( v17426(VarCurr)
        & v17459(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4061,axiom,(
    ! [VarCurr] :
      ( v17459(VarCurr)
    <=> ( v17428(VarCurr)
        | v17444(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4060,axiom,(
    ! [VarCurr] :
      ( v17426(VarCurr)
    <=> ( v17427(VarCurr)
        | v17443(VarCurr) ) ) )).

fof(writeUnaryOperator_1669,axiom,(
    ! [VarCurr] :
      ( ~ v17443(VarCurr)
    <=> v17444(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4059,axiom,(
    ! [VarCurr] :
      ( v17444(VarCurr)
    <=> ( v17445(VarCurr)
        & v17458(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_607,axiom,(
    ! [VarCurr] :
      ( v17458(VarCurr)
    <=> ( v17118(VarCurr,bitIndex39)
        | v17448(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4058,axiom,(
    ! [VarCurr] :
      ( v17445(VarCurr)
    <=> ( v17446(VarCurr)
        | v17447(VarCurr) ) ) )).

fof(writeUnaryOperator_1668,axiom,(
    ! [VarCurr] :
      ( ~ v17447(VarCurr)
    <=> v17448(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4057,axiom,(
    ! [VarCurr] :
      ( v17448(VarCurr)
    <=> ( v17449(VarCurr)
        & v17457(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_606,axiom,(
    ! [VarCurr] :
      ( v17457(VarCurr)
    <=> ( v17118(VarCurr,bitIndex38)
        | v17452(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4056,axiom,(
    ! [VarCurr] :
      ( v17449(VarCurr)
    <=> ( v17450(VarCurr)
        | v17451(VarCurr) ) ) )).

fof(writeUnaryOperator_1667,axiom,(
    ! [VarCurr] :
      ( ~ v17451(VarCurr)
    <=> v17452(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4055,axiom,(
    ! [VarCurr] :
      ( v17452(VarCurr)
    <=> ( v17453(VarCurr)
        & v17456(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_605,axiom,(
    ! [VarCurr] :
      ( v17456(VarCurr)
    <=> ( v17118(VarCurr,bitIndex36)
        | v17118(VarCurr,bitIndex37) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4054,axiom,(
    ! [VarCurr] :
      ( v17453(VarCurr)
    <=> ( v17454(VarCurr)
        | v17455(VarCurr) ) ) )).

fof(writeUnaryOperator_1666,axiom,(
    ! [VarCurr] :
      ( ~ v17455(VarCurr)
    <=> v17118(VarCurr,bitIndex37) ) )).

fof(writeUnaryOperator_1665,axiom,(
    ! [VarCurr] :
      ( ~ v17454(VarCurr)
    <=> v17118(VarCurr,bitIndex36) ) )).

fof(writeUnaryOperator_1664,axiom,(
    ! [VarCurr] :
      ( ~ v17450(VarCurr)
    <=> v17118(VarCurr,bitIndex38) ) )).

fof(writeUnaryOperator_1663,axiom,(
    ! [VarCurr] :
      ( ~ v17446(VarCurr)
    <=> v17118(VarCurr,bitIndex39) ) )).

fof(writeUnaryOperator_1662,axiom,(
    ! [VarCurr] :
      ( ~ v17427(VarCurr)
    <=> v17428(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4053,axiom,(
    ! [VarCurr] :
      ( v17428(VarCurr)
    <=> ( v17429(VarCurr)
        & v17442(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_604,axiom,(
    ! [VarCurr] :
      ( v17442(VarCurr)
    <=> ( v17118(VarCurr,bitIndex35)
        | v17432(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4052,axiom,(
    ! [VarCurr] :
      ( v17429(VarCurr)
    <=> ( v17430(VarCurr)
        | v17431(VarCurr) ) ) )).

fof(writeUnaryOperator_1661,axiom,(
    ! [VarCurr] :
      ( ~ v17431(VarCurr)
    <=> v17432(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4051,axiom,(
    ! [VarCurr] :
      ( v17432(VarCurr)
    <=> ( v17433(VarCurr)
        & v17441(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_603,axiom,(
    ! [VarCurr] :
      ( v17441(VarCurr)
    <=> ( v17118(VarCurr,bitIndex34)
        | v17436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4050,axiom,(
    ! [VarCurr] :
      ( v17433(VarCurr)
    <=> ( v17434(VarCurr)
        | v17435(VarCurr) ) ) )).

fof(writeUnaryOperator_1660,axiom,(
    ! [VarCurr] :
      ( ~ v17435(VarCurr)
    <=> v17436(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4049,axiom,(
    ! [VarCurr] :
      ( v17436(VarCurr)
    <=> ( v17437(VarCurr)
        & v17440(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_602,axiom,(
    ! [VarCurr] :
      ( v17440(VarCurr)
    <=> ( v17118(VarCurr,bitIndex32)
        | v17118(VarCurr,bitIndex33) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4048,axiom,(
    ! [VarCurr] :
      ( v17437(VarCurr)
    <=> ( v17438(VarCurr)
        | v17439(VarCurr) ) ) )).

fof(writeUnaryOperator_1659,axiom,(
    ! [VarCurr] :
      ( ~ v17439(VarCurr)
    <=> v17118(VarCurr,bitIndex33) ) )).

fof(writeUnaryOperator_1658,axiom,(
    ! [VarCurr] :
      ( ~ v17438(VarCurr)
    <=> v17118(VarCurr,bitIndex32) ) )).

fof(writeUnaryOperator_1657,axiom,(
    ! [VarCurr] :
      ( ~ v17434(VarCurr)
    <=> v17118(VarCurr,bitIndex34) ) )).

fof(writeUnaryOperator_1656,axiom,(
    ! [VarCurr] :
      ( ~ v17430(VarCurr)
    <=> v17118(VarCurr,bitIndex35) ) )).

fof(writeUnaryOperator_1655,axiom,(
    ! [VarCurr] :
      ( ~ v17408(VarCurr)
    <=> v17409(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4047,axiom,(
    ! [VarCurr] :
      ( v17409(VarCurr)
    <=> ( v17410(VarCurr)
        & v17423(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_601,axiom,(
    ! [VarCurr] :
      ( v17423(VarCurr)
    <=> ( v17118(VarCurr,bitIndex43)
        | v17413(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4046,axiom,(
    ! [VarCurr] :
      ( v17410(VarCurr)
    <=> ( v17411(VarCurr)
        | v17412(VarCurr) ) ) )).

fof(writeUnaryOperator_1654,axiom,(
    ! [VarCurr] :
      ( ~ v17412(VarCurr)
    <=> v17413(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4045,axiom,(
    ! [VarCurr] :
      ( v17413(VarCurr)
    <=> ( v17414(VarCurr)
        & v17422(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_600,axiom,(
    ! [VarCurr] :
      ( v17422(VarCurr)
    <=> ( v17118(VarCurr,bitIndex42)
        | v17417(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4044,axiom,(
    ! [VarCurr] :
      ( v17414(VarCurr)
    <=> ( v17415(VarCurr)
        | v17416(VarCurr) ) ) )).

fof(writeUnaryOperator_1653,axiom,(
    ! [VarCurr] :
      ( ~ v17416(VarCurr)
    <=> v17417(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4043,axiom,(
    ! [VarCurr] :
      ( v17417(VarCurr)
    <=> ( v17418(VarCurr)
        & v17421(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_599,axiom,(
    ! [VarCurr] :
      ( v17421(VarCurr)
    <=> ( v17118(VarCurr,bitIndex40)
        | v17118(VarCurr,bitIndex41) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4042,axiom,(
    ! [VarCurr] :
      ( v17418(VarCurr)
    <=> ( v17419(VarCurr)
        | v17420(VarCurr) ) ) )).

fof(writeUnaryOperator_1652,axiom,(
    ! [VarCurr] :
      ( ~ v17420(VarCurr)
    <=> v17118(VarCurr,bitIndex41) ) )).

fof(writeUnaryOperator_1651,axiom,(
    ! [VarCurr] :
      ( ~ v17419(VarCurr)
    <=> v17118(VarCurr,bitIndex40) ) )).

fof(writeUnaryOperator_1650,axiom,(
    ! [VarCurr] :
      ( ~ v17415(VarCurr)
    <=> v17118(VarCurr,bitIndex42) ) )).

fof(writeUnaryOperator_1649,axiom,(
    ! [VarCurr] :
      ( ~ v17411(VarCurr)
    <=> v17118(VarCurr,bitIndex43) ) )).

fof(writeUnaryOperator_1648,axiom,(
    ! [VarCurr] :
      ( ~ v17389(VarCurr)
    <=> v17390(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4041,axiom,(
    ! [VarCurr] :
      ( v17390(VarCurr)
    <=> ( v17391(VarCurr)
        & v17404(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_598,axiom,(
    ! [VarCurr] :
      ( v17404(VarCurr)
    <=> ( v17118(VarCurr,bitIndex47)
        | v17394(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4040,axiom,(
    ! [VarCurr] :
      ( v17391(VarCurr)
    <=> ( v17392(VarCurr)
        | v17393(VarCurr) ) ) )).

fof(writeUnaryOperator_1647,axiom,(
    ! [VarCurr] :
      ( ~ v17393(VarCurr)
    <=> v17394(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4039,axiom,(
    ! [VarCurr] :
      ( v17394(VarCurr)
    <=> ( v17395(VarCurr)
        & v17403(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_597,axiom,(
    ! [VarCurr] :
      ( v17403(VarCurr)
    <=> ( v17118(VarCurr,bitIndex46)
        | v17398(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4038,axiom,(
    ! [VarCurr] :
      ( v17395(VarCurr)
    <=> ( v17396(VarCurr)
        | v17397(VarCurr) ) ) )).

fof(writeUnaryOperator_1646,axiom,(
    ! [VarCurr] :
      ( ~ v17397(VarCurr)
    <=> v17398(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4037,axiom,(
    ! [VarCurr] :
      ( v17398(VarCurr)
    <=> ( v17399(VarCurr)
        & v17402(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_596,axiom,(
    ! [VarCurr] :
      ( v17402(VarCurr)
    <=> ( v17118(VarCurr,bitIndex44)
        | v17118(VarCurr,bitIndex45) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4036,axiom,(
    ! [VarCurr] :
      ( v17399(VarCurr)
    <=> ( v17400(VarCurr)
        | v17401(VarCurr) ) ) )).

fof(writeUnaryOperator_1645,axiom,(
    ! [VarCurr] :
      ( ~ v17401(VarCurr)
    <=> v17118(VarCurr,bitIndex45) ) )).

fof(writeUnaryOperator_1644,axiom,(
    ! [VarCurr] :
      ( ~ v17400(VarCurr)
    <=> v17118(VarCurr,bitIndex44) ) )).

fof(writeUnaryOperator_1643,axiom,(
    ! [VarCurr] :
      ( ~ v17396(VarCurr)
    <=> v17118(VarCurr,bitIndex46) ) )).

fof(writeUnaryOperator_1642,axiom,(
    ! [VarCurr] :
      ( ~ v17392(VarCurr)
    <=> v17118(VarCurr,bitIndex47) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4035,axiom,(
    ! [VarCurr] :
      ( v17116(VarCurr,bitIndex0)
    <=> ( v17225(VarCurr)
      <~> v17381(VarCurr) ) ) )).

fof(writeUnaryOperator_1641,axiom,(
    ! [VarCurr] :
      ( ~ v17381(VarCurr)
    <=> v17148(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4034,axiom,(
    ! [VarCurr] :
      ( v17225(VarCurr)
    <=> ( v17227(VarCurr)
        & v17380(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4033,axiom,(
    ! [VarCurr] :
      ( v17380(VarCurr)
    <=> ( v17229(VarCurr)
        | v17305(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4032,axiom,(
    ! [VarCurr] :
      ( v17227(VarCurr)
    <=> ( v17228(VarCurr)
        | v17304(VarCurr) ) ) )).

fof(writeUnaryOperator_1640,axiom,(
    ! [VarCurr] :
      ( ~ v17304(VarCurr)
    <=> v17305(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4031,axiom,(
    ! [VarCurr] :
      ( v17305(VarCurr)
    <=> ( v17306(VarCurr)
        & v17379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4030,axiom,(
    ! [VarCurr] :
      ( v17379(VarCurr)
    <=> ( v17308(VarCurr)
        | v17324(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4029,axiom,(
    ! [VarCurr] :
      ( v17306(VarCurr)
    <=> ( v17307(VarCurr)
        | v17323(VarCurr) ) ) )).

fof(writeUnaryOperator_1639,axiom,(
    ! [VarCurr] :
      ( ~ v17323(VarCurr)
    <=> v17324(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4028,axiom,(
    ! [VarCurr] :
      ( v17324(VarCurr)
    <=> ( v17325(VarCurr)
        & v17378(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4027,axiom,(
    ! [VarCurr] :
      ( v17378(VarCurr)
    <=> ( v17327(VarCurr)
        | v17343(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4026,axiom,(
    ! [VarCurr] :
      ( v17325(VarCurr)
    <=> ( v17326(VarCurr)
        | v17342(VarCurr) ) ) )).

fof(writeUnaryOperator_1638,axiom,(
    ! [VarCurr] :
      ( ~ v17342(VarCurr)
    <=> v17343(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4025,axiom,(
    ! [VarCurr] :
      ( v17343(VarCurr)
    <=> ( v17344(VarCurr)
        & v17377(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4024,axiom,(
    ! [VarCurr] :
      ( v17377(VarCurr)
    <=> ( v17346(VarCurr)
        | v17362(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4023,axiom,(
    ! [VarCurr] :
      ( v17344(VarCurr)
    <=> ( v17345(VarCurr)
        | v17361(VarCurr) ) ) )).

fof(writeUnaryOperator_1637,axiom,(
    ! [VarCurr] :
      ( ~ v17361(VarCurr)
    <=> v17362(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4022,axiom,(
    ! [VarCurr] :
      ( v17362(VarCurr)
    <=> ( v17363(VarCurr)
        & v17376(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_595,axiom,(
    ! [VarCurr] :
      ( v17376(VarCurr)
    <=> ( v17118(VarCurr,bitIndex23)
        | v17366(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4021,axiom,(
    ! [VarCurr] :
      ( v17363(VarCurr)
    <=> ( v17364(VarCurr)
        | v17365(VarCurr) ) ) )).

fof(writeUnaryOperator_1636,axiom,(
    ! [VarCurr] :
      ( ~ v17365(VarCurr)
    <=> v17366(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4020,axiom,(
    ! [VarCurr] :
      ( v17366(VarCurr)
    <=> ( v17367(VarCurr)
        & v17375(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_594,axiom,(
    ! [VarCurr] :
      ( v17375(VarCurr)
    <=> ( v17118(VarCurr,bitIndex22)
        | v17370(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4019,axiom,(
    ! [VarCurr] :
      ( v17367(VarCurr)
    <=> ( v17368(VarCurr)
        | v17369(VarCurr) ) ) )).

fof(writeUnaryOperator_1635,axiom,(
    ! [VarCurr] :
      ( ~ v17369(VarCurr)
    <=> v17370(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4018,axiom,(
    ! [VarCurr] :
      ( v17370(VarCurr)
    <=> ( v17371(VarCurr)
        & v17374(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_593,axiom,(
    ! [VarCurr] :
      ( v17374(VarCurr)
    <=> ( v17118(VarCurr,bitIndex20)
        | v17118(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4017,axiom,(
    ! [VarCurr] :
      ( v17371(VarCurr)
    <=> ( v17372(VarCurr)
        | v17373(VarCurr) ) ) )).

fof(writeUnaryOperator_1634,axiom,(
    ! [VarCurr] :
      ( ~ v17373(VarCurr)
    <=> v17118(VarCurr,bitIndex21) ) )).

fof(writeUnaryOperator_1633,axiom,(
    ! [VarCurr] :
      ( ~ v17372(VarCurr)
    <=> v17118(VarCurr,bitIndex20) ) )).

fof(writeUnaryOperator_1632,axiom,(
    ! [VarCurr] :
      ( ~ v17368(VarCurr)
    <=> v17118(VarCurr,bitIndex22) ) )).

fof(writeUnaryOperator_1631,axiom,(
    ! [VarCurr] :
      ( ~ v17364(VarCurr)
    <=> v17118(VarCurr,bitIndex23) ) )).

fof(writeUnaryOperator_1630,axiom,(
    ! [VarCurr] :
      ( ~ v17345(VarCurr)
    <=> v17346(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4016,axiom,(
    ! [VarCurr] :
      ( v17346(VarCurr)
    <=> ( v17347(VarCurr)
        & v17360(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_592,axiom,(
    ! [VarCurr] :
      ( v17360(VarCurr)
    <=> ( v17118(VarCurr,bitIndex19)
        | v17350(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4015,axiom,(
    ! [VarCurr] :
      ( v17347(VarCurr)
    <=> ( v17348(VarCurr)
        | v17349(VarCurr) ) ) )).

fof(writeUnaryOperator_1629,axiom,(
    ! [VarCurr] :
      ( ~ v17349(VarCurr)
    <=> v17350(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4014,axiom,(
    ! [VarCurr] :
      ( v17350(VarCurr)
    <=> ( v17351(VarCurr)
        & v17359(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_591,axiom,(
    ! [VarCurr] :
      ( v17359(VarCurr)
    <=> ( v17118(VarCurr,bitIndex18)
        | v17354(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4013,axiom,(
    ! [VarCurr] :
      ( v17351(VarCurr)
    <=> ( v17352(VarCurr)
        | v17353(VarCurr) ) ) )).

fof(writeUnaryOperator_1628,axiom,(
    ! [VarCurr] :
      ( ~ v17353(VarCurr)
    <=> v17354(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4012,axiom,(
    ! [VarCurr] :
      ( v17354(VarCurr)
    <=> ( v17355(VarCurr)
        & v17358(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_590,axiom,(
    ! [VarCurr] :
      ( v17358(VarCurr)
    <=> ( v17118(VarCurr,bitIndex16)
        | v17118(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4011,axiom,(
    ! [VarCurr] :
      ( v17355(VarCurr)
    <=> ( v17356(VarCurr)
        | v17357(VarCurr) ) ) )).

fof(writeUnaryOperator_1627,axiom,(
    ! [VarCurr] :
      ( ~ v17357(VarCurr)
    <=> v17118(VarCurr,bitIndex17) ) )).

fof(writeUnaryOperator_1626,axiom,(
    ! [VarCurr] :
      ( ~ v17356(VarCurr)
    <=> v17118(VarCurr,bitIndex16) ) )).

fof(writeUnaryOperator_1625,axiom,(
    ! [VarCurr] :
      ( ~ v17352(VarCurr)
    <=> v17118(VarCurr,bitIndex18) ) )).

fof(writeUnaryOperator_1624,axiom,(
    ! [VarCurr] :
      ( ~ v17348(VarCurr)
    <=> v17118(VarCurr,bitIndex19) ) )).

fof(writeUnaryOperator_1623,axiom,(
    ! [VarCurr] :
      ( ~ v17326(VarCurr)
    <=> v17327(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4010,axiom,(
    ! [VarCurr] :
      ( v17327(VarCurr)
    <=> ( v17328(VarCurr)
        & v17341(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_589,axiom,(
    ! [VarCurr] :
      ( v17341(VarCurr)
    <=> ( v17118(VarCurr,bitIndex27)
        | v17331(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4009,axiom,(
    ! [VarCurr] :
      ( v17328(VarCurr)
    <=> ( v17329(VarCurr)
        | v17330(VarCurr) ) ) )).

fof(writeUnaryOperator_1622,axiom,(
    ! [VarCurr] :
      ( ~ v17330(VarCurr)
    <=> v17331(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4008,axiom,(
    ! [VarCurr] :
      ( v17331(VarCurr)
    <=> ( v17332(VarCurr)
        & v17340(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_588,axiom,(
    ! [VarCurr] :
      ( v17340(VarCurr)
    <=> ( v17118(VarCurr,bitIndex26)
        | v17335(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4007,axiom,(
    ! [VarCurr] :
      ( v17332(VarCurr)
    <=> ( v17333(VarCurr)
        | v17334(VarCurr) ) ) )).

fof(writeUnaryOperator_1621,axiom,(
    ! [VarCurr] :
      ( ~ v17334(VarCurr)
    <=> v17335(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4006,axiom,(
    ! [VarCurr] :
      ( v17335(VarCurr)
    <=> ( v17336(VarCurr)
        & v17339(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_587,axiom,(
    ! [VarCurr] :
      ( v17339(VarCurr)
    <=> ( v17118(VarCurr,bitIndex24)
        | v17118(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4005,axiom,(
    ! [VarCurr] :
      ( v17336(VarCurr)
    <=> ( v17337(VarCurr)
        | v17338(VarCurr) ) ) )).

fof(writeUnaryOperator_1620,axiom,(
    ! [VarCurr] :
      ( ~ v17338(VarCurr)
    <=> v17118(VarCurr,bitIndex25) ) )).

fof(writeUnaryOperator_1619,axiom,(
    ! [VarCurr] :
      ( ~ v17337(VarCurr)
    <=> v17118(VarCurr,bitIndex24) ) )).

fof(writeUnaryOperator_1618,axiom,(
    ! [VarCurr] :
      ( ~ v17333(VarCurr)
    <=> v17118(VarCurr,bitIndex26) ) )).

fof(writeUnaryOperator_1617,axiom,(
    ! [VarCurr] :
      ( ~ v17329(VarCurr)
    <=> v17118(VarCurr,bitIndex27) ) )).

fof(writeUnaryOperator_1616,axiom,(
    ! [VarCurr] :
      ( ~ v17307(VarCurr)
    <=> v17308(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4004,axiom,(
    ! [VarCurr] :
      ( v17308(VarCurr)
    <=> ( v17309(VarCurr)
        & v17322(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_586,axiom,(
    ! [VarCurr] :
      ( v17322(VarCurr)
    <=> ( v17118(VarCurr,bitIndex31)
        | v17312(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4003,axiom,(
    ! [VarCurr] :
      ( v17309(VarCurr)
    <=> ( v17310(VarCurr)
        | v17311(VarCurr) ) ) )).

fof(writeUnaryOperator_1615,axiom,(
    ! [VarCurr] :
      ( ~ v17311(VarCurr)
    <=> v17312(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4002,axiom,(
    ! [VarCurr] :
      ( v17312(VarCurr)
    <=> ( v17313(VarCurr)
        & v17321(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_585,axiom,(
    ! [VarCurr] :
      ( v17321(VarCurr)
    <=> ( v17118(VarCurr,bitIndex30)
        | v17316(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4001,axiom,(
    ! [VarCurr] :
      ( v17313(VarCurr)
    <=> ( v17314(VarCurr)
        | v17315(VarCurr) ) ) )).

fof(writeUnaryOperator_1614,axiom,(
    ! [VarCurr] :
      ( ~ v17315(VarCurr)
    <=> v17316(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4000,axiom,(
    ! [VarCurr] :
      ( v17316(VarCurr)
    <=> ( v17317(VarCurr)
        & v17320(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_584,axiom,(
    ! [VarCurr] :
      ( v17320(VarCurr)
    <=> ( v17118(VarCurr,bitIndex28)
        | v17118(VarCurr,bitIndex29) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3999,axiom,(
    ! [VarCurr] :
      ( v17317(VarCurr)
    <=> ( v17318(VarCurr)
        | v17319(VarCurr) ) ) )).

fof(writeUnaryOperator_1613,axiom,(
    ! [VarCurr] :
      ( ~ v17319(VarCurr)
    <=> v17118(VarCurr,bitIndex29) ) )).

fof(writeUnaryOperator_1612,axiom,(
    ! [VarCurr] :
      ( ~ v17318(VarCurr)
    <=> v17118(VarCurr,bitIndex28) ) )).

fof(writeUnaryOperator_1611,axiom,(
    ! [VarCurr] :
      ( ~ v17314(VarCurr)
    <=> v17118(VarCurr,bitIndex30) ) )).

fof(writeUnaryOperator_1610,axiom,(
    ! [VarCurr] :
      ( ~ v17310(VarCurr)
    <=> v17118(VarCurr,bitIndex31) ) )).

fof(writeUnaryOperator_1609,axiom,(
    ! [VarCurr] :
      ( ~ v17228(VarCurr)
    <=> v17229(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3998,axiom,(
    ! [VarCurr] :
      ( v17229(VarCurr)
    <=> ( v17230(VarCurr)
        & v17303(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3997,axiom,(
    ! [VarCurr] :
      ( v17303(VarCurr)
    <=> ( v17232(VarCurr)
        | v17248(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3996,axiom,(
    ! [VarCurr] :
      ( v17230(VarCurr)
    <=> ( v17231(VarCurr)
        | v17247(VarCurr) ) ) )).

fof(writeUnaryOperator_1608,axiom,(
    ! [VarCurr] :
      ( ~ v17247(VarCurr)
    <=> v17248(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3995,axiom,(
    ! [VarCurr] :
      ( v17248(VarCurr)
    <=> ( v17249(VarCurr)
        & v17302(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3994,axiom,(
    ! [VarCurr] :
      ( v17302(VarCurr)
    <=> ( v17251(VarCurr)
        | v17267(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3993,axiom,(
    ! [VarCurr] :
      ( v17249(VarCurr)
    <=> ( v17250(VarCurr)
        | v17266(VarCurr) ) ) )).

fof(writeUnaryOperator_1607,axiom,(
    ! [VarCurr] :
      ( ~ v17266(VarCurr)
    <=> v17267(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3992,axiom,(
    ! [VarCurr] :
      ( v17267(VarCurr)
    <=> ( v17268(VarCurr)
        & v17301(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3991,axiom,(
    ! [VarCurr] :
      ( v17301(VarCurr)
    <=> ( v17270(VarCurr)
        | v17286(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3990,axiom,(
    ! [VarCurr] :
      ( v17268(VarCurr)
    <=> ( v17269(VarCurr)
        | v17285(VarCurr) ) ) )).

fof(writeUnaryOperator_1606,axiom,(
    ! [VarCurr] :
      ( ~ v17285(VarCurr)
    <=> v17286(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3989,axiom,(
    ! [VarCurr] :
      ( v17286(VarCurr)
    <=> ( v17287(VarCurr)
        & v17300(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_583,axiom,(
    ! [VarCurr] :
      ( v17300(VarCurr)
    <=> ( v17118(VarCurr,bitIndex7)
        | v17290(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3988,axiom,(
    ! [VarCurr] :
      ( v17287(VarCurr)
    <=> ( v17288(VarCurr)
        | v17289(VarCurr) ) ) )).

fof(writeUnaryOperator_1605,axiom,(
    ! [VarCurr] :
      ( ~ v17289(VarCurr)
    <=> v17290(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3987,axiom,(
    ! [VarCurr] :
      ( v17290(VarCurr)
    <=> ( v17291(VarCurr)
        & v17299(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_582,axiom,(
    ! [VarCurr] :
      ( v17299(VarCurr)
    <=> ( v17118(VarCurr,bitIndex6)
        | v17294(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3986,axiom,(
    ! [VarCurr] :
      ( v17291(VarCurr)
    <=> ( v17292(VarCurr)
        | v17293(VarCurr) ) ) )).

fof(writeUnaryOperator_1604,axiom,(
    ! [VarCurr] :
      ( ~ v17293(VarCurr)
    <=> v17294(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3985,axiom,(
    ! [VarCurr] :
      ( v17294(VarCurr)
    <=> ( v17295(VarCurr)
        & v17298(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_581,axiom,(
    ! [VarCurr] :
      ( v17298(VarCurr)
    <=> ( v17118(VarCurr,bitIndex4)
        | v17118(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3984,axiom,(
    ! [VarCurr] :
      ( v17295(VarCurr)
    <=> ( v17296(VarCurr)
        | v17297(VarCurr) ) ) )).

fof(writeUnaryOperator_1603,axiom,(
    ! [VarCurr] :
      ( ~ v17297(VarCurr)
    <=> v17118(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_1602,axiom,(
    ! [VarCurr] :
      ( ~ v17296(VarCurr)
    <=> v17118(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_1601,axiom,(
    ! [VarCurr] :
      ( ~ v17292(VarCurr)
    <=> v17118(VarCurr,bitIndex6) ) )).

fof(writeUnaryOperator_1600,axiom,(
    ! [VarCurr] :
      ( ~ v17288(VarCurr)
    <=> v17118(VarCurr,bitIndex7) ) )).

fof(writeUnaryOperator_1599,axiom,(
    ! [VarCurr] :
      ( ~ v17269(VarCurr)
    <=> v17270(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3983,axiom,(
    ! [VarCurr] :
      ( v17270(VarCurr)
    <=> ( v17271(VarCurr)
        & v17284(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_580,axiom,(
    ! [VarCurr] :
      ( v17284(VarCurr)
    <=> ( v17118(VarCurr,bitIndex3)
        | v17274(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3982,axiom,(
    ! [VarCurr] :
      ( v17271(VarCurr)
    <=> ( v17272(VarCurr)
        | v17273(VarCurr) ) ) )).

fof(writeUnaryOperator_1598,axiom,(
    ! [VarCurr] :
      ( ~ v17273(VarCurr)
    <=> v17274(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3981,axiom,(
    ! [VarCurr] :
      ( v17274(VarCurr)
    <=> ( v17275(VarCurr)
        & v17283(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_579,axiom,(
    ! [VarCurr] :
      ( v17283(VarCurr)
    <=> ( v17118(VarCurr,bitIndex2)
        | v17278(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3980,axiom,(
    ! [VarCurr] :
      ( v17275(VarCurr)
    <=> ( v17276(VarCurr)
        | v17277(VarCurr) ) ) )).

fof(writeUnaryOperator_1597,axiom,(
    ! [VarCurr] :
      ( ~ v17277(VarCurr)
    <=> v17278(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3979,axiom,(
    ! [VarCurr] :
      ( v17278(VarCurr)
    <=> ( v17279(VarCurr)
        & v17282(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_578,axiom,(
    ! [VarCurr] :
      ( v17282(VarCurr)
    <=> ( v17118(VarCurr,bitIndex0)
        | v17118(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3978,axiom,(
    ! [VarCurr] :
      ( v17279(VarCurr)
    <=> ( v17280(VarCurr)
        | v17281(VarCurr) ) ) )).

fof(writeUnaryOperator_1596,axiom,(
    ! [VarCurr] :
      ( ~ v17281(VarCurr)
    <=> v17118(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_1595,axiom,(
    ! [VarCurr] :
      ( ~ v17280(VarCurr)
    <=> v17118(VarCurr,bitIndex0) ) )).

fof(writeUnaryOperator_1594,axiom,(
    ! [VarCurr] :
      ( ~ v17276(VarCurr)
    <=> v17118(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_1593,axiom,(
    ! [VarCurr] :
      ( ~ v17272(VarCurr)
    <=> v17118(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_1592,axiom,(
    ! [VarCurr] :
      ( ~ v17250(VarCurr)
    <=> v17251(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3977,axiom,(
    ! [VarCurr] :
      ( v17251(VarCurr)
    <=> ( v17252(VarCurr)
        & v17265(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_577,axiom,(
    ! [VarCurr] :
      ( v17265(VarCurr)
    <=> ( v17118(VarCurr,bitIndex11)
        | v17255(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3976,axiom,(
    ! [VarCurr] :
      ( v17252(VarCurr)
    <=> ( v17253(VarCurr)
        | v17254(VarCurr) ) ) )).

fof(writeUnaryOperator_1591,axiom,(
    ! [VarCurr] :
      ( ~ v17254(VarCurr)
    <=> v17255(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3975,axiom,(
    ! [VarCurr] :
      ( v17255(VarCurr)
    <=> ( v17256(VarCurr)
        & v17264(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_576,axiom,(
    ! [VarCurr] :
      ( v17264(VarCurr)
    <=> ( v17118(VarCurr,bitIndex10)
        | v17259(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3974,axiom,(
    ! [VarCurr] :
      ( v17256(VarCurr)
    <=> ( v17257(VarCurr)
        | v17258(VarCurr) ) ) )).

fof(writeUnaryOperator_1590,axiom,(
    ! [VarCurr] :
      ( ~ v17258(VarCurr)
    <=> v17259(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3973,axiom,(
    ! [VarCurr] :
      ( v17259(VarCurr)
    <=> ( v17260(VarCurr)
        & v17263(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_575,axiom,(
    ! [VarCurr] :
      ( v17263(VarCurr)
    <=> ( v17118(VarCurr,bitIndex8)
        | v17118(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3972,axiom,(
    ! [VarCurr] :
      ( v17260(VarCurr)
    <=> ( v17261(VarCurr)
        | v17262(VarCurr) ) ) )).

fof(writeUnaryOperator_1589,axiom,(
    ! [VarCurr] :
      ( ~ v17262(VarCurr)
    <=> v17118(VarCurr,bitIndex9) ) )).

fof(writeUnaryOperator_1588,axiom,(
    ! [VarCurr] :
      ( ~ v17261(VarCurr)
    <=> v17118(VarCurr,bitIndex8) ) )).

fof(writeUnaryOperator_1587,axiom,(
    ! [VarCurr] :
      ( ~ v17257(VarCurr)
    <=> v17118(VarCurr,bitIndex10) ) )).

fof(writeUnaryOperator_1586,axiom,(
    ! [VarCurr] :
      ( ~ v17253(VarCurr)
    <=> v17118(VarCurr,bitIndex11) ) )).

fof(writeUnaryOperator_1585,axiom,(
    ! [VarCurr] :
      ( ~ v17231(VarCurr)
    <=> v17232(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3971,axiom,(
    ! [VarCurr] :
      ( v17232(VarCurr)
    <=> ( v17233(VarCurr)
        & v17246(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_574,axiom,(
    ! [VarCurr] :
      ( v17246(VarCurr)
    <=> ( v17118(VarCurr,bitIndex15)
        | v17236(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3970,axiom,(
    ! [VarCurr] :
      ( v17233(VarCurr)
    <=> ( v17234(VarCurr)
        | v17235(VarCurr) ) ) )).

fof(writeUnaryOperator_1584,axiom,(
    ! [VarCurr] :
      ( ~ v17235(VarCurr)
    <=> v17236(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3969,axiom,(
    ! [VarCurr] :
      ( v17236(VarCurr)
    <=> ( v17237(VarCurr)
        & v17245(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_573,axiom,(
    ! [VarCurr] :
      ( v17245(VarCurr)
    <=> ( v17118(VarCurr,bitIndex14)
        | v17240(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3968,axiom,(
    ! [VarCurr] :
      ( v17237(VarCurr)
    <=> ( v17238(VarCurr)
        | v17239(VarCurr) ) ) )).

fof(writeUnaryOperator_1583,axiom,(
    ! [VarCurr] :
      ( ~ v17239(VarCurr)
    <=> v17240(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3967,axiom,(
    ! [VarCurr] :
      ( v17240(VarCurr)
    <=> ( v17241(VarCurr)
        & v17244(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_572,axiom,(
    ! [VarCurr] :
      ( v17244(VarCurr)
    <=> ( v17118(VarCurr,bitIndex12)
        | v17118(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3966,axiom,(
    ! [VarCurr] :
      ( v17241(VarCurr)
    <=> ( v17242(VarCurr)
        | v17243(VarCurr) ) ) )).

fof(writeUnaryOperator_1582,axiom,(
    ! [VarCurr] :
      ( ~ v17243(VarCurr)
    <=> v17118(VarCurr,bitIndex13) ) )).

fof(writeUnaryOperator_1581,axiom,(
    ! [VarCurr] :
      ( ~ v17242(VarCurr)
    <=> v17118(VarCurr,bitIndex12) ) )).

fof(writeUnaryOperator_1580,axiom,(
    ! [VarCurr] :
      ( ~ v17238(VarCurr)
    <=> v17118(VarCurr,bitIndex14) ) )).

fof(writeUnaryOperator_1579,axiom,(
    ! [VarCurr] :
      ( ~ v17234(VarCurr)
    <=> v17118(VarCurr,bitIndex15) ) )).

fof(addAssignment_4103,axiom,(
    ! [VarCurr] :
      ( v17148(VarCurr,bitIndex3)
    <=> v16844(VarCurr,bitIndex131) ) )).

fof(addAssignment_4102,axiom,(
    ! [VarCurr] :
      ( v16844(VarCurr,bitIndex131)
    <=> v16846(VarCurr,bitIndex131) ) )).

fof(addAssignment_4101,axiom,(
    ! [VarCurr] :
      ( v16846(VarCurr,bitIndex131)
    <=> v16848(VarCurr,bitIndex131) ) )).

fof(addAssignment_4100,axiom,(
    ! [VarCurr] :
      ( v16848(VarCurr,bitIndex131)
    <=> v16850(VarCurr,bitIndex131) ) )).

fof(addAssignment_4099,axiom,(
    ! [VarCurr] :
      ( v16850(VarCurr,bitIndex131)
    <=> v16852(VarCurr,bitIndex131) ) )).

fof(addAssignment_4098,axiom,(
    ! [VarCurr] :
      ( v16852(VarCurr,bitIndex131)
    <=> v17150(VarCurr,bitIndex3) ) )).

fof(addAssignment_4097,axiom,(
    ! [VarCurr] :
      ( v17150(VarCurr,bitIndex3)
    <=> v17152(VarCurr,bitIndex3) ) )).

fof(addAssignment_4096,axiom,(
    ! [VarCurr] :
      ( v17152(VarCurr,bitIndex3)
    <=> v17154(VarCurr,bitIndex3) ) )).

fof(addAssignment_4095,axiom,(
    ! [VarNext] :
      ( v17154(VarNext,bitIndex3)
    <=> v17217(VarNext,bitIndex3) ) )).

fof(addCaseBooleanConditionEqualRanges1_196,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17218(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v17217(VarNext,B)
            <=> v17154(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_217,axiom,(
    ! [VarNext] :
      ( v17218(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v17217(VarNext,B)
          <=> v17173(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3965,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17218(VarNext)
      <=> v17219(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3964,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17219(VarNext)
      <=> ( v17221(VarNext)
          & v17097(VarNext) ) ) ) )).

fof(writeUnaryOperator_1578,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17221(VarNext)
      <=> v17104(VarNext) ) ) )).

fof(addAssignment_4094,axiom,(
    ! [VarCurr] :
      ( v17156(VarCurr,bitIndex3)
    <=> v17158(VarCurr,bitIndex3) ) )).

fof(addAssignment_4093,axiom,(
    ! [VarCurr] :
      ( v17158(VarCurr,bitIndex3)
    <=> v17160(VarCurr,bitIndex3) ) )).

fof(addAssignment_4092,axiom,(
    ! [VarCurr] :
      ( v17160(VarCurr,bitIndex3)
    <=> v17162(VarCurr,bitIndex3) ) )).

fof(addAssignment_4091,axiom,(
    ! [VarCurr,B] :
      ( range_127_96(B)
     => ( v17118(VarCurr,B)
      <=> v16844(VarCurr,B) ) ) )).

fof(addAssignment_4090,axiom,(
    ! [VarCurr,B] :
      ( range_127_96(B)
     => ( v16844(VarCurr,B)
      <=> v16846(VarCurr,B) ) ) )).

fof(addAssignment_4089,axiom,(
    ! [VarCurr,B] :
      ( range_127_96(B)
     => ( v16846(VarCurr,B)
      <=> v16848(VarCurr,B) ) ) )).

fof(addAssignment_4088,axiom,(
    ! [VarCurr,B] :
      ( range_127_96(B)
     => ( v16848(VarCurr,B)
      <=> v16850(VarCurr,B) ) ) )).

fof(addAssignment_4087,axiom,(
    ! [VarCurr,B] :
      ( range_127_96(B)
     => ( v16850(VarCurr,B)
      <=> v16852(VarCurr,B) ) ) )).

fof(addAssignment_4086,axiom,(
    ! [VarCurr,B] :
      ( range_127_96(B)
     => ( v16852(VarCurr,B)
      <=> v17120(VarCurr,B) ) ) )).

fof(addAssignment_4085,axiom,(
    ! [VarCurr,B] :
      ( range_127_96(B)
     => ( v17120(VarCurr,B)
      <=> v17122(VarCurr,B) ) ) )).

fof(addAssignment_4084,axiom,(
    ! [VarCurr,B] :
      ( range_127_96(B)
     => ( v17122(VarCurr,B)
      <=> v17124(VarCurr,B) ) ) )).

fof(addAssignment_4083,axiom,(
    ! [VarNext,B] :
      ( range_127_96(B)
     => ( v17124(VarNext,B)
      <=> v17209(VarNext,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_195,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17210(VarNext)
       => ! [B] :
            ( range_127_0(B)
           => ( v17209(VarNext,B)
            <=> v17124(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_216,axiom,(
    ! [VarNext] :
      ( v17210(VarNext)
     => ! [B] :
          ( range_127_0(B)
         => ( v17209(VarNext,B)
          <=> v17144(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3963,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17210(VarNext)
      <=> v17211(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3962,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17211(VarNext)
      <=> ( v17213(VarNext)
          & v17097(VarNext) ) ) ) )).

fof(writeUnaryOperator_1577,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17213(VarNext)
      <=> v17104(VarNext) ) ) )).

fof(addAssignment_4082,axiom,(
    ! [VarCurr,B] :
      ( range_127_96(B)
     => ( v17127(VarCurr,B)
      <=> v17129(VarCurr,B) ) ) )).

fof(addAssignment_4081,axiom,(
    ! [VarCurr,B] :
      ( range_127_96(B)
     => ( v17129(VarCurr,B)
      <=> v17131(VarCurr,B) ) ) )).

fof(addAssignment_4080,axiom,(
    ! [VarCurr,B] :
      ( range_127_96(B)
     => ( v17131(VarCurr,B)
      <=> v17133(VarCurr,B) ) ) )).

fof(range_axiom_61,axiom,(
    ! [B] :
      ( range_127_96(B)
    <=> ( $false
        | bitIndex96 = B
        | bitIndex97 = B
        | bitIndex98 = B
        | bitIndex99 = B
        | bitIndex100 = B
        | bitIndex101 = B
        | bitIndex102 = B
        | bitIndex103 = B
        | bitIndex104 = B
        | bitIndex105 = B
        | bitIndex106 = B
        | bitIndex107 = B
        | bitIndex108 = B
        | bitIndex109 = B
        | bitIndex110 = B
        | bitIndex111 = B
        | bitIndex112 = B
        | bitIndex113 = B
        | bitIndex114 = B
        | bitIndex115 = B
        | bitIndex116 = B
        | bitIndex117 = B
        | bitIndex118 = B
        | bitIndex119 = B
        | bitIndex120 = B
        | bitIndex121 = B
        | bitIndex122 = B
        | bitIndex123 = B
        | bitIndex124 = B
        | bitIndex125 = B
        | bitIndex126 = B
        | bitIndex127 = B ) ) )).

fof(addAssignment_4079,axiom,(
    ! [VarCurr] :
      ( v17148(VarCurr,bitIndex2)
    <=> v16844(VarCurr,bitIndex130) ) )).

fof(addAssignment_4078,axiom,(
    ! [VarCurr] :
      ( v16844(VarCurr,bitIndex130)
    <=> v16846(VarCurr,bitIndex130) ) )).

fof(addAssignment_4077,axiom,(
    ! [VarCurr] :
      ( v16846(VarCurr,bitIndex130)
    <=> v16848(VarCurr,bitIndex130) ) )).

fof(addAssignment_4076,axiom,(
    ! [VarCurr] :
      ( v16848(VarCurr,bitIndex130)
    <=> v16850(VarCurr,bitIndex130) ) )).

fof(addAssignment_4075,axiom,(
    ! [VarCurr] :
      ( v16850(VarCurr,bitIndex130)
    <=> v16852(VarCurr,bitIndex130) ) )).

fof(addAssignment_4074,axiom,(
    ! [VarCurr] :
      ( v16852(VarCurr,bitIndex130)
    <=> v17150(VarCurr,bitIndex2) ) )).

fof(addAssignment_4073,axiom,(
    ! [VarCurr] :
      ( v17150(VarCurr,bitIndex2)
    <=> v17152(VarCurr,bitIndex2) ) )).

fof(addAssignment_4072,axiom,(
    ! [VarCurr] :
      ( v17152(VarCurr,bitIndex2)
    <=> v17154(VarCurr,bitIndex2) ) )).

fof(addAssignment_4071,axiom,(
    ! [VarNext] :
      ( v17154(VarNext,bitIndex2)
    <=> v17201(VarNext,bitIndex2) ) )).

fof(addCaseBooleanConditionEqualRanges1_194,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17202(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v17201(VarNext,B)
            <=> v17154(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_215,axiom,(
    ! [VarNext] :
      ( v17202(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v17201(VarNext,B)
          <=> v17173(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3961,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17202(VarNext)
      <=> v17203(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3960,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17203(VarNext)
      <=> ( v17205(VarNext)
          & v17097(VarNext) ) ) ) )).

fof(writeUnaryOperator_1576,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17205(VarNext)
      <=> v17104(VarNext) ) ) )).

fof(addAssignment_4070,axiom,(
    ! [VarCurr] :
      ( v17156(VarCurr,bitIndex2)
    <=> v17158(VarCurr,bitIndex2) ) )).

fof(addAssignment_4069,axiom,(
    ! [VarCurr] :
      ( v17158(VarCurr,bitIndex2)
    <=> v17160(VarCurr,bitIndex2) ) )).

fof(addAssignment_4068,axiom,(
    ! [VarCurr] :
      ( v17160(VarCurr,bitIndex2)
    <=> v17162(VarCurr,bitIndex2) ) )).

fof(addAssignment_4067,axiom,(
    ! [VarCurr,B] :
      ( range_95_64(B)
     => ( v17118(VarCurr,B)
      <=> v16844(VarCurr,B) ) ) )).

fof(addAssignment_4066,axiom,(
    ! [VarCurr,B] :
      ( range_95_64(B)
     => ( v16844(VarCurr,B)
      <=> v16846(VarCurr,B) ) ) )).

fof(addAssignment_4065,axiom,(
    ! [VarCurr,B] :
      ( range_95_64(B)
     => ( v16846(VarCurr,B)
      <=> v16848(VarCurr,B) ) ) )).

fof(addAssignment_4064,axiom,(
    ! [VarCurr,B] :
      ( range_95_64(B)
     => ( v16848(VarCurr,B)
      <=> v16850(VarCurr,B) ) ) )).

fof(addAssignment_4063,axiom,(
    ! [VarCurr,B] :
      ( range_95_64(B)
     => ( v16850(VarCurr,B)
      <=> v16852(VarCurr,B) ) ) )).

fof(addAssignment_4062,axiom,(
    ! [VarCurr,B] :
      ( range_95_64(B)
     => ( v16852(VarCurr,B)
      <=> v17120(VarCurr,B) ) ) )).

fof(addAssignment_4061,axiom,(
    ! [VarCurr,B] :
      ( range_95_64(B)
     => ( v17120(VarCurr,B)
      <=> v17122(VarCurr,B) ) ) )).

fof(addAssignment_4060,axiom,(
    ! [VarCurr,B] :
      ( range_95_64(B)
     => ( v17122(VarCurr,B)
      <=> v17124(VarCurr,B) ) ) )).

fof(addAssignment_4059,axiom,(
    ! [VarNext,B] :
      ( range_95_64(B)
     => ( v17124(VarNext,B)
      <=> v17193(VarNext,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_193,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17194(VarNext)
       => ! [B] :
            ( range_127_0(B)
           => ( v17193(VarNext,B)
            <=> v17124(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_214,axiom,(
    ! [VarNext] :
      ( v17194(VarNext)
     => ! [B] :
          ( range_127_0(B)
         => ( v17193(VarNext,B)
          <=> v17144(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3959,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17194(VarNext)
      <=> v17195(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3958,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17195(VarNext)
      <=> ( v17197(VarNext)
          & v17097(VarNext) ) ) ) )).

fof(writeUnaryOperator_1575,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17197(VarNext)
      <=> v17104(VarNext) ) ) )).

fof(addAssignment_4058,axiom,(
    ! [VarCurr,B] :
      ( range_95_64(B)
     => ( v17127(VarCurr,B)
      <=> v17129(VarCurr,B) ) ) )).

fof(addAssignment_4057,axiom,(
    ! [VarCurr,B] :
      ( range_95_64(B)
     => ( v17129(VarCurr,B)
      <=> v17131(VarCurr,B) ) ) )).

fof(addAssignment_4056,axiom,(
    ! [VarCurr,B] :
      ( range_95_64(B)
     => ( v17131(VarCurr,B)
      <=> v17133(VarCurr,B) ) ) )).

fof(range_axiom_60,axiom,(
    ! [B] :
      ( range_95_64(B)
    <=> ( $false
        | bitIndex64 = B
        | bitIndex65 = B
        | bitIndex66 = B
        | bitIndex67 = B
        | bitIndex68 = B
        | bitIndex69 = B
        | bitIndex70 = B
        | bitIndex71 = B
        | bitIndex72 = B
        | bitIndex73 = B
        | bitIndex74 = B
        | bitIndex75 = B
        | bitIndex76 = B
        | bitIndex77 = B
        | bitIndex78 = B
        | bitIndex79 = B
        | bitIndex80 = B
        | bitIndex81 = B
        | bitIndex82 = B
        | bitIndex83 = B
        | bitIndex84 = B
        | bitIndex85 = B
        | bitIndex86 = B
        | bitIndex87 = B
        | bitIndex88 = B
        | bitIndex89 = B
        | bitIndex90 = B
        | bitIndex91 = B
        | bitIndex92 = B
        | bitIndex93 = B
        | bitIndex94 = B
        | bitIndex95 = B ) ) )).

fof(addAssignment_4055,axiom,(
    ! [VarCurr] :
      ( v17148(VarCurr,bitIndex1)
    <=> v16844(VarCurr,bitIndex129) ) )).

fof(addAssignment_4054,axiom,(
    ! [VarCurr] :
      ( v16844(VarCurr,bitIndex129)
    <=> v16846(VarCurr,bitIndex129) ) )).

fof(addAssignment_4053,axiom,(
    ! [VarCurr] :
      ( v16846(VarCurr,bitIndex129)
    <=> v16848(VarCurr,bitIndex129) ) )).

fof(addAssignment_4052,axiom,(
    ! [VarCurr] :
      ( v16848(VarCurr,bitIndex129)
    <=> v16850(VarCurr,bitIndex129) ) )).

fof(addAssignment_4051,axiom,(
    ! [VarCurr] :
      ( v16850(VarCurr,bitIndex129)
    <=> v16852(VarCurr,bitIndex129) ) )).

fof(addAssignment_4050,axiom,(
    ! [VarCurr] :
      ( v16852(VarCurr,bitIndex129)
    <=> v17150(VarCurr,bitIndex1) ) )).

fof(addAssignment_4049,axiom,(
    ! [VarCurr] :
      ( v17150(VarCurr,bitIndex1)
    <=> v17152(VarCurr,bitIndex1) ) )).

fof(addAssignment_4048,axiom,(
    ! [VarCurr] :
      ( v17152(VarCurr,bitIndex1)
    <=> v17154(VarCurr,bitIndex1) ) )).

fof(addAssignment_4047,axiom,(
    ! [VarNext] :
      ( v17154(VarNext,bitIndex1)
    <=> v17185(VarNext,bitIndex1) ) )).

fof(addCaseBooleanConditionEqualRanges1_192,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17186(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v17185(VarNext,B)
            <=> v17154(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_213,axiom,(
    ! [VarNext] :
      ( v17186(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v17185(VarNext,B)
          <=> v17173(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3957,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17186(VarNext)
      <=> v17187(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3956,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17187(VarNext)
      <=> ( v17189(VarNext)
          & v17097(VarNext) ) ) ) )).

fof(writeUnaryOperator_1574,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17189(VarNext)
      <=> v17104(VarNext) ) ) )).

fof(addAssignment_4046,axiom,(
    ! [VarCurr] :
      ( v17156(VarCurr,bitIndex1)
    <=> v17158(VarCurr,bitIndex1) ) )).

fof(addAssignment_4045,axiom,(
    ! [VarCurr] :
      ( v17158(VarCurr,bitIndex1)
    <=> v17160(VarCurr,bitIndex1) ) )).

fof(addAssignment_4044,axiom,(
    ! [VarCurr] :
      ( v17160(VarCurr,bitIndex1)
    <=> v17162(VarCurr,bitIndex1) ) )).

fof(addAssignment_4043,axiom,(
    ! [VarCurr,B] :
      ( range_63_32(B)
     => ( v17118(VarCurr,B)
      <=> v16844(VarCurr,B) ) ) )).

fof(addAssignment_4042,axiom,(
    ! [VarCurr,B] :
      ( range_63_32(B)
     => ( v16844(VarCurr,B)
      <=> v16846(VarCurr,B) ) ) )).

fof(addAssignment_4041,axiom,(
    ! [VarCurr,B] :
      ( range_63_32(B)
     => ( v16846(VarCurr,B)
      <=> v16848(VarCurr,B) ) ) )).

fof(addAssignment_4040,axiom,(
    ! [VarCurr,B] :
      ( range_63_32(B)
     => ( v16848(VarCurr,B)
      <=> v16850(VarCurr,B) ) ) )).

fof(addAssignment_4039,axiom,(
    ! [VarCurr,B] :
      ( range_63_32(B)
     => ( v16850(VarCurr,B)
      <=> v16852(VarCurr,B) ) ) )).

fof(addAssignment_4038,axiom,(
    ! [VarCurr,B] :
      ( range_63_32(B)
     => ( v16852(VarCurr,B)
      <=> v17120(VarCurr,B) ) ) )).

fof(addAssignment_4037,axiom,(
    ! [VarCurr,B] :
      ( range_63_32(B)
     => ( v17120(VarCurr,B)
      <=> v17122(VarCurr,B) ) ) )).

fof(addAssignment_4036,axiom,(
    ! [VarCurr,B] :
      ( range_63_32(B)
     => ( v17122(VarCurr,B)
      <=> v17124(VarCurr,B) ) ) )).

fof(addAssignment_4035,axiom,(
    ! [VarNext,B] :
      ( range_63_32(B)
     => ( v17124(VarNext,B)
      <=> v17177(VarNext,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_191,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17178(VarNext)
       => ! [B] :
            ( range_127_0(B)
           => ( v17177(VarNext,B)
            <=> v17124(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_212,axiom,(
    ! [VarNext] :
      ( v17178(VarNext)
     => ! [B] :
          ( range_127_0(B)
         => ( v17177(VarNext,B)
          <=> v17144(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3955,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17178(VarNext)
      <=> v17179(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3954,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17179(VarNext)
      <=> ( v17181(VarNext)
          & v17097(VarNext) ) ) ) )).

fof(writeUnaryOperator_1573,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17181(VarNext)
      <=> v17104(VarNext) ) ) )).

fof(addAssignment_4034,axiom,(
    ! [VarCurr,B] :
      ( range_63_32(B)
     => ( v17127(VarCurr,B)
      <=> v17129(VarCurr,B) ) ) )).

fof(addAssignment_4033,axiom,(
    ! [VarCurr,B] :
      ( range_63_32(B)
     => ( v17129(VarCurr,B)
      <=> v17131(VarCurr,B) ) ) )).

fof(addAssignment_4032,axiom,(
    ! [VarCurr,B] :
      ( range_63_32(B)
     => ( v17131(VarCurr,B)
      <=> v17133(VarCurr,B) ) ) )).

fof(range_axiom_59,axiom,(
    ! [B] :
      ( range_63_32(B)
    <=> ( $false
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B
        | bitIndex44 = B
        | bitIndex45 = B
        | bitIndex46 = B
        | bitIndex47 = B
        | bitIndex48 = B
        | bitIndex49 = B
        | bitIndex50 = B
        | bitIndex51 = B
        | bitIndex52 = B
        | bitIndex53 = B
        | bitIndex54 = B
        | bitIndex55 = B
        | bitIndex56 = B
        | bitIndex57 = B
        | bitIndex58 = B
        | bitIndex59 = B
        | bitIndex60 = B
        | bitIndex61 = B
        | bitIndex62 = B
        | bitIndex63 = B ) ) )).

fof(addAssignment_4031,axiom,(
    ! [VarCurr] :
      ( v17148(VarCurr,bitIndex0)
    <=> v16844(VarCurr,bitIndex128) ) )).

fof(addAssignment_4030,axiom,(
    ! [VarCurr] :
      ( v16844(VarCurr,bitIndex128)
    <=> v16846(VarCurr,bitIndex128) ) )).

fof(addAssignment_4029,axiom,(
    ! [VarCurr] :
      ( v16846(VarCurr,bitIndex128)
    <=> v16848(VarCurr,bitIndex128) ) )).

fof(addAssignment_4028,axiom,(
    ! [VarCurr] :
      ( v16848(VarCurr,bitIndex128)
    <=> v16850(VarCurr,bitIndex128) ) )).

fof(addAssignment_4027,axiom,(
    ! [VarCurr] :
      ( v16850(VarCurr,bitIndex128)
    <=> v16852(VarCurr,bitIndex128) ) )).

fof(addAssignment_4026,axiom,(
    ! [VarCurr] :
      ( v16852(VarCurr,bitIndex128)
    <=> v17150(VarCurr,bitIndex0) ) )).

fof(addAssignment_4025,axiom,(
    ! [VarCurr] :
      ( v17150(VarCurr,bitIndex0)
    <=> v17152(VarCurr,bitIndex0) ) )).

fof(addAssignment_4024,axiom,(
    ! [VarCurr] :
      ( v17152(VarCurr,bitIndex0)
    <=> v17154(VarCurr,bitIndex0) ) )).

fof(addAssignment_4023,axiom,(
    ! [VarNext] :
      ( v17154(VarNext,bitIndex0)
    <=> v17164(VarNext,bitIndex0) ) )).

fof(addCaseBooleanConditionEqualRanges1_190,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17165(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v17164(VarNext,B)
            <=> v17154(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_211,axiom,(
    ! [VarNext] :
      ( v17165(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v17164(VarNext,B)
          <=> v17173(VarNext,B) ) ) ) )).

fof(addAssignment_4022,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v17173(VarNext,B)
          <=> v17171(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_392,axiom,(
    ! [VarCurr] :
      ( ~ v17111(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v17171(VarCurr,B)
          <=> v17156(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_396,axiom,(
    ! [VarCurr] :
      ( v17111(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v17171(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3953,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17165(VarNext)
      <=> v17166(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3952,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17166(VarNext)
      <=> ( v17168(VarNext)
          & v17097(VarNext) ) ) ) )).

fof(writeUnaryOperator_1572,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17168(VarNext)
      <=> v17104(VarNext) ) ) )).

fof(addAssignment_4021,axiom,(
    ! [VarCurr] :
      ( v17156(VarCurr,bitIndex0)
    <=> v17158(VarCurr,bitIndex0) ) )).

fof(addAssignment_4020,axiom,(
    ! [VarCurr] :
      ( v17158(VarCurr,bitIndex0)
    <=> v17160(VarCurr,bitIndex0) ) )).

fof(addAssignment_4019,axiom,(
    ! [VarCurr] :
      ( v17160(VarCurr,bitIndex0)
    <=> v17162(VarCurr,bitIndex0) ) )).

fof(addAssignment_4018,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v17118(VarCurr,B)
      <=> v16844(VarCurr,B) ) ) )).

fof(addAssignment_4017,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v16844(VarCurr,B)
      <=> v16846(VarCurr,B) ) ) )).

fof(addAssignment_4016,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v16846(VarCurr,B)
      <=> v16848(VarCurr,B) ) ) )).

fof(addAssignment_4015,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v16848(VarCurr,B)
      <=> v16850(VarCurr,B) ) ) )).

fof(addAssignment_4014,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v16850(VarCurr,B)
      <=> v16852(VarCurr,B) ) ) )).

fof(addAssignment_4013,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v16852(VarCurr,B)
      <=> v17120(VarCurr,B) ) ) )).

fof(addAssignment_4012,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v17120(VarCurr,B)
      <=> v17122(VarCurr,B) ) ) )).

fof(addAssignment_4011,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v17122(VarCurr,B)
      <=> v17124(VarCurr,B) ) ) )).

fof(addAssignment_4010,axiom,(
    ! [VarNext,B] :
      ( range_31_0(B)
     => ( v17124(VarNext,B)
      <=> v17135(VarNext,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_189,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17136(VarNext)
       => ! [B] :
            ( range_127_0(B)
           => ( v17135(VarNext,B)
            <=> v17124(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_210,axiom,(
    ! [VarNext] :
      ( v17136(VarNext)
     => ! [B] :
          ( range_127_0(B)
         => ( v17135(VarNext,B)
          <=> v17144(VarNext,B) ) ) ) )).

fof(addAssignment_4009,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_127_0(B)
         => ( v17144(VarNext,B)
          <=> v17142(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_391,axiom,(
    ! [VarCurr] :
      ( ~ v17111(VarCurr)
     => ! [B] :
          ( range_127_0(B)
         => ( v17142(VarCurr,B)
          <=> v17127(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_395,axiom,(
    ! [VarCurr] :
      ( v17111(VarCurr)
     => ! [B] :
          ( range_127_0(B)
         => ( v17142(VarCurr,B)
          <=> $false ) ) ) )).

fof(range_axiom_58,axiom,(
    ! [B] :
      ( range_127_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B
        | bitIndex44 = B
        | bitIndex45 = B
        | bitIndex46 = B
        | bitIndex47 = B
        | bitIndex48 = B
        | bitIndex49 = B
        | bitIndex50 = B
        | bitIndex51 = B
        | bitIndex52 = B
        | bitIndex53 = B
        | bitIndex54 = B
        | bitIndex55 = B
        | bitIndex56 = B
        | bitIndex57 = B
        | bitIndex58 = B
        | bitIndex59 = B
        | bitIndex60 = B
        | bitIndex61 = B
        | bitIndex62 = B
        | bitIndex63 = B
        | bitIndex64 = B
        | bitIndex65 = B
        | bitIndex66 = B
        | bitIndex67 = B
        | bitIndex68 = B
        | bitIndex69 = B
        | bitIndex70 = B
        | bitIndex71 = B
        | bitIndex72 = B
        | bitIndex73 = B
        | bitIndex74 = B
        | bitIndex75 = B
        | bitIndex76 = B
        | bitIndex77 = B
        | bitIndex78 = B
        | bitIndex79 = B
        | bitIndex80 = B
        | bitIndex81 = B
        | bitIndex82 = B
        | bitIndex83 = B
        | bitIndex84 = B
        | bitIndex85 = B
        | bitIndex86 = B
        | bitIndex87 = B
        | bitIndex88 = B
        | bitIndex89 = B
        | bitIndex90 = B
        | bitIndex91 = B
        | bitIndex92 = B
        | bitIndex93 = B
        | bitIndex94 = B
        | bitIndex95 = B
        | bitIndex96 = B
        | bitIndex97 = B
        | bitIndex98 = B
        | bitIndex99 = B
        | bitIndex100 = B
        | bitIndex101 = B
        | bitIndex102 = B
        | bitIndex103 = B
        | bitIndex104 = B
        | bitIndex105 = B
        | bitIndex106 = B
        | bitIndex107 = B
        | bitIndex108 = B
        | bitIndex109 = B
        | bitIndex110 = B
        | bitIndex111 = B
        | bitIndex112 = B
        | bitIndex113 = B
        | bitIndex114 = B
        | bitIndex115 = B
        | bitIndex116 = B
        | bitIndex117 = B
        | bitIndex118 = B
        | bitIndex119 = B
        | bitIndex120 = B
        | bitIndex121 = B
        | bitIndex122 = B
        | bitIndex123 = B
        | bitIndex124 = B
        | bitIndex125 = B
        | bitIndex126 = B
        | bitIndex127 = B ) ) )).

fof(bitBlastConstant_8349,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex127) )).

fof(bitBlastConstant_8348,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex126) )).

fof(bitBlastConstant_8347,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex125) )).

fof(bitBlastConstant_8346,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex124) )).

fof(bitBlastConstant_8345,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex123) )).

fof(bitBlastConstant_8344,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex122) )).

fof(bitBlastConstant_8343,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex121) )).

fof(bitBlastConstant_8342,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex120) )).

fof(bitBlastConstant_8341,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex119) )).

fof(bitBlastConstant_8340,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex118) )).

fof(bitBlastConstant_8339,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex117) )).

fof(bitBlastConstant_8338,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex116) )).

fof(bitBlastConstant_8337,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex115) )).

fof(bitBlastConstant_8336,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex114) )).

fof(bitBlastConstant_8335,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex113) )).

fof(bitBlastConstant_8334,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex112) )).

fof(bitBlastConstant_8333,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex111) )).

fof(bitBlastConstant_8332,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex110) )).

fof(bitBlastConstant_8331,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex109) )).

fof(bitBlastConstant_8330,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex108) )).

fof(bitBlastConstant_8329,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex107) )).

fof(bitBlastConstant_8328,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex106) )).

fof(bitBlastConstant_8327,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex105) )).

fof(bitBlastConstant_8326,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex104) )).

fof(bitBlastConstant_8325,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex103) )).

fof(bitBlastConstant_8324,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex102) )).

fof(bitBlastConstant_8323,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex101) )).

fof(bitBlastConstant_8322,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex100) )).

fof(bitBlastConstant_8321,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex99) )).

fof(bitBlastConstant_8320,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex98) )).

fof(bitBlastConstant_8319,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex97) )).

fof(bitBlastConstant_8318,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex96) )).

fof(bitBlastConstant_8317,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex95) )).

fof(bitBlastConstant_8316,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex94) )).

fof(bitBlastConstant_8315,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex93) )).

fof(bitBlastConstant_8314,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex92) )).

fof(bitBlastConstant_8313,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex91) )).

fof(bitBlastConstant_8312,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex90) )).

fof(bitBlastConstant_8311,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex89) )).

fof(bitBlastConstant_8310,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex88) )).

fof(bitBlastConstant_8309,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex87) )).

fof(bitBlastConstant_8308,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex86) )).

fof(bitBlastConstant_8307,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex85) )).

fof(bitBlastConstant_8306,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex84) )).

fof(bitBlastConstant_8305,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex83) )).

fof(bitBlastConstant_8304,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex82) )).

fof(bitBlastConstant_8303,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex81) )).

fof(bitBlastConstant_8302,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex80) )).

fof(bitBlastConstant_8301,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex79) )).

fof(bitBlastConstant_8300,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex78) )).

fof(bitBlastConstant_8299,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex77) )).

fof(bitBlastConstant_8298,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex76) )).

fof(bitBlastConstant_8297,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex75) )).

fof(bitBlastConstant_8296,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex74) )).

fof(bitBlastConstant_8295,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex73) )).

fof(bitBlastConstant_8294,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex72) )).

fof(bitBlastConstant_8293,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex71) )).

fof(bitBlastConstant_8292,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex70) )).

fof(bitBlastConstant_8291,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex69) )).

fof(bitBlastConstant_8290,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex68) )).

fof(bitBlastConstant_8289,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex67) )).

fof(bitBlastConstant_8288,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex66) )).

fof(bitBlastConstant_8287,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex65) )).

fof(bitBlastConstant_8286,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex64) )).

fof(bitBlastConstant_8285,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex63) )).

fof(bitBlastConstant_8284,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex62) )).

fof(bitBlastConstant_8283,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex61) )).

fof(bitBlastConstant_8282,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex60) )).

fof(bitBlastConstant_8281,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex59) )).

fof(bitBlastConstant_8280,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex58) )).

fof(bitBlastConstant_8279,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex57) )).

fof(bitBlastConstant_8278,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex56) )).

fof(bitBlastConstant_8277,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex55) )).

fof(bitBlastConstant_8276,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex54) )).

fof(bitBlastConstant_8275,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex53) )).

fof(bitBlastConstant_8274,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex52) )).

fof(bitBlastConstant_8273,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex51) )).

fof(bitBlastConstant_8272,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex50) )).

fof(bitBlastConstant_8271,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex49) )).

fof(bitBlastConstant_8270,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex48) )).

fof(bitBlastConstant_8269,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex47) )).

fof(bitBlastConstant_8268,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex46) )).

fof(bitBlastConstant_8267,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex45) )).

fof(bitBlastConstant_8266,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex44) )).

fof(bitBlastConstant_8265,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex43) )).

fof(bitBlastConstant_8264,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex42) )).

fof(bitBlastConstant_8263,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex41) )).

fof(bitBlastConstant_8262,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex40) )).

fof(bitBlastConstant_8261,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex39) )).

fof(bitBlastConstant_8260,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex38) )).

fof(bitBlastConstant_8259,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex37) )).

fof(bitBlastConstant_8258,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex36) )).

fof(bitBlastConstant_8257,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex35) )).

fof(bitBlastConstant_8256,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex34) )).

fof(bitBlastConstant_8255,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex33) )).

fof(bitBlastConstant_8254,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex32) )).

fof(bitBlastConstant_8253,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex31) )).

fof(bitBlastConstant_8252,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex30) )).

fof(bitBlastConstant_8251,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex29) )).

fof(bitBlastConstant_8250,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex28) )).

fof(bitBlastConstant_8249,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex27) )).

fof(bitBlastConstant_8248,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_8247,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_8246,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_8245,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_8244,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_8243,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_8242,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_8241,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_8240,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_8239,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_8238,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_8237,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_8236,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_8235,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_8234,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_8233,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_8232,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_8231,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_8230,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_8229,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_8228,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_8227,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_8226,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_8225,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_8224,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_8223,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_8222,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3951,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17136(VarNext)
      <=> v17137(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3950,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17137(VarNext)
      <=> ( v17139(VarNext)
          & v17097(VarNext) ) ) ) )).

fof(writeUnaryOperator_1571,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17139(VarNext)
      <=> v17104(VarNext) ) ) )).

fof(addAssignment_4008,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v17127(VarCurr,B)
      <=> v17129(VarCurr,B) ) ) )).

fof(addAssignment_4007,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v17129(VarCurr,B)
      <=> v17131(VarCurr,B) ) ) )).

fof(addAssignment_4006,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v17131(VarCurr,B)
      <=> v17133(VarCurr,B) ) ) )).

fof(addAssignment_4005,axiom,(
    ! [VarCurr] :
      ( v16834(VarCurr,bitIndex1)
    <=> v16878(VarCurr,bitIndex1) ) )).

fof(addAssignment_4004,axiom,(
    ! [VarCurr] :
      ( v16836(VarCurr,bitIndex1)
    <=> v16838(VarCurr,bitIndex1) ) )).

fof(addAssignment_4003,axiom,(
    ! [VarCurr] :
      ( v16838(VarCurr,bitIndex1)
    <=> v16840(VarCurr,bitIndex1) ) )).

fof(addAssignment_4002,axiom,(
    ! [VarCurr] :
      ( v16840(VarCurr,bitIndex1)
    <=> v16842(VarCurr,bitIndex1) ) )).

fof(addAssignment_4001,axiom,(
    ! [VarCurr] :
      ( v16842(VarCurr,bitIndex1)
    <=> v16844(VarCurr,bitIndex138) ) )).

fof(addAssignment_4000,axiom,(
    ! [VarCurr] :
      ( v16844(VarCurr,bitIndex138)
    <=> v16846(VarCurr,bitIndex138) ) )).

fof(addAssignment_3999,axiom,(
    ! [VarCurr] :
      ( v16846(VarCurr,bitIndex138)
    <=> v16848(VarCurr,bitIndex138) ) )).

fof(addAssignment_3998,axiom,(
    ! [VarCurr] :
      ( v16848(VarCurr,bitIndex138)
    <=> v16850(VarCurr,bitIndex138) ) )).

fof(addAssignment_3997,axiom,(
    ! [VarCurr] :
      ( v16850(VarCurr,bitIndex138)
    <=> v16852(VarCurr,bitIndex138) ) )).

fof(addAssignment_3996,axiom,(
    ! [VarCurr] :
      ( v16852(VarCurr,bitIndex138)
    <=> v17079(VarCurr) ) )).

fof(addAssignment_3995,axiom,(
    ! [VarCurr] :
      ( v17079(VarCurr)
    <=> v17081(VarCurr) ) )).

fof(addAssignment_3994,axiom,(
    ! [VarCurr] :
      ( v17081(VarCurr)
    <=> v17083(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_188,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17100(VarNext)
       => ( v17083(VarNext)
        <=> v17083(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_209,axiom,(
    ! [VarNext] :
      ( v17100(VarNext)
     => ( v17083(VarNext)
      <=> v17110(VarNext) ) ) )).

fof(addAssignment_3993,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17110(VarNext)
      <=> v17108(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_390,axiom,(
    ! [VarCurr] :
      ( ~ v17111(VarCurr)
     => ( v17108(VarCurr)
      <=> v17112(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_394,axiom,(
    ! [VarCurr] :
      ( v17111(VarCurr)
     => ( v17108(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3949,axiom,(
    ! [VarCurr] :
      ( v17112(VarCurr)
    <=> ( v17087(VarCurr)
        & v17095(VarCurr) ) ) )).

fof(writeUnaryOperator_1570,axiom,(
    ! [VarCurr] :
      ( ~ v17111(VarCurr)
    <=> v17085(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3948,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17100(VarNext)
      <=> v17101(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3947,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17101(VarNext)
      <=> ( v17102(VarNext)
          & v17097(VarNext) ) ) ) )).

fof(writeUnaryOperator_1569,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v17102(VarNext)
      <=> v17104(VarNext) ) ) )).

fof(addAssignment_3992,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v17104(VarNext)
      <=> v17097(VarCurr) ) ) )).

fof(addAssignment_3991,axiom,(
    ! [VarCurr] :
      ( v17097(VarCurr)
    <=> v11731(VarCurr) ) )).

fof(addAssignment_3990,axiom,(
    ! [VarCurr] :
      ( v17095(VarCurr)
    <=> v16793(VarCurr) ) )).

fof(addAssignment_3989,axiom,(
    ! [VarCurr] :
      ( v17087(VarCurr)
    <=> v17089(VarCurr) ) )).

fof(addAssignment_3988,axiom,(
    ! [VarCurr] :
      ( v17089(VarCurr)
    <=> v17091(VarCurr) ) )).

fof(addAssignment_3987,axiom,(
    ! [VarCurr] :
      ( v17091(VarCurr)
    <=> v17093(VarCurr) ) )).

fof(addAssignment_3986,axiom,(
    ! [VarCurr] :
      ( v17085(VarCurr)
    <=> v12(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3946,axiom,(
    ! [VarCurr] :
      ( v17011(VarCurr)
    <=> ( v16763(VarCurr)
        & v17035(VarCurr) ) ) )).

fof(writeUnaryOperator_1568,axiom,(
    ! [VarCurr] :
      ( ~ v17035(VarCurr)
    <=> v17037(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3945,axiom,(
    ! [VarCurr] :
      ( v17037(VarCurr)
    <=> ( v17038(VarCurr)
        & v17072(VarCurr) ) ) )).

fof(writeUnaryOperator_1567,axiom,(
    ! [VarCurr] :
      ( ~ v17072(VarCurr)
    <=> v17073(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3944,axiom,(
    ! [VarCurr] :
      ( v17073(VarCurr)
    <=> ( v17074(VarCurr)
        & v17077(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_571,axiom,(
    ! [VarCurr] :
      ( v17077(VarCurr)
    <=> ( v17013(VarCurr,bitIndex5)
        | v17021(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3943,axiom,(
    ! [VarCurr] :
      ( v17074(VarCurr)
    <=> ( v17075(VarCurr)
        | v17076(VarCurr) ) ) )).

fof(writeUnaryOperator_1566,axiom,(
    ! [VarCurr] :
      ( ~ v17076(VarCurr)
    <=> v17021(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_1565,axiom,(
    ! [VarCurr] :
      ( ~ v17075(VarCurr)
    <=> v17013(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3942,axiom,(
    ! [VarCurr] :
      ( v17038(VarCurr)
    <=> ( v17039(VarCurr)
        & v17066(VarCurr) ) ) )).

fof(writeUnaryOperator_1564,axiom,(
    ! [VarCurr] :
      ( ~ v17066(VarCurr)
    <=> v17067(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3941,axiom,(
    ! [VarCurr] :
      ( v17067(VarCurr)
    <=> ( v17068(VarCurr)
        & v17071(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_570,axiom,(
    ! [VarCurr] :
      ( v17071(VarCurr)
    <=> ( v17013(VarCurr,bitIndex4)
        | v17021(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3940,axiom,(
    ! [VarCurr] :
      ( v17068(VarCurr)
    <=> ( v17069(VarCurr)
        | v17070(VarCurr) ) ) )).

fof(writeUnaryOperator_1563,axiom,(
    ! [VarCurr] :
      ( ~ v17070(VarCurr)
    <=> v17021(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_1562,axiom,(
    ! [VarCurr] :
      ( ~ v17069(VarCurr)
    <=> v17013(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3939,axiom,(
    ! [VarCurr] :
      ( v17039(VarCurr)
    <=> ( v17040(VarCurr)
        & v17060(VarCurr) ) ) )).

fof(writeUnaryOperator_1561,axiom,(
    ! [VarCurr] :
      ( ~ v17060(VarCurr)
    <=> v17061(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3938,axiom,(
    ! [VarCurr] :
      ( v17061(VarCurr)
    <=> ( v17062(VarCurr)
        & v17065(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_569,axiom,(
    ! [VarCurr] :
      ( v17065(VarCurr)
    <=> ( v17013(VarCurr,bitIndex3)
        | v17021(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3937,axiom,(
    ! [VarCurr] :
      ( v17062(VarCurr)
    <=> ( v17063(VarCurr)
        | v17064(VarCurr) ) ) )).

fof(writeUnaryOperator_1560,axiom,(
    ! [VarCurr] :
      ( ~ v17064(VarCurr)
    <=> v17021(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_1559,axiom,(
    ! [VarCurr] :
      ( ~ v17063(VarCurr)
    <=> v17013(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3936,axiom,(
    ! [VarCurr] :
      ( v17040(VarCurr)
    <=> ( v17041(VarCurr)
        & v17054(VarCurr) ) ) )).

fof(writeUnaryOperator_1558,axiom,(
    ! [VarCurr] :
      ( ~ v17054(VarCurr)
    <=> v17055(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3935,axiom,(
    ! [VarCurr] :
      ( v17055(VarCurr)
    <=> ( v17056(VarCurr)
        & v17059(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_568,axiom,(
    ! [VarCurr] :
      ( v17059(VarCurr)
    <=> ( v17013(VarCurr,bitIndex2)
        | v17021(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3934,axiom,(
    ! [VarCurr] :
      ( v17056(VarCurr)
    <=> ( v17057(VarCurr)
        | v17058(VarCurr) ) ) )).

fof(writeUnaryOperator_1557,axiom,(
    ! [VarCurr] :
      ( ~ v17058(VarCurr)
    <=> v17021(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_1556,axiom,(
    ! [VarCurr] :
      ( ~ v17057(VarCurr)
    <=> v17013(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3933,axiom,(
    ! [VarCurr] :
      ( v17041(VarCurr)
    <=> ( v17042(VarCurr)
        & v17048(VarCurr) ) ) )).

fof(writeUnaryOperator_1555,axiom,(
    ! [VarCurr] :
      ( ~ v17048(VarCurr)
    <=> v17049(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3932,axiom,(
    ! [VarCurr] :
      ( v17049(VarCurr)
    <=> ( v17050(VarCurr)
        & v17053(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_567,axiom,(
    ! [VarCurr] :
      ( v17053(VarCurr)
    <=> ( v17013(VarCurr,bitIndex1)
        | v17021(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3931,axiom,(
    ! [VarCurr] :
      ( v17050(VarCurr)
    <=> ( v17051(VarCurr)
        | v17052(VarCurr) ) ) )).

fof(writeUnaryOperator_1554,axiom,(
    ! [VarCurr] :
      ( ~ v17052(VarCurr)
    <=> v17021(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_1553,axiom,(
    ! [VarCurr] :
      ( ~ v17051(VarCurr)
    <=> v17013(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_1552,axiom,(
    ! [VarCurr] :
      ( ~ v17042(VarCurr)
    <=> v17043(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3930,axiom,(
    ! [VarCurr] :
      ( v17043(VarCurr)
    <=> ( v17044(VarCurr)
        & v17047(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3929,axiom,(
    ! [VarCurr] :
      ( v17047(VarCurr)
    <=> ( v17013(VarCurr,bitIndex0)
        | v17021(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3928,axiom,(
    ! [VarCurr] :
      ( v17044(VarCurr)
    <=> ( v17045(VarCurr)
        | v17046(VarCurr) ) ) )).

fof(writeUnaryOperator_1551,axiom,(
    ! [VarCurr] :
      ( ~ v17046(VarCurr)
    <=> v17021(VarCurr,bitIndex0) ) )).

fof(writeUnaryOperator_1550,axiom,(
    ! [VarCurr] :
      ( ~ v17045(VarCurr)
    <=> v17013(VarCurr,bitIndex0) ) )).

fof(addAssignment_3985,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v17021(VarCurr,B)
      <=> v17023(VarCurr,B) ) ) )).

fof(addAssignment_3984,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v17023(VarCurr,B)
      <=> v17025(VarCurr,B) ) ) )).

fof(addAssignment_3983,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v17025(VarCurr,B)
      <=> v17027(VarCurr,B) ) ) )).

fof(addAssignment_3982,axiom,(
    ! [VarCurr] :
      ( ( v17027(VarCurr,bitIndex5)
      <=> v16844(VarCurr,bitIndex137) )
      & ( v17027(VarCurr,bitIndex4)
      <=> v16844(VarCurr,bitIndex136) )
      & ( v17027(VarCurr,bitIndex3)
      <=> v16844(VarCurr,bitIndex135) )
      & ( v17027(VarCurr,bitIndex2)
      <=> v16844(VarCurr,bitIndex134) )
      & ( v17027(VarCurr,bitIndex1)
      <=> v16844(VarCurr,bitIndex133) )
      & ( v17027(VarCurr,bitIndex0)
      <=> v16844(VarCurr,bitIndex132) ) ) )).

fof(addAssignment_3981,axiom,(
    ! [VarCurr,B] :
      ( range_137_132(B)
     => ( v16844(VarCurr,B)
      <=> v16846(VarCurr,B) ) ) )).

fof(addAssignment_3980,axiom,(
    ! [VarCurr,B] :
      ( range_137_132(B)
     => ( v16846(VarCurr,B)
      <=> v16848(VarCurr,B) ) ) )).

fof(addAssignment_3979,axiom,(
    ! [VarCurr,B] :
      ( range_137_132(B)
     => ( v16848(VarCurr,B)
      <=> v16850(VarCurr,B) ) ) )).

fof(addAssignment_3978,axiom,(
    ! [VarCurr,B] :
      ( range_137_132(B)
     => ( v16850(VarCurr,B)
      <=> v16852(VarCurr,B) ) ) )).

fof(range_axiom_57,axiom,(
    ! [B] :
      ( range_137_132(B)
    <=> ( $false
        | bitIndex132 = B
        | bitIndex133 = B
        | bitIndex134 = B
        | bitIndex135 = B
        | bitIndex136 = B
        | bitIndex137 = B ) ) )).

fof(addAssignment_3977,axiom,(
    ! [VarCurr] :
      ( ( v16852(VarCurr,bitIndex137)
      <=> v17029(VarCurr,bitIndex5) )
      & ( v16852(VarCurr,bitIndex136)
      <=> v17029(VarCurr,bitIndex4) )
      & ( v16852(VarCurr,bitIndex135)
      <=> v17029(VarCurr,bitIndex3) )
      & ( v16852(VarCurr,bitIndex134)
      <=> v17029(VarCurr,bitIndex2) )
      & ( v16852(VarCurr,bitIndex133)
      <=> v17029(VarCurr,bitIndex1) )
      & ( v16852(VarCurr,bitIndex132)
      <=> v17029(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_3976,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v17029(VarCurr,B)
      <=> v17031(VarCurr,B) ) ) )).

fof(addAssignment_3975,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v17031(VarCurr,B)
      <=> v17033(VarCurr,B) ) ) )).

fof(addAssignment_3974,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v17013(VarCurr,B)
      <=> v17015(VarCurr,B) ) ) )).

fof(addAssignment_3973,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v17015(VarCurr,B)
      <=> v17017(VarCurr,B) ) ) )).

fof(addAssignment_3972,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v17017(VarCurr,B)
      <=> v17019(VarCurr,B) ) ) )).

fof(addAssignment_3971,axiom,(
    ! [VarCurr] :
      ( v16743(VarCurr)
    <=> v16745(VarCurr) ) )).

fof(addAssignment_3970,axiom,(
    ! [VarCurr] :
      ( v16745(VarCurr)
    <=> v16747(VarCurr) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_31,axiom,(
    ! [VarCurr] :
      ( ( ~ v16885(VarCurr)
        & ~ v16886(VarCurr)
        & ~ v16887(VarCurr) )
     => ( v16747(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_241,axiom,(
    ! [VarCurr] :
      ( v16887(VarCurr)
     => ( v16747(VarCurr)
      <=> v16997(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_584,axiom,(
    ! [VarCurr] :
      ( v16886(VarCurr)
     => ( v16747(VarCurr)
      <=> v16834(VarCurr,bitIndex0) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_586,axiom,(
    ! [VarCurr] :
      ( v16885(VarCurr)
     => ( v16747(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_389,axiom,(
    ! [VarCurr] :
      ( ~ v16921(VarCurr)
     => ( v16997(VarCurr)
      <=> v16999(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_393,axiom,(
    ! [VarCurr] :
      ( v16921(VarCurr)
     => ( v16997(VarCurr)
      <=> v16998(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1135,axiom,(
    ! [VarCurr] :
      ( v16999(VarCurr)
    <=> ( ( v16880(VarCurr,bitIndex2)
        <=> $false )
        & ( v16880(VarCurr,bitIndex1)
        <=> $true )
        & ( v16880(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1134,axiom,(
    ! [VarCurr] :
      ( v16998(VarCurr)
    <=> ( ( v16880(VarCurr,bitIndex2)
        <=> $true )
        & ( v16880(VarCurr,bitIndex1)
        <=> $true )
        & ( v16880(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_187,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16985(VarNext)
       => ! [B] :
            ( range_1_0(B)
           => ( v16749(VarNext,B)
            <=> v16749(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_208,axiom,(
    ! [VarNext] :
      ( v16985(VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v16749(VarNext,B)
          <=> v16993(VarNext,B) ) ) ) )).

fof(addAssignment_3969,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v16993(VarNext,B)
          <=> v16991(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_388,axiom,(
    ! [VarCurr] :
      ( ~ v16917(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v16991(VarCurr,B)
          <=> v16753(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_392,axiom,(
    ! [VarCurr] :
      ( v16917(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v16991(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3927,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16985(VarNext)
      <=> v16986(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3926,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16986(VarNext)
      <=> ( v16988(VarNext)
          & v16903(VarNext) ) ) ) )).

fof(writeUnaryOperator_1549,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16988(VarNext)
      <=> v16910(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_30,axiom,(
    ! [VarCurr] :
      ( ( ~ v16950(VarCurr)
        & ~ v16954(VarCurr)
        & ~ v16964(VarCurr) )
     => ! [B] :
          ( range_1_0(B)
         => ( v16753(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_240,axiom,(
    ! [VarCurr] :
      ( v16964(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v16753(VarCurr,B)
          <=> v16965(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_583,axiom,(
    ! [VarCurr] :
      ( v16954(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v16753(VarCurr,B)
          <=> v16955(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_585,axiom,(
    ! [VarCurr] :
      ( v16950(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v16753(VarCurr,B)
          <=> v16951(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1133,axiom,(
    ! [VarCurr] :
      ( v16982(VarCurr)
    <=> ( ( v16749(VarCurr,bitIndex1)
        <=> $true )
        & ( v16749(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_29,axiom,(
    ! [VarCurr] :
      ( ( ~ v16966(VarCurr)
        & ~ v16973(VarCurr)
        & ~ v16975(VarCurr) )
     => ! [B] :
          ( range_1_0(B)
         => ( v16965(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_239,axiom,(
    ! [VarCurr] :
      ( v16975(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v16965(VarCurr,B)
          <=> b10(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_582,axiom,(
    ! [VarCurr] :
      ( v16973(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v16965(VarCurr,B)
          <=> v16974(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_584,axiom,(
    ! [VarCurr] :
      ( v16966(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v16965(VarCurr,B)
          <=> v16972(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1132,axiom,(
    ! [VarCurr] :
      ( v16981(VarCurr)
    <=> ( ( v16880(VarCurr,bitIndex2)
        <=> $true )
        & ( v16880(VarCurr,bitIndex1)
        <=> $true )
        & ( v16880(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3925,axiom,(
    ! [VarCurr] :
      ( v16975(VarCurr)
    <=> ( v16977(VarCurr)
        | v16980(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1131,axiom,(
    ! [VarCurr] :
      ( v16980(VarCurr)
    <=> ( ( v16880(VarCurr,bitIndex2)
        <=> $true )
        & ( v16880(VarCurr,bitIndex1)
        <=> $true )
        & ( v16880(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3924,axiom,(
    ! [VarCurr] :
      ( v16977(VarCurr)
    <=> ( v16978(VarCurr)
        | v16979(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1130,axiom,(
    ! [VarCurr] :
      ( v16979(VarCurr)
    <=> ( ( v16880(VarCurr,bitIndex2)
        <=> $true )
        & ( v16880(VarCurr,bitIndex1)
        <=> $false )
        & ( v16880(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1129,axiom,(
    ! [VarCurr] :
      ( v16978(VarCurr)
    <=> ( ( v16880(VarCurr,bitIndex2)
        <=> $true )
        & ( v16880(VarCurr,bitIndex1)
        <=> $false )
        & ( v16880(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_387,axiom,(
    ! [VarCurr] :
      ( ~ v16921(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v16974(VarCurr,B)
          <=> $true ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_391,axiom,(
    ! [VarCurr] :
      ( v16921(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v16974(VarCurr,B)
          <=> b10(B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1128,axiom,(
    ! [VarCurr] :
      ( v16973(VarCurr)
    <=> ( ( v16880(VarCurr,bitIndex2)
        <=> $false )
        & ( v16880(VarCurr,bitIndex1)
        <=> $true )
        & ( v16880(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_386,axiom,(
    ! [VarCurr] :
      ( ~ v16763(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v16972(VarCurr,B)
          <=> $true ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_390,axiom,(
    ! [VarCurr] :
      ( v16763(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v16972(VarCurr,B)
          <=> b10(B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3923,axiom,(
    ! [VarCurr] :
      ( v16966(VarCurr)
    <=> ( v16968(VarCurr)
        | v16971(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1127,axiom,(
    ! [VarCurr] :
      ( v16971(VarCurr)
    <=> ( ( v16880(VarCurr,bitIndex2)
        <=> $false )
        & ( v16880(VarCurr,bitIndex1)
        <=> $true )
        & ( v16880(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3922,axiom,(
    ! [VarCurr] :
      ( v16968(VarCurr)
    <=> ( v16969(VarCurr)
        | v16970(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1126,axiom,(
    ! [VarCurr] :
      ( v16970(VarCurr)
    <=> ( ( v16880(VarCurr,bitIndex2)
        <=> $false )
        & ( v16880(VarCurr,bitIndex1)
        <=> $false )
        & ( v16880(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1125,axiom,(
    ! [VarCurr] :
      ( v16969(VarCurr)
    <=> ( ( v16880(VarCurr,bitIndex2)
        <=> $false )
        & ( v16880(VarCurr,bitIndex1)
        <=> $false )
        & ( v16880(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1124,axiom,(
    ! [VarCurr] :
      ( v16964(VarCurr)
    <=> ( ( v16749(VarCurr,bitIndex1)
        <=> $true )
        & ( v16749(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_28,axiom,(
    ! [VarCurr] :
      ( ( ~ v16956(VarCurr)
        & ~ v16958(VarCurr)
        & ~ v16960(VarCurr) )
     => ! [B] :
          ( range_1_0(B)
         => ( v16955(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_238,axiom,(
    ! [VarCurr] :
      ( v16960(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v16955(VarCurr,B)
          <=> b10(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_581,axiom,(
    ! [VarCurr] :
      ( v16958(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v16955(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_583,axiom,(
    ! [VarCurr] :
      ( v16956(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v16955(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1123,axiom,(
    ! [VarCurr] :
      ( v16962(VarCurr)
    <=> ( ( v16963(VarCurr,bitIndex1)
        <=> $true )
        & ( v16963(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_3968,axiom,(
    ! [VarCurr] :
      ( v16963(VarCurr,bitIndex0)
    <=> v16834(VarCurr,bitIndex0) ) )).

fof(addAssignment_3967,axiom,(
    ! [VarCurr] :
      ( v16963(VarCurr,bitIndex1)
    <=> v16763(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1122,axiom,(
    ! [VarCurr] :
      ( v16960(VarCurr)
    <=> ( ( v16961(VarCurr,bitIndex1)
        <=> $true )
        & ( v16961(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_3966,axiom,(
    ! [VarCurr] :
      ( v16961(VarCurr,bitIndex0)
    <=> v16834(VarCurr,bitIndex0) ) )).

fof(addAssignment_3965,axiom,(
    ! [VarCurr] :
      ( v16961(VarCurr,bitIndex1)
    <=> v16763(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1121,axiom,(
    ! [VarCurr] :
      ( v16958(VarCurr)
    <=> ( ( v16959(VarCurr,bitIndex1)
        <=> $false )
        & ( v16959(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_3964,axiom,(
    ! [VarCurr] :
      ( v16959(VarCurr,bitIndex0)
    <=> v16834(VarCurr,bitIndex0) ) )).

fof(addAssignment_3963,axiom,(
    ! [VarCurr] :
      ( v16959(VarCurr,bitIndex1)
    <=> v16763(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1120,axiom,(
    ! [VarCurr] :
      ( v16956(VarCurr)
    <=> ( ( v16957(VarCurr,bitIndex1)
        <=> $false )
        & ( v16957(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_3962,axiom,(
    ! [VarCurr] :
      ( v16957(VarCurr,bitIndex0)
    <=> v16834(VarCurr,bitIndex0) ) )).

fof(addAssignment_3961,axiom,(
    ! [VarCurr] :
      ( v16957(VarCurr,bitIndex1)
    <=> v16763(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1119,axiom,(
    ! [VarCurr] :
      ( v16954(VarCurr)
    <=> ( ( v16749(VarCurr,bitIndex1)
        <=> $false )
        & ( v16749(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_580,axiom,(
    ! [VarCurr] :
      ( ~ v16952(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v16951(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_582,axiom,(
    ! [VarCurr] :
      ( v16952(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v16951(VarCurr,B)
          <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1118,axiom,(
    ! [VarCurr] :
      ( v16953(VarCurr)
    <=> ( v16755(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1117,axiom,(
    ! [VarCurr] :
      ( v16952(VarCurr)
    <=> ( v16755(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1116,axiom,(
    ! [VarCurr] :
      ( v16950(VarCurr)
    <=> ( ( v16749(VarCurr,bitIndex1)
        <=> $false )
        & ( v16749(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_3960,axiom,(
    ! [VarCurr] :
      ( v16921(VarCurr)
    <=> v16923(VarCurr) ) )).

fof(addAssignment_3959,axiom,(
    ! [VarCurr] :
      ( v16923(VarCurr)
    <=> v16925(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_566,axiom,(
    ! [VarCurr] :
      ( v16925(VarCurr)
    <=> ( v16927(VarCurr,bitIndex0)
        & v16927(VarCurr,bitIndex1) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_186,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16936(VarNext)
       => ! [B] :
            ( range_1_0(B)
           => ( v16927(VarNext,B)
            <=> v16927(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_207,axiom,(
    ! [VarNext] :
      ( v16936(VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v16927(VarNext,B)
          <=> v16944(VarNext,B) ) ) ) )).

fof(addAssignment_3958,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v16944(VarNext,B)
          <=> v16942(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_385,axiom,(
    ! [VarCurr] :
      ( ~ v16658(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v16942(VarCurr,B)
          <=> v16929(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_389,axiom,(
    ! [VarCurr] :
      ( v16658(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v16942(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3921,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16936(VarNext)
      <=> v16937(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3920,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16937(VarNext)
      <=> ( v16939(VarNext)
          & v16644(VarNext) ) ) ) )).

fof(writeUnaryOperator_1548,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16939(VarNext)
      <=> v16651(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_384,axiom,(
    ! [VarCurr] :
      ( ~ v16933(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v16929(VarCurr,B)
          <=> v16927(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_388,axiom,(
    ! [VarCurr] :
      ( v16933(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v16929(VarCurr,B)
          <=> v16931(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1115,axiom,(
    ! [VarCurr] :
      ( v16933(VarCurr)
    <=> ( ( v16623(VarCurr,bitIndex2)
        <=> $false )
        & ( v16623(VarCurr,bitIndex1)
        <=> $false )
        & ( v16623(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_3957,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v16931(VarCurr,B)
      <=> v14229(VarCurr,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_185,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16906(VarNext)
       => ! [B] :
            ( range_2_0(B)
           => ( v16880(VarNext,B)
            <=> v16880(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_206,axiom,(
    ! [VarNext] :
      ( v16906(VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v16880(VarNext,B)
          <=> v16916(VarNext,B) ) ) ) )).

fof(addAssignment_3956,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v16916(VarNext,B)
          <=> v16914(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_383,axiom,(
    ! [VarCurr] :
      ( ~ v16917(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v16914(VarCurr,B)
          <=> v16882(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_387,axiom,(
    ! [VarCurr] :
      ( v16917(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v16914(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_1547,axiom,(
    ! [VarCurr] :
      ( ~ v16917(VarCurr)
    <=> v16751(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3919,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16906(VarNext)
      <=> v16907(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3918,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16907(VarNext)
      <=> ( v16908(VarNext)
          & v16903(VarNext) ) ) ) )).

fof(writeUnaryOperator_1546,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16908(VarNext)
      <=> v16910(VarNext) ) ) )).

fof(addAssignment_3955,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16910(VarNext)
      <=> v16903(VarCurr) ) ) )).

fof(addAssignment_3954,axiom,(
    ! [VarCurr] :
      ( v16903(VarCurr)
    <=> v14075(VarCurr) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_237,axiom,(
    ! [VarCurr] :
      ( ( ~ v16884(VarCurr)
        & ~ v16887(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v16882(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_579,axiom,(
    ! [VarCurr] :
      ( v16887(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v16882(VarCurr,B)
          <=> v16888(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_581,axiom,(
    ! [VarCurr] :
      ( v16884(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v16882(VarCurr,B)
          <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1114,axiom,(
    ! [VarCurr] :
      ( v16901(VarCurr)
    <=> ( ( v16749(VarCurr,bitIndex1)
        <=> $true )
        & ( v16749(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_3953,axiom,(
    ! [VarCurr] :
      ( v16888(VarCurr,bitIndex0)
    <=> v16898(VarCurr) ) )).

fof(addAssignment_3952,axiom,(
    ! [VarCurr] :
      ( v16888(VarCurr,bitIndex1)
    <=> v16896(VarCurr) ) )).

fof(addAssignment_3951,axiom,(
    ! [VarCurr] :
      ( v16888(VarCurr,bitIndex2)
    <=> v16890(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3917,axiom,(
    ! [VarCurr] :
      ( v16896(VarCurr)
    <=> ( v16897(VarCurr)
        & v16900(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_565,axiom,(
    ! [VarCurr] :
      ( v16900(VarCurr)
    <=> ( v16880(VarCurr,bitIndex0)
        | v16880(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3916,axiom,(
    ! [VarCurr] :
      ( v16897(VarCurr)
    <=> ( v16898(VarCurr)
        | v16899(VarCurr) ) ) )).

fof(writeUnaryOperator_1545,axiom,(
    ! [VarCurr] :
      ( ~ v16899(VarCurr)
    <=> v16880(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_1544,axiom,(
    ! [VarCurr] :
      ( ~ v16898(VarCurr)
    <=> v16880(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3915,axiom,(
    ! [VarCurr] :
      ( v16890(VarCurr)
    <=> ( v16891(VarCurr)
        & v16895(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_564,axiom,(
    ! [VarCurr] :
      ( v16895(VarCurr)
    <=> ( v16893(VarCurr)
        | v16880(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3914,axiom,(
    ! [VarCurr] :
      ( v16891(VarCurr)
    <=> ( v16892(VarCurr)
        | v16894(VarCurr) ) ) )).

fof(writeUnaryOperator_1543,axiom,(
    ! [VarCurr] :
      ( ~ v16894(VarCurr)
    <=> v16880(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_1542,axiom,(
    ! [VarCurr] :
      ( ~ v16892(VarCurr)
    <=> v16893(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_563,axiom,(
    ! [VarCurr] :
      ( v16893(VarCurr)
    <=> ( v16880(VarCurr,bitIndex0)
        & v16880(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_1113,axiom,(
    ! [VarCurr] :
      ( v16887(VarCurr)
    <=> ( ( v16749(VarCurr,bitIndex1)
        <=> $true )
        & ( v16749(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3913,axiom,(
    ! [VarCurr] :
      ( v16884(VarCurr)
    <=> ( v16885(VarCurr)
        | v16886(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1112,axiom,(
    ! [VarCurr] :
      ( v16886(VarCurr)
    <=> ( ( v16749(VarCurr,bitIndex1)
        <=> $false )
        & ( v16749(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1111,axiom,(
    ! [VarCurr] :
      ( v16885(VarCurr)
    <=> ( ( v16749(VarCurr,bitIndex1)
        <=> $false )
        & ( v16749(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_3950,axiom,(
    ! [VarCurr] :
      ( v16834(VarCurr,bitIndex0)
    <=> v16878(VarCurr,bitIndex0) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_382,axiom,(
    ! [VarCurr] :
      ( ~ v16763(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v16878(VarCurr,B)
          <=> $false ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_386,axiom,(
    ! [VarCurr] :
      ( v16763(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v16878(VarCurr,B)
          <=> v16836(VarCurr,B) ) ) ) )).

fof(addAssignment_3949,axiom,(
    ! [VarCurr] :
      ( v16836(VarCurr,bitIndex0)
    <=> v16838(VarCurr,bitIndex0) ) )).

fof(addAssignment_3948,axiom,(
    ! [VarCurr] :
      ( v16838(VarCurr,bitIndex0)
    <=> v16840(VarCurr,bitIndex0) ) )).

fof(addAssignment_3947,axiom,(
    ! [VarCurr] :
      ( v16840(VarCurr,bitIndex0)
    <=> v16842(VarCurr,bitIndex0) ) )).

fof(addAssignment_3946,axiom,(
    ! [VarCurr] :
      ( v16842(VarCurr,bitIndex0)
    <=> v16844(VarCurr,bitIndex139) ) )).

fof(addAssignment_3945,axiom,(
    ! [VarCurr] :
      ( v16844(VarCurr,bitIndex139)
    <=> v16846(VarCurr,bitIndex139) ) )).

fof(addAssignment_3944,axiom,(
    ! [VarCurr] :
      ( v16846(VarCurr,bitIndex139)
    <=> v16848(VarCurr,bitIndex139) ) )).

fof(addAssignment_3943,axiom,(
    ! [VarCurr] :
      ( v16848(VarCurr,bitIndex139)
    <=> v16850(VarCurr,bitIndex139) ) )).

fof(addAssignment_3942,axiom,(
    ! [VarCurr] :
      ( v16850(VarCurr,bitIndex139)
    <=> v16852(VarCurr,bitIndex139) ) )).

fof(addAssignment_3941,axiom,(
    ! [VarCurr] :
      ( v16852(VarCurr,bitIndex139)
    <=> v16854(VarCurr) ) )).

fof(addAssignment_3940,axiom,(
    ! [VarCurr] :
      ( v16854(VarCurr)
    <=> v16856(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_184,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16861(VarNext)
       => ( v16856(VarNext)
        <=> v16856(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_205,axiom,(
    ! [VarNext] :
      ( v16861(VarNext)
     => ( v16856(VarNext)
      <=> v16875(VarNext) ) ) )).

fof(addAssignment_3939,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16875(VarNext)
      <=> v16873(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_578,axiom,(
    ! [VarCurr] :
      ( ~ v16870(VarCurr)
     => ( v16873(VarCurr)
      <=> v16858(VarCurr,bitIndex0) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_580,axiom,(
    ! [VarCurr] :
      ( v16870(VarCurr)
     => ( v16873(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3912,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16861(VarNext)
      <=> ( v16862(VarNext)
          & v16869(VarNext) ) ) ) )).

fof(addAssignment_3938,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16869(VarNext)
      <=> v16867(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3911,axiom,(
    ! [VarCurr] :
      ( v16867(VarCurr)
    <=> ( v16870(VarCurr)
        | v16871(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3910,axiom,(
    ! [VarCurr] :
      ( v16871(VarCurr)
    <=> ( v16787(VarCurr)
        & v16872(VarCurr) ) ) )).

fof(writeUnaryOperator_1541,axiom,(
    ! [VarCurr] :
      ( ~ v16872(VarCurr)
    <=> v16870(VarCurr) ) )).

fof(writeUnaryOperator_1540,axiom,(
    ! [VarCurr] :
      ( ~ v16870(VarCurr)
    <=> v16785(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3909,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16862(VarNext)
      <=> ( v16863(VarNext)
          & v16802(VarNext) ) ) ) )).

fof(writeUnaryOperator_1539,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16863(VarNext)
      <=> v16809(VarNext) ) ) )).

fof(addAssignment_3937,axiom,(
    ! [VarCurr] :
      ( v16858(VarCurr,bitIndex0)
    <=> v11738(VarCurr,bitIndex0) ) )).

fof(addAssignment_3936,axiom,(
    ! [VarCurr] :
      ( v16763(VarCurr)
    <=> v16765(VarCurr) ) )).

fof(addAssignment_3935,axiom,(
    ! [VarCurr] :
      ( v16765(VarCurr)
    <=> v16767(VarCurr) ) )).

fof(addAssignment_3934,axiom,(
    ! [VarCurr] :
      ( v16767(VarCurr)
    <=> v16769(VarCurr) ) )).

fof(addAssignment_3933,axiom,(
    ! [VarCurr] :
      ( v16769(VarCurr)
    <=> v16771(VarCurr) ) )).

fof(addAssignment_3932,axiom,(
    ! [VarCurr] :
      ( v16771(VarCurr)
    <=> v16773(VarCurr) ) )).

fof(addAssignment_3931,axiom,(
    ! [VarCurr] :
      ( v16773(VarCurr)
    <=> v16775(VarCurr) ) )).

fof(addAssignment_3930,axiom,(
    ! [VarCurr] :
      ( v16775(VarCurr)
    <=> v16777(VarCurr) ) )).

fof(addAssignment_3929,axiom,(
    ! [VarCurr] :
      ( v16777(VarCurr)
    <=> v16779(VarCurr) ) )).

fof(addAssignment_3928,axiom,(
    ! [VarCurr] :
      ( v16779(VarCurr)
    <=> v16781(VarCurr) ) )).

fof(addAssignment_3927,axiom,(
    ! [VarCurr] :
      ( v16781(VarCurr)
    <=> v16783(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_183,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16805(VarNext)
       => ( v16783(VarNext)
        <=> v16783(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_204,axiom,(
    ! [VarNext] :
      ( v16805(VarNext)
     => ( v16783(VarNext)
      <=> v16815(VarNext) ) ) )).

fof(addAssignment_3926,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16815(VarNext)
      <=> v16813(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_381,axiom,(
    ! [VarCurr] :
      ( ~ v16816(VarCurr)
     => ( v16813(VarCurr)
      <=> v16817(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_385,axiom,(
    ! [VarCurr] :
      ( v16816(VarCurr)
     => ( v16813(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_577,axiom,(
    ! [VarCurr] :
      ( ~ v16818(VarCurr)
     => ( v16817(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_579,axiom,(
    ! [VarCurr] :
      ( v16818(VarCurr)
     => ( v16817(VarCurr)
      <=> v16800(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3908,axiom,(
    ! [VarCurr] :
      ( v16824(VarCurr)
    <=> ( v16825(VarCurr)
        | v16829(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3907,axiom,(
    ! [VarCurr] :
      ( v16829(VarCurr)
    <=> ( v16827(VarCurr)
        & v16791(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3906,axiom,(
    ! [VarCurr] :
      ( v16825(VarCurr)
    <=> ( v16827(VarCurr)
        & v16828(VarCurr) ) ) )).

fof(writeUnaryOperator_1538,axiom,(
    ! [VarCurr] :
      ( ~ v16828(VarCurr)
    <=> v16791(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3905,axiom,(
    ! [VarCurr] :
      ( v16827(VarCurr)
    <=> ( v16789(VarCurr)
        & v16787(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3904,axiom,(
    ! [VarCurr] :
      ( v16818(VarCurr)
    <=> ( v16819(VarCurr)
        | v16821(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3903,axiom,(
    ! [VarCurr] :
      ( v16821(VarCurr)
    <=> ( v16823(VarCurr)
        & v16787(VarCurr) ) ) )).

fof(writeUnaryOperator_1537,axiom,(
    ! [VarCurr] :
      ( ~ v16823(VarCurr)
    <=> v16789(VarCurr) ) )).

fof(writeUnaryOperator_1536,axiom,(
    ! [VarCurr] :
      ( ~ v16819(VarCurr)
    <=> v16787(VarCurr) ) )).

fof(writeUnaryOperator_1535,axiom,(
    ! [VarCurr] :
      ( ~ v16816(VarCurr)
    <=> v16785(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3902,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16805(VarNext)
      <=> v16806(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3901,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16806(VarNext)
      <=> ( v16807(VarNext)
          & v16802(VarNext) ) ) ) )).

fof(writeUnaryOperator_1534,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16807(VarNext)
      <=> v16809(VarNext) ) ) )).

fof(addAssignment_3925,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16809(VarNext)
      <=> v16802(VarCurr) ) ) )).

fof(addAssignment_3924,axiom,(
    ! [VarCurr] :
      ( v16802(VarCurr)
    <=> v11731(VarCurr) ) )).

fof(addAssignment_3923,axiom,(
    ! [VarCurr] :
      ( v16791(VarCurr)
    <=> v16793(VarCurr) ) )).

fof(addAssignment_3922,axiom,(
    ! [VarCurr] :
      ( v16793(VarCurr)
    <=> v16795(VarCurr) ) )).

fof(addAssignment_3921,axiom,(
    ! [VarCurr] :
      ( v16795(VarCurr)
    <=> v16797(VarCurr) ) )).

fof(addAssignment_3920,axiom,(
    ! [VarCurr] :
      ( v16789(VarCurr)
    <=> v11744(VarCurr,bitIndex15) ) )).

fof(addAssignment_3919,axiom,(
    ! [VarCurr] :
      ( v16787(VarCurr)
    <=> v11753(VarCurr) ) )).

fof(addAssignment_3918,axiom,(
    ! [VarCurr] :
      ( v16785(VarCurr)
    <=> v12(VarCurr) ) )).

fof(addAssignment_3917,axiom,(
    ! [VarCurr] :
      ( v16755(VarCurr)
    <=> v16757(VarCurr) ) )).

fof(addAssignment_3916,axiom,(
    ! [VarCurr] :
      ( v16757(VarCurr)
    <=> v16759(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_380,axiom,(
    ! [VarCurr] :
      ( ~ v16761(VarCurr)
     => ( v16759(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_384,axiom,(
    ! [VarCurr] :
      ( v16761(VarCurr)
     => ( v16759(VarCurr)
      <=> v16662(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1110,axiom,(
    ! [VarCurr] :
      ( v16761(VarCurr)
    <=> ( ( v16623(VarCurr,bitIndex2)
        <=> $false )
        & ( v16623(VarCurr,bitIndex1)
        <=> $true )
        & ( v16623(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_3915,axiom,(
    ! [VarCurr] :
      ( v16751(VarCurr)
    <=> v13771(VarCurr) ) )).

fof(addAssignment_3914,axiom,(
    ! [VarCurr] :
      ( v16662(VarCurr)
    <=> v16664(VarCurr) ) )).

fof(addAssignment_3913,axiom,(
    ! [VarCurr] :
      ( v16664(VarCurr)
    <=> v16666(VarCurr) ) )).

fof(addAssignment_3912,axiom,(
    ! [VarCurr] :
      ( v16666(VarCurr)
    <=> v16668(VarCurr) ) )).

fof(addAssignment_3911,axiom,(
    ! [VarCurr] :
      ( v16668(VarCurr)
    <=> v16670(VarCurr) ) )).

fof(addAssignment_3910,axiom,(
    ! [VarCurr] :
      ( v16670(VarCurr)
    <=> v16672(VarCurr) ) )).

fof(addAssignment_3909,axiom,(
    ! [VarCurr] :
      ( v16672(VarCurr)
    <=> v16674(VarCurr) ) )).

fof(addAssignment_3908,axiom,(
    ! [VarCurr] :
      ( v16674(VarCurr)
    <=> v16676(VarCurr) ) )).

fof(addAssignment_3907,axiom,(
    ! [VarCurr] :
      ( v16676(VarCurr)
    <=> v16678(VarCurr) ) )).

fof(addAssignment_3906,axiom,(
    ! [VarCurr] :
      ( v16678(VarCurr)
    <=> v16680(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_182,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16722(VarNext)
       => ( v16680(VarNext)
        <=> v16680(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_203,axiom,(
    ! [VarNext] :
      ( v16722(VarNext)
     => ( v16680(VarNext)
      <=> v16738(VarNext) ) ) )).

fof(addAssignment_3905,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16738(VarNext)
      <=> v16736(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_576,axiom,(
    ! [VarCurr] :
      ( ~ v16733(VarCurr)
     => ( v16736(VarCurr)
      <=> v16739(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_578,axiom,(
    ! [VarCurr] :
      ( v16733(VarCurr)
     => ( v16736(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_1533,axiom,(
    ! [VarCurr] :
      ( ~ v16739(VarCurr)
    <=> v16680(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3900,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16722(VarNext)
      <=> ( v16723(VarNext)
          & v16732(VarNext) ) ) ) )).

fof(addAssignment_3904,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16732(VarNext)
      <=> v16730(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3899,axiom,(
    ! [VarCurr] :
      ( v16730(VarCurr)
    <=> ( v16733(VarCurr)
        | v16734(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3898,axiom,(
    ! [VarCurr] :
      ( v16734(VarCurr)
    <=> ( v16682(VarCurr)
        & v16735(VarCurr) ) ) )).

fof(writeUnaryOperator_1532,axiom,(
    ! [VarCurr] :
      ( ~ v16735(VarCurr)
    <=> v16733(VarCurr) ) )).

fof(writeUnaryOperator_1531,axiom,(
    ! [VarCurr] :
      ( ~ v16733(VarCurr)
    <=> v123(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3897,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16723(VarNext)
      <=> ( v16724(VarNext)
          & v16719(VarNext) ) ) ) )).

fof(writeUnaryOperator_1530,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16724(VarNext)
      <=> v16726(VarNext) ) ) )).

fof(addAssignment_3903,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16726(VarNext)
      <=> v16719(VarCurr) ) ) )).

fof(addAssignment_3902,axiom,(
    ! [VarCurr] :
      ( v16719(VarCurr)
    <=> v660(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3896,axiom,(
    ! [VarCurr] :
      ( v16682(VarCurr)
    <=> ( v16684(VarCurr)
        & v16717(VarCurr) ) ) )).

fof(writeUnaryOperator_1529,axiom,(
    ! [VarCurr] :
      ( ~ v16717(VarCurr)
    <=> v635(VarCurr) ) )).

fof(addAssignmentInitValueVector_27,axiom,
    ( v635(constB0)
  <=> $false )).

fof(addAssignment_3901,axiom,(
    ! [VarCurr] :
      ( v16684(VarCurr)
    <=> v619(VarCurr,bitIndex0) ) )).

fof(addAssignment_3900,axiom,(
    ! [VarCurr] :
      ( v619(VarCurr,bitIndex0)
    <=> v16714(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_10,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v16714(VarCurr,B)
      <=> ( v621(VarCurr,B)
          & v16715(VarCurr,B) ) ) ) )).

fof(writeUnaryOperator_1528,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v16715(VarCurr,B)
      <=> ~ v16713(VarCurr,B) ) ) )).

fof(addAssignment_3899,axiom,(
    ! [VarCurr] :
      ( v16713(VarCurr,bitIndex0)
    <=> $false ) )).

fof(addAssignment_3898,axiom,(
    ! [VarCurr] :
      ( v621(VarCurr,bitIndex0)
    <=> v16711(VarCurr,bitIndex0) ) )).

fof(addAssignment_3897,axiom,(
    ! [VarCurr] :
      ( v16711(VarCurr,bitIndex0)
    <=> v16686(VarCurr) ) )).

fof(addAssignment_3896,axiom,(
    ! [VarCurr] :
      ( v16711(VarCurr,bitIndex1)
    <=> v623(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3895,axiom,(
    ! [VarCurr] :
      ( v16686(VarCurr)
    <=> ( v16708(VarCurr)
        & v16710(VarCurr) ) ) )).

fof(writeUnaryOperator_1527,axiom,(
    ! [VarCurr] :
      ( ~ v16710(VarCurr)
    <=> v625(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3894,axiom,(
    ! [VarCurr] :
      ( v16708(VarCurr)
    <=> ( v16709(VarCurr)
        & v12946(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3893,axiom,(
    ! [VarCurr] :
      ( v16709(VarCurr)
    <=> ( v16688(VarCurr)
      <~> v16680(VarCurr) ) ) )).

fof(addAssignment_3895,axiom,(
    ! [VarCurr] :
      ( v16688(VarCurr)
    <=> v16690(VarCurr) ) )).

fof(addAssignment_3894,axiom,(
    ! [VarCurr] :
      ( v16690(VarCurr)
    <=> v16692(VarCurr) ) )).

fof(addAssignment_3893,axiom,(
    ! [VarCurr] :
      ( v16692(VarCurr)
    <=> v16694(VarCurr) ) )).

fof(addAssignment_3892,axiom,(
    ! [VarCurr] :
      ( v16694(VarCurr)
    <=> v16696(VarCurr) ) )).

fof(addAssignment_3891,axiom,(
    ! [VarCurr] :
      ( v16696(VarCurr)
    <=> v16698(VarCurr) ) )).

fof(addAssignment_3890,axiom,(
    ! [VarCurr] :
      ( v16698(VarCurr)
    <=> v16700(VarCurr) ) )).

fof(addAssignment_3889,axiom,(
    ! [VarCurr] :
      ( v16700(VarCurr)
    <=> v16702(VarCurr) ) )).

fof(addAssignment_3888,axiom,(
    ! [VarCurr] :
      ( v16702(VarCurr)
    <=> v16704(VarCurr) ) )).

fof(addAssignment_3887,axiom,(
    ! [VarCurr] :
      ( v16704(VarCurr)
    <=> v16706(VarCurr) ) )).

fof(addAssignment_3886,axiom,(
    ! [VarCurr] :
      ( v16706(VarCurr)
    <=> v16635(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_181,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16647(VarNext)
       => ( v16635(VarNext)
        <=> v16635(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_202,axiom,(
    ! [VarNext] :
      ( v16647(VarNext)
     => ( v16635(VarNext)
      <=> v16657(VarNext) ) ) )).

fof(addAssignment_3885,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16657(VarNext)
      <=> v16655(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_379,axiom,(
    ! [VarCurr] :
      ( ~ v16658(VarCurr)
     => ( v16655(VarCurr)
      <=> v16637(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_383,axiom,(
    ! [VarCurr] :
      ( v16658(VarCurr)
     => ( v16655(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_1526,axiom,(
    ! [VarCurr] :
      ( ~ v16658(VarCurr)
    <=> v16625(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3892,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16647(VarNext)
      <=> v16648(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3891,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16648(VarNext)
      <=> ( v16649(VarNext)
          & v16644(VarNext) ) ) ) )).

fof(writeUnaryOperator_1525,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16649(VarNext)
      <=> v16651(VarNext) ) ) )).

fof(addAssignment_3884,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16651(VarNext)
      <=> v16644(VarCurr) ) ) )).

fof(addAssignment_3883,axiom,(
    ! [VarCurr] :
      ( v16644(VarCurr)
    <=> v14075(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_378,axiom,(
    ! [VarCurr] :
      ( ~ v16639(VarCurr)
     => ( v16637(VarCurr)
      <=> v16635(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_382,axiom,(
    ! [VarCurr] :
      ( v16639(VarCurr)
     => ( v16637(VarCurr)
      <=> v16642(VarCurr) ) ) )).

fof(writeUnaryOperator_1524,axiom,(
    ! [VarCurr] :
      ( ~ v16642(VarCurr)
    <=> v16635(VarCurr) ) )).

fof(addAssignmentInitValueVector_26,axiom,
    ( v16635(constB0)
  <=> $false )).

fof(writeBinaryOperatorEqualRangesSingleBits_3890,axiom,(
    ! [VarCurr] :
      ( v16639(VarCurr)
    <=> ( v16640(VarCurr)
        | v16641(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1109,axiom,(
    ! [VarCurr] :
      ( v16641(VarCurr)
    <=> ( ( v16623(VarCurr,bitIndex2)
        <=> $true )
        & ( v16623(VarCurr,bitIndex1)
        <=> $false )
        & ( v16623(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1108,axiom,(
    ! [VarCurr] :
      ( v16640(VarCurr)
    <=> ( ( v16623(VarCurr,bitIndex2)
        <=> $false )
        & ( v16623(VarCurr,bitIndex1)
        <=> $false )
        & ( v16623(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignmentInitValueVector_25,axiom,(
    ! [B] :
      ( range_2_0(B)
     => ( v16623(constB0,B)
      <=> $false ) ) )).

fof(addAssignment_3882,axiom,(
    ! [VarCurr] :
      ( v16629(VarCurr)
    <=> v16631(VarCurr) ) )).

fof(addAssignment_3881,axiom,(
    ! [VarCurr] :
      ( v16631(VarCurr)
    <=> v16633(VarCurr) ) )).

fof(addAssignment_3880,axiom,(
    ! [VarCurr] :
      ( v16633(VarCurr)
    <=> v14225(VarCurr) ) )).

fof(addAssignment_3879,axiom,(
    ! [VarCurr] :
      ( v16625(VarCurr)
    <=> v13771(VarCurr) ) )).

fof(addAssignment_3878,axiom,(
    ! [VarCurr] :
      ( v16610(VarCurr)
    <=> v7937(VarCurr) ) )).

fof(addAssignment_3877,axiom,(
    ! [VarCurr] :
      ( v16606(VarCurr)
    <=> v7895(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3889,axiom,(
    ! [VarCurr] :
      ( v14383(VarCurr)
    <=> ( v16584(VarCurr)
        & v16586(VarCurr) ) ) )).

fof(writeUnaryOperator_1523,axiom,(
    ! [VarCurr] :
      ( ~ v16586(VarCurr)
    <=> v16587(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3888,axiom,(
    ! [VarCurr] :
      ( v16587(VarCurr)
    <=> ( v16588(VarCurr)
        | v16590(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3887,axiom,(
    ! [VarCurr] :
      ( v16590(VarCurr)
    <=> ( v16591(VarCurr)
        | v16562(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3886,axiom,(
    ! [VarCurr] :
      ( v16591(VarCurr)
    <=> ( v16592(VarCurr)
        | v16220(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_562,axiom,(
    ! [VarCurr] :
      ( v16592(VarCurr)
    <=> ( v16593(VarCurr)
        | v15710(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_561,axiom,(
    ! [VarCurr] :
      ( v16593(VarCurr)
    <=> ( v16594(VarCurr)
        | v15710(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorShiftedRanges_560,axiom,(
    ! [VarCurr] :
      ( v16594(VarCurr)
    <=> ( v15710(VarCurr,bitIndex18)
        | v15710(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorShiftedRanges_559,axiom,(
    ! [VarCurr] :
      ( v16588(VarCurr)
    <=> ( v14551(VarCurr,bitIndex1)
        & v16589(VarCurr) ) ) )).

fof(writeUnaryOperator_1522,axiom,(
    ! [VarCurr] :
      ( ~ v16589(VarCurr)
    <=> v15706(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_558,axiom,(
    ! [VarCurr] :
      ( v16584(VarCurr)
    <=> ( v14385(VarCurr,bitIndex1)
        & v16585(VarCurr) ) ) )).

fof(writeUnaryOperator_1521,axiom,(
    ! [VarCurr] :
      ( ~ v16585(VarCurr)
    <=> v13765(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3885,axiom,(
    ! [VarCurr] :
      ( v16562(VarCurr)
    <=> ( v16581(VarCurr)
        & v16564(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_557,axiom,(
    ! [VarCurr] :
      ( v16581(VarCurr)
    <=> ( v14385(VarCurr,bitIndex1)
        & v16582(VarCurr) ) ) )).

fof(writeUnaryOperator_1520,axiom,(
    ! [VarCurr] :
      ( ~ v16582(VarCurr)
    <=> v13765(VarCurr,bitIndex1) ) )).

fof(addAssignment_3876,axiom,(
    ! [VarCurr] :
      ( v16564(VarCurr)
    <=> v16566(VarCurr) ) )).

fof(addAssignment_3875,axiom,(
    ! [VarCurr] :
      ( v16566(VarCurr)
    <=> v16568(VarCurr) ) )).

fof(addAssignment_3874,axiom,(
    ! [VarCurr] :
      ( v16568(VarCurr)
    <=> v16570(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_556,axiom,(
    ! [VarCurr] :
      ( v16570(VarCurr)
    <=> ( v16232(VarCurr,bitIndex27)
        & v14436(VarCurr) ) ) )).

fof(addAssignment_3873,axiom,(
    ! [VarNext] :
      ( v16232(VarNext,bitIndex27)
    <=> v16572(VarNext,bitIndex27) ) )).

fof(addCaseBooleanConditionEqualRanges1_180,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16574(VarNext)
       => ! [B] :
            ( range_27_0(B)
           => ( v16572(VarNext,B)
            <=> v16232(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_201,axiom,(
    ! [VarNext] :
      ( v16574(VarNext)
     => ! [B] :
          ( range_27_0(B)
         => ( v16572(VarNext,B)
          <=> v16255(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3884,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16574(VarNext)
      <=> ( v16575(VarNext)
          & v16250(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3883,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16575(VarNext)
      <=> ( v16577(VarNext)
          & v15622(VarNext) ) ) ) )).

fof(writeUnaryOperator_1519,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16577(VarNext)
      <=> v15629(VarNext) ) ) )).

fof(addAssignment_3872,axiom,(
    ! [VarCurr] :
      ( v16235(VarCurr,bitIndex27)
    <=> v16237(VarCurr,bitIndex27) ) )).

fof(addAssignment_3871,axiom,(
    ! [VarCurr] :
      ( v16237(VarCurr,bitIndex27)
    <=> v16239(VarCurr,bitIndex27) ) )).

fof(addAssignment_3870,axiom,(
    ! [VarCurr] :
      ( v16239(VarCurr,bitIndex27)
    <=> v15039(VarCurr,bitIndex27) ) )).

fof(addAssignment_3869,axiom,(
    ! [VarCurr] :
      ( v15039(VarCurr,bitIndex27)
    <=> v15096(VarCurr,bitIndex27) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3882,axiom,(
    ! [VarCurr] :
      ( v16220(VarCurr)
    <=> ( v16559(VarCurr)
        & v16222(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_555,axiom,(
    ! [VarCurr] :
      ( v16559(VarCurr)
    <=> ( v14385(VarCurr,bitIndex1)
        & v16560(VarCurr) ) ) )).

fof(writeUnaryOperator_1518,axiom,(
    ! [VarCurr] :
      ( ~ v16560(VarCurr)
    <=> v13765(VarCurr,bitIndex1) ) )).

fof(addAssignment_3868,axiom,(
    ! [VarCurr] :
      ( v16222(VarCurr)
    <=> v16224(VarCurr) ) )).

fof(addAssignment_3867,axiom,(
    ! [VarCurr] :
      ( v16224(VarCurr)
    <=> v16226(VarCurr) ) )).

fof(addAssignment_3866,axiom,(
    ! [VarCurr] :
      ( v16226(VarCurr)
    <=> v16228(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3881,axiom,(
    ! [VarCurr] :
      ( v16228(VarCurr)
    <=> ( v16230(VarCurr)
        & v14436(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_377,axiom,(
    ! [VarCurr] :
      ( ~ v16320(VarCurr)
     => ( v16230(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_381,axiom,(
    ! [VarCurr] :
      ( v16320(VarCurr)
     => ( v16230(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3880,axiom,(
    ! [VarCurr] :
      ( v16320(VarCurr)
    <=> ( v16322(VarCurr)
        | v16556(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_554,axiom,(
    ! [VarCurr] :
      ( v16556(VarCurr)
    <=> ( v16553(VarCurr)
        & v16259(VarCurr,bitIndex26) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3879,axiom,(
    ! [VarCurr] :
      ( v16322(VarCurr)
    <=> ( v16323(VarCurr)
        & v16550(VarCurr) ) ) )).

fof(writeUnaryOperator_1517,axiom,(
    ! [VarCurr] :
      ( ~ v16550(VarCurr)
    <=> v16551(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3878,axiom,(
    ! [VarCurr] :
      ( v16551(VarCurr)
    <=> ( v16552(VarCurr)
        & v16555(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_553,axiom,(
    ! [VarCurr] :
      ( v16555(VarCurr)
    <=> ( v16232(VarCurr,bitIndex26)
        | v16259(VarCurr,bitIndex26) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3877,axiom,(
    ! [VarCurr] :
      ( v16552(VarCurr)
    <=> ( v16553(VarCurr)
        | v16554(VarCurr) ) ) )).

fof(writeUnaryOperator_1516,axiom,(
    ! [VarCurr] :
      ( ~ v16554(VarCurr)
    <=> v16259(VarCurr,bitIndex26) ) )).

fof(writeUnaryOperator_1515,axiom,(
    ! [VarCurr] :
      ( ~ v16553(VarCurr)
    <=> v16232(VarCurr,bitIndex26) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3876,axiom,(
    ! [VarCurr] :
      ( v16323(VarCurr)
    <=> ( v16324(VarCurr)
        | v16549(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_552,axiom,(
    ! [VarCurr] :
      ( v16549(VarCurr)
    <=> ( v16546(VarCurr)
        & v16259(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3875,axiom,(
    ! [VarCurr] :
      ( v16324(VarCurr)
    <=> ( v16325(VarCurr)
        & v16543(VarCurr) ) ) )).

fof(writeUnaryOperator_1514,axiom,(
    ! [VarCurr] :
      ( ~ v16543(VarCurr)
    <=> v16544(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3874,axiom,(
    ! [VarCurr] :
      ( v16544(VarCurr)
    <=> ( v16545(VarCurr)
        & v16548(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_551,axiom,(
    ! [VarCurr] :
      ( v16548(VarCurr)
    <=> ( v16232(VarCurr,bitIndex25)
        | v16259(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3873,axiom,(
    ! [VarCurr] :
      ( v16545(VarCurr)
    <=> ( v16546(VarCurr)
        | v16547(VarCurr) ) ) )).

fof(writeUnaryOperator_1513,axiom,(
    ! [VarCurr] :
      ( ~ v16547(VarCurr)
    <=> v16259(VarCurr,bitIndex25) ) )).

fof(writeUnaryOperator_1512,axiom,(
    ! [VarCurr] :
      ( ~ v16546(VarCurr)
    <=> v16232(VarCurr,bitIndex25) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3872,axiom,(
    ! [VarCurr] :
      ( v16325(VarCurr)
    <=> ( v16326(VarCurr)
        | v16542(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_550,axiom,(
    ! [VarCurr] :
      ( v16542(VarCurr)
    <=> ( v16539(VarCurr)
        & v16259(VarCurr,bitIndex24) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3871,axiom,(
    ! [VarCurr] :
      ( v16326(VarCurr)
    <=> ( v16327(VarCurr)
        & v16536(VarCurr) ) ) )).

fof(writeUnaryOperator_1511,axiom,(
    ! [VarCurr] :
      ( ~ v16536(VarCurr)
    <=> v16537(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3870,axiom,(
    ! [VarCurr] :
      ( v16537(VarCurr)
    <=> ( v16538(VarCurr)
        & v16541(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_549,axiom,(
    ! [VarCurr] :
      ( v16541(VarCurr)
    <=> ( v16232(VarCurr,bitIndex24)
        | v16259(VarCurr,bitIndex24) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3869,axiom,(
    ! [VarCurr] :
      ( v16538(VarCurr)
    <=> ( v16539(VarCurr)
        | v16540(VarCurr) ) ) )).

fof(writeUnaryOperator_1510,axiom,(
    ! [VarCurr] :
      ( ~ v16540(VarCurr)
    <=> v16259(VarCurr,bitIndex24) ) )).

fof(writeUnaryOperator_1509,axiom,(
    ! [VarCurr] :
      ( ~ v16539(VarCurr)
    <=> v16232(VarCurr,bitIndex24) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3868,axiom,(
    ! [VarCurr] :
      ( v16327(VarCurr)
    <=> ( v16328(VarCurr)
        | v16535(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_548,axiom,(
    ! [VarCurr] :
      ( v16535(VarCurr)
    <=> ( v16532(VarCurr)
        & v16259(VarCurr,bitIndex23) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3867,axiom,(
    ! [VarCurr] :
      ( v16328(VarCurr)
    <=> ( v16329(VarCurr)
        & v16529(VarCurr) ) ) )).

fof(writeUnaryOperator_1508,axiom,(
    ! [VarCurr] :
      ( ~ v16529(VarCurr)
    <=> v16530(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3866,axiom,(
    ! [VarCurr] :
      ( v16530(VarCurr)
    <=> ( v16531(VarCurr)
        & v16534(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_547,axiom,(
    ! [VarCurr] :
      ( v16534(VarCurr)
    <=> ( v16232(VarCurr,bitIndex23)
        | v16259(VarCurr,bitIndex23) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3865,axiom,(
    ! [VarCurr] :
      ( v16531(VarCurr)
    <=> ( v16532(VarCurr)
        | v16533(VarCurr) ) ) )).

fof(writeUnaryOperator_1507,axiom,(
    ! [VarCurr] :
      ( ~ v16533(VarCurr)
    <=> v16259(VarCurr,bitIndex23) ) )).

fof(writeUnaryOperator_1506,axiom,(
    ! [VarCurr] :
      ( ~ v16532(VarCurr)
    <=> v16232(VarCurr,bitIndex23) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3864,axiom,(
    ! [VarCurr] :
      ( v16329(VarCurr)
    <=> ( v16330(VarCurr)
        | v16528(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_546,axiom,(
    ! [VarCurr] :
      ( v16528(VarCurr)
    <=> ( v16525(VarCurr)
        & v16259(VarCurr,bitIndex22) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3863,axiom,(
    ! [VarCurr] :
      ( v16330(VarCurr)
    <=> ( v16331(VarCurr)
        & v16522(VarCurr) ) ) )).

fof(writeUnaryOperator_1505,axiom,(
    ! [VarCurr] :
      ( ~ v16522(VarCurr)
    <=> v16523(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3862,axiom,(
    ! [VarCurr] :
      ( v16523(VarCurr)
    <=> ( v16524(VarCurr)
        & v16527(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_545,axiom,(
    ! [VarCurr] :
      ( v16527(VarCurr)
    <=> ( v16232(VarCurr,bitIndex22)
        | v16259(VarCurr,bitIndex22) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3861,axiom,(
    ! [VarCurr] :
      ( v16524(VarCurr)
    <=> ( v16525(VarCurr)
        | v16526(VarCurr) ) ) )).

fof(writeUnaryOperator_1504,axiom,(
    ! [VarCurr] :
      ( ~ v16526(VarCurr)
    <=> v16259(VarCurr,bitIndex22) ) )).

fof(writeUnaryOperator_1503,axiom,(
    ! [VarCurr] :
      ( ~ v16525(VarCurr)
    <=> v16232(VarCurr,bitIndex22) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3860,axiom,(
    ! [VarCurr] :
      ( v16331(VarCurr)
    <=> ( v16332(VarCurr)
        | v16521(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_544,axiom,(
    ! [VarCurr] :
      ( v16521(VarCurr)
    <=> ( v16518(VarCurr)
        & v16259(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3859,axiom,(
    ! [VarCurr] :
      ( v16332(VarCurr)
    <=> ( v16333(VarCurr)
        & v16515(VarCurr) ) ) )).

fof(writeUnaryOperator_1502,axiom,(
    ! [VarCurr] :
      ( ~ v16515(VarCurr)
    <=> v16516(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3858,axiom,(
    ! [VarCurr] :
      ( v16516(VarCurr)
    <=> ( v16517(VarCurr)
        & v16520(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_543,axiom,(
    ! [VarCurr] :
      ( v16520(VarCurr)
    <=> ( v16232(VarCurr,bitIndex21)
        | v16259(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3857,axiom,(
    ! [VarCurr] :
      ( v16517(VarCurr)
    <=> ( v16518(VarCurr)
        | v16519(VarCurr) ) ) )).

fof(writeUnaryOperator_1501,axiom,(
    ! [VarCurr] :
      ( ~ v16519(VarCurr)
    <=> v16259(VarCurr,bitIndex21) ) )).

fof(writeUnaryOperator_1500,axiom,(
    ! [VarCurr] :
      ( ~ v16518(VarCurr)
    <=> v16232(VarCurr,bitIndex21) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3856,axiom,(
    ! [VarCurr] :
      ( v16333(VarCurr)
    <=> ( v16334(VarCurr)
        | v16514(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_542,axiom,(
    ! [VarCurr] :
      ( v16514(VarCurr)
    <=> ( v16511(VarCurr)
        & v16259(VarCurr,bitIndex20) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3855,axiom,(
    ! [VarCurr] :
      ( v16334(VarCurr)
    <=> ( v16335(VarCurr)
        & v16508(VarCurr) ) ) )).

fof(writeUnaryOperator_1499,axiom,(
    ! [VarCurr] :
      ( ~ v16508(VarCurr)
    <=> v16509(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3854,axiom,(
    ! [VarCurr] :
      ( v16509(VarCurr)
    <=> ( v16510(VarCurr)
        & v16513(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_541,axiom,(
    ! [VarCurr] :
      ( v16513(VarCurr)
    <=> ( v16232(VarCurr,bitIndex20)
        | v16259(VarCurr,bitIndex20) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3853,axiom,(
    ! [VarCurr] :
      ( v16510(VarCurr)
    <=> ( v16511(VarCurr)
        | v16512(VarCurr) ) ) )).

fof(writeUnaryOperator_1498,axiom,(
    ! [VarCurr] :
      ( ~ v16512(VarCurr)
    <=> v16259(VarCurr,bitIndex20) ) )).

fof(writeUnaryOperator_1497,axiom,(
    ! [VarCurr] :
      ( ~ v16511(VarCurr)
    <=> v16232(VarCurr,bitIndex20) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3852,axiom,(
    ! [VarCurr] :
      ( v16335(VarCurr)
    <=> ( v16336(VarCurr)
        | v16507(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_540,axiom,(
    ! [VarCurr] :
      ( v16507(VarCurr)
    <=> ( v16504(VarCurr)
        & v16259(VarCurr,bitIndex19) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3851,axiom,(
    ! [VarCurr] :
      ( v16336(VarCurr)
    <=> ( v16337(VarCurr)
        & v16501(VarCurr) ) ) )).

fof(writeUnaryOperator_1496,axiom,(
    ! [VarCurr] :
      ( ~ v16501(VarCurr)
    <=> v16502(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3850,axiom,(
    ! [VarCurr] :
      ( v16502(VarCurr)
    <=> ( v16503(VarCurr)
        & v16506(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_539,axiom,(
    ! [VarCurr] :
      ( v16506(VarCurr)
    <=> ( v16232(VarCurr,bitIndex19)
        | v16259(VarCurr,bitIndex19) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3849,axiom,(
    ! [VarCurr] :
      ( v16503(VarCurr)
    <=> ( v16504(VarCurr)
        | v16505(VarCurr) ) ) )).

fof(writeUnaryOperator_1495,axiom,(
    ! [VarCurr] :
      ( ~ v16505(VarCurr)
    <=> v16259(VarCurr,bitIndex19) ) )).

fof(writeUnaryOperator_1494,axiom,(
    ! [VarCurr] :
      ( ~ v16504(VarCurr)
    <=> v16232(VarCurr,bitIndex19) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3848,axiom,(
    ! [VarCurr] :
      ( v16337(VarCurr)
    <=> ( v16338(VarCurr)
        | v16500(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_538,axiom,(
    ! [VarCurr] :
      ( v16500(VarCurr)
    <=> ( v16497(VarCurr)
        & v16259(VarCurr,bitIndex18) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3847,axiom,(
    ! [VarCurr] :
      ( v16338(VarCurr)
    <=> ( v16339(VarCurr)
        & v16494(VarCurr) ) ) )).

fof(writeUnaryOperator_1493,axiom,(
    ! [VarCurr] :
      ( ~ v16494(VarCurr)
    <=> v16495(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3846,axiom,(
    ! [VarCurr] :
      ( v16495(VarCurr)
    <=> ( v16496(VarCurr)
        & v16499(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_537,axiom,(
    ! [VarCurr] :
      ( v16499(VarCurr)
    <=> ( v16232(VarCurr,bitIndex18)
        | v16259(VarCurr,bitIndex18) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3845,axiom,(
    ! [VarCurr] :
      ( v16496(VarCurr)
    <=> ( v16497(VarCurr)
        | v16498(VarCurr) ) ) )).

fof(writeUnaryOperator_1492,axiom,(
    ! [VarCurr] :
      ( ~ v16498(VarCurr)
    <=> v16259(VarCurr,bitIndex18) ) )).

fof(writeUnaryOperator_1491,axiom,(
    ! [VarCurr] :
      ( ~ v16497(VarCurr)
    <=> v16232(VarCurr,bitIndex18) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3844,axiom,(
    ! [VarCurr] :
      ( v16339(VarCurr)
    <=> ( v16340(VarCurr)
        | v16493(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_536,axiom,(
    ! [VarCurr] :
      ( v16493(VarCurr)
    <=> ( v16490(VarCurr)
        & v16259(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3843,axiom,(
    ! [VarCurr] :
      ( v16340(VarCurr)
    <=> ( v16341(VarCurr)
        & v16487(VarCurr) ) ) )).

fof(writeUnaryOperator_1490,axiom,(
    ! [VarCurr] :
      ( ~ v16487(VarCurr)
    <=> v16488(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3842,axiom,(
    ! [VarCurr] :
      ( v16488(VarCurr)
    <=> ( v16489(VarCurr)
        & v16492(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_535,axiom,(
    ! [VarCurr] :
      ( v16492(VarCurr)
    <=> ( v16232(VarCurr,bitIndex17)
        | v16259(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3841,axiom,(
    ! [VarCurr] :
      ( v16489(VarCurr)
    <=> ( v16490(VarCurr)
        | v16491(VarCurr) ) ) )).

fof(writeUnaryOperator_1489,axiom,(
    ! [VarCurr] :
      ( ~ v16491(VarCurr)
    <=> v16259(VarCurr,bitIndex17) ) )).

fof(writeUnaryOperator_1488,axiom,(
    ! [VarCurr] :
      ( ~ v16490(VarCurr)
    <=> v16232(VarCurr,bitIndex17) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3840,axiom,(
    ! [VarCurr] :
      ( v16341(VarCurr)
    <=> ( v16342(VarCurr)
        | v16486(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_534,axiom,(
    ! [VarCurr] :
      ( v16486(VarCurr)
    <=> ( v16483(VarCurr)
        & v16259(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3839,axiom,(
    ! [VarCurr] :
      ( v16342(VarCurr)
    <=> ( v16343(VarCurr)
        & v16480(VarCurr) ) ) )).

fof(writeUnaryOperator_1487,axiom,(
    ! [VarCurr] :
      ( ~ v16480(VarCurr)
    <=> v16481(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3838,axiom,(
    ! [VarCurr] :
      ( v16481(VarCurr)
    <=> ( v16482(VarCurr)
        & v16485(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_533,axiom,(
    ! [VarCurr] :
      ( v16485(VarCurr)
    <=> ( v16232(VarCurr,bitIndex16)
        | v16259(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3837,axiom,(
    ! [VarCurr] :
      ( v16482(VarCurr)
    <=> ( v16483(VarCurr)
        | v16484(VarCurr) ) ) )).

fof(writeUnaryOperator_1486,axiom,(
    ! [VarCurr] :
      ( ~ v16484(VarCurr)
    <=> v16259(VarCurr,bitIndex16) ) )).

fof(writeUnaryOperator_1485,axiom,(
    ! [VarCurr] :
      ( ~ v16483(VarCurr)
    <=> v16232(VarCurr,bitIndex16) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3836,axiom,(
    ! [VarCurr] :
      ( v16343(VarCurr)
    <=> ( v16344(VarCurr)
        | v16479(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_532,axiom,(
    ! [VarCurr] :
      ( v16479(VarCurr)
    <=> ( v16476(VarCurr)
        & v16259(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3835,axiom,(
    ! [VarCurr] :
      ( v16344(VarCurr)
    <=> ( v16345(VarCurr)
        & v16473(VarCurr) ) ) )).

fof(writeUnaryOperator_1484,axiom,(
    ! [VarCurr] :
      ( ~ v16473(VarCurr)
    <=> v16474(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3834,axiom,(
    ! [VarCurr] :
      ( v16474(VarCurr)
    <=> ( v16475(VarCurr)
        & v16478(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_531,axiom,(
    ! [VarCurr] :
      ( v16478(VarCurr)
    <=> ( v16232(VarCurr,bitIndex15)
        | v16259(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3833,axiom,(
    ! [VarCurr] :
      ( v16475(VarCurr)
    <=> ( v16476(VarCurr)
        | v16477(VarCurr) ) ) )).

fof(writeUnaryOperator_1483,axiom,(
    ! [VarCurr] :
      ( ~ v16477(VarCurr)
    <=> v16259(VarCurr,bitIndex15) ) )).

fof(writeUnaryOperator_1482,axiom,(
    ! [VarCurr] :
      ( ~ v16476(VarCurr)
    <=> v16232(VarCurr,bitIndex15) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3832,axiom,(
    ! [VarCurr] :
      ( v16345(VarCurr)
    <=> ( v16346(VarCurr)
        | v16472(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_530,axiom,(
    ! [VarCurr] :
      ( v16472(VarCurr)
    <=> ( v16469(VarCurr)
        & v16259(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3831,axiom,(
    ! [VarCurr] :
      ( v16346(VarCurr)
    <=> ( v16347(VarCurr)
        & v16466(VarCurr) ) ) )).

fof(writeUnaryOperator_1481,axiom,(
    ! [VarCurr] :
      ( ~ v16466(VarCurr)
    <=> v16467(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3830,axiom,(
    ! [VarCurr] :
      ( v16467(VarCurr)
    <=> ( v16468(VarCurr)
        & v16471(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_529,axiom,(
    ! [VarCurr] :
      ( v16471(VarCurr)
    <=> ( v16232(VarCurr,bitIndex14)
        | v16259(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3829,axiom,(
    ! [VarCurr] :
      ( v16468(VarCurr)
    <=> ( v16469(VarCurr)
        | v16470(VarCurr) ) ) )).

fof(writeUnaryOperator_1480,axiom,(
    ! [VarCurr] :
      ( ~ v16470(VarCurr)
    <=> v16259(VarCurr,bitIndex14) ) )).

fof(writeUnaryOperator_1479,axiom,(
    ! [VarCurr] :
      ( ~ v16469(VarCurr)
    <=> v16232(VarCurr,bitIndex14) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3828,axiom,(
    ! [VarCurr] :
      ( v16347(VarCurr)
    <=> ( v16348(VarCurr)
        | v16465(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_528,axiom,(
    ! [VarCurr] :
      ( v16465(VarCurr)
    <=> ( v16462(VarCurr)
        & v16259(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3827,axiom,(
    ! [VarCurr] :
      ( v16348(VarCurr)
    <=> ( v16349(VarCurr)
        & v16459(VarCurr) ) ) )).

fof(writeUnaryOperator_1478,axiom,(
    ! [VarCurr] :
      ( ~ v16459(VarCurr)
    <=> v16460(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3826,axiom,(
    ! [VarCurr] :
      ( v16460(VarCurr)
    <=> ( v16461(VarCurr)
        & v16464(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_527,axiom,(
    ! [VarCurr] :
      ( v16464(VarCurr)
    <=> ( v16232(VarCurr,bitIndex13)
        | v16259(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3825,axiom,(
    ! [VarCurr] :
      ( v16461(VarCurr)
    <=> ( v16462(VarCurr)
        | v16463(VarCurr) ) ) )).

fof(writeUnaryOperator_1477,axiom,(
    ! [VarCurr] :
      ( ~ v16463(VarCurr)
    <=> v16259(VarCurr,bitIndex13) ) )).

fof(writeUnaryOperator_1476,axiom,(
    ! [VarCurr] :
      ( ~ v16462(VarCurr)
    <=> v16232(VarCurr,bitIndex13) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3824,axiom,(
    ! [VarCurr] :
      ( v16349(VarCurr)
    <=> ( v16350(VarCurr)
        | v16458(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_526,axiom,(
    ! [VarCurr] :
      ( v16458(VarCurr)
    <=> ( v16455(VarCurr)
        & v16259(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3823,axiom,(
    ! [VarCurr] :
      ( v16350(VarCurr)
    <=> ( v16351(VarCurr)
        & v16452(VarCurr) ) ) )).

fof(writeUnaryOperator_1475,axiom,(
    ! [VarCurr] :
      ( ~ v16452(VarCurr)
    <=> v16453(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3822,axiom,(
    ! [VarCurr] :
      ( v16453(VarCurr)
    <=> ( v16454(VarCurr)
        & v16457(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_525,axiom,(
    ! [VarCurr] :
      ( v16457(VarCurr)
    <=> ( v16232(VarCurr,bitIndex12)
        | v16259(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3821,axiom,(
    ! [VarCurr] :
      ( v16454(VarCurr)
    <=> ( v16455(VarCurr)
        | v16456(VarCurr) ) ) )).

fof(writeUnaryOperator_1474,axiom,(
    ! [VarCurr] :
      ( ~ v16456(VarCurr)
    <=> v16259(VarCurr,bitIndex12) ) )).

fof(writeUnaryOperator_1473,axiom,(
    ! [VarCurr] :
      ( ~ v16455(VarCurr)
    <=> v16232(VarCurr,bitIndex12) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3820,axiom,(
    ! [VarCurr] :
      ( v16351(VarCurr)
    <=> ( v16352(VarCurr)
        | v16451(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_524,axiom,(
    ! [VarCurr] :
      ( v16451(VarCurr)
    <=> ( v16448(VarCurr)
        & v16259(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3819,axiom,(
    ! [VarCurr] :
      ( v16352(VarCurr)
    <=> ( v16353(VarCurr)
        & v16445(VarCurr) ) ) )).

fof(writeUnaryOperator_1472,axiom,(
    ! [VarCurr] :
      ( ~ v16445(VarCurr)
    <=> v16446(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3818,axiom,(
    ! [VarCurr] :
      ( v16446(VarCurr)
    <=> ( v16447(VarCurr)
        & v16450(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_523,axiom,(
    ! [VarCurr] :
      ( v16450(VarCurr)
    <=> ( v16232(VarCurr,bitIndex11)
        | v16259(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3817,axiom,(
    ! [VarCurr] :
      ( v16447(VarCurr)
    <=> ( v16448(VarCurr)
        | v16449(VarCurr) ) ) )).

fof(writeUnaryOperator_1471,axiom,(
    ! [VarCurr] :
      ( ~ v16449(VarCurr)
    <=> v16259(VarCurr,bitIndex11) ) )).

fof(writeUnaryOperator_1470,axiom,(
    ! [VarCurr] :
      ( ~ v16448(VarCurr)
    <=> v16232(VarCurr,bitIndex11) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3816,axiom,(
    ! [VarCurr] :
      ( v16353(VarCurr)
    <=> ( v16354(VarCurr)
        | v16444(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_522,axiom,(
    ! [VarCurr] :
      ( v16444(VarCurr)
    <=> ( v16441(VarCurr)
        & v16259(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3815,axiom,(
    ! [VarCurr] :
      ( v16354(VarCurr)
    <=> ( v16355(VarCurr)
        & v16438(VarCurr) ) ) )).

fof(writeUnaryOperator_1469,axiom,(
    ! [VarCurr] :
      ( ~ v16438(VarCurr)
    <=> v16439(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3814,axiom,(
    ! [VarCurr] :
      ( v16439(VarCurr)
    <=> ( v16440(VarCurr)
        & v16443(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_521,axiom,(
    ! [VarCurr] :
      ( v16443(VarCurr)
    <=> ( v16232(VarCurr,bitIndex10)
        | v16259(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3813,axiom,(
    ! [VarCurr] :
      ( v16440(VarCurr)
    <=> ( v16441(VarCurr)
        | v16442(VarCurr) ) ) )).

fof(writeUnaryOperator_1468,axiom,(
    ! [VarCurr] :
      ( ~ v16442(VarCurr)
    <=> v16259(VarCurr,bitIndex10) ) )).

fof(writeUnaryOperator_1467,axiom,(
    ! [VarCurr] :
      ( ~ v16441(VarCurr)
    <=> v16232(VarCurr,bitIndex10) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3812,axiom,(
    ! [VarCurr] :
      ( v16355(VarCurr)
    <=> ( v16356(VarCurr)
        | v16437(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_520,axiom,(
    ! [VarCurr] :
      ( v16437(VarCurr)
    <=> ( v16434(VarCurr)
        & v16259(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3811,axiom,(
    ! [VarCurr] :
      ( v16356(VarCurr)
    <=> ( v16357(VarCurr)
        & v16431(VarCurr) ) ) )).

fof(writeUnaryOperator_1466,axiom,(
    ! [VarCurr] :
      ( ~ v16431(VarCurr)
    <=> v16432(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3810,axiom,(
    ! [VarCurr] :
      ( v16432(VarCurr)
    <=> ( v16433(VarCurr)
        & v16436(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_519,axiom,(
    ! [VarCurr] :
      ( v16436(VarCurr)
    <=> ( v16232(VarCurr,bitIndex9)
        | v16259(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3809,axiom,(
    ! [VarCurr] :
      ( v16433(VarCurr)
    <=> ( v16434(VarCurr)
        | v16435(VarCurr) ) ) )).

fof(writeUnaryOperator_1465,axiom,(
    ! [VarCurr] :
      ( ~ v16435(VarCurr)
    <=> v16259(VarCurr,bitIndex9) ) )).

fof(writeUnaryOperator_1464,axiom,(
    ! [VarCurr] :
      ( ~ v16434(VarCurr)
    <=> v16232(VarCurr,bitIndex9) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3808,axiom,(
    ! [VarCurr] :
      ( v16357(VarCurr)
    <=> ( v16358(VarCurr)
        | v16430(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_518,axiom,(
    ! [VarCurr] :
      ( v16430(VarCurr)
    <=> ( v16427(VarCurr)
        & v16259(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3807,axiom,(
    ! [VarCurr] :
      ( v16358(VarCurr)
    <=> ( v16359(VarCurr)
        & v16424(VarCurr) ) ) )).

fof(writeUnaryOperator_1463,axiom,(
    ! [VarCurr] :
      ( ~ v16424(VarCurr)
    <=> v16425(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3806,axiom,(
    ! [VarCurr] :
      ( v16425(VarCurr)
    <=> ( v16426(VarCurr)
        & v16429(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_517,axiom,(
    ! [VarCurr] :
      ( v16429(VarCurr)
    <=> ( v16232(VarCurr,bitIndex8)
        | v16259(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3805,axiom,(
    ! [VarCurr] :
      ( v16426(VarCurr)
    <=> ( v16427(VarCurr)
        | v16428(VarCurr) ) ) )).

fof(writeUnaryOperator_1462,axiom,(
    ! [VarCurr] :
      ( ~ v16428(VarCurr)
    <=> v16259(VarCurr,bitIndex8) ) )).

fof(writeUnaryOperator_1461,axiom,(
    ! [VarCurr] :
      ( ~ v16427(VarCurr)
    <=> v16232(VarCurr,bitIndex8) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3804,axiom,(
    ! [VarCurr] :
      ( v16359(VarCurr)
    <=> ( v16360(VarCurr)
        | v16423(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_516,axiom,(
    ! [VarCurr] :
      ( v16423(VarCurr)
    <=> ( v16420(VarCurr)
        & v16259(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3803,axiom,(
    ! [VarCurr] :
      ( v16360(VarCurr)
    <=> ( v16361(VarCurr)
        & v16417(VarCurr) ) ) )).

fof(writeUnaryOperator_1460,axiom,(
    ! [VarCurr] :
      ( ~ v16417(VarCurr)
    <=> v16418(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3802,axiom,(
    ! [VarCurr] :
      ( v16418(VarCurr)
    <=> ( v16419(VarCurr)
        & v16422(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_515,axiom,(
    ! [VarCurr] :
      ( v16422(VarCurr)
    <=> ( v16232(VarCurr,bitIndex7)
        | v16259(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3801,axiom,(
    ! [VarCurr] :
      ( v16419(VarCurr)
    <=> ( v16420(VarCurr)
        | v16421(VarCurr) ) ) )).

fof(writeUnaryOperator_1459,axiom,(
    ! [VarCurr] :
      ( ~ v16421(VarCurr)
    <=> v16259(VarCurr,bitIndex7) ) )).

fof(writeUnaryOperator_1458,axiom,(
    ! [VarCurr] :
      ( ~ v16420(VarCurr)
    <=> v16232(VarCurr,bitIndex7) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3800,axiom,(
    ! [VarCurr] :
      ( v16361(VarCurr)
    <=> ( v16362(VarCurr)
        | v16416(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_514,axiom,(
    ! [VarCurr] :
      ( v16416(VarCurr)
    <=> ( v16413(VarCurr)
        & v16259(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3799,axiom,(
    ! [VarCurr] :
      ( v16362(VarCurr)
    <=> ( v16363(VarCurr)
        & v16410(VarCurr) ) ) )).

fof(writeUnaryOperator_1457,axiom,(
    ! [VarCurr] :
      ( ~ v16410(VarCurr)
    <=> v16411(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3798,axiom,(
    ! [VarCurr] :
      ( v16411(VarCurr)
    <=> ( v16412(VarCurr)
        & v16415(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_513,axiom,(
    ! [VarCurr] :
      ( v16415(VarCurr)
    <=> ( v16232(VarCurr,bitIndex6)
        | v16259(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3797,axiom,(
    ! [VarCurr] :
      ( v16412(VarCurr)
    <=> ( v16413(VarCurr)
        | v16414(VarCurr) ) ) )).

fof(writeUnaryOperator_1456,axiom,(
    ! [VarCurr] :
      ( ~ v16414(VarCurr)
    <=> v16259(VarCurr,bitIndex6) ) )).

fof(writeUnaryOperator_1455,axiom,(
    ! [VarCurr] :
      ( ~ v16413(VarCurr)
    <=> v16232(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3796,axiom,(
    ! [VarCurr] :
      ( v16363(VarCurr)
    <=> ( v16364(VarCurr)
        | v16409(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_512,axiom,(
    ! [VarCurr] :
      ( v16409(VarCurr)
    <=> ( v16406(VarCurr)
        & v16259(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3795,axiom,(
    ! [VarCurr] :
      ( v16364(VarCurr)
    <=> ( v16365(VarCurr)
        & v16403(VarCurr) ) ) )).

fof(writeUnaryOperator_1454,axiom,(
    ! [VarCurr] :
      ( ~ v16403(VarCurr)
    <=> v16404(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3794,axiom,(
    ! [VarCurr] :
      ( v16404(VarCurr)
    <=> ( v16405(VarCurr)
        & v16408(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_511,axiom,(
    ! [VarCurr] :
      ( v16408(VarCurr)
    <=> ( v16232(VarCurr,bitIndex5)
        | v16259(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3793,axiom,(
    ! [VarCurr] :
      ( v16405(VarCurr)
    <=> ( v16406(VarCurr)
        | v16407(VarCurr) ) ) )).

fof(writeUnaryOperator_1453,axiom,(
    ! [VarCurr] :
      ( ~ v16407(VarCurr)
    <=> v16259(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_1452,axiom,(
    ! [VarCurr] :
      ( ~ v16406(VarCurr)
    <=> v16232(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3792,axiom,(
    ! [VarCurr] :
      ( v16365(VarCurr)
    <=> ( v16366(VarCurr)
        | v16402(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_510,axiom,(
    ! [VarCurr] :
      ( v16402(VarCurr)
    <=> ( v16399(VarCurr)
        & v16259(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3791,axiom,(
    ! [VarCurr] :
      ( v16366(VarCurr)
    <=> ( v16367(VarCurr)
        & v16396(VarCurr) ) ) )).

fof(writeUnaryOperator_1451,axiom,(
    ! [VarCurr] :
      ( ~ v16396(VarCurr)
    <=> v16397(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3790,axiom,(
    ! [VarCurr] :
      ( v16397(VarCurr)
    <=> ( v16398(VarCurr)
        & v16401(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_509,axiom,(
    ! [VarCurr] :
      ( v16401(VarCurr)
    <=> ( v16232(VarCurr,bitIndex4)
        | v16259(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3789,axiom,(
    ! [VarCurr] :
      ( v16398(VarCurr)
    <=> ( v16399(VarCurr)
        | v16400(VarCurr) ) ) )).

fof(writeUnaryOperator_1450,axiom,(
    ! [VarCurr] :
      ( ~ v16400(VarCurr)
    <=> v16259(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_1449,axiom,(
    ! [VarCurr] :
      ( ~ v16399(VarCurr)
    <=> v16232(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3788,axiom,(
    ! [VarCurr] :
      ( v16367(VarCurr)
    <=> ( v16368(VarCurr)
        | v16395(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_508,axiom,(
    ! [VarCurr] :
      ( v16395(VarCurr)
    <=> ( v16392(VarCurr)
        & v16259(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3787,axiom,(
    ! [VarCurr] :
      ( v16368(VarCurr)
    <=> ( v16369(VarCurr)
        & v16389(VarCurr) ) ) )).

fof(writeUnaryOperator_1448,axiom,(
    ! [VarCurr] :
      ( ~ v16389(VarCurr)
    <=> v16390(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3786,axiom,(
    ! [VarCurr] :
      ( v16390(VarCurr)
    <=> ( v16391(VarCurr)
        & v16394(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_507,axiom,(
    ! [VarCurr] :
      ( v16394(VarCurr)
    <=> ( v16232(VarCurr,bitIndex3)
        | v16259(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3785,axiom,(
    ! [VarCurr] :
      ( v16391(VarCurr)
    <=> ( v16392(VarCurr)
        | v16393(VarCurr) ) ) )).

fof(writeUnaryOperator_1447,axiom,(
    ! [VarCurr] :
      ( ~ v16393(VarCurr)
    <=> v16259(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_1446,axiom,(
    ! [VarCurr] :
      ( ~ v16392(VarCurr)
    <=> v16232(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3784,axiom,(
    ! [VarCurr] :
      ( v16369(VarCurr)
    <=> ( v16370(VarCurr)
        | v16388(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_506,axiom,(
    ! [VarCurr] :
      ( v16388(VarCurr)
    <=> ( v16385(VarCurr)
        & v16259(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3783,axiom,(
    ! [VarCurr] :
      ( v16370(VarCurr)
    <=> ( v16371(VarCurr)
        & v16382(VarCurr) ) ) )).

fof(writeUnaryOperator_1445,axiom,(
    ! [VarCurr] :
      ( ~ v16382(VarCurr)
    <=> v16383(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3782,axiom,(
    ! [VarCurr] :
      ( v16383(VarCurr)
    <=> ( v16384(VarCurr)
        & v16387(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_505,axiom,(
    ! [VarCurr] :
      ( v16387(VarCurr)
    <=> ( v16232(VarCurr,bitIndex2)
        | v16259(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3781,axiom,(
    ! [VarCurr] :
      ( v16384(VarCurr)
    <=> ( v16385(VarCurr)
        | v16386(VarCurr) ) ) )).

fof(writeUnaryOperator_1444,axiom,(
    ! [VarCurr] :
      ( ~ v16386(VarCurr)
    <=> v16259(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_1443,axiom,(
    ! [VarCurr] :
      ( ~ v16385(VarCurr)
    <=> v16232(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3780,axiom,(
    ! [VarCurr] :
      ( v16371(VarCurr)
    <=> ( v16372(VarCurr)
        | v16381(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_504,axiom,(
    ! [VarCurr] :
      ( v16381(VarCurr)
    <=> ( v16378(VarCurr)
        & v16259(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3779,axiom,(
    ! [VarCurr] :
      ( v16372(VarCurr)
    <=> ( v16373(VarCurr)
        & v16375(VarCurr) ) ) )).

fof(writeUnaryOperator_1442,axiom,(
    ! [VarCurr] :
      ( ~ v16375(VarCurr)
    <=> v16376(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3778,axiom,(
    ! [VarCurr] :
      ( v16376(VarCurr)
    <=> ( v16377(VarCurr)
        & v16380(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_503,axiom,(
    ! [VarCurr] :
      ( v16380(VarCurr)
    <=> ( v16232(VarCurr,bitIndex1)
        | v16259(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3777,axiom,(
    ! [VarCurr] :
      ( v16377(VarCurr)
    <=> ( v16378(VarCurr)
        | v16379(VarCurr) ) ) )).

fof(writeUnaryOperator_1441,axiom,(
    ! [VarCurr] :
      ( ~ v16379(VarCurr)
    <=> v16259(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_1440,axiom,(
    ! [VarCurr] :
      ( ~ v16378(VarCurr)
    <=> v16232(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3776,axiom,(
    ! [VarCurr] :
      ( v16373(VarCurr)
    <=> ( v16374(VarCurr)
        & v16259(VarCurr,bitIndex0) ) ) )).

fof(writeUnaryOperator_1439,axiom,(
    ! [VarCurr] :
      ( ~ v16374(VarCurr)
    <=> v16232(VarCurr,bitIndex0) ) )).

fof(addParallelCaseBooleanConditionEqualRanges15,axiom,(
    ! [VarCurr] :
      ( ( ~ v16303(VarCurr)
        & ~ v16304(VarCurr)
        & ~ v16305(VarCurr)
        & ~ v16306(VarCurr)
        & ~ v16307(VarCurr)
        & ~ v16308(VarCurr)
        & ~ v16309(VarCurr)
        & ~ v16310(VarCurr)
        & ~ v16311(VarCurr)
        & ~ v16312(VarCurr)
        & ~ v16313(VarCurr)
        & ~ v16314(VarCurr)
        & ~ v16315(VarCurr)
        & ~ v16316(VarCurr)
        & ~ v16317(VarCurr) )
     => ! [B] :
          ( range_26_0(B)
         => ( v16259(VarCurr,B)
          <=> b010000000000000000000000000(B) ) ) ) )).

fof(bitBlastConstant_8221,axiom,(
    ~ b010000000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_8220,axiom,(
    b010000000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_8219,axiom,(
    ~ b010000000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_8218,axiom,(
    ~ b010000000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_8217,axiom,(
    ~ b010000000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_8216,axiom,(
    ~ b010000000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_8215,axiom,(
    ~ b010000000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_8214,axiom,(
    ~ b010000000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_8213,axiom,(
    ~ b010000000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_8212,axiom,(
    ~ b010000000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_8211,axiom,(
    ~ b010000000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_8210,axiom,(
    ~ b010000000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_8209,axiom,(
    ~ b010000000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_8208,axiom,(
    ~ b010000000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_8207,axiom,(
    ~ b010000000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_8206,axiom,(
    ~ b010000000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_8205,axiom,(
    ~ b010000000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_8204,axiom,(
    ~ b010000000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_8203,axiom,(
    ~ b010000000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_8202,axiom,(
    ~ b010000000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_8201,axiom,(
    ~ b010000000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_8200,axiom,(
    ~ b010000000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_8199,axiom,(
    ~ b010000000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_8198,axiom,(
    ~ b010000000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_8197,axiom,(
    ~ b010000000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_8196,axiom,(
    ~ b010000000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_8195,axiom,(
    ~ b010000000000000000000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges14,axiom,(
    ! [VarCurr] :
      ( v16317(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v16259(VarCurr,B)
          <=> b001000000000000000000000000(B) ) ) ) )).

fof(bitBlastConstant_8194,axiom,(
    ~ b001000000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_8193,axiom,(
    ~ b001000000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_8192,axiom,(
    b001000000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_8191,axiom,(
    ~ b001000000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_8190,axiom,(
    ~ b001000000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_8189,axiom,(
    ~ b001000000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_8188,axiom,(
    ~ b001000000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_8187,axiom,(
    ~ b001000000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_8186,axiom,(
    ~ b001000000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_8185,axiom,(
    ~ b001000000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_8184,axiom,(
    ~ b001000000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_8183,axiom,(
    ~ b001000000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_8182,axiom,(
    ~ b001000000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_8181,axiom,(
    ~ b001000000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_8180,axiom,(
    ~ b001000000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_8179,axiom,(
    ~ b001000000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_8178,axiom,(
    ~ b001000000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_8177,axiom,(
    ~ b001000000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_8176,axiom,(
    ~ b001000000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_8175,axiom,(
    ~ b001000000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_8174,axiom,(
    ~ b001000000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_8173,axiom,(
    ~ b001000000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_8172,axiom,(
    ~ b001000000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_8171,axiom,(
    ~ b001000000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_8170,axiom,(
    ~ b001000000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_8169,axiom,(
    ~ b001000000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_8168,axiom,(
    ~ b001000000000000000000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges13,axiom,(
    ! [VarCurr] :
      ( v16316(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v16259(VarCurr,B)
          <=> b000100000000000000000000000(B) ) ) ) )).

fof(bitBlastConstant_8167,axiom,(
    ~ b000100000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_8166,axiom,(
    ~ b000100000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_8165,axiom,(
    ~ b000100000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_8164,axiom,(
    b000100000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_8163,axiom,(
    ~ b000100000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_8162,axiom,(
    ~ b000100000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_8161,axiom,(
    ~ b000100000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_8160,axiom,(
    ~ b000100000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_8159,axiom,(
    ~ b000100000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_8158,axiom,(
    ~ b000100000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_8157,axiom,(
    ~ b000100000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_8156,axiom,(
    ~ b000100000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_8155,axiom,(
    ~ b000100000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_8154,axiom,(
    ~ b000100000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_8153,axiom,(
    ~ b000100000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_8152,axiom,(
    ~ b000100000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_8151,axiom,(
    ~ b000100000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_8150,axiom,(
    ~ b000100000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_8149,axiom,(
    ~ b000100000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_8148,axiom,(
    ~ b000100000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_8147,axiom,(
    ~ b000100000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_8146,axiom,(
    ~ b000100000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_8145,axiom,(
    ~ b000100000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_8144,axiom,(
    ~ b000100000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_8143,axiom,(
    ~ b000100000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_8142,axiom,(
    ~ b000100000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_8141,axiom,(
    ~ b000100000000000000000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges12_1,axiom,(
    ! [VarCurr] :
      ( v16315(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v16259(VarCurr,B)
          <=> b000010000000000000000000000(B) ) ) ) )).

fof(bitBlastConstant_8140,axiom,(
    ~ b000010000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_8139,axiom,(
    ~ b000010000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_8138,axiom,(
    ~ b000010000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_8137,axiom,(
    ~ b000010000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_8136,axiom,(
    b000010000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_8135,axiom,(
    ~ b000010000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_8134,axiom,(
    ~ b000010000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_8133,axiom,(
    ~ b000010000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_8132,axiom,(
    ~ b000010000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_8131,axiom,(
    ~ b000010000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_8130,axiom,(
    ~ b000010000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_8129,axiom,(
    ~ b000010000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_8128,axiom,(
    ~ b000010000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_8127,axiom,(
    ~ b000010000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_8126,axiom,(
    ~ b000010000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_8125,axiom,(
    ~ b000010000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_8124,axiom,(
    ~ b000010000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_8123,axiom,(
    ~ b000010000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_8122,axiom,(
    ~ b000010000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_8121,axiom,(
    ~ b000010000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_8120,axiom,(
    ~ b000010000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_8119,axiom,(
    ~ b000010000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_8118,axiom,(
    ~ b000010000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_8117,axiom,(
    ~ b000010000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_8116,axiom,(
    ~ b000010000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_8115,axiom,(
    ~ b000010000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_8114,axiom,(
    ~ b000010000000000000000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges11_1,axiom,(
    ! [VarCurr] :
      ( v16314(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v16259(VarCurr,B)
          <=> b000001000000000000000000000(B) ) ) ) )).

fof(bitBlastConstant_8113,axiom,(
    ~ b000001000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_8112,axiom,(
    ~ b000001000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_8111,axiom,(
    ~ b000001000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_8110,axiom,(
    ~ b000001000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_8109,axiom,(
    ~ b000001000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_8108,axiom,(
    b000001000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_8107,axiom,(
    ~ b000001000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_8106,axiom,(
    ~ b000001000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_8105,axiom,(
    ~ b000001000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_8104,axiom,(
    ~ b000001000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_8103,axiom,(
    ~ b000001000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_8102,axiom,(
    ~ b000001000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_8101,axiom,(
    ~ b000001000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_8100,axiom,(
    ~ b000001000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_8099,axiom,(
    ~ b000001000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_8098,axiom,(
    ~ b000001000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_8097,axiom,(
    ~ b000001000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_8096,axiom,(
    ~ b000001000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_8095,axiom,(
    ~ b000001000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_8094,axiom,(
    ~ b000001000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_8093,axiom,(
    ~ b000001000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_8092,axiom,(
    ~ b000001000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_8091,axiom,(
    ~ b000001000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_8090,axiom,(
    ~ b000001000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_8089,axiom,(
    ~ b000001000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_8088,axiom,(
    ~ b000001000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_8087,axiom,(
    ~ b000001000000000000000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges10_1,axiom,(
    ! [VarCurr] :
      ( v16313(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v16259(VarCurr,B)
          <=> b000000100000000000000000000(B) ) ) ) )).

fof(bitBlastConstant_8086,axiom,(
    ~ b000000100000000000000000000(bitIndex26) )).

fof(bitBlastConstant_8085,axiom,(
    ~ b000000100000000000000000000(bitIndex25) )).

fof(bitBlastConstant_8084,axiom,(
    ~ b000000100000000000000000000(bitIndex24) )).

fof(bitBlastConstant_8083,axiom,(
    ~ b000000100000000000000000000(bitIndex23) )).

fof(bitBlastConstant_8082,axiom,(
    ~ b000000100000000000000000000(bitIndex22) )).

fof(bitBlastConstant_8081,axiom,(
    ~ b000000100000000000000000000(bitIndex21) )).

fof(bitBlastConstant_8080,axiom,(
    b000000100000000000000000000(bitIndex20) )).

fof(bitBlastConstant_8079,axiom,(
    ~ b000000100000000000000000000(bitIndex19) )).

fof(bitBlastConstant_8078,axiom,(
    ~ b000000100000000000000000000(bitIndex18) )).

fof(bitBlastConstant_8077,axiom,(
    ~ b000000100000000000000000000(bitIndex17) )).

fof(bitBlastConstant_8076,axiom,(
    ~ b000000100000000000000000000(bitIndex16) )).

fof(bitBlastConstant_8075,axiom,(
    ~ b000000100000000000000000000(bitIndex15) )).

fof(bitBlastConstant_8074,axiom,(
    ~ b000000100000000000000000000(bitIndex14) )).

fof(bitBlastConstant_8073,axiom,(
    ~ b000000100000000000000000000(bitIndex13) )).

fof(bitBlastConstant_8072,axiom,(
    ~ b000000100000000000000000000(bitIndex12) )).

fof(bitBlastConstant_8071,axiom,(
    ~ b000000100000000000000000000(bitIndex11) )).

fof(bitBlastConstant_8070,axiom,(
    ~ b000000100000000000000000000(bitIndex10) )).

fof(bitBlastConstant_8069,axiom,(
    ~ b000000100000000000000000000(bitIndex9) )).

fof(bitBlastConstant_8068,axiom,(
    ~ b000000100000000000000000000(bitIndex8) )).

fof(bitBlastConstant_8067,axiom,(
    ~ b000000100000000000000000000(bitIndex7) )).

fof(bitBlastConstant_8066,axiom,(
    ~ b000000100000000000000000000(bitIndex6) )).

fof(bitBlastConstant_8065,axiom,(
    ~ b000000100000000000000000000(bitIndex5) )).

fof(bitBlastConstant_8064,axiom,(
    ~ b000000100000000000000000000(bitIndex4) )).

fof(bitBlastConstant_8063,axiom,(
    ~ b000000100000000000000000000(bitIndex3) )).

fof(bitBlastConstant_8062,axiom,(
    ~ b000000100000000000000000000(bitIndex2) )).

fof(bitBlastConstant_8061,axiom,(
    ~ b000000100000000000000000000(bitIndex1) )).

fof(bitBlastConstant_8060,axiom,(
    ~ b000000100000000000000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges9_2,axiom,(
    ! [VarCurr] :
      ( v16312(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v16259(VarCurr,B)
          <=> b000000010000000000000000000(B) ) ) ) )).

fof(bitBlastConstant_8059,axiom,(
    ~ b000000010000000000000000000(bitIndex26) )).

fof(bitBlastConstant_8058,axiom,(
    ~ b000000010000000000000000000(bitIndex25) )).

fof(bitBlastConstant_8057,axiom,(
    ~ b000000010000000000000000000(bitIndex24) )).

fof(bitBlastConstant_8056,axiom,(
    ~ b000000010000000000000000000(bitIndex23) )).

fof(bitBlastConstant_8055,axiom,(
    ~ b000000010000000000000000000(bitIndex22) )).

fof(bitBlastConstant_8054,axiom,(
    ~ b000000010000000000000000000(bitIndex21) )).

fof(bitBlastConstant_8053,axiom,(
    ~ b000000010000000000000000000(bitIndex20) )).

fof(bitBlastConstant_8052,axiom,(
    b000000010000000000000000000(bitIndex19) )).

fof(bitBlastConstant_8051,axiom,(
    ~ b000000010000000000000000000(bitIndex18) )).

fof(bitBlastConstant_8050,axiom,(
    ~ b000000010000000000000000000(bitIndex17) )).

fof(bitBlastConstant_8049,axiom,(
    ~ b000000010000000000000000000(bitIndex16) )).

fof(bitBlastConstant_8048,axiom,(
    ~ b000000010000000000000000000(bitIndex15) )).

fof(bitBlastConstant_8047,axiom,(
    ~ b000000010000000000000000000(bitIndex14) )).

fof(bitBlastConstant_8046,axiom,(
    ~ b000000010000000000000000000(bitIndex13) )).

fof(bitBlastConstant_8045,axiom,(
    ~ b000000010000000000000000000(bitIndex12) )).

fof(bitBlastConstant_8044,axiom,(
    ~ b000000010000000000000000000(bitIndex11) )).

fof(bitBlastConstant_8043,axiom,(
    ~ b000000010000000000000000000(bitIndex10) )).

fof(bitBlastConstant_8042,axiom,(
    ~ b000000010000000000000000000(bitIndex9) )).

fof(bitBlastConstant_8041,axiom,(
    ~ b000000010000000000000000000(bitIndex8) )).

fof(bitBlastConstant_8040,axiom,(
    ~ b000000010000000000000000000(bitIndex7) )).

fof(bitBlastConstant_8039,axiom,(
    ~ b000000010000000000000000000(bitIndex6) )).

fof(bitBlastConstant_8038,axiom,(
    ~ b000000010000000000000000000(bitIndex5) )).

fof(bitBlastConstant_8037,axiom,(
    ~ b000000010000000000000000000(bitIndex4) )).

fof(bitBlastConstant_8036,axiom,(
    ~ b000000010000000000000000000(bitIndex3) )).

fof(bitBlastConstant_8035,axiom,(
    ~ b000000010000000000000000000(bitIndex2) )).

fof(bitBlastConstant_8034,axiom,(
    ~ b000000010000000000000000000(bitIndex1) )).

fof(bitBlastConstant_8033,axiom,(
    ~ b000000010000000000000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges8_2,axiom,(
    ! [VarCurr] :
      ( v16311(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v16259(VarCurr,B)
          <=> b000000001000000000000000000(B) ) ) ) )).

fof(bitBlastConstant_8032,axiom,(
    ~ b000000001000000000000000000(bitIndex26) )).

fof(bitBlastConstant_8031,axiom,(
    ~ b000000001000000000000000000(bitIndex25) )).

fof(bitBlastConstant_8030,axiom,(
    ~ b000000001000000000000000000(bitIndex24) )).

fof(bitBlastConstant_8029,axiom,(
    ~ b000000001000000000000000000(bitIndex23) )).

fof(bitBlastConstant_8028,axiom,(
    ~ b000000001000000000000000000(bitIndex22) )).

fof(bitBlastConstant_8027,axiom,(
    ~ b000000001000000000000000000(bitIndex21) )).

fof(bitBlastConstant_8026,axiom,(
    ~ b000000001000000000000000000(bitIndex20) )).

fof(bitBlastConstant_8025,axiom,(
    ~ b000000001000000000000000000(bitIndex19) )).

fof(bitBlastConstant_8024,axiom,(
    b000000001000000000000000000(bitIndex18) )).

fof(bitBlastConstant_8023,axiom,(
    ~ b000000001000000000000000000(bitIndex17) )).

fof(bitBlastConstant_8022,axiom,(
    ~ b000000001000000000000000000(bitIndex16) )).

fof(bitBlastConstant_8021,axiom,(
    ~ b000000001000000000000000000(bitIndex15) )).

fof(bitBlastConstant_8020,axiom,(
    ~ b000000001000000000000000000(bitIndex14) )).

fof(bitBlastConstant_8019,axiom,(
    ~ b000000001000000000000000000(bitIndex13) )).

fof(bitBlastConstant_8018,axiom,(
    ~ b000000001000000000000000000(bitIndex12) )).

fof(bitBlastConstant_8017,axiom,(
    ~ b000000001000000000000000000(bitIndex11) )).

fof(bitBlastConstant_8016,axiom,(
    ~ b000000001000000000000000000(bitIndex10) )).

fof(bitBlastConstant_8015,axiom,(
    ~ b000000001000000000000000000(bitIndex9) )).

fof(bitBlastConstant_8014,axiom,(
    ~ b000000001000000000000000000(bitIndex8) )).

fof(bitBlastConstant_8013,axiom,(
    ~ b000000001000000000000000000(bitIndex7) )).

fof(bitBlastConstant_8012,axiom,(
    ~ b000000001000000000000000000(bitIndex6) )).

fof(bitBlastConstant_8011,axiom,(
    ~ b000000001000000000000000000(bitIndex5) )).

fof(bitBlastConstant_8010,axiom,(
    ~ b000000001000000000000000000(bitIndex4) )).

fof(bitBlastConstant_8009,axiom,(
    ~ b000000001000000000000000000(bitIndex3) )).

fof(bitBlastConstant_8008,axiom,(
    ~ b000000001000000000000000000(bitIndex2) )).

fof(bitBlastConstant_8007,axiom,(
    ~ b000000001000000000000000000(bitIndex1) )).

fof(bitBlastConstant_8006,axiom,(
    ~ b000000001000000000000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges7_5,axiom,(
    ! [VarCurr] :
      ( v16310(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v16259(VarCurr,B)
          <=> b000000000100000000000000000(B) ) ) ) )).

fof(bitBlastConstant_8005,axiom,(
    ~ b000000000100000000000000000(bitIndex26) )).

fof(bitBlastConstant_8004,axiom,(
    ~ b000000000100000000000000000(bitIndex25) )).

fof(bitBlastConstant_8003,axiom,(
    ~ b000000000100000000000000000(bitIndex24) )).

fof(bitBlastConstant_8002,axiom,(
    ~ b000000000100000000000000000(bitIndex23) )).

fof(bitBlastConstant_8001,axiom,(
    ~ b000000000100000000000000000(bitIndex22) )).

fof(bitBlastConstant_8000,axiom,(
    ~ b000000000100000000000000000(bitIndex21) )).

fof(bitBlastConstant_7999,axiom,(
    ~ b000000000100000000000000000(bitIndex20) )).

fof(bitBlastConstant_7998,axiom,(
    ~ b000000000100000000000000000(bitIndex19) )).

fof(bitBlastConstant_7997,axiom,(
    ~ b000000000100000000000000000(bitIndex18) )).

fof(bitBlastConstant_7996,axiom,(
    b000000000100000000000000000(bitIndex17) )).

fof(bitBlastConstant_7995,axiom,(
    ~ b000000000100000000000000000(bitIndex16) )).

fof(bitBlastConstant_7994,axiom,(
    ~ b000000000100000000000000000(bitIndex15) )).

fof(bitBlastConstant_7993,axiom,(
    ~ b000000000100000000000000000(bitIndex14) )).

fof(bitBlastConstant_7992,axiom,(
    ~ b000000000100000000000000000(bitIndex13) )).

fof(bitBlastConstant_7991,axiom,(
    ~ b000000000100000000000000000(bitIndex12) )).

fof(bitBlastConstant_7990,axiom,(
    ~ b000000000100000000000000000(bitIndex11) )).

fof(bitBlastConstant_7989,axiom,(
    ~ b000000000100000000000000000(bitIndex10) )).

fof(bitBlastConstant_7988,axiom,(
    ~ b000000000100000000000000000(bitIndex9) )).

fof(bitBlastConstant_7987,axiom,(
    ~ b000000000100000000000000000(bitIndex8) )).

fof(bitBlastConstant_7986,axiom,(
    ~ b000000000100000000000000000(bitIndex7) )).

fof(bitBlastConstant_7985,axiom,(
    ~ b000000000100000000000000000(bitIndex6) )).

fof(bitBlastConstant_7984,axiom,(
    ~ b000000000100000000000000000(bitIndex5) )).

fof(bitBlastConstant_7983,axiom,(
    ~ b000000000100000000000000000(bitIndex4) )).

fof(bitBlastConstant_7982,axiom,(
    ~ b000000000100000000000000000(bitIndex3) )).

fof(bitBlastConstant_7981,axiom,(
    ~ b000000000100000000000000000(bitIndex2) )).

fof(bitBlastConstant_7980,axiom,(
    ~ b000000000100000000000000000(bitIndex1) )).

fof(bitBlastConstant_7979,axiom,(
    ~ b000000000100000000000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges6_5,axiom,(
    ! [VarCurr] :
      ( v16309(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v16259(VarCurr,B)
          <=> b000000000010000000000000000(B) ) ) ) )).

fof(bitBlastConstant_7978,axiom,(
    ~ b000000000010000000000000000(bitIndex26) )).

fof(bitBlastConstant_7977,axiom,(
    ~ b000000000010000000000000000(bitIndex25) )).

fof(bitBlastConstant_7976,axiom,(
    ~ b000000000010000000000000000(bitIndex24) )).

fof(bitBlastConstant_7975,axiom,(
    ~ b000000000010000000000000000(bitIndex23) )).

fof(bitBlastConstant_7974,axiom,(
    ~ b000000000010000000000000000(bitIndex22) )).

fof(bitBlastConstant_7973,axiom,(
    ~ b000000000010000000000000000(bitIndex21) )).

fof(bitBlastConstant_7972,axiom,(
    ~ b000000000010000000000000000(bitIndex20) )).

fof(bitBlastConstant_7971,axiom,(
    ~ b000000000010000000000000000(bitIndex19) )).

fof(bitBlastConstant_7970,axiom,(
    ~ b000000000010000000000000000(bitIndex18) )).

fof(bitBlastConstant_7969,axiom,(
    ~ b000000000010000000000000000(bitIndex17) )).

fof(bitBlastConstant_7968,axiom,(
    b000000000010000000000000000(bitIndex16) )).

fof(bitBlastConstant_7967,axiom,(
    ~ b000000000010000000000000000(bitIndex15) )).

fof(bitBlastConstant_7966,axiom,(
    ~ b000000000010000000000000000(bitIndex14) )).

fof(bitBlastConstant_7965,axiom,(
    ~ b000000000010000000000000000(bitIndex13) )).

fof(bitBlastConstant_7964,axiom,(
    ~ b000000000010000000000000000(bitIndex12) )).

fof(bitBlastConstant_7963,axiom,(
    ~ b000000000010000000000000000(bitIndex11) )).

fof(bitBlastConstant_7962,axiom,(
    ~ b000000000010000000000000000(bitIndex10) )).

fof(bitBlastConstant_7961,axiom,(
    ~ b000000000010000000000000000(bitIndex9) )).

fof(bitBlastConstant_7960,axiom,(
    ~ b000000000010000000000000000(bitIndex8) )).

fof(bitBlastConstant_7959,axiom,(
    ~ b000000000010000000000000000(bitIndex7) )).

fof(bitBlastConstant_7958,axiom,(
    ~ b000000000010000000000000000(bitIndex6) )).

fof(bitBlastConstant_7957,axiom,(
    ~ b000000000010000000000000000(bitIndex5) )).

fof(bitBlastConstant_7956,axiom,(
    ~ b000000000010000000000000000(bitIndex4) )).

fof(bitBlastConstant_7955,axiom,(
    ~ b000000000010000000000000000(bitIndex3) )).

fof(bitBlastConstant_7954,axiom,(
    ~ b000000000010000000000000000(bitIndex2) )).

fof(bitBlastConstant_7953,axiom,(
    ~ b000000000010000000000000000(bitIndex1) )).

fof(bitBlastConstant_7952,axiom,(
    ~ b000000000010000000000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges5_7,axiom,(
    ! [VarCurr] :
      ( v16308(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v16259(VarCurr,B)
          <=> b000000000001000000000000000(B) ) ) ) )).

fof(bitBlastConstant_7951,axiom,(
    ~ b000000000001000000000000000(bitIndex26) )).

fof(bitBlastConstant_7950,axiom,(
    ~ b000000000001000000000000000(bitIndex25) )).

fof(bitBlastConstant_7949,axiom,(
    ~ b000000000001000000000000000(bitIndex24) )).

fof(bitBlastConstant_7948,axiom,(
    ~ b000000000001000000000000000(bitIndex23) )).

fof(bitBlastConstant_7947,axiom,(
    ~ b000000000001000000000000000(bitIndex22) )).

fof(bitBlastConstant_7946,axiom,(
    ~ b000000000001000000000000000(bitIndex21) )).

fof(bitBlastConstant_7945,axiom,(
    ~ b000000000001000000000000000(bitIndex20) )).

fof(bitBlastConstant_7944,axiom,(
    ~ b000000000001000000000000000(bitIndex19) )).

fof(bitBlastConstant_7943,axiom,(
    ~ b000000000001000000000000000(bitIndex18) )).

fof(bitBlastConstant_7942,axiom,(
    ~ b000000000001000000000000000(bitIndex17) )).

fof(bitBlastConstant_7941,axiom,(
    ~ b000000000001000000000000000(bitIndex16) )).

fof(bitBlastConstant_7940,axiom,(
    b000000000001000000000000000(bitIndex15) )).

fof(bitBlastConstant_7939,axiom,(
    ~ b000000000001000000000000000(bitIndex14) )).

fof(bitBlastConstant_7938,axiom,(
    ~ b000000000001000000000000000(bitIndex13) )).

fof(bitBlastConstant_7937,axiom,(
    ~ b000000000001000000000000000(bitIndex12) )).

fof(bitBlastConstant_7936,axiom,(
    ~ b000000000001000000000000000(bitIndex11) )).

fof(bitBlastConstant_7935,axiom,(
    ~ b000000000001000000000000000(bitIndex10) )).

fof(bitBlastConstant_7934,axiom,(
    ~ b000000000001000000000000000(bitIndex9) )).

fof(bitBlastConstant_7933,axiom,(
    ~ b000000000001000000000000000(bitIndex8) )).

fof(bitBlastConstant_7932,axiom,(
    ~ b000000000001000000000000000(bitIndex7) )).

fof(bitBlastConstant_7931,axiom,(
    ~ b000000000001000000000000000(bitIndex6) )).

fof(bitBlastConstant_7930,axiom,(
    ~ b000000000001000000000000000(bitIndex5) )).

fof(bitBlastConstant_7929,axiom,(
    ~ b000000000001000000000000000(bitIndex4) )).

fof(bitBlastConstant_7928,axiom,(
    ~ b000000000001000000000000000(bitIndex3) )).

fof(bitBlastConstant_7927,axiom,(
    ~ b000000000001000000000000000(bitIndex2) )).

fof(bitBlastConstant_7926,axiom,(
    ~ b000000000001000000000000000(bitIndex1) )).

fof(bitBlastConstant_7925,axiom,(
    ~ b000000000001000000000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges4_10,axiom,(
    ! [VarCurr] :
      ( v16307(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v16259(VarCurr,B)
          <=> b000000000000100000000000000(B) ) ) ) )).

fof(bitBlastConstant_7924,axiom,(
    ~ b000000000000100000000000000(bitIndex26) )).

fof(bitBlastConstant_7923,axiom,(
    ~ b000000000000100000000000000(bitIndex25) )).

fof(bitBlastConstant_7922,axiom,(
    ~ b000000000000100000000000000(bitIndex24) )).

fof(bitBlastConstant_7921,axiom,(
    ~ b000000000000100000000000000(bitIndex23) )).

fof(bitBlastConstant_7920,axiom,(
    ~ b000000000000100000000000000(bitIndex22) )).

fof(bitBlastConstant_7919,axiom,(
    ~ b000000000000100000000000000(bitIndex21) )).

fof(bitBlastConstant_7918,axiom,(
    ~ b000000000000100000000000000(bitIndex20) )).

fof(bitBlastConstant_7917,axiom,(
    ~ b000000000000100000000000000(bitIndex19) )).

fof(bitBlastConstant_7916,axiom,(
    ~ b000000000000100000000000000(bitIndex18) )).

fof(bitBlastConstant_7915,axiom,(
    ~ b000000000000100000000000000(bitIndex17) )).

fof(bitBlastConstant_7914,axiom,(
    ~ b000000000000100000000000000(bitIndex16) )).

fof(bitBlastConstant_7913,axiom,(
    ~ b000000000000100000000000000(bitIndex15) )).

fof(bitBlastConstant_7912,axiom,(
    b000000000000100000000000000(bitIndex14) )).

fof(bitBlastConstant_7911,axiom,(
    ~ b000000000000100000000000000(bitIndex13) )).

fof(bitBlastConstant_7910,axiom,(
    ~ b000000000000100000000000000(bitIndex12) )).

fof(bitBlastConstant_7909,axiom,(
    ~ b000000000000100000000000000(bitIndex11) )).

fof(bitBlastConstant_7908,axiom,(
    ~ b000000000000100000000000000(bitIndex10) )).

fof(bitBlastConstant_7907,axiom,(
    ~ b000000000000100000000000000(bitIndex9) )).

fof(bitBlastConstant_7906,axiom,(
    ~ b000000000000100000000000000(bitIndex8) )).

fof(bitBlastConstant_7905,axiom,(
    ~ b000000000000100000000000000(bitIndex7) )).

fof(bitBlastConstant_7904,axiom,(
    ~ b000000000000100000000000000(bitIndex6) )).

fof(bitBlastConstant_7903,axiom,(
    ~ b000000000000100000000000000(bitIndex5) )).

fof(bitBlastConstant_7902,axiom,(
    ~ b000000000000100000000000000(bitIndex4) )).

fof(bitBlastConstant_7901,axiom,(
    ~ b000000000000100000000000000(bitIndex3) )).

fof(bitBlastConstant_7900,axiom,(
    ~ b000000000000100000000000000(bitIndex2) )).

fof(bitBlastConstant_7899,axiom,(
    ~ b000000000000100000000000000(bitIndex1) )).

fof(bitBlastConstant_7898,axiom,(
    ~ b000000000000100000000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges3_27,axiom,(
    ! [VarCurr] :
      ( v16306(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v16259(VarCurr,B)
          <=> b000000000000010000000000000(B) ) ) ) )).

fof(bitBlastConstant_7897,axiom,(
    ~ b000000000000010000000000000(bitIndex26) )).

fof(bitBlastConstant_7896,axiom,(
    ~ b000000000000010000000000000(bitIndex25) )).

fof(bitBlastConstant_7895,axiom,(
    ~ b000000000000010000000000000(bitIndex24) )).

fof(bitBlastConstant_7894,axiom,(
    ~ b000000000000010000000000000(bitIndex23) )).

fof(bitBlastConstant_7893,axiom,(
    ~ b000000000000010000000000000(bitIndex22) )).

fof(bitBlastConstant_7892,axiom,(
    ~ b000000000000010000000000000(bitIndex21) )).

fof(bitBlastConstant_7891,axiom,(
    ~ b000000000000010000000000000(bitIndex20) )).

fof(bitBlastConstant_7890,axiom,(
    ~ b000000000000010000000000000(bitIndex19) )).

fof(bitBlastConstant_7889,axiom,(
    ~ b000000000000010000000000000(bitIndex18) )).

fof(bitBlastConstant_7888,axiom,(
    ~ b000000000000010000000000000(bitIndex17) )).

fof(bitBlastConstant_7887,axiom,(
    ~ b000000000000010000000000000(bitIndex16) )).

fof(bitBlastConstant_7886,axiom,(
    ~ b000000000000010000000000000(bitIndex15) )).

fof(bitBlastConstant_7885,axiom,(
    ~ b000000000000010000000000000(bitIndex14) )).

fof(bitBlastConstant_7884,axiom,(
    b000000000000010000000000000(bitIndex13) )).

fof(bitBlastConstant_7883,axiom,(
    ~ b000000000000010000000000000(bitIndex12) )).

fof(bitBlastConstant_7882,axiom,(
    ~ b000000000000010000000000000(bitIndex11) )).

fof(bitBlastConstant_7881,axiom,(
    ~ b000000000000010000000000000(bitIndex10) )).

fof(bitBlastConstant_7880,axiom,(
    ~ b000000000000010000000000000(bitIndex9) )).

fof(bitBlastConstant_7879,axiom,(
    ~ b000000000000010000000000000(bitIndex8) )).

fof(bitBlastConstant_7878,axiom,(
    ~ b000000000000010000000000000(bitIndex7) )).

fof(bitBlastConstant_7877,axiom,(
    ~ b000000000000010000000000000(bitIndex6) )).

fof(bitBlastConstant_7876,axiom,(
    ~ b000000000000010000000000000(bitIndex5) )).

fof(bitBlastConstant_7875,axiom,(
    ~ b000000000000010000000000000(bitIndex4) )).

fof(bitBlastConstant_7874,axiom,(
    ~ b000000000000010000000000000(bitIndex3) )).

fof(bitBlastConstant_7873,axiom,(
    ~ b000000000000010000000000000(bitIndex2) )).

fof(bitBlastConstant_7872,axiom,(
    ~ b000000000000010000000000000(bitIndex1) )).

fof(bitBlastConstant_7871,axiom,(
    ~ b000000000000010000000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges2_236,axiom,(
    ! [VarCurr] :
      ( v16305(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v16259(VarCurr,B)
          <=> b000000000000001000000000000(B) ) ) ) )).

fof(bitBlastConstant_7870,axiom,(
    ~ b000000000000001000000000000(bitIndex26) )).

fof(bitBlastConstant_7869,axiom,(
    ~ b000000000000001000000000000(bitIndex25) )).

fof(bitBlastConstant_7868,axiom,(
    ~ b000000000000001000000000000(bitIndex24) )).

fof(bitBlastConstant_7867,axiom,(
    ~ b000000000000001000000000000(bitIndex23) )).

fof(bitBlastConstant_7866,axiom,(
    ~ b000000000000001000000000000(bitIndex22) )).

fof(bitBlastConstant_7865,axiom,(
    ~ b000000000000001000000000000(bitIndex21) )).

fof(bitBlastConstant_7864,axiom,(
    ~ b000000000000001000000000000(bitIndex20) )).

fof(bitBlastConstant_7863,axiom,(
    ~ b000000000000001000000000000(bitIndex19) )).

fof(bitBlastConstant_7862,axiom,(
    ~ b000000000000001000000000000(bitIndex18) )).

fof(bitBlastConstant_7861,axiom,(
    ~ b000000000000001000000000000(bitIndex17) )).

fof(bitBlastConstant_7860,axiom,(
    ~ b000000000000001000000000000(bitIndex16) )).

fof(bitBlastConstant_7859,axiom,(
    ~ b000000000000001000000000000(bitIndex15) )).

fof(bitBlastConstant_7858,axiom,(
    ~ b000000000000001000000000000(bitIndex14) )).

fof(bitBlastConstant_7857,axiom,(
    ~ b000000000000001000000000000(bitIndex13) )).

fof(bitBlastConstant_7856,axiom,(
    b000000000000001000000000000(bitIndex12) )).

fof(bitBlastConstant_7855,axiom,(
    ~ b000000000000001000000000000(bitIndex11) )).

fof(bitBlastConstant_7854,axiom,(
    ~ b000000000000001000000000000(bitIndex10) )).

fof(bitBlastConstant_7853,axiom,(
    ~ b000000000000001000000000000(bitIndex9) )).

fof(bitBlastConstant_7852,axiom,(
    ~ b000000000000001000000000000(bitIndex8) )).

fof(bitBlastConstant_7851,axiom,(
    ~ b000000000000001000000000000(bitIndex7) )).

fof(bitBlastConstant_7850,axiom,(
    ~ b000000000000001000000000000(bitIndex6) )).

fof(bitBlastConstant_7849,axiom,(
    ~ b000000000000001000000000000(bitIndex5) )).

fof(bitBlastConstant_7848,axiom,(
    ~ b000000000000001000000000000(bitIndex4) )).

fof(bitBlastConstant_7847,axiom,(
    ~ b000000000000001000000000000(bitIndex3) )).

fof(bitBlastConstant_7846,axiom,(
    ~ b000000000000001000000000000(bitIndex2) )).

fof(bitBlastConstant_7845,axiom,(
    ~ b000000000000001000000000000(bitIndex1) )).

fof(bitBlastConstant_7844,axiom,(
    ~ b000000000000001000000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges1_575,axiom,(
    ! [VarCurr] :
      ( v16304(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v16259(VarCurr,B)
          <=> b000000000000000100000000000(B) ) ) ) )).

fof(bitBlastConstant_7843,axiom,(
    ~ b000000000000000100000000000(bitIndex26) )).

fof(bitBlastConstant_7842,axiom,(
    ~ b000000000000000100000000000(bitIndex25) )).

fof(bitBlastConstant_7841,axiom,(
    ~ b000000000000000100000000000(bitIndex24) )).

fof(bitBlastConstant_7840,axiom,(
    ~ b000000000000000100000000000(bitIndex23) )).

fof(bitBlastConstant_7839,axiom,(
    ~ b000000000000000100000000000(bitIndex22) )).

fof(bitBlastConstant_7838,axiom,(
    ~ b000000000000000100000000000(bitIndex21) )).

fof(bitBlastConstant_7837,axiom,(
    ~ b000000000000000100000000000(bitIndex20) )).

fof(bitBlastConstant_7836,axiom,(
    ~ b000000000000000100000000000(bitIndex19) )).

fof(bitBlastConstant_7835,axiom,(
    ~ b000000000000000100000000000(bitIndex18) )).

fof(bitBlastConstant_7834,axiom,(
    ~ b000000000000000100000000000(bitIndex17) )).

fof(bitBlastConstant_7833,axiom,(
    ~ b000000000000000100000000000(bitIndex16) )).

fof(bitBlastConstant_7832,axiom,(
    ~ b000000000000000100000000000(bitIndex15) )).

fof(bitBlastConstant_7831,axiom,(
    ~ b000000000000000100000000000(bitIndex14) )).

fof(bitBlastConstant_7830,axiom,(
    ~ b000000000000000100000000000(bitIndex13) )).

fof(bitBlastConstant_7829,axiom,(
    ~ b000000000000000100000000000(bitIndex12) )).

fof(bitBlastConstant_7828,axiom,(
    b000000000000000100000000000(bitIndex11) )).

fof(bitBlastConstant_7827,axiom,(
    ~ b000000000000000100000000000(bitIndex10) )).

fof(bitBlastConstant_7826,axiom,(
    ~ b000000000000000100000000000(bitIndex9) )).

fof(bitBlastConstant_7825,axiom,(
    ~ b000000000000000100000000000(bitIndex8) )).

fof(bitBlastConstant_7824,axiom,(
    ~ b000000000000000100000000000(bitIndex7) )).

fof(bitBlastConstant_7823,axiom,(
    ~ b000000000000000100000000000(bitIndex6) )).

fof(bitBlastConstant_7822,axiom,(
    ~ b000000000000000100000000000(bitIndex5) )).

fof(bitBlastConstant_7821,axiom,(
    ~ b000000000000000100000000000(bitIndex4) )).

fof(bitBlastConstant_7820,axiom,(
    ~ b000000000000000100000000000(bitIndex3) )).

fof(bitBlastConstant_7819,axiom,(
    ~ b000000000000000100000000000(bitIndex2) )).

fof(bitBlastConstant_7818,axiom,(
    ~ b000000000000000100000000000(bitIndex1) )).

fof(bitBlastConstant_7817,axiom,(
    ~ b000000000000000100000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges0_577,axiom,(
    ! [VarCurr] :
      ( v16303(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v16259(VarCurr,B)
          <=> b000000000000000010000000000(B) ) ) ) )).

fof(bitBlastConstant_7816,axiom,(
    ~ b000000000000000010000000000(bitIndex26) )).

fof(bitBlastConstant_7815,axiom,(
    ~ b000000000000000010000000000(bitIndex25) )).

fof(bitBlastConstant_7814,axiom,(
    ~ b000000000000000010000000000(bitIndex24) )).

fof(bitBlastConstant_7813,axiom,(
    ~ b000000000000000010000000000(bitIndex23) )).

fof(bitBlastConstant_7812,axiom,(
    ~ b000000000000000010000000000(bitIndex22) )).

fof(bitBlastConstant_7811,axiom,(
    ~ b000000000000000010000000000(bitIndex21) )).

fof(bitBlastConstant_7810,axiom,(
    ~ b000000000000000010000000000(bitIndex20) )).

fof(bitBlastConstant_7809,axiom,(
    ~ b000000000000000010000000000(bitIndex19) )).

fof(bitBlastConstant_7808,axiom,(
    ~ b000000000000000010000000000(bitIndex18) )).

fof(bitBlastConstant_7807,axiom,(
    ~ b000000000000000010000000000(bitIndex17) )).

fof(bitBlastConstant_7806,axiom,(
    ~ b000000000000000010000000000(bitIndex16) )).

fof(bitBlastConstant_7805,axiom,(
    ~ b000000000000000010000000000(bitIndex15) )).

fof(bitBlastConstant_7804,axiom,(
    ~ b000000000000000010000000000(bitIndex14) )).

fof(bitBlastConstant_7803,axiom,(
    ~ b000000000000000010000000000(bitIndex13) )).

fof(bitBlastConstant_7802,axiom,(
    ~ b000000000000000010000000000(bitIndex12) )).

fof(bitBlastConstant_7801,axiom,(
    ~ b000000000000000010000000000(bitIndex11) )).

fof(bitBlastConstant_7800,axiom,(
    b000000000000000010000000000(bitIndex10) )).

fof(bitBlastConstant_7799,axiom,(
    ~ b000000000000000010000000000(bitIndex9) )).

fof(bitBlastConstant_7798,axiom,(
    ~ b000000000000000010000000000(bitIndex8) )).

fof(bitBlastConstant_7797,axiom,(
    ~ b000000000000000010000000000(bitIndex7) )).

fof(bitBlastConstant_7796,axiom,(
    ~ b000000000000000010000000000(bitIndex6) )).

fof(bitBlastConstant_7795,axiom,(
    ~ b000000000000000010000000000(bitIndex5) )).

fof(bitBlastConstant_7794,axiom,(
    ~ b000000000000000010000000000(bitIndex4) )).

fof(bitBlastConstant_7793,axiom,(
    ~ b000000000000000010000000000(bitIndex3) )).

fof(bitBlastConstant_7792,axiom,(
    ~ b000000000000000010000000000(bitIndex2) )).

fof(bitBlastConstant_7791,axiom,(
    ~ b000000000000000010000000000(bitIndex1) )).

fof(bitBlastConstant_7790,axiom,(
    ~ b000000000000000010000000000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_1107,axiom,(
    ! [VarCurr] :
      ( v16318(VarCurr)
    <=> ( ( v16261(VarCurr,bitIndex3)
        <=> $true )
        & ( v16261(VarCurr,bitIndex2)
        <=> $true )
        & ( v16261(VarCurr,bitIndex1)
        <=> $true )
        & ( v16261(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1106,axiom,(
    ! [VarCurr] :
      ( v16317(VarCurr)
    <=> ( ( v16261(VarCurr,bitIndex3)
        <=> $true )
        & ( v16261(VarCurr,bitIndex2)
        <=> $true )
        & ( v16261(VarCurr,bitIndex1)
        <=> $true )
        & ( v16261(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1105,axiom,(
    ! [VarCurr] :
      ( v16316(VarCurr)
    <=> ( ( v16261(VarCurr,bitIndex3)
        <=> $true )
        & ( v16261(VarCurr,bitIndex2)
        <=> $true )
        & ( v16261(VarCurr,bitIndex1)
        <=> $false )
        & ( v16261(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1104,axiom,(
    ! [VarCurr] :
      ( v16315(VarCurr)
    <=> ( ( v16261(VarCurr,bitIndex3)
        <=> $true )
        & ( v16261(VarCurr,bitIndex2)
        <=> $true )
        & ( v16261(VarCurr,bitIndex1)
        <=> $false )
        & ( v16261(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1103,axiom,(
    ! [VarCurr] :
      ( v16314(VarCurr)
    <=> ( ( v16261(VarCurr,bitIndex3)
        <=> $true )
        & ( v16261(VarCurr,bitIndex2)
        <=> $false )
        & ( v16261(VarCurr,bitIndex1)
        <=> $true )
        & ( v16261(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1102,axiom,(
    ! [VarCurr] :
      ( v16313(VarCurr)
    <=> ( ( v16261(VarCurr,bitIndex3)
        <=> $true )
        & ( v16261(VarCurr,bitIndex2)
        <=> $false )
        & ( v16261(VarCurr,bitIndex1)
        <=> $true )
        & ( v16261(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1101,axiom,(
    ! [VarCurr] :
      ( v16312(VarCurr)
    <=> ( ( v16261(VarCurr,bitIndex3)
        <=> $true )
        & ( v16261(VarCurr,bitIndex2)
        <=> $false )
        & ( v16261(VarCurr,bitIndex1)
        <=> $false )
        & ( v16261(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1100,axiom,(
    ! [VarCurr] :
      ( v16311(VarCurr)
    <=> ( ( v16261(VarCurr,bitIndex3)
        <=> $true )
        & ( v16261(VarCurr,bitIndex2)
        <=> $false )
        & ( v16261(VarCurr,bitIndex1)
        <=> $false )
        & ( v16261(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1099,axiom,(
    ! [VarCurr] :
      ( v16310(VarCurr)
    <=> ( ( v16261(VarCurr,bitIndex3)
        <=> $false )
        & ( v16261(VarCurr,bitIndex2)
        <=> $true )
        & ( v16261(VarCurr,bitIndex1)
        <=> $true )
        & ( v16261(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1098,axiom,(
    ! [VarCurr] :
      ( v16309(VarCurr)
    <=> ( ( v16261(VarCurr,bitIndex3)
        <=> $false )
        & ( v16261(VarCurr,bitIndex2)
        <=> $true )
        & ( v16261(VarCurr,bitIndex1)
        <=> $true )
        & ( v16261(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1097,axiom,(
    ! [VarCurr] :
      ( v16308(VarCurr)
    <=> ( ( v16261(VarCurr,bitIndex3)
        <=> $false )
        & ( v16261(VarCurr,bitIndex2)
        <=> $true )
        & ( v16261(VarCurr,bitIndex1)
        <=> $false )
        & ( v16261(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1096,axiom,(
    ! [VarCurr] :
      ( v16307(VarCurr)
    <=> ( ( v16261(VarCurr,bitIndex3)
        <=> $false )
        & ( v16261(VarCurr,bitIndex2)
        <=> $true )
        & ( v16261(VarCurr,bitIndex1)
        <=> $false )
        & ( v16261(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1095,axiom,(
    ! [VarCurr] :
      ( v16306(VarCurr)
    <=> ( ( v16261(VarCurr,bitIndex3)
        <=> $false )
        & ( v16261(VarCurr,bitIndex2)
        <=> $false )
        & ( v16261(VarCurr,bitIndex1)
        <=> $true )
        & ( v16261(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1094,axiom,(
    ! [VarCurr] :
      ( v16305(VarCurr)
    <=> ( ( v16261(VarCurr,bitIndex3)
        <=> $false )
        & ( v16261(VarCurr,bitIndex2)
        <=> $false )
        & ( v16261(VarCurr,bitIndex1)
        <=> $true )
        & ( v16261(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1093,axiom,(
    ! [VarCurr] :
      ( v16304(VarCurr)
    <=> ( ( v16261(VarCurr,bitIndex3)
        <=> $false )
        & ( v16261(VarCurr,bitIndex2)
        <=> $false )
        & ( v16261(VarCurr,bitIndex1)
        <=> $false )
        & ( v16261(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1092,axiom,(
    ! [VarCurr] :
      ( v16303(VarCurr)
    <=> ( ( v16261(VarCurr,bitIndex3)
        <=> $false )
        & ( v16261(VarCurr,bitIndex2)
        <=> $false )
        & ( v16261(VarCurr,bitIndex1)
        <=> $false )
        & ( v16261(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_179,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16270(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v16261(VarNext,B)
            <=> v16261(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_200,axiom,(
    ! [VarNext] :
      ( v16270(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v16261(VarNext,B)
          <=> v16283(VarNext,B) ) ) ) )).

fof(addAssignment_3865,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v16283(VarNext,B)
          <=> v16281(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_574,axiom,(
    ! [VarCurr] :
      ( ~ v15636(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v16281(VarCurr,B)
          <=> v16263(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_576,axiom,(
    ! [VarCurr] :
      ( v15636(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v16281(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3775,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16270(VarNext)
      <=> ( v16271(VarNext)
          & v16278(VarNext) ) ) ) )).

fof(addAssignment_3864,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16278(VarNext)
      <=> v16276(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3774,axiom,(
    ! [VarCurr] :
      ( v16276(VarCurr)
    <=> ( v15636(VarCurr)
        | v16279(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3773,axiom,(
    ! [VarCurr] :
      ( v16279(VarCurr)
    <=> ( v15638(VarCurr)
        & v16280(VarCurr) ) ) )).

fof(writeUnaryOperator_1438,axiom,(
    ! [VarCurr] :
      ( ~ v16280(VarCurr)
    <=> v15636(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3772,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16271(VarNext)
      <=> ( v16273(VarNext)
          & v15622(VarNext) ) ) ) )).

fof(writeUnaryOperator_1437,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16273(VarNext)
      <=> v15629(VarNext) ) ) )).

fof(addAssignment_3863,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v16263(VarCurr,B)
      <=> v16265(VarCurr,B) ) ) )).

fof(addAssignment_3862,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v16265(VarCurr,B)
      <=> v16267(VarCurr,B) ) ) )).

fof(addAssignment_3861,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v16267(VarCurr,B)
      <=> v15010(VarCurr,B) ) ) )).

fof(addAssignment_3860,axiom,(
    ! [VarNext,B] :
      ( range_26_0(B)
     => ( v16232(VarNext,B)
      <=> v16241(VarNext,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_178,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16242(VarNext)
       => ! [B] :
            ( range_27_0(B)
           => ( v16241(VarNext,B)
            <=> v16232(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_199,axiom,(
    ! [VarNext] :
      ( v16242(VarNext)
     => ! [B] :
          ( range_27_0(B)
         => ( v16241(VarNext,B)
          <=> v16255(VarNext,B) ) ) ) )).

fof(addAssignment_3859,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_27_0(B)
         => ( v16255(VarNext,B)
          <=> v16253(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_573,axiom,(
    ! [VarCurr] :
      ( ~ v15636(VarCurr)
     => ! [B] :
          ( range_27_0(B)
         => ( v16253(VarCurr,B)
          <=> v16235(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_575,axiom,(
    ! [VarCurr] :
      ( v15636(VarCurr)
     => ! [B] :
          ( range_27_0(B)
         => ( v16253(VarCurr,B)
          <=> $false ) ) ) )).

fof(range_axiom_56,axiom,(
    ! [B] :
      ( range_27_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B ) ) )).

fof(bitBlastConstant_7789,axiom,(
    ~ b0000000000000000000000000000(bitIndex27) )).

fof(bitBlastConstant_7788,axiom,(
    ~ b0000000000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_7787,axiom,(
    ~ b0000000000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_7786,axiom,(
    ~ b0000000000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_7785,axiom,(
    ~ b0000000000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_7784,axiom,(
    ~ b0000000000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_7783,axiom,(
    ~ b0000000000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_7782,axiom,(
    ~ b0000000000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_7781,axiom,(
    ~ b0000000000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_7780,axiom,(
    ~ b0000000000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_7779,axiom,(
    ~ b0000000000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_7778,axiom,(
    ~ b0000000000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_7777,axiom,(
    ~ b0000000000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_7776,axiom,(
    ~ b0000000000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_7775,axiom,(
    ~ b0000000000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_7774,axiom,(
    ~ b0000000000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_7773,axiom,(
    ~ b0000000000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_7772,axiom,(
    ~ b0000000000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_7771,axiom,(
    ~ b0000000000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_7770,axiom,(
    ~ b0000000000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_7769,axiom,(
    ~ b0000000000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_7768,axiom,(
    ~ b0000000000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_7767,axiom,(
    ~ b0000000000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_7766,axiom,(
    ~ b0000000000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_7765,axiom,(
    ~ b0000000000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_7764,axiom,(
    ~ b0000000000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_7763,axiom,(
    ~ b0000000000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_7762,axiom,(
    ~ b0000000000000000000000000000(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3771,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16242(VarNext)
      <=> ( v16243(VarNext)
          & v16250(VarNext) ) ) ) )).

fof(addAssignment_3858,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16250(VarNext)
      <=> v16248(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3770,axiom,(
    ! [VarCurr] :
      ( v16248(VarCurr)
    <=> ( v15636(VarCurr)
        | v16251(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3769,axiom,(
    ! [VarCurr] :
      ( v16251(VarCurr)
    <=> ( v15638(VarCurr)
        & v16252(VarCurr) ) ) )).

fof(writeUnaryOperator_1436,axiom,(
    ! [VarCurr] :
      ( ~ v16252(VarCurr)
    <=> v15636(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3768,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16243(VarNext)
      <=> ( v16245(VarNext)
          & v15622(VarNext) ) ) ) )).

fof(writeUnaryOperator_1435,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16245(VarNext)
      <=> v15629(VarNext) ) ) )).

fof(addAssignment_3857,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v16235(VarCurr,B)
      <=> v16237(VarCurr,B) ) ) )).

fof(addAssignment_3856,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v16237(VarCurr,B)
      <=> v16239(VarCurr,B) ) ) )).

fof(addAssignment_3855,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v16239(VarCurr,B)
      <=> v15039(VarCurr,B) ) ) )).

fof(addAssignment_3854,axiom,(
    ! [VarCurr,B] :
      ( range_26_19(B)
     => ( v15039(VarCurr,B)
      <=> v15096(VarCurr,B) ) ) )).

fof(range_axiom_55,axiom,(
    ! [B] :
      ( range_26_19(B)
    <=> ( $false
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B ) ) )).

fof(addAssignment_3853,axiom,(
    ! [VarCurr] :
      ( v15057(VarCurr,bitIndex26)
    <=> v15010(VarCurr,bitIndex33) ) )).

fof(addAssignment_3852,axiom,(
    ! [VarCurr] :
      ( v15057(VarCurr,bitIndex25)
    <=> v15010(VarCurr,bitIndex32) ) )).

fof(addAssignment_3851,axiom,(
    ! [VarCurr] :
      ( v15057(VarCurr,bitIndex24)
    <=> v15010(VarCurr,bitIndex31) ) )).

fof(addAssignment_3850,axiom,(
    ! [VarCurr] :
      ( v15057(VarCurr,bitIndex23)
    <=> v15010(VarCurr,bitIndex30) ) )).

fof(addAssignment_3849,axiom,(
    ! [VarCurr] :
      ( v15057(VarCurr,bitIndex22)
    <=> v15010(VarCurr,bitIndex29) ) )).

fof(addAssignment_3848,axiom,(
    ! [VarCurr] :
      ( v15057(VarCurr,bitIndex21)
    <=> v15010(VarCurr,bitIndex28) ) )).

fof(addAssignment_3847,axiom,(
    ! [VarCurr] :
      ( v15057(VarCurr,bitIndex20)
    <=> v15010(VarCurr,bitIndex27) ) )).

fof(addAssignment_3846,axiom,(
    ! [VarCurr] :
      ( v15057(VarCurr,bitIndex19)
    <=> v15010(VarCurr,bitIndex26) ) )).

fof(addAssignment_3845,axiom,(
    ! [VarCurr] :
      ( v15041(VarCurr,bitIndex26)
    <=> v15042(VarCurr,bitIndex26) ) )).

fof(addAssignment_3844,axiom,(
    ! [VarCurr] :
      ( v15041(VarCurr,bitIndex25)
    <=> v15042(VarCurr,bitIndex25) ) )).

fof(addAssignment_3843,axiom,(
    ! [VarCurr] :
      ( v15041(VarCurr,bitIndex24)
    <=> v15042(VarCurr,bitIndex24) ) )).

fof(addAssignment_3842,axiom,(
    ! [VarCurr] :
      ( v15041(VarCurr,bitIndex23)
    <=> v15042(VarCurr,bitIndex23) ) )).

fof(addAssignment_3841,axiom,(
    ! [VarCurr] :
      ( v15041(VarCurr,bitIndex22)
    <=> v15042(VarCurr,bitIndex22) ) )).

fof(addAssignment_3840,axiom,(
    ! [VarCurr] :
      ( v15041(VarCurr,bitIndex21)
    <=> v15042(VarCurr,bitIndex21) ) )).

fof(addAssignment_3839,axiom,(
    ! [VarCurr] :
      ( v15041(VarCurr,bitIndex20)
    <=> v15042(VarCurr,bitIndex20) ) )).

fof(addAssignment_3838,axiom,(
    ! [VarCurr] :
      ( v15041(VarCurr,bitIndex19)
    <=> v15042(VarCurr,bitIndex19) ) )).

fof(addAssignment_3837,axiom,(
    ! [VarNext] :
      ( v15710(VarNext,bitIndex2)
    <=> v16212(VarNext,bitIndex2) ) )).

fof(addCaseBooleanConditionEqualRanges1_177,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16214(VarNext)
       => ! [B] :
            ( range_20_0(B)
           => ( v16212(VarNext,B)
            <=> v15710(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_198,axiom,(
    ! [VarNext] :
      ( v16214(VarNext)
     => ! [B] :
          ( range_20_0(B)
         => ( v16212(VarNext,B)
          <=> v15746(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3767,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16214(VarNext)
      <=> ( v16215(VarNext)
          & v15741(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3766,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16215(VarNext)
      <=> ( v16217(VarNext)
          & v14073(VarNext) ) ) ) )).

fof(writeUnaryOperator_1434,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16217(VarNext)
      <=> v14086(VarNext) ) ) )).

fof(writeBinaryOperatorShiftedRanges_502,axiom,(
    ! [VarCurr] :
      ( v15713(VarCurr,bitIndex2)
    <=> ( v16206(VarCurr)
        & v16210(VarCurr) ) ) )).

fof(writeUnaryOperator_1433,axiom,(
    ! [VarCurr] :
      ( ~ v16210(VarCurr)
    <=> v16162(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3765,axiom,(
    ! [VarCurr] :
      ( v16206(VarCurr)
    <=> ( v16207(VarCurr)
        & v16209(VarCurr) ) ) )).

fof(writeUnaryOperator_1432,axiom,(
    ! [VarCurr] :
      ( ~ v16209(VarCurr)
    <=> v15750(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3764,axiom,(
    ! [VarCurr] :
      ( v16207(VarCurr)
    <=> ( v16187(VarCurr)
        & v16208(VarCurr) ) ) )).

fof(writeUnaryOperator_1431,axiom,(
    ! [VarCurr] :
      ( ~ v16208(VarCurr)
    <=> v15715(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3763,axiom,(
    ! [VarCurr] :
      ( v16187(VarCurr)
    <=> ( v16189(VarCurr)
        & v14385(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_3836,axiom,(
    ! [VarCurr] :
      ( v16189(VarCurr)
    <=> v16191(VarCurr) ) )).

fof(addAssignment_3835,axiom,(
    ! [VarCurr] :
      ( v16191(VarCurr)
    <=> v16193(VarCurr) ) )).

fof(addAssignment_3834,axiom,(
    ! [VarCurr] :
      ( v16193(VarCurr)
    <=> v16195(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3762,axiom,(
    ! [VarCurr] :
      ( v16195(VarCurr)
    <=> ( v14427(VarCurr)
        & v16197(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3761,axiom,(
    ! [VarCurr] :
      ( v16197(VarCurr)
    <=> ( v16198(VarCurr)
        | v16203(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1091,axiom,(
    ! [VarCurr] :
      ( v16203(VarCurr)
    <=> ( ( v15008(VarCurr,bitIndex2)
        <=> $true )
        & ( v15008(VarCurr,bitIndex1)
        <=> $true )
        & ( v15008(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3760,axiom,(
    ! [VarCurr] :
      ( v16198(VarCurr)
    <=> ( v16199(VarCurr)
        | v16202(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1090,axiom,(
    ! [VarCurr] :
      ( v16202(VarCurr)
    <=> ( ( v15008(VarCurr,bitIndex2)
        <=> $true )
        & ( v15008(VarCurr,bitIndex1)
        <=> $true )
        & ( v15008(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3759,axiom,(
    ! [VarCurr] :
      ( v16199(VarCurr)
    <=> ( v16200(VarCurr)
        | v16201(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1089,axiom,(
    ! [VarCurr] :
      ( v16201(VarCurr)
    <=> ( ( v15008(VarCurr,bitIndex2)
        <=> $true )
        & ( v15008(VarCurr,bitIndex1)
        <=> $false )
        & ( v15008(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1088,axiom,(
    ! [VarCurr] :
      ( v16200(VarCurr)
    <=> ( ( v15008(VarCurr,bitIndex2)
        <=> $false )
        & ( v15008(VarCurr,bitIndex1)
        <=> $true )
        & ( v15008(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_3833,axiom,(
    ! [VarNext] :
      ( v15710(VarNext,bitIndex16)
    <=> v16179(VarNext,bitIndex16) ) )).

fof(addCaseBooleanConditionEqualRanges1_176,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16181(VarNext)
       => ! [B] :
            ( range_20_0(B)
           => ( v16179(VarNext,B)
            <=> v15710(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_197,axiom,(
    ! [VarNext] :
      ( v16181(VarNext)
     => ! [B] :
          ( range_20_0(B)
         => ( v16179(VarNext,B)
          <=> v15746(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3758,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16181(VarNext)
      <=> ( v16182(VarNext)
          & v15741(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3757,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16182(VarNext)
      <=> ( v16184(VarNext)
          & v14073(VarNext) ) ) ) )).

fof(writeUnaryOperator_1430,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16184(VarNext)
      <=> v14086(VarNext) ) ) )).

fof(writeBinaryOperatorShiftedRanges_501,axiom,(
    ! [VarCurr] :
      ( v15713(VarCurr,bitIndex16)
    <=> ( v16175(VarCurr)
        & v16177(VarCurr) ) ) )).

fof(writeUnaryOperator_1429,axiom,(
    ! [VarCurr] :
      ( ~ v16177(VarCurr)
    <=> v15752(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3756,axiom,(
    ! [VarCurr] :
      ( v16175(VarCurr)
    <=> ( v16162(VarCurr)
        & v16176(VarCurr) ) ) )).

fof(writeUnaryOperator_1428,axiom,(
    ! [VarCurr] :
      ( ~ v16176(VarCurr)
    <=> v15715(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3755,axiom,(
    ! [VarCurr] :
      ( v16162(VarCurr)
    <=> ( v14385(VarCurr,bitIndex0)
        & v16164(VarCurr) ) ) )).

fof(addAssignment_3832,axiom,(
    ! [VarCurr] :
      ( v16164(VarCurr)
    <=> v16166(VarCurr) ) )).

fof(addAssignment_3831,axiom,(
    ! [VarCurr] :
      ( v16166(VarCurr)
    <=> v16168(VarCurr) ) )).

fof(addAssignment_3830,axiom,(
    ! [VarCurr] :
      ( v16168(VarCurr)
    <=> v16170(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3754,axiom,(
    ! [VarCurr] :
      ( v16170(VarCurr)
    <=> ( v16172(VarCurr)
        & v14427(VarCurr) ) ) )).

fof(writeUnaryOperator_1427,axiom,(
    ! [VarCurr] :
      ( ~ v16172(VarCurr)
    <=> v15010(VarCurr,bitIndex63) ) )).

fof(addAssignment_3829,axiom,(
    ! [VarNext] :
      ( v15710(VarNext,bitIndex17)
    <=> v16154(VarNext,bitIndex17) ) )).

fof(addCaseBooleanConditionEqualRanges1_175,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16156(VarNext)
       => ! [B] :
            ( range_20_0(B)
           => ( v16154(VarNext,B)
            <=> v15710(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_196,axiom,(
    ! [VarNext] :
      ( v16156(VarNext)
     => ! [B] :
          ( range_20_0(B)
         => ( v16154(VarNext,B)
          <=> v15746(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3753,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16156(VarNext)
      <=> ( v16157(VarNext)
          & v15741(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3752,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v16157(VarNext)
      <=> ( v16159(VarNext)
          & v14073(VarNext) ) ) ) )).

fof(writeUnaryOperator_1426,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v16159(VarNext)
      <=> v14086(VarNext) ) ) )).

fof(writeBinaryOperatorShiftedRanges_500,axiom,(
    ! [VarCurr] :
      ( v15713(VarCurr,bitIndex17)
    <=> ( v15750(VarCurr)
        & v16152(VarCurr) ) ) )).

fof(writeUnaryOperator_1425,axiom,(
    ! [VarCurr] :
      ( ~ v16152(VarCurr)
    <=> v15715(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3751,axiom,(
    ! [VarCurr] :
      ( v15750(VarCurr)
    <=> ( v14385(VarCurr,bitIndex0)
        & v15752(VarCurr) ) ) )).

fof(addAssignment_3828,axiom,(
    ! [VarCurr] :
      ( v15752(VarCurr)
    <=> v15754(VarCurr) ) )).

fof(addAssignment_3827,axiom,(
    ! [VarCurr] :
      ( v15754(VarCurr)
    <=> v15756(VarCurr) ) )).

fof(addAssignment_3826,axiom,(
    ! [VarCurr] :
      ( v15756(VarCurr)
    <=> v15758(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3750,axiom,(
    ! [VarCurr] :
      ( v15758(VarCurr)
    <=> ( v14427(VarCurr)
        & v16147(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3749,axiom,(
    ! [VarCurr] :
      ( v16147(VarCurr)
    <=> ( v16148(VarCurr)
        | v16149(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_499,axiom,(
    ! [VarCurr] :
      ( v16149(VarCurr)
    <=> ( v15965(VarCurr)
      <~> v15010(VarCurr,bitIndex61) ) ) )).

fof(writeBinaryOperatorShiftedRanges_498,axiom,(
    ! [VarCurr] :
      ( v16148(VarCurr)
    <=> ( v15760(VarCurr)
      <~> v15010(VarCurr,bitIndex62) ) ) )).

fof(addAssignment_3825,axiom,(
    ! [VarCurr] :
      ( v15010(VarCurr,bitIndex61)
    <=> v15037(VarCurr,bitIndex61) ) )).

fof(addAssignment_3824,axiom,(
    ! [VarCurr] :
      ( v15028(VarCurr,bitIndex61)
    <=> v15030(VarCurr,bitIndex61) ) )).

fof(addAssignment_3823,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex61)
    <=> v16145(VarCurr) ) )).

fof(addAssignment_3822,axiom,(
    ! [VarCurr] :
      ( v15018(VarCurr,bitIndex61)
    <=> v15020(VarCurr,bitIndex61) ) )).

fof(addAssignment_3821,axiom,(
    ! [VarCurr] :
      ( v15020(VarCurr,bitIndex61)
    <=> v15022(VarCurr,bitIndex61) ) )).

fof(addAssignment_3820,axiom,(
    ! [VarCurr] :
      ( v15022(VarCurr,bitIndex61)
    <=> v15024(VarCurr,bitIndex61) ) )).

fof(addAssignment_3819,axiom,(
    ! [VarCurr] :
      ( v15024(VarCurr,bitIndex61)
    <=> v15026(VarCurr,bitIndex61) ) )).

fof(writeUnaryOperator_1424,axiom,(
    ! [VarCurr] :
      ( ~ v15965(VarCurr)
    <=> v15987(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3748,axiom,(
    ! [VarCurr] :
      ( v15987(VarCurr)
    <=> ( v15989(VarCurr)
        & v16143(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3747,axiom,(
    ! [VarCurr] :
      ( v16143(VarCurr)
    <=> ( v15991(VarCurr)
        | v16068(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3746,axiom,(
    ! [VarCurr] :
      ( v15989(VarCurr)
    <=> ( v15990(VarCurr)
        | v16067(VarCurr) ) ) )).

fof(writeUnaryOperator_1423,axiom,(
    ! [VarCurr] :
      ( ~ v16067(VarCurr)
    <=> v16068(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3745,axiom,(
    ! [VarCurr] :
      ( v16068(VarCurr)
    <=> ( v16069(VarCurr)
        & v16142(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3744,axiom,(
    ! [VarCurr] :
      ( v16142(VarCurr)
    <=> ( v16071(VarCurr)
        | v16087(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3743,axiom,(
    ! [VarCurr] :
      ( v16069(VarCurr)
    <=> ( v16070(VarCurr)
        | v16086(VarCurr) ) ) )).

fof(writeUnaryOperator_1422,axiom,(
    ! [VarCurr] :
      ( ~ v16086(VarCurr)
    <=> v16087(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3742,axiom,(
    ! [VarCurr] :
      ( v16087(VarCurr)
    <=> ( v16088(VarCurr)
        & v16141(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3741,axiom,(
    ! [VarCurr] :
      ( v16141(VarCurr)
    <=> ( v16090(VarCurr)
        | v16106(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3740,axiom,(
    ! [VarCurr] :
      ( v16088(VarCurr)
    <=> ( v16089(VarCurr)
        | v16105(VarCurr) ) ) )).

fof(writeUnaryOperator_1421,axiom,(
    ! [VarCurr] :
      ( ~ v16105(VarCurr)
    <=> v16106(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3739,axiom,(
    ! [VarCurr] :
      ( v16106(VarCurr)
    <=> ( v16107(VarCurr)
        & v16140(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3738,axiom,(
    ! [VarCurr] :
      ( v16140(VarCurr)
    <=> ( v16109(VarCurr)
        | v16125(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3737,axiom,(
    ! [VarCurr] :
      ( v16107(VarCurr)
    <=> ( v16108(VarCurr)
        | v16124(VarCurr) ) ) )).

fof(writeUnaryOperator_1420,axiom,(
    ! [VarCurr] :
      ( ~ v16124(VarCurr)
    <=> v16125(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3736,axiom,(
    ! [VarCurr] :
      ( v16125(VarCurr)
    <=> ( v16126(VarCurr)
        & v16139(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_497,axiom,(
    ! [VarCurr] :
      ( v16139(VarCurr)
    <=> ( v15997(VarCurr,bitIndex23)
        | v16129(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3735,axiom,(
    ! [VarCurr] :
      ( v16126(VarCurr)
    <=> ( v16127(VarCurr)
        | v16128(VarCurr) ) ) )).

fof(writeUnaryOperator_1419,axiom,(
    ! [VarCurr] :
      ( ~ v16128(VarCurr)
    <=> v16129(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3734,axiom,(
    ! [VarCurr] :
      ( v16129(VarCurr)
    <=> ( v16130(VarCurr)
        & v16138(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_496,axiom,(
    ! [VarCurr] :
      ( v16138(VarCurr)
    <=> ( v15997(VarCurr,bitIndex22)
        | v16133(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3733,axiom,(
    ! [VarCurr] :
      ( v16130(VarCurr)
    <=> ( v16131(VarCurr)
        | v16132(VarCurr) ) ) )).

fof(writeUnaryOperator_1418,axiom,(
    ! [VarCurr] :
      ( ~ v16132(VarCurr)
    <=> v16133(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3732,axiom,(
    ! [VarCurr] :
      ( v16133(VarCurr)
    <=> ( v16134(VarCurr)
        & v16137(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_495,axiom,(
    ! [VarCurr] :
      ( v16137(VarCurr)
    <=> ( v15997(VarCurr,bitIndex20)
        | v15997(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3731,axiom,(
    ! [VarCurr] :
      ( v16134(VarCurr)
    <=> ( v16135(VarCurr)
        | v16136(VarCurr) ) ) )).

fof(writeUnaryOperator_1417,axiom,(
    ! [VarCurr] :
      ( ~ v16136(VarCurr)
    <=> v15997(VarCurr,bitIndex21) ) )).

fof(writeUnaryOperator_1416,axiom,(
    ! [VarCurr] :
      ( ~ v16135(VarCurr)
    <=> v15997(VarCurr,bitIndex20) ) )).

fof(writeUnaryOperator_1415,axiom,(
    ! [VarCurr] :
      ( ~ v16131(VarCurr)
    <=> v15997(VarCurr,bitIndex22) ) )).

fof(writeUnaryOperator_1414,axiom,(
    ! [VarCurr] :
      ( ~ v16127(VarCurr)
    <=> v15997(VarCurr,bitIndex23) ) )).

fof(writeUnaryOperator_1413,axiom,(
    ! [VarCurr] :
      ( ~ v16108(VarCurr)
    <=> v16109(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3730,axiom,(
    ! [VarCurr] :
      ( v16109(VarCurr)
    <=> ( v16110(VarCurr)
        & v16123(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_494,axiom,(
    ! [VarCurr] :
      ( v16123(VarCurr)
    <=> ( v15997(VarCurr,bitIndex19)
        | v16113(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3729,axiom,(
    ! [VarCurr] :
      ( v16110(VarCurr)
    <=> ( v16111(VarCurr)
        | v16112(VarCurr) ) ) )).

fof(writeUnaryOperator_1412,axiom,(
    ! [VarCurr] :
      ( ~ v16112(VarCurr)
    <=> v16113(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3728,axiom,(
    ! [VarCurr] :
      ( v16113(VarCurr)
    <=> ( v16114(VarCurr)
        & v16122(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_493,axiom,(
    ! [VarCurr] :
      ( v16122(VarCurr)
    <=> ( v15997(VarCurr,bitIndex18)
        | v16117(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3727,axiom,(
    ! [VarCurr] :
      ( v16114(VarCurr)
    <=> ( v16115(VarCurr)
        | v16116(VarCurr) ) ) )).

fof(writeUnaryOperator_1411,axiom,(
    ! [VarCurr] :
      ( ~ v16116(VarCurr)
    <=> v16117(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3726,axiom,(
    ! [VarCurr] :
      ( v16117(VarCurr)
    <=> ( v16118(VarCurr)
        & v16121(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_492,axiom,(
    ! [VarCurr] :
      ( v16121(VarCurr)
    <=> ( v15997(VarCurr,bitIndex16)
        | v15997(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3725,axiom,(
    ! [VarCurr] :
      ( v16118(VarCurr)
    <=> ( v16119(VarCurr)
        | v16120(VarCurr) ) ) )).

fof(writeUnaryOperator_1410,axiom,(
    ! [VarCurr] :
      ( ~ v16120(VarCurr)
    <=> v15997(VarCurr,bitIndex17) ) )).

fof(writeUnaryOperator_1409,axiom,(
    ! [VarCurr] :
      ( ~ v16119(VarCurr)
    <=> v15997(VarCurr,bitIndex16) ) )).

fof(writeUnaryOperator_1408,axiom,(
    ! [VarCurr] :
      ( ~ v16115(VarCurr)
    <=> v15997(VarCurr,bitIndex18) ) )).

fof(writeUnaryOperator_1407,axiom,(
    ! [VarCurr] :
      ( ~ v16111(VarCurr)
    <=> v15997(VarCurr,bitIndex19) ) )).

fof(writeUnaryOperator_1406,axiom,(
    ! [VarCurr] :
      ( ~ v16089(VarCurr)
    <=> v16090(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3724,axiom,(
    ! [VarCurr] :
      ( v16090(VarCurr)
    <=> ( v16091(VarCurr)
        & v16104(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_491,axiom,(
    ! [VarCurr] :
      ( v16104(VarCurr)
    <=> ( v15997(VarCurr,bitIndex27)
        | v16094(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3723,axiom,(
    ! [VarCurr] :
      ( v16091(VarCurr)
    <=> ( v16092(VarCurr)
        | v16093(VarCurr) ) ) )).

fof(writeUnaryOperator_1405,axiom,(
    ! [VarCurr] :
      ( ~ v16093(VarCurr)
    <=> v16094(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3722,axiom,(
    ! [VarCurr] :
      ( v16094(VarCurr)
    <=> ( v16095(VarCurr)
        & v16103(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_490,axiom,(
    ! [VarCurr] :
      ( v16103(VarCurr)
    <=> ( v15997(VarCurr,bitIndex26)
        | v16098(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3721,axiom,(
    ! [VarCurr] :
      ( v16095(VarCurr)
    <=> ( v16096(VarCurr)
        | v16097(VarCurr) ) ) )).

fof(writeUnaryOperator_1404,axiom,(
    ! [VarCurr] :
      ( ~ v16097(VarCurr)
    <=> v16098(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3720,axiom,(
    ! [VarCurr] :
      ( v16098(VarCurr)
    <=> ( v16099(VarCurr)
        & v16102(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_489,axiom,(
    ! [VarCurr] :
      ( v16102(VarCurr)
    <=> ( v15997(VarCurr,bitIndex24)
        | v15997(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3719,axiom,(
    ! [VarCurr] :
      ( v16099(VarCurr)
    <=> ( v16100(VarCurr)
        | v16101(VarCurr) ) ) )).

fof(writeUnaryOperator_1403,axiom,(
    ! [VarCurr] :
      ( ~ v16101(VarCurr)
    <=> v15997(VarCurr,bitIndex25) ) )).

fof(writeUnaryOperator_1402,axiom,(
    ! [VarCurr] :
      ( ~ v16100(VarCurr)
    <=> v15997(VarCurr,bitIndex24) ) )).

fof(writeUnaryOperator_1401,axiom,(
    ! [VarCurr] :
      ( ~ v16096(VarCurr)
    <=> v15997(VarCurr,bitIndex26) ) )).

fof(writeUnaryOperator_1400,axiom,(
    ! [VarCurr] :
      ( ~ v16092(VarCurr)
    <=> v15997(VarCurr,bitIndex27) ) )).

fof(writeUnaryOperator_1399,axiom,(
    ! [VarCurr] :
      ( ~ v16070(VarCurr)
    <=> v16071(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3718,axiom,(
    ! [VarCurr] :
      ( v16071(VarCurr)
    <=> ( v16072(VarCurr)
        & v16085(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_488,axiom,(
    ! [VarCurr] :
      ( v16085(VarCurr)
    <=> ( v15997(VarCurr,bitIndex31)
        | v16075(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3717,axiom,(
    ! [VarCurr] :
      ( v16072(VarCurr)
    <=> ( v16073(VarCurr)
        | v16074(VarCurr) ) ) )).

fof(writeUnaryOperator_1398,axiom,(
    ! [VarCurr] :
      ( ~ v16074(VarCurr)
    <=> v16075(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3716,axiom,(
    ! [VarCurr] :
      ( v16075(VarCurr)
    <=> ( v16076(VarCurr)
        & v16084(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_487,axiom,(
    ! [VarCurr] :
      ( v16084(VarCurr)
    <=> ( v15997(VarCurr,bitIndex30)
        | v16079(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3715,axiom,(
    ! [VarCurr] :
      ( v16076(VarCurr)
    <=> ( v16077(VarCurr)
        | v16078(VarCurr) ) ) )).

fof(writeUnaryOperator_1397,axiom,(
    ! [VarCurr] :
      ( ~ v16078(VarCurr)
    <=> v16079(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3714,axiom,(
    ! [VarCurr] :
      ( v16079(VarCurr)
    <=> ( v16080(VarCurr)
        & v16083(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_486,axiom,(
    ! [VarCurr] :
      ( v16083(VarCurr)
    <=> ( v15997(VarCurr,bitIndex28)
        | v15997(VarCurr,bitIndex29) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3713,axiom,(
    ! [VarCurr] :
      ( v16080(VarCurr)
    <=> ( v16081(VarCurr)
        | v16082(VarCurr) ) ) )).

fof(writeUnaryOperator_1396,axiom,(
    ! [VarCurr] :
      ( ~ v16082(VarCurr)
    <=> v15997(VarCurr,bitIndex29) ) )).

fof(writeUnaryOperator_1395,axiom,(
    ! [VarCurr] :
      ( ~ v16081(VarCurr)
    <=> v15997(VarCurr,bitIndex28) ) )).

fof(writeUnaryOperator_1394,axiom,(
    ! [VarCurr] :
      ( ~ v16077(VarCurr)
    <=> v15997(VarCurr,bitIndex30) ) )).

fof(writeUnaryOperator_1393,axiom,(
    ! [VarCurr] :
      ( ~ v16073(VarCurr)
    <=> v15997(VarCurr,bitIndex31) ) )).

fof(writeUnaryOperator_1392,axiom,(
    ! [VarCurr] :
      ( ~ v15990(VarCurr)
    <=> v15991(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3712,axiom,(
    ! [VarCurr] :
      ( v15991(VarCurr)
    <=> ( v15992(VarCurr)
        & v16066(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3711,axiom,(
    ! [VarCurr] :
      ( v16066(VarCurr)
    <=> ( v15994(VarCurr)
        | v16011(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3710,axiom,(
    ! [VarCurr] :
      ( v15992(VarCurr)
    <=> ( v15993(VarCurr)
        | v16010(VarCurr) ) ) )).

fof(writeUnaryOperator_1391,axiom,(
    ! [VarCurr] :
      ( ~ v16010(VarCurr)
    <=> v16011(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3709,axiom,(
    ! [VarCurr] :
      ( v16011(VarCurr)
    <=> ( v16012(VarCurr)
        & v16065(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3708,axiom,(
    ! [VarCurr] :
      ( v16065(VarCurr)
    <=> ( v16014(VarCurr)
        | v16030(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3707,axiom,(
    ! [VarCurr] :
      ( v16012(VarCurr)
    <=> ( v16013(VarCurr)
        | v16029(VarCurr) ) ) )).

fof(writeUnaryOperator_1390,axiom,(
    ! [VarCurr] :
      ( ~ v16029(VarCurr)
    <=> v16030(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3706,axiom,(
    ! [VarCurr] :
      ( v16030(VarCurr)
    <=> ( v16031(VarCurr)
        & v16064(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3705,axiom,(
    ! [VarCurr] :
      ( v16064(VarCurr)
    <=> ( v16033(VarCurr)
        | v16049(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3704,axiom,(
    ! [VarCurr] :
      ( v16031(VarCurr)
    <=> ( v16032(VarCurr)
        | v16048(VarCurr) ) ) )).

fof(writeUnaryOperator_1389,axiom,(
    ! [VarCurr] :
      ( ~ v16048(VarCurr)
    <=> v16049(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3703,axiom,(
    ! [VarCurr] :
      ( v16049(VarCurr)
    <=> ( v16050(VarCurr)
        & v16063(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_485,axiom,(
    ! [VarCurr] :
      ( v16063(VarCurr)
    <=> ( v15997(VarCurr,bitIndex7)
        | v16053(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3702,axiom,(
    ! [VarCurr] :
      ( v16050(VarCurr)
    <=> ( v16051(VarCurr)
        | v16052(VarCurr) ) ) )).

fof(writeUnaryOperator_1388,axiom,(
    ! [VarCurr] :
      ( ~ v16052(VarCurr)
    <=> v16053(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3701,axiom,(
    ! [VarCurr] :
      ( v16053(VarCurr)
    <=> ( v16054(VarCurr)
        & v16062(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_484,axiom,(
    ! [VarCurr] :
      ( v16062(VarCurr)
    <=> ( v15997(VarCurr,bitIndex6)
        | v16057(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3700,axiom,(
    ! [VarCurr] :
      ( v16054(VarCurr)
    <=> ( v16055(VarCurr)
        | v16056(VarCurr) ) ) )).

fof(writeUnaryOperator_1387,axiom,(
    ! [VarCurr] :
      ( ~ v16056(VarCurr)
    <=> v16057(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3699,axiom,(
    ! [VarCurr] :
      ( v16057(VarCurr)
    <=> ( v16058(VarCurr)
        & v16061(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_483,axiom,(
    ! [VarCurr] :
      ( v16061(VarCurr)
    <=> ( v15997(VarCurr,bitIndex4)
        | v15997(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3698,axiom,(
    ! [VarCurr] :
      ( v16058(VarCurr)
    <=> ( v16059(VarCurr)
        | v16060(VarCurr) ) ) )).

fof(writeUnaryOperator_1386,axiom,(
    ! [VarCurr] :
      ( ~ v16060(VarCurr)
    <=> v15997(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_1385,axiom,(
    ! [VarCurr] :
      ( ~ v16059(VarCurr)
    <=> v15997(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_1384,axiom,(
    ! [VarCurr] :
      ( ~ v16055(VarCurr)
    <=> v15997(VarCurr,bitIndex6) ) )).

fof(writeUnaryOperator_1383,axiom,(
    ! [VarCurr] :
      ( ~ v16051(VarCurr)
    <=> v15997(VarCurr,bitIndex7) ) )).

fof(writeUnaryOperator_1382,axiom,(
    ! [VarCurr] :
      ( ~ v16032(VarCurr)
    <=> v16033(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3697,axiom,(
    ! [VarCurr] :
      ( v16033(VarCurr)
    <=> ( v16034(VarCurr)
        & v16047(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_482,axiom,(
    ! [VarCurr] :
      ( v16047(VarCurr)
    <=> ( v15997(VarCurr,bitIndex3)
        | v16037(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3696,axiom,(
    ! [VarCurr] :
      ( v16034(VarCurr)
    <=> ( v16035(VarCurr)
        | v16036(VarCurr) ) ) )).

fof(writeUnaryOperator_1381,axiom,(
    ! [VarCurr] :
      ( ~ v16036(VarCurr)
    <=> v16037(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3695,axiom,(
    ! [VarCurr] :
      ( v16037(VarCurr)
    <=> ( v16038(VarCurr)
        & v16046(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_481,axiom,(
    ! [VarCurr] :
      ( v16046(VarCurr)
    <=> ( v15997(VarCurr,bitIndex2)
        | v16041(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3694,axiom,(
    ! [VarCurr] :
      ( v16038(VarCurr)
    <=> ( v16039(VarCurr)
        | v16040(VarCurr) ) ) )).

fof(writeUnaryOperator_1380,axiom,(
    ! [VarCurr] :
      ( ~ v16040(VarCurr)
    <=> v16041(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3693,axiom,(
    ! [VarCurr] :
      ( v16041(VarCurr)
    <=> ( v16042(VarCurr)
        & v16045(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_480,axiom,(
    ! [VarCurr] :
      ( v16045(VarCurr)
    <=> ( v15997(VarCurr,bitIndex0)
        | v15997(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3692,axiom,(
    ! [VarCurr] :
      ( v16042(VarCurr)
    <=> ( v16043(VarCurr)
        | v16044(VarCurr) ) ) )).

fof(writeUnaryOperator_1379,axiom,(
    ! [VarCurr] :
      ( ~ v16044(VarCurr)
    <=> v15997(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_1378,axiom,(
    ! [VarCurr] :
      ( ~ v16043(VarCurr)
    <=> v15997(VarCurr,bitIndex0) ) )).

fof(writeUnaryOperator_1377,axiom,(
    ! [VarCurr] :
      ( ~ v16039(VarCurr)
    <=> v15997(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_1376,axiom,(
    ! [VarCurr] :
      ( ~ v16035(VarCurr)
    <=> v15997(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_1375,axiom,(
    ! [VarCurr] :
      ( ~ v16013(VarCurr)
    <=> v16014(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3691,axiom,(
    ! [VarCurr] :
      ( v16014(VarCurr)
    <=> ( v16015(VarCurr)
        & v16028(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_479,axiom,(
    ! [VarCurr] :
      ( v16028(VarCurr)
    <=> ( v15997(VarCurr,bitIndex11)
        | v16018(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3690,axiom,(
    ! [VarCurr] :
      ( v16015(VarCurr)
    <=> ( v16016(VarCurr)
        | v16017(VarCurr) ) ) )).

fof(writeUnaryOperator_1374,axiom,(
    ! [VarCurr] :
      ( ~ v16017(VarCurr)
    <=> v16018(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3689,axiom,(
    ! [VarCurr] :
      ( v16018(VarCurr)
    <=> ( v16019(VarCurr)
        & v16027(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_478,axiom,(
    ! [VarCurr] :
      ( v16027(VarCurr)
    <=> ( v15997(VarCurr,bitIndex10)
        | v16022(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3688,axiom,(
    ! [VarCurr] :
      ( v16019(VarCurr)
    <=> ( v16020(VarCurr)
        | v16021(VarCurr) ) ) )).

fof(writeUnaryOperator_1373,axiom,(
    ! [VarCurr] :
      ( ~ v16021(VarCurr)
    <=> v16022(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3687,axiom,(
    ! [VarCurr] :
      ( v16022(VarCurr)
    <=> ( v16023(VarCurr)
        & v16026(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_477,axiom,(
    ! [VarCurr] :
      ( v16026(VarCurr)
    <=> ( v15997(VarCurr,bitIndex8)
        | v15997(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3686,axiom,(
    ! [VarCurr] :
      ( v16023(VarCurr)
    <=> ( v16024(VarCurr)
        | v16025(VarCurr) ) ) )).

fof(writeUnaryOperator_1372,axiom,(
    ! [VarCurr] :
      ( ~ v16025(VarCurr)
    <=> v15997(VarCurr,bitIndex9) ) )).

fof(writeUnaryOperator_1371,axiom,(
    ! [VarCurr] :
      ( ~ v16024(VarCurr)
    <=> v15997(VarCurr,bitIndex8) ) )).

fof(writeUnaryOperator_1370,axiom,(
    ! [VarCurr] :
      ( ~ v16020(VarCurr)
    <=> v15997(VarCurr,bitIndex10) ) )).

fof(writeUnaryOperator_1369,axiom,(
    ! [VarCurr] :
      ( ~ v16016(VarCurr)
    <=> v15997(VarCurr,bitIndex11) ) )).

fof(writeUnaryOperator_1368,axiom,(
    ! [VarCurr] :
      ( ~ v15993(VarCurr)
    <=> v15994(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3685,axiom,(
    ! [VarCurr] :
      ( v15994(VarCurr)
    <=> ( v15995(VarCurr)
        & v16009(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_476,axiom,(
    ! [VarCurr] :
      ( v16009(VarCurr)
    <=> ( v15997(VarCurr,bitIndex15)
        | v15999(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3684,axiom,(
    ! [VarCurr] :
      ( v15995(VarCurr)
    <=> ( v15996(VarCurr)
        | v15998(VarCurr) ) ) )).

fof(writeUnaryOperator_1367,axiom,(
    ! [VarCurr] :
      ( ~ v15998(VarCurr)
    <=> v15999(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3683,axiom,(
    ! [VarCurr] :
      ( v15999(VarCurr)
    <=> ( v16000(VarCurr)
        & v16008(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_475,axiom,(
    ! [VarCurr] :
      ( v16008(VarCurr)
    <=> ( v15997(VarCurr,bitIndex14)
        | v16003(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3682,axiom,(
    ! [VarCurr] :
      ( v16000(VarCurr)
    <=> ( v16001(VarCurr)
        | v16002(VarCurr) ) ) )).

fof(writeUnaryOperator_1366,axiom,(
    ! [VarCurr] :
      ( ~ v16002(VarCurr)
    <=> v16003(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3681,axiom,(
    ! [VarCurr] :
      ( v16003(VarCurr)
    <=> ( v16004(VarCurr)
        & v16007(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_474,axiom,(
    ! [VarCurr] :
      ( v16007(VarCurr)
    <=> ( v15997(VarCurr,bitIndex12)
        | v15997(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3680,axiom,(
    ! [VarCurr] :
      ( v16004(VarCurr)
    <=> ( v16005(VarCurr)
        | v16006(VarCurr) ) ) )).

fof(writeUnaryOperator_1365,axiom,(
    ! [VarCurr] :
      ( ~ v16006(VarCurr)
    <=> v15997(VarCurr,bitIndex13) ) )).

fof(writeUnaryOperator_1364,axiom,(
    ! [VarCurr] :
      ( ~ v16005(VarCurr)
    <=> v15997(VarCurr,bitIndex12) ) )).

fof(writeUnaryOperator_1363,axiom,(
    ! [VarCurr] :
      ( ~ v16001(VarCurr)
    <=> v15997(VarCurr,bitIndex14) ) )).

fof(writeUnaryOperator_1362,axiom,(
    ! [VarCurr] :
      ( ~ v15996(VarCurr)
    <=> v15997(VarCurr,bitIndex15) ) )).

fof(addAssignment_3818,axiom,(
    ! [VarCurr,B] :
      ( range_31_0(B)
     => ( v15997(VarCurr,B)
      <=> v15010(VarCurr,B) ) ) )).

fof(addAssignment_3817,axiom,(
    ! [VarCurr,B] :
      ( range_31_26(B)
     => ( v15010(VarCurr,B)
      <=> v15037(VarCurr,B) ) ) )).

fof(addAssignment_3816,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v15010(VarCurr,B)
      <=> v15037(VarCurr,B) ) ) )).

fof(addAssignment_3815,axiom,(
    ! [VarCurr,B] :
      ( range_31_26(B)
     => ( v15028(VarCurr,B)
      <=> v15030(VarCurr,B) ) ) )).

fof(addAssignment_3814,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex31)
    <=> v15975(VarCurr) ) )).

fof(addAssignment_3813,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex30)
    <=> v15977(VarCurr) ) )).

fof(addAssignment_3812,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex29)
    <=> v15979(VarCurr) ) )).

fof(addAssignment_3811,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex28)
    <=> v15981(VarCurr) ) )).

fof(addAssignment_3810,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex27)
    <=> v15983(VarCurr) ) )).

fof(addAssignment_3809,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex26)
    <=> v15985(VarCurr) ) )).

fof(addAssignment_3808,axiom,(
    ! [VarCurr,B] :
      ( range_31_26(B)
     => ( v15018(VarCurr,B)
      <=> v15020(VarCurr,B) ) ) )).

fof(addAssignment_3807,axiom,(
    ! [VarCurr,B] :
      ( range_31_26(B)
     => ( v15020(VarCurr,B)
      <=> v15022(VarCurr,B) ) ) )).

fof(addAssignment_3806,axiom,(
    ! [VarCurr,B] :
      ( range_31_26(B)
     => ( v15022(VarCurr,B)
      <=> v15024(VarCurr,B) ) ) )).

fof(addAssignment_3805,axiom,(
    ! [VarCurr,B] :
      ( range_31_26(B)
     => ( v15024(VarCurr,B)
      <=> v15026(VarCurr,B) ) ) )).

fof(range_axiom_54,axiom,(
    ! [B] :
      ( range_31_26(B)
    <=> ( $false
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B ) ) )).

fof(addAssignment_3804,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v15028(VarCurr,B)
      <=> v15030(VarCurr,B) ) ) )).

fof(addAssignment_3803,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex3)
    <=> v15967(VarCurr) ) )).

fof(addAssignment_3802,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex2)
    <=> v15969(VarCurr) ) )).

fof(addAssignment_3801,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex1)
    <=> v15971(VarCurr) ) )).

fof(addAssignment_3800,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex0)
    <=> v15973(VarCurr) ) )).

fof(addAssignment_3799,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v15018(VarCurr,B)
      <=> v15020(VarCurr,B) ) ) )).

fof(addAssignment_3798,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v15020(VarCurr,B)
      <=> v15022(VarCurr,B) ) ) )).

fof(addAssignment_3797,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v15022(VarCurr,B)
      <=> v15024(VarCurr,B) ) ) )).

fof(addAssignment_3796,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v15024(VarCurr,B)
      <=> v15026(VarCurr,B) ) ) )).

fof(addAssignment_3795,axiom,(
    ! [VarCurr] :
      ( v15010(VarCurr,bitIndex62)
    <=> v15037(VarCurr,bitIndex62) ) )).

fof(addAssignment_3794,axiom,(
    ! [VarCurr] :
      ( v15028(VarCurr,bitIndex62)
    <=> v15030(VarCurr,bitIndex62) ) )).

fof(addAssignment_3793,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex62)
    <=> v15963(VarCurr) ) )).

fof(addAssignment_3792,axiom,(
    ! [VarCurr] :
      ( v15018(VarCurr,bitIndex62)
    <=> v15020(VarCurr,bitIndex62) ) )).

fof(addAssignment_3791,axiom,(
    ! [VarCurr] :
      ( v15020(VarCurr,bitIndex62)
    <=> v15022(VarCurr,bitIndex62) ) )).

fof(addAssignment_3790,axiom,(
    ! [VarCurr] :
      ( v15022(VarCurr,bitIndex62)
    <=> v15024(VarCurr,bitIndex62) ) )).

fof(addAssignment_3789,axiom,(
    ! [VarCurr] :
      ( v15024(VarCurr,bitIndex62)
    <=> v15026(VarCurr,bitIndex62) ) )).

fof(writeUnaryOperator_1361,axiom,(
    ! [VarCurr] :
      ( ~ v15760(VarCurr)
    <=> v15820(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3679,axiom,(
    ! [VarCurr] :
      ( v15820(VarCurr)
    <=> ( v15822(VarCurr)
        & v15961(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3678,axiom,(
    ! [VarCurr] :
      ( v15961(VarCurr)
    <=> ( v15824(VarCurr)
        | v15886(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3677,axiom,(
    ! [VarCurr] :
      ( v15822(VarCurr)
    <=> ( v15823(VarCurr)
        | v15885(VarCurr) ) ) )).

fof(writeUnaryOperator_1360,axiom,(
    ! [VarCurr] :
      ( ~ v15885(VarCurr)
    <=> v15886(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3676,axiom,(
    ! [VarCurr] :
      ( v15886(VarCurr)
    <=> ( v15887(VarCurr)
        & v15960(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3675,axiom,(
    ! [VarCurr] :
      ( v15960(VarCurr)
    <=> ( v15889(VarCurr)
        | v15905(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3674,axiom,(
    ! [VarCurr] :
      ( v15887(VarCurr)
    <=> ( v15888(VarCurr)
        | v15904(VarCurr) ) ) )).

fof(writeUnaryOperator_1359,axiom,(
    ! [VarCurr] :
      ( ~ v15904(VarCurr)
    <=> v15905(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3673,axiom,(
    ! [VarCurr] :
      ( v15905(VarCurr)
    <=> ( v15906(VarCurr)
        & v15959(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3672,axiom,(
    ! [VarCurr] :
      ( v15959(VarCurr)
    <=> ( v15908(VarCurr)
        | v15924(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3671,axiom,(
    ! [VarCurr] :
      ( v15906(VarCurr)
    <=> ( v15907(VarCurr)
        | v15923(VarCurr) ) ) )).

fof(writeUnaryOperator_1358,axiom,(
    ! [VarCurr] :
      ( ~ v15923(VarCurr)
    <=> v15924(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3670,axiom,(
    ! [VarCurr] :
      ( v15924(VarCurr)
    <=> ( v15925(VarCurr)
        & v15958(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3669,axiom,(
    ! [VarCurr] :
      ( v15958(VarCurr)
    <=> ( v15927(VarCurr)
        | v15943(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3668,axiom,(
    ! [VarCurr] :
      ( v15925(VarCurr)
    <=> ( v15926(VarCurr)
        | v15942(VarCurr) ) ) )).

fof(writeUnaryOperator_1357,axiom,(
    ! [VarCurr] :
      ( ~ v15942(VarCurr)
    <=> v15943(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3667,axiom,(
    ! [VarCurr] :
      ( v15943(VarCurr)
    <=> ( v15944(VarCurr)
        & v15957(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_473,axiom,(
    ! [VarCurr] :
      ( v15957(VarCurr)
    <=> ( v15830(VarCurr,bitIndex19)
        | v15947(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3666,axiom,(
    ! [VarCurr] :
      ( v15944(VarCurr)
    <=> ( v15945(VarCurr)
        | v15946(VarCurr) ) ) )).

fof(writeUnaryOperator_1356,axiom,(
    ! [VarCurr] :
      ( ~ v15946(VarCurr)
    <=> v15947(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3665,axiom,(
    ! [VarCurr] :
      ( v15947(VarCurr)
    <=> ( v15948(VarCurr)
        & v15956(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_472,axiom,(
    ! [VarCurr] :
      ( v15956(VarCurr)
    <=> ( v15830(VarCurr,bitIndex18)
        | v15951(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3664,axiom,(
    ! [VarCurr] :
      ( v15948(VarCurr)
    <=> ( v15949(VarCurr)
        | v15950(VarCurr) ) ) )).

fof(writeUnaryOperator_1355,axiom,(
    ! [VarCurr] :
      ( ~ v15950(VarCurr)
    <=> v15951(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3663,axiom,(
    ! [VarCurr] :
      ( v15951(VarCurr)
    <=> ( v15952(VarCurr)
        & v15955(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_471,axiom,(
    ! [VarCurr] :
      ( v15955(VarCurr)
    <=> ( v15830(VarCurr,bitIndex16)
        | v15830(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3662,axiom,(
    ! [VarCurr] :
      ( v15952(VarCurr)
    <=> ( v15953(VarCurr)
        | v15954(VarCurr) ) ) )).

fof(writeUnaryOperator_1354,axiom,(
    ! [VarCurr] :
      ( ~ v15954(VarCurr)
    <=> v15830(VarCurr,bitIndex17) ) )).

fof(writeUnaryOperator_1353,axiom,(
    ! [VarCurr] :
      ( ~ v15953(VarCurr)
    <=> v15830(VarCurr,bitIndex16) ) )).

fof(writeUnaryOperator_1352,axiom,(
    ! [VarCurr] :
      ( ~ v15949(VarCurr)
    <=> v15830(VarCurr,bitIndex18) ) )).

fof(writeUnaryOperator_1351,axiom,(
    ! [VarCurr] :
      ( ~ v15945(VarCurr)
    <=> v15830(VarCurr,bitIndex19) ) )).

fof(writeUnaryOperator_1350,axiom,(
    ! [VarCurr] :
      ( ~ v15926(VarCurr)
    <=> v15927(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3661,axiom,(
    ! [VarCurr] :
      ( v15927(VarCurr)
    <=> ( v15928(VarCurr)
        & v15941(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_470,axiom,(
    ! [VarCurr] :
      ( v15941(VarCurr)
    <=> ( v15830(VarCurr,bitIndex15)
        | v15931(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3660,axiom,(
    ! [VarCurr] :
      ( v15928(VarCurr)
    <=> ( v15929(VarCurr)
        | v15930(VarCurr) ) ) )).

fof(writeUnaryOperator_1349,axiom,(
    ! [VarCurr] :
      ( ~ v15930(VarCurr)
    <=> v15931(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3659,axiom,(
    ! [VarCurr] :
      ( v15931(VarCurr)
    <=> ( v15932(VarCurr)
        & v15940(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_469,axiom,(
    ! [VarCurr] :
      ( v15940(VarCurr)
    <=> ( v15830(VarCurr,bitIndex14)
        | v15935(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3658,axiom,(
    ! [VarCurr] :
      ( v15932(VarCurr)
    <=> ( v15933(VarCurr)
        | v15934(VarCurr) ) ) )).

fof(writeUnaryOperator_1348,axiom,(
    ! [VarCurr] :
      ( ~ v15934(VarCurr)
    <=> v15935(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3657,axiom,(
    ! [VarCurr] :
      ( v15935(VarCurr)
    <=> ( v15936(VarCurr)
        & v15939(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_468,axiom,(
    ! [VarCurr] :
      ( v15939(VarCurr)
    <=> ( v15830(VarCurr,bitIndex12)
        | v15830(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3656,axiom,(
    ! [VarCurr] :
      ( v15936(VarCurr)
    <=> ( v15937(VarCurr)
        | v15938(VarCurr) ) ) )).

fof(writeUnaryOperator_1347,axiom,(
    ! [VarCurr] :
      ( ~ v15938(VarCurr)
    <=> v15830(VarCurr,bitIndex13) ) )).

fof(writeUnaryOperator_1346,axiom,(
    ! [VarCurr] :
      ( ~ v15937(VarCurr)
    <=> v15830(VarCurr,bitIndex12) ) )).

fof(writeUnaryOperator_1345,axiom,(
    ! [VarCurr] :
      ( ~ v15933(VarCurr)
    <=> v15830(VarCurr,bitIndex14) ) )).

fof(writeUnaryOperator_1344,axiom,(
    ! [VarCurr] :
      ( ~ v15929(VarCurr)
    <=> v15830(VarCurr,bitIndex15) ) )).

fof(writeUnaryOperator_1343,axiom,(
    ! [VarCurr] :
      ( ~ v15907(VarCurr)
    <=> v15908(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3655,axiom,(
    ! [VarCurr] :
      ( v15908(VarCurr)
    <=> ( v15909(VarCurr)
        & v15922(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_467,axiom,(
    ! [VarCurr] :
      ( v15922(VarCurr)
    <=> ( v15830(VarCurr,bitIndex23)
        | v15912(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3654,axiom,(
    ! [VarCurr] :
      ( v15909(VarCurr)
    <=> ( v15910(VarCurr)
        | v15911(VarCurr) ) ) )).

fof(writeUnaryOperator_1342,axiom,(
    ! [VarCurr] :
      ( ~ v15911(VarCurr)
    <=> v15912(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3653,axiom,(
    ! [VarCurr] :
      ( v15912(VarCurr)
    <=> ( v15913(VarCurr)
        & v15921(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_466,axiom,(
    ! [VarCurr] :
      ( v15921(VarCurr)
    <=> ( v15830(VarCurr,bitIndex22)
        | v15916(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3652,axiom,(
    ! [VarCurr] :
      ( v15913(VarCurr)
    <=> ( v15914(VarCurr)
        | v15915(VarCurr) ) ) )).

fof(writeUnaryOperator_1341,axiom,(
    ! [VarCurr] :
      ( ~ v15915(VarCurr)
    <=> v15916(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3651,axiom,(
    ! [VarCurr] :
      ( v15916(VarCurr)
    <=> ( v15917(VarCurr)
        & v15920(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_465,axiom,(
    ! [VarCurr] :
      ( v15920(VarCurr)
    <=> ( v15830(VarCurr,bitIndex20)
        | v15830(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3650,axiom,(
    ! [VarCurr] :
      ( v15917(VarCurr)
    <=> ( v15918(VarCurr)
        | v15919(VarCurr) ) ) )).

fof(writeUnaryOperator_1340,axiom,(
    ! [VarCurr] :
      ( ~ v15919(VarCurr)
    <=> v15830(VarCurr,bitIndex21) ) )).

fof(writeUnaryOperator_1339,axiom,(
    ! [VarCurr] :
      ( ~ v15918(VarCurr)
    <=> v15830(VarCurr,bitIndex20) ) )).

fof(writeUnaryOperator_1338,axiom,(
    ! [VarCurr] :
      ( ~ v15914(VarCurr)
    <=> v15830(VarCurr,bitIndex22) ) )).

fof(writeUnaryOperator_1337,axiom,(
    ! [VarCurr] :
      ( ~ v15910(VarCurr)
    <=> v15830(VarCurr,bitIndex23) ) )).

fof(writeUnaryOperator_1336,axiom,(
    ! [VarCurr] :
      ( ~ v15888(VarCurr)
    <=> v15889(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3649,axiom,(
    ! [VarCurr] :
      ( v15889(VarCurr)
    <=> ( v15890(VarCurr)
        & v15903(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_464,axiom,(
    ! [VarCurr] :
      ( v15903(VarCurr)
    <=> ( v15830(VarCurr,bitIndex27)
        | v15893(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3648,axiom,(
    ! [VarCurr] :
      ( v15890(VarCurr)
    <=> ( v15891(VarCurr)
        | v15892(VarCurr) ) ) )).

fof(writeUnaryOperator_1335,axiom,(
    ! [VarCurr] :
      ( ~ v15892(VarCurr)
    <=> v15893(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3647,axiom,(
    ! [VarCurr] :
      ( v15893(VarCurr)
    <=> ( v15894(VarCurr)
        & v15902(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_463,axiom,(
    ! [VarCurr] :
      ( v15902(VarCurr)
    <=> ( v15830(VarCurr,bitIndex26)
        | v15897(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3646,axiom,(
    ! [VarCurr] :
      ( v15894(VarCurr)
    <=> ( v15895(VarCurr)
        | v15896(VarCurr) ) ) )).

fof(writeUnaryOperator_1334,axiom,(
    ! [VarCurr] :
      ( ~ v15896(VarCurr)
    <=> v15897(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3645,axiom,(
    ! [VarCurr] :
      ( v15897(VarCurr)
    <=> ( v15898(VarCurr)
        & v15901(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_462,axiom,(
    ! [VarCurr] :
      ( v15901(VarCurr)
    <=> ( v15830(VarCurr,bitIndex24)
        | v15830(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3644,axiom,(
    ! [VarCurr] :
      ( v15898(VarCurr)
    <=> ( v15899(VarCurr)
        | v15900(VarCurr) ) ) )).

fof(writeUnaryOperator_1333,axiom,(
    ! [VarCurr] :
      ( ~ v15900(VarCurr)
    <=> v15830(VarCurr,bitIndex25) ) )).

fof(writeUnaryOperator_1332,axiom,(
    ! [VarCurr] :
      ( ~ v15899(VarCurr)
    <=> v15830(VarCurr,bitIndex24) ) )).

fof(writeUnaryOperator_1331,axiom,(
    ! [VarCurr] :
      ( ~ v15895(VarCurr)
    <=> v15830(VarCurr,bitIndex26) ) )).

fof(writeUnaryOperator_1330,axiom,(
    ! [VarCurr] :
      ( ~ v15891(VarCurr)
    <=> v15830(VarCurr,bitIndex27) ) )).

fof(writeUnaryOperator_1329,axiom,(
    ! [VarCurr] :
      ( ~ v15823(VarCurr)
    <=> v15824(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3643,axiom,(
    ! [VarCurr] :
      ( v15824(VarCurr)
    <=> ( v15825(VarCurr)
        & v15884(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3642,axiom,(
    ! [VarCurr] :
      ( v15884(VarCurr)
    <=> ( v15827(VarCurr)
        | v15844(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3641,axiom,(
    ! [VarCurr] :
      ( v15825(VarCurr)
    <=> ( v15826(VarCurr)
        | v15843(VarCurr) ) ) )).

fof(writeUnaryOperator_1328,axiom,(
    ! [VarCurr] :
      ( ~ v15843(VarCurr)
    <=> v15844(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3640,axiom,(
    ! [VarCurr] :
      ( v15844(VarCurr)
    <=> ( v15845(VarCurr)
        & v15883(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3639,axiom,(
    ! [VarCurr] :
      ( v15883(VarCurr)
    <=> ( v15847(VarCurr)
        | v15863(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3638,axiom,(
    ! [VarCurr] :
      ( v15845(VarCurr)
    <=> ( v15846(VarCurr)
        | v15862(VarCurr) ) ) )).

fof(writeUnaryOperator_1327,axiom,(
    ! [VarCurr] :
      ( ~ v15862(VarCurr)
    <=> v15863(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3637,axiom,(
    ! [VarCurr] :
      ( v15863(VarCurr)
    <=> ( v15864(VarCurr)
        & v15882(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_461,axiom,(
    ! [VarCurr] :
      ( v15882(VarCurr)
    <=> ( v15830(VarCurr,bitIndex28)
        | v15867(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3636,axiom,(
    ! [VarCurr] :
      ( v15864(VarCurr)
    <=> ( v15865(VarCurr)
        | v15866(VarCurr) ) ) )).

fof(writeUnaryOperator_1326,axiom,(
    ! [VarCurr] :
      ( ~ v15866(VarCurr)
    <=> v15867(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3635,axiom,(
    ! [VarCurr] :
      ( v15867(VarCurr)
    <=> ( v15868(VarCurr)
        & v15881(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_460,axiom,(
    ! [VarCurr] :
      ( v15881(VarCurr)
    <=> ( v15830(VarCurr,bitIndex3)
        | v15871(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3634,axiom,(
    ! [VarCurr] :
      ( v15868(VarCurr)
    <=> ( v15869(VarCurr)
        | v15870(VarCurr) ) ) )).

fof(writeUnaryOperator_1325,axiom,(
    ! [VarCurr] :
      ( ~ v15870(VarCurr)
    <=> v15871(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3633,axiom,(
    ! [VarCurr] :
      ( v15871(VarCurr)
    <=> ( v15872(VarCurr)
        & v15880(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_459,axiom,(
    ! [VarCurr] :
      ( v15880(VarCurr)
    <=> ( v15830(VarCurr,bitIndex2)
        | v15875(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3632,axiom,(
    ! [VarCurr] :
      ( v15872(VarCurr)
    <=> ( v15873(VarCurr)
        | v15874(VarCurr) ) ) )).

fof(writeUnaryOperator_1324,axiom,(
    ! [VarCurr] :
      ( ~ v15874(VarCurr)
    <=> v15875(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3631,axiom,(
    ! [VarCurr] :
      ( v15875(VarCurr)
    <=> ( v15876(VarCurr)
        & v15879(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_458,axiom,(
    ! [VarCurr] :
      ( v15879(VarCurr)
    <=> ( v15830(VarCurr,bitIndex0)
        | v15830(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3630,axiom,(
    ! [VarCurr] :
      ( v15876(VarCurr)
    <=> ( v15877(VarCurr)
        | v15878(VarCurr) ) ) )).

fof(writeUnaryOperator_1323,axiom,(
    ! [VarCurr] :
      ( ~ v15878(VarCurr)
    <=> v15830(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_1322,axiom,(
    ! [VarCurr] :
      ( ~ v15877(VarCurr)
    <=> v15830(VarCurr,bitIndex0) ) )).

fof(writeUnaryOperator_1321,axiom,(
    ! [VarCurr] :
      ( ~ v15873(VarCurr)
    <=> v15830(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_1320,axiom,(
    ! [VarCurr] :
      ( ~ v15869(VarCurr)
    <=> v15830(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_1319,axiom,(
    ! [VarCurr] :
      ( ~ v15865(VarCurr)
    <=> v15830(VarCurr,bitIndex28) ) )).

fof(writeUnaryOperator_1318,axiom,(
    ! [VarCurr] :
      ( ~ v15846(VarCurr)
    <=> v15847(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3629,axiom,(
    ! [VarCurr] :
      ( v15847(VarCurr)
    <=> ( v15848(VarCurr)
        & v15861(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_457,axiom,(
    ! [VarCurr] :
      ( v15861(VarCurr)
    <=> ( v15830(VarCurr,bitIndex7)
        | v15851(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3628,axiom,(
    ! [VarCurr] :
      ( v15848(VarCurr)
    <=> ( v15849(VarCurr)
        | v15850(VarCurr) ) ) )).

fof(writeUnaryOperator_1317,axiom,(
    ! [VarCurr] :
      ( ~ v15850(VarCurr)
    <=> v15851(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3627,axiom,(
    ! [VarCurr] :
      ( v15851(VarCurr)
    <=> ( v15852(VarCurr)
        & v15860(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_456,axiom,(
    ! [VarCurr] :
      ( v15860(VarCurr)
    <=> ( v15830(VarCurr,bitIndex6)
        | v15855(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3626,axiom,(
    ! [VarCurr] :
      ( v15852(VarCurr)
    <=> ( v15853(VarCurr)
        | v15854(VarCurr) ) ) )).

fof(writeUnaryOperator_1316,axiom,(
    ! [VarCurr] :
      ( ~ v15854(VarCurr)
    <=> v15855(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3625,axiom,(
    ! [VarCurr] :
      ( v15855(VarCurr)
    <=> ( v15856(VarCurr)
        & v15859(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_455,axiom,(
    ! [VarCurr] :
      ( v15859(VarCurr)
    <=> ( v15830(VarCurr,bitIndex4)
        | v15830(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3624,axiom,(
    ! [VarCurr] :
      ( v15856(VarCurr)
    <=> ( v15857(VarCurr)
        | v15858(VarCurr) ) ) )).

fof(writeUnaryOperator_1315,axiom,(
    ! [VarCurr] :
      ( ~ v15858(VarCurr)
    <=> v15830(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_1314,axiom,(
    ! [VarCurr] :
      ( ~ v15857(VarCurr)
    <=> v15830(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_1313,axiom,(
    ! [VarCurr] :
      ( ~ v15853(VarCurr)
    <=> v15830(VarCurr,bitIndex6) ) )).

fof(writeUnaryOperator_1312,axiom,(
    ! [VarCurr] :
      ( ~ v15849(VarCurr)
    <=> v15830(VarCurr,bitIndex7) ) )).

fof(writeUnaryOperator_1311,axiom,(
    ! [VarCurr] :
      ( ~ v15826(VarCurr)
    <=> v15827(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3623,axiom,(
    ! [VarCurr] :
      ( v15827(VarCurr)
    <=> ( v15828(VarCurr)
        & v15842(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_454,axiom,(
    ! [VarCurr] :
      ( v15842(VarCurr)
    <=> ( v15830(VarCurr,bitIndex11)
        | v15832(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3622,axiom,(
    ! [VarCurr] :
      ( v15828(VarCurr)
    <=> ( v15829(VarCurr)
        | v15831(VarCurr) ) ) )).

fof(writeUnaryOperator_1310,axiom,(
    ! [VarCurr] :
      ( ~ v15831(VarCurr)
    <=> v15832(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3621,axiom,(
    ! [VarCurr] :
      ( v15832(VarCurr)
    <=> ( v15833(VarCurr)
        & v15841(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_453,axiom,(
    ! [VarCurr] :
      ( v15841(VarCurr)
    <=> ( v15830(VarCurr,bitIndex10)
        | v15836(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3620,axiom,(
    ! [VarCurr] :
      ( v15833(VarCurr)
    <=> ( v15834(VarCurr)
        | v15835(VarCurr) ) ) )).

fof(writeUnaryOperator_1309,axiom,(
    ! [VarCurr] :
      ( ~ v15835(VarCurr)
    <=> v15836(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3619,axiom,(
    ! [VarCurr] :
      ( v15836(VarCurr)
    <=> ( v15837(VarCurr)
        & v15840(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_452,axiom,(
    ! [VarCurr] :
      ( v15840(VarCurr)
    <=> ( v15830(VarCurr,bitIndex8)
        | v15830(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3618,axiom,(
    ! [VarCurr] :
      ( v15837(VarCurr)
    <=> ( v15838(VarCurr)
        | v15839(VarCurr) ) ) )).

fof(writeUnaryOperator_1308,axiom,(
    ! [VarCurr] :
      ( ~ v15839(VarCurr)
    <=> v15830(VarCurr,bitIndex9) ) )).

fof(writeUnaryOperator_1307,axiom,(
    ! [VarCurr] :
      ( ~ v15838(VarCurr)
    <=> v15830(VarCurr,bitIndex8) ) )).

fof(writeUnaryOperator_1306,axiom,(
    ! [VarCurr] :
      ( ~ v15834(VarCurr)
    <=> v15830(VarCurr,bitIndex10) ) )).

fof(writeUnaryOperator_1305,axiom,(
    ! [VarCurr] :
      ( ~ v15829(VarCurr)
    <=> v15830(VarCurr,bitIndex11) ) )).

fof(addAssignment_3788,axiom,(
    ! [VarCurr] :
      ( ( v15830(VarCurr,bitIndex27)
      <=> v15010(VarCurr,bitIndex59) )
      & ( v15830(VarCurr,bitIndex26)
      <=> v15010(VarCurr,bitIndex58) )
      & ( v15830(VarCurr,bitIndex25)
      <=> v15010(VarCurr,bitIndex57) )
      & ( v15830(VarCurr,bitIndex24)
      <=> v15010(VarCurr,bitIndex56) )
      & ( v15830(VarCurr,bitIndex23)
      <=> v15010(VarCurr,bitIndex55) )
      & ( v15830(VarCurr,bitIndex22)
      <=> v15010(VarCurr,bitIndex54) )
      & ( v15830(VarCurr,bitIndex21)
      <=> v15010(VarCurr,bitIndex53) )
      & ( v15830(VarCurr,bitIndex20)
      <=> v15010(VarCurr,bitIndex52) )
      & ( v15830(VarCurr,bitIndex19)
      <=> v15010(VarCurr,bitIndex51) )
      & ( v15830(VarCurr,bitIndex18)
      <=> v15010(VarCurr,bitIndex50) )
      & ( v15830(VarCurr,bitIndex17)
      <=> v15010(VarCurr,bitIndex49) )
      & ( v15830(VarCurr,bitIndex16)
      <=> v15010(VarCurr,bitIndex48) )
      & ( v15830(VarCurr,bitIndex15)
      <=> v15010(VarCurr,bitIndex47) )
      & ( v15830(VarCurr,bitIndex14)
      <=> v15010(VarCurr,bitIndex46) )
      & ( v15830(VarCurr,bitIndex13)
      <=> v15010(VarCurr,bitIndex45) )
      & ( v15830(VarCurr,bitIndex12)
      <=> v15010(VarCurr,bitIndex44) )
      & ( v15830(VarCurr,bitIndex11)
      <=> v15010(VarCurr,bitIndex43) )
      & ( v15830(VarCurr,bitIndex10)
      <=> v15010(VarCurr,bitIndex42) )
      & ( v15830(VarCurr,bitIndex9)
      <=> v15010(VarCurr,bitIndex41) )
      & ( v15830(VarCurr,bitIndex8)
      <=> v15010(VarCurr,bitIndex40) )
      & ( v15830(VarCurr,bitIndex7)
      <=> v15010(VarCurr,bitIndex39) )
      & ( v15830(VarCurr,bitIndex6)
      <=> v15010(VarCurr,bitIndex38) )
      & ( v15830(VarCurr,bitIndex5)
      <=> v15010(VarCurr,bitIndex37) )
      & ( v15830(VarCurr,bitIndex4)
      <=> v15010(VarCurr,bitIndex36) )
      & ( v15830(VarCurr,bitIndex3)
      <=> v15010(VarCurr,bitIndex35) )
      & ( v15830(VarCurr,bitIndex2)
      <=> v15010(VarCurr,bitIndex34) )
      & ( v15830(VarCurr,bitIndex1)
      <=> v15010(VarCurr,bitIndex33) )
      & ( v15830(VarCurr,bitIndex0)
      <=> v15010(VarCurr,bitIndex32) ) ) )).

fof(addAssignment_3787,axiom,(
    ! [VarCurr] :
      ( v15830(VarCurr,bitIndex28)
    <=> v15010(VarCurr,bitIndex63) ) )).

fof(addAssignment_3786,axiom,(
    ! [VarCurr,B] :
      ( range_59_32(B)
     => ( v15010(VarCurr,B)
      <=> v15037(VarCurr,B) ) ) )).

fof(addAssignment_3785,axiom,(
    ! [VarCurr,B] :
      ( range_59_32(B)
     => ( v15028(VarCurr,B)
      <=> v15030(VarCurr,B) ) ) )).

fof(addAssignment_3784,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex59)
    <=> v15764(VarCurr) ) )).

fof(addAssignment_3783,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex58)
    <=> v15766(VarCurr) ) )).

fof(addAssignment_3782,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex57)
    <=> v15768(VarCurr) ) )).

fof(addAssignment_3781,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex56)
    <=> v15770(VarCurr) ) )).

fof(addAssignment_3780,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex55)
    <=> v15772(VarCurr) ) )).

fof(addAssignment_3779,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex54)
    <=> v15774(VarCurr) ) )).

fof(addAssignment_3778,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex53)
    <=> v15776(VarCurr) ) )).

fof(addAssignment_3777,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex52)
    <=> v15778(VarCurr) ) )).

fof(addAssignment_3776,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex51)
    <=> v15780(VarCurr) ) )).

fof(addAssignment_3775,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex50)
    <=> v15782(VarCurr) ) )).

fof(addAssignment_3774,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex49)
    <=> v15784(VarCurr) ) )).

fof(addAssignment_3773,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex48)
    <=> v15786(VarCurr) ) )).

fof(addAssignment_3772,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex47)
    <=> v15788(VarCurr) ) )).

fof(addAssignment_3771,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex46)
    <=> v15790(VarCurr) ) )).

fof(addAssignment_3770,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex45)
    <=> v15792(VarCurr) ) )).

fof(addAssignment_3769,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex44)
    <=> v15794(VarCurr) ) )).

fof(addAssignment_3768,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex43)
    <=> v15796(VarCurr) ) )).

fof(addAssignment_3767,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex42)
    <=> v15798(VarCurr) ) )).

fof(addAssignment_3766,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex41)
    <=> v15800(VarCurr) ) )).

fof(addAssignment_3765,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex40)
    <=> v15802(VarCurr) ) )).

fof(addAssignment_3764,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex39)
    <=> v15804(VarCurr) ) )).

fof(addAssignment_3763,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex38)
    <=> v15806(VarCurr) ) )).

fof(addAssignment_3762,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex37)
    <=> v15808(VarCurr) ) )).

fof(addAssignment_3761,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex36)
    <=> v15810(VarCurr) ) )).

fof(addAssignment_3760,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex35)
    <=> v15812(VarCurr) ) )).

fof(addAssignment_3759,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex34)
    <=> v15814(VarCurr) ) )).

fof(addAssignment_3758,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex33)
    <=> v15816(VarCurr) ) )).

fof(addAssignment_3757,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex32)
    <=> v15818(VarCurr) ) )).

fof(addAssignment_3756,axiom,(
    ! [VarCurr,B] :
      ( range_59_32(B)
     => ( v15018(VarCurr,B)
      <=> v15020(VarCurr,B) ) ) )).

fof(addAssignment_3755,axiom,(
    ! [VarCurr,B] :
      ( range_59_32(B)
     => ( v15020(VarCurr,B)
      <=> v15022(VarCurr,B) ) ) )).

fof(addAssignment_3754,axiom,(
    ! [VarCurr,B] :
      ( range_59_32(B)
     => ( v15022(VarCurr,B)
      <=> v15024(VarCurr,B) ) ) )).

fof(addAssignment_3753,axiom,(
    ! [VarCurr,B] :
      ( range_59_32(B)
     => ( v15024(VarCurr,B)
      <=> v15026(VarCurr,B) ) ) )).

fof(range_axiom_53,axiom,(
    ! [B] :
      ( range_59_32(B)
    <=> ( $false
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B
        | bitIndex44 = B
        | bitIndex45 = B
        | bitIndex46 = B
        | bitIndex47 = B
        | bitIndex48 = B
        | bitIndex49 = B
        | bitIndex50 = B
        | bitIndex51 = B
        | bitIndex52 = B
        | bitIndex53 = B
        | bitIndex54 = B
        | bitIndex55 = B
        | bitIndex56 = B
        | bitIndex57 = B
        | bitIndex58 = B
        | bitIndex59 = B ) ) )).

fof(addAssignment_3752,axiom,(
    ! [VarCurr] :
      ( v15010(VarCurr,bitIndex63)
    <=> v15037(VarCurr,bitIndex63) ) )).

fof(addAssignment_3751,axiom,(
    ! [VarCurr] :
      ( v15028(VarCurr,bitIndex63)
    <=> v15030(VarCurr,bitIndex63) ) )).

fof(addAssignment_3750,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex63)
    <=> v15762(VarCurr) ) )).

fof(addAssignment_3749,axiom,(
    ! [VarCurr] :
      ( v15018(VarCurr,bitIndex63)
    <=> v15020(VarCurr,bitIndex63) ) )).

fof(addAssignment_3748,axiom,(
    ! [VarCurr] :
      ( v15020(VarCurr,bitIndex63)
    <=> v15022(VarCurr,bitIndex63) ) )).

fof(addAssignment_3747,axiom,(
    ! [VarCurr] :
      ( v15022(VarCurr,bitIndex63)
    <=> v15024(VarCurr,bitIndex63) ) )).

fof(addAssignment_3746,axiom,(
    ! [VarCurr] :
      ( v15024(VarCurr,bitIndex63)
    <=> v15026(VarCurr,bitIndex63) ) )).

fof(addAssignment_3745,axiom,(
    ! [VarNext] :
      ( v15710(VarNext,bitIndex18)
    <=> v15732(VarNext,bitIndex18) ) )).

fof(addCaseBooleanConditionEqualRanges1_174,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15733(VarNext)
       => ! [B] :
            ( range_20_0(B)
           => ( v15732(VarNext,B)
            <=> v15710(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_195,axiom,(
    ! [VarNext] :
      ( v15733(VarNext)
     => ! [B] :
          ( range_20_0(B)
         => ( v15732(VarNext,B)
          <=> v15746(VarNext,B) ) ) ) )).

fof(addAssignment_3744,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_20_0(B)
         => ( v15746(VarNext,B)
          <=> v15744(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_572,axiom,(
    ! [VarCurr] :
      ( ~ v14093(VarCurr)
     => ! [B] :
          ( range_20_0(B)
         => ( v15744(VarCurr,B)
          <=> v15713(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_574,axiom,(
    ! [VarCurr] :
      ( v14093(VarCurr)
     => ! [B] :
          ( range_20_0(B)
         => ( v15744(VarCurr,B)
          <=> $false ) ) ) )).

fof(range_axiom_52,axiom,(
    ! [B] :
      ( range_20_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B ) ) )).

fof(bitBlastConstant_7761,axiom,(
    ~ b000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_7760,axiom,(
    ~ b000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_7759,axiom,(
    ~ b000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_7758,axiom,(
    ~ b000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_7757,axiom,(
    ~ b000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_7756,axiom,(
    ~ b000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_7755,axiom,(
    ~ b000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_7754,axiom,(
    ~ b000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_7753,axiom,(
    ~ b000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_7752,axiom,(
    ~ b000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_7751,axiom,(
    ~ b000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_7750,axiom,(
    ~ b000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_7749,axiom,(
    ~ b000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_7748,axiom,(
    ~ b000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_7747,axiom,(
    ~ b000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_7746,axiom,(
    ~ b000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_7745,axiom,(
    ~ b000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_7744,axiom,(
    ~ b000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_7743,axiom,(
    ~ b000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_7742,axiom,(
    ~ b000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_7741,axiom,(
    ~ b000000000000000000000(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3617,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15733(VarNext)
      <=> ( v15734(VarNext)
          & v15741(VarNext) ) ) ) )).

fof(addAssignment_3743,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15741(VarNext)
      <=> v15739(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3616,axiom,(
    ! [VarCurr] :
      ( v15739(VarCurr)
    <=> ( v14093(VarCurr)
        | v15742(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3615,axiom,(
    ! [VarCurr] :
      ( v15742(VarCurr)
    <=> ( v14095(VarCurr)
        & v15743(VarCurr) ) ) )).

fof(writeUnaryOperator_1304,axiom,(
    ! [VarCurr] :
      ( ~ v15743(VarCurr)
    <=> v14093(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3614,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15734(VarNext)
      <=> ( v15736(VarNext)
          & v14073(VarNext) ) ) ) )).

fof(writeUnaryOperator_1303,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15736(VarNext)
      <=> v14086(VarNext) ) ) )).

fof(addAssignment_3742,axiom,(
    ! [VarCurr] :
      ( v15713(VarCurr,bitIndex18)
    <=> v15715(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3613,axiom,(
    ! [VarCurr] :
      ( v15715(VarCurr)
    <=> ( v14385(VarCurr,bitIndex0)
        & v15717(VarCurr) ) ) )).

fof(addAssignment_3741,axiom,(
    ! [VarCurr] :
      ( v15717(VarCurr)
    <=> v15719(VarCurr) ) )).

fof(addAssignment_3740,axiom,(
    ! [VarCurr] :
      ( v15719(VarCurr)
    <=> v15721(VarCurr) ) )).

fof(addAssignment_3739,axiom,(
    ! [VarCurr] :
      ( v15721(VarCurr)
    <=> v15723(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3612,axiom,(
    ! [VarCurr] :
      ( v15723(VarCurr)
    <=> ( v15726(VarCurr)
        & v15729(VarCurr) ) ) )).

fof(writeUnaryOperator_1302,axiom,(
    ! [VarCurr] :
      ( ~ v15729(VarCurr)
    <=> v14421(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3611,axiom,(
    ! [VarCurr] :
      ( v15726(VarCurr)
    <=> ( v14436(VarCurr)
        & v15727(VarCurr) ) ) )).

fof(writeUnaryOperator_1301,axiom,(
    ! [VarCurr] :
      ( ~ v15727(VarCurr)
    <=> v15728(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1087,axiom,(
    ! [VarCurr] :
      ( v15728(VarCurr)
    <=> ( ( v15005(VarCurr,bitIndex60)
        <=> $false )
        & ( v15005(VarCurr,bitIndex59)
        <=> $false )
        & ( v15005(VarCurr,bitIndex58)
        <=> $false )
        & ( v15005(VarCurr,bitIndex57)
        <=> $false )
        & ( v15005(VarCurr,bitIndex56)
        <=> $false )
        & ( v15005(VarCurr,bitIndex55)
        <=> $false )
        & ( v15005(VarCurr,bitIndex54)
        <=> $false )
        & ( v15005(VarCurr,bitIndex53)
        <=> $false )
        & ( v15005(VarCurr,bitIndex52)
        <=> $false )
        & ( v15005(VarCurr,bitIndex51)
        <=> $false )
        & ( v15005(VarCurr,bitIndex50)
        <=> $false )
        & ( v15005(VarCurr,bitIndex49)
        <=> $false )
        & ( v15005(VarCurr,bitIndex48)
        <=> $false )
        & ( v15005(VarCurr,bitIndex47)
        <=> $false )
        & ( v15005(VarCurr,bitIndex46)
        <=> $false )
        & ( v15005(VarCurr,bitIndex45)
        <=> $false )
        & ( v15005(VarCurr,bitIndex44)
        <=> $false )
        & ( v15005(VarCurr,bitIndex43)
        <=> $false )
        & ( v15005(VarCurr,bitIndex42)
        <=> $false )
        & ( v15005(VarCurr,bitIndex41)
        <=> $false )
        & ( v15005(VarCurr,bitIndex40)
        <=> $false )
        & ( v15005(VarCurr,bitIndex39)
        <=> $false )
        & ( v15005(VarCurr,bitIndex38)
        <=> $false ) ) ) )).

fof(bitBlastConstant_7740,axiom,(
    ~ b00000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_7739,axiom,(
    ~ b00000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_7738,axiom,(
    ~ b00000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_7737,axiom,(
    ~ b00000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_7736,axiom,(
    ~ b00000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_7735,axiom,(
    ~ b00000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_7734,axiom,(
    ~ b00000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_7733,axiom,(
    ~ b00000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_7732,axiom,(
    ~ b00000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_7731,axiom,(
    ~ b00000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_7730,axiom,(
    ~ b00000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_7729,axiom,(
    ~ b00000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_7728,axiom,(
    ~ b00000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_7727,axiom,(
    ~ b00000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_7726,axiom,(
    ~ b00000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_7725,axiom,(
    ~ b00000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_7724,axiom,(
    ~ b00000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_7723,axiom,(
    ~ b00000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_7722,axiom,(
    ~ b00000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_7721,axiom,(
    ~ b00000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_7720,axiom,(
    ~ b00000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_7719,axiom,(
    ~ b00000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_7718,axiom,(
    ~ b00000000000000000000000(bitIndex0) )).

fof(addAssignment_3738,axiom,(
    ! [VarCurr,B] :
      ( range_60_38(B)
     => ( v15005(VarCurr,B)
      <=> v14440(VarCurr,B) ) ) )).

fof(addAssignment_3737,axiom,(
    ! [VarCurr,B] :
      ( range_60_38(B)
     => ( v14440(VarCurr,B)
      <=> v14442(VarCurr,B) ) ) )).

fof(addAssignment_3736,axiom,(
    ! [VarCurr,B] :
      ( range_60_38(B)
     => ( v14442(VarCurr,B)
      <=> v14444(VarCurr,B) ) ) )).

fof(addAssignment_3735,axiom,(
    ! [VarCurr,B] :
      ( range_60_38(B)
     => ( v14444(VarCurr,B)
      <=> v14445(VarCurr,B) ) ) )).

fof(range_axiom_51,axiom,(
    ! [B] :
      ( range_60_38(B)
    <=> ( $false
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B
        | bitIndex44 = B
        | bitIndex45 = B
        | bitIndex46 = B
        | bitIndex47 = B
        | bitIndex48 = B
        | bitIndex49 = B
        | bitIndex50 = B
        | bitIndex51 = B
        | bitIndex52 = B
        | bitIndex53 = B
        | bitIndex54 = B
        | bitIndex55 = B
        | bitIndex56 = B
        | bitIndex57 = B
        | bitIndex58 = B
        | bitIndex59 = B
        | bitIndex60 = B ) ) )).

fof(addAssignment_3734,axiom,(
    ! [VarCurr] :
      ( v15706(VarCurr)
    <=> v15708(VarCurr) ) )).

fof(addAssignment_3733,axiom,(
    ! [VarCurr] :
      ( v15708(VarCurr)
    <=> v7895(VarCurr) ) )).

fof(addAssignment_3732,axiom,(
    ! [VarCurr] :
      ( v14551(VarCurr,bitIndex1)
    <=> v14553(VarCurr,bitIndex1) ) )).

fof(addAssignment_3731,axiom,(
    ! [VarCurr] :
      ( v14553(VarCurr,bitIndex1)
    <=> v14555(VarCurr,bitIndex1) ) )).

fof(addAssignment_3730,axiom,(
    ! [VarCurr] :
      ( v14555(VarCurr,bitIndex1)
    <=> v14557(VarCurr,bitIndex1) ) )).

fof(addAssignment_3729,axiom,(
    ! [VarCurr] :
      ( v14557(VarCurr,bitIndex1)
    <=> v15700(VarCurr,bitIndex1) ) )).

fof(addAssignment_3728,axiom,(
    ! [VarCurr] :
      ( v15700(VarCurr,bitIndex0)
    <=> v15704(VarCurr) ) )).

fof(addAssignment_3727,axiom,(
    ! [VarCurr] :
      ( v15700(VarCurr,bitIndex1)
    <=> v15701(VarCurr) ) )).

fof(writeUnaryOperator_1300,axiom,(
    ! [VarCurr] :
      ( ~ v15704(VarCurr)
    <=> v14559(VarCurr,bitIndex0) ) )).

fof(writeUnaryOperator_1299,axiom,(
    ! [VarCurr] :
      ( ~ v15701(VarCurr)
    <=> v15702(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_451,axiom,(
    ! [VarCurr] :
      ( v15702(VarCurr)
    <=> ( v14559(VarCurr,bitIndex1)
        & v15703(VarCurr) ) ) )).

fof(writeUnaryOperator_1298,axiom,(
    ! [VarCurr] :
      ( ~ v15703(VarCurr)
    <=> v14436(VarCurr) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges10,axiom,(
    ! [VarCurr] :
      ( ( ~ v15646(VarCurr)
        & ~ v15656(VarCurr)
        & ~ v15665(VarCurr)
        & ~ v15673(VarCurr)
        & ~ v15680(VarCurr)
        & ~ v15686(VarCurr)
        & ~ v15691(VarCurr)
        & ~ v15695(VarCurr)
        & ~ v15698(VarCurr)
        & ~ v15699(VarCurr) )
     => ( v14559(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges9,axiom,(
    ! [VarCurr] :
      ( v15699(VarCurr)
     => ( v14559(VarCurr,bitIndex1)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges8,axiom,(
    ! [VarCurr] :
      ( v15698(VarCurr)
     => ( v14559(VarCurr,bitIndex1)
      <=> v14992(VarCurr,bitIndex29) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges7,axiom,(
    ! [VarCurr] :
      ( v15695(VarCurr)
     => ( v14559(VarCurr,bitIndex1)
      <=> v15696(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges6,axiom,(
    ! [VarCurr] :
      ( v15691(VarCurr)
     => ( v14559(VarCurr,bitIndex1)
      <=> v15692(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges5_1,axiom,(
    ! [VarCurr] :
      ( v15686(VarCurr)
     => ( v14559(VarCurr,bitIndex1)
      <=> v15687(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges4_1,axiom,(
    ! [VarCurr] :
      ( v15680(VarCurr)
     => ( v14559(VarCurr,bitIndex1)
      <=> v15681(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges3_1,axiom,(
    ! [VarCurr] :
      ( v15673(VarCurr)
     => ( v14559(VarCurr,bitIndex1)
      <=> v15674(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges2_2,axiom,(
    ! [VarCurr] :
      ( v15665(VarCurr)
     => ( v14559(VarCurr,bitIndex1)
      <=> v15666(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges1_5,axiom,(
    ! [VarCurr] :
      ( v15656(VarCurr)
     => ( v14559(VarCurr,bitIndex1)
      <=> v15657(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_3,axiom,(
    ! [VarCurr] :
      ( v15646(VarCurr)
     => ( v14559(VarCurr,bitIndex1)
      <=> v15647(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1086,axiom,(
    ! [VarCurr] :
      ( v15699(VarCurr)
    <=> ( ( v14561(VarCurr,bitIndex3)
        <=> $true )
        & ( v14561(VarCurr,bitIndex2)
        <=> $false )
        & ( v14561(VarCurr,bitIndex1)
        <=> $false )
        & ( v14561(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1085,axiom,(
    ! [VarCurr] :
      ( v15698(VarCurr)
    <=> ( ( v14561(VarCurr,bitIndex3)
        <=> $true )
        & ( v14561(VarCurr,bitIndex2)
        <=> $false )
        & ( v14561(VarCurr,bitIndex1)
        <=> $false )
        & ( v14561(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorShiftedRanges_450,axiom,(
    ! [VarCurr] :
      ( v15696(VarCurr)
    <=> ( v14992(VarCurr,bitIndex28)
        & v14992(VarCurr,bitIndex29) ) ) )).

fof(addBitVectorEqualityBitBlasted_1084,axiom,(
    ! [VarCurr] :
      ( v15695(VarCurr)
    <=> ( ( v14561(VarCurr,bitIndex3)
        <=> $false )
        & ( v14561(VarCurr,bitIndex2)
        <=> $true )
        & ( v14561(VarCurr,bitIndex1)
        <=> $true )
        & ( v14561(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorShiftedRanges_449,axiom,(
    ! [VarCurr] :
      ( v15692(VarCurr)
    <=> ( v15694(VarCurr)
        & v14992(VarCurr,bitIndex29) ) ) )).

fof(writeBinaryOperatorShiftedRanges_448,axiom,(
    ! [VarCurr] :
      ( v15694(VarCurr)
    <=> ( v14992(VarCurr,bitIndex27)
        & v14992(VarCurr,bitIndex28) ) ) )).

fof(addBitVectorEqualityBitBlasted_1083,axiom,(
    ! [VarCurr] :
      ( v15691(VarCurr)
    <=> ( ( v14561(VarCurr,bitIndex3)
        <=> $false )
        & ( v14561(VarCurr,bitIndex2)
        <=> $true )
        & ( v14561(VarCurr,bitIndex1)
        <=> $true )
        & ( v14561(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorShiftedRanges_447,axiom,(
    ! [VarCurr] :
      ( v15687(VarCurr)
    <=> ( v15689(VarCurr)
        & v14992(VarCurr,bitIndex29) ) ) )).

fof(writeBinaryOperatorShiftedRanges_446,axiom,(
    ! [VarCurr] :
      ( v15689(VarCurr)
    <=> ( v15690(VarCurr)
        & v14992(VarCurr,bitIndex28) ) ) )).

fof(writeBinaryOperatorShiftedRanges_445,axiom,(
    ! [VarCurr] :
      ( v15690(VarCurr)
    <=> ( v14992(VarCurr,bitIndex26)
        & v14992(VarCurr,bitIndex27) ) ) )).

fof(addBitVectorEqualityBitBlasted_1082,axiom,(
    ! [VarCurr] :
      ( v15686(VarCurr)
    <=> ( ( v14561(VarCurr,bitIndex3)
        <=> $false )
        & ( v14561(VarCurr,bitIndex2)
        <=> $true )
        & ( v14561(VarCurr,bitIndex1)
        <=> $false )
        & ( v14561(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorShiftedRanges_444,axiom,(
    ! [VarCurr] :
      ( v15681(VarCurr)
    <=> ( v15683(VarCurr)
        & v14992(VarCurr,bitIndex29) ) ) )).

fof(writeBinaryOperatorShiftedRanges_443,axiom,(
    ! [VarCurr] :
      ( v15683(VarCurr)
    <=> ( v15684(VarCurr)
        & v14992(VarCurr,bitIndex28) ) ) )).

fof(writeBinaryOperatorShiftedRanges_442,axiom,(
    ! [VarCurr] :
      ( v15684(VarCurr)
    <=> ( v15685(VarCurr)
        & v14992(VarCurr,bitIndex27) ) ) )).

fof(writeBinaryOperatorShiftedRanges_441,axiom,(
    ! [VarCurr] :
      ( v15685(VarCurr)
    <=> ( v14992(VarCurr,bitIndex25)
        & v14992(VarCurr,bitIndex26) ) ) )).

fof(addBitVectorEqualityBitBlasted_1081,axiom,(
    ! [VarCurr] :
      ( v15680(VarCurr)
    <=> ( ( v14561(VarCurr,bitIndex3)
        <=> $false )
        & ( v14561(VarCurr,bitIndex2)
        <=> $true )
        & ( v14561(VarCurr,bitIndex1)
        <=> $false )
        & ( v14561(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorShiftedRanges_440,axiom,(
    ! [VarCurr] :
      ( v15674(VarCurr)
    <=> ( v15676(VarCurr)
        & v14992(VarCurr,bitIndex29) ) ) )).

fof(writeBinaryOperatorShiftedRanges_439,axiom,(
    ! [VarCurr] :
      ( v15676(VarCurr)
    <=> ( v15677(VarCurr)
        & v14992(VarCurr,bitIndex28) ) ) )).

fof(writeBinaryOperatorShiftedRanges_438,axiom,(
    ! [VarCurr] :
      ( v15677(VarCurr)
    <=> ( v15678(VarCurr)
        & v14992(VarCurr,bitIndex27) ) ) )).

fof(writeBinaryOperatorShiftedRanges_437,axiom,(
    ! [VarCurr] :
      ( v15678(VarCurr)
    <=> ( v15679(VarCurr)
        & v14992(VarCurr,bitIndex26) ) ) )).

fof(writeBinaryOperatorShiftedRanges_436,axiom,(
    ! [VarCurr] :
      ( v15679(VarCurr)
    <=> ( v14992(VarCurr,bitIndex24)
        & v14992(VarCurr,bitIndex25) ) ) )).

fof(addBitVectorEqualityBitBlasted_1080,axiom,(
    ! [VarCurr] :
      ( v15673(VarCurr)
    <=> ( ( v14561(VarCurr,bitIndex3)
        <=> $false )
        & ( v14561(VarCurr,bitIndex2)
        <=> $false )
        & ( v14561(VarCurr,bitIndex1)
        <=> $true )
        & ( v14561(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorShiftedRanges_435,axiom,(
    ! [VarCurr] :
      ( v15666(VarCurr)
    <=> ( v15668(VarCurr)
        & v14992(VarCurr,bitIndex29) ) ) )).

fof(writeBinaryOperatorShiftedRanges_434,axiom,(
    ! [VarCurr] :
      ( v15668(VarCurr)
    <=> ( v15669(VarCurr)
        & v14992(VarCurr,bitIndex28) ) ) )).

fof(writeBinaryOperatorShiftedRanges_433,axiom,(
    ! [VarCurr] :
      ( v15669(VarCurr)
    <=> ( v15670(VarCurr)
        & v14992(VarCurr,bitIndex27) ) ) )).

fof(writeBinaryOperatorShiftedRanges_432,axiom,(
    ! [VarCurr] :
      ( v15670(VarCurr)
    <=> ( v15671(VarCurr)
        & v14992(VarCurr,bitIndex26) ) ) )).

fof(writeBinaryOperatorShiftedRanges_431,axiom,(
    ! [VarCurr] :
      ( v15671(VarCurr)
    <=> ( v15672(VarCurr)
        & v14992(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorShiftedRanges_430,axiom,(
    ! [VarCurr] :
      ( v15672(VarCurr)
    <=> ( v14992(VarCurr,bitIndex23)
        & v14992(VarCurr,bitIndex24) ) ) )).

fof(addBitVectorEqualityBitBlasted_1079,axiom,(
    ! [VarCurr] :
      ( v15665(VarCurr)
    <=> ( ( v14561(VarCurr,bitIndex3)
        <=> $false )
        & ( v14561(VarCurr,bitIndex2)
        <=> $false )
        & ( v14561(VarCurr,bitIndex1)
        <=> $true )
        & ( v14561(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorShiftedRanges_429,axiom,(
    ! [VarCurr] :
      ( v15657(VarCurr)
    <=> ( v15659(VarCurr)
        & v14992(VarCurr,bitIndex29) ) ) )).

fof(writeBinaryOperatorShiftedRanges_428,axiom,(
    ! [VarCurr] :
      ( v15659(VarCurr)
    <=> ( v15660(VarCurr)
        & v14992(VarCurr,bitIndex28) ) ) )).

fof(writeBinaryOperatorShiftedRanges_427,axiom,(
    ! [VarCurr] :
      ( v15660(VarCurr)
    <=> ( v15661(VarCurr)
        & v14992(VarCurr,bitIndex27) ) ) )).

fof(writeBinaryOperatorShiftedRanges_426,axiom,(
    ! [VarCurr] :
      ( v15661(VarCurr)
    <=> ( v15662(VarCurr)
        & v14992(VarCurr,bitIndex26) ) ) )).

fof(writeBinaryOperatorShiftedRanges_425,axiom,(
    ! [VarCurr] :
      ( v15662(VarCurr)
    <=> ( v15663(VarCurr)
        & v14992(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorShiftedRanges_424,axiom,(
    ! [VarCurr] :
      ( v15663(VarCurr)
    <=> ( v15664(VarCurr)
        & v14992(VarCurr,bitIndex24) ) ) )).

fof(writeBinaryOperatorShiftedRanges_423,axiom,(
    ! [VarCurr] :
      ( v15664(VarCurr)
    <=> ( v14992(VarCurr,bitIndex22)
        & v14992(VarCurr,bitIndex23) ) ) )).

fof(addBitVectorEqualityBitBlasted_1078,axiom,(
    ! [VarCurr] :
      ( v15656(VarCurr)
    <=> ( ( v14561(VarCurr,bitIndex3)
        <=> $false )
        & ( v14561(VarCurr,bitIndex2)
        <=> $false )
        & ( v14561(VarCurr,bitIndex1)
        <=> $false )
        & ( v14561(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorShiftedRanges_422,axiom,(
    ! [VarCurr] :
      ( v15647(VarCurr)
    <=> ( v15649(VarCurr)
        & v14992(VarCurr,bitIndex29) ) ) )).

fof(writeBinaryOperatorShiftedRanges_421,axiom,(
    ! [VarCurr] :
      ( v15649(VarCurr)
    <=> ( v15650(VarCurr)
        & v14992(VarCurr,bitIndex28) ) ) )).

fof(writeBinaryOperatorShiftedRanges_420,axiom,(
    ! [VarCurr] :
      ( v15650(VarCurr)
    <=> ( v15651(VarCurr)
        & v14992(VarCurr,bitIndex27) ) ) )).

fof(writeBinaryOperatorShiftedRanges_419,axiom,(
    ! [VarCurr] :
      ( v15651(VarCurr)
    <=> ( v15652(VarCurr)
        & v14992(VarCurr,bitIndex26) ) ) )).

fof(writeBinaryOperatorShiftedRanges_418,axiom,(
    ! [VarCurr] :
      ( v15652(VarCurr)
    <=> ( v15653(VarCurr)
        & v14992(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorShiftedRanges_417,axiom,(
    ! [VarCurr] :
      ( v15653(VarCurr)
    <=> ( v15654(VarCurr)
        & v14992(VarCurr,bitIndex24) ) ) )).

fof(writeBinaryOperatorShiftedRanges_416,axiom,(
    ! [VarCurr] :
      ( v15654(VarCurr)
    <=> ( v15655(VarCurr)
        & v14992(VarCurr,bitIndex23) ) ) )).

fof(writeBinaryOperatorShiftedRanges_415,axiom,(
    ! [VarCurr] :
      ( v15655(VarCurr)
    <=> ( v14992(VarCurr,bitIndex21)
        & v14992(VarCurr,bitIndex22) ) ) )).

fof(addBitVectorEqualityBitBlasted_1077,axiom,(
    ! [VarCurr] :
      ( v15646(VarCurr)
    <=> ( ( v14561(VarCurr,bitIndex3)
        <=> $false )
        & ( v14561(VarCurr,bitIndex2)
        <=> $false )
        & ( v14561(VarCurr,bitIndex1)
        <=> $false )
        & ( v14561(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_3726,axiom,(
    ! [VarNext,B] :
      ( range_29_21(B)
     => ( v14992(VarNext,B)
      <=> v15624(VarNext,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_173,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15625(VarNext)
       => ! [B] :
            ( range_61_0(B)
           => ( v15624(VarNext,B)
            <=> v14992(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_194,axiom,(
    ! [VarNext] :
      ( v15625(VarNext)
     => ! [B] :
          ( range_61_0(B)
         => ( v15624(VarNext,B)
          <=> v15642(VarNext,B) ) ) ) )).

fof(addAssignment_3725,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_61_0(B)
         => ( v15642(VarNext,B)
          <=> v15640(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_571,axiom,(
    ! [VarCurr] :
      ( ~ v15636(VarCurr)
     => ! [B] :
          ( range_61_0(B)
         => ( v15640(VarCurr,B)
          <=> v15005(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_573,axiom,(
    ! [VarCurr] :
      ( v15636(VarCurr)
     => ! [B] :
          ( range_61_0(B)
         => ( v15640(VarCurr,B)
          <=> $false ) ) ) )).

fof(range_axiom_50,axiom,(
    ! [B] :
      ( range_61_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B
        | bitIndex44 = B
        | bitIndex45 = B
        | bitIndex46 = B
        | bitIndex47 = B
        | bitIndex48 = B
        | bitIndex49 = B
        | bitIndex50 = B
        | bitIndex51 = B
        | bitIndex52 = B
        | bitIndex53 = B
        | bitIndex54 = B
        | bitIndex55 = B
        | bitIndex56 = B
        | bitIndex57 = B
        | bitIndex58 = B
        | bitIndex59 = B
        | bitIndex60 = B
        | bitIndex61 = B ) ) )).

fof(bitBlastConstant_7717,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex61) )).

fof(bitBlastConstant_7716,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex60) )).

fof(bitBlastConstant_7715,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex59) )).

fof(bitBlastConstant_7714,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex58) )).

fof(bitBlastConstant_7713,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex57) )).

fof(bitBlastConstant_7712,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex56) )).

fof(bitBlastConstant_7711,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex55) )).

fof(bitBlastConstant_7710,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex54) )).

fof(bitBlastConstant_7709,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex53) )).

fof(bitBlastConstant_7708,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex52) )).

fof(bitBlastConstant_7707,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex51) )).

fof(bitBlastConstant_7706,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex50) )).

fof(bitBlastConstant_7705,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex49) )).

fof(bitBlastConstant_7704,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex48) )).

fof(bitBlastConstant_7703,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex47) )).

fof(bitBlastConstant_7702,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex46) )).

fof(bitBlastConstant_7701,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex45) )).

fof(bitBlastConstant_7700,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex44) )).

fof(bitBlastConstant_7699,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex43) )).

fof(bitBlastConstant_7698,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex42) )).

fof(bitBlastConstant_7697,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex41) )).

fof(bitBlastConstant_7696,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex40) )).

fof(bitBlastConstant_7695,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex39) )).

fof(bitBlastConstant_7694,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex38) )).

fof(bitBlastConstant_7693,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex37) )).

fof(bitBlastConstant_7692,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex36) )).

fof(bitBlastConstant_7691,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex35) )).

fof(bitBlastConstant_7690,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex34) )).

fof(bitBlastConstant_7689,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex33) )).

fof(bitBlastConstant_7688,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex32) )).

fof(bitBlastConstant_7687,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex31) )).

fof(bitBlastConstant_7686,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex30) )).

fof(bitBlastConstant_7685,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex29) )).

fof(bitBlastConstant_7684,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex28) )).

fof(bitBlastConstant_7683,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex27) )).

fof(bitBlastConstant_7682,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_7681,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_7680,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_7679,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_7678,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_7677,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_7676,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_7675,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_7674,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_7673,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_7672,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_7671,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_7670,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_7669,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_7668,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_7667,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_7666,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_7665,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_7664,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_7663,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_7662,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_7661,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_7660,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_7659,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_7658,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_7657,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_7656,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3610,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15625(VarNext)
      <=> ( v15626(VarNext)
          & v15635(VarNext) ) ) ) )).

fof(addAssignment_3724,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15635(VarNext)
      <=> v15633(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3609,axiom,(
    ! [VarCurr] :
      ( v15633(VarCurr)
    <=> ( v15636(VarCurr)
        | v15637(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3608,axiom,(
    ! [VarCurr] :
      ( v15637(VarCurr)
    <=> ( v15638(VarCurr)
        & v15639(VarCurr) ) ) )).

fof(writeUnaryOperator_1297,axiom,(
    ! [VarCurr] :
      ( ~ v15639(VarCurr)
    <=> v15636(VarCurr) ) )).

fof(writeUnaryOperator_1296,axiom,(
    ! [VarCurr] :
      ( ~ v15638(VarCurr)
    <=> v14997(VarCurr) ) )).

fof(writeUnaryOperator_1295,axiom,(
    ! [VarCurr] :
      ( ~ v15636(VarCurr)
    <=> v14994(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3607,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15626(VarNext)
      <=> ( v15627(VarNext)
          & v15622(VarNext) ) ) ) )).

fof(writeUnaryOperator_1294,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v15627(VarNext)
      <=> v15629(VarNext) ) ) )).

fof(addAssignment_3723,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v15629(VarNext)
      <=> v15622(VarCurr) ) ) )).

fof(addAssignment_3722,axiom,(
    ! [VarCurr] :
      ( v15622(VarCurr)
    <=> v8025(VarCurr) ) )).

fof(addAssignment_3721,axiom,(
    ! [VarCurr,B] :
      ( range_29_21(B)
     => ( v15005(VarCurr,B)
      <=> v14440(VarCurr,B) ) ) )).

fof(addAssignment_3720,axiom,(
    ! [VarCurr,B] :
      ( range_29_21(B)
     => ( v14440(VarCurr,B)
      <=> v14442(VarCurr,B) ) ) )).

fof(addAssignment_3719,axiom,(
    ! [VarCurr,B] :
      ( range_29_21(B)
     => ( v14442(VarCurr,B)
      <=> v14444(VarCurr,B) ) ) )).

fof(addAssignment_3718,axiom,(
    ! [VarCurr,B] :
      ( range_29_21(B)
     => ( v14444(VarCurr,B)
      <=> v14445(VarCurr,B) ) ) )).

fof(range_axiom_49,axiom,(
    ! [B] :
      ( range_29_21(B)
    <=> ( $false
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B ) ) )).

fof(addAssignment_3717,axiom,(
    ! [VarCurr,B] :
      ( range_18_10(B)
     => ( v14449(VarCurr,B)
      <=> v15608(VarCurr,B) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges7_4,axiom,(
    ! [VarCurr] :
      ( ( ~ v15609(VarCurr)
        & ~ v15610(VarCurr)
        & ~ v15612(VarCurr)
        & ~ v15613(VarCurr)
        & ~ v15615(VarCurr)
        & ~ v15616(VarCurr)
        & ~ v15618(VarCurr) )
     => ! [B] :
          ( range_26_0(B)
         => ( v15608(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges6_4,axiom,(
    ! [VarCurr] :
      ( v15618(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v15608(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges5_6,axiom,(
    ! [VarCurr] :
      ( v15616(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v15608(VarCurr,B)
          <=> v15617(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges4_9,axiom,(
    ! [VarCurr] :
      ( v15615(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v15608(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_26,axiom,(
    ! [VarCurr] :
      ( v15613(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v15608(VarCurr,B)
          <=> v15614(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_235,axiom,(
    ! [VarCurr] :
      ( v15612(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v15608(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_570,axiom,(
    ! [VarCurr] :
      ( v15610(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v15608(VarCurr,B)
          <=> v15611(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_572,axiom,(
    ! [VarCurr] :
      ( v15609(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v15608(VarCurr,B)
          <=> v15039(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3606,axiom,(
    ! [VarCurr] :
      ( v15618(VarCurr)
    <=> ( v15619(VarCurr)
        | v15620(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1076,axiom,(
    ! [VarCurr] :
      ( v15620(VarCurr)
    <=> ( ( v15008(VarCurr,bitIndex2)
        <=> $true )
        & ( v15008(VarCurr,bitIndex1)
        <=> $true )
        & ( v15008(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1075,axiom,(
    ! [VarCurr] :
      ( v15619(VarCurr)
    <=> ( ( v15008(VarCurr,bitIndex2)
        <=> $true )
        & ( v15008(VarCurr,bitIndex1)
        <=> $true )
        & ( v15008(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_3716,axiom,(
    ! [VarCurr] :
      ( ( v15617(VarCurr,bitIndex14)
      <=> v14431(VarCurr,bitIndex25) )
      & ( v15617(VarCurr,bitIndex13)
      <=> v14431(VarCurr,bitIndex24) )
      & ( v15617(VarCurr,bitIndex12)
      <=> v14431(VarCurr,bitIndex23) )
      & ( v15617(VarCurr,bitIndex11)
      <=> v14431(VarCurr,bitIndex22) )
      & ( v15617(VarCurr,bitIndex10)
      <=> v14431(VarCurr,bitIndex21) )
      & ( v15617(VarCurr,bitIndex9)
      <=> v14431(VarCurr,bitIndex20) )
      & ( v15617(VarCurr,bitIndex8)
      <=> v14431(VarCurr,bitIndex19) )
      & ( v15617(VarCurr,bitIndex7)
      <=> v14431(VarCurr,bitIndex18) )
      & ( v15617(VarCurr,bitIndex6)
      <=> v14431(VarCurr,bitIndex17) )
      & ( v15617(VarCurr,bitIndex5)
      <=> v14431(VarCurr,bitIndex16) )
      & ( v15617(VarCurr,bitIndex4)
      <=> v14431(VarCurr,bitIndex15) )
      & ( v15617(VarCurr,bitIndex3)
      <=> v14431(VarCurr,bitIndex14) )
      & ( v15617(VarCurr,bitIndex2)
      <=> v14431(VarCurr,bitIndex13) )
      & ( v15617(VarCurr,bitIndex1)
      <=> v14431(VarCurr,bitIndex12) )
      & ( v15617(VarCurr,bitIndex0)
      <=> v14431(VarCurr,bitIndex11) ) ) )).

fof(addAssignment_3715,axiom,(
    ! [VarCurr] :
      ( ( v15617(VarCurr,bitIndex26)
      <=> v15039(VarCurr,bitIndex11) )
      & ( v15617(VarCurr,bitIndex25)
      <=> v15039(VarCurr,bitIndex10) )
      & ( v15617(VarCurr,bitIndex24)
      <=> v15039(VarCurr,bitIndex9) )
      & ( v15617(VarCurr,bitIndex23)
      <=> v15039(VarCurr,bitIndex8) )
      & ( v15617(VarCurr,bitIndex22)
      <=> v15039(VarCurr,bitIndex7) )
      & ( v15617(VarCurr,bitIndex21)
      <=> v15039(VarCurr,bitIndex6) )
      & ( v15617(VarCurr,bitIndex20)
      <=> v15039(VarCurr,bitIndex5) )
      & ( v15617(VarCurr,bitIndex19)
      <=> v15039(VarCurr,bitIndex4) )
      & ( v15617(VarCurr,bitIndex18)
      <=> v15039(VarCurr,bitIndex3) )
      & ( v15617(VarCurr,bitIndex17)
      <=> v15039(VarCurr,bitIndex2) )
      & ( v15617(VarCurr,bitIndex16)
      <=> v15039(VarCurr,bitIndex1) )
      & ( v15617(VarCurr,bitIndex15)
      <=> v15039(VarCurr,bitIndex0) ) ) )).

fof(addBitVectorEqualityBitBlasted_1074,axiom,(
    ! [VarCurr] :
      ( v15616(VarCurr)
    <=> ( ( v15008(VarCurr,bitIndex2)
        <=> $true )
        & ( v15008(VarCurr,bitIndex1)
        <=> $false )
        & ( v15008(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1073,axiom,(
    ! [VarCurr] :
      ( v15615(VarCurr)
    <=> ( ( v15008(VarCurr,bitIndex2)
        <=> $true )
        & ( v15008(VarCurr,bitIndex1)
        <=> $false )
        & ( v15008(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_3714,axiom,(
    ! [VarCurr] :
      ( ( v15614(VarCurr,bitIndex8)
      <=> v14431(VarCurr,bitIndex19) )
      & ( v15614(VarCurr,bitIndex7)
      <=> v14431(VarCurr,bitIndex18) )
      & ( v15614(VarCurr,bitIndex6)
      <=> v14431(VarCurr,bitIndex17) )
      & ( v15614(VarCurr,bitIndex5)
      <=> v14431(VarCurr,bitIndex16) )
      & ( v15614(VarCurr,bitIndex4)
      <=> v14431(VarCurr,bitIndex15) )
      & ( v15614(VarCurr,bitIndex3)
      <=> v14431(VarCurr,bitIndex14) )
      & ( v15614(VarCurr,bitIndex2)
      <=> v14431(VarCurr,bitIndex13) )
      & ( v15614(VarCurr,bitIndex1)
      <=> v14431(VarCurr,bitIndex12) )
      & ( v15614(VarCurr,bitIndex0)
      <=> v14431(VarCurr,bitIndex11) ) ) )).

fof(addAssignment_3713,axiom,(
    ! [VarCurr] :
      ( ( v15614(VarCurr,bitIndex26)
      <=> v15039(VarCurr,bitIndex17) )
      & ( v15614(VarCurr,bitIndex25)
      <=> v15039(VarCurr,bitIndex16) )
      & ( v15614(VarCurr,bitIndex24)
      <=> v15039(VarCurr,bitIndex15) )
      & ( v15614(VarCurr,bitIndex23)
      <=> v15039(VarCurr,bitIndex14) )
      & ( v15614(VarCurr,bitIndex22)
      <=> v15039(VarCurr,bitIndex13) )
      & ( v15614(VarCurr,bitIndex21)
      <=> v15039(VarCurr,bitIndex12) )
      & ( v15614(VarCurr,bitIndex20)
      <=> v15039(VarCurr,bitIndex11) )
      & ( v15614(VarCurr,bitIndex19)
      <=> v15039(VarCurr,bitIndex10) )
      & ( v15614(VarCurr,bitIndex18)
      <=> v15039(VarCurr,bitIndex9) )
      & ( v15614(VarCurr,bitIndex17)
      <=> v15039(VarCurr,bitIndex8) )
      & ( v15614(VarCurr,bitIndex16)
      <=> v15039(VarCurr,bitIndex7) )
      & ( v15614(VarCurr,bitIndex15)
      <=> v15039(VarCurr,bitIndex6) )
      & ( v15614(VarCurr,bitIndex14)
      <=> v15039(VarCurr,bitIndex5) )
      & ( v15614(VarCurr,bitIndex13)
      <=> v15039(VarCurr,bitIndex4) )
      & ( v15614(VarCurr,bitIndex12)
      <=> v15039(VarCurr,bitIndex3) )
      & ( v15614(VarCurr,bitIndex11)
      <=> v15039(VarCurr,bitIndex2) )
      & ( v15614(VarCurr,bitIndex10)
      <=> v15039(VarCurr,bitIndex1) )
      & ( v15614(VarCurr,bitIndex9)
      <=> v15039(VarCurr,bitIndex0) ) ) )).

fof(addBitVectorEqualityBitBlasted_1072,axiom,(
    ! [VarCurr] :
      ( v15613(VarCurr)
    <=> ( ( v15008(VarCurr,bitIndex2)
        <=> $false )
        & ( v15008(VarCurr,bitIndex1)
        <=> $true )
        & ( v15008(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1071,axiom,(
    ! [VarCurr] :
      ( v15612(VarCurr)
    <=> ( ( v15008(VarCurr,bitIndex2)
        <=> $false )
        & ( v15008(VarCurr,bitIndex1)
        <=> $true )
        & ( v15008(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_3712,axiom,(
    ! [VarCurr] :
      ( ( v15611(VarCurr,bitIndex2)
      <=> v14431(VarCurr,bitIndex13) )
      & ( v15611(VarCurr,bitIndex1)
      <=> v14431(VarCurr,bitIndex12) )
      & ( v15611(VarCurr,bitIndex0)
      <=> v14431(VarCurr,bitIndex11) ) ) )).

fof(addAssignment_3711,axiom,(
    ! [VarCurr] :
      ( ( v15611(VarCurr,bitIndex26)
      <=> v15039(VarCurr,bitIndex23) )
      & ( v15611(VarCurr,bitIndex25)
      <=> v15039(VarCurr,bitIndex22) )
      & ( v15611(VarCurr,bitIndex24)
      <=> v15039(VarCurr,bitIndex21) )
      & ( v15611(VarCurr,bitIndex23)
      <=> v15039(VarCurr,bitIndex20) )
      & ( v15611(VarCurr,bitIndex22)
      <=> v15039(VarCurr,bitIndex19) )
      & ( v15611(VarCurr,bitIndex21)
      <=> v15039(VarCurr,bitIndex18) )
      & ( v15611(VarCurr,bitIndex20)
      <=> v15039(VarCurr,bitIndex17) )
      & ( v15611(VarCurr,bitIndex19)
      <=> v15039(VarCurr,bitIndex16) )
      & ( v15611(VarCurr,bitIndex18)
      <=> v15039(VarCurr,bitIndex15) )
      & ( v15611(VarCurr,bitIndex17)
      <=> v15039(VarCurr,bitIndex14) )
      & ( v15611(VarCurr,bitIndex16)
      <=> v15039(VarCurr,bitIndex13) )
      & ( v15611(VarCurr,bitIndex15)
      <=> v15039(VarCurr,bitIndex12) )
      & ( v15611(VarCurr,bitIndex14)
      <=> v15039(VarCurr,bitIndex11) )
      & ( v15611(VarCurr,bitIndex13)
      <=> v15039(VarCurr,bitIndex10) )
      & ( v15611(VarCurr,bitIndex12)
      <=> v15039(VarCurr,bitIndex9) )
      & ( v15611(VarCurr,bitIndex11)
      <=> v15039(VarCurr,bitIndex8) )
      & ( v15611(VarCurr,bitIndex10)
      <=> v15039(VarCurr,bitIndex7) )
      & ( v15611(VarCurr,bitIndex9)
      <=> v15039(VarCurr,bitIndex6) )
      & ( v15611(VarCurr,bitIndex8)
      <=> v15039(VarCurr,bitIndex5) )
      & ( v15611(VarCurr,bitIndex7)
      <=> v15039(VarCurr,bitIndex4) )
      & ( v15611(VarCurr,bitIndex6)
      <=> v15039(VarCurr,bitIndex3) )
      & ( v15611(VarCurr,bitIndex5)
      <=> v15039(VarCurr,bitIndex2) )
      & ( v15611(VarCurr,bitIndex4)
      <=> v15039(VarCurr,bitIndex1) )
      & ( v15611(VarCurr,bitIndex3)
      <=> v15039(VarCurr,bitIndex0) ) ) )).

fof(addBitVectorEqualityBitBlasted_1070,axiom,(
    ! [VarCurr] :
      ( v15610(VarCurr)
    <=> ( ( v15008(VarCurr,bitIndex2)
        <=> $false )
        & ( v15008(VarCurr,bitIndex1)
        <=> $false )
        & ( v15008(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1069,axiom,(
    ! [VarCurr] :
      ( v15609(VarCurr)
    <=> ( ( v15008(VarCurr,bitIndex2)
        <=> $false )
        & ( v15008(VarCurr,bitIndex1)
        <=> $false )
        & ( v15008(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_3710,axiom,(
    ! [VarCurr] :
      ( v15039(VarCurr,bitIndex0)
    <=> v15096(VarCurr,bitIndex0) ) )).

fof(addAssignment_3709,axiom,(
    ! [VarCurr,B] :
      ( range_6_1(B)
     => ( v15039(VarCurr,B)
      <=> v15096(VarCurr,B) ) ) )).

fof(range_axiom_48,axiom,(
    ! [B] :
      ( range_6_1(B)
    <=> ( $false
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B ) ) )).

fof(addAssignment_3708,axiom,(
    ! [VarCurr,B] :
      ( range_9_7(B)
     => ( v15039(VarCurr,B)
      <=> v15096(VarCurr,B) ) ) )).

fof(range_axiom_47,axiom,(
    ! [B] :
      ( range_9_7(B)
    <=> ( $false
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B ) ) )).

fof(addAssignment_3707,axiom,(
    ! [VarCurr,B] :
      ( range_18_10(B)
     => ( v15039(VarCurr,B)
      <=> v15096(VarCurr,B) ) ) )).

fof(range_axiom_46,axiom,(
    ! [B] :
      ( range_18_10(B)
    <=> ( $false
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B ) ) )).

fof(addAssignment_3706,axiom,(
    ! [VarCurr] :
      ( v15096(VarCurr,bitIndex0)
    <=> v15604(VarCurr) ) )).

fof(addAssignment_3705,axiom,(
    ! [VarCurr] :
      ( v15096(VarCurr,bitIndex1)
    <=> v15599(VarCurr) ) )).

fof(addAssignment_3704,axiom,(
    ! [VarCurr] :
      ( v15096(VarCurr,bitIndex2)
    <=> v15594(VarCurr) ) )).

fof(addAssignment_3703,axiom,(
    ! [VarCurr] :
      ( v15096(VarCurr,bitIndex3)
    <=> v15589(VarCurr) ) )).

fof(addAssignment_3702,axiom,(
    ! [VarCurr] :
      ( v15096(VarCurr,bitIndex4)
    <=> v15584(VarCurr) ) )).

fof(addAssignment_3701,axiom,(
    ! [VarCurr] :
      ( v15096(VarCurr,bitIndex5)
    <=> v15579(VarCurr) ) )).

fof(addAssignment_3700,axiom,(
    ! [VarCurr] :
      ( v15096(VarCurr,bitIndex6)
    <=> v15574(VarCurr) ) )).

fof(addAssignment_3699,axiom,(
    ! [VarCurr] :
      ( v15096(VarCurr,bitIndex7)
    <=> v15569(VarCurr) ) )).

fof(addAssignment_3698,axiom,(
    ! [VarCurr] :
      ( v15096(VarCurr,bitIndex8)
    <=> v15564(VarCurr) ) )).

fof(addAssignment_3697,axiom,(
    ! [VarCurr] :
      ( v15096(VarCurr,bitIndex9)
    <=> v15559(VarCurr) ) )).

fof(addAssignment_3696,axiom,(
    ! [VarCurr] :
      ( v15096(VarCurr,bitIndex10)
    <=> v15554(VarCurr) ) )).

fof(addAssignment_3695,axiom,(
    ! [VarCurr] :
      ( v15096(VarCurr,bitIndex11)
    <=> v15549(VarCurr) ) )).

fof(addAssignment_3694,axiom,(
    ! [VarCurr] :
      ( v15096(VarCurr,bitIndex12)
    <=> v15544(VarCurr) ) )).

fof(addAssignment_3693,axiom,(
    ! [VarCurr] :
      ( v15096(VarCurr,bitIndex13)
    <=> v15539(VarCurr) ) )).

fof(addAssignment_3692,axiom,(
    ! [VarCurr] :
      ( v15096(VarCurr,bitIndex14)
    <=> v15534(VarCurr) ) )).

fof(addAssignment_3691,axiom,(
    ! [VarCurr] :
      ( v15096(VarCurr,bitIndex15)
    <=> v15529(VarCurr) ) )).

fof(addAssignment_3690,axiom,(
    ! [VarCurr] :
      ( v15096(VarCurr,bitIndex16)
    <=> v15524(VarCurr) ) )).

fof(addAssignment_3689,axiom,(
    ! [VarCurr] :
      ( v15096(VarCurr,bitIndex17)
    <=> v15519(VarCurr) ) )).

fof(addAssignment_3688,axiom,(
    ! [VarCurr] :
      ( v15096(VarCurr,bitIndex18)
    <=> v15514(VarCurr) ) )).

fof(addAssignment_3687,axiom,(
    ! [VarCurr] :
      ( v15096(VarCurr,bitIndex19)
    <=> v15509(VarCurr) ) )).

fof(addAssignment_3686,axiom,(
    ! [VarCurr] :
      ( v15096(VarCurr,bitIndex20)
    <=> v15504(VarCurr) ) )).

fof(addAssignment_3685,axiom,(
    ! [VarCurr] :
      ( v15096(VarCurr,bitIndex21)
    <=> v15499(VarCurr) ) )).

fof(addAssignment_3684,axiom,(
    ! [VarCurr] :
      ( v15096(VarCurr,bitIndex22)
    <=> v15494(VarCurr) ) )).

fof(addAssignment_3683,axiom,(
    ! [VarCurr] :
      ( v15096(VarCurr,bitIndex23)
    <=> v15489(VarCurr) ) )).

fof(addAssignment_3682,axiom,(
    ! [VarCurr] :
      ( v15096(VarCurr,bitIndex24)
    <=> v15484(VarCurr) ) )).

fof(addAssignment_3681,axiom,(
    ! [VarCurr] :
      ( v15096(VarCurr,bitIndex25)
    <=> v15479(VarCurr) ) )).

fof(addAssignment_3680,axiom,(
    ! [VarCurr] :
      ( v15096(VarCurr,bitIndex26)
    <=> v15474(VarCurr) ) )).

fof(addAssignment_3679,axiom,(
    ! [VarCurr] :
      ( v15096(VarCurr,bitIndex27)
    <=> v15098(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3605,axiom,(
    ! [VarCurr] :
      ( v15604(VarCurr)
    <=> ( v15605(VarCurr)
        & v15607(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3604,axiom,(
    ! [VarCurr] :
      ( v15607(VarCurr)
    <=> ( v15057(VarCurr,bitIndex0)
        | v15154(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3603,axiom,(
    ! [VarCurr] :
      ( v15605(VarCurr)
    <=> ( v15161(VarCurr)
        | v15606(VarCurr) ) ) )).

fof(writeUnaryOperator_1293,axiom,(
    ! [VarCurr] :
      ( ~ v15606(VarCurr)
    <=> v15154(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3602,axiom,(
    ! [VarCurr] :
      ( v15599(VarCurr)
    <=> ( v15600(VarCurr)
        & v15603(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3601,axiom,(
    ! [VarCurr] :
      ( v15603(VarCurr)
    <=> ( v15153(VarCurr)
        | v15155(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3600,axiom,(
    ! [VarCurr] :
      ( v15600(VarCurr)
    <=> ( v15601(VarCurr)
        | v15602(VarCurr) ) ) )).

fof(writeUnaryOperator_1292,axiom,(
    ! [VarCurr] :
      ( ~ v15602(VarCurr)
    <=> v15155(VarCurr) ) )).

fof(writeUnaryOperator_1291,axiom,(
    ! [VarCurr] :
      ( ~ v15601(VarCurr)
    <=> v15153(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3599,axiom,(
    ! [VarCurr] :
      ( v15594(VarCurr)
    <=> ( v15595(VarCurr)
        & v15598(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3598,axiom,(
    ! [VarCurr] :
      ( v15598(VarCurr)
    <=> ( v15151(VarCurr)
        | v15166(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3597,axiom,(
    ! [VarCurr] :
      ( v15595(VarCurr)
    <=> ( v15596(VarCurr)
        | v15597(VarCurr) ) ) )).

fof(writeUnaryOperator_1290,axiom,(
    ! [VarCurr] :
      ( ~ v15597(VarCurr)
    <=> v15166(VarCurr) ) )).

fof(writeUnaryOperator_1289,axiom,(
    ! [VarCurr] :
      ( ~ v15596(VarCurr)
    <=> v15151(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3596,axiom,(
    ! [VarCurr] :
      ( v15589(VarCurr)
    <=> ( v15590(VarCurr)
        & v15593(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3595,axiom,(
    ! [VarCurr] :
      ( v15593(VarCurr)
    <=> ( v15149(VarCurr)
        | v15178(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3594,axiom,(
    ! [VarCurr] :
      ( v15590(VarCurr)
    <=> ( v15591(VarCurr)
        | v15592(VarCurr) ) ) )).

fof(writeUnaryOperator_1288,axiom,(
    ! [VarCurr] :
      ( ~ v15592(VarCurr)
    <=> v15178(VarCurr) ) )).

fof(writeUnaryOperator_1287,axiom,(
    ! [VarCurr] :
      ( ~ v15591(VarCurr)
    <=> v15149(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3593,axiom,(
    ! [VarCurr] :
      ( v15584(VarCurr)
    <=> ( v15585(VarCurr)
        & v15588(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3592,axiom,(
    ! [VarCurr] :
      ( v15588(VarCurr)
    <=> ( v15147(VarCurr)
        | v15190(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3591,axiom,(
    ! [VarCurr] :
      ( v15585(VarCurr)
    <=> ( v15586(VarCurr)
        | v15587(VarCurr) ) ) )).

fof(writeUnaryOperator_1286,axiom,(
    ! [VarCurr] :
      ( ~ v15587(VarCurr)
    <=> v15190(VarCurr) ) )).

fof(writeUnaryOperator_1285,axiom,(
    ! [VarCurr] :
      ( ~ v15586(VarCurr)
    <=> v15147(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3590,axiom,(
    ! [VarCurr] :
      ( v15579(VarCurr)
    <=> ( v15580(VarCurr)
        & v15583(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3589,axiom,(
    ! [VarCurr] :
      ( v15583(VarCurr)
    <=> ( v15145(VarCurr)
        | v15202(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3588,axiom,(
    ! [VarCurr] :
      ( v15580(VarCurr)
    <=> ( v15581(VarCurr)
        | v15582(VarCurr) ) ) )).

fof(writeUnaryOperator_1284,axiom,(
    ! [VarCurr] :
      ( ~ v15582(VarCurr)
    <=> v15202(VarCurr) ) )).

fof(writeUnaryOperator_1283,axiom,(
    ! [VarCurr] :
      ( ~ v15581(VarCurr)
    <=> v15145(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3587,axiom,(
    ! [VarCurr] :
      ( v15574(VarCurr)
    <=> ( v15575(VarCurr)
        & v15578(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3586,axiom,(
    ! [VarCurr] :
      ( v15578(VarCurr)
    <=> ( v15143(VarCurr)
        | v15214(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3585,axiom,(
    ! [VarCurr] :
      ( v15575(VarCurr)
    <=> ( v15576(VarCurr)
        | v15577(VarCurr) ) ) )).

fof(writeUnaryOperator_1282,axiom,(
    ! [VarCurr] :
      ( ~ v15577(VarCurr)
    <=> v15214(VarCurr) ) )).

fof(writeUnaryOperator_1281,axiom,(
    ! [VarCurr] :
      ( ~ v15576(VarCurr)
    <=> v15143(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3584,axiom,(
    ! [VarCurr] :
      ( v15569(VarCurr)
    <=> ( v15570(VarCurr)
        & v15573(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3583,axiom,(
    ! [VarCurr] :
      ( v15573(VarCurr)
    <=> ( v15141(VarCurr)
        | v15226(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3582,axiom,(
    ! [VarCurr] :
      ( v15570(VarCurr)
    <=> ( v15571(VarCurr)
        | v15572(VarCurr) ) ) )).

fof(writeUnaryOperator_1280,axiom,(
    ! [VarCurr] :
      ( ~ v15572(VarCurr)
    <=> v15226(VarCurr) ) )).

fof(writeUnaryOperator_1279,axiom,(
    ! [VarCurr] :
      ( ~ v15571(VarCurr)
    <=> v15141(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3581,axiom,(
    ! [VarCurr] :
      ( v15564(VarCurr)
    <=> ( v15565(VarCurr)
        & v15568(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3580,axiom,(
    ! [VarCurr] :
      ( v15568(VarCurr)
    <=> ( v15139(VarCurr)
        | v15238(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3579,axiom,(
    ! [VarCurr] :
      ( v15565(VarCurr)
    <=> ( v15566(VarCurr)
        | v15567(VarCurr) ) ) )).

fof(writeUnaryOperator_1278,axiom,(
    ! [VarCurr] :
      ( ~ v15567(VarCurr)
    <=> v15238(VarCurr) ) )).

fof(writeUnaryOperator_1277,axiom,(
    ! [VarCurr] :
      ( ~ v15566(VarCurr)
    <=> v15139(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3578,axiom,(
    ! [VarCurr] :
      ( v15559(VarCurr)
    <=> ( v15560(VarCurr)
        & v15563(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3577,axiom,(
    ! [VarCurr] :
      ( v15563(VarCurr)
    <=> ( v15137(VarCurr)
        | v15250(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3576,axiom,(
    ! [VarCurr] :
      ( v15560(VarCurr)
    <=> ( v15561(VarCurr)
        | v15562(VarCurr) ) ) )).

fof(writeUnaryOperator_1276,axiom,(
    ! [VarCurr] :
      ( ~ v15562(VarCurr)
    <=> v15250(VarCurr) ) )).

fof(writeUnaryOperator_1275,axiom,(
    ! [VarCurr] :
      ( ~ v15561(VarCurr)
    <=> v15137(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3575,axiom,(
    ! [VarCurr] :
      ( v15554(VarCurr)
    <=> ( v15555(VarCurr)
        & v15558(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3574,axiom,(
    ! [VarCurr] :
      ( v15558(VarCurr)
    <=> ( v15135(VarCurr)
        | v15262(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3573,axiom,(
    ! [VarCurr] :
      ( v15555(VarCurr)
    <=> ( v15556(VarCurr)
        | v15557(VarCurr) ) ) )).

fof(writeUnaryOperator_1274,axiom,(
    ! [VarCurr] :
      ( ~ v15557(VarCurr)
    <=> v15262(VarCurr) ) )).

fof(writeUnaryOperator_1273,axiom,(
    ! [VarCurr] :
      ( ~ v15556(VarCurr)
    <=> v15135(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3572,axiom,(
    ! [VarCurr] :
      ( v15549(VarCurr)
    <=> ( v15550(VarCurr)
        & v15553(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3571,axiom,(
    ! [VarCurr] :
      ( v15553(VarCurr)
    <=> ( v15133(VarCurr)
        | v15274(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3570,axiom,(
    ! [VarCurr] :
      ( v15550(VarCurr)
    <=> ( v15551(VarCurr)
        | v15552(VarCurr) ) ) )).

fof(writeUnaryOperator_1272,axiom,(
    ! [VarCurr] :
      ( ~ v15552(VarCurr)
    <=> v15274(VarCurr) ) )).

fof(writeUnaryOperator_1271,axiom,(
    ! [VarCurr] :
      ( ~ v15551(VarCurr)
    <=> v15133(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3569,axiom,(
    ! [VarCurr] :
      ( v15544(VarCurr)
    <=> ( v15545(VarCurr)
        & v15548(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3568,axiom,(
    ! [VarCurr] :
      ( v15548(VarCurr)
    <=> ( v15131(VarCurr)
        | v15286(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3567,axiom,(
    ! [VarCurr] :
      ( v15545(VarCurr)
    <=> ( v15546(VarCurr)
        | v15547(VarCurr) ) ) )).

fof(writeUnaryOperator_1270,axiom,(
    ! [VarCurr] :
      ( ~ v15547(VarCurr)
    <=> v15286(VarCurr) ) )).

fof(writeUnaryOperator_1269,axiom,(
    ! [VarCurr] :
      ( ~ v15546(VarCurr)
    <=> v15131(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3566,axiom,(
    ! [VarCurr] :
      ( v15539(VarCurr)
    <=> ( v15540(VarCurr)
        & v15543(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3565,axiom,(
    ! [VarCurr] :
      ( v15543(VarCurr)
    <=> ( v15129(VarCurr)
        | v15298(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3564,axiom,(
    ! [VarCurr] :
      ( v15540(VarCurr)
    <=> ( v15541(VarCurr)
        | v15542(VarCurr) ) ) )).

fof(writeUnaryOperator_1268,axiom,(
    ! [VarCurr] :
      ( ~ v15542(VarCurr)
    <=> v15298(VarCurr) ) )).

fof(writeUnaryOperator_1267,axiom,(
    ! [VarCurr] :
      ( ~ v15541(VarCurr)
    <=> v15129(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3563,axiom,(
    ! [VarCurr] :
      ( v15534(VarCurr)
    <=> ( v15535(VarCurr)
        & v15538(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3562,axiom,(
    ! [VarCurr] :
      ( v15538(VarCurr)
    <=> ( v15127(VarCurr)
        | v15310(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3561,axiom,(
    ! [VarCurr] :
      ( v15535(VarCurr)
    <=> ( v15536(VarCurr)
        | v15537(VarCurr) ) ) )).

fof(writeUnaryOperator_1266,axiom,(
    ! [VarCurr] :
      ( ~ v15537(VarCurr)
    <=> v15310(VarCurr) ) )).

fof(writeUnaryOperator_1265,axiom,(
    ! [VarCurr] :
      ( ~ v15536(VarCurr)
    <=> v15127(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3560,axiom,(
    ! [VarCurr] :
      ( v15529(VarCurr)
    <=> ( v15530(VarCurr)
        & v15533(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3559,axiom,(
    ! [VarCurr] :
      ( v15533(VarCurr)
    <=> ( v15125(VarCurr)
        | v15322(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3558,axiom,(
    ! [VarCurr] :
      ( v15530(VarCurr)
    <=> ( v15531(VarCurr)
        | v15532(VarCurr) ) ) )).

fof(writeUnaryOperator_1264,axiom,(
    ! [VarCurr] :
      ( ~ v15532(VarCurr)
    <=> v15322(VarCurr) ) )).

fof(writeUnaryOperator_1263,axiom,(
    ! [VarCurr] :
      ( ~ v15531(VarCurr)
    <=> v15125(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3557,axiom,(
    ! [VarCurr] :
      ( v15524(VarCurr)
    <=> ( v15525(VarCurr)
        & v15528(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3556,axiom,(
    ! [VarCurr] :
      ( v15528(VarCurr)
    <=> ( v15123(VarCurr)
        | v15334(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3555,axiom,(
    ! [VarCurr] :
      ( v15525(VarCurr)
    <=> ( v15526(VarCurr)
        | v15527(VarCurr) ) ) )).

fof(writeUnaryOperator_1262,axiom,(
    ! [VarCurr] :
      ( ~ v15527(VarCurr)
    <=> v15334(VarCurr) ) )).

fof(writeUnaryOperator_1261,axiom,(
    ! [VarCurr] :
      ( ~ v15526(VarCurr)
    <=> v15123(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3554,axiom,(
    ! [VarCurr] :
      ( v15519(VarCurr)
    <=> ( v15520(VarCurr)
        & v15523(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3553,axiom,(
    ! [VarCurr] :
      ( v15523(VarCurr)
    <=> ( v15121(VarCurr)
        | v15346(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3552,axiom,(
    ! [VarCurr] :
      ( v15520(VarCurr)
    <=> ( v15521(VarCurr)
        | v15522(VarCurr) ) ) )).

fof(writeUnaryOperator_1260,axiom,(
    ! [VarCurr] :
      ( ~ v15522(VarCurr)
    <=> v15346(VarCurr) ) )).

fof(writeUnaryOperator_1259,axiom,(
    ! [VarCurr] :
      ( ~ v15521(VarCurr)
    <=> v15121(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3551,axiom,(
    ! [VarCurr] :
      ( v15514(VarCurr)
    <=> ( v15515(VarCurr)
        & v15518(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3550,axiom,(
    ! [VarCurr] :
      ( v15518(VarCurr)
    <=> ( v15119(VarCurr)
        | v15358(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3549,axiom,(
    ! [VarCurr] :
      ( v15515(VarCurr)
    <=> ( v15516(VarCurr)
        | v15517(VarCurr) ) ) )).

fof(writeUnaryOperator_1258,axiom,(
    ! [VarCurr] :
      ( ~ v15517(VarCurr)
    <=> v15358(VarCurr) ) )).

fof(writeUnaryOperator_1257,axiom,(
    ! [VarCurr] :
      ( ~ v15516(VarCurr)
    <=> v15119(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3548,axiom,(
    ! [VarCurr] :
      ( v15509(VarCurr)
    <=> ( v15510(VarCurr)
        & v15513(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3547,axiom,(
    ! [VarCurr] :
      ( v15513(VarCurr)
    <=> ( v15117(VarCurr)
        | v15370(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3546,axiom,(
    ! [VarCurr] :
      ( v15510(VarCurr)
    <=> ( v15511(VarCurr)
        | v15512(VarCurr) ) ) )).

fof(writeUnaryOperator_1256,axiom,(
    ! [VarCurr] :
      ( ~ v15512(VarCurr)
    <=> v15370(VarCurr) ) )).

fof(writeUnaryOperator_1255,axiom,(
    ! [VarCurr] :
      ( ~ v15511(VarCurr)
    <=> v15117(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3545,axiom,(
    ! [VarCurr] :
      ( v15504(VarCurr)
    <=> ( v15505(VarCurr)
        & v15508(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3544,axiom,(
    ! [VarCurr] :
      ( v15508(VarCurr)
    <=> ( v15115(VarCurr)
        | v15382(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3543,axiom,(
    ! [VarCurr] :
      ( v15505(VarCurr)
    <=> ( v15506(VarCurr)
        | v15507(VarCurr) ) ) )).

fof(writeUnaryOperator_1254,axiom,(
    ! [VarCurr] :
      ( ~ v15507(VarCurr)
    <=> v15382(VarCurr) ) )).

fof(writeUnaryOperator_1253,axiom,(
    ! [VarCurr] :
      ( ~ v15506(VarCurr)
    <=> v15115(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3542,axiom,(
    ! [VarCurr] :
      ( v15499(VarCurr)
    <=> ( v15500(VarCurr)
        & v15503(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3541,axiom,(
    ! [VarCurr] :
      ( v15503(VarCurr)
    <=> ( v15113(VarCurr)
        | v15394(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3540,axiom,(
    ! [VarCurr] :
      ( v15500(VarCurr)
    <=> ( v15501(VarCurr)
        | v15502(VarCurr) ) ) )).

fof(writeUnaryOperator_1252,axiom,(
    ! [VarCurr] :
      ( ~ v15502(VarCurr)
    <=> v15394(VarCurr) ) )).

fof(writeUnaryOperator_1251,axiom,(
    ! [VarCurr] :
      ( ~ v15501(VarCurr)
    <=> v15113(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3539,axiom,(
    ! [VarCurr] :
      ( v15494(VarCurr)
    <=> ( v15495(VarCurr)
        & v15498(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3538,axiom,(
    ! [VarCurr] :
      ( v15498(VarCurr)
    <=> ( v15111(VarCurr)
        | v15406(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3537,axiom,(
    ! [VarCurr] :
      ( v15495(VarCurr)
    <=> ( v15496(VarCurr)
        | v15497(VarCurr) ) ) )).

fof(writeUnaryOperator_1250,axiom,(
    ! [VarCurr] :
      ( ~ v15497(VarCurr)
    <=> v15406(VarCurr) ) )).

fof(writeUnaryOperator_1249,axiom,(
    ! [VarCurr] :
      ( ~ v15496(VarCurr)
    <=> v15111(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3536,axiom,(
    ! [VarCurr] :
      ( v15489(VarCurr)
    <=> ( v15490(VarCurr)
        & v15493(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3535,axiom,(
    ! [VarCurr] :
      ( v15493(VarCurr)
    <=> ( v15109(VarCurr)
        | v15418(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3534,axiom,(
    ! [VarCurr] :
      ( v15490(VarCurr)
    <=> ( v15491(VarCurr)
        | v15492(VarCurr) ) ) )).

fof(writeUnaryOperator_1248,axiom,(
    ! [VarCurr] :
      ( ~ v15492(VarCurr)
    <=> v15418(VarCurr) ) )).

fof(writeUnaryOperator_1247,axiom,(
    ! [VarCurr] :
      ( ~ v15491(VarCurr)
    <=> v15109(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3533,axiom,(
    ! [VarCurr] :
      ( v15484(VarCurr)
    <=> ( v15485(VarCurr)
        & v15488(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3532,axiom,(
    ! [VarCurr] :
      ( v15488(VarCurr)
    <=> ( v15107(VarCurr)
        | v15430(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3531,axiom,(
    ! [VarCurr] :
      ( v15485(VarCurr)
    <=> ( v15486(VarCurr)
        | v15487(VarCurr) ) ) )).

fof(writeUnaryOperator_1246,axiom,(
    ! [VarCurr] :
      ( ~ v15487(VarCurr)
    <=> v15430(VarCurr) ) )).

fof(writeUnaryOperator_1245,axiom,(
    ! [VarCurr] :
      ( ~ v15486(VarCurr)
    <=> v15107(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3530,axiom,(
    ! [VarCurr] :
      ( v15479(VarCurr)
    <=> ( v15480(VarCurr)
        & v15483(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3529,axiom,(
    ! [VarCurr] :
      ( v15483(VarCurr)
    <=> ( v15105(VarCurr)
        | v15442(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3528,axiom,(
    ! [VarCurr] :
      ( v15480(VarCurr)
    <=> ( v15481(VarCurr)
        | v15482(VarCurr) ) ) )).

fof(writeUnaryOperator_1244,axiom,(
    ! [VarCurr] :
      ( ~ v15482(VarCurr)
    <=> v15442(VarCurr) ) )).

fof(writeUnaryOperator_1243,axiom,(
    ! [VarCurr] :
      ( ~ v15481(VarCurr)
    <=> v15105(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3527,axiom,(
    ! [VarCurr] :
      ( v15474(VarCurr)
    <=> ( v15475(VarCurr)
        & v15478(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3526,axiom,(
    ! [VarCurr] :
      ( v15478(VarCurr)
    <=> ( v15103(VarCurr)
        | v15454(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3525,axiom,(
    ! [VarCurr] :
      ( v15475(VarCurr)
    <=> ( v15476(VarCurr)
        | v15477(VarCurr) ) ) )).

fof(writeUnaryOperator_1242,axiom,(
    ! [VarCurr] :
      ( ~ v15477(VarCurr)
    <=> v15454(VarCurr) ) )).

fof(writeUnaryOperator_1241,axiom,(
    ! [VarCurr] :
      ( ~ v15476(VarCurr)
    <=> v15103(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3524,axiom,(
    ! [VarCurr] :
      ( v15098(VarCurr)
    <=> ( v15099(VarCurr)
        & v15473(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3523,axiom,(
    ! [VarCurr] :
      ( v15473(VarCurr)
    <=> ( v15101(VarCurr)
        | v15467(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3522,axiom,(
    ! [VarCurr] :
      ( v15099(VarCurr)
    <=> ( v15100(VarCurr)
        | v15466(VarCurr) ) ) )).

fof(writeUnaryOperator_1240,axiom,(
    ! [VarCurr] :
      ( ~ v15466(VarCurr)
    <=> v15467(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3521,axiom,(
    ! [VarCurr] :
      ( v15467(VarCurr)
    <=> ( v15468(VarCurr)
        & v15471(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_414,axiom,(
    ! [VarCurr] :
      ( v15471(VarCurr)
    <=> ( v15472(VarCurr)
        | v15154(VarCurr,bitIndex27) ) ) )).

fof(writeUnaryOperator_1239,axiom,(
    ! [VarCurr] :
      ( ~ v15472(VarCurr)
    <=> v15469(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3520,axiom,(
    ! [VarCurr] :
      ( v15468(VarCurr)
    <=> ( v15469(VarCurr)
        | v15470(VarCurr) ) ) )).

fof(writeUnaryOperator_1238,axiom,(
    ! [VarCurr] :
      ( ~ v15470(VarCurr)
    <=> v15154(VarCurr,bitIndex27) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3519,axiom,(
    ! [VarCurr] :
      ( v15469(VarCurr)
    <=> ( v15460(VarCurr)
        & v15462(VarCurr) ) ) )).

fof(writeUnaryOperator_1237,axiom,(
    ! [VarCurr] :
      ( ~ v15100(VarCurr)
    <=> v15101(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3518,axiom,(
    ! [VarCurr] :
      ( v15101(VarCurr)
    <=> ( v15102(VarCurr)
        | v15465(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_413,axiom,(
    ! [VarCurr] :
      ( v15465(VarCurr)
    <=> ( v15457(VarCurr)
        & v15154(VarCurr,bitIndex26) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3517,axiom,(
    ! [VarCurr] :
      ( v15102(VarCurr)
    <=> ( v15103(VarCurr)
        & v15454(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3516,axiom,(
    ! [VarCurr] :
      ( v15454(VarCurr)
    <=> ( v15455(VarCurr)
        & v15464(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_412,axiom,(
    ! [VarCurr] :
      ( v15464(VarCurr)
    <=> ( v15457(VarCurr)
        | v15154(VarCurr,bitIndex26) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3515,axiom,(
    ! [VarCurr] :
      ( v15455(VarCurr)
    <=> ( v15456(VarCurr)
        | v15463(VarCurr) ) ) )).

fof(writeUnaryOperator_1236,axiom,(
    ! [VarCurr] :
      ( ~ v15463(VarCurr)
    <=> v15154(VarCurr,bitIndex26) ) )).

fof(writeUnaryOperator_1235,axiom,(
    ! [VarCurr] :
      ( ~ v15456(VarCurr)
    <=> v15457(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3514,axiom,(
    ! [VarCurr] :
      ( v15457(VarCurr)
    <=> ( v15458(VarCurr)
        & v15461(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3513,axiom,(
    ! [VarCurr] :
      ( v15461(VarCurr)
    <=> ( v15460(VarCurr)
        | v15462(VarCurr) ) ) )).

fof(writeUnaryOperator_1234,axiom,(
    ! [VarCurr] :
      ( ~ v15462(VarCurr)
    <=> v15057(VarCurr,bitIndex26) ) )).

fof(writeBinaryOperatorShiftedRanges_411,axiom,(
    ! [VarCurr] :
      ( v15458(VarCurr)
    <=> ( v15459(VarCurr)
        | v15057(VarCurr,bitIndex26) ) ) )).

fof(writeUnaryOperator_1233,axiom,(
    ! [VarCurr] :
      ( ~ v15459(VarCurr)
    <=> v15460(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3512,axiom,(
    ! [VarCurr] :
      ( v15460(VarCurr)
    <=> ( v15448(VarCurr)
        & v15450(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3511,axiom,(
    ! [VarCurr] :
      ( v15103(VarCurr)
    <=> ( v15104(VarCurr)
        | v15453(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_410,axiom,(
    ! [VarCurr] :
      ( v15453(VarCurr)
    <=> ( v15445(VarCurr)
        & v15154(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3510,axiom,(
    ! [VarCurr] :
      ( v15104(VarCurr)
    <=> ( v15105(VarCurr)
        & v15442(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3509,axiom,(
    ! [VarCurr] :
      ( v15442(VarCurr)
    <=> ( v15443(VarCurr)
        & v15452(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_409,axiom,(
    ! [VarCurr] :
      ( v15452(VarCurr)
    <=> ( v15445(VarCurr)
        | v15154(VarCurr,bitIndex25) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3508,axiom,(
    ! [VarCurr] :
      ( v15443(VarCurr)
    <=> ( v15444(VarCurr)
        | v15451(VarCurr) ) ) )).

fof(writeUnaryOperator_1232,axiom,(
    ! [VarCurr] :
      ( ~ v15451(VarCurr)
    <=> v15154(VarCurr,bitIndex25) ) )).

fof(writeUnaryOperator_1231,axiom,(
    ! [VarCurr] :
      ( ~ v15444(VarCurr)
    <=> v15445(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3507,axiom,(
    ! [VarCurr] :
      ( v15445(VarCurr)
    <=> ( v15446(VarCurr)
        & v15449(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3506,axiom,(
    ! [VarCurr] :
      ( v15449(VarCurr)
    <=> ( v15448(VarCurr)
        | v15450(VarCurr) ) ) )).

fof(writeUnaryOperator_1230,axiom,(
    ! [VarCurr] :
      ( ~ v15450(VarCurr)
    <=> v15057(VarCurr,bitIndex25) ) )).

fof(writeBinaryOperatorShiftedRanges_408,axiom,(
    ! [VarCurr] :
      ( v15446(VarCurr)
    <=> ( v15447(VarCurr)
        | v15057(VarCurr,bitIndex25) ) ) )).

fof(writeUnaryOperator_1229,axiom,(
    ! [VarCurr] :
      ( ~ v15447(VarCurr)
    <=> v15448(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3505,axiom,(
    ! [VarCurr] :
      ( v15448(VarCurr)
    <=> ( v15436(VarCurr)
        & v15438(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3504,axiom,(
    ! [VarCurr] :
      ( v15105(VarCurr)
    <=> ( v15106(VarCurr)
        | v15441(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_407,axiom,(
    ! [VarCurr] :
      ( v15441(VarCurr)
    <=> ( v15433(VarCurr)
        & v15154(VarCurr,bitIndex24) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3503,axiom,(
    ! [VarCurr] :
      ( v15106(VarCurr)
    <=> ( v15107(VarCurr)
        & v15430(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3502,axiom,(
    ! [VarCurr] :
      ( v15430(VarCurr)
    <=> ( v15431(VarCurr)
        & v15440(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_406,axiom,(
    ! [VarCurr] :
      ( v15440(VarCurr)
    <=> ( v15433(VarCurr)
        | v15154(VarCurr,bitIndex24) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3501,axiom,(
    ! [VarCurr] :
      ( v15431(VarCurr)
    <=> ( v15432(VarCurr)
        | v15439(VarCurr) ) ) )).

fof(writeUnaryOperator_1228,axiom,(
    ! [VarCurr] :
      ( ~ v15439(VarCurr)
    <=> v15154(VarCurr,bitIndex24) ) )).

fof(writeUnaryOperator_1227,axiom,(
    ! [VarCurr] :
      ( ~ v15432(VarCurr)
    <=> v15433(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3500,axiom,(
    ! [VarCurr] :
      ( v15433(VarCurr)
    <=> ( v15434(VarCurr)
        & v15437(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3499,axiom,(
    ! [VarCurr] :
      ( v15437(VarCurr)
    <=> ( v15436(VarCurr)
        | v15438(VarCurr) ) ) )).

fof(writeUnaryOperator_1226,axiom,(
    ! [VarCurr] :
      ( ~ v15438(VarCurr)
    <=> v15057(VarCurr,bitIndex24) ) )).

fof(writeBinaryOperatorShiftedRanges_405,axiom,(
    ! [VarCurr] :
      ( v15434(VarCurr)
    <=> ( v15435(VarCurr)
        | v15057(VarCurr,bitIndex24) ) ) )).

fof(writeUnaryOperator_1225,axiom,(
    ! [VarCurr] :
      ( ~ v15435(VarCurr)
    <=> v15436(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3498,axiom,(
    ! [VarCurr] :
      ( v15436(VarCurr)
    <=> ( v15424(VarCurr)
        & v15426(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3497,axiom,(
    ! [VarCurr] :
      ( v15107(VarCurr)
    <=> ( v15108(VarCurr)
        | v15429(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_404,axiom,(
    ! [VarCurr] :
      ( v15429(VarCurr)
    <=> ( v15421(VarCurr)
        & v15154(VarCurr,bitIndex23) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3496,axiom,(
    ! [VarCurr] :
      ( v15108(VarCurr)
    <=> ( v15109(VarCurr)
        & v15418(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3495,axiom,(
    ! [VarCurr] :
      ( v15418(VarCurr)
    <=> ( v15419(VarCurr)
        & v15428(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_403,axiom,(
    ! [VarCurr] :
      ( v15428(VarCurr)
    <=> ( v15421(VarCurr)
        | v15154(VarCurr,bitIndex23) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3494,axiom,(
    ! [VarCurr] :
      ( v15419(VarCurr)
    <=> ( v15420(VarCurr)
        | v15427(VarCurr) ) ) )).

fof(writeUnaryOperator_1224,axiom,(
    ! [VarCurr] :
      ( ~ v15427(VarCurr)
    <=> v15154(VarCurr,bitIndex23) ) )).

fof(writeUnaryOperator_1223,axiom,(
    ! [VarCurr] :
      ( ~ v15420(VarCurr)
    <=> v15421(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3493,axiom,(
    ! [VarCurr] :
      ( v15421(VarCurr)
    <=> ( v15422(VarCurr)
        & v15425(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3492,axiom,(
    ! [VarCurr] :
      ( v15425(VarCurr)
    <=> ( v15424(VarCurr)
        | v15426(VarCurr) ) ) )).

fof(writeUnaryOperator_1222,axiom,(
    ! [VarCurr] :
      ( ~ v15426(VarCurr)
    <=> v15057(VarCurr,bitIndex23) ) )).

fof(writeBinaryOperatorShiftedRanges_402,axiom,(
    ! [VarCurr] :
      ( v15422(VarCurr)
    <=> ( v15423(VarCurr)
        | v15057(VarCurr,bitIndex23) ) ) )).

fof(writeUnaryOperator_1221,axiom,(
    ! [VarCurr] :
      ( ~ v15423(VarCurr)
    <=> v15424(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3491,axiom,(
    ! [VarCurr] :
      ( v15424(VarCurr)
    <=> ( v15412(VarCurr)
        & v15414(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3490,axiom,(
    ! [VarCurr] :
      ( v15109(VarCurr)
    <=> ( v15110(VarCurr)
        | v15417(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_401,axiom,(
    ! [VarCurr] :
      ( v15417(VarCurr)
    <=> ( v15409(VarCurr)
        & v15154(VarCurr,bitIndex22) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3489,axiom,(
    ! [VarCurr] :
      ( v15110(VarCurr)
    <=> ( v15111(VarCurr)
        & v15406(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3488,axiom,(
    ! [VarCurr] :
      ( v15406(VarCurr)
    <=> ( v15407(VarCurr)
        & v15416(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_400,axiom,(
    ! [VarCurr] :
      ( v15416(VarCurr)
    <=> ( v15409(VarCurr)
        | v15154(VarCurr,bitIndex22) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3487,axiom,(
    ! [VarCurr] :
      ( v15407(VarCurr)
    <=> ( v15408(VarCurr)
        | v15415(VarCurr) ) ) )).

fof(writeUnaryOperator_1220,axiom,(
    ! [VarCurr] :
      ( ~ v15415(VarCurr)
    <=> v15154(VarCurr,bitIndex22) ) )).

fof(writeUnaryOperator_1219,axiom,(
    ! [VarCurr] :
      ( ~ v15408(VarCurr)
    <=> v15409(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3486,axiom,(
    ! [VarCurr] :
      ( v15409(VarCurr)
    <=> ( v15410(VarCurr)
        & v15413(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3485,axiom,(
    ! [VarCurr] :
      ( v15413(VarCurr)
    <=> ( v15412(VarCurr)
        | v15414(VarCurr) ) ) )).

fof(writeUnaryOperator_1218,axiom,(
    ! [VarCurr] :
      ( ~ v15414(VarCurr)
    <=> v15057(VarCurr,bitIndex22) ) )).

fof(writeBinaryOperatorShiftedRanges_399,axiom,(
    ! [VarCurr] :
      ( v15410(VarCurr)
    <=> ( v15411(VarCurr)
        | v15057(VarCurr,bitIndex22) ) ) )).

fof(writeUnaryOperator_1217,axiom,(
    ! [VarCurr] :
      ( ~ v15411(VarCurr)
    <=> v15412(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3484,axiom,(
    ! [VarCurr] :
      ( v15412(VarCurr)
    <=> ( v15400(VarCurr)
        & v15402(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3483,axiom,(
    ! [VarCurr] :
      ( v15111(VarCurr)
    <=> ( v15112(VarCurr)
        | v15405(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_398,axiom,(
    ! [VarCurr] :
      ( v15405(VarCurr)
    <=> ( v15397(VarCurr)
        & v15154(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3482,axiom,(
    ! [VarCurr] :
      ( v15112(VarCurr)
    <=> ( v15113(VarCurr)
        & v15394(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3481,axiom,(
    ! [VarCurr] :
      ( v15394(VarCurr)
    <=> ( v15395(VarCurr)
        & v15404(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_397,axiom,(
    ! [VarCurr] :
      ( v15404(VarCurr)
    <=> ( v15397(VarCurr)
        | v15154(VarCurr,bitIndex21) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3480,axiom,(
    ! [VarCurr] :
      ( v15395(VarCurr)
    <=> ( v15396(VarCurr)
        | v15403(VarCurr) ) ) )).

fof(writeUnaryOperator_1216,axiom,(
    ! [VarCurr] :
      ( ~ v15403(VarCurr)
    <=> v15154(VarCurr,bitIndex21) ) )).

fof(writeUnaryOperator_1215,axiom,(
    ! [VarCurr] :
      ( ~ v15396(VarCurr)
    <=> v15397(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3479,axiom,(
    ! [VarCurr] :
      ( v15397(VarCurr)
    <=> ( v15398(VarCurr)
        & v15401(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3478,axiom,(
    ! [VarCurr] :
      ( v15401(VarCurr)
    <=> ( v15400(VarCurr)
        | v15402(VarCurr) ) ) )).

fof(writeUnaryOperator_1214,axiom,(
    ! [VarCurr] :
      ( ~ v15402(VarCurr)
    <=> v15057(VarCurr,bitIndex21) ) )).

fof(writeBinaryOperatorShiftedRanges_396,axiom,(
    ! [VarCurr] :
      ( v15398(VarCurr)
    <=> ( v15399(VarCurr)
        | v15057(VarCurr,bitIndex21) ) ) )).

fof(writeUnaryOperator_1213,axiom,(
    ! [VarCurr] :
      ( ~ v15399(VarCurr)
    <=> v15400(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3477,axiom,(
    ! [VarCurr] :
      ( v15400(VarCurr)
    <=> ( v15388(VarCurr)
        & v15390(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3476,axiom,(
    ! [VarCurr] :
      ( v15113(VarCurr)
    <=> ( v15114(VarCurr)
        | v15393(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_395,axiom,(
    ! [VarCurr] :
      ( v15393(VarCurr)
    <=> ( v15385(VarCurr)
        & v15154(VarCurr,bitIndex20) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3475,axiom,(
    ! [VarCurr] :
      ( v15114(VarCurr)
    <=> ( v15115(VarCurr)
        & v15382(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3474,axiom,(
    ! [VarCurr] :
      ( v15382(VarCurr)
    <=> ( v15383(VarCurr)
        & v15392(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_394,axiom,(
    ! [VarCurr] :
      ( v15392(VarCurr)
    <=> ( v15385(VarCurr)
        | v15154(VarCurr,bitIndex20) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3473,axiom,(
    ! [VarCurr] :
      ( v15383(VarCurr)
    <=> ( v15384(VarCurr)
        | v15391(VarCurr) ) ) )).

fof(writeUnaryOperator_1212,axiom,(
    ! [VarCurr] :
      ( ~ v15391(VarCurr)
    <=> v15154(VarCurr,bitIndex20) ) )).

fof(writeUnaryOperator_1211,axiom,(
    ! [VarCurr] :
      ( ~ v15384(VarCurr)
    <=> v15385(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3472,axiom,(
    ! [VarCurr] :
      ( v15385(VarCurr)
    <=> ( v15386(VarCurr)
        & v15389(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3471,axiom,(
    ! [VarCurr] :
      ( v15389(VarCurr)
    <=> ( v15388(VarCurr)
        | v15390(VarCurr) ) ) )).

fof(writeUnaryOperator_1210,axiom,(
    ! [VarCurr] :
      ( ~ v15390(VarCurr)
    <=> v15057(VarCurr,bitIndex20) ) )).

fof(writeBinaryOperatorShiftedRanges_393,axiom,(
    ! [VarCurr] :
      ( v15386(VarCurr)
    <=> ( v15387(VarCurr)
        | v15057(VarCurr,bitIndex20) ) ) )).

fof(writeUnaryOperator_1209,axiom,(
    ! [VarCurr] :
      ( ~ v15387(VarCurr)
    <=> v15388(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3470,axiom,(
    ! [VarCurr] :
      ( v15388(VarCurr)
    <=> ( v15376(VarCurr)
        & v15378(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3469,axiom,(
    ! [VarCurr] :
      ( v15115(VarCurr)
    <=> ( v15116(VarCurr)
        | v15381(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_392,axiom,(
    ! [VarCurr] :
      ( v15381(VarCurr)
    <=> ( v15373(VarCurr)
        & v15154(VarCurr,bitIndex19) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3468,axiom,(
    ! [VarCurr] :
      ( v15116(VarCurr)
    <=> ( v15117(VarCurr)
        & v15370(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3467,axiom,(
    ! [VarCurr] :
      ( v15370(VarCurr)
    <=> ( v15371(VarCurr)
        & v15380(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_391,axiom,(
    ! [VarCurr] :
      ( v15380(VarCurr)
    <=> ( v15373(VarCurr)
        | v15154(VarCurr,bitIndex19) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3466,axiom,(
    ! [VarCurr] :
      ( v15371(VarCurr)
    <=> ( v15372(VarCurr)
        | v15379(VarCurr) ) ) )).

fof(writeUnaryOperator_1208,axiom,(
    ! [VarCurr] :
      ( ~ v15379(VarCurr)
    <=> v15154(VarCurr,bitIndex19) ) )).

fof(writeUnaryOperator_1207,axiom,(
    ! [VarCurr] :
      ( ~ v15372(VarCurr)
    <=> v15373(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3465,axiom,(
    ! [VarCurr] :
      ( v15373(VarCurr)
    <=> ( v15374(VarCurr)
        & v15377(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3464,axiom,(
    ! [VarCurr] :
      ( v15377(VarCurr)
    <=> ( v15376(VarCurr)
        | v15378(VarCurr) ) ) )).

fof(writeUnaryOperator_1206,axiom,(
    ! [VarCurr] :
      ( ~ v15378(VarCurr)
    <=> v15057(VarCurr,bitIndex19) ) )).

fof(writeBinaryOperatorShiftedRanges_390,axiom,(
    ! [VarCurr] :
      ( v15374(VarCurr)
    <=> ( v15375(VarCurr)
        | v15057(VarCurr,bitIndex19) ) ) )).

fof(writeUnaryOperator_1205,axiom,(
    ! [VarCurr] :
      ( ~ v15375(VarCurr)
    <=> v15376(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3463,axiom,(
    ! [VarCurr] :
      ( v15376(VarCurr)
    <=> ( v15364(VarCurr)
        & v15366(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3462,axiom,(
    ! [VarCurr] :
      ( v15117(VarCurr)
    <=> ( v15118(VarCurr)
        | v15369(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_389,axiom,(
    ! [VarCurr] :
      ( v15369(VarCurr)
    <=> ( v15361(VarCurr)
        & v15154(VarCurr,bitIndex18) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3461,axiom,(
    ! [VarCurr] :
      ( v15118(VarCurr)
    <=> ( v15119(VarCurr)
        & v15358(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3460,axiom,(
    ! [VarCurr] :
      ( v15358(VarCurr)
    <=> ( v15359(VarCurr)
        & v15368(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_388,axiom,(
    ! [VarCurr] :
      ( v15368(VarCurr)
    <=> ( v15361(VarCurr)
        | v15154(VarCurr,bitIndex18) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3459,axiom,(
    ! [VarCurr] :
      ( v15359(VarCurr)
    <=> ( v15360(VarCurr)
        | v15367(VarCurr) ) ) )).

fof(writeUnaryOperator_1204,axiom,(
    ! [VarCurr] :
      ( ~ v15367(VarCurr)
    <=> v15154(VarCurr,bitIndex18) ) )).

fof(writeUnaryOperator_1203,axiom,(
    ! [VarCurr] :
      ( ~ v15360(VarCurr)
    <=> v15361(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3458,axiom,(
    ! [VarCurr] :
      ( v15361(VarCurr)
    <=> ( v15362(VarCurr)
        & v15365(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3457,axiom,(
    ! [VarCurr] :
      ( v15365(VarCurr)
    <=> ( v15364(VarCurr)
        | v15366(VarCurr) ) ) )).

fof(writeUnaryOperator_1202,axiom,(
    ! [VarCurr] :
      ( ~ v15366(VarCurr)
    <=> v15057(VarCurr,bitIndex18) ) )).

fof(writeBinaryOperatorShiftedRanges_387,axiom,(
    ! [VarCurr] :
      ( v15362(VarCurr)
    <=> ( v15363(VarCurr)
        | v15057(VarCurr,bitIndex18) ) ) )).

fof(writeUnaryOperator_1201,axiom,(
    ! [VarCurr] :
      ( ~ v15363(VarCurr)
    <=> v15364(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3456,axiom,(
    ! [VarCurr] :
      ( v15364(VarCurr)
    <=> ( v15352(VarCurr)
        & v15354(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3455,axiom,(
    ! [VarCurr] :
      ( v15119(VarCurr)
    <=> ( v15120(VarCurr)
        | v15357(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_386,axiom,(
    ! [VarCurr] :
      ( v15357(VarCurr)
    <=> ( v15349(VarCurr)
        & v15154(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3454,axiom,(
    ! [VarCurr] :
      ( v15120(VarCurr)
    <=> ( v15121(VarCurr)
        & v15346(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3453,axiom,(
    ! [VarCurr] :
      ( v15346(VarCurr)
    <=> ( v15347(VarCurr)
        & v15356(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_385,axiom,(
    ! [VarCurr] :
      ( v15356(VarCurr)
    <=> ( v15349(VarCurr)
        | v15154(VarCurr,bitIndex17) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3452,axiom,(
    ! [VarCurr] :
      ( v15347(VarCurr)
    <=> ( v15348(VarCurr)
        | v15355(VarCurr) ) ) )).

fof(writeUnaryOperator_1200,axiom,(
    ! [VarCurr] :
      ( ~ v15355(VarCurr)
    <=> v15154(VarCurr,bitIndex17) ) )).

fof(writeUnaryOperator_1199,axiom,(
    ! [VarCurr] :
      ( ~ v15348(VarCurr)
    <=> v15349(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3451,axiom,(
    ! [VarCurr] :
      ( v15349(VarCurr)
    <=> ( v15350(VarCurr)
        & v15353(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3450,axiom,(
    ! [VarCurr] :
      ( v15353(VarCurr)
    <=> ( v15352(VarCurr)
        | v15354(VarCurr) ) ) )).

fof(writeUnaryOperator_1198,axiom,(
    ! [VarCurr] :
      ( ~ v15354(VarCurr)
    <=> v15057(VarCurr,bitIndex17) ) )).

fof(writeBinaryOperatorShiftedRanges_384,axiom,(
    ! [VarCurr] :
      ( v15350(VarCurr)
    <=> ( v15351(VarCurr)
        | v15057(VarCurr,bitIndex17) ) ) )).

fof(writeUnaryOperator_1197,axiom,(
    ! [VarCurr] :
      ( ~ v15351(VarCurr)
    <=> v15352(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3449,axiom,(
    ! [VarCurr] :
      ( v15352(VarCurr)
    <=> ( v15340(VarCurr)
        & v15342(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3448,axiom,(
    ! [VarCurr] :
      ( v15121(VarCurr)
    <=> ( v15122(VarCurr)
        | v15345(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_383,axiom,(
    ! [VarCurr] :
      ( v15345(VarCurr)
    <=> ( v15337(VarCurr)
        & v15154(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3447,axiom,(
    ! [VarCurr] :
      ( v15122(VarCurr)
    <=> ( v15123(VarCurr)
        & v15334(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3446,axiom,(
    ! [VarCurr] :
      ( v15334(VarCurr)
    <=> ( v15335(VarCurr)
        & v15344(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_382,axiom,(
    ! [VarCurr] :
      ( v15344(VarCurr)
    <=> ( v15337(VarCurr)
        | v15154(VarCurr,bitIndex16) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3445,axiom,(
    ! [VarCurr] :
      ( v15335(VarCurr)
    <=> ( v15336(VarCurr)
        | v15343(VarCurr) ) ) )).

fof(writeUnaryOperator_1196,axiom,(
    ! [VarCurr] :
      ( ~ v15343(VarCurr)
    <=> v15154(VarCurr,bitIndex16) ) )).

fof(writeUnaryOperator_1195,axiom,(
    ! [VarCurr] :
      ( ~ v15336(VarCurr)
    <=> v15337(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3444,axiom,(
    ! [VarCurr] :
      ( v15337(VarCurr)
    <=> ( v15338(VarCurr)
        & v15341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3443,axiom,(
    ! [VarCurr] :
      ( v15341(VarCurr)
    <=> ( v15340(VarCurr)
        | v15342(VarCurr) ) ) )).

fof(writeUnaryOperator_1194,axiom,(
    ! [VarCurr] :
      ( ~ v15342(VarCurr)
    <=> v15057(VarCurr,bitIndex16) ) )).

fof(writeBinaryOperatorShiftedRanges_381,axiom,(
    ! [VarCurr] :
      ( v15338(VarCurr)
    <=> ( v15339(VarCurr)
        | v15057(VarCurr,bitIndex16) ) ) )).

fof(writeUnaryOperator_1193,axiom,(
    ! [VarCurr] :
      ( ~ v15339(VarCurr)
    <=> v15340(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3442,axiom,(
    ! [VarCurr] :
      ( v15340(VarCurr)
    <=> ( v15328(VarCurr)
        & v15330(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3441,axiom,(
    ! [VarCurr] :
      ( v15123(VarCurr)
    <=> ( v15124(VarCurr)
        | v15333(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_380,axiom,(
    ! [VarCurr] :
      ( v15333(VarCurr)
    <=> ( v15325(VarCurr)
        & v15154(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3440,axiom,(
    ! [VarCurr] :
      ( v15124(VarCurr)
    <=> ( v15125(VarCurr)
        & v15322(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3439,axiom,(
    ! [VarCurr] :
      ( v15322(VarCurr)
    <=> ( v15323(VarCurr)
        & v15332(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_379,axiom,(
    ! [VarCurr] :
      ( v15332(VarCurr)
    <=> ( v15325(VarCurr)
        | v15154(VarCurr,bitIndex15) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3438,axiom,(
    ! [VarCurr] :
      ( v15323(VarCurr)
    <=> ( v15324(VarCurr)
        | v15331(VarCurr) ) ) )).

fof(writeUnaryOperator_1192,axiom,(
    ! [VarCurr] :
      ( ~ v15331(VarCurr)
    <=> v15154(VarCurr,bitIndex15) ) )).

fof(writeUnaryOperator_1191,axiom,(
    ! [VarCurr] :
      ( ~ v15324(VarCurr)
    <=> v15325(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3437,axiom,(
    ! [VarCurr] :
      ( v15325(VarCurr)
    <=> ( v15326(VarCurr)
        & v15329(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3436,axiom,(
    ! [VarCurr] :
      ( v15329(VarCurr)
    <=> ( v15328(VarCurr)
        | v15330(VarCurr) ) ) )).

fof(writeUnaryOperator_1190,axiom,(
    ! [VarCurr] :
      ( ~ v15330(VarCurr)
    <=> v15057(VarCurr,bitIndex15) ) )).

fof(writeBinaryOperatorShiftedRanges_378,axiom,(
    ! [VarCurr] :
      ( v15326(VarCurr)
    <=> ( v15327(VarCurr)
        | v15057(VarCurr,bitIndex15) ) ) )).

fof(writeUnaryOperator_1189,axiom,(
    ! [VarCurr] :
      ( ~ v15327(VarCurr)
    <=> v15328(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3435,axiom,(
    ! [VarCurr] :
      ( v15328(VarCurr)
    <=> ( v15316(VarCurr)
        & v15318(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3434,axiom,(
    ! [VarCurr] :
      ( v15125(VarCurr)
    <=> ( v15126(VarCurr)
        | v15321(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_377,axiom,(
    ! [VarCurr] :
      ( v15321(VarCurr)
    <=> ( v15313(VarCurr)
        & v15154(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3433,axiom,(
    ! [VarCurr] :
      ( v15126(VarCurr)
    <=> ( v15127(VarCurr)
        & v15310(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3432,axiom,(
    ! [VarCurr] :
      ( v15310(VarCurr)
    <=> ( v15311(VarCurr)
        & v15320(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_376,axiom,(
    ! [VarCurr] :
      ( v15320(VarCurr)
    <=> ( v15313(VarCurr)
        | v15154(VarCurr,bitIndex14) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3431,axiom,(
    ! [VarCurr] :
      ( v15311(VarCurr)
    <=> ( v15312(VarCurr)
        | v15319(VarCurr) ) ) )).

fof(writeUnaryOperator_1188,axiom,(
    ! [VarCurr] :
      ( ~ v15319(VarCurr)
    <=> v15154(VarCurr,bitIndex14) ) )).

fof(writeUnaryOperator_1187,axiom,(
    ! [VarCurr] :
      ( ~ v15312(VarCurr)
    <=> v15313(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3430,axiom,(
    ! [VarCurr] :
      ( v15313(VarCurr)
    <=> ( v15314(VarCurr)
        & v15317(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3429,axiom,(
    ! [VarCurr] :
      ( v15317(VarCurr)
    <=> ( v15316(VarCurr)
        | v15318(VarCurr) ) ) )).

fof(writeUnaryOperator_1186,axiom,(
    ! [VarCurr] :
      ( ~ v15318(VarCurr)
    <=> v15057(VarCurr,bitIndex14) ) )).

fof(writeBinaryOperatorShiftedRanges_375,axiom,(
    ! [VarCurr] :
      ( v15314(VarCurr)
    <=> ( v15315(VarCurr)
        | v15057(VarCurr,bitIndex14) ) ) )).

fof(writeUnaryOperator_1185,axiom,(
    ! [VarCurr] :
      ( ~ v15315(VarCurr)
    <=> v15316(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3428,axiom,(
    ! [VarCurr] :
      ( v15316(VarCurr)
    <=> ( v15304(VarCurr)
        & v15306(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3427,axiom,(
    ! [VarCurr] :
      ( v15127(VarCurr)
    <=> ( v15128(VarCurr)
        | v15309(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_374,axiom,(
    ! [VarCurr] :
      ( v15309(VarCurr)
    <=> ( v15301(VarCurr)
        & v15154(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3426,axiom,(
    ! [VarCurr] :
      ( v15128(VarCurr)
    <=> ( v15129(VarCurr)
        & v15298(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3425,axiom,(
    ! [VarCurr] :
      ( v15298(VarCurr)
    <=> ( v15299(VarCurr)
        & v15308(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_373,axiom,(
    ! [VarCurr] :
      ( v15308(VarCurr)
    <=> ( v15301(VarCurr)
        | v15154(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3424,axiom,(
    ! [VarCurr] :
      ( v15299(VarCurr)
    <=> ( v15300(VarCurr)
        | v15307(VarCurr) ) ) )).

fof(writeUnaryOperator_1184,axiom,(
    ! [VarCurr] :
      ( ~ v15307(VarCurr)
    <=> v15154(VarCurr,bitIndex13) ) )).

fof(writeUnaryOperator_1183,axiom,(
    ! [VarCurr] :
      ( ~ v15300(VarCurr)
    <=> v15301(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3423,axiom,(
    ! [VarCurr] :
      ( v15301(VarCurr)
    <=> ( v15302(VarCurr)
        & v15305(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3422,axiom,(
    ! [VarCurr] :
      ( v15305(VarCurr)
    <=> ( v15304(VarCurr)
        | v15306(VarCurr) ) ) )).

fof(writeUnaryOperator_1182,axiom,(
    ! [VarCurr] :
      ( ~ v15306(VarCurr)
    <=> v15057(VarCurr,bitIndex13) ) )).

fof(writeBinaryOperatorShiftedRanges_372,axiom,(
    ! [VarCurr] :
      ( v15302(VarCurr)
    <=> ( v15303(VarCurr)
        | v15057(VarCurr,bitIndex13) ) ) )).

fof(writeUnaryOperator_1181,axiom,(
    ! [VarCurr] :
      ( ~ v15303(VarCurr)
    <=> v15304(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3421,axiom,(
    ! [VarCurr] :
      ( v15304(VarCurr)
    <=> ( v15292(VarCurr)
        & v15294(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3420,axiom,(
    ! [VarCurr] :
      ( v15129(VarCurr)
    <=> ( v15130(VarCurr)
        | v15297(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_371,axiom,(
    ! [VarCurr] :
      ( v15297(VarCurr)
    <=> ( v15289(VarCurr)
        & v15154(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3419,axiom,(
    ! [VarCurr] :
      ( v15130(VarCurr)
    <=> ( v15131(VarCurr)
        & v15286(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3418,axiom,(
    ! [VarCurr] :
      ( v15286(VarCurr)
    <=> ( v15287(VarCurr)
        & v15296(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_370,axiom,(
    ! [VarCurr] :
      ( v15296(VarCurr)
    <=> ( v15289(VarCurr)
        | v15154(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3417,axiom,(
    ! [VarCurr] :
      ( v15287(VarCurr)
    <=> ( v15288(VarCurr)
        | v15295(VarCurr) ) ) )).

fof(writeUnaryOperator_1180,axiom,(
    ! [VarCurr] :
      ( ~ v15295(VarCurr)
    <=> v15154(VarCurr,bitIndex12) ) )).

fof(writeUnaryOperator_1179,axiom,(
    ! [VarCurr] :
      ( ~ v15288(VarCurr)
    <=> v15289(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3416,axiom,(
    ! [VarCurr] :
      ( v15289(VarCurr)
    <=> ( v15290(VarCurr)
        & v15293(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3415,axiom,(
    ! [VarCurr] :
      ( v15293(VarCurr)
    <=> ( v15292(VarCurr)
        | v15294(VarCurr) ) ) )).

fof(writeUnaryOperator_1178,axiom,(
    ! [VarCurr] :
      ( ~ v15294(VarCurr)
    <=> v15057(VarCurr,bitIndex12) ) )).

fof(writeBinaryOperatorShiftedRanges_369,axiom,(
    ! [VarCurr] :
      ( v15290(VarCurr)
    <=> ( v15291(VarCurr)
        | v15057(VarCurr,bitIndex12) ) ) )).

fof(writeUnaryOperator_1177,axiom,(
    ! [VarCurr] :
      ( ~ v15291(VarCurr)
    <=> v15292(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3414,axiom,(
    ! [VarCurr] :
      ( v15292(VarCurr)
    <=> ( v15280(VarCurr)
        & v15282(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3413,axiom,(
    ! [VarCurr] :
      ( v15131(VarCurr)
    <=> ( v15132(VarCurr)
        | v15285(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_368,axiom,(
    ! [VarCurr] :
      ( v15285(VarCurr)
    <=> ( v15277(VarCurr)
        & v15154(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3412,axiom,(
    ! [VarCurr] :
      ( v15132(VarCurr)
    <=> ( v15133(VarCurr)
        & v15274(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3411,axiom,(
    ! [VarCurr] :
      ( v15274(VarCurr)
    <=> ( v15275(VarCurr)
        & v15284(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_367,axiom,(
    ! [VarCurr] :
      ( v15284(VarCurr)
    <=> ( v15277(VarCurr)
        | v15154(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3410,axiom,(
    ! [VarCurr] :
      ( v15275(VarCurr)
    <=> ( v15276(VarCurr)
        | v15283(VarCurr) ) ) )).

fof(writeUnaryOperator_1176,axiom,(
    ! [VarCurr] :
      ( ~ v15283(VarCurr)
    <=> v15154(VarCurr,bitIndex11) ) )).

fof(writeUnaryOperator_1175,axiom,(
    ! [VarCurr] :
      ( ~ v15276(VarCurr)
    <=> v15277(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3409,axiom,(
    ! [VarCurr] :
      ( v15277(VarCurr)
    <=> ( v15278(VarCurr)
        & v15281(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3408,axiom,(
    ! [VarCurr] :
      ( v15281(VarCurr)
    <=> ( v15280(VarCurr)
        | v15282(VarCurr) ) ) )).

fof(writeUnaryOperator_1174,axiom,(
    ! [VarCurr] :
      ( ~ v15282(VarCurr)
    <=> v15057(VarCurr,bitIndex11) ) )).

fof(writeBinaryOperatorShiftedRanges_366,axiom,(
    ! [VarCurr] :
      ( v15278(VarCurr)
    <=> ( v15279(VarCurr)
        | v15057(VarCurr,bitIndex11) ) ) )).

fof(writeUnaryOperator_1173,axiom,(
    ! [VarCurr] :
      ( ~ v15279(VarCurr)
    <=> v15280(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3407,axiom,(
    ! [VarCurr] :
      ( v15280(VarCurr)
    <=> ( v15268(VarCurr)
        & v15270(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3406,axiom,(
    ! [VarCurr] :
      ( v15133(VarCurr)
    <=> ( v15134(VarCurr)
        | v15273(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_365,axiom,(
    ! [VarCurr] :
      ( v15273(VarCurr)
    <=> ( v15265(VarCurr)
        & v15154(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3405,axiom,(
    ! [VarCurr] :
      ( v15134(VarCurr)
    <=> ( v15135(VarCurr)
        & v15262(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3404,axiom,(
    ! [VarCurr] :
      ( v15262(VarCurr)
    <=> ( v15263(VarCurr)
        & v15272(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_364,axiom,(
    ! [VarCurr] :
      ( v15272(VarCurr)
    <=> ( v15265(VarCurr)
        | v15154(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3403,axiom,(
    ! [VarCurr] :
      ( v15263(VarCurr)
    <=> ( v15264(VarCurr)
        | v15271(VarCurr) ) ) )).

fof(writeUnaryOperator_1172,axiom,(
    ! [VarCurr] :
      ( ~ v15271(VarCurr)
    <=> v15154(VarCurr,bitIndex10) ) )).

fof(writeUnaryOperator_1171,axiom,(
    ! [VarCurr] :
      ( ~ v15264(VarCurr)
    <=> v15265(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3402,axiom,(
    ! [VarCurr] :
      ( v15265(VarCurr)
    <=> ( v15266(VarCurr)
        & v15269(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3401,axiom,(
    ! [VarCurr] :
      ( v15269(VarCurr)
    <=> ( v15268(VarCurr)
        | v15270(VarCurr) ) ) )).

fof(writeUnaryOperator_1170,axiom,(
    ! [VarCurr] :
      ( ~ v15270(VarCurr)
    <=> v15057(VarCurr,bitIndex10) ) )).

fof(writeBinaryOperatorShiftedRanges_363,axiom,(
    ! [VarCurr] :
      ( v15266(VarCurr)
    <=> ( v15267(VarCurr)
        | v15057(VarCurr,bitIndex10) ) ) )).

fof(writeUnaryOperator_1169,axiom,(
    ! [VarCurr] :
      ( ~ v15267(VarCurr)
    <=> v15268(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3400,axiom,(
    ! [VarCurr] :
      ( v15268(VarCurr)
    <=> ( v15256(VarCurr)
        & v15258(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3399,axiom,(
    ! [VarCurr] :
      ( v15135(VarCurr)
    <=> ( v15136(VarCurr)
        | v15261(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_362,axiom,(
    ! [VarCurr] :
      ( v15261(VarCurr)
    <=> ( v15253(VarCurr)
        & v15154(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3398,axiom,(
    ! [VarCurr] :
      ( v15136(VarCurr)
    <=> ( v15137(VarCurr)
        & v15250(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3397,axiom,(
    ! [VarCurr] :
      ( v15250(VarCurr)
    <=> ( v15251(VarCurr)
        & v15260(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_361,axiom,(
    ! [VarCurr] :
      ( v15260(VarCurr)
    <=> ( v15253(VarCurr)
        | v15154(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3396,axiom,(
    ! [VarCurr] :
      ( v15251(VarCurr)
    <=> ( v15252(VarCurr)
        | v15259(VarCurr) ) ) )).

fof(writeUnaryOperator_1168,axiom,(
    ! [VarCurr] :
      ( ~ v15259(VarCurr)
    <=> v15154(VarCurr,bitIndex9) ) )).

fof(writeUnaryOperator_1167,axiom,(
    ! [VarCurr] :
      ( ~ v15252(VarCurr)
    <=> v15253(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3395,axiom,(
    ! [VarCurr] :
      ( v15253(VarCurr)
    <=> ( v15254(VarCurr)
        & v15257(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3394,axiom,(
    ! [VarCurr] :
      ( v15257(VarCurr)
    <=> ( v15256(VarCurr)
        | v15258(VarCurr) ) ) )).

fof(writeUnaryOperator_1166,axiom,(
    ! [VarCurr] :
      ( ~ v15258(VarCurr)
    <=> v15057(VarCurr,bitIndex9) ) )).

fof(writeBinaryOperatorShiftedRanges_360,axiom,(
    ! [VarCurr] :
      ( v15254(VarCurr)
    <=> ( v15255(VarCurr)
        | v15057(VarCurr,bitIndex9) ) ) )).

fof(writeUnaryOperator_1165,axiom,(
    ! [VarCurr] :
      ( ~ v15255(VarCurr)
    <=> v15256(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3393,axiom,(
    ! [VarCurr] :
      ( v15256(VarCurr)
    <=> ( v15244(VarCurr)
        & v15246(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3392,axiom,(
    ! [VarCurr] :
      ( v15137(VarCurr)
    <=> ( v15138(VarCurr)
        | v15249(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_359,axiom,(
    ! [VarCurr] :
      ( v15249(VarCurr)
    <=> ( v15241(VarCurr)
        & v15154(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3391,axiom,(
    ! [VarCurr] :
      ( v15138(VarCurr)
    <=> ( v15139(VarCurr)
        & v15238(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3390,axiom,(
    ! [VarCurr] :
      ( v15238(VarCurr)
    <=> ( v15239(VarCurr)
        & v15248(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_358,axiom,(
    ! [VarCurr] :
      ( v15248(VarCurr)
    <=> ( v15241(VarCurr)
        | v15154(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3389,axiom,(
    ! [VarCurr] :
      ( v15239(VarCurr)
    <=> ( v15240(VarCurr)
        | v15247(VarCurr) ) ) )).

fof(writeUnaryOperator_1164,axiom,(
    ! [VarCurr] :
      ( ~ v15247(VarCurr)
    <=> v15154(VarCurr,bitIndex8) ) )).

fof(writeUnaryOperator_1163,axiom,(
    ! [VarCurr] :
      ( ~ v15240(VarCurr)
    <=> v15241(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3388,axiom,(
    ! [VarCurr] :
      ( v15241(VarCurr)
    <=> ( v15242(VarCurr)
        & v15245(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3387,axiom,(
    ! [VarCurr] :
      ( v15245(VarCurr)
    <=> ( v15244(VarCurr)
        | v15246(VarCurr) ) ) )).

fof(writeUnaryOperator_1162,axiom,(
    ! [VarCurr] :
      ( ~ v15246(VarCurr)
    <=> v15057(VarCurr,bitIndex8) ) )).

fof(writeBinaryOperatorShiftedRanges_357,axiom,(
    ! [VarCurr] :
      ( v15242(VarCurr)
    <=> ( v15243(VarCurr)
        | v15057(VarCurr,bitIndex8) ) ) )).

fof(writeUnaryOperator_1161,axiom,(
    ! [VarCurr] :
      ( ~ v15243(VarCurr)
    <=> v15244(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3386,axiom,(
    ! [VarCurr] :
      ( v15244(VarCurr)
    <=> ( v15232(VarCurr)
        & v15234(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3385,axiom,(
    ! [VarCurr] :
      ( v15139(VarCurr)
    <=> ( v15140(VarCurr)
        | v15237(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_356,axiom,(
    ! [VarCurr] :
      ( v15237(VarCurr)
    <=> ( v15229(VarCurr)
        & v15154(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3384,axiom,(
    ! [VarCurr] :
      ( v15140(VarCurr)
    <=> ( v15141(VarCurr)
        & v15226(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3383,axiom,(
    ! [VarCurr] :
      ( v15226(VarCurr)
    <=> ( v15227(VarCurr)
        & v15236(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_355,axiom,(
    ! [VarCurr] :
      ( v15236(VarCurr)
    <=> ( v15229(VarCurr)
        | v15154(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3382,axiom,(
    ! [VarCurr] :
      ( v15227(VarCurr)
    <=> ( v15228(VarCurr)
        | v15235(VarCurr) ) ) )).

fof(writeUnaryOperator_1160,axiom,(
    ! [VarCurr] :
      ( ~ v15235(VarCurr)
    <=> v15154(VarCurr,bitIndex7) ) )).

fof(writeUnaryOperator_1159,axiom,(
    ! [VarCurr] :
      ( ~ v15228(VarCurr)
    <=> v15229(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3381,axiom,(
    ! [VarCurr] :
      ( v15229(VarCurr)
    <=> ( v15230(VarCurr)
        & v15233(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3380,axiom,(
    ! [VarCurr] :
      ( v15233(VarCurr)
    <=> ( v15232(VarCurr)
        | v15234(VarCurr) ) ) )).

fof(writeUnaryOperator_1158,axiom,(
    ! [VarCurr] :
      ( ~ v15234(VarCurr)
    <=> v15057(VarCurr,bitIndex7) ) )).

fof(writeBinaryOperatorShiftedRanges_354,axiom,(
    ! [VarCurr] :
      ( v15230(VarCurr)
    <=> ( v15231(VarCurr)
        | v15057(VarCurr,bitIndex7) ) ) )).

fof(writeUnaryOperator_1157,axiom,(
    ! [VarCurr] :
      ( ~ v15231(VarCurr)
    <=> v15232(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3379,axiom,(
    ! [VarCurr] :
      ( v15232(VarCurr)
    <=> ( v15220(VarCurr)
        & v15222(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3378,axiom,(
    ! [VarCurr] :
      ( v15141(VarCurr)
    <=> ( v15142(VarCurr)
        | v15225(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_353,axiom,(
    ! [VarCurr] :
      ( v15225(VarCurr)
    <=> ( v15217(VarCurr)
        & v15154(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3377,axiom,(
    ! [VarCurr] :
      ( v15142(VarCurr)
    <=> ( v15143(VarCurr)
        & v15214(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3376,axiom,(
    ! [VarCurr] :
      ( v15214(VarCurr)
    <=> ( v15215(VarCurr)
        & v15224(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_352,axiom,(
    ! [VarCurr] :
      ( v15224(VarCurr)
    <=> ( v15217(VarCurr)
        | v15154(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3375,axiom,(
    ! [VarCurr] :
      ( v15215(VarCurr)
    <=> ( v15216(VarCurr)
        | v15223(VarCurr) ) ) )).

fof(writeUnaryOperator_1156,axiom,(
    ! [VarCurr] :
      ( ~ v15223(VarCurr)
    <=> v15154(VarCurr,bitIndex6) ) )).

fof(writeUnaryOperator_1155,axiom,(
    ! [VarCurr] :
      ( ~ v15216(VarCurr)
    <=> v15217(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3374,axiom,(
    ! [VarCurr] :
      ( v15217(VarCurr)
    <=> ( v15218(VarCurr)
        & v15221(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3373,axiom,(
    ! [VarCurr] :
      ( v15221(VarCurr)
    <=> ( v15220(VarCurr)
        | v15222(VarCurr) ) ) )).

fof(writeUnaryOperator_1154,axiom,(
    ! [VarCurr] :
      ( ~ v15222(VarCurr)
    <=> v15057(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_351,axiom,(
    ! [VarCurr] :
      ( v15218(VarCurr)
    <=> ( v15219(VarCurr)
        | v15057(VarCurr,bitIndex6) ) ) )).

fof(writeUnaryOperator_1153,axiom,(
    ! [VarCurr] :
      ( ~ v15219(VarCurr)
    <=> v15220(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3372,axiom,(
    ! [VarCurr] :
      ( v15220(VarCurr)
    <=> ( v15208(VarCurr)
        & v15210(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3371,axiom,(
    ! [VarCurr] :
      ( v15143(VarCurr)
    <=> ( v15144(VarCurr)
        | v15213(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_350,axiom,(
    ! [VarCurr] :
      ( v15213(VarCurr)
    <=> ( v15205(VarCurr)
        & v15154(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3370,axiom,(
    ! [VarCurr] :
      ( v15144(VarCurr)
    <=> ( v15145(VarCurr)
        & v15202(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3369,axiom,(
    ! [VarCurr] :
      ( v15202(VarCurr)
    <=> ( v15203(VarCurr)
        & v15212(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_349,axiom,(
    ! [VarCurr] :
      ( v15212(VarCurr)
    <=> ( v15205(VarCurr)
        | v15154(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3368,axiom,(
    ! [VarCurr] :
      ( v15203(VarCurr)
    <=> ( v15204(VarCurr)
        | v15211(VarCurr) ) ) )).

fof(writeUnaryOperator_1152,axiom,(
    ! [VarCurr] :
      ( ~ v15211(VarCurr)
    <=> v15154(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_1151,axiom,(
    ! [VarCurr] :
      ( ~ v15204(VarCurr)
    <=> v15205(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3367,axiom,(
    ! [VarCurr] :
      ( v15205(VarCurr)
    <=> ( v15206(VarCurr)
        & v15209(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3366,axiom,(
    ! [VarCurr] :
      ( v15209(VarCurr)
    <=> ( v15208(VarCurr)
        | v15210(VarCurr) ) ) )).

fof(writeUnaryOperator_1150,axiom,(
    ! [VarCurr] :
      ( ~ v15210(VarCurr)
    <=> v15057(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_348,axiom,(
    ! [VarCurr] :
      ( v15206(VarCurr)
    <=> ( v15207(VarCurr)
        | v15057(VarCurr,bitIndex5) ) ) )).

fof(writeUnaryOperator_1149,axiom,(
    ! [VarCurr] :
      ( ~ v15207(VarCurr)
    <=> v15208(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3365,axiom,(
    ! [VarCurr] :
      ( v15208(VarCurr)
    <=> ( v15196(VarCurr)
        & v15198(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3364,axiom,(
    ! [VarCurr] :
      ( v15145(VarCurr)
    <=> ( v15146(VarCurr)
        | v15201(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_347,axiom,(
    ! [VarCurr] :
      ( v15201(VarCurr)
    <=> ( v15193(VarCurr)
        & v15154(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3363,axiom,(
    ! [VarCurr] :
      ( v15146(VarCurr)
    <=> ( v15147(VarCurr)
        & v15190(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3362,axiom,(
    ! [VarCurr] :
      ( v15190(VarCurr)
    <=> ( v15191(VarCurr)
        & v15200(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_346,axiom,(
    ! [VarCurr] :
      ( v15200(VarCurr)
    <=> ( v15193(VarCurr)
        | v15154(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3361,axiom,(
    ! [VarCurr] :
      ( v15191(VarCurr)
    <=> ( v15192(VarCurr)
        | v15199(VarCurr) ) ) )).

fof(writeUnaryOperator_1148,axiom,(
    ! [VarCurr] :
      ( ~ v15199(VarCurr)
    <=> v15154(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_1147,axiom,(
    ! [VarCurr] :
      ( ~ v15192(VarCurr)
    <=> v15193(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3360,axiom,(
    ! [VarCurr] :
      ( v15193(VarCurr)
    <=> ( v15194(VarCurr)
        & v15197(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3359,axiom,(
    ! [VarCurr] :
      ( v15197(VarCurr)
    <=> ( v15196(VarCurr)
        | v15198(VarCurr) ) ) )).

fof(writeUnaryOperator_1146,axiom,(
    ! [VarCurr] :
      ( ~ v15198(VarCurr)
    <=> v15057(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_345,axiom,(
    ! [VarCurr] :
      ( v15194(VarCurr)
    <=> ( v15195(VarCurr)
        | v15057(VarCurr,bitIndex4) ) ) )).

fof(writeUnaryOperator_1145,axiom,(
    ! [VarCurr] :
      ( ~ v15195(VarCurr)
    <=> v15196(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3358,axiom,(
    ! [VarCurr] :
      ( v15196(VarCurr)
    <=> ( v15184(VarCurr)
        & v15186(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3357,axiom,(
    ! [VarCurr] :
      ( v15147(VarCurr)
    <=> ( v15148(VarCurr)
        | v15189(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_344,axiom,(
    ! [VarCurr] :
      ( v15189(VarCurr)
    <=> ( v15181(VarCurr)
        & v15154(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3356,axiom,(
    ! [VarCurr] :
      ( v15148(VarCurr)
    <=> ( v15149(VarCurr)
        & v15178(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3355,axiom,(
    ! [VarCurr] :
      ( v15178(VarCurr)
    <=> ( v15179(VarCurr)
        & v15188(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_343,axiom,(
    ! [VarCurr] :
      ( v15188(VarCurr)
    <=> ( v15181(VarCurr)
        | v15154(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3354,axiom,(
    ! [VarCurr] :
      ( v15179(VarCurr)
    <=> ( v15180(VarCurr)
        | v15187(VarCurr) ) ) )).

fof(writeUnaryOperator_1144,axiom,(
    ! [VarCurr] :
      ( ~ v15187(VarCurr)
    <=> v15154(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_1143,axiom,(
    ! [VarCurr] :
      ( ~ v15180(VarCurr)
    <=> v15181(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3353,axiom,(
    ! [VarCurr] :
      ( v15181(VarCurr)
    <=> ( v15182(VarCurr)
        & v15185(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3352,axiom,(
    ! [VarCurr] :
      ( v15185(VarCurr)
    <=> ( v15184(VarCurr)
        | v15186(VarCurr) ) ) )).

fof(writeUnaryOperator_1142,axiom,(
    ! [VarCurr] :
      ( ~ v15186(VarCurr)
    <=> v15057(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_342,axiom,(
    ! [VarCurr] :
      ( v15182(VarCurr)
    <=> ( v15183(VarCurr)
        | v15057(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_1141,axiom,(
    ! [VarCurr] :
      ( ~ v15183(VarCurr)
    <=> v15184(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3351,axiom,(
    ! [VarCurr] :
      ( v15184(VarCurr)
    <=> ( v15172(VarCurr)
        & v15174(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3350,axiom,(
    ! [VarCurr] :
      ( v15149(VarCurr)
    <=> ( v15150(VarCurr)
        | v15177(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_341,axiom,(
    ! [VarCurr] :
      ( v15177(VarCurr)
    <=> ( v15169(VarCurr)
        & v15154(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3349,axiom,(
    ! [VarCurr] :
      ( v15150(VarCurr)
    <=> ( v15151(VarCurr)
        & v15166(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3348,axiom,(
    ! [VarCurr] :
      ( v15166(VarCurr)
    <=> ( v15167(VarCurr)
        & v15176(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_340,axiom,(
    ! [VarCurr] :
      ( v15176(VarCurr)
    <=> ( v15169(VarCurr)
        | v15154(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3347,axiom,(
    ! [VarCurr] :
      ( v15167(VarCurr)
    <=> ( v15168(VarCurr)
        | v15175(VarCurr) ) ) )).

fof(writeUnaryOperator_1140,axiom,(
    ! [VarCurr] :
      ( ~ v15175(VarCurr)
    <=> v15154(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_1139,axiom,(
    ! [VarCurr] :
      ( ~ v15168(VarCurr)
    <=> v15169(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3346,axiom,(
    ! [VarCurr] :
      ( v15169(VarCurr)
    <=> ( v15170(VarCurr)
        & v15173(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3345,axiom,(
    ! [VarCurr] :
      ( v15173(VarCurr)
    <=> ( v15172(VarCurr)
        | v15174(VarCurr) ) ) )).

fof(writeUnaryOperator_1138,axiom,(
    ! [VarCurr] :
      ( ~ v15174(VarCurr)
    <=> v15057(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_339,axiom,(
    ! [VarCurr] :
      ( v15170(VarCurr)
    <=> ( v15171(VarCurr)
        | v15057(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_1137,axiom,(
    ! [VarCurr] :
      ( ~ v15171(VarCurr)
    <=> v15172(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3344,axiom,(
    ! [VarCurr] :
      ( v15172(VarCurr)
    <=> ( v15161(VarCurr)
        & v15162(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3343,axiom,(
    ! [VarCurr] :
      ( v15151(VarCurr)
    <=> ( v15152(VarCurr)
        | v15165(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_338,axiom,(
    ! [VarCurr] :
      ( v15165(VarCurr)
    <=> ( v15158(VarCurr)
        & v15154(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3342,axiom,(
    ! [VarCurr] :
      ( v15152(VarCurr)
    <=> ( v15153(VarCurr)
        & v15155(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3341,axiom,(
    ! [VarCurr] :
      ( v15155(VarCurr)
    <=> ( v15156(VarCurr)
        & v15164(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_337,axiom,(
    ! [VarCurr] :
      ( v15164(VarCurr)
    <=> ( v15158(VarCurr)
        | v15154(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3340,axiom,(
    ! [VarCurr] :
      ( v15156(VarCurr)
    <=> ( v15157(VarCurr)
        | v15163(VarCurr) ) ) )).

fof(writeUnaryOperator_1136,axiom,(
    ! [VarCurr] :
      ( ~ v15163(VarCurr)
    <=> v15154(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_1135,axiom,(
    ! [VarCurr] :
      ( ~ v15157(VarCurr)
    <=> v15158(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3339,axiom,(
    ! [VarCurr] :
      ( v15158(VarCurr)
    <=> ( v15159(VarCurr)
        & v15160(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3338,axiom,(
    ! [VarCurr] :
      ( v15160(VarCurr)
    <=> ( v15161(VarCurr)
        | v15162(VarCurr) ) ) )).

fof(writeUnaryOperator_1134,axiom,(
    ! [VarCurr] :
      ( ~ v15162(VarCurr)
    <=> v15057(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_1133,axiom,(
    ! [VarCurr] :
      ( ~ v15161(VarCurr)
    <=> v15057(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorShiftedRanges_336,axiom,(
    ! [VarCurr] :
      ( v15159(VarCurr)
    <=> ( v15057(VarCurr,bitIndex0)
        | v15057(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3337,axiom,(
    ! [VarCurr] :
      ( v15153(VarCurr)
    <=> ( v15057(VarCurr,bitIndex0)
        & v15154(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_3678,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v15154(VarCurr,B)
      <=> v15041(VarCurr,B) ) ) )).

fof(addAssignment_3677,axiom,(
    ! [VarCurr] :
      ( v15154(VarCurr,bitIndex27)
    <=> $false ) )).

fof(addAssignment_3676,axiom,(
    ! [VarCurr] :
      ( v15057(VarCurr,bitIndex18)
    <=> v15010(VarCurr,bitIndex25) ) )).

fof(addAssignment_3675,axiom,(
    ! [VarCurr] :
      ( v15010(VarCurr,bitIndex25)
    <=> v15037(VarCurr,bitIndex25) ) )).

fof(addAssignment_3674,axiom,(
    ! [VarCurr] :
      ( v15028(VarCurr,bitIndex25)
    <=> v15030(VarCurr,bitIndex25) ) )).

fof(addAssignment_3673,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex25)
    <=> v15095(VarCurr) ) )).

fof(addAssignment_3672,axiom,(
    ! [VarCurr] :
      ( v15018(VarCurr,bitIndex25)
    <=> v15020(VarCurr,bitIndex25) ) )).

fof(addAssignment_3671,axiom,(
    ! [VarCurr] :
      ( v15020(VarCurr,bitIndex25)
    <=> v15022(VarCurr,bitIndex25) ) )).

fof(addAssignment_3670,axiom,(
    ! [VarCurr] :
      ( v15022(VarCurr,bitIndex25)
    <=> v15024(VarCurr,bitIndex25) ) )).

fof(addAssignment_3669,axiom,(
    ! [VarCurr] :
      ( v15024(VarCurr,bitIndex25)
    <=> v15026(VarCurr,bitIndex25) ) )).

fof(addAssignment_3668,axiom,(
    ! [VarCurr] :
      ( v15057(VarCurr,bitIndex17)
    <=> v15010(VarCurr,bitIndex24) ) )).

fof(addAssignment_3667,axiom,(
    ! [VarCurr] :
      ( v15010(VarCurr,bitIndex24)
    <=> v15037(VarCurr,bitIndex24) ) )).

fof(addAssignment_3666,axiom,(
    ! [VarCurr] :
      ( v15028(VarCurr,bitIndex24)
    <=> v15030(VarCurr,bitIndex24) ) )).

fof(addAssignment_3665,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex24)
    <=> v15093(VarCurr) ) )).

fof(addAssignment_3664,axiom,(
    ! [VarCurr] :
      ( v15018(VarCurr,bitIndex24)
    <=> v15020(VarCurr,bitIndex24) ) )).

fof(addAssignment_3663,axiom,(
    ! [VarCurr] :
      ( v15020(VarCurr,bitIndex24)
    <=> v15022(VarCurr,bitIndex24) ) )).

fof(addAssignment_3662,axiom,(
    ! [VarCurr] :
      ( v15022(VarCurr,bitIndex24)
    <=> v15024(VarCurr,bitIndex24) ) )).

fof(addAssignment_3661,axiom,(
    ! [VarCurr] :
      ( v15024(VarCurr,bitIndex24)
    <=> v15026(VarCurr,bitIndex24) ) )).

fof(addAssignment_3660,axiom,(
    ! [VarCurr] :
      ( v15057(VarCurr,bitIndex16)
    <=> v15010(VarCurr,bitIndex23) ) )).

fof(addAssignment_3659,axiom,(
    ! [VarCurr] :
      ( v15010(VarCurr,bitIndex23)
    <=> v15037(VarCurr,bitIndex23) ) )).

fof(addAssignment_3658,axiom,(
    ! [VarCurr] :
      ( v15028(VarCurr,bitIndex23)
    <=> v15030(VarCurr,bitIndex23) ) )).

fof(addAssignment_3657,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex23)
    <=> v15091(VarCurr) ) )).

fof(addAssignment_3656,axiom,(
    ! [VarCurr] :
      ( v15018(VarCurr,bitIndex23)
    <=> v15020(VarCurr,bitIndex23) ) )).

fof(addAssignment_3655,axiom,(
    ! [VarCurr] :
      ( v15020(VarCurr,bitIndex23)
    <=> v15022(VarCurr,bitIndex23) ) )).

fof(addAssignment_3654,axiom,(
    ! [VarCurr] :
      ( v15022(VarCurr,bitIndex23)
    <=> v15024(VarCurr,bitIndex23) ) )).

fof(addAssignment_3653,axiom,(
    ! [VarCurr] :
      ( v15024(VarCurr,bitIndex23)
    <=> v15026(VarCurr,bitIndex23) ) )).

fof(addAssignment_3652,axiom,(
    ! [VarCurr] :
      ( v15057(VarCurr,bitIndex15)
    <=> v15010(VarCurr,bitIndex22) ) )).

fof(addAssignment_3651,axiom,(
    ! [VarCurr] :
      ( v15010(VarCurr,bitIndex22)
    <=> v15037(VarCurr,bitIndex22) ) )).

fof(addAssignment_3650,axiom,(
    ! [VarCurr] :
      ( v15028(VarCurr,bitIndex22)
    <=> v15030(VarCurr,bitIndex22) ) )).

fof(addAssignment_3649,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex22)
    <=> v15089(VarCurr) ) )).

fof(addAssignment_3648,axiom,(
    ! [VarCurr] :
      ( v15018(VarCurr,bitIndex22)
    <=> v15020(VarCurr,bitIndex22) ) )).

fof(addAssignment_3647,axiom,(
    ! [VarCurr] :
      ( v15020(VarCurr,bitIndex22)
    <=> v15022(VarCurr,bitIndex22) ) )).

fof(addAssignment_3646,axiom,(
    ! [VarCurr] :
      ( v15022(VarCurr,bitIndex22)
    <=> v15024(VarCurr,bitIndex22) ) )).

fof(addAssignment_3645,axiom,(
    ! [VarCurr] :
      ( v15024(VarCurr,bitIndex22)
    <=> v15026(VarCurr,bitIndex22) ) )).

fof(addAssignment_3644,axiom,(
    ! [VarCurr] :
      ( v15057(VarCurr,bitIndex14)
    <=> v15010(VarCurr,bitIndex21) ) )).

fof(addAssignment_3643,axiom,(
    ! [VarCurr] :
      ( v15010(VarCurr,bitIndex21)
    <=> v15037(VarCurr,bitIndex21) ) )).

fof(addAssignment_3642,axiom,(
    ! [VarCurr] :
      ( v15028(VarCurr,bitIndex21)
    <=> v15030(VarCurr,bitIndex21) ) )).

fof(addAssignment_3641,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex21)
    <=> v15087(VarCurr) ) )).

fof(addAssignment_3640,axiom,(
    ! [VarCurr] :
      ( v15018(VarCurr,bitIndex21)
    <=> v15020(VarCurr,bitIndex21) ) )).

fof(addAssignment_3639,axiom,(
    ! [VarCurr] :
      ( v15020(VarCurr,bitIndex21)
    <=> v15022(VarCurr,bitIndex21) ) )).

fof(addAssignment_3638,axiom,(
    ! [VarCurr] :
      ( v15022(VarCurr,bitIndex21)
    <=> v15024(VarCurr,bitIndex21) ) )).

fof(addAssignment_3637,axiom,(
    ! [VarCurr] :
      ( v15024(VarCurr,bitIndex21)
    <=> v15026(VarCurr,bitIndex21) ) )).

fof(addAssignment_3636,axiom,(
    ! [VarCurr] :
      ( v15057(VarCurr,bitIndex13)
    <=> v15010(VarCurr,bitIndex20) ) )).

fof(addAssignment_3635,axiom,(
    ! [VarCurr] :
      ( v15010(VarCurr,bitIndex20)
    <=> v15037(VarCurr,bitIndex20) ) )).

fof(addAssignment_3634,axiom,(
    ! [VarCurr] :
      ( v15028(VarCurr,bitIndex20)
    <=> v15030(VarCurr,bitIndex20) ) )).

fof(addAssignment_3633,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex20)
    <=> v15085(VarCurr) ) )).

fof(addAssignment_3632,axiom,(
    ! [VarCurr] :
      ( v15018(VarCurr,bitIndex20)
    <=> v15020(VarCurr,bitIndex20) ) )).

fof(addAssignment_3631,axiom,(
    ! [VarCurr] :
      ( v15020(VarCurr,bitIndex20)
    <=> v15022(VarCurr,bitIndex20) ) )).

fof(addAssignment_3630,axiom,(
    ! [VarCurr] :
      ( v15022(VarCurr,bitIndex20)
    <=> v15024(VarCurr,bitIndex20) ) )).

fof(addAssignment_3629,axiom,(
    ! [VarCurr] :
      ( v15024(VarCurr,bitIndex20)
    <=> v15026(VarCurr,bitIndex20) ) )).

fof(addAssignment_3628,axiom,(
    ! [VarCurr] :
      ( v15057(VarCurr,bitIndex12)
    <=> v15010(VarCurr,bitIndex19) ) )).

fof(addAssignment_3627,axiom,(
    ! [VarCurr] :
      ( v15010(VarCurr,bitIndex19)
    <=> v15037(VarCurr,bitIndex19) ) )).

fof(addAssignment_3626,axiom,(
    ! [VarCurr] :
      ( v15028(VarCurr,bitIndex19)
    <=> v15030(VarCurr,bitIndex19) ) )).

fof(addAssignment_3625,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex19)
    <=> v15083(VarCurr) ) )).

fof(addAssignment_3624,axiom,(
    ! [VarCurr] :
      ( v15018(VarCurr,bitIndex19)
    <=> v15020(VarCurr,bitIndex19) ) )).

fof(addAssignment_3623,axiom,(
    ! [VarCurr] :
      ( v15020(VarCurr,bitIndex19)
    <=> v15022(VarCurr,bitIndex19) ) )).

fof(addAssignment_3622,axiom,(
    ! [VarCurr] :
      ( v15022(VarCurr,bitIndex19)
    <=> v15024(VarCurr,bitIndex19) ) )).

fof(addAssignment_3621,axiom,(
    ! [VarCurr] :
      ( v15024(VarCurr,bitIndex19)
    <=> v15026(VarCurr,bitIndex19) ) )).

fof(addAssignment_3620,axiom,(
    ! [VarCurr] :
      ( v15057(VarCurr,bitIndex11)
    <=> v15010(VarCurr,bitIndex18) ) )).

fof(addAssignment_3619,axiom,(
    ! [VarCurr] :
      ( v15010(VarCurr,bitIndex18)
    <=> v15037(VarCurr,bitIndex18) ) )).

fof(addAssignment_3618,axiom,(
    ! [VarCurr] :
      ( v15028(VarCurr,bitIndex18)
    <=> v15030(VarCurr,bitIndex18) ) )).

fof(addAssignment_3617,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex18)
    <=> v15081(VarCurr) ) )).

fof(addAssignment_3616,axiom,(
    ! [VarCurr] :
      ( v15018(VarCurr,bitIndex18)
    <=> v15020(VarCurr,bitIndex18) ) )).

fof(addAssignment_3615,axiom,(
    ! [VarCurr] :
      ( v15020(VarCurr,bitIndex18)
    <=> v15022(VarCurr,bitIndex18) ) )).

fof(addAssignment_3614,axiom,(
    ! [VarCurr] :
      ( v15022(VarCurr,bitIndex18)
    <=> v15024(VarCurr,bitIndex18) ) )).

fof(addAssignment_3613,axiom,(
    ! [VarCurr] :
      ( v15024(VarCurr,bitIndex18)
    <=> v15026(VarCurr,bitIndex18) ) )).

fof(addAssignment_3612,axiom,(
    ! [VarCurr] :
      ( ( v15057(VarCurr,bitIndex10)
      <=> v15010(VarCurr,bitIndex17) )
      & ( v15057(VarCurr,bitIndex9)
      <=> v15010(VarCurr,bitIndex16) )
      & ( v15057(VarCurr,bitIndex8)
      <=> v15010(VarCurr,bitIndex15) )
      & ( v15057(VarCurr,bitIndex7)
      <=> v15010(VarCurr,bitIndex14) )
      & ( v15057(VarCurr,bitIndex6)
      <=> v15010(VarCurr,bitIndex13) )
      & ( v15057(VarCurr,bitIndex5)
      <=> v15010(VarCurr,bitIndex12) )
      & ( v15057(VarCurr,bitIndex4)
      <=> v15010(VarCurr,bitIndex11) )
      & ( v15057(VarCurr,bitIndex3)
      <=> v15010(VarCurr,bitIndex10) )
      & ( v15057(VarCurr,bitIndex2)
      <=> v15010(VarCurr,bitIndex9) )
      & ( v15057(VarCurr,bitIndex1)
      <=> v15010(VarCurr,bitIndex8) )
      & ( v15057(VarCurr,bitIndex0)
      <=> v15010(VarCurr,bitIndex7) ) ) )).

fof(addAssignment_3611,axiom,(
    ! [VarCurr,B] :
      ( range_17_7(B)
     => ( v15010(VarCurr,B)
      <=> v15037(VarCurr,B) ) ) )).

fof(addAssignment_3610,axiom,(
    ! [VarCurr,B] :
      ( range_17_7(B)
     => ( v15028(VarCurr,B)
      <=> v15030(VarCurr,B) ) ) )).

fof(addAssignment_3609,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex17)
    <=> v15059(VarCurr) ) )).

fof(addAssignment_3608,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex16)
    <=> v15061(VarCurr) ) )).

fof(addAssignment_3607,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex15)
    <=> v15063(VarCurr) ) )).

fof(addAssignment_3606,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex14)
    <=> v15065(VarCurr) ) )).

fof(addAssignment_3605,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex13)
    <=> v15067(VarCurr) ) )).

fof(addAssignment_3604,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex12)
    <=> v15069(VarCurr) ) )).

fof(addAssignment_3603,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex11)
    <=> v15071(VarCurr) ) )).

fof(addAssignment_3602,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex10)
    <=> v15073(VarCurr) ) )).

fof(addAssignment_3601,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex9)
    <=> v15075(VarCurr) ) )).

fof(addAssignment_3600,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex8)
    <=> v15077(VarCurr) ) )).

fof(addAssignment_3599,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex7)
    <=> v15079(VarCurr) ) )).

fof(addAssignment_3598,axiom,(
    ! [VarCurr,B] :
      ( range_17_7(B)
     => ( v15018(VarCurr,B)
      <=> v15020(VarCurr,B) ) ) )).

fof(addAssignment_3597,axiom,(
    ! [VarCurr,B] :
      ( range_17_7(B)
     => ( v15020(VarCurr,B)
      <=> v15022(VarCurr,B) ) ) )).

fof(addAssignment_3596,axiom,(
    ! [VarCurr,B] :
      ( range_17_7(B)
     => ( v15022(VarCurr,B)
      <=> v15024(VarCurr,B) ) ) )).

fof(addAssignment_3595,axiom,(
    ! [VarCurr,B] :
      ( range_17_7(B)
     => ( v15024(VarCurr,B)
      <=> v15026(VarCurr,B) ) ) )).

fof(range_axiom_45,axiom,(
    ! [B] :
      ( range_17_7(B)
    <=> ( $false
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B ) ) )).

fof(addAssignment_3594,axiom,(
    ! [VarCurr] :
      ( v15041(VarCurr,bitIndex18)
    <=> v15042(VarCurr,bitIndex18) ) )).

fof(addAssignment_3593,axiom,(
    ! [VarCurr] :
      ( v15041(VarCurr,bitIndex17)
    <=> v15042(VarCurr,bitIndex17) ) )).

fof(addAssignment_3592,axiom,(
    ! [VarCurr] :
      ( v15041(VarCurr,bitIndex16)
    <=> v15042(VarCurr,bitIndex16) ) )).

fof(addAssignment_3591,axiom,(
    ! [VarCurr] :
      ( v15041(VarCurr,bitIndex15)
    <=> v15042(VarCurr,bitIndex15) ) )).

fof(addAssignment_3590,axiom,(
    ! [VarCurr] :
      ( v15041(VarCurr,bitIndex14)
    <=> v15042(VarCurr,bitIndex14) ) )).

fof(addAssignment_3589,axiom,(
    ! [VarCurr] :
      ( v15041(VarCurr,bitIndex13)
    <=> v15042(VarCurr,bitIndex13) ) )).

fof(addAssignment_3588,axiom,(
    ! [VarCurr] :
      ( v15041(VarCurr,bitIndex12)
    <=> v15042(VarCurr,bitIndex12) ) )).

fof(addAssignment_3587,axiom,(
    ! [VarCurr] :
      ( v15041(VarCurr,bitIndex11)
    <=> v15042(VarCurr,bitIndex11) ) )).

fof(addAssignment_3586,axiom,(
    ! [VarCurr,B] :
      ( range_10_0(B)
     => ( v15041(VarCurr,B)
      <=> v15042(VarCurr,B) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges7_3,axiom,(
    ! [VarCurr] :
      ( ( ~ v15043(VarCurr)
        & ~ v15044(VarCurr)
        & ~ v15046(VarCurr)
        & ~ v15047(VarCurr)
        & ~ v15049(VarCurr)
        & ~ v15050(VarCurr)
        & ~ v15053(VarCurr) )
     => ! [B] :
          ( range_26_0(B)
         => ( v15042(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges6_3,axiom,(
    ! [VarCurr] :
      ( v15053(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v15042(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges5_5,axiom,(
    ! [VarCurr] :
      ( v15050(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v15042(VarCurr,B)
          <=> v15051(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges4_8,axiom,(
    ! [VarCurr] :
      ( v15049(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v15042(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_25,axiom,(
    ! [VarCurr] :
      ( v15047(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v15042(VarCurr,B)
          <=> v15048(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_234,axiom,(
    ! [VarCurr] :
      ( v15046(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v15042(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_569,axiom,(
    ! [VarCurr] :
      ( v15044(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v15042(VarCurr,B)
          <=> v15045(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_2,axiom,(
    ! [VarCurr] :
      ( v15043(VarCurr)
     => ( ( v15042(VarCurr,bitIndex26)
        <=> v14431(VarCurr,bitIndex37) )
        & ( v15042(VarCurr,bitIndex25)
        <=> v14431(VarCurr,bitIndex36) )
        & ( v15042(VarCurr,bitIndex24)
        <=> v14431(VarCurr,bitIndex35) )
        & ( v15042(VarCurr,bitIndex23)
        <=> v14431(VarCurr,bitIndex34) )
        & ( v15042(VarCurr,bitIndex22)
        <=> v14431(VarCurr,bitIndex33) )
        & ( v15042(VarCurr,bitIndex21)
        <=> v14431(VarCurr,bitIndex32) )
        & ( v15042(VarCurr,bitIndex20)
        <=> v14431(VarCurr,bitIndex31) )
        & ( v15042(VarCurr,bitIndex19)
        <=> v14431(VarCurr,bitIndex30) )
        & ( v15042(VarCurr,bitIndex18)
        <=> v14431(VarCurr,bitIndex29) )
        & ( v15042(VarCurr,bitIndex17)
        <=> v14431(VarCurr,bitIndex28) )
        & ( v15042(VarCurr,bitIndex16)
        <=> v14431(VarCurr,bitIndex27) )
        & ( v15042(VarCurr,bitIndex15)
        <=> v14431(VarCurr,bitIndex26) )
        & ( v15042(VarCurr,bitIndex14)
        <=> v14431(VarCurr,bitIndex25) )
        & ( v15042(VarCurr,bitIndex13)
        <=> v14431(VarCurr,bitIndex24) )
        & ( v15042(VarCurr,bitIndex12)
        <=> v14431(VarCurr,bitIndex23) )
        & ( v15042(VarCurr,bitIndex11)
        <=> v14431(VarCurr,bitIndex22) )
        & ( v15042(VarCurr,bitIndex10)
        <=> v14431(VarCurr,bitIndex21) )
        & ( v15042(VarCurr,bitIndex9)
        <=> v14431(VarCurr,bitIndex20) )
        & ( v15042(VarCurr,bitIndex8)
        <=> v14431(VarCurr,bitIndex19) )
        & ( v15042(VarCurr,bitIndex7)
        <=> v14431(VarCurr,bitIndex18) )
        & ( v15042(VarCurr,bitIndex6)
        <=> v14431(VarCurr,bitIndex17) )
        & ( v15042(VarCurr,bitIndex5)
        <=> v14431(VarCurr,bitIndex16) )
        & ( v15042(VarCurr,bitIndex4)
        <=> v14431(VarCurr,bitIndex15) )
        & ( v15042(VarCurr,bitIndex3)
        <=> v14431(VarCurr,bitIndex14) )
        & ( v15042(VarCurr,bitIndex2)
        <=> v14431(VarCurr,bitIndex13) )
        & ( v15042(VarCurr,bitIndex1)
        <=> v14431(VarCurr,bitIndex12) )
        & ( v15042(VarCurr,bitIndex0)
        <=> v14431(VarCurr,bitIndex11) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3336,axiom,(
    ! [VarCurr] :
      ( v15053(VarCurr)
    <=> ( v15054(VarCurr)
        | v15055(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1068,axiom,(
    ! [VarCurr] :
      ( v15055(VarCurr)
    <=> ( ( v15008(VarCurr,bitIndex2)
        <=> $true )
        & ( v15008(VarCurr,bitIndex1)
        <=> $true )
        & ( v15008(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1067,axiom,(
    ! [VarCurr] :
      ( v15054(VarCurr)
    <=> ( ( v15008(VarCurr,bitIndex2)
        <=> $true )
        & ( v15008(VarCurr,bitIndex1)
        <=> $true )
        & ( v15008(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_3585,axiom,(
    ! [VarCurr] :
      ( ( v15051(VarCurr,bitIndex11)
      <=> v14431(VarCurr,bitIndex37) )
      & ( v15051(VarCurr,bitIndex10)
      <=> v14431(VarCurr,bitIndex36) )
      & ( v15051(VarCurr,bitIndex9)
      <=> v14431(VarCurr,bitIndex35) )
      & ( v15051(VarCurr,bitIndex8)
      <=> v14431(VarCurr,bitIndex34) )
      & ( v15051(VarCurr,bitIndex7)
      <=> v14431(VarCurr,bitIndex33) )
      & ( v15051(VarCurr,bitIndex6)
      <=> v14431(VarCurr,bitIndex32) )
      & ( v15051(VarCurr,bitIndex5)
      <=> v14431(VarCurr,bitIndex31) )
      & ( v15051(VarCurr,bitIndex4)
      <=> v14431(VarCurr,bitIndex30) )
      & ( v15051(VarCurr,bitIndex3)
      <=> v14431(VarCurr,bitIndex29) )
      & ( v15051(VarCurr,bitIndex2)
      <=> v14431(VarCurr,bitIndex28) )
      & ( v15051(VarCurr,bitIndex1)
      <=> v14431(VarCurr,bitIndex27) )
      & ( v15051(VarCurr,bitIndex0)
      <=> v14431(VarCurr,bitIndex26) ) ) )).

fof(addAssignment_3584,axiom,(
    ! [VarCurr] :
      ( ( v15051(VarCurr,bitIndex26)
      <=> $false )
      & ( v15051(VarCurr,bitIndex25)
      <=> $false )
      & ( v15051(VarCurr,bitIndex24)
      <=> $false )
      & ( v15051(VarCurr,bitIndex23)
      <=> $false )
      & ( v15051(VarCurr,bitIndex22)
      <=> $false )
      & ( v15051(VarCurr,bitIndex21)
      <=> $false )
      & ( v15051(VarCurr,bitIndex20)
      <=> $false )
      & ( v15051(VarCurr,bitIndex19)
      <=> $false )
      & ( v15051(VarCurr,bitIndex18)
      <=> $false )
      & ( v15051(VarCurr,bitIndex17)
      <=> $false )
      & ( v15051(VarCurr,bitIndex16)
      <=> $false )
      & ( v15051(VarCurr,bitIndex15)
      <=> $false )
      & ( v15051(VarCurr,bitIndex14)
      <=> $false )
      & ( v15051(VarCurr,bitIndex13)
      <=> $false )
      & ( v15051(VarCurr,bitIndex12)
      <=> $false ) ) )).

fof(bitBlastConstant_7655,axiom,(
    ~ b000000000000000(bitIndex14) )).

fof(bitBlastConstant_7654,axiom,(
    ~ b000000000000000(bitIndex13) )).

fof(bitBlastConstant_7653,axiom,(
    ~ b000000000000000(bitIndex12) )).

fof(bitBlastConstant_7652,axiom,(
    ~ b000000000000000(bitIndex11) )).

fof(bitBlastConstant_7651,axiom,(
    ~ b000000000000000(bitIndex10) )).

fof(bitBlastConstant_7650,axiom,(
    ~ b000000000000000(bitIndex9) )).

fof(bitBlastConstant_7649,axiom,(
    ~ b000000000000000(bitIndex8) )).

fof(bitBlastConstant_7648,axiom,(
    ~ b000000000000000(bitIndex7) )).

fof(bitBlastConstant_7647,axiom,(
    ~ b000000000000000(bitIndex6) )).

fof(bitBlastConstant_7646,axiom,(
    ~ b000000000000000(bitIndex5) )).

fof(bitBlastConstant_7645,axiom,(
    ~ b000000000000000(bitIndex4) )).

fof(bitBlastConstant_7644,axiom,(
    ~ b000000000000000(bitIndex3) )).

fof(bitBlastConstant_7643,axiom,(
    ~ b000000000000000(bitIndex2) )).

fof(bitBlastConstant_7642,axiom,(
    ~ b000000000000000(bitIndex1) )).

fof(bitBlastConstant_7641,axiom,(
    ~ b000000000000000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_1066,axiom,(
    ! [VarCurr] :
      ( v15050(VarCurr)
    <=> ( ( v15008(VarCurr,bitIndex2)
        <=> $true )
        & ( v15008(VarCurr,bitIndex1)
        <=> $false )
        & ( v15008(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1065,axiom,(
    ! [VarCurr] :
      ( v15049(VarCurr)
    <=> ( ( v15008(VarCurr,bitIndex2)
        <=> $true )
        & ( v15008(VarCurr,bitIndex1)
        <=> $false )
        & ( v15008(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_3583,axiom,(
    ! [VarCurr] :
      ( ( v15048(VarCurr,bitIndex17)
      <=> v14431(VarCurr,bitIndex37) )
      & ( v15048(VarCurr,bitIndex16)
      <=> v14431(VarCurr,bitIndex36) )
      & ( v15048(VarCurr,bitIndex15)
      <=> v14431(VarCurr,bitIndex35) )
      & ( v15048(VarCurr,bitIndex14)
      <=> v14431(VarCurr,bitIndex34) )
      & ( v15048(VarCurr,bitIndex13)
      <=> v14431(VarCurr,bitIndex33) )
      & ( v15048(VarCurr,bitIndex12)
      <=> v14431(VarCurr,bitIndex32) )
      & ( v15048(VarCurr,bitIndex11)
      <=> v14431(VarCurr,bitIndex31) )
      & ( v15048(VarCurr,bitIndex10)
      <=> v14431(VarCurr,bitIndex30) )
      & ( v15048(VarCurr,bitIndex9)
      <=> v14431(VarCurr,bitIndex29) )
      & ( v15048(VarCurr,bitIndex8)
      <=> v14431(VarCurr,bitIndex28) )
      & ( v15048(VarCurr,bitIndex7)
      <=> v14431(VarCurr,bitIndex27) )
      & ( v15048(VarCurr,bitIndex6)
      <=> v14431(VarCurr,bitIndex26) )
      & ( v15048(VarCurr,bitIndex5)
      <=> v14431(VarCurr,bitIndex25) )
      & ( v15048(VarCurr,bitIndex4)
      <=> v14431(VarCurr,bitIndex24) )
      & ( v15048(VarCurr,bitIndex3)
      <=> v14431(VarCurr,bitIndex23) )
      & ( v15048(VarCurr,bitIndex2)
      <=> v14431(VarCurr,bitIndex22) )
      & ( v15048(VarCurr,bitIndex1)
      <=> v14431(VarCurr,bitIndex21) )
      & ( v15048(VarCurr,bitIndex0)
      <=> v14431(VarCurr,bitIndex20) ) ) )).

fof(addAssignment_3582,axiom,(
    ! [VarCurr] :
      ( ( v15048(VarCurr,bitIndex26)
      <=> $false )
      & ( v15048(VarCurr,bitIndex25)
      <=> $false )
      & ( v15048(VarCurr,bitIndex24)
      <=> $false )
      & ( v15048(VarCurr,bitIndex23)
      <=> $false )
      & ( v15048(VarCurr,bitIndex22)
      <=> $false )
      & ( v15048(VarCurr,bitIndex21)
      <=> $false )
      & ( v15048(VarCurr,bitIndex20)
      <=> $false )
      & ( v15048(VarCurr,bitIndex19)
      <=> $false )
      & ( v15048(VarCurr,bitIndex18)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1064,axiom,(
    ! [VarCurr] :
      ( v15047(VarCurr)
    <=> ( ( v15008(VarCurr,bitIndex2)
        <=> $false )
        & ( v15008(VarCurr,bitIndex1)
        <=> $true )
        & ( v15008(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1063,axiom,(
    ! [VarCurr] :
      ( v15046(VarCurr)
    <=> ( ( v15008(VarCurr,bitIndex2)
        <=> $false )
        & ( v15008(VarCurr,bitIndex1)
        <=> $true )
        & ( v15008(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_3581,axiom,(
    ! [VarCurr] :
      ( ( v15045(VarCurr,bitIndex23)
      <=> v14431(VarCurr,bitIndex37) )
      & ( v15045(VarCurr,bitIndex22)
      <=> v14431(VarCurr,bitIndex36) )
      & ( v15045(VarCurr,bitIndex21)
      <=> v14431(VarCurr,bitIndex35) )
      & ( v15045(VarCurr,bitIndex20)
      <=> v14431(VarCurr,bitIndex34) )
      & ( v15045(VarCurr,bitIndex19)
      <=> v14431(VarCurr,bitIndex33) )
      & ( v15045(VarCurr,bitIndex18)
      <=> v14431(VarCurr,bitIndex32) )
      & ( v15045(VarCurr,bitIndex17)
      <=> v14431(VarCurr,bitIndex31) )
      & ( v15045(VarCurr,bitIndex16)
      <=> v14431(VarCurr,bitIndex30) )
      & ( v15045(VarCurr,bitIndex15)
      <=> v14431(VarCurr,bitIndex29) )
      & ( v15045(VarCurr,bitIndex14)
      <=> v14431(VarCurr,bitIndex28) )
      & ( v15045(VarCurr,bitIndex13)
      <=> v14431(VarCurr,bitIndex27) )
      & ( v15045(VarCurr,bitIndex12)
      <=> v14431(VarCurr,bitIndex26) )
      & ( v15045(VarCurr,bitIndex11)
      <=> v14431(VarCurr,bitIndex25) )
      & ( v15045(VarCurr,bitIndex10)
      <=> v14431(VarCurr,bitIndex24) )
      & ( v15045(VarCurr,bitIndex9)
      <=> v14431(VarCurr,bitIndex23) )
      & ( v15045(VarCurr,bitIndex8)
      <=> v14431(VarCurr,bitIndex22) )
      & ( v15045(VarCurr,bitIndex7)
      <=> v14431(VarCurr,bitIndex21) )
      & ( v15045(VarCurr,bitIndex6)
      <=> v14431(VarCurr,bitIndex20) )
      & ( v15045(VarCurr,bitIndex5)
      <=> v14431(VarCurr,bitIndex19) )
      & ( v15045(VarCurr,bitIndex4)
      <=> v14431(VarCurr,bitIndex18) )
      & ( v15045(VarCurr,bitIndex3)
      <=> v14431(VarCurr,bitIndex17) )
      & ( v15045(VarCurr,bitIndex2)
      <=> v14431(VarCurr,bitIndex16) )
      & ( v15045(VarCurr,bitIndex1)
      <=> v14431(VarCurr,bitIndex15) )
      & ( v15045(VarCurr,bitIndex0)
      <=> v14431(VarCurr,bitIndex14) ) ) )).

fof(addAssignment_3580,axiom,(
    ! [VarCurr] :
      ( ( v15045(VarCurr,bitIndex26)
      <=> $false )
      & ( v15045(VarCurr,bitIndex25)
      <=> $false )
      & ( v15045(VarCurr,bitIndex24)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_1062,axiom,(
    ! [VarCurr] :
      ( v15044(VarCurr)
    <=> ( ( v15008(VarCurr,bitIndex2)
        <=> $false )
        & ( v15008(VarCurr,bitIndex1)
        <=> $false )
        & ( v15008(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_1061,axiom,(
    ! [VarCurr] :
      ( v15043(VarCurr)
    <=> ( ( v15008(VarCurr,bitIndex2)
        <=> $false )
        & ( v15008(VarCurr,bitIndex1)
        <=> $false )
        & ( v15008(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_3579,axiom,(
    ! [VarCurr] :
      ( ( v15008(VarCurr,bitIndex2)
      <=> v15010(VarCurr,bitIndex6) )
      & ( v15008(VarCurr,bitIndex1)
      <=> v15010(VarCurr,bitIndex5) )
      & ( v15008(VarCurr,bitIndex0)
      <=> v15010(VarCurr,bitIndex4) ) ) )).

fof(addAssignment_3578,axiom,(
    ! [VarCurr,B] :
      ( range_6_4(B)
     => ( v15010(VarCurr,B)
      <=> v15037(VarCurr,B) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_376,axiom,(
    ! [VarCurr] :
      ( ~ v15012(VarCurr)
     => ! [B] :
          ( range_63_0(B)
         => ( v15037(VarCurr,B)
          <=> v15028(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_380,axiom,(
    ! [VarCurr] :
      ( v15012(VarCurr)
     => ! [B] :
          ( range_63_0(B)
         => ( v15037(VarCurr,B)
          <=> v15018(VarCurr,B) ) ) ) )).

fof(range_axiom_44,axiom,(
    ! [B] :
      ( range_63_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B
        | bitIndex44 = B
        | bitIndex45 = B
        | bitIndex46 = B
        | bitIndex47 = B
        | bitIndex48 = B
        | bitIndex49 = B
        | bitIndex50 = B
        | bitIndex51 = B
        | bitIndex52 = B
        | bitIndex53 = B
        | bitIndex54 = B
        | bitIndex55 = B
        | bitIndex56 = B
        | bitIndex57 = B
        | bitIndex58 = B
        | bitIndex59 = B
        | bitIndex60 = B
        | bitIndex61 = B
        | bitIndex62 = B
        | bitIndex63 = B ) ) )).

fof(addAssignment_3577,axiom,(
    ! [VarCurr,B] :
      ( range_6_4(B)
     => ( v15028(VarCurr,B)
      <=> v15030(VarCurr,B) ) ) )).

fof(addAssignment_3576,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex6)
    <=> v15032(VarCurr) ) )).

fof(addAssignment_3575,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex5)
    <=> v15034(VarCurr) ) )).

fof(addAssignment_3574,axiom,(
    ! [VarCurr] :
      ( v15030(VarCurr,bitIndex4)
    <=> v15036(VarCurr) ) )).

fof(addAssignment_3573,axiom,(
    ! [VarCurr,B] :
      ( range_6_4(B)
     => ( v15018(VarCurr,B)
      <=> v15020(VarCurr,B) ) ) )).

fof(addAssignment_3572,axiom,(
    ! [VarCurr,B] :
      ( range_6_4(B)
     => ( v15020(VarCurr,B)
      <=> v15022(VarCurr,B) ) ) )).

fof(addAssignment_3571,axiom,(
    ! [VarCurr,B] :
      ( range_6_4(B)
     => ( v15022(VarCurr,B)
      <=> v15024(VarCurr,B) ) ) )).

fof(addAssignment_3570,axiom,(
    ! [VarCurr,B] :
      ( range_6_4(B)
     => ( v15024(VarCurr,B)
      <=> v15026(VarCurr,B) ) ) )).

fof(range_axiom_43,axiom,(
    ! [B] :
      ( range_6_4(B)
    <=> ( $false
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B ) ) )).

fof(addAssignment_3569,axiom,(
    ! [VarCurr] :
      ( v15012(VarCurr)
    <=> v15014(VarCurr) ) )).

fof(addAssignment_3568,axiom,(
    ! [VarCurr] :
      ( v15014(VarCurr)
    <=> v15016(VarCurr) ) )).

fof(addAssignment_3567,axiom,(
    ! [VarCurr] :
      ( v14997(VarCurr)
    <=> v14999(VarCurr) ) )).

fof(addAssignment_3566,axiom,(
    ! [VarCurr] :
      ( v14999(VarCurr)
    <=> v15001(VarCurr) ) )).

fof(addAssignment_3565,axiom,(
    ! [VarCurr] :
      ( v15001(VarCurr)
    <=> v15003(VarCurr) ) )).

fof(addAssignment_3564,axiom,(
    ! [VarCurr] :
      ( v15003(VarCurr)
    <=> v13765(VarCurr,bitIndex1) ) )).

fof(addAssignment_3563,axiom,(
    ! [VarCurr] :
      ( v14994(VarCurr)
    <=> v7937(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_375,axiom,(
    ! [VarCurr] :
      ( ~ v14563(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v14561(VarCurr,B)
          <=> v14681(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_379,axiom,(
    ! [VarCurr] :
      ( v14563(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v14561(VarCurr,B)
          <=> v14971(VarCurr,B) ) ) ) )).

fof(addAssignment_3562,axiom,(
    ! [VarCurr] :
      ( v14971(VarCurr,bitIndex0)
    <=> v14989(VarCurr) ) )).

fof(addAssignment_3561,axiom,(
    ! [VarCurr] :
      ( v14971(VarCurr,bitIndex1)
    <=> v14987(VarCurr) ) )).

fof(addAssignment_3560,axiom,(
    ! [VarCurr] :
      ( v14971(VarCurr,bitIndex2)
    <=> v14982(VarCurr) ) )).

fof(addAssignment_3559,axiom,(
    ! [VarCurr] :
      ( v14971(VarCurr,bitIndex3)
    <=> v14973(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3335,axiom,(
    ! [VarCurr] :
      ( v14987(VarCurr)
    <=> ( v14988(VarCurr)
        & v14990(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3334,axiom,(
    ! [VarCurr] :
      ( v14990(VarCurr)
    <=> ( v14681(VarCurr,bitIndex0)
        | v14979(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_335,axiom,(
    ! [VarCurr] :
      ( v14988(VarCurr)
    <=> ( v14989(VarCurr)
        | v14681(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_1132,axiom,(
    ! [VarCurr] :
      ( ~ v14989(VarCurr)
    <=> v14681(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3333,axiom,(
    ! [VarCurr] :
      ( v14982(VarCurr)
    <=> ( v14983(VarCurr)
        & v14986(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_334,axiom,(
    ! [VarCurr] :
      ( v14986(VarCurr)
    <=> ( v14977(VarCurr)
        | v14681(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3332,axiom,(
    ! [VarCurr] :
      ( v14983(VarCurr)
    <=> ( v14984(VarCurr)
        | v14985(VarCurr) ) ) )).

fof(writeUnaryOperator_1131,axiom,(
    ! [VarCurr] :
      ( ~ v14985(VarCurr)
    <=> v14681(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_1130,axiom,(
    ! [VarCurr] :
      ( ~ v14984(VarCurr)
    <=> v14977(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3331,axiom,(
    ! [VarCurr] :
      ( v14973(VarCurr)
    <=> ( v14974(VarCurr)
        & v14981(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_333,axiom,(
    ! [VarCurr] :
      ( v14981(VarCurr)
    <=> ( v14976(VarCurr)
        | v14681(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3330,axiom,(
    ! [VarCurr] :
      ( v14974(VarCurr)
    <=> ( v14975(VarCurr)
        | v14980(VarCurr) ) ) )).

fof(writeUnaryOperator_1129,axiom,(
    ! [VarCurr] :
      ( ~ v14980(VarCurr)
    <=> v14681(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_1128,axiom,(
    ! [VarCurr] :
      ( ~ v14975(VarCurr)
    <=> v14976(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_332,axiom,(
    ! [VarCurr] :
      ( v14976(VarCurr)
    <=> ( v14977(VarCurr)
        & v14681(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_331,axiom,(
    ! [VarCurr] :
      ( v14977(VarCurr)
    <=> ( v14681(VarCurr,bitIndex1)
        | v14978(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3329,axiom,(
    ! [VarCurr] :
      ( v14978(VarCurr)
    <=> ( v14681(VarCurr,bitIndex0)
        & v14979(VarCurr) ) ) )).

fof(writeUnaryOperator_1127,axiom,(
    ! [VarCurr] :
      ( ~ v14979(VarCurr)
    <=> v14681(VarCurr,bitIndex1) ) )).

fof(addAssignment_3558,axiom,(
    ! [VarCurr] :
      ( v14681(VarCurr,bitIndex3)
    <=> v14683(VarCurr,bitIndex3) ) )).

fof(addAssignment_3557,axiom,(
    ! [VarCurr] :
      ( v14683(VarCurr,bitIndex3)
    <=> v14685(VarCurr,bitIndex3) ) )).

fof(addAssignment_3556,axiom,(
    ! [VarCurr] :
      ( v14685(VarCurr,bitIndex3)
    <=> v14687(VarCurr,bitIndex3) ) )).

fof(addAssignment_3555,axiom,(
    ! [VarCurr] :
      ( v14687(VarCurr,bitIndex3)
    <=> v14689(VarCurr,bitIndex3) ) )).

fof(addAssignment_3554,axiom,(
    ! [VarCurr] :
      ( v14689(VarCurr,bitIndex3)
    <=> v14691(VarCurr,bitIndex3) ) )).

fof(addAssignment_3553,axiom,(
    ! [VarCurr] :
      ( v14691(VarCurr,bitIndex3)
    <=> v14693(VarCurr,bitIndex3) ) )).

fof(addAssignment_3552,axiom,(
    ! [VarCurr] :
      ( v14693(VarCurr,bitIndex3)
    <=> v14695(VarCurr,bitIndex3) ) )).

fof(addAssignment_3551,axiom,(
    ! [VarCurr] :
      ( v14695(VarCurr,bitIndex3)
    <=> v14697(VarCurr,bitIndex3) ) )).

fof(addAssignment_3550,axiom,(
    ! [VarCurr] :
      ( v14697(VarCurr,bitIndex3)
    <=> v14581(VarCurr,bitIndex3) ) )).

fof(addAssignment_3549,axiom,(
    ! [VarCurr] :
      ( v14581(VarCurr,bitIndex3)
    <=> v14583(VarCurr,bitIndex3) ) )).

fof(addAssignment_3548,axiom,(
    ! [VarCurr] :
      ( v14583(VarCurr,bitIndex3)
    <=> v14903(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_172,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14926(VarNext)
       => ( v14903(VarNext)
        <=> v14903(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_193,axiom,(
    ! [VarNext] :
      ( v14926(VarNext)
     => ( v14903(VarNext)
      <=> v14961(VarNext) ) ) )).

fof(addAssignment_3547,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14961(VarNext)
      <=> v14959(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_568,axiom,(
    ! [VarCurr] :
      ( ~ v14905(VarCurr)
     => ( v14959(VarCurr)
      <=> v14962(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_571,axiom,(
    ! [VarCurr] :
      ( v14905(VarCurr)
     => ( v14959(VarCurr)
      <=> v14907(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_567,axiom,(
    ! [VarCurr] :
      ( ~ v14939(VarCurr)
     => ( v14962(VarCurr)
      <=> v14921(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_570,axiom,(
    ! [VarCurr] :
      ( v14939(VarCurr)
     => ( v14962(VarCurr)
      <=> v14963(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_233,axiom,(
    ! [VarCurr] :
      ( ( ~ v14942(VarCurr)
        & ~ v14944(VarCurr) )
     => ( v14963(VarCurr)
      <=> v14967(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_566,axiom,(
    ! [VarCurr] :
      ( v14944(VarCurr)
     => ( v14963(VarCurr)
      <=> v14966(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_569,axiom,(
    ! [VarCurr] :
      ( v14942(VarCurr)
     => ( v14963(VarCurr)
      <=> v14964(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_565,axiom,(
    ! [VarCurr] :
      ( ~ v14952(VarCurr)
     => ( v14967(VarCurr)
      <=> v14921(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_568,axiom,(
    ! [VarCurr] :
      ( v14952(VarCurr)
     => ( v14967(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_564,axiom,(
    ! [VarCurr] :
      ( ~ v14946(VarCurr)
     => ( v14966(VarCurr)
      <=> v14921(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_567,axiom,(
    ! [VarCurr] :
      ( v14946(VarCurr)
     => ( v14966(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_374,axiom,(
    ! [VarCurr] :
      ( ~ v14965(VarCurr)
     => ( v14964(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_378,axiom,(
    ! [VarCurr] :
      ( v14965(VarCurr)
     => ( v14964(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1060,axiom,(
    ! [VarCurr] :
      ( v14965(VarCurr)
    <=> ( v14915(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3328,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14926(VarNext)
      <=> ( v14927(VarNext)
          & v14936(VarNext) ) ) ) )).

fof(addAssignment_3546,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14936(VarNext)
      <=> v14934(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3327,axiom,(
    ! [VarCurr] :
      ( v14934(VarCurr)
    <=> ( v14905(VarCurr)
        | v14937(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3326,axiom,(
    ! [VarCurr] :
      ( v14937(VarCurr)
    <=> ( v14938(VarCurr)
        & v14958(VarCurr) ) ) )).

fof(writeUnaryOperator_1126,axiom,(
    ! [VarCurr] :
      ( ~ v14958(VarCurr)
    <=> v14905(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3325,axiom,(
    ! [VarCurr] :
      ( v14938(VarCurr)
    <=> ( v14939(VarCurr)
        | v14956(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3324,axiom,(
    ! [VarCurr] :
      ( v14956(VarCurr)
    <=> ( v14917(VarCurr)
        & v14957(VarCurr) ) ) )).

fof(writeUnaryOperator_1125,axiom,(
    ! [VarCurr] :
      ( ~ v14957(VarCurr)
    <=> v14919(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3323,axiom,(
    ! [VarCurr] :
      ( v14939(VarCurr)
    <=> ( v14940(VarCurr)
        & v14919(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3322,axiom,(
    ! [VarCurr] :
      ( v14940(VarCurr)
    <=> ( v14941(VarCurr)
        | v14950(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3321,axiom,(
    ! [VarCurr] :
      ( v14950(VarCurr)
    <=> ( v14951(VarCurr)
        & v14955(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1059,axiom,(
    ! [VarCurr] :
      ( v14955(VarCurr)
    <=> ( ( v14943(VarCurr,bitIndex2)
        <=> $false )
        & ( v14943(VarCurr,bitIndex1)
        <=> $false )
        & ( v14943(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3320,axiom,(
    ! [VarCurr] :
      ( v14951(VarCurr)
    <=> ( v14952(VarCurr)
        | v14953(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3319,axiom,(
    ! [VarCurr] :
      ( v14953(VarCurr)
    <=> ( v14917(VarCurr)
        & v14954(VarCurr) ) ) )).

fof(writeUnaryOperator_1124,axiom,(
    ! [VarCurr] :
      ( ~ v14954(VarCurr)
    <=> v14952(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1058,axiom,(
    ! [VarCurr] :
      ( v14952(VarCurr)
    <=> ( v14915(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3318,axiom,(
    ! [VarCurr] :
      ( v14941(VarCurr)
    <=> ( v14942(VarCurr)
        | v14944(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3317,axiom,(
    ! [VarCurr] :
      ( v14944(VarCurr)
    <=> ( v14945(VarCurr)
        & v14949(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1057,axiom,(
    ! [VarCurr] :
      ( v14949(VarCurr)
    <=> ( ( v14943(VarCurr,bitIndex2)
        <=> $false )
        & ( v14943(VarCurr,bitIndex1)
        <=> $true )
        & ( v14943(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3316,axiom,(
    ! [VarCurr] :
      ( v14945(VarCurr)
    <=> ( v14946(VarCurr)
        | v14947(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3315,axiom,(
    ! [VarCurr] :
      ( v14947(VarCurr)
    <=> ( v14917(VarCurr)
        & v14948(VarCurr) ) ) )).

fof(writeUnaryOperator_1123,axiom,(
    ! [VarCurr] :
      ( ~ v14948(VarCurr)
    <=> v14946(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1056,axiom,(
    ! [VarCurr] :
      ( v14946(VarCurr)
    <=> ( v14915(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1055,axiom,(
    ! [VarCurr] :
      ( v14942(VarCurr)
    <=> ( ( v14943(VarCurr,bitIndex2)
        <=> $true )
        & ( v14943(VarCurr,bitIndex1)
        <=> $false )
        & ( v14943(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_3545,axiom,(
    ! [VarCurr] :
      ( v14943(VarCurr,bitIndex0)
    <=> v14913(VarCurr) ) )).

fof(addAssignment_3544,axiom,(
    ! [VarCurr] :
      ( v14943(VarCurr,bitIndex1)
    <=> v14911(VarCurr) ) )).

fof(addAssignment_3543,axiom,(
    ! [VarCurr] :
      ( v14943(VarCurr,bitIndex2)
    <=> v14909(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3314,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14927(VarNext)
      <=> ( v14928(VarNext)
          & v14923(VarNext) ) ) ) )).

fof(writeUnaryOperator_1122,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14928(VarNext)
      <=> v14930(VarNext) ) ) )).

fof(addAssignment_3542,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14930(VarNext)
      <=> v14923(VarCurr) ) ) )).

fof(addAssignment_3541,axiom,(
    ! [VarCurr] :
      ( v14923(VarCurr)
    <=> v14631(VarCurr) ) )).

fof(addAssignment_3540,axiom,(
    ! [VarCurr] :
      ( v14921(VarCurr)
    <=> $false ) )).

fof(addAssignment_3539,axiom,(
    ! [VarCurr] :
      ( v14919(VarCurr)
    <=> v14614(VarCurr) ) )).

fof(addAssignment_3538,axiom,(
    ! [VarCurr] :
      ( v14917(VarCurr)
    <=> $false ) )).

fof(addAssignment_3537,axiom,(
    ! [VarCurr] :
      ( v14915(VarCurr)
    <=> v14606(VarCurr,bitIndex3) ) )).

fof(addAssignment_3536,axiom,(
    ! [VarCurr] :
      ( v14606(VarCurr,bitIndex3)
    <=> v14608(VarCurr,bitIndex3) ) )).

fof(addAssignment_3535,axiom,(
    ! [VarCurr] :
      ( v14608(VarCurr,bitIndex3)
    <=> v7954(VarCurr,bitIndex3) ) )).

fof(addAssignment_3534,axiom,(
    ! [VarCurr] :
      ( v7954(VarCurr,bitIndex3)
    <=> v7956(VarCurr,bitIndex3) ) )).

fof(addAssignment_3533,axiom,(
    ! [VarCurr] :
      ( v7956(VarCurr,bitIndex3)
    <=> v7958(VarCurr,bitIndex3) ) )).

fof(addAssignment_3532,axiom,(
    ! [VarCurr] :
      ( v7958(VarCurr,bitIndex3)
    <=> v7960(VarCurr,bitIndex3) ) )).

fof(addAssignment_3531,axiom,(
    ! [VarCurr] :
      ( v7960(VarCurr,bitIndex3)
    <=> v7962(VarCurr,bitIndex3) ) )).

fof(addAssignment_3530,axiom,(
    ! [VarCurr] :
      ( v7962(VarCurr,bitIndex3)
    <=> v7964(VarCurr,bitIndex3) ) )).

fof(addAssignment_3529,axiom,(
    ! [VarCurr] :
      ( v7964(VarCurr,bitIndex3)
    <=> v7966(VarCurr,bitIndex3) ) )).

fof(addAssignment_3528,axiom,(
    ! [VarCurr] :
      ( v7966(VarCurr,bitIndex3)
    <=> v7968(VarCurr,bitIndex3) ) )).

fof(addAssignment_3527,axiom,(
    ! [VarCurr] :
      ( v7968(VarCurr,bitIndex3)
    <=> v7970(VarCurr,bitIndex3) ) )).

fof(addAssignment_3526,axiom,(
    ! [VarCurr] :
      ( v7970(VarCurr,bitIndex3)
    <=> v7972(VarCurr,bitIndex3) ) )).

fof(addAssignment_3525,axiom,(
    ! [VarCurr] :
      ( v14913(VarCurr)
    <=> $false ) )).

fof(addAssignment_3524,axiom,(
    ! [VarCurr] :
      ( v14911(VarCurr)
    <=> $false ) )).

fof(addAssignment_3523,axiom,(
    ! [VarCurr] :
      ( v14909(VarCurr)
    <=> $true ) )).

fof(addAssignment_3522,axiom,(
    ! [VarCurr] :
      ( v14907(VarCurr)
    <=> $false ) )).

fof(addAssignment_3521,axiom,(
    ! [VarCurr] :
      ( v14905(VarCurr)
    <=> v14589(VarCurr) ) )).

fof(addAssignment_3520,axiom,(
    ! [VarCurr] :
      ( v14681(VarCurr,bitIndex2)
    <=> v14683(VarCurr,bitIndex2) ) )).

fof(addAssignment_3519,axiom,(
    ! [VarCurr] :
      ( v14683(VarCurr,bitIndex2)
    <=> v14685(VarCurr,bitIndex2) ) )).

fof(addAssignment_3518,axiom,(
    ! [VarCurr] :
      ( v14685(VarCurr,bitIndex2)
    <=> v14687(VarCurr,bitIndex2) ) )).

fof(addAssignment_3517,axiom,(
    ! [VarCurr] :
      ( v14687(VarCurr,bitIndex2)
    <=> v14689(VarCurr,bitIndex2) ) )).

fof(addAssignment_3516,axiom,(
    ! [VarCurr] :
      ( v14689(VarCurr,bitIndex2)
    <=> v14691(VarCurr,bitIndex2) ) )).

fof(addAssignment_3515,axiom,(
    ! [VarCurr] :
      ( v14691(VarCurr,bitIndex2)
    <=> v14693(VarCurr,bitIndex2) ) )).

fof(addAssignment_3514,axiom,(
    ! [VarCurr] :
      ( v14693(VarCurr,bitIndex2)
    <=> v14695(VarCurr,bitIndex2) ) )).

fof(addAssignment_3513,axiom,(
    ! [VarCurr] :
      ( v14695(VarCurr,bitIndex2)
    <=> v14697(VarCurr,bitIndex2) ) )).

fof(addAssignment_3512,axiom,(
    ! [VarCurr] :
      ( v14697(VarCurr,bitIndex2)
    <=> v14581(VarCurr,bitIndex2) ) )).

fof(addAssignment_3511,axiom,(
    ! [VarCurr] :
      ( v14581(VarCurr,bitIndex2)
    <=> v14583(VarCurr,bitIndex2) ) )).

fof(addAssignment_3510,axiom,(
    ! [VarCurr] :
      ( v14583(VarCurr,bitIndex2)
    <=> v14835(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_171,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14858(VarNext)
       => ( v14835(VarNext)
        <=> v14835(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_192,axiom,(
    ! [VarNext] :
      ( v14858(VarNext)
     => ( v14835(VarNext)
      <=> v14893(VarNext) ) ) )).

fof(addAssignment_3509,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14893(VarNext)
      <=> v14891(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_563,axiom,(
    ! [VarCurr] :
      ( ~ v14837(VarCurr)
     => ( v14891(VarCurr)
      <=> v14894(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_566,axiom,(
    ! [VarCurr] :
      ( v14837(VarCurr)
     => ( v14891(VarCurr)
      <=> v14839(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_562,axiom,(
    ! [VarCurr] :
      ( ~ v14871(VarCurr)
     => ( v14894(VarCurr)
      <=> v14853(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_565,axiom,(
    ! [VarCurr] :
      ( v14871(VarCurr)
     => ( v14894(VarCurr)
      <=> v14895(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_232,axiom,(
    ! [VarCurr] :
      ( ( ~ v14874(VarCurr)
        & ~ v14876(VarCurr) )
     => ( v14895(VarCurr)
      <=> v14899(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_561,axiom,(
    ! [VarCurr] :
      ( v14876(VarCurr)
     => ( v14895(VarCurr)
      <=> v14898(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_564,axiom,(
    ! [VarCurr] :
      ( v14874(VarCurr)
     => ( v14895(VarCurr)
      <=> v14896(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_560,axiom,(
    ! [VarCurr] :
      ( ~ v14884(VarCurr)
     => ( v14899(VarCurr)
      <=> v14853(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_563,axiom,(
    ! [VarCurr] :
      ( v14884(VarCurr)
     => ( v14899(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_559,axiom,(
    ! [VarCurr] :
      ( ~ v14878(VarCurr)
     => ( v14898(VarCurr)
      <=> v14853(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_562,axiom,(
    ! [VarCurr] :
      ( v14878(VarCurr)
     => ( v14898(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_373,axiom,(
    ! [VarCurr] :
      ( ~ v14897(VarCurr)
     => ( v14896(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_377,axiom,(
    ! [VarCurr] :
      ( v14897(VarCurr)
     => ( v14896(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1054,axiom,(
    ! [VarCurr] :
      ( v14897(VarCurr)
    <=> ( v14847(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3313,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14858(VarNext)
      <=> ( v14859(VarNext)
          & v14868(VarNext) ) ) ) )).

fof(addAssignment_3508,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14868(VarNext)
      <=> v14866(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3312,axiom,(
    ! [VarCurr] :
      ( v14866(VarCurr)
    <=> ( v14837(VarCurr)
        | v14869(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3311,axiom,(
    ! [VarCurr] :
      ( v14869(VarCurr)
    <=> ( v14870(VarCurr)
        & v14890(VarCurr) ) ) )).

fof(writeUnaryOperator_1121,axiom,(
    ! [VarCurr] :
      ( ~ v14890(VarCurr)
    <=> v14837(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3310,axiom,(
    ! [VarCurr] :
      ( v14870(VarCurr)
    <=> ( v14871(VarCurr)
        | v14888(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3309,axiom,(
    ! [VarCurr] :
      ( v14888(VarCurr)
    <=> ( v14849(VarCurr)
        & v14889(VarCurr) ) ) )).

fof(writeUnaryOperator_1120,axiom,(
    ! [VarCurr] :
      ( ~ v14889(VarCurr)
    <=> v14851(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3308,axiom,(
    ! [VarCurr] :
      ( v14871(VarCurr)
    <=> ( v14872(VarCurr)
        & v14851(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3307,axiom,(
    ! [VarCurr] :
      ( v14872(VarCurr)
    <=> ( v14873(VarCurr)
        | v14882(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3306,axiom,(
    ! [VarCurr] :
      ( v14882(VarCurr)
    <=> ( v14883(VarCurr)
        & v14887(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1053,axiom,(
    ! [VarCurr] :
      ( v14887(VarCurr)
    <=> ( ( v14875(VarCurr,bitIndex2)
        <=> $false )
        & ( v14875(VarCurr,bitIndex1)
        <=> $false )
        & ( v14875(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3305,axiom,(
    ! [VarCurr] :
      ( v14883(VarCurr)
    <=> ( v14884(VarCurr)
        | v14885(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3304,axiom,(
    ! [VarCurr] :
      ( v14885(VarCurr)
    <=> ( v14849(VarCurr)
        & v14886(VarCurr) ) ) )).

fof(writeUnaryOperator_1119,axiom,(
    ! [VarCurr] :
      ( ~ v14886(VarCurr)
    <=> v14884(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1052,axiom,(
    ! [VarCurr] :
      ( v14884(VarCurr)
    <=> ( v14847(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3303,axiom,(
    ! [VarCurr] :
      ( v14873(VarCurr)
    <=> ( v14874(VarCurr)
        | v14876(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3302,axiom,(
    ! [VarCurr] :
      ( v14876(VarCurr)
    <=> ( v14877(VarCurr)
        & v14881(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1051,axiom,(
    ! [VarCurr] :
      ( v14881(VarCurr)
    <=> ( ( v14875(VarCurr,bitIndex2)
        <=> $false )
        & ( v14875(VarCurr,bitIndex1)
        <=> $true )
        & ( v14875(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3301,axiom,(
    ! [VarCurr] :
      ( v14877(VarCurr)
    <=> ( v14878(VarCurr)
        | v14879(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3300,axiom,(
    ! [VarCurr] :
      ( v14879(VarCurr)
    <=> ( v14849(VarCurr)
        & v14880(VarCurr) ) ) )).

fof(writeUnaryOperator_1118,axiom,(
    ! [VarCurr] :
      ( ~ v14880(VarCurr)
    <=> v14878(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1050,axiom,(
    ! [VarCurr] :
      ( v14878(VarCurr)
    <=> ( v14847(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1049,axiom,(
    ! [VarCurr] :
      ( v14874(VarCurr)
    <=> ( ( v14875(VarCurr,bitIndex2)
        <=> $true )
        & ( v14875(VarCurr,bitIndex1)
        <=> $false )
        & ( v14875(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_3507,axiom,(
    ! [VarCurr] :
      ( v14875(VarCurr,bitIndex0)
    <=> v14845(VarCurr) ) )).

fof(addAssignment_3506,axiom,(
    ! [VarCurr] :
      ( v14875(VarCurr,bitIndex1)
    <=> v14843(VarCurr) ) )).

fof(addAssignment_3505,axiom,(
    ! [VarCurr] :
      ( v14875(VarCurr,bitIndex2)
    <=> v14841(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3299,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14859(VarNext)
      <=> ( v14860(VarNext)
          & v14855(VarNext) ) ) ) )).

fof(writeUnaryOperator_1117,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14860(VarNext)
      <=> v14862(VarNext) ) ) )).

fof(addAssignment_3504,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14862(VarNext)
      <=> v14855(VarCurr) ) ) )).

fof(addAssignment_3503,axiom,(
    ! [VarCurr] :
      ( v14855(VarCurr)
    <=> v14631(VarCurr) ) )).

fof(addAssignment_3502,axiom,(
    ! [VarCurr] :
      ( v14853(VarCurr)
    <=> $false ) )).

fof(addAssignment_3501,axiom,(
    ! [VarCurr] :
      ( v14851(VarCurr)
    <=> v14614(VarCurr) ) )).

fof(addAssignment_3500,axiom,(
    ! [VarCurr] :
      ( v14849(VarCurr)
    <=> $false ) )).

fof(addAssignment_3499,axiom,(
    ! [VarCurr] :
      ( v14847(VarCurr)
    <=> v14606(VarCurr,bitIndex2) ) )).

fof(addAssignment_3498,axiom,(
    ! [VarCurr] :
      ( v14606(VarCurr,bitIndex2)
    <=> v14608(VarCurr,bitIndex2) ) )).

fof(addAssignment_3497,axiom,(
    ! [VarCurr] :
      ( v14608(VarCurr,bitIndex2)
    <=> v7954(VarCurr,bitIndex2) ) )).

fof(addAssignment_3496,axiom,(
    ! [VarCurr] :
      ( v14845(VarCurr)
    <=> $false ) )).

fof(addAssignment_3495,axiom,(
    ! [VarCurr] :
      ( v14843(VarCurr)
    <=> $false ) )).

fof(addAssignment_3494,axiom,(
    ! [VarCurr] :
      ( v14841(VarCurr)
    <=> $true ) )).

fof(addAssignment_3493,axiom,(
    ! [VarCurr] :
      ( v14839(VarCurr)
    <=> $false ) )).

fof(addAssignment_3492,axiom,(
    ! [VarCurr] :
      ( v14837(VarCurr)
    <=> v14589(VarCurr) ) )).

fof(addAssignment_3491,axiom,(
    ! [VarCurr] :
      ( v14681(VarCurr,bitIndex1)
    <=> v14683(VarCurr,bitIndex1) ) )).

fof(addAssignment_3490,axiom,(
    ! [VarCurr] :
      ( v14683(VarCurr,bitIndex1)
    <=> v14685(VarCurr,bitIndex1) ) )).

fof(addAssignment_3489,axiom,(
    ! [VarCurr] :
      ( v14685(VarCurr,bitIndex1)
    <=> v14687(VarCurr,bitIndex1) ) )).

fof(addAssignment_3488,axiom,(
    ! [VarCurr] :
      ( v14687(VarCurr,bitIndex1)
    <=> v14689(VarCurr,bitIndex1) ) )).

fof(addAssignment_3487,axiom,(
    ! [VarCurr] :
      ( v14689(VarCurr,bitIndex1)
    <=> v14691(VarCurr,bitIndex1) ) )).

fof(addAssignment_3486,axiom,(
    ! [VarCurr] :
      ( v14691(VarCurr,bitIndex1)
    <=> v14693(VarCurr,bitIndex1) ) )).

fof(addAssignment_3485,axiom,(
    ! [VarCurr] :
      ( v14693(VarCurr,bitIndex1)
    <=> v14695(VarCurr,bitIndex1) ) )).

fof(addAssignment_3484,axiom,(
    ! [VarCurr] :
      ( v14695(VarCurr,bitIndex1)
    <=> v14697(VarCurr,bitIndex1) ) )).

fof(addAssignment_3483,axiom,(
    ! [VarCurr] :
      ( v14697(VarCurr,bitIndex1)
    <=> v14581(VarCurr,bitIndex1) ) )).

fof(addAssignment_3482,axiom,(
    ! [VarCurr] :
      ( v14581(VarCurr,bitIndex1)
    <=> v14583(VarCurr,bitIndex1) ) )).

fof(addAssignment_3481,axiom,(
    ! [VarCurr] :
      ( v14583(VarCurr,bitIndex1)
    <=> v14767(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_170,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14790(VarNext)
       => ( v14767(VarNext)
        <=> v14767(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_191,axiom,(
    ! [VarNext] :
      ( v14790(VarNext)
     => ( v14767(VarNext)
      <=> v14825(VarNext) ) ) )).

fof(addAssignment_3480,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14825(VarNext)
      <=> v14823(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_558,axiom,(
    ! [VarCurr] :
      ( ~ v14769(VarCurr)
     => ( v14823(VarCurr)
      <=> v14826(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_561,axiom,(
    ! [VarCurr] :
      ( v14769(VarCurr)
     => ( v14823(VarCurr)
      <=> v14771(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_557,axiom,(
    ! [VarCurr] :
      ( ~ v14803(VarCurr)
     => ( v14826(VarCurr)
      <=> v14785(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_560,axiom,(
    ! [VarCurr] :
      ( v14803(VarCurr)
     => ( v14826(VarCurr)
      <=> v14827(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_231,axiom,(
    ! [VarCurr] :
      ( ( ~ v14806(VarCurr)
        & ~ v14808(VarCurr) )
     => ( v14827(VarCurr)
      <=> v14831(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_556,axiom,(
    ! [VarCurr] :
      ( v14808(VarCurr)
     => ( v14827(VarCurr)
      <=> v14830(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_559,axiom,(
    ! [VarCurr] :
      ( v14806(VarCurr)
     => ( v14827(VarCurr)
      <=> v14828(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_555,axiom,(
    ! [VarCurr] :
      ( ~ v14816(VarCurr)
     => ( v14831(VarCurr)
      <=> v14785(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_558,axiom,(
    ! [VarCurr] :
      ( v14816(VarCurr)
     => ( v14831(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_554,axiom,(
    ! [VarCurr] :
      ( ~ v14810(VarCurr)
     => ( v14830(VarCurr)
      <=> v14785(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_557,axiom,(
    ! [VarCurr] :
      ( v14810(VarCurr)
     => ( v14830(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_372,axiom,(
    ! [VarCurr] :
      ( ~ v14829(VarCurr)
     => ( v14828(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_376,axiom,(
    ! [VarCurr] :
      ( v14829(VarCurr)
     => ( v14828(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1048,axiom,(
    ! [VarCurr] :
      ( v14829(VarCurr)
    <=> ( v14779(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3298,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14790(VarNext)
      <=> ( v14791(VarNext)
          & v14800(VarNext) ) ) ) )).

fof(addAssignment_3479,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14800(VarNext)
      <=> v14798(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3297,axiom,(
    ! [VarCurr] :
      ( v14798(VarCurr)
    <=> ( v14769(VarCurr)
        | v14801(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3296,axiom,(
    ! [VarCurr] :
      ( v14801(VarCurr)
    <=> ( v14802(VarCurr)
        & v14822(VarCurr) ) ) )).

fof(writeUnaryOperator_1116,axiom,(
    ! [VarCurr] :
      ( ~ v14822(VarCurr)
    <=> v14769(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3295,axiom,(
    ! [VarCurr] :
      ( v14802(VarCurr)
    <=> ( v14803(VarCurr)
        | v14820(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3294,axiom,(
    ! [VarCurr] :
      ( v14820(VarCurr)
    <=> ( v14781(VarCurr)
        & v14821(VarCurr) ) ) )).

fof(writeUnaryOperator_1115,axiom,(
    ! [VarCurr] :
      ( ~ v14821(VarCurr)
    <=> v14783(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3293,axiom,(
    ! [VarCurr] :
      ( v14803(VarCurr)
    <=> ( v14804(VarCurr)
        & v14783(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3292,axiom,(
    ! [VarCurr] :
      ( v14804(VarCurr)
    <=> ( v14805(VarCurr)
        | v14814(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3291,axiom,(
    ! [VarCurr] :
      ( v14814(VarCurr)
    <=> ( v14815(VarCurr)
        & v14819(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1047,axiom,(
    ! [VarCurr] :
      ( v14819(VarCurr)
    <=> ( ( v14807(VarCurr,bitIndex2)
        <=> $false )
        & ( v14807(VarCurr,bitIndex1)
        <=> $false )
        & ( v14807(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3290,axiom,(
    ! [VarCurr] :
      ( v14815(VarCurr)
    <=> ( v14816(VarCurr)
        | v14817(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3289,axiom,(
    ! [VarCurr] :
      ( v14817(VarCurr)
    <=> ( v14781(VarCurr)
        & v14818(VarCurr) ) ) )).

fof(writeUnaryOperator_1114,axiom,(
    ! [VarCurr] :
      ( ~ v14818(VarCurr)
    <=> v14816(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1046,axiom,(
    ! [VarCurr] :
      ( v14816(VarCurr)
    <=> ( v14779(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3288,axiom,(
    ! [VarCurr] :
      ( v14805(VarCurr)
    <=> ( v14806(VarCurr)
        | v14808(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3287,axiom,(
    ! [VarCurr] :
      ( v14808(VarCurr)
    <=> ( v14809(VarCurr)
        & v14813(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1045,axiom,(
    ! [VarCurr] :
      ( v14813(VarCurr)
    <=> ( ( v14807(VarCurr,bitIndex2)
        <=> $false )
        & ( v14807(VarCurr,bitIndex1)
        <=> $true )
        & ( v14807(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3286,axiom,(
    ! [VarCurr] :
      ( v14809(VarCurr)
    <=> ( v14810(VarCurr)
        | v14811(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3285,axiom,(
    ! [VarCurr] :
      ( v14811(VarCurr)
    <=> ( v14781(VarCurr)
        & v14812(VarCurr) ) ) )).

fof(writeUnaryOperator_1113,axiom,(
    ! [VarCurr] :
      ( ~ v14812(VarCurr)
    <=> v14810(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1044,axiom,(
    ! [VarCurr] :
      ( v14810(VarCurr)
    <=> ( v14779(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1043,axiom,(
    ! [VarCurr] :
      ( v14806(VarCurr)
    <=> ( ( v14807(VarCurr,bitIndex2)
        <=> $true )
        & ( v14807(VarCurr,bitIndex1)
        <=> $false )
        & ( v14807(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_3478,axiom,(
    ! [VarCurr] :
      ( v14807(VarCurr,bitIndex0)
    <=> v14777(VarCurr) ) )).

fof(addAssignment_3477,axiom,(
    ! [VarCurr] :
      ( v14807(VarCurr,bitIndex1)
    <=> v14775(VarCurr) ) )).

fof(addAssignment_3476,axiom,(
    ! [VarCurr] :
      ( v14807(VarCurr,bitIndex2)
    <=> v14773(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3284,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14791(VarNext)
      <=> ( v14792(VarNext)
          & v14787(VarNext) ) ) ) )).

fof(writeUnaryOperator_1112,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14792(VarNext)
      <=> v14794(VarNext) ) ) )).

fof(addAssignment_3475,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14794(VarNext)
      <=> v14787(VarCurr) ) ) )).

fof(addAssignment_3474,axiom,(
    ! [VarCurr] :
      ( v14787(VarCurr)
    <=> v14631(VarCurr) ) )).

fof(addAssignment_3473,axiom,(
    ! [VarCurr] :
      ( v14785(VarCurr)
    <=> $false ) )).

fof(addAssignment_3472,axiom,(
    ! [VarCurr] :
      ( v14783(VarCurr)
    <=> v14614(VarCurr) ) )).

fof(addAssignment_3471,axiom,(
    ! [VarCurr] :
      ( v14781(VarCurr)
    <=> $false ) )).

fof(addAssignment_3470,axiom,(
    ! [VarCurr] :
      ( v14779(VarCurr)
    <=> v14606(VarCurr,bitIndex1) ) )).

fof(addAssignment_3469,axiom,(
    ! [VarCurr] :
      ( v14606(VarCurr,bitIndex1)
    <=> v14608(VarCurr,bitIndex1) ) )).

fof(addAssignment_3468,axiom,(
    ! [VarCurr] :
      ( v14608(VarCurr,bitIndex1)
    <=> v7954(VarCurr,bitIndex1) ) )).

fof(addAssignment_3467,axiom,(
    ! [VarCurr] :
      ( v7954(VarCurr,bitIndex1)
    <=> v7956(VarCurr,bitIndex1) ) )).

fof(addAssignment_3466,axiom,(
    ! [VarCurr] :
      ( v7956(VarCurr,bitIndex1)
    <=> v7958(VarCurr,bitIndex1) ) )).

fof(addAssignment_3465,axiom,(
    ! [VarCurr] :
      ( v7958(VarCurr,bitIndex1)
    <=> v7960(VarCurr,bitIndex1) ) )).

fof(addAssignment_3464,axiom,(
    ! [VarCurr] :
      ( v7960(VarCurr,bitIndex1)
    <=> v7962(VarCurr,bitIndex1) ) )).

fof(addAssignment_3463,axiom,(
    ! [VarCurr] :
      ( v7962(VarCurr,bitIndex1)
    <=> v7964(VarCurr,bitIndex1) ) )).

fof(addAssignment_3462,axiom,(
    ! [VarCurr] :
      ( v7964(VarCurr,bitIndex1)
    <=> v7966(VarCurr,bitIndex1) ) )).

fof(addAssignment_3461,axiom,(
    ! [VarCurr] :
      ( v7966(VarCurr,bitIndex1)
    <=> v7968(VarCurr,bitIndex1) ) )).

fof(addAssignment_3460,axiom,(
    ! [VarCurr] :
      ( v7968(VarCurr,bitIndex1)
    <=> v7970(VarCurr,bitIndex1) ) )).

fof(addAssignment_3459,axiom,(
    ! [VarCurr] :
      ( v7970(VarCurr,bitIndex1)
    <=> v7972(VarCurr,bitIndex1) ) )).

fof(addAssignment_3458,axiom,(
    ! [VarCurr] :
      ( v14777(VarCurr)
    <=> $false ) )).

fof(addAssignment_3457,axiom,(
    ! [VarCurr] :
      ( v14775(VarCurr)
    <=> $false ) )).

fof(addAssignment_3456,axiom,(
    ! [VarCurr] :
      ( v14773(VarCurr)
    <=> $true ) )).

fof(addAssignment_3455,axiom,(
    ! [VarCurr] :
      ( v14771(VarCurr)
    <=> $false ) )).

fof(addAssignment_3454,axiom,(
    ! [VarCurr] :
      ( v14769(VarCurr)
    <=> v14589(VarCurr) ) )).

fof(addAssignment_3453,axiom,(
    ! [VarCurr] :
      ( v14681(VarCurr,bitIndex0)
    <=> v14683(VarCurr,bitIndex0) ) )).

fof(addAssignment_3452,axiom,(
    ! [VarCurr] :
      ( v14683(VarCurr,bitIndex0)
    <=> v14685(VarCurr,bitIndex0) ) )).

fof(addAssignment_3451,axiom,(
    ! [VarCurr] :
      ( v14685(VarCurr,bitIndex0)
    <=> v14687(VarCurr,bitIndex0) ) )).

fof(addAssignment_3450,axiom,(
    ! [VarCurr] :
      ( v14687(VarCurr,bitIndex0)
    <=> v14689(VarCurr,bitIndex0) ) )).

fof(addAssignment_3449,axiom,(
    ! [VarCurr] :
      ( v14689(VarCurr,bitIndex0)
    <=> v14691(VarCurr,bitIndex0) ) )).

fof(addAssignment_3448,axiom,(
    ! [VarCurr] :
      ( v14691(VarCurr,bitIndex0)
    <=> v14693(VarCurr,bitIndex0) ) )).

fof(addAssignment_3447,axiom,(
    ! [VarCurr] :
      ( v14693(VarCurr,bitIndex0)
    <=> v14695(VarCurr,bitIndex0) ) )).

fof(addAssignment_3446,axiom,(
    ! [VarCurr] :
      ( v14695(VarCurr,bitIndex0)
    <=> v14697(VarCurr,bitIndex0) ) )).

fof(addAssignment_3445,axiom,(
    ! [VarCurr] :
      ( v14697(VarCurr,bitIndex0)
    <=> v14581(VarCurr,bitIndex0) ) )).

fof(addAssignment_3444,axiom,(
    ! [VarCurr] :
      ( v14581(VarCurr,bitIndex0)
    <=> v14583(VarCurr,bitIndex0) ) )).

fof(addAssignment_3443,axiom,(
    ! [VarCurr] :
      ( v14583(VarCurr,bitIndex0)
    <=> v14699(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_169,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14722(VarNext)
       => ( v14699(VarNext)
        <=> v14699(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_190,axiom,(
    ! [VarNext] :
      ( v14722(VarNext)
     => ( v14699(VarNext)
      <=> v14757(VarNext) ) ) )).

fof(addAssignment_3442,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14757(VarNext)
      <=> v14755(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_553,axiom,(
    ! [VarCurr] :
      ( ~ v14701(VarCurr)
     => ( v14755(VarCurr)
      <=> v14758(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_556,axiom,(
    ! [VarCurr] :
      ( v14701(VarCurr)
     => ( v14755(VarCurr)
      <=> v14703(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_552,axiom,(
    ! [VarCurr] :
      ( ~ v14735(VarCurr)
     => ( v14758(VarCurr)
      <=> v14717(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_555,axiom,(
    ! [VarCurr] :
      ( v14735(VarCurr)
     => ( v14758(VarCurr)
      <=> v14759(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_230,axiom,(
    ! [VarCurr] :
      ( ( ~ v14738(VarCurr)
        & ~ v14740(VarCurr) )
     => ( v14759(VarCurr)
      <=> v14763(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_551,axiom,(
    ! [VarCurr] :
      ( v14740(VarCurr)
     => ( v14759(VarCurr)
      <=> v14762(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_554,axiom,(
    ! [VarCurr] :
      ( v14738(VarCurr)
     => ( v14759(VarCurr)
      <=> v14760(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_550,axiom,(
    ! [VarCurr] :
      ( ~ v14748(VarCurr)
     => ( v14763(VarCurr)
      <=> v14717(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_553,axiom,(
    ! [VarCurr] :
      ( v14748(VarCurr)
     => ( v14763(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_549,axiom,(
    ! [VarCurr] :
      ( ~ v14742(VarCurr)
     => ( v14762(VarCurr)
      <=> v14717(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_552,axiom,(
    ! [VarCurr] :
      ( v14742(VarCurr)
     => ( v14762(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_371,axiom,(
    ! [VarCurr] :
      ( ~ v14761(VarCurr)
     => ( v14760(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_375,axiom,(
    ! [VarCurr] :
      ( v14761(VarCurr)
     => ( v14760(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1042,axiom,(
    ! [VarCurr] :
      ( v14761(VarCurr)
    <=> ( v14711(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3283,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14722(VarNext)
      <=> ( v14723(VarNext)
          & v14732(VarNext) ) ) ) )).

fof(addAssignment_3441,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14732(VarNext)
      <=> v14730(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3282,axiom,(
    ! [VarCurr] :
      ( v14730(VarCurr)
    <=> ( v14701(VarCurr)
        | v14733(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3281,axiom,(
    ! [VarCurr] :
      ( v14733(VarCurr)
    <=> ( v14734(VarCurr)
        & v14754(VarCurr) ) ) )).

fof(writeUnaryOperator_1111,axiom,(
    ! [VarCurr] :
      ( ~ v14754(VarCurr)
    <=> v14701(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3280,axiom,(
    ! [VarCurr] :
      ( v14734(VarCurr)
    <=> ( v14735(VarCurr)
        | v14752(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3279,axiom,(
    ! [VarCurr] :
      ( v14752(VarCurr)
    <=> ( v14713(VarCurr)
        & v14753(VarCurr) ) ) )).

fof(writeUnaryOperator_1110,axiom,(
    ! [VarCurr] :
      ( ~ v14753(VarCurr)
    <=> v14715(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3278,axiom,(
    ! [VarCurr] :
      ( v14735(VarCurr)
    <=> ( v14736(VarCurr)
        & v14715(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3277,axiom,(
    ! [VarCurr] :
      ( v14736(VarCurr)
    <=> ( v14737(VarCurr)
        | v14746(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3276,axiom,(
    ! [VarCurr] :
      ( v14746(VarCurr)
    <=> ( v14747(VarCurr)
        & v14751(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1041,axiom,(
    ! [VarCurr] :
      ( v14751(VarCurr)
    <=> ( ( v14739(VarCurr,bitIndex2)
        <=> $false )
        & ( v14739(VarCurr,bitIndex1)
        <=> $false )
        & ( v14739(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3275,axiom,(
    ! [VarCurr] :
      ( v14747(VarCurr)
    <=> ( v14748(VarCurr)
        | v14749(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3274,axiom,(
    ! [VarCurr] :
      ( v14749(VarCurr)
    <=> ( v14713(VarCurr)
        & v14750(VarCurr) ) ) )).

fof(writeUnaryOperator_1109,axiom,(
    ! [VarCurr] :
      ( ~ v14750(VarCurr)
    <=> v14748(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1040,axiom,(
    ! [VarCurr] :
      ( v14748(VarCurr)
    <=> ( v14711(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3273,axiom,(
    ! [VarCurr] :
      ( v14737(VarCurr)
    <=> ( v14738(VarCurr)
        | v14740(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3272,axiom,(
    ! [VarCurr] :
      ( v14740(VarCurr)
    <=> ( v14741(VarCurr)
        & v14745(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1039,axiom,(
    ! [VarCurr] :
      ( v14745(VarCurr)
    <=> ( ( v14739(VarCurr,bitIndex2)
        <=> $false )
        & ( v14739(VarCurr,bitIndex1)
        <=> $true )
        & ( v14739(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3271,axiom,(
    ! [VarCurr] :
      ( v14741(VarCurr)
    <=> ( v14742(VarCurr)
        | v14743(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3270,axiom,(
    ! [VarCurr] :
      ( v14743(VarCurr)
    <=> ( v14713(VarCurr)
        & v14744(VarCurr) ) ) )).

fof(writeUnaryOperator_1108,axiom,(
    ! [VarCurr] :
      ( ~ v14744(VarCurr)
    <=> v14742(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1038,axiom,(
    ! [VarCurr] :
      ( v14742(VarCurr)
    <=> ( v14711(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1037,axiom,(
    ! [VarCurr] :
      ( v14738(VarCurr)
    <=> ( ( v14739(VarCurr,bitIndex2)
        <=> $true )
        & ( v14739(VarCurr,bitIndex1)
        <=> $false )
        & ( v14739(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_3440,axiom,(
    ! [VarCurr] :
      ( v14739(VarCurr,bitIndex0)
    <=> v14709(VarCurr) ) )).

fof(addAssignment_3439,axiom,(
    ! [VarCurr] :
      ( v14739(VarCurr,bitIndex1)
    <=> v14707(VarCurr) ) )).

fof(addAssignment_3438,axiom,(
    ! [VarCurr] :
      ( v14739(VarCurr,bitIndex2)
    <=> v14705(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3269,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14723(VarNext)
      <=> ( v14724(VarNext)
          & v14719(VarNext) ) ) ) )).

fof(writeUnaryOperator_1107,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14724(VarNext)
      <=> v14726(VarNext) ) ) )).

fof(addAssignment_3437,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14726(VarNext)
      <=> v14719(VarCurr) ) ) )).

fof(addAssignment_3436,axiom,(
    ! [VarCurr] :
      ( v14719(VarCurr)
    <=> v14631(VarCurr) ) )).

fof(addAssignment_3435,axiom,(
    ! [VarCurr] :
      ( v14717(VarCurr)
    <=> $false ) )).

fof(addAssignment_3434,axiom,(
    ! [VarCurr] :
      ( v14715(VarCurr)
    <=> v14614(VarCurr) ) )).

fof(addAssignment_3433,axiom,(
    ! [VarCurr] :
      ( v14713(VarCurr)
    <=> $false ) )).

fof(addAssignment_3432,axiom,(
    ! [VarCurr] :
      ( v14711(VarCurr)
    <=> v14606(VarCurr,bitIndex0) ) )).

fof(addAssignment_3431,axiom,(
    ! [VarCurr] :
      ( v14606(VarCurr,bitIndex0)
    <=> v14608(VarCurr,bitIndex0) ) )).

fof(addAssignment_3430,axiom,(
    ! [VarCurr] :
      ( v14608(VarCurr,bitIndex0)
    <=> v7954(VarCurr,bitIndex0) ) )).

fof(addAssignment_3429,axiom,(
    ! [VarCurr] :
      ( v7954(VarCurr,bitIndex0)
    <=> v7956(VarCurr,bitIndex0) ) )).

fof(addAssignment_3428,axiom,(
    ! [VarCurr] :
      ( v7956(VarCurr,bitIndex0)
    <=> v7958(VarCurr,bitIndex0) ) )).

fof(addAssignment_3427,axiom,(
    ! [VarCurr] :
      ( v7958(VarCurr,bitIndex0)
    <=> v7960(VarCurr,bitIndex0) ) )).

fof(addAssignment_3426,axiom,(
    ! [VarCurr] :
      ( v7960(VarCurr,bitIndex0)
    <=> v7962(VarCurr,bitIndex0) ) )).

fof(addAssignment_3425,axiom,(
    ! [VarCurr] :
      ( v7962(VarCurr,bitIndex0)
    <=> v7964(VarCurr,bitIndex0) ) )).

fof(addAssignment_3424,axiom,(
    ! [VarCurr] :
      ( v7964(VarCurr,bitIndex0)
    <=> v7966(VarCurr,bitIndex0) ) )).

fof(addAssignment_3423,axiom,(
    ! [VarCurr] :
      ( v7966(VarCurr,bitIndex0)
    <=> v7968(VarCurr,bitIndex0) ) )).

fof(addAssignment_3422,axiom,(
    ! [VarCurr] :
      ( v7968(VarCurr,bitIndex0)
    <=> v7970(VarCurr,bitIndex0) ) )).

fof(addAssignment_3421,axiom,(
    ! [VarCurr] :
      ( v7970(VarCurr,bitIndex0)
    <=> v7972(VarCurr,bitIndex0) ) )).

fof(addAssignment_3420,axiom,(
    ! [VarCurr] :
      ( v14709(VarCurr)
    <=> $false ) )).

fof(addAssignment_3419,axiom,(
    ! [VarCurr] :
      ( v14707(VarCurr)
    <=> $false ) )).

fof(addAssignment_3418,axiom,(
    ! [VarCurr] :
      ( v14705(VarCurr)
    <=> $true ) )).

fof(addAssignment_3417,axiom,(
    ! [VarCurr] :
      ( v14703(VarCurr)
    <=> $false ) )).

fof(addAssignment_3416,axiom,(
    ! [VarCurr] :
      ( v14701(VarCurr)
    <=> v14589(VarCurr) ) )).

fof(addAssignment_3415,axiom,(
    ! [VarCurr] :
      ( v14563(VarCurr)
    <=> v14565(VarCurr) ) )).

fof(addAssignment_3414,axiom,(
    ! [VarCurr] :
      ( v14565(VarCurr)
    <=> v14567(VarCurr) ) )).

fof(addAssignment_3413,axiom,(
    ! [VarCurr] :
      ( v14567(VarCurr)
    <=> v14569(VarCurr) ) )).

fof(addAssignment_3412,axiom,(
    ! [VarCurr] :
      ( v14569(VarCurr)
    <=> v14571(VarCurr) ) )).

fof(addAssignment_3411,axiom,(
    ! [VarCurr] :
      ( v14571(VarCurr)
    <=> v14573(VarCurr) ) )).

fof(addAssignment_3410,axiom,(
    ! [VarCurr] :
      ( v14573(VarCurr)
    <=> v14575(VarCurr) ) )).

fof(addAssignment_3409,axiom,(
    ! [VarCurr] :
      ( v14575(VarCurr)
    <=> v14577(VarCurr) ) )).

fof(addAssignment_3408,axiom,(
    ! [VarCurr] :
      ( v14577(VarCurr)
    <=> v14579(VarCurr) ) )).

fof(addAssignment_3407,axiom,(
    ! [VarCurr] :
      ( v14579(VarCurr)
    <=> v14581(VarCurr,bitIndex8) ) )).

fof(addAssignment_3406,axiom,(
    ! [VarCurr] :
      ( v14581(VarCurr,bitIndex8)
    <=> v14583(VarCurr,bitIndex8) ) )).

fof(addAssignment_3405,axiom,(
    ! [VarCurr] :
      ( v14583(VarCurr,bitIndex8)
    <=> v14585(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_168,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14636(VarNext)
       => ( v14585(VarNext)
        <=> v14585(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_189,axiom,(
    ! [VarNext] :
      ( v14636(VarNext)
     => ( v14585(VarNext)
      <=> v14671(VarNext) ) ) )).

fof(addAssignment_3404,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14671(VarNext)
      <=> v14669(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_548,axiom,(
    ! [VarCurr] :
      ( ~ v14587(VarCurr)
     => ( v14669(VarCurr)
      <=> v14672(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_551,axiom,(
    ! [VarCurr] :
      ( v14587(VarCurr)
     => ( v14669(VarCurr)
      <=> v14596(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_547,axiom,(
    ! [VarCurr] :
      ( ~ v14649(VarCurr)
     => ( v14672(VarCurr)
      <=> v14627(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_550,axiom,(
    ! [VarCurr] :
      ( v14649(VarCurr)
     => ( v14672(VarCurr)
      <=> v14673(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_229,axiom,(
    ! [VarCurr] :
      ( ( ~ v14652(VarCurr)
        & ~ v14654(VarCurr) )
     => ( v14673(VarCurr)
      <=> v14677(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_546,axiom,(
    ! [VarCurr] :
      ( v14654(VarCurr)
     => ( v14673(VarCurr)
      <=> v14676(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_549,axiom,(
    ! [VarCurr] :
      ( v14652(VarCurr)
     => ( v14673(VarCurr)
      <=> v14674(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_545,axiom,(
    ! [VarCurr] :
      ( ~ v14662(VarCurr)
     => ( v14677(VarCurr)
      <=> v14627(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_548,axiom,(
    ! [VarCurr] :
      ( v14662(VarCurr)
     => ( v14677(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_544,axiom,(
    ! [VarCurr] :
      ( ~ v14656(VarCurr)
     => ( v14676(VarCurr)
      <=> v14627(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_547,axiom,(
    ! [VarCurr] :
      ( v14656(VarCurr)
     => ( v14676(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_370,axiom,(
    ! [VarCurr] :
      ( ~ v14675(VarCurr)
     => ( v14674(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_374,axiom,(
    ! [VarCurr] :
      ( v14675(VarCurr)
     => ( v14674(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1036,axiom,(
    ! [VarCurr] :
      ( v14675(VarCurr)
    <=> ( v14604(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3268,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14636(VarNext)
      <=> ( v14637(VarNext)
          & v14646(VarNext) ) ) ) )).

fof(addAssignment_3403,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14646(VarNext)
      <=> v14644(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3267,axiom,(
    ! [VarCurr] :
      ( v14644(VarCurr)
    <=> ( v14587(VarCurr)
        | v14647(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3266,axiom,(
    ! [VarCurr] :
      ( v14647(VarCurr)
    <=> ( v14648(VarCurr)
        & v14668(VarCurr) ) ) )).

fof(writeUnaryOperator_1106,axiom,(
    ! [VarCurr] :
      ( ~ v14668(VarCurr)
    <=> v14587(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3265,axiom,(
    ! [VarCurr] :
      ( v14648(VarCurr)
    <=> ( v14649(VarCurr)
        | v14666(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3264,axiom,(
    ! [VarCurr] :
      ( v14666(VarCurr)
    <=> ( v14610(VarCurr)
        & v14667(VarCurr) ) ) )).

fof(writeUnaryOperator_1105,axiom,(
    ! [VarCurr] :
      ( ~ v14667(VarCurr)
    <=> v14612(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3263,axiom,(
    ! [VarCurr] :
      ( v14649(VarCurr)
    <=> ( v14650(VarCurr)
        & v14612(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3262,axiom,(
    ! [VarCurr] :
      ( v14650(VarCurr)
    <=> ( v14651(VarCurr)
        | v14660(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3261,axiom,(
    ! [VarCurr] :
      ( v14660(VarCurr)
    <=> ( v14661(VarCurr)
        & v14665(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1035,axiom,(
    ! [VarCurr] :
      ( v14665(VarCurr)
    <=> ( ( v14653(VarCurr,bitIndex2)
        <=> $false )
        & ( v14653(VarCurr,bitIndex1)
        <=> $false )
        & ( v14653(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3260,axiom,(
    ! [VarCurr] :
      ( v14661(VarCurr)
    <=> ( v14662(VarCurr)
        | v14663(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3259,axiom,(
    ! [VarCurr] :
      ( v14663(VarCurr)
    <=> ( v14610(VarCurr)
        & v14664(VarCurr) ) ) )).

fof(writeUnaryOperator_1104,axiom,(
    ! [VarCurr] :
      ( ~ v14664(VarCurr)
    <=> v14662(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1034,axiom,(
    ! [VarCurr] :
      ( v14662(VarCurr)
    <=> ( v14604(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3258,axiom,(
    ! [VarCurr] :
      ( v14651(VarCurr)
    <=> ( v14652(VarCurr)
        | v14654(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3257,axiom,(
    ! [VarCurr] :
      ( v14654(VarCurr)
    <=> ( v14655(VarCurr)
        & v14659(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1033,axiom,(
    ! [VarCurr] :
      ( v14659(VarCurr)
    <=> ( ( v14653(VarCurr,bitIndex2)
        <=> $false )
        & ( v14653(VarCurr,bitIndex1)
        <=> $true )
        & ( v14653(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3256,axiom,(
    ! [VarCurr] :
      ( v14655(VarCurr)
    <=> ( v14656(VarCurr)
        | v14657(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3255,axiom,(
    ! [VarCurr] :
      ( v14657(VarCurr)
    <=> ( v14610(VarCurr)
        & v14658(VarCurr) ) ) )).

fof(writeUnaryOperator_1103,axiom,(
    ! [VarCurr] :
      ( ~ v14658(VarCurr)
    <=> v14656(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1032,axiom,(
    ! [VarCurr] :
      ( v14656(VarCurr)
    <=> ( v14604(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1031,axiom,(
    ! [VarCurr] :
      ( v14652(VarCurr)
    <=> ( ( v14653(VarCurr,bitIndex2)
        <=> $true )
        & ( v14653(VarCurr,bitIndex1)
        <=> $false )
        & ( v14653(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_3402,axiom,(
    ! [VarCurr] :
      ( v14653(VarCurr,bitIndex0)
    <=> v14602(VarCurr) ) )).

fof(addAssignment_3401,axiom,(
    ! [VarCurr] :
      ( v14653(VarCurr,bitIndex1)
    <=> v14600(VarCurr) ) )).

fof(addAssignment_3400,axiom,(
    ! [VarCurr] :
      ( v14653(VarCurr,bitIndex2)
    <=> v14598(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3254,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14637(VarNext)
      <=> ( v14638(VarNext)
          & v14629(VarNext) ) ) ) )).

fof(writeUnaryOperator_1102,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14638(VarNext)
      <=> v14640(VarNext) ) ) )).

fof(addAssignment_3399,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14640(VarNext)
      <=> v14629(VarCurr) ) ) )).

fof(addAssignment_3398,axiom,(
    ! [VarCurr] :
      ( v14629(VarCurr)
    <=> v14631(VarCurr) ) )).

fof(addAssignment_3397,axiom,(
    ! [VarCurr] :
      ( v14631(VarCurr)
    <=> v14633(VarCurr) ) )).

fof(addAssignment_3396,axiom,(
    ! [VarCurr] :
      ( v14633(VarCurr)
    <=> v8019(VarCurr) ) )).

fof(addAssignment_3395,axiom,(
    ! [VarCurr] :
      ( v14627(VarCurr)
    <=> $false ) )).

fof(addAssignment_3394,axiom,(
    ! [VarCurr] :
      ( v14612(VarCurr)
    <=> v14614(VarCurr) ) )).

fof(addAssignment_3393,axiom,(
    ! [VarCurr] :
      ( v14614(VarCurr)
    <=> v14616(VarCurr) ) )).

fof(addAssignment_3392,axiom,(
    ! [VarCurr] :
      ( v14616(VarCurr)
    <=> v14618(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3253,axiom,(
    ! [VarCurr] :
      ( v14618(VarCurr)
    <=> ( v14620(VarCurr)
        & v7990(VarCurr) ) ) )).

fof(addAssignment_3391,axiom,(
    ! [VarCurr] :
      ( v14620(VarCurr)
    <=> v14622(VarCurr) ) )).

fof(addAssignment_3390,axiom,(
    ! [VarCurr] :
      ( v14622(VarCurr)
    <=> v14624(VarCurr) ) )).

fof(addAssignment_3389,axiom,(
    ! [VarCurr] :
      ( v14610(VarCurr)
    <=> $false ) )).

fof(addAssignment_3388,axiom,(
    ! [VarCurr] :
      ( v14604(VarCurr)
    <=> v14606(VarCurr,bitIndex8) ) )).

fof(addAssignment_3387,axiom,(
    ! [VarCurr] :
      ( v14606(VarCurr,bitIndex8)
    <=> v14608(VarCurr,bitIndex8) ) )).

fof(addAssignment_3386,axiom,(
    ! [VarCurr] :
      ( v14608(VarCurr,bitIndex8)
    <=> v7954(VarCurr,bitIndex8) ) )).

fof(addAssignment_3385,axiom,(
    ! [VarCurr] :
      ( v14602(VarCurr)
    <=> $false ) )).

fof(addAssignment_3384,axiom,(
    ! [VarCurr] :
      ( v14600(VarCurr)
    <=> $false ) )).

fof(addAssignment_3383,axiom,(
    ! [VarCurr] :
      ( v14598(VarCurr)
    <=> $true ) )).

fof(addAssignment_3382,axiom,(
    ! [VarCurr] :
      ( v14596(VarCurr)
    <=> $false ) )).

fof(addAssignment_3381,axiom,(
    ! [VarCurr] :
      ( v14587(VarCurr)
    <=> v14589(VarCurr) ) )).

fof(writeUnaryOperator_1101,axiom,(
    ! [VarCurr] :
      ( ~ v14589(VarCurr)
    <=> v14591(VarCurr) ) )).

fof(addAssignment_3380,axiom,(
    ! [VarCurr] :
      ( v14591(VarCurr)
    <=> v14593(VarCurr) ) )).

fof(addAssignment_3379,axiom,(
    ! [VarCurr] :
      ( v14593(VarCurr)
    <=> v7919(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_167,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14534(VarNext)
       => ( v14385(VarNext,bitIndex1)
        <=> v14385(VarCurr,bitIndex1) ) ) ) )).

fof(addCaseBooleanConditionShiftedRanges0_3,axiom,(
    ! [VarNext] :
      ( v14534(VarNext)
     => ( v14385(VarNext,bitIndex1)
      <=> v14547(VarNext) ) ) )).

fof(addAssignment_3378,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14547(VarNext)
      <=> v14545(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_543,axiom,(
    ! [VarCurr] :
      ( ~ v14093(VarCurr)
     => ( v14545(VarCurr)
      <=> v14387(VarCurr,bitIndex0) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_546,axiom,(
    ! [VarCurr] :
      ( v14093(VarCurr)
     => ( v14545(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3252,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14534(VarNext)
      <=> ( v14535(VarNext)
          & v14542(VarNext) ) ) ) )).

fof(addAssignment_3377,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14542(VarNext)
      <=> v14540(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3251,axiom,(
    ! [VarCurr] :
      ( v14540(VarCurr)
    <=> ( v14093(VarCurr)
        | v14543(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3250,axiom,(
    ! [VarCurr] :
      ( v14543(VarCurr)
    <=> ( v14095(VarCurr)
        & v14544(VarCurr) ) ) )).

fof(writeUnaryOperator_1100,axiom,(
    ! [VarCurr] :
      ( ~ v14544(VarCurr)
    <=> v14093(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3249,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14535(VarNext)
      <=> ( v14537(VarNext)
          & v14073(VarNext) ) ) ) )).

fof(writeUnaryOperator_1099,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14537(VarNext)
      <=> v14086(VarNext) ) ) )).

fof(addAssignment_3376,axiom,(
    ! [VarCurr] :
      ( v14387(VarCurr,bitIndex0)
    <=> v14385(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorShiftedRanges_330,axiom,(
    ! [VarCurr] :
      ( v14385(VarCurr,bitIndex0)
    <=> ( v14531(VarCurr)
        & v14411(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3248,axiom,(
    ! [VarCurr] :
      ( v14531(VarCurr)
    <=> ( v14389(VarCurr)
        & v13971(VarCurr) ) ) )).

fof(addAssignment_3375,axiom,(
    ! [VarCurr] :
      ( v14411(VarCurr,bitIndex1)
    <=> v14413(VarCurr,bitIndex1) ) )).

fof(addAssignment_3374,axiom,(
    ! [VarCurr] :
      ( v14413(VarCurr,bitIndex1)
    <=> v14415(VarCurr,bitIndex1) ) )).

fof(addAssignment_3373,axiom,(
    ! [VarCurr] :
      ( v14415(VarCurr,bitIndex1)
    <=> v14417(VarCurr,bitIndex1) ) )).

fof(addAssignment_3372,axiom,(
    ! [VarCurr] :
      ( v14417(VarCurr,bitIndex1)
    <=> v14419(VarCurr,bitIndex1) ) )).

fof(addAssignment_3371,axiom,(
    ! [VarCurr] :
      ( v14419(VarCurr,bitIndex1)
    <=> v14472(VarCurr,bitIndex1) ) )).

fof(addParallelCaseBooleanConditionEqualRanges12,axiom,(
    ! [VarCurr] :
      ( ( ~ v14473(VarCurr)
        & ~ v14475(VarCurr)
        & ~ v14477(VarCurr)
        & ~ v14479(VarCurr)
        & ~ v14481(VarCurr)
        & ~ v14483(VarCurr)
        & ~ v14485(VarCurr)
        & ~ v14487(VarCurr)
        & ~ v14489(VarCurr)
        & ~ v14501(VarCurr)
        & ~ v14506(VarCurr)
        & ~ v14518(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v14472(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges11,axiom,(
    ! [VarCurr] :
      ( v14518(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v14472(VarCurr,B)
          <=> b101(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges10,axiom,(
    ! [VarCurr] :
      ( v14506(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v14472(VarCurr,B)
          <=> b010(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges9_1,axiom,(
    ! [VarCurr] :
      ( v14501(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v14472(VarCurr,B)
          <=> b001(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges8_1,axiom,(
    ! [VarCurr] :
      ( v14489(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v14472(VarCurr,B)
          <=> b010(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges7_2,axiom,(
    ! [VarCurr] :
      ( v14487(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v14472(VarCurr,B)
          <=> b001(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges6_2,axiom,(
    ! [VarCurr] :
      ( v14485(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v14472(VarCurr,B)
          <=> b010(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges5_4,axiom,(
    ! [VarCurr] :
      ( v14483(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v14472(VarCurr,B)
          <=> b001(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges4_7,axiom,(
    ! [VarCurr] :
      ( v14481(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v14472(VarCurr,B)
          <=> b010(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_24,axiom,(
    ! [VarCurr] :
      ( v14479(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v14472(VarCurr,B)
          <=> b001(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_228,axiom,(
    ! [VarCurr] :
      ( v14477(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v14472(VarCurr,B)
          <=> b010(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_542,axiom,(
    ! [VarCurr] :
      ( v14475(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v14472(VarCurr,B)
          <=> b001(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_545,axiom,(
    ! [VarCurr] :
      ( v14473(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v14472(VarCurr,B)
          <=> b010(B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3247,axiom,(
    ! [VarCurr] :
      ( v14518(VarCurr)
    <=> ( v14520(VarCurr)
        | v14528(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1030,axiom,(
    ! [VarCurr] :
      ( v14528(VarCurr)
    <=> ( ( v14529(VarCurr,bitIndex8)
        <=> $true )
        & ( v14529(VarCurr,bitIndex7)
        <=> $true )
        & ( v14529(VarCurr,bitIndex6)
        <=> $true )
        & ( v14529(VarCurr,bitIndex5)
        <=> $true )
        & ( v14529(VarCurr,bitIndex4)
        <=> $true )
        & ( v14529(VarCurr,bitIndex3)
        <=> $true )
        & ( v14529(VarCurr,bitIndex2)
        <=> $false )
        & ( v14529(VarCurr,bitIndex1)
        <=> $false )
        & ( v14529(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_7640,axiom,(
    b111111000(bitIndex8) )).

fof(bitBlastConstant_7639,axiom,(
    b111111000(bitIndex7) )).

fof(bitBlastConstant_7638,axiom,(
    b111111000(bitIndex6) )).

fof(bitBlastConstant_7637,axiom,(
    b111111000(bitIndex5) )).

fof(bitBlastConstant_7636,axiom,(
    b111111000(bitIndex4) )).

fof(bitBlastConstant_7635,axiom,(
    b111111000(bitIndex3) )).

fof(bitBlastConstant_7634,axiom,(
    ~ b111111000(bitIndex2) )).

fof(bitBlastConstant_7633,axiom,(
    ~ b111111000(bitIndex1) )).

fof(bitBlastConstant_7632,axiom,(
    ~ b111111000(bitIndex0) )).

fof(addAssignment_3370,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v14529(VarCurr,B)
      <=> v14438(VarCurr,B) ) ) )).

fof(addAssignment_3369,axiom,(
    ! [VarCurr] :
      ( v14529(VarCurr,bitIndex7)
    <=> v14436(VarCurr) ) )).

fof(addAssignment_3368,axiom,(
    ! [VarCurr] :
      ( v14529(VarCurr,bitIndex8)
    <=> v14421(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3246,axiom,(
    ! [VarCurr] :
      ( v14520(VarCurr)
    <=> ( v14521(VarCurr)
        | v14526(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1029,axiom,(
    ! [VarCurr] :
      ( v14526(VarCurr)
    <=> ( ( v14527(VarCurr,bitIndex8)
        <=> $true )
        & ( v14527(VarCurr,bitIndex7)
        <=> $true )
        & ( v14527(VarCurr,bitIndex6)
        <=> $true )
        & ( v14527(VarCurr,bitIndex5)
        <=> $true )
        & ( v14527(VarCurr,bitIndex4)
        <=> $true )
        & ( v14527(VarCurr,bitIndex3)
        <=> $false )
        & ( v14527(VarCurr,bitIndex2)
        <=> $false )
        & ( v14527(VarCurr,bitIndex1)
        <=> $false )
        & ( v14527(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_7631,axiom,(
    b111110000(bitIndex8) )).

fof(bitBlastConstant_7630,axiom,(
    b111110000(bitIndex7) )).

fof(bitBlastConstant_7629,axiom,(
    b111110000(bitIndex6) )).

fof(bitBlastConstant_7628,axiom,(
    b111110000(bitIndex5) )).

fof(bitBlastConstant_7627,axiom,(
    b111110000(bitIndex4) )).

fof(bitBlastConstant_7626,axiom,(
    ~ b111110000(bitIndex3) )).

fof(bitBlastConstant_7625,axiom,(
    ~ b111110000(bitIndex2) )).

fof(bitBlastConstant_7624,axiom,(
    ~ b111110000(bitIndex1) )).

fof(bitBlastConstant_7623,axiom,(
    ~ b111110000(bitIndex0) )).

fof(addAssignment_3367,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v14527(VarCurr,B)
      <=> v14438(VarCurr,B) ) ) )).

fof(addAssignment_3366,axiom,(
    ! [VarCurr] :
      ( v14527(VarCurr,bitIndex7)
    <=> v14436(VarCurr) ) )).

fof(addAssignment_3365,axiom,(
    ! [VarCurr] :
      ( v14527(VarCurr,bitIndex8)
    <=> v14421(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3245,axiom,(
    ! [VarCurr] :
      ( v14521(VarCurr)
    <=> ( v14522(VarCurr)
        | v14524(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1028,axiom,(
    ! [VarCurr] :
      ( v14524(VarCurr)
    <=> ( ( v14525(VarCurr,bitIndex8)
        <=> $true )
        & ( v14525(VarCurr,bitIndex7)
        <=> $true )
        & ( v14525(VarCurr,bitIndex6)
        <=> $true )
        & ( v14525(VarCurr,bitIndex5)
        <=> $false )
        & ( v14525(VarCurr,bitIndex4)
        <=> $true )
        & ( v14525(VarCurr,bitIndex3)
        <=> $true )
        & ( v14525(VarCurr,bitIndex2)
        <=> $false )
        & ( v14525(VarCurr,bitIndex1)
        <=> $false )
        & ( v14525(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_7622,axiom,(
    b111011000(bitIndex8) )).

fof(bitBlastConstant_7621,axiom,(
    b111011000(bitIndex7) )).

fof(bitBlastConstant_7620,axiom,(
    b111011000(bitIndex6) )).

fof(bitBlastConstant_7619,axiom,(
    ~ b111011000(bitIndex5) )).

fof(bitBlastConstant_7618,axiom,(
    b111011000(bitIndex4) )).

fof(bitBlastConstant_7617,axiom,(
    b111011000(bitIndex3) )).

fof(bitBlastConstant_7616,axiom,(
    ~ b111011000(bitIndex2) )).

fof(bitBlastConstant_7615,axiom,(
    ~ b111011000(bitIndex1) )).

fof(bitBlastConstant_7614,axiom,(
    ~ b111011000(bitIndex0) )).

fof(addAssignment_3364,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v14525(VarCurr,B)
      <=> v14438(VarCurr,B) ) ) )).

fof(addAssignment_3363,axiom,(
    ! [VarCurr] :
      ( v14525(VarCurr,bitIndex7)
    <=> v14436(VarCurr) ) )).

fof(addAssignment_3362,axiom,(
    ! [VarCurr] :
      ( v14525(VarCurr,bitIndex8)
    <=> v14421(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1027,axiom,(
    ! [VarCurr] :
      ( v14522(VarCurr)
    <=> ( ( v14523(VarCurr,bitIndex8)
        <=> $true )
        & ( v14523(VarCurr,bitIndex7)
        <=> $true )
        & ( v14523(VarCurr,bitIndex6)
        <=> $true )
        & ( v14523(VarCurr,bitIndex5)
        <=> $false )
        & ( v14523(VarCurr,bitIndex4)
        <=> $true )
        & ( v14523(VarCurr,bitIndex3)
        <=> $false )
        & ( v14523(VarCurr,bitIndex2)
        <=> $false )
        & ( v14523(VarCurr,bitIndex1)
        <=> $false )
        & ( v14523(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_7613,axiom,(
    b111010000(bitIndex8) )).

fof(bitBlastConstant_7612,axiom,(
    b111010000(bitIndex7) )).

fof(bitBlastConstant_7611,axiom,(
    b111010000(bitIndex6) )).

fof(bitBlastConstant_7610,axiom,(
    ~ b111010000(bitIndex5) )).

fof(bitBlastConstant_7609,axiom,(
    b111010000(bitIndex4) )).

fof(bitBlastConstant_7608,axiom,(
    ~ b111010000(bitIndex3) )).

fof(bitBlastConstant_7607,axiom,(
    ~ b111010000(bitIndex2) )).

fof(bitBlastConstant_7606,axiom,(
    ~ b111010000(bitIndex1) )).

fof(bitBlastConstant_7605,axiom,(
    ~ b111010000(bitIndex0) )).

fof(addAssignment_3361,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v14523(VarCurr,B)
      <=> v14438(VarCurr,B) ) ) )).

fof(addAssignment_3360,axiom,(
    ! [VarCurr] :
      ( v14523(VarCurr,bitIndex7)
    <=> v14436(VarCurr) ) )).

fof(addAssignment_3359,axiom,(
    ! [VarCurr] :
      ( v14523(VarCurr,bitIndex8)
    <=> v14421(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3244,axiom,(
    ! [VarCurr] :
      ( v14506(VarCurr)
    <=> ( v14508(VarCurr)
        | v14516(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1026,axiom,(
    ! [VarCurr] :
      ( v14516(VarCurr)
    <=> ( ( v14517(VarCurr,bitIndex8)
        <=> $false )
        & ( v14517(VarCurr,bitIndex7)
        <=> $true )
        & ( v14517(VarCurr,bitIndex6)
        <=> $true )
        & ( v14517(VarCurr,bitIndex5)
        <=> $true )
        & ( v14517(VarCurr,bitIndex4)
        <=> $true )
        & ( v14517(VarCurr,bitIndex3)
        <=> $true )
        & ( v14517(VarCurr,bitIndex2)
        <=> $false )
        & ( v14517(VarCurr,bitIndex1)
        <=> $false )
        & ( v14517(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_7604,axiom,(
    ~ b011111000(bitIndex8) )).

fof(bitBlastConstant_7603,axiom,(
    b011111000(bitIndex7) )).

fof(bitBlastConstant_7602,axiom,(
    b011111000(bitIndex6) )).

fof(bitBlastConstant_7601,axiom,(
    b011111000(bitIndex5) )).

fof(bitBlastConstant_7600,axiom,(
    b011111000(bitIndex4) )).

fof(bitBlastConstant_7599,axiom,(
    b011111000(bitIndex3) )).

fof(bitBlastConstant_7598,axiom,(
    ~ b011111000(bitIndex2) )).

fof(bitBlastConstant_7597,axiom,(
    ~ b011111000(bitIndex1) )).

fof(bitBlastConstant_7596,axiom,(
    ~ b011111000(bitIndex0) )).

fof(addAssignment_3358,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v14517(VarCurr,B)
      <=> v14438(VarCurr,B) ) ) )).

fof(addAssignment_3357,axiom,(
    ! [VarCurr] :
      ( v14517(VarCurr,bitIndex7)
    <=> v14436(VarCurr) ) )).

fof(addAssignment_3356,axiom,(
    ! [VarCurr] :
      ( v14517(VarCurr,bitIndex8)
    <=> v14421(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3243,axiom,(
    ! [VarCurr] :
      ( v14508(VarCurr)
    <=> ( v14509(VarCurr)
        | v14514(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1025,axiom,(
    ! [VarCurr] :
      ( v14514(VarCurr)
    <=> ( ( v14515(VarCurr,bitIndex8)
        <=> $false )
        & ( v14515(VarCurr,bitIndex7)
        <=> $true )
        & ( v14515(VarCurr,bitIndex6)
        <=> $true )
        & ( v14515(VarCurr,bitIndex5)
        <=> $false )
        & ( v14515(VarCurr,bitIndex4)
        <=> $true )
        & ( v14515(VarCurr,bitIndex3)
        <=> $true )
        & ( v14515(VarCurr,bitIndex2)
        <=> $false )
        & ( v14515(VarCurr,bitIndex1)
        <=> $false )
        & ( v14515(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_7595,axiom,(
    ~ b011011000(bitIndex8) )).

fof(bitBlastConstant_7594,axiom,(
    b011011000(bitIndex7) )).

fof(bitBlastConstant_7593,axiom,(
    b011011000(bitIndex6) )).

fof(bitBlastConstant_7592,axiom,(
    ~ b011011000(bitIndex5) )).

fof(bitBlastConstant_7591,axiom,(
    b011011000(bitIndex4) )).

fof(bitBlastConstant_7590,axiom,(
    b011011000(bitIndex3) )).

fof(bitBlastConstant_7589,axiom,(
    ~ b011011000(bitIndex2) )).

fof(bitBlastConstant_7588,axiom,(
    ~ b011011000(bitIndex1) )).

fof(bitBlastConstant_7587,axiom,(
    ~ b011011000(bitIndex0) )).

fof(addAssignment_3355,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v14515(VarCurr,B)
      <=> v14438(VarCurr,B) ) ) )).

fof(addAssignment_3354,axiom,(
    ! [VarCurr] :
      ( v14515(VarCurr,bitIndex7)
    <=> v14436(VarCurr) ) )).

fof(addAssignment_3353,axiom,(
    ! [VarCurr] :
      ( v14515(VarCurr,bitIndex8)
    <=> v14421(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3242,axiom,(
    ! [VarCurr] :
      ( v14509(VarCurr)
    <=> ( v14510(VarCurr)
        | v14512(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1024,axiom,(
    ! [VarCurr] :
      ( v14512(VarCurr)
    <=> ( ( v14513(VarCurr,bitIndex8)
        <=> $false )
        & ( v14513(VarCurr,bitIndex7)
        <=> $true )
        & ( v14513(VarCurr,bitIndex6)
        <=> $true )
        & ( v14513(VarCurr,bitIndex5)
        <=> $true )
        & ( v14513(VarCurr,bitIndex4)
        <=> $true )
        & ( v14513(VarCurr,bitIndex3)
        <=> $false )
        & ( v14513(VarCurr,bitIndex2)
        <=> $false )
        & ( v14513(VarCurr,bitIndex1)
        <=> $false )
        & ( v14513(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_7586,axiom,(
    ~ b011110000(bitIndex8) )).

fof(bitBlastConstant_7585,axiom,(
    b011110000(bitIndex7) )).

fof(bitBlastConstant_7584,axiom,(
    b011110000(bitIndex6) )).

fof(bitBlastConstant_7583,axiom,(
    b011110000(bitIndex5) )).

fof(bitBlastConstant_7582,axiom,(
    b011110000(bitIndex4) )).

fof(bitBlastConstant_7581,axiom,(
    ~ b011110000(bitIndex3) )).

fof(bitBlastConstant_7580,axiom,(
    ~ b011110000(bitIndex2) )).

fof(bitBlastConstant_7579,axiom,(
    ~ b011110000(bitIndex1) )).

fof(bitBlastConstant_7578,axiom,(
    ~ b011110000(bitIndex0) )).

fof(addAssignment_3352,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v14513(VarCurr,B)
      <=> v14438(VarCurr,B) ) ) )).

fof(addAssignment_3351,axiom,(
    ! [VarCurr] :
      ( v14513(VarCurr,bitIndex7)
    <=> v14436(VarCurr) ) )).

fof(addAssignment_3350,axiom,(
    ! [VarCurr] :
      ( v14513(VarCurr,bitIndex8)
    <=> v14421(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1023,axiom,(
    ! [VarCurr] :
      ( v14510(VarCurr)
    <=> ( ( v14511(VarCurr,bitIndex8)
        <=> $false )
        & ( v14511(VarCurr,bitIndex7)
        <=> $true )
        & ( v14511(VarCurr,bitIndex6)
        <=> $true )
        & ( v14511(VarCurr,bitIndex5)
        <=> $false )
        & ( v14511(VarCurr,bitIndex4)
        <=> $true )
        & ( v14511(VarCurr,bitIndex3)
        <=> $false )
        & ( v14511(VarCurr,bitIndex2)
        <=> $false )
        & ( v14511(VarCurr,bitIndex1)
        <=> $false )
        & ( v14511(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_7577,axiom,(
    ~ b011010000(bitIndex8) )).

fof(bitBlastConstant_7576,axiom,(
    b011010000(bitIndex7) )).

fof(bitBlastConstant_7575,axiom,(
    b011010000(bitIndex6) )).

fof(bitBlastConstant_7574,axiom,(
    ~ b011010000(bitIndex5) )).

fof(bitBlastConstant_7573,axiom,(
    b011010000(bitIndex4) )).

fof(bitBlastConstant_7572,axiom,(
    ~ b011010000(bitIndex3) )).

fof(bitBlastConstant_7571,axiom,(
    ~ b011010000(bitIndex2) )).

fof(bitBlastConstant_7570,axiom,(
    ~ b011010000(bitIndex1) )).

fof(bitBlastConstant_7569,axiom,(
    ~ b011010000(bitIndex0) )).

fof(addAssignment_3349,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v14511(VarCurr,B)
      <=> v14438(VarCurr,B) ) ) )).

fof(addAssignment_3348,axiom,(
    ! [VarCurr] :
      ( v14511(VarCurr,bitIndex7)
    <=> v14436(VarCurr) ) )).

fof(addAssignment_3347,axiom,(
    ! [VarCurr] :
      ( v14511(VarCurr,bitIndex8)
    <=> v14421(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3241,axiom,(
    ! [VarCurr] :
      ( v14501(VarCurr)
    <=> ( v14502(VarCurr)
        | v14504(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1022,axiom,(
    ! [VarCurr] :
      ( v14504(VarCurr)
    <=> ( ( v14505(VarCurr,bitIndex8)
        <=> $true )
        & ( v14505(VarCurr,bitIndex7)
        <=> $true )
        & ( v14505(VarCurr,bitIndex6)
        <=> $true )
        & ( v14505(VarCurr,bitIndex5)
        <=> $true )
        & ( v14505(VarCurr,bitIndex4)
        <=> $false )
        & ( v14505(VarCurr,bitIndex3)
        <=> $false )
        & ( v14505(VarCurr,bitIndex2)
        <=> $false )
        & ( v14505(VarCurr,bitIndex1)
        <=> $false )
        & ( v14505(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_7568,axiom,(
    b111100000(bitIndex8) )).

fof(bitBlastConstant_7567,axiom,(
    b111100000(bitIndex7) )).

fof(bitBlastConstant_7566,axiom,(
    b111100000(bitIndex6) )).

fof(bitBlastConstant_7565,axiom,(
    b111100000(bitIndex5) )).

fof(bitBlastConstant_7564,axiom,(
    ~ b111100000(bitIndex4) )).

fof(bitBlastConstant_7563,axiom,(
    ~ b111100000(bitIndex3) )).

fof(bitBlastConstant_7562,axiom,(
    ~ b111100000(bitIndex2) )).

fof(bitBlastConstant_7561,axiom,(
    ~ b111100000(bitIndex1) )).

fof(bitBlastConstant_7560,axiom,(
    ~ b111100000(bitIndex0) )).

fof(addAssignment_3346,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v14505(VarCurr,B)
      <=> v14438(VarCurr,B) ) ) )).

fof(addAssignment_3345,axiom,(
    ! [VarCurr] :
      ( v14505(VarCurr,bitIndex7)
    <=> v14436(VarCurr) ) )).

fof(addAssignment_3344,axiom,(
    ! [VarCurr] :
      ( v14505(VarCurr,bitIndex8)
    <=> v14421(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1021,axiom,(
    ! [VarCurr] :
      ( v14502(VarCurr)
    <=> ( ( v14503(VarCurr,bitIndex8)
        <=> $true )
        & ( v14503(VarCurr,bitIndex7)
        <=> $true )
        & ( v14503(VarCurr,bitIndex6)
        <=> $false )
        & ( v14503(VarCurr,bitIndex5)
        <=> $true )
        & ( v14503(VarCurr,bitIndex4)
        <=> $false )
        & ( v14503(VarCurr,bitIndex3)
        <=> $false )
        & ( v14503(VarCurr,bitIndex2)
        <=> $false )
        & ( v14503(VarCurr,bitIndex1)
        <=> $false )
        & ( v14503(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_7559,axiom,(
    b110100000(bitIndex8) )).

fof(bitBlastConstant_7558,axiom,(
    b110100000(bitIndex7) )).

fof(bitBlastConstant_7557,axiom,(
    ~ b110100000(bitIndex6) )).

fof(bitBlastConstant_7556,axiom,(
    b110100000(bitIndex5) )).

fof(bitBlastConstant_7555,axiom,(
    ~ b110100000(bitIndex4) )).

fof(bitBlastConstant_7554,axiom,(
    ~ b110100000(bitIndex3) )).

fof(bitBlastConstant_7553,axiom,(
    ~ b110100000(bitIndex2) )).

fof(bitBlastConstant_7552,axiom,(
    ~ b110100000(bitIndex1) )).

fof(bitBlastConstant_7551,axiom,(
    ~ b110100000(bitIndex0) )).

fof(addAssignment_3343,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v14503(VarCurr,B)
      <=> v14438(VarCurr,B) ) ) )).

fof(addAssignment_3342,axiom,(
    ! [VarCurr] :
      ( v14503(VarCurr,bitIndex7)
    <=> v14436(VarCurr) ) )).

fof(addAssignment_3341,axiom,(
    ! [VarCurr] :
      ( v14503(VarCurr,bitIndex8)
    <=> v14421(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3240,axiom,(
    ! [VarCurr] :
      ( v14489(VarCurr)
    <=> ( v14491(VarCurr)
        | v14499(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1020,axiom,(
    ! [VarCurr] :
      ( v14499(VarCurr)
    <=> ( ( v14500(VarCurr,bitIndex8)
        <=> $false )
        & ( v14500(VarCurr,bitIndex7)
        <=> $true )
        & ( v14500(VarCurr,bitIndex6)
        <=> $true )
        & ( v14500(VarCurr,bitIndex5)
        <=> $true )
        & ( v14500(VarCurr,bitIndex4)
        <=> $false )
        & ( v14500(VarCurr,bitIndex3)
        <=> $false )
        & ( v14500(VarCurr,bitIndex2)
        <=> $false )
        & ( v14500(VarCurr,bitIndex1)
        <=> $false )
        & ( v14500(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_7550,axiom,(
    ~ b011100000(bitIndex8) )).

fof(bitBlastConstant_7549,axiom,(
    b011100000(bitIndex7) )).

fof(bitBlastConstant_7548,axiom,(
    b011100000(bitIndex6) )).

fof(bitBlastConstant_7547,axiom,(
    b011100000(bitIndex5) )).

fof(bitBlastConstant_7546,axiom,(
    ~ b011100000(bitIndex4) )).

fof(bitBlastConstant_7545,axiom,(
    ~ b011100000(bitIndex3) )).

fof(bitBlastConstant_7544,axiom,(
    ~ b011100000(bitIndex2) )).

fof(bitBlastConstant_7543,axiom,(
    ~ b011100000(bitIndex1) )).

fof(bitBlastConstant_7542,axiom,(
    ~ b011100000(bitIndex0) )).

fof(addAssignment_3340,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v14500(VarCurr,B)
      <=> v14438(VarCurr,B) ) ) )).

fof(addAssignment_3339,axiom,(
    ! [VarCurr] :
      ( v14500(VarCurr,bitIndex7)
    <=> v14436(VarCurr) ) )).

fof(addAssignment_3338,axiom,(
    ! [VarCurr] :
      ( v14500(VarCurr,bitIndex8)
    <=> v14421(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3239,axiom,(
    ! [VarCurr] :
      ( v14491(VarCurr)
    <=> ( v14492(VarCurr)
        | v14497(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1019,axiom,(
    ! [VarCurr] :
      ( v14497(VarCurr)
    <=> ( ( v14498(VarCurr,bitIndex8)
        <=> $false )
        & ( v14498(VarCurr,bitIndex7)
        <=> $true )
        & ( v14498(VarCurr,bitIndex6)
        <=> $true )
        & ( v14498(VarCurr,bitIndex5)
        <=> $false )
        & ( v14498(VarCurr,bitIndex4)
        <=> $false )
        & ( v14498(VarCurr,bitIndex3)
        <=> $false )
        & ( v14498(VarCurr,bitIndex2)
        <=> $false )
        & ( v14498(VarCurr,bitIndex1)
        <=> $false )
        & ( v14498(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_7541,axiom,(
    ~ b011000000(bitIndex8) )).

fof(bitBlastConstant_7540,axiom,(
    b011000000(bitIndex7) )).

fof(bitBlastConstant_7539,axiom,(
    b011000000(bitIndex6) )).

fof(bitBlastConstant_7538,axiom,(
    ~ b011000000(bitIndex5) )).

fof(bitBlastConstant_7537,axiom,(
    ~ b011000000(bitIndex4) )).

fof(bitBlastConstant_7536,axiom,(
    ~ b011000000(bitIndex3) )).

fof(bitBlastConstant_7535,axiom,(
    ~ b011000000(bitIndex2) )).

fof(bitBlastConstant_7534,axiom,(
    ~ b011000000(bitIndex1) )).

fof(bitBlastConstant_7533,axiom,(
    ~ b011000000(bitIndex0) )).

fof(addAssignment_3337,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v14498(VarCurr,B)
      <=> v14438(VarCurr,B) ) ) )).

fof(addAssignment_3336,axiom,(
    ! [VarCurr] :
      ( v14498(VarCurr,bitIndex7)
    <=> v14436(VarCurr) ) )).

fof(addAssignment_3335,axiom,(
    ! [VarCurr] :
      ( v14498(VarCurr,bitIndex8)
    <=> v14421(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3238,axiom,(
    ! [VarCurr] :
      ( v14492(VarCurr)
    <=> ( v14493(VarCurr)
        | v14495(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1018,axiom,(
    ! [VarCurr] :
      ( v14495(VarCurr)
    <=> ( ( v14496(VarCurr,bitIndex8)
        <=> $false )
        & ( v14496(VarCurr,bitIndex7)
        <=> $true )
        & ( v14496(VarCurr,bitIndex6)
        <=> $false )
        & ( v14496(VarCurr,bitIndex5)
        <=> $true )
        & ( v14496(VarCurr,bitIndex4)
        <=> $false )
        & ( v14496(VarCurr,bitIndex3)
        <=> $false )
        & ( v14496(VarCurr,bitIndex2)
        <=> $false )
        & ( v14496(VarCurr,bitIndex1)
        <=> $false )
        & ( v14496(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_7532,axiom,(
    ~ b010100000(bitIndex8) )).

fof(bitBlastConstant_7531,axiom,(
    b010100000(bitIndex7) )).

fof(bitBlastConstant_7530,axiom,(
    ~ b010100000(bitIndex6) )).

fof(bitBlastConstant_7529,axiom,(
    b010100000(bitIndex5) )).

fof(bitBlastConstant_7528,axiom,(
    ~ b010100000(bitIndex4) )).

fof(bitBlastConstant_7527,axiom,(
    ~ b010100000(bitIndex3) )).

fof(bitBlastConstant_7526,axiom,(
    ~ b010100000(bitIndex2) )).

fof(bitBlastConstant_7525,axiom,(
    ~ b010100000(bitIndex1) )).

fof(bitBlastConstant_7524,axiom,(
    ~ b010100000(bitIndex0) )).

fof(addAssignment_3334,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v14496(VarCurr,B)
      <=> v14438(VarCurr,B) ) ) )).

fof(addAssignment_3333,axiom,(
    ! [VarCurr] :
      ( v14496(VarCurr,bitIndex7)
    <=> v14436(VarCurr) ) )).

fof(addAssignment_3332,axiom,(
    ! [VarCurr] :
      ( v14496(VarCurr,bitIndex8)
    <=> v14421(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1017,axiom,(
    ! [VarCurr] :
      ( v14493(VarCurr)
    <=> ( ( v14494(VarCurr,bitIndex8)
        <=> $false )
        & ( v14494(VarCurr,bitIndex7)
        <=> $true )
        & ( v14494(VarCurr,bitIndex6)
        <=> $false )
        & ( v14494(VarCurr,bitIndex5)
        <=> $false )
        & ( v14494(VarCurr,bitIndex4)
        <=> $false )
        & ( v14494(VarCurr,bitIndex3)
        <=> $false )
        & ( v14494(VarCurr,bitIndex2)
        <=> $false )
        & ( v14494(VarCurr,bitIndex1)
        <=> $false )
        & ( v14494(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_7523,axiom,(
    ~ b010000000(bitIndex8) )).

fof(bitBlastConstant_7522,axiom,(
    b010000000(bitIndex7) )).

fof(bitBlastConstant_7521,axiom,(
    ~ b010000000(bitIndex6) )).

fof(bitBlastConstant_7520,axiom,(
    ~ b010000000(bitIndex5) )).

fof(bitBlastConstant_7519,axiom,(
    ~ b010000000(bitIndex4) )).

fof(bitBlastConstant_7518,axiom,(
    ~ b010000000(bitIndex3) )).

fof(bitBlastConstant_7517,axiom,(
    ~ b010000000(bitIndex2) )).

fof(bitBlastConstant_7516,axiom,(
    ~ b010000000(bitIndex1) )).

fof(bitBlastConstant_7515,axiom,(
    ~ b010000000(bitIndex0) )).

fof(addAssignment_3331,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v14494(VarCurr,B)
      <=> v14438(VarCurr,B) ) ) )).

fof(addAssignment_3330,axiom,(
    ! [VarCurr] :
      ( v14494(VarCurr,bitIndex7)
    <=> v14436(VarCurr) ) )).

fof(addAssignment_3329,axiom,(
    ! [VarCurr] :
      ( v14494(VarCurr,bitIndex8)
    <=> v14421(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1016,axiom,(
    ! [VarCurr] :
      ( v14487(VarCurr)
    <=> ( ( v14488(VarCurr,bitIndex8)
        <=> $false )
        & ( v14488(VarCurr,bitIndex7)
        <=> $false )
        & ( v14488(VarCurr,bitIndex6)
        <=> $true )
        & ( v14488(VarCurr,bitIndex5)
        <=> $true )
        & ( v14488(VarCurr,bitIndex4)
        <=> $true )
        & ( v14488(VarCurr,bitIndex3)
        <=> $true )
        & ( v14488(VarCurr,bitIndex2)
        <=> $false )
        & ( v14488(VarCurr,bitIndex1)
        <=> $false )
        & ( v14488(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_7514,axiom,(
    ~ b001111000(bitIndex8) )).

fof(bitBlastConstant_7513,axiom,(
    ~ b001111000(bitIndex7) )).

fof(bitBlastConstant_7512,axiom,(
    b001111000(bitIndex6) )).

fof(bitBlastConstant_7511,axiom,(
    b001111000(bitIndex5) )).

fof(bitBlastConstant_7510,axiom,(
    b001111000(bitIndex4) )).

fof(bitBlastConstant_7509,axiom,(
    b001111000(bitIndex3) )).

fof(bitBlastConstant_7508,axiom,(
    ~ b001111000(bitIndex2) )).

fof(bitBlastConstant_7507,axiom,(
    ~ b001111000(bitIndex1) )).

fof(bitBlastConstant_7506,axiom,(
    ~ b001111000(bitIndex0) )).

fof(addAssignment_3328,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v14488(VarCurr,B)
      <=> v14438(VarCurr,B) ) ) )).

fof(addAssignment_3327,axiom,(
    ! [VarCurr] :
      ( v14488(VarCurr,bitIndex7)
    <=> v14436(VarCurr) ) )).

fof(addAssignment_3326,axiom,(
    ! [VarCurr] :
      ( v14488(VarCurr,bitIndex8)
    <=> v14421(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1015,axiom,(
    ! [VarCurr] :
      ( v14485(VarCurr)
    <=> ( ( v14486(VarCurr,bitIndex8)
        <=> $false )
        & ( v14486(VarCurr,bitIndex7)
        <=> $false )
        & ( v14486(VarCurr,bitIndex6)
        <=> $true )
        & ( v14486(VarCurr,bitIndex5)
        <=> $false )
        & ( v14486(VarCurr,bitIndex4)
        <=> $true )
        & ( v14486(VarCurr,bitIndex3)
        <=> $true )
        & ( v14486(VarCurr,bitIndex2)
        <=> $false )
        & ( v14486(VarCurr,bitIndex1)
        <=> $false )
        & ( v14486(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_7505,axiom,(
    ~ b001011000(bitIndex8) )).

fof(bitBlastConstant_7504,axiom,(
    ~ b001011000(bitIndex7) )).

fof(bitBlastConstant_7503,axiom,(
    b001011000(bitIndex6) )).

fof(bitBlastConstant_7502,axiom,(
    ~ b001011000(bitIndex5) )).

fof(bitBlastConstant_7501,axiom,(
    b001011000(bitIndex4) )).

fof(bitBlastConstant_7500,axiom,(
    b001011000(bitIndex3) )).

fof(bitBlastConstant_7499,axiom,(
    ~ b001011000(bitIndex2) )).

fof(bitBlastConstant_7498,axiom,(
    ~ b001011000(bitIndex1) )).

fof(bitBlastConstant_7497,axiom,(
    ~ b001011000(bitIndex0) )).

fof(addAssignment_3325,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v14486(VarCurr,B)
      <=> v14438(VarCurr,B) ) ) )).

fof(addAssignment_3324,axiom,(
    ! [VarCurr] :
      ( v14486(VarCurr,bitIndex7)
    <=> v14436(VarCurr) ) )).

fof(addAssignment_3323,axiom,(
    ! [VarCurr] :
      ( v14486(VarCurr,bitIndex8)
    <=> v14421(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1014,axiom,(
    ! [VarCurr] :
      ( v14483(VarCurr)
    <=> ( ( v14484(VarCurr,bitIndex8)
        <=> $false )
        & ( v14484(VarCurr,bitIndex7)
        <=> $false )
        & ( v14484(VarCurr,bitIndex6)
        <=> $true )
        & ( v14484(VarCurr,bitIndex5)
        <=> $true )
        & ( v14484(VarCurr,bitIndex4)
        <=> $true )
        & ( v14484(VarCurr,bitIndex3)
        <=> $false )
        & ( v14484(VarCurr,bitIndex2)
        <=> $false )
        & ( v14484(VarCurr,bitIndex1)
        <=> $false )
        & ( v14484(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_7496,axiom,(
    ~ b001110000(bitIndex8) )).

fof(bitBlastConstant_7495,axiom,(
    ~ b001110000(bitIndex7) )).

fof(bitBlastConstant_7494,axiom,(
    b001110000(bitIndex6) )).

fof(bitBlastConstant_7493,axiom,(
    b001110000(bitIndex5) )).

fof(bitBlastConstant_7492,axiom,(
    b001110000(bitIndex4) )).

fof(bitBlastConstant_7491,axiom,(
    ~ b001110000(bitIndex3) )).

fof(bitBlastConstant_7490,axiom,(
    ~ b001110000(bitIndex2) )).

fof(bitBlastConstant_7489,axiom,(
    ~ b001110000(bitIndex1) )).

fof(bitBlastConstant_7488,axiom,(
    ~ b001110000(bitIndex0) )).

fof(addAssignment_3322,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v14484(VarCurr,B)
      <=> v14438(VarCurr,B) ) ) )).

fof(addAssignment_3321,axiom,(
    ! [VarCurr] :
      ( v14484(VarCurr,bitIndex7)
    <=> v14436(VarCurr) ) )).

fof(addAssignment_3320,axiom,(
    ! [VarCurr] :
      ( v14484(VarCurr,bitIndex8)
    <=> v14421(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1013,axiom,(
    ! [VarCurr] :
      ( v14481(VarCurr)
    <=> ( ( v14482(VarCurr,bitIndex8)
        <=> $false )
        & ( v14482(VarCurr,bitIndex7)
        <=> $false )
        & ( v14482(VarCurr,bitIndex6)
        <=> $true )
        & ( v14482(VarCurr,bitIndex5)
        <=> $false )
        & ( v14482(VarCurr,bitIndex4)
        <=> $true )
        & ( v14482(VarCurr,bitIndex3)
        <=> $false )
        & ( v14482(VarCurr,bitIndex2)
        <=> $false )
        & ( v14482(VarCurr,bitIndex1)
        <=> $false )
        & ( v14482(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_7487,axiom,(
    ~ b001010000(bitIndex8) )).

fof(bitBlastConstant_7486,axiom,(
    ~ b001010000(bitIndex7) )).

fof(bitBlastConstant_7485,axiom,(
    b001010000(bitIndex6) )).

fof(bitBlastConstant_7484,axiom,(
    ~ b001010000(bitIndex5) )).

fof(bitBlastConstant_7483,axiom,(
    b001010000(bitIndex4) )).

fof(bitBlastConstant_7482,axiom,(
    ~ b001010000(bitIndex3) )).

fof(bitBlastConstant_7481,axiom,(
    ~ b001010000(bitIndex2) )).

fof(bitBlastConstant_7480,axiom,(
    ~ b001010000(bitIndex1) )).

fof(bitBlastConstant_7479,axiom,(
    ~ b001010000(bitIndex0) )).

fof(addAssignment_3319,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v14482(VarCurr,B)
      <=> v14438(VarCurr,B) ) ) )).

fof(addAssignment_3318,axiom,(
    ! [VarCurr] :
      ( v14482(VarCurr,bitIndex7)
    <=> v14436(VarCurr) ) )).

fof(addAssignment_3317,axiom,(
    ! [VarCurr] :
      ( v14482(VarCurr,bitIndex8)
    <=> v14421(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1012,axiom,(
    ! [VarCurr] :
      ( v14479(VarCurr)
    <=> ( ( v14480(VarCurr,bitIndex8)
        <=> $false )
        & ( v14480(VarCurr,bitIndex7)
        <=> $false )
        & ( v14480(VarCurr,bitIndex6)
        <=> $true )
        & ( v14480(VarCurr,bitIndex5)
        <=> $true )
        & ( v14480(VarCurr,bitIndex4)
        <=> $false )
        & ( v14480(VarCurr,bitIndex3)
        <=> $false )
        & ( v14480(VarCurr,bitIndex2)
        <=> $false )
        & ( v14480(VarCurr,bitIndex1)
        <=> $false )
        & ( v14480(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_7478,axiom,(
    ~ b001100000(bitIndex8) )).

fof(bitBlastConstant_7477,axiom,(
    ~ b001100000(bitIndex7) )).

fof(bitBlastConstant_7476,axiom,(
    b001100000(bitIndex6) )).

fof(bitBlastConstant_7475,axiom,(
    b001100000(bitIndex5) )).

fof(bitBlastConstant_7474,axiom,(
    ~ b001100000(bitIndex4) )).

fof(bitBlastConstant_7473,axiom,(
    ~ b001100000(bitIndex3) )).

fof(bitBlastConstant_7472,axiom,(
    ~ b001100000(bitIndex2) )).

fof(bitBlastConstant_7471,axiom,(
    ~ b001100000(bitIndex1) )).

fof(bitBlastConstant_7470,axiom,(
    ~ b001100000(bitIndex0) )).

fof(addAssignment_3316,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v14480(VarCurr,B)
      <=> v14438(VarCurr,B) ) ) )).

fof(addAssignment_3315,axiom,(
    ! [VarCurr] :
      ( v14480(VarCurr,bitIndex7)
    <=> v14436(VarCurr) ) )).

fof(addAssignment_3314,axiom,(
    ! [VarCurr] :
      ( v14480(VarCurr,bitIndex8)
    <=> v14421(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1011,axiom,(
    ! [VarCurr] :
      ( v14477(VarCurr)
    <=> ( ( v14478(VarCurr,bitIndex8)
        <=> $false )
        & ( v14478(VarCurr,bitIndex7)
        <=> $false )
        & ( v14478(VarCurr,bitIndex6)
        <=> $true )
        & ( v14478(VarCurr,bitIndex5)
        <=> $false )
        & ( v14478(VarCurr,bitIndex4)
        <=> $false )
        & ( v14478(VarCurr,bitIndex3)
        <=> $false )
        & ( v14478(VarCurr,bitIndex2)
        <=> $false )
        & ( v14478(VarCurr,bitIndex1)
        <=> $false )
        & ( v14478(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_7469,axiom,(
    ~ b001000000(bitIndex8) )).

fof(bitBlastConstant_7468,axiom,(
    ~ b001000000(bitIndex7) )).

fof(bitBlastConstant_7467,axiom,(
    b001000000(bitIndex6) )).

fof(bitBlastConstant_7466,axiom,(
    ~ b001000000(bitIndex5) )).

fof(bitBlastConstant_7465,axiom,(
    ~ b001000000(bitIndex4) )).

fof(bitBlastConstant_7464,axiom,(
    ~ b001000000(bitIndex3) )).

fof(bitBlastConstant_7463,axiom,(
    ~ b001000000(bitIndex2) )).

fof(bitBlastConstant_7462,axiom,(
    ~ b001000000(bitIndex1) )).

fof(bitBlastConstant_7461,axiom,(
    ~ b001000000(bitIndex0) )).

fof(addAssignment_3313,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v14478(VarCurr,B)
      <=> v14438(VarCurr,B) ) ) )).

fof(addAssignment_3312,axiom,(
    ! [VarCurr] :
      ( v14478(VarCurr,bitIndex7)
    <=> v14436(VarCurr) ) )).

fof(addAssignment_3311,axiom,(
    ! [VarCurr] :
      ( v14478(VarCurr,bitIndex8)
    <=> v14421(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1010,axiom,(
    ! [VarCurr] :
      ( v14475(VarCurr)
    <=> ( ( v14476(VarCurr,bitIndex8)
        <=> $false )
        & ( v14476(VarCurr,bitIndex7)
        <=> $false )
        & ( v14476(VarCurr,bitIndex6)
        <=> $false )
        & ( v14476(VarCurr,bitIndex5)
        <=> $true )
        & ( v14476(VarCurr,bitIndex4)
        <=> $false )
        & ( v14476(VarCurr,bitIndex3)
        <=> $false )
        & ( v14476(VarCurr,bitIndex2)
        <=> $false )
        & ( v14476(VarCurr,bitIndex1)
        <=> $false )
        & ( v14476(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_7460,axiom,(
    ~ b000100000(bitIndex8) )).

fof(bitBlastConstant_7459,axiom,(
    ~ b000100000(bitIndex7) )).

fof(bitBlastConstant_7458,axiom,(
    ~ b000100000(bitIndex6) )).

fof(bitBlastConstant_7457,axiom,(
    b000100000(bitIndex5) )).

fof(bitBlastConstant_7456,axiom,(
    ~ b000100000(bitIndex4) )).

fof(bitBlastConstant_7455,axiom,(
    ~ b000100000(bitIndex3) )).

fof(bitBlastConstant_7454,axiom,(
    ~ b000100000(bitIndex2) )).

fof(bitBlastConstant_7453,axiom,(
    ~ b000100000(bitIndex1) )).

fof(bitBlastConstant_7452,axiom,(
    ~ b000100000(bitIndex0) )).

fof(addAssignment_3310,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v14476(VarCurr,B)
      <=> v14438(VarCurr,B) ) ) )).

fof(addAssignment_3309,axiom,(
    ! [VarCurr] :
      ( v14476(VarCurr,bitIndex7)
    <=> v14436(VarCurr) ) )).

fof(addAssignment_3308,axiom,(
    ! [VarCurr] :
      ( v14476(VarCurr,bitIndex8)
    <=> v14421(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1009,axiom,(
    ! [VarCurr] :
      ( v14473(VarCurr)
    <=> ( ( v14474(VarCurr,bitIndex8)
        <=> $false )
        & ( v14474(VarCurr,bitIndex7)
        <=> $false )
        & ( v14474(VarCurr,bitIndex6)
        <=> $false )
        & ( v14474(VarCurr,bitIndex5)
        <=> $false )
        & ( v14474(VarCurr,bitIndex4)
        <=> $false )
        & ( v14474(VarCurr,bitIndex3)
        <=> $false )
        & ( v14474(VarCurr,bitIndex2)
        <=> $false )
        & ( v14474(VarCurr,bitIndex1)
        <=> $false )
        & ( v14474(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_7451,axiom,(
    ~ b000000000(bitIndex8) )).

fof(bitBlastConstant_7450,axiom,(
    ~ b000000000(bitIndex7) )).

fof(bitBlastConstant_7449,axiom,(
    ~ b000000000(bitIndex6) )).

fof(bitBlastConstant_7448,axiom,(
    ~ b000000000(bitIndex5) )).

fof(bitBlastConstant_7447,axiom,(
    ~ b000000000(bitIndex4) )).

fof(bitBlastConstant_7446,axiom,(
    ~ b000000000(bitIndex3) )).

fof(bitBlastConstant_7445,axiom,(
    ~ b000000000(bitIndex2) )).

fof(bitBlastConstant_7444,axiom,(
    ~ b000000000(bitIndex1) )).

fof(bitBlastConstant_7443,axiom,(
    ~ b000000000(bitIndex0) )).

fof(addAssignment_3307,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v14474(VarCurr,B)
      <=> v14438(VarCurr,B) ) ) )).

fof(addAssignment_3306,axiom,(
    ! [VarCurr] :
      ( v14474(VarCurr,bitIndex7)
    <=> v14436(VarCurr) ) )).

fof(addAssignment_3305,axiom,(
    ! [VarCurr] :
      ( v14474(VarCurr,bitIndex8)
    <=> v14421(VarCurr) ) )).

fof(addAssignment_3304,axiom,(
    ! [VarCurr] :
      ( ( v14438(VarCurr,bitIndex6)
      <=> v14440(VarCurr,bitIndex84) )
      & ( v14438(VarCurr,bitIndex5)
      <=> v14440(VarCurr,bitIndex83) )
      & ( v14438(VarCurr,bitIndex4)
      <=> v14440(VarCurr,bitIndex82) )
      & ( v14438(VarCurr,bitIndex3)
      <=> v14440(VarCurr,bitIndex81) )
      & ( v14438(VarCurr,bitIndex2)
      <=> v14440(VarCurr,bitIndex80) )
      & ( v14438(VarCurr,bitIndex1)
      <=> v14440(VarCurr,bitIndex79) )
      & ( v14438(VarCurr,bitIndex0)
      <=> v14440(VarCurr,bitIndex78) ) ) )).

fof(addAssignment_3303,axiom,(
    ! [VarCurr,B] :
      ( range_84_78(B)
     => ( v14440(VarCurr,B)
      <=> v14442(VarCurr,B) ) ) )).

fof(addAssignment_3302,axiom,(
    ! [VarCurr,B] :
      ( range_84_78(B)
     => ( v14442(VarCurr,B)
      <=> v14444(VarCurr,B) ) ) )).

fof(addAssignment_3301,axiom,(
    ! [VarCurr,B] :
      ( range_84_78(B)
     => ( v14444(VarCurr,B)
      <=> v14445(VarCurr,B) ) ) )).

fof(range_axiom_42,axiom,(
    ! [B] :
      ( range_84_78(B)
    <=> ( $false
        | bitIndex78 = B
        | bitIndex79 = B
        | bitIndex80 = B
        | bitIndex81 = B
        | bitIndex82 = B
        | bitIndex83 = B
        | bitIndex84 = B ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_369,axiom,(
    ! [VarCurr] :
      ( ~ v14446(VarCurr)
     => ! [B] :
          ( range_84_0(B)
         => ( v14445(VarCurr,B)
          <=> v14431(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_373,axiom,(
    ! [VarCurr] :
      ( v14446(VarCurr)
     => ! [B] :
          ( range_84_0(B)
         => ( v14445(VarCurr,B)
          <=> v14448(VarCurr,B) ) ) ) )).

fof(range_axiom_41,axiom,(
    ! [B] :
      ( range_84_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B
        | bitIndex44 = B
        | bitIndex45 = B
        | bitIndex46 = B
        | bitIndex47 = B
        | bitIndex48 = B
        | bitIndex49 = B
        | bitIndex50 = B
        | bitIndex51 = B
        | bitIndex52 = B
        | bitIndex53 = B
        | bitIndex54 = B
        | bitIndex55 = B
        | bitIndex56 = B
        | bitIndex57 = B
        | bitIndex58 = B
        | bitIndex59 = B
        | bitIndex60 = B
        | bitIndex61 = B
        | bitIndex62 = B
        | bitIndex63 = B
        | bitIndex64 = B
        | bitIndex65 = B
        | bitIndex66 = B
        | bitIndex67 = B
        | bitIndex68 = B
        | bitIndex69 = B
        | bitIndex70 = B
        | bitIndex71 = B
        | bitIndex72 = B
        | bitIndex73 = B
        | bitIndex74 = B
        | bitIndex75 = B
        | bitIndex76 = B
        | bitIndex77 = B
        | bitIndex78 = B
        | bitIndex79 = B
        | bitIndex80 = B
        | bitIndex81 = B
        | bitIndex82 = B
        | bitIndex83 = B
        | bitIndex84 = B ) ) )).

fof(addAssignment_3300,axiom,(
    ! [VarCurr,B] :
      ( range_10_0(B)
     => ( v14448(VarCurr,B)
      <=> v14431(VarCurr,B) ) ) )).

fof(addAssignment_3299,axiom,(
    ! [VarCurr] :
      ( ( v14448(VarCurr,bitIndex37)
      <=> v14449(VarCurr,bitIndex26) )
      & ( v14448(VarCurr,bitIndex36)
      <=> v14449(VarCurr,bitIndex25) )
      & ( v14448(VarCurr,bitIndex35)
      <=> v14449(VarCurr,bitIndex24) )
      & ( v14448(VarCurr,bitIndex34)
      <=> v14449(VarCurr,bitIndex23) )
      & ( v14448(VarCurr,bitIndex33)
      <=> v14449(VarCurr,bitIndex22) )
      & ( v14448(VarCurr,bitIndex32)
      <=> v14449(VarCurr,bitIndex21) )
      & ( v14448(VarCurr,bitIndex31)
      <=> v14449(VarCurr,bitIndex20) )
      & ( v14448(VarCurr,bitIndex30)
      <=> v14449(VarCurr,bitIndex19) )
      & ( v14448(VarCurr,bitIndex29)
      <=> v14449(VarCurr,bitIndex18) )
      & ( v14448(VarCurr,bitIndex28)
      <=> v14449(VarCurr,bitIndex17) )
      & ( v14448(VarCurr,bitIndex27)
      <=> v14449(VarCurr,bitIndex16) )
      & ( v14448(VarCurr,bitIndex26)
      <=> v14449(VarCurr,bitIndex15) )
      & ( v14448(VarCurr,bitIndex25)
      <=> v14449(VarCurr,bitIndex14) )
      & ( v14448(VarCurr,bitIndex24)
      <=> v14449(VarCurr,bitIndex13) )
      & ( v14448(VarCurr,bitIndex23)
      <=> v14449(VarCurr,bitIndex12) )
      & ( v14448(VarCurr,bitIndex22)
      <=> v14449(VarCurr,bitIndex11) )
      & ( v14448(VarCurr,bitIndex21)
      <=> v14449(VarCurr,bitIndex10) )
      & ( v14448(VarCurr,bitIndex20)
      <=> v14449(VarCurr,bitIndex9) )
      & ( v14448(VarCurr,bitIndex19)
      <=> v14449(VarCurr,bitIndex8) )
      & ( v14448(VarCurr,bitIndex18)
      <=> v14449(VarCurr,bitIndex7) )
      & ( v14448(VarCurr,bitIndex17)
      <=> v14449(VarCurr,bitIndex6) )
      & ( v14448(VarCurr,bitIndex16)
      <=> v14449(VarCurr,bitIndex5) )
      & ( v14448(VarCurr,bitIndex15)
      <=> v14449(VarCurr,bitIndex4) )
      & ( v14448(VarCurr,bitIndex14)
      <=> v14449(VarCurr,bitIndex3) )
      & ( v14448(VarCurr,bitIndex13)
      <=> v14449(VarCurr,bitIndex2) )
      & ( v14448(VarCurr,bitIndex12)
      <=> v14449(VarCurr,bitIndex1) )
      & ( v14448(VarCurr,bitIndex11)
      <=> v14449(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_3298,axiom,(
    ! [VarCurr,B] :
      ( range_84_38(B)
     => ( v14448(VarCurr,B)
      <=> v14431(VarCurr,B) ) ) )).

fof(range_axiom_40,axiom,(
    ! [B] :
      ( range_84_38(B)
    <=> ( $false
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B
        | bitIndex44 = B
        | bitIndex45 = B
        | bitIndex46 = B
        | bitIndex47 = B
        | bitIndex48 = B
        | bitIndex49 = B
        | bitIndex50 = B
        | bitIndex51 = B
        | bitIndex52 = B
        | bitIndex53 = B
        | bitIndex54 = B
        | bitIndex55 = B
        | bitIndex56 = B
        | bitIndex57 = B
        | bitIndex58 = B
        | bitIndex59 = B
        | bitIndex60 = B
        | bitIndex61 = B
        | bitIndex62 = B
        | bitIndex63 = B
        | bitIndex64 = B
        | bitIndex65 = B
        | bitIndex66 = B
        | bitIndex67 = B
        | bitIndex68 = B
        | bitIndex69 = B
        | bitIndex70 = B
        | bitIndex71 = B
        | bitIndex72 = B
        | bitIndex73 = B
        | bitIndex74 = B
        | bitIndex75 = B
        | bitIndex76 = B
        | bitIndex77 = B
        | bitIndex78 = B
        | bitIndex79 = B
        | bitIndex80 = B
        | bitIndex81 = B
        | bitIndex82 = B
        | bitIndex83 = B
        | bitIndex84 = B ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3237,axiom,(
    ! [VarCurr] :
      ( v14446(VarCurr)
    <=> ( v14427(VarCurr)
        & v14447(VarCurr) ) ) )).

fof(writeUnaryOperator_1098,axiom,(
    ! [VarCurr] :
      ( ~ v14447(VarCurr)
    <=> v14429(VarCurr) ) )).

fof(addAssignment_3297,axiom,(
    ! [VarCurr] :
      ( v14436(VarCurr)
    <=> v7895(VarCurr) ) )).

fof(addAssignment_3296,axiom,(
    ! [VarCurr] :
      ( v14421(VarCurr)
    <=> v14423(VarCurr) ) )).

fof(addAssignment_3295,axiom,(
    ! [VarCurr] :
      ( v14423(VarCurr)
    <=> v14425(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3236,axiom,(
    ! [VarCurr] :
      ( v14425(VarCurr)
    <=> ( v14427(VarCurr)
        & v14429(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1008,axiom,(
    ! [VarCurr] :
      ( v14429(VarCurr)
    <=> ( ( v14431(VarCurr,bitIndex61)
        <=> $true )
        & ( v14431(VarCurr,bitIndex60)
        <=> $true )
        & ( v14431(VarCurr,bitIndex59)
        <=> $true )
        & ( v14431(VarCurr,bitIndex58)
        <=> $true )
        & ( v14431(VarCurr,bitIndex57)
        <=> $true )
        & ( v14431(VarCurr,bitIndex56)
        <=> $true )
        & ( v14431(VarCurr,bitIndex55)
        <=> $true )
        & ( v14431(VarCurr,bitIndex54)
        <=> $true )
        & ( v14431(VarCurr,bitIndex53)
        <=> $true )
        & ( v14431(VarCurr,bitIndex52)
        <=> $true )
        & ( v14431(VarCurr,bitIndex51)
        <=> $true )
        & ( v14431(VarCurr,bitIndex50)
        <=> $true )
        & ( v14431(VarCurr,bitIndex49)
        <=> $true )
        & ( v14431(VarCurr,bitIndex48)
        <=> $true )
        & ( v14431(VarCurr,bitIndex47)
        <=> $false )
        & ( v14431(VarCurr,bitIndex46)
        <=> $false )
        & ( v14431(VarCurr,bitIndex45)
        <=> $false )
        & ( v14431(VarCurr,bitIndex44)
        <=> $false )
        & ( v14431(VarCurr,bitIndex43)
        <=> $false )
        & ( v14431(VarCurr,bitIndex42)
        <=> $false )
        & ( v14431(VarCurr,bitIndex41)
        <=> $false )
        & ( v14431(VarCurr,bitIndex40)
        <=> $false )
        & ( v14431(VarCurr,bitIndex39)
        <=> $false )
        & ( v14431(VarCurr,bitIndex38)
        <=> $false )
        & ( v14431(VarCurr,bitIndex37)
        <=> $false ) ) ) )).

fof(bitBlastConstant_7442,axiom,(
    b1111111111111100000000000(bitIndex24) )).

fof(bitBlastConstant_7441,axiom,(
    b1111111111111100000000000(bitIndex23) )).

fof(bitBlastConstant_7440,axiom,(
    b1111111111111100000000000(bitIndex22) )).

fof(bitBlastConstant_7439,axiom,(
    b1111111111111100000000000(bitIndex21) )).

fof(bitBlastConstant_7438,axiom,(
    b1111111111111100000000000(bitIndex20) )).

fof(bitBlastConstant_7437,axiom,(
    b1111111111111100000000000(bitIndex19) )).

fof(bitBlastConstant_7436,axiom,(
    b1111111111111100000000000(bitIndex18) )).

fof(bitBlastConstant_7435,axiom,(
    b1111111111111100000000000(bitIndex17) )).

fof(bitBlastConstant_7434,axiom,(
    b1111111111111100000000000(bitIndex16) )).

fof(bitBlastConstant_7433,axiom,(
    b1111111111111100000000000(bitIndex15) )).

fof(bitBlastConstant_7432,axiom,(
    b1111111111111100000000000(bitIndex14) )).

fof(bitBlastConstant_7431,axiom,(
    b1111111111111100000000000(bitIndex13) )).

fof(bitBlastConstant_7430,axiom,(
    b1111111111111100000000000(bitIndex12) )).

fof(bitBlastConstant_7429,axiom,(
    b1111111111111100000000000(bitIndex11) )).

fof(bitBlastConstant_7428,axiom,(
    ~ b1111111111111100000000000(bitIndex10) )).

fof(bitBlastConstant_7427,axiom,(
    ~ b1111111111111100000000000(bitIndex9) )).

fof(bitBlastConstant_7426,axiom,(
    ~ b1111111111111100000000000(bitIndex8) )).

fof(bitBlastConstant_7425,axiom,(
    ~ b1111111111111100000000000(bitIndex7) )).

fof(bitBlastConstant_7424,axiom,(
    ~ b1111111111111100000000000(bitIndex6) )).

fof(bitBlastConstant_7423,axiom,(
    ~ b1111111111111100000000000(bitIndex5) )).

fof(bitBlastConstant_7422,axiom,(
    ~ b1111111111111100000000000(bitIndex4) )).

fof(bitBlastConstant_7421,axiom,(
    ~ b1111111111111100000000000(bitIndex3) )).

fof(bitBlastConstant_7420,axiom,(
    ~ b1111111111111100000000000(bitIndex2) )).

fof(bitBlastConstant_7419,axiom,(
    ~ b1111111111111100000000000(bitIndex1) )).

fof(bitBlastConstant_7418,axiom,(
    ~ b1111111111111100000000000(bitIndex0) )).

fof(addAssignment_3294,axiom,(
    ! [VarCurr] :
      ( v14427(VarCurr)
    <=> v7895(VarCurr) ) )).

fof(addAssignment_3293,axiom,(
    ! [VarCurr] :
      ( v14389(VarCurr)
    <=> v14391(VarCurr) ) )).

fof(addAssignment_3292,axiom,(
    ! [VarCurr] :
      ( v14391(VarCurr)
    <=> v14393(VarCurr) ) )).

fof(addAssignment_3291,axiom,(
    ! [VarCurr] :
      ( v14393(VarCurr)
    <=> v14395(VarCurr) ) )).

fof(addAssignment_3290,axiom,(
    ! [VarCurr] :
      ( v14395(VarCurr)
    <=> v14397(VarCurr) ) )).

fof(addAssignment_3289,axiom,(
    ! [VarCurr] :
      ( v14397(VarCurr)
    <=> v14399(VarCurr) ) )).

fof(addAssignment_3288,axiom,(
    ! [VarCurr] :
      ( v14399(VarCurr)
    <=> v14401(VarCurr) ) )).

fof(addAssignment_3287,axiom,(
    ! [VarCurr] :
      ( v14401(VarCurr)
    <=> v14403(VarCurr) ) )).

fof(addAssignment_3286,axiom,(
    ! [VarCurr] :
      ( v14403(VarCurr)
    <=> v14405(VarCurr) ) )).

fof(addAssignment_3285,axiom,(
    ! [VarCurr] :
      ( v14405(VarCurr)
    <=> v14407(VarCurr) ) )).

fof(addAssignment_3284,axiom,(
    ! [VarCurr] :
      ( v14407(VarCurr)
    <=> v7905(VarCurr,bitIndex0) ) )).

fof(addAssignment_3283,axiom,(
    ! [VarCurr] :
      ( v7905(VarCurr,bitIndex0)
    <=> v7907(VarCurr,bitIndex0) ) )).

fof(addAssignment_3282,axiom,(
    ! [VarCurr] :
      ( v7907(VarCurr,bitIndex0)
    <=> v14409(VarCurr) ) )).

fof(addAssignment_3281,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v14227(VarCurr,B)
      <=> v14229(VarCurr,B) ) ) )).

fof(addAssignment_3280,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v14229(VarCurr,B)
      <=> v14231(VarCurr,B) ) ) )).

fof(addAssignment_3279,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v14231(VarCurr,B)
      <=> v14233(VarCurr,B) ) ) )).

fof(addAssignment_3278,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v14233(VarCurr,B)
      <=> v14235(VarCurr,B) ) ) )).

fof(addAssignment_3277,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v14235(VarCurr,B)
      <=> v14237(VarCurr,B) ) ) )).

fof(addAssignment_3276,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v14237(VarCurr,B)
      <=> v14239(VarCurr,B) ) ) )).

fof(addAssignment_3275,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v14239(VarCurr,B)
      <=> v14241(VarCurr,B) ) ) )).

fof(addAssignment_3274,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v14241(VarCurr,B)
      <=> v14243(VarCurr,B) ) ) )).

fof(addAssignment_3273,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v14243(VarCurr,B)
      <=> v14245(VarCurr,B) ) ) )).

fof(addAssignment_3272,axiom,(
    ! [VarCurr] :
      ( ( v14245(VarCurr,bitIndex1)
      <=> v7905(VarCurr,bitIndex9) )
      & ( v14245(VarCurr,bitIndex0)
      <=> v7905(VarCurr,bitIndex8) ) ) )).

fof(addAssignment_3271,axiom,(
    ! [VarCurr,B] :
      ( range_9_8(B)
     => ( v7905(VarCurr,B)
      <=> v7907(VarCurr,B) ) ) )).

fof(range_axiom_39,axiom,(
    ! [B] :
      ( range_9_8(B)
    <=> ( $false
        | bitIndex8 = B
        | bitIndex9 = B ) ) )).

fof(addAssignment_3270,axiom,(
    ! [VarCurr] :
      ( v7907(VarCurr,bitIndex9)
    <=> v14315(VarCurr) ) )).

fof(addAssignment_3269,axiom,(
    ! [VarCurr] :
      ( v7907(VarCurr,bitIndex8)
    <=> v14247(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_166,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14338(VarNext)
       => ( v14315(VarNext)
        <=> v14315(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_188,axiom,(
    ! [VarNext] :
      ( v14338(VarNext)
     => ( v14315(VarNext)
      <=> v14373(VarNext) ) ) )).

fof(addAssignment_3268,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14373(VarNext)
      <=> v14371(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_541,axiom,(
    ! [VarCurr] :
      ( ~ v14317(VarCurr)
     => ( v14371(VarCurr)
      <=> v14374(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_544,axiom,(
    ! [VarCurr] :
      ( v14317(VarCurr)
     => ( v14371(VarCurr)
      <=> v14319(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_540,axiom,(
    ! [VarCurr] :
      ( ~ v14351(VarCurr)
     => ( v14374(VarCurr)
      <=> v14333(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_543,axiom,(
    ! [VarCurr] :
      ( v14351(VarCurr)
     => ( v14374(VarCurr)
      <=> v14375(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_227,axiom,(
    ! [VarCurr] :
      ( ( ~ v14354(VarCurr)
        & ~ v14356(VarCurr) )
     => ( v14375(VarCurr)
      <=> v14379(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_539,axiom,(
    ! [VarCurr] :
      ( v14356(VarCurr)
     => ( v14375(VarCurr)
      <=> v14378(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_542,axiom,(
    ! [VarCurr] :
      ( v14354(VarCurr)
     => ( v14375(VarCurr)
      <=> v14376(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_538,axiom,(
    ! [VarCurr] :
      ( ~ v14364(VarCurr)
     => ( v14379(VarCurr)
      <=> v14333(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_541,axiom,(
    ! [VarCurr] :
      ( v14364(VarCurr)
     => ( v14379(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_537,axiom,(
    ! [VarCurr] :
      ( ~ v14358(VarCurr)
     => ( v14378(VarCurr)
      <=> v14333(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_540,axiom,(
    ! [VarCurr] :
      ( v14358(VarCurr)
     => ( v14378(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_368,axiom,(
    ! [VarCurr] :
      ( ~ v14377(VarCurr)
     => ( v14376(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_372,axiom,(
    ! [VarCurr] :
      ( v14377(VarCurr)
     => ( v14376(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1007,axiom,(
    ! [VarCurr] :
      ( v14377(VarCurr)
    <=> ( v14327(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3235,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14338(VarNext)
      <=> ( v14339(VarNext)
          & v14348(VarNext) ) ) ) )).

fof(addAssignment_3267,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14348(VarNext)
      <=> v14346(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3234,axiom,(
    ! [VarCurr] :
      ( v14346(VarCurr)
    <=> ( v14317(VarCurr)
        | v14349(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3233,axiom,(
    ! [VarCurr] :
      ( v14349(VarCurr)
    <=> ( v14350(VarCurr)
        & v14370(VarCurr) ) ) )).

fof(writeUnaryOperator_1097,axiom,(
    ! [VarCurr] :
      ( ~ v14370(VarCurr)
    <=> v14317(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3232,axiom,(
    ! [VarCurr] :
      ( v14350(VarCurr)
    <=> ( v14351(VarCurr)
        | v14368(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3231,axiom,(
    ! [VarCurr] :
      ( v14368(VarCurr)
    <=> ( v14329(VarCurr)
        & v14369(VarCurr) ) ) )).

fof(writeUnaryOperator_1096,axiom,(
    ! [VarCurr] :
      ( ~ v14369(VarCurr)
    <=> v14331(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3230,axiom,(
    ! [VarCurr] :
      ( v14351(VarCurr)
    <=> ( v14352(VarCurr)
        & v14331(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3229,axiom,(
    ! [VarCurr] :
      ( v14352(VarCurr)
    <=> ( v14353(VarCurr)
        | v14362(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3228,axiom,(
    ! [VarCurr] :
      ( v14362(VarCurr)
    <=> ( v14363(VarCurr)
        & v14367(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1006,axiom,(
    ! [VarCurr] :
      ( v14367(VarCurr)
    <=> ( ( v14355(VarCurr,bitIndex2)
        <=> $false )
        & ( v14355(VarCurr,bitIndex1)
        <=> $false )
        & ( v14355(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3227,axiom,(
    ! [VarCurr] :
      ( v14363(VarCurr)
    <=> ( v14364(VarCurr)
        | v14365(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3226,axiom,(
    ! [VarCurr] :
      ( v14365(VarCurr)
    <=> ( v14329(VarCurr)
        & v14366(VarCurr) ) ) )).

fof(writeUnaryOperator_1095,axiom,(
    ! [VarCurr] :
      ( ~ v14366(VarCurr)
    <=> v14364(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1005,axiom,(
    ! [VarCurr] :
      ( v14364(VarCurr)
    <=> ( v14327(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3225,axiom,(
    ! [VarCurr] :
      ( v14353(VarCurr)
    <=> ( v14354(VarCurr)
        | v14356(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3224,axiom,(
    ! [VarCurr] :
      ( v14356(VarCurr)
    <=> ( v14357(VarCurr)
        & v14361(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1004,axiom,(
    ! [VarCurr] :
      ( v14361(VarCurr)
    <=> ( ( v14355(VarCurr,bitIndex2)
        <=> $false )
        & ( v14355(VarCurr,bitIndex1)
        <=> $true )
        & ( v14355(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3223,axiom,(
    ! [VarCurr] :
      ( v14357(VarCurr)
    <=> ( v14358(VarCurr)
        | v14359(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3222,axiom,(
    ! [VarCurr] :
      ( v14359(VarCurr)
    <=> ( v14329(VarCurr)
        & v14360(VarCurr) ) ) )).

fof(writeUnaryOperator_1094,axiom,(
    ! [VarCurr] :
      ( ~ v14360(VarCurr)
    <=> v14358(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_1003,axiom,(
    ! [VarCurr] :
      ( v14358(VarCurr)
    <=> ( v14327(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1002,axiom,(
    ! [VarCurr] :
      ( v14354(VarCurr)
    <=> ( ( v14355(VarCurr,bitIndex2)
        <=> $true )
        & ( v14355(VarCurr,bitIndex1)
        <=> $false )
        & ( v14355(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_3266,axiom,(
    ! [VarCurr] :
      ( v14355(VarCurr,bitIndex0)
    <=> v14325(VarCurr) ) )).

fof(addAssignment_3265,axiom,(
    ! [VarCurr] :
      ( v14355(VarCurr,bitIndex1)
    <=> v14323(VarCurr) ) )).

fof(addAssignment_3264,axiom,(
    ! [VarCurr] :
      ( v14355(VarCurr,bitIndex2)
    <=> v14321(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3221,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14339(VarNext)
      <=> ( v14340(VarNext)
          & v14335(VarNext) ) ) ) )).

fof(writeUnaryOperator_1093,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14340(VarNext)
      <=> v14342(VarNext) ) ) )).

fof(addAssignment_3263,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14342(VarNext)
      <=> v14335(VarCurr) ) ) )).

fof(addAssignment_3262,axiom,(
    ! [VarCurr] :
      ( v14335(VarCurr)
    <=> v8015(VarCurr) ) )).

fof(addAssignment_3261,axiom,(
    ! [VarCurr] :
      ( v14333(VarCurr)
    <=> $false ) )).

fof(addAssignment_3260,axiom,(
    ! [VarCurr] :
      ( v14331(VarCurr)
    <=> v7978(VarCurr) ) )).

fof(addAssignment_3259,axiom,(
    ! [VarCurr] :
      ( v14329(VarCurr)
    <=> $false ) )).

fof(addAssignment_3258,axiom,(
    ! [VarCurr] :
      ( v14327(VarCurr)
    <=> v7950(VarCurr,bitIndex9) ) )).

fof(addAssignment_3257,axiom,(
    ! [VarCurr] :
      ( v7950(VarCurr,bitIndex9)
    <=> v7952(VarCurr,bitIndex9) ) )).

fof(addAssignment_3256,axiom,(
    ! [VarCurr] :
      ( v7952(VarCurr,bitIndex9)
    <=> v7954(VarCurr,bitIndex9) ) )).

fof(addAssignment_3255,axiom,(
    ! [VarCurr] :
      ( v7954(VarCurr,bitIndex9)
    <=> v7956(VarCurr,bitIndex9) ) )).

fof(addAssignment_3254,axiom,(
    ! [VarCurr] :
      ( v7956(VarCurr,bitIndex9)
    <=> v7958(VarCurr,bitIndex9) ) )).

fof(addAssignment_3253,axiom,(
    ! [VarCurr] :
      ( v7958(VarCurr,bitIndex9)
    <=> v7960(VarCurr,bitIndex9) ) )).

fof(addAssignment_3252,axiom,(
    ! [VarCurr] :
      ( v7960(VarCurr,bitIndex9)
    <=> v7962(VarCurr,bitIndex9) ) )).

fof(addAssignment_3251,axiom,(
    ! [VarCurr] :
      ( v7962(VarCurr,bitIndex9)
    <=> v7964(VarCurr,bitIndex9) ) )).

fof(addAssignment_3250,axiom,(
    ! [VarCurr] :
      ( v7964(VarCurr,bitIndex9)
    <=> v7966(VarCurr,bitIndex9) ) )).

fof(addAssignment_3249,axiom,(
    ! [VarCurr] :
      ( v7966(VarCurr,bitIndex9)
    <=> v7968(VarCurr,bitIndex9) ) )).

fof(addAssignment_3248,axiom,(
    ! [VarCurr] :
      ( v7968(VarCurr,bitIndex9)
    <=> v7970(VarCurr,bitIndex9) ) )).

fof(addAssignment_3247,axiom,(
    ! [VarCurr] :
      ( v7970(VarCurr,bitIndex9)
    <=> v7972(VarCurr,bitIndex9) ) )).

fof(addAssignment_3246,axiom,(
    ! [VarCurr] :
      ( v14325(VarCurr)
    <=> $false ) )).

fof(addAssignment_3245,axiom,(
    ! [VarCurr] :
      ( v14323(VarCurr)
    <=> $false ) )).

fof(addAssignment_3244,axiom,(
    ! [VarCurr] :
      ( v14321(VarCurr)
    <=> $true ) )).

fof(addAssignment_3243,axiom,(
    ! [VarCurr] :
      ( v14319(VarCurr)
    <=> $false ) )).

fof(addAssignment_3242,axiom,(
    ! [VarCurr] :
      ( v14317(VarCurr)
    <=> v7913(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_165,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14270(VarNext)
       => ( v14247(VarNext)
        <=> v14247(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_187,axiom,(
    ! [VarNext] :
      ( v14270(VarNext)
     => ( v14247(VarNext)
      <=> v14305(VarNext) ) ) )).

fof(addAssignment_3241,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14305(VarNext)
      <=> v14303(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_536,axiom,(
    ! [VarCurr] :
      ( ~ v14249(VarCurr)
     => ( v14303(VarCurr)
      <=> v14306(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_539,axiom,(
    ! [VarCurr] :
      ( v14249(VarCurr)
     => ( v14303(VarCurr)
      <=> v14251(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_535,axiom,(
    ! [VarCurr] :
      ( ~ v14283(VarCurr)
     => ( v14306(VarCurr)
      <=> v14265(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_538,axiom,(
    ! [VarCurr] :
      ( v14283(VarCurr)
     => ( v14306(VarCurr)
      <=> v14307(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_226,axiom,(
    ! [VarCurr] :
      ( ( ~ v14286(VarCurr)
        & ~ v14288(VarCurr) )
     => ( v14307(VarCurr)
      <=> v14311(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_534,axiom,(
    ! [VarCurr] :
      ( v14288(VarCurr)
     => ( v14307(VarCurr)
      <=> v14310(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_537,axiom,(
    ! [VarCurr] :
      ( v14286(VarCurr)
     => ( v14307(VarCurr)
      <=> v14308(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_533,axiom,(
    ! [VarCurr] :
      ( ~ v14296(VarCurr)
     => ( v14311(VarCurr)
      <=> v14265(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_536,axiom,(
    ! [VarCurr] :
      ( v14296(VarCurr)
     => ( v14311(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_532,axiom,(
    ! [VarCurr] :
      ( ~ v14290(VarCurr)
     => ( v14310(VarCurr)
      <=> v14265(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_535,axiom,(
    ! [VarCurr] :
      ( v14290(VarCurr)
     => ( v14310(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_367,axiom,(
    ! [VarCurr] :
      ( ~ v14309(VarCurr)
     => ( v14308(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_371,axiom,(
    ! [VarCurr] :
      ( v14309(VarCurr)
     => ( v14308(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_1001,axiom,(
    ! [VarCurr] :
      ( v14309(VarCurr)
    <=> ( v14259(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3220,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14270(VarNext)
      <=> ( v14271(VarNext)
          & v14280(VarNext) ) ) ) )).

fof(addAssignment_3240,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14280(VarNext)
      <=> v14278(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3219,axiom,(
    ! [VarCurr] :
      ( v14278(VarCurr)
    <=> ( v14249(VarCurr)
        | v14281(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3218,axiom,(
    ! [VarCurr] :
      ( v14281(VarCurr)
    <=> ( v14282(VarCurr)
        & v14302(VarCurr) ) ) )).

fof(writeUnaryOperator_1092,axiom,(
    ! [VarCurr] :
      ( ~ v14302(VarCurr)
    <=> v14249(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3217,axiom,(
    ! [VarCurr] :
      ( v14282(VarCurr)
    <=> ( v14283(VarCurr)
        | v14300(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3216,axiom,(
    ! [VarCurr] :
      ( v14300(VarCurr)
    <=> ( v14261(VarCurr)
        & v14301(VarCurr) ) ) )).

fof(writeUnaryOperator_1091,axiom,(
    ! [VarCurr] :
      ( ~ v14301(VarCurr)
    <=> v14263(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3215,axiom,(
    ! [VarCurr] :
      ( v14283(VarCurr)
    <=> ( v14284(VarCurr)
        & v14263(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3214,axiom,(
    ! [VarCurr] :
      ( v14284(VarCurr)
    <=> ( v14285(VarCurr)
        | v14294(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3213,axiom,(
    ! [VarCurr] :
      ( v14294(VarCurr)
    <=> ( v14295(VarCurr)
        & v14299(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1000,axiom,(
    ! [VarCurr] :
      ( v14299(VarCurr)
    <=> ( ( v14287(VarCurr,bitIndex2)
        <=> $false )
        & ( v14287(VarCurr,bitIndex1)
        <=> $false )
        & ( v14287(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3212,axiom,(
    ! [VarCurr] :
      ( v14295(VarCurr)
    <=> ( v14296(VarCurr)
        | v14297(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3211,axiom,(
    ! [VarCurr] :
      ( v14297(VarCurr)
    <=> ( v14261(VarCurr)
        & v14298(VarCurr) ) ) )).

fof(writeUnaryOperator_1090,axiom,(
    ! [VarCurr] :
      ( ~ v14298(VarCurr)
    <=> v14296(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_999,axiom,(
    ! [VarCurr] :
      ( v14296(VarCurr)
    <=> ( v14259(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3210,axiom,(
    ! [VarCurr] :
      ( v14285(VarCurr)
    <=> ( v14286(VarCurr)
        | v14288(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3209,axiom,(
    ! [VarCurr] :
      ( v14288(VarCurr)
    <=> ( v14289(VarCurr)
        & v14293(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_998,axiom,(
    ! [VarCurr] :
      ( v14293(VarCurr)
    <=> ( ( v14287(VarCurr,bitIndex2)
        <=> $false )
        & ( v14287(VarCurr,bitIndex1)
        <=> $true )
        & ( v14287(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3208,axiom,(
    ! [VarCurr] :
      ( v14289(VarCurr)
    <=> ( v14290(VarCurr)
        | v14291(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3207,axiom,(
    ! [VarCurr] :
      ( v14291(VarCurr)
    <=> ( v14261(VarCurr)
        & v14292(VarCurr) ) ) )).

fof(writeUnaryOperator_1089,axiom,(
    ! [VarCurr] :
      ( ~ v14292(VarCurr)
    <=> v14290(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_997,axiom,(
    ! [VarCurr] :
      ( v14290(VarCurr)
    <=> ( v14259(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_996,axiom,(
    ! [VarCurr] :
      ( v14286(VarCurr)
    <=> ( ( v14287(VarCurr,bitIndex2)
        <=> $true )
        & ( v14287(VarCurr,bitIndex1)
        <=> $false )
        & ( v14287(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_3239,axiom,(
    ! [VarCurr] :
      ( v14287(VarCurr,bitIndex0)
    <=> v14257(VarCurr) ) )).

fof(addAssignment_3238,axiom,(
    ! [VarCurr] :
      ( v14287(VarCurr,bitIndex1)
    <=> v14255(VarCurr) ) )).

fof(addAssignment_3237,axiom,(
    ! [VarCurr] :
      ( v14287(VarCurr,bitIndex2)
    <=> v14253(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3206,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14271(VarNext)
      <=> ( v14272(VarNext)
          & v14267(VarNext) ) ) ) )).

fof(writeUnaryOperator_1088,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14272(VarNext)
      <=> v14274(VarNext) ) ) )).

fof(addAssignment_3236,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14274(VarNext)
      <=> v14267(VarCurr) ) ) )).

fof(addAssignment_3235,axiom,(
    ! [VarCurr] :
      ( v14267(VarCurr)
    <=> v8015(VarCurr) ) )).

fof(addAssignment_3234,axiom,(
    ! [VarCurr] :
      ( v14265(VarCurr)
    <=> $false ) )).

fof(addAssignment_3233,axiom,(
    ! [VarCurr] :
      ( v14263(VarCurr)
    <=> v7978(VarCurr) ) )).

fof(addAssignment_3232,axiom,(
    ! [VarCurr] :
      ( v14261(VarCurr)
    <=> $false ) )).

fof(addAssignment_3231,axiom,(
    ! [VarCurr] :
      ( v14259(VarCurr)
    <=> v7950(VarCurr,bitIndex8) ) )).

fof(addAssignment_3230,axiom,(
    ! [VarCurr] :
      ( v7950(VarCurr,bitIndex8)
    <=> v7952(VarCurr,bitIndex8) ) )).

fof(addAssignment_3229,axiom,(
    ! [VarCurr] :
      ( v7952(VarCurr,bitIndex8)
    <=> v7954(VarCurr,bitIndex8) ) )).

fof(addAssignment_3228,axiom,(
    ! [VarCurr] :
      ( v7954(VarCurr,bitIndex8)
    <=> v7956(VarCurr,bitIndex8) ) )).

fof(addAssignment_3227,axiom,(
    ! [VarCurr] :
      ( v7956(VarCurr,bitIndex8)
    <=> v7958(VarCurr,bitIndex8) ) )).

fof(addAssignment_3226,axiom,(
    ! [VarCurr] :
      ( v7958(VarCurr,bitIndex8)
    <=> v7960(VarCurr,bitIndex8) ) )).

fof(addAssignment_3225,axiom,(
    ! [VarCurr] :
      ( v7960(VarCurr,bitIndex8)
    <=> v7962(VarCurr,bitIndex8) ) )).

fof(addAssignment_3224,axiom,(
    ! [VarCurr] :
      ( v7962(VarCurr,bitIndex8)
    <=> v7964(VarCurr,bitIndex8) ) )).

fof(addAssignment_3223,axiom,(
    ! [VarCurr] :
      ( v7964(VarCurr,bitIndex8)
    <=> v7966(VarCurr,bitIndex8) ) )).

fof(addAssignment_3222,axiom,(
    ! [VarCurr] :
      ( v7966(VarCurr,bitIndex8)
    <=> v7968(VarCurr,bitIndex8) ) )).

fof(addAssignment_3221,axiom,(
    ! [VarCurr] :
      ( v7968(VarCurr,bitIndex8)
    <=> v7970(VarCurr,bitIndex8) ) )).

fof(addAssignment_3220,axiom,(
    ! [VarCurr] :
      ( v7970(VarCurr,bitIndex8)
    <=> v7972(VarCurr,bitIndex8) ) )).

fof(addAssignment_3219,axiom,(
    ! [VarCurr] :
      ( v14257(VarCurr)
    <=> $false ) )).

fof(addAssignment_3218,axiom,(
    ! [VarCurr] :
      ( v14255(VarCurr)
    <=> $false ) )).

fof(addAssignment_3217,axiom,(
    ! [VarCurr] :
      ( v14253(VarCurr)
    <=> $true ) )).

fof(addAssignment_3216,axiom,(
    ! [VarCurr] :
      ( v14251(VarCurr)
    <=> $false ) )).

fof(addAssignment_3215,axiom,(
    ! [VarCurr] :
      ( v14249(VarCurr)
    <=> v7913(VarCurr) ) )).

fof(addAssignment_3214,axiom,(
    ! [VarCurr] :
      ( v13775(VarCurr)
    <=> v13777(VarCurr) ) )).

fof(addAssignment_3213,axiom,(
    ! [VarCurr] :
      ( v13777(VarCurr)
    <=> v13779(VarCurr) ) )).

fof(addAssignment_3212,axiom,(
    ! [VarCurr] :
      ( v13779(VarCurr)
    <=> v13781(VarCurr) ) )).

fof(addAssignment_3211,axiom,(
    ! [VarCurr] :
      ( v13781(VarCurr)
    <=> v13783(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_366,axiom,(
    ! [VarCurr] :
      ( ~ v14210(VarCurr)
     => ( v13783(VarCurr)
      <=> v14211(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_370,axiom,(
    ! [VarCurr] :
      ( v14210(VarCurr)
     => ( v13783(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges5,axiom,(
    ! [VarCurr] :
      ( ( ~ v14212(VarCurr)
        & ~ v14213(VarCurr)
        & ~ v14216(VarCurr)
        & ~ v14217(VarCurr)
        & ~ v14218(VarCurr) )
     => ( v14211(VarCurr)
      <=> v14137(VarCurr,bitIndex1) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges4,axiom,(
    ! [VarCurr] :
      ( v14218(VarCurr)
     => ( v14211(VarCurr)
      <=> v14137(VarCurr,bitIndex2) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges3,axiom,(
    ! [VarCurr] :
      ( v14217(VarCurr)
     => ( v14211(VarCurr)
      <=> v14137(VarCurr,bitIndex3) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges2_1,axiom,(
    ! [VarCurr] :
      ( v14216(VarCurr)
     => ( v14211(VarCurr)
      <=> v14137(VarCurr,bitIndex2) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges1_4,axiom,(
    ! [VarCurr] :
      ( v14213(VarCurr)
     => ( v14211(VarCurr)
      <=> v14137(VarCurr,bitIndex3) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_534,axiom,(
    ! [VarCurr] :
      ( v14212(VarCurr)
     => ( v14211(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_995,axiom,(
    ! [VarCurr] :
      ( v14221(VarCurr)
    <=> ( ( v13932(VarCurr,bitIndex2)
        <=> $true )
        & ( v13932(VarCurr,bitIndex1)
        <=> $true )
        & ( v13932(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3205,axiom,(
    ! [VarCurr] :
      ( v14218(VarCurr)
    <=> ( v14219(VarCurr)
        | v14220(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_994,axiom,(
    ! [VarCurr] :
      ( v14220(VarCurr)
    <=> ( ( v13932(VarCurr,bitIndex2)
        <=> $true )
        & ( v13932(VarCurr,bitIndex1)
        <=> $true )
        & ( v13932(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_993,axiom,(
    ! [VarCurr] :
      ( v14219(VarCurr)
    <=> ( ( v13932(VarCurr,bitIndex2)
        <=> $true )
        & ( v13932(VarCurr,bitIndex1)
        <=> $false )
        & ( v13932(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_992,axiom,(
    ! [VarCurr] :
      ( v14217(VarCurr)
    <=> ( ( v13932(VarCurr,bitIndex2)
        <=> $true )
        & ( v13932(VarCurr,bitIndex1)
        <=> $false )
        & ( v13932(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_991,axiom,(
    ! [VarCurr] :
      ( v14216(VarCurr)
    <=> ( ( v13932(VarCurr,bitIndex2)
        <=> $false )
        & ( v13932(VarCurr,bitIndex1)
        <=> $true )
        & ( v13932(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3204,axiom,(
    ! [VarCurr] :
      ( v14213(VarCurr)
    <=> ( v14214(VarCurr)
        | v14215(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_990,axiom,(
    ! [VarCurr] :
      ( v14215(VarCurr)
    <=> ( ( v13932(VarCurr,bitIndex2)
        <=> $false )
        & ( v13932(VarCurr,bitIndex1)
        <=> $true )
        & ( v13932(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_989,axiom,(
    ! [VarCurr] :
      ( v14214(VarCurr)
    <=> ( ( v13932(VarCurr,bitIndex2)
        <=> $false )
        & ( v13932(VarCurr,bitIndex1)
        <=> $false )
        & ( v13932(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_988,axiom,(
    ! [VarCurr] :
      ( v14212(VarCurr)
    <=> ( ( v13932(VarCurr,bitIndex2)
        <=> $false )
        & ( v13932(VarCurr,bitIndex1)
        <=> $false )
        & ( v13932(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeUnaryOperator_1087,axiom,(
    ! [VarCurr] :
      ( ~ v14210(VarCurr)
    <=> v13785(VarCurr) ) )).

fof(addAssignment_3210,axiom,(
    ! [VarCurr] :
      ( v14137(VarCurr,bitIndex1)
    <=> v14139(VarCurr,bitIndex1) ) )).

fof(addAssignment_3209,axiom,(
    ! [VarCurr] :
      ( v14139(VarCurr,bitIndex1)
    <=> v14141(VarCurr,bitIndex1) ) )).

fof(addAssignment_3208,axiom,(
    ! [VarCurr] :
      ( v14137(VarCurr,bitIndex2)
    <=> v14139(VarCurr,bitIndex2) ) )).

fof(addAssignment_3207,axiom,(
    ! [VarCurr] :
      ( v14139(VarCurr,bitIndex2)
    <=> v14141(VarCurr,bitIndex2) ) )).

fof(addAssignment_3206,axiom,(
    ! [VarCurr] :
      ( v14137(VarCurr,bitIndex3)
    <=> v14139(VarCurr,bitIndex3) ) )).

fof(addAssignment_3205,axiom,(
    ! [VarCurr] :
      ( v14139(VarCurr,bitIndex3)
    <=> v14141(VarCurr,bitIndex3) ) )).

fof(addAssignment_3204,axiom,(
    ! [VarNext] :
      ( v14141(VarNext,bitIndex3)
    <=> v14202(VarNext,bitIndex3) ) )).

fof(addCaseBooleanConditionEqualRanges1_164,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14203(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v14202(VarNext,B)
            <=> v14141(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_186,axiom,(
    ! [VarNext] :
      ( v14203(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v14202(VarNext,B)
          <=> v14189(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3203,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14203(VarNext)
      <=> v14204(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3202,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14204(VarNext)
      <=> ( v14206(VarNext)
          & v14174(VarNext) ) ) ) )).

fof(writeUnaryOperator_1086,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14206(VarNext)
      <=> v14183(VarNext) ) ) )).

fof(addAssignment_3203,axiom,(
    ! [VarCurr] :
      ( v14145(VarCurr,bitIndex3)
    <=> v14162(VarCurr,bitIndex3) ) )).

fof(addAssignment_3202,axiom,(
    ! [VarNext] :
      ( v14141(VarNext,bitIndex2)
    <=> v14194(VarNext,bitIndex2) ) )).

fof(addCaseBooleanConditionEqualRanges1_163,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14195(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v14194(VarNext,B)
            <=> v14141(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_185,axiom,(
    ! [VarNext] :
      ( v14195(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v14194(VarNext,B)
          <=> v14189(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3201,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14195(VarNext)
      <=> v14196(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3200,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14196(VarNext)
      <=> ( v14198(VarNext)
          & v14174(VarNext) ) ) ) )).

fof(writeUnaryOperator_1085,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14198(VarNext)
      <=> v14183(VarNext) ) ) )).

fof(addAssignment_3201,axiom,(
    ! [VarCurr] :
      ( v14145(VarCurr,bitIndex2)
    <=> v14162(VarCurr,bitIndex2) ) )).

fof(addAssignment_3200,axiom,(
    ! [VarNext] :
      ( v14141(VarNext,bitIndex1)
    <=> v14178(VarNext,bitIndex1) ) )).

fof(addCaseBooleanConditionEqualRanges1_162,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14179(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v14178(VarNext,B)
            <=> v14141(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_184,axiom,(
    ! [VarNext] :
      ( v14179(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v14178(VarNext,B)
          <=> v14189(VarNext,B) ) ) ) )).

fof(addAssignment_3199,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v14189(VarNext,B)
          <=> v14187(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_365,axiom,(
    ! [VarCurr] :
      ( ~ v14190(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v14187(VarCurr,B)
          <=> v14145(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_369,axiom,(
    ! [VarCurr] :
      ( v14190(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v14187(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_1084,axiom,(
    ! [VarCurr] :
      ( ~ v14190(VarCurr)
    <=> v14143(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3199,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14179(VarNext)
      <=> v14180(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3198,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14180(VarNext)
      <=> ( v14181(VarNext)
          & v14174(VarNext) ) ) ) )).

fof(writeUnaryOperator_1083,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14181(VarNext)
      <=> v14183(VarNext) ) ) )).

fof(addAssignment_3198,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14183(VarNext)
      <=> v14174(VarCurr) ) ) )).

fof(addAssignment_3197,axiom,(
    ! [VarCurr] :
      ( v14174(VarCurr)
    <=> v14176(VarCurr) ) )).

fof(addAssignment_3196,axiom,(
    ! [VarCurr] :
      ( v14176(VarCurr)
    <=> v8025(VarCurr) ) )).

fof(addAssignment_3195,axiom,(
    ! [VarCurr] :
      ( v14145(VarCurr,bitIndex1)
    <=> v14162(VarCurr,bitIndex1) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_23,axiom,(
    ! [VarCurr] :
      ( ( ~ v14163(VarCurr)
        & ~ v14165(VarCurr)
        & ~ v14168(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v14162(VarCurr,B)
          <=> v14141(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_225,axiom,(
    ! [VarCurr] :
      ( v14168(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v14162(VarCurr,B)
          <=> v14170(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_531,axiom,(
    ! [VarCurr] :
      ( v14165(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v14162(VarCurr,B)
          <=> v14167(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_533,axiom,(
    ! [VarCurr] :
      ( v14163(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v14162(VarCurr,B)
          <=> v14141(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_987,axiom,(
    ! [VarCurr] :
      ( v14171(VarCurr)
    <=> ( ( v14172(VarCurr,bitIndex1)
        <=> $true )
        & ( v14172(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_3194,axiom,(
    ! [VarCurr] :
      ( v14172(VarCurr,bitIndex0)
    <=> v14155(VarCurr) ) )).

fof(addAssignment_3193,axiom,(
    ! [VarCurr] :
      ( v14172(VarCurr,bitIndex1)
    <=> v14147(VarCurr) ) )).

fof(addAssignment_3192,axiom,(
    ! [VarCurr] :
      ( v14170(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_3191,axiom,(
    ! [VarCurr] :
      ( ( v14170(VarCurr,bitIndex3)
      <=> v14141(VarCurr,bitIndex2) )
      & ( v14170(VarCurr,bitIndex2)
      <=> v14141(VarCurr,bitIndex1) )
      & ( v14170(VarCurr,bitIndex1)
      <=> v14141(VarCurr,bitIndex0) ) ) )).

fof(addBitVectorEqualityBitBlasted_986,axiom,(
    ! [VarCurr] :
      ( v14168(VarCurr)
    <=> ( ( v14169(VarCurr,bitIndex1)
        <=> $true )
        & ( v14169(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_3190,axiom,(
    ! [VarCurr] :
      ( v14169(VarCurr,bitIndex0)
    <=> v14155(VarCurr) ) )).

fof(addAssignment_3189,axiom,(
    ! [VarCurr] :
      ( v14169(VarCurr,bitIndex1)
    <=> v14147(VarCurr) ) )).

fof(addAssignment_3188,axiom,(
    ! [VarCurr] :
      ( ( v14167(VarCurr,bitIndex2)
      <=> v14141(VarCurr,bitIndex3) )
      & ( v14167(VarCurr,bitIndex1)
      <=> v14141(VarCurr,bitIndex2) )
      & ( v14167(VarCurr,bitIndex0)
      <=> v14141(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_3187,axiom,(
    ! [VarCurr] :
      ( v14167(VarCurr,bitIndex3)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_985,axiom,(
    ! [VarCurr] :
      ( v14165(VarCurr)
    <=> ( ( v14166(VarCurr,bitIndex1)
        <=> $false )
        & ( v14166(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_3186,axiom,(
    ! [VarCurr] :
      ( v14166(VarCurr,bitIndex0)
    <=> v14155(VarCurr) ) )).

fof(addAssignment_3185,axiom,(
    ! [VarCurr] :
      ( v14166(VarCurr,bitIndex1)
    <=> v14147(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_984,axiom,(
    ! [VarCurr] :
      ( v14163(VarCurr)
    <=> ( ( v14164(VarCurr,bitIndex1)
        <=> $false )
        & ( v14164(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_3184,axiom,(
    ! [VarCurr] :
      ( v14164(VarCurr,bitIndex0)
    <=> v14155(VarCurr) ) )).

fof(addAssignment_3183,axiom,(
    ! [VarCurr] :
      ( v14164(VarCurr,bitIndex1)
    <=> v14147(VarCurr) ) )).

fof(addAssignment_3182,axiom,(
    ! [VarCurr] :
      ( v14155(VarCurr)
    <=> v14157(VarCurr) ) )).

fof(addAssignment_3181,axiom,(
    ! [VarCurr] :
      ( v14157(VarCurr)
    <=> v14159(VarCurr) ) )).

fof(addAssignment_3180,axiom,(
    ! [VarCurr] :
      ( v14159(VarCurr)
    <=> v14161(VarCurr) ) )).

fof(addAssignment_3179,axiom,(
    ! [VarCurr] :
      ( v14147(VarCurr)
    <=> v14149(VarCurr) ) )).

fof(addAssignment_3178,axiom,(
    ! [VarCurr] :
      ( v14149(VarCurr)
    <=> v14151(VarCurr) ) )).

fof(addAssignment_3177,axiom,(
    ! [VarCurr] :
      ( v14151(VarCurr)
    <=> v14153(VarCurr) ) )).

fof(addAssignment_3176,axiom,(
    ! [VarCurr] :
      ( v14153(VarCurr)
    <=> v13932(VarCurr,bitIndex2) ) )).

fof(addAssignment_3175,axiom,(
    ! [VarCurr] :
      ( v14143(VarCurr)
    <=> v13719(VarCurr) ) )).

fof(addAssignment_3174,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v13932(VarCurr,B)
      <=> v13934(VarCurr,B) ) ) )).

fof(addAssignment_3173,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v13934(VarCurr,B)
      <=> v13936(VarCurr,B) ) ) )).

fof(addAssignment_3172,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v13936(VarCurr,B)
      <=> v13938(VarCurr,B) ) ) )).

fof(addAssignment_3171,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v13938(VarCurr,B)
      <=> v13940(VarCurr,B) ) ) )).

fof(addAssignment_3170,axiom,(
    ! [VarCurr] :
      ( ( v13940(VarCurr,bitIndex2)
      <=> v13942(VarCurr,bitIndex3) )
      & ( v13940(VarCurr,bitIndex1)
      <=> v13942(VarCurr,bitIndex2) )
      & ( v13940(VarCurr,bitIndex0)
      <=> v13942(VarCurr,bitIndex1) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_161,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14124(VarNext)
       => ( v13942(VarNext,bitIndex3)
        <=> v13942(VarCurr,bitIndex3) ) ) ) )).

fof(addCaseBooleanConditionShiftedRanges0_2,axiom,(
    ! [VarNext] :
      ( v14124(VarNext)
     => ( v13942(VarNext,bitIndex3)
      <=> v14132(VarNext) ) ) )).

fof(addAssignment_3169,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14132(VarNext)
      <=> v14130(VarCurr) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_53,axiom,(
    ! [VarCurr] :
      ( ~ v14133(VarCurr)
     => ( v14130(VarCurr)
      <=> v13969(VarCurr,bitIndex2) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_368,axiom,(
    ! [VarCurr] :
      ( v14133(VarCurr)
     => ( v14130(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_1082,axiom,(
    ! [VarCurr] :
      ( ~ v14133(VarCurr)
    <=> v13769(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3197,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14124(VarNext)
      <=> v14125(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3196,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14125(VarNext)
      <=> ( v14126(VarNext)
          & v14073(VarNext) ) ) ) )).

fof(writeUnaryOperator_1081,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14126(VarNext)
      <=> v14086(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_160,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14104(VarNext)
       => ( v13942(VarNext,bitIndex2)
        <=> v13942(VarCurr,bitIndex2) ) ) ) )).

fof(addCaseBooleanConditionShiftedRanges0_1,axiom,(
    ! [VarNext] :
      ( v14104(VarNext)
     => ( v13942(VarNext,bitIndex2)
      <=> v14119(VarNext) ) ) )).

fof(addAssignment_3168,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14119(VarNext)
      <=> v14117(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges1_3,axiom,(
    ! [VarCurr] :
      ( ~ v14113(VarCurr)
     => ( v14117(VarCurr)
      <=> v13969(VarCurr,bitIndex1) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_532,axiom,(
    ! [VarCurr] :
      ( v14113(VarCurr)
     => ( v14117(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3195,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14104(VarNext)
      <=> ( v14105(VarNext)
          & v14112(VarNext) ) ) ) )).

fof(addAssignment_3167,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14112(VarNext)
      <=> v14110(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3194,axiom,(
    ! [VarCurr] :
      ( v14110(VarCurr)
    <=> ( v14113(VarCurr)
        | v14114(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3193,axiom,(
    ! [VarCurr] :
      ( v14114(VarCurr)
    <=> ( v14115(VarCurr)
        & v14116(VarCurr) ) ) )).

fof(writeUnaryOperator_1080,axiom,(
    ! [VarCurr] :
      ( ~ v14116(VarCurr)
    <=> v14113(VarCurr) ) )).

fof(writeUnaryOperator_1079,axiom,(
    ! [VarCurr] :
      ( ~ v14115(VarCurr)
    <=> v13765(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_1078,axiom,(
    ! [VarCurr] :
      ( ~ v14113(VarCurr)
    <=> v13769(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3192,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14105(VarNext)
      <=> ( v14106(VarNext)
          & v14073(VarNext) ) ) ) )).

fof(writeUnaryOperator_1077,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14106(VarNext)
      <=> v14086(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_159,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14082(VarNext)
       => ( v13942(VarNext,bitIndex1)
        <=> v13942(VarCurr,bitIndex1) ) ) ) )).

fof(addCaseBooleanConditionShiftedRanges0,axiom,(
    ! [VarNext] :
      ( v14082(VarNext)
     => ( v13942(VarNext,bitIndex1)
      <=> v14099(VarNext) ) ) )).

fof(addAssignment_3166,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14099(VarNext)
      <=> v14097(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_530,axiom,(
    ! [VarCurr] :
      ( ~ v14093(VarCurr)
     => ( v14097(VarCurr)
      <=> v13969(VarCurr,bitIndex0) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_531,axiom,(
    ! [VarCurr] :
      ( v14093(VarCurr)
     => ( v14097(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3191,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14082(VarNext)
      <=> ( v14083(VarNext)
          & v14092(VarNext) ) ) ) )).

fof(addAssignment_3165,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14092(VarNext)
      <=> v14090(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3190,axiom,(
    ! [VarCurr] :
      ( v14090(VarCurr)
    <=> ( v14093(VarCurr)
        | v14094(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3189,axiom,(
    ! [VarCurr] :
      ( v14094(VarCurr)
    <=> ( v14095(VarCurr)
        & v14096(VarCurr) ) ) )).

fof(writeUnaryOperator_1076,axiom,(
    ! [VarCurr] :
      ( ~ v14096(VarCurr)
    <=> v14093(VarCurr) ) )).

fof(writeUnaryOperator_1075,axiom,(
    ! [VarCurr] :
      ( ~ v14095(VarCurr)
    <=> v13765(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_1074,axiom,(
    ! [VarCurr] :
      ( ~ v14093(VarCurr)
    <=> v13769(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3188,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14083(VarNext)
      <=> ( v14084(VarNext)
          & v14073(VarNext) ) ) ) )).

fof(writeUnaryOperator_1073,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v14084(VarNext)
      <=> v14086(VarNext) ) ) )).

fof(addAssignment_3164,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v14086(VarNext)
      <=> v14073(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_329,axiom,(
    ! [VarCurr] :
      ( v13969(VarCurr,bitIndex2)
    <=> ( v13942(VarCurr,bitIndex2)
        & v14079(VarCurr) ) ) )).

fof(writeUnaryOperator_1072,axiom,(
    ! [VarCurr] :
      ( ~ v14079(VarCurr)
    <=> v13765(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_328,axiom,(
    ! [VarCurr] :
      ( v13969(VarCurr,bitIndex1)
    <=> ( v13942(VarCurr,bitIndex1)
        & v14077(VarCurr) ) ) )).

fof(writeUnaryOperator_1071,axiom,(
    ! [VarCurr] :
      ( ~ v14077(VarCurr)
    <=> v13765(VarCurr,bitIndex1) ) )).

fof(addAssignment_3163,axiom,(
    ! [VarCurr] :
      ( v13765(VarCurr,bitIndex2)
    <=> v13943(VarCurr,bitIndex2) ) )).

fof(addAssignment_3162,axiom,(
    ! [VarCurr] :
      ( v14073(VarCurr)
    <=> v14075(VarCurr) ) )).

fof(addAssignment_3161,axiom,(
    ! [VarCurr] :
      ( v14075(VarCurr)
    <=> v8025(VarCurr) ) )).

fof(addAssignment_3160,axiom,(
    ! [VarCurr] :
      ( v13969(VarCurr,bitIndex0)
    <=> v13942(VarCurr,bitIndex0) ) )).

fof(addAssignment_3159,axiom,(
    ! [VarCurr] :
      ( v13942(VarCurr,bitIndex0)
    <=> v13971(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3187,axiom,(
    ! [VarCurr] :
      ( v13971(VarCurr)
    <=> ( v14067(VarCurr)
        & v14071(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3186,axiom,(
    ! [VarCurr] :
      ( v14071(VarCurr)
    <=> ( v14005(VarCurr)
        & v14065(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3185,axiom,(
    ! [VarCurr] :
      ( v14067(VarCurr)
    <=> ( v14068(VarCurr)
        & v14070(VarCurr) ) ) )).

fof(writeUnaryOperator_1070,axiom,(
    ! [VarCurr] :
      ( ~ v14070(VarCurr)
    <=> v13765(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3184,axiom,(
    ! [VarCurr] :
      ( v14068(VarCurr)
    <=> ( v13973(VarCurr)
        & v14069(VarCurr) ) ) )).

fof(writeUnaryOperator_1069,axiom,(
    ! [VarCurr] :
      ( ~ v14069(VarCurr)
    <=> v13983(VarCurr) ) )).

fof(addAssignment_3158,axiom,(
    ! [VarCurr] :
      ( v14005(VarCurr)
    <=> v14007(VarCurr) ) )).

fof(addAssignment_3157,axiom,(
    ! [VarCurr] :
      ( v14007(VarCurr)
    <=> v14009(VarCurr) ) )).

fof(addAssignment_3156,axiom,(
    ! [VarCurr] :
      ( v14009(VarCurr)
    <=> v14011(VarCurr) ) )).

fof(addAssignment_3155,axiom,(
    ! [VarCurr] :
      ( v14011(VarCurr)
    <=> v14013(VarCurr) ) )).

fof(addAssignment_3154,axiom,(
    ! [VarCurr] :
      ( v14013(VarCurr)
    <=> v14015(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_364,axiom,(
    ! [VarCurr] :
      ( ~ v14017(VarCurr)
     => ( v14015(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_367,axiom,(
    ! [VarCurr] :
      ( v14017(VarCurr)
     => ( v14015(VarCurr)
      <=> $false ) ) )).

fof(addAssignment_3153,axiom,(
    ! [VarCurr] :
      ( v14017(VarCurr)
    <=> v14019(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3183,axiom,(
    ! [VarCurr] :
      ( v14019(VarCurr)
    <=> ( v14061(VarCurr)
        | v14051(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3182,axiom,(
    ! [VarCurr] :
      ( v14061(VarCurr)
    <=> ( v14062(VarCurr)
        | v14041(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3181,axiom,(
    ! [VarCurr] :
      ( v14062(VarCurr)
    <=> ( v14021(VarCurr)
        | v14031(VarCurr) ) ) )).

fof(addAssignment_3152,axiom,(
    ! [VarCurr] :
      ( v14051(VarCurr)
    <=> v14053(VarCurr) ) )).

fof(addAssignment_3151,axiom,(
    ! [VarCurr] :
      ( v14053(VarCurr)
    <=> v14055(VarCurr) ) )).

fof(addAssignment_3150,axiom,(
    ! [VarCurr] :
      ( v14055(VarCurr)
    <=> v14057(VarCurr) ) )).

fof(addAssignment_3149,axiom,(
    ! [VarCurr] :
      ( v14057(VarCurr)
    <=> v14059(VarCurr) ) )).

fof(addAssignment_3148,axiom,(
    ! [VarCurr] :
      ( v14041(VarCurr)
    <=> v14043(VarCurr) ) )).

fof(addAssignment_3147,axiom,(
    ! [VarCurr] :
      ( v14043(VarCurr)
    <=> v14045(VarCurr) ) )).

fof(addAssignment_3146,axiom,(
    ! [VarCurr] :
      ( v14045(VarCurr)
    <=> v14047(VarCurr) ) )).

fof(addAssignment_3145,axiom,(
    ! [VarCurr] :
      ( v14047(VarCurr)
    <=> v14049(VarCurr) ) )).

fof(addAssignment_3144,axiom,(
    ! [VarCurr] :
      ( v14031(VarCurr)
    <=> v14033(VarCurr) ) )).

fof(addAssignment_3143,axiom,(
    ! [VarCurr] :
      ( v14033(VarCurr)
    <=> v14035(VarCurr) ) )).

fof(addAssignment_3142,axiom,(
    ! [VarCurr] :
      ( v14035(VarCurr)
    <=> v14037(VarCurr) ) )).

fof(addAssignment_3141,axiom,(
    ! [VarCurr] :
      ( v14037(VarCurr)
    <=> v14039(VarCurr) ) )).

fof(addAssignment_3140,axiom,(
    ! [VarCurr] :
      ( v14021(VarCurr)
    <=> v14023(VarCurr) ) )).

fof(addAssignment_3139,axiom,(
    ! [VarCurr] :
      ( v14023(VarCurr)
    <=> v14025(VarCurr) ) )).

fof(addAssignment_3138,axiom,(
    ! [VarCurr] :
      ( v14025(VarCurr)
    <=> v14027(VarCurr) ) )).

fof(addAssignment_3137,axiom,(
    ! [VarCurr] :
      ( v14027(VarCurr)
    <=> v14029(VarCurr) ) )).

fof(addAssignment_3136,axiom,(
    ! [VarCurr] :
      ( v13983(VarCurr)
    <=> v13985(VarCurr) ) )).

fof(addAssignment_3135,axiom,(
    ! [VarCurr] :
      ( v13985(VarCurr)
    <=> v13987(VarCurr) ) )).

fof(addAssignment_3134,axiom,(
    ! [VarCurr] :
      ( v13987(VarCurr)
    <=> v13989(VarCurr) ) )).

fof(addAssignment_3133,axiom,(
    ! [VarCurr] :
      ( v13989(VarCurr)
    <=> v13991(VarCurr) ) )).

fof(addAssignment_3132,axiom,(
    ! [VarCurr] :
      ( v13991(VarCurr)
    <=> v13993(VarCurr) ) )).

fof(addAssignment_3131,axiom,(
    ! [VarCurr] :
      ( v13993(VarCurr)
    <=> v13995(VarCurr) ) )).

fof(addAssignment_3130,axiom,(
    ! [VarCurr] :
      ( v13995(VarCurr)
    <=> v13997(VarCurr) ) )).

fof(addAssignment_3129,axiom,(
    ! [VarCurr] :
      ( v13997(VarCurr)
    <=> v13999(VarCurr) ) )).

fof(addAssignment_3128,axiom,(
    ! [VarCurr] :
      ( v13999(VarCurr)
    <=> v14001(VarCurr) ) )).

fof(addAssignment_3127,axiom,(
    ! [VarCurr] :
      ( v14001(VarCurr)
    <=> v7905(VarCurr,bitIndex12) ) )).

fof(addAssignment_3126,axiom,(
    ! [VarCurr] :
      ( v7905(VarCurr,bitIndex12)
    <=> v7907(VarCurr,bitIndex12) ) )).

fof(addAssignment_3125,axiom,(
    ! [VarCurr] :
      ( v7907(VarCurr,bitIndex12)
    <=> v14003(VarCurr) ) )).

fof(addAssignment_3124,axiom,(
    ! [VarCurr] :
      ( v13973(VarCurr)
    <=> v13975(VarCurr) ) )).

fof(addAssignment_3123,axiom,(
    ! [VarCurr] :
      ( v13975(VarCurr)
    <=> v13977(VarCurr) ) )).

fof(addAssignment_3122,axiom,(
    ! [VarCurr] :
      ( v13977(VarCurr)
    <=> v13979(VarCurr) ) )).

fof(addAssignment_3121,axiom,(
    ! [VarCurr] :
      ( v13979(VarCurr)
    <=> v13981(VarCurr) ) )).

fof(addAssignment_3120,axiom,(
    ! [VarCurr] :
      ( v13981(VarCurr)
    <=> v13711(VarCurr,bitIndex0) ) )).

fof(addAssignment_3119,axiom,(
    ! [VarCurr] :
      ( v13765(VarCurr,bitIndex1)
    <=> v13943(VarCurr,bitIndex1) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_224,axiom,(
    ! [VarCurr] :
      ( ( ~ v13944(VarCurr)
        & ~ v13952(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v13943(VarCurr,B)
          <=> v13960(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_529,axiom,(
    ! [VarCurr] :
      ( v13952(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v13943(VarCurr,B)
          <=> v13953(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_530,axiom,(
    ! [VarCurr] :
      ( v13944(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v13943(VarCurr,B)
          <=> v13947(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_528,axiom,(
    ! [VarCurr] :
      ( ~ v13961(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v13960(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_529,axiom,(
    ! [VarCurr] :
      ( v13961(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v13960(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3180,axiom,(
    ! [VarCurr] :
      ( v13962(VarCurr)
    <=> ( v13964(VarCurr)
        | v13967(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_983,axiom,(
    ! [VarCurr] :
      ( v13967(VarCurr)
    <=> ( ( v13773(VarCurr,bitIndex1)
        <=> $true )
        & ( v13773(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3179,axiom,(
    ! [VarCurr] :
      ( v13964(VarCurr)
    <=> ( v13965(VarCurr)
        | v13966(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_982,axiom,(
    ! [VarCurr] :
      ( v13966(VarCurr)
    <=> ( ( v13773(VarCurr,bitIndex1)
        <=> $true )
        & ( v13773(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_981,axiom,(
    ! [VarCurr] :
      ( v13965(VarCurr)
    <=> ( ( v13773(VarCurr,bitIndex1)
        <=> $false )
        & ( v13773(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_980,axiom,(
    ! [VarCurr] :
      ( v13961(VarCurr)
    <=> ( ( v13773(VarCurr,bitIndex1)
        <=> $false )
        & ( v13773(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_979,axiom,(
    ! [VarCurr] :
      ( v13959(VarCurr)
    <=> ( ( v13767(VarCurr,bitIndex1)
        <=> $true )
        & ( v13767(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_223,axiom,(
    ! [VarCurr] :
      ( ( ~ v13954(VarCurr)
        & ~ v13957(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v13953(VarCurr,B)
          <=> b011(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_527,axiom,(
    ! [VarCurr] :
      ( v13957(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v13953(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_528,axiom,(
    ! [VarCurr] :
      ( v13954(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v13953(VarCurr,B)
          <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_978,axiom,(
    ! [VarCurr] :
      ( v13958(VarCurr)
    <=> ( ( v13773(VarCurr,bitIndex1)
        <=> $true )
        & ( v13773(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_977,axiom,(
    ! [VarCurr] :
      ( v13957(VarCurr)
    <=> ( ( v13773(VarCurr,bitIndex1)
        <=> $true )
        & ( v13773(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3178,axiom,(
    ! [VarCurr] :
      ( v13954(VarCurr)
    <=> ( v13955(VarCurr)
        | v13956(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_976,axiom,(
    ! [VarCurr] :
      ( v13956(VarCurr)
    <=> ( ( v13773(VarCurr,bitIndex1)
        <=> $false )
        & ( v13773(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_975,axiom,(
    ! [VarCurr] :
      ( v13955(VarCurr)
    <=> ( ( v13773(VarCurr,bitIndex1)
        <=> $false )
        & ( v13773(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_974,axiom,(
    ! [VarCurr] :
      ( v13952(VarCurr)
    <=> ( ( v13767(VarCurr,bitIndex1)
        <=> $true )
        & ( v13767(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_22,axiom,(
    ! [VarCurr] :
      ( ( ~ v13948(VarCurr)
        & ~ v13949(VarCurr)
        & ~ v13950(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v13947(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_222,axiom,(
    ! [VarCurr] :
      ( v13950(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v13947(VarCurr,B)
          <=> b011(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_526,axiom,(
    ! [VarCurr] :
      ( v13949(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v13947(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_527,axiom,(
    ! [VarCurr] :
      ( v13948(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v13947(VarCurr,B)
          <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_973,axiom,(
    ! [VarCurr] :
      ( v13951(VarCurr)
    <=> ( ( v13773(VarCurr,bitIndex1)
        <=> $true )
        & ( v13773(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_972,axiom,(
    ! [VarCurr] :
      ( v13950(VarCurr)
    <=> ( ( v13773(VarCurr,bitIndex1)
        <=> $true )
        & ( v13773(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_971,axiom,(
    ! [VarCurr] :
      ( v13949(VarCurr)
    <=> ( ( v13773(VarCurr,bitIndex1)
        <=> $false )
        & ( v13773(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_970,axiom,(
    ! [VarCurr] :
      ( v13948(VarCurr)
    <=> ( ( v13773(VarCurr,bitIndex1)
        <=> $false )
        & ( v13773(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3177,axiom,(
    ! [VarCurr] :
      ( v13944(VarCurr)
    <=> ( v13945(VarCurr)
        | v13946(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_969,axiom,(
    ! [VarCurr] :
      ( v13946(VarCurr)
    <=> ( ( v13767(VarCurr,bitIndex1)
        <=> $false )
        & ( v13767(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_968,axiom,(
    ! [VarCurr] :
      ( v13945(VarCurr)
    <=> ( ( v13767(VarCurr,bitIndex1)
        <=> $false )
        & ( v13767(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_3118,axiom,(
    ! [VarCurr] :
      ( v13785(VarCurr)
    <=> v13787(VarCurr) ) )).

fof(addAssignment_3117,axiom,(
    ! [VarCurr] :
      ( v13787(VarCurr)
    <=> v13789(VarCurr) ) )).

fof(addAssignment_3116,axiom,(
    ! [VarCurr] :
      ( v13789(VarCurr)
    <=> v13791(VarCurr) ) )).

fof(addAssignment_3115,axiom,(
    ! [VarCurr] :
      ( v13791(VarCurr)
    <=> v13793(VarCurr) ) )).

fof(addAssignment_3114,axiom,(
    ! [VarCurr] :
      ( v13793(VarCurr)
    <=> v13795(VarCurr) ) )).

fof(addAssignment_3113,axiom,(
    ! [VarCurr] :
      ( v13795(VarCurr)
    <=> v13797(VarCurr) ) )).

fof(addAssignment_3112,axiom,(
    ! [VarCurr] :
      ( v13797(VarCurr)
    <=> v13799(VarCurr) ) )).

fof(addAssignment_3111,axiom,(
    ! [VarCurr] :
      ( v13799(VarCurr)
    <=> v13801(VarCurr) ) )).

fof(addAssignment_3110,axiom,(
    ! [VarCurr] :
      ( v13801(VarCurr)
    <=> v13803(VarCurr) ) )).

fof(addAssignment_3109,axiom,(
    ! [VarCurr] :
      ( v13803(VarCurr)
    <=> v13805(VarCurr) ) )).

fof(addAssignment_3108,axiom,(
    ! [VarCurr] :
      ( v13805(VarCurr)
    <=> v13807(VarCurr) ) )).

fof(addAssignment_3107,axiom,(
    ! [VarCurr] :
      ( v13807(VarCurr)
    <=> v13809(VarCurr,bitIndex2) ) )).

fof(addAssignment_3106,axiom,(
    ! [VarNext] :
      ( v13809(VarNext,bitIndex2)
    <=> v13916(VarNext,bitIndex2) ) )).

fof(addCaseBooleanConditionEqualRanges1_158,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13917(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v13916(VarNext,B)
            <=> v13809(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_183,axiom,(
    ! [VarNext] :
      ( v13917(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v13916(VarNext,B)
          <=> v13927(VarNext,B) ) ) ) )).

fof(addAssignment_3105,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v13927(VarNext,B)
          <=> v13925(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_363,axiom,(
    ! [VarCurr] :
      ( ~ v13928(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v13925(VarCurr,B)
          <=> v13817(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_366,axiom,(
    ! [VarCurr] :
      ( v13928(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v13925(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_1068,axiom,(
    ! [VarCurr] :
      ( ~ v13928(VarCurr)
    <=> v13811(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3176,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13917(VarNext)
      <=> v13918(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3175,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13918(VarNext)
      <=> ( v13919(VarNext)
          & v13908(VarNext) ) ) ) )).

fof(writeUnaryOperator_1067,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13919(VarNext)
      <=> v13921(VarNext) ) ) )).

fof(addAssignment_3104,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13921(VarNext)
      <=> v13908(VarCurr) ) ) )).

fof(addAssignment_3103,axiom,(
    ! [VarCurr] :
      ( v13908(VarCurr)
    <=> v13910(VarCurr) ) )).

fof(addAssignment_3102,axiom,(
    ! [VarCurr] :
      ( v13910(VarCurr)
    <=> v13912(VarCurr) ) )).

fof(addAssignment_3101,axiom,(
    ! [VarCurr] :
      ( v13912(VarCurr)
    <=> v13914(VarCurr) ) )).

fof(addAssignment_3100,axiom,(
    ! [VarCurr] :
      ( v13914(VarCurr)
    <=> v1(VarCurr) ) )).

fof(addAssignment_3099,axiom,(
    ! [VarCurr] :
      ( v13817(VarCurr,bitIndex2)
    <=> v13893(VarCurr,bitIndex2) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_362,axiom,(
    ! [VarCurr] :
      ( ~ v13894(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v13893(VarCurr,B)
          <=> v13895(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_365,axiom,(
    ! [VarCurr] :
      ( v13894(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v13893(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_21,axiom,(
    ! [VarCurr] :
      ( ( ~ v13896(VarCurr)
        & ~ v13898(VarCurr)
        & ~ v13902(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v13895(VarCurr,B)
          <=> v13809(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_221,axiom,(
    ! [VarCurr] :
      ( v13902(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v13895(VarCurr,B)
          <=> v13904(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_525,axiom,(
    ! [VarCurr] :
      ( v13898(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v13895(VarCurr,B)
          <=> v13900(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_526,axiom,(
    ! [VarCurr] :
      ( v13896(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v13895(VarCurr,B)
          <=> v13809(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_967,axiom,(
    ! [VarCurr] :
      ( v13905(VarCurr)
    <=> ( ( v13906(VarCurr,bitIndex1)
        <=> $true )
        & ( v13906(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_3098,axiom,(
    ! [VarCurr] :
      ( v13906(VarCurr,bitIndex0)
    <=> v13841(VarCurr) ) )).

fof(addAssignment_3097,axiom,(
    ! [VarCurr] :
      ( v13906(VarCurr,bitIndex1)
    <=> v13819(VarCurr) ) )).

fof(addAssignment_3096,axiom,(
    ! [VarCurr] :
      ( v13904(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_3095,axiom,(
    ! [VarCurr,B] :
      ( range_3_1(B)
     => ( v13904(VarCurr,B)
      <=> v13890(VarCurr,B) ) ) )).

fof(range_axiom_38,axiom,(
    ! [B] :
      ( range_3_1(B)
    <=> ( $false
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B ) ) )).

fof(addBitVectorEqualityBitBlasted_966,axiom,(
    ! [VarCurr] :
      ( v13902(VarCurr)
    <=> ( ( v13903(VarCurr,bitIndex1)
        <=> $true )
        & ( v13903(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_3094,axiom,(
    ! [VarCurr] :
      ( v13903(VarCurr,bitIndex0)
    <=> v13841(VarCurr) ) )).

fof(addAssignment_3093,axiom,(
    ! [VarCurr] :
      ( v13903(VarCurr,bitIndex1)
    <=> v13819(VarCurr) ) )).

fof(addAssignment_3092,axiom,(
    ! [VarCurr] :
      ( ( v13900(VarCurr,bitIndex2)
      <=> v13809(VarCurr,bitIndex3) )
      & ( v13900(VarCurr,bitIndex1)
      <=> v13809(VarCurr,bitIndex2) )
      & ( v13900(VarCurr,bitIndex0)
      <=> v13809(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_3091,axiom,(
    ! [VarCurr] :
      ( v13900(VarCurr,bitIndex3)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_965,axiom,(
    ! [VarCurr] :
      ( v13898(VarCurr)
    <=> ( ( v13899(VarCurr,bitIndex1)
        <=> $false )
        & ( v13899(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_3090,axiom,(
    ! [VarCurr] :
      ( v13899(VarCurr,bitIndex0)
    <=> v13841(VarCurr) ) )).

fof(addAssignment_3089,axiom,(
    ! [VarCurr] :
      ( v13899(VarCurr,bitIndex1)
    <=> v13819(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_964,axiom,(
    ! [VarCurr] :
      ( v13896(VarCurr)
    <=> ( ( v13897(VarCurr,bitIndex1)
        <=> $false )
        & ( v13897(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_3088,axiom,(
    ! [VarCurr] :
      ( v13897(VarCurr,bitIndex0)
    <=> v13841(VarCurr) ) )).

fof(addAssignment_3087,axiom,(
    ! [VarCurr] :
      ( v13897(VarCurr,bitIndex1)
    <=> v13819(VarCurr) ) )).

fof(writeUnaryOperator_1066,axiom,(
    ! [VarCurr] :
      ( ~ v13894(VarCurr)
    <=> v13811(VarCurr) ) )).

fof(addAssignment_3086,axiom,(
    ! [VarCurr] :
      ( v13890(VarCurr,bitIndex2)
    <=> v13891(VarCurr,bitIndex2) ) )).

fof(addAssignment_3085,axiom,(
    ! [VarCurr] :
      ( v13891(VarCurr,bitIndex0)
    <=> $false ) )).

fof(addAssignment_3084,axiom,(
    ! [VarCurr] :
      ( ( v13891(VarCurr,bitIndex3)
      <=> v13809(VarCurr,bitIndex2) )
      & ( v13891(VarCurr,bitIndex2)
      <=> v13809(VarCurr,bitIndex1) )
      & ( v13891(VarCurr,bitIndex1)
      <=> v13809(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_3083,axiom,(
    ! [VarCurr] :
      ( v13841(VarCurr)
    <=> v13843(VarCurr) ) )).

fof(addAssignment_3082,axiom,(
    ! [VarCurr] :
      ( v13843(VarCurr)
    <=> v13845(VarCurr) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_220,axiom,(
    ! [VarCurr] :
      ( ( ~ v13882(VarCurr)
        & ~ v13885(VarCurr) )
     => ( v13845(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_524,axiom,(
    ! [VarCurr] :
      ( v13885(VarCurr)
     => ( v13845(VarCurr)
      <=> v13886(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_525,axiom,(
    ! [VarCurr] :
      ( v13882(VarCurr)
     => ( v13845(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_523,axiom,(
    ! [VarCurr] :
      ( ~ v13887(VarCurr)
     => ( v13886(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_524,axiom,(
    ! [VarCurr] :
      ( v13887(VarCurr)
     => ( v13886(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_963,axiom,(
    ! [VarCurr] :
      ( v13888(VarCurr)
    <=> ( v13849(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_962,axiom,(
    ! [VarCurr] :
      ( v13887(VarCurr)
    <=> ( v13849(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_961,axiom,(
    ! [VarCurr] :
      ( v13885(VarCurr)
    <=> ( ( v13847(VarCurr,bitIndex1)
        <=> $true )
        & ( v13847(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3174,axiom,(
    ! [VarCurr] :
      ( v13882(VarCurr)
    <=> ( v13883(VarCurr)
        | v13884(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_960,axiom,(
    ! [VarCurr] :
      ( v13884(VarCurr)
    <=> ( ( v13847(VarCurr,bitIndex1)
        <=> $false )
        & ( v13847(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_959,axiom,(
    ! [VarCurr] :
      ( v13883(VarCurr)
    <=> ( ( v13847(VarCurr,bitIndex1)
        <=> $false )
        & ( v13847(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_3081,axiom,(
    ! [VarCurr] :
      ( v13849(VarCurr)
    <=> v13851(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3173,axiom,(
    ! [VarCurr] :
      ( v13851(VarCurr)
    <=> ( v13877(VarCurr)
        & v13873(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3172,axiom,(
    ! [VarCurr] :
      ( v13877(VarCurr)
    <=> ( v13878(VarCurr)
        & v13869(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3171,axiom,(
    ! [VarCurr] :
      ( v13878(VarCurr)
    <=> ( v13879(VarCurr)
        & v13865(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3170,axiom,(
    ! [VarCurr] :
      ( v13879(VarCurr)
    <=> ( v13880(VarCurr)
        & v13861(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3169,axiom,(
    ! [VarCurr] :
      ( v13880(VarCurr)
    <=> ( v13853(VarCurr)
        & v13857(VarCurr) ) ) )).

fof(addAssignment_3080,axiom,(
    ! [VarCurr] :
      ( v13873(VarCurr)
    <=> v13875(VarCurr) ) )).

fof(addAssignment_3079,axiom,(
    ! [VarCurr] :
      ( v13869(VarCurr)
    <=> v13871(VarCurr) ) )).

fof(addAssignment_3078,axiom,(
    ! [VarCurr] :
      ( v13865(VarCurr)
    <=> v13867(VarCurr) ) )).

fof(addAssignment_3077,axiom,(
    ! [VarCurr] :
      ( v13861(VarCurr)
    <=> v13863(VarCurr) ) )).

fof(addAssignment_3076,axiom,(
    ! [VarCurr] :
      ( v13857(VarCurr)
    <=> v13859(VarCurr) ) )).

fof(addAssignment_3075,axiom,(
    ! [VarCurr] :
      ( v13853(VarCurr)
    <=> v13855(VarCurr) ) )).

fof(addAssignment_3074,axiom,(
    ! [VarCurr] :
      ( v13819(VarCurr)
    <=> v13821(VarCurr) ) )).

fof(addAssignment_3073,axiom,(
    ! [VarCurr] :
      ( v13821(VarCurr)
    <=> v13823(VarCurr) ) )).

fof(addAssignment_3072,axiom,(
    ! [VarCurr] :
      ( v13823(VarCurr)
    <=> v13825(VarCurr) ) )).

fof(addAssignment_3071,axiom,(
    ! [VarCurr] :
      ( v13825(VarCurr)
    <=> v13827(VarCurr) ) )).

fof(addAssignment_3070,axiom,(
    ! [VarCurr] :
      ( v13827(VarCurr)
    <=> v13829(VarCurr) ) )).

fof(addAssignment_3069,axiom,(
    ! [VarCurr] :
      ( v13829(VarCurr)
    <=> v13831(VarCurr) ) )).

fof(addAssignment_3068,axiom,(
    ! [VarCurr] :
      ( v13831(VarCurr)
    <=> v13833(VarCurr) ) )).

fof(addAssignment_3067,axiom,(
    ! [VarCurr] :
      ( v13833(VarCurr)
    <=> v13835(VarCurr) ) )).

fof(addAssignment_3066,axiom,(
    ! [VarCurr] :
      ( v13835(VarCurr)
    <=> v13837(VarCurr) ) )).

fof(addAssignment_3065,axiom,(
    ! [VarCurr] :
      ( v13837(VarCurr)
    <=> v13839(VarCurr) ) )).

fof(addAssignment_3064,axiom,(
    ! [VarCurr] :
      ( v13811(VarCurr)
    <=> v13813(VarCurr) ) )).

fof(addAssignment_3063,axiom,(
    ! [VarCurr] :
      ( v13813(VarCurr)
    <=> v13815(VarCurr) ) )).

fof(addAssignment_3062,axiom,(
    ! [VarCurr] :
      ( v13815(VarCurr)
    <=> v64(VarCurr) ) )).

fof(addAssignment_3061,axiom,(
    ! [VarCurr] :
      ( v13769(VarCurr)
    <=> v13771(VarCurr) ) )).

fof(addAssignment_3060,axiom,(
    ! [VarCurr] :
      ( v13771(VarCurr)
    <=> v7937(VarCurr) ) )).

fof(addAssignment_3059,axiom,(
    ! [VarCurr] :
      ( v13711(VarCurr,bitIndex0)
    <=> v13713(VarCurr,bitIndex0) ) )).

fof(addAssignment_3058,axiom,(
    ! [VarCurr] :
      ( v13713(VarCurr,bitIndex0)
    <=> v13715(VarCurr,bitIndex0) ) )).

fof(addAssignment_3057,axiom,(
    ! [VarCurr] :
      ( v13723(VarCurr)
    <=> v13725(VarCurr) ) )).

fof(addAssignment_3056,axiom,(
    ! [VarCurr] :
      ( v13725(VarCurr)
    <=> v13727(VarCurr) ) )).

fof(addAssignment_3055,axiom,(
    ! [VarCurr] :
      ( v13727(VarCurr)
    <=> v13729(VarCurr) ) )).

fof(addAssignment_3054,axiom,(
    ! [VarCurr] :
      ( v13729(VarCurr)
    <=> v13731(VarCurr) ) )).

fof(addAssignment_3053,axiom,(
    ! [VarCurr] :
      ( v13731(VarCurr)
    <=> v13733(VarCurr) ) )).

fof(addAssignment_3052,axiom,(
    ! [VarCurr] :
      ( v13733(VarCurr)
    <=> v13735(VarCurr) ) )).

fof(addAssignment_3051,axiom,(
    ! [VarCurr] :
      ( v13735(VarCurr)
    <=> v13737(VarCurr) ) )).

fof(addAssignment_3050,axiom,(
    ! [VarCurr] :
      ( v13737(VarCurr)
    <=> v13739(VarCurr) ) )).

fof(addAssignment_3049,axiom,(
    ! [VarCurr] :
      ( v13739(VarCurr)
    <=> v13741(VarCurr) ) )).

fof(addAssignment_3048,axiom,(
    ! [VarCurr] :
      ( v13741(VarCurr)
    <=> v13743(VarCurr) ) )).

fof(addAssignment_3047,axiom,(
    ! [VarCurr] :
      ( v13743(VarCurr)
    <=> v13745(VarCurr) ) )).

fof(addAssignment_3046,axiom,(
    ! [VarCurr] :
      ( v13745(VarCurr)
    <=> v13747(VarCurr) ) )).

fof(addAssignment_3045,axiom,(
    ! [VarCurr] :
      ( v13717(VarCurr)
    <=> v13719(VarCurr) ) )).

fof(addAssignment_3044,axiom,(
    ! [VarCurr] :
      ( v13719(VarCurr)
    <=> v7937(VarCurr) ) )).

fof(addAssignment_3043,axiom,(
    ! [VarCurr] :
      ( v13585(VarCurr)
    <=> v13587(VarCurr) ) )).

fof(addAssignment_3042,axiom,(
    ! [VarCurr] :
      ( v13587(VarCurr)
    <=> v13589(VarCurr) ) )).

fof(addAssignment_3041,axiom,(
    ! [VarCurr] :
      ( v13589(VarCurr)
    <=> v13591(VarCurr) ) )).

fof(addAssignment_3040,axiom,(
    ! [VarCurr] :
      ( v13591(VarCurr)
    <=> v13593(VarCurr) ) )).

fof(addAssignment_3039,axiom,(
    ! [VarCurr] :
      ( v13593(VarCurr)
    <=> v13595(VarCurr) ) )).

fof(addAssignment_3038,axiom,(
    ! [VarCurr] :
      ( v13595(VarCurr)
    <=> v13597(VarCurr) ) )).

fof(addAssignment_3037,axiom,(
    ! [VarCurr] :
      ( v13597(VarCurr)
    <=> v13599(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_958,axiom,(
    ! [VarCurr] :
      ( v13599(VarCurr)
    <=> ( ( v13601(VarCurr,bitIndex1)
        <=> $true )
        & ( v13601(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_157,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13653(VarNext)
       => ! [B] :
            ( range_1_0(B)
           => ( v13601(VarNext,B)
            <=> v13601(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_182,axiom,(
    ! [VarNext] :
      ( v13653(VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v13601(VarNext,B)
          <=> v13663(VarNext,B) ) ) ) )).

fof(addAssignment_3036,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v13663(VarNext,B)
          <=> v13661(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_361,axiom,(
    ! [VarCurr] :
      ( ~ v13664(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v13661(VarCurr,B)
          <=> v13607(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_364,axiom,(
    ! [VarCurr] :
      ( v13664(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v13661(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_1065,axiom,(
    ! [VarCurr] :
      ( ~ v13664(VarCurr)
    <=> v13603(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3168,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13653(VarNext)
      <=> v13654(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3167,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13654(VarNext)
      <=> ( v13655(VarNext)
          & v13648(VarNext) ) ) ) )).

fof(writeUnaryOperator_1064,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13655(VarNext)
      <=> v13657(VarNext) ) ) )).

fof(addAssignment_3035,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13657(VarNext)
      <=> v13648(VarCurr) ) ) )).

fof(addAssignment_3034,axiom,(
    ! [VarCurr] :
      ( v13648(VarCurr)
    <=> v13650(VarCurr) ) )).

fof(addAssignment_3033,axiom,(
    ! [VarCurr] :
      ( v13650(VarCurr)
    <=> v3525(VarCurr) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_20,axiom,(
    ! [VarCurr] :
      ( ( ~ v13640(VarCurr)
        & ~ v13642(VarCurr)
        & ~ v13643(VarCurr) )
     => ! [B] :
          ( range_1_0(B)
         => ( v13607(VarCurr,B)
          <=> v13646(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_219,axiom,(
    ! [VarCurr] :
      ( v13643(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v13607(VarCurr,B)
          <=> v13644(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_522,axiom,(
    ! [VarCurr] :
      ( v13642(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v13607(VarCurr,B)
          <=> b10(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_523,axiom,(
    ! [VarCurr] :
      ( v13640(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v13607(VarCurr,B)
          <=> v13641(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_360,axiom,(
    ! [VarCurr] :
      ( ~ v13609(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v13646(VarCurr,B)
          <=> $false ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_363,axiom,(
    ! [VarCurr] :
      ( v13609(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v13646(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_957,axiom,(
    ! [VarCurr] :
      ( v13645(VarCurr)
    <=> ( ( v13601(VarCurr,bitIndex1)
        <=> $true )
        & ( v13601(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_359,axiom,(
    ! [VarCurr] :
      ( ~ v13618(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v13644(VarCurr,B)
          <=> b10(B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_362,axiom,(
    ! [VarCurr] :
      ( v13618(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v13644(VarCurr,B)
          <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_956,axiom,(
    ! [VarCurr] :
      ( v13643(VarCurr)
    <=> ( ( v13601(VarCurr,bitIndex1)
        <=> $true )
        & ( v13601(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_955,axiom,(
    ! [VarCurr] :
      ( v13642(VarCurr)
    <=> ( ( v13601(VarCurr,bitIndex1)
        <=> $false )
        & ( v13601(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_358,axiom,(
    ! [VarCurr] :
      ( ~ v13609(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v13641(VarCurr,B)
          <=> $false ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_361,axiom,(
    ! [VarCurr] :
      ( v13609(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v13641(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_954,axiom,(
    ! [VarCurr] :
      ( v13640(VarCurr)
    <=> ( ( v13601(VarCurr,bitIndex1)
        <=> $false )
        & ( v13601(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_3032,axiom,(
    ! [VarCurr] :
      ( v13618(VarCurr)
    <=> v13620(VarCurr) ) )).

fof(addAssignment_3031,axiom,(
    ! [VarCurr] :
      ( v13620(VarCurr)
    <=> v13622(VarCurr) ) )).

fof(addAssignment_3030,axiom,(
    ! [VarCurr] :
      ( v13622(VarCurr)
    <=> v13624(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3166,axiom,(
    ! [VarCurr] :
      ( v13624(VarCurr)
    <=> ( v13626(VarCurr)
        & v13637(VarCurr) ) ) )).

fof(addAssignment_3029,axiom,(
    ! [VarCurr] :
      ( v13626(VarCurr)
    <=> v13628(VarCurr) ) )).

fof(addAssignment_3028,axiom,(
    ! [VarCurr] :
      ( v13628(VarCurr)
    <=> v13630(VarCurr) ) )).

fof(addAssignment_3027,axiom,(
    ! [VarCurr] :
      ( v13630(VarCurr)
    <=> v13632(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3165,axiom,(
    ! [VarCurr] :
      ( v13632(VarCurr)
    <=> ( v13634(VarCurr)
        | v13635(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_953,axiom,(
    ! [VarCurr] :
      ( v13635(VarCurr)
    <=> ( ( v13601(VarCurr,bitIndex1)
        <=> $true )
        & ( v13601(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_952,axiom,(
    ! [VarCurr] :
      ( v13634(VarCurr)
    <=> ( ( v13601(VarCurr,bitIndex1)
        <=> $false )
        & ( v13601(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_3026,axiom,(
    ! [VarCurr] :
      ( v13609(VarCurr)
    <=> v13611(VarCurr) ) )).

fof(addAssignment_3025,axiom,(
    ! [VarCurr] :
      ( v13611(VarCurr)
    <=> v13613(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_951,axiom,(
    ! [VarCurr] :
      ( v13613(VarCurr)
    <=> ( ( v13615(VarCurr,bitIndex1)
        <=> $true )
        & ( v13615(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_3024,axiom,(
    ! [VarCurr] :
      ( v13603(VarCurr)
    <=> v13605(VarCurr) ) )).

fof(addAssignment_3023,axiom,(
    ! [VarCurr] :
      ( v13605(VarCurr)
    <=> v3144(VarCurr) ) )).

fof(addAssignment_3022,axiom,(
    ! [VarCurr] :
      ( v13581(VarCurr)
    <=> v13112(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_357,axiom,(
    ! [VarCurr] :
      ( ~ v13160(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v13158(VarCurr,B)
          <=> v13505(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_360,axiom,(
    ! [VarCurr] :
      ( v13160(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v13158(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges4_6,axiom,(
    ! [VarCurr] :
      ( ( ~ v13506(VarCurr)
        & ~ v13543(VarCurr)
        & ~ v13551(VarCurr)
        & ~ v13559(VarCurr) )
     => ! [B] :
          ( range_1_0(B)
         => ( v13505(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_19,axiom,(
    ! [VarCurr] :
      ( v13559(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v13505(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_218,axiom,(
    ! [VarCurr] :
      ( v13551(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v13505(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_521,axiom,(
    ! [VarCurr] :
      ( v13543(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v13505(VarCurr,B)
          <=> v13550(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_522,axiom,(
    ! [VarCurr] :
      ( v13506(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v13505(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3164,axiom,(
    ! [VarCurr] :
      ( v13559(VarCurr)
    <=> ( v13561(VarCurr)
        | v13570(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3163,axiom,(
    ! [VarCurr] :
      ( v13570(VarCurr)
    <=> ( v13572(VarCurr)
        & v13525(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_327,axiom,(
    ! [VarCurr] :
      ( v13572(VarCurr)
    <=> ( v13573(VarCurr)
        & v13236(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_326,axiom,(
    ! [VarCurr] :
      ( v13573(VarCurr)
    <=> ( v13522(VarCurr)
        & v13236(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3162,axiom,(
    ! [VarCurr] :
      ( v13561(VarCurr)
    <=> ( v13562(VarCurr)
        | v13567(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_325,axiom,(
    ! [VarCurr] :
      ( v13567(VarCurr)
    <=> ( v13569(VarCurr)
        & v13236(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_324,axiom,(
    ! [VarCurr] :
      ( v13569(VarCurr)
    <=> ( v13565(VarCurr)
        & v13236(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_323,axiom,(
    ! [VarCurr] :
      ( v13562(VarCurr)
    <=> ( v13564(VarCurr)
        & v13236(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3161,axiom,(
    ! [VarCurr] :
      ( v13564(VarCurr)
    <=> ( v13565(VarCurr)
        & v13524(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_322,axiom,(
    ! [VarCurr] :
      ( v13565(VarCurr)
    <=> ( v13566(VarCurr)
        & v13236(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_321,axiom,(
    ! [VarCurr] :
      ( v13566(VarCurr)
    <=> ( v13517(VarCurr)
        & v13236(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3160,axiom,(
    ! [VarCurr] :
      ( v13551(VarCurr)
    <=> ( v13552(VarCurr)
        | v13554(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3159,axiom,(
    ! [VarCurr] :
      ( v13554(VarCurr)
    <=> ( v13556(VarCurr)
        & v13525(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3158,axiom,(
    ! [VarCurr] :
      ( v13556(VarCurr)
    <=> ( v13557(VarCurr)
        & v13524(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3157,axiom,(
    ! [VarCurr] :
      ( v13557(VarCurr)
    <=> ( v13558(VarCurr)
        & v13523(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_320,axiom,(
    ! [VarCurr] :
      ( v13558(VarCurr)
    <=> ( v13534(VarCurr)
        & v13236(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_319,axiom,(
    ! [VarCurr] :
      ( v13552(VarCurr)
    <=> ( v13545(VarCurr)
        & v13236(VarCurr,bitIndex6) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_356,axiom,(
    ! [VarCurr] :
      ( ~ v13437(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v13550(VarCurr,B)
          <=> $false ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_359,axiom,(
    ! [VarCurr] :
      ( v13437(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v13550(VarCurr,B)
          <=> b10(B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3156,axiom,(
    ! [VarCurr] :
      ( v13543(VarCurr)
    <=> ( v13545(VarCurr)
        & v13525(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3155,axiom,(
    ! [VarCurr] :
      ( v13545(VarCurr)
    <=> ( v13546(VarCurr)
        & v13524(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3154,axiom,(
    ! [VarCurr] :
      ( v13546(VarCurr)
    <=> ( v13547(VarCurr)
        & v13523(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_318,axiom,(
    ! [VarCurr] :
      ( v13547(VarCurr)
    <=> ( v13548(VarCurr)
        & v13236(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3153,axiom,(
    ! [VarCurr] :
      ( v13548(VarCurr)
    <=> ( v13549(VarCurr)
        & v13521(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_317,axiom,(
    ! [VarCurr] :
      ( v13549(VarCurr)
    <=> ( v13519(VarCurr)
        & v13236(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3152,axiom,(
    ! [VarCurr] :
      ( v13506(VarCurr)
    <=> ( v13508(VarCurr)
        | v13541(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_316,axiom,(
    ! [VarCurr] :
      ( v13541(VarCurr)
    <=> ( v13528(VarCurr)
        & v13236(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3151,axiom,(
    ! [VarCurr] :
      ( v13508(VarCurr)
    <=> ( v13509(VarCurr)
        | v13539(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_315,axiom,(
    ! [VarCurr] :
      ( v13539(VarCurr)
    <=> ( v13514(VarCurr)
        & v13236(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3150,axiom,(
    ! [VarCurr] :
      ( v13509(VarCurr)
    <=> ( v13510(VarCurr)
        | v13536(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3149,axiom,(
    ! [VarCurr] :
      ( v13536(VarCurr)
    <=> ( v13538(VarCurr)
        & v13525(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_314,axiom,(
    ! [VarCurr] :
      ( v13538(VarCurr)
    <=> ( v13532(VarCurr)
        & v13236(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3148,axiom,(
    ! [VarCurr] :
      ( v13510(VarCurr)
    <=> ( v13511(VarCurr)
        | v13529(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3147,axiom,(
    ! [VarCurr] :
      ( v13529(VarCurr)
    <=> ( v13531(VarCurr)
        & v13525(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3146,axiom,(
    ! [VarCurr] :
      ( v13531(VarCurr)
    <=> ( v13532(VarCurr)
        & v13524(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3145,axiom,(
    ! [VarCurr] :
      ( v13532(VarCurr)
    <=> ( v13533(VarCurr)
        & v13523(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3144,axiom,(
    ! [VarCurr] :
      ( v13533(VarCurr)
    <=> ( v13534(VarCurr)
        & v13522(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3143,axiom,(
    ! [VarCurr] :
      ( v13534(VarCurr)
    <=> ( v13535(VarCurr)
        & v13521(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3142,axiom,(
    ! [VarCurr] :
      ( v13535(VarCurr)
    <=> ( v13236(VarCurr,bitIndex0)
        & v13520(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3141,axiom,(
    ! [VarCurr] :
      ( v13511(VarCurr)
    <=> ( v13512(VarCurr)
        | v13526(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3140,axiom,(
    ! [VarCurr] :
      ( v13526(VarCurr)
    <=> ( v13528(VarCurr)
        & v13525(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_313,axiom,(
    ! [VarCurr] :
      ( v13528(VarCurr)
    <=> ( v13515(VarCurr)
        & v13236(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3139,axiom,(
    ! [VarCurr] :
      ( v13512(VarCurr)
    <=> ( v13514(VarCurr)
        & v13525(VarCurr) ) ) )).

fof(writeUnaryOperator_1063,axiom,(
    ! [VarCurr] :
      ( ~ v13525(VarCurr)
    <=> v13236(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3138,axiom,(
    ! [VarCurr] :
      ( v13514(VarCurr)
    <=> ( v13515(VarCurr)
        & v13524(VarCurr) ) ) )).

fof(writeUnaryOperator_1062,axiom,(
    ! [VarCurr] :
      ( ~ v13524(VarCurr)
    <=> v13236(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3137,axiom,(
    ! [VarCurr] :
      ( v13515(VarCurr)
    <=> ( v13516(VarCurr)
        & v13523(VarCurr) ) ) )).

fof(writeUnaryOperator_1061,axiom,(
    ! [VarCurr] :
      ( ~ v13523(VarCurr)
    <=> v13236(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3136,axiom,(
    ! [VarCurr] :
      ( v13516(VarCurr)
    <=> ( v13517(VarCurr)
        & v13522(VarCurr) ) ) )).

fof(writeUnaryOperator_1060,axiom,(
    ! [VarCurr] :
      ( ~ v13522(VarCurr)
    <=> v13236(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3135,axiom,(
    ! [VarCurr] :
      ( v13517(VarCurr)
    <=> ( v13518(VarCurr)
        & v13521(VarCurr) ) ) )).

fof(writeUnaryOperator_1059,axiom,(
    ! [VarCurr] :
      ( ~ v13521(VarCurr)
    <=> v13236(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3134,axiom,(
    ! [VarCurr] :
      ( v13518(VarCurr)
    <=> ( v13519(VarCurr)
        & v13520(VarCurr) ) ) )).

fof(writeUnaryOperator_1058,axiom,(
    ! [VarCurr] :
      ( ~ v13520(VarCurr)
    <=> v13236(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_1057,axiom,(
    ! [VarCurr] :
      ( ~ v13519(VarCurr)
    <=> v13236(VarCurr,bitIndex0) ) )).

fof(addAssignment_3021,axiom,(
    ! [VarCurr] :
      ( v13437(VarCurr)
    <=> v13238(VarCurr,bitIndex81) ) )).

fof(addAssignment_3020,axiom,(
    ! [VarCurr] :
      ( v13238(VarCurr,bitIndex81)
    <=> v13240(VarCurr,bitIndex81) ) )).

fof(addAssignment_3019,axiom,(
    ! [VarCurr] :
      ( v13240(VarCurr,bitIndex81)
    <=> v13242(VarCurr,bitIndex696) ) )).

fof(addAssignment_3018,axiom,(
    ! [VarNext] :
      ( v13242(VarNext,bitIndex696)
    <=> v13496(VarNext,bitIndex81) ) )).

fof(addCaseBooleanConditionShiftedRanges1_24,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13498(VarNext)
       => ( ( v13496(VarNext,bitIndex122)
          <=> v13242(VarCurr,bitIndex737) )
          & ( v13496(VarNext,bitIndex121)
          <=> v13242(VarCurr,bitIndex736) )
          & ( v13496(VarNext,bitIndex120)
          <=> v13242(VarCurr,bitIndex735) )
          & ( v13496(VarNext,bitIndex119)
          <=> v13242(VarCurr,bitIndex734) )
          & ( v13496(VarNext,bitIndex118)
          <=> v13242(VarCurr,bitIndex733) )
          & ( v13496(VarNext,bitIndex117)
          <=> v13242(VarCurr,bitIndex732) )
          & ( v13496(VarNext,bitIndex116)
          <=> v13242(VarCurr,bitIndex731) )
          & ( v13496(VarNext,bitIndex115)
          <=> v13242(VarCurr,bitIndex730) )
          & ( v13496(VarNext,bitIndex114)
          <=> v13242(VarCurr,bitIndex729) )
          & ( v13496(VarNext,bitIndex113)
          <=> v13242(VarCurr,bitIndex728) )
          & ( v13496(VarNext,bitIndex112)
          <=> v13242(VarCurr,bitIndex727) )
          & ( v13496(VarNext,bitIndex111)
          <=> v13242(VarCurr,bitIndex726) )
          & ( v13496(VarNext,bitIndex110)
          <=> v13242(VarCurr,bitIndex725) )
          & ( v13496(VarNext,bitIndex109)
          <=> v13242(VarCurr,bitIndex724) )
          & ( v13496(VarNext,bitIndex108)
          <=> v13242(VarCurr,bitIndex723) )
          & ( v13496(VarNext,bitIndex107)
          <=> v13242(VarCurr,bitIndex722) )
          & ( v13496(VarNext,bitIndex106)
          <=> v13242(VarCurr,bitIndex721) )
          & ( v13496(VarNext,bitIndex105)
          <=> v13242(VarCurr,bitIndex720) )
          & ( v13496(VarNext,bitIndex104)
          <=> v13242(VarCurr,bitIndex719) )
          & ( v13496(VarNext,bitIndex103)
          <=> v13242(VarCurr,bitIndex718) )
          & ( v13496(VarNext,bitIndex102)
          <=> v13242(VarCurr,bitIndex717) )
          & ( v13496(VarNext,bitIndex101)
          <=> v13242(VarCurr,bitIndex716) )
          & ( v13496(VarNext,bitIndex100)
          <=> v13242(VarCurr,bitIndex715) )
          & ( v13496(VarNext,bitIndex99)
          <=> v13242(VarCurr,bitIndex714) )
          & ( v13496(VarNext,bitIndex98)
          <=> v13242(VarCurr,bitIndex713) )
          & ( v13496(VarNext,bitIndex97)
          <=> v13242(VarCurr,bitIndex712) )
          & ( v13496(VarNext,bitIndex96)
          <=> v13242(VarCurr,bitIndex711) )
          & ( v13496(VarNext,bitIndex95)
          <=> v13242(VarCurr,bitIndex710) )
          & ( v13496(VarNext,bitIndex94)
          <=> v13242(VarCurr,bitIndex709) )
          & ( v13496(VarNext,bitIndex93)
          <=> v13242(VarCurr,bitIndex708) )
          & ( v13496(VarNext,bitIndex92)
          <=> v13242(VarCurr,bitIndex707) )
          & ( v13496(VarNext,bitIndex91)
          <=> v13242(VarCurr,bitIndex706) )
          & ( v13496(VarNext,bitIndex90)
          <=> v13242(VarCurr,bitIndex705) )
          & ( v13496(VarNext,bitIndex89)
          <=> v13242(VarCurr,bitIndex704) )
          & ( v13496(VarNext,bitIndex88)
          <=> v13242(VarCurr,bitIndex703) )
          & ( v13496(VarNext,bitIndex87)
          <=> v13242(VarCurr,bitIndex702) )
          & ( v13496(VarNext,bitIndex86)
          <=> v13242(VarCurr,bitIndex701) )
          & ( v13496(VarNext,bitIndex85)
          <=> v13242(VarCurr,bitIndex700) )
          & ( v13496(VarNext,bitIndex84)
          <=> v13242(VarCurr,bitIndex699) )
          & ( v13496(VarNext,bitIndex83)
          <=> v13242(VarCurr,bitIndex698) )
          & ( v13496(VarNext,bitIndex82)
          <=> v13242(VarCurr,bitIndex697) )
          & ( v13496(VarNext,bitIndex81)
          <=> v13242(VarCurr,bitIndex696) )
          & ( v13496(VarNext,bitIndex80)
          <=> v13242(VarCurr,bitIndex695) )
          & ( v13496(VarNext,bitIndex79)
          <=> v13242(VarCurr,bitIndex694) )
          & ( v13496(VarNext,bitIndex78)
          <=> v13242(VarCurr,bitIndex693) )
          & ( v13496(VarNext,bitIndex77)
          <=> v13242(VarCurr,bitIndex692) )
          & ( v13496(VarNext,bitIndex76)
          <=> v13242(VarCurr,bitIndex691) )
          & ( v13496(VarNext,bitIndex75)
          <=> v13242(VarCurr,bitIndex690) )
          & ( v13496(VarNext,bitIndex74)
          <=> v13242(VarCurr,bitIndex689) )
          & ( v13496(VarNext,bitIndex73)
          <=> v13242(VarCurr,bitIndex688) )
          & ( v13496(VarNext,bitIndex72)
          <=> v13242(VarCurr,bitIndex687) )
          & ( v13496(VarNext,bitIndex71)
          <=> v13242(VarCurr,bitIndex686) )
          & ( v13496(VarNext,bitIndex70)
          <=> v13242(VarCurr,bitIndex685) )
          & ( v13496(VarNext,bitIndex69)
          <=> v13242(VarCurr,bitIndex684) )
          & ( v13496(VarNext,bitIndex68)
          <=> v13242(VarCurr,bitIndex683) )
          & ( v13496(VarNext,bitIndex67)
          <=> v13242(VarCurr,bitIndex682) )
          & ( v13496(VarNext,bitIndex66)
          <=> v13242(VarCurr,bitIndex681) )
          & ( v13496(VarNext,bitIndex65)
          <=> v13242(VarCurr,bitIndex680) )
          & ( v13496(VarNext,bitIndex64)
          <=> v13242(VarCurr,bitIndex679) )
          & ( v13496(VarNext,bitIndex63)
          <=> v13242(VarCurr,bitIndex678) )
          & ( v13496(VarNext,bitIndex62)
          <=> v13242(VarCurr,bitIndex677) )
          & ( v13496(VarNext,bitIndex61)
          <=> v13242(VarCurr,bitIndex676) )
          & ( v13496(VarNext,bitIndex60)
          <=> v13242(VarCurr,bitIndex675) )
          & ( v13496(VarNext,bitIndex59)
          <=> v13242(VarCurr,bitIndex674) )
          & ( v13496(VarNext,bitIndex58)
          <=> v13242(VarCurr,bitIndex673) )
          & ( v13496(VarNext,bitIndex57)
          <=> v13242(VarCurr,bitIndex672) )
          & ( v13496(VarNext,bitIndex56)
          <=> v13242(VarCurr,bitIndex671) )
          & ( v13496(VarNext,bitIndex55)
          <=> v13242(VarCurr,bitIndex670) )
          & ( v13496(VarNext,bitIndex54)
          <=> v13242(VarCurr,bitIndex669) )
          & ( v13496(VarNext,bitIndex53)
          <=> v13242(VarCurr,bitIndex668) )
          & ( v13496(VarNext,bitIndex52)
          <=> v13242(VarCurr,bitIndex667) )
          & ( v13496(VarNext,bitIndex51)
          <=> v13242(VarCurr,bitIndex666) )
          & ( v13496(VarNext,bitIndex50)
          <=> v13242(VarCurr,bitIndex665) )
          & ( v13496(VarNext,bitIndex49)
          <=> v13242(VarCurr,bitIndex664) )
          & ( v13496(VarNext,bitIndex48)
          <=> v13242(VarCurr,bitIndex663) )
          & ( v13496(VarNext,bitIndex47)
          <=> v13242(VarCurr,bitIndex662) )
          & ( v13496(VarNext,bitIndex46)
          <=> v13242(VarCurr,bitIndex661) )
          & ( v13496(VarNext,bitIndex45)
          <=> v13242(VarCurr,bitIndex660) )
          & ( v13496(VarNext,bitIndex44)
          <=> v13242(VarCurr,bitIndex659) )
          & ( v13496(VarNext,bitIndex43)
          <=> v13242(VarCurr,bitIndex658) )
          & ( v13496(VarNext,bitIndex42)
          <=> v13242(VarCurr,bitIndex657) )
          & ( v13496(VarNext,bitIndex41)
          <=> v13242(VarCurr,bitIndex656) )
          & ( v13496(VarNext,bitIndex40)
          <=> v13242(VarCurr,bitIndex655) )
          & ( v13496(VarNext,bitIndex39)
          <=> v13242(VarCurr,bitIndex654) )
          & ( v13496(VarNext,bitIndex38)
          <=> v13242(VarCurr,bitIndex653) )
          & ( v13496(VarNext,bitIndex37)
          <=> v13242(VarCurr,bitIndex652) )
          & ( v13496(VarNext,bitIndex36)
          <=> v13242(VarCurr,bitIndex651) )
          & ( v13496(VarNext,bitIndex35)
          <=> v13242(VarCurr,bitIndex650) )
          & ( v13496(VarNext,bitIndex34)
          <=> v13242(VarCurr,bitIndex649) )
          & ( v13496(VarNext,bitIndex33)
          <=> v13242(VarCurr,bitIndex648) )
          & ( v13496(VarNext,bitIndex32)
          <=> v13242(VarCurr,bitIndex647) )
          & ( v13496(VarNext,bitIndex31)
          <=> v13242(VarCurr,bitIndex646) )
          & ( v13496(VarNext,bitIndex30)
          <=> v13242(VarCurr,bitIndex645) )
          & ( v13496(VarNext,bitIndex29)
          <=> v13242(VarCurr,bitIndex644) )
          & ( v13496(VarNext,bitIndex28)
          <=> v13242(VarCurr,bitIndex643) )
          & ( v13496(VarNext,bitIndex27)
          <=> v13242(VarCurr,bitIndex642) )
          & ( v13496(VarNext,bitIndex26)
          <=> v13242(VarCurr,bitIndex641) )
          & ( v13496(VarNext,bitIndex25)
          <=> v13242(VarCurr,bitIndex640) )
          & ( v13496(VarNext,bitIndex24)
          <=> v13242(VarCurr,bitIndex639) )
          & ( v13496(VarNext,bitIndex23)
          <=> v13242(VarCurr,bitIndex638) )
          & ( v13496(VarNext,bitIndex22)
          <=> v13242(VarCurr,bitIndex637) )
          & ( v13496(VarNext,bitIndex21)
          <=> v13242(VarCurr,bitIndex636) )
          & ( v13496(VarNext,bitIndex20)
          <=> v13242(VarCurr,bitIndex635) )
          & ( v13496(VarNext,bitIndex19)
          <=> v13242(VarCurr,bitIndex634) )
          & ( v13496(VarNext,bitIndex18)
          <=> v13242(VarCurr,bitIndex633) )
          & ( v13496(VarNext,bitIndex17)
          <=> v13242(VarCurr,bitIndex632) )
          & ( v13496(VarNext,bitIndex16)
          <=> v13242(VarCurr,bitIndex631) )
          & ( v13496(VarNext,bitIndex15)
          <=> v13242(VarCurr,bitIndex630) )
          & ( v13496(VarNext,bitIndex14)
          <=> v13242(VarCurr,bitIndex629) )
          & ( v13496(VarNext,bitIndex13)
          <=> v13242(VarCurr,bitIndex628) )
          & ( v13496(VarNext,bitIndex12)
          <=> v13242(VarCurr,bitIndex627) )
          & ( v13496(VarNext,bitIndex11)
          <=> v13242(VarCurr,bitIndex626) )
          & ( v13496(VarNext,bitIndex10)
          <=> v13242(VarCurr,bitIndex625) )
          & ( v13496(VarNext,bitIndex9)
          <=> v13242(VarCurr,bitIndex624) )
          & ( v13496(VarNext,bitIndex8)
          <=> v13242(VarCurr,bitIndex623) )
          & ( v13496(VarNext,bitIndex7)
          <=> v13242(VarCurr,bitIndex622) )
          & ( v13496(VarNext,bitIndex6)
          <=> v13242(VarCurr,bitIndex621) )
          & ( v13496(VarNext,bitIndex5)
          <=> v13242(VarCurr,bitIndex620) )
          & ( v13496(VarNext,bitIndex4)
          <=> v13242(VarCurr,bitIndex619) )
          & ( v13496(VarNext,bitIndex3)
          <=> v13242(VarCurr,bitIndex618) )
          & ( v13496(VarNext,bitIndex2)
          <=> v13242(VarCurr,bitIndex617) )
          & ( v13496(VarNext,bitIndex1)
          <=> v13242(VarCurr,bitIndex616) )
          & ( v13496(VarNext,bitIndex0)
          <=> v13242(VarCurr,bitIndex615) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_181,axiom,(
    ! [VarNext] :
      ( v13498(VarNext)
     => ! [B] :
          ( range_122_0(B)
         => ( v13496(VarNext,B)
          <=> v13432(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3133,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13498(VarNext)
      <=> ( v13499(VarNext)
          & v13414(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3132,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13499(VarNext)
      <=> ( v13501(VarNext)
          & v13183(VarNext) ) ) ) )).

fof(writeUnaryOperator_1056,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13501(VarNext)
      <=> v13196(VarNext) ) ) )).

fof(addAssignment_3017,axiom,(
    ! [VarCurr] :
      ( v13398(VarCurr,bitIndex81)
    <=> v13403(VarCurr,bitIndex81) ) )).

fof(addAssignment_3016,axiom,(
    ! [VarCurr] :
      ( v13402(VarCurr,bitIndex81)
    <=> v13242(VarCurr,bitIndex573) ) )).

fof(addAssignment_3015,axiom,(
    ! [VarCurr] :
      ( v13391(VarCurr,bitIndex81)
    <=> v13396(VarCurr,bitIndex81) ) )).

fof(addAssignment_3014,axiom,(
    ! [VarCurr] :
      ( v13395(VarCurr,bitIndex81)
    <=> v13242(VarCurr,bitIndex696) ) )).

fof(addAssignment_3013,axiom,(
    ! [VarNext] :
      ( v13242(VarNext,bitIndex573)
    <=> v13488(VarNext,bitIndex81) ) )).

fof(addCaseBooleanConditionShiftedRanges1_23,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13490(VarNext)
       => ( ( v13488(VarNext,bitIndex122)
          <=> v13242(VarCurr,bitIndex614) )
          & ( v13488(VarNext,bitIndex121)
          <=> v13242(VarCurr,bitIndex613) )
          & ( v13488(VarNext,bitIndex120)
          <=> v13242(VarCurr,bitIndex612) )
          & ( v13488(VarNext,bitIndex119)
          <=> v13242(VarCurr,bitIndex611) )
          & ( v13488(VarNext,bitIndex118)
          <=> v13242(VarCurr,bitIndex610) )
          & ( v13488(VarNext,bitIndex117)
          <=> v13242(VarCurr,bitIndex609) )
          & ( v13488(VarNext,bitIndex116)
          <=> v13242(VarCurr,bitIndex608) )
          & ( v13488(VarNext,bitIndex115)
          <=> v13242(VarCurr,bitIndex607) )
          & ( v13488(VarNext,bitIndex114)
          <=> v13242(VarCurr,bitIndex606) )
          & ( v13488(VarNext,bitIndex113)
          <=> v13242(VarCurr,bitIndex605) )
          & ( v13488(VarNext,bitIndex112)
          <=> v13242(VarCurr,bitIndex604) )
          & ( v13488(VarNext,bitIndex111)
          <=> v13242(VarCurr,bitIndex603) )
          & ( v13488(VarNext,bitIndex110)
          <=> v13242(VarCurr,bitIndex602) )
          & ( v13488(VarNext,bitIndex109)
          <=> v13242(VarCurr,bitIndex601) )
          & ( v13488(VarNext,bitIndex108)
          <=> v13242(VarCurr,bitIndex600) )
          & ( v13488(VarNext,bitIndex107)
          <=> v13242(VarCurr,bitIndex599) )
          & ( v13488(VarNext,bitIndex106)
          <=> v13242(VarCurr,bitIndex598) )
          & ( v13488(VarNext,bitIndex105)
          <=> v13242(VarCurr,bitIndex597) )
          & ( v13488(VarNext,bitIndex104)
          <=> v13242(VarCurr,bitIndex596) )
          & ( v13488(VarNext,bitIndex103)
          <=> v13242(VarCurr,bitIndex595) )
          & ( v13488(VarNext,bitIndex102)
          <=> v13242(VarCurr,bitIndex594) )
          & ( v13488(VarNext,bitIndex101)
          <=> v13242(VarCurr,bitIndex593) )
          & ( v13488(VarNext,bitIndex100)
          <=> v13242(VarCurr,bitIndex592) )
          & ( v13488(VarNext,bitIndex99)
          <=> v13242(VarCurr,bitIndex591) )
          & ( v13488(VarNext,bitIndex98)
          <=> v13242(VarCurr,bitIndex590) )
          & ( v13488(VarNext,bitIndex97)
          <=> v13242(VarCurr,bitIndex589) )
          & ( v13488(VarNext,bitIndex96)
          <=> v13242(VarCurr,bitIndex588) )
          & ( v13488(VarNext,bitIndex95)
          <=> v13242(VarCurr,bitIndex587) )
          & ( v13488(VarNext,bitIndex94)
          <=> v13242(VarCurr,bitIndex586) )
          & ( v13488(VarNext,bitIndex93)
          <=> v13242(VarCurr,bitIndex585) )
          & ( v13488(VarNext,bitIndex92)
          <=> v13242(VarCurr,bitIndex584) )
          & ( v13488(VarNext,bitIndex91)
          <=> v13242(VarCurr,bitIndex583) )
          & ( v13488(VarNext,bitIndex90)
          <=> v13242(VarCurr,bitIndex582) )
          & ( v13488(VarNext,bitIndex89)
          <=> v13242(VarCurr,bitIndex581) )
          & ( v13488(VarNext,bitIndex88)
          <=> v13242(VarCurr,bitIndex580) )
          & ( v13488(VarNext,bitIndex87)
          <=> v13242(VarCurr,bitIndex579) )
          & ( v13488(VarNext,bitIndex86)
          <=> v13242(VarCurr,bitIndex578) )
          & ( v13488(VarNext,bitIndex85)
          <=> v13242(VarCurr,bitIndex577) )
          & ( v13488(VarNext,bitIndex84)
          <=> v13242(VarCurr,bitIndex576) )
          & ( v13488(VarNext,bitIndex83)
          <=> v13242(VarCurr,bitIndex575) )
          & ( v13488(VarNext,bitIndex82)
          <=> v13242(VarCurr,bitIndex574) )
          & ( v13488(VarNext,bitIndex81)
          <=> v13242(VarCurr,bitIndex573) )
          & ( v13488(VarNext,bitIndex80)
          <=> v13242(VarCurr,bitIndex572) )
          & ( v13488(VarNext,bitIndex79)
          <=> v13242(VarCurr,bitIndex571) )
          & ( v13488(VarNext,bitIndex78)
          <=> v13242(VarCurr,bitIndex570) )
          & ( v13488(VarNext,bitIndex77)
          <=> v13242(VarCurr,bitIndex569) )
          & ( v13488(VarNext,bitIndex76)
          <=> v13242(VarCurr,bitIndex568) )
          & ( v13488(VarNext,bitIndex75)
          <=> v13242(VarCurr,bitIndex567) )
          & ( v13488(VarNext,bitIndex74)
          <=> v13242(VarCurr,bitIndex566) )
          & ( v13488(VarNext,bitIndex73)
          <=> v13242(VarCurr,bitIndex565) )
          & ( v13488(VarNext,bitIndex72)
          <=> v13242(VarCurr,bitIndex564) )
          & ( v13488(VarNext,bitIndex71)
          <=> v13242(VarCurr,bitIndex563) )
          & ( v13488(VarNext,bitIndex70)
          <=> v13242(VarCurr,bitIndex562) )
          & ( v13488(VarNext,bitIndex69)
          <=> v13242(VarCurr,bitIndex561) )
          & ( v13488(VarNext,bitIndex68)
          <=> v13242(VarCurr,bitIndex560) )
          & ( v13488(VarNext,bitIndex67)
          <=> v13242(VarCurr,bitIndex559) )
          & ( v13488(VarNext,bitIndex66)
          <=> v13242(VarCurr,bitIndex558) )
          & ( v13488(VarNext,bitIndex65)
          <=> v13242(VarCurr,bitIndex557) )
          & ( v13488(VarNext,bitIndex64)
          <=> v13242(VarCurr,bitIndex556) )
          & ( v13488(VarNext,bitIndex63)
          <=> v13242(VarCurr,bitIndex555) )
          & ( v13488(VarNext,bitIndex62)
          <=> v13242(VarCurr,bitIndex554) )
          & ( v13488(VarNext,bitIndex61)
          <=> v13242(VarCurr,bitIndex553) )
          & ( v13488(VarNext,bitIndex60)
          <=> v13242(VarCurr,bitIndex552) )
          & ( v13488(VarNext,bitIndex59)
          <=> v13242(VarCurr,bitIndex551) )
          & ( v13488(VarNext,bitIndex58)
          <=> v13242(VarCurr,bitIndex550) )
          & ( v13488(VarNext,bitIndex57)
          <=> v13242(VarCurr,bitIndex549) )
          & ( v13488(VarNext,bitIndex56)
          <=> v13242(VarCurr,bitIndex548) )
          & ( v13488(VarNext,bitIndex55)
          <=> v13242(VarCurr,bitIndex547) )
          & ( v13488(VarNext,bitIndex54)
          <=> v13242(VarCurr,bitIndex546) )
          & ( v13488(VarNext,bitIndex53)
          <=> v13242(VarCurr,bitIndex545) )
          & ( v13488(VarNext,bitIndex52)
          <=> v13242(VarCurr,bitIndex544) )
          & ( v13488(VarNext,bitIndex51)
          <=> v13242(VarCurr,bitIndex543) )
          & ( v13488(VarNext,bitIndex50)
          <=> v13242(VarCurr,bitIndex542) )
          & ( v13488(VarNext,bitIndex49)
          <=> v13242(VarCurr,bitIndex541) )
          & ( v13488(VarNext,bitIndex48)
          <=> v13242(VarCurr,bitIndex540) )
          & ( v13488(VarNext,bitIndex47)
          <=> v13242(VarCurr,bitIndex539) )
          & ( v13488(VarNext,bitIndex46)
          <=> v13242(VarCurr,bitIndex538) )
          & ( v13488(VarNext,bitIndex45)
          <=> v13242(VarCurr,bitIndex537) )
          & ( v13488(VarNext,bitIndex44)
          <=> v13242(VarCurr,bitIndex536) )
          & ( v13488(VarNext,bitIndex43)
          <=> v13242(VarCurr,bitIndex535) )
          & ( v13488(VarNext,bitIndex42)
          <=> v13242(VarCurr,bitIndex534) )
          & ( v13488(VarNext,bitIndex41)
          <=> v13242(VarCurr,bitIndex533) )
          & ( v13488(VarNext,bitIndex40)
          <=> v13242(VarCurr,bitIndex532) )
          & ( v13488(VarNext,bitIndex39)
          <=> v13242(VarCurr,bitIndex531) )
          & ( v13488(VarNext,bitIndex38)
          <=> v13242(VarCurr,bitIndex530) )
          & ( v13488(VarNext,bitIndex37)
          <=> v13242(VarCurr,bitIndex529) )
          & ( v13488(VarNext,bitIndex36)
          <=> v13242(VarCurr,bitIndex528) )
          & ( v13488(VarNext,bitIndex35)
          <=> v13242(VarCurr,bitIndex527) )
          & ( v13488(VarNext,bitIndex34)
          <=> v13242(VarCurr,bitIndex526) )
          & ( v13488(VarNext,bitIndex33)
          <=> v13242(VarCurr,bitIndex525) )
          & ( v13488(VarNext,bitIndex32)
          <=> v13242(VarCurr,bitIndex524) )
          & ( v13488(VarNext,bitIndex31)
          <=> v13242(VarCurr,bitIndex523) )
          & ( v13488(VarNext,bitIndex30)
          <=> v13242(VarCurr,bitIndex522) )
          & ( v13488(VarNext,bitIndex29)
          <=> v13242(VarCurr,bitIndex521) )
          & ( v13488(VarNext,bitIndex28)
          <=> v13242(VarCurr,bitIndex520) )
          & ( v13488(VarNext,bitIndex27)
          <=> v13242(VarCurr,bitIndex519) )
          & ( v13488(VarNext,bitIndex26)
          <=> v13242(VarCurr,bitIndex518) )
          & ( v13488(VarNext,bitIndex25)
          <=> v13242(VarCurr,bitIndex517) )
          & ( v13488(VarNext,bitIndex24)
          <=> v13242(VarCurr,bitIndex516) )
          & ( v13488(VarNext,bitIndex23)
          <=> v13242(VarCurr,bitIndex515) )
          & ( v13488(VarNext,bitIndex22)
          <=> v13242(VarCurr,bitIndex514) )
          & ( v13488(VarNext,bitIndex21)
          <=> v13242(VarCurr,bitIndex513) )
          & ( v13488(VarNext,bitIndex20)
          <=> v13242(VarCurr,bitIndex512) )
          & ( v13488(VarNext,bitIndex19)
          <=> v13242(VarCurr,bitIndex511) )
          & ( v13488(VarNext,bitIndex18)
          <=> v13242(VarCurr,bitIndex510) )
          & ( v13488(VarNext,bitIndex17)
          <=> v13242(VarCurr,bitIndex509) )
          & ( v13488(VarNext,bitIndex16)
          <=> v13242(VarCurr,bitIndex508) )
          & ( v13488(VarNext,bitIndex15)
          <=> v13242(VarCurr,bitIndex507) )
          & ( v13488(VarNext,bitIndex14)
          <=> v13242(VarCurr,bitIndex506) )
          & ( v13488(VarNext,bitIndex13)
          <=> v13242(VarCurr,bitIndex505) )
          & ( v13488(VarNext,bitIndex12)
          <=> v13242(VarCurr,bitIndex504) )
          & ( v13488(VarNext,bitIndex11)
          <=> v13242(VarCurr,bitIndex503) )
          & ( v13488(VarNext,bitIndex10)
          <=> v13242(VarCurr,bitIndex502) )
          & ( v13488(VarNext,bitIndex9)
          <=> v13242(VarCurr,bitIndex501) )
          & ( v13488(VarNext,bitIndex8)
          <=> v13242(VarCurr,bitIndex500) )
          & ( v13488(VarNext,bitIndex7)
          <=> v13242(VarCurr,bitIndex499) )
          & ( v13488(VarNext,bitIndex6)
          <=> v13242(VarCurr,bitIndex498) )
          & ( v13488(VarNext,bitIndex5)
          <=> v13242(VarCurr,bitIndex497) )
          & ( v13488(VarNext,bitIndex4)
          <=> v13242(VarCurr,bitIndex496) )
          & ( v13488(VarNext,bitIndex3)
          <=> v13242(VarCurr,bitIndex495) )
          & ( v13488(VarNext,bitIndex2)
          <=> v13242(VarCurr,bitIndex494) )
          & ( v13488(VarNext,bitIndex1)
          <=> v13242(VarCurr,bitIndex493) )
          & ( v13488(VarNext,bitIndex0)
          <=> v13242(VarCurr,bitIndex492) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_180,axiom,(
    ! [VarNext] :
      ( v13490(VarNext)
     => ! [B] :
          ( range_122_0(B)
         => ( v13488(VarNext,B)
          <=> v13386(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3131,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13490(VarNext)
      <=> ( v13491(VarNext)
          & v13367(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3130,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13491(VarNext)
      <=> ( v13493(VarNext)
          & v13183(VarNext) ) ) ) )).

fof(writeUnaryOperator_1055,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13493(VarNext)
      <=> v13196(VarNext) ) ) )).

fof(addAssignment_3012,axiom,(
    ! [VarCurr] :
      ( v13351(VarCurr,bitIndex81)
    <=> v13356(VarCurr,bitIndex81) ) )).

fof(addAssignment_3011,axiom,(
    ! [VarCurr] :
      ( v13355(VarCurr,bitIndex81)
    <=> v13242(VarCurr,bitIndex450) ) )).

fof(addAssignment_3010,axiom,(
    ! [VarCurr] :
      ( v13245(VarCurr,bitIndex81)
    <=> v13349(VarCurr,bitIndex81) ) )).

fof(addAssignment_3009,axiom,(
    ! [VarCurr] :
      ( v13348(VarCurr,bitIndex81)
    <=> v13242(VarCurr,bitIndex573) ) )).

fof(addAssignment_3008,axiom,(
    ! [VarCurr] :
      ( v13297(VarCurr,bitIndex81)
    <=> v13299(VarCurr,bitIndex81) ) )).

fof(addAssignment_3007,axiom,(
    ! [VarCurr] :
      ( v13299(VarCurr,bitIndex81)
    <=> v13301(VarCurr,bitIndex81) ) )).

fof(addAssignment_3006,axiom,(
    ! [VarCurr] :
      ( v13301(VarCurr,bitIndex81)
    <=> v13303(VarCurr,bitIndex81) ) )).

fof(addAssignment_3005,axiom,(
    ! [VarCurr] :
      ( v13303(VarCurr,bitIndex81)
    <=> v13305(VarCurr,bitIndex81) ) )).

fof(addAssignment_3004,axiom,(
    ! [VarCurr] :
      ( v13305(VarCurr,bitIndex81)
    <=> v13307(VarCurr,bitIndex81) ) )).

fof(addAssignment_3003,axiom,(
    ! [VarCurr] :
      ( v13307(VarCurr,bitIndex81)
    <=> v13309(VarCurr,bitIndex81) ) )).

fof(addAssignment_3002,axiom,(
    ! [VarCurr] :
      ( v13309(VarCurr,bitIndex81)
    <=> v13311(VarCurr,bitIndex81) ) )).

fof(addAssignment_3001,axiom,(
    ! [VarNext] :
      ( v13311(VarNext,bitIndex81)
    <=> v13480(VarNext,bitIndex81) ) )).

fof(addCaseBooleanConditionEqualRanges1_156,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13481(VarNext)
       => ! [B] :
            ( range_122_0(B)
           => ( v13480(VarNext,B)
            <=> v13311(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_179,axiom,(
    ! [VarNext] :
      ( v13481(VarNext)
     => ! [B] :
          ( range_122_0(B)
         => ( v13480(VarNext,B)
          <=> v13343(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3129,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13481(VarNext)
      <=> v13482(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3128,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13482(VarNext)
      <=> ( v13484(VarNext)
          & v3023(VarNext) ) ) ) )).

fof(writeUnaryOperator_1054,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13484(VarNext)
      <=> v13337(VarNext) ) ) )).

fof(addAssignment_3000,axiom,(
    ! [VarCurr] :
      ( v13313(VarCurr,bitIndex81)
    <=> v13321(VarCurr,bitIndex81) ) )).

fof(addAssignment_2999,axiom,(
    ! [VarCurr] :
      ( v13326(VarCurr,bitIndex4)
    <=> v13477(VarCurr,bitIndex4) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_355,axiom,(
    ! [VarCurr] :
      ( ~ v13478(VarCurr)
     => ! [B] :
          ( range_7_0(B)
         => ( v13477(VarCurr,B)
          <=> v13476(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_49,axiom,(
    ! [VarCurr] :
      ( v13478(VarCurr)
     => ( ( v13477(VarCurr,bitIndex7)
        <=> v3056(VarCurr,bitIndex13) )
        & ( v13477(VarCurr,bitIndex6)
        <=> v3056(VarCurr,bitIndex12) )
        & ( v13477(VarCurr,bitIndex5)
        <=> v3056(VarCurr,bitIndex11) )
        & ( v13477(VarCurr,bitIndex4)
        <=> v3056(VarCurr,bitIndex10) )
        & ( v13477(VarCurr,bitIndex3)
        <=> v3056(VarCurr,bitIndex9) )
        & ( v13477(VarCurr,bitIndex2)
        <=> v3056(VarCurr,bitIndex8) )
        & ( v13477(VarCurr,bitIndex1)
        <=> v3056(VarCurr,bitIndex7) )
        & ( v13477(VarCurr,bitIndex0)
        <=> v3056(VarCurr,bitIndex6) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3127,axiom,(
    ! [VarCurr] :
      ( v13478(VarCurr)
    <=> ( v13440(VarCurr)
        | v2939(VarCurr) ) ) )).

fof(addAssignment_2998,axiom,(
    ! [VarCurr] :
      ( v13476(VarCurr,bitIndex4)
    <=> v2943(VarCurr,bitIndex74) ) )).

fof(addAssignment_2997,axiom,(
    ! [VarCurr] :
      ( v2943(VarCurr,bitIndex74)
    <=> v2945(VarCurr,bitIndex74) ) )).

fof(addAssignment_2996,axiom,(
    ! [VarCurr] :
      ( v2945(VarCurr,bitIndex74)
    <=> v2947(VarCurr,bitIndex74) ) )).

fof(addAssignment_2995,axiom,(
    ! [VarCurr] :
      ( v2947(VarCurr,bitIndex74)
    <=> v2949(VarCurr,bitIndex654) ) )).

fof(addAssignment_2994,axiom,(
    ! [VarCurr] :
      ( v3056(VarCurr,bitIndex10)
    <=> v2943(VarCurr,bitIndex10) ) )).

fof(addAssignment_2993,axiom,(
    ! [VarCurr] :
      ( v2943(VarCurr,bitIndex10)
    <=> v2945(VarCurr,bitIndex10) ) )).

fof(addAssignment_2992,axiom,(
    ! [VarCurr] :
      ( v2945(VarCurr,bitIndex10)
    <=> v2947(VarCurr,bitIndex10) ) )).

fof(addAssignment_2991,axiom,(
    ! [VarCurr] :
      ( v2947(VarCurr,bitIndex10)
    <=> v2949(VarCurr,bitIndex590) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_354,axiom,(
    ! [VarCurr] :
      ( ~ v13442(VarCurr)
     => ( v13440(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_358,axiom,(
    ! [VarCurr] :
      ( v13442(VarCurr)
     => ( v13440(VarCurr)
      <=> v13474(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_520,axiom,(
    ! [VarCurr] :
      ( ~ v13443(VarCurr)
     => ( v13474(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_521,axiom,(
    ! [VarCurr] :
      ( v13443(VarCurr)
     => ( v13474(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3126,axiom,(
    ! [VarCurr] :
      ( v13442(VarCurr)
    <=> ( v13443(VarCurr)
        | v13451(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3125,axiom,(
    ! [VarCurr] :
      ( v13451(VarCurr)
    <=> ( v13452(VarCurr)
        | v13469(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3124,axiom,(
    ! [VarCurr] :
      ( v13469(VarCurr)
    <=> ( v13471(VarCurr)
        & v13450(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3123,axiom,(
    ! [VarCurr] :
      ( v13471(VarCurr)
    <=> ( v13472(VarCurr)
        & v11591(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3122,axiom,(
    ! [VarCurr] :
      ( v13472(VarCurr)
    <=> ( v13473(VarCurr)
        & v11590(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_312,axiom,(
    ! [VarCurr] :
      ( v13473(VarCurr)
    <=> ( v13464(VarCurr)
        & v2941(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3121,axiom,(
    ! [VarCurr] :
      ( v13452(VarCurr)
    <=> ( v13453(VarCurr)
        | v13466(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3120,axiom,(
    ! [VarCurr] :
      ( v13466(VarCurr)
    <=> ( v13468(VarCurr)
        & v13450(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_311,axiom,(
    ! [VarCurr] :
      ( v13468(VarCurr)
    <=> ( v13462(VarCurr)
        & v2941(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3119,axiom,(
    ! [VarCurr] :
      ( v13453(VarCurr)
    <=> ( v13454(VarCurr)
        | v13459(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3118,axiom,(
    ! [VarCurr] :
      ( v13459(VarCurr)
    <=> ( v13461(VarCurr)
        & v13450(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3117,axiom,(
    ! [VarCurr] :
      ( v13461(VarCurr)
    <=> ( v13462(VarCurr)
        & v11591(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3116,axiom,(
    ! [VarCurr] :
      ( v13462(VarCurr)
    <=> ( v13463(VarCurr)
        & v11590(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3115,axiom,(
    ! [VarCurr] :
      ( v13463(VarCurr)
    <=> ( v13464(VarCurr)
        & v11589(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3114,axiom,(
    ! [VarCurr] :
      ( v13464(VarCurr)
    <=> ( v13465(VarCurr)
        & v11588(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3113,axiom,(
    ! [VarCurr] :
      ( v13465(VarCurr)
    <=> ( v2941(VarCurr,bitIndex0)
        & v11587(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3112,axiom,(
    ! [VarCurr] :
      ( v13454(VarCurr)
    <=> ( v13455(VarCurr)
        | v13457(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3111,axiom,(
    ! [VarCurr] :
      ( v13457(VarCurr)
    <=> ( v11596(VarCurr)
        & v13450(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3110,axiom,(
    ! [VarCurr] :
      ( v13455(VarCurr)
    <=> ( v11581(VarCurr)
        & v13450(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3109,axiom,(
    ! [VarCurr] :
      ( v13443(VarCurr)
    <=> ( v13445(VarCurr)
        & v13450(VarCurr) ) ) )).

fof(writeUnaryOperator_1053,axiom,(
    ! [VarCurr] :
      ( ~ v13450(VarCurr)
    <=> v2941(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3108,axiom,(
    ! [VarCurr] :
      ( v13445(VarCurr)
    <=> ( v13446(VarCurr)
        & v11591(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3107,axiom,(
    ! [VarCurr] :
      ( v13446(VarCurr)
    <=> ( v13447(VarCurr)
        & v11590(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_310,axiom,(
    ! [VarCurr] :
      ( v13447(VarCurr)
    <=> ( v13448(VarCurr)
        & v2941(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3106,axiom,(
    ! [VarCurr] :
      ( v13448(VarCurr)
    <=> ( v13449(VarCurr)
        & v11588(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_309,axiom,(
    ! [VarCurr] :
      ( v13449(VarCurr)
    <=> ( v11586(VarCurr)
        & v2941(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_2990,axiom,(
    ! [VarCurr] :
      ( ( v13236(VarCurr,bitIndex6)
      <=> v13238(VarCurr,bitIndex122) )
      & ( v13236(VarCurr,bitIndex5)
      <=> v13238(VarCurr,bitIndex121) )
      & ( v13236(VarCurr,bitIndex4)
      <=> v13238(VarCurr,bitIndex120) )
      & ( v13236(VarCurr,bitIndex3)
      <=> v13238(VarCurr,bitIndex119) )
      & ( v13236(VarCurr,bitIndex2)
      <=> v13238(VarCurr,bitIndex118) )
      & ( v13236(VarCurr,bitIndex1)
      <=> v13238(VarCurr,bitIndex117) )
      & ( v13236(VarCurr,bitIndex0)
      <=> v13238(VarCurr,bitIndex116) ) ) )).

fof(addAssignment_2989,axiom,(
    ! [VarCurr,B] :
      ( range_122_116(B)
     => ( v13238(VarCurr,B)
      <=> v13240(VarCurr,B) ) ) )).

fof(addAssignment_2988,axiom,(
    ! [VarCurr] :
      ( ( v13240(VarCurr,bitIndex122)
      <=> v13242(VarCurr,bitIndex737) )
      & ( v13240(VarCurr,bitIndex121)
      <=> v13242(VarCurr,bitIndex736) )
      & ( v13240(VarCurr,bitIndex120)
      <=> v13242(VarCurr,bitIndex735) )
      & ( v13240(VarCurr,bitIndex119)
      <=> v13242(VarCurr,bitIndex734) )
      & ( v13240(VarCurr,bitIndex118)
      <=> v13242(VarCurr,bitIndex733) )
      & ( v13240(VarCurr,bitIndex117)
      <=> v13242(VarCurr,bitIndex732) )
      & ( v13240(VarCurr,bitIndex116)
      <=> v13242(VarCurr,bitIndex731) ) ) )).

fof(addAssignment_2987,axiom,(
    ! [VarNext] :
      ( ( v13242(VarNext,bitIndex737)
      <=> v13405(VarNext,bitIndex122) )
      & ( v13242(VarNext,bitIndex736)
      <=> v13405(VarNext,bitIndex121) )
      & ( v13242(VarNext,bitIndex735)
      <=> v13405(VarNext,bitIndex120) )
      & ( v13242(VarNext,bitIndex734)
      <=> v13405(VarNext,bitIndex119) )
      & ( v13242(VarNext,bitIndex733)
      <=> v13405(VarNext,bitIndex118) )
      & ( v13242(VarNext,bitIndex732)
      <=> v13405(VarNext,bitIndex117) )
      & ( v13242(VarNext,bitIndex731)
      <=> v13405(VarNext,bitIndex116) ) ) )).

fof(addCaseBooleanConditionShiftedRanges1_22,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13406(VarNext)
       => ( ( v13405(VarNext,bitIndex122)
          <=> v13242(VarCurr,bitIndex737) )
          & ( v13405(VarNext,bitIndex121)
          <=> v13242(VarCurr,bitIndex736) )
          & ( v13405(VarNext,bitIndex120)
          <=> v13242(VarCurr,bitIndex735) )
          & ( v13405(VarNext,bitIndex119)
          <=> v13242(VarCurr,bitIndex734) )
          & ( v13405(VarNext,bitIndex118)
          <=> v13242(VarCurr,bitIndex733) )
          & ( v13405(VarNext,bitIndex117)
          <=> v13242(VarCurr,bitIndex732) )
          & ( v13405(VarNext,bitIndex116)
          <=> v13242(VarCurr,bitIndex731) )
          & ( v13405(VarNext,bitIndex115)
          <=> v13242(VarCurr,bitIndex730) )
          & ( v13405(VarNext,bitIndex114)
          <=> v13242(VarCurr,bitIndex729) )
          & ( v13405(VarNext,bitIndex113)
          <=> v13242(VarCurr,bitIndex728) )
          & ( v13405(VarNext,bitIndex112)
          <=> v13242(VarCurr,bitIndex727) )
          & ( v13405(VarNext,bitIndex111)
          <=> v13242(VarCurr,bitIndex726) )
          & ( v13405(VarNext,bitIndex110)
          <=> v13242(VarCurr,bitIndex725) )
          & ( v13405(VarNext,bitIndex109)
          <=> v13242(VarCurr,bitIndex724) )
          & ( v13405(VarNext,bitIndex108)
          <=> v13242(VarCurr,bitIndex723) )
          & ( v13405(VarNext,bitIndex107)
          <=> v13242(VarCurr,bitIndex722) )
          & ( v13405(VarNext,bitIndex106)
          <=> v13242(VarCurr,bitIndex721) )
          & ( v13405(VarNext,bitIndex105)
          <=> v13242(VarCurr,bitIndex720) )
          & ( v13405(VarNext,bitIndex104)
          <=> v13242(VarCurr,bitIndex719) )
          & ( v13405(VarNext,bitIndex103)
          <=> v13242(VarCurr,bitIndex718) )
          & ( v13405(VarNext,bitIndex102)
          <=> v13242(VarCurr,bitIndex717) )
          & ( v13405(VarNext,bitIndex101)
          <=> v13242(VarCurr,bitIndex716) )
          & ( v13405(VarNext,bitIndex100)
          <=> v13242(VarCurr,bitIndex715) )
          & ( v13405(VarNext,bitIndex99)
          <=> v13242(VarCurr,bitIndex714) )
          & ( v13405(VarNext,bitIndex98)
          <=> v13242(VarCurr,bitIndex713) )
          & ( v13405(VarNext,bitIndex97)
          <=> v13242(VarCurr,bitIndex712) )
          & ( v13405(VarNext,bitIndex96)
          <=> v13242(VarCurr,bitIndex711) )
          & ( v13405(VarNext,bitIndex95)
          <=> v13242(VarCurr,bitIndex710) )
          & ( v13405(VarNext,bitIndex94)
          <=> v13242(VarCurr,bitIndex709) )
          & ( v13405(VarNext,bitIndex93)
          <=> v13242(VarCurr,bitIndex708) )
          & ( v13405(VarNext,bitIndex92)
          <=> v13242(VarCurr,bitIndex707) )
          & ( v13405(VarNext,bitIndex91)
          <=> v13242(VarCurr,bitIndex706) )
          & ( v13405(VarNext,bitIndex90)
          <=> v13242(VarCurr,bitIndex705) )
          & ( v13405(VarNext,bitIndex89)
          <=> v13242(VarCurr,bitIndex704) )
          & ( v13405(VarNext,bitIndex88)
          <=> v13242(VarCurr,bitIndex703) )
          & ( v13405(VarNext,bitIndex87)
          <=> v13242(VarCurr,bitIndex702) )
          & ( v13405(VarNext,bitIndex86)
          <=> v13242(VarCurr,bitIndex701) )
          & ( v13405(VarNext,bitIndex85)
          <=> v13242(VarCurr,bitIndex700) )
          & ( v13405(VarNext,bitIndex84)
          <=> v13242(VarCurr,bitIndex699) )
          & ( v13405(VarNext,bitIndex83)
          <=> v13242(VarCurr,bitIndex698) )
          & ( v13405(VarNext,bitIndex82)
          <=> v13242(VarCurr,bitIndex697) )
          & ( v13405(VarNext,bitIndex81)
          <=> v13242(VarCurr,bitIndex696) )
          & ( v13405(VarNext,bitIndex80)
          <=> v13242(VarCurr,bitIndex695) )
          & ( v13405(VarNext,bitIndex79)
          <=> v13242(VarCurr,bitIndex694) )
          & ( v13405(VarNext,bitIndex78)
          <=> v13242(VarCurr,bitIndex693) )
          & ( v13405(VarNext,bitIndex77)
          <=> v13242(VarCurr,bitIndex692) )
          & ( v13405(VarNext,bitIndex76)
          <=> v13242(VarCurr,bitIndex691) )
          & ( v13405(VarNext,bitIndex75)
          <=> v13242(VarCurr,bitIndex690) )
          & ( v13405(VarNext,bitIndex74)
          <=> v13242(VarCurr,bitIndex689) )
          & ( v13405(VarNext,bitIndex73)
          <=> v13242(VarCurr,bitIndex688) )
          & ( v13405(VarNext,bitIndex72)
          <=> v13242(VarCurr,bitIndex687) )
          & ( v13405(VarNext,bitIndex71)
          <=> v13242(VarCurr,bitIndex686) )
          & ( v13405(VarNext,bitIndex70)
          <=> v13242(VarCurr,bitIndex685) )
          & ( v13405(VarNext,bitIndex69)
          <=> v13242(VarCurr,bitIndex684) )
          & ( v13405(VarNext,bitIndex68)
          <=> v13242(VarCurr,bitIndex683) )
          & ( v13405(VarNext,bitIndex67)
          <=> v13242(VarCurr,bitIndex682) )
          & ( v13405(VarNext,bitIndex66)
          <=> v13242(VarCurr,bitIndex681) )
          & ( v13405(VarNext,bitIndex65)
          <=> v13242(VarCurr,bitIndex680) )
          & ( v13405(VarNext,bitIndex64)
          <=> v13242(VarCurr,bitIndex679) )
          & ( v13405(VarNext,bitIndex63)
          <=> v13242(VarCurr,bitIndex678) )
          & ( v13405(VarNext,bitIndex62)
          <=> v13242(VarCurr,bitIndex677) )
          & ( v13405(VarNext,bitIndex61)
          <=> v13242(VarCurr,bitIndex676) )
          & ( v13405(VarNext,bitIndex60)
          <=> v13242(VarCurr,bitIndex675) )
          & ( v13405(VarNext,bitIndex59)
          <=> v13242(VarCurr,bitIndex674) )
          & ( v13405(VarNext,bitIndex58)
          <=> v13242(VarCurr,bitIndex673) )
          & ( v13405(VarNext,bitIndex57)
          <=> v13242(VarCurr,bitIndex672) )
          & ( v13405(VarNext,bitIndex56)
          <=> v13242(VarCurr,bitIndex671) )
          & ( v13405(VarNext,bitIndex55)
          <=> v13242(VarCurr,bitIndex670) )
          & ( v13405(VarNext,bitIndex54)
          <=> v13242(VarCurr,bitIndex669) )
          & ( v13405(VarNext,bitIndex53)
          <=> v13242(VarCurr,bitIndex668) )
          & ( v13405(VarNext,bitIndex52)
          <=> v13242(VarCurr,bitIndex667) )
          & ( v13405(VarNext,bitIndex51)
          <=> v13242(VarCurr,bitIndex666) )
          & ( v13405(VarNext,bitIndex50)
          <=> v13242(VarCurr,bitIndex665) )
          & ( v13405(VarNext,bitIndex49)
          <=> v13242(VarCurr,bitIndex664) )
          & ( v13405(VarNext,bitIndex48)
          <=> v13242(VarCurr,bitIndex663) )
          & ( v13405(VarNext,bitIndex47)
          <=> v13242(VarCurr,bitIndex662) )
          & ( v13405(VarNext,bitIndex46)
          <=> v13242(VarCurr,bitIndex661) )
          & ( v13405(VarNext,bitIndex45)
          <=> v13242(VarCurr,bitIndex660) )
          & ( v13405(VarNext,bitIndex44)
          <=> v13242(VarCurr,bitIndex659) )
          & ( v13405(VarNext,bitIndex43)
          <=> v13242(VarCurr,bitIndex658) )
          & ( v13405(VarNext,bitIndex42)
          <=> v13242(VarCurr,bitIndex657) )
          & ( v13405(VarNext,bitIndex41)
          <=> v13242(VarCurr,bitIndex656) )
          & ( v13405(VarNext,bitIndex40)
          <=> v13242(VarCurr,bitIndex655) )
          & ( v13405(VarNext,bitIndex39)
          <=> v13242(VarCurr,bitIndex654) )
          & ( v13405(VarNext,bitIndex38)
          <=> v13242(VarCurr,bitIndex653) )
          & ( v13405(VarNext,bitIndex37)
          <=> v13242(VarCurr,bitIndex652) )
          & ( v13405(VarNext,bitIndex36)
          <=> v13242(VarCurr,bitIndex651) )
          & ( v13405(VarNext,bitIndex35)
          <=> v13242(VarCurr,bitIndex650) )
          & ( v13405(VarNext,bitIndex34)
          <=> v13242(VarCurr,bitIndex649) )
          & ( v13405(VarNext,bitIndex33)
          <=> v13242(VarCurr,bitIndex648) )
          & ( v13405(VarNext,bitIndex32)
          <=> v13242(VarCurr,bitIndex647) )
          & ( v13405(VarNext,bitIndex31)
          <=> v13242(VarCurr,bitIndex646) )
          & ( v13405(VarNext,bitIndex30)
          <=> v13242(VarCurr,bitIndex645) )
          & ( v13405(VarNext,bitIndex29)
          <=> v13242(VarCurr,bitIndex644) )
          & ( v13405(VarNext,bitIndex28)
          <=> v13242(VarCurr,bitIndex643) )
          & ( v13405(VarNext,bitIndex27)
          <=> v13242(VarCurr,bitIndex642) )
          & ( v13405(VarNext,bitIndex26)
          <=> v13242(VarCurr,bitIndex641) )
          & ( v13405(VarNext,bitIndex25)
          <=> v13242(VarCurr,bitIndex640) )
          & ( v13405(VarNext,bitIndex24)
          <=> v13242(VarCurr,bitIndex639) )
          & ( v13405(VarNext,bitIndex23)
          <=> v13242(VarCurr,bitIndex638) )
          & ( v13405(VarNext,bitIndex22)
          <=> v13242(VarCurr,bitIndex637) )
          & ( v13405(VarNext,bitIndex21)
          <=> v13242(VarCurr,bitIndex636) )
          & ( v13405(VarNext,bitIndex20)
          <=> v13242(VarCurr,bitIndex635) )
          & ( v13405(VarNext,bitIndex19)
          <=> v13242(VarCurr,bitIndex634) )
          & ( v13405(VarNext,bitIndex18)
          <=> v13242(VarCurr,bitIndex633) )
          & ( v13405(VarNext,bitIndex17)
          <=> v13242(VarCurr,bitIndex632) )
          & ( v13405(VarNext,bitIndex16)
          <=> v13242(VarCurr,bitIndex631) )
          & ( v13405(VarNext,bitIndex15)
          <=> v13242(VarCurr,bitIndex630) )
          & ( v13405(VarNext,bitIndex14)
          <=> v13242(VarCurr,bitIndex629) )
          & ( v13405(VarNext,bitIndex13)
          <=> v13242(VarCurr,bitIndex628) )
          & ( v13405(VarNext,bitIndex12)
          <=> v13242(VarCurr,bitIndex627) )
          & ( v13405(VarNext,bitIndex11)
          <=> v13242(VarCurr,bitIndex626) )
          & ( v13405(VarNext,bitIndex10)
          <=> v13242(VarCurr,bitIndex625) )
          & ( v13405(VarNext,bitIndex9)
          <=> v13242(VarCurr,bitIndex624) )
          & ( v13405(VarNext,bitIndex8)
          <=> v13242(VarCurr,bitIndex623) )
          & ( v13405(VarNext,bitIndex7)
          <=> v13242(VarCurr,bitIndex622) )
          & ( v13405(VarNext,bitIndex6)
          <=> v13242(VarCurr,bitIndex621) )
          & ( v13405(VarNext,bitIndex5)
          <=> v13242(VarCurr,bitIndex620) )
          & ( v13405(VarNext,bitIndex4)
          <=> v13242(VarCurr,bitIndex619) )
          & ( v13405(VarNext,bitIndex3)
          <=> v13242(VarCurr,bitIndex618) )
          & ( v13405(VarNext,bitIndex2)
          <=> v13242(VarCurr,bitIndex617) )
          & ( v13405(VarNext,bitIndex1)
          <=> v13242(VarCurr,bitIndex616) )
          & ( v13405(VarNext,bitIndex0)
          <=> v13242(VarCurr,bitIndex615) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_178,axiom,(
    ! [VarNext] :
      ( v13406(VarNext)
     => ! [B] :
          ( range_122_0(B)
         => ( v13405(VarNext,B)
          <=> v13432(VarNext,B) ) ) ) )).

fof(addAssignment_2986,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_122_0(B)
         => ( v13432(VarNext,B)
          <=> v13430(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_519,axiom,(
    ! [VarCurr] :
      ( ~ v13369(VarCurr)
     => ! [B] :
          ( range_122_0(B)
         => ( v13430(VarCurr,B)
          <=> v13433(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_520,axiom,(
    ! [VarCurr] :
      ( v13369(VarCurr)
     => ! [B] :
          ( range_122_0(B)
         => ( v13430(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_217,axiom,(
    ! [VarCurr] :
      ( ( ~ v13419(VarCurr)
        & ~ v13421(VarCurr) )
     => ! [B] :
          ( range_122_0(B)
         => ( v13433(VarCurr,B)
          <=> v13398(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_518,axiom,(
    ! [VarCurr] :
      ( v13421(VarCurr)
     => ! [B] :
          ( range_122_0(B)
         => ( v13433(VarCurr,B)
          <=> v13391(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0_1,axiom,(
    ! [VarCurr] :
      ( v13419(VarCurr)
     => ( ( v13433(VarCurr,bitIndex122)
        <=> v13242(VarCurr,bitIndex614) )
        & ( v13433(VarCurr,bitIndex121)
        <=> v13242(VarCurr,bitIndex613) )
        & ( v13433(VarCurr,bitIndex120)
        <=> v13242(VarCurr,bitIndex612) )
        & ( v13433(VarCurr,bitIndex119)
        <=> v13242(VarCurr,bitIndex611) )
        & ( v13433(VarCurr,bitIndex118)
        <=> v13242(VarCurr,bitIndex610) )
        & ( v13433(VarCurr,bitIndex117)
        <=> v13242(VarCurr,bitIndex609) )
        & ( v13433(VarCurr,bitIndex116)
        <=> v13242(VarCurr,bitIndex608) )
        & ( v13433(VarCurr,bitIndex115)
        <=> v13242(VarCurr,bitIndex607) )
        & ( v13433(VarCurr,bitIndex114)
        <=> v13242(VarCurr,bitIndex606) )
        & ( v13433(VarCurr,bitIndex113)
        <=> v13242(VarCurr,bitIndex605) )
        & ( v13433(VarCurr,bitIndex112)
        <=> v13242(VarCurr,bitIndex604) )
        & ( v13433(VarCurr,bitIndex111)
        <=> v13242(VarCurr,bitIndex603) )
        & ( v13433(VarCurr,bitIndex110)
        <=> v13242(VarCurr,bitIndex602) )
        & ( v13433(VarCurr,bitIndex109)
        <=> v13242(VarCurr,bitIndex601) )
        & ( v13433(VarCurr,bitIndex108)
        <=> v13242(VarCurr,bitIndex600) )
        & ( v13433(VarCurr,bitIndex107)
        <=> v13242(VarCurr,bitIndex599) )
        & ( v13433(VarCurr,bitIndex106)
        <=> v13242(VarCurr,bitIndex598) )
        & ( v13433(VarCurr,bitIndex105)
        <=> v13242(VarCurr,bitIndex597) )
        & ( v13433(VarCurr,bitIndex104)
        <=> v13242(VarCurr,bitIndex596) )
        & ( v13433(VarCurr,bitIndex103)
        <=> v13242(VarCurr,bitIndex595) )
        & ( v13433(VarCurr,bitIndex102)
        <=> v13242(VarCurr,bitIndex594) )
        & ( v13433(VarCurr,bitIndex101)
        <=> v13242(VarCurr,bitIndex593) )
        & ( v13433(VarCurr,bitIndex100)
        <=> v13242(VarCurr,bitIndex592) )
        & ( v13433(VarCurr,bitIndex99)
        <=> v13242(VarCurr,bitIndex591) )
        & ( v13433(VarCurr,bitIndex98)
        <=> v13242(VarCurr,bitIndex590) )
        & ( v13433(VarCurr,bitIndex97)
        <=> v13242(VarCurr,bitIndex589) )
        & ( v13433(VarCurr,bitIndex96)
        <=> v13242(VarCurr,bitIndex588) )
        & ( v13433(VarCurr,bitIndex95)
        <=> v13242(VarCurr,bitIndex587) )
        & ( v13433(VarCurr,bitIndex94)
        <=> v13242(VarCurr,bitIndex586) )
        & ( v13433(VarCurr,bitIndex93)
        <=> v13242(VarCurr,bitIndex585) )
        & ( v13433(VarCurr,bitIndex92)
        <=> v13242(VarCurr,bitIndex584) )
        & ( v13433(VarCurr,bitIndex91)
        <=> v13242(VarCurr,bitIndex583) )
        & ( v13433(VarCurr,bitIndex90)
        <=> v13242(VarCurr,bitIndex582) )
        & ( v13433(VarCurr,bitIndex89)
        <=> v13242(VarCurr,bitIndex581) )
        & ( v13433(VarCurr,bitIndex88)
        <=> v13242(VarCurr,bitIndex580) )
        & ( v13433(VarCurr,bitIndex87)
        <=> v13242(VarCurr,bitIndex579) )
        & ( v13433(VarCurr,bitIndex86)
        <=> v13242(VarCurr,bitIndex578) )
        & ( v13433(VarCurr,bitIndex85)
        <=> v13242(VarCurr,bitIndex577) )
        & ( v13433(VarCurr,bitIndex84)
        <=> v13242(VarCurr,bitIndex576) )
        & ( v13433(VarCurr,bitIndex83)
        <=> v13242(VarCurr,bitIndex575) )
        & ( v13433(VarCurr,bitIndex82)
        <=> v13242(VarCurr,bitIndex574) )
        & ( v13433(VarCurr,bitIndex81)
        <=> v13242(VarCurr,bitIndex573) )
        & ( v13433(VarCurr,bitIndex80)
        <=> v13242(VarCurr,bitIndex572) )
        & ( v13433(VarCurr,bitIndex79)
        <=> v13242(VarCurr,bitIndex571) )
        & ( v13433(VarCurr,bitIndex78)
        <=> v13242(VarCurr,bitIndex570) )
        & ( v13433(VarCurr,bitIndex77)
        <=> v13242(VarCurr,bitIndex569) )
        & ( v13433(VarCurr,bitIndex76)
        <=> v13242(VarCurr,bitIndex568) )
        & ( v13433(VarCurr,bitIndex75)
        <=> v13242(VarCurr,bitIndex567) )
        & ( v13433(VarCurr,bitIndex74)
        <=> v13242(VarCurr,bitIndex566) )
        & ( v13433(VarCurr,bitIndex73)
        <=> v13242(VarCurr,bitIndex565) )
        & ( v13433(VarCurr,bitIndex72)
        <=> v13242(VarCurr,bitIndex564) )
        & ( v13433(VarCurr,bitIndex71)
        <=> v13242(VarCurr,bitIndex563) )
        & ( v13433(VarCurr,bitIndex70)
        <=> v13242(VarCurr,bitIndex562) )
        & ( v13433(VarCurr,bitIndex69)
        <=> v13242(VarCurr,bitIndex561) )
        & ( v13433(VarCurr,bitIndex68)
        <=> v13242(VarCurr,bitIndex560) )
        & ( v13433(VarCurr,bitIndex67)
        <=> v13242(VarCurr,bitIndex559) )
        & ( v13433(VarCurr,bitIndex66)
        <=> v13242(VarCurr,bitIndex558) )
        & ( v13433(VarCurr,bitIndex65)
        <=> v13242(VarCurr,bitIndex557) )
        & ( v13433(VarCurr,bitIndex64)
        <=> v13242(VarCurr,bitIndex556) )
        & ( v13433(VarCurr,bitIndex63)
        <=> v13242(VarCurr,bitIndex555) )
        & ( v13433(VarCurr,bitIndex62)
        <=> v13242(VarCurr,bitIndex554) )
        & ( v13433(VarCurr,bitIndex61)
        <=> v13242(VarCurr,bitIndex553) )
        & ( v13433(VarCurr,bitIndex60)
        <=> v13242(VarCurr,bitIndex552) )
        & ( v13433(VarCurr,bitIndex59)
        <=> v13242(VarCurr,bitIndex551) )
        & ( v13433(VarCurr,bitIndex58)
        <=> v13242(VarCurr,bitIndex550) )
        & ( v13433(VarCurr,bitIndex57)
        <=> v13242(VarCurr,bitIndex549) )
        & ( v13433(VarCurr,bitIndex56)
        <=> v13242(VarCurr,bitIndex548) )
        & ( v13433(VarCurr,bitIndex55)
        <=> v13242(VarCurr,bitIndex547) )
        & ( v13433(VarCurr,bitIndex54)
        <=> v13242(VarCurr,bitIndex546) )
        & ( v13433(VarCurr,bitIndex53)
        <=> v13242(VarCurr,bitIndex545) )
        & ( v13433(VarCurr,bitIndex52)
        <=> v13242(VarCurr,bitIndex544) )
        & ( v13433(VarCurr,bitIndex51)
        <=> v13242(VarCurr,bitIndex543) )
        & ( v13433(VarCurr,bitIndex50)
        <=> v13242(VarCurr,bitIndex542) )
        & ( v13433(VarCurr,bitIndex49)
        <=> v13242(VarCurr,bitIndex541) )
        & ( v13433(VarCurr,bitIndex48)
        <=> v13242(VarCurr,bitIndex540) )
        & ( v13433(VarCurr,bitIndex47)
        <=> v13242(VarCurr,bitIndex539) )
        & ( v13433(VarCurr,bitIndex46)
        <=> v13242(VarCurr,bitIndex538) )
        & ( v13433(VarCurr,bitIndex45)
        <=> v13242(VarCurr,bitIndex537) )
        & ( v13433(VarCurr,bitIndex44)
        <=> v13242(VarCurr,bitIndex536) )
        & ( v13433(VarCurr,bitIndex43)
        <=> v13242(VarCurr,bitIndex535) )
        & ( v13433(VarCurr,bitIndex42)
        <=> v13242(VarCurr,bitIndex534) )
        & ( v13433(VarCurr,bitIndex41)
        <=> v13242(VarCurr,bitIndex533) )
        & ( v13433(VarCurr,bitIndex40)
        <=> v13242(VarCurr,bitIndex532) )
        & ( v13433(VarCurr,bitIndex39)
        <=> v13242(VarCurr,bitIndex531) )
        & ( v13433(VarCurr,bitIndex38)
        <=> v13242(VarCurr,bitIndex530) )
        & ( v13433(VarCurr,bitIndex37)
        <=> v13242(VarCurr,bitIndex529) )
        & ( v13433(VarCurr,bitIndex36)
        <=> v13242(VarCurr,bitIndex528) )
        & ( v13433(VarCurr,bitIndex35)
        <=> v13242(VarCurr,bitIndex527) )
        & ( v13433(VarCurr,bitIndex34)
        <=> v13242(VarCurr,bitIndex526) )
        & ( v13433(VarCurr,bitIndex33)
        <=> v13242(VarCurr,bitIndex525) )
        & ( v13433(VarCurr,bitIndex32)
        <=> v13242(VarCurr,bitIndex524) )
        & ( v13433(VarCurr,bitIndex31)
        <=> v13242(VarCurr,bitIndex523) )
        & ( v13433(VarCurr,bitIndex30)
        <=> v13242(VarCurr,bitIndex522) )
        & ( v13433(VarCurr,bitIndex29)
        <=> v13242(VarCurr,bitIndex521) )
        & ( v13433(VarCurr,bitIndex28)
        <=> v13242(VarCurr,bitIndex520) )
        & ( v13433(VarCurr,bitIndex27)
        <=> v13242(VarCurr,bitIndex519) )
        & ( v13433(VarCurr,bitIndex26)
        <=> v13242(VarCurr,bitIndex518) )
        & ( v13433(VarCurr,bitIndex25)
        <=> v13242(VarCurr,bitIndex517) )
        & ( v13433(VarCurr,bitIndex24)
        <=> v13242(VarCurr,bitIndex516) )
        & ( v13433(VarCurr,bitIndex23)
        <=> v13242(VarCurr,bitIndex515) )
        & ( v13433(VarCurr,bitIndex22)
        <=> v13242(VarCurr,bitIndex514) )
        & ( v13433(VarCurr,bitIndex21)
        <=> v13242(VarCurr,bitIndex513) )
        & ( v13433(VarCurr,bitIndex20)
        <=> v13242(VarCurr,bitIndex512) )
        & ( v13433(VarCurr,bitIndex19)
        <=> v13242(VarCurr,bitIndex511) )
        & ( v13433(VarCurr,bitIndex18)
        <=> v13242(VarCurr,bitIndex510) )
        & ( v13433(VarCurr,bitIndex17)
        <=> v13242(VarCurr,bitIndex509) )
        & ( v13433(VarCurr,bitIndex16)
        <=> v13242(VarCurr,bitIndex508) )
        & ( v13433(VarCurr,bitIndex15)
        <=> v13242(VarCurr,bitIndex507) )
        & ( v13433(VarCurr,bitIndex14)
        <=> v13242(VarCurr,bitIndex506) )
        & ( v13433(VarCurr,bitIndex13)
        <=> v13242(VarCurr,bitIndex505) )
        & ( v13433(VarCurr,bitIndex12)
        <=> v13242(VarCurr,bitIndex504) )
        & ( v13433(VarCurr,bitIndex11)
        <=> v13242(VarCurr,bitIndex503) )
        & ( v13433(VarCurr,bitIndex10)
        <=> v13242(VarCurr,bitIndex502) )
        & ( v13433(VarCurr,bitIndex9)
        <=> v13242(VarCurr,bitIndex501) )
        & ( v13433(VarCurr,bitIndex8)
        <=> v13242(VarCurr,bitIndex500) )
        & ( v13433(VarCurr,bitIndex7)
        <=> v13242(VarCurr,bitIndex499) )
        & ( v13433(VarCurr,bitIndex6)
        <=> v13242(VarCurr,bitIndex498) )
        & ( v13433(VarCurr,bitIndex5)
        <=> v13242(VarCurr,bitIndex497) )
        & ( v13433(VarCurr,bitIndex4)
        <=> v13242(VarCurr,bitIndex496) )
        & ( v13433(VarCurr,bitIndex3)
        <=> v13242(VarCurr,bitIndex495) )
        & ( v13433(VarCurr,bitIndex2)
        <=> v13242(VarCurr,bitIndex494) )
        & ( v13433(VarCurr,bitIndex1)
        <=> v13242(VarCurr,bitIndex493) )
        & ( v13433(VarCurr,bitIndex0)
        <=> v13242(VarCurr,bitIndex492) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3105,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13406(VarNext)
      <=> ( v13407(VarNext)
          & v13414(VarNext) ) ) ) )).

fof(addAssignment_2985,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13414(VarNext)
      <=> v13412(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3104,axiom,(
    ! [VarCurr] :
      ( v13412(VarCurr)
    <=> ( v13415(VarCurr)
        & v13426(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3103,axiom,(
    ! [VarCurr] :
      ( v13426(VarCurr)
    <=> ( v13427(VarCurr)
        | v13369(VarCurr) ) ) )).

fof(writeUnaryOperator_1052,axiom,(
    ! [VarCurr] :
      ( ~ v13427(VarCurr)
    <=> v13428(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_950,axiom,(
    ! [VarCurr] :
      ( v13428(VarCurr)
    <=> ( ( v13429(VarCurr,bitIndex1)
        <=> $false )
        & ( v13429(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2984,axiom,(
    ! [VarCurr] :
      ( v13429(VarCurr,bitIndex0)
    <=> v13154(VarCurr) ) )).

fof(addAssignment_2983,axiom,(
    ! [VarCurr] :
      ( v13429(VarCurr,bitIndex1)
    <=> v13120(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3102,axiom,(
    ! [VarCurr] :
      ( v13415(VarCurr)
    <=> ( v13369(VarCurr)
        | v13416(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3101,axiom,(
    ! [VarCurr] :
      ( v13416(VarCurr)
    <=> ( v13417(VarCurr)
        & v13425(VarCurr) ) ) )).

fof(writeUnaryOperator_1051,axiom,(
    ! [VarCurr] :
      ( ~ v13425(VarCurr)
    <=> v13369(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3100,axiom,(
    ! [VarCurr] :
      ( v13417(VarCurr)
    <=> ( v13418(VarCurr)
        | v13423(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_949,axiom,(
    ! [VarCurr] :
      ( v13423(VarCurr)
    <=> ( ( v13424(VarCurr,bitIndex1)
        <=> $true )
        & ( v13424(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_2982,axiom,(
    ! [VarCurr] :
      ( v13424(VarCurr,bitIndex0)
    <=> v13154(VarCurr) ) )).

fof(addAssignment_2981,axiom,(
    ! [VarCurr] :
      ( v13424(VarCurr,bitIndex1)
    <=> v13120(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3099,axiom,(
    ! [VarCurr] :
      ( v13418(VarCurr)
    <=> ( v13419(VarCurr)
        | v13421(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_948,axiom,(
    ! [VarCurr] :
      ( v13421(VarCurr)
    <=> ( ( v13422(VarCurr,bitIndex1)
        <=> $true )
        & ( v13422(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2980,axiom,(
    ! [VarCurr] :
      ( v13422(VarCurr,bitIndex0)
    <=> v13154(VarCurr) ) )).

fof(addAssignment_2979,axiom,(
    ! [VarCurr] :
      ( v13422(VarCurr,bitIndex1)
    <=> v13120(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_947,axiom,(
    ! [VarCurr] :
      ( v13419(VarCurr)
    <=> ( ( v13420(VarCurr,bitIndex1)
        <=> $false )
        & ( v13420(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_2978,axiom,(
    ! [VarCurr] :
      ( v13420(VarCurr,bitIndex0)
    <=> v13154(VarCurr) ) )).

fof(addAssignment_2977,axiom,(
    ! [VarCurr] :
      ( v13420(VarCurr,bitIndex1)
    <=> v13120(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3098,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13407(VarNext)
      <=> ( v13409(VarNext)
          & v13183(VarNext) ) ) ) )).

fof(writeUnaryOperator_1050,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13409(VarNext)
      <=> v13196(VarNext) ) ) )).

fof(addAssignment_2976,axiom,(
    ! [VarCurr,B] :
      ( range_122_116(B)
     => ( v13398(VarCurr,B)
      <=> v13403(VarCurr,B) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_353,axiom,(
    ! [VarCurr] :
      ( ~ v13400(VarCurr)
     => ! [B] :
          ( range_122_0(B)
         => ( v13403(VarCurr,B)
          <=> v13402(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_357,axiom,(
    ! [VarCurr] :
      ( v13400(VarCurr)
     => ! [B] :
          ( range_122_0(B)
         => ( v13403(VarCurr,B)
          <=> v13297(VarCurr,B) ) ) ) )).

fof(addAssignment_2975,axiom,(
    ! [VarCurr] :
      ( ( v13402(VarCurr,bitIndex122)
      <=> v13242(VarCurr,bitIndex614) )
      & ( v13402(VarCurr,bitIndex121)
      <=> v13242(VarCurr,bitIndex613) )
      & ( v13402(VarCurr,bitIndex120)
      <=> v13242(VarCurr,bitIndex612) )
      & ( v13402(VarCurr,bitIndex119)
      <=> v13242(VarCurr,bitIndex611) )
      & ( v13402(VarCurr,bitIndex118)
      <=> v13242(VarCurr,bitIndex610) )
      & ( v13402(VarCurr,bitIndex117)
      <=> v13242(VarCurr,bitIndex609) )
      & ( v13402(VarCurr,bitIndex116)
      <=> v13242(VarCurr,bitIndex608) ) ) )).

fof(addAssignment_2974,axiom,(
    ! [VarCurr] :
      ( v13400(VarCurr)
    <=> v13249(VarCurr,bitIndex1) ) )).

fof(addAssignment_2973,axiom,(
    ! [VarCurr,B] :
      ( range_122_116(B)
     => ( v13391(VarCurr,B)
      <=> v13396(VarCurr,B) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_352,axiom,(
    ! [VarCurr] :
      ( ~ v13393(VarCurr)
     => ! [B] :
          ( range_122_0(B)
         => ( v13396(VarCurr,B)
          <=> v13395(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_356,axiom,(
    ! [VarCurr] :
      ( v13393(VarCurr)
     => ! [B] :
          ( range_122_0(B)
         => ( v13396(VarCurr,B)
          <=> v13297(VarCurr,B) ) ) ) )).

fof(addAssignment_2972,axiom,(
    ! [VarCurr] :
      ( ( v13395(VarCurr,bitIndex122)
      <=> v13242(VarCurr,bitIndex737) )
      & ( v13395(VarCurr,bitIndex121)
      <=> v13242(VarCurr,bitIndex736) )
      & ( v13395(VarCurr,bitIndex120)
      <=> v13242(VarCurr,bitIndex735) )
      & ( v13395(VarCurr,bitIndex119)
      <=> v13242(VarCurr,bitIndex734) )
      & ( v13395(VarCurr,bitIndex118)
      <=> v13242(VarCurr,bitIndex733) )
      & ( v13395(VarCurr,bitIndex117)
      <=> v13242(VarCurr,bitIndex732) )
      & ( v13395(VarCurr,bitIndex116)
      <=> v13242(VarCurr,bitIndex731) ) ) )).

fof(addAssignment_2971,axiom,(
    ! [VarCurr] :
      ( v13393(VarCurr)
    <=> v13249(VarCurr,bitIndex1) ) )).

fof(addAssignment_2970,axiom,(
    ! [VarNext] :
      ( ( v13242(VarNext,bitIndex614)
      <=> v13358(VarNext,bitIndex122) )
      & ( v13242(VarNext,bitIndex613)
      <=> v13358(VarNext,bitIndex121) )
      & ( v13242(VarNext,bitIndex612)
      <=> v13358(VarNext,bitIndex120) )
      & ( v13242(VarNext,bitIndex611)
      <=> v13358(VarNext,bitIndex119) )
      & ( v13242(VarNext,bitIndex610)
      <=> v13358(VarNext,bitIndex118) )
      & ( v13242(VarNext,bitIndex609)
      <=> v13358(VarNext,bitIndex117) )
      & ( v13242(VarNext,bitIndex608)
      <=> v13358(VarNext,bitIndex116) ) ) )).

fof(addCaseBooleanConditionShiftedRanges1_21,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13359(VarNext)
       => ( ( v13358(VarNext,bitIndex122)
          <=> v13242(VarCurr,bitIndex614) )
          & ( v13358(VarNext,bitIndex121)
          <=> v13242(VarCurr,bitIndex613) )
          & ( v13358(VarNext,bitIndex120)
          <=> v13242(VarCurr,bitIndex612) )
          & ( v13358(VarNext,bitIndex119)
          <=> v13242(VarCurr,bitIndex611) )
          & ( v13358(VarNext,bitIndex118)
          <=> v13242(VarCurr,bitIndex610) )
          & ( v13358(VarNext,bitIndex117)
          <=> v13242(VarCurr,bitIndex609) )
          & ( v13358(VarNext,bitIndex116)
          <=> v13242(VarCurr,bitIndex608) )
          & ( v13358(VarNext,bitIndex115)
          <=> v13242(VarCurr,bitIndex607) )
          & ( v13358(VarNext,bitIndex114)
          <=> v13242(VarCurr,bitIndex606) )
          & ( v13358(VarNext,bitIndex113)
          <=> v13242(VarCurr,bitIndex605) )
          & ( v13358(VarNext,bitIndex112)
          <=> v13242(VarCurr,bitIndex604) )
          & ( v13358(VarNext,bitIndex111)
          <=> v13242(VarCurr,bitIndex603) )
          & ( v13358(VarNext,bitIndex110)
          <=> v13242(VarCurr,bitIndex602) )
          & ( v13358(VarNext,bitIndex109)
          <=> v13242(VarCurr,bitIndex601) )
          & ( v13358(VarNext,bitIndex108)
          <=> v13242(VarCurr,bitIndex600) )
          & ( v13358(VarNext,bitIndex107)
          <=> v13242(VarCurr,bitIndex599) )
          & ( v13358(VarNext,bitIndex106)
          <=> v13242(VarCurr,bitIndex598) )
          & ( v13358(VarNext,bitIndex105)
          <=> v13242(VarCurr,bitIndex597) )
          & ( v13358(VarNext,bitIndex104)
          <=> v13242(VarCurr,bitIndex596) )
          & ( v13358(VarNext,bitIndex103)
          <=> v13242(VarCurr,bitIndex595) )
          & ( v13358(VarNext,bitIndex102)
          <=> v13242(VarCurr,bitIndex594) )
          & ( v13358(VarNext,bitIndex101)
          <=> v13242(VarCurr,bitIndex593) )
          & ( v13358(VarNext,bitIndex100)
          <=> v13242(VarCurr,bitIndex592) )
          & ( v13358(VarNext,bitIndex99)
          <=> v13242(VarCurr,bitIndex591) )
          & ( v13358(VarNext,bitIndex98)
          <=> v13242(VarCurr,bitIndex590) )
          & ( v13358(VarNext,bitIndex97)
          <=> v13242(VarCurr,bitIndex589) )
          & ( v13358(VarNext,bitIndex96)
          <=> v13242(VarCurr,bitIndex588) )
          & ( v13358(VarNext,bitIndex95)
          <=> v13242(VarCurr,bitIndex587) )
          & ( v13358(VarNext,bitIndex94)
          <=> v13242(VarCurr,bitIndex586) )
          & ( v13358(VarNext,bitIndex93)
          <=> v13242(VarCurr,bitIndex585) )
          & ( v13358(VarNext,bitIndex92)
          <=> v13242(VarCurr,bitIndex584) )
          & ( v13358(VarNext,bitIndex91)
          <=> v13242(VarCurr,bitIndex583) )
          & ( v13358(VarNext,bitIndex90)
          <=> v13242(VarCurr,bitIndex582) )
          & ( v13358(VarNext,bitIndex89)
          <=> v13242(VarCurr,bitIndex581) )
          & ( v13358(VarNext,bitIndex88)
          <=> v13242(VarCurr,bitIndex580) )
          & ( v13358(VarNext,bitIndex87)
          <=> v13242(VarCurr,bitIndex579) )
          & ( v13358(VarNext,bitIndex86)
          <=> v13242(VarCurr,bitIndex578) )
          & ( v13358(VarNext,bitIndex85)
          <=> v13242(VarCurr,bitIndex577) )
          & ( v13358(VarNext,bitIndex84)
          <=> v13242(VarCurr,bitIndex576) )
          & ( v13358(VarNext,bitIndex83)
          <=> v13242(VarCurr,bitIndex575) )
          & ( v13358(VarNext,bitIndex82)
          <=> v13242(VarCurr,bitIndex574) )
          & ( v13358(VarNext,bitIndex81)
          <=> v13242(VarCurr,bitIndex573) )
          & ( v13358(VarNext,bitIndex80)
          <=> v13242(VarCurr,bitIndex572) )
          & ( v13358(VarNext,bitIndex79)
          <=> v13242(VarCurr,bitIndex571) )
          & ( v13358(VarNext,bitIndex78)
          <=> v13242(VarCurr,bitIndex570) )
          & ( v13358(VarNext,bitIndex77)
          <=> v13242(VarCurr,bitIndex569) )
          & ( v13358(VarNext,bitIndex76)
          <=> v13242(VarCurr,bitIndex568) )
          & ( v13358(VarNext,bitIndex75)
          <=> v13242(VarCurr,bitIndex567) )
          & ( v13358(VarNext,bitIndex74)
          <=> v13242(VarCurr,bitIndex566) )
          & ( v13358(VarNext,bitIndex73)
          <=> v13242(VarCurr,bitIndex565) )
          & ( v13358(VarNext,bitIndex72)
          <=> v13242(VarCurr,bitIndex564) )
          & ( v13358(VarNext,bitIndex71)
          <=> v13242(VarCurr,bitIndex563) )
          & ( v13358(VarNext,bitIndex70)
          <=> v13242(VarCurr,bitIndex562) )
          & ( v13358(VarNext,bitIndex69)
          <=> v13242(VarCurr,bitIndex561) )
          & ( v13358(VarNext,bitIndex68)
          <=> v13242(VarCurr,bitIndex560) )
          & ( v13358(VarNext,bitIndex67)
          <=> v13242(VarCurr,bitIndex559) )
          & ( v13358(VarNext,bitIndex66)
          <=> v13242(VarCurr,bitIndex558) )
          & ( v13358(VarNext,bitIndex65)
          <=> v13242(VarCurr,bitIndex557) )
          & ( v13358(VarNext,bitIndex64)
          <=> v13242(VarCurr,bitIndex556) )
          & ( v13358(VarNext,bitIndex63)
          <=> v13242(VarCurr,bitIndex555) )
          & ( v13358(VarNext,bitIndex62)
          <=> v13242(VarCurr,bitIndex554) )
          & ( v13358(VarNext,bitIndex61)
          <=> v13242(VarCurr,bitIndex553) )
          & ( v13358(VarNext,bitIndex60)
          <=> v13242(VarCurr,bitIndex552) )
          & ( v13358(VarNext,bitIndex59)
          <=> v13242(VarCurr,bitIndex551) )
          & ( v13358(VarNext,bitIndex58)
          <=> v13242(VarCurr,bitIndex550) )
          & ( v13358(VarNext,bitIndex57)
          <=> v13242(VarCurr,bitIndex549) )
          & ( v13358(VarNext,bitIndex56)
          <=> v13242(VarCurr,bitIndex548) )
          & ( v13358(VarNext,bitIndex55)
          <=> v13242(VarCurr,bitIndex547) )
          & ( v13358(VarNext,bitIndex54)
          <=> v13242(VarCurr,bitIndex546) )
          & ( v13358(VarNext,bitIndex53)
          <=> v13242(VarCurr,bitIndex545) )
          & ( v13358(VarNext,bitIndex52)
          <=> v13242(VarCurr,bitIndex544) )
          & ( v13358(VarNext,bitIndex51)
          <=> v13242(VarCurr,bitIndex543) )
          & ( v13358(VarNext,bitIndex50)
          <=> v13242(VarCurr,bitIndex542) )
          & ( v13358(VarNext,bitIndex49)
          <=> v13242(VarCurr,bitIndex541) )
          & ( v13358(VarNext,bitIndex48)
          <=> v13242(VarCurr,bitIndex540) )
          & ( v13358(VarNext,bitIndex47)
          <=> v13242(VarCurr,bitIndex539) )
          & ( v13358(VarNext,bitIndex46)
          <=> v13242(VarCurr,bitIndex538) )
          & ( v13358(VarNext,bitIndex45)
          <=> v13242(VarCurr,bitIndex537) )
          & ( v13358(VarNext,bitIndex44)
          <=> v13242(VarCurr,bitIndex536) )
          & ( v13358(VarNext,bitIndex43)
          <=> v13242(VarCurr,bitIndex535) )
          & ( v13358(VarNext,bitIndex42)
          <=> v13242(VarCurr,bitIndex534) )
          & ( v13358(VarNext,bitIndex41)
          <=> v13242(VarCurr,bitIndex533) )
          & ( v13358(VarNext,bitIndex40)
          <=> v13242(VarCurr,bitIndex532) )
          & ( v13358(VarNext,bitIndex39)
          <=> v13242(VarCurr,bitIndex531) )
          & ( v13358(VarNext,bitIndex38)
          <=> v13242(VarCurr,bitIndex530) )
          & ( v13358(VarNext,bitIndex37)
          <=> v13242(VarCurr,bitIndex529) )
          & ( v13358(VarNext,bitIndex36)
          <=> v13242(VarCurr,bitIndex528) )
          & ( v13358(VarNext,bitIndex35)
          <=> v13242(VarCurr,bitIndex527) )
          & ( v13358(VarNext,bitIndex34)
          <=> v13242(VarCurr,bitIndex526) )
          & ( v13358(VarNext,bitIndex33)
          <=> v13242(VarCurr,bitIndex525) )
          & ( v13358(VarNext,bitIndex32)
          <=> v13242(VarCurr,bitIndex524) )
          & ( v13358(VarNext,bitIndex31)
          <=> v13242(VarCurr,bitIndex523) )
          & ( v13358(VarNext,bitIndex30)
          <=> v13242(VarCurr,bitIndex522) )
          & ( v13358(VarNext,bitIndex29)
          <=> v13242(VarCurr,bitIndex521) )
          & ( v13358(VarNext,bitIndex28)
          <=> v13242(VarCurr,bitIndex520) )
          & ( v13358(VarNext,bitIndex27)
          <=> v13242(VarCurr,bitIndex519) )
          & ( v13358(VarNext,bitIndex26)
          <=> v13242(VarCurr,bitIndex518) )
          & ( v13358(VarNext,bitIndex25)
          <=> v13242(VarCurr,bitIndex517) )
          & ( v13358(VarNext,bitIndex24)
          <=> v13242(VarCurr,bitIndex516) )
          & ( v13358(VarNext,bitIndex23)
          <=> v13242(VarCurr,bitIndex515) )
          & ( v13358(VarNext,bitIndex22)
          <=> v13242(VarCurr,bitIndex514) )
          & ( v13358(VarNext,bitIndex21)
          <=> v13242(VarCurr,bitIndex513) )
          & ( v13358(VarNext,bitIndex20)
          <=> v13242(VarCurr,bitIndex512) )
          & ( v13358(VarNext,bitIndex19)
          <=> v13242(VarCurr,bitIndex511) )
          & ( v13358(VarNext,bitIndex18)
          <=> v13242(VarCurr,bitIndex510) )
          & ( v13358(VarNext,bitIndex17)
          <=> v13242(VarCurr,bitIndex509) )
          & ( v13358(VarNext,bitIndex16)
          <=> v13242(VarCurr,bitIndex508) )
          & ( v13358(VarNext,bitIndex15)
          <=> v13242(VarCurr,bitIndex507) )
          & ( v13358(VarNext,bitIndex14)
          <=> v13242(VarCurr,bitIndex506) )
          & ( v13358(VarNext,bitIndex13)
          <=> v13242(VarCurr,bitIndex505) )
          & ( v13358(VarNext,bitIndex12)
          <=> v13242(VarCurr,bitIndex504) )
          & ( v13358(VarNext,bitIndex11)
          <=> v13242(VarCurr,bitIndex503) )
          & ( v13358(VarNext,bitIndex10)
          <=> v13242(VarCurr,bitIndex502) )
          & ( v13358(VarNext,bitIndex9)
          <=> v13242(VarCurr,bitIndex501) )
          & ( v13358(VarNext,bitIndex8)
          <=> v13242(VarCurr,bitIndex500) )
          & ( v13358(VarNext,bitIndex7)
          <=> v13242(VarCurr,bitIndex499) )
          & ( v13358(VarNext,bitIndex6)
          <=> v13242(VarCurr,bitIndex498) )
          & ( v13358(VarNext,bitIndex5)
          <=> v13242(VarCurr,bitIndex497) )
          & ( v13358(VarNext,bitIndex4)
          <=> v13242(VarCurr,bitIndex496) )
          & ( v13358(VarNext,bitIndex3)
          <=> v13242(VarCurr,bitIndex495) )
          & ( v13358(VarNext,bitIndex2)
          <=> v13242(VarCurr,bitIndex494) )
          & ( v13358(VarNext,bitIndex1)
          <=> v13242(VarCurr,bitIndex493) )
          & ( v13358(VarNext,bitIndex0)
          <=> v13242(VarCurr,bitIndex492) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_177,axiom,(
    ! [VarNext] :
      ( v13359(VarNext)
     => ! [B] :
          ( range_122_0(B)
         => ( v13358(VarNext,B)
          <=> v13386(VarNext,B) ) ) ) )).

fof(addAssignment_2969,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_122_0(B)
         => ( v13386(VarNext,B)
          <=> v13384(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_517,axiom,(
    ! [VarCurr] :
      ( ~ v13369(VarCurr)
     => ! [B] :
          ( range_122_0(B)
         => ( v13384(VarCurr,B)
          <=> v13387(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_519,axiom,(
    ! [VarCurr] :
      ( v13369(VarCurr)
     => ! [B] :
          ( range_122_0(B)
         => ( v13384(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_216,axiom,(
    ! [VarCurr] :
      ( ( ~ v13373(VarCurr)
        & ~ v13375(VarCurr) )
     => ! [B] :
          ( range_122_0(B)
         => ( v13387(VarCurr,B)
          <=> v13351(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_516,axiom,(
    ! [VarCurr] :
      ( v13375(VarCurr)
     => ! [B] :
          ( range_122_0(B)
         => ( v13387(VarCurr,B)
          <=> v13245(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges0,axiom,(
    ! [VarCurr] :
      ( v13373(VarCurr)
     => ( ( v13387(VarCurr,bitIndex122)
        <=> v13242(VarCurr,bitIndex491) )
        & ( v13387(VarCurr,bitIndex121)
        <=> v13242(VarCurr,bitIndex490) )
        & ( v13387(VarCurr,bitIndex120)
        <=> v13242(VarCurr,bitIndex489) )
        & ( v13387(VarCurr,bitIndex119)
        <=> v13242(VarCurr,bitIndex488) )
        & ( v13387(VarCurr,bitIndex118)
        <=> v13242(VarCurr,bitIndex487) )
        & ( v13387(VarCurr,bitIndex117)
        <=> v13242(VarCurr,bitIndex486) )
        & ( v13387(VarCurr,bitIndex116)
        <=> v13242(VarCurr,bitIndex485) )
        & ( v13387(VarCurr,bitIndex115)
        <=> v13242(VarCurr,bitIndex484) )
        & ( v13387(VarCurr,bitIndex114)
        <=> v13242(VarCurr,bitIndex483) )
        & ( v13387(VarCurr,bitIndex113)
        <=> v13242(VarCurr,bitIndex482) )
        & ( v13387(VarCurr,bitIndex112)
        <=> v13242(VarCurr,bitIndex481) )
        & ( v13387(VarCurr,bitIndex111)
        <=> v13242(VarCurr,bitIndex480) )
        & ( v13387(VarCurr,bitIndex110)
        <=> v13242(VarCurr,bitIndex479) )
        & ( v13387(VarCurr,bitIndex109)
        <=> v13242(VarCurr,bitIndex478) )
        & ( v13387(VarCurr,bitIndex108)
        <=> v13242(VarCurr,bitIndex477) )
        & ( v13387(VarCurr,bitIndex107)
        <=> v13242(VarCurr,bitIndex476) )
        & ( v13387(VarCurr,bitIndex106)
        <=> v13242(VarCurr,bitIndex475) )
        & ( v13387(VarCurr,bitIndex105)
        <=> v13242(VarCurr,bitIndex474) )
        & ( v13387(VarCurr,bitIndex104)
        <=> v13242(VarCurr,bitIndex473) )
        & ( v13387(VarCurr,bitIndex103)
        <=> v13242(VarCurr,bitIndex472) )
        & ( v13387(VarCurr,bitIndex102)
        <=> v13242(VarCurr,bitIndex471) )
        & ( v13387(VarCurr,bitIndex101)
        <=> v13242(VarCurr,bitIndex470) )
        & ( v13387(VarCurr,bitIndex100)
        <=> v13242(VarCurr,bitIndex469) )
        & ( v13387(VarCurr,bitIndex99)
        <=> v13242(VarCurr,bitIndex468) )
        & ( v13387(VarCurr,bitIndex98)
        <=> v13242(VarCurr,bitIndex467) )
        & ( v13387(VarCurr,bitIndex97)
        <=> v13242(VarCurr,bitIndex466) )
        & ( v13387(VarCurr,bitIndex96)
        <=> v13242(VarCurr,bitIndex465) )
        & ( v13387(VarCurr,bitIndex95)
        <=> v13242(VarCurr,bitIndex464) )
        & ( v13387(VarCurr,bitIndex94)
        <=> v13242(VarCurr,bitIndex463) )
        & ( v13387(VarCurr,bitIndex93)
        <=> v13242(VarCurr,bitIndex462) )
        & ( v13387(VarCurr,bitIndex92)
        <=> v13242(VarCurr,bitIndex461) )
        & ( v13387(VarCurr,bitIndex91)
        <=> v13242(VarCurr,bitIndex460) )
        & ( v13387(VarCurr,bitIndex90)
        <=> v13242(VarCurr,bitIndex459) )
        & ( v13387(VarCurr,bitIndex89)
        <=> v13242(VarCurr,bitIndex458) )
        & ( v13387(VarCurr,bitIndex88)
        <=> v13242(VarCurr,bitIndex457) )
        & ( v13387(VarCurr,bitIndex87)
        <=> v13242(VarCurr,bitIndex456) )
        & ( v13387(VarCurr,bitIndex86)
        <=> v13242(VarCurr,bitIndex455) )
        & ( v13387(VarCurr,bitIndex85)
        <=> v13242(VarCurr,bitIndex454) )
        & ( v13387(VarCurr,bitIndex84)
        <=> v13242(VarCurr,bitIndex453) )
        & ( v13387(VarCurr,bitIndex83)
        <=> v13242(VarCurr,bitIndex452) )
        & ( v13387(VarCurr,bitIndex82)
        <=> v13242(VarCurr,bitIndex451) )
        & ( v13387(VarCurr,bitIndex81)
        <=> v13242(VarCurr,bitIndex450) )
        & ( v13387(VarCurr,bitIndex80)
        <=> v13242(VarCurr,bitIndex449) )
        & ( v13387(VarCurr,bitIndex79)
        <=> v13242(VarCurr,bitIndex448) )
        & ( v13387(VarCurr,bitIndex78)
        <=> v13242(VarCurr,bitIndex447) )
        & ( v13387(VarCurr,bitIndex77)
        <=> v13242(VarCurr,bitIndex446) )
        & ( v13387(VarCurr,bitIndex76)
        <=> v13242(VarCurr,bitIndex445) )
        & ( v13387(VarCurr,bitIndex75)
        <=> v13242(VarCurr,bitIndex444) )
        & ( v13387(VarCurr,bitIndex74)
        <=> v13242(VarCurr,bitIndex443) )
        & ( v13387(VarCurr,bitIndex73)
        <=> v13242(VarCurr,bitIndex442) )
        & ( v13387(VarCurr,bitIndex72)
        <=> v13242(VarCurr,bitIndex441) )
        & ( v13387(VarCurr,bitIndex71)
        <=> v13242(VarCurr,bitIndex440) )
        & ( v13387(VarCurr,bitIndex70)
        <=> v13242(VarCurr,bitIndex439) )
        & ( v13387(VarCurr,bitIndex69)
        <=> v13242(VarCurr,bitIndex438) )
        & ( v13387(VarCurr,bitIndex68)
        <=> v13242(VarCurr,bitIndex437) )
        & ( v13387(VarCurr,bitIndex67)
        <=> v13242(VarCurr,bitIndex436) )
        & ( v13387(VarCurr,bitIndex66)
        <=> v13242(VarCurr,bitIndex435) )
        & ( v13387(VarCurr,bitIndex65)
        <=> v13242(VarCurr,bitIndex434) )
        & ( v13387(VarCurr,bitIndex64)
        <=> v13242(VarCurr,bitIndex433) )
        & ( v13387(VarCurr,bitIndex63)
        <=> v13242(VarCurr,bitIndex432) )
        & ( v13387(VarCurr,bitIndex62)
        <=> v13242(VarCurr,bitIndex431) )
        & ( v13387(VarCurr,bitIndex61)
        <=> v13242(VarCurr,bitIndex430) )
        & ( v13387(VarCurr,bitIndex60)
        <=> v13242(VarCurr,bitIndex429) )
        & ( v13387(VarCurr,bitIndex59)
        <=> v13242(VarCurr,bitIndex428) )
        & ( v13387(VarCurr,bitIndex58)
        <=> v13242(VarCurr,bitIndex427) )
        & ( v13387(VarCurr,bitIndex57)
        <=> v13242(VarCurr,bitIndex426) )
        & ( v13387(VarCurr,bitIndex56)
        <=> v13242(VarCurr,bitIndex425) )
        & ( v13387(VarCurr,bitIndex55)
        <=> v13242(VarCurr,bitIndex424) )
        & ( v13387(VarCurr,bitIndex54)
        <=> v13242(VarCurr,bitIndex423) )
        & ( v13387(VarCurr,bitIndex53)
        <=> v13242(VarCurr,bitIndex422) )
        & ( v13387(VarCurr,bitIndex52)
        <=> v13242(VarCurr,bitIndex421) )
        & ( v13387(VarCurr,bitIndex51)
        <=> v13242(VarCurr,bitIndex420) )
        & ( v13387(VarCurr,bitIndex50)
        <=> v13242(VarCurr,bitIndex419) )
        & ( v13387(VarCurr,bitIndex49)
        <=> v13242(VarCurr,bitIndex418) )
        & ( v13387(VarCurr,bitIndex48)
        <=> v13242(VarCurr,bitIndex417) )
        & ( v13387(VarCurr,bitIndex47)
        <=> v13242(VarCurr,bitIndex416) )
        & ( v13387(VarCurr,bitIndex46)
        <=> v13242(VarCurr,bitIndex415) )
        & ( v13387(VarCurr,bitIndex45)
        <=> v13242(VarCurr,bitIndex414) )
        & ( v13387(VarCurr,bitIndex44)
        <=> v13242(VarCurr,bitIndex413) )
        & ( v13387(VarCurr,bitIndex43)
        <=> v13242(VarCurr,bitIndex412) )
        & ( v13387(VarCurr,bitIndex42)
        <=> v13242(VarCurr,bitIndex411) )
        & ( v13387(VarCurr,bitIndex41)
        <=> v13242(VarCurr,bitIndex410) )
        & ( v13387(VarCurr,bitIndex40)
        <=> v13242(VarCurr,bitIndex409) )
        & ( v13387(VarCurr,bitIndex39)
        <=> v13242(VarCurr,bitIndex408) )
        & ( v13387(VarCurr,bitIndex38)
        <=> v13242(VarCurr,bitIndex407) )
        & ( v13387(VarCurr,bitIndex37)
        <=> v13242(VarCurr,bitIndex406) )
        & ( v13387(VarCurr,bitIndex36)
        <=> v13242(VarCurr,bitIndex405) )
        & ( v13387(VarCurr,bitIndex35)
        <=> v13242(VarCurr,bitIndex404) )
        & ( v13387(VarCurr,bitIndex34)
        <=> v13242(VarCurr,bitIndex403) )
        & ( v13387(VarCurr,bitIndex33)
        <=> v13242(VarCurr,bitIndex402) )
        & ( v13387(VarCurr,bitIndex32)
        <=> v13242(VarCurr,bitIndex401) )
        & ( v13387(VarCurr,bitIndex31)
        <=> v13242(VarCurr,bitIndex400) )
        & ( v13387(VarCurr,bitIndex30)
        <=> v13242(VarCurr,bitIndex399) )
        & ( v13387(VarCurr,bitIndex29)
        <=> v13242(VarCurr,bitIndex398) )
        & ( v13387(VarCurr,bitIndex28)
        <=> v13242(VarCurr,bitIndex397) )
        & ( v13387(VarCurr,bitIndex27)
        <=> v13242(VarCurr,bitIndex396) )
        & ( v13387(VarCurr,bitIndex26)
        <=> v13242(VarCurr,bitIndex395) )
        & ( v13387(VarCurr,bitIndex25)
        <=> v13242(VarCurr,bitIndex394) )
        & ( v13387(VarCurr,bitIndex24)
        <=> v13242(VarCurr,bitIndex393) )
        & ( v13387(VarCurr,bitIndex23)
        <=> v13242(VarCurr,bitIndex392) )
        & ( v13387(VarCurr,bitIndex22)
        <=> v13242(VarCurr,bitIndex391) )
        & ( v13387(VarCurr,bitIndex21)
        <=> v13242(VarCurr,bitIndex390) )
        & ( v13387(VarCurr,bitIndex20)
        <=> v13242(VarCurr,bitIndex389) )
        & ( v13387(VarCurr,bitIndex19)
        <=> v13242(VarCurr,bitIndex388) )
        & ( v13387(VarCurr,bitIndex18)
        <=> v13242(VarCurr,bitIndex387) )
        & ( v13387(VarCurr,bitIndex17)
        <=> v13242(VarCurr,bitIndex386) )
        & ( v13387(VarCurr,bitIndex16)
        <=> v13242(VarCurr,bitIndex385) )
        & ( v13387(VarCurr,bitIndex15)
        <=> v13242(VarCurr,bitIndex384) )
        & ( v13387(VarCurr,bitIndex14)
        <=> v13242(VarCurr,bitIndex383) )
        & ( v13387(VarCurr,bitIndex13)
        <=> v13242(VarCurr,bitIndex382) )
        & ( v13387(VarCurr,bitIndex12)
        <=> v13242(VarCurr,bitIndex381) )
        & ( v13387(VarCurr,bitIndex11)
        <=> v13242(VarCurr,bitIndex380) )
        & ( v13387(VarCurr,bitIndex10)
        <=> v13242(VarCurr,bitIndex379) )
        & ( v13387(VarCurr,bitIndex9)
        <=> v13242(VarCurr,bitIndex378) )
        & ( v13387(VarCurr,bitIndex8)
        <=> v13242(VarCurr,bitIndex377) )
        & ( v13387(VarCurr,bitIndex7)
        <=> v13242(VarCurr,bitIndex376) )
        & ( v13387(VarCurr,bitIndex6)
        <=> v13242(VarCurr,bitIndex375) )
        & ( v13387(VarCurr,bitIndex5)
        <=> v13242(VarCurr,bitIndex374) )
        & ( v13387(VarCurr,bitIndex4)
        <=> v13242(VarCurr,bitIndex373) )
        & ( v13387(VarCurr,bitIndex3)
        <=> v13242(VarCurr,bitIndex372) )
        & ( v13387(VarCurr,bitIndex2)
        <=> v13242(VarCurr,bitIndex371) )
        & ( v13387(VarCurr,bitIndex1)
        <=> v13242(VarCurr,bitIndex370) )
        & ( v13387(VarCurr,bitIndex0)
        <=> v13242(VarCurr,bitIndex369) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3097,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13359(VarNext)
      <=> ( v13360(VarNext)
          & v13367(VarNext) ) ) ) )).

fof(addAssignment_2968,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13367(VarNext)
      <=> v13365(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3096,axiom,(
    ! [VarCurr] :
      ( v13365(VarCurr)
    <=> ( v13368(VarCurr)
        & v13380(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3095,axiom,(
    ! [VarCurr] :
      ( v13380(VarCurr)
    <=> ( v13381(VarCurr)
        | v13369(VarCurr) ) ) )).

fof(writeUnaryOperator_1049,axiom,(
    ! [VarCurr] :
      ( ~ v13381(VarCurr)
    <=> v13382(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_946,axiom,(
    ! [VarCurr] :
      ( v13382(VarCurr)
    <=> ( ( v13383(VarCurr,bitIndex1)
        <=> $false )
        & ( v13383(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2967,axiom,(
    ! [VarCurr] :
      ( v13383(VarCurr,bitIndex0)
    <=> v13154(VarCurr) ) )).

fof(addAssignment_2966,axiom,(
    ! [VarCurr] :
      ( v13383(VarCurr,bitIndex1)
    <=> v13120(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3094,axiom,(
    ! [VarCurr] :
      ( v13368(VarCurr)
    <=> ( v13369(VarCurr)
        | v13370(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3093,axiom,(
    ! [VarCurr] :
      ( v13370(VarCurr)
    <=> ( v13371(VarCurr)
        & v13379(VarCurr) ) ) )).

fof(writeUnaryOperator_1048,axiom,(
    ! [VarCurr] :
      ( ~ v13379(VarCurr)
    <=> v13369(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3092,axiom,(
    ! [VarCurr] :
      ( v13371(VarCurr)
    <=> ( v13372(VarCurr)
        | v13377(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_945,axiom,(
    ! [VarCurr] :
      ( v13377(VarCurr)
    <=> ( ( v13378(VarCurr,bitIndex1)
        <=> $true )
        & ( v13378(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_2965,axiom,(
    ! [VarCurr] :
      ( v13378(VarCurr,bitIndex0)
    <=> v13154(VarCurr) ) )).

fof(addAssignment_2964,axiom,(
    ! [VarCurr] :
      ( v13378(VarCurr,bitIndex1)
    <=> v13120(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3091,axiom,(
    ! [VarCurr] :
      ( v13372(VarCurr)
    <=> ( v13373(VarCurr)
        | v13375(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_944,axiom,(
    ! [VarCurr] :
      ( v13375(VarCurr)
    <=> ( ( v13376(VarCurr,bitIndex1)
        <=> $true )
        & ( v13376(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2963,axiom,(
    ! [VarCurr] :
      ( v13376(VarCurr,bitIndex0)
    <=> v13154(VarCurr) ) )).

fof(addAssignment_2962,axiom,(
    ! [VarCurr] :
      ( v13376(VarCurr,bitIndex1)
    <=> v13120(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_943,axiom,(
    ! [VarCurr] :
      ( v13373(VarCurr)
    <=> ( ( v13374(VarCurr,bitIndex1)
        <=> $false )
        & ( v13374(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_2961,axiom,(
    ! [VarCurr] :
      ( v13374(VarCurr,bitIndex0)
    <=> v13154(VarCurr) ) )).

fof(addAssignment_2960,axiom,(
    ! [VarCurr] :
      ( v13374(VarCurr,bitIndex1)
    <=> v13120(VarCurr) ) )).

fof(writeUnaryOperator_1047,axiom,(
    ! [VarCurr] :
      ( ~ v13369(VarCurr)
    <=> v13110(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3090,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13360(VarNext)
      <=> ( v13361(VarNext)
          & v13183(VarNext) ) ) ) )).

fof(writeUnaryOperator_1046,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13361(VarNext)
      <=> v13196(VarNext) ) ) )).

fof(addAssignment_2959,axiom,(
    ! [VarCurr,B] :
      ( range_122_116(B)
     => ( v13351(VarCurr,B)
      <=> v13356(VarCurr,B) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_351,axiom,(
    ! [VarCurr] :
      ( ~ v13353(VarCurr)
     => ! [B] :
          ( range_122_0(B)
         => ( v13356(VarCurr,B)
          <=> v13355(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_355,axiom,(
    ! [VarCurr] :
      ( v13353(VarCurr)
     => ! [B] :
          ( range_122_0(B)
         => ( v13356(VarCurr,B)
          <=> v13297(VarCurr,B) ) ) ) )).

fof(addAssignment_2958,axiom,(
    ! [VarCurr] :
      ( ( v13355(VarCurr,bitIndex122)
      <=> v13242(VarCurr,bitIndex491) )
      & ( v13355(VarCurr,bitIndex121)
      <=> v13242(VarCurr,bitIndex490) )
      & ( v13355(VarCurr,bitIndex120)
      <=> v13242(VarCurr,bitIndex489) )
      & ( v13355(VarCurr,bitIndex119)
      <=> v13242(VarCurr,bitIndex488) )
      & ( v13355(VarCurr,bitIndex118)
      <=> v13242(VarCurr,bitIndex487) )
      & ( v13355(VarCurr,bitIndex117)
      <=> v13242(VarCurr,bitIndex486) )
      & ( v13355(VarCurr,bitIndex116)
      <=> v13242(VarCurr,bitIndex485) ) ) )).

fof(addAssignment_2957,axiom,(
    ! [VarCurr] :
      ( v13353(VarCurr)
    <=> v13249(VarCurr,bitIndex2) ) )).

fof(addAssignment_2956,axiom,(
    ! [VarCurr,B] :
      ( range_122_116(B)
     => ( v13245(VarCurr,B)
      <=> v13349(VarCurr,B) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_350,axiom,(
    ! [VarCurr] :
      ( ~ v13247(VarCurr)
     => ! [B] :
          ( range_122_0(B)
         => ( v13349(VarCurr,B)
          <=> v13348(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_354,axiom,(
    ! [VarCurr] :
      ( v13247(VarCurr)
     => ! [B] :
          ( range_122_0(B)
         => ( v13349(VarCurr,B)
          <=> v13297(VarCurr,B) ) ) ) )).

fof(addAssignment_2955,axiom,(
    ! [VarCurr] :
      ( ( v13348(VarCurr,bitIndex122)
      <=> v13242(VarCurr,bitIndex614) )
      & ( v13348(VarCurr,bitIndex121)
      <=> v13242(VarCurr,bitIndex613) )
      & ( v13348(VarCurr,bitIndex120)
      <=> v13242(VarCurr,bitIndex612) )
      & ( v13348(VarCurr,bitIndex119)
      <=> v13242(VarCurr,bitIndex611) )
      & ( v13348(VarCurr,bitIndex118)
      <=> v13242(VarCurr,bitIndex610) )
      & ( v13348(VarCurr,bitIndex117)
      <=> v13242(VarCurr,bitIndex609) )
      & ( v13348(VarCurr,bitIndex116)
      <=> v13242(VarCurr,bitIndex608) ) ) )).

fof(addAssignment_2954,axiom,(
    ! [VarCurr,B] :
      ( range_122_116(B)
     => ( v13297(VarCurr,B)
      <=> v13299(VarCurr,B) ) ) )).

fof(addAssignment_2953,axiom,(
    ! [VarCurr,B] :
      ( range_122_116(B)
     => ( v13299(VarCurr,B)
      <=> v13301(VarCurr,B) ) ) )).

fof(addAssignment_2952,axiom,(
    ! [VarCurr,B] :
      ( range_122_116(B)
     => ( v13301(VarCurr,B)
      <=> v13303(VarCurr,B) ) ) )).

fof(addAssignment_2951,axiom,(
    ! [VarCurr,B] :
      ( range_122_116(B)
     => ( v13303(VarCurr,B)
      <=> v13305(VarCurr,B) ) ) )).

fof(addAssignment_2950,axiom,(
    ! [VarCurr,B] :
      ( range_122_116(B)
     => ( v13305(VarCurr,B)
      <=> v13307(VarCurr,B) ) ) )).

fof(addAssignment_2949,axiom,(
    ! [VarCurr,B] :
      ( range_122_116(B)
     => ( v13307(VarCurr,B)
      <=> v13309(VarCurr,B) ) ) )).

fof(addAssignment_2948,axiom,(
    ! [VarCurr,B] :
      ( range_122_116(B)
     => ( v13309(VarCurr,B)
      <=> v13311(VarCurr,B) ) ) )).

fof(addAssignment_2947,axiom,(
    ! [VarNext,B] :
      ( range_122_116(B)
     => ( v13311(VarNext,B)
      <=> v13332(VarNext,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_155,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13333(VarNext)
       => ! [B] :
            ( range_122_0(B)
           => ( v13332(VarNext,B)
            <=> v13311(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_176,axiom,(
    ! [VarNext] :
      ( v13333(VarNext)
     => ! [B] :
          ( range_122_0(B)
         => ( v13332(VarNext,B)
          <=> v13343(VarNext,B) ) ) ) )).

fof(addAssignment_2946,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_122_0(B)
         => ( v13343(VarNext,B)
          <=> v13341(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_349,axiom,(
    ! [VarCurr] :
      ( ~ v13344(VarCurr)
     => ! [B] :
          ( range_122_0(B)
         => ( v13341(VarCurr,B)
          <=> v13313(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_353,axiom,(
    ! [VarCurr] :
      ( v13344(VarCurr)
     => ! [B] :
          ( range_122_0(B)
         => ( v13341(VarCurr,B)
          <=> $false ) ) ) )).

fof(range_axiom_37,axiom,(
    ! [B] :
      ( range_122_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B
        | bitIndex44 = B
        | bitIndex45 = B
        | bitIndex46 = B
        | bitIndex47 = B
        | bitIndex48 = B
        | bitIndex49 = B
        | bitIndex50 = B
        | bitIndex51 = B
        | bitIndex52 = B
        | bitIndex53 = B
        | bitIndex54 = B
        | bitIndex55 = B
        | bitIndex56 = B
        | bitIndex57 = B
        | bitIndex58 = B
        | bitIndex59 = B
        | bitIndex60 = B
        | bitIndex61 = B
        | bitIndex62 = B
        | bitIndex63 = B
        | bitIndex64 = B
        | bitIndex65 = B
        | bitIndex66 = B
        | bitIndex67 = B
        | bitIndex68 = B
        | bitIndex69 = B
        | bitIndex70 = B
        | bitIndex71 = B
        | bitIndex72 = B
        | bitIndex73 = B
        | bitIndex74 = B
        | bitIndex75 = B
        | bitIndex76 = B
        | bitIndex77 = B
        | bitIndex78 = B
        | bitIndex79 = B
        | bitIndex80 = B
        | bitIndex81 = B
        | bitIndex82 = B
        | bitIndex83 = B
        | bitIndex84 = B
        | bitIndex85 = B
        | bitIndex86 = B
        | bitIndex87 = B
        | bitIndex88 = B
        | bitIndex89 = B
        | bitIndex90 = B
        | bitIndex91 = B
        | bitIndex92 = B
        | bitIndex93 = B
        | bitIndex94 = B
        | bitIndex95 = B
        | bitIndex96 = B
        | bitIndex97 = B
        | bitIndex98 = B
        | bitIndex99 = B
        | bitIndex100 = B
        | bitIndex101 = B
        | bitIndex102 = B
        | bitIndex103 = B
        | bitIndex104 = B
        | bitIndex105 = B
        | bitIndex106 = B
        | bitIndex107 = B
        | bitIndex108 = B
        | bitIndex109 = B
        | bitIndex110 = B
        | bitIndex111 = B
        | bitIndex112 = B
        | bitIndex113 = B
        | bitIndex114 = B
        | bitIndex115 = B
        | bitIndex116 = B
        | bitIndex117 = B
        | bitIndex118 = B
        | bitIndex119 = B
        | bitIndex120 = B
        | bitIndex121 = B
        | bitIndex122 = B ) ) )).

fof(bitBlastConstant_7417,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex122) )).

fof(bitBlastConstant_7416,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex121) )).

fof(bitBlastConstant_7415,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex120) )).

fof(bitBlastConstant_7414,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex119) )).

fof(bitBlastConstant_7413,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex118) )).

fof(bitBlastConstant_7412,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex117) )).

fof(bitBlastConstant_7411,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex116) )).

fof(bitBlastConstant_7410,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex115) )).

fof(bitBlastConstant_7409,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex114) )).

fof(bitBlastConstant_7408,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex113) )).

fof(bitBlastConstant_7407,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex112) )).

fof(bitBlastConstant_7406,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex111) )).

fof(bitBlastConstant_7405,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex110) )).

fof(bitBlastConstant_7404,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex109) )).

fof(bitBlastConstant_7403,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex108) )).

fof(bitBlastConstant_7402,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex107) )).

fof(bitBlastConstant_7401,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex106) )).

fof(bitBlastConstant_7400,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex105) )).

fof(bitBlastConstant_7399,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex104) )).

fof(bitBlastConstant_7398,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex103) )).

fof(bitBlastConstant_7397,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex102) )).

fof(bitBlastConstant_7396,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex101) )).

fof(bitBlastConstant_7395,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex100) )).

fof(bitBlastConstant_7394,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex99) )).

fof(bitBlastConstant_7393,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex98) )).

fof(bitBlastConstant_7392,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex97) )).

fof(bitBlastConstant_7391,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex96) )).

fof(bitBlastConstant_7390,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex95) )).

fof(bitBlastConstant_7389,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex94) )).

fof(bitBlastConstant_7388,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex93) )).

fof(bitBlastConstant_7387,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex92) )).

fof(bitBlastConstant_7386,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex91) )).

fof(bitBlastConstant_7385,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex90) )).

fof(bitBlastConstant_7384,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex89) )).

fof(bitBlastConstant_7383,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex88) )).

fof(bitBlastConstant_7382,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex87) )).

fof(bitBlastConstant_7381,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex86) )).

fof(bitBlastConstant_7380,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex85) )).

fof(bitBlastConstant_7379,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex84) )).

fof(bitBlastConstant_7378,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex83) )).

fof(bitBlastConstant_7377,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex82) )).

fof(bitBlastConstant_7376,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex81) )).

fof(bitBlastConstant_7375,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex80) )).

fof(bitBlastConstant_7374,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex79) )).

fof(bitBlastConstant_7373,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex78) )).

fof(bitBlastConstant_7372,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex77) )).

fof(bitBlastConstant_7371,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex76) )).

fof(bitBlastConstant_7370,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex75) )).

fof(bitBlastConstant_7369,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex74) )).

fof(bitBlastConstant_7368,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex73) )).

fof(bitBlastConstant_7367,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex72) )).

fof(bitBlastConstant_7366,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex71) )).

fof(bitBlastConstant_7365,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex70) )).

fof(bitBlastConstant_7364,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex69) )).

fof(bitBlastConstant_7363,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex68) )).

fof(bitBlastConstant_7362,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex67) )).

fof(bitBlastConstant_7361,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex66) )).

fof(bitBlastConstant_7360,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex65) )).

fof(bitBlastConstant_7359,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex64) )).

fof(bitBlastConstant_7358,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex63) )).

fof(bitBlastConstant_7357,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex62) )).

fof(bitBlastConstant_7356,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex61) )).

fof(bitBlastConstant_7355,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex60) )).

fof(bitBlastConstant_7354,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex59) )).

fof(bitBlastConstant_7353,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex58) )).

fof(bitBlastConstant_7352,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex57) )).

fof(bitBlastConstant_7351,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex56) )).

fof(bitBlastConstant_7350,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex55) )).

fof(bitBlastConstant_7349,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex54) )).

fof(bitBlastConstant_7348,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex53) )).

fof(bitBlastConstant_7347,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex52) )).

fof(bitBlastConstant_7346,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex51) )).

fof(bitBlastConstant_7345,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex50) )).

fof(bitBlastConstant_7344,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex49) )).

fof(bitBlastConstant_7343,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex48) )).

fof(bitBlastConstant_7342,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex47) )).

fof(bitBlastConstant_7341,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex46) )).

fof(bitBlastConstant_7340,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex45) )).

fof(bitBlastConstant_7339,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex44) )).

fof(bitBlastConstant_7338,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex43) )).

fof(bitBlastConstant_7337,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex42) )).

fof(bitBlastConstant_7336,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex41) )).

fof(bitBlastConstant_7335,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex40) )).

fof(bitBlastConstant_7334,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex39) )).

fof(bitBlastConstant_7333,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex38) )).

fof(bitBlastConstant_7332,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex37) )).

fof(bitBlastConstant_7331,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex36) )).

fof(bitBlastConstant_7330,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex35) )).

fof(bitBlastConstant_7329,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex34) )).

fof(bitBlastConstant_7328,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex33) )).

fof(bitBlastConstant_7327,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex32) )).

fof(bitBlastConstant_7326,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex31) )).

fof(bitBlastConstant_7325,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex30) )).

fof(bitBlastConstant_7324,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex29) )).

fof(bitBlastConstant_7323,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex28) )).

fof(bitBlastConstant_7322,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex27) )).

fof(bitBlastConstant_7321,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_7320,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_7319,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_7318,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_7317,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_7316,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_7315,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_7314,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_7313,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_7312,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_7311,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_7310,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_7309,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_7308,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_7307,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_7306,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_7305,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_7304,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_7303,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_7302,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_7301,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_7300,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_7299,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_7298,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_7297,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_7296,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_7295,axiom,(
    ~ b000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex0) )).

fof(writeUnaryOperator_1045,axiom,(
    ! [VarCurr] :
      ( ~ v13344(VarCurr)
    <=> v2955(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3089,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13333(VarNext)
      <=> v13334(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3088,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13334(VarNext)
      <=> ( v13335(VarNext)
          & v3023(VarNext) ) ) ) )).

fof(writeUnaryOperator_1044,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13335(VarNext)
      <=> v13337(VarNext) ) ) )).

fof(addAssignment_2945,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13337(VarNext)
      <=> v3023(VarCurr) ) ) )).

fof(addAssignment_2944,axiom,(
    ! [VarCurr,B] :
      ( range_122_116(B)
     => ( v13313(VarCurr,B)
      <=> v13321(VarCurr,B) ) ) )).

fof(range_axiom_36,axiom,(
    ! [B] :
      ( range_122_116(B)
    <=> ( $false
        | bitIndex116 = B
        | bitIndex117 = B
        | bitIndex118 = B
        | bitIndex119 = B
        | bitIndex120 = B
        | bitIndex121 = B
        | bitIndex122 = B ) ) )).

fof(addAssignment_2943,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v13321(VarCurr,B)
      <=> v13330(VarCurr,B) ) ) )).

fof(addAssignment_2942,axiom,(
    ! [VarCurr] :
      ( ( v13321(VarCurr,bitIndex68)
      <=> v13329(VarCurr,bitIndex61) )
      & ( v13321(VarCurr,bitIndex67)
      <=> v13329(VarCurr,bitIndex60) )
      & ( v13321(VarCurr,bitIndex66)
      <=> v13329(VarCurr,bitIndex59) )
      & ( v13321(VarCurr,bitIndex65)
      <=> v13329(VarCurr,bitIndex58) )
      & ( v13321(VarCurr,bitIndex64)
      <=> v13329(VarCurr,bitIndex57) )
      & ( v13321(VarCurr,bitIndex63)
      <=> v13329(VarCurr,bitIndex56) )
      & ( v13321(VarCurr,bitIndex62)
      <=> v13329(VarCurr,bitIndex55) )
      & ( v13321(VarCurr,bitIndex61)
      <=> v13329(VarCurr,bitIndex54) )
      & ( v13321(VarCurr,bitIndex60)
      <=> v13329(VarCurr,bitIndex53) )
      & ( v13321(VarCurr,bitIndex59)
      <=> v13329(VarCurr,bitIndex52) )
      & ( v13321(VarCurr,bitIndex58)
      <=> v13329(VarCurr,bitIndex51) )
      & ( v13321(VarCurr,bitIndex57)
      <=> v13329(VarCurr,bitIndex50) )
      & ( v13321(VarCurr,bitIndex56)
      <=> v13329(VarCurr,bitIndex49) )
      & ( v13321(VarCurr,bitIndex55)
      <=> v13329(VarCurr,bitIndex48) )
      & ( v13321(VarCurr,bitIndex54)
      <=> v13329(VarCurr,bitIndex47) )
      & ( v13321(VarCurr,bitIndex53)
      <=> v13329(VarCurr,bitIndex46) )
      & ( v13321(VarCurr,bitIndex52)
      <=> v13329(VarCurr,bitIndex45) )
      & ( v13321(VarCurr,bitIndex51)
      <=> v13329(VarCurr,bitIndex44) )
      & ( v13321(VarCurr,bitIndex50)
      <=> v13329(VarCurr,bitIndex43) )
      & ( v13321(VarCurr,bitIndex49)
      <=> v13329(VarCurr,bitIndex42) )
      & ( v13321(VarCurr,bitIndex48)
      <=> v13329(VarCurr,bitIndex41) )
      & ( v13321(VarCurr,bitIndex47)
      <=> v13329(VarCurr,bitIndex40) )
      & ( v13321(VarCurr,bitIndex46)
      <=> v13329(VarCurr,bitIndex39) )
      & ( v13321(VarCurr,bitIndex45)
      <=> v13329(VarCurr,bitIndex38) )
      & ( v13321(VarCurr,bitIndex44)
      <=> v13329(VarCurr,bitIndex37) )
      & ( v13321(VarCurr,bitIndex43)
      <=> v13329(VarCurr,bitIndex36) )
      & ( v13321(VarCurr,bitIndex42)
      <=> v13329(VarCurr,bitIndex35) )
      & ( v13321(VarCurr,bitIndex41)
      <=> v13329(VarCurr,bitIndex34) )
      & ( v13321(VarCurr,bitIndex40)
      <=> v13329(VarCurr,bitIndex33) )
      & ( v13321(VarCurr,bitIndex39)
      <=> v13329(VarCurr,bitIndex32) )
      & ( v13321(VarCurr,bitIndex38)
      <=> v13329(VarCurr,bitIndex31) )
      & ( v13321(VarCurr,bitIndex37)
      <=> v13329(VarCurr,bitIndex30) )
      & ( v13321(VarCurr,bitIndex36)
      <=> v13329(VarCurr,bitIndex29) )
      & ( v13321(VarCurr,bitIndex35)
      <=> v13329(VarCurr,bitIndex28) )
      & ( v13321(VarCurr,bitIndex34)
      <=> v13329(VarCurr,bitIndex27) )
      & ( v13321(VarCurr,bitIndex33)
      <=> v13329(VarCurr,bitIndex26) )
      & ( v13321(VarCurr,bitIndex32)
      <=> v13329(VarCurr,bitIndex25) )
      & ( v13321(VarCurr,bitIndex31)
      <=> v13329(VarCurr,bitIndex24) )
      & ( v13321(VarCurr,bitIndex30)
      <=> v13329(VarCurr,bitIndex23) )
      & ( v13321(VarCurr,bitIndex29)
      <=> v13329(VarCurr,bitIndex22) )
      & ( v13321(VarCurr,bitIndex28)
      <=> v13329(VarCurr,bitIndex21) )
      & ( v13321(VarCurr,bitIndex27)
      <=> v13329(VarCurr,bitIndex20) )
      & ( v13321(VarCurr,bitIndex26)
      <=> v13329(VarCurr,bitIndex19) )
      & ( v13321(VarCurr,bitIndex25)
      <=> v13329(VarCurr,bitIndex18) )
      & ( v13321(VarCurr,bitIndex24)
      <=> v13329(VarCurr,bitIndex17) )
      & ( v13321(VarCurr,bitIndex23)
      <=> v13329(VarCurr,bitIndex16) )
      & ( v13321(VarCurr,bitIndex22)
      <=> v13329(VarCurr,bitIndex15) )
      & ( v13321(VarCurr,bitIndex21)
      <=> v13329(VarCurr,bitIndex14) )
      & ( v13321(VarCurr,bitIndex20)
      <=> v13329(VarCurr,bitIndex13) )
      & ( v13321(VarCurr,bitIndex19)
      <=> v13329(VarCurr,bitIndex12) )
      & ( v13321(VarCurr,bitIndex18)
      <=> v13329(VarCurr,bitIndex11) )
      & ( v13321(VarCurr,bitIndex17)
      <=> v13329(VarCurr,bitIndex10) )
      & ( v13321(VarCurr,bitIndex16)
      <=> v13329(VarCurr,bitIndex9) )
      & ( v13321(VarCurr,bitIndex15)
      <=> v13329(VarCurr,bitIndex8) )
      & ( v13321(VarCurr,bitIndex14)
      <=> v13329(VarCurr,bitIndex7) )
      & ( v13321(VarCurr,bitIndex13)
      <=> v13329(VarCurr,bitIndex6) )
      & ( v13321(VarCurr,bitIndex12)
      <=> v13329(VarCurr,bitIndex5) )
      & ( v13321(VarCurr,bitIndex11)
      <=> v13329(VarCurr,bitIndex4) )
      & ( v13321(VarCurr,bitIndex10)
      <=> v13329(VarCurr,bitIndex3) )
      & ( v13321(VarCurr,bitIndex9)
      <=> v13329(VarCurr,bitIndex2) )
      & ( v13321(VarCurr,bitIndex8)
      <=> v13329(VarCurr,bitIndex1) )
      & ( v13321(VarCurr,bitIndex7)
      <=> v13329(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_2941,axiom,(
    ! [VarCurr] :
      ( ( v13321(VarCurr,bitIndex72)
      <=> v13328(VarCurr,bitIndex3) )
      & ( v13321(VarCurr,bitIndex71)
      <=> v13328(VarCurr,bitIndex2) )
      & ( v13321(VarCurr,bitIndex70)
      <=> v13328(VarCurr,bitIndex1) )
      & ( v13321(VarCurr,bitIndex69)
      <=> v13328(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_2940,axiom,(
    ! [VarCurr] :
      ( ( v13321(VarCurr,bitIndex76)
      <=> v13327(VarCurr,bitIndex3) )
      & ( v13321(VarCurr,bitIndex75)
      <=> v13327(VarCurr,bitIndex2) )
      & ( v13321(VarCurr,bitIndex74)
      <=> v13327(VarCurr,bitIndex1) )
      & ( v13321(VarCurr,bitIndex73)
      <=> v13327(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_2939,axiom,(
    ! [VarCurr] :
      ( ( v13321(VarCurr,bitIndex84)
      <=> v13326(VarCurr,bitIndex7) )
      & ( v13321(VarCurr,bitIndex83)
      <=> v13326(VarCurr,bitIndex6) )
      & ( v13321(VarCurr,bitIndex82)
      <=> v13326(VarCurr,bitIndex5) )
      & ( v13321(VarCurr,bitIndex81)
      <=> v13326(VarCurr,bitIndex4) )
      & ( v13321(VarCurr,bitIndex80)
      <=> v13326(VarCurr,bitIndex3) )
      & ( v13321(VarCurr,bitIndex79)
      <=> v13326(VarCurr,bitIndex2) )
      & ( v13321(VarCurr,bitIndex78)
      <=> v13326(VarCurr,bitIndex1) )
      & ( v13321(VarCurr,bitIndex77)
      <=> v13326(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_2938,axiom,(
    ! [VarCurr] :
      ( ( v13321(VarCurr,bitIndex100)
      <=> v13325(VarCurr,bitIndex15) )
      & ( v13321(VarCurr,bitIndex99)
      <=> v13325(VarCurr,bitIndex14) )
      & ( v13321(VarCurr,bitIndex98)
      <=> v13325(VarCurr,bitIndex13) )
      & ( v13321(VarCurr,bitIndex97)
      <=> v13325(VarCurr,bitIndex12) )
      & ( v13321(VarCurr,bitIndex96)
      <=> v13325(VarCurr,bitIndex11) )
      & ( v13321(VarCurr,bitIndex95)
      <=> v13325(VarCurr,bitIndex10) )
      & ( v13321(VarCurr,bitIndex94)
      <=> v13325(VarCurr,bitIndex9) )
      & ( v13321(VarCurr,bitIndex93)
      <=> v13325(VarCurr,bitIndex8) )
      & ( v13321(VarCurr,bitIndex92)
      <=> v13325(VarCurr,bitIndex7) )
      & ( v13321(VarCurr,bitIndex91)
      <=> v13325(VarCurr,bitIndex6) )
      & ( v13321(VarCurr,bitIndex90)
      <=> v13325(VarCurr,bitIndex5) )
      & ( v13321(VarCurr,bitIndex89)
      <=> v13325(VarCurr,bitIndex4) )
      & ( v13321(VarCurr,bitIndex88)
      <=> v13325(VarCurr,bitIndex3) )
      & ( v13321(VarCurr,bitIndex87)
      <=> v13325(VarCurr,bitIndex2) )
      & ( v13321(VarCurr,bitIndex86)
      <=> v13325(VarCurr,bitIndex1) )
      & ( v13321(VarCurr,bitIndex85)
      <=> v13325(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_2937,axiom,(
    ! [VarCurr] :
      ( ( v13321(VarCurr,bitIndex110)
      <=> v13324(VarCurr,bitIndex9) )
      & ( v13321(VarCurr,bitIndex109)
      <=> v13324(VarCurr,bitIndex8) )
      & ( v13321(VarCurr,bitIndex108)
      <=> v13324(VarCurr,bitIndex7) )
      & ( v13321(VarCurr,bitIndex107)
      <=> v13324(VarCurr,bitIndex6) )
      & ( v13321(VarCurr,bitIndex106)
      <=> v13324(VarCurr,bitIndex5) )
      & ( v13321(VarCurr,bitIndex105)
      <=> v13324(VarCurr,bitIndex4) )
      & ( v13321(VarCurr,bitIndex104)
      <=> v13324(VarCurr,bitIndex3) )
      & ( v13321(VarCurr,bitIndex103)
      <=> v13324(VarCurr,bitIndex2) )
      & ( v13321(VarCurr,bitIndex102)
      <=> v13324(VarCurr,bitIndex1) )
      & ( v13321(VarCurr,bitIndex101)
      <=> v13324(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_2936,axiom,(
    ! [VarCurr] :
      ( ( v13321(VarCurr,bitIndex112)
      <=> v13323(VarCurr,bitIndex1) )
      & ( v13321(VarCurr,bitIndex111)
      <=> v13323(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_2935,axiom,(
    ! [VarCurr] :
      ( ( v13321(VarCurr,bitIndex115)
      <=> v13322(VarCurr,bitIndex2) )
      & ( v13321(VarCurr,bitIndex114)
      <=> v13322(VarCurr,bitIndex1) )
      & ( v13321(VarCurr,bitIndex113)
      <=> v13322(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_2934,axiom,(
    ! [VarCurr] :
      ( ( v13321(VarCurr,bitIndex122)
      <=> v13315(VarCurr,bitIndex6) )
      & ( v13321(VarCurr,bitIndex121)
      <=> v13315(VarCurr,bitIndex5) )
      & ( v13321(VarCurr,bitIndex120)
      <=> v13315(VarCurr,bitIndex4) )
      & ( v13321(VarCurr,bitIndex119)
      <=> v13315(VarCurr,bitIndex3) )
      & ( v13321(VarCurr,bitIndex118)
      <=> v13315(VarCurr,bitIndex2) )
      & ( v13321(VarCurr,bitIndex117)
      <=> v13315(VarCurr,bitIndex1) )
      & ( v13321(VarCurr,bitIndex116)
      <=> v13315(VarCurr,bitIndex0) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_348,axiom,(
    ! [VarCurr] :
      ( ~ v13317(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v13315(VarCurr,B)
          <=> v2941(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_352,axiom,(
    ! [VarCurr] :
      ( v13317(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v13315(VarCurr,B)
          <=> v13320(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_515,axiom,(
    ! [VarCurr] :
      ( ~ v13318(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v13320(VarCurr,B)
          <=> b1111000(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_518,axiom,(
    ! [VarCurr] :
      ( v13318(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v13320(VarCurr,B)
          <=> b1011000(B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3087,axiom,(
    ! [VarCurr] :
      ( v13317(VarCurr)
    <=> ( v13318(VarCurr)
        | v13319(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3086,axiom,(
    ! [VarCurr] :
      ( v13319(VarCurr)
    <=> ( v7885(VarCurr)
        & v11594(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3085,axiom,(
    ! [VarCurr] :
      ( v13318(VarCurr)
    <=> ( v3054(VarCurr)
        & v11579(VarCurr) ) ) )).

fof(addAssignment_2933,axiom,(
    ! [VarCurr] :
      ( v13247(VarCurr)
    <=> v13249(VarCurr,bitIndex2) ) )).

fof(addAssignment_2932,axiom,(
    ! [VarCurr] :
      ( v13249(VarCurr,bitIndex2)
    <=> v13264(VarCurr,bitIndex2) ) )).

fof(addAssignment_2931,axiom,(
    ! [VarNext] :
      ( v13209(VarNext,bitIndex1)
    <=> v13289(VarNext,bitIndex1) ) )).

fof(addCaseBooleanConditionEqualRanges1_154,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13290(VarNext)
       => ! [B] :
            ( range_8_0(B)
           => ( v13289(VarNext,B)
            <=> v13209(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_175,axiom,(
    ! [VarNext] :
      ( v13290(VarNext)
     => ! [B] :
          ( range_8_0(B)
         => ( v13289(VarNext,B)
          <=> v13261(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3084,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13290(VarNext)
      <=> v13291(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3083,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13291(VarNext)
      <=> ( v13293(VarNext)
          & v13183(VarNext) ) ) ) )).

fof(writeUnaryOperator_1043,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13293(VarNext)
      <=> v13196(VarNext) ) ) )).

fof(addAssignment_2930,axiom,(
    ! [VarCurr] :
      ( v13249(VarCurr,bitIndex1)
    <=> v13264(VarCurr,bitIndex1) ) )).

fof(addAssignment_2929,axiom,(
    ! [VarNext] :
      ( v13209(VarNext,bitIndex0)
    <=> v13281(VarNext,bitIndex0) ) )).

fof(addCaseBooleanConditionEqualRanges1_153,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13282(VarNext)
       => ! [B] :
            ( range_8_0(B)
           => ( v13281(VarNext,B)
            <=> v13209(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_174,axiom,(
    ! [VarNext] :
      ( v13282(VarNext)
     => ! [B] :
          ( range_8_0(B)
         => ( v13281(VarNext,B)
          <=> v13261(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3082,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13282(VarNext)
      <=> v13283(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3081,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13283(VarNext)
      <=> ( v13285(VarNext)
          & v13183(VarNext) ) ) ) )).

fof(writeUnaryOperator_1042,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13285(VarNext)
      <=> v13196(VarNext) ) ) )).

fof(addAssignment_2928,axiom,(
    ! [VarCurr] :
      ( v13249(VarCurr,bitIndex0)
    <=> v13264(VarCurr,bitIndex0) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_347,axiom,(
    ! [VarCurr] :
      ( ~ v13265(VarCurr)
     => ! [B] :
          ( range_8_0(B)
         => ( v13264(VarCurr,B)
          <=> v13267(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_351,axiom,(
    ! [VarCurr] :
      ( v13265(VarCurr)
     => ! [B] :
          ( range_8_0(B)
         => ( v13264(VarCurr,B)
          <=> v13266(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_18,axiom,(
    ! [VarCurr] :
      ( ( ~ v13268(VarCurr)
        & ~ v13270(VarCurr)
        & ~ v13274(VarCurr) )
     => ! [B] :
          ( range_8_0(B)
         => ( v13267(VarCurr,B)
          <=> v13209(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_215,axiom,(
    ! [VarCurr] :
      ( v13274(VarCurr)
     => ! [B] :
          ( range_8_0(B)
         => ( v13267(VarCurr,B)
          <=> v13276(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_514,axiom,(
    ! [VarCurr] :
      ( v13270(VarCurr)
     => ! [B] :
          ( range_8_0(B)
         => ( v13267(VarCurr,B)
          <=> v13272(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_517,axiom,(
    ! [VarCurr] :
      ( v13268(VarCurr)
     => ! [B] :
          ( range_8_0(B)
         => ( v13267(VarCurr,B)
          <=> v13209(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_942,axiom,(
    ! [VarCurr] :
      ( v13278(VarCurr)
    <=> ( ( v13279(VarCurr,bitIndex1)
        <=> $true )
        & ( v13279(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_2927,axiom,(
    ! [VarCurr] :
      ( v13279(VarCurr,bitIndex0)
    <=> v13154(VarCurr) ) )).

fof(addAssignment_2926,axiom,(
    ! [VarCurr] :
      ( v13279(VarCurr,bitIndex1)
    <=> v13120(VarCurr) ) )).

fof(addAssignment_2925,axiom,(
    ! [VarCurr] :
      ( v13276(VarCurr,bitIndex0)
    <=> $false ) )).

fof(addAssignment_2924,axiom,(
    ! [VarCurr] :
      ( ( v13276(VarCurr,bitIndex8)
      <=> v13209(VarCurr,bitIndex7) )
      & ( v13276(VarCurr,bitIndex7)
      <=> v13209(VarCurr,bitIndex6) )
      & ( v13276(VarCurr,bitIndex6)
      <=> v13209(VarCurr,bitIndex5) )
      & ( v13276(VarCurr,bitIndex5)
      <=> v13209(VarCurr,bitIndex4) )
      & ( v13276(VarCurr,bitIndex4)
      <=> v13209(VarCurr,bitIndex3) )
      & ( v13276(VarCurr,bitIndex3)
      <=> v13209(VarCurr,bitIndex2) )
      & ( v13276(VarCurr,bitIndex2)
      <=> v13209(VarCurr,bitIndex1) )
      & ( v13276(VarCurr,bitIndex1)
      <=> v13209(VarCurr,bitIndex0) ) ) )).

fof(addBitVectorEqualityBitBlasted_941,axiom,(
    ! [VarCurr] :
      ( v13274(VarCurr)
    <=> ( ( v13275(VarCurr,bitIndex1)
        <=> $true )
        & ( v13275(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2923,axiom,(
    ! [VarCurr] :
      ( v13275(VarCurr,bitIndex0)
    <=> v13154(VarCurr) ) )).

fof(addAssignment_2922,axiom,(
    ! [VarCurr] :
      ( v13275(VarCurr,bitIndex1)
    <=> v13120(VarCurr) ) )).

fof(addAssignment_2921,axiom,(
    ! [VarCurr] :
      ( ( v13272(VarCurr,bitIndex7)
      <=> v13209(VarCurr,bitIndex8) )
      & ( v13272(VarCurr,bitIndex6)
      <=> v13209(VarCurr,bitIndex7) )
      & ( v13272(VarCurr,bitIndex5)
      <=> v13209(VarCurr,bitIndex6) )
      & ( v13272(VarCurr,bitIndex4)
      <=> v13209(VarCurr,bitIndex5) )
      & ( v13272(VarCurr,bitIndex3)
      <=> v13209(VarCurr,bitIndex4) )
      & ( v13272(VarCurr,bitIndex2)
      <=> v13209(VarCurr,bitIndex3) )
      & ( v13272(VarCurr,bitIndex1)
      <=> v13209(VarCurr,bitIndex2) )
      & ( v13272(VarCurr,bitIndex0)
      <=> v13209(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_2920,axiom,(
    ! [VarCurr] :
      ( v13272(VarCurr,bitIndex8)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_940,axiom,(
    ! [VarCurr] :
      ( v13270(VarCurr)
    <=> ( ( v13271(VarCurr,bitIndex1)
        <=> $false )
        & ( v13271(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_2919,axiom,(
    ! [VarCurr] :
      ( v13271(VarCurr,bitIndex0)
    <=> v13154(VarCurr) ) )).

fof(addAssignment_2918,axiom,(
    ! [VarCurr] :
      ( v13271(VarCurr,bitIndex1)
    <=> v13120(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_939,axiom,(
    ! [VarCurr] :
      ( v13268(VarCurr)
    <=> ( ( v13269(VarCurr,bitIndex1)
        <=> $false )
        & ( v13269(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2917,axiom,(
    ! [VarCurr] :
      ( v13269(VarCurr,bitIndex0)
    <=> v13154(VarCurr) ) )).

fof(addAssignment_2916,axiom,(
    ! [VarCurr] :
      ( v13269(VarCurr,bitIndex1)
    <=> v13120(VarCurr) ) )).

fof(addAssignment_2915,axiom,(
    ! [VarCurr] :
      ( v13266(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_2914,axiom,(
    ! [VarCurr,B] :
      ( range_8_1(B)
     => ( v13266(VarCurr,B)
      <=> v13207(VarCurr,B) ) ) )).

fof(writeUnaryOperator_1041,axiom,(
    ! [VarCurr] :
      ( ~ v13265(VarCurr)
    <=> v13110(VarCurr) ) )).

fof(addAssignment_2913,axiom,(
    ! [VarCurr] :
      ( v13207(VarCurr,bitIndex1)
    <=> v13208(VarCurr,bitIndex1) ) )).

fof(addAssignment_2912,axiom,(
    ! [VarCurr] :
      ( v13207(VarCurr,bitIndex2)
    <=> v13208(VarCurr,bitIndex2) ) )).

fof(addAssignment_2911,axiom,(
    ! [VarNext] :
      ( v13209(VarNext,bitIndex2)
    <=> v13252(VarNext,bitIndex2) ) )).

fof(addCaseBooleanConditionEqualRanges1_152,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13253(VarNext)
       => ! [B] :
            ( range_8_0(B)
           => ( v13252(VarNext,B)
            <=> v13209(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_173,axiom,(
    ! [VarNext] :
      ( v13253(VarNext)
     => ! [B] :
          ( range_8_0(B)
         => ( v13252(VarNext,B)
          <=> v13261(VarNext,B) ) ) ) )).

fof(addAssignment_2910,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_8_0(B)
         => ( v13261(VarNext,B)
          <=> v13259(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_346,axiom,(
    ! [VarCurr] :
      ( ~ v13203(VarCurr)
     => ! [B] :
          ( range_8_0(B)
         => ( v13259(VarCurr,B)
          <=> v13249(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_350,axiom,(
    ! [VarCurr] :
      ( v13203(VarCurr)
     => ! [B] :
          ( range_8_0(B)
         => ( v13259(VarCurr,B)
          <=> b000000001(B) ) ) ) )).

fof(bitBlastConstant_7294,axiom,(
    ~ b000000001(bitIndex8) )).

fof(bitBlastConstant_7293,axiom,(
    ~ b000000001(bitIndex7) )).

fof(bitBlastConstant_7292,axiom,(
    ~ b000000001(bitIndex6) )).

fof(bitBlastConstant_7291,axiom,(
    ~ b000000001(bitIndex5) )).

fof(bitBlastConstant_7290,axiom,(
    ~ b000000001(bitIndex4) )).

fof(bitBlastConstant_7289,axiom,(
    ~ b000000001(bitIndex3) )).

fof(bitBlastConstant_7288,axiom,(
    ~ b000000001(bitIndex2) )).

fof(bitBlastConstant_7287,axiom,(
    ~ b000000001(bitIndex1) )).

fof(bitBlastConstant_7286,axiom,(
    b000000001(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3080,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13253(VarNext)
      <=> v13254(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3079,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13254(VarNext)
      <=> ( v13256(VarNext)
          & v13183(VarNext) ) ) ) )).

fof(writeUnaryOperator_1040,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13256(VarNext)
      <=> v13196(VarNext) ) ) )).

fof(addAssignment_2909,axiom,(
    ! [VarCurr] :
      ( v13160(VarCurr)
    <=> v13162(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_151,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13213(VarNext)
       => ( v13162(VarNext)
        <=> v13162(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_172,axiom,(
    ! [VarNext] :
      ( v13213(VarNext)
     => ( v13162(VarNext)
      <=> v13231(VarNext) ) ) )).

fof(addAssignment_2908,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13231(VarNext)
      <=> v13229(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_345,axiom,(
    ! [VarCurr] :
      ( ~ v13228(VarCurr)
     => ( v13229(VarCurr)
      <=> v13232(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_349,axiom,(
    ! [VarCurr] :
      ( v13228(VarCurr)
     => ( v13229(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_344,axiom,(
    ! [VarCurr] :
      ( ~ v13120(VarCurr)
     => ( v13232(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_348,axiom,(
    ! [VarCurr] :
      ( v13120(VarCurr)
     => ( v13232(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3078,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13213(VarNext)
      <=> ( v13214(VarNext)
          & v13221(VarNext) ) ) ) )).

fof(addAssignment_2907,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13221(VarNext)
      <=> v13219(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3077,axiom,(
    ! [VarCurr] :
      ( v13219(VarCurr)
    <=> ( v13222(VarCurr)
        | v13228(VarCurr) ) ) )).

fof(writeUnaryOperator_1039,axiom,(
    ! [VarCurr] :
      ( ~ v13228(VarCurr)
    <=> v13110(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3076,axiom,(
    ! [VarCurr] :
      ( v13222(VarCurr)
    <=> ( v13223(VarCurr)
        | v13120(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3075,axiom,(
    ! [VarCurr] :
      ( v13223(VarCurr)
    <=> ( v13224(VarCurr)
        & v13227(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_938,axiom,(
    ! [VarCurr] :
      ( v13227(VarCurr)
    <=> ( v13207(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3074,axiom,(
    ! [VarCurr] :
      ( v13224(VarCurr)
    <=> ( v13225(VarCurr)
        & v13226(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_937,axiom,(
    ! [VarCurr] :
      ( v13226(VarCurr)
    <=> ( v13108(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_936,axiom,(
    ! [VarCurr] :
      ( v13225(VarCurr)
    <=> ( v13154(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3073,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13214(VarNext)
      <=> ( v13215(VarNext)
          & v13183(VarNext) ) ) ) )).

fof(writeUnaryOperator_1038,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13215(VarNext)
      <=> v13196(VarNext) ) ) )).

fof(addAssignment_2906,axiom,(
    ! [VarCurr] :
      ( v13207(VarCurr,bitIndex0)
    <=> v13208(VarCurr,bitIndex0) ) )).

fof(addAssignment_2905,axiom,(
    ! [VarCurr] :
      ( v13208(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_2904,axiom,(
    ! [VarCurr,B] :
      ( range_8_1(B)
     => ( v13208(VarCurr,B)
      <=> v13209(VarCurr,B) ) ) )).

fof(range_axiom_35,axiom,(
    ! [B] :
      ( range_8_1(B)
    <=> ( $false
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B ) ) )).

fof(addAssignment_2903,axiom,(
    ! [VarNext] :
      ( v13108(VarNext,bitIndex1)
    <=> v13191(VarNext,bitIndex1) ) )).

fof(addCaseBooleanConditionEqualRanges1_150,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13192(VarNext)
       => ! [B] :
            ( range_5_0(B)
           => ( v13191(VarNext,B)
            <=> v13108(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_171,axiom,(
    ! [VarNext] :
      ( v13192(VarNext)
     => ! [B] :
          ( range_5_0(B)
         => ( v13191(VarNext,B)
          <=> v13202(VarNext,B) ) ) ) )).

fof(addAssignment_2902,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_5_0(B)
         => ( v13202(VarNext,B)
          <=> v13200(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_343,axiom,(
    ! [VarCurr] :
      ( ~ v13203(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v13200(VarCurr,B)
          <=> v13118(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_347,axiom,(
    ! [VarCurr] :
      ( v13203(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v13200(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_1037,axiom,(
    ! [VarCurr] :
      ( ~ v13203(VarCurr)
    <=> v13110(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3072,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13192(VarNext)
      <=> v13193(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3071,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13193(VarNext)
      <=> ( v13194(VarNext)
          & v13183(VarNext) ) ) ) )).

fof(writeUnaryOperator_1036,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13194(VarNext)
      <=> v13196(VarNext) ) ) )).

fof(addAssignment_2901,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13196(VarNext)
      <=> v13183(VarCurr) ) ) )).

fof(addAssignment_2900,axiom,(
    ! [VarCurr] :
      ( v13183(VarCurr)
    <=> v13185(VarCurr) ) )).

fof(addAssignment_2899,axiom,(
    ! [VarCurr] :
      ( v13185(VarCurr)
    <=> v13187(VarCurr) ) )).

fof(addAssignment_2898,axiom,(
    ! [VarCurr] :
      ( v13187(VarCurr)
    <=> v13189(VarCurr) ) )).

fof(addAssignment_2897,axiom,(
    ! [VarCurr] :
      ( v13189(VarCurr)
    <=> v1(VarCurr) ) )).

fof(addAssignment_2896,axiom,(
    ! [VarCurr] :
      ( v13118(VarCurr,bitIndex1)
    <=> v13168(VarCurr,bitIndex1) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_342,axiom,(
    ! [VarCurr] :
      ( ~ v13169(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v13168(VarCurr,B)
          <=> v13170(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_346,axiom,(
    ! [VarCurr] :
      ( v13169(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v13168(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_17,axiom,(
    ! [VarCurr] :
      ( ( ~ v13171(VarCurr)
        & ~ v13173(VarCurr)
        & ~ v13177(VarCurr) )
     => ! [B] :
          ( range_5_0(B)
         => ( v13170(VarCurr,B)
          <=> v13108(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_214,axiom,(
    ! [VarCurr] :
      ( v13177(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v13170(VarCurr,B)
          <=> v13179(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_513,axiom,(
    ! [VarCurr] :
      ( v13173(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v13170(VarCurr,B)
          <=> v13175(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_516,axiom,(
    ! [VarCurr] :
      ( v13171(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v13170(VarCurr,B)
          <=> v13108(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_935,axiom,(
    ! [VarCurr] :
      ( v13180(VarCurr)
    <=> ( ( v13181(VarCurr,bitIndex1)
        <=> $true )
        & ( v13181(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_2895,axiom,(
    ! [VarCurr] :
      ( v13181(VarCurr,bitIndex0)
    <=> v13154(VarCurr) ) )).

fof(addAssignment_2894,axiom,(
    ! [VarCurr] :
      ( v13181(VarCurr,bitIndex1)
    <=> v13120(VarCurr) ) )).

fof(addAssignment_2893,axiom,(
    ! [VarCurr] :
      ( v13179(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_2892,axiom,(
    ! [VarCurr,B] :
      ( range_5_1(B)
     => ( v13179(VarCurr,B)
      <=> v13165(VarCurr,B) ) ) )).

fof(range_axiom_34,axiom,(
    ! [B] :
      ( range_5_1(B)
    <=> ( $false
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B ) ) )).

fof(addBitVectorEqualityBitBlasted_934,axiom,(
    ! [VarCurr] :
      ( v13177(VarCurr)
    <=> ( ( v13178(VarCurr,bitIndex1)
        <=> $true )
        & ( v13178(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2891,axiom,(
    ! [VarCurr] :
      ( v13178(VarCurr,bitIndex0)
    <=> v13154(VarCurr) ) )).

fof(addAssignment_2890,axiom,(
    ! [VarCurr] :
      ( v13178(VarCurr,bitIndex1)
    <=> v13120(VarCurr) ) )).

fof(addAssignment_2889,axiom,(
    ! [VarCurr] :
      ( ( v13175(VarCurr,bitIndex4)
      <=> v13108(VarCurr,bitIndex5) )
      & ( v13175(VarCurr,bitIndex3)
      <=> v13108(VarCurr,bitIndex4) )
      & ( v13175(VarCurr,bitIndex2)
      <=> v13108(VarCurr,bitIndex3) )
      & ( v13175(VarCurr,bitIndex1)
      <=> v13108(VarCurr,bitIndex2) )
      & ( v13175(VarCurr,bitIndex0)
      <=> v13108(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_2888,axiom,(
    ! [VarCurr] :
      ( v13175(VarCurr,bitIndex5)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_933,axiom,(
    ! [VarCurr] :
      ( v13173(VarCurr)
    <=> ( ( v13174(VarCurr,bitIndex1)
        <=> $false )
        & ( v13174(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_2887,axiom,(
    ! [VarCurr] :
      ( v13174(VarCurr,bitIndex0)
    <=> v13154(VarCurr) ) )).

fof(addAssignment_2886,axiom,(
    ! [VarCurr] :
      ( v13174(VarCurr,bitIndex1)
    <=> v13120(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_932,axiom,(
    ! [VarCurr] :
      ( v13171(VarCurr)
    <=> ( ( v13172(VarCurr,bitIndex1)
        <=> $false )
        & ( v13172(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2885,axiom,(
    ! [VarCurr] :
      ( v13172(VarCurr,bitIndex0)
    <=> v13154(VarCurr) ) )).

fof(addAssignment_2884,axiom,(
    ! [VarCurr] :
      ( v13172(VarCurr,bitIndex1)
    <=> v13120(VarCurr) ) )).

fof(writeUnaryOperator_1035,axiom,(
    ! [VarCurr] :
      ( ~ v13169(VarCurr)
    <=> v13110(VarCurr) ) )).

fof(addAssignment_2883,axiom,(
    ! [VarCurr] :
      ( v13165(VarCurr,bitIndex1)
    <=> v13166(VarCurr,bitIndex1) ) )).

fof(addAssignment_2882,axiom,(
    ! [VarCurr] :
      ( v13166(VarCurr,bitIndex0)
    <=> $false ) )).

fof(addAssignment_2881,axiom,(
    ! [VarCurr] :
      ( ( v13166(VarCurr,bitIndex5)
      <=> v13108(VarCurr,bitIndex4) )
      & ( v13166(VarCurr,bitIndex4)
      <=> v13108(VarCurr,bitIndex3) )
      & ( v13166(VarCurr,bitIndex3)
      <=> v13108(VarCurr,bitIndex2) )
      & ( v13166(VarCurr,bitIndex2)
      <=> v13108(VarCurr,bitIndex1) )
      & ( v13166(VarCurr,bitIndex1)
      <=> v13108(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_2880,axiom,(
    ! [VarCurr] :
      ( v13120(VarCurr)
    <=> v13122(VarCurr) ) )).

fof(addAssignment_2879,axiom,(
    ! [VarCurr] :
      ( v13122(VarCurr)
    <=> v13124(VarCurr) ) )).

fof(addAssignment_2878,axiom,(
    ! [VarCurr] :
      ( v13124(VarCurr)
    <=> v13126(VarCurr) ) )).

fof(addAssignment_2877,axiom,(
    ! [VarCurr] :
      ( v13126(VarCurr)
    <=> v13128(VarCurr) ) )).

fof(addAssignment_2876,axiom,(
    ! [VarCurr] :
      ( v13128(VarCurr)
    <=> v13130(VarCurr) ) )).

fof(addAssignment_2875,axiom,(
    ! [VarCurr] :
      ( v13130(VarCurr)
    <=> v13132(VarCurr) ) )).

fof(addAssignment_2874,axiom,(
    ! [VarCurr] :
      ( v13132(VarCurr)
    <=> v13134(VarCurr) ) )).

fof(addAssignment_2873,axiom,(
    ! [VarCurr] :
      ( v13134(VarCurr)
    <=> v13088(VarCurr,bitIndex1) ) )).

fof(addAssignment_2872,axiom,(
    ! [VarNext] :
      ( v13088(VarNext,bitIndex1)
    <=> v13138(VarNext,bitIndex0) ) )).

fof(addCaseBooleanConditionShiftedRanges1_20,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13139(VarNext)
       => ( ( v13138(VarNext,bitIndex1)
          <=> v13088(VarCurr,bitIndex2) )
          & ( v13138(VarNext,bitIndex0)
          <=> v13088(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_170,axiom,(
    ! [VarNext] :
      ( v13139(VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v13138(VarNext,B)
          <=> v13149(VarNext,B) ) ) ) )).

fof(addAssignment_2871,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v13149(VarNext,B)
          <=> v13147(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_52,axiom,(
    ! [VarCurr] :
      ( ~ v13150(VarCurr)
     => ( ( v13147(VarCurr,bitIndex1)
        <=> v2986(VarCurr,bitIndex2) )
        & ( v13147(VarCurr,bitIndex0)
        <=> v2986(VarCurr,bitIndex1) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_345,axiom,(
    ! [VarCurr] :
      ( v13150(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v13147(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_1034,axiom,(
    ! [VarCurr] :
      ( ~ v13150(VarCurr)
    <=> v13090(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3070,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13139(VarNext)
      <=> v13140(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3069,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13140(VarNext)
      <=> ( v13141(VarNext)
          & v13136(VarNext) ) ) ) )).

fof(writeUnaryOperator_1033,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v13141(VarNext)
      <=> v13143(VarNext) ) ) )).

fof(addAssignment_2870,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13143(VarNext)
      <=> v13136(VarCurr) ) ) )).

fof(addAssignment_2869,axiom,(
    ! [VarCurr] :
      ( v13136(VarCurr)
    <=> v3025(VarCurr) ) )).

fof(addAssignment_2868,axiom,(
    ! [VarCurr] :
      ( v13110(VarCurr)
    <=> v13112(VarCurr) ) )).

fof(addAssignment_2867,axiom,(
    ! [VarCurr] :
      ( v13112(VarCurr)
    <=> v13114(VarCurr) ) )).

fof(addAssignment_2866,axiom,(
    ! [VarCurr] :
      ( v13114(VarCurr)
    <=> v13116(VarCurr) ) )).

fof(addAssignment_2865,axiom,(
    ! [VarCurr] :
      ( v13116(VarCurr)
    <=> v16(VarCurr) ) )).

fof(addAssignment_2864,axiom,(
    ! [VarCurr] :
      ( v13090(VarCurr)
    <=> v2925(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3068,axiom,(
    ! [VarCurr] :
      ( v13072(VarCurr)
    <=> ( v13086(VarCurr)
        | v3048(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3067,axiom,(
    ! [VarCurr] :
      ( v13086(VarCurr)
    <=> ( v13074(VarCurr)
        | v13084(VarCurr) ) ) )).

fof(addAssignment_2863,axiom,(
    ! [VarCurr] :
      ( v13084(VarCurr)
    <=> v2937(VarCurr) ) )).

fof(addAssignment_2862,axiom,(
    ! [VarCurr] :
      ( v13074(VarCurr)
    <=> v13076(VarCurr) ) )).

fof(addAssignment_2861,axiom,(
    ! [VarCurr] :
      ( v13076(VarCurr)
    <=> v13078(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_341,axiom,(
    ! [VarCurr] :
      ( ~ v13080(VarCurr)
     => ( v13078(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_344,axiom,(
    ! [VarCurr] :
      ( v13080(VarCurr)
     => ( v13078(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3066,axiom,(
    ! [VarCurr] :
      ( v13080(VarCurr)
    <=> ( v13081(VarCurr)
        | v13082(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3065,axiom,(
    ! [VarCurr] :
      ( v13082(VarCurr)
    <=> ( v7885(VarCurr)
        & v11594(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3064,axiom,(
    ! [VarCurr] :
      ( v13081(VarCurr)
    <=> ( v3054(VarCurr)
        & v11579(VarCurr) ) ) )).

fof(addAssignment_2860,axiom,(
    ! [VarCurr] :
      ( v13064(VarCurr)
    <=> v2925(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_149,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12990(VarNext)
       => ( v12987(VarNext)
        <=> v12987(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_169,axiom,(
    ! [VarNext] :
      ( v12990(VarNext)
     => ( v12987(VarNext)
      <=> v13004(VarNext) ) ) )).

fof(addAssignment_2859,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v13004(VarNext)
      <=> v13002(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges1_2,axiom,(
    ! [VarCurr] :
      ( ~ v12999(VarCurr)
     => ( v13002(VarCurr)
      <=> v13005(VarCurr,bitIndex5) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_515,axiom,(
    ! [VarCurr] :
      ( v12999(VarCurr)
     => ( v13002(VarCurr)
      <=> $false ) ) )).

fof(addAssignment_2858,axiom,(
    ! [VarCurr] :
      ( v13005(VarCurr,bitIndex0)
    <=> v13034(VarCurr) ) )).

fof(addAssignment_2857,axiom,(
    ! [VarCurr] :
      ( v13005(VarCurr,bitIndex1)
    <=> v13032(VarCurr) ) )).

fof(addAssignment_2856,axiom,(
    ! [VarCurr] :
      ( v13005(VarCurr,bitIndex2)
    <=> v13027(VarCurr) ) )).

fof(addAssignment_2855,axiom,(
    ! [VarCurr] :
      ( v13005(VarCurr,bitIndex3)
    <=> v13022(VarCurr) ) )).

fof(addAssignment_2854,axiom,(
    ! [VarCurr] :
      ( v13005(VarCurr,bitIndex4)
    <=> v13017(VarCurr) ) )).

fof(addAssignment_2853,axiom,(
    ! [VarCurr] :
      ( v13005(VarCurr,bitIndex5)
    <=> v13007(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3063,axiom,(
    ! [VarCurr] :
      ( v13032(VarCurr)
    <=> ( v13033(VarCurr)
        & v13036(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_308,axiom,(
    ! [VarCurr] :
      ( v13036(VarCurr)
    <=> ( v13014(VarCurr,bitIndex0)
        | v13014(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3062,axiom,(
    ! [VarCurr] :
      ( v13033(VarCurr)
    <=> ( v13034(VarCurr)
        | v13035(VarCurr) ) ) )).

fof(writeUnaryOperator_1032,axiom,(
    ! [VarCurr] :
      ( ~ v13035(VarCurr)
    <=> v13014(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_1031,axiom,(
    ! [VarCurr] :
      ( ~ v13034(VarCurr)
    <=> v13014(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3061,axiom,(
    ! [VarCurr] :
      ( v13027(VarCurr)
    <=> ( v13028(VarCurr)
        & v13031(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_307,axiom,(
    ! [VarCurr] :
      ( v13031(VarCurr)
    <=> ( v13013(VarCurr)
        | v13014(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3060,axiom,(
    ! [VarCurr] :
      ( v13028(VarCurr)
    <=> ( v13029(VarCurr)
        | v13030(VarCurr) ) ) )).

fof(writeUnaryOperator_1030,axiom,(
    ! [VarCurr] :
      ( ~ v13030(VarCurr)
    <=> v13014(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_1029,axiom,(
    ! [VarCurr] :
      ( ~ v13029(VarCurr)
    <=> v13013(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3059,axiom,(
    ! [VarCurr] :
      ( v13022(VarCurr)
    <=> ( v13023(VarCurr)
        & v13026(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_306,axiom,(
    ! [VarCurr] :
      ( v13026(VarCurr)
    <=> ( v13012(VarCurr)
        | v13014(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3058,axiom,(
    ! [VarCurr] :
      ( v13023(VarCurr)
    <=> ( v13024(VarCurr)
        | v13025(VarCurr) ) ) )).

fof(writeUnaryOperator_1028,axiom,(
    ! [VarCurr] :
      ( ~ v13025(VarCurr)
    <=> v13014(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_1027,axiom,(
    ! [VarCurr] :
      ( ~ v13024(VarCurr)
    <=> v13012(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3057,axiom,(
    ! [VarCurr] :
      ( v13017(VarCurr)
    <=> ( v13018(VarCurr)
        & v13021(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_305,axiom,(
    ! [VarCurr] :
      ( v13021(VarCurr)
    <=> ( v13011(VarCurr)
        | v13014(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3056,axiom,(
    ! [VarCurr] :
      ( v13018(VarCurr)
    <=> ( v13019(VarCurr)
        | v13020(VarCurr) ) ) )).

fof(writeUnaryOperator_1026,axiom,(
    ! [VarCurr] :
      ( ~ v13020(VarCurr)
    <=> v13014(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_1025,axiom,(
    ! [VarCurr] :
      ( ~ v13019(VarCurr)
    <=> v13011(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3055,axiom,(
    ! [VarCurr] :
      ( v13007(VarCurr)
    <=> ( v13008(VarCurr)
        & v13016(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_304,axiom,(
    ! [VarCurr] :
      ( v13016(VarCurr)
    <=> ( v13010(VarCurr)
        | v13014(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3054,axiom,(
    ! [VarCurr] :
      ( v13008(VarCurr)
    <=> ( v13009(VarCurr)
        | v13015(VarCurr) ) ) )).

fof(writeUnaryOperator_1024,axiom,(
    ! [VarCurr] :
      ( ~ v13015(VarCurr)
    <=> v13014(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_1023,axiom,(
    ! [VarCurr] :
      ( ~ v13009(VarCurr)
    <=> v13010(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_303,axiom,(
    ! [VarCurr] :
      ( v13010(VarCurr)
    <=> ( v13011(VarCurr)
        & v13014(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_302,axiom,(
    ! [VarCurr] :
      ( v13011(VarCurr)
    <=> ( v13012(VarCurr)
        & v13014(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_301,axiom,(
    ! [VarCurr] :
      ( v13012(VarCurr)
    <=> ( v13013(VarCurr)
        & v13014(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_300,axiom,(
    ! [VarCurr] :
      ( v13013(VarCurr)
    <=> ( v13014(VarCurr,bitIndex0)
        & v13014(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_2852,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v13014(VarCurr,B)
      <=> v11618(VarCurr,B) ) ) )).

fof(addAssignment_2851,axiom,(
    ! [VarCurr] :
      ( v13014(VarCurr,bitIndex5)
    <=> v12987(VarCurr) ) )).

fof(addAssignmentInitValueVector_24,axiom,(
    ! [B] :
      ( range_4_0(B)
     => ( v11618(constB0,B)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3053,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12990(VarNext)
      <=> ( v12991(VarNext)
          & v12998(VarNext) ) ) ) )).

fof(addAssignment_2850,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12998(VarNext)
      <=> v12996(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3052,axiom,(
    ! [VarCurr] :
      ( v12996(VarCurr)
    <=> ( v12999(VarCurr)
        | v13000(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3051,axiom,(
    ! [VarCurr] :
      ( v13000(VarCurr)
    <=> ( v11620(VarCurr)
        & v13001(VarCurr) ) ) )).

fof(writeUnaryOperator_1022,axiom,(
    ! [VarCurr] :
      ( ~ v13001(VarCurr)
    <=> v12999(VarCurr) ) )).

fof(writeUnaryOperator_1021,axiom,(
    ! [VarCurr] :
      ( ~ v12999(VarCurr)
    <=> v2726(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3050,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12991(VarNext)
      <=> ( v12992(VarNext)
          & v2820(VarNext) ) ) ) )).

fof(writeUnaryOperator_1020,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12992(VarNext)
      <=> v2827(VarNext) ) ) )).

fof(addAssignmentInitValueVector_23,axiom,
    ( v12987(constB0)
  <=> $false )).

fof(addAssignment_2849,axiom,(
    ! [VarCurr] :
      ( v12966(VarCurr)
    <=> v12968(VarCurr) ) )).

fof(addAssignment_2848,axiom,(
    ! [VarCurr] :
      ( v12968(VarCurr)
    <=> v12970(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_340,axiom,(
    ! [VarCurr] :
      ( ~ v12976(VarCurr)
     => ( v12970(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_343,axiom,(
    ! [VarCurr] :
      ( v12976(VarCurr)
     => ( v12970(VarCurr)
      <=> v12979(VarCurr) ) ) )).

fof(writeUnaryOperator_1019,axiom,(
    ! [VarCurr] :
      ( ~ v12979(VarCurr)
    <=> v12972(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3049,axiom,(
    ! [VarCurr] :
      ( v12976(VarCurr)
    <=> ( v12977(VarCurr)
        | v12978(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_931,axiom,(
    ! [VarCurr] :
      ( v12978(VarCurr)
    <=> ( ( v2711(VarCurr,bitIndex6)
        <=> $true )
        & ( v2711(VarCurr,bitIndex5)
        <=> $true )
        & ( v2711(VarCurr,bitIndex4)
        <=> $false )
        & ( v2711(VarCurr,bitIndex3)
        <=> $false )
        & ( v2711(VarCurr,bitIndex2)
        <=> $false )
        & ( v2711(VarCurr,bitIndex1)
        <=> $false )
        & ( v2711(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_930,axiom,(
    ! [VarCurr] :
      ( v12977(VarCurr)
    <=> ( ( v2711(VarCurr,bitIndex6)
        <=> $true )
        & ( v2711(VarCurr,bitIndex5)
        <=> $false )
        & ( v2711(VarCurr,bitIndex4)
        <=> $false )
        & ( v2711(VarCurr,bitIndex3)
        <=> $false )
        & ( v2711(VarCurr,bitIndex2)
        <=> $false )
        & ( v2711(VarCurr,bitIndex1)
        <=> $false )
        & ( v2711(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2847,axiom,(
    ! [VarCurr] :
      ( v12972(VarCurr,bitIndex0)
    <=> v12974(VarCurr,bitIndex0) ) )).

fof(addAssignment_2846,axiom,(
    ! [VarCurr] :
      ( v12974(VarCurr,bitIndex0)
    <=> v652(VarCurr,bitIndex12) ) )).

fof(addAssignment_2845,axiom,(
    ! [VarCurr] :
      ( v652(VarCurr,bitIndex12)
    <=> v654(VarCurr,bitIndex12) ) )).

fof(addAssignment_2844,axiom,(
    ! [VarCurr] :
      ( v654(VarCurr,bitIndex12)
    <=> v2670(VarCurr,bitIndex12) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3048,axiom,(
    ! [VarCurr] :
      ( v12948(VarCurr)
    <=> ( v12950(VarCurr)
        & v12960(VarCurr) ) ) )).

fof(writeUnaryOperator_1018,axiom,(
    ! [VarCurr] :
      ( ~ v12960(VarCurr)
    <=> v2718(VarCurr) ) )).

fof(addAssignment_2843,axiom,(
    ! [VarCurr] :
      ( v12950(VarCurr)
    <=> v12952(VarCurr) ) )).

fof(addAssignment_2842,axiom,(
    ! [VarCurr] :
      ( v12952(VarCurr)
    <=> v12954(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_339,axiom,(
    ! [VarCurr] :
      ( ~ v12956(VarCurr)
     => ( v12954(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_342,axiom,(
    ! [VarCurr] :
      ( v12956(VarCurr)
     => ( v12954(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3047,axiom,(
    ! [VarCurr] :
      ( v12956(VarCurr)
    <=> ( v12957(VarCurr)
        & v12958(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_929,axiom,(
    ! [VarCurr] :
      ( v12958(VarCurr)
    <=> ( ( v2711(VarCurr,bitIndex6)
        <=> $true )
        & ( v2711(VarCurr,bitIndex5)
        <=> $false )
        & ( v2711(VarCurr,bitIndex4)
        <=> $false )
        & ( v2711(VarCurr,bitIndex3)
        <=> $true )
        & ( v2711(VarCurr,bitIndex2)
        <=> $false )
        & ( v2711(VarCurr,bitIndex1)
        <=> $true )
        & ( v2711(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeUnaryOperator_1017,axiom,(
    ! [VarCurr] :
      ( ~ v12957(VarCurr)
    <=> v648(VarCurr) ) )).

fof(addAssignment_2841,axiom,(
    ! [VarCurr] :
      ( v12946(VarCurr)
    <=> v11628(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_9,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v12933(VarCurr,B)
      <=> ( v11632(VarCurr,B)
          & v12938(VarCurr,B) ) ) ) )).

fof(writeUnaryOperator_1016,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v12938(VarCurr,B)
      <=> ~ v12935(VarCurr,B) ) ) )).

fof(writeBinaryOperatorShiftedRanges_299,axiom,(
    ! [VarCurr] :
      ( v12935(VarCurr,bitIndex1)
    <=> ( v12935(VarCurr,bitIndex0)
        | v11632(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorShiftedRanges_298,axiom,(
    ! [VarCurr] :
      ( v12935(VarCurr,bitIndex2)
    <=> ( v12935(VarCurr,bitIndex1)
        | v11632(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorShiftedRanges_297,axiom,(
    ! [VarCurr] :
      ( v12935(VarCurr,bitIndex3)
    <=> ( v12935(VarCurr,bitIndex2)
        | v11632(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_296,axiom,(
    ! [VarCurr] :
      ( v12935(VarCurr,bitIndex4)
    <=> ( v12935(VarCurr,bitIndex3)
        | v11632(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_295,axiom,(
    ! [VarCurr] :
      ( v12935(VarCurr,bitIndex5)
    <=> ( v12935(VarCurr,bitIndex4)
        | v11632(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_294,axiom,(
    ! [VarCurr] :
      ( v12935(VarCurr,bitIndex6)
    <=> ( v12935(VarCurr,bitIndex5)
        | v11632(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_293,axiom,(
    ! [VarCurr] :
      ( v12935(VarCurr,bitIndex7)
    <=> ( v12935(VarCurr,bitIndex6)
        | v11632(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_292,axiom,(
    ! [VarCurr] :
      ( v12935(VarCurr,bitIndex8)
    <=> ( v12935(VarCurr,bitIndex7)
        | v11632(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_291,axiom,(
    ! [VarCurr] :
      ( v12935(VarCurr,bitIndex9)
    <=> ( v12935(VarCurr,bitIndex8)
        | v11632(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorShiftedRanges_290,axiom,(
    ! [VarCurr] :
      ( v12935(VarCurr,bitIndex10)
    <=> ( v12935(VarCurr,bitIndex9)
        | v11632(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorShiftedRanges_289,axiom,(
    ! [VarCurr] :
      ( v12935(VarCurr,bitIndex11)
    <=> ( v12935(VarCurr,bitIndex10)
        | v11632(VarCurr,bitIndex10) ) ) )).

fof(writeBinaryOperatorShiftedRanges_288,axiom,(
    ! [VarCurr] :
      ( v12935(VarCurr,bitIndex12)
    <=> ( v12935(VarCurr,bitIndex11)
        | v11632(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorShiftedRanges_287,axiom,(
    ! [VarCurr] :
      ( v12935(VarCurr,bitIndex13)
    <=> ( v12935(VarCurr,bitIndex12)
        | v11632(VarCurr,bitIndex12) ) ) )).

fof(writeBinaryOperatorShiftedRanges_286,axiom,(
    ! [VarCurr] :
      ( v12935(VarCurr,bitIndex14)
    <=> ( v12935(VarCurr,bitIndex13)
        | v11632(VarCurr,bitIndex13) ) ) )).

fof(writeBinaryOperatorShiftedRanges_285,axiom,(
    ! [VarCurr] :
      ( v12935(VarCurr,bitIndex15)
    <=> ( v12935(VarCurr,bitIndex14)
        | v11632(VarCurr,bitIndex14) ) ) )).

fof(addAssignmentInitValueVector_22,axiom,(
    ! [B] :
      ( range_15_0(B)
     => ( v11632(constB0,B)
      <=> $true ) ) )).

fof(bitBlastConstant_7285,axiom,(
    b1111111111111111(bitIndex15) )).

fof(bitBlastConstant_7284,axiom,(
    b1111111111111111(bitIndex14) )).

fof(bitBlastConstant_7283,axiom,(
    b1111111111111111(bitIndex13) )).

fof(bitBlastConstant_7282,axiom,(
    b1111111111111111(bitIndex12) )).

fof(bitBlastConstant_7281,axiom,(
    b1111111111111111(bitIndex11) )).

fof(bitBlastConstant_7280,axiom,(
    b1111111111111111(bitIndex10) )).

fof(bitBlastConstant_7279,axiom,(
    b1111111111111111(bitIndex9) )).

fof(bitBlastConstant_7278,axiom,(
    b1111111111111111(bitIndex8) )).

fof(bitBlastConstant_7277,axiom,(
    b1111111111111111(bitIndex7) )).

fof(bitBlastConstant_7276,axiom,(
    b1111111111111111(bitIndex6) )).

fof(bitBlastConstant_7275,axiom,(
    b1111111111111111(bitIndex5) )).

fof(bitBlastConstant_7274,axiom,(
    b1111111111111111(bitIndex4) )).

fof(bitBlastConstant_7273,axiom,(
    b1111111111111111(bitIndex3) )).

fof(bitBlastConstant_7272,axiom,(
    b1111111111111111(bitIndex2) )).

fof(bitBlastConstant_7271,axiom,(
    b1111111111111111(bitIndex1) )).

fof(bitBlastConstant_7270,axiom,(
    b1111111111111111(bitIndex0) )).

fof(addAssignment_2840,axiom,(
    ! [VarCurr] :
      ( v12935(VarCurr,bitIndex0)
    <=> $false ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_8,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v11639(VarCurr,B)
      <=> ( v11641(VarCurr,B)
          | v11701(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_7,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v11701(VarCurr,B)
      <=> ( v11703(VarCurr,B)
          & v12927(VarCurr,B) ) ) ) )).

fof(addAssignment_2839,axiom,(
    ! [VarCurr] :
      ( v12927(VarCurr,bitIndex0)
    <=> v12928(VarCurr) ) )).

fof(addAssignment_2838,axiom,(
    ! [VarCurr] :
      ( v12927(VarCurr,bitIndex1)
    <=> v12928(VarCurr) ) )).

fof(addAssignment_2837,axiom,(
    ! [VarCurr] :
      ( v12927(VarCurr,bitIndex2)
    <=> v12928(VarCurr) ) )).

fof(addAssignment_2836,axiom,(
    ! [VarCurr] :
      ( v12927(VarCurr,bitIndex3)
    <=> v12928(VarCurr) ) )).

fof(addAssignment_2835,axiom,(
    ! [VarCurr] :
      ( v12927(VarCurr,bitIndex4)
    <=> v12928(VarCurr) ) )).

fof(addAssignment_2834,axiom,(
    ! [VarCurr] :
      ( v12927(VarCurr,bitIndex5)
    <=> v12928(VarCurr) ) )).

fof(addAssignment_2833,axiom,(
    ! [VarCurr] :
      ( v12927(VarCurr,bitIndex6)
    <=> v12928(VarCurr) ) )).

fof(addAssignment_2832,axiom,(
    ! [VarCurr] :
      ( v12927(VarCurr,bitIndex7)
    <=> v12928(VarCurr) ) )).

fof(addAssignment_2831,axiom,(
    ! [VarCurr] :
      ( v12927(VarCurr,bitIndex8)
    <=> v12928(VarCurr) ) )).

fof(addAssignment_2830,axiom,(
    ! [VarCurr] :
      ( v12927(VarCurr,bitIndex9)
    <=> v12928(VarCurr) ) )).

fof(addAssignment_2829,axiom,(
    ! [VarCurr] :
      ( v12927(VarCurr,bitIndex10)
    <=> v12928(VarCurr) ) )).

fof(addAssignment_2828,axiom,(
    ! [VarCurr] :
      ( v12927(VarCurr,bitIndex11)
    <=> v12928(VarCurr) ) )).

fof(addAssignment_2827,axiom,(
    ! [VarCurr] :
      ( v12927(VarCurr,bitIndex12)
    <=> v12928(VarCurr) ) )).

fof(addAssignment_2826,axiom,(
    ! [VarCurr] :
      ( v12927(VarCurr,bitIndex13)
    <=> v12928(VarCurr) ) )).

fof(addAssignment_2825,axiom,(
    ! [VarCurr] :
      ( v12927(VarCurr,bitIndex14)
    <=> v12928(VarCurr) ) )).

fof(addAssignment_2824,axiom,(
    ! [VarCurr] :
      ( v12927(VarCurr,bitIndex15)
    <=> v12928(VarCurr) ) )).

fof(addAssignment_2823,axiom,(
    ! [VarCurr] :
      ( v12928(VarCurr)
    <=> v12902(VarCurr) ) )).

fof(addAssignment_2822,axiom,(
    ! [VarCurr] :
      ( v12902(VarCurr)
    <=> v12904(VarCurr) ) )).

fof(addAssignment_2821,axiom,(
    ! [VarCurr] :
      ( v12904(VarCurr)
    <=> v12906(VarCurr) ) )).

fof(addAssignment_2820,axiom,(
    ! [VarCurr] :
      ( v12906(VarCurr)
    <=> v12908(VarCurr) ) )).

fof(addAssignment_2819,axiom,(
    ! [VarCurr] :
      ( v12908(VarCurr)
    <=> v12910(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_148,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12913(VarNext)
       => ( v12910(VarNext)
        <=> v12910(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_168,axiom,(
    ! [VarNext] :
      ( v12913(VarNext)
     => ( v12910(VarNext)
      <=> v12921(VarNext) ) ) )).

fof(addAssignment_2818,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12921(VarNext)
      <=> v12919(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_338,axiom,(
    ! [VarCurr] :
      ( ~ v12922(VarCurr)
     => ( v12919(VarCurr)
      <=> v12923(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_341,axiom,(
    ! [VarCurr] :
      ( v12922(VarCurr)
     => ( v12919(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_337,axiom,(
    ! [VarCurr] :
      ( ~ v11833(VarCurr)
     => ( v12923(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_340,axiom,(
    ! [VarCurr] :
      ( v11833(VarCurr)
     => ( v12923(VarCurr)
      <=> $true ) ) )).

fof(writeUnaryOperator_1015,axiom,(
    ! [VarCurr] :
      ( ~ v12922(VarCurr)
    <=> v33(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3046,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12913(VarNext)
      <=> v12914(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3045,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12914(VarNext)
      <=> ( v12915(VarNext)
          & v12213(VarNext) ) ) ) )).

fof(writeUnaryOperator_1014,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12915(VarNext)
      <=> v12220(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_51,axiom,(
    ! [VarCurr] :
      ( ~ v12900(VarCurr)
     => ( v11703(VarCurr,bitIndex15)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_48,axiom,(
    ! [VarCurr] :
      ( v12900(VarCurr)
     => ( v11703(VarCurr,bitIndex15)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_928,axiom,(
    ! [VarCurr] :
      ( v12900(VarCurr)
    <=> ( ( v11705(VarCurr,bitIndex3)
        <=> $true )
        & ( v11705(VarCurr,bitIndex2)
        <=> $true )
        & ( v11705(VarCurr,bitIndex1)
        <=> $true )
        & ( v11705(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_50,axiom,(
    ! [VarCurr] :
      ( ~ v12898(VarCurr)
     => ( v11703(VarCurr,bitIndex14)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_47,axiom,(
    ! [VarCurr] :
      ( v12898(VarCurr)
     => ( v11703(VarCurr,bitIndex14)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_927,axiom,(
    ! [VarCurr] :
      ( v12898(VarCurr)
    <=> ( ( v11705(VarCurr,bitIndex3)
        <=> $true )
        & ( v11705(VarCurr,bitIndex2)
        <=> $true )
        & ( v11705(VarCurr,bitIndex1)
        <=> $true )
        & ( v11705(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_49,axiom,(
    ! [VarCurr] :
      ( ~ v12896(VarCurr)
     => ( v11703(VarCurr,bitIndex13)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_46,axiom,(
    ! [VarCurr] :
      ( v12896(VarCurr)
     => ( v11703(VarCurr,bitIndex13)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_926,axiom,(
    ! [VarCurr] :
      ( v12896(VarCurr)
    <=> ( ( v11705(VarCurr,bitIndex3)
        <=> $true )
        & ( v11705(VarCurr,bitIndex2)
        <=> $true )
        & ( v11705(VarCurr,bitIndex1)
        <=> $false )
        & ( v11705(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_48,axiom,(
    ! [VarCurr] :
      ( ~ v12894(VarCurr)
     => ( v11703(VarCurr,bitIndex12)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_45,axiom,(
    ! [VarCurr] :
      ( v12894(VarCurr)
     => ( v11703(VarCurr,bitIndex12)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_925,axiom,(
    ! [VarCurr] :
      ( v12894(VarCurr)
    <=> ( ( v11705(VarCurr,bitIndex3)
        <=> $true )
        & ( v11705(VarCurr,bitIndex2)
        <=> $true )
        & ( v11705(VarCurr,bitIndex1)
        <=> $false )
        & ( v11705(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_47,axiom,(
    ! [VarCurr] :
      ( ~ v12892(VarCurr)
     => ( v11703(VarCurr,bitIndex11)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_44,axiom,(
    ! [VarCurr] :
      ( v12892(VarCurr)
     => ( v11703(VarCurr,bitIndex11)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_924,axiom,(
    ! [VarCurr] :
      ( v12892(VarCurr)
    <=> ( ( v11705(VarCurr,bitIndex3)
        <=> $true )
        & ( v11705(VarCurr,bitIndex2)
        <=> $false )
        & ( v11705(VarCurr,bitIndex1)
        <=> $true )
        & ( v11705(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_46,axiom,(
    ! [VarCurr] :
      ( ~ v12890(VarCurr)
     => ( v11703(VarCurr,bitIndex10)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_43,axiom,(
    ! [VarCurr] :
      ( v12890(VarCurr)
     => ( v11703(VarCurr,bitIndex10)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_923,axiom,(
    ! [VarCurr] :
      ( v12890(VarCurr)
    <=> ( ( v11705(VarCurr,bitIndex3)
        <=> $true )
        & ( v11705(VarCurr,bitIndex2)
        <=> $false )
        & ( v11705(VarCurr,bitIndex1)
        <=> $true )
        & ( v11705(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_45,axiom,(
    ! [VarCurr] :
      ( ~ v12888(VarCurr)
     => ( v11703(VarCurr,bitIndex9)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_42,axiom,(
    ! [VarCurr] :
      ( v12888(VarCurr)
     => ( v11703(VarCurr,bitIndex9)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_922,axiom,(
    ! [VarCurr] :
      ( v12888(VarCurr)
    <=> ( ( v11705(VarCurr,bitIndex3)
        <=> $true )
        & ( v11705(VarCurr,bitIndex2)
        <=> $false )
        & ( v11705(VarCurr,bitIndex1)
        <=> $false )
        & ( v11705(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_44,axiom,(
    ! [VarCurr] :
      ( ~ v12886(VarCurr)
     => ( v11703(VarCurr,bitIndex8)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_41,axiom,(
    ! [VarCurr] :
      ( v12886(VarCurr)
     => ( v11703(VarCurr,bitIndex8)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_921,axiom,(
    ! [VarCurr] :
      ( v12886(VarCurr)
    <=> ( ( v11705(VarCurr,bitIndex3)
        <=> $true )
        & ( v11705(VarCurr,bitIndex2)
        <=> $false )
        & ( v11705(VarCurr,bitIndex1)
        <=> $false )
        & ( v11705(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_43,axiom,(
    ! [VarCurr] :
      ( ~ v12884(VarCurr)
     => ( v11703(VarCurr,bitIndex7)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_40,axiom,(
    ! [VarCurr] :
      ( v12884(VarCurr)
     => ( v11703(VarCurr,bitIndex7)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_920,axiom,(
    ! [VarCurr] :
      ( v12884(VarCurr)
    <=> ( ( v11705(VarCurr,bitIndex3)
        <=> $false )
        & ( v11705(VarCurr,bitIndex2)
        <=> $true )
        & ( v11705(VarCurr,bitIndex1)
        <=> $true )
        & ( v11705(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_42,axiom,(
    ! [VarCurr] :
      ( ~ v12882(VarCurr)
     => ( v11703(VarCurr,bitIndex6)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_39,axiom,(
    ! [VarCurr] :
      ( v12882(VarCurr)
     => ( v11703(VarCurr,bitIndex6)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_919,axiom,(
    ! [VarCurr] :
      ( v12882(VarCurr)
    <=> ( ( v11705(VarCurr,bitIndex3)
        <=> $false )
        & ( v11705(VarCurr,bitIndex2)
        <=> $true )
        & ( v11705(VarCurr,bitIndex1)
        <=> $true )
        & ( v11705(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_41,axiom,(
    ! [VarCurr] :
      ( ~ v12880(VarCurr)
     => ( v11703(VarCurr,bitIndex5)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_38,axiom,(
    ! [VarCurr] :
      ( v12880(VarCurr)
     => ( v11703(VarCurr,bitIndex5)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_918,axiom,(
    ! [VarCurr] :
      ( v12880(VarCurr)
    <=> ( ( v11705(VarCurr,bitIndex3)
        <=> $false )
        & ( v11705(VarCurr,bitIndex2)
        <=> $true )
        & ( v11705(VarCurr,bitIndex1)
        <=> $false )
        & ( v11705(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_40,axiom,(
    ! [VarCurr] :
      ( ~ v12878(VarCurr)
     => ( v11703(VarCurr,bitIndex4)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_37,axiom,(
    ! [VarCurr] :
      ( v12878(VarCurr)
     => ( v11703(VarCurr,bitIndex4)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_917,axiom,(
    ! [VarCurr] :
      ( v12878(VarCurr)
    <=> ( ( v11705(VarCurr,bitIndex3)
        <=> $false )
        & ( v11705(VarCurr,bitIndex2)
        <=> $true )
        & ( v11705(VarCurr,bitIndex1)
        <=> $false )
        & ( v11705(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_39,axiom,(
    ! [VarCurr] :
      ( ~ v12876(VarCurr)
     => ( v11703(VarCurr,bitIndex3)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_36,axiom,(
    ! [VarCurr] :
      ( v12876(VarCurr)
     => ( v11703(VarCurr,bitIndex3)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_916,axiom,(
    ! [VarCurr] :
      ( v12876(VarCurr)
    <=> ( ( v11705(VarCurr,bitIndex3)
        <=> $false )
        & ( v11705(VarCurr,bitIndex2)
        <=> $false )
        & ( v11705(VarCurr,bitIndex1)
        <=> $true )
        & ( v11705(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_38,axiom,(
    ! [VarCurr] :
      ( ~ v12874(VarCurr)
     => ( v11703(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_35,axiom,(
    ! [VarCurr] :
      ( v12874(VarCurr)
     => ( v11703(VarCurr,bitIndex2)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_915,axiom,(
    ! [VarCurr] :
      ( v12874(VarCurr)
    <=> ( ( v11705(VarCurr,bitIndex3)
        <=> $false )
        & ( v11705(VarCurr,bitIndex2)
        <=> $false )
        & ( v11705(VarCurr,bitIndex1)
        <=> $true )
        & ( v11705(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_37,axiom,(
    ! [VarCurr] :
      ( ~ v12872(VarCurr)
     => ( v11703(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_34,axiom,(
    ! [VarCurr] :
      ( v12872(VarCurr)
     => ( v11703(VarCurr,bitIndex1)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_914,axiom,(
    ! [VarCurr] :
      ( v12872(VarCurr)
    <=> ( ( v11705(VarCurr,bitIndex3)
        <=> $false )
        & ( v11705(VarCurr,bitIndex2)
        <=> $false )
        & ( v11705(VarCurr,bitIndex1)
        <=> $false )
        & ( v11705(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_336,axiom,(
    ! [VarCurr] :
      ( ~ v12870(VarCurr)
     => ( v11703(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_339,axiom,(
    ! [VarCurr] :
      ( v12870(VarCurr)
     => ( v11703(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_913,axiom,(
    ! [VarCurr] :
      ( v12870(VarCurr)
    <=> ( ( v11705(VarCurr,bitIndex3)
        <=> $false )
        & ( v11705(VarCurr,bitIndex2)
        <=> $false )
        & ( v11705(VarCurr,bitIndex1)
        <=> $false )
        & ( v11705(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2817,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v11705(VarCurr,B)
      <=> v11707(VarCurr,B) ) ) )).

fof(addAssignment_2816,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v11707(VarCurr,B)
      <=> v11709(VarCurr,B) ) ) )).

fof(addAssignment_2815,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v11709(VarCurr,B)
      <=> v11711(VarCurr,B) ) ) )).

fof(addAssignment_2814,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v11711(VarCurr,B)
      <=> v11713(VarCurr,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_147,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12855(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v11713(VarNext,B)
            <=> v11713(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_167,axiom,(
    ! [VarNext] :
      ( v12855(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v11713(VarNext,B)
          <=> v12865(VarNext,B) ) ) ) )).

fof(addAssignment_2813,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v12865(VarNext,B)
          <=> v12863(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_335,axiom,(
    ! [VarCurr] :
      ( ~ v12866(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v12863(VarCurr,B)
          <=> v11717(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_338,axiom,(
    ! [VarCurr] :
      ( v12866(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v12863(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_1013,axiom,(
    ! [VarCurr] :
      ( ~ v12866(VarCurr)
    <=> v11715(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3044,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12855(VarNext)
      <=> v12856(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3043,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12856(VarNext)
      <=> ( v12857(VarNext)
          & v12852(VarNext) ) ) ) )).

fof(writeUnaryOperator_1012,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12857(VarNext)
      <=> v12859(VarNext) ) ) )).

fof(addAssignment_2812,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12859(VarNext)
      <=> v12852(VarCurr) ) ) )).

fof(addAssignment_2811,axiom,(
    ! [VarCurr] :
      ( v12852(VarCurr)
    <=> v11731(VarCurr) ) )).

fof(addAssignment_2810,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v11717(VarCurr,B)
      <=> v11719(VarCurr,B) ) ) )).

fof(addAssignment_2809,axiom,(
    ! [VarCurr] :
      ( ( v11719(VarCurr,bitIndex3)
      <=> v11721(VarCurr,bitIndex14) )
      & ( v11719(VarCurr,bitIndex2)
      <=> v11721(VarCurr,bitIndex13) )
      & ( v11719(VarCurr,bitIndex1)
      <=> v11721(VarCurr,bitIndex12) )
      & ( v11719(VarCurr,bitIndex0)
      <=> v11721(VarCurr,bitIndex11) ) ) )).

fof(addAssignment_2808,axiom,(
    ! [VarCurr,B] :
      ( range_14_11(B)
     => ( v11721(VarCurr,B)
      <=> v11723(VarCurr,B) ) ) )).

fof(addAssignment_2807,axiom,(
    ! [VarCurr,B] :
      ( range_14_11(B)
     => ( v11723(VarCurr,B)
      <=> v11725(VarCurr,B) ) ) )).

fof(addAssignment_2806,axiom,(
    ! [VarCurr,B] :
      ( range_14_11(B)
     => ( v11725(VarCurr,B)
      <=> v11823(VarCurr,B) ) ) )).

fof(range_axiom_33,axiom,(
    ! [B] :
      ( range_14_11(B)
    <=> ( $false
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B ) ) )).

fof(addCaseBooleanConditionEqualRanges1_146,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12840(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v11825(VarNext,B)
            <=> v11825(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_166,axiom,(
    ! [VarNext] :
      ( v12840(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v11825(VarNext,B)
          <=> v12848(VarNext,B) ) ) ) )).

fof(addAssignment_2805,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v12848(VarNext,B)
          <=> v12846(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_334,axiom,(
    ! [VarCurr] :
      ( ~ v11797(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v12846(VarCurr,B)
          <=> v11827(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_337,axiom,(
    ! [VarCurr] :
      ( v11797(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v12846(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3042,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12840(VarNext)
      <=> v12841(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3041,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12841(VarNext)
      <=> ( v12843(VarNext)
          & v11729(VarNext) ) ) ) )).

fof(writeUnaryOperator_1011,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12843(VarNext)
      <=> v11790(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_333,axiom,(
    ! [VarCurr] :
      ( ~ v11829(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v11827(VarCurr,B)
          <=> v11825(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_336,axiom,(
    ! [VarCurr] :
      ( v11829(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v11827(VarCurr,B)
          <=> v12817(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_332,axiom,(
    ! [VarCurr] :
      ( ~ v12818(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v12817(VarCurr,B)
          <=> v12819(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_335,axiom,(
    ! [VarCurr] :
      ( v12818(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v12817(VarCurr,B)
          <=> $false ) ) ) )).

fof(addAssignment_2804,axiom,(
    ! [VarCurr] :
      ( v12819(VarCurr,bitIndex0)
    <=> v12835(VarCurr) ) )).

fof(addAssignment_2803,axiom,(
    ! [VarCurr] :
      ( v12819(VarCurr,bitIndex1)
    <=> v12833(VarCurr) ) )).

fof(addAssignment_2802,axiom,(
    ! [VarCurr] :
      ( v12819(VarCurr,bitIndex2)
    <=> v12828(VarCurr) ) )).

fof(addAssignment_2801,axiom,(
    ! [VarCurr] :
      ( v12819(VarCurr,bitIndex3)
    <=> v12821(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3040,axiom,(
    ! [VarCurr] :
      ( v12833(VarCurr)
    <=> ( v12834(VarCurr)
        & v12837(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_284,axiom,(
    ! [VarCurr] :
      ( v12837(VarCurr)
    <=> ( v11825(VarCurr,bitIndex0)
        | v11825(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3039,axiom,(
    ! [VarCurr] :
      ( v12834(VarCurr)
    <=> ( v12835(VarCurr)
        | v12836(VarCurr) ) ) )).

fof(writeUnaryOperator_1010,axiom,(
    ! [VarCurr] :
      ( ~ v12836(VarCurr)
    <=> v11825(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_1009,axiom,(
    ! [VarCurr] :
      ( ~ v12835(VarCurr)
    <=> v11825(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3038,axiom,(
    ! [VarCurr] :
      ( v12828(VarCurr)
    <=> ( v12829(VarCurr)
        & v12832(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_283,axiom,(
    ! [VarCurr] :
      ( v12832(VarCurr)
    <=> ( v12825(VarCurr)
        | v11825(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3037,axiom,(
    ! [VarCurr] :
      ( v12829(VarCurr)
    <=> ( v12830(VarCurr)
        | v12831(VarCurr) ) ) )).

fof(writeUnaryOperator_1008,axiom,(
    ! [VarCurr] :
      ( ~ v12831(VarCurr)
    <=> v11825(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_1007,axiom,(
    ! [VarCurr] :
      ( ~ v12830(VarCurr)
    <=> v12825(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3036,axiom,(
    ! [VarCurr] :
      ( v12821(VarCurr)
    <=> ( v12822(VarCurr)
        & v12827(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_282,axiom,(
    ! [VarCurr] :
      ( v12827(VarCurr)
    <=> ( v12824(VarCurr)
        | v11825(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3035,axiom,(
    ! [VarCurr] :
      ( v12822(VarCurr)
    <=> ( v12823(VarCurr)
        | v12826(VarCurr) ) ) )).

fof(writeUnaryOperator_1006,axiom,(
    ! [VarCurr] :
      ( ~ v12826(VarCurr)
    <=> v11825(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_1005,axiom,(
    ! [VarCurr] :
      ( ~ v12823(VarCurr)
    <=> v12824(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_281,axiom,(
    ! [VarCurr] :
      ( v12824(VarCurr)
    <=> ( v12825(VarCurr)
        & v11825(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_280,axiom,(
    ! [VarCurr] :
      ( v12825(VarCurr)
    <=> ( v11825(VarCurr,bitIndex0)
        & v11825(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_912,axiom,(
    ! [VarCurr] :
      ( v12818(VarCurr)
    <=> ( ( v11825(VarCurr,bitIndex3)
        <=> $true )
        & ( v11825(VarCurr,bitIndex2)
        <=> $true )
        & ( v11825(VarCurr,bitIndex1)
        <=> $true )
        & ( v11825(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_2800,axiom,(
    ! [VarCurr] :
      ( v11829(VarCurr)
    <=> v11831(VarCurr) ) )).

fof(addAssignment_2799,axiom,(
    ! [VarCurr] :
      ( v11831(VarCurr)
    <=> v11833(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3034,axiom,(
    ! [VarCurr] :
      ( v11833(VarCurr)
    <=> ( v12814(VarCurr)
        | v11978(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3033,axiom,(
    ! [VarCurr] :
      ( v12814(VarCurr)
    <=> ( v12815(VarCurr)
        | v85(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3032,axiom,(
    ! [VarCurr] :
      ( v12815(VarCurr)
    <=> ( v11835(VarCurr)
        | v11957(VarCurr) ) ) )).

fof(addAssignment_2798,axiom,(
    ! [VarCurr] :
      ( v11978(VarCurr)
    <=> v31(VarCurr,bitIndex1) ) )).

fof(addAssignment_2797,axiom,(
    ! [VarNext] :
      ( v31(VarNext,bitIndex1)
    <=> v12806(VarNext,bitIndex0) ) )).

fof(addCaseBooleanConditionShiftedRanges1_19,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12807(VarNext)
       => ( ( v12806(VarNext,bitIndex10)
          <=> v31(VarCurr,bitIndex11) )
          & ( v12806(VarNext,bitIndex9)
          <=> v31(VarCurr,bitIndex10) )
          & ( v12806(VarNext,bitIndex8)
          <=> v31(VarCurr,bitIndex9) )
          & ( v12806(VarNext,bitIndex7)
          <=> v31(VarCurr,bitIndex8) )
          & ( v12806(VarNext,bitIndex6)
          <=> v31(VarCurr,bitIndex7) )
          & ( v12806(VarNext,bitIndex5)
          <=> v31(VarCurr,bitIndex6) )
          & ( v12806(VarNext,bitIndex4)
          <=> v31(VarCurr,bitIndex5) )
          & ( v12806(VarNext,bitIndex3)
          <=> v31(VarCurr,bitIndex4) )
          & ( v12806(VarNext,bitIndex2)
          <=> v31(VarCurr,bitIndex3) )
          & ( v12806(VarNext,bitIndex1)
          <=> v31(VarCurr,bitIndex2) )
          & ( v12806(VarNext,bitIndex0)
          <=> v31(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_165,axiom,(
    ! [VarNext] :
      ( v12807(VarNext)
     => ! [B] :
          ( range_10_0(B)
         => ( v12806(VarNext,B)
          <=> v12226(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3031,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12807(VarNext)
      <=> v12808(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3030,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12808(VarNext)
      <=> ( v12810(VarNext)
          & v12213(VarNext) ) ) ) )).

fof(writeUnaryOperator_1004,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12810(VarNext)
      <=> v12220(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_36,axiom,(
    ! [VarCurr] :
      ( ~ v12783(VarCurr)
     => ( v36(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_33,axiom,(
    ! [VarCurr] :
      ( v12783(VarCurr)
     => ( v36(VarCurr,bitIndex1)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3029,axiom,(
    ! [VarCurr] :
      ( v12783(VarCurr)
    <=> ( v12784(VarCurr)
        | v12803(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3028,axiom,(
    ! [VarCurr] :
      ( v12803(VarCurr)
    <=> ( v12804(VarCurr)
        & v12296(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3027,axiom,(
    ! [VarCurr] :
      ( v12804(VarCurr)
    <=> ( v12652(VarCurr)
        & v12006(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3026,axiom,(
    ! [VarCurr] :
      ( v12784(VarCurr)
    <=> ( v12785(VarCurr)
        | v12801(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3025,axiom,(
    ! [VarCurr] :
      ( v12801(VarCurr)
    <=> ( v12802(VarCurr)
        & v12273(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3024,axiom,(
    ! [VarCurr] :
      ( v12802(VarCurr)
    <=> ( v12664(VarCurr)
        & v12006(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3023,axiom,(
    ! [VarCurr] :
      ( v12785(VarCurr)
    <=> ( v12786(VarCurr)
        | v12799(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3022,axiom,(
    ! [VarCurr] :
      ( v12799(VarCurr)
    <=> ( v12800(VarCurr)
        & v12333(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3021,axiom,(
    ! [VarCurr] :
      ( v12800(VarCurr)
    <=> ( v12652(VarCurr)
        & v12006(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3020,axiom,(
    ! [VarCurr] :
      ( v12786(VarCurr)
    <=> ( v12787(VarCurr)
        | v12797(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3019,axiom,(
    ! [VarCurr] :
      ( v12797(VarCurr)
    <=> ( v12798(VarCurr)
        & v12251(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3018,axiom,(
    ! [VarCurr] :
      ( v12798(VarCurr)
    <=> ( v12664(VarCurr)
        & v12006(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3017,axiom,(
    ! [VarCurr] :
      ( v12787(VarCurr)
    <=> ( v12788(VarCurr)
        | v12795(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3016,axiom,(
    ! [VarCurr] :
      ( v12795(VarCurr)
    <=> ( v12796(VarCurr)
        & v12328(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3015,axiom,(
    ! [VarCurr] :
      ( v12796(VarCurr)
    <=> ( v12652(VarCurr)
        & v12006(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3014,axiom,(
    ! [VarCurr] :
      ( v12788(VarCurr)
    <=> ( v12789(VarCurr)
        | v12792(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3013,axiom,(
    ! [VarCurr] :
      ( v12792(VarCurr)
    <=> ( v12793(VarCurr)
        & v12211(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3012,axiom,(
    ! [VarCurr] :
      ( v12793(VarCurr)
    <=> ( v12664(VarCurr)
        & v12006(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3011,axiom,(
    ! [VarCurr] :
      ( v12789(VarCurr)
    <=> ( v12790(VarCurr)
        & v12321(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3010,axiom,(
    ! [VarCurr] :
      ( v12790(VarCurr)
    <=> ( v12652(VarCurr)
        & v12006(VarCurr) ) ) )).

fof(addAssignment_2796,axiom,(
    ! [VarCurr] :
      ( v12015(VarCurr)
    <=> v12017(VarCurr) ) )).

fof(addAssignment_2795,axiom,(
    ! [VarCurr] :
      ( v12017(VarCurr)
    <=> v12019(VarCurr) ) )).

fof(addAssignment_2794,axiom,(
    ! [VarCurr] :
      ( v12019(VarCurr)
    <=> v12021(VarCurr,bitIndex3) ) )).

fof(addAssignment_2793,axiom,(
    ! [VarCurr] :
      ( v12021(VarCurr,bitIndex3)
    <=> v12023(VarCurr,bitIndex3) ) )).

fof(addAssignment_2792,axiom,(
    ! [VarCurr] :
      ( v12023(VarCurr,bitIndex3)
    <=> v12025(VarCurr,bitIndex66) ) )).

fof(addAssignment_2791,axiom,(
    ! [VarCurr] :
      ( v12025(VarCurr,bitIndex66)
    <=> v12027(VarCurr,bitIndex66) ) )).

fof(addAssignment_2790,axiom,(
    ! [VarCurr] :
      ( v12027(VarCurr,bitIndex66)
    <=> v12135(VarCurr,bitIndex66) ) )).

fof(addCaseBooleanConditionEqualRanges1_145,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12769(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v12137(VarNext,B)
            <=> v12137(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_164,axiom,(
    ! [VarNext] :
      ( v12769(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v12137(VarNext,B)
          <=> v12777(VarNext,B) ) ) ) )).

fof(addAssignment_2789,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v12777(VarNext,B)
          <=> v12775(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_331,axiom,(
    ! [VarCurr] :
      ( ~ v12109(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v12775(VarCurr,B)
          <=> v12139(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_334,axiom,(
    ! [VarCurr] :
      ( v12109(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v12775(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3009,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12769(VarNext)
      <=> v12770(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3008,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12770(VarNext)
      <=> ( v12772(VarNext)
          & v12031(VarNext) ) ) ) )).

fof(writeUnaryOperator_1003,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12772(VarNext)
      <=> v12102(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_330,axiom,(
    ! [VarCurr] :
      ( ~ v12141(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v12139(VarCurr,B)
          <=> v12137(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_333,axiom,(
    ! [VarCurr] :
      ( v12141(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v12139(VarCurr,B)
          <=> v12746(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_329,axiom,(
    ! [VarCurr] :
      ( ~ v12747(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v12746(VarCurr,B)
          <=> v12748(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_332,axiom,(
    ! [VarCurr] :
      ( v12747(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v12746(VarCurr,B)
          <=> $false ) ) ) )).

fof(addAssignment_2788,axiom,(
    ! [VarCurr] :
      ( v12748(VarCurr,bitIndex0)
    <=> v12764(VarCurr) ) )).

fof(addAssignment_2787,axiom,(
    ! [VarCurr] :
      ( v12748(VarCurr,bitIndex1)
    <=> v12762(VarCurr) ) )).

fof(addAssignment_2786,axiom,(
    ! [VarCurr] :
      ( v12748(VarCurr,bitIndex2)
    <=> v12757(VarCurr) ) )).

fof(addAssignment_2785,axiom,(
    ! [VarCurr] :
      ( v12748(VarCurr,bitIndex3)
    <=> v12750(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3007,axiom,(
    ! [VarCurr] :
      ( v12762(VarCurr)
    <=> ( v12763(VarCurr)
        & v12766(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_279,axiom,(
    ! [VarCurr] :
      ( v12766(VarCurr)
    <=> ( v12137(VarCurr,bitIndex0)
        | v12137(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3006,axiom,(
    ! [VarCurr] :
      ( v12763(VarCurr)
    <=> ( v12764(VarCurr)
        | v12765(VarCurr) ) ) )).

fof(writeUnaryOperator_1002,axiom,(
    ! [VarCurr] :
      ( ~ v12765(VarCurr)
    <=> v12137(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_1001,axiom,(
    ! [VarCurr] :
      ( ~ v12764(VarCurr)
    <=> v12137(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3005,axiom,(
    ! [VarCurr] :
      ( v12757(VarCurr)
    <=> ( v12758(VarCurr)
        & v12761(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_278,axiom,(
    ! [VarCurr] :
      ( v12761(VarCurr)
    <=> ( v12754(VarCurr)
        | v12137(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3004,axiom,(
    ! [VarCurr] :
      ( v12758(VarCurr)
    <=> ( v12759(VarCurr)
        | v12760(VarCurr) ) ) )).

fof(writeUnaryOperator_1000,axiom,(
    ! [VarCurr] :
      ( ~ v12760(VarCurr)
    <=> v12137(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_999,axiom,(
    ! [VarCurr] :
      ( ~ v12759(VarCurr)
    <=> v12754(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3003,axiom,(
    ! [VarCurr] :
      ( v12750(VarCurr)
    <=> ( v12751(VarCurr)
        & v12756(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_277,axiom,(
    ! [VarCurr] :
      ( v12756(VarCurr)
    <=> ( v12753(VarCurr)
        | v12137(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3002,axiom,(
    ! [VarCurr] :
      ( v12751(VarCurr)
    <=> ( v12752(VarCurr)
        | v12755(VarCurr) ) ) )).

fof(writeUnaryOperator_998,axiom,(
    ! [VarCurr] :
      ( ~ v12755(VarCurr)
    <=> v12137(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_997,axiom,(
    ! [VarCurr] :
      ( ~ v12752(VarCurr)
    <=> v12753(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_276,axiom,(
    ! [VarCurr] :
      ( v12753(VarCurr)
    <=> ( v12754(VarCurr)
        & v12137(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_275,axiom,(
    ! [VarCurr] :
      ( v12754(VarCurr)
    <=> ( v12137(VarCurr,bitIndex0)
        & v12137(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_911,axiom,(
    ! [VarCurr] :
      ( v12747(VarCurr)
    <=> ( ( v12137(VarCurr,bitIndex3)
        <=> $true )
        & ( v12137(VarCurr,bitIndex2)
        <=> $true )
        & ( v12137(VarCurr,bitIndex1)
        <=> $true )
        & ( v12137(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_2784,axiom,(
    ! [VarCurr] :
      ( v12141(VarCurr)
    <=> v12143(VarCurr) ) )).

fof(addAssignment_2783,axiom,(
    ! [VarCurr] :
      ( v12143(VarCurr)
    <=> v12145(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3001,axiom,(
    ! [VarCurr] :
      ( v12145(VarCurr)
    <=> ( v12147(VarCurr)
        | v12743(VarCurr) ) ) )).

fof(addAssignment_2782,axiom,(
    ! [VarCurr] :
      ( v12743(VarCurr)
    <=> v31(VarCurr,bitIndex4) ) )).

fof(addAssignment_2781,axiom,(
    ! [VarCurr] :
      ( v12147(VarCurr)
    <=> v36(VarCurr,bitIndex6) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_35,axiom,(
    ! [VarCurr] :
      ( ~ v12731(VarCurr)
     => ( v36(VarCurr,bitIndex6)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_32,axiom,(
    ! [VarCurr] :
      ( v12731(VarCurr)
     => ( v36(VarCurr,bitIndex6)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3000,axiom,(
    ! [VarCurr] :
      ( v12731(VarCurr)
    <=> ( v12732(VarCurr)
        | v12740(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2999,axiom,(
    ! [VarCurr] :
      ( v12740(VarCurr)
    <=> ( v12741(VarCurr)
        & v12721(VarCurr) ) ) )).

fof(writeUnaryOperator_996,axiom,(
    ! [VarCurr] :
      ( ~ v12741(VarCurr)
    <=> v38(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2998,axiom,(
    ! [VarCurr] :
      ( v12732(VarCurr)
    <=> ( v12733(VarCurr)
        | v12738(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2997,axiom,(
    ! [VarCurr] :
      ( v12738(VarCurr)
    <=> ( v12739(VarCurr)
        & v12333(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2996,axiom,(
    ! [VarCurr] :
      ( v12739(VarCurr)
    <=> ( v12315(VarCurr)
        & v12712(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2995,axiom,(
    ! [VarCurr] :
      ( v12733(VarCurr)
    <=> ( v12734(VarCurr)
        | v12736(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2994,axiom,(
    ! [VarCurr] :
      ( v12736(VarCurr)
    <=> ( v12737(VarCurr)
        & v12328(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2993,axiom,(
    ! [VarCurr] :
      ( v12737(VarCurr)
    <=> ( v12315(VarCurr)
        & v12712(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2992,axiom,(
    ! [VarCurr] :
      ( v12734(VarCurr)
    <=> ( v12735(VarCurr)
        & v12321(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2991,axiom,(
    ! [VarCurr] :
      ( v12735(VarCurr)
    <=> ( v12315(VarCurr)
        & v12712(VarCurr) ) ) )).

fof(addAssignment_2780,axiom,(
    ! [VarNext] :
      ( v31(VarNext,bitIndex11)
    <=> v12723(VarNext,bitIndex10) ) )).

fof(addCaseBooleanConditionShiftedRanges1_18,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12724(VarNext)
       => ( ( v12723(VarNext,bitIndex10)
          <=> v31(VarCurr,bitIndex11) )
          & ( v12723(VarNext,bitIndex9)
          <=> v31(VarCurr,bitIndex10) )
          & ( v12723(VarNext,bitIndex8)
          <=> v31(VarCurr,bitIndex9) )
          & ( v12723(VarNext,bitIndex7)
          <=> v31(VarCurr,bitIndex8) )
          & ( v12723(VarNext,bitIndex6)
          <=> v31(VarCurr,bitIndex7) )
          & ( v12723(VarNext,bitIndex5)
          <=> v31(VarCurr,bitIndex6) )
          & ( v12723(VarNext,bitIndex4)
          <=> v31(VarCurr,bitIndex5) )
          & ( v12723(VarNext,bitIndex3)
          <=> v31(VarCurr,bitIndex4) )
          & ( v12723(VarNext,bitIndex2)
          <=> v31(VarCurr,bitIndex3) )
          & ( v12723(VarNext,bitIndex1)
          <=> v31(VarCurr,bitIndex2) )
          & ( v12723(VarNext,bitIndex0)
          <=> v31(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_163,axiom,(
    ! [VarNext] :
      ( v12724(VarNext)
     => ! [B] :
          ( range_10_0(B)
         => ( v12723(VarNext,B)
          <=> v12226(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2990,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12724(VarNext)
      <=> v12725(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2989,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12725(VarNext)
      <=> ( v12727(VarNext)
          & v12213(VarNext) ) ) ) )).

fof(writeUnaryOperator_995,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12727(VarNext)
      <=> v12220(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_34,axiom,(
    ! [VarCurr] :
      ( ~ v12705(VarCurr)
     => ( v36(VarCurr,bitIndex11)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_31,axiom,(
    ! [VarCurr] :
      ( v12705(VarCurr)
     => ( v36(VarCurr,bitIndex11)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2988,axiom,(
    ! [VarCurr] :
      ( v12705(VarCurr)
    <=> ( v12706(VarCurr)
        | v12720(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2987,axiom,(
    ! [VarCurr] :
      ( v12720(VarCurr)
    <=> ( v38(VarCurr)
        & v12721(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_910,axiom,(
    ! [VarCurr] :
      ( v12721(VarCurr)
    <=> ( $true
      <=> v31(VarCurr,bitIndex11) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2986,axiom,(
    ! [VarCurr] :
      ( v12706(VarCurr)
    <=> ( v12707(VarCurr)
        | v12717(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2985,axiom,(
    ! [VarCurr] :
      ( v12717(VarCurr)
    <=> ( v12718(VarCurr)
        & v12296(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2984,axiom,(
    ! [VarCurr] :
      ( v12718(VarCurr)
    <=> ( v12315(VarCurr)
        & v12712(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2983,axiom,(
    ! [VarCurr] :
      ( v12707(VarCurr)
    <=> ( v12708(VarCurr)
        | v12715(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2982,axiom,(
    ! [VarCurr] :
      ( v12715(VarCurr)
    <=> ( v12716(VarCurr)
        & v12273(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2981,axiom,(
    ! [VarCurr] :
      ( v12716(VarCurr)
    <=> ( v12325(VarCurr)
        & v12712(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2980,axiom,(
    ! [VarCurr] :
      ( v12708(VarCurr)
    <=> ( v12709(VarCurr)
        | v12713(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2979,axiom,(
    ! [VarCurr] :
      ( v12713(VarCurr)
    <=> ( v12714(VarCurr)
        & v12251(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2978,axiom,(
    ! [VarCurr] :
      ( v12714(VarCurr)
    <=> ( v12325(VarCurr)
        & v12712(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2977,axiom,(
    ! [VarCurr] :
      ( v12709(VarCurr)
    <=> ( v12710(VarCurr)
        & v12211(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2976,axiom,(
    ! [VarCurr] :
      ( v12710(VarCurr)
    <=> ( v12325(VarCurr)
        & v12712(VarCurr) ) ) )).

fof(writeUnaryOperator_994,axiom,(
    ! [VarCurr] :
      ( ~ v12712(VarCurr)
    <=> v12015(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_144,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12692(VarNext)
       => ( v31(VarNext,bitIndex0)
        <=> v31(VarCurr,bitIndex0) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_162,axiom,(
    ! [VarNext] :
      ( v12692(VarNext)
     => ( v31(VarNext,bitIndex0)
      <=> v12700(VarNext) ) ) )).

fof(addAssignment_2779,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12700(VarNext)
      <=> v12698(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_328,axiom,(
    ! [VarCurr] :
      ( ~ v12227(VarCurr)
     => ( v12698(VarCurr)
      <=> v36(VarCurr,bitIndex0) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_331,axiom,(
    ! [VarCurr] :
      ( v12227(VarCurr)
     => ( v12698(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2975,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12692(VarNext)
      <=> v12693(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2974,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12693(VarNext)
      <=> ( v12695(VarNext)
          & v12213(VarNext) ) ) ) )).

fof(writeUnaryOperator_993,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12695(VarNext)
      <=> v12220(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_327,axiom,(
    ! [VarCurr] :
      ( ~ v12635(VarCurr)
     => ( v36(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_330,axiom,(
    ! [VarCurr] :
      ( v12635(VarCurr)
     => ( v36(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2973,axiom,(
    ! [VarCurr] :
      ( v12635(VarCurr)
    <=> ( v12636(VarCurr)
        | v12686(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2972,axiom,(
    ! [VarCurr] :
      ( v12686(VarCurr)
    <=> ( v12687(VarCurr)
        & v12296(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2971,axiom,(
    ! [VarCurr] :
      ( v12687(VarCurr)
    <=> ( v12688(VarCurr)
        | v12689(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2970,axiom,(
    ! [VarCurr] :
      ( v12689(VarCurr)
    <=> ( v12652(VarCurr)
        & v12657(VarCurr) ) ) )).

fof(addAssignment_2778,axiom,(
    ! [VarCurr] :
      ( v12688(VarCurr)
    <=> v12646(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2969,axiom,(
    ! [VarCurr] :
      ( v12636(VarCurr)
    <=> ( v12637(VarCurr)
        | v12682(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2968,axiom,(
    ! [VarCurr] :
      ( v12682(VarCurr)
    <=> ( v12683(VarCurr)
        & v12273(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2967,axiom,(
    ! [VarCurr] :
      ( v12683(VarCurr)
    <=> ( v12684(VarCurr)
        | v12685(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2966,axiom,(
    ! [VarCurr] :
      ( v12685(VarCurr)
    <=> ( v12664(VarCurr)
        & v12657(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2965,axiom,(
    ! [VarCurr] :
      ( v12684(VarCurr)
    <=> ( v12646(VarCurr)
        & v12153(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2964,axiom,(
    ! [VarCurr] :
      ( v12637(VarCurr)
    <=> ( v12638(VarCurr)
        | v12676(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2963,axiom,(
    ! [VarCurr] :
      ( v12676(VarCurr)
    <=> ( v12677(VarCurr)
        & v12333(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2962,axiom,(
    ! [VarCurr] :
      ( v12677(VarCurr)
    <=> ( v12678(VarCurr)
        | v12681(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2961,axiom,(
    ! [VarCurr] :
      ( v12681(VarCurr)
    <=> ( v12652(VarCurr)
        & v12657(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2960,axiom,(
    ! [VarCurr] :
      ( v12678(VarCurr)
    <=> ( v12679(VarCurr)
        | v12680(VarCurr) ) ) )).

fof(addAssignment_2777,axiom,(
    ! [VarCurr] :
      ( v12680(VarCurr)
    <=> v12646(VarCurr) ) )).

fof(addAssignment_2776,axiom,(
    ! [VarCurr] :
      ( v12679(VarCurr)
    <=> v38(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2959,axiom,(
    ! [VarCurr] :
      ( v12638(VarCurr)
    <=> ( v12639(VarCurr)
        | v12672(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2958,axiom,(
    ! [VarCurr] :
      ( v12672(VarCurr)
    <=> ( v12673(VarCurr)
        & v12251(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2957,axiom,(
    ! [VarCurr] :
      ( v12673(VarCurr)
    <=> ( v12674(VarCurr)
        | v12675(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2956,axiom,(
    ! [VarCurr] :
      ( v12675(VarCurr)
    <=> ( v12664(VarCurr)
        & v12657(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2955,axiom,(
    ! [VarCurr] :
      ( v12674(VarCurr)
    <=> ( v12646(VarCurr)
        & v12153(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2954,axiom,(
    ! [VarCurr] :
      ( v12639(VarCurr)
    <=> ( v12640(VarCurr)
        | v12666(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2953,axiom,(
    ! [VarCurr] :
      ( v12666(VarCurr)
    <=> ( v12667(VarCurr)
        & v12328(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2952,axiom,(
    ! [VarCurr] :
      ( v12667(VarCurr)
    <=> ( v12668(VarCurr)
        | v12671(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2951,axiom,(
    ! [VarCurr] :
      ( v12671(VarCurr)
    <=> ( v12652(VarCurr)
        & v12657(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2950,axiom,(
    ! [VarCurr] :
      ( v12668(VarCurr)
    <=> ( v12669(VarCurr)
        | v12670(VarCurr) ) ) )).

fof(addAssignment_2775,axiom,(
    ! [VarCurr] :
      ( v12670(VarCurr)
    <=> v12646(VarCurr) ) )).

fof(addAssignment_2774,axiom,(
    ! [VarCurr] :
      ( v12669(VarCurr)
    <=> v38(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2949,axiom,(
    ! [VarCurr] :
      ( v12640(VarCurr)
    <=> ( v12641(VarCurr)
        | v12658(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2948,axiom,(
    ! [VarCurr] :
      ( v12658(VarCurr)
    <=> ( v12659(VarCurr)
        & v12211(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2947,axiom,(
    ! [VarCurr] :
      ( v12659(VarCurr)
    <=> ( v12660(VarCurr)
        | v12662(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2946,axiom,(
    ! [VarCurr] :
      ( v12662(VarCurr)
    <=> ( v12664(VarCurr)
        & v12657(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2945,axiom,(
    ! [VarCurr] :
      ( v12664(VarCurr)
    <=> ( v12665(VarCurr)
        & v12656(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2944,axiom,(
    ! [VarCurr] :
      ( v12665(VarCurr)
    <=> ( v12653(VarCurr)
        & v12153(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2943,axiom,(
    ! [VarCurr] :
      ( v12660(VarCurr)
    <=> ( v12646(VarCurr)
        & v12153(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2942,axiom,(
    ! [VarCurr] :
      ( v12646(VarCurr)
    <=> ( v12647(VarCurr)
        & v12320(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2941,axiom,(
    ! [VarCurr] :
      ( v12641(VarCurr)
    <=> ( v12642(VarCurr)
        & v12321(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2940,axiom,(
    ! [VarCurr] :
      ( v12642(VarCurr)
    <=> ( v12643(VarCurr)
        | v12650(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2939,axiom,(
    ! [VarCurr] :
      ( v12650(VarCurr)
    <=> ( v12652(VarCurr)
        & v12657(VarCurr) ) ) )).

fof(writeUnaryOperator_992,axiom,(
    ! [VarCurr] :
      ( ~ v12657(VarCurr)
    <=> v12006(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2938,axiom,(
    ! [VarCurr] :
      ( v12652(VarCurr)
    <=> ( v12653(VarCurr)
        & v12656(VarCurr) ) ) )).

fof(writeUnaryOperator_991,axiom,(
    ! [VarCurr] :
      ( ~ v12656(VarCurr)
    <=> v12009(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2937,axiom,(
    ! [VarCurr] :
      ( v12653(VarCurr)
    <=> ( v12654(VarCurr)
        & v12320(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2936,axiom,(
    ! [VarCurr] :
      ( v12654(VarCurr)
    <=> ( v12655(VarCurr)
        & v12319(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2935,axiom,(
    ! [VarCurr] :
      ( v12655(VarCurr)
    <=> ( v87(VarCurr)
        & v12649(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2934,axiom,(
    ! [VarCurr] :
      ( v12643(VarCurr)
    <=> ( v12644(VarCurr)
        | v12645(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2933,axiom,(
    ! [VarCurr] :
      ( v12645(VarCurr)
    <=> ( v12647(VarCurr)
        & v12320(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2932,axiom,(
    ! [VarCurr] :
      ( v12647(VarCurr)
    <=> ( v12648(VarCurr)
        & v12319(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2931,axiom,(
    ! [VarCurr] :
      ( v12648(VarCurr)
    <=> ( v12318(VarCurr)
        & v12649(VarCurr) ) ) )).

fof(writeUnaryOperator_990,axiom,(
    ! [VarCurr] :
      ( ~ v12649(VarCurr)
    <=> v11980(VarCurr) ) )).

fof(addAssignment_2773,axiom,(
    ! [VarCurr] :
      ( v12644(VarCurr)
    <=> v38(VarCurr) ) )).

fof(addAssignment_2772,axiom,(
    ! [VarCurr] :
      ( v12153(VarCurr)
    <=> v12155(VarCurr) ) )).

fof(addAssignment_2771,axiom,(
    ! [VarCurr] :
      ( v12155(VarCurr)
    <=> v12157(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2930,axiom,(
    ! [VarCurr] :
      ( v12157(VarCurr)
    <=> ( v12159(VarCurr)
        & v12631(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_274,axiom,(
    ! [VarCurr] :
      ( v12631(VarCurr)
    <=> ( v12350(VarCurr,bitIndex2)
        | v12350(VarCurr,bitIndex4) ) ) )).

fof(addAssignment_2770,axiom,(
    ! [VarCurr] :
      ( v12159(VarCurr)
    <=> v12161(VarCurr) ) )).

fof(addAssignment_2769,axiom,(
    ! [VarCurr] :
      ( v12161(VarCurr)
    <=> v12163(VarCurr) ) )).

fof(addAssignment_2768,axiom,(
    ! [VarCurr] :
      ( v12163(VarCurr)
    <=> v12165(VarCurr) ) )).

fof(addAssignment_2767,axiom,(
    ! [VarCurr] :
      ( v12165(VarCurr)
    <=> v12167(VarCurr) ) )).

fof(addAssignment_2766,axiom,(
    ! [VarCurr] :
      ( v12167(VarCurr)
    <=> v12169(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_143,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12618(VarNext)
       => ( v12169(VarNext)
        <=> v12169(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_161,axiom,(
    ! [VarNext] :
      ( v12618(VarNext)
     => ( v12169(VarNext)
      <=> v12626(VarNext) ) ) )).

fof(addAssignment_2765,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12626(VarNext)
      <=> v12624(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_326,axiom,(
    ! [VarCurr] :
      ( ~ v12627(VarCurr)
     => ( v12624(VarCurr)
      <=> v12175(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_329,axiom,(
    ! [VarCurr] :
      ( v12627(VarCurr)
     => ( v12624(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_989,axiom,(
    ! [VarCurr] :
      ( ~ v12627(VarCurr)
    <=> v12171(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2929,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12618(VarNext)
      <=> v12619(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2928,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12619(VarNext)
      <=> ( v12620(VarNext)
          & v12518(VarNext) ) ) ) )).

fof(writeUnaryOperator_988,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12620(VarNext)
      <=> v12527(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_325,axiom,(
    ! [VarCurr] :
      ( ~ v12577(VarCurr)
     => ( v12175(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_328,axiom,(
    ! [VarCurr] :
      ( v12577(VarCurr)
     => ( v12175(VarCurr)
      <=> v12601(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_512,axiom,(
    ! [VarCurr] :
      ( ~ v12538(VarCurr)
     => ( v12601(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_514,axiom,(
    ! [VarCurr] :
      ( v12538(VarCurr)
     => ( v12601(VarCurr)
      <=> v12602(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2927,axiom,(
    ! [VarCurr] :
      ( v12608(VarCurr)
    <=> ( v12610(VarCurr)
        | v12590(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2926,axiom,(
    ! [VarCurr] :
      ( v12610(VarCurr)
    <=> ( v12611(VarCurr)
        | v12589(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2925,axiom,(
    ! [VarCurr] :
      ( v12611(VarCurr)
    <=> ( v12612(VarCurr)
        | v12588(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2924,axiom,(
    ! [VarCurr] :
      ( v12612(VarCurr)
    <=> ( v12613(VarCurr)
        | v12558(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2923,axiom,(
    ! [VarCurr] :
      ( v12613(VarCurr)
    <=> ( v12614(VarCurr)
        | v12557(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2922,axiom,(
    ! [VarCurr] :
      ( v12614(VarCurr)
    <=> ( v12615(VarCurr)
        | v12556(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2921,axiom,(
    ! [VarCurr] :
      ( v12615(VarCurr)
    <=> ( v12541(VarCurr)
        | v12555(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2920,axiom,(
    ! [VarCurr] :
      ( v12541(VarCurr)
    <=> ( v12542(VarCurr)
        | v12547(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_324,axiom,(
    ! [VarCurr] :
      ( ~ v12181(VarCurr)
     => ( v12602(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_327,axiom,(
    ! [VarCurr] :
      ( v12181(VarCurr)
     => ( v12602(VarCurr)
      <=> v12603(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_323,axiom,(
    ! [VarCurr] :
      ( ~ v12604(VarCurr)
     => ( v12603(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_326,axiom,(
    ! [VarCurr] :
      ( v12604(VarCurr)
     => ( v12603(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2919,axiom,(
    ! [VarCurr] :
      ( v12604(VarCurr)
    <=> ( v12605(VarCurr)
        & v12516(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2918,axiom,(
    ! [VarCurr] :
      ( v12605(VarCurr)
    <=> ( v12606(VarCurr)
        | v12607(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_909,axiom,(
    ! [VarCurr] :
      ( v12607(VarCurr)
    <=> ( ( v12479(VarCurr,bitIndex3)
        <=> $true )
        & ( v12479(VarCurr,bitIndex2)
        <=> $true )
        & ( v12479(VarCurr,bitIndex1)
        <=> $false )
        & ( v12479(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_908,axiom,(
    ! [VarCurr] :
      ( v12606(VarCurr)
    <=> ( ( v12479(VarCurr,bitIndex3)
        <=> $false )
        & ( v12479(VarCurr,bitIndex2)
        <=> $true )
        & ( v12479(VarCurr,bitIndex1)
        <=> $false )
        & ( v12479(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2917,axiom,(
    ! [VarCurr] :
      ( v12577(VarCurr)
    <=> ( v12578(VarCurr)
        | v12590(VarCurr) ) ) )).

fof(writeUnaryOperator_987,axiom,(
    ! [VarCurr] :
      ( ~ v12590(VarCurr)
    <=> v12591(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2916,axiom,(
    ! [VarCurr] :
      ( v12591(VarCurr)
    <=> ( v12592(VarCurr)
        | v12559(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2915,axiom,(
    ! [VarCurr] :
      ( v12592(VarCurr)
    <=> ( v12593(VarCurr)
        | v12558(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2914,axiom,(
    ! [VarCurr] :
      ( v12593(VarCurr)
    <=> ( v12594(VarCurr)
        | v12557(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2913,axiom,(
    ! [VarCurr] :
      ( v12594(VarCurr)
    <=> ( v12595(VarCurr)
        | v12556(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2912,axiom,(
    ! [VarCurr] :
      ( v12595(VarCurr)
    <=> ( v12596(VarCurr)
        | v12555(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2911,axiom,(
    ! [VarCurr] :
      ( v12596(VarCurr)
    <=> ( v12597(VarCurr)
        | v12548(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2910,axiom,(
    ! [VarCurr] :
      ( v12597(VarCurr)
    <=> ( v12598(VarCurr)
        | v12547(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2909,axiom,(
    ! [VarCurr] :
      ( v12598(VarCurr)
    <=> ( v12599(VarCurr)
        | v12546(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2908,axiom,(
    ! [VarCurr] :
      ( v12599(VarCurr)
    <=> ( v12600(VarCurr)
        | v12545(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2907,axiom,(
    ! [VarCurr] :
      ( v12600(VarCurr)
    <=> ( v12538(VarCurr)
        | v12544(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2906,axiom,(
    ! [VarCurr] :
      ( v12578(VarCurr)
    <=> ( v12579(VarCurr)
        | v12589(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2905,axiom,(
    ! [VarCurr] :
      ( v12589(VarCurr)
    <=> ( v12561(VarCurr)
        & v12559(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2904,axiom,(
    ! [VarCurr] :
      ( v12579(VarCurr)
    <=> ( v12580(VarCurr)
        | v12558(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2903,axiom,(
    ! [VarCurr] :
      ( v12580(VarCurr)
    <=> ( v12581(VarCurr)
        | v12557(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2902,axiom,(
    ! [VarCurr] :
      ( v12581(VarCurr)
    <=> ( v12582(VarCurr)
        | v12556(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2901,axiom,(
    ! [VarCurr] :
      ( v12582(VarCurr)
    <=> ( v12583(VarCurr)
        | v12555(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2900,axiom,(
    ! [VarCurr] :
      ( v12583(VarCurr)
    <=> ( v12584(VarCurr)
        | v12588(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2899,axiom,(
    ! [VarCurr] :
      ( v12588(VarCurr)
    <=> ( v12550(VarCurr)
        & v12548(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2898,axiom,(
    ! [VarCurr] :
      ( v12584(VarCurr)
    <=> ( v12585(VarCurr)
        | v12547(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2897,axiom,(
    ! [VarCurr] :
      ( v12585(VarCurr)
    <=> ( v12586(VarCurr)
        | v12546(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2896,axiom,(
    ! [VarCurr] :
      ( v12586(VarCurr)
    <=> ( v12587(VarCurr)
        | v12545(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2895,axiom,(
    ! [VarCurr] :
      ( v12587(VarCurr)
    <=> ( v12538(VarCurr)
        | v12544(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_142,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12564(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v12177(VarNext,B)
            <=> v12177(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_160,axiom,(
    ! [VarNext] :
      ( v12564(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v12177(VarNext,B)
          <=> v12572(VarNext,B) ) ) ) )).

fof(addAssignment_2764,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v12572(VarNext,B)
          <=> v12570(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_322,axiom,(
    ! [VarCurr] :
      ( ~ v12573(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v12570(VarCurr,B)
          <=> v12179(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_325,axiom,(
    ! [VarCurr] :
      ( v12573(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v12570(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_986,axiom,(
    ! [VarCurr] :
      ( ~ v12573(VarCurr)
    <=> v12171(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2894,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12564(VarNext)
      <=> v12565(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2893,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12565(VarNext)
      <=> ( v12566(VarNext)
          & v12518(VarNext) ) ) ) )).

fof(writeUnaryOperator_985,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12566(VarNext)
      <=> v12527(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges5_3,axiom,(
    ! [VarCurr] :
      ( ( ~ v12538(VarCurr)
        & ~ v12540(VarCurr)
        & ~ v12548(VarCurr)
        & ~ v12551(VarCurr)
        & ~ v12559(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v12179(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges4_5,axiom,(
    ! [VarCurr] :
      ( v12559(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v12179(VarCurr,B)
          <=> v12560(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_16,axiom,(
    ! [VarCurr] :
      ( v12551(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v12179(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_213,axiom,(
    ! [VarCurr] :
      ( v12548(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v12179(VarCurr,B)
          <=> v12549(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_511,axiom,(
    ! [VarCurr] :
      ( v12540(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v12179(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_513,axiom,(
    ! [VarCurr] :
      ( v12538(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v12179(VarCurr,B)
          <=> v12539(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_321,axiom,(
    ! [VarCurr] :
      ( ~ v12561(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v12560(VarCurr,B)
          <=> $false ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_324,axiom,(
    ! [VarCurr] :
      ( v12561(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v12560(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_984,axiom,(
    ! [VarCurr] :
      ( ~ v12561(VarCurr)
    <=> v12514(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_907,axiom,(
    ! [VarCurr] :
      ( v12559(VarCurr)
    <=> ( ( v12177(VarCurr,bitIndex3)
        <=> $true )
        & ( v12177(VarCurr,bitIndex2)
        <=> $true )
        & ( v12177(VarCurr,bitIndex1)
        <=> $false )
        & ( v12177(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2892,axiom,(
    ! [VarCurr] :
      ( v12551(VarCurr)
    <=> ( v12553(VarCurr)
        | v12558(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_906,axiom,(
    ! [VarCurr] :
      ( v12558(VarCurr)
    <=> ( ( v12177(VarCurr,bitIndex3)
        <=> $true )
        & ( v12177(VarCurr,bitIndex2)
        <=> $true )
        & ( v12177(VarCurr,bitIndex1)
        <=> $false )
        & ( v12177(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2891,axiom,(
    ! [VarCurr] :
      ( v12553(VarCurr)
    <=> ( v12554(VarCurr)
        | v12557(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_905,axiom,(
    ! [VarCurr] :
      ( v12557(VarCurr)
    <=> ( ( v12177(VarCurr,bitIndex3)
        <=> $true )
        & ( v12177(VarCurr,bitIndex2)
        <=> $false )
        & ( v12177(VarCurr,bitIndex1)
        <=> $true )
        & ( v12177(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2890,axiom,(
    ! [VarCurr] :
      ( v12554(VarCurr)
    <=> ( v12555(VarCurr)
        | v12556(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_904,axiom,(
    ! [VarCurr] :
      ( v12556(VarCurr)
    <=> ( ( v12177(VarCurr,bitIndex3)
        <=> $true )
        & ( v12177(VarCurr,bitIndex2)
        <=> $false )
        & ( v12177(VarCurr,bitIndex1)
        <=> $true )
        & ( v12177(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_903,axiom,(
    ! [VarCurr] :
      ( v12555(VarCurr)
    <=> ( ( v12177(VarCurr,bitIndex3)
        <=> $true )
        & ( v12177(VarCurr,bitIndex2)
        <=> $false )
        & ( v12177(VarCurr,bitIndex1)
        <=> $false )
        & ( v12177(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_320,axiom,(
    ! [VarCurr] :
      ( ~ v12550(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v12549(VarCurr,B)
          <=> $false ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_323,axiom,(
    ! [VarCurr] :
      ( v12550(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v12549(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_983,axiom,(
    ! [VarCurr] :
      ( ~ v12550(VarCurr)
    <=> v12514(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_902,axiom,(
    ! [VarCurr] :
      ( v12548(VarCurr)
    <=> ( ( v12177(VarCurr,bitIndex3)
        <=> $false )
        & ( v12177(VarCurr,bitIndex2)
        <=> $true )
        & ( v12177(VarCurr,bitIndex1)
        <=> $false )
        & ( v12177(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2889,axiom,(
    ! [VarCurr] :
      ( v12540(VarCurr)
    <=> ( v12542(VarCurr)
        | v12547(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_901,axiom,(
    ! [VarCurr] :
      ( v12547(VarCurr)
    <=> ( ( v12177(VarCurr,bitIndex3)
        <=> $false )
        & ( v12177(VarCurr,bitIndex2)
        <=> $true )
        & ( v12177(VarCurr,bitIndex1)
        <=> $false )
        & ( v12177(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2888,axiom,(
    ! [VarCurr] :
      ( v12542(VarCurr)
    <=> ( v12543(VarCurr)
        | v12546(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_900,axiom,(
    ! [VarCurr] :
      ( v12546(VarCurr)
    <=> ( ( v12177(VarCurr,bitIndex3)
        <=> $false )
        & ( v12177(VarCurr,bitIndex2)
        <=> $false )
        & ( v12177(VarCurr,bitIndex1)
        <=> $true )
        & ( v12177(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2887,axiom,(
    ! [VarCurr] :
      ( v12543(VarCurr)
    <=> ( v12544(VarCurr)
        | v12545(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_899,axiom,(
    ! [VarCurr] :
      ( v12545(VarCurr)
    <=> ( ( v12177(VarCurr,bitIndex3)
        <=> $false )
        & ( v12177(VarCurr,bitIndex2)
        <=> $false )
        & ( v12177(VarCurr,bitIndex1)
        <=> $true )
        & ( v12177(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_898,axiom,(
    ! [VarCurr] :
      ( v12544(VarCurr)
    <=> ( ( v12177(VarCurr,bitIndex3)
        <=> $false )
        & ( v12177(VarCurr,bitIndex2)
        <=> $false )
        & ( v12177(VarCurr,bitIndex1)
        <=> $false )
        & ( v12177(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_319,axiom,(
    ! [VarCurr] :
      ( ~ v12181(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v12539(VarCurr,B)
          <=> $false ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_322,axiom,(
    ! [VarCurr] :
      ( v12181(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v12539(VarCurr,B)
          <=> v12479(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_897,axiom,(
    ! [VarCurr] :
      ( v12538(VarCurr)
    <=> ( ( v12177(VarCurr,bitIndex3)
        <=> $false )
        & ( v12177(VarCurr,bitIndex2)
        <=> $false )
        & ( v12177(VarCurr,bitIndex1)
        <=> $false )
        & ( v12177(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignmentInitValueVector_21,axiom,(
    ! [B] :
      ( range_3_0(B)
     => ( v12177(constB0,B)
      <=> $false ) ) )).

fof(addCaseBooleanConditionEqualRanges1_141,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12523(VarNext)
       => ( v12514(VarNext)
        <=> v12514(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_159,axiom,(
    ! [VarNext] :
      ( v12523(VarNext)
     => ( v12514(VarNext)
      <=> v12533(VarNext) ) ) )).

fof(addAssignment_2763,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12533(VarNext)
      <=> v12531(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_318,axiom,(
    ! [VarCurr] :
      ( ~ v12534(VarCurr)
     => ( v12531(VarCurr)
      <=> v12516(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_321,axiom,(
    ! [VarCurr] :
      ( v12534(VarCurr)
     => ( v12531(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_982,axiom,(
    ! [VarCurr] :
      ( ~ v12534(VarCurr)
    <=> v12171(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2886,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12523(VarNext)
      <=> v12524(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2885,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12524(VarNext)
      <=> ( v12525(VarNext)
          & v12518(VarNext) ) ) ) )).

fof(writeUnaryOperator_981,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12525(VarNext)
      <=> v12527(VarNext) ) ) )).

fof(addAssignment_2762,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12527(VarNext)
      <=> v12518(VarCurr) ) ) )).

fof(addAssignmentInitValueVector_20,axiom,
    ( v12514(constB0)
  <=> $false )).

fof(addAssignment_2761,axiom,(
    ! [VarCurr] :
      ( v12518(VarCurr)
    <=> v12520(VarCurr) ) )).

fof(addAssignment_2760,axiom,(
    ! [VarCurr] :
      ( v12520(VarCurr)
    <=> v1(VarCurr) ) )).

fof(addAssignment_2759,axiom,(
    ! [VarCurr] :
      ( v12516(VarCurr)
    <=> $false ) )).

fof(addAssignment_2758,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v12479(VarCurr,B)
      <=> v12481(VarCurr,B) ) ) )).

fof(addAssignment_2757,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v12481(VarCurr,B)
      <=> v12483(VarCurr,B) ) ) )).

fof(addAssignment_2756,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v12483(VarCurr,B)
      <=> v12485(VarCurr,B) ) ) )).

fof(addAssignment_2755,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v12485(VarCurr,B)
      <=> v12487(VarCurr,B) ) ) )).

fof(addAssignment_2754,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v12487(VarCurr,B)
      <=> v12489(VarCurr,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_140,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12492(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v12489(VarNext,B)
            <=> v12489(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_158,axiom,(
    ! [VarNext] :
      ( v12492(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v12489(VarNext,B)
          <=> v12509(VarNext,B) ) ) ) )).

fof(addAssignment_2753,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v12509(VarNext,B)
          <=> v12507(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_510,axiom,(
    ! [VarCurr] :
      ( ~ v12501(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v12507(VarCurr,B)
          <=> v12510(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_512,axiom,(
    ! [VarCurr] :
      ( v12501(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v12507(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_509,axiom,(
    ! [VarCurr] :
      ( ~ v12195(VarCurr,bitIndex3)
     => ! [B] :
          ( range_3_0(B)
         => ( v12510(VarCurr,B)
          <=> b0011(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_511,axiom,(
    ! [VarCurr] :
      ( v12195(VarCurr,bitIndex3)
     => ! [B] :
          ( range_3_0(B)
         => ( v12510(VarCurr,B)
          <=> b1100(B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2884,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12492(VarNext)
      <=> ( v12493(VarNext)
          & v12500(VarNext) ) ) ) )).

fof(addAssignment_2752,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12500(VarNext)
      <=> v12498(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2883,axiom,(
    ! [VarCurr] :
      ( v12498(VarCurr)
    <=> ( v12501(VarCurr)
        | v12502(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2882,axiom,(
    ! [VarCurr] :
      ( v12502(VarCurr)
    <=> ( v12503(VarCurr)
        & v12506(VarCurr) ) ) )).

fof(writeUnaryOperator_980,axiom,(
    ! [VarCurr] :
      ( ~ v12506(VarCurr)
    <=> v12501(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_273,axiom,(
    ! [VarCurr] :
      ( v12503(VarCurr)
    <=> ( v12195(VarCurr,bitIndex3)
        | v12504(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_272,axiom,(
    ! [VarCurr] :
      ( v12504(VarCurr)
    <=> ( v12195(VarCurr,bitIndex1)
        & v12505(VarCurr) ) ) )).

fof(writeUnaryOperator_979,axiom,(
    ! [VarCurr] :
      ( ~ v12505(VarCurr)
    <=> v12195(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_978,axiom,(
    ! [VarCurr] :
      ( ~ v12501(VarCurr)
    <=> v12193(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2881,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12493(VarNext)
      <=> ( v12494(VarNext)
          & v12352(VarNext) ) ) ) )).

fof(writeUnaryOperator_977,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12494(VarNext)
      <=> v12359(VarNext) ) ) )).

fof(addAssignment_2751,axiom,(
    ! [VarCurr] :
      ( v12181(VarCurr)
    <=> v12183(VarCurr) ) )).

fof(addAssignment_2750,axiom,(
    ! [VarCurr] :
      ( v12183(VarCurr)
    <=> v12185(VarCurr) ) )).

fof(addAssignment_2749,axiom,(
    ! [VarCurr] :
      ( v12185(VarCurr)
    <=> v12187(VarCurr) ) )).

fof(addAssignment_2748,axiom,(
    ! [VarCurr] :
      ( v12187(VarCurr)
    <=> v12189(VarCurr) ) )).

fof(addAssignment_2747,axiom,(
    ! [VarCurr] :
      ( v12189(VarCurr)
    <=> v12191(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_139,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12464(VarNext)
       => ( v12191(VarNext)
        <=> v12191(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_157,axiom,(
    ! [VarNext] :
      ( v12464(VarNext)
     => ( v12191(VarNext)
      <=> v12472(VarNext) ) ) )).

fof(addAssignment_2746,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12472(VarNext)
      <=> v12470(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_317,axiom,(
    ! [VarCurr] :
      ( ~ v12473(VarCurr)
     => ( v12470(VarCurr)
      <=> v12474(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_320,axiom,(
    ! [VarCurr] :
      ( v12473(VarCurr)
     => ( v12470(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_316,axiom,(
    ! [VarCurr] :
      ( ~ v12475(VarCurr)
     => ( v12474(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_319,axiom,(
    ! [VarCurr] :
      ( v12475(VarCurr)
     => ( v12474(VarCurr)
      <=> $true ) ) )).

fof(writeUnaryOperator_976,axiom,(
    ! [VarCurr] :
      ( ~ v12475(VarCurr)
    <=> v12195(VarCurr,bitIndex0) ) )).

fof(writeUnaryOperator_975,axiom,(
    ! [VarCurr] :
      ( ~ v12473(VarCurr)
    <=> v12193(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2880,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12464(VarNext)
      <=> v12465(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2879,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12465(VarNext)
      <=> ( v12466(VarNext)
          & v12352(VarNext) ) ) ) )).

fof(writeUnaryOperator_974,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12466(VarNext)
      <=> v12359(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_315,axiom,(
    ! [VarCurr] :
      ( ~ v12452(VarCurr)
     => ( v12195(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_318,axiom,(
    ! [VarCurr] :
      ( v12452(VarCurr)
     => ( v12195(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2878,axiom,(
    ! [VarCurr] :
      ( v12452(VarCurr)
    <=> ( v12453(VarCurr)
        | v12460(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2877,axiom,(
    ! [VarCurr] :
      ( v12460(VarCurr)
    <=> ( v12461(VarCurr)
        & v12387(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2876,axiom,(
    ! [VarCurr] :
      ( v12461(VarCurr)
    <=> ( v12456(VarCurr)
        & v12159(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2875,axiom,(
    ! [VarCurr] :
      ( v12453(VarCurr)
    <=> ( v12454(VarCurr)
        | v12457(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2874,axiom,(
    ! [VarCurr] :
      ( v12457(VarCurr)
    <=> ( v12458(VarCurr)
        & v12384(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2873,axiom,(
    ! [VarCurr] :
      ( v12458(VarCurr)
    <=> ( v12456(VarCurr)
        & v12159(VarCurr) ) ) )).

fof(writeUnaryOperator_973,axiom,(
    ! [VarCurr] :
      ( ~ v12456(VarCurr)
    <=> v12197(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2872,axiom,(
    ! [VarCurr] :
      ( v12454(VarCurr)
    <=> ( v12455(VarCurr)
        & v12378(VarCurr) ) ) )).

fof(writeUnaryOperator_972,axiom,(
    ! [VarCurr] :
      ( ~ v12455(VarCurr)
    <=> v12197(VarCurr) ) )).

fof(addAssignment_2745,axiom,(
    ! [VarNext] :
      ( v12350(VarNext,bitIndex2)
    <=> v12444(VarNext,bitIndex1) ) )).

fof(addCaseBooleanConditionShiftedRanges1_17,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12445(VarNext)
       => ( ( v12444(VarNext,bitIndex3)
          <=> v12350(VarCurr,bitIndex4) )
          & ( v12444(VarNext,bitIndex2)
          <=> v12350(VarCurr,bitIndex3) )
          & ( v12444(VarNext,bitIndex1)
          <=> v12350(VarCurr,bitIndex2) )
          & ( v12444(VarNext,bitIndex0)
          <=> v12350(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_156,axiom,(
    ! [VarNext] :
      ( v12445(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v12444(VarNext,B)
          <=> v12398(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2871,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12445(VarNext)
      <=> v12446(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2870,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12446(VarNext)
      <=> ( v12448(VarNext)
          & v12352(VarNext) ) ) ) )).

fof(writeUnaryOperator_971,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12448(VarNext)
      <=> v12359(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_33,axiom,(
    ! [VarCurr] :
      ( ~ v12439(VarCurr)
     => ( v12195(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_30,axiom,(
    ! [VarCurr] :
      ( v12439(VarCurr)
     => ( v12195(VarCurr,bitIndex2)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2869,axiom,(
    ! [VarCurr] :
      ( v12439(VarCurr)
    <=> ( v12440(VarCurr)
        | v12441(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2868,axiom,(
    ! [VarCurr] :
      ( v12441(VarCurr)
    <=> ( v12442(VarCurr)
        & v12384(VarCurr) ) ) )).

fof(writeUnaryOperator_970,axiom,(
    ! [VarCurr] :
      ( ~ v12442(VarCurr)
    <=> v12159(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_896,axiom,(
    ! [VarCurr] :
      ( v12440(VarCurr)
    <=> ( $true
      <=> v12350(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_2744,axiom,(
    ! [VarNext] :
      ( v12350(VarNext,bitIndex1)
    <=> v12431(VarNext,bitIndex0) ) )).

fof(addCaseBooleanConditionShiftedRanges1_16,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12432(VarNext)
       => ( ( v12431(VarNext,bitIndex3)
          <=> v12350(VarCurr,bitIndex4) )
          & ( v12431(VarNext,bitIndex2)
          <=> v12350(VarCurr,bitIndex3) )
          & ( v12431(VarNext,bitIndex1)
          <=> v12350(VarCurr,bitIndex2) )
          & ( v12431(VarNext,bitIndex0)
          <=> v12350(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_155,axiom,(
    ! [VarNext] :
      ( v12432(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v12431(VarNext,B)
          <=> v12398(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2867,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12432(VarNext)
      <=> v12433(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2866,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12433(VarNext)
      <=> ( v12435(VarNext)
          & v12352(VarNext) ) ) ) )).

fof(writeUnaryOperator_969,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12435(VarNext)
      <=> v12359(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_32,axiom,(
    ! [VarCurr] :
      ( ~ v12417(VarCurr)
     => ( v12195(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_29,axiom,(
    ! [VarCurr] :
      ( v12417(VarCurr)
     => ( v12195(VarCurr,bitIndex1)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2865,axiom,(
    ! [VarCurr] :
      ( v12417(VarCurr)
    <=> ( v12418(VarCurr)
        | v12428(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2864,axiom,(
    ! [VarCurr] :
      ( v12428(VarCurr)
    <=> ( v12429(VarCurr)
        & v12387(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_271,axiom,(
    ! [VarCurr] :
      ( v12429(VarCurr)
    <=> ( v12427(VarCurr)
        & v12341(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2863,axiom,(
    ! [VarCurr] :
      ( v12418(VarCurr)
    <=> ( v12419(VarCurr)
        | v12424(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2862,axiom,(
    ! [VarCurr] :
      ( v12424(VarCurr)
    <=> ( v12425(VarCurr)
        & v12384(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_270,axiom,(
    ! [VarCurr] :
      ( v12425(VarCurr)
    <=> ( v12427(VarCurr)
        & v12341(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2861,axiom,(
    ! [VarCurr] :
      ( v12427(VarCurr)
    <=> ( v12383(VarCurr)
        & v12423(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2860,axiom,(
    ! [VarCurr] :
      ( v12419(VarCurr)
    <=> ( v12420(VarCurr)
        & v12378(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_269,axiom,(
    ! [VarCurr] :
      ( v12420(VarCurr)
    <=> ( v12422(VarCurr)
        & v12341(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2859,axiom,(
    ! [VarCurr] :
      ( v12422(VarCurr)
    <=> ( v12197(VarCurr)
        & v12423(VarCurr) ) ) )).

fof(writeUnaryOperator_968,axiom,(
    ! [VarCurr] :
      ( ~ v12423(VarCurr)
    <=> v12341(VarCurr,bitIndex0) ) )).

fof(addAssignment_2743,axiom,(
    ! [VarNext] :
      ( v12350(VarNext,bitIndex4)
    <=> v12409(VarNext,bitIndex3) ) )).

fof(addCaseBooleanConditionShiftedRanges1_15,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12410(VarNext)
       => ( ( v12409(VarNext,bitIndex3)
          <=> v12350(VarCurr,bitIndex4) )
          & ( v12409(VarNext,bitIndex2)
          <=> v12350(VarCurr,bitIndex3) )
          & ( v12409(VarNext,bitIndex1)
          <=> v12350(VarCurr,bitIndex2) )
          & ( v12409(VarNext,bitIndex0)
          <=> v12350(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_154,axiom,(
    ! [VarNext] :
      ( v12410(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v12409(VarNext,B)
          <=> v12398(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2858,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12410(VarNext)
      <=> v12411(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2857,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12411(VarNext)
      <=> ( v12413(VarNext)
          & v12352(VarNext) ) ) ) )).

fof(writeUnaryOperator_967,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12413(VarNext)
      <=> v12359(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_31,axiom,(
    ! [VarCurr] :
      ( ~ v12403(VarCurr)
     => ( v12195(VarCurr,bitIndex4)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_28,axiom,(
    ! [VarCurr] :
      ( v12403(VarCurr)
     => ( v12195(VarCurr,bitIndex4)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2856,axiom,(
    ! [VarCurr] :
      ( v12403(VarCurr)
    <=> ( v12404(VarCurr)
        | v12405(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2855,axiom,(
    ! [VarCurr] :
      ( v12405(VarCurr)
    <=> ( v12406(VarCurr)
        & v12387(VarCurr) ) ) )).

fof(writeUnaryOperator_966,axiom,(
    ! [VarCurr] :
      ( ~ v12406(VarCurr)
    <=> v12159(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_895,axiom,(
    ! [VarCurr] :
      ( v12404(VarCurr)
    <=> ( $true
      <=> v12350(VarCurr,bitIndex3) ) ) )).

fof(addAssignment_2742,axiom,(
    ! [VarNext] :
      ( v12350(VarNext,bitIndex3)
    <=> v12389(VarNext,bitIndex2) ) )).

fof(addCaseBooleanConditionShiftedRanges1_14,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12390(VarNext)
       => ( ( v12389(VarNext,bitIndex3)
          <=> v12350(VarCurr,bitIndex4) )
          & ( v12389(VarNext,bitIndex2)
          <=> v12350(VarCurr,bitIndex3) )
          & ( v12389(VarNext,bitIndex1)
          <=> v12350(VarCurr,bitIndex2) )
          & ( v12389(VarNext,bitIndex0)
          <=> v12350(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_153,axiom,(
    ! [VarNext] :
      ( v12390(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v12389(VarNext,B)
          <=> v12398(VarNext,B) ) ) ) )).

fof(addAssignment_2741,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v12398(VarNext,B)
          <=> v12396(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_30,axiom,(
    ! [VarCurr] :
      ( ~ v12366(VarCurr)
     => ( ( v12396(VarCurr,bitIndex3)
        <=> v12195(VarCurr,bitIndex4) )
        & ( v12396(VarCurr,bitIndex2)
        <=> v12195(VarCurr,bitIndex3) )
        & ( v12396(VarCurr,bitIndex1)
        <=> v12195(VarCurr,bitIndex2) )
        & ( v12396(VarCurr,bitIndex0)
        <=> v12195(VarCurr,bitIndex1) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_317,axiom,(
    ! [VarCurr] :
      ( v12366(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v12396(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2854,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12390(VarNext)
      <=> v12391(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2853,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12391(VarNext)
      <=> ( v12393(VarNext)
          & v12352(VarNext) ) ) ) )).

fof(writeUnaryOperator_965,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12393(VarNext)
      <=> v12359(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_29,axiom,(
    ! [VarCurr] :
      ( ~ v12371(VarCurr)
     => ( v12195(VarCurr,bitIndex3)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_27,axiom,(
    ! [VarCurr] :
      ( v12371(VarCurr)
     => ( v12195(VarCurr,bitIndex3)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2852,axiom,(
    ! [VarCurr] :
      ( v12371(VarCurr)
    <=> ( v12372(VarCurr)
        | v12385(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2851,axiom,(
    ! [VarCurr] :
      ( v12385(VarCurr)
    <=> ( v12386(VarCurr)
        & v12387(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_894,axiom,(
    ! [VarCurr] :
      ( v12387(VarCurr)
    <=> ( $true
      <=> v12350(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2850,axiom,(
    ! [VarCurr] :
      ( v12386(VarCurr)
    <=> ( v12382(VarCurr)
        & v12377(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2849,axiom,(
    ! [VarCurr] :
      ( v12372(VarCurr)
    <=> ( v12373(VarCurr)
        | v12379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2848,axiom,(
    ! [VarCurr] :
      ( v12379(VarCurr)
    <=> ( v12380(VarCurr)
        & v12384(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_893,axiom,(
    ! [VarCurr] :
      ( v12384(VarCurr)
    <=> ( $true
      <=> v12350(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2847,axiom,(
    ! [VarCurr] :
      ( v12380(VarCurr)
    <=> ( v12382(VarCurr)
        & v12377(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2846,axiom,(
    ! [VarCurr] :
      ( v12382(VarCurr)
    <=> ( v12383(VarCurr)
        & v12341(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2845,axiom,(
    ! [VarCurr] :
      ( v12383(VarCurr)
    <=> ( v12197(VarCurr)
        & v12159(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2844,axiom,(
    ! [VarCurr] :
      ( v12373(VarCurr)
    <=> ( v12374(VarCurr)
        & v12378(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_892,axiom,(
    ! [VarCurr] :
      ( v12378(VarCurr)
    <=> ( $true
      <=> v12350(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2843,axiom,(
    ! [VarCurr] :
      ( v12374(VarCurr)
    <=> ( v12376(VarCurr)
        & v12377(VarCurr) ) ) )).

fof(writeUnaryOperator_964,axiom,(
    ! [VarCurr] :
      ( ~ v12377(VarCurr)
    <=> v12341(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2842,axiom,(
    ! [VarCurr] :
      ( v12376(VarCurr)
    <=> ( v12197(VarCurr)
        & v12341(VarCurr,bitIndex0) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_138,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12355(VarNext)
       => ( v12350(VarNext,bitIndex0)
        <=> v12350(VarCurr,bitIndex0) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_152,axiom,(
    ! [VarNext] :
      ( v12355(VarNext)
     => ( v12350(VarNext,bitIndex0)
      <=> v12365(VarNext) ) ) )).

fof(addAssignment_2740,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12365(VarNext)
      <=> v12363(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_314,axiom,(
    ! [VarCurr] :
      ( ~ v12366(VarCurr)
     => ( v12363(VarCurr)
      <=> v12195(VarCurr,bitIndex0) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_316,axiom,(
    ! [VarCurr] :
      ( v12366(VarCurr)
     => ( v12363(VarCurr)
      <=> $true ) ) )).

fof(writeUnaryOperator_963,axiom,(
    ! [VarCurr] :
      ( ~ v12366(VarCurr)
    <=> v12193(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2841,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12355(VarNext)
      <=> v12356(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2840,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12356(VarNext)
      <=> ( v12357(VarNext)
          & v12352(VarNext) ) ) ) )).

fof(writeUnaryOperator_962,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12357(VarNext)
      <=> v12359(VarNext) ) ) )).

fof(addAssignment_2739,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12359(VarNext)
      <=> v12352(VarCurr) ) ) )).

fof(addAssignmentInitValueVector_19,axiom,
    ( ( v12350(constB0,bitIndex4)
    <=> $false )
    & ( v12350(constB0,bitIndex3)
    <=> $false )
    & ( v12350(constB0,bitIndex2)
    <=> $false )
    & ( v12350(constB0,bitIndex1)
    <=> $false ) )).

fof(addAssignment_2738,axiom,(
    ! [VarCurr] :
      ( v12352(VarCurr)
    <=> v11731(VarCurr) ) )).

fof(addAssignment_2737,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v12341(VarCurr,B)
      <=> v12343(VarCurr,B) ) ) )).

fof(addAssignment_2736,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v12343(VarCurr,B)
      <=> v12345(VarCurr,B) ) ) )).

fof(addAssignment_2735,axiom,(
    ! [VarCurr] :
      ( v12345(VarCurr,bitIndex0)
    <=> v36(VarCurr,bitIndex4) ) )).

fof(addAssignment_2734,axiom,(
    ! [VarCurr] :
      ( v12345(VarCurr,bitIndex1)
    <=> v12347(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_268,axiom,(
    ! [VarCurr] :
      ( v12347(VarCurr)
    <=> ( v36(VarCurr,bitIndex1)
        | v36(VarCurr,bitIndex7) ) ) )).

fof(addAssignment_2733,axiom,(
    ! [VarCurr] :
      ( v12197(VarCurr)
    <=> v12199(VarCurr) ) )).

fof(addAssignment_2732,axiom,(
    ! [VarCurr] :
      ( v12199(VarCurr)
    <=> v12201(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_267,axiom,(
    ! [VarCurr] :
      ( v12201(VarCurr)
    <=> ( v12339(VarCurr)
        | v36(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorShiftedRanges_266,axiom,(
    ! [VarCurr] :
      ( v12339(VarCurr)
    <=> ( v36(VarCurr,bitIndex1)
        | v36(VarCurr,bitIndex4) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_28,axiom,(
    ! [VarCurr] :
      ( ~ v12306(VarCurr)
     => ( v36(VarCurr,bitIndex4)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_26,axiom,(
    ! [VarCurr] :
      ( v12306(VarCurr)
     => ( v36(VarCurr,bitIndex4)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2839,axiom,(
    ! [VarCurr] :
      ( v12306(VarCurr)
    <=> ( v12307(VarCurr)
        | v12336(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2838,axiom,(
    ! [VarCurr] :
      ( v12336(VarCurr)
    <=> ( v12337(VarCurr)
        & v12296(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2837,axiom,(
    ! [VarCurr] :
      ( v12337(VarCurr)
    <=> ( v12315(VarCurr)
        & v12015(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2836,axiom,(
    ! [VarCurr] :
      ( v12307(VarCurr)
    <=> ( v12308(VarCurr)
        | v12334(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2835,axiom,(
    ! [VarCurr] :
      ( v12334(VarCurr)
    <=> ( v12335(VarCurr)
        & v12273(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2834,axiom,(
    ! [VarCurr] :
      ( v12335(VarCurr)
    <=> ( v12325(VarCurr)
        & v12015(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2833,axiom,(
    ! [VarCurr] :
      ( v12308(VarCurr)
    <=> ( v12309(VarCurr)
        | v12331(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2832,axiom,(
    ! [VarCurr] :
      ( v12331(VarCurr)
    <=> ( v12332(VarCurr)
        & v12333(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_891,axiom,(
    ! [VarCurr] :
      ( v12333(VarCurr)
    <=> ( $true
      <=> v31(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2831,axiom,(
    ! [VarCurr] :
      ( v12332(VarCurr)
    <=> ( v12315(VarCurr)
        & v12015(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2830,axiom,(
    ! [VarCurr] :
      ( v12309(VarCurr)
    <=> ( v12310(VarCurr)
        | v12329(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2829,axiom,(
    ! [VarCurr] :
      ( v12329(VarCurr)
    <=> ( v12330(VarCurr)
        & v12251(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2828,axiom,(
    ! [VarCurr] :
      ( v12330(VarCurr)
    <=> ( v12325(VarCurr)
        & v12015(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2827,axiom,(
    ! [VarCurr] :
      ( v12310(VarCurr)
    <=> ( v12311(VarCurr)
        | v12326(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2826,axiom,(
    ! [VarCurr] :
      ( v12326(VarCurr)
    <=> ( v12327(VarCurr)
        & v12328(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_890,axiom,(
    ! [VarCurr] :
      ( v12328(VarCurr)
    <=> ( $true
      <=> v31(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2825,axiom,(
    ! [VarCurr] :
      ( v12327(VarCurr)
    <=> ( v12315(VarCurr)
        & v12015(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2824,axiom,(
    ! [VarCurr] :
      ( v12311(VarCurr)
    <=> ( v12312(VarCurr)
        | v12322(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2823,axiom,(
    ! [VarCurr] :
      ( v12322(VarCurr)
    <=> ( v12323(VarCurr)
        & v12211(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2822,axiom,(
    ! [VarCurr] :
      ( v12323(VarCurr)
    <=> ( v12325(VarCurr)
        & v12015(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2821,axiom,(
    ! [VarCurr] :
      ( v12325(VarCurr)
    <=> ( v12315(VarCurr)
        & v12153(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2820,axiom,(
    ! [VarCurr] :
      ( v12312(VarCurr)
    <=> ( v12313(VarCurr)
        & v12321(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_889,axiom,(
    ! [VarCurr] :
      ( v12321(VarCurr)
    <=> ( $true
      <=> v31(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2819,axiom,(
    ! [VarCurr] :
      ( v12313(VarCurr)
    <=> ( v12315(VarCurr)
        & v12015(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2818,axiom,(
    ! [VarCurr] :
      ( v12315(VarCurr)
    <=> ( v12316(VarCurr)
        & v12320(VarCurr) ) ) )).

fof(writeUnaryOperator_961,axiom,(
    ! [VarCurr] :
      ( ~ v12320(VarCurr)
    <=> v38(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2817,axiom,(
    ! [VarCurr] :
      ( v12316(VarCurr)
    <=> ( v12317(VarCurr)
        & v12319(VarCurr) ) ) )).

fof(writeUnaryOperator_960,axiom,(
    ! [VarCurr] :
      ( ~ v12319(VarCurr)
    <=> v12002(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2816,axiom,(
    ! [VarCurr] :
      ( v12317(VarCurr)
    <=> ( v12318(VarCurr)
        & v11980(VarCurr) ) ) )).

fof(writeUnaryOperator_959,axiom,(
    ! [VarCurr] :
      ( ~ v12318(VarCurr)
    <=> v87(VarCurr) ) )).

fof(addAssignment_2731,axiom,(
    ! [VarNext] :
      ( v31(VarNext,bitIndex9)
    <=> v12298(VarNext,bitIndex8) ) )).

fof(addCaseBooleanConditionShiftedRanges1_13,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12299(VarNext)
       => ( ( v12298(VarNext,bitIndex10)
          <=> v31(VarCurr,bitIndex11) )
          & ( v12298(VarNext,bitIndex9)
          <=> v31(VarCurr,bitIndex10) )
          & ( v12298(VarNext,bitIndex8)
          <=> v31(VarCurr,bitIndex9) )
          & ( v12298(VarNext,bitIndex7)
          <=> v31(VarCurr,bitIndex8) )
          & ( v12298(VarNext,bitIndex6)
          <=> v31(VarCurr,bitIndex7) )
          & ( v12298(VarNext,bitIndex5)
          <=> v31(VarCurr,bitIndex6) )
          & ( v12298(VarNext,bitIndex4)
          <=> v31(VarCurr,bitIndex5) )
          & ( v12298(VarNext,bitIndex3)
          <=> v31(VarCurr,bitIndex4) )
          & ( v12298(VarNext,bitIndex2)
          <=> v31(VarCurr,bitIndex3) )
          & ( v12298(VarNext,bitIndex1)
          <=> v31(VarCurr,bitIndex2) )
          & ( v12298(VarNext,bitIndex0)
          <=> v31(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_151,axiom,(
    ! [VarNext] :
      ( v12299(VarNext)
     => ! [B] :
          ( range_10_0(B)
         => ( v12298(VarNext,B)
          <=> v12226(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2815,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12299(VarNext)
      <=> v12300(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2814,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12300(VarNext)
      <=> ( v12302(VarNext)
          & v12213(VarNext) ) ) ) )).

fof(writeUnaryOperator_958,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12302(VarNext)
      <=> v12220(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_27,axiom,(
    ! [VarCurr] :
      ( ~ v12284(VarCurr)
     => ( v36(VarCurr,bitIndex9)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_25,axiom,(
    ! [VarCurr] :
      ( v12284(VarCurr)
     => ( v36(VarCurr,bitIndex9)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2813,axiom,(
    ! [VarCurr] :
      ( v12284(VarCurr)
    <=> ( v12285(VarCurr)
        | v12294(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2812,axiom,(
    ! [VarCurr] :
      ( v12294(VarCurr)
    <=> ( v12295(VarCurr)
        & v12296(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_888,axiom,(
    ! [VarCurr] :
      ( v12296(VarCurr)
    <=> ( $true
      <=> v31(VarCurr,bitIndex9) ) ) )).

fof(addAssignment_2730,axiom,(
    ! [VarCurr] :
      ( v12295(VarCurr)
    <=> v38(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2811,axiom,(
    ! [VarCurr] :
      ( v12285(VarCurr)
    <=> ( v12286(VarCurr)
        | v12292(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2810,axiom,(
    ! [VarCurr] :
      ( v12292(VarCurr)
    <=> ( v12293(VarCurr)
        & v12273(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2809,axiom,(
    ! [VarCurr] :
      ( v12293(VarCurr)
    <=> ( v38(VarCurr)
        & v12153(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2808,axiom,(
    ! [VarCurr] :
      ( v12286(VarCurr)
    <=> ( v12287(VarCurr)
        | v12290(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2807,axiom,(
    ! [VarCurr] :
      ( v12290(VarCurr)
    <=> ( v12291(VarCurr)
        & v12251(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2806,axiom,(
    ! [VarCurr] :
      ( v12291(VarCurr)
    <=> ( v38(VarCurr)
        & v12153(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2805,axiom,(
    ! [VarCurr] :
      ( v12287(VarCurr)
    <=> ( v12288(VarCurr)
        & v12211(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2804,axiom,(
    ! [VarCurr] :
      ( v12288(VarCurr)
    <=> ( v38(VarCurr)
        & v12153(VarCurr) ) ) )).

fof(addAssignment_2729,axiom,(
    ! [VarNext] :
      ( v31(VarNext,bitIndex8)
    <=> v12275(VarNext,bitIndex7) ) )).

fof(addCaseBooleanConditionShiftedRanges1_12,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12276(VarNext)
       => ( ( v12275(VarNext,bitIndex10)
          <=> v31(VarCurr,bitIndex11) )
          & ( v12275(VarNext,bitIndex9)
          <=> v31(VarCurr,bitIndex10) )
          & ( v12275(VarNext,bitIndex8)
          <=> v31(VarCurr,bitIndex9) )
          & ( v12275(VarNext,bitIndex7)
          <=> v31(VarCurr,bitIndex8) )
          & ( v12275(VarNext,bitIndex6)
          <=> v31(VarCurr,bitIndex7) )
          & ( v12275(VarNext,bitIndex5)
          <=> v31(VarCurr,bitIndex6) )
          & ( v12275(VarNext,bitIndex4)
          <=> v31(VarCurr,bitIndex5) )
          & ( v12275(VarNext,bitIndex3)
          <=> v31(VarCurr,bitIndex4) )
          & ( v12275(VarNext,bitIndex2)
          <=> v31(VarCurr,bitIndex3) )
          & ( v12275(VarNext,bitIndex1)
          <=> v31(VarCurr,bitIndex2) )
          & ( v12275(VarNext,bitIndex0)
          <=> v31(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_150,axiom,(
    ! [VarNext] :
      ( v12276(VarNext)
     => ! [B] :
          ( range_10_0(B)
         => ( v12275(VarNext,B)
          <=> v12226(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2803,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12276(VarNext)
      <=> v12277(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2802,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12277(VarNext)
      <=> ( v12279(VarNext)
          & v12213(VarNext) ) ) ) )).

fof(writeUnaryOperator_957,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12279(VarNext)
      <=> v12220(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_26,axiom,(
    ! [VarCurr] :
      ( ~ v12269(VarCurr)
     => ( v36(VarCurr,bitIndex8)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_24,axiom,(
    ! [VarCurr] :
      ( v12269(VarCurr)
     => ( v36(VarCurr,bitIndex8)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2801,axiom,(
    ! [VarCurr] :
      ( v12269(VarCurr)
    <=> ( v12270(VarCurr)
        | v12271(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2800,axiom,(
    ! [VarCurr] :
      ( v12271(VarCurr)
    <=> ( v12272(VarCurr)
        & v12273(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_887,axiom,(
    ! [VarCurr] :
      ( v12273(VarCurr)
    <=> ( $true
      <=> v31(VarCurr,bitIndex8) ) ) )).

fof(writeUnaryOperator_956,axiom,(
    ! [VarCurr] :
      ( ~ v12272(VarCurr)
    <=> v12153(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_886,axiom,(
    ! [VarCurr] :
      ( v12270(VarCurr)
    <=> ( $true
      <=> v31(VarCurr,bitIndex7) ) ) )).

fof(addAssignment_2728,axiom,(
    ! [VarNext] :
      ( v31(VarNext,bitIndex6)
    <=> v12261(VarNext,bitIndex5) ) )).

fof(addCaseBooleanConditionShiftedRanges1_11,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12262(VarNext)
       => ( ( v12261(VarNext,bitIndex10)
          <=> v31(VarCurr,bitIndex11) )
          & ( v12261(VarNext,bitIndex9)
          <=> v31(VarCurr,bitIndex10) )
          & ( v12261(VarNext,bitIndex8)
          <=> v31(VarCurr,bitIndex9) )
          & ( v12261(VarNext,bitIndex7)
          <=> v31(VarCurr,bitIndex8) )
          & ( v12261(VarNext,bitIndex6)
          <=> v31(VarCurr,bitIndex7) )
          & ( v12261(VarNext,bitIndex5)
          <=> v31(VarCurr,bitIndex6) )
          & ( v12261(VarNext,bitIndex4)
          <=> v31(VarCurr,bitIndex5) )
          & ( v12261(VarNext,bitIndex3)
          <=> v31(VarCurr,bitIndex4) )
          & ( v12261(VarNext,bitIndex2)
          <=> v31(VarCurr,bitIndex3) )
          & ( v12261(VarNext,bitIndex1)
          <=> v31(VarCurr,bitIndex2) )
          & ( v12261(VarNext,bitIndex0)
          <=> v31(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_149,axiom,(
    ! [VarNext] :
      ( v12262(VarNext)
     => ! [B] :
          ( range_10_0(B)
         => ( v12261(VarNext,B)
          <=> v12226(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2799,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12262(VarNext)
      <=> v12263(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2798,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12263(VarNext)
      <=> ( v12265(VarNext)
          & v12213(VarNext) ) ) ) )).

fof(writeUnaryOperator_955,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12265(VarNext)
      <=> v12220(VarNext) ) ) )).

fof(addAssignment_2727,axiom,(
    ! [VarNext] :
      ( v31(VarNext,bitIndex5)
    <=> v12253(VarNext,bitIndex4) ) )).

fof(addCaseBooleanConditionShiftedRanges1_10,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12254(VarNext)
       => ( ( v12253(VarNext,bitIndex10)
          <=> v31(VarCurr,bitIndex11) )
          & ( v12253(VarNext,bitIndex9)
          <=> v31(VarCurr,bitIndex10) )
          & ( v12253(VarNext,bitIndex8)
          <=> v31(VarCurr,bitIndex9) )
          & ( v12253(VarNext,bitIndex7)
          <=> v31(VarCurr,bitIndex8) )
          & ( v12253(VarNext,bitIndex6)
          <=> v31(VarCurr,bitIndex7) )
          & ( v12253(VarNext,bitIndex5)
          <=> v31(VarCurr,bitIndex6) )
          & ( v12253(VarNext,bitIndex4)
          <=> v31(VarCurr,bitIndex5) )
          & ( v12253(VarNext,bitIndex3)
          <=> v31(VarCurr,bitIndex4) )
          & ( v12253(VarNext,bitIndex2)
          <=> v31(VarCurr,bitIndex3) )
          & ( v12253(VarNext,bitIndex1)
          <=> v31(VarCurr,bitIndex2) )
          & ( v12253(VarNext,bitIndex0)
          <=> v31(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_148,axiom,(
    ! [VarNext] :
      ( v12254(VarNext)
     => ! [B] :
          ( range_10_0(B)
         => ( v12253(VarNext,B)
          <=> v12226(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2797,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12254(VarNext)
      <=> v12255(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2796,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12255(VarNext)
      <=> ( v12257(VarNext)
          & v12213(VarNext) ) ) ) )).

fof(writeUnaryOperator_954,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12257(VarNext)
      <=> v12220(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_25,axiom,(
    ! [VarCurr] :
      ( ~ v12247(VarCurr)
     => ( v36(VarCurr,bitIndex5)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_23,axiom,(
    ! [VarCurr] :
      ( v12247(VarCurr)
     => ( v36(VarCurr,bitIndex5)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2795,axiom,(
    ! [VarCurr] :
      ( v12247(VarCurr)
    <=> ( v12248(VarCurr)
        | v12249(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2794,axiom,(
    ! [VarCurr] :
      ( v12249(VarCurr)
    <=> ( v12250(VarCurr)
        & v12251(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_885,axiom,(
    ! [VarCurr] :
      ( v12251(VarCurr)
    <=> ( $true
      <=> v31(VarCurr,bitIndex5) ) ) )).

fof(writeUnaryOperator_953,axiom,(
    ! [VarCurr] :
      ( ~ v12250(VarCurr)
    <=> v12153(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_884,axiom,(
    ! [VarCurr] :
      ( v12248(VarCurr)
    <=> ( $true
      <=> v31(VarCurr,bitIndex4) ) ) )).

fof(addAssignment_2726,axiom,(
    ! [VarNext] :
      ( v31(VarNext,bitIndex4)
    <=> v12239(VarNext,bitIndex3) ) )).

fof(addCaseBooleanConditionShiftedRanges1_9,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12240(VarNext)
       => ( ( v12239(VarNext,bitIndex10)
          <=> v31(VarCurr,bitIndex11) )
          & ( v12239(VarNext,bitIndex9)
          <=> v31(VarCurr,bitIndex10) )
          & ( v12239(VarNext,bitIndex8)
          <=> v31(VarCurr,bitIndex9) )
          & ( v12239(VarNext,bitIndex7)
          <=> v31(VarCurr,bitIndex8) )
          & ( v12239(VarNext,bitIndex6)
          <=> v31(VarCurr,bitIndex7) )
          & ( v12239(VarNext,bitIndex5)
          <=> v31(VarCurr,bitIndex6) )
          & ( v12239(VarNext,bitIndex4)
          <=> v31(VarCurr,bitIndex5) )
          & ( v12239(VarNext,bitIndex3)
          <=> v31(VarCurr,bitIndex4) )
          & ( v12239(VarNext,bitIndex2)
          <=> v31(VarCurr,bitIndex3) )
          & ( v12239(VarNext,bitIndex1)
          <=> v31(VarCurr,bitIndex2) )
          & ( v12239(VarNext,bitIndex0)
          <=> v31(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_147,axiom,(
    ! [VarNext] :
      ( v12240(VarNext)
     => ! [B] :
          ( range_10_0(B)
         => ( v12239(VarNext,B)
          <=> v12226(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2793,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12240(VarNext)
      <=> v12241(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2792,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12241(VarNext)
      <=> ( v12243(VarNext)
          & v12213(VarNext) ) ) ) )).

fof(writeUnaryOperator_952,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12243(VarNext)
      <=> v12220(VarNext) ) ) )).

fof(addAssignment_2725,axiom,(
    ! [VarNext] :
      ( v31(VarNext,bitIndex3)
    <=> v12231(VarNext,bitIndex2) ) )).

fof(addCaseBooleanConditionShiftedRanges1_8,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12232(VarNext)
       => ( ( v12231(VarNext,bitIndex10)
          <=> v31(VarCurr,bitIndex11) )
          & ( v12231(VarNext,bitIndex9)
          <=> v31(VarCurr,bitIndex10) )
          & ( v12231(VarNext,bitIndex8)
          <=> v31(VarCurr,bitIndex9) )
          & ( v12231(VarNext,bitIndex7)
          <=> v31(VarCurr,bitIndex8) )
          & ( v12231(VarNext,bitIndex6)
          <=> v31(VarCurr,bitIndex7) )
          & ( v12231(VarNext,bitIndex5)
          <=> v31(VarCurr,bitIndex6) )
          & ( v12231(VarNext,bitIndex4)
          <=> v31(VarCurr,bitIndex5) )
          & ( v12231(VarNext,bitIndex3)
          <=> v31(VarCurr,bitIndex4) )
          & ( v12231(VarNext,bitIndex2)
          <=> v31(VarCurr,bitIndex3) )
          & ( v12231(VarNext,bitIndex1)
          <=> v31(VarCurr,bitIndex2) )
          & ( v12231(VarNext,bitIndex0)
          <=> v31(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_146,axiom,(
    ! [VarNext] :
      ( v12232(VarNext)
     => ! [B] :
          ( range_10_0(B)
         => ( v12231(VarNext,B)
          <=> v12226(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2791,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12232(VarNext)
      <=> v12233(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2790,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12233(VarNext)
      <=> ( v12235(VarNext)
          & v12213(VarNext) ) ) ) )).

fof(writeUnaryOperator_951,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12235(VarNext)
      <=> v12220(VarNext) ) ) )).

fof(addAssignment_2724,axiom,(
    ! [VarNext] :
      ( v31(VarNext,bitIndex2)
    <=> v12215(VarNext,bitIndex1) ) )).

fof(addCaseBooleanConditionShiftedRanges1_7,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12216(VarNext)
       => ( ( v12215(VarNext,bitIndex10)
          <=> v31(VarCurr,bitIndex11) )
          & ( v12215(VarNext,bitIndex9)
          <=> v31(VarCurr,bitIndex10) )
          & ( v12215(VarNext,bitIndex8)
          <=> v31(VarCurr,bitIndex9) )
          & ( v12215(VarNext,bitIndex7)
          <=> v31(VarCurr,bitIndex8) )
          & ( v12215(VarNext,bitIndex6)
          <=> v31(VarCurr,bitIndex7) )
          & ( v12215(VarNext,bitIndex5)
          <=> v31(VarCurr,bitIndex6) )
          & ( v12215(VarNext,bitIndex4)
          <=> v31(VarCurr,bitIndex5) )
          & ( v12215(VarNext,bitIndex3)
          <=> v31(VarCurr,bitIndex4) )
          & ( v12215(VarNext,bitIndex2)
          <=> v31(VarCurr,bitIndex3) )
          & ( v12215(VarNext,bitIndex1)
          <=> v31(VarCurr,bitIndex2) )
          & ( v12215(VarNext,bitIndex0)
          <=> v31(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_145,axiom,(
    ! [VarNext] :
      ( v12216(VarNext)
     => ! [B] :
          ( range_10_0(B)
         => ( v12215(VarNext,B)
          <=> v12226(VarNext,B) ) ) ) )).

fof(addAssignment_2723,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_10_0(B)
         => ( v12226(VarNext,B)
          <=> v12224(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_24,axiom,(
    ! [VarCurr] :
      ( ~ v12227(VarCurr)
     => ( ( v12224(VarCurr,bitIndex10)
        <=> v36(VarCurr,bitIndex11) )
        & ( v12224(VarCurr,bitIndex9)
        <=> v36(VarCurr,bitIndex10) )
        & ( v12224(VarCurr,bitIndex8)
        <=> v36(VarCurr,bitIndex9) )
        & ( v12224(VarCurr,bitIndex7)
        <=> v36(VarCurr,bitIndex8) )
        & ( v12224(VarCurr,bitIndex6)
        <=> v36(VarCurr,bitIndex7) )
        & ( v12224(VarCurr,bitIndex5)
        <=> v36(VarCurr,bitIndex6) )
        & ( v12224(VarCurr,bitIndex4)
        <=> v36(VarCurr,bitIndex5) )
        & ( v12224(VarCurr,bitIndex3)
        <=> v36(VarCurr,bitIndex4) )
        & ( v12224(VarCurr,bitIndex2)
        <=> v36(VarCurr,bitIndex3) )
        & ( v12224(VarCurr,bitIndex1)
        <=> v36(VarCurr,bitIndex2) )
        & ( v12224(VarCurr,bitIndex0)
        <=> v36(VarCurr,bitIndex1) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_315,axiom,(
    ! [VarCurr] :
      ( v12227(VarCurr)
     => ! [B] :
          ( range_10_0(B)
         => ( v12224(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_950,axiom,(
    ! [VarCurr] :
      ( ~ v12227(VarCurr)
    <=> v33(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2789,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12216(VarNext)
      <=> v12217(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2788,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12217(VarNext)
      <=> ( v12218(VarNext)
          & v12213(VarNext) ) ) ) )).

fof(writeUnaryOperator_949,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12218(VarNext)
      <=> v12220(VarNext) ) ) )).

fof(addAssignment_2722,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12220(VarNext)
      <=> v12213(VarCurr) ) ) )).

fof(addAssignment_2721,axiom,(
    ! [VarCurr] :
      ( v12213(VarCurr)
    <=> v11731(VarCurr) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_23,axiom,(
    ! [VarCurr] :
      ( ~ v12206(VarCurr)
     => ( v36(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_22,axiom,(
    ! [VarCurr] :
      ( v12206(VarCurr)
     => ( v36(VarCurr,bitIndex2)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2787,axiom,(
    ! [VarCurr] :
      ( v12206(VarCurr)
    <=> ( v12207(VarCurr)
        | v12208(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2786,axiom,(
    ! [VarCurr] :
      ( v12208(VarCurr)
    <=> ( v12209(VarCurr)
        & v12211(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_883,axiom,(
    ! [VarCurr] :
      ( v12211(VarCurr)
    <=> ( $true
      <=> v31(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_948,axiom,(
    ! [VarCurr] :
      ( ~ v12209(VarCurr)
    <=> v12153(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_882,axiom,(
    ! [VarCurr] :
      ( v12207(VarCurr)
    <=> ( $true
      <=> v31(VarCurr,bitIndex1) ) ) )).

fof(addAssignmentInitValueVector_18,axiom,
    ( ( v31(constB0,bitIndex11)
    <=> $false )
    & ( v31(constB0,bitIndex10)
    <=> $false )
    & ( v31(constB0,bitIndex9)
    <=> $false )
    & ( v31(constB0,bitIndex8)
    <=> $false )
    & ( v31(constB0,bitIndex7)
    <=> $false )
    & ( v31(constB0,bitIndex6)
    <=> $false )
    & ( v31(constB0,bitIndex5)
    <=> $false )
    & ( v31(constB0,bitIndex4)
    <=> $false )
    & ( v31(constB0,bitIndex3)
    <=> $false )
    & ( v31(constB0,bitIndex2)
    <=> $false )
    & ( v31(constB0,bitIndex1)
    <=> $false ) )).

fof(bitBlastConstant_7269,axiom,(
    ~ b00000000000(bitIndex10) )).

fof(bitBlastConstant_7268,axiom,(
    ~ b00000000000(bitIndex9) )).

fof(bitBlastConstant_7267,axiom,(
    ~ b00000000000(bitIndex8) )).

fof(bitBlastConstant_7266,axiom,(
    ~ b00000000000(bitIndex7) )).

fof(bitBlastConstant_7265,axiom,(
    ~ b00000000000(bitIndex6) )).

fof(bitBlastConstant_7264,axiom,(
    ~ b00000000000(bitIndex5) )).

fof(bitBlastConstant_7263,axiom,(
    ~ b00000000000(bitIndex4) )).

fof(bitBlastConstant_7262,axiom,(
    ~ b00000000000(bitIndex3) )).

fof(bitBlastConstant_7261,axiom,(
    ~ b00000000000(bitIndex2) )).

fof(bitBlastConstant_7260,axiom,(
    ~ b00000000000(bitIndex1) )).

fof(bitBlastConstant_7259,axiom,(
    ~ b00000000000(bitIndex0) )).

fof(addAssignmentInitValueVector_17,axiom,
    ( v31(constB0,bitIndex0)
  <=> $true )).

fof(addAssignment_2720,axiom,(
    ! [VarCurr] :
      ( v12193(VarCurr)
    <=> v12(VarCurr) ) )).

fof(addAssignment_2719,axiom,(
    ! [VarCurr] :
      ( v12171(VarCurr)
    <=> v12173(VarCurr) ) )).

fof(addAssignment_2718,axiom,(
    ! [VarCurr] :
      ( v12173(VarCurr)
    <=> v16(VarCurr) ) )).

fof(memoryReadIntoBuffer_2,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v12137_range_3_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( address(A)
             => ! [B] :
                  ( A = AssociatedAddressVar
                 => ( range_66_0(B)
                   => ( v12135(VarNext,B)
                    <=> v12029_array(VarNext,A,B) ) ) ) ) ) ) )).

fof(addAssignmentInitValueVector_16,axiom,(
    ! [B] :
      ( range_3_0(B)
     => ( v12137(constB0,B)
      <=> $false ) ) )).

fof(memoryConstantWriteDisabled_2,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( $true
              & v12127(VarNext) )
         => ! [B] :
              ( range_66_0(B)
             => ( v12029_array(VarNext,A,B)
              <=> v12029_1__array(VarNext,A,B) ) ) ) ) )).

fof(memoryConstantWriteEnabledInsideRange_2,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( $true
            & v12127(VarNext) )
         => ! [B] :
              ( range_66_0(B)
             => ( v12029_array(VarNext,A,B)
              <=> b0000000000000000000000000000000000000000000000000000000000000000000(B) ) ) ) ) )).

fof(bitBlastConstant_7258,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex66) )).

fof(bitBlastConstant_7257,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex65) )).

fof(bitBlastConstant_7256,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex64) )).

fof(bitBlastConstant_7255,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex63) )).

fof(bitBlastConstant_7254,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex62) )).

fof(bitBlastConstant_7253,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex61) )).

fof(bitBlastConstant_7252,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex60) )).

fof(bitBlastConstant_7251,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex59) )).

fof(bitBlastConstant_7250,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex58) )).

fof(bitBlastConstant_7249,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex57) )).

fof(bitBlastConstant_7248,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex56) )).

fof(bitBlastConstant_7247,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex55) )).

fof(bitBlastConstant_7246,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex54) )).

fof(bitBlastConstant_7245,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex53) )).

fof(bitBlastConstant_7244,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex52) )).

fof(bitBlastConstant_7243,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex51) )).

fof(bitBlastConstant_7242,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex50) )).

fof(bitBlastConstant_7241,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex49) )).

fof(bitBlastConstant_7240,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex48) )).

fof(bitBlastConstant_7239,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex47) )).

fof(bitBlastConstant_7238,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex46) )).

fof(bitBlastConstant_7237,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex45) )).

fof(bitBlastConstant_7236,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex44) )).

fof(bitBlastConstant_7235,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex43) )).

fof(bitBlastConstant_7234,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex42) )).

fof(bitBlastConstant_7233,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex41) )).

fof(bitBlastConstant_7232,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex40) )).

fof(bitBlastConstant_7231,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex39) )).

fof(bitBlastConstant_7230,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex38) )).

fof(bitBlastConstant_7229,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex37) )).

fof(bitBlastConstant_7228,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex36) )).

fof(bitBlastConstant_7227,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex35) )).

fof(bitBlastConstant_7226,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex34) )).

fof(bitBlastConstant_7225,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex33) )).

fof(bitBlastConstant_7224,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex32) )).

fof(bitBlastConstant_7223,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex31) )).

fof(bitBlastConstant_7222,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex30) )).

fof(bitBlastConstant_7221,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex29) )).

fof(bitBlastConstant_7220,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex28) )).

fof(bitBlastConstant_7219,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex27) )).

fof(bitBlastConstant_7218,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_7217,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_7216,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_7215,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_7214,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_7213,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_7212,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_7211,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_7210,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_7209,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_7208,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_7207,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_7206,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_7205,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_7204,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_7203,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_7202,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_7201,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_7200,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_7199,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_7198,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_7197,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_7196,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_7195,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_7194,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_7193,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_7192,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000000000(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2785,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12127(VarNext)
      <=> ( v12128(VarNext)
          & v12133(VarNext) ) ) ) )).

fof(addAssignment_2717,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12133(VarNext)
      <=> v12124(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2784,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12128(VarNext)
      <=> ( v12130(VarNext)
          & v12031(VarNext) ) ) ) )).

fof(writeUnaryOperator_947,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12130(VarNext)
      <=> v12102(VarNext) ) ) )).

fof(memoryWriteDisabled_2,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v12071_range_3_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( ~ ( A = AssociatedAddressVar
                  & v12115(VarNext) )
             => ! [B] :
                  ( range_66_0(B)
                 => ( v12029_1__array(VarNext,A,B)
                  <=> v12029_array(VarCurr,A,B) ) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_2,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v12071_range_3_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( ( A = AssociatedAddressVar
                & v12115(VarNext) )
             => ! [B] :
                  ( range_66_0(B)
                 => ( v12029_1__array(VarNext,A,B)
                  <=> v12036(VarNext,B) ) ) ) ) ) )).

fof(range_axiom_32,axiom,(
    ! [B] :
      ( range_66_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B
        | bitIndex44 = B
        | bitIndex45 = B
        | bitIndex46 = B
        | bitIndex47 = B
        | bitIndex48 = B
        | bitIndex49 = B
        | bitIndex50 = B
        | bitIndex51 = B
        | bitIndex52 = B
        | bitIndex53 = B
        | bitIndex54 = B
        | bitIndex55 = B
        | bitIndex56 = B
        | bitIndex57 = B
        | bitIndex58 = B
        | bitIndex59 = B
        | bitIndex60 = B
        | bitIndex61 = B
        | bitIndex62 = B
        | bitIndex63 = B
        | bitIndex64 = B
        | bitIndex65 = B
        | bitIndex66 = B ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2783,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12115(VarNext)
      <=> ( v12116(VarNext)
          & v12122(VarNext) ) ) ) )).

fof(addAssignment_2716,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12122(VarNext)
      <=> v12120(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2782,axiom,(
    ! [VarCurr] :
      ( v12120(VarCurr)
    <=> ( v12123(VarCurr)
        & v12063(VarCurr) ) ) )).

fof(writeUnaryOperator_946,axiom,(
    ! [VarCurr] :
      ( ~ v12123(VarCurr)
    <=> v12124(VarCurr) ) )).

fof(writeUnaryOperator_945,axiom,(
    ! [VarCurr] :
      ( ~ v12124(VarCurr)
    <=> v12034(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2781,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12116(VarNext)
      <=> ( v12117(VarNext)
          & v12031(VarNext) ) ) ) )).

fof(writeUnaryOperator_944,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12117(VarNext)
      <=> v12102(VarNext) ) ) )).

fof(initSateConstraint_261,axiom,(
    ~ v12029_array(constB0,b1111_address_term,bitIndex63) )).

fof(initSateConstraint_260,axiom,(
    ~ v12029_array(constB0,b1111_address_term,bitIndex64) )).

fof(initSateConstraint_259,axiom,(
    ~ v12029_array(constB0,b1111_address_term,bitIndex65) )).

fof(initSateConstraint_258,axiom,(
    ~ v12029_array(constB0,b1111_address_term,bitIndex66) )).

fof(initSateConstraint_257,axiom,(
    ~ v12029_array(constB0,b1110_address_term,bitIndex63) )).

fof(initSateConstraint_256,axiom,(
    ~ v12029_array(constB0,b1110_address_term,bitIndex64) )).

fof(initSateConstraint_255,axiom,(
    ~ v12029_array(constB0,b1110_address_term,bitIndex65) )).

fof(initSateConstraint_254,axiom,(
    ~ v12029_array(constB0,b1110_address_term,bitIndex66) )).

fof(initSateConstraint_253,axiom,(
    ~ v12029_array(constB0,b1101_address_term,bitIndex63) )).

fof(initSateConstraint_252,axiom,(
    ~ v12029_array(constB0,b1101_address_term,bitIndex64) )).

fof(initSateConstraint_251,axiom,(
    ~ v12029_array(constB0,b1101_address_term,bitIndex65) )).

fof(initSateConstraint_250,axiom,(
    ~ v12029_array(constB0,b1101_address_term,bitIndex66) )).

fof(initSateConstraint_249,axiom,(
    ~ v12029_array(constB0,b1100_address_term,bitIndex63) )).

fof(initSateConstraint_248,axiom,(
    ~ v12029_array(constB0,b1100_address_term,bitIndex64) )).

fof(initSateConstraint_247,axiom,(
    ~ v12029_array(constB0,b1100_address_term,bitIndex65) )).

fof(initSateConstraint_246,axiom,(
    ~ v12029_array(constB0,b1100_address_term,bitIndex66) )).

fof(initSateConstraint_245,axiom,(
    ~ v12029_array(constB0,b1011_address_term,bitIndex63) )).

fof(initSateConstraint_244,axiom,(
    ~ v12029_array(constB0,b1011_address_term,bitIndex64) )).

fof(initSateConstraint_243,axiom,(
    ~ v12029_array(constB0,b1011_address_term,bitIndex65) )).

fof(initSateConstraint_242,axiom,(
    ~ v12029_array(constB0,b1011_address_term,bitIndex66) )).

fof(initSateConstraint_241,axiom,(
    ~ v12029_array(constB0,b1010_address_term,bitIndex63) )).

fof(initSateConstraint_240,axiom,(
    ~ v12029_array(constB0,b1010_address_term,bitIndex64) )).

fof(initSateConstraint_239,axiom,(
    ~ v12029_array(constB0,b1010_address_term,bitIndex65) )).

fof(initSateConstraint_238,axiom,(
    ~ v12029_array(constB0,b1010_address_term,bitIndex66) )).

fof(initSateConstraint_237,axiom,(
    ~ v12029_array(constB0,b1001_address_term,bitIndex63) )).

fof(initSateConstraint_236,axiom,(
    ~ v12029_array(constB0,b1001_address_term,bitIndex64) )).

fof(initSateConstraint_235,axiom,(
    ~ v12029_array(constB0,b1001_address_term,bitIndex65) )).

fof(initSateConstraint_234,axiom,(
    ~ v12029_array(constB0,b1001_address_term,bitIndex66) )).

fof(initSateConstraint_233,axiom,(
    ~ v12029_array(constB0,b1000_address_term,bitIndex63) )).

fof(initSateConstraint_232,axiom,(
    ~ v12029_array(constB0,b1000_address_term,bitIndex64) )).

fof(initSateConstraint_231,axiom,(
    ~ v12029_array(constB0,b1000_address_term,bitIndex65) )).

fof(initSateConstraint_230,axiom,(
    ~ v12029_array(constB0,b1000_address_term,bitIndex66) )).

fof(initSateConstraint_229,axiom,(
    ~ v12029_array(constB0,b0111_address_term,bitIndex63) )).

fof(initSateConstraint_228,axiom,(
    ~ v12029_array(constB0,b0111_address_term,bitIndex64) )).

fof(initSateConstraint_227,axiom,(
    ~ v12029_array(constB0,b0111_address_term,bitIndex65) )).

fof(initSateConstraint_226,axiom,(
    ~ v12029_array(constB0,b0111_address_term,bitIndex66) )).

fof(initSateConstraint_225,axiom,(
    ~ v12029_array(constB0,b0110_address_term,bitIndex63) )).

fof(initSateConstraint_224,axiom,(
    ~ v12029_array(constB0,b0110_address_term,bitIndex64) )).

fof(initSateConstraint_223,axiom,(
    ~ v12029_array(constB0,b0110_address_term,bitIndex65) )).

fof(initSateConstraint_222,axiom,(
    ~ v12029_array(constB0,b0110_address_term,bitIndex66) )).

fof(initSateConstraint_221,axiom,(
    ~ v12029_array(constB0,b0101_address_term,bitIndex63) )).

fof(initSateConstraint_220,axiom,(
    ~ v12029_array(constB0,b0101_address_term,bitIndex64) )).

fof(initSateConstraint_219,axiom,(
    ~ v12029_array(constB0,b0101_address_term,bitIndex65) )).

fof(initSateConstraint_218,axiom,(
    ~ v12029_array(constB0,b0101_address_term,bitIndex66) )).

fof(initSateConstraint_217,axiom,(
    ~ v12029_array(constB0,b0100_address_term,bitIndex63) )).

fof(initSateConstraint_216,axiom,(
    ~ v12029_array(constB0,b0100_address_term,bitIndex64) )).

fof(initSateConstraint_215,axiom,(
    ~ v12029_array(constB0,b0100_address_term,bitIndex65) )).

fof(initSateConstraint_214,axiom,(
    ~ v12029_array(constB0,b0100_address_term,bitIndex66) )).

fof(initSateConstraint_213,axiom,(
    ~ v12029_array(constB0,b0011_address_term,bitIndex63) )).

fof(initSateConstraint_212,axiom,(
    ~ v12029_array(constB0,b0011_address_term,bitIndex64) )).

fof(initSateConstraint_211,axiom,(
    ~ v12029_array(constB0,b0011_address_term,bitIndex65) )).

fof(initSateConstraint_210,axiom,(
    ~ v12029_array(constB0,b0011_address_term,bitIndex66) )).

fof(initSateConstraint_209,axiom,(
    ~ v12029_array(constB0,b0010_address_term,bitIndex63) )).

fof(initSateConstraint_208,axiom,(
    ~ v12029_array(constB0,b0010_address_term,bitIndex64) )).

fof(initSateConstraint_207,axiom,(
    ~ v12029_array(constB0,b0010_address_term,bitIndex65) )).

fof(initSateConstraint_206,axiom,(
    ~ v12029_array(constB0,b0010_address_term,bitIndex66) )).

fof(initSateConstraint_205,axiom,(
    ~ v12029_array(constB0,b0001_address_term,bitIndex63) )).

fof(initSateConstraint_204,axiom,(
    ~ v12029_array(constB0,b0001_address_term,bitIndex64) )).

fof(initSateConstraint_203,axiom,(
    ~ v12029_array(constB0,b0001_address_term,bitIndex65) )).

fof(initSateConstraint_202,axiom,(
    ~ v12029_array(constB0,b0001_address_term,bitIndex66) )).

fof(initSateConstraint_201,axiom,(
    ~ v12029_array(constB0,b0000_address_term,bitIndex63) )).

fof(initSateConstraint_200,axiom,(
    ~ v12029_array(constB0,b0000_address_term,bitIndex64) )).

fof(initSateConstraint_199,axiom,(
    ~ v12029_array(constB0,b0000_address_term,bitIndex65) )).

fof(initSateConstraint_198,axiom,(
    ~ v12029_array(constB0,b0000_address_term,bitIndex66) )).

fof(addCaseBooleanConditionEqualRanges1_137,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12098(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v12071(VarNext,B)
            <=> v12071(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_144,axiom,(
    ! [VarNext] :
      ( v12098(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v12071(VarNext,B)
          <=> v12108(VarNext,B) ) ) ) )).

fof(addAssignment_2715,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v12108(VarNext,B)
          <=> v12106(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_313,axiom,(
    ! [VarCurr] :
      ( ~ v12109(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v12106(VarCurr,B)
          <=> v12073(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_314,axiom,(
    ! [VarCurr] :
      ( v12109(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v12106(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_943,axiom,(
    ! [VarCurr] :
      ( ~ v12109(VarCurr)
    <=> v12034(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2780,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12098(VarNext)
      <=> v12099(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2779,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12099(VarNext)
      <=> ( v12100(VarNext)
          & v12031(VarNext) ) ) ) )).

fof(writeUnaryOperator_942,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v12100(VarNext)
      <=> v12102(VarNext) ) ) )).

fof(addAssignment_2714,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v12102(VarNext)
      <=> v12031(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_312,axiom,(
    ! [VarCurr] :
      ( ~ v12063(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v12073(VarCurr,B)
          <=> v12071(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_313,axiom,(
    ! [VarCurr] :
      ( v12063(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v12073(VarCurr,B)
          <=> v12075(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_311,axiom,(
    ! [VarCurr] :
      ( ~ v12076(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v12075(VarCurr,B)
          <=> v12077(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_312,axiom,(
    ! [VarCurr] :
      ( v12076(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v12075(VarCurr,B)
          <=> $false ) ) ) )).

fof(addAssignment_2713,axiom,(
    ! [VarCurr] :
      ( v12077(VarCurr,bitIndex0)
    <=> v12093(VarCurr) ) )).

fof(addAssignment_2712,axiom,(
    ! [VarCurr] :
      ( v12077(VarCurr,bitIndex1)
    <=> v12091(VarCurr) ) )).

fof(addAssignment_2711,axiom,(
    ! [VarCurr] :
      ( v12077(VarCurr,bitIndex2)
    <=> v12086(VarCurr) ) )).

fof(addAssignment_2710,axiom,(
    ! [VarCurr] :
      ( v12077(VarCurr,bitIndex3)
    <=> v12079(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2778,axiom,(
    ! [VarCurr] :
      ( v12091(VarCurr)
    <=> ( v12092(VarCurr)
        & v12095(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_265,axiom,(
    ! [VarCurr] :
      ( v12095(VarCurr)
    <=> ( v12071(VarCurr,bitIndex0)
        | v12071(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2777,axiom,(
    ! [VarCurr] :
      ( v12092(VarCurr)
    <=> ( v12093(VarCurr)
        | v12094(VarCurr) ) ) )).

fof(writeUnaryOperator_941,axiom,(
    ! [VarCurr] :
      ( ~ v12094(VarCurr)
    <=> v12071(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_940,axiom,(
    ! [VarCurr] :
      ( ~ v12093(VarCurr)
    <=> v12071(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2776,axiom,(
    ! [VarCurr] :
      ( v12086(VarCurr)
    <=> ( v12087(VarCurr)
        & v12090(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_264,axiom,(
    ! [VarCurr] :
      ( v12090(VarCurr)
    <=> ( v12083(VarCurr)
        | v12071(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2775,axiom,(
    ! [VarCurr] :
      ( v12087(VarCurr)
    <=> ( v12088(VarCurr)
        | v12089(VarCurr) ) ) )).

fof(writeUnaryOperator_939,axiom,(
    ! [VarCurr] :
      ( ~ v12089(VarCurr)
    <=> v12071(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_938,axiom,(
    ! [VarCurr] :
      ( ~ v12088(VarCurr)
    <=> v12083(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2774,axiom,(
    ! [VarCurr] :
      ( v12079(VarCurr)
    <=> ( v12080(VarCurr)
        & v12085(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_263,axiom,(
    ! [VarCurr] :
      ( v12085(VarCurr)
    <=> ( v12082(VarCurr)
        | v12071(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2773,axiom,(
    ! [VarCurr] :
      ( v12080(VarCurr)
    <=> ( v12081(VarCurr)
        | v12084(VarCurr) ) ) )).

fof(writeUnaryOperator_937,axiom,(
    ! [VarCurr] :
      ( ~ v12084(VarCurr)
    <=> v12071(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_936,axiom,(
    ! [VarCurr] :
      ( ~ v12081(VarCurr)
    <=> v12082(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_262,axiom,(
    ! [VarCurr] :
      ( v12082(VarCurr)
    <=> ( v12083(VarCurr)
        & v12071(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_261,axiom,(
    ! [VarCurr] :
      ( v12083(VarCurr)
    <=> ( v12071(VarCurr,bitIndex0)
        & v12071(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_881,axiom,(
    ! [VarCurr] :
      ( v12076(VarCurr)
    <=> ( ( v12071(VarCurr,bitIndex3)
        <=> $true )
        & ( v12071(VarCurr,bitIndex2)
        <=> $true )
        & ( v12071(VarCurr,bitIndex1)
        <=> $true )
        & ( v12071(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignmentInitValue_21,axiom,(
    ~ v12071(constB0,bitIndex3) )).

fof(addAssignmentInitValue_20,axiom,(
    ~ v12071(constB0,bitIndex2) )).

fof(addAssignmentInitValue_19,axiom,(
    ~ v12071(constB0,bitIndex1) )).

fof(addAssignmentInitValue_18,axiom,(
    v12071(constB0,bitIndex0) )).

fof(addAssignment_2709,axiom,(
    ! [VarCurr] :
      ( v12063(VarCurr)
    <=> v12065(VarCurr) ) )).

fof(addAssignment_2708,axiom,(
    ! [VarCurr] :
      ( v12065(VarCurr)
    <=> v12067(VarCurr) ) )).

fof(addAssignment_2707,axiom,(
    ! [VarCurr] :
      ( v12067(VarCurr)
    <=> v12069(VarCurr) ) )).

fof(addAssignment_2706,axiom,(
    ! [VarCurr,B] :
      ( range_10_0(B)
     => ( v12036(VarCurr,B)
      <=> v12056(VarCurr,B) ) ) )).

fof(addAssignment_2705,axiom,(
    ! [VarCurr] :
      ( ( v12036(VarCurr,bitIndex26)
      <=> v12050(VarCurr,bitIndex15) )
      & ( v12036(VarCurr,bitIndex25)
      <=> v12050(VarCurr,bitIndex14) )
      & ( v12036(VarCurr,bitIndex24)
      <=> v12050(VarCurr,bitIndex13) )
      & ( v12036(VarCurr,bitIndex23)
      <=> v12050(VarCurr,bitIndex12) )
      & ( v12036(VarCurr,bitIndex22)
      <=> v12050(VarCurr,bitIndex11) )
      & ( v12036(VarCurr,bitIndex21)
      <=> v12050(VarCurr,bitIndex10) )
      & ( v12036(VarCurr,bitIndex20)
      <=> v12050(VarCurr,bitIndex9) )
      & ( v12036(VarCurr,bitIndex19)
      <=> v12050(VarCurr,bitIndex8) )
      & ( v12036(VarCurr,bitIndex18)
      <=> v12050(VarCurr,bitIndex7) )
      & ( v12036(VarCurr,bitIndex17)
      <=> v12050(VarCurr,bitIndex6) )
      & ( v12036(VarCurr,bitIndex16)
      <=> v12050(VarCurr,bitIndex5) )
      & ( v12036(VarCurr,bitIndex15)
      <=> v12050(VarCurr,bitIndex4) )
      & ( v12036(VarCurr,bitIndex14)
      <=> v12050(VarCurr,bitIndex3) )
      & ( v12036(VarCurr,bitIndex13)
      <=> v12050(VarCurr,bitIndex2) )
      & ( v12036(VarCurr,bitIndex12)
      <=> v12050(VarCurr,bitIndex1) )
      & ( v12036(VarCurr,bitIndex11)
      <=> v12050(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_2704,axiom,(
    ! [VarCurr] :
      ( ( v12036(VarCurr,bitIndex62)
      <=> v12044(VarCurr,bitIndex35) )
      & ( v12036(VarCurr,bitIndex61)
      <=> v12044(VarCurr,bitIndex34) )
      & ( v12036(VarCurr,bitIndex60)
      <=> v12044(VarCurr,bitIndex33) )
      & ( v12036(VarCurr,bitIndex59)
      <=> v12044(VarCurr,bitIndex32) )
      & ( v12036(VarCurr,bitIndex58)
      <=> v12044(VarCurr,bitIndex31) )
      & ( v12036(VarCurr,bitIndex57)
      <=> v12044(VarCurr,bitIndex30) )
      & ( v12036(VarCurr,bitIndex56)
      <=> v12044(VarCurr,bitIndex29) )
      & ( v12036(VarCurr,bitIndex55)
      <=> v12044(VarCurr,bitIndex28) )
      & ( v12036(VarCurr,bitIndex54)
      <=> v12044(VarCurr,bitIndex27) )
      & ( v12036(VarCurr,bitIndex53)
      <=> v12044(VarCurr,bitIndex26) )
      & ( v12036(VarCurr,bitIndex52)
      <=> v12044(VarCurr,bitIndex25) )
      & ( v12036(VarCurr,bitIndex51)
      <=> v12044(VarCurr,bitIndex24) )
      & ( v12036(VarCurr,bitIndex50)
      <=> v12044(VarCurr,bitIndex23) )
      & ( v12036(VarCurr,bitIndex49)
      <=> v12044(VarCurr,bitIndex22) )
      & ( v12036(VarCurr,bitIndex48)
      <=> v12044(VarCurr,bitIndex21) )
      & ( v12036(VarCurr,bitIndex47)
      <=> v12044(VarCurr,bitIndex20) )
      & ( v12036(VarCurr,bitIndex46)
      <=> v12044(VarCurr,bitIndex19) )
      & ( v12036(VarCurr,bitIndex45)
      <=> v12044(VarCurr,bitIndex18) )
      & ( v12036(VarCurr,bitIndex44)
      <=> v12044(VarCurr,bitIndex17) )
      & ( v12036(VarCurr,bitIndex43)
      <=> v12044(VarCurr,bitIndex16) )
      & ( v12036(VarCurr,bitIndex42)
      <=> v12044(VarCurr,bitIndex15) )
      & ( v12036(VarCurr,bitIndex41)
      <=> v12044(VarCurr,bitIndex14) )
      & ( v12036(VarCurr,bitIndex40)
      <=> v12044(VarCurr,bitIndex13) )
      & ( v12036(VarCurr,bitIndex39)
      <=> v12044(VarCurr,bitIndex12) )
      & ( v12036(VarCurr,bitIndex38)
      <=> v12044(VarCurr,bitIndex11) )
      & ( v12036(VarCurr,bitIndex37)
      <=> v12044(VarCurr,bitIndex10) )
      & ( v12036(VarCurr,bitIndex36)
      <=> v12044(VarCurr,bitIndex9) )
      & ( v12036(VarCurr,bitIndex35)
      <=> v12044(VarCurr,bitIndex8) )
      & ( v12036(VarCurr,bitIndex34)
      <=> v12044(VarCurr,bitIndex7) )
      & ( v12036(VarCurr,bitIndex33)
      <=> v12044(VarCurr,bitIndex6) )
      & ( v12036(VarCurr,bitIndex32)
      <=> v12044(VarCurr,bitIndex5) )
      & ( v12036(VarCurr,bitIndex31)
      <=> v12044(VarCurr,bitIndex4) )
      & ( v12036(VarCurr,bitIndex30)
      <=> v12044(VarCurr,bitIndex3) )
      & ( v12036(VarCurr,bitIndex29)
      <=> v12044(VarCurr,bitIndex2) )
      & ( v12036(VarCurr,bitIndex28)
      <=> v12044(VarCurr,bitIndex1) )
      & ( v12036(VarCurr,bitIndex27)
      <=> v12044(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_2703,axiom,(
    ! [VarCurr] :
      ( ( v12036(VarCurr,bitIndex66)
      <=> v12038(VarCurr,bitIndex3) )
      & ( v12036(VarCurr,bitIndex65)
      <=> v12038(VarCurr,bitIndex2) )
      & ( v12036(VarCurr,bitIndex64)
      <=> v12038(VarCurr,bitIndex1) )
      & ( v12036(VarCurr,bitIndex63)
      <=> v12038(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_2702,axiom,(
    ! [VarCurr,B] :
      ( range_10_0(B)
     => ( v12056(VarCurr,B)
      <=> v12058(VarCurr,B) ) ) )).

fof(addAssignment_2701,axiom,(
    ! [VarCurr,B] :
      ( range_10_0(B)
     => ( v12058(VarCurr,B)
      <=> v12060(VarCurr,B) ) ) )).

fof(range_axiom_31,axiom,(
    ! [B] :
      ( range_10_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B ) ) )).

fof(addAssignment_2700,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v12050(VarCurr,B)
      <=> v12052(VarCurr,B) ) ) )).

fof(addAssignment_2699,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v12052(VarCurr,B)
      <=> v12054(VarCurr,B) ) ) )).

fof(addAssignment_2698,axiom,(
    ! [VarCurr,B] :
      ( range_35_0(B)
     => ( v12044(VarCurr,B)
      <=> v12046(VarCurr,B) ) ) )).

fof(addAssignment_2697,axiom,(
    ! [VarCurr,B] :
      ( range_35_0(B)
     => ( v12046(VarCurr,B)
      <=> v12048(VarCurr,B) ) ) )).

fof(range_axiom_30,axiom,(
    ! [B] :
      ( range_35_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B ) ) )).

fof(addAssignment_2696,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v12038(VarCurr,B)
      <=> v12040(VarCurr,B) ) ) )).

fof(addAssignment_2695,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v12040(VarCurr,B)
      <=> v12042(VarCurr,B) ) ) )).

fof(addAssignment_2694,axiom,(
    ! [VarCurr] :
      ( v12034(VarCurr)
    <=> v12(VarCurr) ) )).

fof(addAssignment_2693,axiom,(
    ! [VarCurr] :
      ( v12031(VarCurr)
    <=> v11731(VarCurr) ) )).

fof(addAssignment_2692,axiom,(
    ! [VarCurr] :
      ( v12009(VarCurr)
    <=> v12011(VarCurr) ) )).

fof(addAssignment_2691,axiom,(
    ! [VarCurr] :
      ( v12011(VarCurr)
    <=> v12013(VarCurr) ) )).

fof(addAssignment_2690,axiom,(
    ! [VarCurr] :
      ( v12013(VarCurr)
    <=> v11945(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2772,axiom,(
    ! [VarCurr] :
      ( v12006(VarCurr)
    <=> ( v11959(VarCurr)
        & v11968(VarCurr) ) ) )).

fof(addAssignment_2689,axiom,(
    ! [VarCurr] :
      ( v12002(VarCurr)
    <=> v12004(VarCurr) ) )).

fof(addAssignment_2688,axiom,(
    ! [VarCurr] :
      ( v12004(VarCurr)
    <=> v91(VarCurr,bitIndex2) ) )).

fof(addAssignment_2687,axiom,(
    ! [VarCurr] :
      ( v91(VarCurr,bitIndex2)
    <=> v11997(VarCurr,bitIndex2) ) )).

fof(addAssignment_2686,axiom,(
    ! [VarCurr] :
      ( v11991(VarCurr,bitIndex2)
    <=> v11995(VarCurr,bitIndex2) ) )).

fof(addAssignment_2685,axiom,(
    ! [VarCurr] :
      ( v11993(VarCurr,bitIndex2)
    <=> v11994(VarCurr,bitIndex1) ) )).

fof(addAssignment_2684,axiom,(
    ! [VarCurr] :
      ( v11984(VarCurr,bitIndex2)
    <=> v11988(VarCurr,bitIndex2) ) )).

fof(addAssignment_2683,axiom,(
    ! [VarCurr] :
      ( v11986(VarCurr,bitIndex2)
    <=> v11987(VarCurr,bitIndex1) ) )).

fof(addAssignment_2682,axiom,(
    ! [VarCurr] :
      ( v11980(VarCurr)
    <=> v11982(VarCurr) ) )).

fof(addAssignment_2681,axiom,(
    ! [VarCurr] :
      ( v11982(VarCurr)
    <=> v91(VarCurr,bitIndex1) ) )).

fof(addAssignment_2680,axiom,(
    ! [VarCurr] :
      ( v91(VarCurr,bitIndex1)
    <=> v11997(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_6,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v11997(VarCurr,B)
      <=> ( v11998(VarCurr,B)
          | v11991(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_5,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v11998(VarCurr,B)
      <=> ( v11999(VarCurr,B)
          & v11984(VarCurr,B) ) ) ) )).

fof(addAssignment_2679,axiom,(
    ! [VarCurr] :
      ( v11999(VarCurr,bitIndex0)
    <=> v12000(VarCurr) ) )).

fof(addAssignment_2678,axiom,(
    ! [VarCurr] :
      ( v11999(VarCurr,bitIndex1)
    <=> v12000(VarCurr) ) )).

fof(addAssignment_2677,axiom,(
    ! [VarCurr] :
      ( v11999(VarCurr,bitIndex2)
    <=> v12000(VarCurr) ) )).

fof(addAssignment_2676,axiom,(
    ! [VarCurr] :
      ( v12000(VarCurr)
    <=> v93(VarCurr) ) )).

fof(addAssignment_2675,axiom,(
    ! [VarCurr] :
      ( v11991(VarCurr,bitIndex1)
    <=> v11995(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_4,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v11995(VarCurr,B)
      <=> ( v95(VarCurr,B)
          & v11996(VarCurr,B) ) ) ) )).

fof(writeUnaryOperator_935,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v11996(VarCurr,B)
      <=> ~ v11993(VarCurr,B) ) ) )).

fof(addAssignment_2674,axiom,(
    ! [VarCurr] :
      ( v11993(VarCurr,bitIndex1)
    <=> v11994(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_3,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v11994(VarCurr,B)
      <=> ( v11993(VarCurr,B)
          | v95(VarCurr,B) ) ) ) )).

fof(addAssignment_2673,axiom,(
    ! [VarCurr] :
      ( v11993(VarCurr,bitIndex0)
    <=> $false ) )).

fof(addAssignment_2672,axiom,(
    ! [VarCurr] :
      ( v11984(VarCurr,bitIndex1)
    <=> v11988(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_2,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v11988(VarCurr,B)
      <=> ( v97(VarCurr,B)
          & v11989(VarCurr,B) ) ) ) )).

fof(writeUnaryOperator_934,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v11989(VarCurr,B)
      <=> ~ v11986(VarCurr,B) ) ) )).

fof(addAssignment_2671,axiom,(
    ! [VarCurr] :
      ( v11986(VarCurr,bitIndex1)
    <=> v11987(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits_1,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v11987(VarCurr,B)
      <=> ( v11986(VarCurr,B)
          | v97(VarCurr,B) ) ) ) )).

fof(addAssignment_2670,axiom,(
    ! [VarCurr] :
      ( v11986(VarCurr,bitIndex0)
    <=> $false ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2771,axiom,(
    ! [VarCurr] :
      ( v11957(VarCurr)
    <=> ( v11974(VarCurr)
        & v11976(VarCurr) ) ) )).

fof(writeUnaryOperator_933,axiom,(
    ! [VarCurr] :
      ( ~ v11976(VarCurr)
    <=> v11968(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2770,axiom,(
    ! [VarCurr] :
      ( v11974(VarCurr)
    <=> ( v11975(VarCurr)
        & v11959(VarCurr) ) ) )).

fof(writeUnaryOperator_932,axiom,(
    ! [VarCurr] :
      ( ~ v11975(VarCurr)
    <=> v11837(VarCurr) ) )).

fof(addAssignment_2669,axiom,(
    ! [VarCurr] :
      ( v11968(VarCurr)
    <=> v11970(VarCurr) ) )).

fof(addAssignment_2668,axiom,(
    ! [VarCurr] :
      ( v11970(VarCurr)
    <=> v11972(VarCurr,bitIndex0) ) )).

fof(addAssignment_2667,axiom,(
    ! [VarCurr] :
      ( v11972(VarCurr,bitIndex0)
    <=> v11721(VarCurr,bitIndex0) ) )).

fof(addAssignment_2666,axiom,(
    ! [VarCurr] :
      ( v11721(VarCurr,bitIndex0)
    <=> v11723(VarCurr,bitIndex0) ) )).

fof(addAssignment_2665,axiom,(
    ! [VarCurr] :
      ( v11723(VarCurr,bitIndex0)
    <=> v11725(VarCurr,bitIndex0) ) )).

fof(addAssignment_2664,axiom,(
    ! [VarCurr] :
      ( v11725(VarCurr,bitIndex0)
    <=> v11823(VarCurr,bitIndex0) ) )).

fof(addAssignment_2663,axiom,(
    ! [VarCurr] :
      ( v11959(VarCurr)
    <=> v11961(VarCurr) ) )).

fof(addAssignment_2662,axiom,(
    ! [VarCurr] :
      ( v11961(VarCurr)
    <=> v11963(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2769,axiom,(
    ! [VarCurr] :
      ( v11963(VarCurr)
    <=> ( v11965(VarCurr)
        & v11966(VarCurr) ) ) )).

fof(writeUnaryOperator_931,axiom,(
    ! [VarCurr] :
      ( ~ v11966(VarCurr)
    <=> v11949(VarCurr) ) )).

fof(writeUnaryOperator_930,axiom,(
    ! [VarCurr] :
      ( ~ v11965(VarCurr)
    <=> v11945(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2768,axiom,(
    ! [VarCurr] :
      ( v11835(VarCurr)
    <=> ( v11955(VarCurr)
        & v11939(VarCurr) ) ) )).

fof(writeUnaryOperator_929,axiom,(
    ! [VarCurr] :
      ( ~ v11955(VarCurr)
    <=> v11837(VarCurr) ) )).

fof(addAssignment_2661,axiom,(
    ! [VarCurr] :
      ( v11939(VarCurr)
    <=> v11941(VarCurr) ) )).

fof(addAssignment_2660,axiom,(
    ! [VarCurr] :
      ( v11941(VarCurr)
    <=> v11943(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2767,axiom,(
    ! [VarCurr] :
      ( v11943(VarCurr)
    <=> ( v11953(VarCurr)
        & v11949(VarCurr) ) ) )).

fof(writeUnaryOperator_928,axiom,(
    ! [VarCurr] :
      ( ~ v11953(VarCurr)
    <=> v11945(VarCurr,bitIndex1) ) )).

fof(addAssignment_2659,axiom,(
    ! [VarCurr] :
      ( v11949(VarCurr)
    <=> v11951(VarCurr) ) )).

fof(addAssignment_2658,axiom,(
    ! [VarCurr] :
      ( v11951(VarCurr)
    <=> v11721(VarCurr,bitIndex15) ) )).

fof(addAssignment_2657,axiom,(
    ! [VarCurr] :
      ( v11721(VarCurr,bitIndex15)
    <=> v11723(VarCurr,bitIndex15) ) )).

fof(addAssignment_2656,axiom,(
    ! [VarCurr] :
      ( v11723(VarCurr,bitIndex15)
    <=> v11725(VarCurr,bitIndex15) ) )).

fof(addAssignment_2655,axiom,(
    ! [VarCurr] :
      ( v11725(VarCurr,bitIndex15)
    <=> v11823(VarCurr,bitIndex15) ) )).

fof(addAssignment_2654,axiom,(
    ! [VarCurr] :
      ( v11945(VarCurr,bitIndex1)
    <=> v11947(VarCurr,bitIndex1) ) )).

fof(addAssignment_2653,axiom,(
    ! [VarCurr] :
      ( v11947(VarCurr,bitIndex1)
    <=> v11723(VarCurr,bitIndex17) ) )).

fof(addAssignment_2652,axiom,(
    ! [VarCurr] :
      ( v11723(VarCurr,bitIndex17)
    <=> v11725(VarCurr,bitIndex17) ) )).

fof(addAssignment_2651,axiom,(
    ! [VarCurr] :
      ( v11725(VarCurr,bitIndex17)
    <=> v11823(VarCurr,bitIndex17) ) )).

fof(addAssignment_2650,axiom,(
    ! [VarCurr] :
      ( v11837(VarCurr)
    <=> v11839(VarCurr) ) )).

fof(addAssignment_2649,axiom,(
    ! [VarCurr] :
      ( v11839(VarCurr)
    <=> v11841(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_880,axiom,(
    ! [VarCurr] :
      ( v11841(VarCurr)
    <=> ( ( v11843(VarCurr,bitIndex4)
        <=> $false )
        & ( v11843(VarCurr,bitIndex3)
        <=> $false )
        & ( v11843(VarCurr,bitIndex2)
        <=> $false )
        & ( v11843(VarCurr,bitIndex1)
        <=> $false )
        & ( v11843(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_136,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11925(VarNext)
       => ! [B] :
            ( range_4_0(B)
           => ( v11843(VarNext,B)
            <=> v11843(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_143,axiom,(
    ! [VarNext] :
      ( v11925(VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v11843(VarNext,B)
          <=> v11933(VarNext,B) ) ) ) )).

fof(addAssignment_2648,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v11933(VarNext,B)
          <=> v11931(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_310,axiom,(
    ! [VarCurr] :
      ( ~ v11934(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v11931(VarCurr,B)
          <=> v11845(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_311,axiom,(
    ! [VarCurr] :
      ( v11934(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v11931(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_927,axiom,(
    ! [VarCurr] :
      ( ~ v11934(VarCurr)
    <=> v11734(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2766,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11925(VarNext)
      <=> v11926(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2765,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11926(VarNext)
      <=> ( v11927(VarNext)
          & v11729(VarNext) ) ) ) )).

fof(writeUnaryOperator_926,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11927(VarNext)
      <=> v11790(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_15,axiom,(
    ! [VarCurr] :
      ( ( ~ v11849(VarCurr)
        & ~ v11851(VarCurr)
        & ~ v11892(VarCurr) )
     => ! [B] :
          ( range_4_0(B)
         => ( v11845(VarCurr,B)
          <=> v11843(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_212,axiom,(
    ! [VarCurr] :
      ( v11892(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v11845(VarCurr,B)
          <=> v11894(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_508,axiom,(
    ! [VarCurr] :
      ( v11851(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v11845(VarCurr,B)
          <=> v11853(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_510,axiom,(
    ! [VarCurr] :
      ( v11849(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v11845(VarCurr,B)
          <=> v11843(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_879,axiom,(
    ! [VarCurr] :
      ( v11921(VarCurr)
    <=> ( ( v11922(VarCurr,bitIndex1)
        <=> $true )
        & ( v11922(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_2647,axiom,(
    ! [VarCurr] :
      ( v11922(VarCurr,bitIndex0)
    <=> v11829(VarCurr) ) )).

fof(addAssignment_2646,axiom,(
    ! [VarCurr] :
      ( v11922(VarCurr,bitIndex1)
    <=> v11751(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_309,axiom,(
    ! [VarCurr] :
      ( ~ v11895(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v11894(VarCurr,B)
          <=> v11896(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_310,axiom,(
    ! [VarCurr] :
      ( v11895(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v11894(VarCurr,B)
          <=> b10000(B) ) ) ) )).

fof(addAssignment_2645,axiom,(
    ! [VarCurr] :
      ( v11896(VarCurr,bitIndex0)
    <=> v11918(VarCurr) ) )).

fof(addAssignment_2644,axiom,(
    ! [VarCurr] :
      ( v11896(VarCurr,bitIndex1)
    <=> v11916(VarCurr) ) )).

fof(addAssignment_2643,axiom,(
    ! [VarCurr] :
      ( v11896(VarCurr,bitIndex2)
    <=> v11911(VarCurr) ) )).

fof(addAssignment_2642,axiom,(
    ! [VarCurr] :
      ( v11896(VarCurr,bitIndex3)
    <=> v11906(VarCurr) ) )).

fof(addAssignment_2641,axiom,(
    ! [VarCurr] :
      ( v11896(VarCurr,bitIndex4)
    <=> v11898(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2764,axiom,(
    ! [VarCurr] :
      ( v11916(VarCurr)
    <=> ( v11917(VarCurr)
        & v11920(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_260,axiom,(
    ! [VarCurr] :
      ( v11920(VarCurr)
    <=> ( v11843(VarCurr,bitIndex0)
        | v11843(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2763,axiom,(
    ! [VarCurr] :
      ( v11917(VarCurr)
    <=> ( v11918(VarCurr)
        | v11919(VarCurr) ) ) )).

fof(writeUnaryOperator_925,axiom,(
    ! [VarCurr] :
      ( ~ v11919(VarCurr)
    <=> v11843(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_924,axiom,(
    ! [VarCurr] :
      ( ~ v11918(VarCurr)
    <=> v11843(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2762,axiom,(
    ! [VarCurr] :
      ( v11911(VarCurr)
    <=> ( v11912(VarCurr)
        & v11915(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_259,axiom,(
    ! [VarCurr] :
      ( v11915(VarCurr)
    <=> ( v11903(VarCurr)
        | v11843(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2761,axiom,(
    ! [VarCurr] :
      ( v11912(VarCurr)
    <=> ( v11913(VarCurr)
        | v11914(VarCurr) ) ) )).

fof(writeUnaryOperator_923,axiom,(
    ! [VarCurr] :
      ( ~ v11914(VarCurr)
    <=> v11843(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_922,axiom,(
    ! [VarCurr] :
      ( ~ v11913(VarCurr)
    <=> v11903(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2760,axiom,(
    ! [VarCurr] :
      ( v11906(VarCurr)
    <=> ( v11907(VarCurr)
        & v11910(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_258,axiom,(
    ! [VarCurr] :
      ( v11910(VarCurr)
    <=> ( v11902(VarCurr)
        | v11843(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2759,axiom,(
    ! [VarCurr] :
      ( v11907(VarCurr)
    <=> ( v11908(VarCurr)
        | v11909(VarCurr) ) ) )).

fof(writeUnaryOperator_921,axiom,(
    ! [VarCurr] :
      ( ~ v11909(VarCurr)
    <=> v11843(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_920,axiom,(
    ! [VarCurr] :
      ( ~ v11908(VarCurr)
    <=> v11902(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2758,axiom,(
    ! [VarCurr] :
      ( v11898(VarCurr)
    <=> ( v11899(VarCurr)
        & v11905(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_257,axiom,(
    ! [VarCurr] :
      ( v11905(VarCurr)
    <=> ( v11901(VarCurr)
        | v11843(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2757,axiom,(
    ! [VarCurr] :
      ( v11899(VarCurr)
    <=> ( v11900(VarCurr)
        | v11904(VarCurr) ) ) )).

fof(writeUnaryOperator_919,axiom,(
    ! [VarCurr] :
      ( ~ v11904(VarCurr)
    <=> v11843(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_918,axiom,(
    ! [VarCurr] :
      ( ~ v11900(VarCurr)
    <=> v11901(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_256,axiom,(
    ! [VarCurr] :
      ( v11901(VarCurr)
    <=> ( v11902(VarCurr)
        & v11843(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_255,axiom,(
    ! [VarCurr] :
      ( v11902(VarCurr)
    <=> ( v11903(VarCurr)
        & v11843(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_254,axiom,(
    ! [VarCurr] :
      ( v11903(VarCurr)
    <=> ( v11843(VarCurr,bitIndex0)
        & v11843(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_878,axiom,(
    ! [VarCurr] :
      ( v11895(VarCurr)
    <=> ( ( v11843(VarCurr,bitIndex4)
        <=> $true )
        & ( v11843(VarCurr,bitIndex3)
        <=> $false )
        & ( v11843(VarCurr,bitIndex2)
        <=> $false )
        & ( v11843(VarCurr,bitIndex1)
        <=> $false )
        & ( v11843(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_7191,axiom,(
    b10000(bitIndex4) )).

fof(bitBlastConstant_7190,axiom,(
    ~ b10000(bitIndex3) )).

fof(bitBlastConstant_7189,axiom,(
    ~ b10000(bitIndex2) )).

fof(bitBlastConstant_7188,axiom,(
    ~ b10000(bitIndex1) )).

fof(bitBlastConstant_7187,axiom,(
    ~ b10000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_877,axiom,(
    ! [VarCurr] :
      ( v11892(VarCurr)
    <=> ( ( v11893(VarCurr,bitIndex1)
        <=> $true )
        & ( v11893(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2640,axiom,(
    ! [VarCurr] :
      ( v11893(VarCurr,bitIndex0)
    <=> v11829(VarCurr) ) )).

fof(addAssignment_2639,axiom,(
    ! [VarCurr] :
      ( v11893(VarCurr,bitIndex1)
    <=> v11751(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_308,axiom,(
    ! [VarCurr] :
      ( ~ v11854(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v11853(VarCurr,B)
          <=> v11855(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_309,axiom,(
    ! [VarCurr] :
      ( v11854(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v11853(VarCurr,B)
          <=> $false ) ) ) )).

fof(addSignExtensionConstraint_25,axiom,(
    ! [VarCurr] :
      ( v11855(VarCurr,bitIndex6)
    <=> v11856(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_24,axiom,(
    ! [VarCurr] :
      ( v11855(VarCurr,bitIndex7)
    <=> v11856(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_23,axiom,(
    ! [VarCurr] :
      ( v11855(VarCurr,bitIndex8)
    <=> v11856(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_22,axiom,(
    ! [VarCurr] :
      ( v11855(VarCurr,bitIndex9)
    <=> v11856(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_21,axiom,(
    ! [VarCurr] :
      ( v11855(VarCurr,bitIndex10)
    <=> v11856(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_20,axiom,(
    ! [VarCurr] :
      ( v11855(VarCurr,bitIndex11)
    <=> v11856(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_19,axiom,(
    ! [VarCurr] :
      ( v11855(VarCurr,bitIndex12)
    <=> v11856(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_18,axiom,(
    ! [VarCurr] :
      ( v11855(VarCurr,bitIndex13)
    <=> v11856(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_17,axiom,(
    ! [VarCurr] :
      ( v11855(VarCurr,bitIndex14)
    <=> v11856(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_16,axiom,(
    ! [VarCurr] :
      ( v11855(VarCurr,bitIndex15)
    <=> v11856(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_15,axiom,(
    ! [VarCurr] :
      ( v11855(VarCurr,bitIndex16)
    <=> v11856(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_14,axiom,(
    ! [VarCurr] :
      ( v11855(VarCurr,bitIndex17)
    <=> v11856(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_13,axiom,(
    ! [VarCurr] :
      ( v11855(VarCurr,bitIndex18)
    <=> v11856(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_12,axiom,(
    ! [VarCurr] :
      ( v11855(VarCurr,bitIndex19)
    <=> v11856(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_11,axiom,(
    ! [VarCurr] :
      ( v11855(VarCurr,bitIndex20)
    <=> v11856(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_10,axiom,(
    ! [VarCurr] :
      ( v11855(VarCurr,bitIndex21)
    <=> v11856(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_9,axiom,(
    ! [VarCurr] :
      ( v11855(VarCurr,bitIndex22)
    <=> v11856(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_8,axiom,(
    ! [VarCurr] :
      ( v11855(VarCurr,bitIndex23)
    <=> v11856(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_7,axiom,(
    ! [VarCurr] :
      ( v11855(VarCurr,bitIndex24)
    <=> v11856(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_6,axiom,(
    ! [VarCurr] :
      ( v11855(VarCurr,bitIndex25)
    <=> v11856(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_5,axiom,(
    ! [VarCurr] :
      ( v11855(VarCurr,bitIndex26)
    <=> v11856(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_4,axiom,(
    ! [VarCurr] :
      ( v11855(VarCurr,bitIndex27)
    <=> v11856(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_3,axiom,(
    ! [VarCurr] :
      ( v11855(VarCurr,bitIndex28)
    <=> v11856(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_2,axiom,(
    ! [VarCurr] :
      ( v11855(VarCurr,bitIndex29)
    <=> v11856(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint_1,axiom,(
    ! [VarCurr] :
      ( v11855(VarCurr,bitIndex30)
    <=> v11856(VarCurr,bitIndex5) ) )).

fof(addSignExtensionConstraint,axiom,(
    ! [VarCurr] :
      ( v11855(VarCurr,bitIndex31)
    <=> v11856(VarCurr,bitIndex5) ) )).

fof(addAssignment_2638,axiom,(
    ! [VarCurr,B] :
      ( range_5_0(B)
     => ( v11855(VarCurr,B)
      <=> v11856(VarCurr,B) ) ) )).

fof(addAssignment_2637,axiom,(
    ! [VarCurr] :
      ( v11856(VarCurr,bitIndex0)
    <=> v11890(VarCurr) ) )).

fof(addAssignment_2636,axiom,(
    ! [VarCurr] :
      ( v11856(VarCurr,bitIndex1)
    <=> v11888(VarCurr) ) )).

fof(addAssignment_2635,axiom,(
    ! [VarCurr] :
      ( v11856(VarCurr,bitIndex2)
    <=> v11884(VarCurr) ) )).

fof(addAssignment_2634,axiom,(
    ! [VarCurr] :
      ( v11856(VarCurr,bitIndex3)
    <=> v11880(VarCurr) ) )).

fof(addAssignment_2633,axiom,(
    ! [VarCurr] :
      ( v11856(VarCurr,bitIndex4)
    <=> v11876(VarCurr) ) )).

fof(addAssignment_2632,axiom,(
    ! [VarCurr] :
      ( v11856(VarCurr,bitIndex5)
    <=> v11858(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2756,axiom,(
    ! [VarCurr] :
      ( v11888(VarCurr)
    <=> ( v11889(VarCurr)
        & v11891(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2755,axiom,(
    ! [VarCurr] :
      ( v11891(VarCurr)
    <=> ( v11862(VarCurr,bitIndex0)
        | v11870(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_253,axiom,(
    ! [VarCurr] :
      ( v11889(VarCurr)
    <=> ( v11890(VarCurr)
        | v11862(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_917,axiom,(
    ! [VarCurr] :
      ( ~ v11890(VarCurr)
    <=> v11862(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2754,axiom,(
    ! [VarCurr] :
      ( v11884(VarCurr)
    <=> ( v11885(VarCurr)
        & v11887(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2753,axiom,(
    ! [VarCurr] :
      ( v11887(VarCurr)
    <=> ( v11868(VarCurr)
        | v11871(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_252,axiom,(
    ! [VarCurr] :
      ( v11885(VarCurr)
    <=> ( v11886(VarCurr)
        | v11862(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_916,axiom,(
    ! [VarCurr] :
      ( ~ v11886(VarCurr)
    <=> v11868(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2752,axiom,(
    ! [VarCurr] :
      ( v11880(VarCurr)
    <=> ( v11881(VarCurr)
        & v11883(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2751,axiom,(
    ! [VarCurr] :
      ( v11883(VarCurr)
    <=> ( v11866(VarCurr)
        | v11872(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_251,axiom,(
    ! [VarCurr] :
      ( v11881(VarCurr)
    <=> ( v11882(VarCurr)
        | v11862(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_915,axiom,(
    ! [VarCurr] :
      ( ~ v11882(VarCurr)
    <=> v11866(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2750,axiom,(
    ! [VarCurr] :
      ( v11876(VarCurr)
    <=> ( v11877(VarCurr)
        & v11879(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2749,axiom,(
    ! [VarCurr] :
      ( v11879(VarCurr)
    <=> ( v11864(VarCurr)
        | v11873(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_250,axiom,(
    ! [VarCurr] :
      ( v11877(VarCurr)
    <=> ( v11878(VarCurr)
        | v11862(VarCurr,bitIndex4) ) ) )).

fof(writeUnaryOperator_914,axiom,(
    ! [VarCurr] :
      ( ~ v11878(VarCurr)
    <=> v11864(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2748,axiom,(
    ! [VarCurr] :
      ( v11858(VarCurr)
    <=> ( v11859(VarCurr)
        & v11874(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2747,axiom,(
    ! [VarCurr] :
      ( v11874(VarCurr)
    <=> ( v11861(VarCurr)
        | v11875(VarCurr) ) ) )).

fof(writeUnaryOperator_913,axiom,(
    ! [VarCurr] :
      ( ~ v11875(VarCurr)
    <=> v11862(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_249,axiom,(
    ! [VarCurr] :
      ( v11859(VarCurr)
    <=> ( v11860(VarCurr)
        | v11862(VarCurr,bitIndex5) ) ) )).

fof(writeUnaryOperator_912,axiom,(
    ! [VarCurr] :
      ( ~ v11860(VarCurr)
    <=> v11861(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_248,axiom,(
    ! [VarCurr] :
      ( v11861(VarCurr)
    <=> ( v11862(VarCurr,bitIndex4)
        | v11863(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2746,axiom,(
    ! [VarCurr] :
      ( v11863(VarCurr)
    <=> ( v11864(VarCurr)
        & v11873(VarCurr) ) ) )).

fof(writeUnaryOperator_911,axiom,(
    ! [VarCurr] :
      ( ~ v11873(VarCurr)
    <=> v11862(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_247,axiom,(
    ! [VarCurr] :
      ( v11864(VarCurr)
    <=> ( v11862(VarCurr,bitIndex3)
        | v11865(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2745,axiom,(
    ! [VarCurr] :
      ( v11865(VarCurr)
    <=> ( v11866(VarCurr)
        & v11872(VarCurr) ) ) )).

fof(writeUnaryOperator_910,axiom,(
    ! [VarCurr] :
      ( ~ v11872(VarCurr)
    <=> v11862(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_246,axiom,(
    ! [VarCurr] :
      ( v11866(VarCurr)
    <=> ( v11862(VarCurr,bitIndex2)
        | v11867(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2744,axiom,(
    ! [VarCurr] :
      ( v11867(VarCurr)
    <=> ( v11868(VarCurr)
        & v11871(VarCurr) ) ) )).

fof(writeUnaryOperator_909,axiom,(
    ! [VarCurr] :
      ( ~ v11871(VarCurr)
    <=> v11862(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_245,axiom,(
    ! [VarCurr] :
      ( v11868(VarCurr)
    <=> ( v11862(VarCurr,bitIndex1)
        | v11869(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2743,axiom,(
    ! [VarCurr] :
      ( v11869(VarCurr)
    <=> ( v11862(VarCurr,bitIndex0)
        & v11870(VarCurr) ) ) )).

fof(writeUnaryOperator_908,axiom,(
    ! [VarCurr] :
      ( ~ v11870(VarCurr)
    <=> v11862(VarCurr,bitIndex1) ) )).

fof(addZeroExtensionConstraint_3,axiom,(
    ! [VarCurr] : ~ v11862(VarCurr,bitIndex5) )).

fof(addAssignment_2631,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v11862(VarCurr,B)
      <=> v11843(VarCurr,B) ) ) )).

fof(addBitVectorEqualityBitBlasted_876,axiom,(
    ! [VarCurr] :
      ( v11854(VarCurr)
    <=> ( ( v11843(VarCurr,bitIndex4)
        <=> $false )
        & ( v11843(VarCurr,bitIndex3)
        <=> $false )
        & ( v11843(VarCurr,bitIndex2)
        <=> $false )
        & ( v11843(VarCurr,bitIndex1)
        <=> $false )
        & ( v11843(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_875,axiom,(
    ! [VarCurr] :
      ( v11851(VarCurr)
    <=> ( ( v11852(VarCurr,bitIndex1)
        <=> $false )
        & ( v11852(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_2630,axiom,(
    ! [VarCurr] :
      ( v11852(VarCurr,bitIndex0)
    <=> v11829(VarCurr) ) )).

fof(addAssignment_2629,axiom,(
    ! [VarCurr] :
      ( v11852(VarCurr,bitIndex1)
    <=> v11751(VarCurr) ) )).

fof(addAssignmentInitValue_17,axiom,(
    ~ v11843(constB0,bitIndex4) )).

fof(addAssignmentInitValue_16,axiom,(
    ~ v11843(constB0,bitIndex3) )).

fof(addAssignmentInitValue_15,axiom,(
    ~ v11843(constB0,bitIndex2) )).

fof(addAssignmentInitValue_14,axiom,(
    ~ v11843(constB0,bitIndex1) )).

fof(addAssignmentInitValue_13,axiom,(
    v11843(constB0,bitIndex0) )).

fof(bitBlastConstant_7186,axiom,(
    ~ b00001(bitIndex4) )).

fof(bitBlastConstant_7185,axiom,(
    ~ b00001(bitIndex3) )).

fof(bitBlastConstant_7184,axiom,(
    ~ b00001(bitIndex2) )).

fof(bitBlastConstant_7183,axiom,(
    ~ b00001(bitIndex1) )).

fof(bitBlastConstant_7182,axiom,(
    b00001(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_874,axiom,(
    ! [VarCurr] :
      ( v11849(VarCurr)
    <=> ( ( v11850(VarCurr,bitIndex1)
        <=> $false )
        & ( v11850(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2628,axiom,(
    ! [VarCurr] :
      ( v11850(VarCurr,bitIndex0)
    <=> v11829(VarCurr) ) )).

fof(addAssignment_2627,axiom,(
    ! [VarCurr] :
      ( v11850(VarCurr,bitIndex1)
    <=> v11751(VarCurr) ) )).

fof(memoryReadIntoBuffer_1,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v11825_range_3_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( address(A)
             => ! [B] :
                  ( A = AssociatedAddressVar
                 => ( range_17_0(B)
                   => ( v11823(VarNext,B)
                    <=> v11727_array(VarNext,A,B) ) ) ) ) ) ) )).

fof(addAssignmentInitValueVector_15,axiom,(
    ! [B] :
      ( range_3_0(B)
     => ( v11825(constB0,B)
      <=> $false ) ) )).

fof(memoryConstantWriteDisabled_1,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( $true
              & v11815(VarNext) )
         => ! [B] :
              ( range_17_0(B)
             => ( v11727_array(VarNext,A,B)
              <=> v11727_1__array(VarNext,A,B) ) ) ) ) )).

fof(memoryConstantWriteEnabledInsideRange_1,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( $true
            & v11815(VarNext) )
         => ! [B] :
              ( range_17_0(B)
             => ( v11727_array(VarNext,A,B)
              <=> b000000000000000000(B) ) ) ) ) )).

fof(bitBlastConstant_7181,axiom,(
    ~ b000000000000000000(bitIndex17) )).

fof(bitBlastConstant_7180,axiom,(
    ~ b000000000000000000(bitIndex16) )).

fof(bitBlastConstant_7179,axiom,(
    ~ b000000000000000000(bitIndex15) )).

fof(bitBlastConstant_7178,axiom,(
    ~ b000000000000000000(bitIndex14) )).

fof(bitBlastConstant_7177,axiom,(
    ~ b000000000000000000(bitIndex13) )).

fof(bitBlastConstant_7176,axiom,(
    ~ b000000000000000000(bitIndex12) )).

fof(bitBlastConstant_7175,axiom,(
    ~ b000000000000000000(bitIndex11) )).

fof(bitBlastConstant_7174,axiom,(
    ~ b000000000000000000(bitIndex10) )).

fof(bitBlastConstant_7173,axiom,(
    ~ b000000000000000000(bitIndex9) )).

fof(bitBlastConstant_7172,axiom,(
    ~ b000000000000000000(bitIndex8) )).

fof(bitBlastConstant_7171,axiom,(
    ~ b000000000000000000(bitIndex7) )).

fof(bitBlastConstant_7170,axiom,(
    ~ b000000000000000000(bitIndex6) )).

fof(bitBlastConstant_7169,axiom,(
    ~ b000000000000000000(bitIndex5) )).

fof(bitBlastConstant_7168,axiom,(
    ~ b000000000000000000(bitIndex4) )).

fof(bitBlastConstant_7167,axiom,(
    ~ b000000000000000000(bitIndex3) )).

fof(bitBlastConstant_7166,axiom,(
    ~ b000000000000000000(bitIndex2) )).

fof(bitBlastConstant_7165,axiom,(
    ~ b000000000000000000(bitIndex1) )).

fof(bitBlastConstant_7164,axiom,(
    ~ b000000000000000000(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2742,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11815(VarNext)
      <=> ( v11816(VarNext)
          & v11821(VarNext) ) ) ) )).

fof(addAssignment_2626,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11821(VarNext)
      <=> v11812(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2741,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11816(VarNext)
      <=> ( v11818(VarNext)
          & v11729(VarNext) ) ) ) )).

fof(writeUnaryOperator_907,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11818(VarNext)
      <=> v11790(VarNext) ) ) )).

fof(memoryWriteDisabled_1,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v11759_range_3_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( ~ ( A = AssociatedAddressVar
                  & v11803(VarNext) )
             => ! [B] :
                  ( range_17_0(B)
                 => ( v11727_1__array(VarNext,A,B)
                  <=> v11727_array(VarCurr,A,B) ) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange_1,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v11759_range_3_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( ( A = AssociatedAddressVar
                & v11803(VarNext) )
             => ! [B] :
                  ( range_17_0(B)
                 => ( v11727_1__array(VarNext,A,B)
                  <=> v11736(VarNext,B) ) ) ) ) ) )).

fof(range_axiom_29,axiom,(
    ! [B] :
      ( range_17_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2740,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11803(VarNext)
      <=> ( v11804(VarNext)
          & v11810(VarNext) ) ) ) )).

fof(addAssignment_2625,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11810(VarNext)
      <=> v11808(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2739,axiom,(
    ! [VarCurr] :
      ( v11808(VarCurr)
    <=> ( v11811(VarCurr)
        & v11751(VarCurr) ) ) )).

fof(writeUnaryOperator_906,axiom,(
    ! [VarCurr] :
      ( ~ v11811(VarCurr)
    <=> v11812(VarCurr) ) )).

fof(writeUnaryOperator_905,axiom,(
    ! [VarCurr] :
      ( ~ v11812(VarCurr)
    <=> v11734(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2738,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11804(VarNext)
      <=> ( v11805(VarNext)
          & v11729(VarNext) ) ) ) )).

fof(writeUnaryOperator_904,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11805(VarNext)
      <=> v11790(VarNext) ) ) )).

fof(initSateConstraint_197,axiom,(
    ~ v11727_array(constB0,b1111_address_term,bitIndex0) )).

fof(initSateConstraint_196,axiom,(
    ~ v11727_array(constB0,b1111_address_term,bitIndex15) )).

fof(initSateConstraint_195,axiom,(
    ~ v11727_array(constB0,b1111_address_term,bitIndex17) )).

fof(initSateConstraint_194,axiom,(
    ~ v11727_array(constB0,b1110_address_term,bitIndex0) )).

fof(initSateConstraint_193,axiom,(
    ~ v11727_array(constB0,b1110_address_term,bitIndex15) )).

fof(initSateConstraint_192,axiom,(
    ~ v11727_array(constB0,b1110_address_term,bitIndex17) )).

fof(initSateConstraint_191,axiom,(
    ~ v11727_array(constB0,b1101_address_term,bitIndex0) )).

fof(initSateConstraint_190,axiom,(
    ~ v11727_array(constB0,b1101_address_term,bitIndex15) )).

fof(initSateConstraint_189,axiom,(
    ~ v11727_array(constB0,b1101_address_term,bitIndex17) )).

fof(initSateConstraint_188,axiom,(
    ~ v11727_array(constB0,b1100_address_term,bitIndex0) )).

fof(initSateConstraint_187,axiom,(
    ~ v11727_array(constB0,b1100_address_term,bitIndex15) )).

fof(initSateConstraint_186,axiom,(
    ~ v11727_array(constB0,b1100_address_term,bitIndex17) )).

fof(initSateConstraint_185,axiom,(
    ~ v11727_array(constB0,b1011_address_term,bitIndex0) )).

fof(initSateConstraint_184,axiom,(
    ~ v11727_array(constB0,b1011_address_term,bitIndex15) )).

fof(initSateConstraint_183,axiom,(
    ~ v11727_array(constB0,b1011_address_term,bitIndex17) )).

fof(initSateConstraint_182,axiom,(
    ~ v11727_array(constB0,b1010_address_term,bitIndex0) )).

fof(initSateConstraint_181,axiom,(
    ~ v11727_array(constB0,b1010_address_term,bitIndex15) )).

fof(initSateConstraint_180,axiom,(
    ~ v11727_array(constB0,b1010_address_term,bitIndex17) )).

fof(initSateConstraint_179,axiom,(
    ~ v11727_array(constB0,b1001_address_term,bitIndex0) )).

fof(initSateConstraint_178,axiom,(
    ~ v11727_array(constB0,b1001_address_term,bitIndex15) )).

fof(initSateConstraint_177,axiom,(
    ~ v11727_array(constB0,b1001_address_term,bitIndex17) )).

fof(initSateConstraint_176,axiom,(
    ~ v11727_array(constB0,b1000_address_term,bitIndex0) )).

fof(initSateConstraint_175,axiom,(
    ~ v11727_array(constB0,b1000_address_term,bitIndex15) )).

fof(initSateConstraint_174,axiom,(
    ~ v11727_array(constB0,b1000_address_term,bitIndex17) )).

fof(initSateConstraint_173,axiom,(
    ~ v11727_array(constB0,b0111_address_term,bitIndex0) )).

fof(initSateConstraint_172,axiom,(
    ~ v11727_array(constB0,b0111_address_term,bitIndex15) )).

fof(initSateConstraint_171,axiom,(
    ~ v11727_array(constB0,b0111_address_term,bitIndex17) )).

fof(initSateConstraint_170,axiom,(
    ~ v11727_array(constB0,b0110_address_term,bitIndex0) )).

fof(initSateConstraint_169,axiom,(
    ~ v11727_array(constB0,b0110_address_term,bitIndex15) )).

fof(initSateConstraint_168,axiom,(
    ~ v11727_array(constB0,b0110_address_term,bitIndex17) )).

fof(initSateConstraint_167,axiom,(
    ~ v11727_array(constB0,b0101_address_term,bitIndex0) )).

fof(initSateConstraint_166,axiom,(
    ~ v11727_array(constB0,b0101_address_term,bitIndex15) )).

fof(initSateConstraint_165,axiom,(
    ~ v11727_array(constB0,b0101_address_term,bitIndex17) )).

fof(initSateConstraint_164,axiom,(
    ~ v11727_array(constB0,b0100_address_term,bitIndex0) )).

fof(initSateConstraint_163,axiom,(
    ~ v11727_array(constB0,b0100_address_term,bitIndex15) )).

fof(initSateConstraint_162,axiom,(
    ~ v11727_array(constB0,b0100_address_term,bitIndex17) )).

fof(initSateConstraint_161,axiom,(
    ~ v11727_array(constB0,b0011_address_term,bitIndex0) )).

fof(initSateConstraint_160,axiom,(
    ~ v11727_array(constB0,b0011_address_term,bitIndex15) )).

fof(initSateConstraint_159,axiom,(
    ~ v11727_array(constB0,b0011_address_term,bitIndex17) )).

fof(initSateConstraint_158,axiom,(
    ~ v11727_array(constB0,b0010_address_term,bitIndex0) )).

fof(initSateConstraint_157,axiom,(
    ~ v11727_array(constB0,b0010_address_term,bitIndex15) )).

fof(initSateConstraint_156,axiom,(
    ~ v11727_array(constB0,b0010_address_term,bitIndex17) )).

fof(initSateConstraint_155,axiom,(
    ~ v11727_array(constB0,b0001_address_term,bitIndex0) )).

fof(initSateConstraint_154,axiom,(
    ~ v11727_array(constB0,b0001_address_term,bitIndex15) )).

fof(initSateConstraint_153,axiom,(
    ~ v11727_array(constB0,b0001_address_term,bitIndex17) )).

fof(initSateConstraint_152,axiom,(
    ~ v11727_array(constB0,b0000_address_term,bitIndex0) )).

fof(initSateConstraint_151,axiom,(
    ~ v11727_array(constB0,b0000_address_term,bitIndex15) )).

fof(initSateConstraint_150,axiom,(
    ~ v11727_array(constB0,b0000_address_term,bitIndex17) )).

fof(addCaseBooleanConditionEqualRanges1_135,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11786(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v11759(VarNext,B)
            <=> v11759(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_142,axiom,(
    ! [VarNext] :
      ( v11786(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v11759(VarNext,B)
          <=> v11796(VarNext,B) ) ) ) )).

fof(addAssignment_2624,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v11796(VarNext,B)
          <=> v11794(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_307,axiom,(
    ! [VarCurr] :
      ( ~ v11797(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v11794(VarCurr,B)
          <=> v11761(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_308,axiom,(
    ! [VarCurr] :
      ( v11797(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v11794(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_903,axiom,(
    ! [VarCurr] :
      ( ~ v11797(VarCurr)
    <=> v11734(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2737,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11786(VarNext)
      <=> v11787(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2736,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11787(VarNext)
      <=> ( v11788(VarNext)
          & v11729(VarNext) ) ) ) )).

fof(writeUnaryOperator_902,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11788(VarNext)
      <=> v11790(VarNext) ) ) )).

fof(addAssignment_2623,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11790(VarNext)
      <=> v11729(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_306,axiom,(
    ! [VarCurr] :
      ( ~ v11751(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v11761(VarCurr,B)
          <=> v11759(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_307,axiom,(
    ! [VarCurr] :
      ( v11751(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v11761(VarCurr,B)
          <=> v11763(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_305,axiom,(
    ! [VarCurr] :
      ( ~ v11764(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v11763(VarCurr,B)
          <=> v11765(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_306,axiom,(
    ! [VarCurr] :
      ( v11764(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v11763(VarCurr,B)
          <=> $false ) ) ) )).

fof(addAssignment_2622,axiom,(
    ! [VarCurr] :
      ( v11765(VarCurr,bitIndex0)
    <=> v11781(VarCurr) ) )).

fof(addAssignment_2621,axiom,(
    ! [VarCurr] :
      ( v11765(VarCurr,bitIndex1)
    <=> v11779(VarCurr) ) )).

fof(addAssignment_2620,axiom,(
    ! [VarCurr] :
      ( v11765(VarCurr,bitIndex2)
    <=> v11774(VarCurr) ) )).

fof(addAssignment_2619,axiom,(
    ! [VarCurr] :
      ( v11765(VarCurr,bitIndex3)
    <=> v11767(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2735,axiom,(
    ! [VarCurr] :
      ( v11779(VarCurr)
    <=> ( v11780(VarCurr)
        & v11783(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_244,axiom,(
    ! [VarCurr] :
      ( v11783(VarCurr)
    <=> ( v11759(VarCurr,bitIndex0)
        | v11759(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2734,axiom,(
    ! [VarCurr] :
      ( v11780(VarCurr)
    <=> ( v11781(VarCurr)
        | v11782(VarCurr) ) ) )).

fof(writeUnaryOperator_901,axiom,(
    ! [VarCurr] :
      ( ~ v11782(VarCurr)
    <=> v11759(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_900,axiom,(
    ! [VarCurr] :
      ( ~ v11781(VarCurr)
    <=> v11759(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2733,axiom,(
    ! [VarCurr] :
      ( v11774(VarCurr)
    <=> ( v11775(VarCurr)
        & v11778(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_243,axiom,(
    ! [VarCurr] :
      ( v11778(VarCurr)
    <=> ( v11771(VarCurr)
        | v11759(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2732,axiom,(
    ! [VarCurr] :
      ( v11775(VarCurr)
    <=> ( v11776(VarCurr)
        | v11777(VarCurr) ) ) )).

fof(writeUnaryOperator_899,axiom,(
    ! [VarCurr] :
      ( ~ v11777(VarCurr)
    <=> v11759(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_898,axiom,(
    ! [VarCurr] :
      ( ~ v11776(VarCurr)
    <=> v11771(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2731,axiom,(
    ! [VarCurr] :
      ( v11767(VarCurr)
    <=> ( v11768(VarCurr)
        & v11773(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_242,axiom,(
    ! [VarCurr] :
      ( v11773(VarCurr)
    <=> ( v11770(VarCurr)
        | v11759(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2730,axiom,(
    ! [VarCurr] :
      ( v11768(VarCurr)
    <=> ( v11769(VarCurr)
        | v11772(VarCurr) ) ) )).

fof(writeUnaryOperator_897,axiom,(
    ! [VarCurr] :
      ( ~ v11772(VarCurr)
    <=> v11759(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_896,axiom,(
    ! [VarCurr] :
      ( ~ v11769(VarCurr)
    <=> v11770(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_241,axiom,(
    ! [VarCurr] :
      ( v11770(VarCurr)
    <=> ( v11771(VarCurr)
        & v11759(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_240,axiom,(
    ! [VarCurr] :
      ( v11771(VarCurr)
    <=> ( v11759(VarCurr,bitIndex0)
        & v11759(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_873,axiom,(
    ! [VarCurr] :
      ( v11764(VarCurr)
    <=> ( ( v11759(VarCurr,bitIndex3)
        <=> $true )
        & ( v11759(VarCurr,bitIndex2)
        <=> $true )
        & ( v11759(VarCurr,bitIndex1)
        <=> $true )
        & ( v11759(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignmentInitValue_12,axiom,(
    ~ v11759(constB0,bitIndex3) )).

fof(addAssignmentInitValue_11,axiom,(
    ~ v11759(constB0,bitIndex2) )).

fof(addAssignmentInitValue_10,axiom,(
    ~ v11759(constB0,bitIndex1) )).

fof(addAssignmentInitValue_9,axiom,(
    v11759(constB0,bitIndex0) )).

fof(addAssignment_2618,axiom,(
    ! [VarCurr] :
      ( v11751(VarCurr)
    <=> v11753(VarCurr) ) )).

fof(addAssignment_2617,axiom,(
    ! [VarCurr] :
      ( v11753(VarCurr)
    <=> v11755(VarCurr) ) )).

fof(addAssignment_2616,axiom,(
    ! [VarCurr] :
      ( v11755(VarCurr)
    <=> v11757(VarCurr) ) )).

fof(addAssignment_2615,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v11736(VarCurr,B)
      <=> v11744(VarCurr,B) ) ) )).

fof(addAssignment_2614,axiom,(
    ! [VarCurr] :
      ( ( v11736(VarCurr,bitIndex17)
      <=> v11738(VarCurr,bitIndex1) )
      & ( v11736(VarCurr,bitIndex16)
      <=> v11738(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_2613,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v11744(VarCurr,B)
      <=> v11746(VarCurr,B) ) ) )).

fof(addAssignment_2612,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v11746(VarCurr,B)
      <=> v11748(VarCurr,B) ) ) )).

fof(addAssignment_2611,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v11738(VarCurr,B)
      <=> v11740(VarCurr,B) ) ) )).

fof(addAssignment_2610,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v11740(VarCurr,B)
      <=> v11742(VarCurr,B) ) ) )).

fof(addAssignment_2609,axiom,(
    ! [VarCurr] :
      ( v11734(VarCurr)
    <=> v12(VarCurr) ) )).

fof(addAssignment_2608,axiom,(
    ! [VarCurr] :
      ( v11729(VarCurr)
    <=> v11731(VarCurr) ) )).

fof(addAssignment_2607,axiom,(
    ! [VarCurr] :
      ( v11731(VarCurr)
    <=> v662(VarCurr) ) )).

fof(addAssignment_2606,axiom,(
    ! [VarCurr] :
      ( v11715(VarCurr)
    <=> v12(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesMultipleBits,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v11641(VarCurr,B)
      <=> ( v11643(VarCurr,B)
          & v11698(VarCurr,B) ) ) ) )).

fof(addAssignment_2605,axiom,(
    ! [VarCurr] :
      ( v11698(VarCurr,bitIndex0)
    <=> v11699(VarCurr) ) )).

fof(addAssignment_2604,axiom,(
    ! [VarCurr] :
      ( v11698(VarCurr,bitIndex1)
    <=> v11699(VarCurr) ) )).

fof(addAssignment_2603,axiom,(
    ! [VarCurr] :
      ( v11698(VarCurr,bitIndex2)
    <=> v11699(VarCurr) ) )).

fof(addAssignment_2602,axiom,(
    ! [VarCurr] :
      ( v11698(VarCurr,bitIndex3)
    <=> v11699(VarCurr) ) )).

fof(addAssignment_2601,axiom,(
    ! [VarCurr] :
      ( v11698(VarCurr,bitIndex4)
    <=> v11699(VarCurr) ) )).

fof(addAssignment_2600,axiom,(
    ! [VarCurr] :
      ( v11698(VarCurr,bitIndex5)
    <=> v11699(VarCurr) ) )).

fof(addAssignment_2599,axiom,(
    ! [VarCurr] :
      ( v11698(VarCurr,bitIndex6)
    <=> v11699(VarCurr) ) )).

fof(addAssignment_2598,axiom,(
    ! [VarCurr] :
      ( v11698(VarCurr,bitIndex7)
    <=> v11699(VarCurr) ) )).

fof(addAssignment_2597,axiom,(
    ! [VarCurr] :
      ( v11698(VarCurr,bitIndex8)
    <=> v11699(VarCurr) ) )).

fof(addAssignment_2596,axiom,(
    ! [VarCurr] :
      ( v11698(VarCurr,bitIndex9)
    <=> v11699(VarCurr) ) )).

fof(addAssignment_2595,axiom,(
    ! [VarCurr] :
      ( v11698(VarCurr,bitIndex10)
    <=> v11699(VarCurr) ) )).

fof(addAssignment_2594,axiom,(
    ! [VarCurr] :
      ( v11698(VarCurr,bitIndex11)
    <=> v11699(VarCurr) ) )).

fof(addAssignment_2593,axiom,(
    ! [VarCurr] :
      ( v11698(VarCurr,bitIndex12)
    <=> v11699(VarCurr) ) )).

fof(addAssignment_2592,axiom,(
    ! [VarCurr] :
      ( v11698(VarCurr,bitIndex13)
    <=> v11699(VarCurr) ) )).

fof(addAssignment_2591,axiom,(
    ! [VarCurr] :
      ( v11698(VarCurr,bitIndex14)
    <=> v11699(VarCurr) ) )).

fof(addAssignment_2590,axiom,(
    ! [VarCurr] :
      ( v11698(VarCurr,bitIndex15)
    <=> v11699(VarCurr) ) )).

fof(addAssignment_2589,axiom,(
    ! [VarCurr] :
      ( v11699(VarCurr)
    <=> v11690(VarCurr) ) )).

fof(addAssignment_2588,axiom,(
    ! [VarCurr] :
      ( v11690(VarCurr)
    <=> v11692(VarCurr) ) )).

fof(addAssignment_2587,axiom,(
    ! [VarCurr] :
      ( v11692(VarCurr)
    <=> v11694(VarCurr) ) )).

fof(addAssignment_2586,axiom,(
    ! [VarCurr] :
      ( v11694(VarCurr)
    <=> v11696(VarCurr) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_22,axiom,(
    ! [VarCurr] :
      ( ~ v11688(VarCurr)
     => ( v11643(VarCurr,bitIndex15)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_21,axiom,(
    ! [VarCurr] :
      ( v11688(VarCurr)
     => ( v11643(VarCurr,bitIndex15)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_872,axiom,(
    ! [VarCurr] :
      ( v11688(VarCurr)
    <=> ( ( v11645(VarCurr,bitIndex3)
        <=> $true )
        & ( v11645(VarCurr,bitIndex2)
        <=> $true )
        & ( v11645(VarCurr,bitIndex1)
        <=> $true )
        & ( v11645(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_21,axiom,(
    ! [VarCurr] :
      ( ~ v11686(VarCurr)
     => ( v11643(VarCurr,bitIndex14)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_20,axiom,(
    ! [VarCurr] :
      ( v11686(VarCurr)
     => ( v11643(VarCurr,bitIndex14)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_871,axiom,(
    ! [VarCurr] :
      ( v11686(VarCurr)
    <=> ( ( v11645(VarCurr,bitIndex3)
        <=> $true )
        & ( v11645(VarCurr,bitIndex2)
        <=> $true )
        & ( v11645(VarCurr,bitIndex1)
        <=> $true )
        & ( v11645(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_7163,axiom,(
    b1110(bitIndex3) )).

fof(bitBlastConstant_7162,axiom,(
    b1110(bitIndex2) )).

fof(bitBlastConstant_7161,axiom,(
    b1110(bitIndex1) )).

fof(bitBlastConstant_7160,axiom,(
    ~ b1110(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_20,axiom,(
    ! [VarCurr] :
      ( ~ v11684(VarCurr)
     => ( v11643(VarCurr,bitIndex13)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_19,axiom,(
    ! [VarCurr] :
      ( v11684(VarCurr)
     => ( v11643(VarCurr,bitIndex13)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_870,axiom,(
    ! [VarCurr] :
      ( v11684(VarCurr)
    <=> ( ( v11645(VarCurr,bitIndex3)
        <=> $true )
        & ( v11645(VarCurr,bitIndex2)
        <=> $true )
        & ( v11645(VarCurr,bitIndex1)
        <=> $false )
        & ( v11645(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_7159,axiom,(
    b1101(bitIndex3) )).

fof(bitBlastConstant_7158,axiom,(
    b1101(bitIndex2) )).

fof(bitBlastConstant_7157,axiom,(
    ~ b1101(bitIndex1) )).

fof(bitBlastConstant_7156,axiom,(
    b1101(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_19,axiom,(
    ! [VarCurr] :
      ( ~ v11682(VarCurr)
     => ( v11643(VarCurr,bitIndex12)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_18,axiom,(
    ! [VarCurr] :
      ( v11682(VarCurr)
     => ( v11643(VarCurr,bitIndex12)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_869,axiom,(
    ! [VarCurr] :
      ( v11682(VarCurr)
    <=> ( ( v11645(VarCurr,bitIndex3)
        <=> $true )
        & ( v11645(VarCurr,bitIndex2)
        <=> $true )
        & ( v11645(VarCurr,bitIndex1)
        <=> $false )
        & ( v11645(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_7155,axiom,(
    b1100(bitIndex3) )).

fof(bitBlastConstant_7154,axiom,(
    b1100(bitIndex2) )).

fof(bitBlastConstant_7153,axiom,(
    ~ b1100(bitIndex1) )).

fof(bitBlastConstant_7152,axiom,(
    ~ b1100(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_18,axiom,(
    ! [VarCurr] :
      ( ~ v11680(VarCurr)
     => ( v11643(VarCurr,bitIndex11)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_17,axiom,(
    ! [VarCurr] :
      ( v11680(VarCurr)
     => ( v11643(VarCurr,bitIndex11)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_868,axiom,(
    ! [VarCurr] :
      ( v11680(VarCurr)
    <=> ( ( v11645(VarCurr,bitIndex3)
        <=> $true )
        & ( v11645(VarCurr,bitIndex2)
        <=> $false )
        & ( v11645(VarCurr,bitIndex1)
        <=> $true )
        & ( v11645(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_7151,axiom,(
    b1011(bitIndex3) )).

fof(bitBlastConstant_7150,axiom,(
    ~ b1011(bitIndex2) )).

fof(bitBlastConstant_7149,axiom,(
    b1011(bitIndex1) )).

fof(bitBlastConstant_7148,axiom,(
    b1011(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_17,axiom,(
    ! [VarCurr] :
      ( ~ v11678(VarCurr)
     => ( v11643(VarCurr,bitIndex10)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_16,axiom,(
    ! [VarCurr] :
      ( v11678(VarCurr)
     => ( v11643(VarCurr,bitIndex10)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_867,axiom,(
    ! [VarCurr] :
      ( v11678(VarCurr)
    <=> ( ( v11645(VarCurr,bitIndex3)
        <=> $true )
        & ( v11645(VarCurr,bitIndex2)
        <=> $false )
        & ( v11645(VarCurr,bitIndex1)
        <=> $true )
        & ( v11645(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_7147,axiom,(
    b1010(bitIndex3) )).

fof(bitBlastConstant_7146,axiom,(
    ~ b1010(bitIndex2) )).

fof(bitBlastConstant_7145,axiom,(
    b1010(bitIndex1) )).

fof(bitBlastConstant_7144,axiom,(
    ~ b1010(bitIndex0) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_16,axiom,(
    ! [VarCurr] :
      ( ~ v11676(VarCurr)
     => ( v11643(VarCurr,bitIndex9)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_15,axiom,(
    ! [VarCurr] :
      ( v11676(VarCurr)
     => ( v11643(VarCurr,bitIndex9)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_866,axiom,(
    ! [VarCurr] :
      ( v11676(VarCurr)
    <=> ( ( v11645(VarCurr,bitIndex3)
        <=> $true )
        & ( v11645(VarCurr,bitIndex2)
        <=> $false )
        & ( v11645(VarCurr,bitIndex1)
        <=> $false )
        & ( v11645(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_15,axiom,(
    ! [VarCurr] :
      ( ~ v11674(VarCurr)
     => ( v11643(VarCurr,bitIndex8)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_14,axiom,(
    ! [VarCurr] :
      ( v11674(VarCurr)
     => ( v11643(VarCurr,bitIndex8)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_865,axiom,(
    ! [VarCurr] :
      ( v11674(VarCurr)
    <=> ( ( v11645(VarCurr,bitIndex3)
        <=> $true )
        & ( v11645(VarCurr,bitIndex2)
        <=> $false )
        & ( v11645(VarCurr,bitIndex1)
        <=> $false )
        & ( v11645(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_14,axiom,(
    ! [VarCurr] :
      ( ~ v11672(VarCurr)
     => ( v11643(VarCurr,bitIndex7)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_13,axiom,(
    ! [VarCurr] :
      ( v11672(VarCurr)
     => ( v11643(VarCurr,bitIndex7)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_864,axiom,(
    ! [VarCurr] :
      ( v11672(VarCurr)
    <=> ( ( v11645(VarCurr,bitIndex3)
        <=> $false )
        & ( v11645(VarCurr,bitIndex2)
        <=> $true )
        & ( v11645(VarCurr,bitIndex1)
        <=> $true )
        & ( v11645(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_13,axiom,(
    ! [VarCurr] :
      ( ~ v11670(VarCurr)
     => ( v11643(VarCurr,bitIndex6)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_12,axiom,(
    ! [VarCurr] :
      ( v11670(VarCurr)
     => ( v11643(VarCurr,bitIndex6)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_863,axiom,(
    ! [VarCurr] :
      ( v11670(VarCurr)
    <=> ( ( v11645(VarCurr,bitIndex3)
        <=> $false )
        & ( v11645(VarCurr,bitIndex2)
        <=> $true )
        & ( v11645(VarCurr,bitIndex1)
        <=> $true )
        & ( v11645(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_12,axiom,(
    ! [VarCurr] :
      ( ~ v11668(VarCurr)
     => ( v11643(VarCurr,bitIndex5)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_11,axiom,(
    ! [VarCurr] :
      ( v11668(VarCurr)
     => ( v11643(VarCurr,bitIndex5)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_862,axiom,(
    ! [VarCurr] :
      ( v11668(VarCurr)
    <=> ( ( v11645(VarCurr,bitIndex3)
        <=> $false )
        & ( v11645(VarCurr,bitIndex2)
        <=> $true )
        & ( v11645(VarCurr,bitIndex1)
        <=> $false )
        & ( v11645(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_11,axiom,(
    ! [VarCurr] :
      ( ~ v11666(VarCurr)
     => ( v11643(VarCurr,bitIndex4)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_10,axiom,(
    ! [VarCurr] :
      ( v11666(VarCurr)
     => ( v11643(VarCurr,bitIndex4)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_861,axiom,(
    ! [VarCurr] :
      ( v11666(VarCurr)
    <=> ( ( v11645(VarCurr,bitIndex3)
        <=> $false )
        & ( v11645(VarCurr,bitIndex2)
        <=> $true )
        & ( v11645(VarCurr,bitIndex1)
        <=> $false )
        & ( v11645(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_10,axiom,(
    ! [VarCurr] :
      ( ~ v11664(VarCurr)
     => ( v11643(VarCurr,bitIndex3)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_9,axiom,(
    ! [VarCurr] :
      ( v11664(VarCurr)
     => ( v11643(VarCurr,bitIndex3)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_860,axiom,(
    ! [VarCurr] :
      ( v11664(VarCurr)
    <=> ( ( v11645(VarCurr,bitIndex3)
        <=> $false )
        & ( v11645(VarCurr,bitIndex2)
        <=> $false )
        & ( v11645(VarCurr,bitIndex1)
        <=> $true )
        & ( v11645(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_9,axiom,(
    ! [VarCurr] :
      ( ~ v11662(VarCurr)
     => ( v11643(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_8,axiom,(
    ! [VarCurr] :
      ( v11662(VarCurr)
     => ( v11643(VarCurr,bitIndex2)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_859,axiom,(
    ! [VarCurr] :
      ( v11662(VarCurr)
    <=> ( ( v11645(VarCurr,bitIndex3)
        <=> $false )
        & ( v11645(VarCurr,bitIndex2)
        <=> $false )
        & ( v11645(VarCurr,bitIndex1)
        <=> $true )
        & ( v11645(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_8,axiom,(
    ! [VarCurr] :
      ( ~ v11660(VarCurr)
     => ( v11643(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_7,axiom,(
    ! [VarCurr] :
      ( v11660(VarCurr)
     => ( v11643(VarCurr,bitIndex1)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_858,axiom,(
    ! [VarCurr] :
      ( v11660(VarCurr)
    <=> ( ( v11645(VarCurr,bitIndex3)
        <=> $false )
        & ( v11645(VarCurr,bitIndex2)
        <=> $false )
        & ( v11645(VarCurr,bitIndex1)
        <=> $false )
        & ( v11645(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_304,axiom,(
    ! [VarCurr] :
      ( ~ v11658(VarCurr)
     => ( v11643(VarCurr,bitIndex0)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_305,axiom,(
    ! [VarCurr] :
      ( v11658(VarCurr)
     => ( v11643(VarCurr,bitIndex0)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_857,axiom,(
    ! [VarCurr] :
      ( v11658(VarCurr)
    <=> ( ( v11645(VarCurr,bitIndex3)
        <=> $false )
        & ( v11645(VarCurr,bitIndex2)
        <=> $false )
        & ( v11645(VarCurr,bitIndex1)
        <=> $false )
        & ( v11645(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2585,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v11645(VarCurr,B)
      <=> v11647(VarCurr,B) ) ) )).

fof(addAssignment_2584,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v11647(VarCurr,B)
      <=> v11649(VarCurr,B) ) ) )).

fof(addAssignment_2583,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v11649(VarCurr,B)
      <=> v11651(VarCurr,B) ) ) )).

fof(addAssignment_2582,axiom,(
    ! [VarCurr] :
      ( v11634(VarCurr)
    <=> v125(VarCurr) ) )).

fof(addAssignment_2581,axiom,(
    ! [VarCurr] :
      ( v3048(VarCurr)
    <=> v3050(VarCurr) ) )).

fof(addAssignment_2580,axiom,(
    ! [VarCurr] :
      ( v3050(VarCurr)
    <=> v3052(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_303,axiom,(
    ! [VarCurr] :
      ( ~ v11576(VarCurr)
     => ( v3052(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_304,axiom,(
    ! [VarCurr] :
      ( v11576(VarCurr)
     => ( v3052(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2729,axiom,(
    ! [VarCurr] :
      ( v11576(VarCurr)
    <=> ( v11577(VarCurr)
        | v11592(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2728,axiom,(
    ! [VarCurr] :
      ( v11592(VarCurr)
    <=> ( v11593(VarCurr)
        & v11594(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_239,axiom,(
    ! [VarCurr] :
      ( v11594(VarCurr)
    <=> ( v11596(VarCurr)
        & v2941(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_238,axiom,(
    ! [VarCurr] :
      ( v11596(VarCurr)
    <=> ( v11582(VarCurr)
        & v2941(VarCurr,bitIndex5) ) ) )).

fof(writeUnaryOperator_895,axiom,(
    ! [VarCurr] :
      ( ~ v11593(VarCurr)
    <=> v7885(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2727,axiom,(
    ! [VarCurr] :
      ( v11577(VarCurr)
    <=> ( v11578(VarCurr)
        & v11579(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_237,axiom,(
    ! [VarCurr] :
      ( v11579(VarCurr)
    <=> ( v11581(VarCurr)
        & v2941(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2726,axiom,(
    ! [VarCurr] :
      ( v11581(VarCurr)
    <=> ( v11582(VarCurr)
        & v11591(VarCurr) ) ) )).

fof(writeUnaryOperator_894,axiom,(
    ! [VarCurr] :
      ( ~ v11591(VarCurr)
    <=> v2941(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2725,axiom,(
    ! [VarCurr] :
      ( v11582(VarCurr)
    <=> ( v11583(VarCurr)
        & v11590(VarCurr) ) ) )).

fof(writeUnaryOperator_893,axiom,(
    ! [VarCurr] :
      ( ~ v11590(VarCurr)
    <=> v2941(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2724,axiom,(
    ! [VarCurr] :
      ( v11583(VarCurr)
    <=> ( v11584(VarCurr)
        & v11589(VarCurr) ) ) )).

fof(writeUnaryOperator_892,axiom,(
    ! [VarCurr] :
      ( ~ v11589(VarCurr)
    <=> v2941(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2723,axiom,(
    ! [VarCurr] :
      ( v11584(VarCurr)
    <=> ( v11585(VarCurr)
        & v11588(VarCurr) ) ) )).

fof(writeUnaryOperator_891,axiom,(
    ! [VarCurr] :
      ( ~ v11588(VarCurr)
    <=> v2941(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2722,axiom,(
    ! [VarCurr] :
      ( v11585(VarCurr)
    <=> ( v11586(VarCurr)
        & v11587(VarCurr) ) ) )).

fof(writeUnaryOperator_890,axiom,(
    ! [VarCurr] :
      ( ~ v11587(VarCurr)
    <=> v2941(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_889,axiom,(
    ! [VarCurr] :
      ( ~ v11586(VarCurr)
    <=> v2941(VarCurr,bitIndex0) ) )).

fof(writeUnaryOperator_888,axiom,(
    ! [VarCurr] :
      ( ~ v11578(VarCurr)
    <=> v3054(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_302,axiom,(
    ! [VarCurr] :
      ( ~ v11571(VarCurr)
     => ( v7885(VarCurr)
      <=> v11574(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_303,axiom,(
    ! [VarCurr] :
      ( v11571(VarCurr)
     => ( v7885(VarCurr)
      <=> v11573(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_856,axiom,(
    ! [VarCurr] :
      ( v11574(VarCurr)
    <=> ( ( v3056(VarCurr,bitIndex61)
        <=> v8245(VarCurr,bitIndex47) )
        & ( v3056(VarCurr,bitIndex60)
        <=> v8245(VarCurr,bitIndex46) )
        & ( v3056(VarCurr,bitIndex59)
        <=> v8245(VarCurr,bitIndex45) )
        & ( v3056(VarCurr,bitIndex58)
        <=> v8245(VarCurr,bitIndex44) )
        & ( v3056(VarCurr,bitIndex57)
        <=> v8245(VarCurr,bitIndex43) )
        & ( v3056(VarCurr,bitIndex56)
        <=> v8245(VarCurr,bitIndex42) )
        & ( v3056(VarCurr,bitIndex55)
        <=> v8245(VarCurr,bitIndex41) )
        & ( v3056(VarCurr,bitIndex54)
        <=> v8245(VarCurr,bitIndex40) )
        & ( v3056(VarCurr,bitIndex53)
        <=> v8245(VarCurr,bitIndex39) )
        & ( v3056(VarCurr,bitIndex52)
        <=> v8245(VarCurr,bitIndex38) )
        & ( v3056(VarCurr,bitIndex51)
        <=> v8245(VarCurr,bitIndex37) )
        & ( v3056(VarCurr,bitIndex50)
        <=> v8245(VarCurr,bitIndex36) )
        & ( v3056(VarCurr,bitIndex49)
        <=> v8245(VarCurr,bitIndex35) )
        & ( v3056(VarCurr,bitIndex48)
        <=> v8245(VarCurr,bitIndex34) )
        & ( v3056(VarCurr,bitIndex47)
        <=> v8245(VarCurr,bitIndex33) )
        & ( v3056(VarCurr,bitIndex46)
        <=> v8245(VarCurr,bitIndex32) )
        & ( v3056(VarCurr,bitIndex45)
        <=> v8245(VarCurr,bitIndex31) )
        & ( v3056(VarCurr,bitIndex44)
        <=> v8245(VarCurr,bitIndex30) )
        & ( v3056(VarCurr,bitIndex43)
        <=> v8245(VarCurr,bitIndex29) )
        & ( v3056(VarCurr,bitIndex42)
        <=> v8245(VarCurr,bitIndex28) )
        & ( v3056(VarCurr,bitIndex41)
        <=> v8245(VarCurr,bitIndex27) )
        & ( v3056(VarCurr,bitIndex40)
        <=> v8245(VarCurr,bitIndex26) )
        & ( v3056(VarCurr,bitIndex39)
        <=> v8245(VarCurr,bitIndex25) )
        & ( v3056(VarCurr,bitIndex38)
        <=> v8245(VarCurr,bitIndex24) )
        & ( v3056(VarCurr,bitIndex37)
        <=> v8245(VarCurr,bitIndex23) )
        & ( v3056(VarCurr,bitIndex36)
        <=> v8245(VarCurr,bitIndex22) )
        & ( v3056(VarCurr,bitIndex35)
        <=> v8245(VarCurr,bitIndex21) )
        & ( v3056(VarCurr,bitIndex34)
        <=> v8245(VarCurr,bitIndex20) )
        & ( v3056(VarCurr,bitIndex33)
        <=> v8245(VarCurr,bitIndex19) )
        & ( v3056(VarCurr,bitIndex32)
        <=> v8245(VarCurr,bitIndex18) )
        & ( v3056(VarCurr,bitIndex31)
        <=> v8245(VarCurr,bitIndex17) )
        & ( v3056(VarCurr,bitIndex30)
        <=> v8245(VarCurr,bitIndex16) )
        & ( v3056(VarCurr,bitIndex29)
        <=> v8245(VarCurr,bitIndex15) )
        & ( v3056(VarCurr,bitIndex28)
        <=> v8245(VarCurr,bitIndex14) )
        & ( v3056(VarCurr,bitIndex27)
        <=> v8245(VarCurr,bitIndex13) )
        & ( v3056(VarCurr,bitIndex26)
        <=> v8245(VarCurr,bitIndex12) )
        & ( v3056(VarCurr,bitIndex25)
        <=> v8245(VarCurr,bitIndex11) )
        & ( v3056(VarCurr,bitIndex24)
        <=> v8245(VarCurr,bitIndex10) )
        & ( v3056(VarCurr,bitIndex23)
        <=> v8245(VarCurr,bitIndex9) )
        & ( v3056(VarCurr,bitIndex22)
        <=> v8245(VarCurr,bitIndex8) )
        & ( v3056(VarCurr,bitIndex21)
        <=> v8245(VarCurr,bitIndex7) )
        & ( v3056(VarCurr,bitIndex20)
        <=> v8245(VarCurr,bitIndex6) )
        & ( v3056(VarCurr,bitIndex19)
        <=> v8245(VarCurr,bitIndex5) )
        & ( v3056(VarCurr,bitIndex18)
        <=> v8245(VarCurr,bitIndex4) )
        & ( v3056(VarCurr,bitIndex17)
        <=> v8245(VarCurr,bitIndex3) )
        & ( v3056(VarCurr,bitIndex16)
        <=> v8245(VarCurr,bitIndex2) )
        & ( v3056(VarCurr,bitIndex15)
        <=> v8245(VarCurr,bitIndex1) )
        & ( v3056(VarCurr,bitIndex14)
        <=> v8245(VarCurr,bitIndex0) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_855,axiom,(
    ! [VarCurr] :
      ( v11573(VarCurr)
    <=> ( ( v3056(VarCurr,bitIndex60)
        <=> v8245(VarCurr,bitIndex46) )
        & ( v3056(VarCurr,bitIndex59)
        <=> v8245(VarCurr,bitIndex45) )
        & ( v3056(VarCurr,bitIndex58)
        <=> v8245(VarCurr,bitIndex44) )
        & ( v3056(VarCurr,bitIndex57)
        <=> v8245(VarCurr,bitIndex43) )
        & ( v3056(VarCurr,bitIndex56)
        <=> v8245(VarCurr,bitIndex42) )
        & ( v3056(VarCurr,bitIndex55)
        <=> v8245(VarCurr,bitIndex41) )
        & ( v3056(VarCurr,bitIndex54)
        <=> v8245(VarCurr,bitIndex40) )
        & ( v3056(VarCurr,bitIndex53)
        <=> v8245(VarCurr,bitIndex39) )
        & ( v3056(VarCurr,bitIndex52)
        <=> v8245(VarCurr,bitIndex38) )
        & ( v3056(VarCurr,bitIndex51)
        <=> v8245(VarCurr,bitIndex37) )
        & ( v3056(VarCurr,bitIndex50)
        <=> v8245(VarCurr,bitIndex36) )
        & ( v3056(VarCurr,bitIndex49)
        <=> v8245(VarCurr,bitIndex35) )
        & ( v3056(VarCurr,bitIndex48)
        <=> v8245(VarCurr,bitIndex34) )
        & ( v3056(VarCurr,bitIndex47)
        <=> v8245(VarCurr,bitIndex33) )
        & ( v3056(VarCurr,bitIndex46)
        <=> v8245(VarCurr,bitIndex32) )
        & ( v3056(VarCurr,bitIndex45)
        <=> v8245(VarCurr,bitIndex31) )
        & ( v3056(VarCurr,bitIndex44)
        <=> v8245(VarCurr,bitIndex30) )
        & ( v3056(VarCurr,bitIndex43)
        <=> v8245(VarCurr,bitIndex29) )
        & ( v3056(VarCurr,bitIndex42)
        <=> v8245(VarCurr,bitIndex28) )
        & ( v3056(VarCurr,bitIndex41)
        <=> v8245(VarCurr,bitIndex27) )
        & ( v3056(VarCurr,bitIndex40)
        <=> v8245(VarCurr,bitIndex26) )
        & ( v3056(VarCurr,bitIndex39)
        <=> v8245(VarCurr,bitIndex25) )
        & ( v3056(VarCurr,bitIndex38)
        <=> v8245(VarCurr,bitIndex24) )
        & ( v3056(VarCurr,bitIndex37)
        <=> v8245(VarCurr,bitIndex23) )
        & ( v3056(VarCurr,bitIndex36)
        <=> v8245(VarCurr,bitIndex22) )
        & ( v3056(VarCurr,bitIndex35)
        <=> v8245(VarCurr,bitIndex21) )
        & ( v3056(VarCurr,bitIndex34)
        <=> v8245(VarCurr,bitIndex20) )
        & ( v3056(VarCurr,bitIndex33)
        <=> v8245(VarCurr,bitIndex19) )
        & ( v3056(VarCurr,bitIndex32)
        <=> v8245(VarCurr,bitIndex18) )
        & ( v3056(VarCurr,bitIndex31)
        <=> v8245(VarCurr,bitIndex17) )
        & ( v3056(VarCurr,bitIndex30)
        <=> v8245(VarCurr,bitIndex16) )
        & ( v3056(VarCurr,bitIndex29)
        <=> v8245(VarCurr,bitIndex15) )
        & ( v3056(VarCurr,bitIndex28)
        <=> v8245(VarCurr,bitIndex14) )
        & ( v3056(VarCurr,bitIndex27)
        <=> v8245(VarCurr,bitIndex13) )
        & ( v3056(VarCurr,bitIndex26)
        <=> v8245(VarCurr,bitIndex12) )
        & ( v3056(VarCurr,bitIndex25)
        <=> v8245(VarCurr,bitIndex11) )
        & ( v3056(VarCurr,bitIndex24)
        <=> v8245(VarCurr,bitIndex10) )
        & ( v3056(VarCurr,bitIndex23)
        <=> v8245(VarCurr,bitIndex9) )
        & ( v3056(VarCurr,bitIndex22)
        <=> v8245(VarCurr,bitIndex8) )
        & ( v3056(VarCurr,bitIndex21)
        <=> v8245(VarCurr,bitIndex7) )
        & ( v3056(VarCurr,bitIndex20)
        <=> v8245(VarCurr,bitIndex6) )
        & ( v3056(VarCurr,bitIndex19)
        <=> v8245(VarCurr,bitIndex5) )
        & ( v3056(VarCurr,bitIndex18)
        <=> v8245(VarCurr,bitIndex4) )
        & ( v3056(VarCurr,bitIndex17)
        <=> v8245(VarCurr,bitIndex3) )
        & ( v3056(VarCurr,bitIndex16)
        <=> v8245(VarCurr,bitIndex2) )
        & ( v3056(VarCurr,bitIndex15)
        <=> v8245(VarCurr,bitIndex1) )
        & ( v3056(VarCurr,bitIndex14)
        <=> v8245(VarCurr,bitIndex0) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2721,axiom,(
    ! [VarCurr] :
      ( v11571(VarCurr)
    <=> ( v7887(VarCurr)
        & v11572(VarCurr) ) ) )).

fof(writeUnaryOperator_887,axiom,(
    ! [VarCurr] :
      ( ~ v11572(VarCurr)
    <=> v8073(VarCurr) ) )).

fof(addAssignment_2579,axiom,(
    ! [VarCurr] :
      ( v8245(VarCurr,bitIndex47)
    <=> v8247(VarCurr,bitIndex47) ) )).

fof(addAssignment_2578,axiom,(
    ! [VarCurr] :
      ( v8247(VarCurr,bitIndex47)
    <=> v8249(VarCurr,bitIndex47) ) )).

fof(addAssignment_2577,axiom,(
    ! [VarCurr] :
      ( v8249(VarCurr,bitIndex47)
    <=> v8251(VarCurr,bitIndex47) ) )).

fof(addAssignment_2576,axiom,(
    ! [VarCurr] :
      ( v8251(VarCurr,bitIndex47)
    <=> v8253(VarCurr,bitIndex47) ) )).

fof(addAssignment_2575,axiom,(
    ! [VarCurr] :
      ( v8253(VarCurr,bitIndex47)
    <=> v8255(VarCurr,bitIndex47) ) )).

fof(addAssignment_2574,axiom,(
    ! [VarCurr] :
      ( v8255(VarCurr,bitIndex47)
    <=> v8257(VarCurr,bitIndex47) ) )).

fof(addAssignment_2573,axiom,(
    ! [VarCurr] :
      ( v8257(VarCurr,bitIndex47)
    <=> v8259(VarCurr,bitIndex47) ) )).

fof(addAssignment_2572,axiom,(
    ! [VarCurr] :
      ( v8259(VarCurr,bitIndex47)
    <=> v8261(VarCurr,bitIndex47) ) )).

fof(addAssignment_2571,axiom,(
    ! [VarCurr] :
      ( v8261(VarCurr,bitIndex47)
    <=> v8263(VarCurr,bitIndex63) ) )).

fof(addAssignment_2570,axiom,(
    ! [VarCurr] :
      ( v8263(VarCurr,bitIndex63)
    <=> v8265(VarCurr,bitIndex63) ) )).

fof(addAssignment_2569,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex63)
    <=> v11503(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_134,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11526(VarNext)
       => ( v11503(VarNext)
        <=> v11503(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_141,axiom,(
    ! [VarNext] :
      ( v11526(VarNext)
     => ( v11503(VarNext)
      <=> v11561(VarNext) ) ) )).

fof(addAssignment_2568,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11561(VarNext)
      <=> v11559(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_507,axiom,(
    ! [VarCurr] :
      ( ~ v11505(VarCurr)
     => ( v11559(VarCurr)
      <=> v11562(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_509,axiom,(
    ! [VarCurr] :
      ( v11505(VarCurr)
     => ( v11559(VarCurr)
      <=> v11507(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_506,axiom,(
    ! [VarCurr] :
      ( ~ v11539(VarCurr)
     => ( v11562(VarCurr)
      <=> v11521(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_508,axiom,(
    ! [VarCurr] :
      ( v11539(VarCurr)
     => ( v11562(VarCurr)
      <=> v11563(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_211,axiom,(
    ! [VarCurr] :
      ( ( ~ v11542(VarCurr)
        & ~ v11544(VarCurr) )
     => ( v11563(VarCurr)
      <=> v11567(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_505,axiom,(
    ! [VarCurr] :
      ( v11544(VarCurr)
     => ( v11563(VarCurr)
      <=> v11566(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_507,axiom,(
    ! [VarCurr] :
      ( v11542(VarCurr)
     => ( v11563(VarCurr)
      <=> v11564(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_504,axiom,(
    ! [VarCurr] :
      ( ~ v11552(VarCurr)
     => ( v11567(VarCurr)
      <=> v11521(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_506,axiom,(
    ! [VarCurr] :
      ( v11552(VarCurr)
     => ( v11567(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_503,axiom,(
    ! [VarCurr] :
      ( ~ v11546(VarCurr)
     => ( v11566(VarCurr)
      <=> v11521(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_505,axiom,(
    ! [VarCurr] :
      ( v11546(VarCurr)
     => ( v11566(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_301,axiom,(
    ! [VarCurr] :
      ( ~ v11565(VarCurr)
     => ( v11564(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_302,axiom,(
    ! [VarCurr] :
      ( v11565(VarCurr)
     => ( v11564(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_854,axiom,(
    ! [VarCurr] :
      ( v11565(VarCurr)
    <=> ( v11515(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2720,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11526(VarNext)
      <=> ( v11527(VarNext)
          & v11536(VarNext) ) ) ) )).

fof(addAssignment_2567,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11536(VarNext)
      <=> v11534(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2719,axiom,(
    ! [VarCurr] :
      ( v11534(VarCurr)
    <=> ( v11505(VarCurr)
        | v11537(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2718,axiom,(
    ! [VarCurr] :
      ( v11537(VarCurr)
    <=> ( v11538(VarCurr)
        & v11558(VarCurr) ) ) )).

fof(writeUnaryOperator_886,axiom,(
    ! [VarCurr] :
      ( ~ v11558(VarCurr)
    <=> v11505(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2717,axiom,(
    ! [VarCurr] :
      ( v11538(VarCurr)
    <=> ( v11539(VarCurr)
        | v11556(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2716,axiom,(
    ! [VarCurr] :
      ( v11556(VarCurr)
    <=> ( v11517(VarCurr)
        & v11557(VarCurr) ) ) )).

fof(writeUnaryOperator_885,axiom,(
    ! [VarCurr] :
      ( ~ v11557(VarCurr)
    <=> v11519(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2715,axiom,(
    ! [VarCurr] :
      ( v11539(VarCurr)
    <=> ( v11540(VarCurr)
        & v11519(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2714,axiom,(
    ! [VarCurr] :
      ( v11540(VarCurr)
    <=> ( v11541(VarCurr)
        | v11550(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2713,axiom,(
    ! [VarCurr] :
      ( v11550(VarCurr)
    <=> ( v11551(VarCurr)
        & v11555(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_853,axiom,(
    ! [VarCurr] :
      ( v11555(VarCurr)
    <=> ( ( v11543(VarCurr,bitIndex2)
        <=> $false )
        & ( v11543(VarCurr,bitIndex1)
        <=> $false )
        & ( v11543(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2712,axiom,(
    ! [VarCurr] :
      ( v11551(VarCurr)
    <=> ( v11552(VarCurr)
        | v11553(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2711,axiom,(
    ! [VarCurr] :
      ( v11553(VarCurr)
    <=> ( v11517(VarCurr)
        & v11554(VarCurr) ) ) )).

fof(writeUnaryOperator_884,axiom,(
    ! [VarCurr] :
      ( ~ v11554(VarCurr)
    <=> v11552(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_852,axiom,(
    ! [VarCurr] :
      ( v11552(VarCurr)
    <=> ( v11515(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2710,axiom,(
    ! [VarCurr] :
      ( v11541(VarCurr)
    <=> ( v11542(VarCurr)
        | v11544(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2709,axiom,(
    ! [VarCurr] :
      ( v11544(VarCurr)
    <=> ( v11545(VarCurr)
        & v11549(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_851,axiom,(
    ! [VarCurr] :
      ( v11549(VarCurr)
    <=> ( ( v11543(VarCurr,bitIndex2)
        <=> $false )
        & ( v11543(VarCurr,bitIndex1)
        <=> $true )
        & ( v11543(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2708,axiom,(
    ! [VarCurr] :
      ( v11545(VarCurr)
    <=> ( v11546(VarCurr)
        | v11547(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2707,axiom,(
    ! [VarCurr] :
      ( v11547(VarCurr)
    <=> ( v11517(VarCurr)
        & v11548(VarCurr) ) ) )).

fof(writeUnaryOperator_883,axiom,(
    ! [VarCurr] :
      ( ~ v11548(VarCurr)
    <=> v11546(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_850,axiom,(
    ! [VarCurr] :
      ( v11546(VarCurr)
    <=> ( v11515(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_849,axiom,(
    ! [VarCurr] :
      ( v11542(VarCurr)
    <=> ( ( v11543(VarCurr,bitIndex2)
        <=> $true )
        & ( v11543(VarCurr,bitIndex1)
        <=> $false )
        & ( v11543(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2566,axiom,(
    ! [VarCurr] :
      ( v11543(VarCurr,bitIndex0)
    <=> v11513(VarCurr) ) )).

fof(addAssignment_2565,axiom,(
    ! [VarCurr] :
      ( v11543(VarCurr,bitIndex1)
    <=> v11511(VarCurr) ) )).

fof(addAssignment_2564,axiom,(
    ! [VarCurr] :
      ( v11543(VarCurr,bitIndex2)
    <=> v11509(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2706,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11527(VarNext)
      <=> ( v11528(VarNext)
          & v11523(VarNext) ) ) ) )).

fof(writeUnaryOperator_882,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11528(VarNext)
      <=> v11530(VarNext) ) ) )).

fof(addAssignment_2563,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11530(VarNext)
      <=> v11523(VarCurr) ) ) )).

fof(addAssignment_2562,axiom,(
    ! [VarCurr] :
      ( v11523(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_2561,axiom,(
    ! [VarCurr] :
      ( v11521(VarCurr)
    <=> $false ) )).

fof(addAssignment_2560,axiom,(
    ! [VarCurr] :
      ( v11519(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_2559,axiom,(
    ! [VarCurr] :
      ( v11517(VarCurr)
    <=> $false ) )).

fof(addAssignment_2558,axiom,(
    ! [VarCurr] :
      ( v11515(VarCurr)
    <=> v8288(VarCurr,bitIndex63) ) )).

fof(addAssignment_2557,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex63)
    <=> v8290(VarCurr,bitIndex63) ) )).

fof(addAssignment_2556,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex63)
    <=> v3162(VarCurr,bitIndex63) ) )).

fof(addAssignment_2555,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex63)
    <=> v3164(VarCurr,bitIndex63) ) )).

fof(addAssignment_2554,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex63)
    <=> v3166(VarCurr,bitIndex63) ) )).

fof(addAssignment_2553,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex63)
    <=> v3168(VarCurr,bitIndex63) ) )).

fof(addAssignment_2552,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex63)
    <=> v3170(VarCurr,bitIndex63) ) )).

fof(addAssignment_2551,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex63)
    <=> v3172(VarCurr,bitIndex63) ) )).

fof(addAssignment_2550,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex63)
    <=> v3174(VarCurr,bitIndex63) ) )).

fof(addAssignment_2549,axiom,(
    ! [VarCurr] :
      ( v11513(VarCurr)
    <=> $false ) )).

fof(addAssignment_2548,axiom,(
    ! [VarCurr] :
      ( v11511(VarCurr)
    <=> $false ) )).

fof(addAssignment_2547,axiom,(
    ! [VarCurr] :
      ( v11509(VarCurr)
    <=> $true ) )).

fof(addAssignment_2546,axiom,(
    ! [VarCurr] :
      ( v11507(VarCurr)
    <=> $false ) )).

fof(addAssignment_2545,axiom,(
    ! [VarCurr] :
      ( v11505(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addAssignment_2544,axiom,(
    ! [VarCurr] :
      ( v3056(VarCurr,bitIndex61)
    <=> v2943(VarCurr,bitIndex61) ) )).

fof(addAssignment_2543,axiom,(
    ! [VarCurr] :
      ( v2943(VarCurr,bitIndex61)
    <=> v2945(VarCurr,bitIndex61) ) )).

fof(addAssignment_2542,axiom,(
    ! [VarCurr] :
      ( v2945(VarCurr,bitIndex61)
    <=> v2947(VarCurr,bitIndex61) ) )).

fof(addAssignment_2541,axiom,(
    ! [VarCurr] :
      ( v2947(VarCurr,bitIndex61)
    <=> v2949(VarCurr,bitIndex641) ) )).

fof(addAssignment_2540,axiom,(
    ! [VarNext] :
      ( v2949(VarNext,bitIndex641)
    <=> v11495(VarNext,bitIndex61) ) )).

fof(addCaseBooleanConditionShiftedRanges1_6,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11497(VarNext)
       => ( ( v11495(VarNext,bitIndex115)
          <=> v2949(VarCurr,bitIndex695) )
          & ( v11495(VarNext,bitIndex114)
          <=> v2949(VarCurr,bitIndex694) )
          & ( v11495(VarNext,bitIndex113)
          <=> v2949(VarCurr,bitIndex693) )
          & ( v11495(VarNext,bitIndex112)
          <=> v2949(VarCurr,bitIndex692) )
          & ( v11495(VarNext,bitIndex111)
          <=> v2949(VarCurr,bitIndex691) )
          & ( v11495(VarNext,bitIndex110)
          <=> v2949(VarCurr,bitIndex690) )
          & ( v11495(VarNext,bitIndex109)
          <=> v2949(VarCurr,bitIndex689) )
          & ( v11495(VarNext,bitIndex108)
          <=> v2949(VarCurr,bitIndex688) )
          & ( v11495(VarNext,bitIndex107)
          <=> v2949(VarCurr,bitIndex687) )
          & ( v11495(VarNext,bitIndex106)
          <=> v2949(VarCurr,bitIndex686) )
          & ( v11495(VarNext,bitIndex105)
          <=> v2949(VarCurr,bitIndex685) )
          & ( v11495(VarNext,bitIndex104)
          <=> v2949(VarCurr,bitIndex684) )
          & ( v11495(VarNext,bitIndex103)
          <=> v2949(VarCurr,bitIndex683) )
          & ( v11495(VarNext,bitIndex102)
          <=> v2949(VarCurr,bitIndex682) )
          & ( v11495(VarNext,bitIndex101)
          <=> v2949(VarCurr,bitIndex681) )
          & ( v11495(VarNext,bitIndex100)
          <=> v2949(VarCurr,bitIndex680) )
          & ( v11495(VarNext,bitIndex99)
          <=> v2949(VarCurr,bitIndex679) )
          & ( v11495(VarNext,bitIndex98)
          <=> v2949(VarCurr,bitIndex678) )
          & ( v11495(VarNext,bitIndex97)
          <=> v2949(VarCurr,bitIndex677) )
          & ( v11495(VarNext,bitIndex96)
          <=> v2949(VarCurr,bitIndex676) )
          & ( v11495(VarNext,bitIndex95)
          <=> v2949(VarCurr,bitIndex675) )
          & ( v11495(VarNext,bitIndex94)
          <=> v2949(VarCurr,bitIndex674) )
          & ( v11495(VarNext,bitIndex93)
          <=> v2949(VarCurr,bitIndex673) )
          & ( v11495(VarNext,bitIndex92)
          <=> v2949(VarCurr,bitIndex672) )
          & ( v11495(VarNext,bitIndex91)
          <=> v2949(VarCurr,bitIndex671) )
          & ( v11495(VarNext,bitIndex90)
          <=> v2949(VarCurr,bitIndex670) )
          & ( v11495(VarNext,bitIndex89)
          <=> v2949(VarCurr,bitIndex669) )
          & ( v11495(VarNext,bitIndex88)
          <=> v2949(VarCurr,bitIndex668) )
          & ( v11495(VarNext,bitIndex87)
          <=> v2949(VarCurr,bitIndex667) )
          & ( v11495(VarNext,bitIndex86)
          <=> v2949(VarCurr,bitIndex666) )
          & ( v11495(VarNext,bitIndex85)
          <=> v2949(VarCurr,bitIndex665) )
          & ( v11495(VarNext,bitIndex84)
          <=> v2949(VarCurr,bitIndex664) )
          & ( v11495(VarNext,bitIndex83)
          <=> v2949(VarCurr,bitIndex663) )
          & ( v11495(VarNext,bitIndex82)
          <=> v2949(VarCurr,bitIndex662) )
          & ( v11495(VarNext,bitIndex81)
          <=> v2949(VarCurr,bitIndex661) )
          & ( v11495(VarNext,bitIndex80)
          <=> v2949(VarCurr,bitIndex660) )
          & ( v11495(VarNext,bitIndex79)
          <=> v2949(VarCurr,bitIndex659) )
          & ( v11495(VarNext,bitIndex78)
          <=> v2949(VarCurr,bitIndex658) )
          & ( v11495(VarNext,bitIndex77)
          <=> v2949(VarCurr,bitIndex657) )
          & ( v11495(VarNext,bitIndex76)
          <=> v2949(VarCurr,bitIndex656) )
          & ( v11495(VarNext,bitIndex75)
          <=> v2949(VarCurr,bitIndex655) )
          & ( v11495(VarNext,bitIndex74)
          <=> v2949(VarCurr,bitIndex654) )
          & ( v11495(VarNext,bitIndex73)
          <=> v2949(VarCurr,bitIndex653) )
          & ( v11495(VarNext,bitIndex72)
          <=> v2949(VarCurr,bitIndex652) )
          & ( v11495(VarNext,bitIndex71)
          <=> v2949(VarCurr,bitIndex651) )
          & ( v11495(VarNext,bitIndex70)
          <=> v2949(VarCurr,bitIndex650) )
          & ( v11495(VarNext,bitIndex69)
          <=> v2949(VarCurr,bitIndex649) )
          & ( v11495(VarNext,bitIndex68)
          <=> v2949(VarCurr,bitIndex648) )
          & ( v11495(VarNext,bitIndex67)
          <=> v2949(VarCurr,bitIndex647) )
          & ( v11495(VarNext,bitIndex66)
          <=> v2949(VarCurr,bitIndex646) )
          & ( v11495(VarNext,bitIndex65)
          <=> v2949(VarCurr,bitIndex645) )
          & ( v11495(VarNext,bitIndex64)
          <=> v2949(VarCurr,bitIndex644) )
          & ( v11495(VarNext,bitIndex63)
          <=> v2949(VarCurr,bitIndex643) )
          & ( v11495(VarNext,bitIndex62)
          <=> v2949(VarCurr,bitIndex642) )
          & ( v11495(VarNext,bitIndex61)
          <=> v2949(VarCurr,bitIndex641) )
          & ( v11495(VarNext,bitIndex60)
          <=> v2949(VarCurr,bitIndex640) )
          & ( v11495(VarNext,bitIndex59)
          <=> v2949(VarCurr,bitIndex639) )
          & ( v11495(VarNext,bitIndex58)
          <=> v2949(VarCurr,bitIndex638) )
          & ( v11495(VarNext,bitIndex57)
          <=> v2949(VarCurr,bitIndex637) )
          & ( v11495(VarNext,bitIndex56)
          <=> v2949(VarCurr,bitIndex636) )
          & ( v11495(VarNext,bitIndex55)
          <=> v2949(VarCurr,bitIndex635) )
          & ( v11495(VarNext,bitIndex54)
          <=> v2949(VarCurr,bitIndex634) )
          & ( v11495(VarNext,bitIndex53)
          <=> v2949(VarCurr,bitIndex633) )
          & ( v11495(VarNext,bitIndex52)
          <=> v2949(VarCurr,bitIndex632) )
          & ( v11495(VarNext,bitIndex51)
          <=> v2949(VarCurr,bitIndex631) )
          & ( v11495(VarNext,bitIndex50)
          <=> v2949(VarCurr,bitIndex630) )
          & ( v11495(VarNext,bitIndex49)
          <=> v2949(VarCurr,bitIndex629) )
          & ( v11495(VarNext,bitIndex48)
          <=> v2949(VarCurr,bitIndex628) )
          & ( v11495(VarNext,bitIndex47)
          <=> v2949(VarCurr,bitIndex627) )
          & ( v11495(VarNext,bitIndex46)
          <=> v2949(VarCurr,bitIndex626) )
          & ( v11495(VarNext,bitIndex45)
          <=> v2949(VarCurr,bitIndex625) )
          & ( v11495(VarNext,bitIndex44)
          <=> v2949(VarCurr,bitIndex624) )
          & ( v11495(VarNext,bitIndex43)
          <=> v2949(VarCurr,bitIndex623) )
          & ( v11495(VarNext,bitIndex42)
          <=> v2949(VarCurr,bitIndex622) )
          & ( v11495(VarNext,bitIndex41)
          <=> v2949(VarCurr,bitIndex621) )
          & ( v11495(VarNext,bitIndex40)
          <=> v2949(VarCurr,bitIndex620) )
          & ( v11495(VarNext,bitIndex39)
          <=> v2949(VarCurr,bitIndex619) )
          & ( v11495(VarNext,bitIndex38)
          <=> v2949(VarCurr,bitIndex618) )
          & ( v11495(VarNext,bitIndex37)
          <=> v2949(VarCurr,bitIndex617) )
          & ( v11495(VarNext,bitIndex36)
          <=> v2949(VarCurr,bitIndex616) )
          & ( v11495(VarNext,bitIndex35)
          <=> v2949(VarCurr,bitIndex615) )
          & ( v11495(VarNext,bitIndex34)
          <=> v2949(VarCurr,bitIndex614) )
          & ( v11495(VarNext,bitIndex33)
          <=> v2949(VarCurr,bitIndex613) )
          & ( v11495(VarNext,bitIndex32)
          <=> v2949(VarCurr,bitIndex612) )
          & ( v11495(VarNext,bitIndex31)
          <=> v2949(VarCurr,bitIndex611) )
          & ( v11495(VarNext,bitIndex30)
          <=> v2949(VarCurr,bitIndex610) )
          & ( v11495(VarNext,bitIndex29)
          <=> v2949(VarCurr,bitIndex609) )
          & ( v11495(VarNext,bitIndex28)
          <=> v2949(VarCurr,bitIndex608) )
          & ( v11495(VarNext,bitIndex27)
          <=> v2949(VarCurr,bitIndex607) )
          & ( v11495(VarNext,bitIndex26)
          <=> v2949(VarCurr,bitIndex606) )
          & ( v11495(VarNext,bitIndex25)
          <=> v2949(VarCurr,bitIndex605) )
          & ( v11495(VarNext,bitIndex24)
          <=> v2949(VarCurr,bitIndex604) )
          & ( v11495(VarNext,bitIndex23)
          <=> v2949(VarCurr,bitIndex603) )
          & ( v11495(VarNext,bitIndex22)
          <=> v2949(VarCurr,bitIndex602) )
          & ( v11495(VarNext,bitIndex21)
          <=> v2949(VarCurr,bitIndex601) )
          & ( v11495(VarNext,bitIndex20)
          <=> v2949(VarCurr,bitIndex600) )
          & ( v11495(VarNext,bitIndex19)
          <=> v2949(VarCurr,bitIndex599) )
          & ( v11495(VarNext,bitIndex18)
          <=> v2949(VarCurr,bitIndex598) )
          & ( v11495(VarNext,bitIndex17)
          <=> v2949(VarCurr,bitIndex597) )
          & ( v11495(VarNext,bitIndex16)
          <=> v2949(VarCurr,bitIndex596) )
          & ( v11495(VarNext,bitIndex15)
          <=> v2949(VarCurr,bitIndex595) )
          & ( v11495(VarNext,bitIndex14)
          <=> v2949(VarCurr,bitIndex594) )
          & ( v11495(VarNext,bitIndex13)
          <=> v2949(VarCurr,bitIndex593) )
          & ( v11495(VarNext,bitIndex12)
          <=> v2949(VarCurr,bitIndex592) )
          & ( v11495(VarNext,bitIndex11)
          <=> v2949(VarCurr,bitIndex591) )
          & ( v11495(VarNext,bitIndex10)
          <=> v2949(VarCurr,bitIndex590) )
          & ( v11495(VarNext,bitIndex9)
          <=> v2949(VarCurr,bitIndex589) )
          & ( v11495(VarNext,bitIndex8)
          <=> v2949(VarCurr,bitIndex588) )
          & ( v11495(VarNext,bitIndex7)
          <=> v2949(VarCurr,bitIndex587) )
          & ( v11495(VarNext,bitIndex6)
          <=> v2949(VarCurr,bitIndex586) )
          & ( v11495(VarNext,bitIndex5)
          <=> v2949(VarCurr,bitIndex585) )
          & ( v11495(VarNext,bitIndex4)
          <=> v2949(VarCurr,bitIndex584) )
          & ( v11495(VarNext,bitIndex3)
          <=> v2949(VarCurr,bitIndex583) )
          & ( v11495(VarNext,bitIndex2)
          <=> v2949(VarCurr,bitIndex582) )
          & ( v11495(VarNext,bitIndex1)
          <=> v2949(VarCurr,bitIndex581) )
          & ( v11495(VarNext,bitIndex0)
          <=> v2949(VarCurr,bitIndex580) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_140,axiom,(
    ! [VarNext] :
      ( v11497(VarNext)
     => ! [B] :
          ( range_115_0(B)
         => ( v11495(VarNext,B)
          <=> v3095(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2705,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11497(VarNext)
      <=> ( v11498(VarNext)
          & v3089(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2704,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11498(VarNext)
      <=> ( v11500(VarNext)
          & v3076(VarNext) ) ) ) )).

fof(writeUnaryOperator_881,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11500(VarNext)
      <=> v3083(VarNext) ) ) )).

fof(addAssignment_2539,axiom,(
    ! [VarCurr] :
      ( v3064(VarCurr,bitIndex61)
    <=> v3066(VarCurr,bitIndex61) ) )).

fof(addAssignment_2538,axiom,(
    ! [VarCurr] :
      ( v3066(VarCurr,bitIndex61)
    <=> v3068(VarCurr,bitIndex61) ) )).

fof(addAssignment_2537,axiom,(
    ! [VarCurr] :
      ( v3068(VarCurr,bitIndex61)
    <=> v3070(VarCurr,bitIndex61) ) )).

fof(addAssignment_2536,axiom,(
    ! [VarCurr] :
      ( v3070(VarCurr,bitIndex61)
    <=> v3072(VarCurr,bitIndex61) ) )).

fof(addAssignment_2535,axiom,(
    ! [VarCurr] :
      ( v3072(VarCurr,bitIndex61)
    <=> v3074(VarCurr,bitIndex61) ) )).

fof(addAssignment_2534,axiom,(
    ! [VarCurr,B] :
      ( range_46_0(B)
     => ( v8245(VarCurr,B)
      <=> v8247(VarCurr,B) ) ) )).

fof(addAssignment_2533,axiom,(
    ! [VarCurr,B] :
      ( range_46_0(B)
     => ( v8247(VarCurr,B)
      <=> v8249(VarCurr,B) ) ) )).

fof(addAssignment_2532,axiom,(
    ! [VarCurr,B] :
      ( range_46_0(B)
     => ( v8249(VarCurr,B)
      <=> v8251(VarCurr,B) ) ) )).

fof(addAssignment_2531,axiom,(
    ! [VarCurr,B] :
      ( range_46_0(B)
     => ( v8251(VarCurr,B)
      <=> v8253(VarCurr,B) ) ) )).

fof(addAssignment_2530,axiom,(
    ! [VarCurr,B] :
      ( range_46_0(B)
     => ( v8253(VarCurr,B)
      <=> v8255(VarCurr,B) ) ) )).

fof(addAssignment_2529,axiom,(
    ! [VarCurr,B] :
      ( range_46_0(B)
     => ( v8255(VarCurr,B)
      <=> v8257(VarCurr,B) ) ) )).

fof(addAssignment_2528,axiom,(
    ! [VarCurr,B] :
      ( range_46_0(B)
     => ( v8257(VarCurr,B)
      <=> v8259(VarCurr,B) ) ) )).

fof(addAssignment_2527,axiom,(
    ! [VarCurr,B] :
      ( range_46_0(B)
     => ( v8259(VarCurr,B)
      <=> v8261(VarCurr,B) ) ) )).

fof(range_axiom_28,axiom,(
    ! [B] :
      ( range_46_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B
        | bitIndex44 = B
        | bitIndex45 = B
        | bitIndex46 = B ) ) )).

fof(addAssignment_2526,axiom,(
    ! [VarCurr] :
      ( ( v8261(VarCurr,bitIndex46)
      <=> v8263(VarCurr,bitIndex62) )
      & ( v8261(VarCurr,bitIndex45)
      <=> v8263(VarCurr,bitIndex61) )
      & ( v8261(VarCurr,bitIndex44)
      <=> v8263(VarCurr,bitIndex60) )
      & ( v8261(VarCurr,bitIndex43)
      <=> v8263(VarCurr,bitIndex59) )
      & ( v8261(VarCurr,bitIndex42)
      <=> v8263(VarCurr,bitIndex58) )
      & ( v8261(VarCurr,bitIndex41)
      <=> v8263(VarCurr,bitIndex57) )
      & ( v8261(VarCurr,bitIndex40)
      <=> v8263(VarCurr,bitIndex56) )
      & ( v8261(VarCurr,bitIndex39)
      <=> v8263(VarCurr,bitIndex55) )
      & ( v8261(VarCurr,bitIndex38)
      <=> v8263(VarCurr,bitIndex54) )
      & ( v8261(VarCurr,bitIndex37)
      <=> v8263(VarCurr,bitIndex53) )
      & ( v8261(VarCurr,bitIndex36)
      <=> v8263(VarCurr,bitIndex52) )
      & ( v8261(VarCurr,bitIndex35)
      <=> v8263(VarCurr,bitIndex51) )
      & ( v8261(VarCurr,bitIndex34)
      <=> v8263(VarCurr,bitIndex50) )
      & ( v8261(VarCurr,bitIndex33)
      <=> v8263(VarCurr,bitIndex49) )
      & ( v8261(VarCurr,bitIndex32)
      <=> v8263(VarCurr,bitIndex48) )
      & ( v8261(VarCurr,bitIndex31)
      <=> v8263(VarCurr,bitIndex47) )
      & ( v8261(VarCurr,bitIndex30)
      <=> v8263(VarCurr,bitIndex46) )
      & ( v8261(VarCurr,bitIndex29)
      <=> v8263(VarCurr,bitIndex45) )
      & ( v8261(VarCurr,bitIndex28)
      <=> v8263(VarCurr,bitIndex44) )
      & ( v8261(VarCurr,bitIndex27)
      <=> v8263(VarCurr,bitIndex43) )
      & ( v8261(VarCurr,bitIndex26)
      <=> v8263(VarCurr,bitIndex42) )
      & ( v8261(VarCurr,bitIndex25)
      <=> v8263(VarCurr,bitIndex41) )
      & ( v8261(VarCurr,bitIndex24)
      <=> v8263(VarCurr,bitIndex40) )
      & ( v8261(VarCurr,bitIndex23)
      <=> v8263(VarCurr,bitIndex39) )
      & ( v8261(VarCurr,bitIndex22)
      <=> v8263(VarCurr,bitIndex38) )
      & ( v8261(VarCurr,bitIndex21)
      <=> v8263(VarCurr,bitIndex37) )
      & ( v8261(VarCurr,bitIndex20)
      <=> v8263(VarCurr,bitIndex36) )
      & ( v8261(VarCurr,bitIndex19)
      <=> v8263(VarCurr,bitIndex35) )
      & ( v8261(VarCurr,bitIndex18)
      <=> v8263(VarCurr,bitIndex34) )
      & ( v8261(VarCurr,bitIndex17)
      <=> v8263(VarCurr,bitIndex33) )
      & ( v8261(VarCurr,bitIndex16)
      <=> v8263(VarCurr,bitIndex32) )
      & ( v8261(VarCurr,bitIndex15)
      <=> v8263(VarCurr,bitIndex31) )
      & ( v8261(VarCurr,bitIndex14)
      <=> v8263(VarCurr,bitIndex30) )
      & ( v8261(VarCurr,bitIndex13)
      <=> v8263(VarCurr,bitIndex29) )
      & ( v8261(VarCurr,bitIndex12)
      <=> v8263(VarCurr,bitIndex28) )
      & ( v8261(VarCurr,bitIndex11)
      <=> v8263(VarCurr,bitIndex27) )
      & ( v8261(VarCurr,bitIndex10)
      <=> v8263(VarCurr,bitIndex26) )
      & ( v8261(VarCurr,bitIndex9)
      <=> v8263(VarCurr,bitIndex25) )
      & ( v8261(VarCurr,bitIndex8)
      <=> v8263(VarCurr,bitIndex24) )
      & ( v8261(VarCurr,bitIndex7)
      <=> v8263(VarCurr,bitIndex23) )
      & ( v8261(VarCurr,bitIndex6)
      <=> v8263(VarCurr,bitIndex22) )
      & ( v8261(VarCurr,bitIndex5)
      <=> v8263(VarCurr,bitIndex21) )
      & ( v8261(VarCurr,bitIndex4)
      <=> v8263(VarCurr,bitIndex20) )
      & ( v8261(VarCurr,bitIndex3)
      <=> v8263(VarCurr,bitIndex19) )
      & ( v8261(VarCurr,bitIndex2)
      <=> v8263(VarCurr,bitIndex18) )
      & ( v8261(VarCurr,bitIndex1)
      <=> v8263(VarCurr,bitIndex17) )
      & ( v8261(VarCurr,bitIndex0)
      <=> v8263(VarCurr,bitIndex16) ) ) )).

fof(addAssignment_2525,axiom,(
    ! [VarCurr,B] :
      ( range_62_16(B)
     => ( v8263(VarCurr,B)
      <=> v8265(VarCurr,B) ) ) )).

fof(range_axiom_27,axiom,(
    ! [B] :
      ( range_62_16(B)
    <=> ( $false
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B
        | bitIndex44 = B
        | bitIndex45 = B
        | bitIndex46 = B
        | bitIndex47 = B
        | bitIndex48 = B
        | bitIndex49 = B
        | bitIndex50 = B
        | bitIndex51 = B
        | bitIndex52 = B
        | bitIndex53 = B
        | bitIndex54 = B
        | bitIndex55 = B
        | bitIndex56 = B
        | bitIndex57 = B
        | bitIndex58 = B
        | bitIndex59 = B
        | bitIndex60 = B
        | bitIndex61 = B
        | bitIndex62 = B ) ) )).

fof(addAssignment_2524,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex62)
    <=> v11427(VarCurr) ) )).

fof(addAssignment_2523,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex61)
    <=> v11359(VarCurr) ) )).

fof(addAssignment_2522,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex60)
    <=> v11291(VarCurr) ) )).

fof(addAssignment_2521,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex59)
    <=> v11223(VarCurr) ) )).

fof(addAssignment_2520,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex58)
    <=> v11155(VarCurr) ) )).

fof(addAssignment_2519,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex57)
    <=> v11087(VarCurr) ) )).

fof(addAssignment_2518,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex56)
    <=> v11019(VarCurr) ) )).

fof(addAssignment_2517,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex55)
    <=> v10951(VarCurr) ) )).

fof(addAssignment_2516,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex54)
    <=> v10883(VarCurr) ) )).

fof(addAssignment_2515,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex53)
    <=> v10815(VarCurr) ) )).

fof(addAssignment_2514,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex52)
    <=> v10747(VarCurr) ) )).

fof(addAssignment_2513,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex51)
    <=> v10679(VarCurr) ) )).

fof(addAssignment_2512,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex50)
    <=> v10611(VarCurr) ) )).

fof(addAssignment_2511,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex49)
    <=> v10543(VarCurr) ) )).

fof(addAssignment_2510,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex48)
    <=> v10475(VarCurr) ) )).

fof(addAssignment_2509,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex47)
    <=> v10407(VarCurr) ) )).

fof(addAssignment_2508,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex46)
    <=> v10339(VarCurr) ) )).

fof(addAssignment_2507,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex45)
    <=> v10271(VarCurr) ) )).

fof(addAssignment_2506,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex44)
    <=> v10203(VarCurr) ) )).

fof(addAssignment_2505,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex43)
    <=> v10135(VarCurr) ) )).

fof(addAssignment_2504,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex42)
    <=> v10067(VarCurr) ) )).

fof(addAssignment_2503,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex41)
    <=> v9999(VarCurr) ) )).

fof(addAssignment_2502,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex40)
    <=> v9931(VarCurr) ) )).

fof(addAssignment_2501,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex39)
    <=> v9863(VarCurr) ) )).

fof(addAssignment_2500,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex38)
    <=> v9795(VarCurr) ) )).

fof(addAssignment_2499,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex37)
    <=> v9727(VarCurr) ) )).

fof(addAssignment_2498,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex36)
    <=> v9659(VarCurr) ) )).

fof(addAssignment_2497,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex35)
    <=> v9591(VarCurr) ) )).

fof(addAssignment_2496,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex34)
    <=> v9523(VarCurr) ) )).

fof(addAssignment_2495,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex33)
    <=> v9455(VarCurr) ) )).

fof(addAssignment_2494,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex32)
    <=> v9387(VarCurr) ) )).

fof(addAssignment_2493,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex31)
    <=> v9319(VarCurr) ) )).

fof(addAssignment_2492,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex30)
    <=> v9251(VarCurr) ) )).

fof(addAssignment_2491,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex29)
    <=> v9183(VarCurr) ) )).

fof(addAssignment_2490,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex28)
    <=> v9115(VarCurr) ) )).

fof(addAssignment_2489,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex27)
    <=> v9047(VarCurr) ) )).

fof(addAssignment_2488,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex26)
    <=> v8979(VarCurr) ) )).

fof(addAssignment_2487,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex25)
    <=> v8911(VarCurr) ) )).

fof(addAssignment_2486,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex24)
    <=> v8843(VarCurr) ) )).

fof(addAssignment_2485,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex23)
    <=> v8775(VarCurr) ) )).

fof(addAssignment_2484,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex22)
    <=> v8707(VarCurr) ) )).

fof(addAssignment_2483,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex21)
    <=> v8639(VarCurr) ) )).

fof(addAssignment_2482,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex20)
    <=> v8571(VarCurr) ) )).

fof(addAssignment_2481,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex19)
    <=> v8503(VarCurr) ) )).

fof(addAssignment_2480,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex18)
    <=> v8435(VarCurr) ) )).

fof(addAssignment_2479,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex17)
    <=> v8367(VarCurr) ) )).

fof(addAssignment_2478,axiom,(
    ! [VarCurr] :
      ( v8265(VarCurr,bitIndex16)
    <=> v8267(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_133,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11450(VarNext)
       => ( v11427(VarNext)
        <=> v11427(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_139,axiom,(
    ! [VarNext] :
      ( v11450(VarNext)
     => ( v11427(VarNext)
      <=> v11485(VarNext) ) ) )).

fof(addAssignment_2477,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11485(VarNext)
      <=> v11483(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_502,axiom,(
    ! [VarCurr] :
      ( ~ v11429(VarCurr)
     => ( v11483(VarCurr)
      <=> v11486(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_504,axiom,(
    ! [VarCurr] :
      ( v11429(VarCurr)
     => ( v11483(VarCurr)
      <=> v11431(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_501,axiom,(
    ! [VarCurr] :
      ( ~ v11463(VarCurr)
     => ( v11486(VarCurr)
      <=> v11445(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_503,axiom,(
    ! [VarCurr] :
      ( v11463(VarCurr)
     => ( v11486(VarCurr)
      <=> v11487(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_210,axiom,(
    ! [VarCurr] :
      ( ( ~ v11466(VarCurr)
        & ~ v11468(VarCurr) )
     => ( v11487(VarCurr)
      <=> v11491(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_500,axiom,(
    ! [VarCurr] :
      ( v11468(VarCurr)
     => ( v11487(VarCurr)
      <=> v11490(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_502,axiom,(
    ! [VarCurr] :
      ( v11466(VarCurr)
     => ( v11487(VarCurr)
      <=> v11488(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_499,axiom,(
    ! [VarCurr] :
      ( ~ v11476(VarCurr)
     => ( v11491(VarCurr)
      <=> v11445(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_501,axiom,(
    ! [VarCurr] :
      ( v11476(VarCurr)
     => ( v11491(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_498,axiom,(
    ! [VarCurr] :
      ( ~ v11470(VarCurr)
     => ( v11490(VarCurr)
      <=> v11445(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_500,axiom,(
    ! [VarCurr] :
      ( v11470(VarCurr)
     => ( v11490(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_300,axiom,(
    ! [VarCurr] :
      ( ~ v11489(VarCurr)
     => ( v11488(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_301,axiom,(
    ! [VarCurr] :
      ( v11489(VarCurr)
     => ( v11488(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_848,axiom,(
    ! [VarCurr] :
      ( v11489(VarCurr)
    <=> ( v11439(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2703,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11450(VarNext)
      <=> ( v11451(VarNext)
          & v11460(VarNext) ) ) ) )).

fof(addAssignment_2476,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11460(VarNext)
      <=> v11458(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2702,axiom,(
    ! [VarCurr] :
      ( v11458(VarCurr)
    <=> ( v11429(VarCurr)
        | v11461(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2701,axiom,(
    ! [VarCurr] :
      ( v11461(VarCurr)
    <=> ( v11462(VarCurr)
        & v11482(VarCurr) ) ) )).

fof(writeUnaryOperator_880,axiom,(
    ! [VarCurr] :
      ( ~ v11482(VarCurr)
    <=> v11429(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2700,axiom,(
    ! [VarCurr] :
      ( v11462(VarCurr)
    <=> ( v11463(VarCurr)
        | v11480(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2699,axiom,(
    ! [VarCurr] :
      ( v11480(VarCurr)
    <=> ( v11441(VarCurr)
        & v11481(VarCurr) ) ) )).

fof(writeUnaryOperator_879,axiom,(
    ! [VarCurr] :
      ( ~ v11481(VarCurr)
    <=> v11443(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2698,axiom,(
    ! [VarCurr] :
      ( v11463(VarCurr)
    <=> ( v11464(VarCurr)
        & v11443(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2697,axiom,(
    ! [VarCurr] :
      ( v11464(VarCurr)
    <=> ( v11465(VarCurr)
        | v11474(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2696,axiom,(
    ! [VarCurr] :
      ( v11474(VarCurr)
    <=> ( v11475(VarCurr)
        & v11479(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_847,axiom,(
    ! [VarCurr] :
      ( v11479(VarCurr)
    <=> ( ( v11467(VarCurr,bitIndex2)
        <=> $false )
        & ( v11467(VarCurr,bitIndex1)
        <=> $false )
        & ( v11467(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2695,axiom,(
    ! [VarCurr] :
      ( v11475(VarCurr)
    <=> ( v11476(VarCurr)
        | v11477(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2694,axiom,(
    ! [VarCurr] :
      ( v11477(VarCurr)
    <=> ( v11441(VarCurr)
        & v11478(VarCurr) ) ) )).

fof(writeUnaryOperator_878,axiom,(
    ! [VarCurr] :
      ( ~ v11478(VarCurr)
    <=> v11476(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_846,axiom,(
    ! [VarCurr] :
      ( v11476(VarCurr)
    <=> ( v11439(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2693,axiom,(
    ! [VarCurr] :
      ( v11465(VarCurr)
    <=> ( v11466(VarCurr)
        | v11468(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2692,axiom,(
    ! [VarCurr] :
      ( v11468(VarCurr)
    <=> ( v11469(VarCurr)
        & v11473(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_845,axiom,(
    ! [VarCurr] :
      ( v11473(VarCurr)
    <=> ( ( v11467(VarCurr,bitIndex2)
        <=> $false )
        & ( v11467(VarCurr,bitIndex1)
        <=> $true )
        & ( v11467(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2691,axiom,(
    ! [VarCurr] :
      ( v11469(VarCurr)
    <=> ( v11470(VarCurr)
        | v11471(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2690,axiom,(
    ! [VarCurr] :
      ( v11471(VarCurr)
    <=> ( v11441(VarCurr)
        & v11472(VarCurr) ) ) )).

fof(writeUnaryOperator_877,axiom,(
    ! [VarCurr] :
      ( ~ v11472(VarCurr)
    <=> v11470(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_844,axiom,(
    ! [VarCurr] :
      ( v11470(VarCurr)
    <=> ( v11439(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_843,axiom,(
    ! [VarCurr] :
      ( v11466(VarCurr)
    <=> ( ( v11467(VarCurr,bitIndex2)
        <=> $true )
        & ( v11467(VarCurr,bitIndex1)
        <=> $false )
        & ( v11467(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2475,axiom,(
    ! [VarCurr] :
      ( v11467(VarCurr,bitIndex0)
    <=> v11437(VarCurr) ) )).

fof(addAssignment_2474,axiom,(
    ! [VarCurr] :
      ( v11467(VarCurr,bitIndex1)
    <=> v11435(VarCurr) ) )).

fof(addAssignment_2473,axiom,(
    ! [VarCurr] :
      ( v11467(VarCurr,bitIndex2)
    <=> v11433(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2689,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11451(VarNext)
      <=> ( v11452(VarNext)
          & v11447(VarNext) ) ) ) )).

fof(writeUnaryOperator_876,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11452(VarNext)
      <=> v11454(VarNext) ) ) )).

fof(addAssignment_2472,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11454(VarNext)
      <=> v11447(VarCurr) ) ) )).

fof(addAssignment_2471,axiom,(
    ! [VarCurr] :
      ( v11447(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_2470,axiom,(
    ! [VarCurr] :
      ( v11445(VarCurr)
    <=> $false ) )).

fof(addAssignment_2469,axiom,(
    ! [VarCurr] :
      ( v11443(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_2468,axiom,(
    ! [VarCurr] :
      ( v11441(VarCurr)
    <=> $false ) )).

fof(addAssignment_2467,axiom,(
    ! [VarCurr] :
      ( v11439(VarCurr)
    <=> v8288(VarCurr,bitIndex62) ) )).

fof(addAssignment_2466,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex62)
    <=> v8290(VarCurr,bitIndex62) ) )).

fof(addAssignment_2465,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex62)
    <=> v3162(VarCurr,bitIndex62) ) )).

fof(addAssignment_2464,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex62)
    <=> v3164(VarCurr,bitIndex62) ) )).

fof(addAssignment_2463,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex62)
    <=> v3166(VarCurr,bitIndex62) ) )).

fof(addAssignment_2462,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex62)
    <=> v3168(VarCurr,bitIndex62) ) )).

fof(addAssignment_2461,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex62)
    <=> v3170(VarCurr,bitIndex62) ) )).

fof(addAssignment_2460,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex62)
    <=> v3172(VarCurr,bitIndex62) ) )).

fof(addAssignment_2459,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex62)
    <=> v3174(VarCurr,bitIndex62) ) )).

fof(addAssignment_2458,axiom,(
    ! [VarCurr] :
      ( v11437(VarCurr)
    <=> $false ) )).

fof(addAssignment_2457,axiom,(
    ! [VarCurr] :
      ( v11435(VarCurr)
    <=> $false ) )).

fof(addAssignment_2456,axiom,(
    ! [VarCurr] :
      ( v11433(VarCurr)
    <=> $true ) )).

fof(addAssignment_2455,axiom,(
    ! [VarCurr] :
      ( v11431(VarCurr)
    <=> $false ) )).

fof(addAssignment_2454,axiom,(
    ! [VarCurr] :
      ( v11429(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_132,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11382(VarNext)
       => ( v11359(VarNext)
        <=> v11359(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_138,axiom,(
    ! [VarNext] :
      ( v11382(VarNext)
     => ( v11359(VarNext)
      <=> v11417(VarNext) ) ) )).

fof(addAssignment_2453,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11417(VarNext)
      <=> v11415(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_497,axiom,(
    ! [VarCurr] :
      ( ~ v11361(VarCurr)
     => ( v11415(VarCurr)
      <=> v11418(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_499,axiom,(
    ! [VarCurr] :
      ( v11361(VarCurr)
     => ( v11415(VarCurr)
      <=> v11363(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_496,axiom,(
    ! [VarCurr] :
      ( ~ v11395(VarCurr)
     => ( v11418(VarCurr)
      <=> v11377(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_498,axiom,(
    ! [VarCurr] :
      ( v11395(VarCurr)
     => ( v11418(VarCurr)
      <=> v11419(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_209,axiom,(
    ! [VarCurr] :
      ( ( ~ v11398(VarCurr)
        & ~ v11400(VarCurr) )
     => ( v11419(VarCurr)
      <=> v11423(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_495,axiom,(
    ! [VarCurr] :
      ( v11400(VarCurr)
     => ( v11419(VarCurr)
      <=> v11422(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_497,axiom,(
    ! [VarCurr] :
      ( v11398(VarCurr)
     => ( v11419(VarCurr)
      <=> v11420(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_494,axiom,(
    ! [VarCurr] :
      ( ~ v11408(VarCurr)
     => ( v11423(VarCurr)
      <=> v11377(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_496,axiom,(
    ! [VarCurr] :
      ( v11408(VarCurr)
     => ( v11423(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_493,axiom,(
    ! [VarCurr] :
      ( ~ v11402(VarCurr)
     => ( v11422(VarCurr)
      <=> v11377(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_495,axiom,(
    ! [VarCurr] :
      ( v11402(VarCurr)
     => ( v11422(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_299,axiom,(
    ! [VarCurr] :
      ( ~ v11421(VarCurr)
     => ( v11420(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_300,axiom,(
    ! [VarCurr] :
      ( v11421(VarCurr)
     => ( v11420(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_842,axiom,(
    ! [VarCurr] :
      ( v11421(VarCurr)
    <=> ( v11371(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2688,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11382(VarNext)
      <=> ( v11383(VarNext)
          & v11392(VarNext) ) ) ) )).

fof(addAssignment_2452,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11392(VarNext)
      <=> v11390(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2687,axiom,(
    ! [VarCurr] :
      ( v11390(VarCurr)
    <=> ( v11361(VarCurr)
        | v11393(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2686,axiom,(
    ! [VarCurr] :
      ( v11393(VarCurr)
    <=> ( v11394(VarCurr)
        & v11414(VarCurr) ) ) )).

fof(writeUnaryOperator_875,axiom,(
    ! [VarCurr] :
      ( ~ v11414(VarCurr)
    <=> v11361(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2685,axiom,(
    ! [VarCurr] :
      ( v11394(VarCurr)
    <=> ( v11395(VarCurr)
        | v11412(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2684,axiom,(
    ! [VarCurr] :
      ( v11412(VarCurr)
    <=> ( v11373(VarCurr)
        & v11413(VarCurr) ) ) )).

fof(writeUnaryOperator_874,axiom,(
    ! [VarCurr] :
      ( ~ v11413(VarCurr)
    <=> v11375(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2683,axiom,(
    ! [VarCurr] :
      ( v11395(VarCurr)
    <=> ( v11396(VarCurr)
        & v11375(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2682,axiom,(
    ! [VarCurr] :
      ( v11396(VarCurr)
    <=> ( v11397(VarCurr)
        | v11406(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2681,axiom,(
    ! [VarCurr] :
      ( v11406(VarCurr)
    <=> ( v11407(VarCurr)
        & v11411(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_841,axiom,(
    ! [VarCurr] :
      ( v11411(VarCurr)
    <=> ( ( v11399(VarCurr,bitIndex2)
        <=> $false )
        & ( v11399(VarCurr,bitIndex1)
        <=> $false )
        & ( v11399(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2680,axiom,(
    ! [VarCurr] :
      ( v11407(VarCurr)
    <=> ( v11408(VarCurr)
        | v11409(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2679,axiom,(
    ! [VarCurr] :
      ( v11409(VarCurr)
    <=> ( v11373(VarCurr)
        & v11410(VarCurr) ) ) )).

fof(writeUnaryOperator_873,axiom,(
    ! [VarCurr] :
      ( ~ v11410(VarCurr)
    <=> v11408(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_840,axiom,(
    ! [VarCurr] :
      ( v11408(VarCurr)
    <=> ( v11371(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2678,axiom,(
    ! [VarCurr] :
      ( v11397(VarCurr)
    <=> ( v11398(VarCurr)
        | v11400(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2677,axiom,(
    ! [VarCurr] :
      ( v11400(VarCurr)
    <=> ( v11401(VarCurr)
        & v11405(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_839,axiom,(
    ! [VarCurr] :
      ( v11405(VarCurr)
    <=> ( ( v11399(VarCurr,bitIndex2)
        <=> $false )
        & ( v11399(VarCurr,bitIndex1)
        <=> $true )
        & ( v11399(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2676,axiom,(
    ! [VarCurr] :
      ( v11401(VarCurr)
    <=> ( v11402(VarCurr)
        | v11403(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2675,axiom,(
    ! [VarCurr] :
      ( v11403(VarCurr)
    <=> ( v11373(VarCurr)
        & v11404(VarCurr) ) ) )).

fof(writeUnaryOperator_872,axiom,(
    ! [VarCurr] :
      ( ~ v11404(VarCurr)
    <=> v11402(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_838,axiom,(
    ! [VarCurr] :
      ( v11402(VarCurr)
    <=> ( v11371(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_837,axiom,(
    ! [VarCurr] :
      ( v11398(VarCurr)
    <=> ( ( v11399(VarCurr,bitIndex2)
        <=> $true )
        & ( v11399(VarCurr,bitIndex1)
        <=> $false )
        & ( v11399(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2451,axiom,(
    ! [VarCurr] :
      ( v11399(VarCurr,bitIndex0)
    <=> v11369(VarCurr) ) )).

fof(addAssignment_2450,axiom,(
    ! [VarCurr] :
      ( v11399(VarCurr,bitIndex1)
    <=> v11367(VarCurr) ) )).

fof(addAssignment_2449,axiom,(
    ! [VarCurr] :
      ( v11399(VarCurr,bitIndex2)
    <=> v11365(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2674,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11383(VarNext)
      <=> ( v11384(VarNext)
          & v11379(VarNext) ) ) ) )).

fof(writeUnaryOperator_871,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11384(VarNext)
      <=> v11386(VarNext) ) ) )).

fof(addAssignment_2448,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11386(VarNext)
      <=> v11379(VarCurr) ) ) )).

fof(addAssignment_2447,axiom,(
    ! [VarCurr] :
      ( v11379(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_2446,axiom,(
    ! [VarCurr] :
      ( v11377(VarCurr)
    <=> $false ) )).

fof(addAssignment_2445,axiom,(
    ! [VarCurr] :
      ( v11375(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_2444,axiom,(
    ! [VarCurr] :
      ( v11373(VarCurr)
    <=> $false ) )).

fof(addAssignment_2443,axiom,(
    ! [VarCurr] :
      ( v11371(VarCurr)
    <=> v8288(VarCurr,bitIndex61) ) )).

fof(addAssignment_2442,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex61)
    <=> v8290(VarCurr,bitIndex61) ) )).

fof(addAssignment_2441,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex61)
    <=> v3162(VarCurr,bitIndex61) ) )).

fof(addAssignment_2440,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex61)
    <=> v3164(VarCurr,bitIndex61) ) )).

fof(addAssignment_2439,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex61)
    <=> v3166(VarCurr,bitIndex61) ) )).

fof(addAssignment_2438,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex61)
    <=> v3168(VarCurr,bitIndex61) ) )).

fof(addAssignment_2437,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex61)
    <=> v3170(VarCurr,bitIndex61) ) )).

fof(addAssignment_2436,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex61)
    <=> v3172(VarCurr,bitIndex61) ) )).

fof(addAssignment_2435,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex61)
    <=> v3174(VarCurr,bitIndex61) ) )).

fof(addAssignment_2434,axiom,(
    ! [VarCurr] :
      ( v11369(VarCurr)
    <=> $false ) )).

fof(addAssignment_2433,axiom,(
    ! [VarCurr] :
      ( v11367(VarCurr)
    <=> $false ) )).

fof(addAssignment_2432,axiom,(
    ! [VarCurr] :
      ( v11365(VarCurr)
    <=> $true ) )).

fof(addAssignment_2431,axiom,(
    ! [VarCurr] :
      ( v11363(VarCurr)
    <=> $false ) )).

fof(addAssignment_2430,axiom,(
    ! [VarCurr] :
      ( v11361(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_131,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11314(VarNext)
       => ( v11291(VarNext)
        <=> v11291(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_137,axiom,(
    ! [VarNext] :
      ( v11314(VarNext)
     => ( v11291(VarNext)
      <=> v11349(VarNext) ) ) )).

fof(addAssignment_2429,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11349(VarNext)
      <=> v11347(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_492,axiom,(
    ! [VarCurr] :
      ( ~ v11293(VarCurr)
     => ( v11347(VarCurr)
      <=> v11350(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_494,axiom,(
    ! [VarCurr] :
      ( v11293(VarCurr)
     => ( v11347(VarCurr)
      <=> v11295(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_491,axiom,(
    ! [VarCurr] :
      ( ~ v11327(VarCurr)
     => ( v11350(VarCurr)
      <=> v11309(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_493,axiom,(
    ! [VarCurr] :
      ( v11327(VarCurr)
     => ( v11350(VarCurr)
      <=> v11351(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_208,axiom,(
    ! [VarCurr] :
      ( ( ~ v11330(VarCurr)
        & ~ v11332(VarCurr) )
     => ( v11351(VarCurr)
      <=> v11355(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_490,axiom,(
    ! [VarCurr] :
      ( v11332(VarCurr)
     => ( v11351(VarCurr)
      <=> v11354(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_492,axiom,(
    ! [VarCurr] :
      ( v11330(VarCurr)
     => ( v11351(VarCurr)
      <=> v11352(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_489,axiom,(
    ! [VarCurr] :
      ( ~ v11340(VarCurr)
     => ( v11355(VarCurr)
      <=> v11309(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_491,axiom,(
    ! [VarCurr] :
      ( v11340(VarCurr)
     => ( v11355(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_488,axiom,(
    ! [VarCurr] :
      ( ~ v11334(VarCurr)
     => ( v11354(VarCurr)
      <=> v11309(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_490,axiom,(
    ! [VarCurr] :
      ( v11334(VarCurr)
     => ( v11354(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_298,axiom,(
    ! [VarCurr] :
      ( ~ v11353(VarCurr)
     => ( v11352(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_299,axiom,(
    ! [VarCurr] :
      ( v11353(VarCurr)
     => ( v11352(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_836,axiom,(
    ! [VarCurr] :
      ( v11353(VarCurr)
    <=> ( v11303(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2673,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11314(VarNext)
      <=> ( v11315(VarNext)
          & v11324(VarNext) ) ) ) )).

fof(addAssignment_2428,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11324(VarNext)
      <=> v11322(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2672,axiom,(
    ! [VarCurr] :
      ( v11322(VarCurr)
    <=> ( v11293(VarCurr)
        | v11325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2671,axiom,(
    ! [VarCurr] :
      ( v11325(VarCurr)
    <=> ( v11326(VarCurr)
        & v11346(VarCurr) ) ) )).

fof(writeUnaryOperator_870,axiom,(
    ! [VarCurr] :
      ( ~ v11346(VarCurr)
    <=> v11293(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2670,axiom,(
    ! [VarCurr] :
      ( v11326(VarCurr)
    <=> ( v11327(VarCurr)
        | v11344(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2669,axiom,(
    ! [VarCurr] :
      ( v11344(VarCurr)
    <=> ( v11305(VarCurr)
        & v11345(VarCurr) ) ) )).

fof(writeUnaryOperator_869,axiom,(
    ! [VarCurr] :
      ( ~ v11345(VarCurr)
    <=> v11307(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2668,axiom,(
    ! [VarCurr] :
      ( v11327(VarCurr)
    <=> ( v11328(VarCurr)
        & v11307(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2667,axiom,(
    ! [VarCurr] :
      ( v11328(VarCurr)
    <=> ( v11329(VarCurr)
        | v11338(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2666,axiom,(
    ! [VarCurr] :
      ( v11338(VarCurr)
    <=> ( v11339(VarCurr)
        & v11343(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_835,axiom,(
    ! [VarCurr] :
      ( v11343(VarCurr)
    <=> ( ( v11331(VarCurr,bitIndex2)
        <=> $false )
        & ( v11331(VarCurr,bitIndex1)
        <=> $false )
        & ( v11331(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2665,axiom,(
    ! [VarCurr] :
      ( v11339(VarCurr)
    <=> ( v11340(VarCurr)
        | v11341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2664,axiom,(
    ! [VarCurr] :
      ( v11341(VarCurr)
    <=> ( v11305(VarCurr)
        & v11342(VarCurr) ) ) )).

fof(writeUnaryOperator_868,axiom,(
    ! [VarCurr] :
      ( ~ v11342(VarCurr)
    <=> v11340(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_834,axiom,(
    ! [VarCurr] :
      ( v11340(VarCurr)
    <=> ( v11303(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2663,axiom,(
    ! [VarCurr] :
      ( v11329(VarCurr)
    <=> ( v11330(VarCurr)
        | v11332(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2662,axiom,(
    ! [VarCurr] :
      ( v11332(VarCurr)
    <=> ( v11333(VarCurr)
        & v11337(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_833,axiom,(
    ! [VarCurr] :
      ( v11337(VarCurr)
    <=> ( ( v11331(VarCurr,bitIndex2)
        <=> $false )
        & ( v11331(VarCurr,bitIndex1)
        <=> $true )
        & ( v11331(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2661,axiom,(
    ! [VarCurr] :
      ( v11333(VarCurr)
    <=> ( v11334(VarCurr)
        | v11335(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2660,axiom,(
    ! [VarCurr] :
      ( v11335(VarCurr)
    <=> ( v11305(VarCurr)
        & v11336(VarCurr) ) ) )).

fof(writeUnaryOperator_867,axiom,(
    ! [VarCurr] :
      ( ~ v11336(VarCurr)
    <=> v11334(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_832,axiom,(
    ! [VarCurr] :
      ( v11334(VarCurr)
    <=> ( v11303(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_831,axiom,(
    ! [VarCurr] :
      ( v11330(VarCurr)
    <=> ( ( v11331(VarCurr,bitIndex2)
        <=> $true )
        & ( v11331(VarCurr,bitIndex1)
        <=> $false )
        & ( v11331(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2427,axiom,(
    ! [VarCurr] :
      ( v11331(VarCurr,bitIndex0)
    <=> v11301(VarCurr) ) )).

fof(addAssignment_2426,axiom,(
    ! [VarCurr] :
      ( v11331(VarCurr,bitIndex1)
    <=> v11299(VarCurr) ) )).

fof(addAssignment_2425,axiom,(
    ! [VarCurr] :
      ( v11331(VarCurr,bitIndex2)
    <=> v11297(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2659,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11315(VarNext)
      <=> ( v11316(VarNext)
          & v11311(VarNext) ) ) ) )).

fof(writeUnaryOperator_866,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11316(VarNext)
      <=> v11318(VarNext) ) ) )).

fof(addAssignment_2424,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11318(VarNext)
      <=> v11311(VarCurr) ) ) )).

fof(addAssignment_2423,axiom,(
    ! [VarCurr] :
      ( v11311(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_2422,axiom,(
    ! [VarCurr] :
      ( v11309(VarCurr)
    <=> $false ) )).

fof(addAssignment_2421,axiom,(
    ! [VarCurr] :
      ( v11307(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_2420,axiom,(
    ! [VarCurr] :
      ( v11305(VarCurr)
    <=> $false ) )).

fof(addAssignment_2419,axiom,(
    ! [VarCurr] :
      ( v11303(VarCurr)
    <=> v8288(VarCurr,bitIndex60) ) )).

fof(addAssignment_2418,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex60)
    <=> v8290(VarCurr,bitIndex60) ) )).

fof(addAssignment_2417,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex60)
    <=> v3162(VarCurr,bitIndex60) ) )).

fof(addAssignment_2416,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex60)
    <=> v3164(VarCurr,bitIndex60) ) )).

fof(addAssignment_2415,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex60)
    <=> v3166(VarCurr,bitIndex60) ) )).

fof(addAssignment_2414,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex60)
    <=> v3168(VarCurr,bitIndex60) ) )).

fof(addAssignment_2413,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex60)
    <=> v3170(VarCurr,bitIndex60) ) )).

fof(addAssignment_2412,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex60)
    <=> v3172(VarCurr,bitIndex60) ) )).

fof(addAssignment_2411,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex60)
    <=> v3174(VarCurr,bitIndex60) ) )).

fof(addAssignment_2410,axiom,(
    ! [VarCurr] :
      ( v11301(VarCurr)
    <=> $false ) )).

fof(addAssignment_2409,axiom,(
    ! [VarCurr] :
      ( v11299(VarCurr)
    <=> $false ) )).

fof(addAssignment_2408,axiom,(
    ! [VarCurr] :
      ( v11297(VarCurr)
    <=> $true ) )).

fof(addAssignment_2407,axiom,(
    ! [VarCurr] :
      ( v11295(VarCurr)
    <=> $false ) )).

fof(addAssignment_2406,axiom,(
    ! [VarCurr] :
      ( v11293(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_130,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11246(VarNext)
       => ( v11223(VarNext)
        <=> v11223(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_136,axiom,(
    ! [VarNext] :
      ( v11246(VarNext)
     => ( v11223(VarNext)
      <=> v11281(VarNext) ) ) )).

fof(addAssignment_2405,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11281(VarNext)
      <=> v11279(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_487,axiom,(
    ! [VarCurr] :
      ( ~ v11225(VarCurr)
     => ( v11279(VarCurr)
      <=> v11282(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_489,axiom,(
    ! [VarCurr] :
      ( v11225(VarCurr)
     => ( v11279(VarCurr)
      <=> v11227(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_486,axiom,(
    ! [VarCurr] :
      ( ~ v11259(VarCurr)
     => ( v11282(VarCurr)
      <=> v11241(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_488,axiom,(
    ! [VarCurr] :
      ( v11259(VarCurr)
     => ( v11282(VarCurr)
      <=> v11283(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_207,axiom,(
    ! [VarCurr] :
      ( ( ~ v11262(VarCurr)
        & ~ v11264(VarCurr) )
     => ( v11283(VarCurr)
      <=> v11287(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_485,axiom,(
    ! [VarCurr] :
      ( v11264(VarCurr)
     => ( v11283(VarCurr)
      <=> v11286(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_487,axiom,(
    ! [VarCurr] :
      ( v11262(VarCurr)
     => ( v11283(VarCurr)
      <=> v11284(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_484,axiom,(
    ! [VarCurr] :
      ( ~ v11272(VarCurr)
     => ( v11287(VarCurr)
      <=> v11241(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_486,axiom,(
    ! [VarCurr] :
      ( v11272(VarCurr)
     => ( v11287(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_483,axiom,(
    ! [VarCurr] :
      ( ~ v11266(VarCurr)
     => ( v11286(VarCurr)
      <=> v11241(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_485,axiom,(
    ! [VarCurr] :
      ( v11266(VarCurr)
     => ( v11286(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_297,axiom,(
    ! [VarCurr] :
      ( ~ v11285(VarCurr)
     => ( v11284(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_298,axiom,(
    ! [VarCurr] :
      ( v11285(VarCurr)
     => ( v11284(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_830,axiom,(
    ! [VarCurr] :
      ( v11285(VarCurr)
    <=> ( v11235(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2658,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11246(VarNext)
      <=> ( v11247(VarNext)
          & v11256(VarNext) ) ) ) )).

fof(addAssignment_2404,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11256(VarNext)
      <=> v11254(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2657,axiom,(
    ! [VarCurr] :
      ( v11254(VarCurr)
    <=> ( v11225(VarCurr)
        | v11257(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2656,axiom,(
    ! [VarCurr] :
      ( v11257(VarCurr)
    <=> ( v11258(VarCurr)
        & v11278(VarCurr) ) ) )).

fof(writeUnaryOperator_865,axiom,(
    ! [VarCurr] :
      ( ~ v11278(VarCurr)
    <=> v11225(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2655,axiom,(
    ! [VarCurr] :
      ( v11258(VarCurr)
    <=> ( v11259(VarCurr)
        | v11276(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2654,axiom,(
    ! [VarCurr] :
      ( v11276(VarCurr)
    <=> ( v11237(VarCurr)
        & v11277(VarCurr) ) ) )).

fof(writeUnaryOperator_864,axiom,(
    ! [VarCurr] :
      ( ~ v11277(VarCurr)
    <=> v11239(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2653,axiom,(
    ! [VarCurr] :
      ( v11259(VarCurr)
    <=> ( v11260(VarCurr)
        & v11239(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2652,axiom,(
    ! [VarCurr] :
      ( v11260(VarCurr)
    <=> ( v11261(VarCurr)
        | v11270(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2651,axiom,(
    ! [VarCurr] :
      ( v11270(VarCurr)
    <=> ( v11271(VarCurr)
        & v11275(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_829,axiom,(
    ! [VarCurr] :
      ( v11275(VarCurr)
    <=> ( ( v11263(VarCurr,bitIndex2)
        <=> $false )
        & ( v11263(VarCurr,bitIndex1)
        <=> $false )
        & ( v11263(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2650,axiom,(
    ! [VarCurr] :
      ( v11271(VarCurr)
    <=> ( v11272(VarCurr)
        | v11273(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2649,axiom,(
    ! [VarCurr] :
      ( v11273(VarCurr)
    <=> ( v11237(VarCurr)
        & v11274(VarCurr) ) ) )).

fof(writeUnaryOperator_863,axiom,(
    ! [VarCurr] :
      ( ~ v11274(VarCurr)
    <=> v11272(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_828,axiom,(
    ! [VarCurr] :
      ( v11272(VarCurr)
    <=> ( v11235(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2648,axiom,(
    ! [VarCurr] :
      ( v11261(VarCurr)
    <=> ( v11262(VarCurr)
        | v11264(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2647,axiom,(
    ! [VarCurr] :
      ( v11264(VarCurr)
    <=> ( v11265(VarCurr)
        & v11269(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_827,axiom,(
    ! [VarCurr] :
      ( v11269(VarCurr)
    <=> ( ( v11263(VarCurr,bitIndex2)
        <=> $false )
        & ( v11263(VarCurr,bitIndex1)
        <=> $true )
        & ( v11263(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2646,axiom,(
    ! [VarCurr] :
      ( v11265(VarCurr)
    <=> ( v11266(VarCurr)
        | v11267(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2645,axiom,(
    ! [VarCurr] :
      ( v11267(VarCurr)
    <=> ( v11237(VarCurr)
        & v11268(VarCurr) ) ) )).

fof(writeUnaryOperator_862,axiom,(
    ! [VarCurr] :
      ( ~ v11268(VarCurr)
    <=> v11266(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_826,axiom,(
    ! [VarCurr] :
      ( v11266(VarCurr)
    <=> ( v11235(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_825,axiom,(
    ! [VarCurr] :
      ( v11262(VarCurr)
    <=> ( ( v11263(VarCurr,bitIndex2)
        <=> $true )
        & ( v11263(VarCurr,bitIndex1)
        <=> $false )
        & ( v11263(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2403,axiom,(
    ! [VarCurr] :
      ( v11263(VarCurr,bitIndex0)
    <=> v11233(VarCurr) ) )).

fof(addAssignment_2402,axiom,(
    ! [VarCurr] :
      ( v11263(VarCurr,bitIndex1)
    <=> v11231(VarCurr) ) )).

fof(addAssignment_2401,axiom,(
    ! [VarCurr] :
      ( v11263(VarCurr,bitIndex2)
    <=> v11229(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2644,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11247(VarNext)
      <=> ( v11248(VarNext)
          & v11243(VarNext) ) ) ) )).

fof(writeUnaryOperator_861,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11248(VarNext)
      <=> v11250(VarNext) ) ) )).

fof(addAssignment_2400,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11250(VarNext)
      <=> v11243(VarCurr) ) ) )).

fof(addAssignment_2399,axiom,(
    ! [VarCurr] :
      ( v11243(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_2398,axiom,(
    ! [VarCurr] :
      ( v11241(VarCurr)
    <=> $false ) )).

fof(addAssignment_2397,axiom,(
    ! [VarCurr] :
      ( v11239(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_2396,axiom,(
    ! [VarCurr] :
      ( v11237(VarCurr)
    <=> $false ) )).

fof(addAssignment_2395,axiom,(
    ! [VarCurr] :
      ( v11235(VarCurr)
    <=> v8288(VarCurr,bitIndex59) ) )).

fof(addAssignment_2394,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex59)
    <=> v8290(VarCurr,bitIndex59) ) )).

fof(addAssignment_2393,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex59)
    <=> v3162(VarCurr,bitIndex59) ) )).

fof(addAssignment_2392,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex59)
    <=> v3164(VarCurr,bitIndex59) ) )).

fof(addAssignment_2391,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex59)
    <=> v3166(VarCurr,bitIndex59) ) )).

fof(addAssignment_2390,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex59)
    <=> v3168(VarCurr,bitIndex59) ) )).

fof(addAssignment_2389,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex59)
    <=> v3170(VarCurr,bitIndex59) ) )).

fof(addAssignment_2388,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex59)
    <=> v3172(VarCurr,bitIndex59) ) )).

fof(addAssignment_2387,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex59)
    <=> v3174(VarCurr,bitIndex59) ) )).

fof(addAssignment_2386,axiom,(
    ! [VarCurr] :
      ( v11233(VarCurr)
    <=> $false ) )).

fof(addAssignment_2385,axiom,(
    ! [VarCurr] :
      ( v11231(VarCurr)
    <=> $false ) )).

fof(addAssignment_2384,axiom,(
    ! [VarCurr] :
      ( v11229(VarCurr)
    <=> $true ) )).

fof(addAssignment_2383,axiom,(
    ! [VarCurr] :
      ( v11227(VarCurr)
    <=> $false ) )).

fof(addAssignment_2382,axiom,(
    ! [VarCurr] :
      ( v11225(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_129,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11178(VarNext)
       => ( v11155(VarNext)
        <=> v11155(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_135,axiom,(
    ! [VarNext] :
      ( v11178(VarNext)
     => ( v11155(VarNext)
      <=> v11213(VarNext) ) ) )).

fof(addAssignment_2381,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11213(VarNext)
      <=> v11211(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_482,axiom,(
    ! [VarCurr] :
      ( ~ v11157(VarCurr)
     => ( v11211(VarCurr)
      <=> v11214(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_484,axiom,(
    ! [VarCurr] :
      ( v11157(VarCurr)
     => ( v11211(VarCurr)
      <=> v11159(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_481,axiom,(
    ! [VarCurr] :
      ( ~ v11191(VarCurr)
     => ( v11214(VarCurr)
      <=> v11173(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_483,axiom,(
    ! [VarCurr] :
      ( v11191(VarCurr)
     => ( v11214(VarCurr)
      <=> v11215(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_206,axiom,(
    ! [VarCurr] :
      ( ( ~ v11194(VarCurr)
        & ~ v11196(VarCurr) )
     => ( v11215(VarCurr)
      <=> v11219(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_480,axiom,(
    ! [VarCurr] :
      ( v11196(VarCurr)
     => ( v11215(VarCurr)
      <=> v11218(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_482,axiom,(
    ! [VarCurr] :
      ( v11194(VarCurr)
     => ( v11215(VarCurr)
      <=> v11216(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_479,axiom,(
    ! [VarCurr] :
      ( ~ v11204(VarCurr)
     => ( v11219(VarCurr)
      <=> v11173(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_481,axiom,(
    ! [VarCurr] :
      ( v11204(VarCurr)
     => ( v11219(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_478,axiom,(
    ! [VarCurr] :
      ( ~ v11198(VarCurr)
     => ( v11218(VarCurr)
      <=> v11173(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_480,axiom,(
    ! [VarCurr] :
      ( v11198(VarCurr)
     => ( v11218(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_296,axiom,(
    ! [VarCurr] :
      ( ~ v11217(VarCurr)
     => ( v11216(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_297,axiom,(
    ! [VarCurr] :
      ( v11217(VarCurr)
     => ( v11216(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_824,axiom,(
    ! [VarCurr] :
      ( v11217(VarCurr)
    <=> ( v11167(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2643,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11178(VarNext)
      <=> ( v11179(VarNext)
          & v11188(VarNext) ) ) ) )).

fof(addAssignment_2380,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11188(VarNext)
      <=> v11186(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2642,axiom,(
    ! [VarCurr] :
      ( v11186(VarCurr)
    <=> ( v11157(VarCurr)
        | v11189(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2641,axiom,(
    ! [VarCurr] :
      ( v11189(VarCurr)
    <=> ( v11190(VarCurr)
        & v11210(VarCurr) ) ) )).

fof(writeUnaryOperator_860,axiom,(
    ! [VarCurr] :
      ( ~ v11210(VarCurr)
    <=> v11157(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2640,axiom,(
    ! [VarCurr] :
      ( v11190(VarCurr)
    <=> ( v11191(VarCurr)
        | v11208(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2639,axiom,(
    ! [VarCurr] :
      ( v11208(VarCurr)
    <=> ( v11169(VarCurr)
        & v11209(VarCurr) ) ) )).

fof(writeUnaryOperator_859,axiom,(
    ! [VarCurr] :
      ( ~ v11209(VarCurr)
    <=> v11171(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2638,axiom,(
    ! [VarCurr] :
      ( v11191(VarCurr)
    <=> ( v11192(VarCurr)
        & v11171(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2637,axiom,(
    ! [VarCurr] :
      ( v11192(VarCurr)
    <=> ( v11193(VarCurr)
        | v11202(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2636,axiom,(
    ! [VarCurr] :
      ( v11202(VarCurr)
    <=> ( v11203(VarCurr)
        & v11207(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_823,axiom,(
    ! [VarCurr] :
      ( v11207(VarCurr)
    <=> ( ( v11195(VarCurr,bitIndex2)
        <=> $false )
        & ( v11195(VarCurr,bitIndex1)
        <=> $false )
        & ( v11195(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2635,axiom,(
    ! [VarCurr] :
      ( v11203(VarCurr)
    <=> ( v11204(VarCurr)
        | v11205(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2634,axiom,(
    ! [VarCurr] :
      ( v11205(VarCurr)
    <=> ( v11169(VarCurr)
        & v11206(VarCurr) ) ) )).

fof(writeUnaryOperator_858,axiom,(
    ! [VarCurr] :
      ( ~ v11206(VarCurr)
    <=> v11204(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_822,axiom,(
    ! [VarCurr] :
      ( v11204(VarCurr)
    <=> ( v11167(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2633,axiom,(
    ! [VarCurr] :
      ( v11193(VarCurr)
    <=> ( v11194(VarCurr)
        | v11196(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2632,axiom,(
    ! [VarCurr] :
      ( v11196(VarCurr)
    <=> ( v11197(VarCurr)
        & v11201(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_821,axiom,(
    ! [VarCurr] :
      ( v11201(VarCurr)
    <=> ( ( v11195(VarCurr,bitIndex2)
        <=> $false )
        & ( v11195(VarCurr,bitIndex1)
        <=> $true )
        & ( v11195(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2631,axiom,(
    ! [VarCurr] :
      ( v11197(VarCurr)
    <=> ( v11198(VarCurr)
        | v11199(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2630,axiom,(
    ! [VarCurr] :
      ( v11199(VarCurr)
    <=> ( v11169(VarCurr)
        & v11200(VarCurr) ) ) )).

fof(writeUnaryOperator_857,axiom,(
    ! [VarCurr] :
      ( ~ v11200(VarCurr)
    <=> v11198(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_820,axiom,(
    ! [VarCurr] :
      ( v11198(VarCurr)
    <=> ( v11167(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_819,axiom,(
    ! [VarCurr] :
      ( v11194(VarCurr)
    <=> ( ( v11195(VarCurr,bitIndex2)
        <=> $true )
        & ( v11195(VarCurr,bitIndex1)
        <=> $false )
        & ( v11195(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2379,axiom,(
    ! [VarCurr] :
      ( v11195(VarCurr,bitIndex0)
    <=> v11165(VarCurr) ) )).

fof(addAssignment_2378,axiom,(
    ! [VarCurr] :
      ( v11195(VarCurr,bitIndex1)
    <=> v11163(VarCurr) ) )).

fof(addAssignment_2377,axiom,(
    ! [VarCurr] :
      ( v11195(VarCurr,bitIndex2)
    <=> v11161(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2629,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11179(VarNext)
      <=> ( v11180(VarNext)
          & v11175(VarNext) ) ) ) )).

fof(writeUnaryOperator_856,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11180(VarNext)
      <=> v11182(VarNext) ) ) )).

fof(addAssignment_2376,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11182(VarNext)
      <=> v11175(VarCurr) ) ) )).

fof(addAssignment_2375,axiom,(
    ! [VarCurr] :
      ( v11175(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_2374,axiom,(
    ! [VarCurr] :
      ( v11173(VarCurr)
    <=> $false ) )).

fof(addAssignment_2373,axiom,(
    ! [VarCurr] :
      ( v11171(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_2372,axiom,(
    ! [VarCurr] :
      ( v11169(VarCurr)
    <=> $false ) )).

fof(addAssignment_2371,axiom,(
    ! [VarCurr] :
      ( v11167(VarCurr)
    <=> v8288(VarCurr,bitIndex58) ) )).

fof(addAssignment_2370,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex58)
    <=> v8290(VarCurr,bitIndex58) ) )).

fof(addAssignment_2369,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex58)
    <=> v3162(VarCurr,bitIndex58) ) )).

fof(addAssignment_2368,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex58)
    <=> v3164(VarCurr,bitIndex58) ) )).

fof(addAssignment_2367,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex58)
    <=> v3166(VarCurr,bitIndex58) ) )).

fof(addAssignment_2366,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex58)
    <=> v3168(VarCurr,bitIndex58) ) )).

fof(addAssignment_2365,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex58)
    <=> v3170(VarCurr,bitIndex58) ) )).

fof(addAssignment_2364,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex58)
    <=> v3172(VarCurr,bitIndex58) ) )).

fof(addAssignment_2363,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex58)
    <=> v3174(VarCurr,bitIndex58) ) )).

fof(addAssignment_2362,axiom,(
    ! [VarCurr] :
      ( v11165(VarCurr)
    <=> $false ) )).

fof(addAssignment_2361,axiom,(
    ! [VarCurr] :
      ( v11163(VarCurr)
    <=> $false ) )).

fof(addAssignment_2360,axiom,(
    ! [VarCurr] :
      ( v11161(VarCurr)
    <=> $true ) )).

fof(addAssignment_2359,axiom,(
    ! [VarCurr] :
      ( v11159(VarCurr)
    <=> $false ) )).

fof(addAssignment_2358,axiom,(
    ! [VarCurr] :
      ( v11157(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_128,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11110(VarNext)
       => ( v11087(VarNext)
        <=> v11087(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_134,axiom,(
    ! [VarNext] :
      ( v11110(VarNext)
     => ( v11087(VarNext)
      <=> v11145(VarNext) ) ) )).

fof(addAssignment_2357,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11145(VarNext)
      <=> v11143(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_477,axiom,(
    ! [VarCurr] :
      ( ~ v11089(VarCurr)
     => ( v11143(VarCurr)
      <=> v11146(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_479,axiom,(
    ! [VarCurr] :
      ( v11089(VarCurr)
     => ( v11143(VarCurr)
      <=> v11091(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_476,axiom,(
    ! [VarCurr] :
      ( ~ v11123(VarCurr)
     => ( v11146(VarCurr)
      <=> v11105(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_478,axiom,(
    ! [VarCurr] :
      ( v11123(VarCurr)
     => ( v11146(VarCurr)
      <=> v11147(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_205,axiom,(
    ! [VarCurr] :
      ( ( ~ v11126(VarCurr)
        & ~ v11128(VarCurr) )
     => ( v11147(VarCurr)
      <=> v11151(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_475,axiom,(
    ! [VarCurr] :
      ( v11128(VarCurr)
     => ( v11147(VarCurr)
      <=> v11150(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_477,axiom,(
    ! [VarCurr] :
      ( v11126(VarCurr)
     => ( v11147(VarCurr)
      <=> v11148(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_474,axiom,(
    ! [VarCurr] :
      ( ~ v11136(VarCurr)
     => ( v11151(VarCurr)
      <=> v11105(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_476,axiom,(
    ! [VarCurr] :
      ( v11136(VarCurr)
     => ( v11151(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_473,axiom,(
    ! [VarCurr] :
      ( ~ v11130(VarCurr)
     => ( v11150(VarCurr)
      <=> v11105(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_475,axiom,(
    ! [VarCurr] :
      ( v11130(VarCurr)
     => ( v11150(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_295,axiom,(
    ! [VarCurr] :
      ( ~ v11149(VarCurr)
     => ( v11148(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_296,axiom,(
    ! [VarCurr] :
      ( v11149(VarCurr)
     => ( v11148(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_818,axiom,(
    ! [VarCurr] :
      ( v11149(VarCurr)
    <=> ( v11099(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2628,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11110(VarNext)
      <=> ( v11111(VarNext)
          & v11120(VarNext) ) ) ) )).

fof(addAssignment_2356,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11120(VarNext)
      <=> v11118(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2627,axiom,(
    ! [VarCurr] :
      ( v11118(VarCurr)
    <=> ( v11089(VarCurr)
        | v11121(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2626,axiom,(
    ! [VarCurr] :
      ( v11121(VarCurr)
    <=> ( v11122(VarCurr)
        & v11142(VarCurr) ) ) )).

fof(writeUnaryOperator_855,axiom,(
    ! [VarCurr] :
      ( ~ v11142(VarCurr)
    <=> v11089(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2625,axiom,(
    ! [VarCurr] :
      ( v11122(VarCurr)
    <=> ( v11123(VarCurr)
        | v11140(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2624,axiom,(
    ! [VarCurr] :
      ( v11140(VarCurr)
    <=> ( v11101(VarCurr)
        & v11141(VarCurr) ) ) )).

fof(writeUnaryOperator_854,axiom,(
    ! [VarCurr] :
      ( ~ v11141(VarCurr)
    <=> v11103(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2623,axiom,(
    ! [VarCurr] :
      ( v11123(VarCurr)
    <=> ( v11124(VarCurr)
        & v11103(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2622,axiom,(
    ! [VarCurr] :
      ( v11124(VarCurr)
    <=> ( v11125(VarCurr)
        | v11134(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2621,axiom,(
    ! [VarCurr] :
      ( v11134(VarCurr)
    <=> ( v11135(VarCurr)
        & v11139(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_817,axiom,(
    ! [VarCurr] :
      ( v11139(VarCurr)
    <=> ( ( v11127(VarCurr,bitIndex2)
        <=> $false )
        & ( v11127(VarCurr,bitIndex1)
        <=> $false )
        & ( v11127(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2620,axiom,(
    ! [VarCurr] :
      ( v11135(VarCurr)
    <=> ( v11136(VarCurr)
        | v11137(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2619,axiom,(
    ! [VarCurr] :
      ( v11137(VarCurr)
    <=> ( v11101(VarCurr)
        & v11138(VarCurr) ) ) )).

fof(writeUnaryOperator_853,axiom,(
    ! [VarCurr] :
      ( ~ v11138(VarCurr)
    <=> v11136(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_816,axiom,(
    ! [VarCurr] :
      ( v11136(VarCurr)
    <=> ( v11099(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2618,axiom,(
    ! [VarCurr] :
      ( v11125(VarCurr)
    <=> ( v11126(VarCurr)
        | v11128(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2617,axiom,(
    ! [VarCurr] :
      ( v11128(VarCurr)
    <=> ( v11129(VarCurr)
        & v11133(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_815,axiom,(
    ! [VarCurr] :
      ( v11133(VarCurr)
    <=> ( ( v11127(VarCurr,bitIndex2)
        <=> $false )
        & ( v11127(VarCurr,bitIndex1)
        <=> $true )
        & ( v11127(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2616,axiom,(
    ! [VarCurr] :
      ( v11129(VarCurr)
    <=> ( v11130(VarCurr)
        | v11131(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2615,axiom,(
    ! [VarCurr] :
      ( v11131(VarCurr)
    <=> ( v11101(VarCurr)
        & v11132(VarCurr) ) ) )).

fof(writeUnaryOperator_852,axiom,(
    ! [VarCurr] :
      ( ~ v11132(VarCurr)
    <=> v11130(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_814,axiom,(
    ! [VarCurr] :
      ( v11130(VarCurr)
    <=> ( v11099(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_813,axiom,(
    ! [VarCurr] :
      ( v11126(VarCurr)
    <=> ( ( v11127(VarCurr,bitIndex2)
        <=> $true )
        & ( v11127(VarCurr,bitIndex1)
        <=> $false )
        & ( v11127(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2355,axiom,(
    ! [VarCurr] :
      ( v11127(VarCurr,bitIndex0)
    <=> v11097(VarCurr) ) )).

fof(addAssignment_2354,axiom,(
    ! [VarCurr] :
      ( v11127(VarCurr,bitIndex1)
    <=> v11095(VarCurr) ) )).

fof(addAssignment_2353,axiom,(
    ! [VarCurr] :
      ( v11127(VarCurr,bitIndex2)
    <=> v11093(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2614,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11111(VarNext)
      <=> ( v11112(VarNext)
          & v11107(VarNext) ) ) ) )).

fof(writeUnaryOperator_851,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11112(VarNext)
      <=> v11114(VarNext) ) ) )).

fof(addAssignment_2352,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11114(VarNext)
      <=> v11107(VarCurr) ) ) )).

fof(addAssignment_2351,axiom,(
    ! [VarCurr] :
      ( v11107(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_2350,axiom,(
    ! [VarCurr] :
      ( v11105(VarCurr)
    <=> $false ) )).

fof(addAssignment_2349,axiom,(
    ! [VarCurr] :
      ( v11103(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_2348,axiom,(
    ! [VarCurr] :
      ( v11101(VarCurr)
    <=> $false ) )).

fof(addAssignment_2347,axiom,(
    ! [VarCurr] :
      ( v11099(VarCurr)
    <=> v8288(VarCurr,bitIndex57) ) )).

fof(addAssignment_2346,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex57)
    <=> v8290(VarCurr,bitIndex57) ) )).

fof(addAssignment_2345,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex57)
    <=> v3162(VarCurr,bitIndex57) ) )).

fof(addAssignment_2344,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex57)
    <=> v3164(VarCurr,bitIndex57) ) )).

fof(addAssignment_2343,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex57)
    <=> v3166(VarCurr,bitIndex57) ) )).

fof(addAssignment_2342,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex57)
    <=> v3168(VarCurr,bitIndex57) ) )).

fof(addAssignment_2341,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex57)
    <=> v3170(VarCurr,bitIndex57) ) )).

fof(addAssignment_2340,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex57)
    <=> v3172(VarCurr,bitIndex57) ) )).

fof(addAssignment_2339,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex57)
    <=> v3174(VarCurr,bitIndex57) ) )).

fof(addAssignment_2338,axiom,(
    ! [VarCurr] :
      ( v11097(VarCurr)
    <=> $false ) )).

fof(addAssignment_2337,axiom,(
    ! [VarCurr] :
      ( v11095(VarCurr)
    <=> $false ) )).

fof(addAssignment_2336,axiom,(
    ! [VarCurr] :
      ( v11093(VarCurr)
    <=> $true ) )).

fof(addAssignment_2335,axiom,(
    ! [VarCurr] :
      ( v11091(VarCurr)
    <=> $false ) )).

fof(addAssignment_2334,axiom,(
    ! [VarCurr] :
      ( v11089(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_127,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11042(VarNext)
       => ( v11019(VarNext)
        <=> v11019(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_133,axiom,(
    ! [VarNext] :
      ( v11042(VarNext)
     => ( v11019(VarNext)
      <=> v11077(VarNext) ) ) )).

fof(addAssignment_2333,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11077(VarNext)
      <=> v11075(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_472,axiom,(
    ! [VarCurr] :
      ( ~ v11021(VarCurr)
     => ( v11075(VarCurr)
      <=> v11078(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_474,axiom,(
    ! [VarCurr] :
      ( v11021(VarCurr)
     => ( v11075(VarCurr)
      <=> v11023(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_471,axiom,(
    ! [VarCurr] :
      ( ~ v11055(VarCurr)
     => ( v11078(VarCurr)
      <=> v11037(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_473,axiom,(
    ! [VarCurr] :
      ( v11055(VarCurr)
     => ( v11078(VarCurr)
      <=> v11079(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_204,axiom,(
    ! [VarCurr] :
      ( ( ~ v11058(VarCurr)
        & ~ v11060(VarCurr) )
     => ( v11079(VarCurr)
      <=> v11083(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_470,axiom,(
    ! [VarCurr] :
      ( v11060(VarCurr)
     => ( v11079(VarCurr)
      <=> v11082(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_472,axiom,(
    ! [VarCurr] :
      ( v11058(VarCurr)
     => ( v11079(VarCurr)
      <=> v11080(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_469,axiom,(
    ! [VarCurr] :
      ( ~ v11068(VarCurr)
     => ( v11083(VarCurr)
      <=> v11037(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_471,axiom,(
    ! [VarCurr] :
      ( v11068(VarCurr)
     => ( v11083(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_468,axiom,(
    ! [VarCurr] :
      ( ~ v11062(VarCurr)
     => ( v11082(VarCurr)
      <=> v11037(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_470,axiom,(
    ! [VarCurr] :
      ( v11062(VarCurr)
     => ( v11082(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_294,axiom,(
    ! [VarCurr] :
      ( ~ v11081(VarCurr)
     => ( v11080(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_295,axiom,(
    ! [VarCurr] :
      ( v11081(VarCurr)
     => ( v11080(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_812,axiom,(
    ! [VarCurr] :
      ( v11081(VarCurr)
    <=> ( v11031(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2613,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11042(VarNext)
      <=> ( v11043(VarNext)
          & v11052(VarNext) ) ) ) )).

fof(addAssignment_2332,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11052(VarNext)
      <=> v11050(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2612,axiom,(
    ! [VarCurr] :
      ( v11050(VarCurr)
    <=> ( v11021(VarCurr)
        | v11053(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2611,axiom,(
    ! [VarCurr] :
      ( v11053(VarCurr)
    <=> ( v11054(VarCurr)
        & v11074(VarCurr) ) ) )).

fof(writeUnaryOperator_850,axiom,(
    ! [VarCurr] :
      ( ~ v11074(VarCurr)
    <=> v11021(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2610,axiom,(
    ! [VarCurr] :
      ( v11054(VarCurr)
    <=> ( v11055(VarCurr)
        | v11072(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2609,axiom,(
    ! [VarCurr] :
      ( v11072(VarCurr)
    <=> ( v11033(VarCurr)
        & v11073(VarCurr) ) ) )).

fof(writeUnaryOperator_849,axiom,(
    ! [VarCurr] :
      ( ~ v11073(VarCurr)
    <=> v11035(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2608,axiom,(
    ! [VarCurr] :
      ( v11055(VarCurr)
    <=> ( v11056(VarCurr)
        & v11035(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2607,axiom,(
    ! [VarCurr] :
      ( v11056(VarCurr)
    <=> ( v11057(VarCurr)
        | v11066(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2606,axiom,(
    ! [VarCurr] :
      ( v11066(VarCurr)
    <=> ( v11067(VarCurr)
        & v11071(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_811,axiom,(
    ! [VarCurr] :
      ( v11071(VarCurr)
    <=> ( ( v11059(VarCurr,bitIndex2)
        <=> $false )
        & ( v11059(VarCurr,bitIndex1)
        <=> $false )
        & ( v11059(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2605,axiom,(
    ! [VarCurr] :
      ( v11067(VarCurr)
    <=> ( v11068(VarCurr)
        | v11069(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2604,axiom,(
    ! [VarCurr] :
      ( v11069(VarCurr)
    <=> ( v11033(VarCurr)
        & v11070(VarCurr) ) ) )).

fof(writeUnaryOperator_848,axiom,(
    ! [VarCurr] :
      ( ~ v11070(VarCurr)
    <=> v11068(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_810,axiom,(
    ! [VarCurr] :
      ( v11068(VarCurr)
    <=> ( v11031(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2603,axiom,(
    ! [VarCurr] :
      ( v11057(VarCurr)
    <=> ( v11058(VarCurr)
        | v11060(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2602,axiom,(
    ! [VarCurr] :
      ( v11060(VarCurr)
    <=> ( v11061(VarCurr)
        & v11065(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_809,axiom,(
    ! [VarCurr] :
      ( v11065(VarCurr)
    <=> ( ( v11059(VarCurr,bitIndex2)
        <=> $false )
        & ( v11059(VarCurr,bitIndex1)
        <=> $true )
        & ( v11059(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2601,axiom,(
    ! [VarCurr] :
      ( v11061(VarCurr)
    <=> ( v11062(VarCurr)
        | v11063(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2600,axiom,(
    ! [VarCurr] :
      ( v11063(VarCurr)
    <=> ( v11033(VarCurr)
        & v11064(VarCurr) ) ) )).

fof(writeUnaryOperator_847,axiom,(
    ! [VarCurr] :
      ( ~ v11064(VarCurr)
    <=> v11062(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_808,axiom,(
    ! [VarCurr] :
      ( v11062(VarCurr)
    <=> ( v11031(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_807,axiom,(
    ! [VarCurr] :
      ( v11058(VarCurr)
    <=> ( ( v11059(VarCurr,bitIndex2)
        <=> $true )
        & ( v11059(VarCurr,bitIndex1)
        <=> $false )
        & ( v11059(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2331,axiom,(
    ! [VarCurr] :
      ( v11059(VarCurr,bitIndex0)
    <=> v11029(VarCurr) ) )).

fof(addAssignment_2330,axiom,(
    ! [VarCurr] :
      ( v11059(VarCurr,bitIndex1)
    <=> v11027(VarCurr) ) )).

fof(addAssignment_2329,axiom,(
    ! [VarCurr] :
      ( v11059(VarCurr,bitIndex2)
    <=> v11025(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2599,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11043(VarNext)
      <=> ( v11044(VarNext)
          & v11039(VarNext) ) ) ) )).

fof(writeUnaryOperator_846,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v11044(VarNext)
      <=> v11046(VarNext) ) ) )).

fof(addAssignment_2328,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11046(VarNext)
      <=> v11039(VarCurr) ) ) )).

fof(addAssignment_2327,axiom,(
    ! [VarCurr] :
      ( v11039(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_2326,axiom,(
    ! [VarCurr] :
      ( v11037(VarCurr)
    <=> $false ) )).

fof(addAssignment_2325,axiom,(
    ! [VarCurr] :
      ( v11035(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_2324,axiom,(
    ! [VarCurr] :
      ( v11033(VarCurr)
    <=> $false ) )).

fof(addAssignment_2323,axiom,(
    ! [VarCurr] :
      ( v11031(VarCurr)
    <=> v8288(VarCurr,bitIndex56) ) )).

fof(addAssignment_2322,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex56)
    <=> v8290(VarCurr,bitIndex56) ) )).

fof(addAssignment_2321,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex56)
    <=> v3162(VarCurr,bitIndex56) ) )).

fof(addAssignment_2320,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex56)
    <=> v3164(VarCurr,bitIndex56) ) )).

fof(addAssignment_2319,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex56)
    <=> v3166(VarCurr,bitIndex56) ) )).

fof(addAssignment_2318,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex56)
    <=> v3168(VarCurr,bitIndex56) ) )).

fof(addAssignment_2317,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex56)
    <=> v3170(VarCurr,bitIndex56) ) )).

fof(addAssignment_2316,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex56)
    <=> v3172(VarCurr,bitIndex56) ) )).

fof(addAssignment_2315,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex56)
    <=> v3174(VarCurr,bitIndex56) ) )).

fof(addAssignment_2314,axiom,(
    ! [VarCurr] :
      ( v11029(VarCurr)
    <=> $false ) )).

fof(addAssignment_2313,axiom,(
    ! [VarCurr] :
      ( v11027(VarCurr)
    <=> $false ) )).

fof(addAssignment_2312,axiom,(
    ! [VarCurr] :
      ( v11025(VarCurr)
    <=> $true ) )).

fof(addAssignment_2311,axiom,(
    ! [VarCurr] :
      ( v11023(VarCurr)
    <=> $false ) )).

fof(addAssignment_2310,axiom,(
    ! [VarCurr] :
      ( v11021(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_126,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10974(VarNext)
       => ( v10951(VarNext)
        <=> v10951(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_132,axiom,(
    ! [VarNext] :
      ( v10974(VarNext)
     => ( v10951(VarNext)
      <=> v11009(VarNext) ) ) )).

fof(addAssignment_2309,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v11009(VarNext)
      <=> v11007(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_467,axiom,(
    ! [VarCurr] :
      ( ~ v10953(VarCurr)
     => ( v11007(VarCurr)
      <=> v11010(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_469,axiom,(
    ! [VarCurr] :
      ( v10953(VarCurr)
     => ( v11007(VarCurr)
      <=> v10955(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_466,axiom,(
    ! [VarCurr] :
      ( ~ v10987(VarCurr)
     => ( v11010(VarCurr)
      <=> v10969(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_468,axiom,(
    ! [VarCurr] :
      ( v10987(VarCurr)
     => ( v11010(VarCurr)
      <=> v11011(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_203,axiom,(
    ! [VarCurr] :
      ( ( ~ v10990(VarCurr)
        & ~ v10992(VarCurr) )
     => ( v11011(VarCurr)
      <=> v11015(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_465,axiom,(
    ! [VarCurr] :
      ( v10992(VarCurr)
     => ( v11011(VarCurr)
      <=> v11014(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_467,axiom,(
    ! [VarCurr] :
      ( v10990(VarCurr)
     => ( v11011(VarCurr)
      <=> v11012(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_464,axiom,(
    ! [VarCurr] :
      ( ~ v11000(VarCurr)
     => ( v11015(VarCurr)
      <=> v10969(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_466,axiom,(
    ! [VarCurr] :
      ( v11000(VarCurr)
     => ( v11015(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_463,axiom,(
    ! [VarCurr] :
      ( ~ v10994(VarCurr)
     => ( v11014(VarCurr)
      <=> v10969(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_465,axiom,(
    ! [VarCurr] :
      ( v10994(VarCurr)
     => ( v11014(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_293,axiom,(
    ! [VarCurr] :
      ( ~ v11013(VarCurr)
     => ( v11012(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_294,axiom,(
    ! [VarCurr] :
      ( v11013(VarCurr)
     => ( v11012(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_806,axiom,(
    ! [VarCurr] :
      ( v11013(VarCurr)
    <=> ( v10963(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2598,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10974(VarNext)
      <=> ( v10975(VarNext)
          & v10984(VarNext) ) ) ) )).

fof(addAssignment_2308,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10984(VarNext)
      <=> v10982(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2597,axiom,(
    ! [VarCurr] :
      ( v10982(VarCurr)
    <=> ( v10953(VarCurr)
        | v10985(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2596,axiom,(
    ! [VarCurr] :
      ( v10985(VarCurr)
    <=> ( v10986(VarCurr)
        & v11006(VarCurr) ) ) )).

fof(writeUnaryOperator_845,axiom,(
    ! [VarCurr] :
      ( ~ v11006(VarCurr)
    <=> v10953(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2595,axiom,(
    ! [VarCurr] :
      ( v10986(VarCurr)
    <=> ( v10987(VarCurr)
        | v11004(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2594,axiom,(
    ! [VarCurr] :
      ( v11004(VarCurr)
    <=> ( v10965(VarCurr)
        & v11005(VarCurr) ) ) )).

fof(writeUnaryOperator_844,axiom,(
    ! [VarCurr] :
      ( ~ v11005(VarCurr)
    <=> v10967(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2593,axiom,(
    ! [VarCurr] :
      ( v10987(VarCurr)
    <=> ( v10988(VarCurr)
        & v10967(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2592,axiom,(
    ! [VarCurr] :
      ( v10988(VarCurr)
    <=> ( v10989(VarCurr)
        | v10998(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2591,axiom,(
    ! [VarCurr] :
      ( v10998(VarCurr)
    <=> ( v10999(VarCurr)
        & v11003(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_805,axiom,(
    ! [VarCurr] :
      ( v11003(VarCurr)
    <=> ( ( v10991(VarCurr,bitIndex2)
        <=> $false )
        & ( v10991(VarCurr,bitIndex1)
        <=> $false )
        & ( v10991(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2590,axiom,(
    ! [VarCurr] :
      ( v10999(VarCurr)
    <=> ( v11000(VarCurr)
        | v11001(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2589,axiom,(
    ! [VarCurr] :
      ( v11001(VarCurr)
    <=> ( v10965(VarCurr)
        & v11002(VarCurr) ) ) )).

fof(writeUnaryOperator_843,axiom,(
    ! [VarCurr] :
      ( ~ v11002(VarCurr)
    <=> v11000(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_804,axiom,(
    ! [VarCurr] :
      ( v11000(VarCurr)
    <=> ( v10963(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2588,axiom,(
    ! [VarCurr] :
      ( v10989(VarCurr)
    <=> ( v10990(VarCurr)
        | v10992(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2587,axiom,(
    ! [VarCurr] :
      ( v10992(VarCurr)
    <=> ( v10993(VarCurr)
        & v10997(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_803,axiom,(
    ! [VarCurr] :
      ( v10997(VarCurr)
    <=> ( ( v10991(VarCurr,bitIndex2)
        <=> $false )
        & ( v10991(VarCurr,bitIndex1)
        <=> $true )
        & ( v10991(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2586,axiom,(
    ! [VarCurr] :
      ( v10993(VarCurr)
    <=> ( v10994(VarCurr)
        | v10995(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2585,axiom,(
    ! [VarCurr] :
      ( v10995(VarCurr)
    <=> ( v10965(VarCurr)
        & v10996(VarCurr) ) ) )).

fof(writeUnaryOperator_842,axiom,(
    ! [VarCurr] :
      ( ~ v10996(VarCurr)
    <=> v10994(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_802,axiom,(
    ! [VarCurr] :
      ( v10994(VarCurr)
    <=> ( v10963(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_801,axiom,(
    ! [VarCurr] :
      ( v10990(VarCurr)
    <=> ( ( v10991(VarCurr,bitIndex2)
        <=> $true )
        & ( v10991(VarCurr,bitIndex1)
        <=> $false )
        & ( v10991(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2307,axiom,(
    ! [VarCurr] :
      ( v10991(VarCurr,bitIndex0)
    <=> v10961(VarCurr) ) )).

fof(addAssignment_2306,axiom,(
    ! [VarCurr] :
      ( v10991(VarCurr,bitIndex1)
    <=> v10959(VarCurr) ) )).

fof(addAssignment_2305,axiom,(
    ! [VarCurr] :
      ( v10991(VarCurr,bitIndex2)
    <=> v10957(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2584,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10975(VarNext)
      <=> ( v10976(VarNext)
          & v10971(VarNext) ) ) ) )).

fof(writeUnaryOperator_841,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10976(VarNext)
      <=> v10978(VarNext) ) ) )).

fof(addAssignment_2304,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10978(VarNext)
      <=> v10971(VarCurr) ) ) )).

fof(addAssignment_2303,axiom,(
    ! [VarCurr] :
      ( v10971(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_2302,axiom,(
    ! [VarCurr] :
      ( v10969(VarCurr)
    <=> $false ) )).

fof(addAssignment_2301,axiom,(
    ! [VarCurr] :
      ( v10967(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_2300,axiom,(
    ! [VarCurr] :
      ( v10965(VarCurr)
    <=> $false ) )).

fof(addAssignment_2299,axiom,(
    ! [VarCurr] :
      ( v10963(VarCurr)
    <=> v8288(VarCurr,bitIndex55) ) )).

fof(addAssignment_2298,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex55)
    <=> v8290(VarCurr,bitIndex55) ) )).

fof(addAssignment_2297,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex55)
    <=> v3162(VarCurr,bitIndex55) ) )).

fof(addAssignment_2296,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex55)
    <=> v3164(VarCurr,bitIndex55) ) )).

fof(addAssignment_2295,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex55)
    <=> v3166(VarCurr,bitIndex55) ) )).

fof(addAssignment_2294,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex55)
    <=> v3168(VarCurr,bitIndex55) ) )).

fof(addAssignment_2293,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex55)
    <=> v3170(VarCurr,bitIndex55) ) )).

fof(addAssignment_2292,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex55)
    <=> v3172(VarCurr,bitIndex55) ) )).

fof(addAssignment_2291,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex55)
    <=> v3174(VarCurr,bitIndex55) ) )).

fof(addAssignment_2290,axiom,(
    ! [VarCurr] :
      ( v10961(VarCurr)
    <=> $false ) )).

fof(addAssignment_2289,axiom,(
    ! [VarCurr] :
      ( v10959(VarCurr)
    <=> $false ) )).

fof(addAssignment_2288,axiom,(
    ! [VarCurr] :
      ( v10957(VarCurr)
    <=> $true ) )).

fof(addAssignment_2287,axiom,(
    ! [VarCurr] :
      ( v10955(VarCurr)
    <=> $false ) )).

fof(addAssignment_2286,axiom,(
    ! [VarCurr] :
      ( v10953(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_125,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10906(VarNext)
       => ( v10883(VarNext)
        <=> v10883(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_131,axiom,(
    ! [VarNext] :
      ( v10906(VarNext)
     => ( v10883(VarNext)
      <=> v10941(VarNext) ) ) )).

fof(addAssignment_2285,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10941(VarNext)
      <=> v10939(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_462,axiom,(
    ! [VarCurr] :
      ( ~ v10885(VarCurr)
     => ( v10939(VarCurr)
      <=> v10942(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_464,axiom,(
    ! [VarCurr] :
      ( v10885(VarCurr)
     => ( v10939(VarCurr)
      <=> v10887(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_461,axiom,(
    ! [VarCurr] :
      ( ~ v10919(VarCurr)
     => ( v10942(VarCurr)
      <=> v10901(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_463,axiom,(
    ! [VarCurr] :
      ( v10919(VarCurr)
     => ( v10942(VarCurr)
      <=> v10943(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_202,axiom,(
    ! [VarCurr] :
      ( ( ~ v10922(VarCurr)
        & ~ v10924(VarCurr) )
     => ( v10943(VarCurr)
      <=> v10947(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_460,axiom,(
    ! [VarCurr] :
      ( v10924(VarCurr)
     => ( v10943(VarCurr)
      <=> v10946(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_462,axiom,(
    ! [VarCurr] :
      ( v10922(VarCurr)
     => ( v10943(VarCurr)
      <=> v10944(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_459,axiom,(
    ! [VarCurr] :
      ( ~ v10932(VarCurr)
     => ( v10947(VarCurr)
      <=> v10901(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_461,axiom,(
    ! [VarCurr] :
      ( v10932(VarCurr)
     => ( v10947(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_458,axiom,(
    ! [VarCurr] :
      ( ~ v10926(VarCurr)
     => ( v10946(VarCurr)
      <=> v10901(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_460,axiom,(
    ! [VarCurr] :
      ( v10926(VarCurr)
     => ( v10946(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_292,axiom,(
    ! [VarCurr] :
      ( ~ v10945(VarCurr)
     => ( v10944(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_293,axiom,(
    ! [VarCurr] :
      ( v10945(VarCurr)
     => ( v10944(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_800,axiom,(
    ! [VarCurr] :
      ( v10945(VarCurr)
    <=> ( v10895(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2583,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10906(VarNext)
      <=> ( v10907(VarNext)
          & v10916(VarNext) ) ) ) )).

fof(addAssignment_2284,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10916(VarNext)
      <=> v10914(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2582,axiom,(
    ! [VarCurr] :
      ( v10914(VarCurr)
    <=> ( v10885(VarCurr)
        | v10917(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2581,axiom,(
    ! [VarCurr] :
      ( v10917(VarCurr)
    <=> ( v10918(VarCurr)
        & v10938(VarCurr) ) ) )).

fof(writeUnaryOperator_840,axiom,(
    ! [VarCurr] :
      ( ~ v10938(VarCurr)
    <=> v10885(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2580,axiom,(
    ! [VarCurr] :
      ( v10918(VarCurr)
    <=> ( v10919(VarCurr)
        | v10936(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2579,axiom,(
    ! [VarCurr] :
      ( v10936(VarCurr)
    <=> ( v10897(VarCurr)
        & v10937(VarCurr) ) ) )).

fof(writeUnaryOperator_839,axiom,(
    ! [VarCurr] :
      ( ~ v10937(VarCurr)
    <=> v10899(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2578,axiom,(
    ! [VarCurr] :
      ( v10919(VarCurr)
    <=> ( v10920(VarCurr)
        & v10899(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2577,axiom,(
    ! [VarCurr] :
      ( v10920(VarCurr)
    <=> ( v10921(VarCurr)
        | v10930(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2576,axiom,(
    ! [VarCurr] :
      ( v10930(VarCurr)
    <=> ( v10931(VarCurr)
        & v10935(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_799,axiom,(
    ! [VarCurr] :
      ( v10935(VarCurr)
    <=> ( ( v10923(VarCurr,bitIndex2)
        <=> $false )
        & ( v10923(VarCurr,bitIndex1)
        <=> $false )
        & ( v10923(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2575,axiom,(
    ! [VarCurr] :
      ( v10931(VarCurr)
    <=> ( v10932(VarCurr)
        | v10933(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2574,axiom,(
    ! [VarCurr] :
      ( v10933(VarCurr)
    <=> ( v10897(VarCurr)
        & v10934(VarCurr) ) ) )).

fof(writeUnaryOperator_838,axiom,(
    ! [VarCurr] :
      ( ~ v10934(VarCurr)
    <=> v10932(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_798,axiom,(
    ! [VarCurr] :
      ( v10932(VarCurr)
    <=> ( v10895(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2573,axiom,(
    ! [VarCurr] :
      ( v10921(VarCurr)
    <=> ( v10922(VarCurr)
        | v10924(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2572,axiom,(
    ! [VarCurr] :
      ( v10924(VarCurr)
    <=> ( v10925(VarCurr)
        & v10929(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_797,axiom,(
    ! [VarCurr] :
      ( v10929(VarCurr)
    <=> ( ( v10923(VarCurr,bitIndex2)
        <=> $false )
        & ( v10923(VarCurr,bitIndex1)
        <=> $true )
        & ( v10923(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2571,axiom,(
    ! [VarCurr] :
      ( v10925(VarCurr)
    <=> ( v10926(VarCurr)
        | v10927(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2570,axiom,(
    ! [VarCurr] :
      ( v10927(VarCurr)
    <=> ( v10897(VarCurr)
        & v10928(VarCurr) ) ) )).

fof(writeUnaryOperator_837,axiom,(
    ! [VarCurr] :
      ( ~ v10928(VarCurr)
    <=> v10926(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_796,axiom,(
    ! [VarCurr] :
      ( v10926(VarCurr)
    <=> ( v10895(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_795,axiom,(
    ! [VarCurr] :
      ( v10922(VarCurr)
    <=> ( ( v10923(VarCurr,bitIndex2)
        <=> $true )
        & ( v10923(VarCurr,bitIndex1)
        <=> $false )
        & ( v10923(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2283,axiom,(
    ! [VarCurr] :
      ( v10923(VarCurr,bitIndex0)
    <=> v10893(VarCurr) ) )).

fof(addAssignment_2282,axiom,(
    ! [VarCurr] :
      ( v10923(VarCurr,bitIndex1)
    <=> v10891(VarCurr) ) )).

fof(addAssignment_2281,axiom,(
    ! [VarCurr] :
      ( v10923(VarCurr,bitIndex2)
    <=> v10889(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2569,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10907(VarNext)
      <=> ( v10908(VarNext)
          & v10903(VarNext) ) ) ) )).

fof(writeUnaryOperator_836,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10908(VarNext)
      <=> v10910(VarNext) ) ) )).

fof(addAssignment_2280,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10910(VarNext)
      <=> v10903(VarCurr) ) ) )).

fof(addAssignment_2279,axiom,(
    ! [VarCurr] :
      ( v10903(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_2278,axiom,(
    ! [VarCurr] :
      ( v10901(VarCurr)
    <=> $false ) )).

fof(addAssignment_2277,axiom,(
    ! [VarCurr] :
      ( v10899(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_2276,axiom,(
    ! [VarCurr] :
      ( v10897(VarCurr)
    <=> $false ) )).

fof(addAssignment_2275,axiom,(
    ! [VarCurr] :
      ( v10895(VarCurr)
    <=> v8288(VarCurr,bitIndex54) ) )).

fof(addAssignment_2274,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex54)
    <=> v8290(VarCurr,bitIndex54) ) )).

fof(addAssignment_2273,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex54)
    <=> v3162(VarCurr,bitIndex54) ) )).

fof(addAssignment_2272,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex54)
    <=> v3164(VarCurr,bitIndex54) ) )).

fof(addAssignment_2271,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex54)
    <=> v3166(VarCurr,bitIndex54) ) )).

fof(addAssignment_2270,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex54)
    <=> v3168(VarCurr,bitIndex54) ) )).

fof(addAssignment_2269,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex54)
    <=> v3170(VarCurr,bitIndex54) ) )).

fof(addAssignment_2268,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex54)
    <=> v3172(VarCurr,bitIndex54) ) )).

fof(addAssignment_2267,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex54)
    <=> v3174(VarCurr,bitIndex54) ) )).

fof(addAssignment_2266,axiom,(
    ! [VarCurr] :
      ( v10893(VarCurr)
    <=> $false ) )).

fof(addAssignment_2265,axiom,(
    ! [VarCurr] :
      ( v10891(VarCurr)
    <=> $false ) )).

fof(addAssignment_2264,axiom,(
    ! [VarCurr] :
      ( v10889(VarCurr)
    <=> $true ) )).

fof(addAssignment_2263,axiom,(
    ! [VarCurr] :
      ( v10887(VarCurr)
    <=> $false ) )).

fof(addAssignment_2262,axiom,(
    ! [VarCurr] :
      ( v10885(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_124,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10838(VarNext)
       => ( v10815(VarNext)
        <=> v10815(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_130,axiom,(
    ! [VarNext] :
      ( v10838(VarNext)
     => ( v10815(VarNext)
      <=> v10873(VarNext) ) ) )).

fof(addAssignment_2261,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10873(VarNext)
      <=> v10871(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_457,axiom,(
    ! [VarCurr] :
      ( ~ v10817(VarCurr)
     => ( v10871(VarCurr)
      <=> v10874(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_459,axiom,(
    ! [VarCurr] :
      ( v10817(VarCurr)
     => ( v10871(VarCurr)
      <=> v10819(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_456,axiom,(
    ! [VarCurr] :
      ( ~ v10851(VarCurr)
     => ( v10874(VarCurr)
      <=> v10833(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_458,axiom,(
    ! [VarCurr] :
      ( v10851(VarCurr)
     => ( v10874(VarCurr)
      <=> v10875(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_201,axiom,(
    ! [VarCurr] :
      ( ( ~ v10854(VarCurr)
        & ~ v10856(VarCurr) )
     => ( v10875(VarCurr)
      <=> v10879(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_455,axiom,(
    ! [VarCurr] :
      ( v10856(VarCurr)
     => ( v10875(VarCurr)
      <=> v10878(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_457,axiom,(
    ! [VarCurr] :
      ( v10854(VarCurr)
     => ( v10875(VarCurr)
      <=> v10876(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_454,axiom,(
    ! [VarCurr] :
      ( ~ v10864(VarCurr)
     => ( v10879(VarCurr)
      <=> v10833(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_456,axiom,(
    ! [VarCurr] :
      ( v10864(VarCurr)
     => ( v10879(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_453,axiom,(
    ! [VarCurr] :
      ( ~ v10858(VarCurr)
     => ( v10878(VarCurr)
      <=> v10833(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_455,axiom,(
    ! [VarCurr] :
      ( v10858(VarCurr)
     => ( v10878(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_291,axiom,(
    ! [VarCurr] :
      ( ~ v10877(VarCurr)
     => ( v10876(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_292,axiom,(
    ! [VarCurr] :
      ( v10877(VarCurr)
     => ( v10876(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_794,axiom,(
    ! [VarCurr] :
      ( v10877(VarCurr)
    <=> ( v10827(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2568,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10838(VarNext)
      <=> ( v10839(VarNext)
          & v10848(VarNext) ) ) ) )).

fof(addAssignment_2260,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10848(VarNext)
      <=> v10846(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2567,axiom,(
    ! [VarCurr] :
      ( v10846(VarCurr)
    <=> ( v10817(VarCurr)
        | v10849(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2566,axiom,(
    ! [VarCurr] :
      ( v10849(VarCurr)
    <=> ( v10850(VarCurr)
        & v10870(VarCurr) ) ) )).

fof(writeUnaryOperator_835,axiom,(
    ! [VarCurr] :
      ( ~ v10870(VarCurr)
    <=> v10817(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2565,axiom,(
    ! [VarCurr] :
      ( v10850(VarCurr)
    <=> ( v10851(VarCurr)
        | v10868(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2564,axiom,(
    ! [VarCurr] :
      ( v10868(VarCurr)
    <=> ( v10829(VarCurr)
        & v10869(VarCurr) ) ) )).

fof(writeUnaryOperator_834,axiom,(
    ! [VarCurr] :
      ( ~ v10869(VarCurr)
    <=> v10831(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2563,axiom,(
    ! [VarCurr] :
      ( v10851(VarCurr)
    <=> ( v10852(VarCurr)
        & v10831(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2562,axiom,(
    ! [VarCurr] :
      ( v10852(VarCurr)
    <=> ( v10853(VarCurr)
        | v10862(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2561,axiom,(
    ! [VarCurr] :
      ( v10862(VarCurr)
    <=> ( v10863(VarCurr)
        & v10867(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_793,axiom,(
    ! [VarCurr] :
      ( v10867(VarCurr)
    <=> ( ( v10855(VarCurr,bitIndex2)
        <=> $false )
        & ( v10855(VarCurr,bitIndex1)
        <=> $false )
        & ( v10855(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2560,axiom,(
    ! [VarCurr] :
      ( v10863(VarCurr)
    <=> ( v10864(VarCurr)
        | v10865(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2559,axiom,(
    ! [VarCurr] :
      ( v10865(VarCurr)
    <=> ( v10829(VarCurr)
        & v10866(VarCurr) ) ) )).

fof(writeUnaryOperator_833,axiom,(
    ! [VarCurr] :
      ( ~ v10866(VarCurr)
    <=> v10864(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_792,axiom,(
    ! [VarCurr] :
      ( v10864(VarCurr)
    <=> ( v10827(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2558,axiom,(
    ! [VarCurr] :
      ( v10853(VarCurr)
    <=> ( v10854(VarCurr)
        | v10856(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2557,axiom,(
    ! [VarCurr] :
      ( v10856(VarCurr)
    <=> ( v10857(VarCurr)
        & v10861(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_791,axiom,(
    ! [VarCurr] :
      ( v10861(VarCurr)
    <=> ( ( v10855(VarCurr,bitIndex2)
        <=> $false )
        & ( v10855(VarCurr,bitIndex1)
        <=> $true )
        & ( v10855(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2556,axiom,(
    ! [VarCurr] :
      ( v10857(VarCurr)
    <=> ( v10858(VarCurr)
        | v10859(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2555,axiom,(
    ! [VarCurr] :
      ( v10859(VarCurr)
    <=> ( v10829(VarCurr)
        & v10860(VarCurr) ) ) )).

fof(writeUnaryOperator_832,axiom,(
    ! [VarCurr] :
      ( ~ v10860(VarCurr)
    <=> v10858(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_790,axiom,(
    ! [VarCurr] :
      ( v10858(VarCurr)
    <=> ( v10827(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_789,axiom,(
    ! [VarCurr] :
      ( v10854(VarCurr)
    <=> ( ( v10855(VarCurr,bitIndex2)
        <=> $true )
        & ( v10855(VarCurr,bitIndex1)
        <=> $false )
        & ( v10855(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2259,axiom,(
    ! [VarCurr] :
      ( v10855(VarCurr,bitIndex0)
    <=> v10825(VarCurr) ) )).

fof(addAssignment_2258,axiom,(
    ! [VarCurr] :
      ( v10855(VarCurr,bitIndex1)
    <=> v10823(VarCurr) ) )).

fof(addAssignment_2257,axiom,(
    ! [VarCurr] :
      ( v10855(VarCurr,bitIndex2)
    <=> v10821(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2554,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10839(VarNext)
      <=> ( v10840(VarNext)
          & v10835(VarNext) ) ) ) )).

fof(writeUnaryOperator_831,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10840(VarNext)
      <=> v10842(VarNext) ) ) )).

fof(addAssignment_2256,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10842(VarNext)
      <=> v10835(VarCurr) ) ) )).

fof(addAssignment_2255,axiom,(
    ! [VarCurr] :
      ( v10835(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_2254,axiom,(
    ! [VarCurr] :
      ( v10833(VarCurr)
    <=> $false ) )).

fof(addAssignment_2253,axiom,(
    ! [VarCurr] :
      ( v10831(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_2252,axiom,(
    ! [VarCurr] :
      ( v10829(VarCurr)
    <=> $false ) )).

fof(addAssignment_2251,axiom,(
    ! [VarCurr] :
      ( v10827(VarCurr)
    <=> v8288(VarCurr,bitIndex53) ) )).

fof(addAssignment_2250,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex53)
    <=> v8290(VarCurr,bitIndex53) ) )).

fof(addAssignment_2249,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex53)
    <=> v3162(VarCurr,bitIndex53) ) )).

fof(addAssignment_2248,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex53)
    <=> v3164(VarCurr,bitIndex53) ) )).

fof(addAssignment_2247,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex53)
    <=> v3166(VarCurr,bitIndex53) ) )).

fof(addAssignment_2246,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex53)
    <=> v3168(VarCurr,bitIndex53) ) )).

fof(addAssignment_2245,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex53)
    <=> v3170(VarCurr,bitIndex53) ) )).

fof(addAssignment_2244,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex53)
    <=> v3172(VarCurr,bitIndex53) ) )).

fof(addAssignment_2243,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex53)
    <=> v3174(VarCurr,bitIndex53) ) )).

fof(addAssignment_2242,axiom,(
    ! [VarCurr] :
      ( v10825(VarCurr)
    <=> $false ) )).

fof(addAssignment_2241,axiom,(
    ! [VarCurr] :
      ( v10823(VarCurr)
    <=> $false ) )).

fof(addAssignment_2240,axiom,(
    ! [VarCurr] :
      ( v10821(VarCurr)
    <=> $true ) )).

fof(addAssignment_2239,axiom,(
    ! [VarCurr] :
      ( v10819(VarCurr)
    <=> $false ) )).

fof(addAssignment_2238,axiom,(
    ! [VarCurr] :
      ( v10817(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_123,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10770(VarNext)
       => ( v10747(VarNext)
        <=> v10747(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_129,axiom,(
    ! [VarNext] :
      ( v10770(VarNext)
     => ( v10747(VarNext)
      <=> v10805(VarNext) ) ) )).

fof(addAssignment_2237,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10805(VarNext)
      <=> v10803(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_452,axiom,(
    ! [VarCurr] :
      ( ~ v10749(VarCurr)
     => ( v10803(VarCurr)
      <=> v10806(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_454,axiom,(
    ! [VarCurr] :
      ( v10749(VarCurr)
     => ( v10803(VarCurr)
      <=> v10751(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_451,axiom,(
    ! [VarCurr] :
      ( ~ v10783(VarCurr)
     => ( v10806(VarCurr)
      <=> v10765(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_453,axiom,(
    ! [VarCurr] :
      ( v10783(VarCurr)
     => ( v10806(VarCurr)
      <=> v10807(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_200,axiom,(
    ! [VarCurr] :
      ( ( ~ v10786(VarCurr)
        & ~ v10788(VarCurr) )
     => ( v10807(VarCurr)
      <=> v10811(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_450,axiom,(
    ! [VarCurr] :
      ( v10788(VarCurr)
     => ( v10807(VarCurr)
      <=> v10810(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_452,axiom,(
    ! [VarCurr] :
      ( v10786(VarCurr)
     => ( v10807(VarCurr)
      <=> v10808(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_449,axiom,(
    ! [VarCurr] :
      ( ~ v10796(VarCurr)
     => ( v10811(VarCurr)
      <=> v10765(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_451,axiom,(
    ! [VarCurr] :
      ( v10796(VarCurr)
     => ( v10811(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_448,axiom,(
    ! [VarCurr] :
      ( ~ v10790(VarCurr)
     => ( v10810(VarCurr)
      <=> v10765(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_450,axiom,(
    ! [VarCurr] :
      ( v10790(VarCurr)
     => ( v10810(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_290,axiom,(
    ! [VarCurr] :
      ( ~ v10809(VarCurr)
     => ( v10808(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_291,axiom,(
    ! [VarCurr] :
      ( v10809(VarCurr)
     => ( v10808(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_788,axiom,(
    ! [VarCurr] :
      ( v10809(VarCurr)
    <=> ( v10759(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2553,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10770(VarNext)
      <=> ( v10771(VarNext)
          & v10780(VarNext) ) ) ) )).

fof(addAssignment_2236,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10780(VarNext)
      <=> v10778(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2552,axiom,(
    ! [VarCurr] :
      ( v10778(VarCurr)
    <=> ( v10749(VarCurr)
        | v10781(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2551,axiom,(
    ! [VarCurr] :
      ( v10781(VarCurr)
    <=> ( v10782(VarCurr)
        & v10802(VarCurr) ) ) )).

fof(writeUnaryOperator_830,axiom,(
    ! [VarCurr] :
      ( ~ v10802(VarCurr)
    <=> v10749(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2550,axiom,(
    ! [VarCurr] :
      ( v10782(VarCurr)
    <=> ( v10783(VarCurr)
        | v10800(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2549,axiom,(
    ! [VarCurr] :
      ( v10800(VarCurr)
    <=> ( v10761(VarCurr)
        & v10801(VarCurr) ) ) )).

fof(writeUnaryOperator_829,axiom,(
    ! [VarCurr] :
      ( ~ v10801(VarCurr)
    <=> v10763(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2548,axiom,(
    ! [VarCurr] :
      ( v10783(VarCurr)
    <=> ( v10784(VarCurr)
        & v10763(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2547,axiom,(
    ! [VarCurr] :
      ( v10784(VarCurr)
    <=> ( v10785(VarCurr)
        | v10794(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2546,axiom,(
    ! [VarCurr] :
      ( v10794(VarCurr)
    <=> ( v10795(VarCurr)
        & v10799(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_787,axiom,(
    ! [VarCurr] :
      ( v10799(VarCurr)
    <=> ( ( v10787(VarCurr,bitIndex2)
        <=> $false )
        & ( v10787(VarCurr,bitIndex1)
        <=> $false )
        & ( v10787(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2545,axiom,(
    ! [VarCurr] :
      ( v10795(VarCurr)
    <=> ( v10796(VarCurr)
        | v10797(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2544,axiom,(
    ! [VarCurr] :
      ( v10797(VarCurr)
    <=> ( v10761(VarCurr)
        & v10798(VarCurr) ) ) )).

fof(writeUnaryOperator_828,axiom,(
    ! [VarCurr] :
      ( ~ v10798(VarCurr)
    <=> v10796(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_786,axiom,(
    ! [VarCurr] :
      ( v10796(VarCurr)
    <=> ( v10759(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2543,axiom,(
    ! [VarCurr] :
      ( v10785(VarCurr)
    <=> ( v10786(VarCurr)
        | v10788(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2542,axiom,(
    ! [VarCurr] :
      ( v10788(VarCurr)
    <=> ( v10789(VarCurr)
        & v10793(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_785,axiom,(
    ! [VarCurr] :
      ( v10793(VarCurr)
    <=> ( ( v10787(VarCurr,bitIndex2)
        <=> $false )
        & ( v10787(VarCurr,bitIndex1)
        <=> $true )
        & ( v10787(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2541,axiom,(
    ! [VarCurr] :
      ( v10789(VarCurr)
    <=> ( v10790(VarCurr)
        | v10791(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2540,axiom,(
    ! [VarCurr] :
      ( v10791(VarCurr)
    <=> ( v10761(VarCurr)
        & v10792(VarCurr) ) ) )).

fof(writeUnaryOperator_827,axiom,(
    ! [VarCurr] :
      ( ~ v10792(VarCurr)
    <=> v10790(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_784,axiom,(
    ! [VarCurr] :
      ( v10790(VarCurr)
    <=> ( v10759(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_783,axiom,(
    ! [VarCurr] :
      ( v10786(VarCurr)
    <=> ( ( v10787(VarCurr,bitIndex2)
        <=> $true )
        & ( v10787(VarCurr,bitIndex1)
        <=> $false )
        & ( v10787(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2235,axiom,(
    ! [VarCurr] :
      ( v10787(VarCurr,bitIndex0)
    <=> v10757(VarCurr) ) )).

fof(addAssignment_2234,axiom,(
    ! [VarCurr] :
      ( v10787(VarCurr,bitIndex1)
    <=> v10755(VarCurr) ) )).

fof(addAssignment_2233,axiom,(
    ! [VarCurr] :
      ( v10787(VarCurr,bitIndex2)
    <=> v10753(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2539,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10771(VarNext)
      <=> ( v10772(VarNext)
          & v10767(VarNext) ) ) ) )).

fof(writeUnaryOperator_826,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10772(VarNext)
      <=> v10774(VarNext) ) ) )).

fof(addAssignment_2232,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10774(VarNext)
      <=> v10767(VarCurr) ) ) )).

fof(addAssignment_2231,axiom,(
    ! [VarCurr] :
      ( v10767(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_2230,axiom,(
    ! [VarCurr] :
      ( v10765(VarCurr)
    <=> $false ) )).

fof(addAssignment_2229,axiom,(
    ! [VarCurr] :
      ( v10763(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_2228,axiom,(
    ! [VarCurr] :
      ( v10761(VarCurr)
    <=> $false ) )).

fof(addAssignment_2227,axiom,(
    ! [VarCurr] :
      ( v10759(VarCurr)
    <=> v8288(VarCurr,bitIndex52) ) )).

fof(addAssignment_2226,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex52)
    <=> v8290(VarCurr,bitIndex52) ) )).

fof(addAssignment_2225,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex52)
    <=> v3162(VarCurr,bitIndex52) ) )).

fof(addAssignment_2224,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex52)
    <=> v3164(VarCurr,bitIndex52) ) )).

fof(addAssignment_2223,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex52)
    <=> v3166(VarCurr,bitIndex52) ) )).

fof(addAssignment_2222,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex52)
    <=> v3168(VarCurr,bitIndex52) ) )).

fof(addAssignment_2221,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex52)
    <=> v3170(VarCurr,bitIndex52) ) )).

fof(addAssignment_2220,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex52)
    <=> v3172(VarCurr,bitIndex52) ) )).

fof(addAssignment_2219,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex52)
    <=> v3174(VarCurr,bitIndex52) ) )).

fof(addAssignment_2218,axiom,(
    ! [VarCurr] :
      ( v10757(VarCurr)
    <=> $false ) )).

fof(addAssignment_2217,axiom,(
    ! [VarCurr] :
      ( v10755(VarCurr)
    <=> $false ) )).

fof(addAssignment_2216,axiom,(
    ! [VarCurr] :
      ( v10753(VarCurr)
    <=> $true ) )).

fof(addAssignment_2215,axiom,(
    ! [VarCurr] :
      ( v10751(VarCurr)
    <=> $false ) )).

fof(addAssignment_2214,axiom,(
    ! [VarCurr] :
      ( v10749(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_122,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10702(VarNext)
       => ( v10679(VarNext)
        <=> v10679(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_128,axiom,(
    ! [VarNext] :
      ( v10702(VarNext)
     => ( v10679(VarNext)
      <=> v10737(VarNext) ) ) )).

fof(addAssignment_2213,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10737(VarNext)
      <=> v10735(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_447,axiom,(
    ! [VarCurr] :
      ( ~ v10681(VarCurr)
     => ( v10735(VarCurr)
      <=> v10738(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_449,axiom,(
    ! [VarCurr] :
      ( v10681(VarCurr)
     => ( v10735(VarCurr)
      <=> v10683(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_446,axiom,(
    ! [VarCurr] :
      ( ~ v10715(VarCurr)
     => ( v10738(VarCurr)
      <=> v10697(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_448,axiom,(
    ! [VarCurr] :
      ( v10715(VarCurr)
     => ( v10738(VarCurr)
      <=> v10739(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_199,axiom,(
    ! [VarCurr] :
      ( ( ~ v10718(VarCurr)
        & ~ v10720(VarCurr) )
     => ( v10739(VarCurr)
      <=> v10743(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_445,axiom,(
    ! [VarCurr] :
      ( v10720(VarCurr)
     => ( v10739(VarCurr)
      <=> v10742(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_447,axiom,(
    ! [VarCurr] :
      ( v10718(VarCurr)
     => ( v10739(VarCurr)
      <=> v10740(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_444,axiom,(
    ! [VarCurr] :
      ( ~ v10728(VarCurr)
     => ( v10743(VarCurr)
      <=> v10697(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_446,axiom,(
    ! [VarCurr] :
      ( v10728(VarCurr)
     => ( v10743(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_443,axiom,(
    ! [VarCurr] :
      ( ~ v10722(VarCurr)
     => ( v10742(VarCurr)
      <=> v10697(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_445,axiom,(
    ! [VarCurr] :
      ( v10722(VarCurr)
     => ( v10742(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_289,axiom,(
    ! [VarCurr] :
      ( ~ v10741(VarCurr)
     => ( v10740(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_290,axiom,(
    ! [VarCurr] :
      ( v10741(VarCurr)
     => ( v10740(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_782,axiom,(
    ! [VarCurr] :
      ( v10741(VarCurr)
    <=> ( v10691(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2538,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10702(VarNext)
      <=> ( v10703(VarNext)
          & v10712(VarNext) ) ) ) )).

fof(addAssignment_2212,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10712(VarNext)
      <=> v10710(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2537,axiom,(
    ! [VarCurr] :
      ( v10710(VarCurr)
    <=> ( v10681(VarCurr)
        | v10713(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2536,axiom,(
    ! [VarCurr] :
      ( v10713(VarCurr)
    <=> ( v10714(VarCurr)
        & v10734(VarCurr) ) ) )).

fof(writeUnaryOperator_825,axiom,(
    ! [VarCurr] :
      ( ~ v10734(VarCurr)
    <=> v10681(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2535,axiom,(
    ! [VarCurr] :
      ( v10714(VarCurr)
    <=> ( v10715(VarCurr)
        | v10732(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2534,axiom,(
    ! [VarCurr] :
      ( v10732(VarCurr)
    <=> ( v10693(VarCurr)
        & v10733(VarCurr) ) ) )).

fof(writeUnaryOperator_824,axiom,(
    ! [VarCurr] :
      ( ~ v10733(VarCurr)
    <=> v10695(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2533,axiom,(
    ! [VarCurr] :
      ( v10715(VarCurr)
    <=> ( v10716(VarCurr)
        & v10695(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2532,axiom,(
    ! [VarCurr] :
      ( v10716(VarCurr)
    <=> ( v10717(VarCurr)
        | v10726(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2531,axiom,(
    ! [VarCurr] :
      ( v10726(VarCurr)
    <=> ( v10727(VarCurr)
        & v10731(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_781,axiom,(
    ! [VarCurr] :
      ( v10731(VarCurr)
    <=> ( ( v10719(VarCurr,bitIndex2)
        <=> $false )
        & ( v10719(VarCurr,bitIndex1)
        <=> $false )
        & ( v10719(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2530,axiom,(
    ! [VarCurr] :
      ( v10727(VarCurr)
    <=> ( v10728(VarCurr)
        | v10729(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2529,axiom,(
    ! [VarCurr] :
      ( v10729(VarCurr)
    <=> ( v10693(VarCurr)
        & v10730(VarCurr) ) ) )).

fof(writeUnaryOperator_823,axiom,(
    ! [VarCurr] :
      ( ~ v10730(VarCurr)
    <=> v10728(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_780,axiom,(
    ! [VarCurr] :
      ( v10728(VarCurr)
    <=> ( v10691(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2528,axiom,(
    ! [VarCurr] :
      ( v10717(VarCurr)
    <=> ( v10718(VarCurr)
        | v10720(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2527,axiom,(
    ! [VarCurr] :
      ( v10720(VarCurr)
    <=> ( v10721(VarCurr)
        & v10725(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_779,axiom,(
    ! [VarCurr] :
      ( v10725(VarCurr)
    <=> ( ( v10719(VarCurr,bitIndex2)
        <=> $false )
        & ( v10719(VarCurr,bitIndex1)
        <=> $true )
        & ( v10719(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2526,axiom,(
    ! [VarCurr] :
      ( v10721(VarCurr)
    <=> ( v10722(VarCurr)
        | v10723(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2525,axiom,(
    ! [VarCurr] :
      ( v10723(VarCurr)
    <=> ( v10693(VarCurr)
        & v10724(VarCurr) ) ) )).

fof(writeUnaryOperator_822,axiom,(
    ! [VarCurr] :
      ( ~ v10724(VarCurr)
    <=> v10722(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_778,axiom,(
    ! [VarCurr] :
      ( v10722(VarCurr)
    <=> ( v10691(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_777,axiom,(
    ! [VarCurr] :
      ( v10718(VarCurr)
    <=> ( ( v10719(VarCurr,bitIndex2)
        <=> $true )
        & ( v10719(VarCurr,bitIndex1)
        <=> $false )
        & ( v10719(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2211,axiom,(
    ! [VarCurr] :
      ( v10719(VarCurr,bitIndex0)
    <=> v10689(VarCurr) ) )).

fof(addAssignment_2210,axiom,(
    ! [VarCurr] :
      ( v10719(VarCurr,bitIndex1)
    <=> v10687(VarCurr) ) )).

fof(addAssignment_2209,axiom,(
    ! [VarCurr] :
      ( v10719(VarCurr,bitIndex2)
    <=> v10685(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2524,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10703(VarNext)
      <=> ( v10704(VarNext)
          & v10699(VarNext) ) ) ) )).

fof(writeUnaryOperator_821,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10704(VarNext)
      <=> v10706(VarNext) ) ) )).

fof(addAssignment_2208,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10706(VarNext)
      <=> v10699(VarCurr) ) ) )).

fof(addAssignment_2207,axiom,(
    ! [VarCurr] :
      ( v10699(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_2206,axiom,(
    ! [VarCurr] :
      ( v10697(VarCurr)
    <=> $false ) )).

fof(addAssignment_2205,axiom,(
    ! [VarCurr] :
      ( v10695(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_2204,axiom,(
    ! [VarCurr] :
      ( v10693(VarCurr)
    <=> $false ) )).

fof(addAssignment_2203,axiom,(
    ! [VarCurr] :
      ( v10691(VarCurr)
    <=> v8288(VarCurr,bitIndex51) ) )).

fof(addAssignment_2202,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex51)
    <=> v8290(VarCurr,bitIndex51) ) )).

fof(addAssignment_2201,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex51)
    <=> v3162(VarCurr,bitIndex51) ) )).

fof(addAssignment_2200,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex51)
    <=> v3164(VarCurr,bitIndex51) ) )).

fof(addAssignment_2199,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex51)
    <=> v3166(VarCurr,bitIndex51) ) )).

fof(addAssignment_2198,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex51)
    <=> v3168(VarCurr,bitIndex51) ) )).

fof(addAssignment_2197,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex51)
    <=> v3170(VarCurr,bitIndex51) ) )).

fof(addAssignment_2196,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex51)
    <=> v3172(VarCurr,bitIndex51) ) )).

fof(addAssignment_2195,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex51)
    <=> v3174(VarCurr,bitIndex51) ) )).

fof(addAssignment_2194,axiom,(
    ! [VarCurr] :
      ( v10689(VarCurr)
    <=> $false ) )).

fof(addAssignment_2193,axiom,(
    ! [VarCurr] :
      ( v10687(VarCurr)
    <=> $false ) )).

fof(addAssignment_2192,axiom,(
    ! [VarCurr] :
      ( v10685(VarCurr)
    <=> $true ) )).

fof(addAssignment_2191,axiom,(
    ! [VarCurr] :
      ( v10683(VarCurr)
    <=> $false ) )).

fof(addAssignment_2190,axiom,(
    ! [VarCurr] :
      ( v10681(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_121,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10634(VarNext)
       => ( v10611(VarNext)
        <=> v10611(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_127,axiom,(
    ! [VarNext] :
      ( v10634(VarNext)
     => ( v10611(VarNext)
      <=> v10669(VarNext) ) ) )).

fof(addAssignment_2189,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10669(VarNext)
      <=> v10667(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_442,axiom,(
    ! [VarCurr] :
      ( ~ v10613(VarCurr)
     => ( v10667(VarCurr)
      <=> v10670(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_444,axiom,(
    ! [VarCurr] :
      ( v10613(VarCurr)
     => ( v10667(VarCurr)
      <=> v10615(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_441,axiom,(
    ! [VarCurr] :
      ( ~ v10647(VarCurr)
     => ( v10670(VarCurr)
      <=> v10629(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_443,axiom,(
    ! [VarCurr] :
      ( v10647(VarCurr)
     => ( v10670(VarCurr)
      <=> v10671(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_198,axiom,(
    ! [VarCurr] :
      ( ( ~ v10650(VarCurr)
        & ~ v10652(VarCurr) )
     => ( v10671(VarCurr)
      <=> v10675(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_440,axiom,(
    ! [VarCurr] :
      ( v10652(VarCurr)
     => ( v10671(VarCurr)
      <=> v10674(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_442,axiom,(
    ! [VarCurr] :
      ( v10650(VarCurr)
     => ( v10671(VarCurr)
      <=> v10672(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_439,axiom,(
    ! [VarCurr] :
      ( ~ v10660(VarCurr)
     => ( v10675(VarCurr)
      <=> v10629(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_441,axiom,(
    ! [VarCurr] :
      ( v10660(VarCurr)
     => ( v10675(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_438,axiom,(
    ! [VarCurr] :
      ( ~ v10654(VarCurr)
     => ( v10674(VarCurr)
      <=> v10629(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_440,axiom,(
    ! [VarCurr] :
      ( v10654(VarCurr)
     => ( v10674(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_288,axiom,(
    ! [VarCurr] :
      ( ~ v10673(VarCurr)
     => ( v10672(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_289,axiom,(
    ! [VarCurr] :
      ( v10673(VarCurr)
     => ( v10672(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_776,axiom,(
    ! [VarCurr] :
      ( v10673(VarCurr)
    <=> ( v10623(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2523,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10634(VarNext)
      <=> ( v10635(VarNext)
          & v10644(VarNext) ) ) ) )).

fof(addAssignment_2188,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10644(VarNext)
      <=> v10642(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2522,axiom,(
    ! [VarCurr] :
      ( v10642(VarCurr)
    <=> ( v10613(VarCurr)
        | v10645(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2521,axiom,(
    ! [VarCurr] :
      ( v10645(VarCurr)
    <=> ( v10646(VarCurr)
        & v10666(VarCurr) ) ) )).

fof(writeUnaryOperator_820,axiom,(
    ! [VarCurr] :
      ( ~ v10666(VarCurr)
    <=> v10613(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2520,axiom,(
    ! [VarCurr] :
      ( v10646(VarCurr)
    <=> ( v10647(VarCurr)
        | v10664(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2519,axiom,(
    ! [VarCurr] :
      ( v10664(VarCurr)
    <=> ( v10625(VarCurr)
        & v10665(VarCurr) ) ) )).

fof(writeUnaryOperator_819,axiom,(
    ! [VarCurr] :
      ( ~ v10665(VarCurr)
    <=> v10627(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2518,axiom,(
    ! [VarCurr] :
      ( v10647(VarCurr)
    <=> ( v10648(VarCurr)
        & v10627(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2517,axiom,(
    ! [VarCurr] :
      ( v10648(VarCurr)
    <=> ( v10649(VarCurr)
        | v10658(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2516,axiom,(
    ! [VarCurr] :
      ( v10658(VarCurr)
    <=> ( v10659(VarCurr)
        & v10663(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_775,axiom,(
    ! [VarCurr] :
      ( v10663(VarCurr)
    <=> ( ( v10651(VarCurr,bitIndex2)
        <=> $false )
        & ( v10651(VarCurr,bitIndex1)
        <=> $false )
        & ( v10651(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2515,axiom,(
    ! [VarCurr] :
      ( v10659(VarCurr)
    <=> ( v10660(VarCurr)
        | v10661(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2514,axiom,(
    ! [VarCurr] :
      ( v10661(VarCurr)
    <=> ( v10625(VarCurr)
        & v10662(VarCurr) ) ) )).

fof(writeUnaryOperator_818,axiom,(
    ! [VarCurr] :
      ( ~ v10662(VarCurr)
    <=> v10660(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_774,axiom,(
    ! [VarCurr] :
      ( v10660(VarCurr)
    <=> ( v10623(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2513,axiom,(
    ! [VarCurr] :
      ( v10649(VarCurr)
    <=> ( v10650(VarCurr)
        | v10652(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2512,axiom,(
    ! [VarCurr] :
      ( v10652(VarCurr)
    <=> ( v10653(VarCurr)
        & v10657(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_773,axiom,(
    ! [VarCurr] :
      ( v10657(VarCurr)
    <=> ( ( v10651(VarCurr,bitIndex2)
        <=> $false )
        & ( v10651(VarCurr,bitIndex1)
        <=> $true )
        & ( v10651(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2511,axiom,(
    ! [VarCurr] :
      ( v10653(VarCurr)
    <=> ( v10654(VarCurr)
        | v10655(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2510,axiom,(
    ! [VarCurr] :
      ( v10655(VarCurr)
    <=> ( v10625(VarCurr)
        & v10656(VarCurr) ) ) )).

fof(writeUnaryOperator_817,axiom,(
    ! [VarCurr] :
      ( ~ v10656(VarCurr)
    <=> v10654(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_772,axiom,(
    ! [VarCurr] :
      ( v10654(VarCurr)
    <=> ( v10623(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_771,axiom,(
    ! [VarCurr] :
      ( v10650(VarCurr)
    <=> ( ( v10651(VarCurr,bitIndex2)
        <=> $true )
        & ( v10651(VarCurr,bitIndex1)
        <=> $false )
        & ( v10651(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2187,axiom,(
    ! [VarCurr] :
      ( v10651(VarCurr,bitIndex0)
    <=> v10621(VarCurr) ) )).

fof(addAssignment_2186,axiom,(
    ! [VarCurr] :
      ( v10651(VarCurr,bitIndex1)
    <=> v10619(VarCurr) ) )).

fof(addAssignment_2185,axiom,(
    ! [VarCurr] :
      ( v10651(VarCurr,bitIndex2)
    <=> v10617(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2509,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10635(VarNext)
      <=> ( v10636(VarNext)
          & v10631(VarNext) ) ) ) )).

fof(writeUnaryOperator_816,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10636(VarNext)
      <=> v10638(VarNext) ) ) )).

fof(addAssignment_2184,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10638(VarNext)
      <=> v10631(VarCurr) ) ) )).

fof(addAssignment_2183,axiom,(
    ! [VarCurr] :
      ( v10631(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_2182,axiom,(
    ! [VarCurr] :
      ( v10629(VarCurr)
    <=> $false ) )).

fof(addAssignment_2181,axiom,(
    ! [VarCurr] :
      ( v10627(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_2180,axiom,(
    ! [VarCurr] :
      ( v10625(VarCurr)
    <=> $false ) )).

fof(addAssignment_2179,axiom,(
    ! [VarCurr] :
      ( v10623(VarCurr)
    <=> v8288(VarCurr,bitIndex50) ) )).

fof(addAssignment_2178,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex50)
    <=> v8290(VarCurr,bitIndex50) ) )).

fof(addAssignment_2177,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex50)
    <=> v3162(VarCurr,bitIndex50) ) )).

fof(addAssignment_2176,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex50)
    <=> v3164(VarCurr,bitIndex50) ) )).

fof(addAssignment_2175,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex50)
    <=> v3166(VarCurr,bitIndex50) ) )).

fof(addAssignment_2174,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex50)
    <=> v3168(VarCurr,bitIndex50) ) )).

fof(addAssignment_2173,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex50)
    <=> v3170(VarCurr,bitIndex50) ) )).

fof(addAssignment_2172,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex50)
    <=> v3172(VarCurr,bitIndex50) ) )).

fof(addAssignment_2171,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex50)
    <=> v3174(VarCurr,bitIndex50) ) )).

fof(addAssignment_2170,axiom,(
    ! [VarCurr] :
      ( v10621(VarCurr)
    <=> $false ) )).

fof(addAssignment_2169,axiom,(
    ! [VarCurr] :
      ( v10619(VarCurr)
    <=> $false ) )).

fof(addAssignment_2168,axiom,(
    ! [VarCurr] :
      ( v10617(VarCurr)
    <=> $true ) )).

fof(addAssignment_2167,axiom,(
    ! [VarCurr] :
      ( v10615(VarCurr)
    <=> $false ) )).

fof(addAssignment_2166,axiom,(
    ! [VarCurr] :
      ( v10613(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_120,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10566(VarNext)
       => ( v10543(VarNext)
        <=> v10543(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_126,axiom,(
    ! [VarNext] :
      ( v10566(VarNext)
     => ( v10543(VarNext)
      <=> v10601(VarNext) ) ) )).

fof(addAssignment_2165,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10601(VarNext)
      <=> v10599(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_437,axiom,(
    ! [VarCurr] :
      ( ~ v10545(VarCurr)
     => ( v10599(VarCurr)
      <=> v10602(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_439,axiom,(
    ! [VarCurr] :
      ( v10545(VarCurr)
     => ( v10599(VarCurr)
      <=> v10547(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_436,axiom,(
    ! [VarCurr] :
      ( ~ v10579(VarCurr)
     => ( v10602(VarCurr)
      <=> v10561(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_438,axiom,(
    ! [VarCurr] :
      ( v10579(VarCurr)
     => ( v10602(VarCurr)
      <=> v10603(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_197,axiom,(
    ! [VarCurr] :
      ( ( ~ v10582(VarCurr)
        & ~ v10584(VarCurr) )
     => ( v10603(VarCurr)
      <=> v10607(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_435,axiom,(
    ! [VarCurr] :
      ( v10584(VarCurr)
     => ( v10603(VarCurr)
      <=> v10606(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_437,axiom,(
    ! [VarCurr] :
      ( v10582(VarCurr)
     => ( v10603(VarCurr)
      <=> v10604(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_434,axiom,(
    ! [VarCurr] :
      ( ~ v10592(VarCurr)
     => ( v10607(VarCurr)
      <=> v10561(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_436,axiom,(
    ! [VarCurr] :
      ( v10592(VarCurr)
     => ( v10607(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_433,axiom,(
    ! [VarCurr] :
      ( ~ v10586(VarCurr)
     => ( v10606(VarCurr)
      <=> v10561(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_435,axiom,(
    ! [VarCurr] :
      ( v10586(VarCurr)
     => ( v10606(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_287,axiom,(
    ! [VarCurr] :
      ( ~ v10605(VarCurr)
     => ( v10604(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_288,axiom,(
    ! [VarCurr] :
      ( v10605(VarCurr)
     => ( v10604(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_770,axiom,(
    ! [VarCurr] :
      ( v10605(VarCurr)
    <=> ( v10555(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2508,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10566(VarNext)
      <=> ( v10567(VarNext)
          & v10576(VarNext) ) ) ) )).

fof(addAssignment_2164,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10576(VarNext)
      <=> v10574(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2507,axiom,(
    ! [VarCurr] :
      ( v10574(VarCurr)
    <=> ( v10545(VarCurr)
        | v10577(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2506,axiom,(
    ! [VarCurr] :
      ( v10577(VarCurr)
    <=> ( v10578(VarCurr)
        & v10598(VarCurr) ) ) )).

fof(writeUnaryOperator_815,axiom,(
    ! [VarCurr] :
      ( ~ v10598(VarCurr)
    <=> v10545(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2505,axiom,(
    ! [VarCurr] :
      ( v10578(VarCurr)
    <=> ( v10579(VarCurr)
        | v10596(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2504,axiom,(
    ! [VarCurr] :
      ( v10596(VarCurr)
    <=> ( v10557(VarCurr)
        & v10597(VarCurr) ) ) )).

fof(writeUnaryOperator_814,axiom,(
    ! [VarCurr] :
      ( ~ v10597(VarCurr)
    <=> v10559(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2503,axiom,(
    ! [VarCurr] :
      ( v10579(VarCurr)
    <=> ( v10580(VarCurr)
        & v10559(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2502,axiom,(
    ! [VarCurr] :
      ( v10580(VarCurr)
    <=> ( v10581(VarCurr)
        | v10590(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2501,axiom,(
    ! [VarCurr] :
      ( v10590(VarCurr)
    <=> ( v10591(VarCurr)
        & v10595(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_769,axiom,(
    ! [VarCurr] :
      ( v10595(VarCurr)
    <=> ( ( v10583(VarCurr,bitIndex2)
        <=> $false )
        & ( v10583(VarCurr,bitIndex1)
        <=> $false )
        & ( v10583(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2500,axiom,(
    ! [VarCurr] :
      ( v10591(VarCurr)
    <=> ( v10592(VarCurr)
        | v10593(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2499,axiom,(
    ! [VarCurr] :
      ( v10593(VarCurr)
    <=> ( v10557(VarCurr)
        & v10594(VarCurr) ) ) )).

fof(writeUnaryOperator_813,axiom,(
    ! [VarCurr] :
      ( ~ v10594(VarCurr)
    <=> v10592(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_768,axiom,(
    ! [VarCurr] :
      ( v10592(VarCurr)
    <=> ( v10555(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2498,axiom,(
    ! [VarCurr] :
      ( v10581(VarCurr)
    <=> ( v10582(VarCurr)
        | v10584(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2497,axiom,(
    ! [VarCurr] :
      ( v10584(VarCurr)
    <=> ( v10585(VarCurr)
        & v10589(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_767,axiom,(
    ! [VarCurr] :
      ( v10589(VarCurr)
    <=> ( ( v10583(VarCurr,bitIndex2)
        <=> $false )
        & ( v10583(VarCurr,bitIndex1)
        <=> $true )
        & ( v10583(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2496,axiom,(
    ! [VarCurr] :
      ( v10585(VarCurr)
    <=> ( v10586(VarCurr)
        | v10587(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2495,axiom,(
    ! [VarCurr] :
      ( v10587(VarCurr)
    <=> ( v10557(VarCurr)
        & v10588(VarCurr) ) ) )).

fof(writeUnaryOperator_812,axiom,(
    ! [VarCurr] :
      ( ~ v10588(VarCurr)
    <=> v10586(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_766,axiom,(
    ! [VarCurr] :
      ( v10586(VarCurr)
    <=> ( v10555(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_765,axiom,(
    ! [VarCurr] :
      ( v10582(VarCurr)
    <=> ( ( v10583(VarCurr,bitIndex2)
        <=> $true )
        & ( v10583(VarCurr,bitIndex1)
        <=> $false )
        & ( v10583(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2163,axiom,(
    ! [VarCurr] :
      ( v10583(VarCurr,bitIndex0)
    <=> v10553(VarCurr) ) )).

fof(addAssignment_2162,axiom,(
    ! [VarCurr] :
      ( v10583(VarCurr,bitIndex1)
    <=> v10551(VarCurr) ) )).

fof(addAssignment_2161,axiom,(
    ! [VarCurr] :
      ( v10583(VarCurr,bitIndex2)
    <=> v10549(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2494,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10567(VarNext)
      <=> ( v10568(VarNext)
          & v10563(VarNext) ) ) ) )).

fof(writeUnaryOperator_811,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10568(VarNext)
      <=> v10570(VarNext) ) ) )).

fof(addAssignment_2160,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10570(VarNext)
      <=> v10563(VarCurr) ) ) )).

fof(addAssignment_2159,axiom,(
    ! [VarCurr] :
      ( v10563(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_2158,axiom,(
    ! [VarCurr] :
      ( v10561(VarCurr)
    <=> $false ) )).

fof(addAssignment_2157,axiom,(
    ! [VarCurr] :
      ( v10559(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_2156,axiom,(
    ! [VarCurr] :
      ( v10557(VarCurr)
    <=> $false ) )).

fof(addAssignment_2155,axiom,(
    ! [VarCurr] :
      ( v10555(VarCurr)
    <=> v8288(VarCurr,bitIndex49) ) )).

fof(addAssignment_2154,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex49)
    <=> v8290(VarCurr,bitIndex49) ) )).

fof(addAssignment_2153,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex49)
    <=> v3162(VarCurr,bitIndex49) ) )).

fof(addAssignment_2152,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex49)
    <=> v3164(VarCurr,bitIndex49) ) )).

fof(addAssignment_2151,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex49)
    <=> v3166(VarCurr,bitIndex49) ) )).

fof(addAssignment_2150,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex49)
    <=> v3168(VarCurr,bitIndex49) ) )).

fof(addAssignment_2149,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex49)
    <=> v3170(VarCurr,bitIndex49) ) )).

fof(addAssignment_2148,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex49)
    <=> v3172(VarCurr,bitIndex49) ) )).

fof(addAssignment_2147,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex49)
    <=> v3174(VarCurr,bitIndex49) ) )).

fof(addAssignment_2146,axiom,(
    ! [VarCurr] :
      ( v10553(VarCurr)
    <=> $false ) )).

fof(addAssignment_2145,axiom,(
    ! [VarCurr] :
      ( v10551(VarCurr)
    <=> $false ) )).

fof(addAssignment_2144,axiom,(
    ! [VarCurr] :
      ( v10549(VarCurr)
    <=> $true ) )).

fof(addAssignment_2143,axiom,(
    ! [VarCurr] :
      ( v10547(VarCurr)
    <=> $false ) )).

fof(addAssignment_2142,axiom,(
    ! [VarCurr] :
      ( v10545(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_119,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10498(VarNext)
       => ( v10475(VarNext)
        <=> v10475(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_125,axiom,(
    ! [VarNext] :
      ( v10498(VarNext)
     => ( v10475(VarNext)
      <=> v10533(VarNext) ) ) )).

fof(addAssignment_2141,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10533(VarNext)
      <=> v10531(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_432,axiom,(
    ! [VarCurr] :
      ( ~ v10477(VarCurr)
     => ( v10531(VarCurr)
      <=> v10534(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_434,axiom,(
    ! [VarCurr] :
      ( v10477(VarCurr)
     => ( v10531(VarCurr)
      <=> v10479(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_431,axiom,(
    ! [VarCurr] :
      ( ~ v10511(VarCurr)
     => ( v10534(VarCurr)
      <=> v10493(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_433,axiom,(
    ! [VarCurr] :
      ( v10511(VarCurr)
     => ( v10534(VarCurr)
      <=> v10535(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_196,axiom,(
    ! [VarCurr] :
      ( ( ~ v10514(VarCurr)
        & ~ v10516(VarCurr) )
     => ( v10535(VarCurr)
      <=> v10539(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_430,axiom,(
    ! [VarCurr] :
      ( v10516(VarCurr)
     => ( v10535(VarCurr)
      <=> v10538(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_432,axiom,(
    ! [VarCurr] :
      ( v10514(VarCurr)
     => ( v10535(VarCurr)
      <=> v10536(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_429,axiom,(
    ! [VarCurr] :
      ( ~ v10524(VarCurr)
     => ( v10539(VarCurr)
      <=> v10493(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_431,axiom,(
    ! [VarCurr] :
      ( v10524(VarCurr)
     => ( v10539(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_428,axiom,(
    ! [VarCurr] :
      ( ~ v10518(VarCurr)
     => ( v10538(VarCurr)
      <=> v10493(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_430,axiom,(
    ! [VarCurr] :
      ( v10518(VarCurr)
     => ( v10538(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_286,axiom,(
    ! [VarCurr] :
      ( ~ v10537(VarCurr)
     => ( v10536(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_287,axiom,(
    ! [VarCurr] :
      ( v10537(VarCurr)
     => ( v10536(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_764,axiom,(
    ! [VarCurr] :
      ( v10537(VarCurr)
    <=> ( v10487(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2493,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10498(VarNext)
      <=> ( v10499(VarNext)
          & v10508(VarNext) ) ) ) )).

fof(addAssignment_2140,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10508(VarNext)
      <=> v10506(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2492,axiom,(
    ! [VarCurr] :
      ( v10506(VarCurr)
    <=> ( v10477(VarCurr)
        | v10509(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2491,axiom,(
    ! [VarCurr] :
      ( v10509(VarCurr)
    <=> ( v10510(VarCurr)
        & v10530(VarCurr) ) ) )).

fof(writeUnaryOperator_810,axiom,(
    ! [VarCurr] :
      ( ~ v10530(VarCurr)
    <=> v10477(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2490,axiom,(
    ! [VarCurr] :
      ( v10510(VarCurr)
    <=> ( v10511(VarCurr)
        | v10528(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2489,axiom,(
    ! [VarCurr] :
      ( v10528(VarCurr)
    <=> ( v10489(VarCurr)
        & v10529(VarCurr) ) ) )).

fof(writeUnaryOperator_809,axiom,(
    ! [VarCurr] :
      ( ~ v10529(VarCurr)
    <=> v10491(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2488,axiom,(
    ! [VarCurr] :
      ( v10511(VarCurr)
    <=> ( v10512(VarCurr)
        & v10491(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2487,axiom,(
    ! [VarCurr] :
      ( v10512(VarCurr)
    <=> ( v10513(VarCurr)
        | v10522(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2486,axiom,(
    ! [VarCurr] :
      ( v10522(VarCurr)
    <=> ( v10523(VarCurr)
        & v10527(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_763,axiom,(
    ! [VarCurr] :
      ( v10527(VarCurr)
    <=> ( ( v10515(VarCurr,bitIndex2)
        <=> $false )
        & ( v10515(VarCurr,bitIndex1)
        <=> $false )
        & ( v10515(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2485,axiom,(
    ! [VarCurr] :
      ( v10523(VarCurr)
    <=> ( v10524(VarCurr)
        | v10525(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2484,axiom,(
    ! [VarCurr] :
      ( v10525(VarCurr)
    <=> ( v10489(VarCurr)
        & v10526(VarCurr) ) ) )).

fof(writeUnaryOperator_808,axiom,(
    ! [VarCurr] :
      ( ~ v10526(VarCurr)
    <=> v10524(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_762,axiom,(
    ! [VarCurr] :
      ( v10524(VarCurr)
    <=> ( v10487(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2483,axiom,(
    ! [VarCurr] :
      ( v10513(VarCurr)
    <=> ( v10514(VarCurr)
        | v10516(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2482,axiom,(
    ! [VarCurr] :
      ( v10516(VarCurr)
    <=> ( v10517(VarCurr)
        & v10521(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_761,axiom,(
    ! [VarCurr] :
      ( v10521(VarCurr)
    <=> ( ( v10515(VarCurr,bitIndex2)
        <=> $false )
        & ( v10515(VarCurr,bitIndex1)
        <=> $true )
        & ( v10515(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2481,axiom,(
    ! [VarCurr] :
      ( v10517(VarCurr)
    <=> ( v10518(VarCurr)
        | v10519(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2480,axiom,(
    ! [VarCurr] :
      ( v10519(VarCurr)
    <=> ( v10489(VarCurr)
        & v10520(VarCurr) ) ) )).

fof(writeUnaryOperator_807,axiom,(
    ! [VarCurr] :
      ( ~ v10520(VarCurr)
    <=> v10518(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_760,axiom,(
    ! [VarCurr] :
      ( v10518(VarCurr)
    <=> ( v10487(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_759,axiom,(
    ! [VarCurr] :
      ( v10514(VarCurr)
    <=> ( ( v10515(VarCurr,bitIndex2)
        <=> $true )
        & ( v10515(VarCurr,bitIndex1)
        <=> $false )
        & ( v10515(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2139,axiom,(
    ! [VarCurr] :
      ( v10515(VarCurr,bitIndex0)
    <=> v10485(VarCurr) ) )).

fof(addAssignment_2138,axiom,(
    ! [VarCurr] :
      ( v10515(VarCurr,bitIndex1)
    <=> v10483(VarCurr) ) )).

fof(addAssignment_2137,axiom,(
    ! [VarCurr] :
      ( v10515(VarCurr,bitIndex2)
    <=> v10481(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2479,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10499(VarNext)
      <=> ( v10500(VarNext)
          & v10495(VarNext) ) ) ) )).

fof(writeUnaryOperator_806,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10500(VarNext)
      <=> v10502(VarNext) ) ) )).

fof(addAssignment_2136,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10502(VarNext)
      <=> v10495(VarCurr) ) ) )).

fof(addAssignment_2135,axiom,(
    ! [VarCurr] :
      ( v10495(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_2134,axiom,(
    ! [VarCurr] :
      ( v10493(VarCurr)
    <=> $false ) )).

fof(addAssignment_2133,axiom,(
    ! [VarCurr] :
      ( v10491(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_2132,axiom,(
    ! [VarCurr] :
      ( v10489(VarCurr)
    <=> $false ) )).

fof(addAssignment_2131,axiom,(
    ! [VarCurr] :
      ( v10487(VarCurr)
    <=> v8288(VarCurr,bitIndex48) ) )).

fof(addAssignment_2130,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex48)
    <=> v8290(VarCurr,bitIndex48) ) )).

fof(addAssignment_2129,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex48)
    <=> v3162(VarCurr,bitIndex48) ) )).

fof(addAssignment_2128,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex48)
    <=> v3164(VarCurr,bitIndex48) ) )).

fof(addAssignment_2127,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex48)
    <=> v3166(VarCurr,bitIndex48) ) )).

fof(addAssignment_2126,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex48)
    <=> v3168(VarCurr,bitIndex48) ) )).

fof(addAssignment_2125,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex48)
    <=> v3170(VarCurr,bitIndex48) ) )).

fof(addAssignment_2124,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex48)
    <=> v3172(VarCurr,bitIndex48) ) )).

fof(addAssignment_2123,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex48)
    <=> v3174(VarCurr,bitIndex48) ) )).

fof(addAssignment_2122,axiom,(
    ! [VarCurr] :
      ( v10485(VarCurr)
    <=> $false ) )).

fof(addAssignment_2121,axiom,(
    ! [VarCurr] :
      ( v10483(VarCurr)
    <=> $false ) )).

fof(addAssignment_2120,axiom,(
    ! [VarCurr] :
      ( v10481(VarCurr)
    <=> $true ) )).

fof(addAssignment_2119,axiom,(
    ! [VarCurr] :
      ( v10479(VarCurr)
    <=> $false ) )).

fof(addAssignment_2118,axiom,(
    ! [VarCurr] :
      ( v10477(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_118,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10430(VarNext)
       => ( v10407(VarNext)
        <=> v10407(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_124,axiom,(
    ! [VarNext] :
      ( v10430(VarNext)
     => ( v10407(VarNext)
      <=> v10465(VarNext) ) ) )).

fof(addAssignment_2117,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10465(VarNext)
      <=> v10463(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_427,axiom,(
    ! [VarCurr] :
      ( ~ v10409(VarCurr)
     => ( v10463(VarCurr)
      <=> v10466(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_429,axiom,(
    ! [VarCurr] :
      ( v10409(VarCurr)
     => ( v10463(VarCurr)
      <=> v10411(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_426,axiom,(
    ! [VarCurr] :
      ( ~ v10443(VarCurr)
     => ( v10466(VarCurr)
      <=> v10425(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_428,axiom,(
    ! [VarCurr] :
      ( v10443(VarCurr)
     => ( v10466(VarCurr)
      <=> v10467(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_195,axiom,(
    ! [VarCurr] :
      ( ( ~ v10446(VarCurr)
        & ~ v10448(VarCurr) )
     => ( v10467(VarCurr)
      <=> v10471(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_425,axiom,(
    ! [VarCurr] :
      ( v10448(VarCurr)
     => ( v10467(VarCurr)
      <=> v10470(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_427,axiom,(
    ! [VarCurr] :
      ( v10446(VarCurr)
     => ( v10467(VarCurr)
      <=> v10468(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_424,axiom,(
    ! [VarCurr] :
      ( ~ v10456(VarCurr)
     => ( v10471(VarCurr)
      <=> v10425(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_426,axiom,(
    ! [VarCurr] :
      ( v10456(VarCurr)
     => ( v10471(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_423,axiom,(
    ! [VarCurr] :
      ( ~ v10450(VarCurr)
     => ( v10470(VarCurr)
      <=> v10425(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_425,axiom,(
    ! [VarCurr] :
      ( v10450(VarCurr)
     => ( v10470(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_285,axiom,(
    ! [VarCurr] :
      ( ~ v10469(VarCurr)
     => ( v10468(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_286,axiom,(
    ! [VarCurr] :
      ( v10469(VarCurr)
     => ( v10468(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_758,axiom,(
    ! [VarCurr] :
      ( v10469(VarCurr)
    <=> ( v10419(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2478,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10430(VarNext)
      <=> ( v10431(VarNext)
          & v10440(VarNext) ) ) ) )).

fof(addAssignment_2116,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10440(VarNext)
      <=> v10438(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2477,axiom,(
    ! [VarCurr] :
      ( v10438(VarCurr)
    <=> ( v10409(VarCurr)
        | v10441(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2476,axiom,(
    ! [VarCurr] :
      ( v10441(VarCurr)
    <=> ( v10442(VarCurr)
        & v10462(VarCurr) ) ) )).

fof(writeUnaryOperator_805,axiom,(
    ! [VarCurr] :
      ( ~ v10462(VarCurr)
    <=> v10409(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2475,axiom,(
    ! [VarCurr] :
      ( v10442(VarCurr)
    <=> ( v10443(VarCurr)
        | v10460(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2474,axiom,(
    ! [VarCurr] :
      ( v10460(VarCurr)
    <=> ( v10421(VarCurr)
        & v10461(VarCurr) ) ) )).

fof(writeUnaryOperator_804,axiom,(
    ! [VarCurr] :
      ( ~ v10461(VarCurr)
    <=> v10423(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2473,axiom,(
    ! [VarCurr] :
      ( v10443(VarCurr)
    <=> ( v10444(VarCurr)
        & v10423(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2472,axiom,(
    ! [VarCurr] :
      ( v10444(VarCurr)
    <=> ( v10445(VarCurr)
        | v10454(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2471,axiom,(
    ! [VarCurr] :
      ( v10454(VarCurr)
    <=> ( v10455(VarCurr)
        & v10459(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_757,axiom,(
    ! [VarCurr] :
      ( v10459(VarCurr)
    <=> ( ( v10447(VarCurr,bitIndex2)
        <=> $false )
        & ( v10447(VarCurr,bitIndex1)
        <=> $false )
        & ( v10447(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2470,axiom,(
    ! [VarCurr] :
      ( v10455(VarCurr)
    <=> ( v10456(VarCurr)
        | v10457(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2469,axiom,(
    ! [VarCurr] :
      ( v10457(VarCurr)
    <=> ( v10421(VarCurr)
        & v10458(VarCurr) ) ) )).

fof(writeUnaryOperator_803,axiom,(
    ! [VarCurr] :
      ( ~ v10458(VarCurr)
    <=> v10456(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_756,axiom,(
    ! [VarCurr] :
      ( v10456(VarCurr)
    <=> ( v10419(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2468,axiom,(
    ! [VarCurr] :
      ( v10445(VarCurr)
    <=> ( v10446(VarCurr)
        | v10448(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2467,axiom,(
    ! [VarCurr] :
      ( v10448(VarCurr)
    <=> ( v10449(VarCurr)
        & v10453(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_755,axiom,(
    ! [VarCurr] :
      ( v10453(VarCurr)
    <=> ( ( v10447(VarCurr,bitIndex2)
        <=> $false )
        & ( v10447(VarCurr,bitIndex1)
        <=> $true )
        & ( v10447(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2466,axiom,(
    ! [VarCurr] :
      ( v10449(VarCurr)
    <=> ( v10450(VarCurr)
        | v10451(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2465,axiom,(
    ! [VarCurr] :
      ( v10451(VarCurr)
    <=> ( v10421(VarCurr)
        & v10452(VarCurr) ) ) )).

fof(writeUnaryOperator_802,axiom,(
    ! [VarCurr] :
      ( ~ v10452(VarCurr)
    <=> v10450(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_754,axiom,(
    ! [VarCurr] :
      ( v10450(VarCurr)
    <=> ( v10419(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_753,axiom,(
    ! [VarCurr] :
      ( v10446(VarCurr)
    <=> ( ( v10447(VarCurr,bitIndex2)
        <=> $true )
        & ( v10447(VarCurr,bitIndex1)
        <=> $false )
        & ( v10447(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2115,axiom,(
    ! [VarCurr] :
      ( v10447(VarCurr,bitIndex0)
    <=> v10417(VarCurr) ) )).

fof(addAssignment_2114,axiom,(
    ! [VarCurr] :
      ( v10447(VarCurr,bitIndex1)
    <=> v10415(VarCurr) ) )).

fof(addAssignment_2113,axiom,(
    ! [VarCurr] :
      ( v10447(VarCurr,bitIndex2)
    <=> v10413(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2464,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10431(VarNext)
      <=> ( v10432(VarNext)
          & v10427(VarNext) ) ) ) )).

fof(writeUnaryOperator_801,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10432(VarNext)
      <=> v10434(VarNext) ) ) )).

fof(addAssignment_2112,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10434(VarNext)
      <=> v10427(VarCurr) ) ) )).

fof(addAssignment_2111,axiom,(
    ! [VarCurr] :
      ( v10427(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_2110,axiom,(
    ! [VarCurr] :
      ( v10425(VarCurr)
    <=> $false ) )).

fof(addAssignment_2109,axiom,(
    ! [VarCurr] :
      ( v10423(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_2108,axiom,(
    ! [VarCurr] :
      ( v10421(VarCurr)
    <=> $false ) )).

fof(addAssignment_2107,axiom,(
    ! [VarCurr] :
      ( v10419(VarCurr)
    <=> v8288(VarCurr,bitIndex47) ) )).

fof(addAssignment_2106,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex47)
    <=> v8290(VarCurr,bitIndex47) ) )).

fof(addAssignment_2105,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex47)
    <=> v3162(VarCurr,bitIndex47) ) )).

fof(addAssignment_2104,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex47)
    <=> v3164(VarCurr,bitIndex47) ) )).

fof(addAssignment_2103,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex47)
    <=> v3166(VarCurr,bitIndex47) ) )).

fof(addAssignment_2102,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex47)
    <=> v3168(VarCurr,bitIndex47) ) )).

fof(addAssignment_2101,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex47)
    <=> v3170(VarCurr,bitIndex47) ) )).

fof(addAssignment_2100,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex47)
    <=> v3172(VarCurr,bitIndex47) ) )).

fof(addAssignment_2099,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex47)
    <=> v3174(VarCurr,bitIndex47) ) )).

fof(addAssignment_2098,axiom,(
    ! [VarCurr] :
      ( v10417(VarCurr)
    <=> $false ) )).

fof(addAssignment_2097,axiom,(
    ! [VarCurr] :
      ( v10415(VarCurr)
    <=> $false ) )).

fof(addAssignment_2096,axiom,(
    ! [VarCurr] :
      ( v10413(VarCurr)
    <=> $true ) )).

fof(addAssignment_2095,axiom,(
    ! [VarCurr] :
      ( v10411(VarCurr)
    <=> $false ) )).

fof(addAssignment_2094,axiom,(
    ! [VarCurr] :
      ( v10409(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_117,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10362(VarNext)
       => ( v10339(VarNext)
        <=> v10339(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_123,axiom,(
    ! [VarNext] :
      ( v10362(VarNext)
     => ( v10339(VarNext)
      <=> v10397(VarNext) ) ) )).

fof(addAssignment_2093,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10397(VarNext)
      <=> v10395(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_422,axiom,(
    ! [VarCurr] :
      ( ~ v10341(VarCurr)
     => ( v10395(VarCurr)
      <=> v10398(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_424,axiom,(
    ! [VarCurr] :
      ( v10341(VarCurr)
     => ( v10395(VarCurr)
      <=> v10343(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_421,axiom,(
    ! [VarCurr] :
      ( ~ v10375(VarCurr)
     => ( v10398(VarCurr)
      <=> v10357(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_423,axiom,(
    ! [VarCurr] :
      ( v10375(VarCurr)
     => ( v10398(VarCurr)
      <=> v10399(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_194,axiom,(
    ! [VarCurr] :
      ( ( ~ v10378(VarCurr)
        & ~ v10380(VarCurr) )
     => ( v10399(VarCurr)
      <=> v10403(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_420,axiom,(
    ! [VarCurr] :
      ( v10380(VarCurr)
     => ( v10399(VarCurr)
      <=> v10402(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_422,axiom,(
    ! [VarCurr] :
      ( v10378(VarCurr)
     => ( v10399(VarCurr)
      <=> v10400(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_419,axiom,(
    ! [VarCurr] :
      ( ~ v10388(VarCurr)
     => ( v10403(VarCurr)
      <=> v10357(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_421,axiom,(
    ! [VarCurr] :
      ( v10388(VarCurr)
     => ( v10403(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_418,axiom,(
    ! [VarCurr] :
      ( ~ v10382(VarCurr)
     => ( v10402(VarCurr)
      <=> v10357(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_420,axiom,(
    ! [VarCurr] :
      ( v10382(VarCurr)
     => ( v10402(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_284,axiom,(
    ! [VarCurr] :
      ( ~ v10401(VarCurr)
     => ( v10400(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_285,axiom,(
    ! [VarCurr] :
      ( v10401(VarCurr)
     => ( v10400(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_752,axiom,(
    ! [VarCurr] :
      ( v10401(VarCurr)
    <=> ( v10351(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2463,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10362(VarNext)
      <=> ( v10363(VarNext)
          & v10372(VarNext) ) ) ) )).

fof(addAssignment_2092,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10372(VarNext)
      <=> v10370(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2462,axiom,(
    ! [VarCurr] :
      ( v10370(VarCurr)
    <=> ( v10341(VarCurr)
        | v10373(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2461,axiom,(
    ! [VarCurr] :
      ( v10373(VarCurr)
    <=> ( v10374(VarCurr)
        & v10394(VarCurr) ) ) )).

fof(writeUnaryOperator_800,axiom,(
    ! [VarCurr] :
      ( ~ v10394(VarCurr)
    <=> v10341(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2460,axiom,(
    ! [VarCurr] :
      ( v10374(VarCurr)
    <=> ( v10375(VarCurr)
        | v10392(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2459,axiom,(
    ! [VarCurr] :
      ( v10392(VarCurr)
    <=> ( v10353(VarCurr)
        & v10393(VarCurr) ) ) )).

fof(writeUnaryOperator_799,axiom,(
    ! [VarCurr] :
      ( ~ v10393(VarCurr)
    <=> v10355(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2458,axiom,(
    ! [VarCurr] :
      ( v10375(VarCurr)
    <=> ( v10376(VarCurr)
        & v10355(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2457,axiom,(
    ! [VarCurr] :
      ( v10376(VarCurr)
    <=> ( v10377(VarCurr)
        | v10386(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2456,axiom,(
    ! [VarCurr] :
      ( v10386(VarCurr)
    <=> ( v10387(VarCurr)
        & v10391(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_751,axiom,(
    ! [VarCurr] :
      ( v10391(VarCurr)
    <=> ( ( v10379(VarCurr,bitIndex2)
        <=> $false )
        & ( v10379(VarCurr,bitIndex1)
        <=> $false )
        & ( v10379(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2455,axiom,(
    ! [VarCurr] :
      ( v10387(VarCurr)
    <=> ( v10388(VarCurr)
        | v10389(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2454,axiom,(
    ! [VarCurr] :
      ( v10389(VarCurr)
    <=> ( v10353(VarCurr)
        & v10390(VarCurr) ) ) )).

fof(writeUnaryOperator_798,axiom,(
    ! [VarCurr] :
      ( ~ v10390(VarCurr)
    <=> v10388(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_750,axiom,(
    ! [VarCurr] :
      ( v10388(VarCurr)
    <=> ( v10351(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2453,axiom,(
    ! [VarCurr] :
      ( v10377(VarCurr)
    <=> ( v10378(VarCurr)
        | v10380(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2452,axiom,(
    ! [VarCurr] :
      ( v10380(VarCurr)
    <=> ( v10381(VarCurr)
        & v10385(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_749,axiom,(
    ! [VarCurr] :
      ( v10385(VarCurr)
    <=> ( ( v10379(VarCurr,bitIndex2)
        <=> $false )
        & ( v10379(VarCurr,bitIndex1)
        <=> $true )
        & ( v10379(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2451,axiom,(
    ! [VarCurr] :
      ( v10381(VarCurr)
    <=> ( v10382(VarCurr)
        | v10383(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2450,axiom,(
    ! [VarCurr] :
      ( v10383(VarCurr)
    <=> ( v10353(VarCurr)
        & v10384(VarCurr) ) ) )).

fof(writeUnaryOperator_797,axiom,(
    ! [VarCurr] :
      ( ~ v10384(VarCurr)
    <=> v10382(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_748,axiom,(
    ! [VarCurr] :
      ( v10382(VarCurr)
    <=> ( v10351(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_747,axiom,(
    ! [VarCurr] :
      ( v10378(VarCurr)
    <=> ( ( v10379(VarCurr,bitIndex2)
        <=> $true )
        & ( v10379(VarCurr,bitIndex1)
        <=> $false )
        & ( v10379(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2091,axiom,(
    ! [VarCurr] :
      ( v10379(VarCurr,bitIndex0)
    <=> v10349(VarCurr) ) )).

fof(addAssignment_2090,axiom,(
    ! [VarCurr] :
      ( v10379(VarCurr,bitIndex1)
    <=> v10347(VarCurr) ) )).

fof(addAssignment_2089,axiom,(
    ! [VarCurr] :
      ( v10379(VarCurr,bitIndex2)
    <=> v10345(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2449,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10363(VarNext)
      <=> ( v10364(VarNext)
          & v10359(VarNext) ) ) ) )).

fof(writeUnaryOperator_796,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10364(VarNext)
      <=> v10366(VarNext) ) ) )).

fof(addAssignment_2088,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10366(VarNext)
      <=> v10359(VarCurr) ) ) )).

fof(addAssignment_2087,axiom,(
    ! [VarCurr] :
      ( v10359(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_2086,axiom,(
    ! [VarCurr] :
      ( v10357(VarCurr)
    <=> $false ) )).

fof(addAssignment_2085,axiom,(
    ! [VarCurr] :
      ( v10355(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_2084,axiom,(
    ! [VarCurr] :
      ( v10353(VarCurr)
    <=> $false ) )).

fof(addAssignment_2083,axiom,(
    ! [VarCurr] :
      ( v10351(VarCurr)
    <=> v8288(VarCurr,bitIndex46) ) )).

fof(addAssignment_2082,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex46)
    <=> v8290(VarCurr,bitIndex46) ) )).

fof(addAssignment_2081,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex46)
    <=> v3162(VarCurr,bitIndex46) ) )).

fof(addAssignment_2080,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex46)
    <=> v3164(VarCurr,bitIndex46) ) )).

fof(addAssignment_2079,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex46)
    <=> v3166(VarCurr,bitIndex46) ) )).

fof(addAssignment_2078,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex46)
    <=> v3168(VarCurr,bitIndex46) ) )).

fof(addAssignment_2077,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex46)
    <=> v3170(VarCurr,bitIndex46) ) )).

fof(addAssignment_2076,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex46)
    <=> v3172(VarCurr,bitIndex46) ) )).

fof(addAssignment_2075,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex46)
    <=> v3174(VarCurr,bitIndex46) ) )).

fof(addAssignment_2074,axiom,(
    ! [VarCurr] :
      ( v10349(VarCurr)
    <=> $false ) )).

fof(addAssignment_2073,axiom,(
    ! [VarCurr] :
      ( v10347(VarCurr)
    <=> $false ) )).

fof(addAssignment_2072,axiom,(
    ! [VarCurr] :
      ( v10345(VarCurr)
    <=> $true ) )).

fof(addAssignment_2071,axiom,(
    ! [VarCurr] :
      ( v10343(VarCurr)
    <=> $false ) )).

fof(addAssignment_2070,axiom,(
    ! [VarCurr] :
      ( v10341(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_116,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10294(VarNext)
       => ( v10271(VarNext)
        <=> v10271(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_122,axiom,(
    ! [VarNext] :
      ( v10294(VarNext)
     => ( v10271(VarNext)
      <=> v10329(VarNext) ) ) )).

fof(addAssignment_2069,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10329(VarNext)
      <=> v10327(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_417,axiom,(
    ! [VarCurr] :
      ( ~ v10273(VarCurr)
     => ( v10327(VarCurr)
      <=> v10330(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_419,axiom,(
    ! [VarCurr] :
      ( v10273(VarCurr)
     => ( v10327(VarCurr)
      <=> v10275(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_416,axiom,(
    ! [VarCurr] :
      ( ~ v10307(VarCurr)
     => ( v10330(VarCurr)
      <=> v10289(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_418,axiom,(
    ! [VarCurr] :
      ( v10307(VarCurr)
     => ( v10330(VarCurr)
      <=> v10331(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_193,axiom,(
    ! [VarCurr] :
      ( ( ~ v10310(VarCurr)
        & ~ v10312(VarCurr) )
     => ( v10331(VarCurr)
      <=> v10335(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_415,axiom,(
    ! [VarCurr] :
      ( v10312(VarCurr)
     => ( v10331(VarCurr)
      <=> v10334(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_417,axiom,(
    ! [VarCurr] :
      ( v10310(VarCurr)
     => ( v10331(VarCurr)
      <=> v10332(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_414,axiom,(
    ! [VarCurr] :
      ( ~ v10320(VarCurr)
     => ( v10335(VarCurr)
      <=> v10289(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_416,axiom,(
    ! [VarCurr] :
      ( v10320(VarCurr)
     => ( v10335(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_413,axiom,(
    ! [VarCurr] :
      ( ~ v10314(VarCurr)
     => ( v10334(VarCurr)
      <=> v10289(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_415,axiom,(
    ! [VarCurr] :
      ( v10314(VarCurr)
     => ( v10334(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_283,axiom,(
    ! [VarCurr] :
      ( ~ v10333(VarCurr)
     => ( v10332(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_284,axiom,(
    ! [VarCurr] :
      ( v10333(VarCurr)
     => ( v10332(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_746,axiom,(
    ! [VarCurr] :
      ( v10333(VarCurr)
    <=> ( v10283(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2448,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10294(VarNext)
      <=> ( v10295(VarNext)
          & v10304(VarNext) ) ) ) )).

fof(addAssignment_2068,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10304(VarNext)
      <=> v10302(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2447,axiom,(
    ! [VarCurr] :
      ( v10302(VarCurr)
    <=> ( v10273(VarCurr)
        | v10305(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2446,axiom,(
    ! [VarCurr] :
      ( v10305(VarCurr)
    <=> ( v10306(VarCurr)
        & v10326(VarCurr) ) ) )).

fof(writeUnaryOperator_795,axiom,(
    ! [VarCurr] :
      ( ~ v10326(VarCurr)
    <=> v10273(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2445,axiom,(
    ! [VarCurr] :
      ( v10306(VarCurr)
    <=> ( v10307(VarCurr)
        | v10324(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2444,axiom,(
    ! [VarCurr] :
      ( v10324(VarCurr)
    <=> ( v10285(VarCurr)
        & v10325(VarCurr) ) ) )).

fof(writeUnaryOperator_794,axiom,(
    ! [VarCurr] :
      ( ~ v10325(VarCurr)
    <=> v10287(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2443,axiom,(
    ! [VarCurr] :
      ( v10307(VarCurr)
    <=> ( v10308(VarCurr)
        & v10287(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2442,axiom,(
    ! [VarCurr] :
      ( v10308(VarCurr)
    <=> ( v10309(VarCurr)
        | v10318(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2441,axiom,(
    ! [VarCurr] :
      ( v10318(VarCurr)
    <=> ( v10319(VarCurr)
        & v10323(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_745,axiom,(
    ! [VarCurr] :
      ( v10323(VarCurr)
    <=> ( ( v10311(VarCurr,bitIndex2)
        <=> $false )
        & ( v10311(VarCurr,bitIndex1)
        <=> $false )
        & ( v10311(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2440,axiom,(
    ! [VarCurr] :
      ( v10319(VarCurr)
    <=> ( v10320(VarCurr)
        | v10321(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2439,axiom,(
    ! [VarCurr] :
      ( v10321(VarCurr)
    <=> ( v10285(VarCurr)
        & v10322(VarCurr) ) ) )).

fof(writeUnaryOperator_793,axiom,(
    ! [VarCurr] :
      ( ~ v10322(VarCurr)
    <=> v10320(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_744,axiom,(
    ! [VarCurr] :
      ( v10320(VarCurr)
    <=> ( v10283(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2438,axiom,(
    ! [VarCurr] :
      ( v10309(VarCurr)
    <=> ( v10310(VarCurr)
        | v10312(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2437,axiom,(
    ! [VarCurr] :
      ( v10312(VarCurr)
    <=> ( v10313(VarCurr)
        & v10317(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_743,axiom,(
    ! [VarCurr] :
      ( v10317(VarCurr)
    <=> ( ( v10311(VarCurr,bitIndex2)
        <=> $false )
        & ( v10311(VarCurr,bitIndex1)
        <=> $true )
        & ( v10311(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2436,axiom,(
    ! [VarCurr] :
      ( v10313(VarCurr)
    <=> ( v10314(VarCurr)
        | v10315(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2435,axiom,(
    ! [VarCurr] :
      ( v10315(VarCurr)
    <=> ( v10285(VarCurr)
        & v10316(VarCurr) ) ) )).

fof(writeUnaryOperator_792,axiom,(
    ! [VarCurr] :
      ( ~ v10316(VarCurr)
    <=> v10314(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_742,axiom,(
    ! [VarCurr] :
      ( v10314(VarCurr)
    <=> ( v10283(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_741,axiom,(
    ! [VarCurr] :
      ( v10310(VarCurr)
    <=> ( ( v10311(VarCurr,bitIndex2)
        <=> $true )
        & ( v10311(VarCurr,bitIndex1)
        <=> $false )
        & ( v10311(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2067,axiom,(
    ! [VarCurr] :
      ( v10311(VarCurr,bitIndex0)
    <=> v10281(VarCurr) ) )).

fof(addAssignment_2066,axiom,(
    ! [VarCurr] :
      ( v10311(VarCurr,bitIndex1)
    <=> v10279(VarCurr) ) )).

fof(addAssignment_2065,axiom,(
    ! [VarCurr] :
      ( v10311(VarCurr,bitIndex2)
    <=> v10277(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2434,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10295(VarNext)
      <=> ( v10296(VarNext)
          & v10291(VarNext) ) ) ) )).

fof(writeUnaryOperator_791,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10296(VarNext)
      <=> v10298(VarNext) ) ) )).

fof(addAssignment_2064,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10298(VarNext)
      <=> v10291(VarCurr) ) ) )).

fof(addAssignment_2063,axiom,(
    ! [VarCurr] :
      ( v10291(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_2062,axiom,(
    ! [VarCurr] :
      ( v10289(VarCurr)
    <=> $false ) )).

fof(addAssignment_2061,axiom,(
    ! [VarCurr] :
      ( v10287(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_2060,axiom,(
    ! [VarCurr] :
      ( v10285(VarCurr)
    <=> $false ) )).

fof(addAssignment_2059,axiom,(
    ! [VarCurr] :
      ( v10283(VarCurr)
    <=> v8288(VarCurr,bitIndex45) ) )).

fof(addAssignment_2058,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex45)
    <=> v8290(VarCurr,bitIndex45) ) )).

fof(addAssignment_2057,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex45)
    <=> v3162(VarCurr,bitIndex45) ) )).

fof(addAssignment_2056,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex45)
    <=> v3164(VarCurr,bitIndex45) ) )).

fof(addAssignment_2055,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex45)
    <=> v3166(VarCurr,bitIndex45) ) )).

fof(addAssignment_2054,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex45)
    <=> v3168(VarCurr,bitIndex45) ) )).

fof(addAssignment_2053,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex45)
    <=> v3170(VarCurr,bitIndex45) ) )).

fof(addAssignment_2052,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex45)
    <=> v3172(VarCurr,bitIndex45) ) )).

fof(addAssignment_2051,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex45)
    <=> v3174(VarCurr,bitIndex45) ) )).

fof(addAssignment_2050,axiom,(
    ! [VarCurr] :
      ( v10281(VarCurr)
    <=> $false ) )).

fof(addAssignment_2049,axiom,(
    ! [VarCurr] :
      ( v10279(VarCurr)
    <=> $false ) )).

fof(addAssignment_2048,axiom,(
    ! [VarCurr] :
      ( v10277(VarCurr)
    <=> $true ) )).

fof(addAssignment_2047,axiom,(
    ! [VarCurr] :
      ( v10275(VarCurr)
    <=> $false ) )).

fof(addAssignment_2046,axiom,(
    ! [VarCurr] :
      ( v10273(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_115,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10226(VarNext)
       => ( v10203(VarNext)
        <=> v10203(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_121,axiom,(
    ! [VarNext] :
      ( v10226(VarNext)
     => ( v10203(VarNext)
      <=> v10261(VarNext) ) ) )).

fof(addAssignment_2045,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10261(VarNext)
      <=> v10259(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_412,axiom,(
    ! [VarCurr] :
      ( ~ v10205(VarCurr)
     => ( v10259(VarCurr)
      <=> v10262(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_414,axiom,(
    ! [VarCurr] :
      ( v10205(VarCurr)
     => ( v10259(VarCurr)
      <=> v10207(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_411,axiom,(
    ! [VarCurr] :
      ( ~ v10239(VarCurr)
     => ( v10262(VarCurr)
      <=> v10221(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_413,axiom,(
    ! [VarCurr] :
      ( v10239(VarCurr)
     => ( v10262(VarCurr)
      <=> v10263(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_192,axiom,(
    ! [VarCurr] :
      ( ( ~ v10242(VarCurr)
        & ~ v10244(VarCurr) )
     => ( v10263(VarCurr)
      <=> v10267(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_410,axiom,(
    ! [VarCurr] :
      ( v10244(VarCurr)
     => ( v10263(VarCurr)
      <=> v10266(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_412,axiom,(
    ! [VarCurr] :
      ( v10242(VarCurr)
     => ( v10263(VarCurr)
      <=> v10264(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_409,axiom,(
    ! [VarCurr] :
      ( ~ v10252(VarCurr)
     => ( v10267(VarCurr)
      <=> v10221(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_411,axiom,(
    ! [VarCurr] :
      ( v10252(VarCurr)
     => ( v10267(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_408,axiom,(
    ! [VarCurr] :
      ( ~ v10246(VarCurr)
     => ( v10266(VarCurr)
      <=> v10221(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_410,axiom,(
    ! [VarCurr] :
      ( v10246(VarCurr)
     => ( v10266(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_282,axiom,(
    ! [VarCurr] :
      ( ~ v10265(VarCurr)
     => ( v10264(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_283,axiom,(
    ! [VarCurr] :
      ( v10265(VarCurr)
     => ( v10264(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_740,axiom,(
    ! [VarCurr] :
      ( v10265(VarCurr)
    <=> ( v10215(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2433,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10226(VarNext)
      <=> ( v10227(VarNext)
          & v10236(VarNext) ) ) ) )).

fof(addAssignment_2044,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10236(VarNext)
      <=> v10234(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2432,axiom,(
    ! [VarCurr] :
      ( v10234(VarCurr)
    <=> ( v10205(VarCurr)
        | v10237(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2431,axiom,(
    ! [VarCurr] :
      ( v10237(VarCurr)
    <=> ( v10238(VarCurr)
        & v10258(VarCurr) ) ) )).

fof(writeUnaryOperator_790,axiom,(
    ! [VarCurr] :
      ( ~ v10258(VarCurr)
    <=> v10205(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2430,axiom,(
    ! [VarCurr] :
      ( v10238(VarCurr)
    <=> ( v10239(VarCurr)
        | v10256(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2429,axiom,(
    ! [VarCurr] :
      ( v10256(VarCurr)
    <=> ( v10217(VarCurr)
        & v10257(VarCurr) ) ) )).

fof(writeUnaryOperator_789,axiom,(
    ! [VarCurr] :
      ( ~ v10257(VarCurr)
    <=> v10219(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2428,axiom,(
    ! [VarCurr] :
      ( v10239(VarCurr)
    <=> ( v10240(VarCurr)
        & v10219(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2427,axiom,(
    ! [VarCurr] :
      ( v10240(VarCurr)
    <=> ( v10241(VarCurr)
        | v10250(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2426,axiom,(
    ! [VarCurr] :
      ( v10250(VarCurr)
    <=> ( v10251(VarCurr)
        & v10255(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_739,axiom,(
    ! [VarCurr] :
      ( v10255(VarCurr)
    <=> ( ( v10243(VarCurr,bitIndex2)
        <=> $false )
        & ( v10243(VarCurr,bitIndex1)
        <=> $false )
        & ( v10243(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2425,axiom,(
    ! [VarCurr] :
      ( v10251(VarCurr)
    <=> ( v10252(VarCurr)
        | v10253(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2424,axiom,(
    ! [VarCurr] :
      ( v10253(VarCurr)
    <=> ( v10217(VarCurr)
        & v10254(VarCurr) ) ) )).

fof(writeUnaryOperator_788,axiom,(
    ! [VarCurr] :
      ( ~ v10254(VarCurr)
    <=> v10252(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_738,axiom,(
    ! [VarCurr] :
      ( v10252(VarCurr)
    <=> ( v10215(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2423,axiom,(
    ! [VarCurr] :
      ( v10241(VarCurr)
    <=> ( v10242(VarCurr)
        | v10244(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2422,axiom,(
    ! [VarCurr] :
      ( v10244(VarCurr)
    <=> ( v10245(VarCurr)
        & v10249(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_737,axiom,(
    ! [VarCurr] :
      ( v10249(VarCurr)
    <=> ( ( v10243(VarCurr,bitIndex2)
        <=> $false )
        & ( v10243(VarCurr,bitIndex1)
        <=> $true )
        & ( v10243(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2421,axiom,(
    ! [VarCurr] :
      ( v10245(VarCurr)
    <=> ( v10246(VarCurr)
        | v10247(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2420,axiom,(
    ! [VarCurr] :
      ( v10247(VarCurr)
    <=> ( v10217(VarCurr)
        & v10248(VarCurr) ) ) )).

fof(writeUnaryOperator_787,axiom,(
    ! [VarCurr] :
      ( ~ v10248(VarCurr)
    <=> v10246(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_736,axiom,(
    ! [VarCurr] :
      ( v10246(VarCurr)
    <=> ( v10215(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_735,axiom,(
    ! [VarCurr] :
      ( v10242(VarCurr)
    <=> ( ( v10243(VarCurr,bitIndex2)
        <=> $true )
        & ( v10243(VarCurr,bitIndex1)
        <=> $false )
        & ( v10243(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2043,axiom,(
    ! [VarCurr] :
      ( v10243(VarCurr,bitIndex0)
    <=> v10213(VarCurr) ) )).

fof(addAssignment_2042,axiom,(
    ! [VarCurr] :
      ( v10243(VarCurr,bitIndex1)
    <=> v10211(VarCurr) ) )).

fof(addAssignment_2041,axiom,(
    ! [VarCurr] :
      ( v10243(VarCurr,bitIndex2)
    <=> v10209(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2419,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10227(VarNext)
      <=> ( v10228(VarNext)
          & v10223(VarNext) ) ) ) )).

fof(writeUnaryOperator_786,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10228(VarNext)
      <=> v10230(VarNext) ) ) )).

fof(addAssignment_2040,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10230(VarNext)
      <=> v10223(VarCurr) ) ) )).

fof(addAssignment_2039,axiom,(
    ! [VarCurr] :
      ( v10223(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_2038,axiom,(
    ! [VarCurr] :
      ( v10221(VarCurr)
    <=> $false ) )).

fof(addAssignment_2037,axiom,(
    ! [VarCurr] :
      ( v10219(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_2036,axiom,(
    ! [VarCurr] :
      ( v10217(VarCurr)
    <=> $false ) )).

fof(addAssignment_2035,axiom,(
    ! [VarCurr] :
      ( v10215(VarCurr)
    <=> v8288(VarCurr,bitIndex44) ) )).

fof(addAssignment_2034,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex44)
    <=> v8290(VarCurr,bitIndex44) ) )).

fof(addAssignment_2033,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex44)
    <=> v3162(VarCurr,bitIndex44) ) )).

fof(addAssignment_2032,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex44)
    <=> v3164(VarCurr,bitIndex44) ) )).

fof(addAssignment_2031,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex44)
    <=> v3166(VarCurr,bitIndex44) ) )).

fof(addAssignment_2030,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex44)
    <=> v3168(VarCurr,bitIndex44) ) )).

fof(addAssignment_2029,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex44)
    <=> v3170(VarCurr,bitIndex44) ) )).

fof(addAssignment_2028,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex44)
    <=> v3172(VarCurr,bitIndex44) ) )).

fof(addAssignment_2027,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex44)
    <=> v3174(VarCurr,bitIndex44) ) )).

fof(addAssignment_2026,axiom,(
    ! [VarCurr] :
      ( v10213(VarCurr)
    <=> $false ) )).

fof(addAssignment_2025,axiom,(
    ! [VarCurr] :
      ( v10211(VarCurr)
    <=> $false ) )).

fof(addAssignment_2024,axiom,(
    ! [VarCurr] :
      ( v10209(VarCurr)
    <=> $true ) )).

fof(addAssignment_2023,axiom,(
    ! [VarCurr] :
      ( v10207(VarCurr)
    <=> $false ) )).

fof(addAssignment_2022,axiom,(
    ! [VarCurr] :
      ( v10205(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_114,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10158(VarNext)
       => ( v10135(VarNext)
        <=> v10135(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_120,axiom,(
    ! [VarNext] :
      ( v10158(VarNext)
     => ( v10135(VarNext)
      <=> v10193(VarNext) ) ) )).

fof(addAssignment_2021,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10193(VarNext)
      <=> v10191(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_407,axiom,(
    ! [VarCurr] :
      ( ~ v10137(VarCurr)
     => ( v10191(VarCurr)
      <=> v10194(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_409,axiom,(
    ! [VarCurr] :
      ( v10137(VarCurr)
     => ( v10191(VarCurr)
      <=> v10139(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_406,axiom,(
    ! [VarCurr] :
      ( ~ v10171(VarCurr)
     => ( v10194(VarCurr)
      <=> v10153(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_408,axiom,(
    ! [VarCurr] :
      ( v10171(VarCurr)
     => ( v10194(VarCurr)
      <=> v10195(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_191,axiom,(
    ! [VarCurr] :
      ( ( ~ v10174(VarCurr)
        & ~ v10176(VarCurr) )
     => ( v10195(VarCurr)
      <=> v10199(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_405,axiom,(
    ! [VarCurr] :
      ( v10176(VarCurr)
     => ( v10195(VarCurr)
      <=> v10198(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_407,axiom,(
    ! [VarCurr] :
      ( v10174(VarCurr)
     => ( v10195(VarCurr)
      <=> v10196(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_404,axiom,(
    ! [VarCurr] :
      ( ~ v10184(VarCurr)
     => ( v10199(VarCurr)
      <=> v10153(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_406,axiom,(
    ! [VarCurr] :
      ( v10184(VarCurr)
     => ( v10199(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_403,axiom,(
    ! [VarCurr] :
      ( ~ v10178(VarCurr)
     => ( v10198(VarCurr)
      <=> v10153(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_405,axiom,(
    ! [VarCurr] :
      ( v10178(VarCurr)
     => ( v10198(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_281,axiom,(
    ! [VarCurr] :
      ( ~ v10197(VarCurr)
     => ( v10196(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_282,axiom,(
    ! [VarCurr] :
      ( v10197(VarCurr)
     => ( v10196(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_734,axiom,(
    ! [VarCurr] :
      ( v10197(VarCurr)
    <=> ( v10147(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2418,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10158(VarNext)
      <=> ( v10159(VarNext)
          & v10168(VarNext) ) ) ) )).

fof(addAssignment_2020,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10168(VarNext)
      <=> v10166(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2417,axiom,(
    ! [VarCurr] :
      ( v10166(VarCurr)
    <=> ( v10137(VarCurr)
        | v10169(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2416,axiom,(
    ! [VarCurr] :
      ( v10169(VarCurr)
    <=> ( v10170(VarCurr)
        & v10190(VarCurr) ) ) )).

fof(writeUnaryOperator_785,axiom,(
    ! [VarCurr] :
      ( ~ v10190(VarCurr)
    <=> v10137(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2415,axiom,(
    ! [VarCurr] :
      ( v10170(VarCurr)
    <=> ( v10171(VarCurr)
        | v10188(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2414,axiom,(
    ! [VarCurr] :
      ( v10188(VarCurr)
    <=> ( v10149(VarCurr)
        & v10189(VarCurr) ) ) )).

fof(writeUnaryOperator_784,axiom,(
    ! [VarCurr] :
      ( ~ v10189(VarCurr)
    <=> v10151(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2413,axiom,(
    ! [VarCurr] :
      ( v10171(VarCurr)
    <=> ( v10172(VarCurr)
        & v10151(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2412,axiom,(
    ! [VarCurr] :
      ( v10172(VarCurr)
    <=> ( v10173(VarCurr)
        | v10182(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2411,axiom,(
    ! [VarCurr] :
      ( v10182(VarCurr)
    <=> ( v10183(VarCurr)
        & v10187(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_733,axiom,(
    ! [VarCurr] :
      ( v10187(VarCurr)
    <=> ( ( v10175(VarCurr,bitIndex2)
        <=> $false )
        & ( v10175(VarCurr,bitIndex1)
        <=> $false )
        & ( v10175(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2410,axiom,(
    ! [VarCurr] :
      ( v10183(VarCurr)
    <=> ( v10184(VarCurr)
        | v10185(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2409,axiom,(
    ! [VarCurr] :
      ( v10185(VarCurr)
    <=> ( v10149(VarCurr)
        & v10186(VarCurr) ) ) )).

fof(writeUnaryOperator_783,axiom,(
    ! [VarCurr] :
      ( ~ v10186(VarCurr)
    <=> v10184(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_732,axiom,(
    ! [VarCurr] :
      ( v10184(VarCurr)
    <=> ( v10147(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2408,axiom,(
    ! [VarCurr] :
      ( v10173(VarCurr)
    <=> ( v10174(VarCurr)
        | v10176(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2407,axiom,(
    ! [VarCurr] :
      ( v10176(VarCurr)
    <=> ( v10177(VarCurr)
        & v10181(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_731,axiom,(
    ! [VarCurr] :
      ( v10181(VarCurr)
    <=> ( ( v10175(VarCurr,bitIndex2)
        <=> $false )
        & ( v10175(VarCurr,bitIndex1)
        <=> $true )
        & ( v10175(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2406,axiom,(
    ! [VarCurr] :
      ( v10177(VarCurr)
    <=> ( v10178(VarCurr)
        | v10179(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2405,axiom,(
    ! [VarCurr] :
      ( v10179(VarCurr)
    <=> ( v10149(VarCurr)
        & v10180(VarCurr) ) ) )).

fof(writeUnaryOperator_782,axiom,(
    ! [VarCurr] :
      ( ~ v10180(VarCurr)
    <=> v10178(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_730,axiom,(
    ! [VarCurr] :
      ( v10178(VarCurr)
    <=> ( v10147(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_729,axiom,(
    ! [VarCurr] :
      ( v10174(VarCurr)
    <=> ( ( v10175(VarCurr,bitIndex2)
        <=> $true )
        & ( v10175(VarCurr,bitIndex1)
        <=> $false )
        & ( v10175(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_2019,axiom,(
    ! [VarCurr] :
      ( v10175(VarCurr,bitIndex0)
    <=> v10145(VarCurr) ) )).

fof(addAssignment_2018,axiom,(
    ! [VarCurr] :
      ( v10175(VarCurr,bitIndex1)
    <=> v10143(VarCurr) ) )).

fof(addAssignment_2017,axiom,(
    ! [VarCurr] :
      ( v10175(VarCurr,bitIndex2)
    <=> v10141(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2404,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10159(VarNext)
      <=> ( v10160(VarNext)
          & v10155(VarNext) ) ) ) )).

fof(writeUnaryOperator_781,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10160(VarNext)
      <=> v10162(VarNext) ) ) )).

fof(addAssignment_2016,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10162(VarNext)
      <=> v10155(VarCurr) ) ) )).

fof(addAssignment_2015,axiom,(
    ! [VarCurr] :
      ( v10155(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_2014,axiom,(
    ! [VarCurr] :
      ( v10153(VarCurr)
    <=> $false ) )).

fof(addAssignment_2013,axiom,(
    ! [VarCurr] :
      ( v10151(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_2012,axiom,(
    ! [VarCurr] :
      ( v10149(VarCurr)
    <=> $false ) )).

fof(addAssignment_2011,axiom,(
    ! [VarCurr] :
      ( v10147(VarCurr)
    <=> v8288(VarCurr,bitIndex43) ) )).

fof(addAssignment_2010,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex43)
    <=> v8290(VarCurr,bitIndex43) ) )).

fof(addAssignment_2009,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex43)
    <=> v3162(VarCurr,bitIndex43) ) )).

fof(addAssignment_2008,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex43)
    <=> v3164(VarCurr,bitIndex43) ) )).

fof(addAssignment_2007,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex43)
    <=> v3166(VarCurr,bitIndex43) ) )).

fof(addAssignment_2006,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex43)
    <=> v3168(VarCurr,bitIndex43) ) )).

fof(addAssignment_2005,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex43)
    <=> v3170(VarCurr,bitIndex43) ) )).

fof(addAssignment_2004,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex43)
    <=> v3172(VarCurr,bitIndex43) ) )).

fof(addAssignment_2003,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex43)
    <=> v3174(VarCurr,bitIndex43) ) )).

fof(addAssignment_2002,axiom,(
    ! [VarCurr] :
      ( v10145(VarCurr)
    <=> $false ) )).

fof(addAssignment_2001,axiom,(
    ! [VarCurr] :
      ( v10143(VarCurr)
    <=> $false ) )).

fof(addAssignment_2000,axiom,(
    ! [VarCurr] :
      ( v10141(VarCurr)
    <=> $true ) )).

fof(addAssignment_1999,axiom,(
    ! [VarCurr] :
      ( v10139(VarCurr)
    <=> $false ) )).

fof(addAssignment_1998,axiom,(
    ! [VarCurr] :
      ( v10137(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_113,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10090(VarNext)
       => ( v10067(VarNext)
        <=> v10067(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_119,axiom,(
    ! [VarNext] :
      ( v10090(VarNext)
     => ( v10067(VarNext)
      <=> v10125(VarNext) ) ) )).

fof(addAssignment_1997,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10125(VarNext)
      <=> v10123(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_402,axiom,(
    ! [VarCurr] :
      ( ~ v10069(VarCurr)
     => ( v10123(VarCurr)
      <=> v10126(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_404,axiom,(
    ! [VarCurr] :
      ( v10069(VarCurr)
     => ( v10123(VarCurr)
      <=> v10071(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_401,axiom,(
    ! [VarCurr] :
      ( ~ v10103(VarCurr)
     => ( v10126(VarCurr)
      <=> v10085(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_403,axiom,(
    ! [VarCurr] :
      ( v10103(VarCurr)
     => ( v10126(VarCurr)
      <=> v10127(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_190,axiom,(
    ! [VarCurr] :
      ( ( ~ v10106(VarCurr)
        & ~ v10108(VarCurr) )
     => ( v10127(VarCurr)
      <=> v10131(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_400,axiom,(
    ! [VarCurr] :
      ( v10108(VarCurr)
     => ( v10127(VarCurr)
      <=> v10130(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_402,axiom,(
    ! [VarCurr] :
      ( v10106(VarCurr)
     => ( v10127(VarCurr)
      <=> v10128(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_399,axiom,(
    ! [VarCurr] :
      ( ~ v10116(VarCurr)
     => ( v10131(VarCurr)
      <=> v10085(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_401,axiom,(
    ! [VarCurr] :
      ( v10116(VarCurr)
     => ( v10131(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_398,axiom,(
    ! [VarCurr] :
      ( ~ v10110(VarCurr)
     => ( v10130(VarCurr)
      <=> v10085(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_400,axiom,(
    ! [VarCurr] :
      ( v10110(VarCurr)
     => ( v10130(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_280,axiom,(
    ! [VarCurr] :
      ( ~ v10129(VarCurr)
     => ( v10128(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_281,axiom,(
    ! [VarCurr] :
      ( v10129(VarCurr)
     => ( v10128(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_728,axiom,(
    ! [VarCurr] :
      ( v10129(VarCurr)
    <=> ( v10079(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2403,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10090(VarNext)
      <=> ( v10091(VarNext)
          & v10100(VarNext) ) ) ) )).

fof(addAssignment_1996,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10100(VarNext)
      <=> v10098(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2402,axiom,(
    ! [VarCurr] :
      ( v10098(VarCurr)
    <=> ( v10069(VarCurr)
        | v10101(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2401,axiom,(
    ! [VarCurr] :
      ( v10101(VarCurr)
    <=> ( v10102(VarCurr)
        & v10122(VarCurr) ) ) )).

fof(writeUnaryOperator_780,axiom,(
    ! [VarCurr] :
      ( ~ v10122(VarCurr)
    <=> v10069(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2400,axiom,(
    ! [VarCurr] :
      ( v10102(VarCurr)
    <=> ( v10103(VarCurr)
        | v10120(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2399,axiom,(
    ! [VarCurr] :
      ( v10120(VarCurr)
    <=> ( v10081(VarCurr)
        & v10121(VarCurr) ) ) )).

fof(writeUnaryOperator_779,axiom,(
    ! [VarCurr] :
      ( ~ v10121(VarCurr)
    <=> v10083(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2398,axiom,(
    ! [VarCurr] :
      ( v10103(VarCurr)
    <=> ( v10104(VarCurr)
        & v10083(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2397,axiom,(
    ! [VarCurr] :
      ( v10104(VarCurr)
    <=> ( v10105(VarCurr)
        | v10114(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2396,axiom,(
    ! [VarCurr] :
      ( v10114(VarCurr)
    <=> ( v10115(VarCurr)
        & v10119(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_727,axiom,(
    ! [VarCurr] :
      ( v10119(VarCurr)
    <=> ( ( v10107(VarCurr,bitIndex2)
        <=> $false )
        & ( v10107(VarCurr,bitIndex1)
        <=> $false )
        & ( v10107(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2395,axiom,(
    ! [VarCurr] :
      ( v10115(VarCurr)
    <=> ( v10116(VarCurr)
        | v10117(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2394,axiom,(
    ! [VarCurr] :
      ( v10117(VarCurr)
    <=> ( v10081(VarCurr)
        & v10118(VarCurr) ) ) )).

fof(writeUnaryOperator_778,axiom,(
    ! [VarCurr] :
      ( ~ v10118(VarCurr)
    <=> v10116(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_726,axiom,(
    ! [VarCurr] :
      ( v10116(VarCurr)
    <=> ( v10079(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2393,axiom,(
    ! [VarCurr] :
      ( v10105(VarCurr)
    <=> ( v10106(VarCurr)
        | v10108(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2392,axiom,(
    ! [VarCurr] :
      ( v10108(VarCurr)
    <=> ( v10109(VarCurr)
        & v10113(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_725,axiom,(
    ! [VarCurr] :
      ( v10113(VarCurr)
    <=> ( ( v10107(VarCurr,bitIndex2)
        <=> $false )
        & ( v10107(VarCurr,bitIndex1)
        <=> $true )
        & ( v10107(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2391,axiom,(
    ! [VarCurr] :
      ( v10109(VarCurr)
    <=> ( v10110(VarCurr)
        | v10111(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2390,axiom,(
    ! [VarCurr] :
      ( v10111(VarCurr)
    <=> ( v10081(VarCurr)
        & v10112(VarCurr) ) ) )).

fof(writeUnaryOperator_777,axiom,(
    ! [VarCurr] :
      ( ~ v10112(VarCurr)
    <=> v10110(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_724,axiom,(
    ! [VarCurr] :
      ( v10110(VarCurr)
    <=> ( v10079(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_723,axiom,(
    ! [VarCurr] :
      ( v10106(VarCurr)
    <=> ( ( v10107(VarCurr,bitIndex2)
        <=> $true )
        & ( v10107(VarCurr,bitIndex1)
        <=> $false )
        & ( v10107(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1995,axiom,(
    ! [VarCurr] :
      ( v10107(VarCurr,bitIndex0)
    <=> v10077(VarCurr) ) )).

fof(addAssignment_1994,axiom,(
    ! [VarCurr] :
      ( v10107(VarCurr,bitIndex1)
    <=> v10075(VarCurr) ) )).

fof(addAssignment_1993,axiom,(
    ! [VarCurr] :
      ( v10107(VarCurr,bitIndex2)
    <=> v10073(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2389,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10091(VarNext)
      <=> ( v10092(VarNext)
          & v10087(VarNext) ) ) ) )).

fof(writeUnaryOperator_776,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10092(VarNext)
      <=> v10094(VarNext) ) ) )).

fof(addAssignment_1992,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10094(VarNext)
      <=> v10087(VarCurr) ) ) )).

fof(addAssignment_1991,axiom,(
    ! [VarCurr] :
      ( v10087(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_1990,axiom,(
    ! [VarCurr] :
      ( v10085(VarCurr)
    <=> $false ) )).

fof(addAssignment_1989,axiom,(
    ! [VarCurr] :
      ( v10083(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_1988,axiom,(
    ! [VarCurr] :
      ( v10081(VarCurr)
    <=> $false ) )).

fof(addAssignment_1987,axiom,(
    ! [VarCurr] :
      ( v10079(VarCurr)
    <=> v8288(VarCurr,bitIndex42) ) )).

fof(addAssignment_1986,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex42)
    <=> v8290(VarCurr,bitIndex42) ) )).

fof(addAssignment_1985,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex42)
    <=> v3162(VarCurr,bitIndex42) ) )).

fof(addAssignment_1984,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex42)
    <=> v3164(VarCurr,bitIndex42) ) )).

fof(addAssignment_1983,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex42)
    <=> v3166(VarCurr,bitIndex42) ) )).

fof(addAssignment_1982,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex42)
    <=> v3168(VarCurr,bitIndex42) ) )).

fof(addAssignment_1981,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex42)
    <=> v3170(VarCurr,bitIndex42) ) )).

fof(addAssignment_1980,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex42)
    <=> v3172(VarCurr,bitIndex42) ) )).

fof(addAssignment_1979,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex42)
    <=> v3174(VarCurr,bitIndex42) ) )).

fof(addAssignment_1978,axiom,(
    ! [VarCurr] :
      ( v10077(VarCurr)
    <=> $false ) )).

fof(addAssignment_1977,axiom,(
    ! [VarCurr] :
      ( v10075(VarCurr)
    <=> $false ) )).

fof(addAssignment_1976,axiom,(
    ! [VarCurr] :
      ( v10073(VarCurr)
    <=> $true ) )).

fof(addAssignment_1975,axiom,(
    ! [VarCurr] :
      ( v10071(VarCurr)
    <=> $false ) )).

fof(addAssignment_1974,axiom,(
    ! [VarCurr] :
      ( v10069(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_112,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10022(VarNext)
       => ( v9999(VarNext)
        <=> v9999(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_118,axiom,(
    ! [VarNext] :
      ( v10022(VarNext)
     => ( v9999(VarNext)
      <=> v10057(VarNext) ) ) )).

fof(addAssignment_1973,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10057(VarNext)
      <=> v10055(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_397,axiom,(
    ! [VarCurr] :
      ( ~ v10001(VarCurr)
     => ( v10055(VarCurr)
      <=> v10058(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_399,axiom,(
    ! [VarCurr] :
      ( v10001(VarCurr)
     => ( v10055(VarCurr)
      <=> v10003(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_396,axiom,(
    ! [VarCurr] :
      ( ~ v10035(VarCurr)
     => ( v10058(VarCurr)
      <=> v10017(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_398,axiom,(
    ! [VarCurr] :
      ( v10035(VarCurr)
     => ( v10058(VarCurr)
      <=> v10059(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_189,axiom,(
    ! [VarCurr] :
      ( ( ~ v10038(VarCurr)
        & ~ v10040(VarCurr) )
     => ( v10059(VarCurr)
      <=> v10063(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_395,axiom,(
    ! [VarCurr] :
      ( v10040(VarCurr)
     => ( v10059(VarCurr)
      <=> v10062(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_397,axiom,(
    ! [VarCurr] :
      ( v10038(VarCurr)
     => ( v10059(VarCurr)
      <=> v10060(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_394,axiom,(
    ! [VarCurr] :
      ( ~ v10048(VarCurr)
     => ( v10063(VarCurr)
      <=> v10017(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_396,axiom,(
    ! [VarCurr] :
      ( v10048(VarCurr)
     => ( v10063(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_393,axiom,(
    ! [VarCurr] :
      ( ~ v10042(VarCurr)
     => ( v10062(VarCurr)
      <=> v10017(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_395,axiom,(
    ! [VarCurr] :
      ( v10042(VarCurr)
     => ( v10062(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_279,axiom,(
    ! [VarCurr] :
      ( ~ v10061(VarCurr)
     => ( v10060(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_280,axiom,(
    ! [VarCurr] :
      ( v10061(VarCurr)
     => ( v10060(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_722,axiom,(
    ! [VarCurr] :
      ( v10061(VarCurr)
    <=> ( v10011(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2388,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10022(VarNext)
      <=> ( v10023(VarNext)
          & v10032(VarNext) ) ) ) )).

fof(addAssignment_1972,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10032(VarNext)
      <=> v10030(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2387,axiom,(
    ! [VarCurr] :
      ( v10030(VarCurr)
    <=> ( v10001(VarCurr)
        | v10033(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2386,axiom,(
    ! [VarCurr] :
      ( v10033(VarCurr)
    <=> ( v10034(VarCurr)
        & v10054(VarCurr) ) ) )).

fof(writeUnaryOperator_775,axiom,(
    ! [VarCurr] :
      ( ~ v10054(VarCurr)
    <=> v10001(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2385,axiom,(
    ! [VarCurr] :
      ( v10034(VarCurr)
    <=> ( v10035(VarCurr)
        | v10052(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2384,axiom,(
    ! [VarCurr] :
      ( v10052(VarCurr)
    <=> ( v10013(VarCurr)
        & v10053(VarCurr) ) ) )).

fof(writeUnaryOperator_774,axiom,(
    ! [VarCurr] :
      ( ~ v10053(VarCurr)
    <=> v10015(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2383,axiom,(
    ! [VarCurr] :
      ( v10035(VarCurr)
    <=> ( v10036(VarCurr)
        & v10015(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2382,axiom,(
    ! [VarCurr] :
      ( v10036(VarCurr)
    <=> ( v10037(VarCurr)
        | v10046(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2381,axiom,(
    ! [VarCurr] :
      ( v10046(VarCurr)
    <=> ( v10047(VarCurr)
        & v10051(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_721,axiom,(
    ! [VarCurr] :
      ( v10051(VarCurr)
    <=> ( ( v10039(VarCurr,bitIndex2)
        <=> $false )
        & ( v10039(VarCurr,bitIndex1)
        <=> $false )
        & ( v10039(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2380,axiom,(
    ! [VarCurr] :
      ( v10047(VarCurr)
    <=> ( v10048(VarCurr)
        | v10049(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2379,axiom,(
    ! [VarCurr] :
      ( v10049(VarCurr)
    <=> ( v10013(VarCurr)
        & v10050(VarCurr) ) ) )).

fof(writeUnaryOperator_773,axiom,(
    ! [VarCurr] :
      ( ~ v10050(VarCurr)
    <=> v10048(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_720,axiom,(
    ! [VarCurr] :
      ( v10048(VarCurr)
    <=> ( v10011(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2378,axiom,(
    ! [VarCurr] :
      ( v10037(VarCurr)
    <=> ( v10038(VarCurr)
        | v10040(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2377,axiom,(
    ! [VarCurr] :
      ( v10040(VarCurr)
    <=> ( v10041(VarCurr)
        & v10045(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_719,axiom,(
    ! [VarCurr] :
      ( v10045(VarCurr)
    <=> ( ( v10039(VarCurr,bitIndex2)
        <=> $false )
        & ( v10039(VarCurr,bitIndex1)
        <=> $true )
        & ( v10039(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2376,axiom,(
    ! [VarCurr] :
      ( v10041(VarCurr)
    <=> ( v10042(VarCurr)
        | v10043(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2375,axiom,(
    ! [VarCurr] :
      ( v10043(VarCurr)
    <=> ( v10013(VarCurr)
        & v10044(VarCurr) ) ) )).

fof(writeUnaryOperator_772,axiom,(
    ! [VarCurr] :
      ( ~ v10044(VarCurr)
    <=> v10042(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_718,axiom,(
    ! [VarCurr] :
      ( v10042(VarCurr)
    <=> ( v10011(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_717,axiom,(
    ! [VarCurr] :
      ( v10038(VarCurr)
    <=> ( ( v10039(VarCurr,bitIndex2)
        <=> $true )
        & ( v10039(VarCurr,bitIndex1)
        <=> $false )
        & ( v10039(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1971,axiom,(
    ! [VarCurr] :
      ( v10039(VarCurr,bitIndex0)
    <=> v10009(VarCurr) ) )).

fof(addAssignment_1970,axiom,(
    ! [VarCurr] :
      ( v10039(VarCurr,bitIndex1)
    <=> v10007(VarCurr) ) )).

fof(addAssignment_1969,axiom,(
    ! [VarCurr] :
      ( v10039(VarCurr,bitIndex2)
    <=> v10005(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2374,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10023(VarNext)
      <=> ( v10024(VarNext)
          & v10019(VarNext) ) ) ) )).

fof(writeUnaryOperator_771,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v10024(VarNext)
      <=> v10026(VarNext) ) ) )).

fof(addAssignment_1968,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v10026(VarNext)
      <=> v10019(VarCurr) ) ) )).

fof(addAssignment_1967,axiom,(
    ! [VarCurr] :
      ( v10019(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_1966,axiom,(
    ! [VarCurr] :
      ( v10017(VarCurr)
    <=> $false ) )).

fof(addAssignment_1965,axiom,(
    ! [VarCurr] :
      ( v10015(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_1964,axiom,(
    ! [VarCurr] :
      ( v10013(VarCurr)
    <=> $false ) )).

fof(addAssignment_1963,axiom,(
    ! [VarCurr] :
      ( v10011(VarCurr)
    <=> v8288(VarCurr,bitIndex41) ) )).

fof(addAssignment_1962,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex41)
    <=> v8290(VarCurr,bitIndex41) ) )).

fof(addAssignment_1961,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex41)
    <=> v3162(VarCurr,bitIndex41) ) )).

fof(addAssignment_1960,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex41)
    <=> v3164(VarCurr,bitIndex41) ) )).

fof(addAssignment_1959,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex41)
    <=> v3166(VarCurr,bitIndex41) ) )).

fof(addAssignment_1958,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex41)
    <=> v3168(VarCurr,bitIndex41) ) )).

fof(addAssignment_1957,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex41)
    <=> v3170(VarCurr,bitIndex41) ) )).

fof(addAssignment_1956,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex41)
    <=> v3172(VarCurr,bitIndex41) ) )).

fof(addAssignment_1955,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex41)
    <=> v3174(VarCurr,bitIndex41) ) )).

fof(addAssignment_1954,axiom,(
    ! [VarCurr] :
      ( v10009(VarCurr)
    <=> $false ) )).

fof(addAssignment_1953,axiom,(
    ! [VarCurr] :
      ( v10007(VarCurr)
    <=> $false ) )).

fof(addAssignment_1952,axiom,(
    ! [VarCurr] :
      ( v10005(VarCurr)
    <=> $true ) )).

fof(addAssignment_1951,axiom,(
    ! [VarCurr] :
      ( v10003(VarCurr)
    <=> $false ) )).

fof(addAssignment_1950,axiom,(
    ! [VarCurr] :
      ( v10001(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_111,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9954(VarNext)
       => ( v9931(VarNext)
        <=> v9931(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_117,axiom,(
    ! [VarNext] :
      ( v9954(VarNext)
     => ( v9931(VarNext)
      <=> v9989(VarNext) ) ) )).

fof(addAssignment_1949,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9989(VarNext)
      <=> v9987(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_392,axiom,(
    ! [VarCurr] :
      ( ~ v9933(VarCurr)
     => ( v9987(VarCurr)
      <=> v9990(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_394,axiom,(
    ! [VarCurr] :
      ( v9933(VarCurr)
     => ( v9987(VarCurr)
      <=> v9935(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_391,axiom,(
    ! [VarCurr] :
      ( ~ v9967(VarCurr)
     => ( v9990(VarCurr)
      <=> v9949(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_393,axiom,(
    ! [VarCurr] :
      ( v9967(VarCurr)
     => ( v9990(VarCurr)
      <=> v9991(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_188,axiom,(
    ! [VarCurr] :
      ( ( ~ v9970(VarCurr)
        & ~ v9972(VarCurr) )
     => ( v9991(VarCurr)
      <=> v9995(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_390,axiom,(
    ! [VarCurr] :
      ( v9972(VarCurr)
     => ( v9991(VarCurr)
      <=> v9994(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_392,axiom,(
    ! [VarCurr] :
      ( v9970(VarCurr)
     => ( v9991(VarCurr)
      <=> v9992(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_389,axiom,(
    ! [VarCurr] :
      ( ~ v9980(VarCurr)
     => ( v9995(VarCurr)
      <=> v9949(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_391,axiom,(
    ! [VarCurr] :
      ( v9980(VarCurr)
     => ( v9995(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_388,axiom,(
    ! [VarCurr] :
      ( ~ v9974(VarCurr)
     => ( v9994(VarCurr)
      <=> v9949(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_390,axiom,(
    ! [VarCurr] :
      ( v9974(VarCurr)
     => ( v9994(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_278,axiom,(
    ! [VarCurr] :
      ( ~ v9993(VarCurr)
     => ( v9992(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_279,axiom,(
    ! [VarCurr] :
      ( v9993(VarCurr)
     => ( v9992(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_716,axiom,(
    ! [VarCurr] :
      ( v9993(VarCurr)
    <=> ( v9943(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2373,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9954(VarNext)
      <=> ( v9955(VarNext)
          & v9964(VarNext) ) ) ) )).

fof(addAssignment_1948,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9964(VarNext)
      <=> v9962(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2372,axiom,(
    ! [VarCurr] :
      ( v9962(VarCurr)
    <=> ( v9933(VarCurr)
        | v9965(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2371,axiom,(
    ! [VarCurr] :
      ( v9965(VarCurr)
    <=> ( v9966(VarCurr)
        & v9986(VarCurr) ) ) )).

fof(writeUnaryOperator_770,axiom,(
    ! [VarCurr] :
      ( ~ v9986(VarCurr)
    <=> v9933(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2370,axiom,(
    ! [VarCurr] :
      ( v9966(VarCurr)
    <=> ( v9967(VarCurr)
        | v9984(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2369,axiom,(
    ! [VarCurr] :
      ( v9984(VarCurr)
    <=> ( v9945(VarCurr)
        & v9985(VarCurr) ) ) )).

fof(writeUnaryOperator_769,axiom,(
    ! [VarCurr] :
      ( ~ v9985(VarCurr)
    <=> v9947(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2368,axiom,(
    ! [VarCurr] :
      ( v9967(VarCurr)
    <=> ( v9968(VarCurr)
        & v9947(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2367,axiom,(
    ! [VarCurr] :
      ( v9968(VarCurr)
    <=> ( v9969(VarCurr)
        | v9978(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2366,axiom,(
    ! [VarCurr] :
      ( v9978(VarCurr)
    <=> ( v9979(VarCurr)
        & v9983(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_715,axiom,(
    ! [VarCurr] :
      ( v9983(VarCurr)
    <=> ( ( v9971(VarCurr,bitIndex2)
        <=> $false )
        & ( v9971(VarCurr,bitIndex1)
        <=> $false )
        & ( v9971(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2365,axiom,(
    ! [VarCurr] :
      ( v9979(VarCurr)
    <=> ( v9980(VarCurr)
        | v9981(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2364,axiom,(
    ! [VarCurr] :
      ( v9981(VarCurr)
    <=> ( v9945(VarCurr)
        & v9982(VarCurr) ) ) )).

fof(writeUnaryOperator_768,axiom,(
    ! [VarCurr] :
      ( ~ v9982(VarCurr)
    <=> v9980(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_714,axiom,(
    ! [VarCurr] :
      ( v9980(VarCurr)
    <=> ( v9943(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2363,axiom,(
    ! [VarCurr] :
      ( v9969(VarCurr)
    <=> ( v9970(VarCurr)
        | v9972(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2362,axiom,(
    ! [VarCurr] :
      ( v9972(VarCurr)
    <=> ( v9973(VarCurr)
        & v9977(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_713,axiom,(
    ! [VarCurr] :
      ( v9977(VarCurr)
    <=> ( ( v9971(VarCurr,bitIndex2)
        <=> $false )
        & ( v9971(VarCurr,bitIndex1)
        <=> $true )
        & ( v9971(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2361,axiom,(
    ! [VarCurr] :
      ( v9973(VarCurr)
    <=> ( v9974(VarCurr)
        | v9975(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2360,axiom,(
    ! [VarCurr] :
      ( v9975(VarCurr)
    <=> ( v9945(VarCurr)
        & v9976(VarCurr) ) ) )).

fof(writeUnaryOperator_767,axiom,(
    ! [VarCurr] :
      ( ~ v9976(VarCurr)
    <=> v9974(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_712,axiom,(
    ! [VarCurr] :
      ( v9974(VarCurr)
    <=> ( v9943(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_711,axiom,(
    ! [VarCurr] :
      ( v9970(VarCurr)
    <=> ( ( v9971(VarCurr,bitIndex2)
        <=> $true )
        & ( v9971(VarCurr,bitIndex1)
        <=> $false )
        & ( v9971(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1947,axiom,(
    ! [VarCurr] :
      ( v9971(VarCurr,bitIndex0)
    <=> v9941(VarCurr) ) )).

fof(addAssignment_1946,axiom,(
    ! [VarCurr] :
      ( v9971(VarCurr,bitIndex1)
    <=> v9939(VarCurr) ) )).

fof(addAssignment_1945,axiom,(
    ! [VarCurr] :
      ( v9971(VarCurr,bitIndex2)
    <=> v9937(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2359,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9955(VarNext)
      <=> ( v9956(VarNext)
          & v9951(VarNext) ) ) ) )).

fof(writeUnaryOperator_766,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9956(VarNext)
      <=> v9958(VarNext) ) ) )).

fof(addAssignment_1944,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9958(VarNext)
      <=> v9951(VarCurr) ) ) )).

fof(addAssignment_1943,axiom,(
    ! [VarCurr] :
      ( v9951(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_1942,axiom,(
    ! [VarCurr] :
      ( v9949(VarCurr)
    <=> $false ) )).

fof(addAssignment_1941,axiom,(
    ! [VarCurr] :
      ( v9947(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_1940,axiom,(
    ! [VarCurr] :
      ( v9945(VarCurr)
    <=> $false ) )).

fof(addAssignment_1939,axiom,(
    ! [VarCurr] :
      ( v9943(VarCurr)
    <=> v8288(VarCurr,bitIndex40) ) )).

fof(addAssignment_1938,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex40)
    <=> v8290(VarCurr,bitIndex40) ) )).

fof(addAssignment_1937,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex40)
    <=> v3162(VarCurr,bitIndex40) ) )).

fof(addAssignment_1936,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex40)
    <=> v3164(VarCurr,bitIndex40) ) )).

fof(addAssignment_1935,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex40)
    <=> v3166(VarCurr,bitIndex40) ) )).

fof(addAssignment_1934,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex40)
    <=> v3168(VarCurr,bitIndex40) ) )).

fof(addAssignment_1933,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex40)
    <=> v3170(VarCurr,bitIndex40) ) )).

fof(addAssignment_1932,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex40)
    <=> v3172(VarCurr,bitIndex40) ) )).

fof(addAssignment_1931,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex40)
    <=> v3174(VarCurr,bitIndex40) ) )).

fof(addAssignment_1930,axiom,(
    ! [VarCurr] :
      ( v9941(VarCurr)
    <=> $false ) )).

fof(addAssignment_1929,axiom,(
    ! [VarCurr] :
      ( v9939(VarCurr)
    <=> $false ) )).

fof(addAssignment_1928,axiom,(
    ! [VarCurr] :
      ( v9937(VarCurr)
    <=> $true ) )).

fof(addAssignment_1927,axiom,(
    ! [VarCurr] :
      ( v9935(VarCurr)
    <=> $false ) )).

fof(addAssignment_1926,axiom,(
    ! [VarCurr] :
      ( v9933(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_110,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9886(VarNext)
       => ( v9863(VarNext)
        <=> v9863(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_116,axiom,(
    ! [VarNext] :
      ( v9886(VarNext)
     => ( v9863(VarNext)
      <=> v9921(VarNext) ) ) )).

fof(addAssignment_1925,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9921(VarNext)
      <=> v9919(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_387,axiom,(
    ! [VarCurr] :
      ( ~ v9865(VarCurr)
     => ( v9919(VarCurr)
      <=> v9922(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_389,axiom,(
    ! [VarCurr] :
      ( v9865(VarCurr)
     => ( v9919(VarCurr)
      <=> v9867(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_386,axiom,(
    ! [VarCurr] :
      ( ~ v9899(VarCurr)
     => ( v9922(VarCurr)
      <=> v9881(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_388,axiom,(
    ! [VarCurr] :
      ( v9899(VarCurr)
     => ( v9922(VarCurr)
      <=> v9923(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_187,axiom,(
    ! [VarCurr] :
      ( ( ~ v9902(VarCurr)
        & ~ v9904(VarCurr) )
     => ( v9923(VarCurr)
      <=> v9927(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_385,axiom,(
    ! [VarCurr] :
      ( v9904(VarCurr)
     => ( v9923(VarCurr)
      <=> v9926(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_387,axiom,(
    ! [VarCurr] :
      ( v9902(VarCurr)
     => ( v9923(VarCurr)
      <=> v9924(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_384,axiom,(
    ! [VarCurr] :
      ( ~ v9912(VarCurr)
     => ( v9927(VarCurr)
      <=> v9881(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_386,axiom,(
    ! [VarCurr] :
      ( v9912(VarCurr)
     => ( v9927(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_383,axiom,(
    ! [VarCurr] :
      ( ~ v9906(VarCurr)
     => ( v9926(VarCurr)
      <=> v9881(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_385,axiom,(
    ! [VarCurr] :
      ( v9906(VarCurr)
     => ( v9926(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_277,axiom,(
    ! [VarCurr] :
      ( ~ v9925(VarCurr)
     => ( v9924(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_278,axiom,(
    ! [VarCurr] :
      ( v9925(VarCurr)
     => ( v9924(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_710,axiom,(
    ! [VarCurr] :
      ( v9925(VarCurr)
    <=> ( v9875(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2358,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9886(VarNext)
      <=> ( v9887(VarNext)
          & v9896(VarNext) ) ) ) )).

fof(addAssignment_1924,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9896(VarNext)
      <=> v9894(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2357,axiom,(
    ! [VarCurr] :
      ( v9894(VarCurr)
    <=> ( v9865(VarCurr)
        | v9897(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2356,axiom,(
    ! [VarCurr] :
      ( v9897(VarCurr)
    <=> ( v9898(VarCurr)
        & v9918(VarCurr) ) ) )).

fof(writeUnaryOperator_765,axiom,(
    ! [VarCurr] :
      ( ~ v9918(VarCurr)
    <=> v9865(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2355,axiom,(
    ! [VarCurr] :
      ( v9898(VarCurr)
    <=> ( v9899(VarCurr)
        | v9916(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2354,axiom,(
    ! [VarCurr] :
      ( v9916(VarCurr)
    <=> ( v9877(VarCurr)
        & v9917(VarCurr) ) ) )).

fof(writeUnaryOperator_764,axiom,(
    ! [VarCurr] :
      ( ~ v9917(VarCurr)
    <=> v9879(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2353,axiom,(
    ! [VarCurr] :
      ( v9899(VarCurr)
    <=> ( v9900(VarCurr)
        & v9879(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2352,axiom,(
    ! [VarCurr] :
      ( v9900(VarCurr)
    <=> ( v9901(VarCurr)
        | v9910(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2351,axiom,(
    ! [VarCurr] :
      ( v9910(VarCurr)
    <=> ( v9911(VarCurr)
        & v9915(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_709,axiom,(
    ! [VarCurr] :
      ( v9915(VarCurr)
    <=> ( ( v9903(VarCurr,bitIndex2)
        <=> $false )
        & ( v9903(VarCurr,bitIndex1)
        <=> $false )
        & ( v9903(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2350,axiom,(
    ! [VarCurr] :
      ( v9911(VarCurr)
    <=> ( v9912(VarCurr)
        | v9913(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2349,axiom,(
    ! [VarCurr] :
      ( v9913(VarCurr)
    <=> ( v9877(VarCurr)
        & v9914(VarCurr) ) ) )).

fof(writeUnaryOperator_763,axiom,(
    ! [VarCurr] :
      ( ~ v9914(VarCurr)
    <=> v9912(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_708,axiom,(
    ! [VarCurr] :
      ( v9912(VarCurr)
    <=> ( v9875(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2348,axiom,(
    ! [VarCurr] :
      ( v9901(VarCurr)
    <=> ( v9902(VarCurr)
        | v9904(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2347,axiom,(
    ! [VarCurr] :
      ( v9904(VarCurr)
    <=> ( v9905(VarCurr)
        & v9909(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_707,axiom,(
    ! [VarCurr] :
      ( v9909(VarCurr)
    <=> ( ( v9903(VarCurr,bitIndex2)
        <=> $false )
        & ( v9903(VarCurr,bitIndex1)
        <=> $true )
        & ( v9903(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2346,axiom,(
    ! [VarCurr] :
      ( v9905(VarCurr)
    <=> ( v9906(VarCurr)
        | v9907(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2345,axiom,(
    ! [VarCurr] :
      ( v9907(VarCurr)
    <=> ( v9877(VarCurr)
        & v9908(VarCurr) ) ) )).

fof(writeUnaryOperator_762,axiom,(
    ! [VarCurr] :
      ( ~ v9908(VarCurr)
    <=> v9906(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_706,axiom,(
    ! [VarCurr] :
      ( v9906(VarCurr)
    <=> ( v9875(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_705,axiom,(
    ! [VarCurr] :
      ( v9902(VarCurr)
    <=> ( ( v9903(VarCurr,bitIndex2)
        <=> $true )
        & ( v9903(VarCurr,bitIndex1)
        <=> $false )
        & ( v9903(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1923,axiom,(
    ! [VarCurr] :
      ( v9903(VarCurr,bitIndex0)
    <=> v9873(VarCurr) ) )).

fof(addAssignment_1922,axiom,(
    ! [VarCurr] :
      ( v9903(VarCurr,bitIndex1)
    <=> v9871(VarCurr) ) )).

fof(addAssignment_1921,axiom,(
    ! [VarCurr] :
      ( v9903(VarCurr,bitIndex2)
    <=> v9869(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2344,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9887(VarNext)
      <=> ( v9888(VarNext)
          & v9883(VarNext) ) ) ) )).

fof(writeUnaryOperator_761,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9888(VarNext)
      <=> v9890(VarNext) ) ) )).

fof(addAssignment_1920,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9890(VarNext)
      <=> v9883(VarCurr) ) ) )).

fof(addAssignment_1919,axiom,(
    ! [VarCurr] :
      ( v9883(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_1918,axiom,(
    ! [VarCurr] :
      ( v9881(VarCurr)
    <=> $false ) )).

fof(addAssignment_1917,axiom,(
    ! [VarCurr] :
      ( v9879(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_1916,axiom,(
    ! [VarCurr] :
      ( v9877(VarCurr)
    <=> $false ) )).

fof(addAssignment_1915,axiom,(
    ! [VarCurr] :
      ( v9875(VarCurr)
    <=> v8288(VarCurr,bitIndex39) ) )).

fof(addAssignment_1914,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex39)
    <=> v8290(VarCurr,bitIndex39) ) )).

fof(addAssignment_1913,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex39)
    <=> v3162(VarCurr,bitIndex39) ) )).

fof(addAssignment_1912,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex39)
    <=> v3164(VarCurr,bitIndex39) ) )).

fof(addAssignment_1911,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex39)
    <=> v3166(VarCurr,bitIndex39) ) )).

fof(addAssignment_1910,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex39)
    <=> v3168(VarCurr,bitIndex39) ) )).

fof(addAssignment_1909,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex39)
    <=> v3170(VarCurr,bitIndex39) ) )).

fof(addAssignment_1908,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex39)
    <=> v3172(VarCurr,bitIndex39) ) )).

fof(addAssignment_1907,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex39)
    <=> v3174(VarCurr,bitIndex39) ) )).

fof(addAssignment_1906,axiom,(
    ! [VarCurr] :
      ( v9873(VarCurr)
    <=> $false ) )).

fof(addAssignment_1905,axiom,(
    ! [VarCurr] :
      ( v9871(VarCurr)
    <=> $false ) )).

fof(addAssignment_1904,axiom,(
    ! [VarCurr] :
      ( v9869(VarCurr)
    <=> $true ) )).

fof(addAssignment_1903,axiom,(
    ! [VarCurr] :
      ( v9867(VarCurr)
    <=> $false ) )).

fof(addAssignment_1902,axiom,(
    ! [VarCurr] :
      ( v9865(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_109,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9818(VarNext)
       => ( v9795(VarNext)
        <=> v9795(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_115,axiom,(
    ! [VarNext] :
      ( v9818(VarNext)
     => ( v9795(VarNext)
      <=> v9853(VarNext) ) ) )).

fof(addAssignment_1901,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9853(VarNext)
      <=> v9851(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_382,axiom,(
    ! [VarCurr] :
      ( ~ v9797(VarCurr)
     => ( v9851(VarCurr)
      <=> v9854(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_384,axiom,(
    ! [VarCurr] :
      ( v9797(VarCurr)
     => ( v9851(VarCurr)
      <=> v9799(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_381,axiom,(
    ! [VarCurr] :
      ( ~ v9831(VarCurr)
     => ( v9854(VarCurr)
      <=> v9813(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_383,axiom,(
    ! [VarCurr] :
      ( v9831(VarCurr)
     => ( v9854(VarCurr)
      <=> v9855(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_186,axiom,(
    ! [VarCurr] :
      ( ( ~ v9834(VarCurr)
        & ~ v9836(VarCurr) )
     => ( v9855(VarCurr)
      <=> v9859(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_380,axiom,(
    ! [VarCurr] :
      ( v9836(VarCurr)
     => ( v9855(VarCurr)
      <=> v9858(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_382,axiom,(
    ! [VarCurr] :
      ( v9834(VarCurr)
     => ( v9855(VarCurr)
      <=> v9856(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_379,axiom,(
    ! [VarCurr] :
      ( ~ v9844(VarCurr)
     => ( v9859(VarCurr)
      <=> v9813(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_381,axiom,(
    ! [VarCurr] :
      ( v9844(VarCurr)
     => ( v9859(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_378,axiom,(
    ! [VarCurr] :
      ( ~ v9838(VarCurr)
     => ( v9858(VarCurr)
      <=> v9813(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_380,axiom,(
    ! [VarCurr] :
      ( v9838(VarCurr)
     => ( v9858(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_276,axiom,(
    ! [VarCurr] :
      ( ~ v9857(VarCurr)
     => ( v9856(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_277,axiom,(
    ! [VarCurr] :
      ( v9857(VarCurr)
     => ( v9856(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_704,axiom,(
    ! [VarCurr] :
      ( v9857(VarCurr)
    <=> ( v9807(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2343,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9818(VarNext)
      <=> ( v9819(VarNext)
          & v9828(VarNext) ) ) ) )).

fof(addAssignment_1900,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9828(VarNext)
      <=> v9826(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2342,axiom,(
    ! [VarCurr] :
      ( v9826(VarCurr)
    <=> ( v9797(VarCurr)
        | v9829(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2341,axiom,(
    ! [VarCurr] :
      ( v9829(VarCurr)
    <=> ( v9830(VarCurr)
        & v9850(VarCurr) ) ) )).

fof(writeUnaryOperator_760,axiom,(
    ! [VarCurr] :
      ( ~ v9850(VarCurr)
    <=> v9797(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2340,axiom,(
    ! [VarCurr] :
      ( v9830(VarCurr)
    <=> ( v9831(VarCurr)
        | v9848(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2339,axiom,(
    ! [VarCurr] :
      ( v9848(VarCurr)
    <=> ( v9809(VarCurr)
        & v9849(VarCurr) ) ) )).

fof(writeUnaryOperator_759,axiom,(
    ! [VarCurr] :
      ( ~ v9849(VarCurr)
    <=> v9811(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2338,axiom,(
    ! [VarCurr] :
      ( v9831(VarCurr)
    <=> ( v9832(VarCurr)
        & v9811(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2337,axiom,(
    ! [VarCurr] :
      ( v9832(VarCurr)
    <=> ( v9833(VarCurr)
        | v9842(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2336,axiom,(
    ! [VarCurr] :
      ( v9842(VarCurr)
    <=> ( v9843(VarCurr)
        & v9847(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_703,axiom,(
    ! [VarCurr] :
      ( v9847(VarCurr)
    <=> ( ( v9835(VarCurr,bitIndex2)
        <=> $false )
        & ( v9835(VarCurr,bitIndex1)
        <=> $false )
        & ( v9835(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2335,axiom,(
    ! [VarCurr] :
      ( v9843(VarCurr)
    <=> ( v9844(VarCurr)
        | v9845(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2334,axiom,(
    ! [VarCurr] :
      ( v9845(VarCurr)
    <=> ( v9809(VarCurr)
        & v9846(VarCurr) ) ) )).

fof(writeUnaryOperator_758,axiom,(
    ! [VarCurr] :
      ( ~ v9846(VarCurr)
    <=> v9844(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_702,axiom,(
    ! [VarCurr] :
      ( v9844(VarCurr)
    <=> ( v9807(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2333,axiom,(
    ! [VarCurr] :
      ( v9833(VarCurr)
    <=> ( v9834(VarCurr)
        | v9836(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2332,axiom,(
    ! [VarCurr] :
      ( v9836(VarCurr)
    <=> ( v9837(VarCurr)
        & v9841(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_701,axiom,(
    ! [VarCurr] :
      ( v9841(VarCurr)
    <=> ( ( v9835(VarCurr,bitIndex2)
        <=> $false )
        & ( v9835(VarCurr,bitIndex1)
        <=> $true )
        & ( v9835(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2331,axiom,(
    ! [VarCurr] :
      ( v9837(VarCurr)
    <=> ( v9838(VarCurr)
        | v9839(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2330,axiom,(
    ! [VarCurr] :
      ( v9839(VarCurr)
    <=> ( v9809(VarCurr)
        & v9840(VarCurr) ) ) )).

fof(writeUnaryOperator_757,axiom,(
    ! [VarCurr] :
      ( ~ v9840(VarCurr)
    <=> v9838(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_700,axiom,(
    ! [VarCurr] :
      ( v9838(VarCurr)
    <=> ( v9807(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_699,axiom,(
    ! [VarCurr] :
      ( v9834(VarCurr)
    <=> ( ( v9835(VarCurr,bitIndex2)
        <=> $true )
        & ( v9835(VarCurr,bitIndex1)
        <=> $false )
        & ( v9835(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1899,axiom,(
    ! [VarCurr] :
      ( v9835(VarCurr,bitIndex0)
    <=> v9805(VarCurr) ) )).

fof(addAssignment_1898,axiom,(
    ! [VarCurr] :
      ( v9835(VarCurr,bitIndex1)
    <=> v9803(VarCurr) ) )).

fof(addAssignment_1897,axiom,(
    ! [VarCurr] :
      ( v9835(VarCurr,bitIndex2)
    <=> v9801(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2329,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9819(VarNext)
      <=> ( v9820(VarNext)
          & v9815(VarNext) ) ) ) )).

fof(writeUnaryOperator_756,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9820(VarNext)
      <=> v9822(VarNext) ) ) )).

fof(addAssignment_1896,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9822(VarNext)
      <=> v9815(VarCurr) ) ) )).

fof(addAssignment_1895,axiom,(
    ! [VarCurr] :
      ( v9815(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_1894,axiom,(
    ! [VarCurr] :
      ( v9813(VarCurr)
    <=> $false ) )).

fof(addAssignment_1893,axiom,(
    ! [VarCurr] :
      ( v9811(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_1892,axiom,(
    ! [VarCurr] :
      ( v9809(VarCurr)
    <=> $false ) )).

fof(addAssignment_1891,axiom,(
    ! [VarCurr] :
      ( v9807(VarCurr)
    <=> v8288(VarCurr,bitIndex38) ) )).

fof(addAssignment_1890,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex38)
    <=> v8290(VarCurr,bitIndex38) ) )).

fof(addAssignment_1889,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex38)
    <=> v3162(VarCurr,bitIndex38) ) )).

fof(addAssignment_1888,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex38)
    <=> v3164(VarCurr,bitIndex38) ) )).

fof(addAssignment_1887,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex38)
    <=> v3166(VarCurr,bitIndex38) ) )).

fof(addAssignment_1886,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex38)
    <=> v3168(VarCurr,bitIndex38) ) )).

fof(addAssignment_1885,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex38)
    <=> v3170(VarCurr,bitIndex38) ) )).

fof(addAssignment_1884,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex38)
    <=> v3172(VarCurr,bitIndex38) ) )).

fof(addAssignment_1883,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex38)
    <=> v3174(VarCurr,bitIndex38) ) )).

fof(addAssignment_1882,axiom,(
    ! [VarCurr] :
      ( v9805(VarCurr)
    <=> $false ) )).

fof(addAssignment_1881,axiom,(
    ! [VarCurr] :
      ( v9803(VarCurr)
    <=> $false ) )).

fof(addAssignment_1880,axiom,(
    ! [VarCurr] :
      ( v9801(VarCurr)
    <=> $true ) )).

fof(addAssignment_1879,axiom,(
    ! [VarCurr] :
      ( v9799(VarCurr)
    <=> $false ) )).

fof(addAssignment_1878,axiom,(
    ! [VarCurr] :
      ( v9797(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_108,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9750(VarNext)
       => ( v9727(VarNext)
        <=> v9727(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_114,axiom,(
    ! [VarNext] :
      ( v9750(VarNext)
     => ( v9727(VarNext)
      <=> v9785(VarNext) ) ) )).

fof(addAssignment_1877,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9785(VarNext)
      <=> v9783(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_377,axiom,(
    ! [VarCurr] :
      ( ~ v9729(VarCurr)
     => ( v9783(VarCurr)
      <=> v9786(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_379,axiom,(
    ! [VarCurr] :
      ( v9729(VarCurr)
     => ( v9783(VarCurr)
      <=> v9731(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_376,axiom,(
    ! [VarCurr] :
      ( ~ v9763(VarCurr)
     => ( v9786(VarCurr)
      <=> v9745(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_378,axiom,(
    ! [VarCurr] :
      ( v9763(VarCurr)
     => ( v9786(VarCurr)
      <=> v9787(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_185,axiom,(
    ! [VarCurr] :
      ( ( ~ v9766(VarCurr)
        & ~ v9768(VarCurr) )
     => ( v9787(VarCurr)
      <=> v9791(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_375,axiom,(
    ! [VarCurr] :
      ( v9768(VarCurr)
     => ( v9787(VarCurr)
      <=> v9790(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_377,axiom,(
    ! [VarCurr] :
      ( v9766(VarCurr)
     => ( v9787(VarCurr)
      <=> v9788(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_374,axiom,(
    ! [VarCurr] :
      ( ~ v9776(VarCurr)
     => ( v9791(VarCurr)
      <=> v9745(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_376,axiom,(
    ! [VarCurr] :
      ( v9776(VarCurr)
     => ( v9791(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_373,axiom,(
    ! [VarCurr] :
      ( ~ v9770(VarCurr)
     => ( v9790(VarCurr)
      <=> v9745(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_375,axiom,(
    ! [VarCurr] :
      ( v9770(VarCurr)
     => ( v9790(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_275,axiom,(
    ! [VarCurr] :
      ( ~ v9789(VarCurr)
     => ( v9788(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_276,axiom,(
    ! [VarCurr] :
      ( v9789(VarCurr)
     => ( v9788(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_698,axiom,(
    ! [VarCurr] :
      ( v9789(VarCurr)
    <=> ( v9739(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2328,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9750(VarNext)
      <=> ( v9751(VarNext)
          & v9760(VarNext) ) ) ) )).

fof(addAssignment_1876,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9760(VarNext)
      <=> v9758(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2327,axiom,(
    ! [VarCurr] :
      ( v9758(VarCurr)
    <=> ( v9729(VarCurr)
        | v9761(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2326,axiom,(
    ! [VarCurr] :
      ( v9761(VarCurr)
    <=> ( v9762(VarCurr)
        & v9782(VarCurr) ) ) )).

fof(writeUnaryOperator_755,axiom,(
    ! [VarCurr] :
      ( ~ v9782(VarCurr)
    <=> v9729(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2325,axiom,(
    ! [VarCurr] :
      ( v9762(VarCurr)
    <=> ( v9763(VarCurr)
        | v9780(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2324,axiom,(
    ! [VarCurr] :
      ( v9780(VarCurr)
    <=> ( v9741(VarCurr)
        & v9781(VarCurr) ) ) )).

fof(writeUnaryOperator_754,axiom,(
    ! [VarCurr] :
      ( ~ v9781(VarCurr)
    <=> v9743(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2323,axiom,(
    ! [VarCurr] :
      ( v9763(VarCurr)
    <=> ( v9764(VarCurr)
        & v9743(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2322,axiom,(
    ! [VarCurr] :
      ( v9764(VarCurr)
    <=> ( v9765(VarCurr)
        | v9774(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2321,axiom,(
    ! [VarCurr] :
      ( v9774(VarCurr)
    <=> ( v9775(VarCurr)
        & v9779(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_697,axiom,(
    ! [VarCurr] :
      ( v9779(VarCurr)
    <=> ( ( v9767(VarCurr,bitIndex2)
        <=> $false )
        & ( v9767(VarCurr,bitIndex1)
        <=> $false )
        & ( v9767(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2320,axiom,(
    ! [VarCurr] :
      ( v9775(VarCurr)
    <=> ( v9776(VarCurr)
        | v9777(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2319,axiom,(
    ! [VarCurr] :
      ( v9777(VarCurr)
    <=> ( v9741(VarCurr)
        & v9778(VarCurr) ) ) )).

fof(writeUnaryOperator_753,axiom,(
    ! [VarCurr] :
      ( ~ v9778(VarCurr)
    <=> v9776(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_696,axiom,(
    ! [VarCurr] :
      ( v9776(VarCurr)
    <=> ( v9739(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2318,axiom,(
    ! [VarCurr] :
      ( v9765(VarCurr)
    <=> ( v9766(VarCurr)
        | v9768(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2317,axiom,(
    ! [VarCurr] :
      ( v9768(VarCurr)
    <=> ( v9769(VarCurr)
        & v9773(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_695,axiom,(
    ! [VarCurr] :
      ( v9773(VarCurr)
    <=> ( ( v9767(VarCurr,bitIndex2)
        <=> $false )
        & ( v9767(VarCurr,bitIndex1)
        <=> $true )
        & ( v9767(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2316,axiom,(
    ! [VarCurr] :
      ( v9769(VarCurr)
    <=> ( v9770(VarCurr)
        | v9771(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2315,axiom,(
    ! [VarCurr] :
      ( v9771(VarCurr)
    <=> ( v9741(VarCurr)
        & v9772(VarCurr) ) ) )).

fof(writeUnaryOperator_752,axiom,(
    ! [VarCurr] :
      ( ~ v9772(VarCurr)
    <=> v9770(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_694,axiom,(
    ! [VarCurr] :
      ( v9770(VarCurr)
    <=> ( v9739(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_693,axiom,(
    ! [VarCurr] :
      ( v9766(VarCurr)
    <=> ( ( v9767(VarCurr,bitIndex2)
        <=> $true )
        & ( v9767(VarCurr,bitIndex1)
        <=> $false )
        & ( v9767(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1875,axiom,(
    ! [VarCurr] :
      ( v9767(VarCurr,bitIndex0)
    <=> v9737(VarCurr) ) )).

fof(addAssignment_1874,axiom,(
    ! [VarCurr] :
      ( v9767(VarCurr,bitIndex1)
    <=> v9735(VarCurr) ) )).

fof(addAssignment_1873,axiom,(
    ! [VarCurr] :
      ( v9767(VarCurr,bitIndex2)
    <=> v9733(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2314,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9751(VarNext)
      <=> ( v9752(VarNext)
          & v9747(VarNext) ) ) ) )).

fof(writeUnaryOperator_751,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9752(VarNext)
      <=> v9754(VarNext) ) ) )).

fof(addAssignment_1872,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9754(VarNext)
      <=> v9747(VarCurr) ) ) )).

fof(addAssignment_1871,axiom,(
    ! [VarCurr] :
      ( v9747(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_1870,axiom,(
    ! [VarCurr] :
      ( v9745(VarCurr)
    <=> $false ) )).

fof(addAssignment_1869,axiom,(
    ! [VarCurr] :
      ( v9743(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_1868,axiom,(
    ! [VarCurr] :
      ( v9741(VarCurr)
    <=> $false ) )).

fof(addAssignment_1867,axiom,(
    ! [VarCurr] :
      ( v9739(VarCurr)
    <=> v8288(VarCurr,bitIndex37) ) )).

fof(addAssignment_1866,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex37)
    <=> v8290(VarCurr,bitIndex37) ) )).

fof(addAssignment_1865,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex37)
    <=> v3162(VarCurr,bitIndex37) ) )).

fof(addAssignment_1864,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex37)
    <=> v3164(VarCurr,bitIndex37) ) )).

fof(addAssignment_1863,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex37)
    <=> v3166(VarCurr,bitIndex37) ) )).

fof(addAssignment_1862,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex37)
    <=> v3168(VarCurr,bitIndex37) ) )).

fof(addAssignment_1861,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex37)
    <=> v3170(VarCurr,bitIndex37) ) )).

fof(addAssignment_1860,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex37)
    <=> v3172(VarCurr,bitIndex37) ) )).

fof(addAssignment_1859,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex37)
    <=> v3174(VarCurr,bitIndex37) ) )).

fof(addAssignment_1858,axiom,(
    ! [VarCurr] :
      ( v9737(VarCurr)
    <=> $false ) )).

fof(addAssignment_1857,axiom,(
    ! [VarCurr] :
      ( v9735(VarCurr)
    <=> $false ) )).

fof(addAssignment_1856,axiom,(
    ! [VarCurr] :
      ( v9733(VarCurr)
    <=> $true ) )).

fof(addAssignment_1855,axiom,(
    ! [VarCurr] :
      ( v9731(VarCurr)
    <=> $false ) )).

fof(addAssignment_1854,axiom,(
    ! [VarCurr] :
      ( v9729(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_107,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9682(VarNext)
       => ( v9659(VarNext)
        <=> v9659(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_113,axiom,(
    ! [VarNext] :
      ( v9682(VarNext)
     => ( v9659(VarNext)
      <=> v9717(VarNext) ) ) )).

fof(addAssignment_1853,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9717(VarNext)
      <=> v9715(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_372,axiom,(
    ! [VarCurr] :
      ( ~ v9661(VarCurr)
     => ( v9715(VarCurr)
      <=> v9718(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_374,axiom,(
    ! [VarCurr] :
      ( v9661(VarCurr)
     => ( v9715(VarCurr)
      <=> v9663(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_371,axiom,(
    ! [VarCurr] :
      ( ~ v9695(VarCurr)
     => ( v9718(VarCurr)
      <=> v9677(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_373,axiom,(
    ! [VarCurr] :
      ( v9695(VarCurr)
     => ( v9718(VarCurr)
      <=> v9719(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_184,axiom,(
    ! [VarCurr] :
      ( ( ~ v9698(VarCurr)
        & ~ v9700(VarCurr) )
     => ( v9719(VarCurr)
      <=> v9723(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_370,axiom,(
    ! [VarCurr] :
      ( v9700(VarCurr)
     => ( v9719(VarCurr)
      <=> v9722(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_372,axiom,(
    ! [VarCurr] :
      ( v9698(VarCurr)
     => ( v9719(VarCurr)
      <=> v9720(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_369,axiom,(
    ! [VarCurr] :
      ( ~ v9708(VarCurr)
     => ( v9723(VarCurr)
      <=> v9677(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_371,axiom,(
    ! [VarCurr] :
      ( v9708(VarCurr)
     => ( v9723(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_368,axiom,(
    ! [VarCurr] :
      ( ~ v9702(VarCurr)
     => ( v9722(VarCurr)
      <=> v9677(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_370,axiom,(
    ! [VarCurr] :
      ( v9702(VarCurr)
     => ( v9722(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_274,axiom,(
    ! [VarCurr] :
      ( ~ v9721(VarCurr)
     => ( v9720(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_275,axiom,(
    ! [VarCurr] :
      ( v9721(VarCurr)
     => ( v9720(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_692,axiom,(
    ! [VarCurr] :
      ( v9721(VarCurr)
    <=> ( v9671(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2313,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9682(VarNext)
      <=> ( v9683(VarNext)
          & v9692(VarNext) ) ) ) )).

fof(addAssignment_1852,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9692(VarNext)
      <=> v9690(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2312,axiom,(
    ! [VarCurr] :
      ( v9690(VarCurr)
    <=> ( v9661(VarCurr)
        | v9693(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2311,axiom,(
    ! [VarCurr] :
      ( v9693(VarCurr)
    <=> ( v9694(VarCurr)
        & v9714(VarCurr) ) ) )).

fof(writeUnaryOperator_750,axiom,(
    ! [VarCurr] :
      ( ~ v9714(VarCurr)
    <=> v9661(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2310,axiom,(
    ! [VarCurr] :
      ( v9694(VarCurr)
    <=> ( v9695(VarCurr)
        | v9712(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2309,axiom,(
    ! [VarCurr] :
      ( v9712(VarCurr)
    <=> ( v9673(VarCurr)
        & v9713(VarCurr) ) ) )).

fof(writeUnaryOperator_749,axiom,(
    ! [VarCurr] :
      ( ~ v9713(VarCurr)
    <=> v9675(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2308,axiom,(
    ! [VarCurr] :
      ( v9695(VarCurr)
    <=> ( v9696(VarCurr)
        & v9675(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2307,axiom,(
    ! [VarCurr] :
      ( v9696(VarCurr)
    <=> ( v9697(VarCurr)
        | v9706(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2306,axiom,(
    ! [VarCurr] :
      ( v9706(VarCurr)
    <=> ( v9707(VarCurr)
        & v9711(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_691,axiom,(
    ! [VarCurr] :
      ( v9711(VarCurr)
    <=> ( ( v9699(VarCurr,bitIndex2)
        <=> $false )
        & ( v9699(VarCurr,bitIndex1)
        <=> $false )
        & ( v9699(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2305,axiom,(
    ! [VarCurr] :
      ( v9707(VarCurr)
    <=> ( v9708(VarCurr)
        | v9709(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2304,axiom,(
    ! [VarCurr] :
      ( v9709(VarCurr)
    <=> ( v9673(VarCurr)
        & v9710(VarCurr) ) ) )).

fof(writeUnaryOperator_748,axiom,(
    ! [VarCurr] :
      ( ~ v9710(VarCurr)
    <=> v9708(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_690,axiom,(
    ! [VarCurr] :
      ( v9708(VarCurr)
    <=> ( v9671(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2303,axiom,(
    ! [VarCurr] :
      ( v9697(VarCurr)
    <=> ( v9698(VarCurr)
        | v9700(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2302,axiom,(
    ! [VarCurr] :
      ( v9700(VarCurr)
    <=> ( v9701(VarCurr)
        & v9705(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_689,axiom,(
    ! [VarCurr] :
      ( v9705(VarCurr)
    <=> ( ( v9699(VarCurr,bitIndex2)
        <=> $false )
        & ( v9699(VarCurr,bitIndex1)
        <=> $true )
        & ( v9699(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2301,axiom,(
    ! [VarCurr] :
      ( v9701(VarCurr)
    <=> ( v9702(VarCurr)
        | v9703(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2300,axiom,(
    ! [VarCurr] :
      ( v9703(VarCurr)
    <=> ( v9673(VarCurr)
        & v9704(VarCurr) ) ) )).

fof(writeUnaryOperator_747,axiom,(
    ! [VarCurr] :
      ( ~ v9704(VarCurr)
    <=> v9702(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_688,axiom,(
    ! [VarCurr] :
      ( v9702(VarCurr)
    <=> ( v9671(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_687,axiom,(
    ! [VarCurr] :
      ( v9698(VarCurr)
    <=> ( ( v9699(VarCurr,bitIndex2)
        <=> $true )
        & ( v9699(VarCurr,bitIndex1)
        <=> $false )
        & ( v9699(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1851,axiom,(
    ! [VarCurr] :
      ( v9699(VarCurr,bitIndex0)
    <=> v9669(VarCurr) ) )).

fof(addAssignment_1850,axiom,(
    ! [VarCurr] :
      ( v9699(VarCurr,bitIndex1)
    <=> v9667(VarCurr) ) )).

fof(addAssignment_1849,axiom,(
    ! [VarCurr] :
      ( v9699(VarCurr,bitIndex2)
    <=> v9665(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2299,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9683(VarNext)
      <=> ( v9684(VarNext)
          & v9679(VarNext) ) ) ) )).

fof(writeUnaryOperator_746,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9684(VarNext)
      <=> v9686(VarNext) ) ) )).

fof(addAssignment_1848,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9686(VarNext)
      <=> v9679(VarCurr) ) ) )).

fof(addAssignment_1847,axiom,(
    ! [VarCurr] :
      ( v9679(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_1846,axiom,(
    ! [VarCurr] :
      ( v9677(VarCurr)
    <=> $false ) )).

fof(addAssignment_1845,axiom,(
    ! [VarCurr] :
      ( v9675(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_1844,axiom,(
    ! [VarCurr] :
      ( v9673(VarCurr)
    <=> $false ) )).

fof(addAssignment_1843,axiom,(
    ! [VarCurr] :
      ( v9671(VarCurr)
    <=> v8288(VarCurr,bitIndex36) ) )).

fof(addAssignment_1842,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex36)
    <=> v8290(VarCurr,bitIndex36) ) )).

fof(addAssignment_1841,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex36)
    <=> v3162(VarCurr,bitIndex36) ) )).

fof(addAssignment_1840,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex36)
    <=> v3164(VarCurr,bitIndex36) ) )).

fof(addAssignment_1839,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex36)
    <=> v3166(VarCurr,bitIndex36) ) )).

fof(addAssignment_1838,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex36)
    <=> v3168(VarCurr,bitIndex36) ) )).

fof(addAssignment_1837,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex36)
    <=> v3170(VarCurr,bitIndex36) ) )).

fof(addAssignment_1836,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex36)
    <=> v3172(VarCurr,bitIndex36) ) )).

fof(addAssignment_1835,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex36)
    <=> v3174(VarCurr,bitIndex36) ) )).

fof(addAssignment_1834,axiom,(
    ! [VarCurr] :
      ( v9669(VarCurr)
    <=> $false ) )).

fof(addAssignment_1833,axiom,(
    ! [VarCurr] :
      ( v9667(VarCurr)
    <=> $false ) )).

fof(addAssignment_1832,axiom,(
    ! [VarCurr] :
      ( v9665(VarCurr)
    <=> $true ) )).

fof(addAssignment_1831,axiom,(
    ! [VarCurr] :
      ( v9663(VarCurr)
    <=> $false ) )).

fof(addAssignment_1830,axiom,(
    ! [VarCurr] :
      ( v9661(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_106,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9614(VarNext)
       => ( v9591(VarNext)
        <=> v9591(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_112,axiom,(
    ! [VarNext] :
      ( v9614(VarNext)
     => ( v9591(VarNext)
      <=> v9649(VarNext) ) ) )).

fof(addAssignment_1829,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9649(VarNext)
      <=> v9647(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_367,axiom,(
    ! [VarCurr] :
      ( ~ v9593(VarCurr)
     => ( v9647(VarCurr)
      <=> v9650(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_369,axiom,(
    ! [VarCurr] :
      ( v9593(VarCurr)
     => ( v9647(VarCurr)
      <=> v9595(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_366,axiom,(
    ! [VarCurr] :
      ( ~ v9627(VarCurr)
     => ( v9650(VarCurr)
      <=> v9609(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_368,axiom,(
    ! [VarCurr] :
      ( v9627(VarCurr)
     => ( v9650(VarCurr)
      <=> v9651(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_183,axiom,(
    ! [VarCurr] :
      ( ( ~ v9630(VarCurr)
        & ~ v9632(VarCurr) )
     => ( v9651(VarCurr)
      <=> v9655(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_365,axiom,(
    ! [VarCurr] :
      ( v9632(VarCurr)
     => ( v9651(VarCurr)
      <=> v9654(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_367,axiom,(
    ! [VarCurr] :
      ( v9630(VarCurr)
     => ( v9651(VarCurr)
      <=> v9652(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_364,axiom,(
    ! [VarCurr] :
      ( ~ v9640(VarCurr)
     => ( v9655(VarCurr)
      <=> v9609(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_366,axiom,(
    ! [VarCurr] :
      ( v9640(VarCurr)
     => ( v9655(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_363,axiom,(
    ! [VarCurr] :
      ( ~ v9634(VarCurr)
     => ( v9654(VarCurr)
      <=> v9609(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_365,axiom,(
    ! [VarCurr] :
      ( v9634(VarCurr)
     => ( v9654(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_273,axiom,(
    ! [VarCurr] :
      ( ~ v9653(VarCurr)
     => ( v9652(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_274,axiom,(
    ! [VarCurr] :
      ( v9653(VarCurr)
     => ( v9652(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_686,axiom,(
    ! [VarCurr] :
      ( v9653(VarCurr)
    <=> ( v9603(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2298,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9614(VarNext)
      <=> ( v9615(VarNext)
          & v9624(VarNext) ) ) ) )).

fof(addAssignment_1828,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9624(VarNext)
      <=> v9622(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2297,axiom,(
    ! [VarCurr] :
      ( v9622(VarCurr)
    <=> ( v9593(VarCurr)
        | v9625(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2296,axiom,(
    ! [VarCurr] :
      ( v9625(VarCurr)
    <=> ( v9626(VarCurr)
        & v9646(VarCurr) ) ) )).

fof(writeUnaryOperator_745,axiom,(
    ! [VarCurr] :
      ( ~ v9646(VarCurr)
    <=> v9593(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2295,axiom,(
    ! [VarCurr] :
      ( v9626(VarCurr)
    <=> ( v9627(VarCurr)
        | v9644(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2294,axiom,(
    ! [VarCurr] :
      ( v9644(VarCurr)
    <=> ( v9605(VarCurr)
        & v9645(VarCurr) ) ) )).

fof(writeUnaryOperator_744,axiom,(
    ! [VarCurr] :
      ( ~ v9645(VarCurr)
    <=> v9607(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2293,axiom,(
    ! [VarCurr] :
      ( v9627(VarCurr)
    <=> ( v9628(VarCurr)
        & v9607(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2292,axiom,(
    ! [VarCurr] :
      ( v9628(VarCurr)
    <=> ( v9629(VarCurr)
        | v9638(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2291,axiom,(
    ! [VarCurr] :
      ( v9638(VarCurr)
    <=> ( v9639(VarCurr)
        & v9643(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_685,axiom,(
    ! [VarCurr] :
      ( v9643(VarCurr)
    <=> ( ( v9631(VarCurr,bitIndex2)
        <=> $false )
        & ( v9631(VarCurr,bitIndex1)
        <=> $false )
        & ( v9631(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2290,axiom,(
    ! [VarCurr] :
      ( v9639(VarCurr)
    <=> ( v9640(VarCurr)
        | v9641(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2289,axiom,(
    ! [VarCurr] :
      ( v9641(VarCurr)
    <=> ( v9605(VarCurr)
        & v9642(VarCurr) ) ) )).

fof(writeUnaryOperator_743,axiom,(
    ! [VarCurr] :
      ( ~ v9642(VarCurr)
    <=> v9640(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_684,axiom,(
    ! [VarCurr] :
      ( v9640(VarCurr)
    <=> ( v9603(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2288,axiom,(
    ! [VarCurr] :
      ( v9629(VarCurr)
    <=> ( v9630(VarCurr)
        | v9632(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2287,axiom,(
    ! [VarCurr] :
      ( v9632(VarCurr)
    <=> ( v9633(VarCurr)
        & v9637(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_683,axiom,(
    ! [VarCurr] :
      ( v9637(VarCurr)
    <=> ( ( v9631(VarCurr,bitIndex2)
        <=> $false )
        & ( v9631(VarCurr,bitIndex1)
        <=> $true )
        & ( v9631(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2286,axiom,(
    ! [VarCurr] :
      ( v9633(VarCurr)
    <=> ( v9634(VarCurr)
        | v9635(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2285,axiom,(
    ! [VarCurr] :
      ( v9635(VarCurr)
    <=> ( v9605(VarCurr)
        & v9636(VarCurr) ) ) )).

fof(writeUnaryOperator_742,axiom,(
    ! [VarCurr] :
      ( ~ v9636(VarCurr)
    <=> v9634(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_682,axiom,(
    ! [VarCurr] :
      ( v9634(VarCurr)
    <=> ( v9603(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_681,axiom,(
    ! [VarCurr] :
      ( v9630(VarCurr)
    <=> ( ( v9631(VarCurr,bitIndex2)
        <=> $true )
        & ( v9631(VarCurr,bitIndex1)
        <=> $false )
        & ( v9631(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1827,axiom,(
    ! [VarCurr] :
      ( v9631(VarCurr,bitIndex0)
    <=> v9601(VarCurr) ) )).

fof(addAssignment_1826,axiom,(
    ! [VarCurr] :
      ( v9631(VarCurr,bitIndex1)
    <=> v9599(VarCurr) ) )).

fof(addAssignment_1825,axiom,(
    ! [VarCurr] :
      ( v9631(VarCurr,bitIndex2)
    <=> v9597(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2284,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9615(VarNext)
      <=> ( v9616(VarNext)
          & v9611(VarNext) ) ) ) )).

fof(writeUnaryOperator_741,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9616(VarNext)
      <=> v9618(VarNext) ) ) )).

fof(addAssignment_1824,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9618(VarNext)
      <=> v9611(VarCurr) ) ) )).

fof(addAssignment_1823,axiom,(
    ! [VarCurr] :
      ( v9611(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_1822,axiom,(
    ! [VarCurr] :
      ( v9609(VarCurr)
    <=> $false ) )).

fof(addAssignment_1821,axiom,(
    ! [VarCurr] :
      ( v9607(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_1820,axiom,(
    ! [VarCurr] :
      ( v9605(VarCurr)
    <=> $false ) )).

fof(addAssignment_1819,axiom,(
    ! [VarCurr] :
      ( v9603(VarCurr)
    <=> v8288(VarCurr,bitIndex35) ) )).

fof(addAssignment_1818,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex35)
    <=> v8290(VarCurr,bitIndex35) ) )).

fof(addAssignment_1817,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex35)
    <=> v3162(VarCurr,bitIndex35) ) )).

fof(addAssignment_1816,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex35)
    <=> v3164(VarCurr,bitIndex35) ) )).

fof(addAssignment_1815,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex35)
    <=> v3166(VarCurr,bitIndex35) ) )).

fof(addAssignment_1814,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex35)
    <=> v3168(VarCurr,bitIndex35) ) )).

fof(addAssignment_1813,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex35)
    <=> v3170(VarCurr,bitIndex35) ) )).

fof(addAssignment_1812,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex35)
    <=> v3172(VarCurr,bitIndex35) ) )).

fof(addAssignment_1811,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex35)
    <=> v3174(VarCurr,bitIndex35) ) )).

fof(addAssignment_1810,axiom,(
    ! [VarCurr] :
      ( v9601(VarCurr)
    <=> $false ) )).

fof(addAssignment_1809,axiom,(
    ! [VarCurr] :
      ( v9599(VarCurr)
    <=> $false ) )).

fof(addAssignment_1808,axiom,(
    ! [VarCurr] :
      ( v9597(VarCurr)
    <=> $true ) )).

fof(addAssignment_1807,axiom,(
    ! [VarCurr] :
      ( v9595(VarCurr)
    <=> $false ) )).

fof(addAssignment_1806,axiom,(
    ! [VarCurr] :
      ( v9593(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_105,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9546(VarNext)
       => ( v9523(VarNext)
        <=> v9523(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_111,axiom,(
    ! [VarNext] :
      ( v9546(VarNext)
     => ( v9523(VarNext)
      <=> v9581(VarNext) ) ) )).

fof(addAssignment_1805,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9581(VarNext)
      <=> v9579(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_362,axiom,(
    ! [VarCurr] :
      ( ~ v9525(VarCurr)
     => ( v9579(VarCurr)
      <=> v9582(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_364,axiom,(
    ! [VarCurr] :
      ( v9525(VarCurr)
     => ( v9579(VarCurr)
      <=> v9527(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_361,axiom,(
    ! [VarCurr] :
      ( ~ v9559(VarCurr)
     => ( v9582(VarCurr)
      <=> v9541(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_363,axiom,(
    ! [VarCurr] :
      ( v9559(VarCurr)
     => ( v9582(VarCurr)
      <=> v9583(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_182,axiom,(
    ! [VarCurr] :
      ( ( ~ v9562(VarCurr)
        & ~ v9564(VarCurr) )
     => ( v9583(VarCurr)
      <=> v9587(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_360,axiom,(
    ! [VarCurr] :
      ( v9564(VarCurr)
     => ( v9583(VarCurr)
      <=> v9586(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_362,axiom,(
    ! [VarCurr] :
      ( v9562(VarCurr)
     => ( v9583(VarCurr)
      <=> v9584(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_359,axiom,(
    ! [VarCurr] :
      ( ~ v9572(VarCurr)
     => ( v9587(VarCurr)
      <=> v9541(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_361,axiom,(
    ! [VarCurr] :
      ( v9572(VarCurr)
     => ( v9587(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_358,axiom,(
    ! [VarCurr] :
      ( ~ v9566(VarCurr)
     => ( v9586(VarCurr)
      <=> v9541(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_360,axiom,(
    ! [VarCurr] :
      ( v9566(VarCurr)
     => ( v9586(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_272,axiom,(
    ! [VarCurr] :
      ( ~ v9585(VarCurr)
     => ( v9584(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_273,axiom,(
    ! [VarCurr] :
      ( v9585(VarCurr)
     => ( v9584(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_680,axiom,(
    ! [VarCurr] :
      ( v9585(VarCurr)
    <=> ( v9535(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2283,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9546(VarNext)
      <=> ( v9547(VarNext)
          & v9556(VarNext) ) ) ) )).

fof(addAssignment_1804,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9556(VarNext)
      <=> v9554(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2282,axiom,(
    ! [VarCurr] :
      ( v9554(VarCurr)
    <=> ( v9525(VarCurr)
        | v9557(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2281,axiom,(
    ! [VarCurr] :
      ( v9557(VarCurr)
    <=> ( v9558(VarCurr)
        & v9578(VarCurr) ) ) )).

fof(writeUnaryOperator_740,axiom,(
    ! [VarCurr] :
      ( ~ v9578(VarCurr)
    <=> v9525(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2280,axiom,(
    ! [VarCurr] :
      ( v9558(VarCurr)
    <=> ( v9559(VarCurr)
        | v9576(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2279,axiom,(
    ! [VarCurr] :
      ( v9576(VarCurr)
    <=> ( v9537(VarCurr)
        & v9577(VarCurr) ) ) )).

fof(writeUnaryOperator_739,axiom,(
    ! [VarCurr] :
      ( ~ v9577(VarCurr)
    <=> v9539(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2278,axiom,(
    ! [VarCurr] :
      ( v9559(VarCurr)
    <=> ( v9560(VarCurr)
        & v9539(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2277,axiom,(
    ! [VarCurr] :
      ( v9560(VarCurr)
    <=> ( v9561(VarCurr)
        | v9570(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2276,axiom,(
    ! [VarCurr] :
      ( v9570(VarCurr)
    <=> ( v9571(VarCurr)
        & v9575(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_679,axiom,(
    ! [VarCurr] :
      ( v9575(VarCurr)
    <=> ( ( v9563(VarCurr,bitIndex2)
        <=> $false )
        & ( v9563(VarCurr,bitIndex1)
        <=> $false )
        & ( v9563(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2275,axiom,(
    ! [VarCurr] :
      ( v9571(VarCurr)
    <=> ( v9572(VarCurr)
        | v9573(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2274,axiom,(
    ! [VarCurr] :
      ( v9573(VarCurr)
    <=> ( v9537(VarCurr)
        & v9574(VarCurr) ) ) )).

fof(writeUnaryOperator_738,axiom,(
    ! [VarCurr] :
      ( ~ v9574(VarCurr)
    <=> v9572(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_678,axiom,(
    ! [VarCurr] :
      ( v9572(VarCurr)
    <=> ( v9535(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2273,axiom,(
    ! [VarCurr] :
      ( v9561(VarCurr)
    <=> ( v9562(VarCurr)
        | v9564(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2272,axiom,(
    ! [VarCurr] :
      ( v9564(VarCurr)
    <=> ( v9565(VarCurr)
        & v9569(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_677,axiom,(
    ! [VarCurr] :
      ( v9569(VarCurr)
    <=> ( ( v9563(VarCurr,bitIndex2)
        <=> $false )
        & ( v9563(VarCurr,bitIndex1)
        <=> $true )
        & ( v9563(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2271,axiom,(
    ! [VarCurr] :
      ( v9565(VarCurr)
    <=> ( v9566(VarCurr)
        | v9567(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2270,axiom,(
    ! [VarCurr] :
      ( v9567(VarCurr)
    <=> ( v9537(VarCurr)
        & v9568(VarCurr) ) ) )).

fof(writeUnaryOperator_737,axiom,(
    ! [VarCurr] :
      ( ~ v9568(VarCurr)
    <=> v9566(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_676,axiom,(
    ! [VarCurr] :
      ( v9566(VarCurr)
    <=> ( v9535(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_675,axiom,(
    ! [VarCurr] :
      ( v9562(VarCurr)
    <=> ( ( v9563(VarCurr,bitIndex2)
        <=> $true )
        & ( v9563(VarCurr,bitIndex1)
        <=> $false )
        & ( v9563(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1803,axiom,(
    ! [VarCurr] :
      ( v9563(VarCurr,bitIndex0)
    <=> v9533(VarCurr) ) )).

fof(addAssignment_1802,axiom,(
    ! [VarCurr] :
      ( v9563(VarCurr,bitIndex1)
    <=> v9531(VarCurr) ) )).

fof(addAssignment_1801,axiom,(
    ! [VarCurr] :
      ( v9563(VarCurr,bitIndex2)
    <=> v9529(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2269,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9547(VarNext)
      <=> ( v9548(VarNext)
          & v9543(VarNext) ) ) ) )).

fof(writeUnaryOperator_736,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9548(VarNext)
      <=> v9550(VarNext) ) ) )).

fof(addAssignment_1800,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9550(VarNext)
      <=> v9543(VarCurr) ) ) )).

fof(addAssignment_1799,axiom,(
    ! [VarCurr] :
      ( v9543(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_1798,axiom,(
    ! [VarCurr] :
      ( v9541(VarCurr)
    <=> $false ) )).

fof(addAssignment_1797,axiom,(
    ! [VarCurr] :
      ( v9539(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_1796,axiom,(
    ! [VarCurr] :
      ( v9537(VarCurr)
    <=> $false ) )).

fof(addAssignment_1795,axiom,(
    ! [VarCurr] :
      ( v9535(VarCurr)
    <=> v8288(VarCurr,bitIndex34) ) )).

fof(addAssignment_1794,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex34)
    <=> v8290(VarCurr,bitIndex34) ) )).

fof(addAssignment_1793,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex34)
    <=> v3162(VarCurr,bitIndex34) ) )).

fof(addAssignment_1792,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex34)
    <=> v3164(VarCurr,bitIndex34) ) )).

fof(addAssignment_1791,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex34)
    <=> v3166(VarCurr,bitIndex34) ) )).

fof(addAssignment_1790,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex34)
    <=> v3168(VarCurr,bitIndex34) ) )).

fof(addAssignment_1789,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex34)
    <=> v3170(VarCurr,bitIndex34) ) )).

fof(addAssignment_1788,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex34)
    <=> v3172(VarCurr,bitIndex34) ) )).

fof(addAssignment_1787,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex34)
    <=> v3174(VarCurr,bitIndex34) ) )).

fof(addAssignment_1786,axiom,(
    ! [VarCurr] :
      ( v9533(VarCurr)
    <=> $false ) )).

fof(addAssignment_1785,axiom,(
    ! [VarCurr] :
      ( v9531(VarCurr)
    <=> $false ) )).

fof(addAssignment_1784,axiom,(
    ! [VarCurr] :
      ( v9529(VarCurr)
    <=> $true ) )).

fof(addAssignment_1783,axiom,(
    ! [VarCurr] :
      ( v9527(VarCurr)
    <=> $false ) )).

fof(addAssignment_1782,axiom,(
    ! [VarCurr] :
      ( v9525(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_104,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9478(VarNext)
       => ( v9455(VarNext)
        <=> v9455(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_110,axiom,(
    ! [VarNext] :
      ( v9478(VarNext)
     => ( v9455(VarNext)
      <=> v9513(VarNext) ) ) )).

fof(addAssignment_1781,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9513(VarNext)
      <=> v9511(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_357,axiom,(
    ! [VarCurr] :
      ( ~ v9457(VarCurr)
     => ( v9511(VarCurr)
      <=> v9514(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_359,axiom,(
    ! [VarCurr] :
      ( v9457(VarCurr)
     => ( v9511(VarCurr)
      <=> v9459(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_356,axiom,(
    ! [VarCurr] :
      ( ~ v9491(VarCurr)
     => ( v9514(VarCurr)
      <=> v9473(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_358,axiom,(
    ! [VarCurr] :
      ( v9491(VarCurr)
     => ( v9514(VarCurr)
      <=> v9515(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_181,axiom,(
    ! [VarCurr] :
      ( ( ~ v9494(VarCurr)
        & ~ v9496(VarCurr) )
     => ( v9515(VarCurr)
      <=> v9519(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_355,axiom,(
    ! [VarCurr] :
      ( v9496(VarCurr)
     => ( v9515(VarCurr)
      <=> v9518(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_357,axiom,(
    ! [VarCurr] :
      ( v9494(VarCurr)
     => ( v9515(VarCurr)
      <=> v9516(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_354,axiom,(
    ! [VarCurr] :
      ( ~ v9504(VarCurr)
     => ( v9519(VarCurr)
      <=> v9473(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_356,axiom,(
    ! [VarCurr] :
      ( v9504(VarCurr)
     => ( v9519(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_353,axiom,(
    ! [VarCurr] :
      ( ~ v9498(VarCurr)
     => ( v9518(VarCurr)
      <=> v9473(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_355,axiom,(
    ! [VarCurr] :
      ( v9498(VarCurr)
     => ( v9518(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_271,axiom,(
    ! [VarCurr] :
      ( ~ v9517(VarCurr)
     => ( v9516(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_272,axiom,(
    ! [VarCurr] :
      ( v9517(VarCurr)
     => ( v9516(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_674,axiom,(
    ! [VarCurr] :
      ( v9517(VarCurr)
    <=> ( v9467(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2268,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9478(VarNext)
      <=> ( v9479(VarNext)
          & v9488(VarNext) ) ) ) )).

fof(addAssignment_1780,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9488(VarNext)
      <=> v9486(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2267,axiom,(
    ! [VarCurr] :
      ( v9486(VarCurr)
    <=> ( v9457(VarCurr)
        | v9489(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2266,axiom,(
    ! [VarCurr] :
      ( v9489(VarCurr)
    <=> ( v9490(VarCurr)
        & v9510(VarCurr) ) ) )).

fof(writeUnaryOperator_735,axiom,(
    ! [VarCurr] :
      ( ~ v9510(VarCurr)
    <=> v9457(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2265,axiom,(
    ! [VarCurr] :
      ( v9490(VarCurr)
    <=> ( v9491(VarCurr)
        | v9508(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2264,axiom,(
    ! [VarCurr] :
      ( v9508(VarCurr)
    <=> ( v9469(VarCurr)
        & v9509(VarCurr) ) ) )).

fof(writeUnaryOperator_734,axiom,(
    ! [VarCurr] :
      ( ~ v9509(VarCurr)
    <=> v9471(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2263,axiom,(
    ! [VarCurr] :
      ( v9491(VarCurr)
    <=> ( v9492(VarCurr)
        & v9471(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2262,axiom,(
    ! [VarCurr] :
      ( v9492(VarCurr)
    <=> ( v9493(VarCurr)
        | v9502(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2261,axiom,(
    ! [VarCurr] :
      ( v9502(VarCurr)
    <=> ( v9503(VarCurr)
        & v9507(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_673,axiom,(
    ! [VarCurr] :
      ( v9507(VarCurr)
    <=> ( ( v9495(VarCurr,bitIndex2)
        <=> $false )
        & ( v9495(VarCurr,bitIndex1)
        <=> $false )
        & ( v9495(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2260,axiom,(
    ! [VarCurr] :
      ( v9503(VarCurr)
    <=> ( v9504(VarCurr)
        | v9505(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2259,axiom,(
    ! [VarCurr] :
      ( v9505(VarCurr)
    <=> ( v9469(VarCurr)
        & v9506(VarCurr) ) ) )).

fof(writeUnaryOperator_733,axiom,(
    ! [VarCurr] :
      ( ~ v9506(VarCurr)
    <=> v9504(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_672,axiom,(
    ! [VarCurr] :
      ( v9504(VarCurr)
    <=> ( v9467(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2258,axiom,(
    ! [VarCurr] :
      ( v9493(VarCurr)
    <=> ( v9494(VarCurr)
        | v9496(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2257,axiom,(
    ! [VarCurr] :
      ( v9496(VarCurr)
    <=> ( v9497(VarCurr)
        & v9501(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_671,axiom,(
    ! [VarCurr] :
      ( v9501(VarCurr)
    <=> ( ( v9495(VarCurr,bitIndex2)
        <=> $false )
        & ( v9495(VarCurr,bitIndex1)
        <=> $true )
        & ( v9495(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2256,axiom,(
    ! [VarCurr] :
      ( v9497(VarCurr)
    <=> ( v9498(VarCurr)
        | v9499(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2255,axiom,(
    ! [VarCurr] :
      ( v9499(VarCurr)
    <=> ( v9469(VarCurr)
        & v9500(VarCurr) ) ) )).

fof(writeUnaryOperator_732,axiom,(
    ! [VarCurr] :
      ( ~ v9500(VarCurr)
    <=> v9498(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_670,axiom,(
    ! [VarCurr] :
      ( v9498(VarCurr)
    <=> ( v9467(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_669,axiom,(
    ! [VarCurr] :
      ( v9494(VarCurr)
    <=> ( ( v9495(VarCurr,bitIndex2)
        <=> $true )
        & ( v9495(VarCurr,bitIndex1)
        <=> $false )
        & ( v9495(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1779,axiom,(
    ! [VarCurr] :
      ( v9495(VarCurr,bitIndex0)
    <=> v9465(VarCurr) ) )).

fof(addAssignment_1778,axiom,(
    ! [VarCurr] :
      ( v9495(VarCurr,bitIndex1)
    <=> v9463(VarCurr) ) )).

fof(addAssignment_1777,axiom,(
    ! [VarCurr] :
      ( v9495(VarCurr,bitIndex2)
    <=> v9461(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2254,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9479(VarNext)
      <=> ( v9480(VarNext)
          & v9475(VarNext) ) ) ) )).

fof(writeUnaryOperator_731,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9480(VarNext)
      <=> v9482(VarNext) ) ) )).

fof(addAssignment_1776,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9482(VarNext)
      <=> v9475(VarCurr) ) ) )).

fof(addAssignment_1775,axiom,(
    ! [VarCurr] :
      ( v9475(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_1774,axiom,(
    ! [VarCurr] :
      ( v9473(VarCurr)
    <=> $false ) )).

fof(addAssignment_1773,axiom,(
    ! [VarCurr] :
      ( v9471(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_1772,axiom,(
    ! [VarCurr] :
      ( v9469(VarCurr)
    <=> $false ) )).

fof(addAssignment_1771,axiom,(
    ! [VarCurr] :
      ( v9467(VarCurr)
    <=> v8288(VarCurr,bitIndex33) ) )).

fof(addAssignment_1770,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex33)
    <=> v8290(VarCurr,bitIndex33) ) )).

fof(addAssignment_1769,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex33)
    <=> v3162(VarCurr,bitIndex33) ) )).

fof(addAssignment_1768,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex33)
    <=> v3164(VarCurr,bitIndex33) ) )).

fof(addAssignment_1767,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex33)
    <=> v3166(VarCurr,bitIndex33) ) )).

fof(addAssignment_1766,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex33)
    <=> v3168(VarCurr,bitIndex33) ) )).

fof(addAssignment_1765,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex33)
    <=> v3170(VarCurr,bitIndex33) ) )).

fof(addAssignment_1764,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex33)
    <=> v3172(VarCurr,bitIndex33) ) )).

fof(addAssignment_1763,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex33)
    <=> v3174(VarCurr,bitIndex33) ) )).

fof(addAssignment_1762,axiom,(
    ! [VarCurr] :
      ( v9465(VarCurr)
    <=> $false ) )).

fof(addAssignment_1761,axiom,(
    ! [VarCurr] :
      ( v9463(VarCurr)
    <=> $false ) )).

fof(addAssignment_1760,axiom,(
    ! [VarCurr] :
      ( v9461(VarCurr)
    <=> $true ) )).

fof(addAssignment_1759,axiom,(
    ! [VarCurr] :
      ( v9459(VarCurr)
    <=> $false ) )).

fof(addAssignment_1758,axiom,(
    ! [VarCurr] :
      ( v9457(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_103,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9410(VarNext)
       => ( v9387(VarNext)
        <=> v9387(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_109,axiom,(
    ! [VarNext] :
      ( v9410(VarNext)
     => ( v9387(VarNext)
      <=> v9445(VarNext) ) ) )).

fof(addAssignment_1757,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9445(VarNext)
      <=> v9443(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_352,axiom,(
    ! [VarCurr] :
      ( ~ v9389(VarCurr)
     => ( v9443(VarCurr)
      <=> v9446(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_354,axiom,(
    ! [VarCurr] :
      ( v9389(VarCurr)
     => ( v9443(VarCurr)
      <=> v9391(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_351,axiom,(
    ! [VarCurr] :
      ( ~ v9423(VarCurr)
     => ( v9446(VarCurr)
      <=> v9405(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_353,axiom,(
    ! [VarCurr] :
      ( v9423(VarCurr)
     => ( v9446(VarCurr)
      <=> v9447(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_180,axiom,(
    ! [VarCurr] :
      ( ( ~ v9426(VarCurr)
        & ~ v9428(VarCurr) )
     => ( v9447(VarCurr)
      <=> v9451(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_350,axiom,(
    ! [VarCurr] :
      ( v9428(VarCurr)
     => ( v9447(VarCurr)
      <=> v9450(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_352,axiom,(
    ! [VarCurr] :
      ( v9426(VarCurr)
     => ( v9447(VarCurr)
      <=> v9448(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_349,axiom,(
    ! [VarCurr] :
      ( ~ v9436(VarCurr)
     => ( v9451(VarCurr)
      <=> v9405(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_351,axiom,(
    ! [VarCurr] :
      ( v9436(VarCurr)
     => ( v9451(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_348,axiom,(
    ! [VarCurr] :
      ( ~ v9430(VarCurr)
     => ( v9450(VarCurr)
      <=> v9405(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_350,axiom,(
    ! [VarCurr] :
      ( v9430(VarCurr)
     => ( v9450(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_270,axiom,(
    ! [VarCurr] :
      ( ~ v9449(VarCurr)
     => ( v9448(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_271,axiom,(
    ! [VarCurr] :
      ( v9449(VarCurr)
     => ( v9448(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_668,axiom,(
    ! [VarCurr] :
      ( v9449(VarCurr)
    <=> ( v9399(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2253,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9410(VarNext)
      <=> ( v9411(VarNext)
          & v9420(VarNext) ) ) ) )).

fof(addAssignment_1756,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9420(VarNext)
      <=> v9418(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2252,axiom,(
    ! [VarCurr] :
      ( v9418(VarCurr)
    <=> ( v9389(VarCurr)
        | v9421(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2251,axiom,(
    ! [VarCurr] :
      ( v9421(VarCurr)
    <=> ( v9422(VarCurr)
        & v9442(VarCurr) ) ) )).

fof(writeUnaryOperator_730,axiom,(
    ! [VarCurr] :
      ( ~ v9442(VarCurr)
    <=> v9389(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2250,axiom,(
    ! [VarCurr] :
      ( v9422(VarCurr)
    <=> ( v9423(VarCurr)
        | v9440(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2249,axiom,(
    ! [VarCurr] :
      ( v9440(VarCurr)
    <=> ( v9401(VarCurr)
        & v9441(VarCurr) ) ) )).

fof(writeUnaryOperator_729,axiom,(
    ! [VarCurr] :
      ( ~ v9441(VarCurr)
    <=> v9403(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2248,axiom,(
    ! [VarCurr] :
      ( v9423(VarCurr)
    <=> ( v9424(VarCurr)
        & v9403(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2247,axiom,(
    ! [VarCurr] :
      ( v9424(VarCurr)
    <=> ( v9425(VarCurr)
        | v9434(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2246,axiom,(
    ! [VarCurr] :
      ( v9434(VarCurr)
    <=> ( v9435(VarCurr)
        & v9439(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_667,axiom,(
    ! [VarCurr] :
      ( v9439(VarCurr)
    <=> ( ( v9427(VarCurr,bitIndex2)
        <=> $false )
        & ( v9427(VarCurr,bitIndex1)
        <=> $false )
        & ( v9427(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2245,axiom,(
    ! [VarCurr] :
      ( v9435(VarCurr)
    <=> ( v9436(VarCurr)
        | v9437(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2244,axiom,(
    ! [VarCurr] :
      ( v9437(VarCurr)
    <=> ( v9401(VarCurr)
        & v9438(VarCurr) ) ) )).

fof(writeUnaryOperator_728,axiom,(
    ! [VarCurr] :
      ( ~ v9438(VarCurr)
    <=> v9436(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_666,axiom,(
    ! [VarCurr] :
      ( v9436(VarCurr)
    <=> ( v9399(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2243,axiom,(
    ! [VarCurr] :
      ( v9425(VarCurr)
    <=> ( v9426(VarCurr)
        | v9428(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2242,axiom,(
    ! [VarCurr] :
      ( v9428(VarCurr)
    <=> ( v9429(VarCurr)
        & v9433(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_665,axiom,(
    ! [VarCurr] :
      ( v9433(VarCurr)
    <=> ( ( v9427(VarCurr,bitIndex2)
        <=> $false )
        & ( v9427(VarCurr,bitIndex1)
        <=> $true )
        & ( v9427(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2241,axiom,(
    ! [VarCurr] :
      ( v9429(VarCurr)
    <=> ( v9430(VarCurr)
        | v9431(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2240,axiom,(
    ! [VarCurr] :
      ( v9431(VarCurr)
    <=> ( v9401(VarCurr)
        & v9432(VarCurr) ) ) )).

fof(writeUnaryOperator_727,axiom,(
    ! [VarCurr] :
      ( ~ v9432(VarCurr)
    <=> v9430(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_664,axiom,(
    ! [VarCurr] :
      ( v9430(VarCurr)
    <=> ( v9399(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_663,axiom,(
    ! [VarCurr] :
      ( v9426(VarCurr)
    <=> ( ( v9427(VarCurr,bitIndex2)
        <=> $true )
        & ( v9427(VarCurr,bitIndex1)
        <=> $false )
        & ( v9427(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1755,axiom,(
    ! [VarCurr] :
      ( v9427(VarCurr,bitIndex0)
    <=> v9397(VarCurr) ) )).

fof(addAssignment_1754,axiom,(
    ! [VarCurr] :
      ( v9427(VarCurr,bitIndex1)
    <=> v9395(VarCurr) ) )).

fof(addAssignment_1753,axiom,(
    ! [VarCurr] :
      ( v9427(VarCurr,bitIndex2)
    <=> v9393(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2239,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9411(VarNext)
      <=> ( v9412(VarNext)
          & v9407(VarNext) ) ) ) )).

fof(writeUnaryOperator_726,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9412(VarNext)
      <=> v9414(VarNext) ) ) )).

fof(addAssignment_1752,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9414(VarNext)
      <=> v9407(VarCurr) ) ) )).

fof(addAssignment_1751,axiom,(
    ! [VarCurr] :
      ( v9407(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_1750,axiom,(
    ! [VarCurr] :
      ( v9405(VarCurr)
    <=> $false ) )).

fof(addAssignment_1749,axiom,(
    ! [VarCurr] :
      ( v9403(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_1748,axiom,(
    ! [VarCurr] :
      ( v9401(VarCurr)
    <=> $false ) )).

fof(addAssignment_1747,axiom,(
    ! [VarCurr] :
      ( v9399(VarCurr)
    <=> v8288(VarCurr,bitIndex32) ) )).

fof(addAssignment_1746,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex32)
    <=> v8290(VarCurr,bitIndex32) ) )).

fof(addAssignment_1745,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex32)
    <=> v3162(VarCurr,bitIndex32) ) )).

fof(addAssignment_1744,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex32)
    <=> v3164(VarCurr,bitIndex32) ) )).

fof(addAssignment_1743,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex32)
    <=> v3166(VarCurr,bitIndex32) ) )).

fof(addAssignment_1742,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex32)
    <=> v3168(VarCurr,bitIndex32) ) )).

fof(addAssignment_1741,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex32)
    <=> v3170(VarCurr,bitIndex32) ) )).

fof(addAssignment_1740,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex32)
    <=> v3172(VarCurr,bitIndex32) ) )).

fof(addAssignment_1739,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex32)
    <=> v3174(VarCurr,bitIndex32) ) )).

fof(addAssignment_1738,axiom,(
    ! [VarCurr] :
      ( v9397(VarCurr)
    <=> $false ) )).

fof(addAssignment_1737,axiom,(
    ! [VarCurr] :
      ( v9395(VarCurr)
    <=> $false ) )).

fof(addAssignment_1736,axiom,(
    ! [VarCurr] :
      ( v9393(VarCurr)
    <=> $true ) )).

fof(addAssignment_1735,axiom,(
    ! [VarCurr] :
      ( v9391(VarCurr)
    <=> $false ) )).

fof(addAssignment_1734,axiom,(
    ! [VarCurr] :
      ( v9389(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_102,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9342(VarNext)
       => ( v9319(VarNext)
        <=> v9319(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_108,axiom,(
    ! [VarNext] :
      ( v9342(VarNext)
     => ( v9319(VarNext)
      <=> v9377(VarNext) ) ) )).

fof(addAssignment_1733,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9377(VarNext)
      <=> v9375(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_347,axiom,(
    ! [VarCurr] :
      ( ~ v9321(VarCurr)
     => ( v9375(VarCurr)
      <=> v9378(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_349,axiom,(
    ! [VarCurr] :
      ( v9321(VarCurr)
     => ( v9375(VarCurr)
      <=> v9323(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_346,axiom,(
    ! [VarCurr] :
      ( ~ v9355(VarCurr)
     => ( v9378(VarCurr)
      <=> v9337(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_348,axiom,(
    ! [VarCurr] :
      ( v9355(VarCurr)
     => ( v9378(VarCurr)
      <=> v9379(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_179,axiom,(
    ! [VarCurr] :
      ( ( ~ v9358(VarCurr)
        & ~ v9360(VarCurr) )
     => ( v9379(VarCurr)
      <=> v9383(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_345,axiom,(
    ! [VarCurr] :
      ( v9360(VarCurr)
     => ( v9379(VarCurr)
      <=> v9382(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_347,axiom,(
    ! [VarCurr] :
      ( v9358(VarCurr)
     => ( v9379(VarCurr)
      <=> v9380(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_344,axiom,(
    ! [VarCurr] :
      ( ~ v9368(VarCurr)
     => ( v9383(VarCurr)
      <=> v9337(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_346,axiom,(
    ! [VarCurr] :
      ( v9368(VarCurr)
     => ( v9383(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_343,axiom,(
    ! [VarCurr] :
      ( ~ v9362(VarCurr)
     => ( v9382(VarCurr)
      <=> v9337(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_345,axiom,(
    ! [VarCurr] :
      ( v9362(VarCurr)
     => ( v9382(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_269,axiom,(
    ! [VarCurr] :
      ( ~ v9381(VarCurr)
     => ( v9380(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_270,axiom,(
    ! [VarCurr] :
      ( v9381(VarCurr)
     => ( v9380(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_662,axiom,(
    ! [VarCurr] :
      ( v9381(VarCurr)
    <=> ( v9331(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2238,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9342(VarNext)
      <=> ( v9343(VarNext)
          & v9352(VarNext) ) ) ) )).

fof(addAssignment_1732,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9352(VarNext)
      <=> v9350(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2237,axiom,(
    ! [VarCurr] :
      ( v9350(VarCurr)
    <=> ( v9321(VarCurr)
        | v9353(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2236,axiom,(
    ! [VarCurr] :
      ( v9353(VarCurr)
    <=> ( v9354(VarCurr)
        & v9374(VarCurr) ) ) )).

fof(writeUnaryOperator_725,axiom,(
    ! [VarCurr] :
      ( ~ v9374(VarCurr)
    <=> v9321(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2235,axiom,(
    ! [VarCurr] :
      ( v9354(VarCurr)
    <=> ( v9355(VarCurr)
        | v9372(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2234,axiom,(
    ! [VarCurr] :
      ( v9372(VarCurr)
    <=> ( v9333(VarCurr)
        & v9373(VarCurr) ) ) )).

fof(writeUnaryOperator_724,axiom,(
    ! [VarCurr] :
      ( ~ v9373(VarCurr)
    <=> v9335(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2233,axiom,(
    ! [VarCurr] :
      ( v9355(VarCurr)
    <=> ( v9356(VarCurr)
        & v9335(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2232,axiom,(
    ! [VarCurr] :
      ( v9356(VarCurr)
    <=> ( v9357(VarCurr)
        | v9366(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2231,axiom,(
    ! [VarCurr] :
      ( v9366(VarCurr)
    <=> ( v9367(VarCurr)
        & v9371(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_661,axiom,(
    ! [VarCurr] :
      ( v9371(VarCurr)
    <=> ( ( v9359(VarCurr,bitIndex2)
        <=> $false )
        & ( v9359(VarCurr,bitIndex1)
        <=> $false )
        & ( v9359(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2230,axiom,(
    ! [VarCurr] :
      ( v9367(VarCurr)
    <=> ( v9368(VarCurr)
        | v9369(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2229,axiom,(
    ! [VarCurr] :
      ( v9369(VarCurr)
    <=> ( v9333(VarCurr)
        & v9370(VarCurr) ) ) )).

fof(writeUnaryOperator_723,axiom,(
    ! [VarCurr] :
      ( ~ v9370(VarCurr)
    <=> v9368(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_660,axiom,(
    ! [VarCurr] :
      ( v9368(VarCurr)
    <=> ( v9331(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2228,axiom,(
    ! [VarCurr] :
      ( v9357(VarCurr)
    <=> ( v9358(VarCurr)
        | v9360(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2227,axiom,(
    ! [VarCurr] :
      ( v9360(VarCurr)
    <=> ( v9361(VarCurr)
        & v9365(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_659,axiom,(
    ! [VarCurr] :
      ( v9365(VarCurr)
    <=> ( ( v9359(VarCurr,bitIndex2)
        <=> $false )
        & ( v9359(VarCurr,bitIndex1)
        <=> $true )
        & ( v9359(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2226,axiom,(
    ! [VarCurr] :
      ( v9361(VarCurr)
    <=> ( v9362(VarCurr)
        | v9363(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2225,axiom,(
    ! [VarCurr] :
      ( v9363(VarCurr)
    <=> ( v9333(VarCurr)
        & v9364(VarCurr) ) ) )).

fof(writeUnaryOperator_722,axiom,(
    ! [VarCurr] :
      ( ~ v9364(VarCurr)
    <=> v9362(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_658,axiom,(
    ! [VarCurr] :
      ( v9362(VarCurr)
    <=> ( v9331(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_657,axiom,(
    ! [VarCurr] :
      ( v9358(VarCurr)
    <=> ( ( v9359(VarCurr,bitIndex2)
        <=> $true )
        & ( v9359(VarCurr,bitIndex1)
        <=> $false )
        & ( v9359(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1731,axiom,(
    ! [VarCurr] :
      ( v9359(VarCurr,bitIndex0)
    <=> v9329(VarCurr) ) )).

fof(addAssignment_1730,axiom,(
    ! [VarCurr] :
      ( v9359(VarCurr,bitIndex1)
    <=> v9327(VarCurr) ) )).

fof(addAssignment_1729,axiom,(
    ! [VarCurr] :
      ( v9359(VarCurr,bitIndex2)
    <=> v9325(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2224,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9343(VarNext)
      <=> ( v9344(VarNext)
          & v9339(VarNext) ) ) ) )).

fof(writeUnaryOperator_721,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9344(VarNext)
      <=> v9346(VarNext) ) ) )).

fof(addAssignment_1728,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9346(VarNext)
      <=> v9339(VarCurr) ) ) )).

fof(addAssignment_1727,axiom,(
    ! [VarCurr] :
      ( v9339(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_1726,axiom,(
    ! [VarCurr] :
      ( v9337(VarCurr)
    <=> $false ) )).

fof(addAssignment_1725,axiom,(
    ! [VarCurr] :
      ( v9335(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_1724,axiom,(
    ! [VarCurr] :
      ( v9333(VarCurr)
    <=> $false ) )).

fof(addAssignment_1723,axiom,(
    ! [VarCurr] :
      ( v9331(VarCurr)
    <=> v8288(VarCurr,bitIndex31) ) )).

fof(addAssignment_1722,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex31)
    <=> v8290(VarCurr,bitIndex31) ) )).

fof(addAssignment_1721,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex31)
    <=> v3162(VarCurr,bitIndex31) ) )).

fof(addAssignment_1720,axiom,(
    ! [VarCurr] :
      ( v9329(VarCurr)
    <=> $false ) )).

fof(addAssignment_1719,axiom,(
    ! [VarCurr] :
      ( v9327(VarCurr)
    <=> $false ) )).

fof(addAssignment_1718,axiom,(
    ! [VarCurr] :
      ( v9325(VarCurr)
    <=> $true ) )).

fof(addAssignment_1717,axiom,(
    ! [VarCurr] :
      ( v9323(VarCurr)
    <=> $false ) )).

fof(addAssignment_1716,axiom,(
    ! [VarCurr] :
      ( v9321(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_101,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9274(VarNext)
       => ( v9251(VarNext)
        <=> v9251(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_107,axiom,(
    ! [VarNext] :
      ( v9274(VarNext)
     => ( v9251(VarNext)
      <=> v9309(VarNext) ) ) )).

fof(addAssignment_1715,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9309(VarNext)
      <=> v9307(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_342,axiom,(
    ! [VarCurr] :
      ( ~ v9253(VarCurr)
     => ( v9307(VarCurr)
      <=> v9310(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_344,axiom,(
    ! [VarCurr] :
      ( v9253(VarCurr)
     => ( v9307(VarCurr)
      <=> v9255(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_341,axiom,(
    ! [VarCurr] :
      ( ~ v9287(VarCurr)
     => ( v9310(VarCurr)
      <=> v9269(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_343,axiom,(
    ! [VarCurr] :
      ( v9287(VarCurr)
     => ( v9310(VarCurr)
      <=> v9311(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_178,axiom,(
    ! [VarCurr] :
      ( ( ~ v9290(VarCurr)
        & ~ v9292(VarCurr) )
     => ( v9311(VarCurr)
      <=> v9315(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_340,axiom,(
    ! [VarCurr] :
      ( v9292(VarCurr)
     => ( v9311(VarCurr)
      <=> v9314(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_342,axiom,(
    ! [VarCurr] :
      ( v9290(VarCurr)
     => ( v9311(VarCurr)
      <=> v9312(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_339,axiom,(
    ! [VarCurr] :
      ( ~ v9300(VarCurr)
     => ( v9315(VarCurr)
      <=> v9269(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_341,axiom,(
    ! [VarCurr] :
      ( v9300(VarCurr)
     => ( v9315(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_338,axiom,(
    ! [VarCurr] :
      ( ~ v9294(VarCurr)
     => ( v9314(VarCurr)
      <=> v9269(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_340,axiom,(
    ! [VarCurr] :
      ( v9294(VarCurr)
     => ( v9314(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_268,axiom,(
    ! [VarCurr] :
      ( ~ v9313(VarCurr)
     => ( v9312(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_269,axiom,(
    ! [VarCurr] :
      ( v9313(VarCurr)
     => ( v9312(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_656,axiom,(
    ! [VarCurr] :
      ( v9313(VarCurr)
    <=> ( v9263(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2223,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9274(VarNext)
      <=> ( v9275(VarNext)
          & v9284(VarNext) ) ) ) )).

fof(addAssignment_1714,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9284(VarNext)
      <=> v9282(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2222,axiom,(
    ! [VarCurr] :
      ( v9282(VarCurr)
    <=> ( v9253(VarCurr)
        | v9285(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2221,axiom,(
    ! [VarCurr] :
      ( v9285(VarCurr)
    <=> ( v9286(VarCurr)
        & v9306(VarCurr) ) ) )).

fof(writeUnaryOperator_720,axiom,(
    ! [VarCurr] :
      ( ~ v9306(VarCurr)
    <=> v9253(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2220,axiom,(
    ! [VarCurr] :
      ( v9286(VarCurr)
    <=> ( v9287(VarCurr)
        | v9304(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2219,axiom,(
    ! [VarCurr] :
      ( v9304(VarCurr)
    <=> ( v9265(VarCurr)
        & v9305(VarCurr) ) ) )).

fof(writeUnaryOperator_719,axiom,(
    ! [VarCurr] :
      ( ~ v9305(VarCurr)
    <=> v9267(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2218,axiom,(
    ! [VarCurr] :
      ( v9287(VarCurr)
    <=> ( v9288(VarCurr)
        & v9267(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2217,axiom,(
    ! [VarCurr] :
      ( v9288(VarCurr)
    <=> ( v9289(VarCurr)
        | v9298(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2216,axiom,(
    ! [VarCurr] :
      ( v9298(VarCurr)
    <=> ( v9299(VarCurr)
        & v9303(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_655,axiom,(
    ! [VarCurr] :
      ( v9303(VarCurr)
    <=> ( ( v9291(VarCurr,bitIndex2)
        <=> $false )
        & ( v9291(VarCurr,bitIndex1)
        <=> $false )
        & ( v9291(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2215,axiom,(
    ! [VarCurr] :
      ( v9299(VarCurr)
    <=> ( v9300(VarCurr)
        | v9301(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2214,axiom,(
    ! [VarCurr] :
      ( v9301(VarCurr)
    <=> ( v9265(VarCurr)
        & v9302(VarCurr) ) ) )).

fof(writeUnaryOperator_718,axiom,(
    ! [VarCurr] :
      ( ~ v9302(VarCurr)
    <=> v9300(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_654,axiom,(
    ! [VarCurr] :
      ( v9300(VarCurr)
    <=> ( v9263(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2213,axiom,(
    ! [VarCurr] :
      ( v9289(VarCurr)
    <=> ( v9290(VarCurr)
        | v9292(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2212,axiom,(
    ! [VarCurr] :
      ( v9292(VarCurr)
    <=> ( v9293(VarCurr)
        & v9297(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_653,axiom,(
    ! [VarCurr] :
      ( v9297(VarCurr)
    <=> ( ( v9291(VarCurr,bitIndex2)
        <=> $false )
        & ( v9291(VarCurr,bitIndex1)
        <=> $true )
        & ( v9291(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2211,axiom,(
    ! [VarCurr] :
      ( v9293(VarCurr)
    <=> ( v9294(VarCurr)
        | v9295(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2210,axiom,(
    ! [VarCurr] :
      ( v9295(VarCurr)
    <=> ( v9265(VarCurr)
        & v9296(VarCurr) ) ) )).

fof(writeUnaryOperator_717,axiom,(
    ! [VarCurr] :
      ( ~ v9296(VarCurr)
    <=> v9294(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_652,axiom,(
    ! [VarCurr] :
      ( v9294(VarCurr)
    <=> ( v9263(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_651,axiom,(
    ! [VarCurr] :
      ( v9290(VarCurr)
    <=> ( ( v9291(VarCurr,bitIndex2)
        <=> $true )
        & ( v9291(VarCurr,bitIndex1)
        <=> $false )
        & ( v9291(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1713,axiom,(
    ! [VarCurr] :
      ( v9291(VarCurr,bitIndex0)
    <=> v9261(VarCurr) ) )).

fof(addAssignment_1712,axiom,(
    ! [VarCurr] :
      ( v9291(VarCurr,bitIndex1)
    <=> v9259(VarCurr) ) )).

fof(addAssignment_1711,axiom,(
    ! [VarCurr] :
      ( v9291(VarCurr,bitIndex2)
    <=> v9257(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2209,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9275(VarNext)
      <=> ( v9276(VarNext)
          & v9271(VarNext) ) ) ) )).

fof(writeUnaryOperator_716,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9276(VarNext)
      <=> v9278(VarNext) ) ) )).

fof(addAssignment_1710,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9278(VarNext)
      <=> v9271(VarCurr) ) ) )).

fof(addAssignment_1709,axiom,(
    ! [VarCurr] :
      ( v9271(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_1708,axiom,(
    ! [VarCurr] :
      ( v9269(VarCurr)
    <=> $false ) )).

fof(addAssignment_1707,axiom,(
    ! [VarCurr] :
      ( v9267(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_1706,axiom,(
    ! [VarCurr] :
      ( v9265(VarCurr)
    <=> $false ) )).

fof(addAssignment_1705,axiom,(
    ! [VarCurr] :
      ( v9263(VarCurr)
    <=> v8288(VarCurr,bitIndex30) ) )).

fof(addAssignment_1704,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex30)
    <=> v8290(VarCurr,bitIndex30) ) )).

fof(addAssignment_1703,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex30)
    <=> v3162(VarCurr,bitIndex30) ) )).

fof(addAssignment_1702,axiom,(
    ! [VarCurr] :
      ( v9261(VarCurr)
    <=> $false ) )).

fof(addAssignment_1701,axiom,(
    ! [VarCurr] :
      ( v9259(VarCurr)
    <=> $false ) )).

fof(addAssignment_1700,axiom,(
    ! [VarCurr] :
      ( v9257(VarCurr)
    <=> $true ) )).

fof(addAssignment_1699,axiom,(
    ! [VarCurr] :
      ( v9255(VarCurr)
    <=> $false ) )).

fof(addAssignment_1698,axiom,(
    ! [VarCurr] :
      ( v9253(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_100,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9206(VarNext)
       => ( v9183(VarNext)
        <=> v9183(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_106,axiom,(
    ! [VarNext] :
      ( v9206(VarNext)
     => ( v9183(VarNext)
      <=> v9241(VarNext) ) ) )).

fof(addAssignment_1697,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9241(VarNext)
      <=> v9239(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_337,axiom,(
    ! [VarCurr] :
      ( ~ v9185(VarCurr)
     => ( v9239(VarCurr)
      <=> v9242(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_339,axiom,(
    ! [VarCurr] :
      ( v9185(VarCurr)
     => ( v9239(VarCurr)
      <=> v9187(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_336,axiom,(
    ! [VarCurr] :
      ( ~ v9219(VarCurr)
     => ( v9242(VarCurr)
      <=> v9201(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_338,axiom,(
    ! [VarCurr] :
      ( v9219(VarCurr)
     => ( v9242(VarCurr)
      <=> v9243(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_177,axiom,(
    ! [VarCurr] :
      ( ( ~ v9222(VarCurr)
        & ~ v9224(VarCurr) )
     => ( v9243(VarCurr)
      <=> v9247(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_335,axiom,(
    ! [VarCurr] :
      ( v9224(VarCurr)
     => ( v9243(VarCurr)
      <=> v9246(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_337,axiom,(
    ! [VarCurr] :
      ( v9222(VarCurr)
     => ( v9243(VarCurr)
      <=> v9244(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_334,axiom,(
    ! [VarCurr] :
      ( ~ v9232(VarCurr)
     => ( v9247(VarCurr)
      <=> v9201(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_336,axiom,(
    ! [VarCurr] :
      ( v9232(VarCurr)
     => ( v9247(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_333,axiom,(
    ! [VarCurr] :
      ( ~ v9226(VarCurr)
     => ( v9246(VarCurr)
      <=> v9201(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_335,axiom,(
    ! [VarCurr] :
      ( v9226(VarCurr)
     => ( v9246(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_267,axiom,(
    ! [VarCurr] :
      ( ~ v9245(VarCurr)
     => ( v9244(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_268,axiom,(
    ! [VarCurr] :
      ( v9245(VarCurr)
     => ( v9244(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_650,axiom,(
    ! [VarCurr] :
      ( v9245(VarCurr)
    <=> ( v9195(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2208,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9206(VarNext)
      <=> ( v9207(VarNext)
          & v9216(VarNext) ) ) ) )).

fof(addAssignment_1696,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9216(VarNext)
      <=> v9214(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2207,axiom,(
    ! [VarCurr] :
      ( v9214(VarCurr)
    <=> ( v9185(VarCurr)
        | v9217(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2206,axiom,(
    ! [VarCurr] :
      ( v9217(VarCurr)
    <=> ( v9218(VarCurr)
        & v9238(VarCurr) ) ) )).

fof(writeUnaryOperator_715,axiom,(
    ! [VarCurr] :
      ( ~ v9238(VarCurr)
    <=> v9185(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2205,axiom,(
    ! [VarCurr] :
      ( v9218(VarCurr)
    <=> ( v9219(VarCurr)
        | v9236(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2204,axiom,(
    ! [VarCurr] :
      ( v9236(VarCurr)
    <=> ( v9197(VarCurr)
        & v9237(VarCurr) ) ) )).

fof(writeUnaryOperator_714,axiom,(
    ! [VarCurr] :
      ( ~ v9237(VarCurr)
    <=> v9199(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2203,axiom,(
    ! [VarCurr] :
      ( v9219(VarCurr)
    <=> ( v9220(VarCurr)
        & v9199(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2202,axiom,(
    ! [VarCurr] :
      ( v9220(VarCurr)
    <=> ( v9221(VarCurr)
        | v9230(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2201,axiom,(
    ! [VarCurr] :
      ( v9230(VarCurr)
    <=> ( v9231(VarCurr)
        & v9235(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_649,axiom,(
    ! [VarCurr] :
      ( v9235(VarCurr)
    <=> ( ( v9223(VarCurr,bitIndex2)
        <=> $false )
        & ( v9223(VarCurr,bitIndex1)
        <=> $false )
        & ( v9223(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2200,axiom,(
    ! [VarCurr] :
      ( v9231(VarCurr)
    <=> ( v9232(VarCurr)
        | v9233(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2199,axiom,(
    ! [VarCurr] :
      ( v9233(VarCurr)
    <=> ( v9197(VarCurr)
        & v9234(VarCurr) ) ) )).

fof(writeUnaryOperator_713,axiom,(
    ! [VarCurr] :
      ( ~ v9234(VarCurr)
    <=> v9232(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_648,axiom,(
    ! [VarCurr] :
      ( v9232(VarCurr)
    <=> ( v9195(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2198,axiom,(
    ! [VarCurr] :
      ( v9221(VarCurr)
    <=> ( v9222(VarCurr)
        | v9224(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2197,axiom,(
    ! [VarCurr] :
      ( v9224(VarCurr)
    <=> ( v9225(VarCurr)
        & v9229(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_647,axiom,(
    ! [VarCurr] :
      ( v9229(VarCurr)
    <=> ( ( v9223(VarCurr,bitIndex2)
        <=> $false )
        & ( v9223(VarCurr,bitIndex1)
        <=> $true )
        & ( v9223(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2196,axiom,(
    ! [VarCurr] :
      ( v9225(VarCurr)
    <=> ( v9226(VarCurr)
        | v9227(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2195,axiom,(
    ! [VarCurr] :
      ( v9227(VarCurr)
    <=> ( v9197(VarCurr)
        & v9228(VarCurr) ) ) )).

fof(writeUnaryOperator_712,axiom,(
    ! [VarCurr] :
      ( ~ v9228(VarCurr)
    <=> v9226(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_646,axiom,(
    ! [VarCurr] :
      ( v9226(VarCurr)
    <=> ( v9195(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_645,axiom,(
    ! [VarCurr] :
      ( v9222(VarCurr)
    <=> ( ( v9223(VarCurr,bitIndex2)
        <=> $true )
        & ( v9223(VarCurr,bitIndex1)
        <=> $false )
        & ( v9223(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1695,axiom,(
    ! [VarCurr] :
      ( v9223(VarCurr,bitIndex0)
    <=> v9193(VarCurr) ) )).

fof(addAssignment_1694,axiom,(
    ! [VarCurr] :
      ( v9223(VarCurr,bitIndex1)
    <=> v9191(VarCurr) ) )).

fof(addAssignment_1693,axiom,(
    ! [VarCurr] :
      ( v9223(VarCurr,bitIndex2)
    <=> v9189(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2194,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9207(VarNext)
      <=> ( v9208(VarNext)
          & v9203(VarNext) ) ) ) )).

fof(writeUnaryOperator_711,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9208(VarNext)
      <=> v9210(VarNext) ) ) )).

fof(addAssignment_1692,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9210(VarNext)
      <=> v9203(VarCurr) ) ) )).

fof(addAssignment_1691,axiom,(
    ! [VarCurr] :
      ( v9203(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_1690,axiom,(
    ! [VarCurr] :
      ( v9201(VarCurr)
    <=> $false ) )).

fof(addAssignment_1689,axiom,(
    ! [VarCurr] :
      ( v9199(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_1688,axiom,(
    ! [VarCurr] :
      ( v9197(VarCurr)
    <=> $false ) )).

fof(addAssignment_1687,axiom,(
    ! [VarCurr] :
      ( v9195(VarCurr)
    <=> v8288(VarCurr,bitIndex29) ) )).

fof(addAssignment_1686,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex29)
    <=> v8290(VarCurr,bitIndex29) ) )).

fof(addAssignment_1685,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex29)
    <=> v3162(VarCurr,bitIndex29) ) )).

fof(addAssignment_1684,axiom,(
    ! [VarCurr] :
      ( v9193(VarCurr)
    <=> $false ) )).

fof(addAssignment_1683,axiom,(
    ! [VarCurr] :
      ( v9191(VarCurr)
    <=> $false ) )).

fof(addAssignment_1682,axiom,(
    ! [VarCurr] :
      ( v9189(VarCurr)
    <=> $true ) )).

fof(addAssignment_1681,axiom,(
    ! [VarCurr] :
      ( v9187(VarCurr)
    <=> $false ) )).

fof(addAssignment_1680,axiom,(
    ! [VarCurr] :
      ( v9185(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_99,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9138(VarNext)
       => ( v9115(VarNext)
        <=> v9115(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_105,axiom,(
    ! [VarNext] :
      ( v9138(VarNext)
     => ( v9115(VarNext)
      <=> v9173(VarNext) ) ) )).

fof(addAssignment_1679,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9173(VarNext)
      <=> v9171(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_332,axiom,(
    ! [VarCurr] :
      ( ~ v9117(VarCurr)
     => ( v9171(VarCurr)
      <=> v9174(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_334,axiom,(
    ! [VarCurr] :
      ( v9117(VarCurr)
     => ( v9171(VarCurr)
      <=> v9119(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_331,axiom,(
    ! [VarCurr] :
      ( ~ v9151(VarCurr)
     => ( v9174(VarCurr)
      <=> v9133(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_333,axiom,(
    ! [VarCurr] :
      ( v9151(VarCurr)
     => ( v9174(VarCurr)
      <=> v9175(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_176,axiom,(
    ! [VarCurr] :
      ( ( ~ v9154(VarCurr)
        & ~ v9156(VarCurr) )
     => ( v9175(VarCurr)
      <=> v9179(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_330,axiom,(
    ! [VarCurr] :
      ( v9156(VarCurr)
     => ( v9175(VarCurr)
      <=> v9178(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_332,axiom,(
    ! [VarCurr] :
      ( v9154(VarCurr)
     => ( v9175(VarCurr)
      <=> v9176(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_329,axiom,(
    ! [VarCurr] :
      ( ~ v9164(VarCurr)
     => ( v9179(VarCurr)
      <=> v9133(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_331,axiom,(
    ! [VarCurr] :
      ( v9164(VarCurr)
     => ( v9179(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_328,axiom,(
    ! [VarCurr] :
      ( ~ v9158(VarCurr)
     => ( v9178(VarCurr)
      <=> v9133(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_330,axiom,(
    ! [VarCurr] :
      ( v9158(VarCurr)
     => ( v9178(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_266,axiom,(
    ! [VarCurr] :
      ( ~ v9177(VarCurr)
     => ( v9176(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_267,axiom,(
    ! [VarCurr] :
      ( v9177(VarCurr)
     => ( v9176(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_644,axiom,(
    ! [VarCurr] :
      ( v9177(VarCurr)
    <=> ( v9127(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2193,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9138(VarNext)
      <=> ( v9139(VarNext)
          & v9148(VarNext) ) ) ) )).

fof(addAssignment_1678,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9148(VarNext)
      <=> v9146(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2192,axiom,(
    ! [VarCurr] :
      ( v9146(VarCurr)
    <=> ( v9117(VarCurr)
        | v9149(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2191,axiom,(
    ! [VarCurr] :
      ( v9149(VarCurr)
    <=> ( v9150(VarCurr)
        & v9170(VarCurr) ) ) )).

fof(writeUnaryOperator_710,axiom,(
    ! [VarCurr] :
      ( ~ v9170(VarCurr)
    <=> v9117(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2190,axiom,(
    ! [VarCurr] :
      ( v9150(VarCurr)
    <=> ( v9151(VarCurr)
        | v9168(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2189,axiom,(
    ! [VarCurr] :
      ( v9168(VarCurr)
    <=> ( v9129(VarCurr)
        & v9169(VarCurr) ) ) )).

fof(writeUnaryOperator_709,axiom,(
    ! [VarCurr] :
      ( ~ v9169(VarCurr)
    <=> v9131(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2188,axiom,(
    ! [VarCurr] :
      ( v9151(VarCurr)
    <=> ( v9152(VarCurr)
        & v9131(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2187,axiom,(
    ! [VarCurr] :
      ( v9152(VarCurr)
    <=> ( v9153(VarCurr)
        | v9162(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2186,axiom,(
    ! [VarCurr] :
      ( v9162(VarCurr)
    <=> ( v9163(VarCurr)
        & v9167(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_643,axiom,(
    ! [VarCurr] :
      ( v9167(VarCurr)
    <=> ( ( v9155(VarCurr,bitIndex2)
        <=> $false )
        & ( v9155(VarCurr,bitIndex1)
        <=> $false )
        & ( v9155(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2185,axiom,(
    ! [VarCurr] :
      ( v9163(VarCurr)
    <=> ( v9164(VarCurr)
        | v9165(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2184,axiom,(
    ! [VarCurr] :
      ( v9165(VarCurr)
    <=> ( v9129(VarCurr)
        & v9166(VarCurr) ) ) )).

fof(writeUnaryOperator_708,axiom,(
    ! [VarCurr] :
      ( ~ v9166(VarCurr)
    <=> v9164(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_642,axiom,(
    ! [VarCurr] :
      ( v9164(VarCurr)
    <=> ( v9127(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2183,axiom,(
    ! [VarCurr] :
      ( v9153(VarCurr)
    <=> ( v9154(VarCurr)
        | v9156(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2182,axiom,(
    ! [VarCurr] :
      ( v9156(VarCurr)
    <=> ( v9157(VarCurr)
        & v9161(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_641,axiom,(
    ! [VarCurr] :
      ( v9161(VarCurr)
    <=> ( ( v9155(VarCurr,bitIndex2)
        <=> $false )
        & ( v9155(VarCurr,bitIndex1)
        <=> $true )
        & ( v9155(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2181,axiom,(
    ! [VarCurr] :
      ( v9157(VarCurr)
    <=> ( v9158(VarCurr)
        | v9159(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2180,axiom,(
    ! [VarCurr] :
      ( v9159(VarCurr)
    <=> ( v9129(VarCurr)
        & v9160(VarCurr) ) ) )).

fof(writeUnaryOperator_707,axiom,(
    ! [VarCurr] :
      ( ~ v9160(VarCurr)
    <=> v9158(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_640,axiom,(
    ! [VarCurr] :
      ( v9158(VarCurr)
    <=> ( v9127(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_639,axiom,(
    ! [VarCurr] :
      ( v9154(VarCurr)
    <=> ( ( v9155(VarCurr,bitIndex2)
        <=> $true )
        & ( v9155(VarCurr,bitIndex1)
        <=> $false )
        & ( v9155(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1677,axiom,(
    ! [VarCurr] :
      ( v9155(VarCurr,bitIndex0)
    <=> v9125(VarCurr) ) )).

fof(addAssignment_1676,axiom,(
    ! [VarCurr] :
      ( v9155(VarCurr,bitIndex1)
    <=> v9123(VarCurr) ) )).

fof(addAssignment_1675,axiom,(
    ! [VarCurr] :
      ( v9155(VarCurr,bitIndex2)
    <=> v9121(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2179,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9139(VarNext)
      <=> ( v9140(VarNext)
          & v9135(VarNext) ) ) ) )).

fof(writeUnaryOperator_706,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9140(VarNext)
      <=> v9142(VarNext) ) ) )).

fof(addAssignment_1674,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9142(VarNext)
      <=> v9135(VarCurr) ) ) )).

fof(addAssignment_1673,axiom,(
    ! [VarCurr] :
      ( v9135(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_1672,axiom,(
    ! [VarCurr] :
      ( v9133(VarCurr)
    <=> $false ) )).

fof(addAssignment_1671,axiom,(
    ! [VarCurr] :
      ( v9131(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_1670,axiom,(
    ! [VarCurr] :
      ( v9129(VarCurr)
    <=> $false ) )).

fof(addAssignment_1669,axiom,(
    ! [VarCurr] :
      ( v9127(VarCurr)
    <=> v8288(VarCurr,bitIndex28) ) )).

fof(addAssignment_1668,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex28)
    <=> v8290(VarCurr,bitIndex28) ) )).

fof(addAssignment_1667,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex28)
    <=> v3162(VarCurr,bitIndex28) ) )).

fof(addAssignment_1666,axiom,(
    ! [VarCurr] :
      ( v9125(VarCurr)
    <=> $false ) )).

fof(addAssignment_1665,axiom,(
    ! [VarCurr] :
      ( v9123(VarCurr)
    <=> $false ) )).

fof(addAssignment_1664,axiom,(
    ! [VarCurr] :
      ( v9121(VarCurr)
    <=> $true ) )).

fof(addAssignment_1663,axiom,(
    ! [VarCurr] :
      ( v9119(VarCurr)
    <=> $false ) )).

fof(addAssignment_1662,axiom,(
    ! [VarCurr] :
      ( v9117(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_98,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9070(VarNext)
       => ( v9047(VarNext)
        <=> v9047(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_104,axiom,(
    ! [VarNext] :
      ( v9070(VarNext)
     => ( v9047(VarNext)
      <=> v9105(VarNext) ) ) )).

fof(addAssignment_1661,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9105(VarNext)
      <=> v9103(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_327,axiom,(
    ! [VarCurr] :
      ( ~ v9049(VarCurr)
     => ( v9103(VarCurr)
      <=> v9106(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_329,axiom,(
    ! [VarCurr] :
      ( v9049(VarCurr)
     => ( v9103(VarCurr)
      <=> v9051(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_326,axiom,(
    ! [VarCurr] :
      ( ~ v9083(VarCurr)
     => ( v9106(VarCurr)
      <=> v9065(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_328,axiom,(
    ! [VarCurr] :
      ( v9083(VarCurr)
     => ( v9106(VarCurr)
      <=> v9107(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_175,axiom,(
    ! [VarCurr] :
      ( ( ~ v9086(VarCurr)
        & ~ v9088(VarCurr) )
     => ( v9107(VarCurr)
      <=> v9111(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_325,axiom,(
    ! [VarCurr] :
      ( v9088(VarCurr)
     => ( v9107(VarCurr)
      <=> v9110(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_327,axiom,(
    ! [VarCurr] :
      ( v9086(VarCurr)
     => ( v9107(VarCurr)
      <=> v9108(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_324,axiom,(
    ! [VarCurr] :
      ( ~ v9096(VarCurr)
     => ( v9111(VarCurr)
      <=> v9065(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_326,axiom,(
    ! [VarCurr] :
      ( v9096(VarCurr)
     => ( v9111(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_323,axiom,(
    ! [VarCurr] :
      ( ~ v9090(VarCurr)
     => ( v9110(VarCurr)
      <=> v9065(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_325,axiom,(
    ! [VarCurr] :
      ( v9090(VarCurr)
     => ( v9110(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_265,axiom,(
    ! [VarCurr] :
      ( ~ v9109(VarCurr)
     => ( v9108(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_266,axiom,(
    ! [VarCurr] :
      ( v9109(VarCurr)
     => ( v9108(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_638,axiom,(
    ! [VarCurr] :
      ( v9109(VarCurr)
    <=> ( v9059(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2178,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9070(VarNext)
      <=> ( v9071(VarNext)
          & v9080(VarNext) ) ) ) )).

fof(addAssignment_1660,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9080(VarNext)
      <=> v9078(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2177,axiom,(
    ! [VarCurr] :
      ( v9078(VarCurr)
    <=> ( v9049(VarCurr)
        | v9081(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2176,axiom,(
    ! [VarCurr] :
      ( v9081(VarCurr)
    <=> ( v9082(VarCurr)
        & v9102(VarCurr) ) ) )).

fof(writeUnaryOperator_705,axiom,(
    ! [VarCurr] :
      ( ~ v9102(VarCurr)
    <=> v9049(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2175,axiom,(
    ! [VarCurr] :
      ( v9082(VarCurr)
    <=> ( v9083(VarCurr)
        | v9100(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2174,axiom,(
    ! [VarCurr] :
      ( v9100(VarCurr)
    <=> ( v9061(VarCurr)
        & v9101(VarCurr) ) ) )).

fof(writeUnaryOperator_704,axiom,(
    ! [VarCurr] :
      ( ~ v9101(VarCurr)
    <=> v9063(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2173,axiom,(
    ! [VarCurr] :
      ( v9083(VarCurr)
    <=> ( v9084(VarCurr)
        & v9063(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2172,axiom,(
    ! [VarCurr] :
      ( v9084(VarCurr)
    <=> ( v9085(VarCurr)
        | v9094(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2171,axiom,(
    ! [VarCurr] :
      ( v9094(VarCurr)
    <=> ( v9095(VarCurr)
        & v9099(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_637,axiom,(
    ! [VarCurr] :
      ( v9099(VarCurr)
    <=> ( ( v9087(VarCurr,bitIndex2)
        <=> $false )
        & ( v9087(VarCurr,bitIndex1)
        <=> $false )
        & ( v9087(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2170,axiom,(
    ! [VarCurr] :
      ( v9095(VarCurr)
    <=> ( v9096(VarCurr)
        | v9097(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2169,axiom,(
    ! [VarCurr] :
      ( v9097(VarCurr)
    <=> ( v9061(VarCurr)
        & v9098(VarCurr) ) ) )).

fof(writeUnaryOperator_703,axiom,(
    ! [VarCurr] :
      ( ~ v9098(VarCurr)
    <=> v9096(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_636,axiom,(
    ! [VarCurr] :
      ( v9096(VarCurr)
    <=> ( v9059(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2168,axiom,(
    ! [VarCurr] :
      ( v9085(VarCurr)
    <=> ( v9086(VarCurr)
        | v9088(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2167,axiom,(
    ! [VarCurr] :
      ( v9088(VarCurr)
    <=> ( v9089(VarCurr)
        & v9093(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_635,axiom,(
    ! [VarCurr] :
      ( v9093(VarCurr)
    <=> ( ( v9087(VarCurr,bitIndex2)
        <=> $false )
        & ( v9087(VarCurr,bitIndex1)
        <=> $true )
        & ( v9087(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2166,axiom,(
    ! [VarCurr] :
      ( v9089(VarCurr)
    <=> ( v9090(VarCurr)
        | v9091(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2165,axiom,(
    ! [VarCurr] :
      ( v9091(VarCurr)
    <=> ( v9061(VarCurr)
        & v9092(VarCurr) ) ) )).

fof(writeUnaryOperator_702,axiom,(
    ! [VarCurr] :
      ( ~ v9092(VarCurr)
    <=> v9090(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_634,axiom,(
    ! [VarCurr] :
      ( v9090(VarCurr)
    <=> ( v9059(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_633,axiom,(
    ! [VarCurr] :
      ( v9086(VarCurr)
    <=> ( ( v9087(VarCurr,bitIndex2)
        <=> $true )
        & ( v9087(VarCurr,bitIndex1)
        <=> $false )
        & ( v9087(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1659,axiom,(
    ! [VarCurr] :
      ( v9087(VarCurr,bitIndex0)
    <=> v9057(VarCurr) ) )).

fof(addAssignment_1658,axiom,(
    ! [VarCurr] :
      ( v9087(VarCurr,bitIndex1)
    <=> v9055(VarCurr) ) )).

fof(addAssignment_1657,axiom,(
    ! [VarCurr] :
      ( v9087(VarCurr,bitIndex2)
    <=> v9053(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2164,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9071(VarNext)
      <=> ( v9072(VarNext)
          & v9067(VarNext) ) ) ) )).

fof(writeUnaryOperator_701,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9072(VarNext)
      <=> v9074(VarNext) ) ) )).

fof(addAssignment_1656,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9074(VarNext)
      <=> v9067(VarCurr) ) ) )).

fof(addAssignment_1655,axiom,(
    ! [VarCurr] :
      ( v9067(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_1654,axiom,(
    ! [VarCurr] :
      ( v9065(VarCurr)
    <=> $false ) )).

fof(addAssignment_1653,axiom,(
    ! [VarCurr] :
      ( v9063(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_1652,axiom,(
    ! [VarCurr] :
      ( v9061(VarCurr)
    <=> $false ) )).

fof(addAssignment_1651,axiom,(
    ! [VarCurr] :
      ( v9059(VarCurr)
    <=> v8288(VarCurr,bitIndex27) ) )).

fof(addAssignment_1650,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex27)
    <=> v8290(VarCurr,bitIndex27) ) )).

fof(addAssignment_1649,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex27)
    <=> v3162(VarCurr,bitIndex27) ) )).

fof(addAssignment_1648,axiom,(
    ! [VarCurr] :
      ( v9057(VarCurr)
    <=> $false ) )).

fof(addAssignment_1647,axiom,(
    ! [VarCurr] :
      ( v9055(VarCurr)
    <=> $false ) )).

fof(addAssignment_1646,axiom,(
    ! [VarCurr] :
      ( v9053(VarCurr)
    <=> $true ) )).

fof(addAssignment_1645,axiom,(
    ! [VarCurr] :
      ( v9051(VarCurr)
    <=> $false ) )).

fof(addAssignment_1644,axiom,(
    ! [VarCurr] :
      ( v9049(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_97,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9002(VarNext)
       => ( v8979(VarNext)
        <=> v8979(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_103,axiom,(
    ! [VarNext] :
      ( v9002(VarNext)
     => ( v8979(VarNext)
      <=> v9037(VarNext) ) ) )).

fof(addAssignment_1643,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9037(VarNext)
      <=> v9035(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_322,axiom,(
    ! [VarCurr] :
      ( ~ v8981(VarCurr)
     => ( v9035(VarCurr)
      <=> v9038(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_324,axiom,(
    ! [VarCurr] :
      ( v8981(VarCurr)
     => ( v9035(VarCurr)
      <=> v8983(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_321,axiom,(
    ! [VarCurr] :
      ( ~ v9015(VarCurr)
     => ( v9038(VarCurr)
      <=> v8997(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_323,axiom,(
    ! [VarCurr] :
      ( v9015(VarCurr)
     => ( v9038(VarCurr)
      <=> v9039(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_174,axiom,(
    ! [VarCurr] :
      ( ( ~ v9018(VarCurr)
        & ~ v9020(VarCurr) )
     => ( v9039(VarCurr)
      <=> v9043(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_320,axiom,(
    ! [VarCurr] :
      ( v9020(VarCurr)
     => ( v9039(VarCurr)
      <=> v9042(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_322,axiom,(
    ! [VarCurr] :
      ( v9018(VarCurr)
     => ( v9039(VarCurr)
      <=> v9040(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_319,axiom,(
    ! [VarCurr] :
      ( ~ v9028(VarCurr)
     => ( v9043(VarCurr)
      <=> v8997(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_321,axiom,(
    ! [VarCurr] :
      ( v9028(VarCurr)
     => ( v9043(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_318,axiom,(
    ! [VarCurr] :
      ( ~ v9022(VarCurr)
     => ( v9042(VarCurr)
      <=> v8997(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_320,axiom,(
    ! [VarCurr] :
      ( v9022(VarCurr)
     => ( v9042(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_264,axiom,(
    ! [VarCurr] :
      ( ~ v9041(VarCurr)
     => ( v9040(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_265,axiom,(
    ! [VarCurr] :
      ( v9041(VarCurr)
     => ( v9040(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_632,axiom,(
    ! [VarCurr] :
      ( v9041(VarCurr)
    <=> ( v8991(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2163,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9002(VarNext)
      <=> ( v9003(VarNext)
          & v9012(VarNext) ) ) ) )).

fof(addAssignment_1642,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9012(VarNext)
      <=> v9010(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2162,axiom,(
    ! [VarCurr] :
      ( v9010(VarCurr)
    <=> ( v8981(VarCurr)
        | v9013(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2161,axiom,(
    ! [VarCurr] :
      ( v9013(VarCurr)
    <=> ( v9014(VarCurr)
        & v9034(VarCurr) ) ) )).

fof(writeUnaryOperator_700,axiom,(
    ! [VarCurr] :
      ( ~ v9034(VarCurr)
    <=> v8981(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2160,axiom,(
    ! [VarCurr] :
      ( v9014(VarCurr)
    <=> ( v9015(VarCurr)
        | v9032(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2159,axiom,(
    ! [VarCurr] :
      ( v9032(VarCurr)
    <=> ( v8993(VarCurr)
        & v9033(VarCurr) ) ) )).

fof(writeUnaryOperator_699,axiom,(
    ! [VarCurr] :
      ( ~ v9033(VarCurr)
    <=> v8995(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2158,axiom,(
    ! [VarCurr] :
      ( v9015(VarCurr)
    <=> ( v9016(VarCurr)
        & v8995(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2157,axiom,(
    ! [VarCurr] :
      ( v9016(VarCurr)
    <=> ( v9017(VarCurr)
        | v9026(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2156,axiom,(
    ! [VarCurr] :
      ( v9026(VarCurr)
    <=> ( v9027(VarCurr)
        & v9031(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_631,axiom,(
    ! [VarCurr] :
      ( v9031(VarCurr)
    <=> ( ( v9019(VarCurr,bitIndex2)
        <=> $false )
        & ( v9019(VarCurr,bitIndex1)
        <=> $false )
        & ( v9019(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2155,axiom,(
    ! [VarCurr] :
      ( v9027(VarCurr)
    <=> ( v9028(VarCurr)
        | v9029(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2154,axiom,(
    ! [VarCurr] :
      ( v9029(VarCurr)
    <=> ( v8993(VarCurr)
        & v9030(VarCurr) ) ) )).

fof(writeUnaryOperator_698,axiom,(
    ! [VarCurr] :
      ( ~ v9030(VarCurr)
    <=> v9028(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_630,axiom,(
    ! [VarCurr] :
      ( v9028(VarCurr)
    <=> ( v8991(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2153,axiom,(
    ! [VarCurr] :
      ( v9017(VarCurr)
    <=> ( v9018(VarCurr)
        | v9020(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2152,axiom,(
    ! [VarCurr] :
      ( v9020(VarCurr)
    <=> ( v9021(VarCurr)
        & v9025(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_629,axiom,(
    ! [VarCurr] :
      ( v9025(VarCurr)
    <=> ( ( v9019(VarCurr,bitIndex2)
        <=> $false )
        & ( v9019(VarCurr,bitIndex1)
        <=> $true )
        & ( v9019(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2151,axiom,(
    ! [VarCurr] :
      ( v9021(VarCurr)
    <=> ( v9022(VarCurr)
        | v9023(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2150,axiom,(
    ! [VarCurr] :
      ( v9023(VarCurr)
    <=> ( v8993(VarCurr)
        & v9024(VarCurr) ) ) )).

fof(writeUnaryOperator_697,axiom,(
    ! [VarCurr] :
      ( ~ v9024(VarCurr)
    <=> v9022(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_628,axiom,(
    ! [VarCurr] :
      ( v9022(VarCurr)
    <=> ( v8991(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_627,axiom,(
    ! [VarCurr] :
      ( v9018(VarCurr)
    <=> ( ( v9019(VarCurr,bitIndex2)
        <=> $true )
        & ( v9019(VarCurr,bitIndex1)
        <=> $false )
        & ( v9019(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1641,axiom,(
    ! [VarCurr] :
      ( v9019(VarCurr,bitIndex0)
    <=> v8989(VarCurr) ) )).

fof(addAssignment_1640,axiom,(
    ! [VarCurr] :
      ( v9019(VarCurr,bitIndex1)
    <=> v8987(VarCurr) ) )).

fof(addAssignment_1639,axiom,(
    ! [VarCurr] :
      ( v9019(VarCurr,bitIndex2)
    <=> v8985(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2149,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9003(VarNext)
      <=> ( v9004(VarNext)
          & v8999(VarNext) ) ) ) )).

fof(writeUnaryOperator_696,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v9004(VarNext)
      <=> v9006(VarNext) ) ) )).

fof(addAssignment_1638,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v9006(VarNext)
      <=> v8999(VarCurr) ) ) )).

fof(addAssignment_1637,axiom,(
    ! [VarCurr] :
      ( v8999(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_1636,axiom,(
    ! [VarCurr] :
      ( v8997(VarCurr)
    <=> $false ) )).

fof(addAssignment_1635,axiom,(
    ! [VarCurr] :
      ( v8995(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_1634,axiom,(
    ! [VarCurr] :
      ( v8993(VarCurr)
    <=> $false ) )).

fof(addAssignment_1633,axiom,(
    ! [VarCurr] :
      ( v8991(VarCurr)
    <=> v8288(VarCurr,bitIndex26) ) )).

fof(addAssignment_1632,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex26)
    <=> v8290(VarCurr,bitIndex26) ) )).

fof(addAssignment_1631,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex26)
    <=> v3162(VarCurr,bitIndex26) ) )).

fof(addAssignment_1630,axiom,(
    ! [VarCurr] :
      ( v8989(VarCurr)
    <=> $false ) )).

fof(addAssignment_1629,axiom,(
    ! [VarCurr] :
      ( v8987(VarCurr)
    <=> $false ) )).

fof(addAssignment_1628,axiom,(
    ! [VarCurr] :
      ( v8985(VarCurr)
    <=> $true ) )).

fof(addAssignment_1627,axiom,(
    ! [VarCurr] :
      ( v8983(VarCurr)
    <=> $false ) )).

fof(addAssignment_1626,axiom,(
    ! [VarCurr] :
      ( v8981(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_96,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8934(VarNext)
       => ( v8911(VarNext)
        <=> v8911(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_102,axiom,(
    ! [VarNext] :
      ( v8934(VarNext)
     => ( v8911(VarNext)
      <=> v8969(VarNext) ) ) )).

fof(addAssignment_1625,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8969(VarNext)
      <=> v8967(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_317,axiom,(
    ! [VarCurr] :
      ( ~ v8913(VarCurr)
     => ( v8967(VarCurr)
      <=> v8970(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_319,axiom,(
    ! [VarCurr] :
      ( v8913(VarCurr)
     => ( v8967(VarCurr)
      <=> v8915(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_316,axiom,(
    ! [VarCurr] :
      ( ~ v8947(VarCurr)
     => ( v8970(VarCurr)
      <=> v8929(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_318,axiom,(
    ! [VarCurr] :
      ( v8947(VarCurr)
     => ( v8970(VarCurr)
      <=> v8971(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_173,axiom,(
    ! [VarCurr] :
      ( ( ~ v8950(VarCurr)
        & ~ v8952(VarCurr) )
     => ( v8971(VarCurr)
      <=> v8975(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_315,axiom,(
    ! [VarCurr] :
      ( v8952(VarCurr)
     => ( v8971(VarCurr)
      <=> v8974(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_317,axiom,(
    ! [VarCurr] :
      ( v8950(VarCurr)
     => ( v8971(VarCurr)
      <=> v8972(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_314,axiom,(
    ! [VarCurr] :
      ( ~ v8960(VarCurr)
     => ( v8975(VarCurr)
      <=> v8929(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_316,axiom,(
    ! [VarCurr] :
      ( v8960(VarCurr)
     => ( v8975(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_313,axiom,(
    ! [VarCurr] :
      ( ~ v8954(VarCurr)
     => ( v8974(VarCurr)
      <=> v8929(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_315,axiom,(
    ! [VarCurr] :
      ( v8954(VarCurr)
     => ( v8974(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_263,axiom,(
    ! [VarCurr] :
      ( ~ v8973(VarCurr)
     => ( v8972(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_264,axiom,(
    ! [VarCurr] :
      ( v8973(VarCurr)
     => ( v8972(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_626,axiom,(
    ! [VarCurr] :
      ( v8973(VarCurr)
    <=> ( v8923(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2148,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8934(VarNext)
      <=> ( v8935(VarNext)
          & v8944(VarNext) ) ) ) )).

fof(addAssignment_1624,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8944(VarNext)
      <=> v8942(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2147,axiom,(
    ! [VarCurr] :
      ( v8942(VarCurr)
    <=> ( v8913(VarCurr)
        | v8945(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2146,axiom,(
    ! [VarCurr] :
      ( v8945(VarCurr)
    <=> ( v8946(VarCurr)
        & v8966(VarCurr) ) ) )).

fof(writeUnaryOperator_695,axiom,(
    ! [VarCurr] :
      ( ~ v8966(VarCurr)
    <=> v8913(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2145,axiom,(
    ! [VarCurr] :
      ( v8946(VarCurr)
    <=> ( v8947(VarCurr)
        | v8964(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2144,axiom,(
    ! [VarCurr] :
      ( v8964(VarCurr)
    <=> ( v8925(VarCurr)
        & v8965(VarCurr) ) ) )).

fof(writeUnaryOperator_694,axiom,(
    ! [VarCurr] :
      ( ~ v8965(VarCurr)
    <=> v8927(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2143,axiom,(
    ! [VarCurr] :
      ( v8947(VarCurr)
    <=> ( v8948(VarCurr)
        & v8927(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2142,axiom,(
    ! [VarCurr] :
      ( v8948(VarCurr)
    <=> ( v8949(VarCurr)
        | v8958(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2141,axiom,(
    ! [VarCurr] :
      ( v8958(VarCurr)
    <=> ( v8959(VarCurr)
        & v8963(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_625,axiom,(
    ! [VarCurr] :
      ( v8963(VarCurr)
    <=> ( ( v8951(VarCurr,bitIndex2)
        <=> $false )
        & ( v8951(VarCurr,bitIndex1)
        <=> $false )
        & ( v8951(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2140,axiom,(
    ! [VarCurr] :
      ( v8959(VarCurr)
    <=> ( v8960(VarCurr)
        | v8961(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2139,axiom,(
    ! [VarCurr] :
      ( v8961(VarCurr)
    <=> ( v8925(VarCurr)
        & v8962(VarCurr) ) ) )).

fof(writeUnaryOperator_693,axiom,(
    ! [VarCurr] :
      ( ~ v8962(VarCurr)
    <=> v8960(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_624,axiom,(
    ! [VarCurr] :
      ( v8960(VarCurr)
    <=> ( v8923(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2138,axiom,(
    ! [VarCurr] :
      ( v8949(VarCurr)
    <=> ( v8950(VarCurr)
        | v8952(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2137,axiom,(
    ! [VarCurr] :
      ( v8952(VarCurr)
    <=> ( v8953(VarCurr)
        & v8957(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_623,axiom,(
    ! [VarCurr] :
      ( v8957(VarCurr)
    <=> ( ( v8951(VarCurr,bitIndex2)
        <=> $false )
        & ( v8951(VarCurr,bitIndex1)
        <=> $true )
        & ( v8951(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2136,axiom,(
    ! [VarCurr] :
      ( v8953(VarCurr)
    <=> ( v8954(VarCurr)
        | v8955(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2135,axiom,(
    ! [VarCurr] :
      ( v8955(VarCurr)
    <=> ( v8925(VarCurr)
        & v8956(VarCurr) ) ) )).

fof(writeUnaryOperator_692,axiom,(
    ! [VarCurr] :
      ( ~ v8956(VarCurr)
    <=> v8954(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_622,axiom,(
    ! [VarCurr] :
      ( v8954(VarCurr)
    <=> ( v8923(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_621,axiom,(
    ! [VarCurr] :
      ( v8950(VarCurr)
    <=> ( ( v8951(VarCurr,bitIndex2)
        <=> $true )
        & ( v8951(VarCurr,bitIndex1)
        <=> $false )
        & ( v8951(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1623,axiom,(
    ! [VarCurr] :
      ( v8951(VarCurr,bitIndex0)
    <=> v8921(VarCurr) ) )).

fof(addAssignment_1622,axiom,(
    ! [VarCurr] :
      ( v8951(VarCurr,bitIndex1)
    <=> v8919(VarCurr) ) )).

fof(addAssignment_1621,axiom,(
    ! [VarCurr] :
      ( v8951(VarCurr,bitIndex2)
    <=> v8917(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2134,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8935(VarNext)
      <=> ( v8936(VarNext)
          & v8931(VarNext) ) ) ) )).

fof(writeUnaryOperator_691,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8936(VarNext)
      <=> v8938(VarNext) ) ) )).

fof(addAssignment_1620,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8938(VarNext)
      <=> v8931(VarCurr) ) ) )).

fof(addAssignment_1619,axiom,(
    ! [VarCurr] :
      ( v8931(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_1618,axiom,(
    ! [VarCurr] :
      ( v8929(VarCurr)
    <=> $false ) )).

fof(addAssignment_1617,axiom,(
    ! [VarCurr] :
      ( v8927(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_1616,axiom,(
    ! [VarCurr] :
      ( v8925(VarCurr)
    <=> $false ) )).

fof(addAssignment_1615,axiom,(
    ! [VarCurr] :
      ( v8923(VarCurr)
    <=> v8288(VarCurr,bitIndex25) ) )).

fof(addAssignment_1614,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex25)
    <=> v8290(VarCurr,bitIndex25) ) )).

fof(addAssignment_1613,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex25)
    <=> v3162(VarCurr,bitIndex25) ) )).

fof(addAssignment_1612,axiom,(
    ! [VarCurr] :
      ( v8921(VarCurr)
    <=> $false ) )).

fof(addAssignment_1611,axiom,(
    ! [VarCurr] :
      ( v8919(VarCurr)
    <=> $false ) )).

fof(addAssignment_1610,axiom,(
    ! [VarCurr] :
      ( v8917(VarCurr)
    <=> $true ) )).

fof(addAssignment_1609,axiom,(
    ! [VarCurr] :
      ( v8915(VarCurr)
    <=> $false ) )).

fof(addAssignment_1608,axiom,(
    ! [VarCurr] :
      ( v8913(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_95,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8866(VarNext)
       => ( v8843(VarNext)
        <=> v8843(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_101,axiom,(
    ! [VarNext] :
      ( v8866(VarNext)
     => ( v8843(VarNext)
      <=> v8901(VarNext) ) ) )).

fof(addAssignment_1607,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8901(VarNext)
      <=> v8899(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_312,axiom,(
    ! [VarCurr] :
      ( ~ v8845(VarCurr)
     => ( v8899(VarCurr)
      <=> v8902(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_314,axiom,(
    ! [VarCurr] :
      ( v8845(VarCurr)
     => ( v8899(VarCurr)
      <=> v8847(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_311,axiom,(
    ! [VarCurr] :
      ( ~ v8879(VarCurr)
     => ( v8902(VarCurr)
      <=> v8861(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_313,axiom,(
    ! [VarCurr] :
      ( v8879(VarCurr)
     => ( v8902(VarCurr)
      <=> v8903(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_172,axiom,(
    ! [VarCurr] :
      ( ( ~ v8882(VarCurr)
        & ~ v8884(VarCurr) )
     => ( v8903(VarCurr)
      <=> v8907(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_310,axiom,(
    ! [VarCurr] :
      ( v8884(VarCurr)
     => ( v8903(VarCurr)
      <=> v8906(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_312,axiom,(
    ! [VarCurr] :
      ( v8882(VarCurr)
     => ( v8903(VarCurr)
      <=> v8904(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_309,axiom,(
    ! [VarCurr] :
      ( ~ v8892(VarCurr)
     => ( v8907(VarCurr)
      <=> v8861(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_311,axiom,(
    ! [VarCurr] :
      ( v8892(VarCurr)
     => ( v8907(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_308,axiom,(
    ! [VarCurr] :
      ( ~ v8886(VarCurr)
     => ( v8906(VarCurr)
      <=> v8861(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_310,axiom,(
    ! [VarCurr] :
      ( v8886(VarCurr)
     => ( v8906(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_262,axiom,(
    ! [VarCurr] :
      ( ~ v8905(VarCurr)
     => ( v8904(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_263,axiom,(
    ! [VarCurr] :
      ( v8905(VarCurr)
     => ( v8904(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_620,axiom,(
    ! [VarCurr] :
      ( v8905(VarCurr)
    <=> ( v8855(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2133,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8866(VarNext)
      <=> ( v8867(VarNext)
          & v8876(VarNext) ) ) ) )).

fof(addAssignment_1606,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8876(VarNext)
      <=> v8874(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2132,axiom,(
    ! [VarCurr] :
      ( v8874(VarCurr)
    <=> ( v8845(VarCurr)
        | v8877(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2131,axiom,(
    ! [VarCurr] :
      ( v8877(VarCurr)
    <=> ( v8878(VarCurr)
        & v8898(VarCurr) ) ) )).

fof(writeUnaryOperator_690,axiom,(
    ! [VarCurr] :
      ( ~ v8898(VarCurr)
    <=> v8845(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2130,axiom,(
    ! [VarCurr] :
      ( v8878(VarCurr)
    <=> ( v8879(VarCurr)
        | v8896(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2129,axiom,(
    ! [VarCurr] :
      ( v8896(VarCurr)
    <=> ( v8857(VarCurr)
        & v8897(VarCurr) ) ) )).

fof(writeUnaryOperator_689,axiom,(
    ! [VarCurr] :
      ( ~ v8897(VarCurr)
    <=> v8859(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2128,axiom,(
    ! [VarCurr] :
      ( v8879(VarCurr)
    <=> ( v8880(VarCurr)
        & v8859(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2127,axiom,(
    ! [VarCurr] :
      ( v8880(VarCurr)
    <=> ( v8881(VarCurr)
        | v8890(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2126,axiom,(
    ! [VarCurr] :
      ( v8890(VarCurr)
    <=> ( v8891(VarCurr)
        & v8895(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_619,axiom,(
    ! [VarCurr] :
      ( v8895(VarCurr)
    <=> ( ( v8883(VarCurr,bitIndex2)
        <=> $false )
        & ( v8883(VarCurr,bitIndex1)
        <=> $false )
        & ( v8883(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2125,axiom,(
    ! [VarCurr] :
      ( v8891(VarCurr)
    <=> ( v8892(VarCurr)
        | v8893(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2124,axiom,(
    ! [VarCurr] :
      ( v8893(VarCurr)
    <=> ( v8857(VarCurr)
        & v8894(VarCurr) ) ) )).

fof(writeUnaryOperator_688,axiom,(
    ! [VarCurr] :
      ( ~ v8894(VarCurr)
    <=> v8892(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_618,axiom,(
    ! [VarCurr] :
      ( v8892(VarCurr)
    <=> ( v8855(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2123,axiom,(
    ! [VarCurr] :
      ( v8881(VarCurr)
    <=> ( v8882(VarCurr)
        | v8884(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2122,axiom,(
    ! [VarCurr] :
      ( v8884(VarCurr)
    <=> ( v8885(VarCurr)
        & v8889(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_617,axiom,(
    ! [VarCurr] :
      ( v8889(VarCurr)
    <=> ( ( v8883(VarCurr,bitIndex2)
        <=> $false )
        & ( v8883(VarCurr,bitIndex1)
        <=> $true )
        & ( v8883(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2121,axiom,(
    ! [VarCurr] :
      ( v8885(VarCurr)
    <=> ( v8886(VarCurr)
        | v8887(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2120,axiom,(
    ! [VarCurr] :
      ( v8887(VarCurr)
    <=> ( v8857(VarCurr)
        & v8888(VarCurr) ) ) )).

fof(writeUnaryOperator_687,axiom,(
    ! [VarCurr] :
      ( ~ v8888(VarCurr)
    <=> v8886(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_616,axiom,(
    ! [VarCurr] :
      ( v8886(VarCurr)
    <=> ( v8855(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_615,axiom,(
    ! [VarCurr] :
      ( v8882(VarCurr)
    <=> ( ( v8883(VarCurr,bitIndex2)
        <=> $true )
        & ( v8883(VarCurr,bitIndex1)
        <=> $false )
        & ( v8883(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1605,axiom,(
    ! [VarCurr] :
      ( v8883(VarCurr,bitIndex0)
    <=> v8853(VarCurr) ) )).

fof(addAssignment_1604,axiom,(
    ! [VarCurr] :
      ( v8883(VarCurr,bitIndex1)
    <=> v8851(VarCurr) ) )).

fof(addAssignment_1603,axiom,(
    ! [VarCurr] :
      ( v8883(VarCurr,bitIndex2)
    <=> v8849(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2119,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8867(VarNext)
      <=> ( v8868(VarNext)
          & v8863(VarNext) ) ) ) )).

fof(writeUnaryOperator_686,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8868(VarNext)
      <=> v8870(VarNext) ) ) )).

fof(addAssignment_1602,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8870(VarNext)
      <=> v8863(VarCurr) ) ) )).

fof(addAssignment_1601,axiom,(
    ! [VarCurr] :
      ( v8863(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_1600,axiom,(
    ! [VarCurr] :
      ( v8861(VarCurr)
    <=> $false ) )).

fof(addAssignment_1599,axiom,(
    ! [VarCurr] :
      ( v8859(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_1598,axiom,(
    ! [VarCurr] :
      ( v8857(VarCurr)
    <=> $false ) )).

fof(addAssignment_1597,axiom,(
    ! [VarCurr] :
      ( v8855(VarCurr)
    <=> v8288(VarCurr,bitIndex24) ) )).

fof(addAssignment_1596,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex24)
    <=> v8290(VarCurr,bitIndex24) ) )).

fof(addAssignment_1595,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex24)
    <=> v3162(VarCurr,bitIndex24) ) )).

fof(addAssignment_1594,axiom,(
    ! [VarCurr] :
      ( v8853(VarCurr)
    <=> $false ) )).

fof(addAssignment_1593,axiom,(
    ! [VarCurr] :
      ( v8851(VarCurr)
    <=> $false ) )).

fof(addAssignment_1592,axiom,(
    ! [VarCurr] :
      ( v8849(VarCurr)
    <=> $true ) )).

fof(addAssignment_1591,axiom,(
    ! [VarCurr] :
      ( v8847(VarCurr)
    <=> $false ) )).

fof(addAssignment_1590,axiom,(
    ! [VarCurr] :
      ( v8845(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_94,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8798(VarNext)
       => ( v8775(VarNext)
        <=> v8775(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_100,axiom,(
    ! [VarNext] :
      ( v8798(VarNext)
     => ( v8775(VarNext)
      <=> v8833(VarNext) ) ) )).

fof(addAssignment_1589,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8833(VarNext)
      <=> v8831(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_307,axiom,(
    ! [VarCurr] :
      ( ~ v8777(VarCurr)
     => ( v8831(VarCurr)
      <=> v8834(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_309,axiom,(
    ! [VarCurr] :
      ( v8777(VarCurr)
     => ( v8831(VarCurr)
      <=> v8779(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_306,axiom,(
    ! [VarCurr] :
      ( ~ v8811(VarCurr)
     => ( v8834(VarCurr)
      <=> v8793(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_308,axiom,(
    ! [VarCurr] :
      ( v8811(VarCurr)
     => ( v8834(VarCurr)
      <=> v8835(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_171,axiom,(
    ! [VarCurr] :
      ( ( ~ v8814(VarCurr)
        & ~ v8816(VarCurr) )
     => ( v8835(VarCurr)
      <=> v8839(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_305,axiom,(
    ! [VarCurr] :
      ( v8816(VarCurr)
     => ( v8835(VarCurr)
      <=> v8838(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_307,axiom,(
    ! [VarCurr] :
      ( v8814(VarCurr)
     => ( v8835(VarCurr)
      <=> v8836(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_304,axiom,(
    ! [VarCurr] :
      ( ~ v8824(VarCurr)
     => ( v8839(VarCurr)
      <=> v8793(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_306,axiom,(
    ! [VarCurr] :
      ( v8824(VarCurr)
     => ( v8839(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_303,axiom,(
    ! [VarCurr] :
      ( ~ v8818(VarCurr)
     => ( v8838(VarCurr)
      <=> v8793(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_305,axiom,(
    ! [VarCurr] :
      ( v8818(VarCurr)
     => ( v8838(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_261,axiom,(
    ! [VarCurr] :
      ( ~ v8837(VarCurr)
     => ( v8836(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_262,axiom,(
    ! [VarCurr] :
      ( v8837(VarCurr)
     => ( v8836(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_614,axiom,(
    ! [VarCurr] :
      ( v8837(VarCurr)
    <=> ( v8787(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2118,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8798(VarNext)
      <=> ( v8799(VarNext)
          & v8808(VarNext) ) ) ) )).

fof(addAssignment_1588,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8808(VarNext)
      <=> v8806(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2117,axiom,(
    ! [VarCurr] :
      ( v8806(VarCurr)
    <=> ( v8777(VarCurr)
        | v8809(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2116,axiom,(
    ! [VarCurr] :
      ( v8809(VarCurr)
    <=> ( v8810(VarCurr)
        & v8830(VarCurr) ) ) )).

fof(writeUnaryOperator_685,axiom,(
    ! [VarCurr] :
      ( ~ v8830(VarCurr)
    <=> v8777(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2115,axiom,(
    ! [VarCurr] :
      ( v8810(VarCurr)
    <=> ( v8811(VarCurr)
        | v8828(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2114,axiom,(
    ! [VarCurr] :
      ( v8828(VarCurr)
    <=> ( v8789(VarCurr)
        & v8829(VarCurr) ) ) )).

fof(writeUnaryOperator_684,axiom,(
    ! [VarCurr] :
      ( ~ v8829(VarCurr)
    <=> v8791(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2113,axiom,(
    ! [VarCurr] :
      ( v8811(VarCurr)
    <=> ( v8812(VarCurr)
        & v8791(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2112,axiom,(
    ! [VarCurr] :
      ( v8812(VarCurr)
    <=> ( v8813(VarCurr)
        | v8822(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2111,axiom,(
    ! [VarCurr] :
      ( v8822(VarCurr)
    <=> ( v8823(VarCurr)
        & v8827(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_613,axiom,(
    ! [VarCurr] :
      ( v8827(VarCurr)
    <=> ( ( v8815(VarCurr,bitIndex2)
        <=> $false )
        & ( v8815(VarCurr,bitIndex1)
        <=> $false )
        & ( v8815(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2110,axiom,(
    ! [VarCurr] :
      ( v8823(VarCurr)
    <=> ( v8824(VarCurr)
        | v8825(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2109,axiom,(
    ! [VarCurr] :
      ( v8825(VarCurr)
    <=> ( v8789(VarCurr)
        & v8826(VarCurr) ) ) )).

fof(writeUnaryOperator_683,axiom,(
    ! [VarCurr] :
      ( ~ v8826(VarCurr)
    <=> v8824(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_612,axiom,(
    ! [VarCurr] :
      ( v8824(VarCurr)
    <=> ( v8787(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2108,axiom,(
    ! [VarCurr] :
      ( v8813(VarCurr)
    <=> ( v8814(VarCurr)
        | v8816(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2107,axiom,(
    ! [VarCurr] :
      ( v8816(VarCurr)
    <=> ( v8817(VarCurr)
        & v8821(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_611,axiom,(
    ! [VarCurr] :
      ( v8821(VarCurr)
    <=> ( ( v8815(VarCurr,bitIndex2)
        <=> $false )
        & ( v8815(VarCurr,bitIndex1)
        <=> $true )
        & ( v8815(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2106,axiom,(
    ! [VarCurr] :
      ( v8817(VarCurr)
    <=> ( v8818(VarCurr)
        | v8819(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2105,axiom,(
    ! [VarCurr] :
      ( v8819(VarCurr)
    <=> ( v8789(VarCurr)
        & v8820(VarCurr) ) ) )).

fof(writeUnaryOperator_682,axiom,(
    ! [VarCurr] :
      ( ~ v8820(VarCurr)
    <=> v8818(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_610,axiom,(
    ! [VarCurr] :
      ( v8818(VarCurr)
    <=> ( v8787(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_609,axiom,(
    ! [VarCurr] :
      ( v8814(VarCurr)
    <=> ( ( v8815(VarCurr,bitIndex2)
        <=> $true )
        & ( v8815(VarCurr,bitIndex1)
        <=> $false )
        & ( v8815(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1587,axiom,(
    ! [VarCurr] :
      ( v8815(VarCurr,bitIndex0)
    <=> v8785(VarCurr) ) )).

fof(addAssignment_1586,axiom,(
    ! [VarCurr] :
      ( v8815(VarCurr,bitIndex1)
    <=> v8783(VarCurr) ) )).

fof(addAssignment_1585,axiom,(
    ! [VarCurr] :
      ( v8815(VarCurr,bitIndex2)
    <=> v8781(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2104,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8799(VarNext)
      <=> ( v8800(VarNext)
          & v8795(VarNext) ) ) ) )).

fof(writeUnaryOperator_681,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8800(VarNext)
      <=> v8802(VarNext) ) ) )).

fof(addAssignment_1584,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8802(VarNext)
      <=> v8795(VarCurr) ) ) )).

fof(addAssignment_1583,axiom,(
    ! [VarCurr] :
      ( v8795(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_1582,axiom,(
    ! [VarCurr] :
      ( v8793(VarCurr)
    <=> $false ) )).

fof(addAssignment_1581,axiom,(
    ! [VarCurr] :
      ( v8791(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_1580,axiom,(
    ! [VarCurr] :
      ( v8789(VarCurr)
    <=> $false ) )).

fof(addAssignment_1579,axiom,(
    ! [VarCurr] :
      ( v8787(VarCurr)
    <=> v8288(VarCurr,bitIndex23) ) )).

fof(addAssignment_1578,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex23)
    <=> v8290(VarCurr,bitIndex23) ) )).

fof(addAssignment_1577,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex23)
    <=> v3162(VarCurr,bitIndex23) ) )).

fof(addAssignment_1576,axiom,(
    ! [VarCurr] :
      ( v8785(VarCurr)
    <=> $false ) )).

fof(addAssignment_1575,axiom,(
    ! [VarCurr] :
      ( v8783(VarCurr)
    <=> $false ) )).

fof(addAssignment_1574,axiom,(
    ! [VarCurr] :
      ( v8781(VarCurr)
    <=> $true ) )).

fof(addAssignment_1573,axiom,(
    ! [VarCurr] :
      ( v8779(VarCurr)
    <=> $false ) )).

fof(addAssignment_1572,axiom,(
    ! [VarCurr] :
      ( v8777(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_93,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8730(VarNext)
       => ( v8707(VarNext)
        <=> v8707(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_99,axiom,(
    ! [VarNext] :
      ( v8730(VarNext)
     => ( v8707(VarNext)
      <=> v8765(VarNext) ) ) )).

fof(addAssignment_1571,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8765(VarNext)
      <=> v8763(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_302,axiom,(
    ! [VarCurr] :
      ( ~ v8709(VarCurr)
     => ( v8763(VarCurr)
      <=> v8766(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_304,axiom,(
    ! [VarCurr] :
      ( v8709(VarCurr)
     => ( v8763(VarCurr)
      <=> v8711(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_301,axiom,(
    ! [VarCurr] :
      ( ~ v8743(VarCurr)
     => ( v8766(VarCurr)
      <=> v8725(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_303,axiom,(
    ! [VarCurr] :
      ( v8743(VarCurr)
     => ( v8766(VarCurr)
      <=> v8767(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_170,axiom,(
    ! [VarCurr] :
      ( ( ~ v8746(VarCurr)
        & ~ v8748(VarCurr) )
     => ( v8767(VarCurr)
      <=> v8771(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_300,axiom,(
    ! [VarCurr] :
      ( v8748(VarCurr)
     => ( v8767(VarCurr)
      <=> v8770(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_302,axiom,(
    ! [VarCurr] :
      ( v8746(VarCurr)
     => ( v8767(VarCurr)
      <=> v8768(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_299,axiom,(
    ! [VarCurr] :
      ( ~ v8756(VarCurr)
     => ( v8771(VarCurr)
      <=> v8725(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_301,axiom,(
    ! [VarCurr] :
      ( v8756(VarCurr)
     => ( v8771(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_298,axiom,(
    ! [VarCurr] :
      ( ~ v8750(VarCurr)
     => ( v8770(VarCurr)
      <=> v8725(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_300,axiom,(
    ! [VarCurr] :
      ( v8750(VarCurr)
     => ( v8770(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_260,axiom,(
    ! [VarCurr] :
      ( ~ v8769(VarCurr)
     => ( v8768(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_261,axiom,(
    ! [VarCurr] :
      ( v8769(VarCurr)
     => ( v8768(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_608,axiom,(
    ! [VarCurr] :
      ( v8769(VarCurr)
    <=> ( v8719(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2103,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8730(VarNext)
      <=> ( v8731(VarNext)
          & v8740(VarNext) ) ) ) )).

fof(addAssignment_1570,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8740(VarNext)
      <=> v8738(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2102,axiom,(
    ! [VarCurr] :
      ( v8738(VarCurr)
    <=> ( v8709(VarCurr)
        | v8741(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2101,axiom,(
    ! [VarCurr] :
      ( v8741(VarCurr)
    <=> ( v8742(VarCurr)
        & v8762(VarCurr) ) ) )).

fof(writeUnaryOperator_680,axiom,(
    ! [VarCurr] :
      ( ~ v8762(VarCurr)
    <=> v8709(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2100,axiom,(
    ! [VarCurr] :
      ( v8742(VarCurr)
    <=> ( v8743(VarCurr)
        | v8760(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2099,axiom,(
    ! [VarCurr] :
      ( v8760(VarCurr)
    <=> ( v8721(VarCurr)
        & v8761(VarCurr) ) ) )).

fof(writeUnaryOperator_679,axiom,(
    ! [VarCurr] :
      ( ~ v8761(VarCurr)
    <=> v8723(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2098,axiom,(
    ! [VarCurr] :
      ( v8743(VarCurr)
    <=> ( v8744(VarCurr)
        & v8723(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2097,axiom,(
    ! [VarCurr] :
      ( v8744(VarCurr)
    <=> ( v8745(VarCurr)
        | v8754(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2096,axiom,(
    ! [VarCurr] :
      ( v8754(VarCurr)
    <=> ( v8755(VarCurr)
        & v8759(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_607,axiom,(
    ! [VarCurr] :
      ( v8759(VarCurr)
    <=> ( ( v8747(VarCurr,bitIndex2)
        <=> $false )
        & ( v8747(VarCurr,bitIndex1)
        <=> $false )
        & ( v8747(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2095,axiom,(
    ! [VarCurr] :
      ( v8755(VarCurr)
    <=> ( v8756(VarCurr)
        | v8757(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2094,axiom,(
    ! [VarCurr] :
      ( v8757(VarCurr)
    <=> ( v8721(VarCurr)
        & v8758(VarCurr) ) ) )).

fof(writeUnaryOperator_678,axiom,(
    ! [VarCurr] :
      ( ~ v8758(VarCurr)
    <=> v8756(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_606,axiom,(
    ! [VarCurr] :
      ( v8756(VarCurr)
    <=> ( v8719(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2093,axiom,(
    ! [VarCurr] :
      ( v8745(VarCurr)
    <=> ( v8746(VarCurr)
        | v8748(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2092,axiom,(
    ! [VarCurr] :
      ( v8748(VarCurr)
    <=> ( v8749(VarCurr)
        & v8753(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_605,axiom,(
    ! [VarCurr] :
      ( v8753(VarCurr)
    <=> ( ( v8747(VarCurr,bitIndex2)
        <=> $false )
        & ( v8747(VarCurr,bitIndex1)
        <=> $true )
        & ( v8747(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2091,axiom,(
    ! [VarCurr] :
      ( v8749(VarCurr)
    <=> ( v8750(VarCurr)
        | v8751(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2090,axiom,(
    ! [VarCurr] :
      ( v8751(VarCurr)
    <=> ( v8721(VarCurr)
        & v8752(VarCurr) ) ) )).

fof(writeUnaryOperator_677,axiom,(
    ! [VarCurr] :
      ( ~ v8752(VarCurr)
    <=> v8750(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_604,axiom,(
    ! [VarCurr] :
      ( v8750(VarCurr)
    <=> ( v8719(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_603,axiom,(
    ! [VarCurr] :
      ( v8746(VarCurr)
    <=> ( ( v8747(VarCurr,bitIndex2)
        <=> $true )
        & ( v8747(VarCurr,bitIndex1)
        <=> $false )
        & ( v8747(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1569,axiom,(
    ! [VarCurr] :
      ( v8747(VarCurr,bitIndex0)
    <=> v8717(VarCurr) ) )).

fof(addAssignment_1568,axiom,(
    ! [VarCurr] :
      ( v8747(VarCurr,bitIndex1)
    <=> v8715(VarCurr) ) )).

fof(addAssignment_1567,axiom,(
    ! [VarCurr] :
      ( v8747(VarCurr,bitIndex2)
    <=> v8713(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2089,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8731(VarNext)
      <=> ( v8732(VarNext)
          & v8727(VarNext) ) ) ) )).

fof(writeUnaryOperator_676,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8732(VarNext)
      <=> v8734(VarNext) ) ) )).

fof(addAssignment_1566,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8734(VarNext)
      <=> v8727(VarCurr) ) ) )).

fof(addAssignment_1565,axiom,(
    ! [VarCurr] :
      ( v8727(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_1564,axiom,(
    ! [VarCurr] :
      ( v8725(VarCurr)
    <=> $false ) )).

fof(addAssignment_1563,axiom,(
    ! [VarCurr] :
      ( v8723(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_1562,axiom,(
    ! [VarCurr] :
      ( v8721(VarCurr)
    <=> $false ) )).

fof(addAssignment_1561,axiom,(
    ! [VarCurr] :
      ( v8719(VarCurr)
    <=> v8288(VarCurr,bitIndex22) ) )).

fof(addAssignment_1560,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex22)
    <=> v8290(VarCurr,bitIndex22) ) )).

fof(addAssignment_1559,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex22)
    <=> v3162(VarCurr,bitIndex22) ) )).

fof(addAssignment_1558,axiom,(
    ! [VarCurr] :
      ( v8717(VarCurr)
    <=> $false ) )).

fof(addAssignment_1557,axiom,(
    ! [VarCurr] :
      ( v8715(VarCurr)
    <=> $false ) )).

fof(addAssignment_1556,axiom,(
    ! [VarCurr] :
      ( v8713(VarCurr)
    <=> $true ) )).

fof(addAssignment_1555,axiom,(
    ! [VarCurr] :
      ( v8711(VarCurr)
    <=> $false ) )).

fof(addAssignment_1554,axiom,(
    ! [VarCurr] :
      ( v8709(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_92,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8662(VarNext)
       => ( v8639(VarNext)
        <=> v8639(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_98,axiom,(
    ! [VarNext] :
      ( v8662(VarNext)
     => ( v8639(VarNext)
      <=> v8697(VarNext) ) ) )).

fof(addAssignment_1553,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8697(VarNext)
      <=> v8695(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_297,axiom,(
    ! [VarCurr] :
      ( ~ v8641(VarCurr)
     => ( v8695(VarCurr)
      <=> v8698(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_299,axiom,(
    ! [VarCurr] :
      ( v8641(VarCurr)
     => ( v8695(VarCurr)
      <=> v8643(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_296,axiom,(
    ! [VarCurr] :
      ( ~ v8675(VarCurr)
     => ( v8698(VarCurr)
      <=> v8657(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_298,axiom,(
    ! [VarCurr] :
      ( v8675(VarCurr)
     => ( v8698(VarCurr)
      <=> v8699(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_169,axiom,(
    ! [VarCurr] :
      ( ( ~ v8678(VarCurr)
        & ~ v8680(VarCurr) )
     => ( v8699(VarCurr)
      <=> v8703(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_295,axiom,(
    ! [VarCurr] :
      ( v8680(VarCurr)
     => ( v8699(VarCurr)
      <=> v8702(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_297,axiom,(
    ! [VarCurr] :
      ( v8678(VarCurr)
     => ( v8699(VarCurr)
      <=> v8700(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_294,axiom,(
    ! [VarCurr] :
      ( ~ v8688(VarCurr)
     => ( v8703(VarCurr)
      <=> v8657(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_296,axiom,(
    ! [VarCurr] :
      ( v8688(VarCurr)
     => ( v8703(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_293,axiom,(
    ! [VarCurr] :
      ( ~ v8682(VarCurr)
     => ( v8702(VarCurr)
      <=> v8657(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_295,axiom,(
    ! [VarCurr] :
      ( v8682(VarCurr)
     => ( v8702(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_259,axiom,(
    ! [VarCurr] :
      ( ~ v8701(VarCurr)
     => ( v8700(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_260,axiom,(
    ! [VarCurr] :
      ( v8701(VarCurr)
     => ( v8700(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_602,axiom,(
    ! [VarCurr] :
      ( v8701(VarCurr)
    <=> ( v8651(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2088,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8662(VarNext)
      <=> ( v8663(VarNext)
          & v8672(VarNext) ) ) ) )).

fof(addAssignment_1552,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8672(VarNext)
      <=> v8670(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2087,axiom,(
    ! [VarCurr] :
      ( v8670(VarCurr)
    <=> ( v8641(VarCurr)
        | v8673(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2086,axiom,(
    ! [VarCurr] :
      ( v8673(VarCurr)
    <=> ( v8674(VarCurr)
        & v8694(VarCurr) ) ) )).

fof(writeUnaryOperator_675,axiom,(
    ! [VarCurr] :
      ( ~ v8694(VarCurr)
    <=> v8641(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2085,axiom,(
    ! [VarCurr] :
      ( v8674(VarCurr)
    <=> ( v8675(VarCurr)
        | v8692(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2084,axiom,(
    ! [VarCurr] :
      ( v8692(VarCurr)
    <=> ( v8653(VarCurr)
        & v8693(VarCurr) ) ) )).

fof(writeUnaryOperator_674,axiom,(
    ! [VarCurr] :
      ( ~ v8693(VarCurr)
    <=> v8655(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2083,axiom,(
    ! [VarCurr] :
      ( v8675(VarCurr)
    <=> ( v8676(VarCurr)
        & v8655(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2082,axiom,(
    ! [VarCurr] :
      ( v8676(VarCurr)
    <=> ( v8677(VarCurr)
        | v8686(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2081,axiom,(
    ! [VarCurr] :
      ( v8686(VarCurr)
    <=> ( v8687(VarCurr)
        & v8691(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_601,axiom,(
    ! [VarCurr] :
      ( v8691(VarCurr)
    <=> ( ( v8679(VarCurr,bitIndex2)
        <=> $false )
        & ( v8679(VarCurr,bitIndex1)
        <=> $false )
        & ( v8679(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2080,axiom,(
    ! [VarCurr] :
      ( v8687(VarCurr)
    <=> ( v8688(VarCurr)
        | v8689(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2079,axiom,(
    ! [VarCurr] :
      ( v8689(VarCurr)
    <=> ( v8653(VarCurr)
        & v8690(VarCurr) ) ) )).

fof(writeUnaryOperator_673,axiom,(
    ! [VarCurr] :
      ( ~ v8690(VarCurr)
    <=> v8688(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_600,axiom,(
    ! [VarCurr] :
      ( v8688(VarCurr)
    <=> ( v8651(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2078,axiom,(
    ! [VarCurr] :
      ( v8677(VarCurr)
    <=> ( v8678(VarCurr)
        | v8680(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2077,axiom,(
    ! [VarCurr] :
      ( v8680(VarCurr)
    <=> ( v8681(VarCurr)
        & v8685(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_599,axiom,(
    ! [VarCurr] :
      ( v8685(VarCurr)
    <=> ( ( v8679(VarCurr,bitIndex2)
        <=> $false )
        & ( v8679(VarCurr,bitIndex1)
        <=> $true )
        & ( v8679(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2076,axiom,(
    ! [VarCurr] :
      ( v8681(VarCurr)
    <=> ( v8682(VarCurr)
        | v8683(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2075,axiom,(
    ! [VarCurr] :
      ( v8683(VarCurr)
    <=> ( v8653(VarCurr)
        & v8684(VarCurr) ) ) )).

fof(writeUnaryOperator_672,axiom,(
    ! [VarCurr] :
      ( ~ v8684(VarCurr)
    <=> v8682(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_598,axiom,(
    ! [VarCurr] :
      ( v8682(VarCurr)
    <=> ( v8651(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_597,axiom,(
    ! [VarCurr] :
      ( v8678(VarCurr)
    <=> ( ( v8679(VarCurr,bitIndex2)
        <=> $true )
        & ( v8679(VarCurr,bitIndex1)
        <=> $false )
        & ( v8679(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1551,axiom,(
    ! [VarCurr] :
      ( v8679(VarCurr,bitIndex0)
    <=> v8649(VarCurr) ) )).

fof(addAssignment_1550,axiom,(
    ! [VarCurr] :
      ( v8679(VarCurr,bitIndex1)
    <=> v8647(VarCurr) ) )).

fof(addAssignment_1549,axiom,(
    ! [VarCurr] :
      ( v8679(VarCurr,bitIndex2)
    <=> v8645(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2074,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8663(VarNext)
      <=> ( v8664(VarNext)
          & v8659(VarNext) ) ) ) )).

fof(writeUnaryOperator_671,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8664(VarNext)
      <=> v8666(VarNext) ) ) )).

fof(addAssignment_1548,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8666(VarNext)
      <=> v8659(VarCurr) ) ) )).

fof(addAssignment_1547,axiom,(
    ! [VarCurr] :
      ( v8659(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_1546,axiom,(
    ! [VarCurr] :
      ( v8657(VarCurr)
    <=> $false ) )).

fof(addAssignment_1545,axiom,(
    ! [VarCurr] :
      ( v8655(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_1544,axiom,(
    ! [VarCurr] :
      ( v8653(VarCurr)
    <=> $false ) )).

fof(addAssignment_1543,axiom,(
    ! [VarCurr] :
      ( v8651(VarCurr)
    <=> v8288(VarCurr,bitIndex21) ) )).

fof(addAssignment_1542,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex21)
    <=> v8290(VarCurr,bitIndex21) ) )).

fof(addAssignment_1541,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex21)
    <=> v3162(VarCurr,bitIndex21) ) )).

fof(addAssignment_1540,axiom,(
    ! [VarCurr] :
      ( v8649(VarCurr)
    <=> $false ) )).

fof(addAssignment_1539,axiom,(
    ! [VarCurr] :
      ( v8647(VarCurr)
    <=> $false ) )).

fof(addAssignment_1538,axiom,(
    ! [VarCurr] :
      ( v8645(VarCurr)
    <=> $true ) )).

fof(addAssignment_1537,axiom,(
    ! [VarCurr] :
      ( v8643(VarCurr)
    <=> $false ) )).

fof(addAssignment_1536,axiom,(
    ! [VarCurr] :
      ( v8641(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_91,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8594(VarNext)
       => ( v8571(VarNext)
        <=> v8571(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_97,axiom,(
    ! [VarNext] :
      ( v8594(VarNext)
     => ( v8571(VarNext)
      <=> v8629(VarNext) ) ) )).

fof(addAssignment_1535,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8629(VarNext)
      <=> v8627(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_292,axiom,(
    ! [VarCurr] :
      ( ~ v8573(VarCurr)
     => ( v8627(VarCurr)
      <=> v8630(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_294,axiom,(
    ! [VarCurr] :
      ( v8573(VarCurr)
     => ( v8627(VarCurr)
      <=> v8575(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_291,axiom,(
    ! [VarCurr] :
      ( ~ v8607(VarCurr)
     => ( v8630(VarCurr)
      <=> v8589(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_293,axiom,(
    ! [VarCurr] :
      ( v8607(VarCurr)
     => ( v8630(VarCurr)
      <=> v8631(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_168,axiom,(
    ! [VarCurr] :
      ( ( ~ v8610(VarCurr)
        & ~ v8612(VarCurr) )
     => ( v8631(VarCurr)
      <=> v8635(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_290,axiom,(
    ! [VarCurr] :
      ( v8612(VarCurr)
     => ( v8631(VarCurr)
      <=> v8634(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_292,axiom,(
    ! [VarCurr] :
      ( v8610(VarCurr)
     => ( v8631(VarCurr)
      <=> v8632(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_289,axiom,(
    ! [VarCurr] :
      ( ~ v8620(VarCurr)
     => ( v8635(VarCurr)
      <=> v8589(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_291,axiom,(
    ! [VarCurr] :
      ( v8620(VarCurr)
     => ( v8635(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_288,axiom,(
    ! [VarCurr] :
      ( ~ v8614(VarCurr)
     => ( v8634(VarCurr)
      <=> v8589(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_290,axiom,(
    ! [VarCurr] :
      ( v8614(VarCurr)
     => ( v8634(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_258,axiom,(
    ! [VarCurr] :
      ( ~ v8633(VarCurr)
     => ( v8632(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_259,axiom,(
    ! [VarCurr] :
      ( v8633(VarCurr)
     => ( v8632(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_596,axiom,(
    ! [VarCurr] :
      ( v8633(VarCurr)
    <=> ( v8583(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2073,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8594(VarNext)
      <=> ( v8595(VarNext)
          & v8604(VarNext) ) ) ) )).

fof(addAssignment_1534,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8604(VarNext)
      <=> v8602(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2072,axiom,(
    ! [VarCurr] :
      ( v8602(VarCurr)
    <=> ( v8573(VarCurr)
        | v8605(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2071,axiom,(
    ! [VarCurr] :
      ( v8605(VarCurr)
    <=> ( v8606(VarCurr)
        & v8626(VarCurr) ) ) )).

fof(writeUnaryOperator_670,axiom,(
    ! [VarCurr] :
      ( ~ v8626(VarCurr)
    <=> v8573(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2070,axiom,(
    ! [VarCurr] :
      ( v8606(VarCurr)
    <=> ( v8607(VarCurr)
        | v8624(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2069,axiom,(
    ! [VarCurr] :
      ( v8624(VarCurr)
    <=> ( v8585(VarCurr)
        & v8625(VarCurr) ) ) )).

fof(writeUnaryOperator_669,axiom,(
    ! [VarCurr] :
      ( ~ v8625(VarCurr)
    <=> v8587(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2068,axiom,(
    ! [VarCurr] :
      ( v8607(VarCurr)
    <=> ( v8608(VarCurr)
        & v8587(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2067,axiom,(
    ! [VarCurr] :
      ( v8608(VarCurr)
    <=> ( v8609(VarCurr)
        | v8618(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2066,axiom,(
    ! [VarCurr] :
      ( v8618(VarCurr)
    <=> ( v8619(VarCurr)
        & v8623(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_595,axiom,(
    ! [VarCurr] :
      ( v8623(VarCurr)
    <=> ( ( v8611(VarCurr,bitIndex2)
        <=> $false )
        & ( v8611(VarCurr,bitIndex1)
        <=> $false )
        & ( v8611(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2065,axiom,(
    ! [VarCurr] :
      ( v8619(VarCurr)
    <=> ( v8620(VarCurr)
        | v8621(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2064,axiom,(
    ! [VarCurr] :
      ( v8621(VarCurr)
    <=> ( v8585(VarCurr)
        & v8622(VarCurr) ) ) )).

fof(writeUnaryOperator_668,axiom,(
    ! [VarCurr] :
      ( ~ v8622(VarCurr)
    <=> v8620(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_594,axiom,(
    ! [VarCurr] :
      ( v8620(VarCurr)
    <=> ( v8583(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2063,axiom,(
    ! [VarCurr] :
      ( v8609(VarCurr)
    <=> ( v8610(VarCurr)
        | v8612(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2062,axiom,(
    ! [VarCurr] :
      ( v8612(VarCurr)
    <=> ( v8613(VarCurr)
        & v8617(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_593,axiom,(
    ! [VarCurr] :
      ( v8617(VarCurr)
    <=> ( ( v8611(VarCurr,bitIndex2)
        <=> $false )
        & ( v8611(VarCurr,bitIndex1)
        <=> $true )
        & ( v8611(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2061,axiom,(
    ! [VarCurr] :
      ( v8613(VarCurr)
    <=> ( v8614(VarCurr)
        | v8615(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2060,axiom,(
    ! [VarCurr] :
      ( v8615(VarCurr)
    <=> ( v8585(VarCurr)
        & v8616(VarCurr) ) ) )).

fof(writeUnaryOperator_667,axiom,(
    ! [VarCurr] :
      ( ~ v8616(VarCurr)
    <=> v8614(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_592,axiom,(
    ! [VarCurr] :
      ( v8614(VarCurr)
    <=> ( v8583(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_591,axiom,(
    ! [VarCurr] :
      ( v8610(VarCurr)
    <=> ( ( v8611(VarCurr,bitIndex2)
        <=> $true )
        & ( v8611(VarCurr,bitIndex1)
        <=> $false )
        & ( v8611(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1533,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex0)
    <=> v8581(VarCurr) ) )).

fof(addAssignment_1532,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex1)
    <=> v8579(VarCurr) ) )).

fof(addAssignment_1531,axiom,(
    ! [VarCurr] :
      ( v8611(VarCurr,bitIndex2)
    <=> v8577(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2059,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8595(VarNext)
      <=> ( v8596(VarNext)
          & v8591(VarNext) ) ) ) )).

fof(writeUnaryOperator_666,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8596(VarNext)
      <=> v8598(VarNext) ) ) )).

fof(addAssignment_1530,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8598(VarNext)
      <=> v8591(VarCurr) ) ) )).

fof(addAssignment_1529,axiom,(
    ! [VarCurr] :
      ( v8591(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_1528,axiom,(
    ! [VarCurr] :
      ( v8589(VarCurr)
    <=> $false ) )).

fof(addAssignment_1527,axiom,(
    ! [VarCurr] :
      ( v8587(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_1526,axiom,(
    ! [VarCurr] :
      ( v8585(VarCurr)
    <=> $false ) )).

fof(addAssignment_1525,axiom,(
    ! [VarCurr] :
      ( v8583(VarCurr)
    <=> v8288(VarCurr,bitIndex20) ) )).

fof(addAssignment_1524,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex20)
    <=> v8290(VarCurr,bitIndex20) ) )).

fof(addAssignment_1523,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex20)
    <=> v3162(VarCurr,bitIndex20) ) )).

fof(addAssignment_1522,axiom,(
    ! [VarCurr] :
      ( v8581(VarCurr)
    <=> $false ) )).

fof(addAssignment_1521,axiom,(
    ! [VarCurr] :
      ( v8579(VarCurr)
    <=> $false ) )).

fof(addAssignment_1520,axiom,(
    ! [VarCurr] :
      ( v8577(VarCurr)
    <=> $true ) )).

fof(addAssignment_1519,axiom,(
    ! [VarCurr] :
      ( v8575(VarCurr)
    <=> $false ) )).

fof(addAssignment_1518,axiom,(
    ! [VarCurr] :
      ( v8573(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_90,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8526(VarNext)
       => ( v8503(VarNext)
        <=> v8503(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_96,axiom,(
    ! [VarNext] :
      ( v8526(VarNext)
     => ( v8503(VarNext)
      <=> v8561(VarNext) ) ) )).

fof(addAssignment_1517,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8561(VarNext)
      <=> v8559(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_287,axiom,(
    ! [VarCurr] :
      ( ~ v8505(VarCurr)
     => ( v8559(VarCurr)
      <=> v8562(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_289,axiom,(
    ! [VarCurr] :
      ( v8505(VarCurr)
     => ( v8559(VarCurr)
      <=> v8507(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_286,axiom,(
    ! [VarCurr] :
      ( ~ v8539(VarCurr)
     => ( v8562(VarCurr)
      <=> v8521(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_288,axiom,(
    ! [VarCurr] :
      ( v8539(VarCurr)
     => ( v8562(VarCurr)
      <=> v8563(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_167,axiom,(
    ! [VarCurr] :
      ( ( ~ v8542(VarCurr)
        & ~ v8544(VarCurr) )
     => ( v8563(VarCurr)
      <=> v8567(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_285,axiom,(
    ! [VarCurr] :
      ( v8544(VarCurr)
     => ( v8563(VarCurr)
      <=> v8566(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_287,axiom,(
    ! [VarCurr] :
      ( v8542(VarCurr)
     => ( v8563(VarCurr)
      <=> v8564(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_284,axiom,(
    ! [VarCurr] :
      ( ~ v8552(VarCurr)
     => ( v8567(VarCurr)
      <=> v8521(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_286,axiom,(
    ! [VarCurr] :
      ( v8552(VarCurr)
     => ( v8567(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_283,axiom,(
    ! [VarCurr] :
      ( ~ v8546(VarCurr)
     => ( v8566(VarCurr)
      <=> v8521(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_285,axiom,(
    ! [VarCurr] :
      ( v8546(VarCurr)
     => ( v8566(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_257,axiom,(
    ! [VarCurr] :
      ( ~ v8565(VarCurr)
     => ( v8564(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_258,axiom,(
    ! [VarCurr] :
      ( v8565(VarCurr)
     => ( v8564(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_590,axiom,(
    ! [VarCurr] :
      ( v8565(VarCurr)
    <=> ( v8515(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2058,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8526(VarNext)
      <=> ( v8527(VarNext)
          & v8536(VarNext) ) ) ) )).

fof(addAssignment_1516,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8536(VarNext)
      <=> v8534(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2057,axiom,(
    ! [VarCurr] :
      ( v8534(VarCurr)
    <=> ( v8505(VarCurr)
        | v8537(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2056,axiom,(
    ! [VarCurr] :
      ( v8537(VarCurr)
    <=> ( v8538(VarCurr)
        & v8558(VarCurr) ) ) )).

fof(writeUnaryOperator_665,axiom,(
    ! [VarCurr] :
      ( ~ v8558(VarCurr)
    <=> v8505(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2055,axiom,(
    ! [VarCurr] :
      ( v8538(VarCurr)
    <=> ( v8539(VarCurr)
        | v8556(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2054,axiom,(
    ! [VarCurr] :
      ( v8556(VarCurr)
    <=> ( v8517(VarCurr)
        & v8557(VarCurr) ) ) )).

fof(writeUnaryOperator_664,axiom,(
    ! [VarCurr] :
      ( ~ v8557(VarCurr)
    <=> v8519(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2053,axiom,(
    ! [VarCurr] :
      ( v8539(VarCurr)
    <=> ( v8540(VarCurr)
        & v8519(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2052,axiom,(
    ! [VarCurr] :
      ( v8540(VarCurr)
    <=> ( v8541(VarCurr)
        | v8550(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2051,axiom,(
    ! [VarCurr] :
      ( v8550(VarCurr)
    <=> ( v8551(VarCurr)
        & v8555(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_589,axiom,(
    ! [VarCurr] :
      ( v8555(VarCurr)
    <=> ( ( v8543(VarCurr,bitIndex2)
        <=> $false )
        & ( v8543(VarCurr,bitIndex1)
        <=> $false )
        & ( v8543(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2050,axiom,(
    ! [VarCurr] :
      ( v8551(VarCurr)
    <=> ( v8552(VarCurr)
        | v8553(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2049,axiom,(
    ! [VarCurr] :
      ( v8553(VarCurr)
    <=> ( v8517(VarCurr)
        & v8554(VarCurr) ) ) )).

fof(writeUnaryOperator_663,axiom,(
    ! [VarCurr] :
      ( ~ v8554(VarCurr)
    <=> v8552(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_588,axiom,(
    ! [VarCurr] :
      ( v8552(VarCurr)
    <=> ( v8515(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2048,axiom,(
    ! [VarCurr] :
      ( v8541(VarCurr)
    <=> ( v8542(VarCurr)
        | v8544(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2047,axiom,(
    ! [VarCurr] :
      ( v8544(VarCurr)
    <=> ( v8545(VarCurr)
        & v8549(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_587,axiom,(
    ! [VarCurr] :
      ( v8549(VarCurr)
    <=> ( ( v8543(VarCurr,bitIndex2)
        <=> $false )
        & ( v8543(VarCurr,bitIndex1)
        <=> $true )
        & ( v8543(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2046,axiom,(
    ! [VarCurr] :
      ( v8545(VarCurr)
    <=> ( v8546(VarCurr)
        | v8547(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2045,axiom,(
    ! [VarCurr] :
      ( v8547(VarCurr)
    <=> ( v8517(VarCurr)
        & v8548(VarCurr) ) ) )).

fof(writeUnaryOperator_662,axiom,(
    ! [VarCurr] :
      ( ~ v8548(VarCurr)
    <=> v8546(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_586,axiom,(
    ! [VarCurr] :
      ( v8546(VarCurr)
    <=> ( v8515(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_585,axiom,(
    ! [VarCurr] :
      ( v8542(VarCurr)
    <=> ( ( v8543(VarCurr,bitIndex2)
        <=> $true )
        & ( v8543(VarCurr,bitIndex1)
        <=> $false )
        & ( v8543(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1515,axiom,(
    ! [VarCurr] :
      ( v8543(VarCurr,bitIndex0)
    <=> v8513(VarCurr) ) )).

fof(addAssignment_1514,axiom,(
    ! [VarCurr] :
      ( v8543(VarCurr,bitIndex1)
    <=> v8511(VarCurr) ) )).

fof(addAssignment_1513,axiom,(
    ! [VarCurr] :
      ( v8543(VarCurr,bitIndex2)
    <=> v8509(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2044,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8527(VarNext)
      <=> ( v8528(VarNext)
          & v8523(VarNext) ) ) ) )).

fof(writeUnaryOperator_661,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8528(VarNext)
      <=> v8530(VarNext) ) ) )).

fof(addAssignment_1512,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8530(VarNext)
      <=> v8523(VarCurr) ) ) )).

fof(addAssignment_1511,axiom,(
    ! [VarCurr] :
      ( v8523(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_1510,axiom,(
    ! [VarCurr] :
      ( v8521(VarCurr)
    <=> $false ) )).

fof(addAssignment_1509,axiom,(
    ! [VarCurr] :
      ( v8519(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_1508,axiom,(
    ! [VarCurr] :
      ( v8517(VarCurr)
    <=> $false ) )).

fof(addAssignment_1507,axiom,(
    ! [VarCurr] :
      ( v8515(VarCurr)
    <=> v8288(VarCurr,bitIndex19) ) )).

fof(addAssignment_1506,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex19)
    <=> v8290(VarCurr,bitIndex19) ) )).

fof(addAssignment_1505,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex19)
    <=> v3162(VarCurr,bitIndex19) ) )).

fof(addAssignment_1504,axiom,(
    ! [VarCurr] :
      ( v8513(VarCurr)
    <=> $false ) )).

fof(addAssignment_1503,axiom,(
    ! [VarCurr] :
      ( v8511(VarCurr)
    <=> $false ) )).

fof(addAssignment_1502,axiom,(
    ! [VarCurr] :
      ( v8509(VarCurr)
    <=> $true ) )).

fof(addAssignment_1501,axiom,(
    ! [VarCurr] :
      ( v8507(VarCurr)
    <=> $false ) )).

fof(addAssignment_1500,axiom,(
    ! [VarCurr] :
      ( v8505(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_89,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8458(VarNext)
       => ( v8435(VarNext)
        <=> v8435(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_95,axiom,(
    ! [VarNext] :
      ( v8458(VarNext)
     => ( v8435(VarNext)
      <=> v8493(VarNext) ) ) )).

fof(addAssignment_1499,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8493(VarNext)
      <=> v8491(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_282,axiom,(
    ! [VarCurr] :
      ( ~ v8437(VarCurr)
     => ( v8491(VarCurr)
      <=> v8494(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_284,axiom,(
    ! [VarCurr] :
      ( v8437(VarCurr)
     => ( v8491(VarCurr)
      <=> v8439(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_281,axiom,(
    ! [VarCurr] :
      ( ~ v8471(VarCurr)
     => ( v8494(VarCurr)
      <=> v8453(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_283,axiom,(
    ! [VarCurr] :
      ( v8471(VarCurr)
     => ( v8494(VarCurr)
      <=> v8495(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_166,axiom,(
    ! [VarCurr] :
      ( ( ~ v8474(VarCurr)
        & ~ v8476(VarCurr) )
     => ( v8495(VarCurr)
      <=> v8499(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_280,axiom,(
    ! [VarCurr] :
      ( v8476(VarCurr)
     => ( v8495(VarCurr)
      <=> v8498(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_282,axiom,(
    ! [VarCurr] :
      ( v8474(VarCurr)
     => ( v8495(VarCurr)
      <=> v8496(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_279,axiom,(
    ! [VarCurr] :
      ( ~ v8484(VarCurr)
     => ( v8499(VarCurr)
      <=> v8453(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_281,axiom,(
    ! [VarCurr] :
      ( v8484(VarCurr)
     => ( v8499(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_278,axiom,(
    ! [VarCurr] :
      ( ~ v8478(VarCurr)
     => ( v8498(VarCurr)
      <=> v8453(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_280,axiom,(
    ! [VarCurr] :
      ( v8478(VarCurr)
     => ( v8498(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_256,axiom,(
    ! [VarCurr] :
      ( ~ v8497(VarCurr)
     => ( v8496(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_257,axiom,(
    ! [VarCurr] :
      ( v8497(VarCurr)
     => ( v8496(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_584,axiom,(
    ! [VarCurr] :
      ( v8497(VarCurr)
    <=> ( v8447(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2043,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8458(VarNext)
      <=> ( v8459(VarNext)
          & v8468(VarNext) ) ) ) )).

fof(addAssignment_1498,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8468(VarNext)
      <=> v8466(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2042,axiom,(
    ! [VarCurr] :
      ( v8466(VarCurr)
    <=> ( v8437(VarCurr)
        | v8469(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2041,axiom,(
    ! [VarCurr] :
      ( v8469(VarCurr)
    <=> ( v8470(VarCurr)
        & v8490(VarCurr) ) ) )).

fof(writeUnaryOperator_660,axiom,(
    ! [VarCurr] :
      ( ~ v8490(VarCurr)
    <=> v8437(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2040,axiom,(
    ! [VarCurr] :
      ( v8470(VarCurr)
    <=> ( v8471(VarCurr)
        | v8488(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2039,axiom,(
    ! [VarCurr] :
      ( v8488(VarCurr)
    <=> ( v8449(VarCurr)
        & v8489(VarCurr) ) ) )).

fof(writeUnaryOperator_659,axiom,(
    ! [VarCurr] :
      ( ~ v8489(VarCurr)
    <=> v8451(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2038,axiom,(
    ! [VarCurr] :
      ( v8471(VarCurr)
    <=> ( v8472(VarCurr)
        & v8451(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2037,axiom,(
    ! [VarCurr] :
      ( v8472(VarCurr)
    <=> ( v8473(VarCurr)
        | v8482(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2036,axiom,(
    ! [VarCurr] :
      ( v8482(VarCurr)
    <=> ( v8483(VarCurr)
        & v8487(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_583,axiom,(
    ! [VarCurr] :
      ( v8487(VarCurr)
    <=> ( ( v8475(VarCurr,bitIndex2)
        <=> $false )
        & ( v8475(VarCurr,bitIndex1)
        <=> $false )
        & ( v8475(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2035,axiom,(
    ! [VarCurr] :
      ( v8483(VarCurr)
    <=> ( v8484(VarCurr)
        | v8485(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2034,axiom,(
    ! [VarCurr] :
      ( v8485(VarCurr)
    <=> ( v8449(VarCurr)
        & v8486(VarCurr) ) ) )).

fof(writeUnaryOperator_658,axiom,(
    ! [VarCurr] :
      ( ~ v8486(VarCurr)
    <=> v8484(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_582,axiom,(
    ! [VarCurr] :
      ( v8484(VarCurr)
    <=> ( v8447(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2033,axiom,(
    ! [VarCurr] :
      ( v8473(VarCurr)
    <=> ( v8474(VarCurr)
        | v8476(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2032,axiom,(
    ! [VarCurr] :
      ( v8476(VarCurr)
    <=> ( v8477(VarCurr)
        & v8481(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_581,axiom,(
    ! [VarCurr] :
      ( v8481(VarCurr)
    <=> ( ( v8475(VarCurr,bitIndex2)
        <=> $false )
        & ( v8475(VarCurr,bitIndex1)
        <=> $true )
        & ( v8475(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2031,axiom,(
    ! [VarCurr] :
      ( v8477(VarCurr)
    <=> ( v8478(VarCurr)
        | v8479(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2030,axiom,(
    ! [VarCurr] :
      ( v8479(VarCurr)
    <=> ( v8449(VarCurr)
        & v8480(VarCurr) ) ) )).

fof(writeUnaryOperator_657,axiom,(
    ! [VarCurr] :
      ( ~ v8480(VarCurr)
    <=> v8478(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_580,axiom,(
    ! [VarCurr] :
      ( v8478(VarCurr)
    <=> ( v8447(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_579,axiom,(
    ! [VarCurr] :
      ( v8474(VarCurr)
    <=> ( ( v8475(VarCurr,bitIndex2)
        <=> $true )
        & ( v8475(VarCurr,bitIndex1)
        <=> $false )
        & ( v8475(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1497,axiom,(
    ! [VarCurr] :
      ( v8475(VarCurr,bitIndex0)
    <=> v8445(VarCurr) ) )).

fof(addAssignment_1496,axiom,(
    ! [VarCurr] :
      ( v8475(VarCurr,bitIndex1)
    <=> v8443(VarCurr) ) )).

fof(addAssignment_1495,axiom,(
    ! [VarCurr] :
      ( v8475(VarCurr,bitIndex2)
    <=> v8441(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2029,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8459(VarNext)
      <=> ( v8460(VarNext)
          & v8455(VarNext) ) ) ) )).

fof(writeUnaryOperator_656,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8460(VarNext)
      <=> v8462(VarNext) ) ) )).

fof(addAssignment_1494,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8462(VarNext)
      <=> v8455(VarCurr) ) ) )).

fof(addAssignment_1493,axiom,(
    ! [VarCurr] :
      ( v8455(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_1492,axiom,(
    ! [VarCurr] :
      ( v8453(VarCurr)
    <=> $false ) )).

fof(addAssignment_1491,axiom,(
    ! [VarCurr] :
      ( v8451(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_1490,axiom,(
    ! [VarCurr] :
      ( v8449(VarCurr)
    <=> $false ) )).

fof(addAssignment_1489,axiom,(
    ! [VarCurr] :
      ( v8447(VarCurr)
    <=> v8288(VarCurr,bitIndex18) ) )).

fof(addAssignment_1488,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex18)
    <=> v8290(VarCurr,bitIndex18) ) )).

fof(addAssignment_1487,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex18)
    <=> v3162(VarCurr,bitIndex18) ) )).

fof(addAssignment_1486,axiom,(
    ! [VarCurr] :
      ( v8445(VarCurr)
    <=> $false ) )).

fof(addAssignment_1485,axiom,(
    ! [VarCurr] :
      ( v8443(VarCurr)
    <=> $false ) )).

fof(addAssignment_1484,axiom,(
    ! [VarCurr] :
      ( v8441(VarCurr)
    <=> $true ) )).

fof(addAssignment_1483,axiom,(
    ! [VarCurr] :
      ( v8439(VarCurr)
    <=> $false ) )).

fof(addAssignment_1482,axiom,(
    ! [VarCurr] :
      ( v8437(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_88,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8390(VarNext)
       => ( v8367(VarNext)
        <=> v8367(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_94,axiom,(
    ! [VarNext] :
      ( v8390(VarNext)
     => ( v8367(VarNext)
      <=> v8425(VarNext) ) ) )).

fof(addAssignment_1481,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8425(VarNext)
      <=> v8423(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_277,axiom,(
    ! [VarCurr] :
      ( ~ v8369(VarCurr)
     => ( v8423(VarCurr)
      <=> v8426(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_279,axiom,(
    ! [VarCurr] :
      ( v8369(VarCurr)
     => ( v8423(VarCurr)
      <=> v8371(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_276,axiom,(
    ! [VarCurr] :
      ( ~ v8403(VarCurr)
     => ( v8426(VarCurr)
      <=> v8385(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_278,axiom,(
    ! [VarCurr] :
      ( v8403(VarCurr)
     => ( v8426(VarCurr)
      <=> v8427(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_165,axiom,(
    ! [VarCurr] :
      ( ( ~ v8406(VarCurr)
        & ~ v8408(VarCurr) )
     => ( v8427(VarCurr)
      <=> v8431(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_275,axiom,(
    ! [VarCurr] :
      ( v8408(VarCurr)
     => ( v8427(VarCurr)
      <=> v8430(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_277,axiom,(
    ! [VarCurr] :
      ( v8406(VarCurr)
     => ( v8427(VarCurr)
      <=> v8428(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_274,axiom,(
    ! [VarCurr] :
      ( ~ v8416(VarCurr)
     => ( v8431(VarCurr)
      <=> v8385(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_276,axiom,(
    ! [VarCurr] :
      ( v8416(VarCurr)
     => ( v8431(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_273,axiom,(
    ! [VarCurr] :
      ( ~ v8410(VarCurr)
     => ( v8430(VarCurr)
      <=> v8385(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_275,axiom,(
    ! [VarCurr] :
      ( v8410(VarCurr)
     => ( v8430(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_255,axiom,(
    ! [VarCurr] :
      ( ~ v8429(VarCurr)
     => ( v8428(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_256,axiom,(
    ! [VarCurr] :
      ( v8429(VarCurr)
     => ( v8428(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_578,axiom,(
    ! [VarCurr] :
      ( v8429(VarCurr)
    <=> ( v8379(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2028,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8390(VarNext)
      <=> ( v8391(VarNext)
          & v8400(VarNext) ) ) ) )).

fof(addAssignment_1480,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8400(VarNext)
      <=> v8398(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2027,axiom,(
    ! [VarCurr] :
      ( v8398(VarCurr)
    <=> ( v8369(VarCurr)
        | v8401(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2026,axiom,(
    ! [VarCurr] :
      ( v8401(VarCurr)
    <=> ( v8402(VarCurr)
        & v8422(VarCurr) ) ) )).

fof(writeUnaryOperator_655,axiom,(
    ! [VarCurr] :
      ( ~ v8422(VarCurr)
    <=> v8369(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2025,axiom,(
    ! [VarCurr] :
      ( v8402(VarCurr)
    <=> ( v8403(VarCurr)
        | v8420(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2024,axiom,(
    ! [VarCurr] :
      ( v8420(VarCurr)
    <=> ( v8381(VarCurr)
        & v8421(VarCurr) ) ) )).

fof(writeUnaryOperator_654,axiom,(
    ! [VarCurr] :
      ( ~ v8421(VarCurr)
    <=> v8383(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2023,axiom,(
    ! [VarCurr] :
      ( v8403(VarCurr)
    <=> ( v8404(VarCurr)
        & v8383(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2022,axiom,(
    ! [VarCurr] :
      ( v8404(VarCurr)
    <=> ( v8405(VarCurr)
        | v8414(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2021,axiom,(
    ! [VarCurr] :
      ( v8414(VarCurr)
    <=> ( v8415(VarCurr)
        & v8419(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_577,axiom,(
    ! [VarCurr] :
      ( v8419(VarCurr)
    <=> ( ( v8407(VarCurr,bitIndex2)
        <=> $false )
        & ( v8407(VarCurr,bitIndex1)
        <=> $false )
        & ( v8407(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2020,axiom,(
    ! [VarCurr] :
      ( v8415(VarCurr)
    <=> ( v8416(VarCurr)
        | v8417(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2019,axiom,(
    ! [VarCurr] :
      ( v8417(VarCurr)
    <=> ( v8381(VarCurr)
        & v8418(VarCurr) ) ) )).

fof(writeUnaryOperator_653,axiom,(
    ! [VarCurr] :
      ( ~ v8418(VarCurr)
    <=> v8416(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_576,axiom,(
    ! [VarCurr] :
      ( v8416(VarCurr)
    <=> ( v8379(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2018,axiom,(
    ! [VarCurr] :
      ( v8405(VarCurr)
    <=> ( v8406(VarCurr)
        | v8408(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2017,axiom,(
    ! [VarCurr] :
      ( v8408(VarCurr)
    <=> ( v8409(VarCurr)
        & v8413(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_575,axiom,(
    ! [VarCurr] :
      ( v8413(VarCurr)
    <=> ( ( v8407(VarCurr,bitIndex2)
        <=> $false )
        & ( v8407(VarCurr,bitIndex1)
        <=> $true )
        & ( v8407(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2016,axiom,(
    ! [VarCurr] :
      ( v8409(VarCurr)
    <=> ( v8410(VarCurr)
        | v8411(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2015,axiom,(
    ! [VarCurr] :
      ( v8411(VarCurr)
    <=> ( v8381(VarCurr)
        & v8412(VarCurr) ) ) )).

fof(writeUnaryOperator_652,axiom,(
    ! [VarCurr] :
      ( ~ v8412(VarCurr)
    <=> v8410(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_574,axiom,(
    ! [VarCurr] :
      ( v8410(VarCurr)
    <=> ( v8379(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_573,axiom,(
    ! [VarCurr] :
      ( v8406(VarCurr)
    <=> ( ( v8407(VarCurr,bitIndex2)
        <=> $true )
        & ( v8407(VarCurr,bitIndex1)
        <=> $false )
        & ( v8407(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1479,axiom,(
    ! [VarCurr] :
      ( v8407(VarCurr,bitIndex0)
    <=> v8377(VarCurr) ) )).

fof(addAssignment_1478,axiom,(
    ! [VarCurr] :
      ( v8407(VarCurr,bitIndex1)
    <=> v8375(VarCurr) ) )).

fof(addAssignment_1477,axiom,(
    ! [VarCurr] :
      ( v8407(VarCurr,bitIndex2)
    <=> v8373(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2014,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8391(VarNext)
      <=> ( v8392(VarNext)
          & v8387(VarNext) ) ) ) )).

fof(writeUnaryOperator_651,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8392(VarNext)
      <=> v8394(VarNext) ) ) )).

fof(addAssignment_1476,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8394(VarNext)
      <=> v8387(VarCurr) ) ) )).

fof(addAssignment_1475,axiom,(
    ! [VarCurr] :
      ( v8387(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_1474,axiom,(
    ! [VarCurr] :
      ( v8385(VarCurr)
    <=> $false ) )).

fof(addAssignment_1473,axiom,(
    ! [VarCurr] :
      ( v8383(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_1472,axiom,(
    ! [VarCurr] :
      ( v8381(VarCurr)
    <=> $false ) )).

fof(addAssignment_1471,axiom,(
    ! [VarCurr] :
      ( v8379(VarCurr)
    <=> v8288(VarCurr,bitIndex17) ) )).

fof(addAssignment_1470,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex17)
    <=> v8290(VarCurr,bitIndex17) ) )).

fof(addAssignment_1469,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex17)
    <=> v3162(VarCurr,bitIndex17) ) )).

fof(addAssignment_1468,axiom,(
    ! [VarCurr] :
      ( v8377(VarCurr)
    <=> $false ) )).

fof(addAssignment_1467,axiom,(
    ! [VarCurr] :
      ( v8375(VarCurr)
    <=> $false ) )).

fof(addAssignment_1466,axiom,(
    ! [VarCurr] :
      ( v8373(VarCurr)
    <=> $true ) )).

fof(addAssignment_1465,axiom,(
    ! [VarCurr] :
      ( v8371(VarCurr)
    <=> $false ) )).

fof(addAssignment_1464,axiom,(
    ! [VarCurr] :
      ( v8369(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_87,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8322(VarNext)
       => ( v8267(VarNext)
        <=> v8267(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_93,axiom,(
    ! [VarNext] :
      ( v8322(VarNext)
     => ( v8267(VarNext)
      <=> v8357(VarNext) ) ) )).

fof(addAssignment_1463,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8357(VarNext)
      <=> v8355(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_272,axiom,(
    ! [VarCurr] :
      ( ~ v8269(VarCurr)
     => ( v8355(VarCurr)
      <=> v8358(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_274,axiom,(
    ! [VarCurr] :
      ( v8269(VarCurr)
     => ( v8355(VarCurr)
      <=> v8278(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_271,axiom,(
    ! [VarCurr] :
      ( ~ v8335(VarCurr)
     => ( v8358(VarCurr)
      <=> v8313(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_273,axiom,(
    ! [VarCurr] :
      ( v8335(VarCurr)
     => ( v8358(VarCurr)
      <=> v8359(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_164,axiom,(
    ! [VarCurr] :
      ( ( ~ v8338(VarCurr)
        & ~ v8340(VarCurr) )
     => ( v8359(VarCurr)
      <=> v8363(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_270,axiom,(
    ! [VarCurr] :
      ( v8340(VarCurr)
     => ( v8359(VarCurr)
      <=> v8362(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_272,axiom,(
    ! [VarCurr] :
      ( v8338(VarCurr)
     => ( v8359(VarCurr)
      <=> v8360(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_269,axiom,(
    ! [VarCurr] :
      ( ~ v8348(VarCurr)
     => ( v8363(VarCurr)
      <=> v8313(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_271,axiom,(
    ! [VarCurr] :
      ( v8348(VarCurr)
     => ( v8363(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_268,axiom,(
    ! [VarCurr] :
      ( ~ v8342(VarCurr)
     => ( v8362(VarCurr)
      <=> v8313(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_270,axiom,(
    ! [VarCurr] :
      ( v8342(VarCurr)
     => ( v8362(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_254,axiom,(
    ! [VarCurr] :
      ( ~ v8361(VarCurr)
     => ( v8360(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_255,axiom,(
    ! [VarCurr] :
      ( v8361(VarCurr)
     => ( v8360(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_572,axiom,(
    ! [VarCurr] :
      ( v8361(VarCurr)
    <=> ( v8286(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2013,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8322(VarNext)
      <=> ( v8323(VarNext)
          & v8332(VarNext) ) ) ) )).

fof(addAssignment_1462,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8332(VarNext)
      <=> v8330(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2012,axiom,(
    ! [VarCurr] :
      ( v8330(VarCurr)
    <=> ( v8269(VarCurr)
        | v8333(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2011,axiom,(
    ! [VarCurr] :
      ( v8333(VarCurr)
    <=> ( v8334(VarCurr)
        & v8354(VarCurr) ) ) )).

fof(writeUnaryOperator_650,axiom,(
    ! [VarCurr] :
      ( ~ v8354(VarCurr)
    <=> v8269(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2010,axiom,(
    ! [VarCurr] :
      ( v8334(VarCurr)
    <=> ( v8335(VarCurr)
        | v8352(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2009,axiom,(
    ! [VarCurr] :
      ( v8352(VarCurr)
    <=> ( v8292(VarCurr)
        & v8353(VarCurr) ) ) )).

fof(writeUnaryOperator_649,axiom,(
    ! [VarCurr] :
      ( ~ v8353(VarCurr)
    <=> v8294(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2008,axiom,(
    ! [VarCurr] :
      ( v8335(VarCurr)
    <=> ( v8336(VarCurr)
        & v8294(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2007,axiom,(
    ! [VarCurr] :
      ( v8336(VarCurr)
    <=> ( v8337(VarCurr)
        | v8346(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2006,axiom,(
    ! [VarCurr] :
      ( v8346(VarCurr)
    <=> ( v8347(VarCurr)
        & v8351(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_571,axiom,(
    ! [VarCurr] :
      ( v8351(VarCurr)
    <=> ( ( v8339(VarCurr,bitIndex2)
        <=> $false )
        & ( v8339(VarCurr,bitIndex1)
        <=> $false )
        & ( v8339(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2005,axiom,(
    ! [VarCurr] :
      ( v8347(VarCurr)
    <=> ( v8348(VarCurr)
        | v8349(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2004,axiom,(
    ! [VarCurr] :
      ( v8349(VarCurr)
    <=> ( v8292(VarCurr)
        & v8350(VarCurr) ) ) )).

fof(writeUnaryOperator_648,axiom,(
    ! [VarCurr] :
      ( ~ v8350(VarCurr)
    <=> v8348(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_570,axiom,(
    ! [VarCurr] :
      ( v8348(VarCurr)
    <=> ( v8286(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2003,axiom,(
    ! [VarCurr] :
      ( v8337(VarCurr)
    <=> ( v8338(VarCurr)
        | v8340(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2002,axiom,(
    ! [VarCurr] :
      ( v8340(VarCurr)
    <=> ( v8341(VarCurr)
        & v8345(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_569,axiom,(
    ! [VarCurr] :
      ( v8345(VarCurr)
    <=> ( ( v8339(VarCurr,bitIndex2)
        <=> $false )
        & ( v8339(VarCurr,bitIndex1)
        <=> $true )
        & ( v8339(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2001,axiom,(
    ! [VarCurr] :
      ( v8341(VarCurr)
    <=> ( v8342(VarCurr)
        | v8343(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2000,axiom,(
    ! [VarCurr] :
      ( v8343(VarCurr)
    <=> ( v8292(VarCurr)
        & v8344(VarCurr) ) ) )).

fof(writeUnaryOperator_647,axiom,(
    ! [VarCurr] :
      ( ~ v8344(VarCurr)
    <=> v8342(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_568,axiom,(
    ! [VarCurr] :
      ( v8342(VarCurr)
    <=> ( v8286(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_567,axiom,(
    ! [VarCurr] :
      ( v8338(VarCurr)
    <=> ( ( v8339(VarCurr,bitIndex2)
        <=> $true )
        & ( v8339(VarCurr,bitIndex1)
        <=> $false )
        & ( v8339(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1461,axiom,(
    ! [VarCurr] :
      ( v8339(VarCurr,bitIndex0)
    <=> v8284(VarCurr) ) )).

fof(addAssignment_1460,axiom,(
    ! [VarCurr] :
      ( v8339(VarCurr,bitIndex1)
    <=> v8282(VarCurr) ) )).

fof(addAssignment_1459,axiom,(
    ! [VarCurr] :
      ( v8339(VarCurr,bitIndex2)
    <=> v8280(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1999,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8323(VarNext)
      <=> ( v8324(VarNext)
          & v8315(VarNext) ) ) ) )).

fof(writeUnaryOperator_646,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8324(VarNext)
      <=> v8326(VarNext) ) ) )).

fof(addAssignment_1458,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8326(VarNext)
      <=> v8315(VarCurr) ) ) )).

fof(addAssignment_1457,axiom,(
    ! [VarCurr] :
      ( v8315(VarCurr)
    <=> v8317(VarCurr) ) )).

fof(addAssignment_1456,axiom,(
    ! [VarCurr] :
      ( v8317(VarCurr)
    <=> v8319(VarCurr) ) )).

fof(addAssignment_1455,axiom,(
    ! [VarCurr] :
      ( v8319(VarCurr)
    <=> v6816(VarCurr) ) )).

fof(addAssignment_1454,axiom,(
    ! [VarCurr] :
      ( v8313(VarCurr)
    <=> $false ) )).

fof(addAssignment_1453,axiom,(
    ! [VarCurr] :
      ( v8294(VarCurr)
    <=> v8296(VarCurr) ) )).

fof(addAssignment_1452,axiom,(
    ! [VarCurr] :
      ( v8296(VarCurr)
    <=> v8298(VarCurr) ) )).

fof(addAssignment_1451,axiom,(
    ! [VarCurr] :
      ( v8298(VarCurr)
    <=> v8300(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1998,axiom,(
    ! [VarCurr] :
      ( v8300(VarCurr)
    <=> ( v8302(VarCurr)
        & v3200(VarCurr) ) ) )).

fof(addAssignment_1450,axiom,(
    ! [VarCurr] :
      ( v8302(VarCurr)
    <=> v8304(VarCurr) ) )).

fof(addAssignment_1449,axiom,(
    ! [VarCurr] :
      ( v8304(VarCurr)
    <=> v8306(VarCurr) ) )).

fof(addAssignment_1448,axiom,(
    ! [VarCurr] :
      ( v8306(VarCurr)
    <=> v8308(VarCurr) ) )).

fof(addAssignment_1447,axiom,(
    ! [VarCurr] :
      ( v8308(VarCurr)
    <=> v8310(VarCurr) ) )).

fof(addAssignment_1446,axiom,(
    ! [VarCurr] :
      ( v8310(VarCurr)
    <=> v6181(VarCurr) ) )).

fof(addAssignment_1445,axiom,(
    ! [VarCurr] :
      ( v8292(VarCurr)
    <=> $false ) )).

fof(addAssignment_1444,axiom,(
    ! [VarCurr] :
      ( v8286(VarCurr)
    <=> v8288(VarCurr,bitIndex16) ) )).

fof(addAssignment_1443,axiom,(
    ! [VarCurr] :
      ( v8288(VarCurr,bitIndex16)
    <=> v8290(VarCurr,bitIndex16) ) )).

fof(addAssignment_1442,axiom,(
    ! [VarCurr] :
      ( v8290(VarCurr,bitIndex16)
    <=> v3162(VarCurr,bitIndex16) ) )).

fof(addAssignment_1441,axiom,(
    ! [VarCurr] :
      ( v8284(VarCurr)
    <=> $false ) )).

fof(addAssignment_1440,axiom,(
    ! [VarCurr] :
      ( v8282(VarCurr)
    <=> $false ) )).

fof(addAssignment_1439,axiom,(
    ! [VarCurr] :
      ( v8280(VarCurr)
    <=> $true ) )).

fof(addAssignment_1438,axiom,(
    ! [VarCurr] :
      ( v8278(VarCurr)
    <=> $false ) )).

fof(addAssignment_1437,axiom,(
    ! [VarCurr] :
      ( v8269(VarCurr)
    <=> v8271(VarCurr) ) )).

fof(writeUnaryOperator_645,axiom,(
    ! [VarCurr] :
      ( ~ v8271(VarCurr)
    <=> v8273(VarCurr) ) )).

fof(addAssignment_1436,axiom,(
    ! [VarCurr] :
      ( v8273(VarCurr)
    <=> v8275(VarCurr) ) )).

fof(addAssignment_1435,axiom,(
    ! [VarCurr] :
      ( v8275(VarCurr)
    <=> v3132(VarCurr) ) )).

fof(addAssignment_1434,axiom,(
    ! [VarCurr,B] :
      ( range_60_30(B)
     => ( v3056(VarCurr,B)
      <=> v2943(VarCurr,B) ) ) )).

fof(addAssignment_1433,axiom,(
    ! [VarCurr,B] :
      ( range_60_30(B)
     => ( v2943(VarCurr,B)
      <=> v2945(VarCurr,B) ) ) )).

fof(addAssignment_1432,axiom,(
    ! [VarCurr,B] :
      ( range_60_30(B)
     => ( v2945(VarCurr,B)
      <=> v2947(VarCurr,B) ) ) )).

fof(addAssignment_1431,axiom,(
    ! [VarCurr] :
      ( ( v2947(VarCurr,bitIndex60)
      <=> v2949(VarCurr,bitIndex640) )
      & ( v2947(VarCurr,bitIndex59)
      <=> v2949(VarCurr,bitIndex639) )
      & ( v2947(VarCurr,bitIndex58)
      <=> v2949(VarCurr,bitIndex638) )
      & ( v2947(VarCurr,bitIndex57)
      <=> v2949(VarCurr,bitIndex637) )
      & ( v2947(VarCurr,bitIndex56)
      <=> v2949(VarCurr,bitIndex636) )
      & ( v2947(VarCurr,bitIndex55)
      <=> v2949(VarCurr,bitIndex635) )
      & ( v2947(VarCurr,bitIndex54)
      <=> v2949(VarCurr,bitIndex634) )
      & ( v2947(VarCurr,bitIndex53)
      <=> v2949(VarCurr,bitIndex633) )
      & ( v2947(VarCurr,bitIndex52)
      <=> v2949(VarCurr,bitIndex632) )
      & ( v2947(VarCurr,bitIndex51)
      <=> v2949(VarCurr,bitIndex631) )
      & ( v2947(VarCurr,bitIndex50)
      <=> v2949(VarCurr,bitIndex630) )
      & ( v2947(VarCurr,bitIndex49)
      <=> v2949(VarCurr,bitIndex629) )
      & ( v2947(VarCurr,bitIndex48)
      <=> v2949(VarCurr,bitIndex628) )
      & ( v2947(VarCurr,bitIndex47)
      <=> v2949(VarCurr,bitIndex627) )
      & ( v2947(VarCurr,bitIndex46)
      <=> v2949(VarCurr,bitIndex626) )
      & ( v2947(VarCurr,bitIndex45)
      <=> v2949(VarCurr,bitIndex625) )
      & ( v2947(VarCurr,bitIndex44)
      <=> v2949(VarCurr,bitIndex624) )
      & ( v2947(VarCurr,bitIndex43)
      <=> v2949(VarCurr,bitIndex623) )
      & ( v2947(VarCurr,bitIndex42)
      <=> v2949(VarCurr,bitIndex622) )
      & ( v2947(VarCurr,bitIndex41)
      <=> v2949(VarCurr,bitIndex621) )
      & ( v2947(VarCurr,bitIndex40)
      <=> v2949(VarCurr,bitIndex620) )
      & ( v2947(VarCurr,bitIndex39)
      <=> v2949(VarCurr,bitIndex619) )
      & ( v2947(VarCurr,bitIndex38)
      <=> v2949(VarCurr,bitIndex618) )
      & ( v2947(VarCurr,bitIndex37)
      <=> v2949(VarCurr,bitIndex617) )
      & ( v2947(VarCurr,bitIndex36)
      <=> v2949(VarCurr,bitIndex616) )
      & ( v2947(VarCurr,bitIndex35)
      <=> v2949(VarCurr,bitIndex615) )
      & ( v2947(VarCurr,bitIndex34)
      <=> v2949(VarCurr,bitIndex614) )
      & ( v2947(VarCurr,bitIndex33)
      <=> v2949(VarCurr,bitIndex613) )
      & ( v2947(VarCurr,bitIndex32)
      <=> v2949(VarCurr,bitIndex612) )
      & ( v2947(VarCurr,bitIndex31)
      <=> v2949(VarCurr,bitIndex611) )
      & ( v2947(VarCurr,bitIndex30)
      <=> v2949(VarCurr,bitIndex610) ) ) )).

fof(addAssignment_1430,axiom,(
    ! [VarNext] :
      ( ( v2949(VarNext,bitIndex640)
      <=> v8237(VarNext,bitIndex60) )
      & ( v2949(VarNext,bitIndex639)
      <=> v8237(VarNext,bitIndex59) )
      & ( v2949(VarNext,bitIndex638)
      <=> v8237(VarNext,bitIndex58) )
      & ( v2949(VarNext,bitIndex637)
      <=> v8237(VarNext,bitIndex57) )
      & ( v2949(VarNext,bitIndex636)
      <=> v8237(VarNext,bitIndex56) )
      & ( v2949(VarNext,bitIndex635)
      <=> v8237(VarNext,bitIndex55) )
      & ( v2949(VarNext,bitIndex634)
      <=> v8237(VarNext,bitIndex54) )
      & ( v2949(VarNext,bitIndex633)
      <=> v8237(VarNext,bitIndex53) )
      & ( v2949(VarNext,bitIndex632)
      <=> v8237(VarNext,bitIndex52) )
      & ( v2949(VarNext,bitIndex631)
      <=> v8237(VarNext,bitIndex51) )
      & ( v2949(VarNext,bitIndex630)
      <=> v8237(VarNext,bitIndex50) )
      & ( v2949(VarNext,bitIndex629)
      <=> v8237(VarNext,bitIndex49) )
      & ( v2949(VarNext,bitIndex628)
      <=> v8237(VarNext,bitIndex48) )
      & ( v2949(VarNext,bitIndex627)
      <=> v8237(VarNext,bitIndex47) )
      & ( v2949(VarNext,bitIndex626)
      <=> v8237(VarNext,bitIndex46) )
      & ( v2949(VarNext,bitIndex625)
      <=> v8237(VarNext,bitIndex45) )
      & ( v2949(VarNext,bitIndex624)
      <=> v8237(VarNext,bitIndex44) )
      & ( v2949(VarNext,bitIndex623)
      <=> v8237(VarNext,bitIndex43) )
      & ( v2949(VarNext,bitIndex622)
      <=> v8237(VarNext,bitIndex42) )
      & ( v2949(VarNext,bitIndex621)
      <=> v8237(VarNext,bitIndex41) )
      & ( v2949(VarNext,bitIndex620)
      <=> v8237(VarNext,bitIndex40) )
      & ( v2949(VarNext,bitIndex619)
      <=> v8237(VarNext,bitIndex39) )
      & ( v2949(VarNext,bitIndex618)
      <=> v8237(VarNext,bitIndex38) )
      & ( v2949(VarNext,bitIndex617)
      <=> v8237(VarNext,bitIndex37) )
      & ( v2949(VarNext,bitIndex616)
      <=> v8237(VarNext,bitIndex36) )
      & ( v2949(VarNext,bitIndex615)
      <=> v8237(VarNext,bitIndex35) )
      & ( v2949(VarNext,bitIndex614)
      <=> v8237(VarNext,bitIndex34) )
      & ( v2949(VarNext,bitIndex613)
      <=> v8237(VarNext,bitIndex33) )
      & ( v2949(VarNext,bitIndex612)
      <=> v8237(VarNext,bitIndex32) )
      & ( v2949(VarNext,bitIndex611)
      <=> v8237(VarNext,bitIndex31) )
      & ( v2949(VarNext,bitIndex610)
      <=> v8237(VarNext,bitIndex30) ) ) )).

fof(addCaseBooleanConditionShiftedRanges1_5,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8239(VarNext)
       => ( ( v8237(VarNext,bitIndex115)
          <=> v2949(VarCurr,bitIndex695) )
          & ( v8237(VarNext,bitIndex114)
          <=> v2949(VarCurr,bitIndex694) )
          & ( v8237(VarNext,bitIndex113)
          <=> v2949(VarCurr,bitIndex693) )
          & ( v8237(VarNext,bitIndex112)
          <=> v2949(VarCurr,bitIndex692) )
          & ( v8237(VarNext,bitIndex111)
          <=> v2949(VarCurr,bitIndex691) )
          & ( v8237(VarNext,bitIndex110)
          <=> v2949(VarCurr,bitIndex690) )
          & ( v8237(VarNext,bitIndex109)
          <=> v2949(VarCurr,bitIndex689) )
          & ( v8237(VarNext,bitIndex108)
          <=> v2949(VarCurr,bitIndex688) )
          & ( v8237(VarNext,bitIndex107)
          <=> v2949(VarCurr,bitIndex687) )
          & ( v8237(VarNext,bitIndex106)
          <=> v2949(VarCurr,bitIndex686) )
          & ( v8237(VarNext,bitIndex105)
          <=> v2949(VarCurr,bitIndex685) )
          & ( v8237(VarNext,bitIndex104)
          <=> v2949(VarCurr,bitIndex684) )
          & ( v8237(VarNext,bitIndex103)
          <=> v2949(VarCurr,bitIndex683) )
          & ( v8237(VarNext,bitIndex102)
          <=> v2949(VarCurr,bitIndex682) )
          & ( v8237(VarNext,bitIndex101)
          <=> v2949(VarCurr,bitIndex681) )
          & ( v8237(VarNext,bitIndex100)
          <=> v2949(VarCurr,bitIndex680) )
          & ( v8237(VarNext,bitIndex99)
          <=> v2949(VarCurr,bitIndex679) )
          & ( v8237(VarNext,bitIndex98)
          <=> v2949(VarCurr,bitIndex678) )
          & ( v8237(VarNext,bitIndex97)
          <=> v2949(VarCurr,bitIndex677) )
          & ( v8237(VarNext,bitIndex96)
          <=> v2949(VarCurr,bitIndex676) )
          & ( v8237(VarNext,bitIndex95)
          <=> v2949(VarCurr,bitIndex675) )
          & ( v8237(VarNext,bitIndex94)
          <=> v2949(VarCurr,bitIndex674) )
          & ( v8237(VarNext,bitIndex93)
          <=> v2949(VarCurr,bitIndex673) )
          & ( v8237(VarNext,bitIndex92)
          <=> v2949(VarCurr,bitIndex672) )
          & ( v8237(VarNext,bitIndex91)
          <=> v2949(VarCurr,bitIndex671) )
          & ( v8237(VarNext,bitIndex90)
          <=> v2949(VarCurr,bitIndex670) )
          & ( v8237(VarNext,bitIndex89)
          <=> v2949(VarCurr,bitIndex669) )
          & ( v8237(VarNext,bitIndex88)
          <=> v2949(VarCurr,bitIndex668) )
          & ( v8237(VarNext,bitIndex87)
          <=> v2949(VarCurr,bitIndex667) )
          & ( v8237(VarNext,bitIndex86)
          <=> v2949(VarCurr,bitIndex666) )
          & ( v8237(VarNext,bitIndex85)
          <=> v2949(VarCurr,bitIndex665) )
          & ( v8237(VarNext,bitIndex84)
          <=> v2949(VarCurr,bitIndex664) )
          & ( v8237(VarNext,bitIndex83)
          <=> v2949(VarCurr,bitIndex663) )
          & ( v8237(VarNext,bitIndex82)
          <=> v2949(VarCurr,bitIndex662) )
          & ( v8237(VarNext,bitIndex81)
          <=> v2949(VarCurr,bitIndex661) )
          & ( v8237(VarNext,bitIndex80)
          <=> v2949(VarCurr,bitIndex660) )
          & ( v8237(VarNext,bitIndex79)
          <=> v2949(VarCurr,bitIndex659) )
          & ( v8237(VarNext,bitIndex78)
          <=> v2949(VarCurr,bitIndex658) )
          & ( v8237(VarNext,bitIndex77)
          <=> v2949(VarCurr,bitIndex657) )
          & ( v8237(VarNext,bitIndex76)
          <=> v2949(VarCurr,bitIndex656) )
          & ( v8237(VarNext,bitIndex75)
          <=> v2949(VarCurr,bitIndex655) )
          & ( v8237(VarNext,bitIndex74)
          <=> v2949(VarCurr,bitIndex654) )
          & ( v8237(VarNext,bitIndex73)
          <=> v2949(VarCurr,bitIndex653) )
          & ( v8237(VarNext,bitIndex72)
          <=> v2949(VarCurr,bitIndex652) )
          & ( v8237(VarNext,bitIndex71)
          <=> v2949(VarCurr,bitIndex651) )
          & ( v8237(VarNext,bitIndex70)
          <=> v2949(VarCurr,bitIndex650) )
          & ( v8237(VarNext,bitIndex69)
          <=> v2949(VarCurr,bitIndex649) )
          & ( v8237(VarNext,bitIndex68)
          <=> v2949(VarCurr,bitIndex648) )
          & ( v8237(VarNext,bitIndex67)
          <=> v2949(VarCurr,bitIndex647) )
          & ( v8237(VarNext,bitIndex66)
          <=> v2949(VarCurr,bitIndex646) )
          & ( v8237(VarNext,bitIndex65)
          <=> v2949(VarCurr,bitIndex645) )
          & ( v8237(VarNext,bitIndex64)
          <=> v2949(VarCurr,bitIndex644) )
          & ( v8237(VarNext,bitIndex63)
          <=> v2949(VarCurr,bitIndex643) )
          & ( v8237(VarNext,bitIndex62)
          <=> v2949(VarCurr,bitIndex642) )
          & ( v8237(VarNext,bitIndex61)
          <=> v2949(VarCurr,bitIndex641) )
          & ( v8237(VarNext,bitIndex60)
          <=> v2949(VarCurr,bitIndex640) )
          & ( v8237(VarNext,bitIndex59)
          <=> v2949(VarCurr,bitIndex639) )
          & ( v8237(VarNext,bitIndex58)
          <=> v2949(VarCurr,bitIndex638) )
          & ( v8237(VarNext,bitIndex57)
          <=> v2949(VarCurr,bitIndex637) )
          & ( v8237(VarNext,bitIndex56)
          <=> v2949(VarCurr,bitIndex636) )
          & ( v8237(VarNext,bitIndex55)
          <=> v2949(VarCurr,bitIndex635) )
          & ( v8237(VarNext,bitIndex54)
          <=> v2949(VarCurr,bitIndex634) )
          & ( v8237(VarNext,bitIndex53)
          <=> v2949(VarCurr,bitIndex633) )
          & ( v8237(VarNext,bitIndex52)
          <=> v2949(VarCurr,bitIndex632) )
          & ( v8237(VarNext,bitIndex51)
          <=> v2949(VarCurr,bitIndex631) )
          & ( v8237(VarNext,bitIndex50)
          <=> v2949(VarCurr,bitIndex630) )
          & ( v8237(VarNext,bitIndex49)
          <=> v2949(VarCurr,bitIndex629) )
          & ( v8237(VarNext,bitIndex48)
          <=> v2949(VarCurr,bitIndex628) )
          & ( v8237(VarNext,bitIndex47)
          <=> v2949(VarCurr,bitIndex627) )
          & ( v8237(VarNext,bitIndex46)
          <=> v2949(VarCurr,bitIndex626) )
          & ( v8237(VarNext,bitIndex45)
          <=> v2949(VarCurr,bitIndex625) )
          & ( v8237(VarNext,bitIndex44)
          <=> v2949(VarCurr,bitIndex624) )
          & ( v8237(VarNext,bitIndex43)
          <=> v2949(VarCurr,bitIndex623) )
          & ( v8237(VarNext,bitIndex42)
          <=> v2949(VarCurr,bitIndex622) )
          & ( v8237(VarNext,bitIndex41)
          <=> v2949(VarCurr,bitIndex621) )
          & ( v8237(VarNext,bitIndex40)
          <=> v2949(VarCurr,bitIndex620) )
          & ( v8237(VarNext,bitIndex39)
          <=> v2949(VarCurr,bitIndex619) )
          & ( v8237(VarNext,bitIndex38)
          <=> v2949(VarCurr,bitIndex618) )
          & ( v8237(VarNext,bitIndex37)
          <=> v2949(VarCurr,bitIndex617) )
          & ( v8237(VarNext,bitIndex36)
          <=> v2949(VarCurr,bitIndex616) )
          & ( v8237(VarNext,bitIndex35)
          <=> v2949(VarCurr,bitIndex615) )
          & ( v8237(VarNext,bitIndex34)
          <=> v2949(VarCurr,bitIndex614) )
          & ( v8237(VarNext,bitIndex33)
          <=> v2949(VarCurr,bitIndex613) )
          & ( v8237(VarNext,bitIndex32)
          <=> v2949(VarCurr,bitIndex612) )
          & ( v8237(VarNext,bitIndex31)
          <=> v2949(VarCurr,bitIndex611) )
          & ( v8237(VarNext,bitIndex30)
          <=> v2949(VarCurr,bitIndex610) )
          & ( v8237(VarNext,bitIndex29)
          <=> v2949(VarCurr,bitIndex609) )
          & ( v8237(VarNext,bitIndex28)
          <=> v2949(VarCurr,bitIndex608) )
          & ( v8237(VarNext,bitIndex27)
          <=> v2949(VarCurr,bitIndex607) )
          & ( v8237(VarNext,bitIndex26)
          <=> v2949(VarCurr,bitIndex606) )
          & ( v8237(VarNext,bitIndex25)
          <=> v2949(VarCurr,bitIndex605) )
          & ( v8237(VarNext,bitIndex24)
          <=> v2949(VarCurr,bitIndex604) )
          & ( v8237(VarNext,bitIndex23)
          <=> v2949(VarCurr,bitIndex603) )
          & ( v8237(VarNext,bitIndex22)
          <=> v2949(VarCurr,bitIndex602) )
          & ( v8237(VarNext,bitIndex21)
          <=> v2949(VarCurr,bitIndex601) )
          & ( v8237(VarNext,bitIndex20)
          <=> v2949(VarCurr,bitIndex600) )
          & ( v8237(VarNext,bitIndex19)
          <=> v2949(VarCurr,bitIndex599) )
          & ( v8237(VarNext,bitIndex18)
          <=> v2949(VarCurr,bitIndex598) )
          & ( v8237(VarNext,bitIndex17)
          <=> v2949(VarCurr,bitIndex597) )
          & ( v8237(VarNext,bitIndex16)
          <=> v2949(VarCurr,bitIndex596) )
          & ( v8237(VarNext,bitIndex15)
          <=> v2949(VarCurr,bitIndex595) )
          & ( v8237(VarNext,bitIndex14)
          <=> v2949(VarCurr,bitIndex594) )
          & ( v8237(VarNext,bitIndex13)
          <=> v2949(VarCurr,bitIndex593) )
          & ( v8237(VarNext,bitIndex12)
          <=> v2949(VarCurr,bitIndex592) )
          & ( v8237(VarNext,bitIndex11)
          <=> v2949(VarCurr,bitIndex591) )
          & ( v8237(VarNext,bitIndex10)
          <=> v2949(VarCurr,bitIndex590) )
          & ( v8237(VarNext,bitIndex9)
          <=> v2949(VarCurr,bitIndex589) )
          & ( v8237(VarNext,bitIndex8)
          <=> v2949(VarCurr,bitIndex588) )
          & ( v8237(VarNext,bitIndex7)
          <=> v2949(VarCurr,bitIndex587) )
          & ( v8237(VarNext,bitIndex6)
          <=> v2949(VarCurr,bitIndex586) )
          & ( v8237(VarNext,bitIndex5)
          <=> v2949(VarCurr,bitIndex585) )
          & ( v8237(VarNext,bitIndex4)
          <=> v2949(VarCurr,bitIndex584) )
          & ( v8237(VarNext,bitIndex3)
          <=> v2949(VarCurr,bitIndex583) )
          & ( v8237(VarNext,bitIndex2)
          <=> v2949(VarCurr,bitIndex582) )
          & ( v8237(VarNext,bitIndex1)
          <=> v2949(VarCurr,bitIndex581) )
          & ( v8237(VarNext,bitIndex0)
          <=> v2949(VarCurr,bitIndex580) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_92,axiom,(
    ! [VarNext] :
      ( v8239(VarNext)
     => ! [B] :
          ( range_115_0(B)
         => ( v8237(VarNext,B)
          <=> v3095(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1997,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8239(VarNext)
      <=> ( v8240(VarNext)
          & v3089(VarNext) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1996,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8240(VarNext)
      <=> ( v8242(VarNext)
          & v3076(VarNext) ) ) ) )).

fof(writeUnaryOperator_644,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8242(VarNext)
      <=> v3083(VarNext) ) ) )).

fof(addAssignment_1429,axiom,(
    ! [VarCurr,B] :
      ( range_60_30(B)
     => ( v3064(VarCurr,B)
      <=> v3066(VarCurr,B) ) ) )).

fof(addAssignment_1428,axiom,(
    ! [VarCurr,B] :
      ( range_60_30(B)
     => ( v3066(VarCurr,B)
      <=> v3068(VarCurr,B) ) ) )).

fof(addAssignment_1427,axiom,(
    ! [VarCurr,B] :
      ( range_60_30(B)
     => ( v3068(VarCurr,B)
      <=> v3070(VarCurr,B) ) ) )).

fof(addAssignment_1426,axiom,(
    ! [VarCurr,B] :
      ( range_60_30(B)
     => ( v3070(VarCurr,B)
      <=> v3072(VarCurr,B) ) ) )).

fof(addAssignment_1425,axiom,(
    ! [VarCurr,B] :
      ( range_60_30(B)
     => ( v3072(VarCurr,B)
      <=> v3074(VarCurr,B) ) ) )).

fof(range_axiom_26,axiom,(
    ! [B] :
      ( range_60_30(B)
    <=> ( $false
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B
        | bitIndex44 = B
        | bitIndex45 = B
        | bitIndex46 = B
        | bitIndex47 = B
        | bitIndex48 = B
        | bitIndex49 = B
        | bitIndex50 = B
        | bitIndex51 = B
        | bitIndex52 = B
        | bitIndex53 = B
        | bitIndex54 = B
        | bitIndex55 = B
        | bitIndex56 = B
        | bitIndex57 = B
        | bitIndex58 = B
        | bitIndex59 = B
        | bitIndex60 = B ) ) )).

fof(addAssignment_1424,axiom,(
    ! [VarCurr] :
      ( v8073(VarCurr)
    <=> v8075(VarCurr) ) )).

fof(addAssignment_1423,axiom,(
    ! [VarCurr] :
      ( v8075(VarCurr)
    <=> v8077(VarCurr) ) )).

fof(addAssignment_1422,axiom,(
    ! [VarCurr] :
      ( v8077(VarCurr)
    <=> v8079(VarCurr) ) )).

fof(addAssignment_1421,axiom,(
    ! [VarCurr] :
      ( v8079(VarCurr)
    <=> v8081(VarCurr) ) )).

fof(addAssignment_1420,axiom,(
    ! [VarCurr] :
      ( v8081(VarCurr)
    <=> v8083(VarCurr) ) )).

fof(addAssignment_1419,axiom,(
    ! [VarCurr] :
      ( v8083(VarCurr)
    <=> v8085(VarCurr) ) )).

fof(addAssignment_1418,axiom,(
    ! [VarCurr] :
      ( v8085(VarCurr)
    <=> v8087(VarCurr,bitIndex44) ) )).

fof(addAssignment_1417,axiom,(
    ! [VarCurr] :
      ( v8087(VarCurr,bitIndex44)
    <=> v8089(VarCurr,bitIndex44) ) )).

fof(addAssignment_1416,axiom,(
    ! [VarCurr] :
      ( v8089(VarCurr,bitIndex44)
    <=> v8091(VarCurr,bitIndex44) ) )).

fof(addAssignment_1415,axiom,(
    ! [VarCurr] :
      ( v8091(VarCurr,bitIndex44)
    <=> v8093(VarCurr,bitIndex44) ) )).

fof(addAssignment_1414,axiom,(
    ! [VarCurr] :
      ( v8093(VarCurr,bitIndex44)
    <=> v8095(VarCurr,bitIndex63) ) )).

fof(addAssignment_1413,axiom,(
    ! [VarCurr] :
      ( v8095(VarCurr,bitIndex63)
    <=> v8097(VarCurr,bitIndex63) ) )).

fof(addAssignment_1412,axiom,(
    ! [VarCurr] :
      ( v8097(VarCurr,bitIndex63)
    <=> v8099(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_86,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8192(VarNext)
       => ( v8099(VarNext)
        <=> v8099(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_91,axiom,(
    ! [VarNext] :
      ( v8192(VarNext)
     => ( v8099(VarNext)
      <=> v8227(VarNext) ) ) )).

fof(addAssignment_1411,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8227(VarNext)
      <=> v8225(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_267,axiom,(
    ! [VarCurr] :
      ( ~ v8101(VarCurr)
     => ( v8225(VarCurr)
      <=> v8228(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_269,axiom,(
    ! [VarCurr] :
      ( v8101(VarCurr)
     => ( v8225(VarCurr)
      <=> v8118(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_266,axiom,(
    ! [VarCurr] :
      ( ~ v8205(VarCurr)
     => ( v8228(VarCurr)
      <=> v8181(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_268,axiom,(
    ! [VarCurr] :
      ( v8205(VarCurr)
     => ( v8228(VarCurr)
      <=> v8229(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_163,axiom,(
    ! [VarCurr] :
      ( ( ~ v8208(VarCurr)
        & ~ v8210(VarCurr) )
     => ( v8229(VarCurr)
      <=> v8233(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_265,axiom,(
    ! [VarCurr] :
      ( v8210(VarCurr)
     => ( v8229(VarCurr)
      <=> v8232(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_267,axiom,(
    ! [VarCurr] :
      ( v8208(VarCurr)
     => ( v8229(VarCurr)
      <=> v8230(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_264,axiom,(
    ! [VarCurr] :
      ( ~ v8218(VarCurr)
     => ( v8233(VarCurr)
      <=> v8181(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_266,axiom,(
    ! [VarCurr] :
      ( v8218(VarCurr)
     => ( v8233(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_263,axiom,(
    ! [VarCurr] :
      ( ~ v8212(VarCurr)
     => ( v8232(VarCurr)
      <=> v8181(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_265,axiom,(
    ! [VarCurr] :
      ( v8212(VarCurr)
     => ( v8232(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_253,axiom,(
    ! [VarCurr] :
      ( ~ v8231(VarCurr)
     => ( v8230(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_254,axiom,(
    ! [VarCurr] :
      ( v8231(VarCurr)
     => ( v8230(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_566,axiom,(
    ! [VarCurr] :
      ( v8231(VarCurr)
    <=> ( v8126(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1995,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8192(VarNext)
      <=> ( v8193(VarNext)
          & v8202(VarNext) ) ) ) )).

fof(addAssignment_1410,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8202(VarNext)
      <=> v8200(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1994,axiom,(
    ! [VarCurr] :
      ( v8200(VarCurr)
    <=> ( v8101(VarCurr)
        | v8203(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1993,axiom,(
    ! [VarCurr] :
      ( v8203(VarCurr)
    <=> ( v8204(VarCurr)
        & v8224(VarCurr) ) ) )).

fof(writeUnaryOperator_643,axiom,(
    ! [VarCurr] :
      ( ~ v8224(VarCurr)
    <=> v8101(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1992,axiom,(
    ! [VarCurr] :
      ( v8204(VarCurr)
    <=> ( v8205(VarCurr)
        | v8222(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1991,axiom,(
    ! [VarCurr] :
      ( v8222(VarCurr)
    <=> ( v8146(VarCurr)
        & v8223(VarCurr) ) ) )).

fof(writeUnaryOperator_642,axiom,(
    ! [VarCurr] :
      ( ~ v8223(VarCurr)
    <=> v8148(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1990,axiom,(
    ! [VarCurr] :
      ( v8205(VarCurr)
    <=> ( v8206(VarCurr)
        & v8148(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1989,axiom,(
    ! [VarCurr] :
      ( v8206(VarCurr)
    <=> ( v8207(VarCurr)
        | v8216(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1988,axiom,(
    ! [VarCurr] :
      ( v8216(VarCurr)
    <=> ( v8217(VarCurr)
        & v8221(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_565,axiom,(
    ! [VarCurr] :
      ( v8221(VarCurr)
    <=> ( ( v8209(VarCurr,bitIndex2)
        <=> $false )
        & ( v8209(VarCurr,bitIndex1)
        <=> $false )
        & ( v8209(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1987,axiom,(
    ! [VarCurr] :
      ( v8217(VarCurr)
    <=> ( v8218(VarCurr)
        | v8219(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1986,axiom,(
    ! [VarCurr] :
      ( v8219(VarCurr)
    <=> ( v8146(VarCurr)
        & v8220(VarCurr) ) ) )).

fof(writeUnaryOperator_641,axiom,(
    ! [VarCurr] :
      ( ~ v8220(VarCurr)
    <=> v8218(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_564,axiom,(
    ! [VarCurr] :
      ( v8218(VarCurr)
    <=> ( v8126(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1985,axiom,(
    ! [VarCurr] :
      ( v8207(VarCurr)
    <=> ( v8208(VarCurr)
        | v8210(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1984,axiom,(
    ! [VarCurr] :
      ( v8210(VarCurr)
    <=> ( v8211(VarCurr)
        & v8215(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_563,axiom,(
    ! [VarCurr] :
      ( v8215(VarCurr)
    <=> ( ( v8209(VarCurr,bitIndex2)
        <=> $false )
        & ( v8209(VarCurr,bitIndex1)
        <=> $true )
        & ( v8209(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1983,axiom,(
    ! [VarCurr] :
      ( v8211(VarCurr)
    <=> ( v8212(VarCurr)
        | v8213(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1982,axiom,(
    ! [VarCurr] :
      ( v8213(VarCurr)
    <=> ( v8146(VarCurr)
        & v8214(VarCurr) ) ) )).

fof(writeUnaryOperator_640,axiom,(
    ! [VarCurr] :
      ( ~ v8214(VarCurr)
    <=> v8212(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_562,axiom,(
    ! [VarCurr] :
      ( v8212(VarCurr)
    <=> ( v8126(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_561,axiom,(
    ! [VarCurr] :
      ( v8208(VarCurr)
    <=> ( ( v8209(VarCurr,bitIndex2)
        <=> $true )
        & ( v8209(VarCurr,bitIndex1)
        <=> $false )
        & ( v8209(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1409,axiom,(
    ! [VarCurr] :
      ( v8209(VarCurr,bitIndex0)
    <=> v8124(VarCurr) ) )).

fof(addAssignment_1408,axiom,(
    ! [VarCurr] :
      ( v8209(VarCurr,bitIndex1)
    <=> v8122(VarCurr) ) )).

fof(addAssignment_1407,axiom,(
    ! [VarCurr] :
      ( v8209(VarCurr,bitIndex2)
    <=> v8120(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1981,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8193(VarNext)
      <=> ( v8194(VarNext)
          & v8183(VarNext) ) ) ) )).

fof(writeUnaryOperator_639,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8194(VarNext)
      <=> v8196(VarNext) ) ) )).

fof(addAssignment_1406,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8196(VarNext)
      <=> v8183(VarCurr) ) ) )).

fof(addAssignment_1405,axiom,(
    ! [VarCurr] :
      ( v8183(VarCurr)
    <=> v8185(VarCurr) ) )).

fof(addAssignment_1404,axiom,(
    ! [VarCurr] :
      ( v8185(VarCurr)
    <=> v8187(VarCurr) ) )).

fof(addAssignment_1403,axiom,(
    ! [VarCurr] :
      ( v8187(VarCurr)
    <=> v8189(VarCurr) ) )).

fof(addAssignment_1402,axiom,(
    ! [VarCurr] :
      ( v8189(VarCurr)
    <=> v3521(VarCurr) ) )).

fof(addAssignment_1401,axiom,(
    ! [VarCurr] :
      ( v8181(VarCurr)
    <=> $false ) )).

fof(addAssignment_1400,axiom,(
    ! [VarCurr] :
      ( v8148(VarCurr)
    <=> v8150(VarCurr) ) )).

fof(addAssignment_1399,axiom,(
    ! [VarCurr] :
      ( v8150(VarCurr)
    <=> v8152(VarCurr) ) )).

fof(addAssignment_1398,axiom,(
    ! [VarCurr] :
      ( v8152(VarCurr)
    <=> v8154(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1980,axiom,(
    ! [VarCurr] :
      ( v8154(VarCurr)
    <=> ( v8156(VarCurr)
        & v8166(VarCurr) ) ) )).

fof(addAssignment_1397,axiom,(
    ! [VarCurr] :
      ( v8166(VarCurr)
    <=> v8168(VarCurr) ) )).

fof(addAssignment_1396,axiom,(
    ! [VarCurr] :
      ( v8168(VarCurr)
    <=> v8170(VarCurr) ) )).

fof(addAssignment_1395,axiom,(
    ! [VarCurr] :
      ( v8170(VarCurr)
    <=> v8172(VarCurr) ) )).

fof(addAssignment_1394,axiom,(
    ! [VarCurr] :
      ( v8172(VarCurr)
    <=> v8174(VarCurr) ) )).

fof(addAssignment_1393,axiom,(
    ! [VarCurr] :
      ( v8174(VarCurr)
    <=> v8176(VarCurr) ) )).

fof(addAssignment_1392,axiom,(
    ! [VarCurr] :
      ( v8176(VarCurr)
    <=> v8178(VarCurr) ) )).

fof(addAssignment_1391,axiom,(
    ! [VarCurr] :
      ( v8156(VarCurr)
    <=> v8158(VarCurr) ) )).

fof(addAssignment_1390,axiom,(
    ! [VarCurr] :
      ( v8158(VarCurr)
    <=> v8160(VarCurr) ) )).

fof(addAssignment_1389,axiom,(
    ! [VarCurr] :
      ( v8160(VarCurr)
    <=> v8162(VarCurr) ) )).

fof(addAssignment_1388,axiom,(
    ! [VarCurr] :
      ( v8162(VarCurr)
    <=> v8164(VarCurr) ) )).

fof(addAssignment_1387,axiom,(
    ! [VarCurr] :
      ( v8164(VarCurr)
    <=> v5271(VarCurr) ) )).

fof(addAssignment_1386,axiom,(
    ! [VarCurr] :
      ( v8146(VarCurr)
    <=> $false ) )).

fof(addAssignment_1385,axiom,(
    ! [VarCurr] :
      ( v8126(VarCurr)
    <=> v8128(VarCurr,bitIndex63) ) )).

fof(addAssignment_1384,axiom,(
    ! [VarCurr] :
      ( v8128(VarCurr,bitIndex63)
    <=> v8130(VarCurr,bitIndex63) ) )).

fof(addAssignment_1383,axiom,(
    ! [VarCurr] :
      ( v8130(VarCurr,bitIndex63)
    <=> v8132(VarCurr,bitIndex63) ) )).

fof(addAssignment_1382,axiom,(
    ! [VarCurr] :
      ( v8132(VarCurr,bitIndex63)
    <=> v8134(VarCurr,bitIndex63) ) )).

fof(addAssignment_1381,axiom,(
    ! [VarCurr] :
      ( v8134(VarCurr,bitIndex63)
    <=> v8136(VarCurr,bitIndex63) ) )).

fof(addAssignment_1380,axiom,(
    ! [VarCurr] :
      ( v8136(VarCurr,bitIndex63)
    <=> v8138(VarCurr,bitIndex63) ) )).

fof(addAssignment_1379,axiom,(
    ! [VarCurr] :
      ( v8138(VarCurr,bitIndex63)
    <=> v8140(VarCurr,bitIndex63) ) )).

fof(addAssignment_1378,axiom,(
    ! [VarCurr] :
      ( v8140(VarCurr,bitIndex63)
    <=> v8142(VarCurr,bitIndex63) ) )).

fof(addAssignment_1377,axiom,(
    ! [VarCurr] :
      ( v8142(VarCurr,bitIndex63)
    <=> v8144(VarCurr,bitIndex63) ) )).

fof(addAssignment_1376,axiom,(
    ! [VarCurr] :
      ( v8124(VarCurr)
    <=> $false ) )).

fof(addAssignment_1375,axiom,(
    ! [VarCurr] :
      ( v8122(VarCurr)
    <=> $false ) )).

fof(addAssignment_1374,axiom,(
    ! [VarCurr] :
      ( v8120(VarCurr)
    <=> $true ) )).

fof(addAssignment_1373,axiom,(
    ! [VarCurr] :
      ( v8118(VarCurr)
    <=> $false ) )).

fof(addAssignment_1372,axiom,(
    ! [VarCurr] :
      ( v8101(VarCurr)
    <=> v8103(VarCurr) ) )).

fof(writeUnaryOperator_638,axiom,(
    ! [VarCurr] :
      ( ~ v8103(VarCurr)
    <=> v8105(VarCurr) ) )).

fof(addAssignment_1371,axiom,(
    ! [VarCurr] :
      ( v8105(VarCurr)
    <=> v8107(VarCurr) ) )).

fof(addAssignment_1370,axiom,(
    ! [VarCurr] :
      ( v8107(VarCurr)
    <=> v8109(VarCurr) ) )).

fof(addAssignment_1369,axiom,(
    ! [VarCurr] :
      ( v8109(VarCurr)
    <=> v8111(VarCurr) ) )).

fof(addAssignment_1368,axiom,(
    ! [VarCurr] :
      ( v8111(VarCurr)
    <=> v8113(VarCurr) ) )).

fof(addAssignment_1367,axiom,(
    ! [VarCurr] :
      ( v8113(VarCurr)
    <=> v8115(VarCurr) ) )).

fof(addAssignment_1366,axiom,(
    ! [VarCurr] :
      ( v8115(VarCurr)
    <=> v3440(VarCurr) ) )).

fof(addAssignment_1365,axiom,(
    ! [VarCurr] :
      ( v7887(VarCurr)
    <=> v7889(VarCurr) ) )).

fof(addAssignment_1364,axiom,(
    ! [VarCurr] :
      ( v7889(VarCurr)
    <=> v7891(VarCurr) ) )).

fof(addAssignment_1363,axiom,(
    ! [VarCurr] :
      ( v7891(VarCurr)
    <=> v7893(VarCurr) ) )).

fof(addAssignment_1362,axiom,(
    ! [VarCurr] :
      ( v7893(VarCurr)
    <=> v7895(VarCurr) ) )).

fof(addAssignment_1361,axiom,(
    ! [VarCurr] :
      ( v7895(VarCurr)
    <=> v7897(VarCurr) ) )).

fof(addAssignment_1360,axiom,(
    ! [VarCurr] :
      ( v7897(VarCurr)
    <=> v7899(VarCurr) ) )).

fof(addAssignment_1359,axiom,(
    ! [VarCurr] :
      ( v7899(VarCurr)
    <=> v7901(VarCurr) ) )).

fof(addAssignment_1358,axiom,(
    ! [VarCurr] :
      ( v7901(VarCurr)
    <=> v7903(VarCurr) ) )).

fof(addAssignment_1357,axiom,(
    ! [VarCurr] :
      ( v7903(VarCurr)
    <=> v7905(VarCurr,bitIndex2) ) )).

fof(addAssignment_1356,axiom,(
    ! [VarCurr] :
      ( v7905(VarCurr,bitIndex2)
    <=> v7907(VarCurr,bitIndex2) ) )).

fof(addAssignment_1355,axiom,(
    ! [VarCurr] :
      ( v7907(VarCurr,bitIndex2)
    <=> v7909(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_85,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8028(VarNext)
       => ( v7909(VarNext)
        <=> v7909(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_90,axiom,(
    ! [VarNext] :
      ( v8028(VarNext)
     => ( v7909(VarNext)
      <=> v8063(VarNext) ) ) )).

fof(addAssignment_1354,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8063(VarNext)
      <=> v8061(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_262,axiom,(
    ! [VarCurr] :
      ( ~ v7911(VarCurr)
     => ( v8061(VarCurr)
      <=> v8064(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_264,axiom,(
    ! [VarCurr] :
      ( v7911(VarCurr)
     => ( v8061(VarCurr)
      <=> v7940(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_261,axiom,(
    ! [VarCurr] :
      ( ~ v8041(VarCurr)
     => ( v8064(VarCurr)
      <=> v8011(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_263,axiom,(
    ! [VarCurr] :
      ( v8041(VarCurr)
     => ( v8064(VarCurr)
      <=> v8065(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_162,axiom,(
    ! [VarCurr] :
      ( ( ~ v8044(VarCurr)
        & ~ v8046(VarCurr) )
     => ( v8065(VarCurr)
      <=> v8069(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_260,axiom,(
    ! [VarCurr] :
      ( v8046(VarCurr)
     => ( v8065(VarCurr)
      <=> v8068(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_262,axiom,(
    ! [VarCurr] :
      ( v8044(VarCurr)
     => ( v8065(VarCurr)
      <=> v8066(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_259,axiom,(
    ! [VarCurr] :
      ( ~ v8054(VarCurr)
     => ( v8069(VarCurr)
      <=> v8011(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_261,axiom,(
    ! [VarCurr] :
      ( v8054(VarCurr)
     => ( v8069(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_258,axiom,(
    ! [VarCurr] :
      ( ~ v8048(VarCurr)
     => ( v8068(VarCurr)
      <=> v8011(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_260,axiom,(
    ! [VarCurr] :
      ( v8048(VarCurr)
     => ( v8068(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_252,axiom,(
    ! [VarCurr] :
      ( ~ v8067(VarCurr)
     => ( v8066(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_253,axiom,(
    ! [VarCurr] :
      ( v8067(VarCurr)
     => ( v8066(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_560,axiom,(
    ! [VarCurr] :
      ( v8067(VarCurr)
    <=> ( v7948(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1979,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8028(VarNext)
      <=> ( v8029(VarNext)
          & v8038(VarNext) ) ) ) )).

fof(addAssignment_1353,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8038(VarNext)
      <=> v8036(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1978,axiom,(
    ! [VarCurr] :
      ( v8036(VarCurr)
    <=> ( v7911(VarCurr)
        | v8039(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1977,axiom,(
    ! [VarCurr] :
      ( v8039(VarCurr)
    <=> ( v8040(VarCurr)
        & v8060(VarCurr) ) ) )).

fof(writeUnaryOperator_637,axiom,(
    ! [VarCurr] :
      ( ~ v8060(VarCurr)
    <=> v7911(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1976,axiom,(
    ! [VarCurr] :
      ( v8040(VarCurr)
    <=> ( v8041(VarCurr)
        | v8058(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1975,axiom,(
    ! [VarCurr] :
      ( v8058(VarCurr)
    <=> ( v7974(VarCurr)
        & v8059(VarCurr) ) ) )).

fof(writeUnaryOperator_636,axiom,(
    ! [VarCurr] :
      ( ~ v8059(VarCurr)
    <=> v7976(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1974,axiom,(
    ! [VarCurr] :
      ( v8041(VarCurr)
    <=> ( v8042(VarCurr)
        & v7976(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1973,axiom,(
    ! [VarCurr] :
      ( v8042(VarCurr)
    <=> ( v8043(VarCurr)
        | v8052(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1972,axiom,(
    ! [VarCurr] :
      ( v8052(VarCurr)
    <=> ( v8053(VarCurr)
        & v8057(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_559,axiom,(
    ! [VarCurr] :
      ( v8057(VarCurr)
    <=> ( ( v8045(VarCurr,bitIndex2)
        <=> $false )
        & ( v8045(VarCurr,bitIndex1)
        <=> $false )
        & ( v8045(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1971,axiom,(
    ! [VarCurr] :
      ( v8053(VarCurr)
    <=> ( v8054(VarCurr)
        | v8055(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1970,axiom,(
    ! [VarCurr] :
      ( v8055(VarCurr)
    <=> ( v7974(VarCurr)
        & v8056(VarCurr) ) ) )).

fof(writeUnaryOperator_635,axiom,(
    ! [VarCurr] :
      ( ~ v8056(VarCurr)
    <=> v8054(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_558,axiom,(
    ! [VarCurr] :
      ( v8054(VarCurr)
    <=> ( v7948(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1969,axiom,(
    ! [VarCurr] :
      ( v8043(VarCurr)
    <=> ( v8044(VarCurr)
        | v8046(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1968,axiom,(
    ! [VarCurr] :
      ( v8046(VarCurr)
    <=> ( v8047(VarCurr)
        & v8051(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_557,axiom,(
    ! [VarCurr] :
      ( v8051(VarCurr)
    <=> ( ( v8045(VarCurr,bitIndex2)
        <=> $false )
        & ( v8045(VarCurr,bitIndex1)
        <=> $true )
        & ( v8045(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1967,axiom,(
    ! [VarCurr] :
      ( v8047(VarCurr)
    <=> ( v8048(VarCurr)
        | v8049(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1966,axiom,(
    ! [VarCurr] :
      ( v8049(VarCurr)
    <=> ( v7974(VarCurr)
        & v8050(VarCurr) ) ) )).

fof(writeUnaryOperator_634,axiom,(
    ! [VarCurr] :
      ( ~ v8050(VarCurr)
    <=> v8048(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_556,axiom,(
    ! [VarCurr] :
      ( v8048(VarCurr)
    <=> ( v7948(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_555,axiom,(
    ! [VarCurr] :
      ( v8044(VarCurr)
    <=> ( ( v8045(VarCurr,bitIndex2)
        <=> $true )
        & ( v8045(VarCurr,bitIndex1)
        <=> $false )
        & ( v8045(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1352,axiom,(
    ! [VarCurr] :
      ( v8045(VarCurr,bitIndex0)
    <=> v7946(VarCurr) ) )).

fof(addAssignment_1351,axiom,(
    ! [VarCurr] :
      ( v8045(VarCurr,bitIndex1)
    <=> v7944(VarCurr) ) )).

fof(addAssignment_1350,axiom,(
    ! [VarCurr] :
      ( v8045(VarCurr,bitIndex2)
    <=> v7942(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1965,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8029(VarNext)
      <=> ( v8030(VarNext)
          & v8013(VarNext) ) ) ) )).

fof(writeUnaryOperator_633,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v8030(VarNext)
      <=> v8032(VarNext) ) ) )).

fof(addAssignment_1349,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v8032(VarNext)
      <=> v8013(VarCurr) ) ) )).

fof(addAssignment_1348,axiom,(
    ! [VarCurr] :
      ( v8013(VarCurr)
    <=> v8015(VarCurr) ) )).

fof(addAssignment_1347,axiom,(
    ! [VarCurr] :
      ( v8015(VarCurr)
    <=> v8017(VarCurr) ) )).

fof(addAssignment_1346,axiom,(
    ! [VarCurr] :
      ( v8017(VarCurr)
    <=> v8019(VarCurr) ) )).

fof(addAssignment_1345,axiom,(
    ! [VarCurr] :
      ( v8019(VarCurr)
    <=> v8021(VarCurr) ) )).

fof(addAssignment_1344,axiom,(
    ! [VarCurr] :
      ( v8021(VarCurr)
    <=> v8023(VarCurr) ) )).

fof(addAssignment_1343,axiom,(
    ! [VarCurr] :
      ( v8023(VarCurr)
    <=> v8025(VarCurr) ) )).

fof(addAssignment_1342,axiom,(
    ! [VarCurr] :
      ( v8025(VarCurr)
    <=> v1(VarCurr) ) )).

fof(addAssignment_1341,axiom,(
    ! [VarCurr] :
      ( v8011(VarCurr)
    <=> $false ) )).

fof(addAssignment_1340,axiom,(
    ! [VarCurr] :
      ( v7976(VarCurr)
    <=> v7978(VarCurr) ) )).

fof(addAssignment_1339,axiom,(
    ! [VarCurr] :
      ( v7978(VarCurr)
    <=> v7980(VarCurr) ) )).

fof(addAssignment_1338,axiom,(
    ! [VarCurr] :
      ( v7980(VarCurr)
    <=> v7982(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1964,axiom,(
    ! [VarCurr] :
      ( v7982(VarCurr)
    <=> ( v7984(VarCurr)
        & v7990(VarCurr) ) ) )).

fof(addAssignment_1337,axiom,(
    ! [VarCurr] :
      ( v7990(VarCurr)
    <=> v7992(VarCurr) ) )).

fof(addAssignment_1336,axiom,(
    ! [VarCurr] :
      ( v7992(VarCurr)
    <=> v7994(VarCurr) ) )).

fof(addAssignment_1335,axiom,(
    ! [VarCurr] :
      ( v7994(VarCurr)
    <=> v7996(VarCurr) ) )).

fof(addAssignment_1334,axiom,(
    ! [VarCurr] :
      ( v7996(VarCurr)
    <=> v7998(VarCurr) ) )).

fof(addAssignment_1333,axiom,(
    ! [VarCurr] :
      ( v7998(VarCurr)
    <=> v8000(VarCurr) ) )).

fof(addAssignment_1332,axiom,(
    ! [VarCurr] :
      ( v8000(VarCurr)
    <=> v8002(VarCurr) ) )).

fof(addAssignment_1331,axiom,(
    ! [VarCurr] :
      ( v8002(VarCurr)
    <=> v8004(VarCurr) ) )).

fof(addAssignment_1330,axiom,(
    ! [VarCurr] :
      ( v8004(VarCurr)
    <=> v8006(VarCurr) ) )).

fof(addAssignment_1329,axiom,(
    ! [VarCurr] :
      ( v8006(VarCurr)
    <=> v8008(VarCurr) ) )).

fof(addAssignment_1328,axiom,(
    ! [VarCurr] :
      ( v7984(VarCurr)
    <=> v7986(VarCurr) ) )).

fof(addAssignment_1327,axiom,(
    ! [VarCurr] :
      ( v7986(VarCurr)
    <=> v7988(VarCurr) ) )).

fof(addAssignment_1326,axiom,(
    ! [VarCurr] :
      ( v7974(VarCurr)
    <=> $false ) )).

fof(addAssignment_1325,axiom,(
    ! [VarCurr] :
      ( v7948(VarCurr)
    <=> v7950(VarCurr,bitIndex2) ) )).

fof(addAssignment_1324,axiom,(
    ! [VarCurr] :
      ( v7950(VarCurr,bitIndex2)
    <=> v7952(VarCurr,bitIndex2) ) )).

fof(addAssignment_1323,axiom,(
    ! [VarCurr] :
      ( v7952(VarCurr,bitIndex2)
    <=> v7954(VarCurr,bitIndex2) ) )).

fof(addAssignment_1322,axiom,(
    ! [VarCurr] :
      ( v7954(VarCurr,bitIndex2)
    <=> v7956(VarCurr,bitIndex2) ) )).

fof(addAssignment_1321,axiom,(
    ! [VarCurr] :
      ( v7956(VarCurr,bitIndex2)
    <=> v7958(VarCurr,bitIndex2) ) )).

fof(addAssignment_1320,axiom,(
    ! [VarCurr] :
      ( v7958(VarCurr,bitIndex2)
    <=> v7960(VarCurr,bitIndex2) ) )).

fof(addAssignment_1319,axiom,(
    ! [VarCurr] :
      ( v7960(VarCurr,bitIndex2)
    <=> v7962(VarCurr,bitIndex2) ) )).

fof(addAssignment_1318,axiom,(
    ! [VarCurr] :
      ( v7962(VarCurr,bitIndex2)
    <=> v7964(VarCurr,bitIndex2) ) )).

fof(addAssignment_1317,axiom,(
    ! [VarCurr] :
      ( v7964(VarCurr,bitIndex2)
    <=> v7966(VarCurr,bitIndex2) ) )).

fof(addAssignment_1316,axiom,(
    ! [VarCurr] :
      ( v7966(VarCurr,bitIndex2)
    <=> v7968(VarCurr,bitIndex2) ) )).

fof(addAssignment_1315,axiom,(
    ! [VarCurr] :
      ( v7968(VarCurr,bitIndex2)
    <=> v7970(VarCurr,bitIndex2) ) )).

fof(addAssignment_1314,axiom,(
    ! [VarCurr] :
      ( v7970(VarCurr,bitIndex2)
    <=> v7972(VarCurr,bitIndex2) ) )).

fof(addAssignment_1313,axiom,(
    ! [VarCurr] :
      ( v7946(VarCurr)
    <=> $false ) )).

fof(addAssignment_1312,axiom,(
    ! [VarCurr] :
      ( v7944(VarCurr)
    <=> $false ) )).

fof(addAssignment_1311,axiom,(
    ! [VarCurr] :
      ( v7942(VarCurr)
    <=> $true ) )).

fof(addAssignment_1310,axiom,(
    ! [VarCurr] :
      ( v7940(VarCurr)
    <=> $false ) )).

fof(addAssignment_1309,axiom,(
    ! [VarCurr] :
      ( v7911(VarCurr)
    <=> v7913(VarCurr) ) )).

fof(writeUnaryOperator_632,axiom,(
    ! [VarCurr] :
      ( ~ v7913(VarCurr)
    <=> v7915(VarCurr) ) )).

fof(addAssignment_1308,axiom,(
    ! [VarCurr] :
      ( v7915(VarCurr)
    <=> v7917(VarCurr) ) )).

fof(addAssignment_1307,axiom,(
    ! [VarCurr] :
      ( v7917(VarCurr)
    <=> v7919(VarCurr) ) )).

fof(addAssignment_1306,axiom,(
    ! [VarCurr] :
      ( v7919(VarCurr)
    <=> v7921(VarCurr) ) )).

fof(addAssignment_1305,axiom,(
    ! [VarCurr] :
      ( v7921(VarCurr)
    <=> v7923(VarCurr) ) )).

fof(addAssignment_1304,axiom,(
    ! [VarCurr] :
      ( v7923(VarCurr)
    <=> v7925(VarCurr) ) )).

fof(addAssignment_1303,axiom,(
    ! [VarCurr] :
      ( v7925(VarCurr)
    <=> v7927(VarCurr) ) )).

fof(addAssignment_1302,axiom,(
    ! [VarCurr] :
      ( v7927(VarCurr)
    <=> v7929(VarCurr) ) )).

fof(addAssignment_1301,axiom,(
    ! [VarCurr] :
      ( v7929(VarCurr)
    <=> v7931(VarCurr) ) )).

fof(addAssignment_1300,axiom,(
    ! [VarCurr] :
      ( v7931(VarCurr)
    <=> v7933(VarCurr) ) )).

fof(addAssignment_1299,axiom,(
    ! [VarCurr] :
      ( v7933(VarCurr)
    <=> v7935(VarCurr) ) )).

fof(addAssignment_1298,axiom,(
    ! [VarCurr] :
      ( v7935(VarCurr)
    <=> v7937(VarCurr) ) )).

fof(addAssignment_1297,axiom,(
    ! [VarCurr] :
      ( v7937(VarCurr)
    <=> v16(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_554,axiom,(
    ! [VarCurr] :
      ( v3054(VarCurr)
    <=> ( ( v3056(VarCurr,bitIndex29)
        <=> v3100(VarCurr,bitIndex15) )
        & ( v3056(VarCurr,bitIndex28)
        <=> v3100(VarCurr,bitIndex14) )
        & ( v3056(VarCurr,bitIndex27)
        <=> v3100(VarCurr,bitIndex13) )
        & ( v3056(VarCurr,bitIndex26)
        <=> v3100(VarCurr,bitIndex12) )
        & ( v3056(VarCurr,bitIndex25)
        <=> v3100(VarCurr,bitIndex11) )
        & ( v3056(VarCurr,bitIndex24)
        <=> v3100(VarCurr,bitIndex10) )
        & ( v3056(VarCurr,bitIndex23)
        <=> v3100(VarCurr,bitIndex9) )
        & ( v3056(VarCurr,bitIndex22)
        <=> v3100(VarCurr,bitIndex8) )
        & ( v3056(VarCurr,bitIndex21)
        <=> v3100(VarCurr,bitIndex7) )
        & ( v3056(VarCurr,bitIndex20)
        <=> v3100(VarCurr,bitIndex6) )
        & ( v3056(VarCurr,bitIndex19)
        <=> v3100(VarCurr,bitIndex5) )
        & ( v3056(VarCurr,bitIndex18)
        <=> v3100(VarCurr,bitIndex4) )
        & ( v3056(VarCurr,bitIndex17)
        <=> v3100(VarCurr,bitIndex3) )
        & ( v3056(VarCurr,bitIndex16)
        <=> v3100(VarCurr,bitIndex2) )
        & ( v3056(VarCurr,bitIndex15)
        <=> v3100(VarCurr,bitIndex1) )
        & ( v3056(VarCurr,bitIndex14)
        <=> v3100(VarCurr,bitIndex0) ) ) ) )).

fof(addAssignment_1296,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v3100(VarCurr,B)
      <=> v3102(VarCurr,B) ) ) )).

fof(addAssignment_1295,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v3102(VarCurr,B)
      <=> v3104(VarCurr,B) ) ) )).

fof(addAssignment_1294,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v3104(VarCurr,B)
      <=> v3106(VarCurr,B) ) ) )).

fof(addAssignment_1293,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v3106(VarCurr,B)
      <=> v3108(VarCurr,B) ) ) )).

fof(addAssignment_1292,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v3108(VarCurr,B)
      <=> v3110(VarCurr,B) ) ) )).

fof(addAssignment_1291,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v3110(VarCurr,B)
      <=> v3112(VarCurr,B) ) ) )).

fof(addAssignment_1290,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v3112(VarCurr,B)
      <=> v3114(VarCurr,B) ) ) )).

fof(addAssignment_1289,axiom,(
    ! [VarCurr,B] :
      ( range_15_0(B)
     => ( v3114(VarCurr,B)
      <=> v3116(VarCurr,B) ) ) )).

fof(range_axiom_25,axiom,(
    ! [B] :
      ( range_15_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B ) ) )).

fof(addAssignment_1288,axiom,(
    ! [VarCurr] :
      ( ( v3116(VarCurr,bitIndex15)
      <=> v3118(VarCurr,bitIndex31) )
      & ( v3116(VarCurr,bitIndex14)
      <=> v3118(VarCurr,bitIndex30) )
      & ( v3116(VarCurr,bitIndex13)
      <=> v3118(VarCurr,bitIndex29) )
      & ( v3116(VarCurr,bitIndex12)
      <=> v3118(VarCurr,bitIndex28) )
      & ( v3116(VarCurr,bitIndex11)
      <=> v3118(VarCurr,bitIndex27) )
      & ( v3116(VarCurr,bitIndex10)
      <=> v3118(VarCurr,bitIndex26) )
      & ( v3116(VarCurr,bitIndex9)
      <=> v3118(VarCurr,bitIndex25) )
      & ( v3116(VarCurr,bitIndex8)
      <=> v3118(VarCurr,bitIndex24) )
      & ( v3116(VarCurr,bitIndex7)
      <=> v3118(VarCurr,bitIndex23) )
      & ( v3116(VarCurr,bitIndex6)
      <=> v3118(VarCurr,bitIndex22) )
      & ( v3116(VarCurr,bitIndex5)
      <=> v3118(VarCurr,bitIndex21) )
      & ( v3116(VarCurr,bitIndex4)
      <=> v3118(VarCurr,bitIndex20) )
      & ( v3116(VarCurr,bitIndex3)
      <=> v3118(VarCurr,bitIndex19) )
      & ( v3116(VarCurr,bitIndex2)
      <=> v3118(VarCurr,bitIndex18) )
      & ( v3116(VarCurr,bitIndex1)
      <=> v3118(VarCurr,bitIndex17) )
      & ( v3116(VarCurr,bitIndex0)
      <=> v3118(VarCurr,bitIndex16) ) ) )).

fof(addAssignment_1287,axiom,(
    ! [VarCurr,B] :
      ( range_31_16(B)
     => ( v3118(VarCurr,B)
      <=> v3120(VarCurr,B) ) ) )).

fof(range_axiom_24,axiom,(
    ! [B] :
      ( range_31_16(B)
    <=> ( $false
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B ) ) )).

fof(addAssignment_1286,axiom,(
    ! [VarCurr] :
      ( v3120(VarCurr,bitIndex31)
    <=> v7816(VarCurr) ) )).

fof(addAssignment_1285,axiom,(
    ! [VarCurr] :
      ( v3120(VarCurr,bitIndex30)
    <=> v7748(VarCurr) ) )).

fof(addAssignment_1284,axiom,(
    ! [VarCurr] :
      ( v3120(VarCurr,bitIndex29)
    <=> v7680(VarCurr) ) )).

fof(addAssignment_1283,axiom,(
    ! [VarCurr] :
      ( v3120(VarCurr,bitIndex28)
    <=> v7612(VarCurr) ) )).

fof(addAssignment_1282,axiom,(
    ! [VarCurr] :
      ( v3120(VarCurr,bitIndex27)
    <=> v7544(VarCurr) ) )).

fof(addAssignment_1281,axiom,(
    ! [VarCurr] :
      ( v3120(VarCurr,bitIndex26)
    <=> v7476(VarCurr) ) )).

fof(addAssignment_1280,axiom,(
    ! [VarCurr] :
      ( v3120(VarCurr,bitIndex25)
    <=> v7408(VarCurr) ) )).

fof(addAssignment_1279,axiom,(
    ! [VarCurr] :
      ( v3120(VarCurr,bitIndex24)
    <=> v7340(VarCurr) ) )).

fof(addAssignment_1278,axiom,(
    ! [VarCurr] :
      ( v3120(VarCurr,bitIndex23)
    <=> v7272(VarCurr) ) )).

fof(addAssignment_1277,axiom,(
    ! [VarCurr] :
      ( v3120(VarCurr,bitIndex22)
    <=> v7204(VarCurr) ) )).

fof(addAssignment_1276,axiom,(
    ! [VarCurr] :
      ( v3120(VarCurr,bitIndex21)
    <=> v7136(VarCurr) ) )).

fof(addAssignment_1275,axiom,(
    ! [VarCurr] :
      ( v3120(VarCurr,bitIndex20)
    <=> v7068(VarCurr) ) )).

fof(addAssignment_1274,axiom,(
    ! [VarCurr] :
      ( v3120(VarCurr,bitIndex19)
    <=> v7000(VarCurr) ) )).

fof(addAssignment_1273,axiom,(
    ! [VarCurr] :
      ( v3120(VarCurr,bitIndex18)
    <=> v6932(VarCurr) ) )).

fof(addAssignment_1272,axiom,(
    ! [VarCurr] :
      ( v3120(VarCurr,bitIndex17)
    <=> v6864(VarCurr) ) )).

fof(addAssignment_1271,axiom,(
    ! [VarCurr] :
      ( v3120(VarCurr,bitIndex16)
    <=> v3122(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_84,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7839(VarNext)
       => ( v7816(VarNext)
        <=> v7816(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_89,axiom,(
    ! [VarNext] :
      ( v7839(VarNext)
     => ( v7816(VarNext)
      <=> v7874(VarNext) ) ) )).

fof(addAssignment_1270,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7874(VarNext)
      <=> v7872(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_257,axiom,(
    ! [VarCurr] :
      ( ~ v7818(VarCurr)
     => ( v7872(VarCurr)
      <=> v7875(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_259,axiom,(
    ! [VarCurr] :
      ( v7818(VarCurr)
     => ( v7872(VarCurr)
      <=> v7820(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_256,axiom,(
    ! [VarCurr] :
      ( ~ v7852(VarCurr)
     => ( v7875(VarCurr)
      <=> v7834(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_258,axiom,(
    ! [VarCurr] :
      ( v7852(VarCurr)
     => ( v7875(VarCurr)
      <=> v7876(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_161,axiom,(
    ! [VarCurr] :
      ( ( ~ v7855(VarCurr)
        & ~ v7857(VarCurr) )
     => ( v7876(VarCurr)
      <=> v7880(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_255,axiom,(
    ! [VarCurr] :
      ( v7857(VarCurr)
     => ( v7876(VarCurr)
      <=> v7879(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_257,axiom,(
    ! [VarCurr] :
      ( v7855(VarCurr)
     => ( v7876(VarCurr)
      <=> v7877(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_254,axiom,(
    ! [VarCurr] :
      ( ~ v7865(VarCurr)
     => ( v7880(VarCurr)
      <=> v7834(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_256,axiom,(
    ! [VarCurr] :
      ( v7865(VarCurr)
     => ( v7880(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_253,axiom,(
    ! [VarCurr] :
      ( ~ v7859(VarCurr)
     => ( v7879(VarCurr)
      <=> v7834(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_255,axiom,(
    ! [VarCurr] :
      ( v7859(VarCurr)
     => ( v7879(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_251,axiom,(
    ! [VarCurr] :
      ( ~ v7878(VarCurr)
     => ( v7877(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_252,axiom,(
    ! [VarCurr] :
      ( v7878(VarCurr)
     => ( v7877(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_553,axiom,(
    ! [VarCurr] :
      ( v7878(VarCurr)
    <=> ( v7828(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1963,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7839(VarNext)
      <=> ( v7840(VarNext)
          & v7849(VarNext) ) ) ) )).

fof(addAssignment_1269,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7849(VarNext)
      <=> v7847(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1962,axiom,(
    ! [VarCurr] :
      ( v7847(VarCurr)
    <=> ( v7818(VarCurr)
        | v7850(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1961,axiom,(
    ! [VarCurr] :
      ( v7850(VarCurr)
    <=> ( v7851(VarCurr)
        & v7871(VarCurr) ) ) )).

fof(writeUnaryOperator_631,axiom,(
    ! [VarCurr] :
      ( ~ v7871(VarCurr)
    <=> v7818(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1960,axiom,(
    ! [VarCurr] :
      ( v7851(VarCurr)
    <=> ( v7852(VarCurr)
        | v7869(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1959,axiom,(
    ! [VarCurr] :
      ( v7869(VarCurr)
    <=> ( v7830(VarCurr)
        & v7870(VarCurr) ) ) )).

fof(writeUnaryOperator_630,axiom,(
    ! [VarCurr] :
      ( ~ v7870(VarCurr)
    <=> v7832(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1958,axiom,(
    ! [VarCurr] :
      ( v7852(VarCurr)
    <=> ( v7853(VarCurr)
        & v7832(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1957,axiom,(
    ! [VarCurr] :
      ( v7853(VarCurr)
    <=> ( v7854(VarCurr)
        | v7863(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1956,axiom,(
    ! [VarCurr] :
      ( v7863(VarCurr)
    <=> ( v7864(VarCurr)
        & v7868(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_552,axiom,(
    ! [VarCurr] :
      ( v7868(VarCurr)
    <=> ( ( v7856(VarCurr,bitIndex2)
        <=> $false )
        & ( v7856(VarCurr,bitIndex1)
        <=> $false )
        & ( v7856(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1955,axiom,(
    ! [VarCurr] :
      ( v7864(VarCurr)
    <=> ( v7865(VarCurr)
        | v7866(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1954,axiom,(
    ! [VarCurr] :
      ( v7866(VarCurr)
    <=> ( v7830(VarCurr)
        & v7867(VarCurr) ) ) )).

fof(writeUnaryOperator_629,axiom,(
    ! [VarCurr] :
      ( ~ v7867(VarCurr)
    <=> v7865(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_551,axiom,(
    ! [VarCurr] :
      ( v7865(VarCurr)
    <=> ( v7828(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1953,axiom,(
    ! [VarCurr] :
      ( v7854(VarCurr)
    <=> ( v7855(VarCurr)
        | v7857(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1952,axiom,(
    ! [VarCurr] :
      ( v7857(VarCurr)
    <=> ( v7858(VarCurr)
        & v7862(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_550,axiom,(
    ! [VarCurr] :
      ( v7862(VarCurr)
    <=> ( ( v7856(VarCurr,bitIndex2)
        <=> $false )
        & ( v7856(VarCurr,bitIndex1)
        <=> $true )
        & ( v7856(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1951,axiom,(
    ! [VarCurr] :
      ( v7858(VarCurr)
    <=> ( v7859(VarCurr)
        | v7860(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1950,axiom,(
    ! [VarCurr] :
      ( v7860(VarCurr)
    <=> ( v7830(VarCurr)
        & v7861(VarCurr) ) ) )).

fof(writeUnaryOperator_628,axiom,(
    ! [VarCurr] :
      ( ~ v7861(VarCurr)
    <=> v7859(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_549,axiom,(
    ! [VarCurr] :
      ( v7859(VarCurr)
    <=> ( v7828(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_548,axiom,(
    ! [VarCurr] :
      ( v7855(VarCurr)
    <=> ( ( v7856(VarCurr,bitIndex2)
        <=> $true )
        & ( v7856(VarCurr,bitIndex1)
        <=> $false )
        & ( v7856(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1268,axiom,(
    ! [VarCurr] :
      ( v7856(VarCurr,bitIndex0)
    <=> v7826(VarCurr) ) )).

fof(addAssignment_1267,axiom,(
    ! [VarCurr] :
      ( v7856(VarCurr,bitIndex1)
    <=> v7824(VarCurr) ) )).

fof(addAssignment_1266,axiom,(
    ! [VarCurr] :
      ( v7856(VarCurr,bitIndex2)
    <=> v7822(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1949,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7840(VarNext)
      <=> ( v7841(VarNext)
          & v7836(VarNext) ) ) ) )).

fof(writeUnaryOperator_627,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7841(VarNext)
      <=> v7843(VarNext) ) ) )).

fof(addAssignment_1265,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7843(VarNext)
      <=> v7836(VarCurr) ) ) )).

fof(addAssignment_1264,axiom,(
    ! [VarCurr] :
      ( v7836(VarCurr)
    <=> v6812(VarCurr) ) )).

fof(addAssignment_1263,axiom,(
    ! [VarCurr] :
      ( v7834(VarCurr)
    <=> $false ) )).

fof(addAssignment_1262,axiom,(
    ! [VarCurr] :
      ( v7832(VarCurr)
    <=> v3182(VarCurr) ) )).

fof(addAssignment_1261,axiom,(
    ! [VarCurr] :
      ( v7830(VarCurr)
    <=> $false ) )).

fof(addAssignment_1260,axiom,(
    ! [VarCurr] :
      ( v7828(VarCurr)
    <=> v3158(VarCurr,bitIndex31) ) )).

fof(addAssignment_1259,axiom,(
    ! [VarCurr] :
      ( v3158(VarCurr,bitIndex31)
    <=> v3160(VarCurr,bitIndex31) ) )).

fof(addAssignment_1258,axiom,(
    ! [VarCurr] :
      ( v3160(VarCurr,bitIndex31)
    <=> v3162(VarCurr,bitIndex31) ) )).

fof(addAssignment_1257,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex31)
    <=> v3164(VarCurr,bitIndex31) ) )).

fof(addAssignment_1256,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex31)
    <=> v3166(VarCurr,bitIndex31) ) )).

fof(addAssignment_1255,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex31)
    <=> v3168(VarCurr,bitIndex31) ) )).

fof(addAssignment_1254,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex31)
    <=> v3170(VarCurr,bitIndex31) ) )).

fof(addAssignment_1253,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex31)
    <=> v3172(VarCurr,bitIndex31) ) )).

fof(addAssignment_1252,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex31)
    <=> v3174(VarCurr,bitIndex31) ) )).

fof(addAssignment_1251,axiom,(
    ! [VarCurr] :
      ( v7826(VarCurr)
    <=> $false ) )).

fof(addAssignment_1250,axiom,(
    ! [VarCurr] :
      ( v7824(VarCurr)
    <=> $false ) )).

fof(addAssignment_1249,axiom,(
    ! [VarCurr] :
      ( v7822(VarCurr)
    <=> $true ) )).

fof(addAssignment_1248,axiom,(
    ! [VarCurr] :
      ( v7820(VarCurr)
    <=> $false ) )).

fof(addAssignment_1247,axiom,(
    ! [VarCurr] :
      ( v7818(VarCurr)
    <=> v3126(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_83,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7771(VarNext)
       => ( v7748(VarNext)
        <=> v7748(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_88,axiom,(
    ! [VarNext] :
      ( v7771(VarNext)
     => ( v7748(VarNext)
      <=> v7806(VarNext) ) ) )).

fof(addAssignment_1246,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7806(VarNext)
      <=> v7804(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_252,axiom,(
    ! [VarCurr] :
      ( ~ v7750(VarCurr)
     => ( v7804(VarCurr)
      <=> v7807(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_254,axiom,(
    ! [VarCurr] :
      ( v7750(VarCurr)
     => ( v7804(VarCurr)
      <=> v7752(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_251,axiom,(
    ! [VarCurr] :
      ( ~ v7784(VarCurr)
     => ( v7807(VarCurr)
      <=> v7766(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_253,axiom,(
    ! [VarCurr] :
      ( v7784(VarCurr)
     => ( v7807(VarCurr)
      <=> v7808(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_160,axiom,(
    ! [VarCurr] :
      ( ( ~ v7787(VarCurr)
        & ~ v7789(VarCurr) )
     => ( v7808(VarCurr)
      <=> v7812(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_250,axiom,(
    ! [VarCurr] :
      ( v7789(VarCurr)
     => ( v7808(VarCurr)
      <=> v7811(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_252,axiom,(
    ! [VarCurr] :
      ( v7787(VarCurr)
     => ( v7808(VarCurr)
      <=> v7809(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_249,axiom,(
    ! [VarCurr] :
      ( ~ v7797(VarCurr)
     => ( v7812(VarCurr)
      <=> v7766(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_251,axiom,(
    ! [VarCurr] :
      ( v7797(VarCurr)
     => ( v7812(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_248,axiom,(
    ! [VarCurr] :
      ( ~ v7791(VarCurr)
     => ( v7811(VarCurr)
      <=> v7766(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_250,axiom,(
    ! [VarCurr] :
      ( v7791(VarCurr)
     => ( v7811(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_250,axiom,(
    ! [VarCurr] :
      ( ~ v7810(VarCurr)
     => ( v7809(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_251,axiom,(
    ! [VarCurr] :
      ( v7810(VarCurr)
     => ( v7809(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_547,axiom,(
    ! [VarCurr] :
      ( v7810(VarCurr)
    <=> ( v7760(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1948,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7771(VarNext)
      <=> ( v7772(VarNext)
          & v7781(VarNext) ) ) ) )).

fof(addAssignment_1245,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7781(VarNext)
      <=> v7779(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1947,axiom,(
    ! [VarCurr] :
      ( v7779(VarCurr)
    <=> ( v7750(VarCurr)
        | v7782(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1946,axiom,(
    ! [VarCurr] :
      ( v7782(VarCurr)
    <=> ( v7783(VarCurr)
        & v7803(VarCurr) ) ) )).

fof(writeUnaryOperator_626,axiom,(
    ! [VarCurr] :
      ( ~ v7803(VarCurr)
    <=> v7750(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1945,axiom,(
    ! [VarCurr] :
      ( v7783(VarCurr)
    <=> ( v7784(VarCurr)
        | v7801(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1944,axiom,(
    ! [VarCurr] :
      ( v7801(VarCurr)
    <=> ( v7762(VarCurr)
        & v7802(VarCurr) ) ) )).

fof(writeUnaryOperator_625,axiom,(
    ! [VarCurr] :
      ( ~ v7802(VarCurr)
    <=> v7764(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1943,axiom,(
    ! [VarCurr] :
      ( v7784(VarCurr)
    <=> ( v7785(VarCurr)
        & v7764(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1942,axiom,(
    ! [VarCurr] :
      ( v7785(VarCurr)
    <=> ( v7786(VarCurr)
        | v7795(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1941,axiom,(
    ! [VarCurr] :
      ( v7795(VarCurr)
    <=> ( v7796(VarCurr)
        & v7800(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_546,axiom,(
    ! [VarCurr] :
      ( v7800(VarCurr)
    <=> ( ( v7788(VarCurr,bitIndex2)
        <=> $false )
        & ( v7788(VarCurr,bitIndex1)
        <=> $false )
        & ( v7788(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1940,axiom,(
    ! [VarCurr] :
      ( v7796(VarCurr)
    <=> ( v7797(VarCurr)
        | v7798(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1939,axiom,(
    ! [VarCurr] :
      ( v7798(VarCurr)
    <=> ( v7762(VarCurr)
        & v7799(VarCurr) ) ) )).

fof(writeUnaryOperator_624,axiom,(
    ! [VarCurr] :
      ( ~ v7799(VarCurr)
    <=> v7797(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_545,axiom,(
    ! [VarCurr] :
      ( v7797(VarCurr)
    <=> ( v7760(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1938,axiom,(
    ! [VarCurr] :
      ( v7786(VarCurr)
    <=> ( v7787(VarCurr)
        | v7789(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1937,axiom,(
    ! [VarCurr] :
      ( v7789(VarCurr)
    <=> ( v7790(VarCurr)
        & v7794(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_544,axiom,(
    ! [VarCurr] :
      ( v7794(VarCurr)
    <=> ( ( v7788(VarCurr,bitIndex2)
        <=> $false )
        & ( v7788(VarCurr,bitIndex1)
        <=> $true )
        & ( v7788(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1936,axiom,(
    ! [VarCurr] :
      ( v7790(VarCurr)
    <=> ( v7791(VarCurr)
        | v7792(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1935,axiom,(
    ! [VarCurr] :
      ( v7792(VarCurr)
    <=> ( v7762(VarCurr)
        & v7793(VarCurr) ) ) )).

fof(writeUnaryOperator_623,axiom,(
    ! [VarCurr] :
      ( ~ v7793(VarCurr)
    <=> v7791(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_543,axiom,(
    ! [VarCurr] :
      ( v7791(VarCurr)
    <=> ( v7760(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_542,axiom,(
    ! [VarCurr] :
      ( v7787(VarCurr)
    <=> ( ( v7788(VarCurr,bitIndex2)
        <=> $true )
        & ( v7788(VarCurr,bitIndex1)
        <=> $false )
        & ( v7788(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1244,axiom,(
    ! [VarCurr] :
      ( v7788(VarCurr,bitIndex0)
    <=> v7758(VarCurr) ) )).

fof(addAssignment_1243,axiom,(
    ! [VarCurr] :
      ( v7788(VarCurr,bitIndex1)
    <=> v7756(VarCurr) ) )).

fof(addAssignment_1242,axiom,(
    ! [VarCurr] :
      ( v7788(VarCurr,bitIndex2)
    <=> v7754(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1934,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7772(VarNext)
      <=> ( v7773(VarNext)
          & v7768(VarNext) ) ) ) )).

fof(writeUnaryOperator_622,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7773(VarNext)
      <=> v7775(VarNext) ) ) )).

fof(addAssignment_1241,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7775(VarNext)
      <=> v7768(VarCurr) ) ) )).

fof(addAssignment_1240,axiom,(
    ! [VarCurr] :
      ( v7768(VarCurr)
    <=> v6812(VarCurr) ) )).

fof(addAssignment_1239,axiom,(
    ! [VarCurr] :
      ( v7766(VarCurr)
    <=> $false ) )).

fof(addAssignment_1238,axiom,(
    ! [VarCurr] :
      ( v7764(VarCurr)
    <=> v3182(VarCurr) ) )).

fof(addAssignment_1237,axiom,(
    ! [VarCurr] :
      ( v7762(VarCurr)
    <=> $false ) )).

fof(addAssignment_1236,axiom,(
    ! [VarCurr] :
      ( v7760(VarCurr)
    <=> v3158(VarCurr,bitIndex30) ) )).

fof(addAssignment_1235,axiom,(
    ! [VarCurr] :
      ( v3158(VarCurr,bitIndex30)
    <=> v3160(VarCurr,bitIndex30) ) )).

fof(addAssignment_1234,axiom,(
    ! [VarCurr] :
      ( v3160(VarCurr,bitIndex30)
    <=> v3162(VarCurr,bitIndex30) ) )).

fof(addAssignment_1233,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex30)
    <=> v3164(VarCurr,bitIndex30) ) )).

fof(addAssignment_1232,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex30)
    <=> v3166(VarCurr,bitIndex30) ) )).

fof(addAssignment_1231,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex30)
    <=> v3168(VarCurr,bitIndex30) ) )).

fof(addAssignment_1230,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex30)
    <=> v3170(VarCurr,bitIndex30) ) )).

fof(addAssignment_1229,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex30)
    <=> v3172(VarCurr,bitIndex30) ) )).

fof(addAssignment_1228,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex30)
    <=> v3174(VarCurr,bitIndex30) ) )).

fof(addAssignment_1227,axiom,(
    ! [VarCurr] :
      ( v7758(VarCurr)
    <=> $false ) )).

fof(addAssignment_1226,axiom,(
    ! [VarCurr] :
      ( v7756(VarCurr)
    <=> $false ) )).

fof(addAssignment_1225,axiom,(
    ! [VarCurr] :
      ( v7754(VarCurr)
    <=> $true ) )).

fof(addAssignment_1224,axiom,(
    ! [VarCurr] :
      ( v7752(VarCurr)
    <=> $false ) )).

fof(addAssignment_1223,axiom,(
    ! [VarCurr] :
      ( v7750(VarCurr)
    <=> v3126(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_82,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7703(VarNext)
       => ( v7680(VarNext)
        <=> v7680(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_87,axiom,(
    ! [VarNext] :
      ( v7703(VarNext)
     => ( v7680(VarNext)
      <=> v7738(VarNext) ) ) )).

fof(addAssignment_1222,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7738(VarNext)
      <=> v7736(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_247,axiom,(
    ! [VarCurr] :
      ( ~ v7682(VarCurr)
     => ( v7736(VarCurr)
      <=> v7739(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_249,axiom,(
    ! [VarCurr] :
      ( v7682(VarCurr)
     => ( v7736(VarCurr)
      <=> v7684(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_246,axiom,(
    ! [VarCurr] :
      ( ~ v7716(VarCurr)
     => ( v7739(VarCurr)
      <=> v7698(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_248,axiom,(
    ! [VarCurr] :
      ( v7716(VarCurr)
     => ( v7739(VarCurr)
      <=> v7740(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_159,axiom,(
    ! [VarCurr] :
      ( ( ~ v7719(VarCurr)
        & ~ v7721(VarCurr) )
     => ( v7740(VarCurr)
      <=> v7744(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_245,axiom,(
    ! [VarCurr] :
      ( v7721(VarCurr)
     => ( v7740(VarCurr)
      <=> v7743(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_247,axiom,(
    ! [VarCurr] :
      ( v7719(VarCurr)
     => ( v7740(VarCurr)
      <=> v7741(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_244,axiom,(
    ! [VarCurr] :
      ( ~ v7729(VarCurr)
     => ( v7744(VarCurr)
      <=> v7698(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_246,axiom,(
    ! [VarCurr] :
      ( v7729(VarCurr)
     => ( v7744(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_243,axiom,(
    ! [VarCurr] :
      ( ~ v7723(VarCurr)
     => ( v7743(VarCurr)
      <=> v7698(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_245,axiom,(
    ! [VarCurr] :
      ( v7723(VarCurr)
     => ( v7743(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_249,axiom,(
    ! [VarCurr] :
      ( ~ v7742(VarCurr)
     => ( v7741(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_250,axiom,(
    ! [VarCurr] :
      ( v7742(VarCurr)
     => ( v7741(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_541,axiom,(
    ! [VarCurr] :
      ( v7742(VarCurr)
    <=> ( v7692(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1933,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7703(VarNext)
      <=> ( v7704(VarNext)
          & v7713(VarNext) ) ) ) )).

fof(addAssignment_1221,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7713(VarNext)
      <=> v7711(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1932,axiom,(
    ! [VarCurr] :
      ( v7711(VarCurr)
    <=> ( v7682(VarCurr)
        | v7714(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1931,axiom,(
    ! [VarCurr] :
      ( v7714(VarCurr)
    <=> ( v7715(VarCurr)
        & v7735(VarCurr) ) ) )).

fof(writeUnaryOperator_621,axiom,(
    ! [VarCurr] :
      ( ~ v7735(VarCurr)
    <=> v7682(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1930,axiom,(
    ! [VarCurr] :
      ( v7715(VarCurr)
    <=> ( v7716(VarCurr)
        | v7733(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1929,axiom,(
    ! [VarCurr] :
      ( v7733(VarCurr)
    <=> ( v7694(VarCurr)
        & v7734(VarCurr) ) ) )).

fof(writeUnaryOperator_620,axiom,(
    ! [VarCurr] :
      ( ~ v7734(VarCurr)
    <=> v7696(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1928,axiom,(
    ! [VarCurr] :
      ( v7716(VarCurr)
    <=> ( v7717(VarCurr)
        & v7696(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1927,axiom,(
    ! [VarCurr] :
      ( v7717(VarCurr)
    <=> ( v7718(VarCurr)
        | v7727(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1926,axiom,(
    ! [VarCurr] :
      ( v7727(VarCurr)
    <=> ( v7728(VarCurr)
        & v7732(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_540,axiom,(
    ! [VarCurr] :
      ( v7732(VarCurr)
    <=> ( ( v7720(VarCurr,bitIndex2)
        <=> $false )
        & ( v7720(VarCurr,bitIndex1)
        <=> $false )
        & ( v7720(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1925,axiom,(
    ! [VarCurr] :
      ( v7728(VarCurr)
    <=> ( v7729(VarCurr)
        | v7730(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1924,axiom,(
    ! [VarCurr] :
      ( v7730(VarCurr)
    <=> ( v7694(VarCurr)
        & v7731(VarCurr) ) ) )).

fof(writeUnaryOperator_619,axiom,(
    ! [VarCurr] :
      ( ~ v7731(VarCurr)
    <=> v7729(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_539,axiom,(
    ! [VarCurr] :
      ( v7729(VarCurr)
    <=> ( v7692(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1923,axiom,(
    ! [VarCurr] :
      ( v7718(VarCurr)
    <=> ( v7719(VarCurr)
        | v7721(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1922,axiom,(
    ! [VarCurr] :
      ( v7721(VarCurr)
    <=> ( v7722(VarCurr)
        & v7726(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_538,axiom,(
    ! [VarCurr] :
      ( v7726(VarCurr)
    <=> ( ( v7720(VarCurr,bitIndex2)
        <=> $false )
        & ( v7720(VarCurr,bitIndex1)
        <=> $true )
        & ( v7720(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1921,axiom,(
    ! [VarCurr] :
      ( v7722(VarCurr)
    <=> ( v7723(VarCurr)
        | v7724(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1920,axiom,(
    ! [VarCurr] :
      ( v7724(VarCurr)
    <=> ( v7694(VarCurr)
        & v7725(VarCurr) ) ) )).

fof(writeUnaryOperator_618,axiom,(
    ! [VarCurr] :
      ( ~ v7725(VarCurr)
    <=> v7723(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_537,axiom,(
    ! [VarCurr] :
      ( v7723(VarCurr)
    <=> ( v7692(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_536,axiom,(
    ! [VarCurr] :
      ( v7719(VarCurr)
    <=> ( ( v7720(VarCurr,bitIndex2)
        <=> $true )
        & ( v7720(VarCurr,bitIndex1)
        <=> $false )
        & ( v7720(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1220,axiom,(
    ! [VarCurr] :
      ( v7720(VarCurr,bitIndex0)
    <=> v7690(VarCurr) ) )).

fof(addAssignment_1219,axiom,(
    ! [VarCurr] :
      ( v7720(VarCurr,bitIndex1)
    <=> v7688(VarCurr) ) )).

fof(addAssignment_1218,axiom,(
    ! [VarCurr] :
      ( v7720(VarCurr,bitIndex2)
    <=> v7686(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1919,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7704(VarNext)
      <=> ( v7705(VarNext)
          & v7700(VarNext) ) ) ) )).

fof(writeUnaryOperator_617,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7705(VarNext)
      <=> v7707(VarNext) ) ) )).

fof(addAssignment_1217,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7707(VarNext)
      <=> v7700(VarCurr) ) ) )).

fof(addAssignment_1216,axiom,(
    ! [VarCurr] :
      ( v7700(VarCurr)
    <=> v6812(VarCurr) ) )).

fof(addAssignment_1215,axiom,(
    ! [VarCurr] :
      ( v7698(VarCurr)
    <=> $false ) )).

fof(addAssignment_1214,axiom,(
    ! [VarCurr] :
      ( v7696(VarCurr)
    <=> v3182(VarCurr) ) )).

fof(addAssignment_1213,axiom,(
    ! [VarCurr] :
      ( v7694(VarCurr)
    <=> $false ) )).

fof(addAssignment_1212,axiom,(
    ! [VarCurr] :
      ( v7692(VarCurr)
    <=> v3158(VarCurr,bitIndex29) ) )).

fof(addAssignment_1211,axiom,(
    ! [VarCurr] :
      ( v3158(VarCurr,bitIndex29)
    <=> v3160(VarCurr,bitIndex29) ) )).

fof(addAssignment_1210,axiom,(
    ! [VarCurr] :
      ( v3160(VarCurr,bitIndex29)
    <=> v3162(VarCurr,bitIndex29) ) )).

fof(addAssignment_1209,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex29)
    <=> v3164(VarCurr,bitIndex29) ) )).

fof(addAssignment_1208,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex29)
    <=> v3166(VarCurr,bitIndex29) ) )).

fof(addAssignment_1207,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex29)
    <=> v3168(VarCurr,bitIndex29) ) )).

fof(addAssignment_1206,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex29)
    <=> v3170(VarCurr,bitIndex29) ) )).

fof(addAssignment_1205,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex29)
    <=> v3172(VarCurr,bitIndex29) ) )).

fof(addAssignment_1204,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex29)
    <=> v3174(VarCurr,bitIndex29) ) )).

fof(addAssignment_1203,axiom,(
    ! [VarCurr] :
      ( v7690(VarCurr)
    <=> $false ) )).

fof(addAssignment_1202,axiom,(
    ! [VarCurr] :
      ( v7688(VarCurr)
    <=> $false ) )).

fof(addAssignment_1201,axiom,(
    ! [VarCurr] :
      ( v7686(VarCurr)
    <=> $true ) )).

fof(addAssignment_1200,axiom,(
    ! [VarCurr] :
      ( v7684(VarCurr)
    <=> $false ) )).

fof(addAssignment_1199,axiom,(
    ! [VarCurr] :
      ( v7682(VarCurr)
    <=> v3126(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_81,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7635(VarNext)
       => ( v7612(VarNext)
        <=> v7612(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_86,axiom,(
    ! [VarNext] :
      ( v7635(VarNext)
     => ( v7612(VarNext)
      <=> v7670(VarNext) ) ) )).

fof(addAssignment_1198,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7670(VarNext)
      <=> v7668(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_242,axiom,(
    ! [VarCurr] :
      ( ~ v7614(VarCurr)
     => ( v7668(VarCurr)
      <=> v7671(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_244,axiom,(
    ! [VarCurr] :
      ( v7614(VarCurr)
     => ( v7668(VarCurr)
      <=> v7616(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_241,axiom,(
    ! [VarCurr] :
      ( ~ v7648(VarCurr)
     => ( v7671(VarCurr)
      <=> v7630(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_243,axiom,(
    ! [VarCurr] :
      ( v7648(VarCurr)
     => ( v7671(VarCurr)
      <=> v7672(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_158,axiom,(
    ! [VarCurr] :
      ( ( ~ v7651(VarCurr)
        & ~ v7653(VarCurr) )
     => ( v7672(VarCurr)
      <=> v7676(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_240,axiom,(
    ! [VarCurr] :
      ( v7653(VarCurr)
     => ( v7672(VarCurr)
      <=> v7675(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_242,axiom,(
    ! [VarCurr] :
      ( v7651(VarCurr)
     => ( v7672(VarCurr)
      <=> v7673(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_239,axiom,(
    ! [VarCurr] :
      ( ~ v7661(VarCurr)
     => ( v7676(VarCurr)
      <=> v7630(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_241,axiom,(
    ! [VarCurr] :
      ( v7661(VarCurr)
     => ( v7676(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_238,axiom,(
    ! [VarCurr] :
      ( ~ v7655(VarCurr)
     => ( v7675(VarCurr)
      <=> v7630(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_240,axiom,(
    ! [VarCurr] :
      ( v7655(VarCurr)
     => ( v7675(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_248,axiom,(
    ! [VarCurr] :
      ( ~ v7674(VarCurr)
     => ( v7673(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_249,axiom,(
    ! [VarCurr] :
      ( v7674(VarCurr)
     => ( v7673(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_535,axiom,(
    ! [VarCurr] :
      ( v7674(VarCurr)
    <=> ( v7624(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1918,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7635(VarNext)
      <=> ( v7636(VarNext)
          & v7645(VarNext) ) ) ) )).

fof(addAssignment_1197,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7645(VarNext)
      <=> v7643(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1917,axiom,(
    ! [VarCurr] :
      ( v7643(VarCurr)
    <=> ( v7614(VarCurr)
        | v7646(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1916,axiom,(
    ! [VarCurr] :
      ( v7646(VarCurr)
    <=> ( v7647(VarCurr)
        & v7667(VarCurr) ) ) )).

fof(writeUnaryOperator_616,axiom,(
    ! [VarCurr] :
      ( ~ v7667(VarCurr)
    <=> v7614(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1915,axiom,(
    ! [VarCurr] :
      ( v7647(VarCurr)
    <=> ( v7648(VarCurr)
        | v7665(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1914,axiom,(
    ! [VarCurr] :
      ( v7665(VarCurr)
    <=> ( v7626(VarCurr)
        & v7666(VarCurr) ) ) )).

fof(writeUnaryOperator_615,axiom,(
    ! [VarCurr] :
      ( ~ v7666(VarCurr)
    <=> v7628(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1913,axiom,(
    ! [VarCurr] :
      ( v7648(VarCurr)
    <=> ( v7649(VarCurr)
        & v7628(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1912,axiom,(
    ! [VarCurr] :
      ( v7649(VarCurr)
    <=> ( v7650(VarCurr)
        | v7659(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1911,axiom,(
    ! [VarCurr] :
      ( v7659(VarCurr)
    <=> ( v7660(VarCurr)
        & v7664(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_534,axiom,(
    ! [VarCurr] :
      ( v7664(VarCurr)
    <=> ( ( v7652(VarCurr,bitIndex2)
        <=> $false )
        & ( v7652(VarCurr,bitIndex1)
        <=> $false )
        & ( v7652(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1910,axiom,(
    ! [VarCurr] :
      ( v7660(VarCurr)
    <=> ( v7661(VarCurr)
        | v7662(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1909,axiom,(
    ! [VarCurr] :
      ( v7662(VarCurr)
    <=> ( v7626(VarCurr)
        & v7663(VarCurr) ) ) )).

fof(writeUnaryOperator_614,axiom,(
    ! [VarCurr] :
      ( ~ v7663(VarCurr)
    <=> v7661(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_533,axiom,(
    ! [VarCurr] :
      ( v7661(VarCurr)
    <=> ( v7624(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1908,axiom,(
    ! [VarCurr] :
      ( v7650(VarCurr)
    <=> ( v7651(VarCurr)
        | v7653(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1907,axiom,(
    ! [VarCurr] :
      ( v7653(VarCurr)
    <=> ( v7654(VarCurr)
        & v7658(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_532,axiom,(
    ! [VarCurr] :
      ( v7658(VarCurr)
    <=> ( ( v7652(VarCurr,bitIndex2)
        <=> $false )
        & ( v7652(VarCurr,bitIndex1)
        <=> $true )
        & ( v7652(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1906,axiom,(
    ! [VarCurr] :
      ( v7654(VarCurr)
    <=> ( v7655(VarCurr)
        | v7656(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1905,axiom,(
    ! [VarCurr] :
      ( v7656(VarCurr)
    <=> ( v7626(VarCurr)
        & v7657(VarCurr) ) ) )).

fof(writeUnaryOperator_613,axiom,(
    ! [VarCurr] :
      ( ~ v7657(VarCurr)
    <=> v7655(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_531,axiom,(
    ! [VarCurr] :
      ( v7655(VarCurr)
    <=> ( v7624(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_530,axiom,(
    ! [VarCurr] :
      ( v7651(VarCurr)
    <=> ( ( v7652(VarCurr,bitIndex2)
        <=> $true )
        & ( v7652(VarCurr,bitIndex1)
        <=> $false )
        & ( v7652(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1196,axiom,(
    ! [VarCurr] :
      ( v7652(VarCurr,bitIndex0)
    <=> v7622(VarCurr) ) )).

fof(addAssignment_1195,axiom,(
    ! [VarCurr] :
      ( v7652(VarCurr,bitIndex1)
    <=> v7620(VarCurr) ) )).

fof(addAssignment_1194,axiom,(
    ! [VarCurr] :
      ( v7652(VarCurr,bitIndex2)
    <=> v7618(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1904,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7636(VarNext)
      <=> ( v7637(VarNext)
          & v7632(VarNext) ) ) ) )).

fof(writeUnaryOperator_612,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7637(VarNext)
      <=> v7639(VarNext) ) ) )).

fof(addAssignment_1193,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7639(VarNext)
      <=> v7632(VarCurr) ) ) )).

fof(addAssignment_1192,axiom,(
    ! [VarCurr] :
      ( v7632(VarCurr)
    <=> v6812(VarCurr) ) )).

fof(addAssignment_1191,axiom,(
    ! [VarCurr] :
      ( v7630(VarCurr)
    <=> $false ) )).

fof(addAssignment_1190,axiom,(
    ! [VarCurr] :
      ( v7628(VarCurr)
    <=> v3182(VarCurr) ) )).

fof(addAssignment_1189,axiom,(
    ! [VarCurr] :
      ( v7626(VarCurr)
    <=> $false ) )).

fof(addAssignment_1188,axiom,(
    ! [VarCurr] :
      ( v7624(VarCurr)
    <=> v3158(VarCurr,bitIndex28) ) )).

fof(addAssignment_1187,axiom,(
    ! [VarCurr] :
      ( v3158(VarCurr,bitIndex28)
    <=> v3160(VarCurr,bitIndex28) ) )).

fof(addAssignment_1186,axiom,(
    ! [VarCurr] :
      ( v3160(VarCurr,bitIndex28)
    <=> v3162(VarCurr,bitIndex28) ) )).

fof(addAssignment_1185,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex28)
    <=> v3164(VarCurr,bitIndex28) ) )).

fof(addAssignment_1184,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex28)
    <=> v3166(VarCurr,bitIndex28) ) )).

fof(addAssignment_1183,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex28)
    <=> v3168(VarCurr,bitIndex28) ) )).

fof(addAssignment_1182,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex28)
    <=> v3170(VarCurr,bitIndex28) ) )).

fof(addAssignment_1181,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex28)
    <=> v3172(VarCurr,bitIndex28) ) )).

fof(addAssignment_1180,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex28)
    <=> v3174(VarCurr,bitIndex28) ) )).

fof(addAssignment_1179,axiom,(
    ! [VarCurr] :
      ( v7622(VarCurr)
    <=> $false ) )).

fof(addAssignment_1178,axiom,(
    ! [VarCurr] :
      ( v7620(VarCurr)
    <=> $false ) )).

fof(addAssignment_1177,axiom,(
    ! [VarCurr] :
      ( v7618(VarCurr)
    <=> $true ) )).

fof(addAssignment_1176,axiom,(
    ! [VarCurr] :
      ( v7616(VarCurr)
    <=> $false ) )).

fof(addAssignment_1175,axiom,(
    ! [VarCurr] :
      ( v7614(VarCurr)
    <=> v3126(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_80,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7567(VarNext)
       => ( v7544(VarNext)
        <=> v7544(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_85,axiom,(
    ! [VarNext] :
      ( v7567(VarNext)
     => ( v7544(VarNext)
      <=> v7602(VarNext) ) ) )).

fof(addAssignment_1174,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7602(VarNext)
      <=> v7600(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_237,axiom,(
    ! [VarCurr] :
      ( ~ v7546(VarCurr)
     => ( v7600(VarCurr)
      <=> v7603(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_239,axiom,(
    ! [VarCurr] :
      ( v7546(VarCurr)
     => ( v7600(VarCurr)
      <=> v7548(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_236,axiom,(
    ! [VarCurr] :
      ( ~ v7580(VarCurr)
     => ( v7603(VarCurr)
      <=> v7562(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_238,axiom,(
    ! [VarCurr] :
      ( v7580(VarCurr)
     => ( v7603(VarCurr)
      <=> v7604(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_157,axiom,(
    ! [VarCurr] :
      ( ( ~ v7583(VarCurr)
        & ~ v7585(VarCurr) )
     => ( v7604(VarCurr)
      <=> v7608(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_235,axiom,(
    ! [VarCurr] :
      ( v7585(VarCurr)
     => ( v7604(VarCurr)
      <=> v7607(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_237,axiom,(
    ! [VarCurr] :
      ( v7583(VarCurr)
     => ( v7604(VarCurr)
      <=> v7605(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_234,axiom,(
    ! [VarCurr] :
      ( ~ v7593(VarCurr)
     => ( v7608(VarCurr)
      <=> v7562(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_236,axiom,(
    ! [VarCurr] :
      ( v7593(VarCurr)
     => ( v7608(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_233,axiom,(
    ! [VarCurr] :
      ( ~ v7587(VarCurr)
     => ( v7607(VarCurr)
      <=> v7562(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_235,axiom,(
    ! [VarCurr] :
      ( v7587(VarCurr)
     => ( v7607(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_247,axiom,(
    ! [VarCurr] :
      ( ~ v7606(VarCurr)
     => ( v7605(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_248,axiom,(
    ! [VarCurr] :
      ( v7606(VarCurr)
     => ( v7605(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_529,axiom,(
    ! [VarCurr] :
      ( v7606(VarCurr)
    <=> ( v7556(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1903,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7567(VarNext)
      <=> ( v7568(VarNext)
          & v7577(VarNext) ) ) ) )).

fof(addAssignment_1173,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7577(VarNext)
      <=> v7575(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1902,axiom,(
    ! [VarCurr] :
      ( v7575(VarCurr)
    <=> ( v7546(VarCurr)
        | v7578(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1901,axiom,(
    ! [VarCurr] :
      ( v7578(VarCurr)
    <=> ( v7579(VarCurr)
        & v7599(VarCurr) ) ) )).

fof(writeUnaryOperator_611,axiom,(
    ! [VarCurr] :
      ( ~ v7599(VarCurr)
    <=> v7546(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1900,axiom,(
    ! [VarCurr] :
      ( v7579(VarCurr)
    <=> ( v7580(VarCurr)
        | v7597(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1899,axiom,(
    ! [VarCurr] :
      ( v7597(VarCurr)
    <=> ( v7558(VarCurr)
        & v7598(VarCurr) ) ) )).

fof(writeUnaryOperator_610,axiom,(
    ! [VarCurr] :
      ( ~ v7598(VarCurr)
    <=> v7560(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1898,axiom,(
    ! [VarCurr] :
      ( v7580(VarCurr)
    <=> ( v7581(VarCurr)
        & v7560(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1897,axiom,(
    ! [VarCurr] :
      ( v7581(VarCurr)
    <=> ( v7582(VarCurr)
        | v7591(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1896,axiom,(
    ! [VarCurr] :
      ( v7591(VarCurr)
    <=> ( v7592(VarCurr)
        & v7596(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_528,axiom,(
    ! [VarCurr] :
      ( v7596(VarCurr)
    <=> ( ( v7584(VarCurr,bitIndex2)
        <=> $false )
        & ( v7584(VarCurr,bitIndex1)
        <=> $false )
        & ( v7584(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1895,axiom,(
    ! [VarCurr] :
      ( v7592(VarCurr)
    <=> ( v7593(VarCurr)
        | v7594(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1894,axiom,(
    ! [VarCurr] :
      ( v7594(VarCurr)
    <=> ( v7558(VarCurr)
        & v7595(VarCurr) ) ) )).

fof(writeUnaryOperator_609,axiom,(
    ! [VarCurr] :
      ( ~ v7595(VarCurr)
    <=> v7593(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_527,axiom,(
    ! [VarCurr] :
      ( v7593(VarCurr)
    <=> ( v7556(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1893,axiom,(
    ! [VarCurr] :
      ( v7582(VarCurr)
    <=> ( v7583(VarCurr)
        | v7585(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1892,axiom,(
    ! [VarCurr] :
      ( v7585(VarCurr)
    <=> ( v7586(VarCurr)
        & v7590(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_526,axiom,(
    ! [VarCurr] :
      ( v7590(VarCurr)
    <=> ( ( v7584(VarCurr,bitIndex2)
        <=> $false )
        & ( v7584(VarCurr,bitIndex1)
        <=> $true )
        & ( v7584(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1891,axiom,(
    ! [VarCurr] :
      ( v7586(VarCurr)
    <=> ( v7587(VarCurr)
        | v7588(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1890,axiom,(
    ! [VarCurr] :
      ( v7588(VarCurr)
    <=> ( v7558(VarCurr)
        & v7589(VarCurr) ) ) )).

fof(writeUnaryOperator_608,axiom,(
    ! [VarCurr] :
      ( ~ v7589(VarCurr)
    <=> v7587(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_525,axiom,(
    ! [VarCurr] :
      ( v7587(VarCurr)
    <=> ( v7556(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_524,axiom,(
    ! [VarCurr] :
      ( v7583(VarCurr)
    <=> ( ( v7584(VarCurr,bitIndex2)
        <=> $true )
        & ( v7584(VarCurr,bitIndex1)
        <=> $false )
        & ( v7584(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1172,axiom,(
    ! [VarCurr] :
      ( v7584(VarCurr,bitIndex0)
    <=> v7554(VarCurr) ) )).

fof(addAssignment_1171,axiom,(
    ! [VarCurr] :
      ( v7584(VarCurr,bitIndex1)
    <=> v7552(VarCurr) ) )).

fof(addAssignment_1170,axiom,(
    ! [VarCurr] :
      ( v7584(VarCurr,bitIndex2)
    <=> v7550(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1889,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7568(VarNext)
      <=> ( v7569(VarNext)
          & v7564(VarNext) ) ) ) )).

fof(writeUnaryOperator_607,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7569(VarNext)
      <=> v7571(VarNext) ) ) )).

fof(addAssignment_1169,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7571(VarNext)
      <=> v7564(VarCurr) ) ) )).

fof(addAssignment_1168,axiom,(
    ! [VarCurr] :
      ( v7564(VarCurr)
    <=> v6812(VarCurr) ) )).

fof(addAssignment_1167,axiom,(
    ! [VarCurr] :
      ( v7562(VarCurr)
    <=> $false ) )).

fof(addAssignment_1166,axiom,(
    ! [VarCurr] :
      ( v7560(VarCurr)
    <=> v3182(VarCurr) ) )).

fof(addAssignment_1165,axiom,(
    ! [VarCurr] :
      ( v7558(VarCurr)
    <=> $false ) )).

fof(addAssignment_1164,axiom,(
    ! [VarCurr] :
      ( v7556(VarCurr)
    <=> v3158(VarCurr,bitIndex27) ) )).

fof(addAssignment_1163,axiom,(
    ! [VarCurr] :
      ( v3158(VarCurr,bitIndex27)
    <=> v3160(VarCurr,bitIndex27) ) )).

fof(addAssignment_1162,axiom,(
    ! [VarCurr] :
      ( v3160(VarCurr,bitIndex27)
    <=> v3162(VarCurr,bitIndex27) ) )).

fof(addAssignment_1161,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex27)
    <=> v3164(VarCurr,bitIndex27) ) )).

fof(addAssignment_1160,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex27)
    <=> v3166(VarCurr,bitIndex27) ) )).

fof(addAssignment_1159,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex27)
    <=> v3168(VarCurr,bitIndex27) ) )).

fof(addAssignment_1158,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex27)
    <=> v3170(VarCurr,bitIndex27) ) )).

fof(addAssignment_1157,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex27)
    <=> v3172(VarCurr,bitIndex27) ) )).

fof(addAssignment_1156,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex27)
    <=> v3174(VarCurr,bitIndex27) ) )).

fof(addAssignment_1155,axiom,(
    ! [VarCurr] :
      ( v7554(VarCurr)
    <=> $false ) )).

fof(addAssignment_1154,axiom,(
    ! [VarCurr] :
      ( v7552(VarCurr)
    <=> $false ) )).

fof(addAssignment_1153,axiom,(
    ! [VarCurr] :
      ( v7550(VarCurr)
    <=> $true ) )).

fof(addAssignment_1152,axiom,(
    ! [VarCurr] :
      ( v7548(VarCurr)
    <=> $false ) )).

fof(addAssignment_1151,axiom,(
    ! [VarCurr] :
      ( v7546(VarCurr)
    <=> v3126(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_79,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7499(VarNext)
       => ( v7476(VarNext)
        <=> v7476(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_84,axiom,(
    ! [VarNext] :
      ( v7499(VarNext)
     => ( v7476(VarNext)
      <=> v7534(VarNext) ) ) )).

fof(addAssignment_1150,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7534(VarNext)
      <=> v7532(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_232,axiom,(
    ! [VarCurr] :
      ( ~ v7478(VarCurr)
     => ( v7532(VarCurr)
      <=> v7535(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_234,axiom,(
    ! [VarCurr] :
      ( v7478(VarCurr)
     => ( v7532(VarCurr)
      <=> v7480(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_231,axiom,(
    ! [VarCurr] :
      ( ~ v7512(VarCurr)
     => ( v7535(VarCurr)
      <=> v7494(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_233,axiom,(
    ! [VarCurr] :
      ( v7512(VarCurr)
     => ( v7535(VarCurr)
      <=> v7536(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_156,axiom,(
    ! [VarCurr] :
      ( ( ~ v7515(VarCurr)
        & ~ v7517(VarCurr) )
     => ( v7536(VarCurr)
      <=> v7540(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_230,axiom,(
    ! [VarCurr] :
      ( v7517(VarCurr)
     => ( v7536(VarCurr)
      <=> v7539(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_232,axiom,(
    ! [VarCurr] :
      ( v7515(VarCurr)
     => ( v7536(VarCurr)
      <=> v7537(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_229,axiom,(
    ! [VarCurr] :
      ( ~ v7525(VarCurr)
     => ( v7540(VarCurr)
      <=> v7494(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_231,axiom,(
    ! [VarCurr] :
      ( v7525(VarCurr)
     => ( v7540(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_228,axiom,(
    ! [VarCurr] :
      ( ~ v7519(VarCurr)
     => ( v7539(VarCurr)
      <=> v7494(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_230,axiom,(
    ! [VarCurr] :
      ( v7519(VarCurr)
     => ( v7539(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_246,axiom,(
    ! [VarCurr] :
      ( ~ v7538(VarCurr)
     => ( v7537(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_247,axiom,(
    ! [VarCurr] :
      ( v7538(VarCurr)
     => ( v7537(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_523,axiom,(
    ! [VarCurr] :
      ( v7538(VarCurr)
    <=> ( v7488(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1888,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7499(VarNext)
      <=> ( v7500(VarNext)
          & v7509(VarNext) ) ) ) )).

fof(addAssignment_1149,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7509(VarNext)
      <=> v7507(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1887,axiom,(
    ! [VarCurr] :
      ( v7507(VarCurr)
    <=> ( v7478(VarCurr)
        | v7510(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1886,axiom,(
    ! [VarCurr] :
      ( v7510(VarCurr)
    <=> ( v7511(VarCurr)
        & v7531(VarCurr) ) ) )).

fof(writeUnaryOperator_606,axiom,(
    ! [VarCurr] :
      ( ~ v7531(VarCurr)
    <=> v7478(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1885,axiom,(
    ! [VarCurr] :
      ( v7511(VarCurr)
    <=> ( v7512(VarCurr)
        | v7529(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1884,axiom,(
    ! [VarCurr] :
      ( v7529(VarCurr)
    <=> ( v7490(VarCurr)
        & v7530(VarCurr) ) ) )).

fof(writeUnaryOperator_605,axiom,(
    ! [VarCurr] :
      ( ~ v7530(VarCurr)
    <=> v7492(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1883,axiom,(
    ! [VarCurr] :
      ( v7512(VarCurr)
    <=> ( v7513(VarCurr)
        & v7492(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1882,axiom,(
    ! [VarCurr] :
      ( v7513(VarCurr)
    <=> ( v7514(VarCurr)
        | v7523(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1881,axiom,(
    ! [VarCurr] :
      ( v7523(VarCurr)
    <=> ( v7524(VarCurr)
        & v7528(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_522,axiom,(
    ! [VarCurr] :
      ( v7528(VarCurr)
    <=> ( ( v7516(VarCurr,bitIndex2)
        <=> $false )
        & ( v7516(VarCurr,bitIndex1)
        <=> $false )
        & ( v7516(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1880,axiom,(
    ! [VarCurr] :
      ( v7524(VarCurr)
    <=> ( v7525(VarCurr)
        | v7526(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1879,axiom,(
    ! [VarCurr] :
      ( v7526(VarCurr)
    <=> ( v7490(VarCurr)
        & v7527(VarCurr) ) ) )).

fof(writeUnaryOperator_604,axiom,(
    ! [VarCurr] :
      ( ~ v7527(VarCurr)
    <=> v7525(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_521,axiom,(
    ! [VarCurr] :
      ( v7525(VarCurr)
    <=> ( v7488(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1878,axiom,(
    ! [VarCurr] :
      ( v7514(VarCurr)
    <=> ( v7515(VarCurr)
        | v7517(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1877,axiom,(
    ! [VarCurr] :
      ( v7517(VarCurr)
    <=> ( v7518(VarCurr)
        & v7522(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_520,axiom,(
    ! [VarCurr] :
      ( v7522(VarCurr)
    <=> ( ( v7516(VarCurr,bitIndex2)
        <=> $false )
        & ( v7516(VarCurr,bitIndex1)
        <=> $true )
        & ( v7516(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1876,axiom,(
    ! [VarCurr] :
      ( v7518(VarCurr)
    <=> ( v7519(VarCurr)
        | v7520(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1875,axiom,(
    ! [VarCurr] :
      ( v7520(VarCurr)
    <=> ( v7490(VarCurr)
        & v7521(VarCurr) ) ) )).

fof(writeUnaryOperator_603,axiom,(
    ! [VarCurr] :
      ( ~ v7521(VarCurr)
    <=> v7519(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_519,axiom,(
    ! [VarCurr] :
      ( v7519(VarCurr)
    <=> ( v7488(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_518,axiom,(
    ! [VarCurr] :
      ( v7515(VarCurr)
    <=> ( ( v7516(VarCurr,bitIndex2)
        <=> $true )
        & ( v7516(VarCurr,bitIndex1)
        <=> $false )
        & ( v7516(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1148,axiom,(
    ! [VarCurr] :
      ( v7516(VarCurr,bitIndex0)
    <=> v7486(VarCurr) ) )).

fof(addAssignment_1147,axiom,(
    ! [VarCurr] :
      ( v7516(VarCurr,bitIndex1)
    <=> v7484(VarCurr) ) )).

fof(addAssignment_1146,axiom,(
    ! [VarCurr] :
      ( v7516(VarCurr,bitIndex2)
    <=> v7482(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1874,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7500(VarNext)
      <=> ( v7501(VarNext)
          & v7496(VarNext) ) ) ) )).

fof(writeUnaryOperator_602,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7501(VarNext)
      <=> v7503(VarNext) ) ) )).

fof(addAssignment_1145,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7503(VarNext)
      <=> v7496(VarCurr) ) ) )).

fof(addAssignment_1144,axiom,(
    ! [VarCurr] :
      ( v7496(VarCurr)
    <=> v6812(VarCurr) ) )).

fof(addAssignment_1143,axiom,(
    ! [VarCurr] :
      ( v7494(VarCurr)
    <=> $false ) )).

fof(addAssignment_1142,axiom,(
    ! [VarCurr] :
      ( v7492(VarCurr)
    <=> v3182(VarCurr) ) )).

fof(addAssignment_1141,axiom,(
    ! [VarCurr] :
      ( v7490(VarCurr)
    <=> $false ) )).

fof(addAssignment_1140,axiom,(
    ! [VarCurr] :
      ( v7488(VarCurr)
    <=> v3158(VarCurr,bitIndex26) ) )).

fof(addAssignment_1139,axiom,(
    ! [VarCurr] :
      ( v3158(VarCurr,bitIndex26)
    <=> v3160(VarCurr,bitIndex26) ) )).

fof(addAssignment_1138,axiom,(
    ! [VarCurr] :
      ( v3160(VarCurr,bitIndex26)
    <=> v3162(VarCurr,bitIndex26) ) )).

fof(addAssignment_1137,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex26)
    <=> v3164(VarCurr,bitIndex26) ) )).

fof(addAssignment_1136,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex26)
    <=> v3166(VarCurr,bitIndex26) ) )).

fof(addAssignment_1135,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex26)
    <=> v3168(VarCurr,bitIndex26) ) )).

fof(addAssignment_1134,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex26)
    <=> v3170(VarCurr,bitIndex26) ) )).

fof(addAssignment_1133,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex26)
    <=> v3172(VarCurr,bitIndex26) ) )).

fof(addAssignment_1132,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex26)
    <=> v3174(VarCurr,bitIndex26) ) )).

fof(addAssignment_1131,axiom,(
    ! [VarCurr] :
      ( v7486(VarCurr)
    <=> $false ) )).

fof(addAssignment_1130,axiom,(
    ! [VarCurr] :
      ( v7484(VarCurr)
    <=> $false ) )).

fof(addAssignment_1129,axiom,(
    ! [VarCurr] :
      ( v7482(VarCurr)
    <=> $true ) )).

fof(addAssignment_1128,axiom,(
    ! [VarCurr] :
      ( v7480(VarCurr)
    <=> $false ) )).

fof(addAssignment_1127,axiom,(
    ! [VarCurr] :
      ( v7478(VarCurr)
    <=> v3126(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_78,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7431(VarNext)
       => ( v7408(VarNext)
        <=> v7408(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_83,axiom,(
    ! [VarNext] :
      ( v7431(VarNext)
     => ( v7408(VarNext)
      <=> v7466(VarNext) ) ) )).

fof(addAssignment_1126,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7466(VarNext)
      <=> v7464(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_227,axiom,(
    ! [VarCurr] :
      ( ~ v7410(VarCurr)
     => ( v7464(VarCurr)
      <=> v7467(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_229,axiom,(
    ! [VarCurr] :
      ( v7410(VarCurr)
     => ( v7464(VarCurr)
      <=> v7412(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_226,axiom,(
    ! [VarCurr] :
      ( ~ v7444(VarCurr)
     => ( v7467(VarCurr)
      <=> v7426(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_228,axiom,(
    ! [VarCurr] :
      ( v7444(VarCurr)
     => ( v7467(VarCurr)
      <=> v7468(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_155,axiom,(
    ! [VarCurr] :
      ( ( ~ v7447(VarCurr)
        & ~ v7449(VarCurr) )
     => ( v7468(VarCurr)
      <=> v7472(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_225,axiom,(
    ! [VarCurr] :
      ( v7449(VarCurr)
     => ( v7468(VarCurr)
      <=> v7471(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_227,axiom,(
    ! [VarCurr] :
      ( v7447(VarCurr)
     => ( v7468(VarCurr)
      <=> v7469(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_224,axiom,(
    ! [VarCurr] :
      ( ~ v7457(VarCurr)
     => ( v7472(VarCurr)
      <=> v7426(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_226,axiom,(
    ! [VarCurr] :
      ( v7457(VarCurr)
     => ( v7472(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_223,axiom,(
    ! [VarCurr] :
      ( ~ v7451(VarCurr)
     => ( v7471(VarCurr)
      <=> v7426(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_225,axiom,(
    ! [VarCurr] :
      ( v7451(VarCurr)
     => ( v7471(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_245,axiom,(
    ! [VarCurr] :
      ( ~ v7470(VarCurr)
     => ( v7469(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_246,axiom,(
    ! [VarCurr] :
      ( v7470(VarCurr)
     => ( v7469(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_517,axiom,(
    ! [VarCurr] :
      ( v7470(VarCurr)
    <=> ( v7420(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1873,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7431(VarNext)
      <=> ( v7432(VarNext)
          & v7441(VarNext) ) ) ) )).

fof(addAssignment_1125,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7441(VarNext)
      <=> v7439(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1872,axiom,(
    ! [VarCurr] :
      ( v7439(VarCurr)
    <=> ( v7410(VarCurr)
        | v7442(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1871,axiom,(
    ! [VarCurr] :
      ( v7442(VarCurr)
    <=> ( v7443(VarCurr)
        & v7463(VarCurr) ) ) )).

fof(writeUnaryOperator_601,axiom,(
    ! [VarCurr] :
      ( ~ v7463(VarCurr)
    <=> v7410(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1870,axiom,(
    ! [VarCurr] :
      ( v7443(VarCurr)
    <=> ( v7444(VarCurr)
        | v7461(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1869,axiom,(
    ! [VarCurr] :
      ( v7461(VarCurr)
    <=> ( v7422(VarCurr)
        & v7462(VarCurr) ) ) )).

fof(writeUnaryOperator_600,axiom,(
    ! [VarCurr] :
      ( ~ v7462(VarCurr)
    <=> v7424(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1868,axiom,(
    ! [VarCurr] :
      ( v7444(VarCurr)
    <=> ( v7445(VarCurr)
        & v7424(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1867,axiom,(
    ! [VarCurr] :
      ( v7445(VarCurr)
    <=> ( v7446(VarCurr)
        | v7455(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1866,axiom,(
    ! [VarCurr] :
      ( v7455(VarCurr)
    <=> ( v7456(VarCurr)
        & v7460(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_516,axiom,(
    ! [VarCurr] :
      ( v7460(VarCurr)
    <=> ( ( v7448(VarCurr,bitIndex2)
        <=> $false )
        & ( v7448(VarCurr,bitIndex1)
        <=> $false )
        & ( v7448(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1865,axiom,(
    ! [VarCurr] :
      ( v7456(VarCurr)
    <=> ( v7457(VarCurr)
        | v7458(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1864,axiom,(
    ! [VarCurr] :
      ( v7458(VarCurr)
    <=> ( v7422(VarCurr)
        & v7459(VarCurr) ) ) )).

fof(writeUnaryOperator_599,axiom,(
    ! [VarCurr] :
      ( ~ v7459(VarCurr)
    <=> v7457(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_515,axiom,(
    ! [VarCurr] :
      ( v7457(VarCurr)
    <=> ( v7420(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1863,axiom,(
    ! [VarCurr] :
      ( v7446(VarCurr)
    <=> ( v7447(VarCurr)
        | v7449(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1862,axiom,(
    ! [VarCurr] :
      ( v7449(VarCurr)
    <=> ( v7450(VarCurr)
        & v7454(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_514,axiom,(
    ! [VarCurr] :
      ( v7454(VarCurr)
    <=> ( ( v7448(VarCurr,bitIndex2)
        <=> $false )
        & ( v7448(VarCurr,bitIndex1)
        <=> $true )
        & ( v7448(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1861,axiom,(
    ! [VarCurr] :
      ( v7450(VarCurr)
    <=> ( v7451(VarCurr)
        | v7452(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1860,axiom,(
    ! [VarCurr] :
      ( v7452(VarCurr)
    <=> ( v7422(VarCurr)
        & v7453(VarCurr) ) ) )).

fof(writeUnaryOperator_598,axiom,(
    ! [VarCurr] :
      ( ~ v7453(VarCurr)
    <=> v7451(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_513,axiom,(
    ! [VarCurr] :
      ( v7451(VarCurr)
    <=> ( v7420(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_512,axiom,(
    ! [VarCurr] :
      ( v7447(VarCurr)
    <=> ( ( v7448(VarCurr,bitIndex2)
        <=> $true )
        & ( v7448(VarCurr,bitIndex1)
        <=> $false )
        & ( v7448(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1124,axiom,(
    ! [VarCurr] :
      ( v7448(VarCurr,bitIndex0)
    <=> v7418(VarCurr) ) )).

fof(addAssignment_1123,axiom,(
    ! [VarCurr] :
      ( v7448(VarCurr,bitIndex1)
    <=> v7416(VarCurr) ) )).

fof(addAssignment_1122,axiom,(
    ! [VarCurr] :
      ( v7448(VarCurr,bitIndex2)
    <=> v7414(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1859,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7432(VarNext)
      <=> ( v7433(VarNext)
          & v7428(VarNext) ) ) ) )).

fof(writeUnaryOperator_597,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7433(VarNext)
      <=> v7435(VarNext) ) ) )).

fof(addAssignment_1121,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7435(VarNext)
      <=> v7428(VarCurr) ) ) )).

fof(addAssignment_1120,axiom,(
    ! [VarCurr] :
      ( v7428(VarCurr)
    <=> v6812(VarCurr) ) )).

fof(addAssignment_1119,axiom,(
    ! [VarCurr] :
      ( v7426(VarCurr)
    <=> $false ) )).

fof(addAssignment_1118,axiom,(
    ! [VarCurr] :
      ( v7424(VarCurr)
    <=> v3182(VarCurr) ) )).

fof(addAssignment_1117,axiom,(
    ! [VarCurr] :
      ( v7422(VarCurr)
    <=> $false ) )).

fof(addAssignment_1116,axiom,(
    ! [VarCurr] :
      ( v7420(VarCurr)
    <=> v3158(VarCurr,bitIndex25) ) )).

fof(addAssignment_1115,axiom,(
    ! [VarCurr] :
      ( v3158(VarCurr,bitIndex25)
    <=> v3160(VarCurr,bitIndex25) ) )).

fof(addAssignment_1114,axiom,(
    ! [VarCurr] :
      ( v3160(VarCurr,bitIndex25)
    <=> v3162(VarCurr,bitIndex25) ) )).

fof(addAssignment_1113,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex25)
    <=> v3164(VarCurr,bitIndex25) ) )).

fof(addAssignment_1112,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex25)
    <=> v3166(VarCurr,bitIndex25) ) )).

fof(addAssignment_1111,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex25)
    <=> v3168(VarCurr,bitIndex25) ) )).

fof(addAssignment_1110,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex25)
    <=> v3170(VarCurr,bitIndex25) ) )).

fof(addAssignment_1109,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex25)
    <=> v3172(VarCurr,bitIndex25) ) )).

fof(addAssignment_1108,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex25)
    <=> v3174(VarCurr,bitIndex25) ) )).

fof(addAssignment_1107,axiom,(
    ! [VarCurr] :
      ( v7418(VarCurr)
    <=> $false ) )).

fof(addAssignment_1106,axiom,(
    ! [VarCurr] :
      ( v7416(VarCurr)
    <=> $false ) )).

fof(addAssignment_1105,axiom,(
    ! [VarCurr] :
      ( v7414(VarCurr)
    <=> $true ) )).

fof(addAssignment_1104,axiom,(
    ! [VarCurr] :
      ( v7412(VarCurr)
    <=> $false ) )).

fof(addAssignment_1103,axiom,(
    ! [VarCurr] :
      ( v7410(VarCurr)
    <=> v3126(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_77,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7363(VarNext)
       => ( v7340(VarNext)
        <=> v7340(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_82,axiom,(
    ! [VarNext] :
      ( v7363(VarNext)
     => ( v7340(VarNext)
      <=> v7398(VarNext) ) ) )).

fof(addAssignment_1102,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7398(VarNext)
      <=> v7396(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_222,axiom,(
    ! [VarCurr] :
      ( ~ v7342(VarCurr)
     => ( v7396(VarCurr)
      <=> v7399(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_224,axiom,(
    ! [VarCurr] :
      ( v7342(VarCurr)
     => ( v7396(VarCurr)
      <=> v7344(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_221,axiom,(
    ! [VarCurr] :
      ( ~ v7376(VarCurr)
     => ( v7399(VarCurr)
      <=> v7358(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_223,axiom,(
    ! [VarCurr] :
      ( v7376(VarCurr)
     => ( v7399(VarCurr)
      <=> v7400(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_154,axiom,(
    ! [VarCurr] :
      ( ( ~ v7379(VarCurr)
        & ~ v7381(VarCurr) )
     => ( v7400(VarCurr)
      <=> v7404(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_220,axiom,(
    ! [VarCurr] :
      ( v7381(VarCurr)
     => ( v7400(VarCurr)
      <=> v7403(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_222,axiom,(
    ! [VarCurr] :
      ( v7379(VarCurr)
     => ( v7400(VarCurr)
      <=> v7401(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_219,axiom,(
    ! [VarCurr] :
      ( ~ v7389(VarCurr)
     => ( v7404(VarCurr)
      <=> v7358(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_221,axiom,(
    ! [VarCurr] :
      ( v7389(VarCurr)
     => ( v7404(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_218,axiom,(
    ! [VarCurr] :
      ( ~ v7383(VarCurr)
     => ( v7403(VarCurr)
      <=> v7358(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_220,axiom,(
    ! [VarCurr] :
      ( v7383(VarCurr)
     => ( v7403(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_244,axiom,(
    ! [VarCurr] :
      ( ~ v7402(VarCurr)
     => ( v7401(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_245,axiom,(
    ! [VarCurr] :
      ( v7402(VarCurr)
     => ( v7401(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_511,axiom,(
    ! [VarCurr] :
      ( v7402(VarCurr)
    <=> ( v7352(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1858,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7363(VarNext)
      <=> ( v7364(VarNext)
          & v7373(VarNext) ) ) ) )).

fof(addAssignment_1101,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7373(VarNext)
      <=> v7371(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1857,axiom,(
    ! [VarCurr] :
      ( v7371(VarCurr)
    <=> ( v7342(VarCurr)
        | v7374(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1856,axiom,(
    ! [VarCurr] :
      ( v7374(VarCurr)
    <=> ( v7375(VarCurr)
        & v7395(VarCurr) ) ) )).

fof(writeUnaryOperator_596,axiom,(
    ! [VarCurr] :
      ( ~ v7395(VarCurr)
    <=> v7342(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1855,axiom,(
    ! [VarCurr] :
      ( v7375(VarCurr)
    <=> ( v7376(VarCurr)
        | v7393(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1854,axiom,(
    ! [VarCurr] :
      ( v7393(VarCurr)
    <=> ( v7354(VarCurr)
        & v7394(VarCurr) ) ) )).

fof(writeUnaryOperator_595,axiom,(
    ! [VarCurr] :
      ( ~ v7394(VarCurr)
    <=> v7356(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1853,axiom,(
    ! [VarCurr] :
      ( v7376(VarCurr)
    <=> ( v7377(VarCurr)
        & v7356(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1852,axiom,(
    ! [VarCurr] :
      ( v7377(VarCurr)
    <=> ( v7378(VarCurr)
        | v7387(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1851,axiom,(
    ! [VarCurr] :
      ( v7387(VarCurr)
    <=> ( v7388(VarCurr)
        & v7392(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_510,axiom,(
    ! [VarCurr] :
      ( v7392(VarCurr)
    <=> ( ( v7380(VarCurr,bitIndex2)
        <=> $false )
        & ( v7380(VarCurr,bitIndex1)
        <=> $false )
        & ( v7380(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1850,axiom,(
    ! [VarCurr] :
      ( v7388(VarCurr)
    <=> ( v7389(VarCurr)
        | v7390(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1849,axiom,(
    ! [VarCurr] :
      ( v7390(VarCurr)
    <=> ( v7354(VarCurr)
        & v7391(VarCurr) ) ) )).

fof(writeUnaryOperator_594,axiom,(
    ! [VarCurr] :
      ( ~ v7391(VarCurr)
    <=> v7389(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_509,axiom,(
    ! [VarCurr] :
      ( v7389(VarCurr)
    <=> ( v7352(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1848,axiom,(
    ! [VarCurr] :
      ( v7378(VarCurr)
    <=> ( v7379(VarCurr)
        | v7381(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1847,axiom,(
    ! [VarCurr] :
      ( v7381(VarCurr)
    <=> ( v7382(VarCurr)
        & v7386(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_508,axiom,(
    ! [VarCurr] :
      ( v7386(VarCurr)
    <=> ( ( v7380(VarCurr,bitIndex2)
        <=> $false )
        & ( v7380(VarCurr,bitIndex1)
        <=> $true )
        & ( v7380(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1846,axiom,(
    ! [VarCurr] :
      ( v7382(VarCurr)
    <=> ( v7383(VarCurr)
        | v7384(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1845,axiom,(
    ! [VarCurr] :
      ( v7384(VarCurr)
    <=> ( v7354(VarCurr)
        & v7385(VarCurr) ) ) )).

fof(writeUnaryOperator_593,axiom,(
    ! [VarCurr] :
      ( ~ v7385(VarCurr)
    <=> v7383(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_507,axiom,(
    ! [VarCurr] :
      ( v7383(VarCurr)
    <=> ( v7352(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_506,axiom,(
    ! [VarCurr] :
      ( v7379(VarCurr)
    <=> ( ( v7380(VarCurr,bitIndex2)
        <=> $true )
        & ( v7380(VarCurr,bitIndex1)
        <=> $false )
        & ( v7380(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1100,axiom,(
    ! [VarCurr] :
      ( v7380(VarCurr,bitIndex0)
    <=> v7350(VarCurr) ) )).

fof(addAssignment_1099,axiom,(
    ! [VarCurr] :
      ( v7380(VarCurr,bitIndex1)
    <=> v7348(VarCurr) ) )).

fof(addAssignment_1098,axiom,(
    ! [VarCurr] :
      ( v7380(VarCurr,bitIndex2)
    <=> v7346(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1844,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7364(VarNext)
      <=> ( v7365(VarNext)
          & v7360(VarNext) ) ) ) )).

fof(writeUnaryOperator_592,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7365(VarNext)
      <=> v7367(VarNext) ) ) )).

fof(addAssignment_1097,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7367(VarNext)
      <=> v7360(VarCurr) ) ) )).

fof(addAssignment_1096,axiom,(
    ! [VarCurr] :
      ( v7360(VarCurr)
    <=> v6812(VarCurr) ) )).

fof(addAssignment_1095,axiom,(
    ! [VarCurr] :
      ( v7358(VarCurr)
    <=> $false ) )).

fof(addAssignment_1094,axiom,(
    ! [VarCurr] :
      ( v7356(VarCurr)
    <=> v3182(VarCurr) ) )).

fof(addAssignment_1093,axiom,(
    ! [VarCurr] :
      ( v7354(VarCurr)
    <=> $false ) )).

fof(addAssignment_1092,axiom,(
    ! [VarCurr] :
      ( v7352(VarCurr)
    <=> v3158(VarCurr,bitIndex24) ) )).

fof(addAssignment_1091,axiom,(
    ! [VarCurr] :
      ( v3158(VarCurr,bitIndex24)
    <=> v3160(VarCurr,bitIndex24) ) )).

fof(addAssignment_1090,axiom,(
    ! [VarCurr] :
      ( v3160(VarCurr,bitIndex24)
    <=> v3162(VarCurr,bitIndex24) ) )).

fof(addAssignment_1089,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex24)
    <=> v3164(VarCurr,bitIndex24) ) )).

fof(addAssignment_1088,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex24)
    <=> v3166(VarCurr,bitIndex24) ) )).

fof(addAssignment_1087,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex24)
    <=> v3168(VarCurr,bitIndex24) ) )).

fof(addAssignment_1086,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex24)
    <=> v3170(VarCurr,bitIndex24) ) )).

fof(addAssignment_1085,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex24)
    <=> v3172(VarCurr,bitIndex24) ) )).

fof(addAssignment_1084,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex24)
    <=> v3174(VarCurr,bitIndex24) ) )).

fof(addAssignment_1083,axiom,(
    ! [VarCurr] :
      ( v7350(VarCurr)
    <=> $false ) )).

fof(addAssignment_1082,axiom,(
    ! [VarCurr] :
      ( v7348(VarCurr)
    <=> $false ) )).

fof(addAssignment_1081,axiom,(
    ! [VarCurr] :
      ( v7346(VarCurr)
    <=> $true ) )).

fof(addAssignment_1080,axiom,(
    ! [VarCurr] :
      ( v7344(VarCurr)
    <=> $false ) )).

fof(addAssignment_1079,axiom,(
    ! [VarCurr] :
      ( v7342(VarCurr)
    <=> v3126(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_76,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7295(VarNext)
       => ( v7272(VarNext)
        <=> v7272(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_81,axiom,(
    ! [VarNext] :
      ( v7295(VarNext)
     => ( v7272(VarNext)
      <=> v7330(VarNext) ) ) )).

fof(addAssignment_1078,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7330(VarNext)
      <=> v7328(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_217,axiom,(
    ! [VarCurr] :
      ( ~ v7274(VarCurr)
     => ( v7328(VarCurr)
      <=> v7331(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_219,axiom,(
    ! [VarCurr] :
      ( v7274(VarCurr)
     => ( v7328(VarCurr)
      <=> v7276(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_216,axiom,(
    ! [VarCurr] :
      ( ~ v7308(VarCurr)
     => ( v7331(VarCurr)
      <=> v7290(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_218,axiom,(
    ! [VarCurr] :
      ( v7308(VarCurr)
     => ( v7331(VarCurr)
      <=> v7332(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_153,axiom,(
    ! [VarCurr] :
      ( ( ~ v7311(VarCurr)
        & ~ v7313(VarCurr) )
     => ( v7332(VarCurr)
      <=> v7336(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_215,axiom,(
    ! [VarCurr] :
      ( v7313(VarCurr)
     => ( v7332(VarCurr)
      <=> v7335(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_217,axiom,(
    ! [VarCurr] :
      ( v7311(VarCurr)
     => ( v7332(VarCurr)
      <=> v7333(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_214,axiom,(
    ! [VarCurr] :
      ( ~ v7321(VarCurr)
     => ( v7336(VarCurr)
      <=> v7290(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_216,axiom,(
    ! [VarCurr] :
      ( v7321(VarCurr)
     => ( v7336(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_213,axiom,(
    ! [VarCurr] :
      ( ~ v7315(VarCurr)
     => ( v7335(VarCurr)
      <=> v7290(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_215,axiom,(
    ! [VarCurr] :
      ( v7315(VarCurr)
     => ( v7335(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_243,axiom,(
    ! [VarCurr] :
      ( ~ v7334(VarCurr)
     => ( v7333(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_244,axiom,(
    ! [VarCurr] :
      ( v7334(VarCurr)
     => ( v7333(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_505,axiom,(
    ! [VarCurr] :
      ( v7334(VarCurr)
    <=> ( v7284(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1843,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7295(VarNext)
      <=> ( v7296(VarNext)
          & v7305(VarNext) ) ) ) )).

fof(addAssignment_1077,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7305(VarNext)
      <=> v7303(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1842,axiom,(
    ! [VarCurr] :
      ( v7303(VarCurr)
    <=> ( v7274(VarCurr)
        | v7306(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1841,axiom,(
    ! [VarCurr] :
      ( v7306(VarCurr)
    <=> ( v7307(VarCurr)
        & v7327(VarCurr) ) ) )).

fof(writeUnaryOperator_591,axiom,(
    ! [VarCurr] :
      ( ~ v7327(VarCurr)
    <=> v7274(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1840,axiom,(
    ! [VarCurr] :
      ( v7307(VarCurr)
    <=> ( v7308(VarCurr)
        | v7325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1839,axiom,(
    ! [VarCurr] :
      ( v7325(VarCurr)
    <=> ( v7286(VarCurr)
        & v7326(VarCurr) ) ) )).

fof(writeUnaryOperator_590,axiom,(
    ! [VarCurr] :
      ( ~ v7326(VarCurr)
    <=> v7288(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1838,axiom,(
    ! [VarCurr] :
      ( v7308(VarCurr)
    <=> ( v7309(VarCurr)
        & v7288(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1837,axiom,(
    ! [VarCurr] :
      ( v7309(VarCurr)
    <=> ( v7310(VarCurr)
        | v7319(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1836,axiom,(
    ! [VarCurr] :
      ( v7319(VarCurr)
    <=> ( v7320(VarCurr)
        & v7324(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_504,axiom,(
    ! [VarCurr] :
      ( v7324(VarCurr)
    <=> ( ( v7312(VarCurr,bitIndex2)
        <=> $false )
        & ( v7312(VarCurr,bitIndex1)
        <=> $false )
        & ( v7312(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1835,axiom,(
    ! [VarCurr] :
      ( v7320(VarCurr)
    <=> ( v7321(VarCurr)
        | v7322(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1834,axiom,(
    ! [VarCurr] :
      ( v7322(VarCurr)
    <=> ( v7286(VarCurr)
        & v7323(VarCurr) ) ) )).

fof(writeUnaryOperator_589,axiom,(
    ! [VarCurr] :
      ( ~ v7323(VarCurr)
    <=> v7321(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_503,axiom,(
    ! [VarCurr] :
      ( v7321(VarCurr)
    <=> ( v7284(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1833,axiom,(
    ! [VarCurr] :
      ( v7310(VarCurr)
    <=> ( v7311(VarCurr)
        | v7313(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1832,axiom,(
    ! [VarCurr] :
      ( v7313(VarCurr)
    <=> ( v7314(VarCurr)
        & v7318(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_502,axiom,(
    ! [VarCurr] :
      ( v7318(VarCurr)
    <=> ( ( v7312(VarCurr,bitIndex2)
        <=> $false )
        & ( v7312(VarCurr,bitIndex1)
        <=> $true )
        & ( v7312(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1831,axiom,(
    ! [VarCurr] :
      ( v7314(VarCurr)
    <=> ( v7315(VarCurr)
        | v7316(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1830,axiom,(
    ! [VarCurr] :
      ( v7316(VarCurr)
    <=> ( v7286(VarCurr)
        & v7317(VarCurr) ) ) )).

fof(writeUnaryOperator_588,axiom,(
    ! [VarCurr] :
      ( ~ v7317(VarCurr)
    <=> v7315(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_501,axiom,(
    ! [VarCurr] :
      ( v7315(VarCurr)
    <=> ( v7284(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_500,axiom,(
    ! [VarCurr] :
      ( v7311(VarCurr)
    <=> ( ( v7312(VarCurr,bitIndex2)
        <=> $true )
        & ( v7312(VarCurr,bitIndex1)
        <=> $false )
        & ( v7312(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1076,axiom,(
    ! [VarCurr] :
      ( v7312(VarCurr,bitIndex0)
    <=> v7282(VarCurr) ) )).

fof(addAssignment_1075,axiom,(
    ! [VarCurr] :
      ( v7312(VarCurr,bitIndex1)
    <=> v7280(VarCurr) ) )).

fof(addAssignment_1074,axiom,(
    ! [VarCurr] :
      ( v7312(VarCurr,bitIndex2)
    <=> v7278(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1829,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7296(VarNext)
      <=> ( v7297(VarNext)
          & v7292(VarNext) ) ) ) )).

fof(writeUnaryOperator_587,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7297(VarNext)
      <=> v7299(VarNext) ) ) )).

fof(addAssignment_1073,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7299(VarNext)
      <=> v7292(VarCurr) ) ) )).

fof(addAssignment_1072,axiom,(
    ! [VarCurr] :
      ( v7292(VarCurr)
    <=> v6812(VarCurr) ) )).

fof(addAssignment_1071,axiom,(
    ! [VarCurr] :
      ( v7290(VarCurr)
    <=> $false ) )).

fof(addAssignment_1070,axiom,(
    ! [VarCurr] :
      ( v7288(VarCurr)
    <=> v3182(VarCurr) ) )).

fof(addAssignment_1069,axiom,(
    ! [VarCurr] :
      ( v7286(VarCurr)
    <=> $false ) )).

fof(addAssignment_1068,axiom,(
    ! [VarCurr] :
      ( v7284(VarCurr)
    <=> v3158(VarCurr,bitIndex23) ) )).

fof(addAssignment_1067,axiom,(
    ! [VarCurr] :
      ( v3158(VarCurr,bitIndex23)
    <=> v3160(VarCurr,bitIndex23) ) )).

fof(addAssignment_1066,axiom,(
    ! [VarCurr] :
      ( v3160(VarCurr,bitIndex23)
    <=> v3162(VarCurr,bitIndex23) ) )).

fof(addAssignment_1065,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex23)
    <=> v3164(VarCurr,bitIndex23) ) )).

fof(addAssignment_1064,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex23)
    <=> v3166(VarCurr,bitIndex23) ) )).

fof(addAssignment_1063,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex23)
    <=> v3168(VarCurr,bitIndex23) ) )).

fof(addAssignment_1062,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex23)
    <=> v3170(VarCurr,bitIndex23) ) )).

fof(addAssignment_1061,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex23)
    <=> v3172(VarCurr,bitIndex23) ) )).

fof(addAssignment_1060,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex23)
    <=> v3174(VarCurr,bitIndex23) ) )).

fof(addAssignment_1059,axiom,(
    ! [VarCurr] :
      ( v7282(VarCurr)
    <=> $false ) )).

fof(addAssignment_1058,axiom,(
    ! [VarCurr] :
      ( v7280(VarCurr)
    <=> $false ) )).

fof(addAssignment_1057,axiom,(
    ! [VarCurr] :
      ( v7278(VarCurr)
    <=> $true ) )).

fof(addAssignment_1056,axiom,(
    ! [VarCurr] :
      ( v7276(VarCurr)
    <=> $false ) )).

fof(addAssignment_1055,axiom,(
    ! [VarCurr] :
      ( v7274(VarCurr)
    <=> v3126(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_75,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7227(VarNext)
       => ( v7204(VarNext)
        <=> v7204(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_80,axiom,(
    ! [VarNext] :
      ( v7227(VarNext)
     => ( v7204(VarNext)
      <=> v7262(VarNext) ) ) )).

fof(addAssignment_1054,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7262(VarNext)
      <=> v7260(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_212,axiom,(
    ! [VarCurr] :
      ( ~ v7206(VarCurr)
     => ( v7260(VarCurr)
      <=> v7263(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_214,axiom,(
    ! [VarCurr] :
      ( v7206(VarCurr)
     => ( v7260(VarCurr)
      <=> v7208(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_211,axiom,(
    ! [VarCurr] :
      ( ~ v7240(VarCurr)
     => ( v7263(VarCurr)
      <=> v7222(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_213,axiom,(
    ! [VarCurr] :
      ( v7240(VarCurr)
     => ( v7263(VarCurr)
      <=> v7264(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_152,axiom,(
    ! [VarCurr] :
      ( ( ~ v7243(VarCurr)
        & ~ v7245(VarCurr) )
     => ( v7264(VarCurr)
      <=> v7268(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_210,axiom,(
    ! [VarCurr] :
      ( v7245(VarCurr)
     => ( v7264(VarCurr)
      <=> v7267(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_212,axiom,(
    ! [VarCurr] :
      ( v7243(VarCurr)
     => ( v7264(VarCurr)
      <=> v7265(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_209,axiom,(
    ! [VarCurr] :
      ( ~ v7253(VarCurr)
     => ( v7268(VarCurr)
      <=> v7222(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_211,axiom,(
    ! [VarCurr] :
      ( v7253(VarCurr)
     => ( v7268(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_208,axiom,(
    ! [VarCurr] :
      ( ~ v7247(VarCurr)
     => ( v7267(VarCurr)
      <=> v7222(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_210,axiom,(
    ! [VarCurr] :
      ( v7247(VarCurr)
     => ( v7267(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_242,axiom,(
    ! [VarCurr] :
      ( ~ v7266(VarCurr)
     => ( v7265(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_243,axiom,(
    ! [VarCurr] :
      ( v7266(VarCurr)
     => ( v7265(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_499,axiom,(
    ! [VarCurr] :
      ( v7266(VarCurr)
    <=> ( v7216(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1828,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7227(VarNext)
      <=> ( v7228(VarNext)
          & v7237(VarNext) ) ) ) )).

fof(addAssignment_1053,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7237(VarNext)
      <=> v7235(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1827,axiom,(
    ! [VarCurr] :
      ( v7235(VarCurr)
    <=> ( v7206(VarCurr)
        | v7238(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1826,axiom,(
    ! [VarCurr] :
      ( v7238(VarCurr)
    <=> ( v7239(VarCurr)
        & v7259(VarCurr) ) ) )).

fof(writeUnaryOperator_586,axiom,(
    ! [VarCurr] :
      ( ~ v7259(VarCurr)
    <=> v7206(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1825,axiom,(
    ! [VarCurr] :
      ( v7239(VarCurr)
    <=> ( v7240(VarCurr)
        | v7257(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1824,axiom,(
    ! [VarCurr] :
      ( v7257(VarCurr)
    <=> ( v7218(VarCurr)
        & v7258(VarCurr) ) ) )).

fof(writeUnaryOperator_585,axiom,(
    ! [VarCurr] :
      ( ~ v7258(VarCurr)
    <=> v7220(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1823,axiom,(
    ! [VarCurr] :
      ( v7240(VarCurr)
    <=> ( v7241(VarCurr)
        & v7220(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1822,axiom,(
    ! [VarCurr] :
      ( v7241(VarCurr)
    <=> ( v7242(VarCurr)
        | v7251(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1821,axiom,(
    ! [VarCurr] :
      ( v7251(VarCurr)
    <=> ( v7252(VarCurr)
        & v7256(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_498,axiom,(
    ! [VarCurr] :
      ( v7256(VarCurr)
    <=> ( ( v7244(VarCurr,bitIndex2)
        <=> $false )
        & ( v7244(VarCurr,bitIndex1)
        <=> $false )
        & ( v7244(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1820,axiom,(
    ! [VarCurr] :
      ( v7252(VarCurr)
    <=> ( v7253(VarCurr)
        | v7254(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1819,axiom,(
    ! [VarCurr] :
      ( v7254(VarCurr)
    <=> ( v7218(VarCurr)
        & v7255(VarCurr) ) ) )).

fof(writeUnaryOperator_584,axiom,(
    ! [VarCurr] :
      ( ~ v7255(VarCurr)
    <=> v7253(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_497,axiom,(
    ! [VarCurr] :
      ( v7253(VarCurr)
    <=> ( v7216(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1818,axiom,(
    ! [VarCurr] :
      ( v7242(VarCurr)
    <=> ( v7243(VarCurr)
        | v7245(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1817,axiom,(
    ! [VarCurr] :
      ( v7245(VarCurr)
    <=> ( v7246(VarCurr)
        & v7250(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_496,axiom,(
    ! [VarCurr] :
      ( v7250(VarCurr)
    <=> ( ( v7244(VarCurr,bitIndex2)
        <=> $false )
        & ( v7244(VarCurr,bitIndex1)
        <=> $true )
        & ( v7244(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1816,axiom,(
    ! [VarCurr] :
      ( v7246(VarCurr)
    <=> ( v7247(VarCurr)
        | v7248(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1815,axiom,(
    ! [VarCurr] :
      ( v7248(VarCurr)
    <=> ( v7218(VarCurr)
        & v7249(VarCurr) ) ) )).

fof(writeUnaryOperator_583,axiom,(
    ! [VarCurr] :
      ( ~ v7249(VarCurr)
    <=> v7247(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_495,axiom,(
    ! [VarCurr] :
      ( v7247(VarCurr)
    <=> ( v7216(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_494,axiom,(
    ! [VarCurr] :
      ( v7243(VarCurr)
    <=> ( ( v7244(VarCurr,bitIndex2)
        <=> $true )
        & ( v7244(VarCurr,bitIndex1)
        <=> $false )
        & ( v7244(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1052,axiom,(
    ! [VarCurr] :
      ( v7244(VarCurr,bitIndex0)
    <=> v7214(VarCurr) ) )).

fof(addAssignment_1051,axiom,(
    ! [VarCurr] :
      ( v7244(VarCurr,bitIndex1)
    <=> v7212(VarCurr) ) )).

fof(addAssignment_1050,axiom,(
    ! [VarCurr] :
      ( v7244(VarCurr,bitIndex2)
    <=> v7210(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1814,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7228(VarNext)
      <=> ( v7229(VarNext)
          & v7224(VarNext) ) ) ) )).

fof(writeUnaryOperator_582,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7229(VarNext)
      <=> v7231(VarNext) ) ) )).

fof(addAssignment_1049,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7231(VarNext)
      <=> v7224(VarCurr) ) ) )).

fof(addAssignment_1048,axiom,(
    ! [VarCurr] :
      ( v7224(VarCurr)
    <=> v6812(VarCurr) ) )).

fof(addAssignment_1047,axiom,(
    ! [VarCurr] :
      ( v7222(VarCurr)
    <=> $false ) )).

fof(addAssignment_1046,axiom,(
    ! [VarCurr] :
      ( v7220(VarCurr)
    <=> v3182(VarCurr) ) )).

fof(addAssignment_1045,axiom,(
    ! [VarCurr] :
      ( v7218(VarCurr)
    <=> $false ) )).

fof(addAssignment_1044,axiom,(
    ! [VarCurr] :
      ( v7216(VarCurr)
    <=> v3158(VarCurr,bitIndex22) ) )).

fof(addAssignment_1043,axiom,(
    ! [VarCurr] :
      ( v3158(VarCurr,bitIndex22)
    <=> v3160(VarCurr,bitIndex22) ) )).

fof(addAssignment_1042,axiom,(
    ! [VarCurr] :
      ( v3160(VarCurr,bitIndex22)
    <=> v3162(VarCurr,bitIndex22) ) )).

fof(addAssignment_1041,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex22)
    <=> v3164(VarCurr,bitIndex22) ) )).

fof(addAssignment_1040,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex22)
    <=> v3166(VarCurr,bitIndex22) ) )).

fof(addAssignment_1039,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex22)
    <=> v3168(VarCurr,bitIndex22) ) )).

fof(addAssignment_1038,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex22)
    <=> v3170(VarCurr,bitIndex22) ) )).

fof(addAssignment_1037,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex22)
    <=> v3172(VarCurr,bitIndex22) ) )).

fof(addAssignment_1036,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex22)
    <=> v3174(VarCurr,bitIndex22) ) )).

fof(addAssignment_1035,axiom,(
    ! [VarCurr] :
      ( v7214(VarCurr)
    <=> $false ) )).

fof(addAssignment_1034,axiom,(
    ! [VarCurr] :
      ( v7212(VarCurr)
    <=> $false ) )).

fof(addAssignment_1033,axiom,(
    ! [VarCurr] :
      ( v7210(VarCurr)
    <=> $true ) )).

fof(addAssignment_1032,axiom,(
    ! [VarCurr] :
      ( v7208(VarCurr)
    <=> $false ) )).

fof(addAssignment_1031,axiom,(
    ! [VarCurr] :
      ( v7206(VarCurr)
    <=> v3126(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_74,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7159(VarNext)
       => ( v7136(VarNext)
        <=> v7136(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_79,axiom,(
    ! [VarNext] :
      ( v7159(VarNext)
     => ( v7136(VarNext)
      <=> v7194(VarNext) ) ) )).

fof(addAssignment_1030,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7194(VarNext)
      <=> v7192(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_207,axiom,(
    ! [VarCurr] :
      ( ~ v7138(VarCurr)
     => ( v7192(VarCurr)
      <=> v7195(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_209,axiom,(
    ! [VarCurr] :
      ( v7138(VarCurr)
     => ( v7192(VarCurr)
      <=> v7140(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_206,axiom,(
    ! [VarCurr] :
      ( ~ v7172(VarCurr)
     => ( v7195(VarCurr)
      <=> v7154(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_208,axiom,(
    ! [VarCurr] :
      ( v7172(VarCurr)
     => ( v7195(VarCurr)
      <=> v7196(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_151,axiom,(
    ! [VarCurr] :
      ( ( ~ v7175(VarCurr)
        & ~ v7177(VarCurr) )
     => ( v7196(VarCurr)
      <=> v7200(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_205,axiom,(
    ! [VarCurr] :
      ( v7177(VarCurr)
     => ( v7196(VarCurr)
      <=> v7199(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_207,axiom,(
    ! [VarCurr] :
      ( v7175(VarCurr)
     => ( v7196(VarCurr)
      <=> v7197(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_204,axiom,(
    ! [VarCurr] :
      ( ~ v7185(VarCurr)
     => ( v7200(VarCurr)
      <=> v7154(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_206,axiom,(
    ! [VarCurr] :
      ( v7185(VarCurr)
     => ( v7200(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_203,axiom,(
    ! [VarCurr] :
      ( ~ v7179(VarCurr)
     => ( v7199(VarCurr)
      <=> v7154(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_205,axiom,(
    ! [VarCurr] :
      ( v7179(VarCurr)
     => ( v7199(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_241,axiom,(
    ! [VarCurr] :
      ( ~ v7198(VarCurr)
     => ( v7197(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_242,axiom,(
    ! [VarCurr] :
      ( v7198(VarCurr)
     => ( v7197(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_493,axiom,(
    ! [VarCurr] :
      ( v7198(VarCurr)
    <=> ( v7148(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1813,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7159(VarNext)
      <=> ( v7160(VarNext)
          & v7169(VarNext) ) ) ) )).

fof(addAssignment_1029,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7169(VarNext)
      <=> v7167(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1812,axiom,(
    ! [VarCurr] :
      ( v7167(VarCurr)
    <=> ( v7138(VarCurr)
        | v7170(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1811,axiom,(
    ! [VarCurr] :
      ( v7170(VarCurr)
    <=> ( v7171(VarCurr)
        & v7191(VarCurr) ) ) )).

fof(writeUnaryOperator_581,axiom,(
    ! [VarCurr] :
      ( ~ v7191(VarCurr)
    <=> v7138(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1810,axiom,(
    ! [VarCurr] :
      ( v7171(VarCurr)
    <=> ( v7172(VarCurr)
        | v7189(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1809,axiom,(
    ! [VarCurr] :
      ( v7189(VarCurr)
    <=> ( v7150(VarCurr)
        & v7190(VarCurr) ) ) )).

fof(writeUnaryOperator_580,axiom,(
    ! [VarCurr] :
      ( ~ v7190(VarCurr)
    <=> v7152(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1808,axiom,(
    ! [VarCurr] :
      ( v7172(VarCurr)
    <=> ( v7173(VarCurr)
        & v7152(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1807,axiom,(
    ! [VarCurr] :
      ( v7173(VarCurr)
    <=> ( v7174(VarCurr)
        | v7183(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1806,axiom,(
    ! [VarCurr] :
      ( v7183(VarCurr)
    <=> ( v7184(VarCurr)
        & v7188(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_492,axiom,(
    ! [VarCurr] :
      ( v7188(VarCurr)
    <=> ( ( v7176(VarCurr,bitIndex2)
        <=> $false )
        & ( v7176(VarCurr,bitIndex1)
        <=> $false )
        & ( v7176(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1805,axiom,(
    ! [VarCurr] :
      ( v7184(VarCurr)
    <=> ( v7185(VarCurr)
        | v7186(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1804,axiom,(
    ! [VarCurr] :
      ( v7186(VarCurr)
    <=> ( v7150(VarCurr)
        & v7187(VarCurr) ) ) )).

fof(writeUnaryOperator_579,axiom,(
    ! [VarCurr] :
      ( ~ v7187(VarCurr)
    <=> v7185(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_491,axiom,(
    ! [VarCurr] :
      ( v7185(VarCurr)
    <=> ( v7148(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1803,axiom,(
    ! [VarCurr] :
      ( v7174(VarCurr)
    <=> ( v7175(VarCurr)
        | v7177(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1802,axiom,(
    ! [VarCurr] :
      ( v7177(VarCurr)
    <=> ( v7178(VarCurr)
        & v7182(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_490,axiom,(
    ! [VarCurr] :
      ( v7182(VarCurr)
    <=> ( ( v7176(VarCurr,bitIndex2)
        <=> $false )
        & ( v7176(VarCurr,bitIndex1)
        <=> $true )
        & ( v7176(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1801,axiom,(
    ! [VarCurr] :
      ( v7178(VarCurr)
    <=> ( v7179(VarCurr)
        | v7180(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1800,axiom,(
    ! [VarCurr] :
      ( v7180(VarCurr)
    <=> ( v7150(VarCurr)
        & v7181(VarCurr) ) ) )).

fof(writeUnaryOperator_578,axiom,(
    ! [VarCurr] :
      ( ~ v7181(VarCurr)
    <=> v7179(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_489,axiom,(
    ! [VarCurr] :
      ( v7179(VarCurr)
    <=> ( v7148(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_488,axiom,(
    ! [VarCurr] :
      ( v7175(VarCurr)
    <=> ( ( v7176(VarCurr,bitIndex2)
        <=> $true )
        & ( v7176(VarCurr,bitIndex1)
        <=> $false )
        & ( v7176(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1028,axiom,(
    ! [VarCurr] :
      ( v7176(VarCurr,bitIndex0)
    <=> v7146(VarCurr) ) )).

fof(addAssignment_1027,axiom,(
    ! [VarCurr] :
      ( v7176(VarCurr,bitIndex1)
    <=> v7144(VarCurr) ) )).

fof(addAssignment_1026,axiom,(
    ! [VarCurr] :
      ( v7176(VarCurr,bitIndex2)
    <=> v7142(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1799,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7160(VarNext)
      <=> ( v7161(VarNext)
          & v7156(VarNext) ) ) ) )).

fof(writeUnaryOperator_577,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7161(VarNext)
      <=> v7163(VarNext) ) ) )).

fof(addAssignment_1025,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7163(VarNext)
      <=> v7156(VarCurr) ) ) )).

fof(addAssignment_1024,axiom,(
    ! [VarCurr] :
      ( v7156(VarCurr)
    <=> v6812(VarCurr) ) )).

fof(addAssignment_1023,axiom,(
    ! [VarCurr] :
      ( v7154(VarCurr)
    <=> $false ) )).

fof(addAssignment_1022,axiom,(
    ! [VarCurr] :
      ( v7152(VarCurr)
    <=> v3182(VarCurr) ) )).

fof(addAssignment_1021,axiom,(
    ! [VarCurr] :
      ( v7150(VarCurr)
    <=> $false ) )).

fof(addAssignment_1020,axiom,(
    ! [VarCurr] :
      ( v7148(VarCurr)
    <=> v3158(VarCurr,bitIndex21) ) )).

fof(addAssignment_1019,axiom,(
    ! [VarCurr] :
      ( v3158(VarCurr,bitIndex21)
    <=> v3160(VarCurr,bitIndex21) ) )).

fof(addAssignment_1018,axiom,(
    ! [VarCurr] :
      ( v3160(VarCurr,bitIndex21)
    <=> v3162(VarCurr,bitIndex21) ) )).

fof(addAssignment_1017,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex21)
    <=> v3164(VarCurr,bitIndex21) ) )).

fof(addAssignment_1016,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex21)
    <=> v3166(VarCurr,bitIndex21) ) )).

fof(addAssignment_1015,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex21)
    <=> v3168(VarCurr,bitIndex21) ) )).

fof(addAssignment_1014,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex21)
    <=> v3170(VarCurr,bitIndex21) ) )).

fof(addAssignment_1013,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex21)
    <=> v3172(VarCurr,bitIndex21) ) )).

fof(addAssignment_1012,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex21)
    <=> v3174(VarCurr,bitIndex21) ) )).

fof(addAssignment_1011,axiom,(
    ! [VarCurr] :
      ( v7146(VarCurr)
    <=> $false ) )).

fof(addAssignment_1010,axiom,(
    ! [VarCurr] :
      ( v7144(VarCurr)
    <=> $false ) )).

fof(addAssignment_1009,axiom,(
    ! [VarCurr] :
      ( v7142(VarCurr)
    <=> $true ) )).

fof(addAssignment_1008,axiom,(
    ! [VarCurr] :
      ( v7140(VarCurr)
    <=> $false ) )).

fof(addAssignment_1007,axiom,(
    ! [VarCurr] :
      ( v7138(VarCurr)
    <=> v3126(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_73,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7091(VarNext)
       => ( v7068(VarNext)
        <=> v7068(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_78,axiom,(
    ! [VarNext] :
      ( v7091(VarNext)
     => ( v7068(VarNext)
      <=> v7126(VarNext) ) ) )).

fof(addAssignment_1006,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7126(VarNext)
      <=> v7124(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_202,axiom,(
    ! [VarCurr] :
      ( ~ v7070(VarCurr)
     => ( v7124(VarCurr)
      <=> v7127(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_204,axiom,(
    ! [VarCurr] :
      ( v7070(VarCurr)
     => ( v7124(VarCurr)
      <=> v7072(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_201,axiom,(
    ! [VarCurr] :
      ( ~ v7104(VarCurr)
     => ( v7127(VarCurr)
      <=> v7086(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_203,axiom,(
    ! [VarCurr] :
      ( v7104(VarCurr)
     => ( v7127(VarCurr)
      <=> v7128(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_150,axiom,(
    ! [VarCurr] :
      ( ( ~ v7107(VarCurr)
        & ~ v7109(VarCurr) )
     => ( v7128(VarCurr)
      <=> v7132(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_200,axiom,(
    ! [VarCurr] :
      ( v7109(VarCurr)
     => ( v7128(VarCurr)
      <=> v7131(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_202,axiom,(
    ! [VarCurr] :
      ( v7107(VarCurr)
     => ( v7128(VarCurr)
      <=> v7129(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_199,axiom,(
    ! [VarCurr] :
      ( ~ v7117(VarCurr)
     => ( v7132(VarCurr)
      <=> v7086(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_201,axiom,(
    ! [VarCurr] :
      ( v7117(VarCurr)
     => ( v7132(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_198,axiom,(
    ! [VarCurr] :
      ( ~ v7111(VarCurr)
     => ( v7131(VarCurr)
      <=> v7086(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_200,axiom,(
    ! [VarCurr] :
      ( v7111(VarCurr)
     => ( v7131(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_240,axiom,(
    ! [VarCurr] :
      ( ~ v7130(VarCurr)
     => ( v7129(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_241,axiom,(
    ! [VarCurr] :
      ( v7130(VarCurr)
     => ( v7129(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_487,axiom,(
    ! [VarCurr] :
      ( v7130(VarCurr)
    <=> ( v7080(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1798,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7091(VarNext)
      <=> ( v7092(VarNext)
          & v7101(VarNext) ) ) ) )).

fof(addAssignment_1005,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7101(VarNext)
      <=> v7099(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1797,axiom,(
    ! [VarCurr] :
      ( v7099(VarCurr)
    <=> ( v7070(VarCurr)
        | v7102(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1796,axiom,(
    ! [VarCurr] :
      ( v7102(VarCurr)
    <=> ( v7103(VarCurr)
        & v7123(VarCurr) ) ) )).

fof(writeUnaryOperator_576,axiom,(
    ! [VarCurr] :
      ( ~ v7123(VarCurr)
    <=> v7070(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1795,axiom,(
    ! [VarCurr] :
      ( v7103(VarCurr)
    <=> ( v7104(VarCurr)
        | v7121(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1794,axiom,(
    ! [VarCurr] :
      ( v7121(VarCurr)
    <=> ( v7082(VarCurr)
        & v7122(VarCurr) ) ) )).

fof(writeUnaryOperator_575,axiom,(
    ! [VarCurr] :
      ( ~ v7122(VarCurr)
    <=> v7084(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1793,axiom,(
    ! [VarCurr] :
      ( v7104(VarCurr)
    <=> ( v7105(VarCurr)
        & v7084(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1792,axiom,(
    ! [VarCurr] :
      ( v7105(VarCurr)
    <=> ( v7106(VarCurr)
        | v7115(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1791,axiom,(
    ! [VarCurr] :
      ( v7115(VarCurr)
    <=> ( v7116(VarCurr)
        & v7120(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_486,axiom,(
    ! [VarCurr] :
      ( v7120(VarCurr)
    <=> ( ( v7108(VarCurr,bitIndex2)
        <=> $false )
        & ( v7108(VarCurr,bitIndex1)
        <=> $false )
        & ( v7108(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1790,axiom,(
    ! [VarCurr] :
      ( v7116(VarCurr)
    <=> ( v7117(VarCurr)
        | v7118(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1789,axiom,(
    ! [VarCurr] :
      ( v7118(VarCurr)
    <=> ( v7082(VarCurr)
        & v7119(VarCurr) ) ) )).

fof(writeUnaryOperator_574,axiom,(
    ! [VarCurr] :
      ( ~ v7119(VarCurr)
    <=> v7117(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_485,axiom,(
    ! [VarCurr] :
      ( v7117(VarCurr)
    <=> ( v7080(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1788,axiom,(
    ! [VarCurr] :
      ( v7106(VarCurr)
    <=> ( v7107(VarCurr)
        | v7109(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1787,axiom,(
    ! [VarCurr] :
      ( v7109(VarCurr)
    <=> ( v7110(VarCurr)
        & v7114(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_484,axiom,(
    ! [VarCurr] :
      ( v7114(VarCurr)
    <=> ( ( v7108(VarCurr,bitIndex2)
        <=> $false )
        & ( v7108(VarCurr,bitIndex1)
        <=> $true )
        & ( v7108(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1786,axiom,(
    ! [VarCurr] :
      ( v7110(VarCurr)
    <=> ( v7111(VarCurr)
        | v7112(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1785,axiom,(
    ! [VarCurr] :
      ( v7112(VarCurr)
    <=> ( v7082(VarCurr)
        & v7113(VarCurr) ) ) )).

fof(writeUnaryOperator_573,axiom,(
    ! [VarCurr] :
      ( ~ v7113(VarCurr)
    <=> v7111(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_483,axiom,(
    ! [VarCurr] :
      ( v7111(VarCurr)
    <=> ( v7080(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_482,axiom,(
    ! [VarCurr] :
      ( v7107(VarCurr)
    <=> ( ( v7108(VarCurr,bitIndex2)
        <=> $true )
        & ( v7108(VarCurr,bitIndex1)
        <=> $false )
        & ( v7108(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_1004,axiom,(
    ! [VarCurr] :
      ( v7108(VarCurr,bitIndex0)
    <=> v7078(VarCurr) ) )).

fof(addAssignment_1003,axiom,(
    ! [VarCurr] :
      ( v7108(VarCurr,bitIndex1)
    <=> v7076(VarCurr) ) )).

fof(addAssignment_1002,axiom,(
    ! [VarCurr] :
      ( v7108(VarCurr,bitIndex2)
    <=> v7074(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1784,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7092(VarNext)
      <=> ( v7093(VarNext)
          & v7088(VarNext) ) ) ) )).

fof(writeUnaryOperator_572,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7093(VarNext)
      <=> v7095(VarNext) ) ) )).

fof(addAssignment_1001,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7095(VarNext)
      <=> v7088(VarCurr) ) ) )).

fof(addAssignment_1000,axiom,(
    ! [VarCurr] :
      ( v7088(VarCurr)
    <=> v6812(VarCurr) ) )).

fof(addAssignment_999,axiom,(
    ! [VarCurr] :
      ( v7086(VarCurr)
    <=> $false ) )).

fof(addAssignment_998,axiom,(
    ! [VarCurr] :
      ( v7084(VarCurr)
    <=> v3182(VarCurr) ) )).

fof(addAssignment_997,axiom,(
    ! [VarCurr] :
      ( v7082(VarCurr)
    <=> $false ) )).

fof(addAssignment_996,axiom,(
    ! [VarCurr] :
      ( v7080(VarCurr)
    <=> v3158(VarCurr,bitIndex20) ) )).

fof(addAssignment_995,axiom,(
    ! [VarCurr] :
      ( v3158(VarCurr,bitIndex20)
    <=> v3160(VarCurr,bitIndex20) ) )).

fof(addAssignment_994,axiom,(
    ! [VarCurr] :
      ( v3160(VarCurr,bitIndex20)
    <=> v3162(VarCurr,bitIndex20) ) )).

fof(addAssignment_993,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex20)
    <=> v3164(VarCurr,bitIndex20) ) )).

fof(addAssignment_992,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex20)
    <=> v3166(VarCurr,bitIndex20) ) )).

fof(addAssignment_991,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex20)
    <=> v3168(VarCurr,bitIndex20) ) )).

fof(addAssignment_990,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex20)
    <=> v3170(VarCurr,bitIndex20) ) )).

fof(addAssignment_989,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex20)
    <=> v3172(VarCurr,bitIndex20) ) )).

fof(addAssignment_988,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex20)
    <=> v3174(VarCurr,bitIndex20) ) )).

fof(addAssignment_987,axiom,(
    ! [VarCurr] :
      ( v7078(VarCurr)
    <=> $false ) )).

fof(addAssignment_986,axiom,(
    ! [VarCurr] :
      ( v7076(VarCurr)
    <=> $false ) )).

fof(addAssignment_985,axiom,(
    ! [VarCurr] :
      ( v7074(VarCurr)
    <=> $true ) )).

fof(addAssignment_984,axiom,(
    ! [VarCurr] :
      ( v7072(VarCurr)
    <=> $false ) )).

fof(addAssignment_983,axiom,(
    ! [VarCurr] :
      ( v7070(VarCurr)
    <=> v3126(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_72,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7023(VarNext)
       => ( v7000(VarNext)
        <=> v7000(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_77,axiom,(
    ! [VarNext] :
      ( v7023(VarNext)
     => ( v7000(VarNext)
      <=> v7058(VarNext) ) ) )).

fof(addAssignment_982,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7058(VarNext)
      <=> v7056(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_197,axiom,(
    ! [VarCurr] :
      ( ~ v7002(VarCurr)
     => ( v7056(VarCurr)
      <=> v7059(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_199,axiom,(
    ! [VarCurr] :
      ( v7002(VarCurr)
     => ( v7056(VarCurr)
      <=> v7004(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_196,axiom,(
    ! [VarCurr] :
      ( ~ v7036(VarCurr)
     => ( v7059(VarCurr)
      <=> v7018(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_198,axiom,(
    ! [VarCurr] :
      ( v7036(VarCurr)
     => ( v7059(VarCurr)
      <=> v7060(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_149,axiom,(
    ! [VarCurr] :
      ( ( ~ v7039(VarCurr)
        & ~ v7041(VarCurr) )
     => ( v7060(VarCurr)
      <=> v7064(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_195,axiom,(
    ! [VarCurr] :
      ( v7041(VarCurr)
     => ( v7060(VarCurr)
      <=> v7063(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_197,axiom,(
    ! [VarCurr] :
      ( v7039(VarCurr)
     => ( v7060(VarCurr)
      <=> v7061(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_194,axiom,(
    ! [VarCurr] :
      ( ~ v7049(VarCurr)
     => ( v7064(VarCurr)
      <=> v7018(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_196,axiom,(
    ! [VarCurr] :
      ( v7049(VarCurr)
     => ( v7064(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_193,axiom,(
    ! [VarCurr] :
      ( ~ v7043(VarCurr)
     => ( v7063(VarCurr)
      <=> v7018(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_195,axiom,(
    ! [VarCurr] :
      ( v7043(VarCurr)
     => ( v7063(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_239,axiom,(
    ! [VarCurr] :
      ( ~ v7062(VarCurr)
     => ( v7061(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_240,axiom,(
    ! [VarCurr] :
      ( v7062(VarCurr)
     => ( v7061(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_481,axiom,(
    ! [VarCurr] :
      ( v7062(VarCurr)
    <=> ( v7012(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1783,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7023(VarNext)
      <=> ( v7024(VarNext)
          & v7033(VarNext) ) ) ) )).

fof(addAssignment_981,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7033(VarNext)
      <=> v7031(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1782,axiom,(
    ! [VarCurr] :
      ( v7031(VarCurr)
    <=> ( v7002(VarCurr)
        | v7034(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1781,axiom,(
    ! [VarCurr] :
      ( v7034(VarCurr)
    <=> ( v7035(VarCurr)
        & v7055(VarCurr) ) ) )).

fof(writeUnaryOperator_571,axiom,(
    ! [VarCurr] :
      ( ~ v7055(VarCurr)
    <=> v7002(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1780,axiom,(
    ! [VarCurr] :
      ( v7035(VarCurr)
    <=> ( v7036(VarCurr)
        | v7053(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1779,axiom,(
    ! [VarCurr] :
      ( v7053(VarCurr)
    <=> ( v7014(VarCurr)
        & v7054(VarCurr) ) ) )).

fof(writeUnaryOperator_570,axiom,(
    ! [VarCurr] :
      ( ~ v7054(VarCurr)
    <=> v7016(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1778,axiom,(
    ! [VarCurr] :
      ( v7036(VarCurr)
    <=> ( v7037(VarCurr)
        & v7016(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1777,axiom,(
    ! [VarCurr] :
      ( v7037(VarCurr)
    <=> ( v7038(VarCurr)
        | v7047(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1776,axiom,(
    ! [VarCurr] :
      ( v7047(VarCurr)
    <=> ( v7048(VarCurr)
        & v7052(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_480,axiom,(
    ! [VarCurr] :
      ( v7052(VarCurr)
    <=> ( ( v7040(VarCurr,bitIndex2)
        <=> $false )
        & ( v7040(VarCurr,bitIndex1)
        <=> $false )
        & ( v7040(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1775,axiom,(
    ! [VarCurr] :
      ( v7048(VarCurr)
    <=> ( v7049(VarCurr)
        | v7050(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1774,axiom,(
    ! [VarCurr] :
      ( v7050(VarCurr)
    <=> ( v7014(VarCurr)
        & v7051(VarCurr) ) ) )).

fof(writeUnaryOperator_569,axiom,(
    ! [VarCurr] :
      ( ~ v7051(VarCurr)
    <=> v7049(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_479,axiom,(
    ! [VarCurr] :
      ( v7049(VarCurr)
    <=> ( v7012(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1773,axiom,(
    ! [VarCurr] :
      ( v7038(VarCurr)
    <=> ( v7039(VarCurr)
        | v7041(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1772,axiom,(
    ! [VarCurr] :
      ( v7041(VarCurr)
    <=> ( v7042(VarCurr)
        & v7046(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_478,axiom,(
    ! [VarCurr] :
      ( v7046(VarCurr)
    <=> ( ( v7040(VarCurr,bitIndex2)
        <=> $false )
        & ( v7040(VarCurr,bitIndex1)
        <=> $true )
        & ( v7040(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1771,axiom,(
    ! [VarCurr] :
      ( v7042(VarCurr)
    <=> ( v7043(VarCurr)
        | v7044(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1770,axiom,(
    ! [VarCurr] :
      ( v7044(VarCurr)
    <=> ( v7014(VarCurr)
        & v7045(VarCurr) ) ) )).

fof(writeUnaryOperator_568,axiom,(
    ! [VarCurr] :
      ( ~ v7045(VarCurr)
    <=> v7043(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_477,axiom,(
    ! [VarCurr] :
      ( v7043(VarCurr)
    <=> ( v7012(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_476,axiom,(
    ! [VarCurr] :
      ( v7039(VarCurr)
    <=> ( ( v7040(VarCurr,bitIndex2)
        <=> $true )
        & ( v7040(VarCurr,bitIndex1)
        <=> $false )
        & ( v7040(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_980,axiom,(
    ! [VarCurr] :
      ( v7040(VarCurr,bitIndex0)
    <=> v7010(VarCurr) ) )).

fof(addAssignment_979,axiom,(
    ! [VarCurr] :
      ( v7040(VarCurr,bitIndex1)
    <=> v7008(VarCurr) ) )).

fof(addAssignment_978,axiom,(
    ! [VarCurr] :
      ( v7040(VarCurr,bitIndex2)
    <=> v7006(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1769,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7024(VarNext)
      <=> ( v7025(VarNext)
          & v7020(VarNext) ) ) ) )).

fof(writeUnaryOperator_567,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v7025(VarNext)
      <=> v7027(VarNext) ) ) )).

fof(addAssignment_977,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v7027(VarNext)
      <=> v7020(VarCurr) ) ) )).

fof(addAssignment_976,axiom,(
    ! [VarCurr] :
      ( v7020(VarCurr)
    <=> v6812(VarCurr) ) )).

fof(addAssignment_975,axiom,(
    ! [VarCurr] :
      ( v7018(VarCurr)
    <=> $false ) )).

fof(addAssignment_974,axiom,(
    ! [VarCurr] :
      ( v7016(VarCurr)
    <=> v3182(VarCurr) ) )).

fof(addAssignment_973,axiom,(
    ! [VarCurr] :
      ( v7014(VarCurr)
    <=> $false ) )).

fof(addAssignment_972,axiom,(
    ! [VarCurr] :
      ( v7012(VarCurr)
    <=> v3158(VarCurr,bitIndex19) ) )).

fof(addAssignment_971,axiom,(
    ! [VarCurr] :
      ( v3158(VarCurr,bitIndex19)
    <=> v3160(VarCurr,bitIndex19) ) )).

fof(addAssignment_970,axiom,(
    ! [VarCurr] :
      ( v3160(VarCurr,bitIndex19)
    <=> v3162(VarCurr,bitIndex19) ) )).

fof(addAssignment_969,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex19)
    <=> v3164(VarCurr,bitIndex19) ) )).

fof(addAssignment_968,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex19)
    <=> v3166(VarCurr,bitIndex19) ) )).

fof(addAssignment_967,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex19)
    <=> v3168(VarCurr,bitIndex19) ) )).

fof(addAssignment_966,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex19)
    <=> v3170(VarCurr,bitIndex19) ) )).

fof(addAssignment_965,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex19)
    <=> v3172(VarCurr,bitIndex19) ) )).

fof(addAssignment_964,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex19)
    <=> v3174(VarCurr,bitIndex19) ) )).

fof(addAssignment_963,axiom,(
    ! [VarCurr] :
      ( v7010(VarCurr)
    <=> $false ) )).

fof(addAssignment_962,axiom,(
    ! [VarCurr] :
      ( v7008(VarCurr)
    <=> $false ) )).

fof(addAssignment_961,axiom,(
    ! [VarCurr] :
      ( v7006(VarCurr)
    <=> $true ) )).

fof(addAssignment_960,axiom,(
    ! [VarCurr] :
      ( v7004(VarCurr)
    <=> $false ) )).

fof(addAssignment_959,axiom,(
    ! [VarCurr] :
      ( v7002(VarCurr)
    <=> v3126(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_71,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6955(VarNext)
       => ( v6932(VarNext)
        <=> v6932(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_76,axiom,(
    ! [VarNext] :
      ( v6955(VarNext)
     => ( v6932(VarNext)
      <=> v6990(VarNext) ) ) )).

fof(addAssignment_958,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6990(VarNext)
      <=> v6988(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_192,axiom,(
    ! [VarCurr] :
      ( ~ v6934(VarCurr)
     => ( v6988(VarCurr)
      <=> v6991(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_194,axiom,(
    ! [VarCurr] :
      ( v6934(VarCurr)
     => ( v6988(VarCurr)
      <=> v6936(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_191,axiom,(
    ! [VarCurr] :
      ( ~ v6968(VarCurr)
     => ( v6991(VarCurr)
      <=> v6950(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_193,axiom,(
    ! [VarCurr] :
      ( v6968(VarCurr)
     => ( v6991(VarCurr)
      <=> v6992(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_148,axiom,(
    ! [VarCurr] :
      ( ( ~ v6971(VarCurr)
        & ~ v6973(VarCurr) )
     => ( v6992(VarCurr)
      <=> v6996(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_190,axiom,(
    ! [VarCurr] :
      ( v6973(VarCurr)
     => ( v6992(VarCurr)
      <=> v6995(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_192,axiom,(
    ! [VarCurr] :
      ( v6971(VarCurr)
     => ( v6992(VarCurr)
      <=> v6993(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_189,axiom,(
    ! [VarCurr] :
      ( ~ v6981(VarCurr)
     => ( v6996(VarCurr)
      <=> v6950(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_191,axiom,(
    ! [VarCurr] :
      ( v6981(VarCurr)
     => ( v6996(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_188,axiom,(
    ! [VarCurr] :
      ( ~ v6975(VarCurr)
     => ( v6995(VarCurr)
      <=> v6950(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_190,axiom,(
    ! [VarCurr] :
      ( v6975(VarCurr)
     => ( v6995(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_238,axiom,(
    ! [VarCurr] :
      ( ~ v6994(VarCurr)
     => ( v6993(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_239,axiom,(
    ! [VarCurr] :
      ( v6994(VarCurr)
     => ( v6993(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_475,axiom,(
    ! [VarCurr] :
      ( v6994(VarCurr)
    <=> ( v6944(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1768,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6955(VarNext)
      <=> ( v6956(VarNext)
          & v6965(VarNext) ) ) ) )).

fof(addAssignment_957,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6965(VarNext)
      <=> v6963(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1767,axiom,(
    ! [VarCurr] :
      ( v6963(VarCurr)
    <=> ( v6934(VarCurr)
        | v6966(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1766,axiom,(
    ! [VarCurr] :
      ( v6966(VarCurr)
    <=> ( v6967(VarCurr)
        & v6987(VarCurr) ) ) )).

fof(writeUnaryOperator_566,axiom,(
    ! [VarCurr] :
      ( ~ v6987(VarCurr)
    <=> v6934(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1765,axiom,(
    ! [VarCurr] :
      ( v6967(VarCurr)
    <=> ( v6968(VarCurr)
        | v6985(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1764,axiom,(
    ! [VarCurr] :
      ( v6985(VarCurr)
    <=> ( v6946(VarCurr)
        & v6986(VarCurr) ) ) )).

fof(writeUnaryOperator_565,axiom,(
    ! [VarCurr] :
      ( ~ v6986(VarCurr)
    <=> v6948(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1763,axiom,(
    ! [VarCurr] :
      ( v6968(VarCurr)
    <=> ( v6969(VarCurr)
        & v6948(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1762,axiom,(
    ! [VarCurr] :
      ( v6969(VarCurr)
    <=> ( v6970(VarCurr)
        | v6979(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1761,axiom,(
    ! [VarCurr] :
      ( v6979(VarCurr)
    <=> ( v6980(VarCurr)
        & v6984(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_474,axiom,(
    ! [VarCurr] :
      ( v6984(VarCurr)
    <=> ( ( v6972(VarCurr,bitIndex2)
        <=> $false )
        & ( v6972(VarCurr,bitIndex1)
        <=> $false )
        & ( v6972(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1760,axiom,(
    ! [VarCurr] :
      ( v6980(VarCurr)
    <=> ( v6981(VarCurr)
        | v6982(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1759,axiom,(
    ! [VarCurr] :
      ( v6982(VarCurr)
    <=> ( v6946(VarCurr)
        & v6983(VarCurr) ) ) )).

fof(writeUnaryOperator_564,axiom,(
    ! [VarCurr] :
      ( ~ v6983(VarCurr)
    <=> v6981(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_473,axiom,(
    ! [VarCurr] :
      ( v6981(VarCurr)
    <=> ( v6944(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1758,axiom,(
    ! [VarCurr] :
      ( v6970(VarCurr)
    <=> ( v6971(VarCurr)
        | v6973(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1757,axiom,(
    ! [VarCurr] :
      ( v6973(VarCurr)
    <=> ( v6974(VarCurr)
        & v6978(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_472,axiom,(
    ! [VarCurr] :
      ( v6978(VarCurr)
    <=> ( ( v6972(VarCurr,bitIndex2)
        <=> $false )
        & ( v6972(VarCurr,bitIndex1)
        <=> $true )
        & ( v6972(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1756,axiom,(
    ! [VarCurr] :
      ( v6974(VarCurr)
    <=> ( v6975(VarCurr)
        | v6976(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1755,axiom,(
    ! [VarCurr] :
      ( v6976(VarCurr)
    <=> ( v6946(VarCurr)
        & v6977(VarCurr) ) ) )).

fof(writeUnaryOperator_563,axiom,(
    ! [VarCurr] :
      ( ~ v6977(VarCurr)
    <=> v6975(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_471,axiom,(
    ! [VarCurr] :
      ( v6975(VarCurr)
    <=> ( v6944(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_470,axiom,(
    ! [VarCurr] :
      ( v6971(VarCurr)
    <=> ( ( v6972(VarCurr,bitIndex2)
        <=> $true )
        & ( v6972(VarCurr,bitIndex1)
        <=> $false )
        & ( v6972(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_956,axiom,(
    ! [VarCurr] :
      ( v6972(VarCurr,bitIndex0)
    <=> v6942(VarCurr) ) )).

fof(addAssignment_955,axiom,(
    ! [VarCurr] :
      ( v6972(VarCurr,bitIndex1)
    <=> v6940(VarCurr) ) )).

fof(addAssignment_954,axiom,(
    ! [VarCurr] :
      ( v6972(VarCurr,bitIndex2)
    <=> v6938(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1754,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6956(VarNext)
      <=> ( v6957(VarNext)
          & v6952(VarNext) ) ) ) )).

fof(writeUnaryOperator_562,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6957(VarNext)
      <=> v6959(VarNext) ) ) )).

fof(addAssignment_953,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6959(VarNext)
      <=> v6952(VarCurr) ) ) )).

fof(addAssignment_952,axiom,(
    ! [VarCurr] :
      ( v6952(VarCurr)
    <=> v6812(VarCurr) ) )).

fof(addAssignment_951,axiom,(
    ! [VarCurr] :
      ( v6950(VarCurr)
    <=> $false ) )).

fof(addAssignment_950,axiom,(
    ! [VarCurr] :
      ( v6948(VarCurr)
    <=> v3182(VarCurr) ) )).

fof(addAssignment_949,axiom,(
    ! [VarCurr] :
      ( v6946(VarCurr)
    <=> $false ) )).

fof(addAssignment_948,axiom,(
    ! [VarCurr] :
      ( v6944(VarCurr)
    <=> v3158(VarCurr,bitIndex18) ) )).

fof(addAssignment_947,axiom,(
    ! [VarCurr] :
      ( v3158(VarCurr,bitIndex18)
    <=> v3160(VarCurr,bitIndex18) ) )).

fof(addAssignment_946,axiom,(
    ! [VarCurr] :
      ( v3160(VarCurr,bitIndex18)
    <=> v3162(VarCurr,bitIndex18) ) )).

fof(addAssignment_945,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex18)
    <=> v3164(VarCurr,bitIndex18) ) )).

fof(addAssignment_944,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex18)
    <=> v3166(VarCurr,bitIndex18) ) )).

fof(addAssignment_943,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex18)
    <=> v3168(VarCurr,bitIndex18) ) )).

fof(addAssignment_942,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex18)
    <=> v3170(VarCurr,bitIndex18) ) )).

fof(addAssignment_941,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex18)
    <=> v3172(VarCurr,bitIndex18) ) )).

fof(addAssignment_940,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex18)
    <=> v3174(VarCurr,bitIndex18) ) )).

fof(addAssignment_939,axiom,(
    ! [VarCurr] :
      ( v6942(VarCurr)
    <=> $false ) )).

fof(addAssignment_938,axiom,(
    ! [VarCurr] :
      ( v6940(VarCurr)
    <=> $false ) )).

fof(addAssignment_937,axiom,(
    ! [VarCurr] :
      ( v6938(VarCurr)
    <=> $true ) )).

fof(addAssignment_936,axiom,(
    ! [VarCurr] :
      ( v6936(VarCurr)
    <=> $false ) )).

fof(addAssignment_935,axiom,(
    ! [VarCurr] :
      ( v6934(VarCurr)
    <=> v3126(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_70,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6887(VarNext)
       => ( v6864(VarNext)
        <=> v6864(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_75,axiom,(
    ! [VarNext] :
      ( v6887(VarNext)
     => ( v6864(VarNext)
      <=> v6922(VarNext) ) ) )).

fof(addAssignment_934,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6922(VarNext)
      <=> v6920(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_187,axiom,(
    ! [VarCurr] :
      ( ~ v6866(VarCurr)
     => ( v6920(VarCurr)
      <=> v6923(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_189,axiom,(
    ! [VarCurr] :
      ( v6866(VarCurr)
     => ( v6920(VarCurr)
      <=> v6868(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_186,axiom,(
    ! [VarCurr] :
      ( ~ v6900(VarCurr)
     => ( v6923(VarCurr)
      <=> v6882(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_188,axiom,(
    ! [VarCurr] :
      ( v6900(VarCurr)
     => ( v6923(VarCurr)
      <=> v6924(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_147,axiom,(
    ! [VarCurr] :
      ( ( ~ v6903(VarCurr)
        & ~ v6905(VarCurr) )
     => ( v6924(VarCurr)
      <=> v6928(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_185,axiom,(
    ! [VarCurr] :
      ( v6905(VarCurr)
     => ( v6924(VarCurr)
      <=> v6927(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_187,axiom,(
    ! [VarCurr] :
      ( v6903(VarCurr)
     => ( v6924(VarCurr)
      <=> v6925(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_184,axiom,(
    ! [VarCurr] :
      ( ~ v6913(VarCurr)
     => ( v6928(VarCurr)
      <=> v6882(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_186,axiom,(
    ! [VarCurr] :
      ( v6913(VarCurr)
     => ( v6928(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_183,axiom,(
    ! [VarCurr] :
      ( ~ v6907(VarCurr)
     => ( v6927(VarCurr)
      <=> v6882(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_185,axiom,(
    ! [VarCurr] :
      ( v6907(VarCurr)
     => ( v6927(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_237,axiom,(
    ! [VarCurr] :
      ( ~ v6926(VarCurr)
     => ( v6925(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_238,axiom,(
    ! [VarCurr] :
      ( v6926(VarCurr)
     => ( v6925(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_469,axiom,(
    ! [VarCurr] :
      ( v6926(VarCurr)
    <=> ( v6876(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1753,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6887(VarNext)
      <=> ( v6888(VarNext)
          & v6897(VarNext) ) ) ) )).

fof(addAssignment_933,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6897(VarNext)
      <=> v6895(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1752,axiom,(
    ! [VarCurr] :
      ( v6895(VarCurr)
    <=> ( v6866(VarCurr)
        | v6898(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1751,axiom,(
    ! [VarCurr] :
      ( v6898(VarCurr)
    <=> ( v6899(VarCurr)
        & v6919(VarCurr) ) ) )).

fof(writeUnaryOperator_561,axiom,(
    ! [VarCurr] :
      ( ~ v6919(VarCurr)
    <=> v6866(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1750,axiom,(
    ! [VarCurr] :
      ( v6899(VarCurr)
    <=> ( v6900(VarCurr)
        | v6917(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1749,axiom,(
    ! [VarCurr] :
      ( v6917(VarCurr)
    <=> ( v6878(VarCurr)
        & v6918(VarCurr) ) ) )).

fof(writeUnaryOperator_560,axiom,(
    ! [VarCurr] :
      ( ~ v6918(VarCurr)
    <=> v6880(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1748,axiom,(
    ! [VarCurr] :
      ( v6900(VarCurr)
    <=> ( v6901(VarCurr)
        & v6880(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1747,axiom,(
    ! [VarCurr] :
      ( v6901(VarCurr)
    <=> ( v6902(VarCurr)
        | v6911(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1746,axiom,(
    ! [VarCurr] :
      ( v6911(VarCurr)
    <=> ( v6912(VarCurr)
        & v6916(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_468,axiom,(
    ! [VarCurr] :
      ( v6916(VarCurr)
    <=> ( ( v6904(VarCurr,bitIndex2)
        <=> $false )
        & ( v6904(VarCurr,bitIndex1)
        <=> $false )
        & ( v6904(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1745,axiom,(
    ! [VarCurr] :
      ( v6912(VarCurr)
    <=> ( v6913(VarCurr)
        | v6914(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1744,axiom,(
    ! [VarCurr] :
      ( v6914(VarCurr)
    <=> ( v6878(VarCurr)
        & v6915(VarCurr) ) ) )).

fof(writeUnaryOperator_559,axiom,(
    ! [VarCurr] :
      ( ~ v6915(VarCurr)
    <=> v6913(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_467,axiom,(
    ! [VarCurr] :
      ( v6913(VarCurr)
    <=> ( v6876(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1743,axiom,(
    ! [VarCurr] :
      ( v6902(VarCurr)
    <=> ( v6903(VarCurr)
        | v6905(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1742,axiom,(
    ! [VarCurr] :
      ( v6905(VarCurr)
    <=> ( v6906(VarCurr)
        & v6910(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_466,axiom,(
    ! [VarCurr] :
      ( v6910(VarCurr)
    <=> ( ( v6904(VarCurr,bitIndex2)
        <=> $false )
        & ( v6904(VarCurr,bitIndex1)
        <=> $true )
        & ( v6904(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1741,axiom,(
    ! [VarCurr] :
      ( v6906(VarCurr)
    <=> ( v6907(VarCurr)
        | v6908(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1740,axiom,(
    ! [VarCurr] :
      ( v6908(VarCurr)
    <=> ( v6878(VarCurr)
        & v6909(VarCurr) ) ) )).

fof(writeUnaryOperator_558,axiom,(
    ! [VarCurr] :
      ( ~ v6909(VarCurr)
    <=> v6907(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_465,axiom,(
    ! [VarCurr] :
      ( v6907(VarCurr)
    <=> ( v6876(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_464,axiom,(
    ! [VarCurr] :
      ( v6903(VarCurr)
    <=> ( ( v6904(VarCurr,bitIndex2)
        <=> $true )
        & ( v6904(VarCurr,bitIndex1)
        <=> $false )
        & ( v6904(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_932,axiom,(
    ! [VarCurr] :
      ( v6904(VarCurr,bitIndex0)
    <=> v6874(VarCurr) ) )).

fof(addAssignment_931,axiom,(
    ! [VarCurr] :
      ( v6904(VarCurr,bitIndex1)
    <=> v6872(VarCurr) ) )).

fof(addAssignment_930,axiom,(
    ! [VarCurr] :
      ( v6904(VarCurr,bitIndex2)
    <=> v6870(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1739,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6888(VarNext)
      <=> ( v6889(VarNext)
          & v6884(VarNext) ) ) ) )).

fof(writeUnaryOperator_557,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6889(VarNext)
      <=> v6891(VarNext) ) ) )).

fof(addAssignment_929,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6891(VarNext)
      <=> v6884(VarCurr) ) ) )).

fof(addAssignment_928,axiom,(
    ! [VarCurr] :
      ( v6884(VarCurr)
    <=> v6812(VarCurr) ) )).

fof(addAssignment_927,axiom,(
    ! [VarCurr] :
      ( v6882(VarCurr)
    <=> $false ) )).

fof(addAssignment_926,axiom,(
    ! [VarCurr] :
      ( v6880(VarCurr)
    <=> v3182(VarCurr) ) )).

fof(addAssignment_925,axiom,(
    ! [VarCurr] :
      ( v6878(VarCurr)
    <=> $false ) )).

fof(addAssignment_924,axiom,(
    ! [VarCurr] :
      ( v6876(VarCurr)
    <=> v3158(VarCurr,bitIndex17) ) )).

fof(addAssignment_923,axiom,(
    ! [VarCurr] :
      ( v3158(VarCurr,bitIndex17)
    <=> v3160(VarCurr,bitIndex17) ) )).

fof(addAssignment_922,axiom,(
    ! [VarCurr] :
      ( v3160(VarCurr,bitIndex17)
    <=> v3162(VarCurr,bitIndex17) ) )).

fof(addAssignment_921,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex17)
    <=> v3164(VarCurr,bitIndex17) ) )).

fof(addAssignment_920,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex17)
    <=> v3166(VarCurr,bitIndex17) ) )).

fof(addAssignment_919,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex17)
    <=> v3168(VarCurr,bitIndex17) ) )).

fof(addAssignment_918,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex17)
    <=> v3170(VarCurr,bitIndex17) ) )).

fof(addAssignment_917,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex17)
    <=> v3172(VarCurr,bitIndex17) ) )).

fof(addAssignment_916,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex17)
    <=> v3174(VarCurr,bitIndex17) ) )).

fof(addAssignment_915,axiom,(
    ! [VarCurr] :
      ( v6874(VarCurr)
    <=> $false ) )).

fof(addAssignment_914,axiom,(
    ! [VarCurr] :
      ( v6872(VarCurr)
    <=> $false ) )).

fof(addAssignment_913,axiom,(
    ! [VarCurr] :
      ( v6870(VarCurr)
    <=> $true ) )).

fof(addAssignment_912,axiom,(
    ! [VarCurr] :
      ( v6868(VarCurr)
    <=> $false ) )).

fof(addAssignment_911,axiom,(
    ! [VarCurr] :
      ( v6866(VarCurr)
    <=> v3126(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_69,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6819(VarNext)
       => ( v3122(VarNext)
        <=> v3122(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_74,axiom,(
    ! [VarNext] :
      ( v6819(VarNext)
     => ( v3122(VarNext)
      <=> v6854(VarNext) ) ) )).

fof(addAssignment_910,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6854(VarNext)
      <=> v6852(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_182,axiom,(
    ! [VarCurr] :
      ( ~ v3124(VarCurr)
     => ( v6852(VarCurr)
      <=> v6855(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_184,axiom,(
    ! [VarCurr] :
      ( v3124(VarCurr)
     => ( v6852(VarCurr)
      <=> v3147(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_181,axiom,(
    ! [VarCurr] :
      ( ~ v6832(VarCurr)
     => ( v6855(VarCurr)
      <=> v6808(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_183,axiom,(
    ! [VarCurr] :
      ( v6832(VarCurr)
     => ( v6855(VarCurr)
      <=> v6856(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_146,axiom,(
    ! [VarCurr] :
      ( ( ~ v6835(VarCurr)
        & ~ v6837(VarCurr) )
     => ( v6856(VarCurr)
      <=> v6860(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_180,axiom,(
    ! [VarCurr] :
      ( v6837(VarCurr)
     => ( v6856(VarCurr)
      <=> v6859(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_182,axiom,(
    ! [VarCurr] :
      ( v6835(VarCurr)
     => ( v6856(VarCurr)
      <=> v6857(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_179,axiom,(
    ! [VarCurr] :
      ( ~ v6845(VarCurr)
     => ( v6860(VarCurr)
      <=> v6808(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_181,axiom,(
    ! [VarCurr] :
      ( v6845(VarCurr)
     => ( v6860(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_178,axiom,(
    ! [VarCurr] :
      ( ~ v6839(VarCurr)
     => ( v6859(VarCurr)
      <=> v6808(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_180,axiom,(
    ! [VarCurr] :
      ( v6839(VarCurr)
     => ( v6859(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_236,axiom,(
    ! [VarCurr] :
      ( ~ v6858(VarCurr)
     => ( v6857(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_237,axiom,(
    ! [VarCurr] :
      ( v6858(VarCurr)
     => ( v6857(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_463,axiom,(
    ! [VarCurr] :
      ( v6858(VarCurr)
    <=> ( v3156(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1738,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6819(VarNext)
      <=> ( v6820(VarNext)
          & v6829(VarNext) ) ) ) )).

fof(addAssignment_909,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6829(VarNext)
      <=> v6827(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1737,axiom,(
    ! [VarCurr] :
      ( v6827(VarCurr)
    <=> ( v3124(VarCurr)
        | v6830(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1736,axiom,(
    ! [VarCurr] :
      ( v6830(VarCurr)
    <=> ( v6831(VarCurr)
        & v6851(VarCurr) ) ) )).

fof(writeUnaryOperator_556,axiom,(
    ! [VarCurr] :
      ( ~ v6851(VarCurr)
    <=> v3124(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1735,axiom,(
    ! [VarCurr] :
      ( v6831(VarCurr)
    <=> ( v6832(VarCurr)
        | v6849(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1734,axiom,(
    ! [VarCurr] :
      ( v6849(VarCurr)
    <=> ( v3178(VarCurr)
        & v6850(VarCurr) ) ) )).

fof(writeUnaryOperator_555,axiom,(
    ! [VarCurr] :
      ( ~ v6850(VarCurr)
    <=> v3180(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1733,axiom,(
    ! [VarCurr] :
      ( v6832(VarCurr)
    <=> ( v6833(VarCurr)
        & v3180(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1732,axiom,(
    ! [VarCurr] :
      ( v6833(VarCurr)
    <=> ( v6834(VarCurr)
        | v6843(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1731,axiom,(
    ! [VarCurr] :
      ( v6843(VarCurr)
    <=> ( v6844(VarCurr)
        & v6848(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_462,axiom,(
    ! [VarCurr] :
      ( v6848(VarCurr)
    <=> ( ( v6836(VarCurr,bitIndex2)
        <=> $false )
        & ( v6836(VarCurr,bitIndex1)
        <=> $false )
        & ( v6836(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1730,axiom,(
    ! [VarCurr] :
      ( v6844(VarCurr)
    <=> ( v6845(VarCurr)
        | v6846(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1729,axiom,(
    ! [VarCurr] :
      ( v6846(VarCurr)
    <=> ( v3178(VarCurr)
        & v6847(VarCurr) ) ) )).

fof(writeUnaryOperator_554,axiom,(
    ! [VarCurr] :
      ( ~ v6847(VarCurr)
    <=> v6845(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_461,axiom,(
    ! [VarCurr] :
      ( v6845(VarCurr)
    <=> ( v3156(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1728,axiom,(
    ! [VarCurr] :
      ( v6834(VarCurr)
    <=> ( v6835(VarCurr)
        | v6837(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1727,axiom,(
    ! [VarCurr] :
      ( v6837(VarCurr)
    <=> ( v6838(VarCurr)
        & v6842(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_460,axiom,(
    ! [VarCurr] :
      ( v6842(VarCurr)
    <=> ( ( v6836(VarCurr,bitIndex2)
        <=> $false )
        & ( v6836(VarCurr,bitIndex1)
        <=> $true )
        & ( v6836(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1726,axiom,(
    ! [VarCurr] :
      ( v6838(VarCurr)
    <=> ( v6839(VarCurr)
        | v6840(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1725,axiom,(
    ! [VarCurr] :
      ( v6840(VarCurr)
    <=> ( v3178(VarCurr)
        & v6841(VarCurr) ) ) )).

fof(writeUnaryOperator_553,axiom,(
    ! [VarCurr] :
      ( ~ v6841(VarCurr)
    <=> v6839(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_459,axiom,(
    ! [VarCurr] :
      ( v6839(VarCurr)
    <=> ( v3156(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_458,axiom,(
    ! [VarCurr] :
      ( v6835(VarCurr)
    <=> ( ( v6836(VarCurr,bitIndex2)
        <=> $true )
        & ( v6836(VarCurr,bitIndex1)
        <=> $false )
        & ( v6836(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_908,axiom,(
    ! [VarCurr] :
      ( v6836(VarCurr,bitIndex0)
    <=> v3153(VarCurr) ) )).

fof(addAssignment_907,axiom,(
    ! [VarCurr] :
      ( v6836(VarCurr,bitIndex1)
    <=> v3151(VarCurr) ) )).

fof(addAssignment_906,axiom,(
    ! [VarCurr] :
      ( v6836(VarCurr,bitIndex2)
    <=> v3149(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1724,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6820(VarNext)
      <=> ( v6821(VarNext)
          & v6810(VarNext) ) ) ) )).

fof(writeUnaryOperator_552,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6821(VarNext)
      <=> v6823(VarNext) ) ) )).

fof(addAssignment_905,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6823(VarNext)
      <=> v6810(VarCurr) ) ) )).

fof(addAssignment_904,axiom,(
    ! [VarCurr] :
      ( v6810(VarCurr)
    <=> v6812(VarCurr) ) )).

fof(addAssignment_903,axiom,(
    ! [VarCurr] :
      ( v6812(VarCurr)
    <=> v6814(VarCurr) ) )).

fof(addAssignment_902,axiom,(
    ! [VarCurr] :
      ( v6814(VarCurr)
    <=> v6816(VarCurr) ) )).

fof(addAssignment_901,axiom,(
    ! [VarCurr] :
      ( v6816(VarCurr)
    <=> v4165(VarCurr) ) )).

fof(addAssignment_900,axiom,(
    ! [VarCurr] :
      ( v6808(VarCurr)
    <=> $false ) )).

fof(addAssignment_899,axiom,(
    ! [VarCurr] :
      ( v3180(VarCurr)
    <=> v3182(VarCurr) ) )).

fof(addAssignment_898,axiom,(
    ! [VarCurr] :
      ( v3182(VarCurr)
    <=> v3184(VarCurr) ) )).

fof(addAssignment_897,axiom,(
    ! [VarCurr] :
      ( v3184(VarCurr)
    <=> v3186(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1723,axiom,(
    ! [VarCurr] :
      ( v3186(VarCurr)
    <=> ( v3188(VarCurr)
        & v3200(VarCurr) ) ) )).

fof(addAssignment_896,axiom,(
    ! [VarCurr] :
      ( v3200(VarCurr)
    <=> v3202(VarCurr) ) )).

fof(addAssignment_895,axiom,(
    ! [VarCurr] :
      ( v3202(VarCurr)
    <=> v3204(VarCurr) ) )).

fof(addAssignment_894,axiom,(
    ! [VarCurr] :
      ( v3204(VarCurr)
    <=> v3206(VarCurr) ) )).

fof(addAssignment_893,axiom,(
    ! [VarCurr] :
      ( v3206(VarCurr)
    <=> v3208(VarCurr) ) )).

fof(addAssignment_892,axiom,(
    ! [VarCurr] :
      ( v3208(VarCurr)
    <=> v3210(VarCurr) ) )).

fof(addAssignment_891,axiom,(
    ! [VarCurr] :
      ( v3210(VarCurr)
    <=> v3212(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_68,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6794(VarNext)
       => ( v3212(VarNext)
        <=> v3212(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_73,axiom,(
    ! [VarNext] :
      ( v6794(VarNext)
     => ( v3212(VarNext)
      <=> v6802(VarNext) ) ) )).

fof(addAssignment_890,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6802(VarNext)
      <=> v6800(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_235,axiom,(
    ! [VarCurr] :
      ( ~ v6803(VarCurr)
     => ( v6800(VarCurr)
      <=> v3216(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_236,axiom,(
    ! [VarCurr] :
      ( v6803(VarCurr)
     => ( v6800(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_551,axiom,(
    ! [VarCurr] :
      ( ~ v6803(VarCurr)
    <=> v3214(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1722,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6794(VarNext)
      <=> v6795(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1721,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6795(VarNext)
      <=> ( v6796(VarNext)
          & v4163(VarNext) ) ) ) )).

fof(writeUnaryOperator_550,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6796(VarNext)
      <=> v4174(VarNext) ) ) )).

fof(addAssignmentInitValueVector_14,axiom,
    ( v3212(constB0)
  <=> $false )).

fof(addAssignment_889,axiom,(
    ! [VarCurr] :
      ( v3216(VarCurr)
    <=> v3218(VarCurr) ) )).

fof(addAssignment_888,axiom,(
    ! [VarCurr] :
      ( v3218(VarCurr)
    <=> v3220(VarCurr) ) )).

fof(addAssignment_887,axiom,(
    ! [VarCurr] :
      ( v3220(VarCurr)
    <=> v3222(VarCurr) ) )).

fof(addAssignment_886,axiom,(
    ! [VarCurr] :
      ( v3222(VarCurr)
    <=> v3224(VarCurr) ) )).

fof(addAssignment_885,axiom,(
    ! [VarCurr] :
      ( v3224(VarCurr)
    <=> v3226(VarCurr) ) )).

fof(addAssignment_884,axiom,(
    ! [VarCurr] :
      ( v3226(VarCurr)
    <=> v3228(VarCurr) ) )).

fof(addAssignment_883,axiom,(
    ! [VarCurr] :
      ( v3228(VarCurr)
    <=> v3230(VarCurr) ) )).

fof(addAssignment_882,axiom,(
    ! [VarCurr] :
      ( v3230(VarCurr)
    <=> v3232(VarCurr) ) )).

fof(addAssignment_881,axiom,(
    ! [VarCurr] :
      ( v3232(VarCurr)
    <=> v3234(VarCurr) ) )).

fof(addAssignment_880,axiom,(
    ! [VarCurr] :
      ( v3234(VarCurr)
    <=> v3236(VarCurr) ) )).

fof(addAssignment_879,axiom,(
    ! [VarCurr] :
      ( v3236(VarCurr)
    <=> v3238(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_67,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6776(VarNext)
       => ( v3238(VarNext)
        <=> v3238(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_72,axiom,(
    ! [VarNext] :
      ( v6776(VarNext)
     => ( v3238(VarNext)
      <=> v6789(VarNext) ) ) )).

fof(addAssignment_878,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6789(VarNext)
      <=> v6787(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges1_1,axiom,(
    ! [VarCurr] :
      ( ~ v3623(VarCurr)
     => ( v6787(VarCurr)
      <=> v3252(VarCurr,bitIndex29) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_179,axiom,(
    ! [VarCurr] :
      ( v3623(VarCurr)
     => ( v6787(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1720,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6776(VarNext)
      <=> ( v6777(VarNext)
          & v6784(VarNext) ) ) ) )).

fof(addAssignment_877,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6784(VarNext)
      <=> v6782(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1719,axiom,(
    ! [VarCurr] :
      ( v6782(VarCurr)
    <=> ( v3623(VarCurr)
        | v6785(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_236,axiom,(
    ! [VarCurr] :
      ( v6785(VarCurr)
    <=> ( v3244(VarCurr,bitIndex2)
        & v6786(VarCurr) ) ) )).

fof(writeUnaryOperator_549,axiom,(
    ! [VarCurr] :
      ( ~ v6786(VarCurr)
    <=> v3623(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1718,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6777(VarNext)
      <=> ( v6779(VarNext)
          & v3499(VarNext) ) ) ) )).

fof(writeUnaryOperator_548,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6779(VarNext)
      <=> v3506(VarNext) ) ) )).

fof(addAssignmentInitValueVector_13,axiom,
    ( v3238(constB0)
  <=> $false )).

fof(addAssignment_876,axiom,(
    ! [VarCurr] :
      ( v3244(VarCurr,bitIndex2)
    <=> v6763(VarCurr,bitIndex2) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_234,axiom,(
    ! [VarCurr] :
      ( ~ v6764(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v6763(VarCurr,B)
          <=> $false ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_235,axiom,(
    ! [VarCurr] :
      ( v6764(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v6763(VarCurr,B)
          <=> v6772(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_14,axiom,(
    ! [VarCurr] :
      ( ( ~ v6768(VarCurr)
        & ~ v6769(VarCurr)
        & ~ v3472(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v6772(VarCurr,B)
          <=> b100(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_145,axiom,(
    ! [VarCurr] :
      ( v3472(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v6772(VarCurr,B)
          <=> b001(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_177,axiom,(
    ! [VarCurr] :
      ( v6769(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v6772(VarCurr,B)
          <=> b010(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_178,axiom,(
    ! [VarCurr] :
      ( v6768(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v6772(VarCurr,B)
          <=> b100(B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1717,axiom,(
    ! [VarCurr] :
      ( v6773(VarCurr)
    <=> ( v6770(VarCurr)
        | v6771(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1716,axiom,(
    ! [VarCurr] :
      ( v6764(VarCurr)
    <=> ( v6765(VarCurr)
        | v6771(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1715,axiom,(
    ! [VarCurr] :
      ( v6771(VarCurr)
    <=> ( v3491(VarCurr)
        & v3493(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1714,axiom,(
    ! [VarCurr] :
      ( v6765(VarCurr)
    <=> ( v6766(VarCurr)
        | v6770(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1713,axiom,(
    ! [VarCurr] :
      ( v6770(VarCurr)
    <=> ( v3482(VarCurr)
        & v3484(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1712,axiom,(
    ! [VarCurr] :
      ( v6766(VarCurr)
    <=> ( v6767(VarCurr)
        | v3472(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1711,axiom,(
    ! [VarCurr] :
      ( v6767(VarCurr)
    <=> ( v6768(VarCurr)
        | v6769(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_457,axiom,(
    ! [VarCurr] :
      ( v6769(VarCurr)
    <=> ( ( v3246(VarCurr,bitIndex2)
        <=> $false )
        & ( v3246(VarCurr,bitIndex1)
        <=> $false )
        & ( v3246(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_456,axiom,(
    ! [VarCurr] :
      ( v6768(VarCurr)
    <=> ( ( v3246(VarCurr,bitIndex2)
        <=> $false )
        & ( v3246(VarCurr,bitIndex1)
        <=> $false )
        & ( v3246(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_66,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6752(VarNext)
       => ! [B] :
            ( range_2_0(B)
           => ( v3246(VarNext,B)
            <=> v3246(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_71,axiom,(
    ! [VarNext] :
      ( v6752(VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v3246(VarNext,B)
          <=> v6760(VarNext,B) ) ) ) )).

fof(addAssignment_875,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v6760(VarNext,B)
          <=> v6758(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_233,axiom,(
    ! [VarCurr] :
      ( ~ v3513(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v6758(VarCurr,B)
          <=> v3248(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_234,axiom,(
    ! [VarCurr] :
      ( v3513(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v6758(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1710,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6752(VarNext)
      <=> v6753(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1709,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6753(VarNext)
      <=> ( v6755(VarNext)
          & v3499(VarNext) ) ) ) )).

fof(writeUnaryOperator_547,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6755(VarNext)
      <=> v3506(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges7_1,axiom,(
    ! [VarCurr] :
      ( ( ~ v6669(VarCurr)
        & ~ v6682(VarCurr)
        & ~ v6683(VarCurr)
        & ~ v6684(VarCurr)
        & ~ v6721(VarCurr)
        & ~ v6747(VarCurr)
        & ~ v6748(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v3248(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges6_1,axiom,(
    ! [VarCurr] :
      ( v6748(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v3248(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges5_2,axiom,(
    ! [VarCurr] :
      ( v6747(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v3248(VarCurr,B)
          <=> b110(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges4_4,axiom,(
    ! [VarCurr] :
      ( v6721(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v3248(VarCurr,B)
          <=> v6722(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_13,axiom,(
    ! [VarCurr] :
      ( v6684(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v3248(VarCurr,B)
          <=> v6685(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_144,axiom,(
    ! [VarCurr] :
      ( v6683(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v3248(VarCurr,B)
          <=> b011(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_176,axiom,(
    ! [VarCurr] :
      ( v6682(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v3248(VarCurr,B)
          <=> b010(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_177,axiom,(
    ! [VarCurr] :
      ( v6669(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v3248(VarCurr,B)
          <=> v6670(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_455,axiom,(
    ! [VarCurr] :
      ( v6749(VarCurr)
    <=> ( ( v3246(VarCurr,bitIndex2)
        <=> $true )
        & ( v3246(VarCurr,bitIndex1)
        <=> $true )
        & ( v3246(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_454,axiom,(
    ! [VarCurr] :
      ( v6748(VarCurr)
    <=> ( ( v3246(VarCurr,bitIndex2)
        <=> $true )
        & ( v3246(VarCurr,bitIndex1)
        <=> $true )
        & ( v3246(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_453,axiom,(
    ! [VarCurr] :
      ( v6747(VarCurr)
    <=> ( ( v3246(VarCurr,bitIndex2)
        <=> $true )
        & ( v3246(VarCurr,bitIndex1)
        <=> $false )
        & ( v3246(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_12,axiom,(
    ! [VarCurr] :
      ( ( ~ v6723(VarCurr)
        & ~ v6724(VarCurr)
        & ~ v6727(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v6722(VarCurr,B)
          <=> v6735(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_143,axiom,(
    ! [VarCurr] :
      ( v6727(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v6722(VarCurr,B)
          <=> b110(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_175,axiom,(
    ! [VarCurr] :
      ( v6724(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v6722(VarCurr,B)
          <=> b001(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_176,axiom,(
    ! [VarCurr] :
      ( v6723(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v6722(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_174,axiom,(
    ! [VarCurr] :
      ( ~ v6736(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v6735(VarCurr,B)
          <=> b101(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_175,axiom,(
    ! [VarCurr] :
      ( v6736(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v6735(VarCurr,B)
          <=> b100(B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1708,axiom,(
    ! [VarCurr] :
      ( v6738(VarCurr)
    <=> ( v6740(VarCurr)
        | v6745(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_452,axiom,(
    ! [VarCurr] :
      ( v6745(VarCurr)
    <=> ( ( v6746(VarCurr,bitIndex1)
        <=> $true )
        & ( v6746(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_874,axiom,(
    ! [VarCurr] :
      ( v6746(VarCurr,bitIndex0)
    <=> v6604(VarCurr) ) )).

fof(addAssignment_873,axiom,(
    ! [VarCurr] :
      ( v6746(VarCurr,bitIndex1)
    <=> v5245(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1707,axiom,(
    ! [VarCurr] :
      ( v6740(VarCurr)
    <=> ( v6741(VarCurr)
        | v6743(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_451,axiom,(
    ! [VarCurr] :
      ( v6743(VarCurr)
    <=> ( ( v6744(VarCurr,bitIndex1)
        <=> $true )
        & ( v6744(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_872,axiom,(
    ! [VarCurr] :
      ( v6744(VarCurr,bitIndex0)
    <=> v6604(VarCurr) ) )).

fof(addAssignment_871,axiom,(
    ! [VarCurr] :
      ( v6744(VarCurr,bitIndex1)
    <=> v5245(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_450,axiom,(
    ! [VarCurr] :
      ( v6741(VarCurr)
    <=> ( ( v6742(VarCurr,bitIndex1)
        <=> $false )
        & ( v6742(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_870,axiom,(
    ! [VarCurr] :
      ( v6742(VarCurr,bitIndex0)
    <=> v6604(VarCurr) ) )).

fof(addAssignment_869,axiom,(
    ! [VarCurr] :
      ( v6742(VarCurr,bitIndex1)
    <=> v5245(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_449,axiom,(
    ! [VarCurr] :
      ( v6736(VarCurr)
    <=> ( ( v6737(VarCurr,bitIndex1)
        <=> $false )
        & ( v6737(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_868,axiom,(
    ! [VarCurr] :
      ( v6737(VarCurr,bitIndex0)
    <=> v6604(VarCurr) ) )).

fof(addAssignment_867,axiom,(
    ! [VarCurr] :
      ( v6737(VarCurr,bitIndex1)
    <=> v5245(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1706,axiom,(
    ! [VarCurr] :
      ( v6727(VarCurr)
    <=> ( v6729(VarCurr)
        | v6734(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_448,axiom,(
    ! [VarCurr] :
      ( v6734(VarCurr)
    <=> ( ( v3250(VarCurr,bitIndex2)
        <=> $true )
        & ( v3250(VarCurr,bitIndex1)
        <=> $true )
        & ( v3250(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1705,axiom,(
    ! [VarCurr] :
      ( v6729(VarCurr)
    <=> ( v6730(VarCurr)
        | v6733(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_447,axiom,(
    ! [VarCurr] :
      ( v6733(VarCurr)
    <=> ( ( v3250(VarCurr,bitIndex2)
        <=> $true )
        & ( v3250(VarCurr,bitIndex1)
        <=> $true )
        & ( v3250(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1704,axiom,(
    ! [VarCurr] :
      ( v6730(VarCurr)
    <=> ( v6731(VarCurr)
        | v6732(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_446,axiom,(
    ! [VarCurr] :
      ( v6732(VarCurr)
    <=> ( ( v3250(VarCurr,bitIndex2)
        <=> $true )
        & ( v3250(VarCurr,bitIndex1)
        <=> $false )
        & ( v3250(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_445,axiom,(
    ! [VarCurr] :
      ( v6731(VarCurr)
    <=> ( ( v3250(VarCurr,bitIndex2)
        <=> $true )
        & ( v3250(VarCurr,bitIndex1)
        <=> $false )
        & ( v3250(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1703,axiom,(
    ! [VarCurr] :
      ( v6724(VarCurr)
    <=> ( v6725(VarCurr)
        | v6726(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_444,axiom,(
    ! [VarCurr] :
      ( v6726(VarCurr)
    <=> ( ( v3250(VarCurr,bitIndex2)
        <=> $false )
        & ( v3250(VarCurr,bitIndex1)
        <=> $true )
        & ( v3250(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_443,axiom,(
    ! [VarCurr] :
      ( v6725(VarCurr)
    <=> ( ( v3250(VarCurr,bitIndex2)
        <=> $false )
        & ( v3250(VarCurr,bitIndex1)
        <=> $true )
        & ( v3250(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_442,axiom,(
    ! [VarCurr] :
      ( v6723(VarCurr)
    <=> ( ( v3250(VarCurr,bitIndex2)
        <=> $false )
        & ( v3250(VarCurr,bitIndex1)
        <=> $false )
        & ( v3250(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_441,axiom,(
    ! [VarCurr] :
      ( v6721(VarCurr)
    <=> ( ( v3246(VarCurr,bitIndex2)
        <=> $true )
        & ( v3246(VarCurr,bitIndex1)
        <=> $false )
        & ( v3246(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_11,axiom,(
    ! [VarCurr] :
      ( ( ~ v6686(VarCurr)
        & ~ v6687(VarCurr)
        & ~ v6690(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v6685(VarCurr,B)
          <=> v6698(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_142,axiom,(
    ! [VarCurr] :
      ( v6690(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v6685(VarCurr,B)
          <=> b110(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_173,axiom,(
    ! [VarCurr] :
      ( v6687(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v6685(VarCurr,B)
          <=> b001(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_174,axiom,(
    ! [VarCurr] :
      ( v6686(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v6685(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_10,axiom,(
    ! [VarCurr] :
      ( ( ~ v6699(VarCurr)
        & ~ v6701(VarCurr)
        & ~ v6710(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v6698(VarCurr,B)
          <=> b101(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_141,axiom,(
    ! [VarCurr] :
      ( v6710(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v6698(VarCurr,B)
          <=> b100(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_172,axiom,(
    ! [VarCurr] :
      ( v6701(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v6698(VarCurr,B)
          <=> b101(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_173,axiom,(
    ! [VarCurr] :
      ( v6699(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v6698(VarCurr,B)
          <=> b011(B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1702,axiom,(
    ! [VarCurr] :
      ( v6712(VarCurr)
    <=> ( v6714(VarCurr)
        | v6719(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_440,axiom,(
    ! [VarCurr] :
      ( v6719(VarCurr)
    <=> ( ( v6720(VarCurr,bitIndex2)
        <=> $true )
        & ( v6720(VarCurr,bitIndex1)
        <=> $true )
        & ( v6720(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_866,axiom,(
    ! [VarCurr] :
      ( v6720(VarCurr,bitIndex0)
    <=> v6604(VarCurr) ) )).

fof(addAssignment_865,axiom,(
    ! [VarCurr] :
      ( v6720(VarCurr,bitIndex1)
    <=> v5245(VarCurr) ) )).

fof(addAssignment_864,axiom,(
    ! [VarCurr] :
      ( v6720(VarCurr,bitIndex2)
    <=> v3414(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1701,axiom,(
    ! [VarCurr] :
      ( v6714(VarCurr)
    <=> ( v6715(VarCurr)
        | v6717(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_439,axiom,(
    ! [VarCurr] :
      ( v6717(VarCurr)
    <=> ( ( v6718(VarCurr,bitIndex2)
        <=> $true )
        & ( v6718(VarCurr,bitIndex1)
        <=> $true )
        & ( v6718(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_863,axiom,(
    ! [VarCurr] :
      ( v6718(VarCurr,bitIndex0)
    <=> v6604(VarCurr) ) )).

fof(addAssignment_862,axiom,(
    ! [VarCurr] :
      ( v6718(VarCurr,bitIndex1)
    <=> v5245(VarCurr) ) )).

fof(addAssignment_861,axiom,(
    ! [VarCurr] :
      ( v6718(VarCurr,bitIndex2)
    <=> v3414(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_438,axiom,(
    ! [VarCurr] :
      ( v6715(VarCurr)
    <=> ( ( v6716(VarCurr,bitIndex2)
        <=> $true )
        & ( v6716(VarCurr,bitIndex1)
        <=> $false )
        & ( v6716(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_860,axiom,(
    ! [VarCurr] :
      ( v6716(VarCurr,bitIndex0)
    <=> v6604(VarCurr) ) )).

fof(addAssignment_859,axiom,(
    ! [VarCurr] :
      ( v6716(VarCurr,bitIndex1)
    <=> v5245(VarCurr) ) )).

fof(addAssignment_858,axiom,(
    ! [VarCurr] :
      ( v6716(VarCurr,bitIndex2)
    <=> v3414(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_437,axiom,(
    ! [VarCurr] :
      ( v6710(VarCurr)
    <=> ( ( v6711(VarCurr,bitIndex2)
        <=> $true )
        & ( v6711(VarCurr,bitIndex1)
        <=> $false )
        & ( v6711(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_857,axiom,(
    ! [VarCurr] :
      ( v6711(VarCurr,bitIndex0)
    <=> v6604(VarCurr) ) )).

fof(addAssignment_856,axiom,(
    ! [VarCurr] :
      ( v6711(VarCurr,bitIndex1)
    <=> v5245(VarCurr) ) )).

fof(addAssignment_855,axiom,(
    ! [VarCurr] :
      ( v6711(VarCurr,bitIndex2)
    <=> v3414(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1700,axiom,(
    ! [VarCurr] :
      ( v6701(VarCurr)
    <=> ( v6703(VarCurr)
        | v6708(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_436,axiom,(
    ! [VarCurr] :
      ( v6708(VarCurr)
    <=> ( ( v6709(VarCurr,bitIndex2)
        <=> $false )
        & ( v6709(VarCurr,bitIndex1)
        <=> $true )
        & ( v6709(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_854,axiom,(
    ! [VarCurr] :
      ( v6709(VarCurr,bitIndex0)
    <=> v6604(VarCurr) ) )).

fof(addAssignment_853,axiom,(
    ! [VarCurr] :
      ( v6709(VarCurr,bitIndex1)
    <=> v5245(VarCurr) ) )).

fof(addAssignment_852,axiom,(
    ! [VarCurr] :
      ( v6709(VarCurr,bitIndex2)
    <=> v3414(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1699,axiom,(
    ! [VarCurr] :
      ( v6703(VarCurr)
    <=> ( v6704(VarCurr)
        | v6706(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_435,axiom,(
    ! [VarCurr] :
      ( v6706(VarCurr)
    <=> ( ( v6707(VarCurr,bitIndex2)
        <=> $false )
        & ( v6707(VarCurr,bitIndex1)
        <=> $true )
        & ( v6707(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_851,axiom,(
    ! [VarCurr] :
      ( v6707(VarCurr,bitIndex0)
    <=> v6604(VarCurr) ) )).

fof(addAssignment_850,axiom,(
    ! [VarCurr] :
      ( v6707(VarCurr,bitIndex1)
    <=> v5245(VarCurr) ) )).

fof(addAssignment_849,axiom,(
    ! [VarCurr] :
      ( v6707(VarCurr,bitIndex2)
    <=> v3414(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_434,axiom,(
    ! [VarCurr] :
      ( v6704(VarCurr)
    <=> ( ( v6705(VarCurr,bitIndex2)
        <=> $false )
        & ( v6705(VarCurr,bitIndex1)
        <=> $false )
        & ( v6705(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_848,axiom,(
    ! [VarCurr] :
      ( v6705(VarCurr,bitIndex0)
    <=> v6604(VarCurr) ) )).

fof(addAssignment_847,axiom,(
    ! [VarCurr] :
      ( v6705(VarCurr,bitIndex1)
    <=> v5245(VarCurr) ) )).

fof(addAssignment_846,axiom,(
    ! [VarCurr] :
      ( v6705(VarCurr,bitIndex2)
    <=> v3414(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_433,axiom,(
    ! [VarCurr] :
      ( v6699(VarCurr)
    <=> ( ( v6700(VarCurr,bitIndex2)
        <=> $false )
        & ( v6700(VarCurr,bitIndex1)
        <=> $false )
        & ( v6700(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_845,axiom,(
    ! [VarCurr] :
      ( v6700(VarCurr,bitIndex0)
    <=> v6604(VarCurr) ) )).

fof(addAssignment_844,axiom,(
    ! [VarCurr] :
      ( v6700(VarCurr,bitIndex1)
    <=> v5245(VarCurr) ) )).

fof(addAssignment_843,axiom,(
    ! [VarCurr] :
      ( v6700(VarCurr,bitIndex2)
    <=> v3414(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1698,axiom,(
    ! [VarCurr] :
      ( v6690(VarCurr)
    <=> ( v6692(VarCurr)
        | v6697(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_432,axiom,(
    ! [VarCurr] :
      ( v6697(VarCurr)
    <=> ( ( v3250(VarCurr,bitIndex2)
        <=> $true )
        & ( v3250(VarCurr,bitIndex1)
        <=> $true )
        & ( v3250(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1697,axiom,(
    ! [VarCurr] :
      ( v6692(VarCurr)
    <=> ( v6693(VarCurr)
        | v6696(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_431,axiom,(
    ! [VarCurr] :
      ( v6696(VarCurr)
    <=> ( ( v3250(VarCurr,bitIndex2)
        <=> $true )
        & ( v3250(VarCurr,bitIndex1)
        <=> $true )
        & ( v3250(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1696,axiom,(
    ! [VarCurr] :
      ( v6693(VarCurr)
    <=> ( v6694(VarCurr)
        | v6695(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_430,axiom,(
    ! [VarCurr] :
      ( v6695(VarCurr)
    <=> ( ( v3250(VarCurr,bitIndex2)
        <=> $true )
        & ( v3250(VarCurr,bitIndex1)
        <=> $false )
        & ( v3250(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_429,axiom,(
    ! [VarCurr] :
      ( v6694(VarCurr)
    <=> ( ( v3250(VarCurr,bitIndex2)
        <=> $true )
        & ( v3250(VarCurr,bitIndex1)
        <=> $false )
        & ( v3250(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1695,axiom,(
    ! [VarCurr] :
      ( v6687(VarCurr)
    <=> ( v6688(VarCurr)
        | v6689(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_428,axiom,(
    ! [VarCurr] :
      ( v6689(VarCurr)
    <=> ( ( v3250(VarCurr,bitIndex2)
        <=> $false )
        & ( v3250(VarCurr,bitIndex1)
        <=> $true )
        & ( v3250(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_427,axiom,(
    ! [VarCurr] :
      ( v6688(VarCurr)
    <=> ( ( v3250(VarCurr,bitIndex2)
        <=> $false )
        & ( v3250(VarCurr,bitIndex1)
        <=> $true )
        & ( v3250(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_426,axiom,(
    ! [VarCurr] :
      ( v6686(VarCurr)
    <=> ( ( v3250(VarCurr,bitIndex2)
        <=> $false )
        & ( v3250(VarCurr,bitIndex1)
        <=> $false )
        & ( v3250(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_425,axiom,(
    ! [VarCurr] :
      ( v6684(VarCurr)
    <=> ( ( v3246(VarCurr,bitIndex2)
        <=> $false )
        & ( v3246(VarCurr,bitIndex1)
        <=> $true )
        & ( v3246(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_424,axiom,(
    ! [VarCurr] :
      ( v6683(VarCurr)
    <=> ( ( v3246(VarCurr,bitIndex2)
        <=> $false )
        & ( v3246(VarCurr,bitIndex1)
        <=> $true )
        & ( v3246(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_423,axiom,(
    ! [VarCurr] :
      ( v6682(VarCurr)
    <=> ( ( v3246(VarCurr,bitIndex2)
        <=> $false )
        & ( v3246(VarCurr,bitIndex1)
        <=> $false )
        & ( v3246(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_140,axiom,(
    ! [VarCurr] :
      ( ( ~ v6671(VarCurr)
        & ~ v6674(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v6670(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_171,axiom,(
    ! [VarCurr] :
      ( v6674(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v6670(VarCurr,B)
          <=> b110(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_172,axiom,(
    ! [VarCurr] :
      ( v6671(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v6670(VarCurr,B)
          <=> b001(B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1694,axiom,(
    ! [VarCurr] :
      ( v6674(VarCurr)
    <=> ( v6676(VarCurr)
        | v6681(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_422,axiom,(
    ! [VarCurr] :
      ( v6681(VarCurr)
    <=> ( ( v3250(VarCurr,bitIndex2)
        <=> $true )
        & ( v3250(VarCurr,bitIndex1)
        <=> $true )
        & ( v3250(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1693,axiom,(
    ! [VarCurr] :
      ( v6676(VarCurr)
    <=> ( v6677(VarCurr)
        | v6680(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_421,axiom,(
    ! [VarCurr] :
      ( v6680(VarCurr)
    <=> ( ( v3250(VarCurr,bitIndex2)
        <=> $true )
        & ( v3250(VarCurr,bitIndex1)
        <=> $true )
        & ( v3250(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1692,axiom,(
    ! [VarCurr] :
      ( v6677(VarCurr)
    <=> ( v6678(VarCurr)
        | v6679(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_420,axiom,(
    ! [VarCurr] :
      ( v6679(VarCurr)
    <=> ( ( v3250(VarCurr,bitIndex2)
        <=> $true )
        & ( v3250(VarCurr,bitIndex1)
        <=> $false )
        & ( v3250(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_419,axiom,(
    ! [VarCurr] :
      ( v6678(VarCurr)
    <=> ( ( v3250(VarCurr,bitIndex2)
        <=> $true )
        & ( v3250(VarCurr,bitIndex1)
        <=> $false )
        & ( v3250(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1691,axiom,(
    ! [VarCurr] :
      ( v6671(VarCurr)
    <=> ( v6672(VarCurr)
        | v6673(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_418,axiom,(
    ! [VarCurr] :
      ( v6673(VarCurr)
    <=> ( ( v3250(VarCurr,bitIndex2)
        <=> $false )
        & ( v3250(VarCurr,bitIndex1)
        <=> $true )
        & ( v3250(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_417,axiom,(
    ! [VarCurr] :
      ( v6672(VarCurr)
    <=> ( ( v3250(VarCurr,bitIndex2)
        <=> $false )
        & ( v3250(VarCurr,bitIndex1)
        <=> $true )
        & ( v3250(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_416,axiom,(
    ! [VarCurr] :
      ( v6669(VarCurr)
    <=> ( ( v3246(VarCurr,bitIndex2)
        <=> $false )
        & ( v3246(VarCurr,bitIndex1)
        <=> $false )
        & ( v3246(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_842,axiom,(
    ! [VarCurr] :
      ( v6604(VarCurr)
    <=> v6606(VarCurr) ) )).

fof(addAssignment_841,axiom,(
    ! [VarCurr] :
      ( v6606(VarCurr)
    <=> v6608(VarCurr) ) )).

fof(addAssignment_840,axiom,(
    ! [VarCurr] :
      ( v6608(VarCurr)
    <=> v6610(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1690,axiom,(
    ! [VarCurr] :
      ( v6610(VarCurr)
    <=> ( v6666(VarCurr)
        | v6658(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1689,axiom,(
    ! [VarCurr] :
      ( v6666(VarCurr)
    <=> ( v6667(VarCurr)
        | v6650(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1688,axiom,(
    ! [VarCurr] :
      ( v6667(VarCurr)
    <=> ( v6612(VarCurr)
        | v6620(VarCurr) ) ) )).

fof(addAssignment_839,axiom,(
    ! [VarCurr] :
      ( v6658(VarCurr)
    <=> v6660(VarCurr) ) )).

fof(addAssignment_838,axiom,(
    ! [VarCurr] :
      ( v6660(VarCurr)
    <=> v6662(VarCurr) ) )).

fof(addAssignment_837,axiom,(
    ! [VarCurr] :
      ( v6662(VarCurr)
    <=> v6664(VarCurr) ) )).

fof(addAssignment_836,axiom,(
    ! [VarCurr] :
      ( v6664(VarCurr)
    <=> $false ) )).

fof(addAssignment_835,axiom,(
    ! [VarCurr] :
      ( v6650(VarCurr)
    <=> v6652(VarCurr) ) )).

fof(addAssignment_834,axiom,(
    ! [VarCurr] :
      ( v6652(VarCurr)
    <=> v6654(VarCurr) ) )).

fof(addAssignment_833,axiom,(
    ! [VarCurr] :
      ( v6654(VarCurr)
    <=> v6656(VarCurr) ) )).

fof(addAssignment_832,axiom,(
    ! [VarCurr] :
      ( v6656(VarCurr)
    <=> $false ) )).

fof(addAssignment_831,axiom,(
    ! [VarCurr] :
      ( v6620(VarCurr)
    <=> v6622(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1687,axiom,(
    ! [VarCurr] :
      ( v6622(VarCurr)
    <=> ( v6648(VarCurr)
        | v6640(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1686,axiom,(
    ! [VarCurr] :
      ( v6648(VarCurr)
    <=> ( v6624(VarCurr)
        | v6632(VarCurr) ) ) )).

fof(addAssignment_830,axiom,(
    ! [VarCurr] :
      ( v6640(VarCurr)
    <=> v6642(VarCurr) ) )).

fof(addAssignment_829,axiom,(
    ! [VarCurr] :
      ( v6642(VarCurr)
    <=> v6644(VarCurr) ) )).

fof(addAssignment_828,axiom,(
    ! [VarCurr] :
      ( v6644(VarCurr)
    <=> v6646(VarCurr) ) )).

fof(addAssignment_827,axiom,(
    ! [VarCurr] :
      ( v6646(VarCurr)
    <=> $false ) )).

fof(addAssignment_826,axiom,(
    ! [VarCurr] :
      ( v6632(VarCurr)
    <=> v6634(VarCurr) ) )).

fof(addAssignment_825,axiom,(
    ! [VarCurr] :
      ( v6634(VarCurr)
    <=> v6636(VarCurr) ) )).

fof(addAssignment_824,axiom,(
    ! [VarCurr] :
      ( v6636(VarCurr)
    <=> v6638(VarCurr) ) )).

fof(addAssignment_823,axiom,(
    ! [VarCurr] :
      ( v6638(VarCurr)
    <=> $false ) )).

fof(addAssignment_822,axiom,(
    ! [VarCurr] :
      ( v6624(VarCurr)
    <=> v6626(VarCurr) ) )).

fof(addAssignment_821,axiom,(
    ! [VarCurr] :
      ( v6626(VarCurr)
    <=> v6628(VarCurr) ) )).

fof(addAssignment_820,axiom,(
    ! [VarCurr] :
      ( v6628(VarCurr)
    <=> v6630(VarCurr) ) )).

fof(addAssignment_819,axiom,(
    ! [VarCurr] :
      ( v6630(VarCurr)
    <=> $false ) )).

fof(addAssignment_818,axiom,(
    ! [VarCurr] :
      ( v6612(VarCurr)
    <=> v6614(VarCurr) ) )).

fof(addAssignment_817,axiom,(
    ! [VarCurr] :
      ( v6614(VarCurr)
    <=> v6616(VarCurr) ) )).

fof(addAssignment_816,axiom,(
    ! [VarCurr] :
      ( v6616(VarCurr)
    <=> v6618(VarCurr) ) )).

fof(addAssignment_815,axiom,(
    ! [VarCurr] :
      ( v6618(VarCurr)
    <=> $false ) )).

fof(addAssignment_814,axiom,(
    ! [VarCurr] :
      ( v5245(VarCurr)
    <=> v5247(VarCurr) ) )).

fof(addAssignment_813,axiom,(
    ! [VarCurr] :
      ( v5247(VarCurr)
    <=> v5249(VarCurr) ) )).

fof(addAssignment_812,axiom,(
    ! [VarCurr] :
      ( v5249(VarCurr)
    <=> v5251(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1685,axiom,(
    ! [VarCurr] :
      ( v5251(VarCurr)
    <=> ( v6601(VarCurr)
        | v6250(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1684,axiom,(
    ! [VarCurr] :
      ( v6601(VarCurr)
    <=> ( v6602(VarCurr)
        | v6143(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1683,axiom,(
    ! [VarCurr] :
      ( v6602(VarCurr)
    <=> ( v5253(VarCurr)
        | v5965(VarCurr) ) ) )).

fof(addAssignment_811,axiom,(
    ! [VarCurr] :
      ( v6250(VarCurr)
    <=> v6252(VarCurr) ) )).

fof(addAssignment_810,axiom,(
    ! [VarCurr] :
      ( v6252(VarCurr)
    <=> v6254(VarCurr) ) )).

fof(addAssignment_809,axiom,(
    ! [VarCurr] :
      ( v6254(VarCurr)
    <=> v6256(VarCurr) ) )).

fof(addAssignment_808,axiom,(
    ! [VarCurr] :
      ( v6256(VarCurr)
    <=> v6258(VarCurr) ) )).

fof(addAssignment_807,axiom,(
    ! [VarCurr] :
      ( v6258(VarCurr)
    <=> v6260(VarCurr) ) )).

fof(addAssignment_806,axiom,(
    ! [VarCurr] :
      ( v6260(VarCurr)
    <=> v6262(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1682,axiom,(
    ! [VarCurr] :
      ( v6262(VarCurr)
    <=> ( v4387(VarCurr)
        & v6264(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_65,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6587(VarNext)
       => ( v6264(VarNext)
        <=> v6264(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_70,axiom,(
    ! [VarNext] :
      ( v6587(VarNext)
     => ( v6264(VarNext)
      <=> v6595(VarNext) ) ) )).

fof(addAssignment_805,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6595(VarNext)
      <=> v6593(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_232,axiom,(
    ! [VarCurr] :
      ( ~ v6596(VarCurr)
     => ( v6593(VarCurr)
      <=> v6266(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_233,axiom,(
    ! [VarCurr] :
      ( v6596(VarCurr)
     => ( v6593(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_546,axiom,(
    ! [VarCurr] :
      ( ~ v6596(VarCurr)
    <=> v4381(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1681,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6587(VarNext)
      <=> v6588(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1680,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6588(VarNext)
      <=> ( v6590(VarNext)
          & v4401(VarNext) ) ) ) )).

fof(writeUnaryOperator_545,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6590(VarNext)
      <=> v4412(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_64,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6443(VarNext)
       => ( v6266(VarNext)
        <=> v6266(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_69,axiom,(
    ! [VarNext] :
      ( v6443(VarNext)
     => ( v6266(VarNext)
      <=> v6451(VarNext) ) ) )).

fof(addAssignment_804,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6451(VarNext)
      <=> v6449(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_231,axiom,(
    ! [VarCurr] :
      ( ~ v6452(VarCurr)
     => ( v6449(VarCurr)
      <=> v6453(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_232,axiom,(
    ! [VarCurr] :
      ( v6452(VarCurr)
     => ( v6449(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1679,axiom,(
    ! [VarCurr] :
      ( v6453(VarCurr)
    <=> ( v6454(VarCurr)
        | v6582(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1678,axiom,(
    ! [VarCurr] :
      ( v6582(VarCurr)
    <=> ( v6440(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1677,axiom,(
    ! [VarCurr] :
      ( v6454(VarCurr)
    <=> ( v6455(VarCurr)
        | v6581(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1676,axiom,(
    ! [VarCurr] :
      ( v6581(VarCurr)
    <=> ( v6438(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1675,axiom,(
    ! [VarCurr] :
      ( v6455(VarCurr)
    <=> ( v6456(VarCurr)
        | v6580(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1674,axiom,(
    ! [VarCurr] :
      ( v6580(VarCurr)
    <=> ( v6436(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1673,axiom,(
    ! [VarCurr] :
      ( v6456(VarCurr)
    <=> ( v6457(VarCurr)
        | v6579(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1672,axiom,(
    ! [VarCurr] :
      ( v6579(VarCurr)
    <=> ( v6434(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1671,axiom,(
    ! [VarCurr] :
      ( v6457(VarCurr)
    <=> ( v6458(VarCurr)
        | v6578(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1670,axiom,(
    ! [VarCurr] :
      ( v6578(VarCurr)
    <=> ( v6432(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1669,axiom,(
    ! [VarCurr] :
      ( v6458(VarCurr)
    <=> ( v6459(VarCurr)
        | v6577(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1668,axiom,(
    ! [VarCurr] :
      ( v6577(VarCurr)
    <=> ( v6430(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1667,axiom,(
    ! [VarCurr] :
      ( v6459(VarCurr)
    <=> ( v6460(VarCurr)
        | v6576(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1666,axiom,(
    ! [VarCurr] :
      ( v6576(VarCurr)
    <=> ( v6428(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1665,axiom,(
    ! [VarCurr] :
      ( v6460(VarCurr)
    <=> ( v6461(VarCurr)
        | v6575(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1664,axiom,(
    ! [VarCurr] :
      ( v6575(VarCurr)
    <=> ( v6426(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1663,axiom,(
    ! [VarCurr] :
      ( v6461(VarCurr)
    <=> ( v6462(VarCurr)
        | v6574(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1662,axiom,(
    ! [VarCurr] :
      ( v6574(VarCurr)
    <=> ( v6424(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1661,axiom,(
    ! [VarCurr] :
      ( v6462(VarCurr)
    <=> ( v6463(VarCurr)
        | v6573(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1660,axiom,(
    ! [VarCurr] :
      ( v6573(VarCurr)
    <=> ( v6422(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1659,axiom,(
    ! [VarCurr] :
      ( v6463(VarCurr)
    <=> ( v6464(VarCurr)
        | v6572(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1658,axiom,(
    ! [VarCurr] :
      ( v6572(VarCurr)
    <=> ( v6420(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1657,axiom,(
    ! [VarCurr] :
      ( v6464(VarCurr)
    <=> ( v6465(VarCurr)
        | v6571(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1656,axiom,(
    ! [VarCurr] :
      ( v6571(VarCurr)
    <=> ( v6418(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1655,axiom,(
    ! [VarCurr] :
      ( v6465(VarCurr)
    <=> ( v6466(VarCurr)
        | v6570(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1654,axiom,(
    ! [VarCurr] :
      ( v6570(VarCurr)
    <=> ( v6416(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1653,axiom,(
    ! [VarCurr] :
      ( v6466(VarCurr)
    <=> ( v6467(VarCurr)
        | v6569(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1652,axiom,(
    ! [VarCurr] :
      ( v6569(VarCurr)
    <=> ( v6414(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1651,axiom,(
    ! [VarCurr] :
      ( v6467(VarCurr)
    <=> ( v6468(VarCurr)
        | v6568(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1650,axiom,(
    ! [VarCurr] :
      ( v6568(VarCurr)
    <=> ( v6412(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1649,axiom,(
    ! [VarCurr] :
      ( v6468(VarCurr)
    <=> ( v6469(VarCurr)
        | v6567(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1648,axiom,(
    ! [VarCurr] :
      ( v6567(VarCurr)
    <=> ( v6410(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1647,axiom,(
    ! [VarCurr] :
      ( v6469(VarCurr)
    <=> ( v6470(VarCurr)
        | v6566(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1646,axiom,(
    ! [VarCurr] :
      ( v6566(VarCurr)
    <=> ( v6408(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1645,axiom,(
    ! [VarCurr] :
      ( v6470(VarCurr)
    <=> ( v6471(VarCurr)
        | v6565(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1644,axiom,(
    ! [VarCurr] :
      ( v6565(VarCurr)
    <=> ( v6406(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1643,axiom,(
    ! [VarCurr] :
      ( v6471(VarCurr)
    <=> ( v6472(VarCurr)
        | v6564(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1642,axiom,(
    ! [VarCurr] :
      ( v6564(VarCurr)
    <=> ( v6404(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1641,axiom,(
    ! [VarCurr] :
      ( v6472(VarCurr)
    <=> ( v6473(VarCurr)
        | v6563(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1640,axiom,(
    ! [VarCurr] :
      ( v6563(VarCurr)
    <=> ( v6402(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1639,axiom,(
    ! [VarCurr] :
      ( v6473(VarCurr)
    <=> ( v6474(VarCurr)
        | v6562(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1638,axiom,(
    ! [VarCurr] :
      ( v6562(VarCurr)
    <=> ( v6400(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1637,axiom,(
    ! [VarCurr] :
      ( v6474(VarCurr)
    <=> ( v6475(VarCurr)
        | v6561(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1636,axiom,(
    ! [VarCurr] :
      ( v6561(VarCurr)
    <=> ( v6398(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1635,axiom,(
    ! [VarCurr] :
      ( v6475(VarCurr)
    <=> ( v6476(VarCurr)
        | v6560(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1634,axiom,(
    ! [VarCurr] :
      ( v6560(VarCurr)
    <=> ( v6396(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1633,axiom,(
    ! [VarCurr] :
      ( v6476(VarCurr)
    <=> ( v6477(VarCurr)
        | v6559(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1632,axiom,(
    ! [VarCurr] :
      ( v6559(VarCurr)
    <=> ( v6394(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1631,axiom,(
    ! [VarCurr] :
      ( v6477(VarCurr)
    <=> ( v6478(VarCurr)
        | v6558(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1630,axiom,(
    ! [VarCurr] :
      ( v6558(VarCurr)
    <=> ( v6392(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1629,axiom,(
    ! [VarCurr] :
      ( v6478(VarCurr)
    <=> ( v6479(VarCurr)
        | v6557(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1628,axiom,(
    ! [VarCurr] :
      ( v6557(VarCurr)
    <=> ( v6390(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1627,axiom,(
    ! [VarCurr] :
      ( v6479(VarCurr)
    <=> ( v6480(VarCurr)
        | v6556(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1626,axiom,(
    ! [VarCurr] :
      ( v6556(VarCurr)
    <=> ( v6388(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1625,axiom,(
    ! [VarCurr] :
      ( v6480(VarCurr)
    <=> ( v6481(VarCurr)
        | v6555(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1624,axiom,(
    ! [VarCurr] :
      ( v6555(VarCurr)
    <=> ( v6386(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1623,axiom,(
    ! [VarCurr] :
      ( v6481(VarCurr)
    <=> ( v6482(VarCurr)
        | v6554(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1622,axiom,(
    ! [VarCurr] :
      ( v6554(VarCurr)
    <=> ( v6384(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1621,axiom,(
    ! [VarCurr] :
      ( v6482(VarCurr)
    <=> ( v6483(VarCurr)
        | v6553(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1620,axiom,(
    ! [VarCurr] :
      ( v6553(VarCurr)
    <=> ( v6382(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1619,axiom,(
    ! [VarCurr] :
      ( v6483(VarCurr)
    <=> ( v6484(VarCurr)
        | v6552(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1618,axiom,(
    ! [VarCurr] :
      ( v6552(VarCurr)
    <=> ( v6380(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1617,axiom,(
    ! [VarCurr] :
      ( v6484(VarCurr)
    <=> ( v6485(VarCurr)
        | v6551(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1616,axiom,(
    ! [VarCurr] :
      ( v6551(VarCurr)
    <=> ( v6378(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1615,axiom,(
    ! [VarCurr] :
      ( v6485(VarCurr)
    <=> ( v6486(VarCurr)
        | v6550(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1614,axiom,(
    ! [VarCurr] :
      ( v6550(VarCurr)
    <=> ( v6376(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1613,axiom,(
    ! [VarCurr] :
      ( v6486(VarCurr)
    <=> ( v6487(VarCurr)
        | v6549(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1612,axiom,(
    ! [VarCurr] :
      ( v6549(VarCurr)
    <=> ( v6374(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1611,axiom,(
    ! [VarCurr] :
      ( v6487(VarCurr)
    <=> ( v6488(VarCurr)
        | v6548(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1610,axiom,(
    ! [VarCurr] :
      ( v6548(VarCurr)
    <=> ( v6372(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1609,axiom,(
    ! [VarCurr] :
      ( v6488(VarCurr)
    <=> ( v6489(VarCurr)
        | v6547(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1608,axiom,(
    ! [VarCurr] :
      ( v6547(VarCurr)
    <=> ( v6370(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1607,axiom,(
    ! [VarCurr] :
      ( v6489(VarCurr)
    <=> ( v6490(VarCurr)
        | v6546(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1606,axiom,(
    ! [VarCurr] :
      ( v6546(VarCurr)
    <=> ( v6368(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1605,axiom,(
    ! [VarCurr] :
      ( v6490(VarCurr)
    <=> ( v6491(VarCurr)
        | v6545(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1604,axiom,(
    ! [VarCurr] :
      ( v6545(VarCurr)
    <=> ( v6366(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1603,axiom,(
    ! [VarCurr] :
      ( v6491(VarCurr)
    <=> ( v6492(VarCurr)
        | v6544(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1602,axiom,(
    ! [VarCurr] :
      ( v6544(VarCurr)
    <=> ( v6364(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1601,axiom,(
    ! [VarCurr] :
      ( v6492(VarCurr)
    <=> ( v6493(VarCurr)
        | v6543(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1600,axiom,(
    ! [VarCurr] :
      ( v6543(VarCurr)
    <=> ( v6362(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1599,axiom,(
    ! [VarCurr] :
      ( v6493(VarCurr)
    <=> ( v6494(VarCurr)
        | v6542(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1598,axiom,(
    ! [VarCurr] :
      ( v6542(VarCurr)
    <=> ( v6360(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1597,axiom,(
    ! [VarCurr] :
      ( v6494(VarCurr)
    <=> ( v6495(VarCurr)
        | v6541(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1596,axiom,(
    ! [VarCurr] :
      ( v6541(VarCurr)
    <=> ( v6358(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1595,axiom,(
    ! [VarCurr] :
      ( v6495(VarCurr)
    <=> ( v6496(VarCurr)
        | v6540(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1594,axiom,(
    ! [VarCurr] :
      ( v6540(VarCurr)
    <=> ( v6356(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1593,axiom,(
    ! [VarCurr] :
      ( v6496(VarCurr)
    <=> ( v6497(VarCurr)
        | v6539(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1592,axiom,(
    ! [VarCurr] :
      ( v6539(VarCurr)
    <=> ( v6354(VarCurr)
        & v4379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1591,axiom,(
    ! [VarCurr] :
      ( v6497(VarCurr)
    <=> ( v6498(VarCurr)
        | v6352(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1590,axiom,(
    ! [VarCurr] :
      ( v6498(VarCurr)
    <=> ( v6499(VarCurr)
        | v6350(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1589,axiom,(
    ! [VarCurr] :
      ( v6499(VarCurr)
    <=> ( v6500(VarCurr)
        | v6348(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1588,axiom,(
    ! [VarCurr] :
      ( v6500(VarCurr)
    <=> ( v6501(VarCurr)
        | v6346(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1587,axiom,(
    ! [VarCurr] :
      ( v6501(VarCurr)
    <=> ( v6502(VarCurr)
        | v6344(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1586,axiom,(
    ! [VarCurr] :
      ( v6502(VarCurr)
    <=> ( v6503(VarCurr)
        | v6342(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1585,axiom,(
    ! [VarCurr] :
      ( v6503(VarCurr)
    <=> ( v6504(VarCurr)
        | v6340(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1584,axiom,(
    ! [VarCurr] :
      ( v6504(VarCurr)
    <=> ( v6505(VarCurr)
        | v6338(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1583,axiom,(
    ! [VarCurr] :
      ( v6505(VarCurr)
    <=> ( v6506(VarCurr)
        | v6336(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1582,axiom,(
    ! [VarCurr] :
      ( v6506(VarCurr)
    <=> ( v6507(VarCurr)
        | v6334(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1581,axiom,(
    ! [VarCurr] :
      ( v6507(VarCurr)
    <=> ( v6508(VarCurr)
        | v6332(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1580,axiom,(
    ! [VarCurr] :
      ( v6508(VarCurr)
    <=> ( v6509(VarCurr)
        | v6330(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1579,axiom,(
    ! [VarCurr] :
      ( v6509(VarCurr)
    <=> ( v6510(VarCurr)
        | v6328(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1578,axiom,(
    ! [VarCurr] :
      ( v6510(VarCurr)
    <=> ( v6511(VarCurr)
        | v6326(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1577,axiom,(
    ! [VarCurr] :
      ( v6511(VarCurr)
    <=> ( v6512(VarCurr)
        | v6324(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1576,axiom,(
    ! [VarCurr] :
      ( v6512(VarCurr)
    <=> ( v6513(VarCurr)
        | v6322(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1575,axiom,(
    ! [VarCurr] :
      ( v6513(VarCurr)
    <=> ( v6514(VarCurr)
        | v6320(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1574,axiom,(
    ! [VarCurr] :
      ( v6514(VarCurr)
    <=> ( v6515(VarCurr)
        | v6318(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1573,axiom,(
    ! [VarCurr] :
      ( v6515(VarCurr)
    <=> ( v6516(VarCurr)
        | v6316(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1572,axiom,(
    ! [VarCurr] :
      ( v6516(VarCurr)
    <=> ( v6517(VarCurr)
        | v6314(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1571,axiom,(
    ! [VarCurr] :
      ( v6517(VarCurr)
    <=> ( v6518(VarCurr)
        | v6312(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1570,axiom,(
    ! [VarCurr] :
      ( v6518(VarCurr)
    <=> ( v6519(VarCurr)
        | v6310(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1569,axiom,(
    ! [VarCurr] :
      ( v6519(VarCurr)
    <=> ( v6520(VarCurr)
        | v6308(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1568,axiom,(
    ! [VarCurr] :
      ( v6520(VarCurr)
    <=> ( v6521(VarCurr)
        | v6306(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1567,axiom,(
    ! [VarCurr] :
      ( v6521(VarCurr)
    <=> ( v6522(VarCurr)
        | v6304(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1566,axiom,(
    ! [VarCurr] :
      ( v6522(VarCurr)
    <=> ( v6523(VarCurr)
        | v6302(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1565,axiom,(
    ! [VarCurr] :
      ( v6523(VarCurr)
    <=> ( v6524(VarCurr)
        | v6300(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1564,axiom,(
    ! [VarCurr] :
      ( v6524(VarCurr)
    <=> ( v6525(VarCurr)
        | v6298(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1563,axiom,(
    ! [VarCurr] :
      ( v6525(VarCurr)
    <=> ( v6526(VarCurr)
        | v6296(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1562,axiom,(
    ! [VarCurr] :
      ( v6526(VarCurr)
    <=> ( v6527(VarCurr)
        | v6294(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1561,axiom,(
    ! [VarCurr] :
      ( v6527(VarCurr)
    <=> ( v6528(VarCurr)
        | v6292(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1560,axiom,(
    ! [VarCurr] :
      ( v6528(VarCurr)
    <=> ( v6529(VarCurr)
        | v6290(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1559,axiom,(
    ! [VarCurr] :
      ( v6529(VarCurr)
    <=> ( v6530(VarCurr)
        | v6288(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1558,axiom,(
    ! [VarCurr] :
      ( v6530(VarCurr)
    <=> ( v6531(VarCurr)
        | v6286(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1557,axiom,(
    ! [VarCurr] :
      ( v6531(VarCurr)
    <=> ( v6532(VarCurr)
        | v6284(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1556,axiom,(
    ! [VarCurr] :
      ( v6532(VarCurr)
    <=> ( v6533(VarCurr)
        | v6282(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1555,axiom,(
    ! [VarCurr] :
      ( v6533(VarCurr)
    <=> ( v6534(VarCurr)
        | v6280(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1554,axiom,(
    ! [VarCurr] :
      ( v6534(VarCurr)
    <=> ( v6535(VarCurr)
        | v6278(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1553,axiom,(
    ! [VarCurr] :
      ( v6535(VarCurr)
    <=> ( v6536(VarCurr)
        | v6276(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1552,axiom,(
    ! [VarCurr] :
      ( v6536(VarCurr)
    <=> ( v6537(VarCurr)
        | v6274(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1551,axiom,(
    ! [VarCurr] :
      ( v6537(VarCurr)
    <=> ( v6538(VarCurr)
        | v6272(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1550,axiom,(
    ! [VarCurr] :
      ( v6538(VarCurr)
    <=> ( v6268(VarCurr)
        | v6270(VarCurr) ) ) )).

fof(writeUnaryOperator_544,axiom,(
    ! [VarCurr] :
      ( ~ v6452(VarCurr)
    <=> v4381(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1549,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6443(VarNext)
      <=> v6444(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1548,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6444(VarNext)
      <=> ( v6445(VarNext)
          & v4401(VarNext) ) ) ) )).

fof(writeUnaryOperator_543,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6445(VarNext)
      <=> v4412(VarNext) ) ) )).

fof(addAssignment_803,axiom,(
    ! [VarCurr] :
      ( v6143(VarCurr)
    <=> v6145(VarCurr) ) )).

fof(addAssignment_802,axiom,(
    ! [VarCurr] :
      ( v6145(VarCurr)
    <=> v6147(VarCurr) ) )).

fof(addAssignment_801,axiom,(
    ! [VarCurr] :
      ( v6147(VarCurr)
    <=> v6149(VarCurr) ) )).

fof(addAssignment_800,axiom,(
    ! [VarCurr] :
      ( v6149(VarCurr)
    <=> v6151(VarCurr) ) )).

fof(addAssignment_799,axiom,(
    ! [VarCurr] :
      ( v6151(VarCurr)
    <=> v6153(VarCurr) ) )).

fof(addAssignment_798,axiom,(
    ! [VarCurr] :
      ( v6153(VarCurr)
    <=> v6155(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1547,axiom,(
    ! [VarCurr] :
      ( v6155(VarCurr)
    <=> ( v4149(VarCurr)
        & v6157(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_63,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6236(VarNext)
       => ( v6157(VarNext)
        <=> v6157(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_68,axiom,(
    ! [VarNext] :
      ( v6236(VarNext)
     => ( v6157(VarNext)
      <=> v6244(VarNext) ) ) )).

fof(addAssignment_797,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6244(VarNext)
      <=> v6242(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_230,axiom,(
    ! [VarCurr] :
      ( ~ v6245(VarCurr)
     => ( v6242(VarCurr)
      <=> v6159(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_231,axiom,(
    ! [VarCurr] :
      ( v6245(VarCurr)
     => ( v6242(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_542,axiom,(
    ! [VarCurr] :
      ( ~ v6245(VarCurr)
    <=> v3214(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1546,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6236(VarNext)
      <=> v6237(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1545,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6237(VarNext)
      <=> ( v6239(VarNext)
          & v4163(VarNext) ) ) ) )).

fof(writeUnaryOperator_541,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6239(VarNext)
      <=> v4174(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_62,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6206(VarNext)
       => ( v6159(VarNext)
        <=> v6159(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_67,axiom,(
    ! [VarNext] :
      ( v6206(VarNext)
     => ( v6159(VarNext)
      <=> v6214(VarNext) ) ) )).

fof(addAssignment_796,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6214(VarNext)
      <=> v6212(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_229,axiom,(
    ! [VarCurr] :
      ( ~ v6215(VarCurr)
     => ( v6212(VarCurr)
      <=> v6216(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_230,axiom,(
    ! [VarCurr] :
      ( v6215(VarCurr)
     => ( v6212(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1544,axiom,(
    ! [VarCurr] :
      ( v6216(VarCurr)
    <=> ( v6217(VarCurr)
        | v6231(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1543,axiom,(
    ! [VarCurr] :
      ( v6231(VarCurr)
    <=> ( v6203(VarCurr)
        & v4147(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1542,axiom,(
    ! [VarCurr] :
      ( v6217(VarCurr)
    <=> ( v6218(VarCurr)
        | v6230(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1541,axiom,(
    ! [VarCurr] :
      ( v6230(VarCurr)
    <=> ( v6201(VarCurr)
        & v4147(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1540,axiom,(
    ! [VarCurr] :
      ( v6218(VarCurr)
    <=> ( v6219(VarCurr)
        | v6183(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1539,axiom,(
    ! [VarCurr] :
      ( v6219(VarCurr)
    <=> ( v6220(VarCurr)
        | v6181(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1538,axiom,(
    ! [VarCurr] :
      ( v6220(VarCurr)
    <=> ( v6221(VarCurr)
        | v3198(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1537,axiom,(
    ! [VarCurr] :
      ( v6221(VarCurr)
    <=> ( v6222(VarCurr)
        | v6179(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1536,axiom,(
    ! [VarCurr] :
      ( v6222(VarCurr)
    <=> ( v6223(VarCurr)
        | v6177(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1535,axiom,(
    ! [VarCurr] :
      ( v6223(VarCurr)
    <=> ( v6224(VarCurr)
        | v6175(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1534,axiom,(
    ! [VarCurr] :
      ( v6224(VarCurr)
    <=> ( v6225(VarCurr)
        | v6173(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1533,axiom,(
    ! [VarCurr] :
      ( v6225(VarCurr)
    <=> ( v6226(VarCurr)
        | v6171(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1532,axiom,(
    ! [VarCurr] :
      ( v6226(VarCurr)
    <=> ( v6227(VarCurr)
        | v6169(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1531,axiom,(
    ! [VarCurr] :
      ( v6227(VarCurr)
    <=> ( v6228(VarCurr)
        | v6167(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1530,axiom,(
    ! [VarCurr] :
      ( v6228(VarCurr)
    <=> ( v6229(VarCurr)
        | v6165(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1529,axiom,(
    ! [VarCurr] :
      ( v6229(VarCurr)
    <=> ( v6161(VarCurr)
        | v6163(VarCurr) ) ) )).

fof(writeUnaryOperator_540,axiom,(
    ! [VarCurr] :
      ( ~ v6215(VarCurr)
    <=> v3214(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1528,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6206(VarNext)
      <=> v6207(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1527,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6207(VarNext)
      <=> ( v6208(VarNext)
          & v4163(VarNext) ) ) ) )).

fof(writeUnaryOperator_539,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6208(VarNext)
      <=> v4174(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_61,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6186(VarNext)
       => ( v6183(VarNext)
        <=> v6183(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_66,axiom,(
    ! [VarNext] :
      ( v6186(VarNext)
     => ( v6183(VarNext)
      <=> v6194(VarNext) ) ) )).

fof(addAssignment_795,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6194(VarNext)
      <=> v6192(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_228,axiom,(
    ! [VarCurr] :
      ( ~ v6195(VarCurr)
     => ( v6192(VarCurr)
      <=> v6196(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_229,axiom,(
    ! [VarCurr] :
      ( v6195(VarCurr)
     => ( v6192(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1526,axiom,(
    ! [VarCurr] :
      ( v6196(VarCurr)
    <=> ( v6197(VarCurr)
        & v4341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1525,axiom,(
    ! [VarCurr] :
      ( v6197(VarCurr)
    <=> ( $true
        & v4147(VarCurr) ) ) )).

fof(writeUnaryOperator_538,axiom,(
    ! [VarCurr] :
      ( ~ v6195(VarCurr)
    <=> v3214(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1524,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6186(VarNext)
      <=> v6187(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1523,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6187(VarNext)
      <=> ( v6188(VarNext)
          & v4163(VarNext) ) ) ) )).

fof(writeUnaryOperator_537,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6188(VarNext)
      <=> v4174(VarNext) ) ) )).

fof(addAssignmentInitValueVector_12,axiom,
    ( v6183(constB0)
  <=> $false )).

fof(addAssignment_794,axiom,(
    ! [VarCurr] :
      ( v5965(VarCurr)
    <=> v5967(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1522,axiom,(
    ! [VarCurr] :
      ( v5967(VarCurr)
    <=> ( v6141(VarCurr)
        | v6080(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1521,axiom,(
    ! [VarCurr] :
      ( v6141(VarCurr)
    <=> ( v5969(VarCurr)
        | v6018(VarCurr) ) ) )).

fof(addAssignment_793,axiom,(
    ! [VarCurr] :
      ( v6080(VarCurr)
    <=> v6082(VarCurr) ) )).

fof(addAssignment_792,axiom,(
    ! [VarCurr] :
      ( v6082(VarCurr)
    <=> v6084(VarCurr) ) )).

fof(addAssignment_791,axiom,(
    ! [VarCurr] :
      ( v6084(VarCurr)
    <=> v6086(VarCurr) ) )).

fof(addAssignment_790,axiom,(
    ! [VarCurr] :
      ( v6086(VarCurr)
    <=> v6088(VarCurr) ) )).

fof(addAssignment_789,axiom,(
    ! [VarCurr] :
      ( v6088(VarCurr)
    <=> v6090(VarCurr) ) )).

fof(addAssignment_788,axiom,(
    ! [VarCurr] :
      ( v6090(VarCurr)
    <=> v6092(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1520,axiom,(
    ! [VarCurr] :
      ( v6092(VarCurr)
    <=> ( v4014(VarCurr)
        & v6094(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_60,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6127(VarNext)
       => ( v6094(VarNext)
        <=> v6094(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_65,axiom,(
    ! [VarNext] :
      ( v6127(VarNext)
     => ( v6094(VarNext)
      <=> v6135(VarNext) ) ) )).

fof(addAssignment_787,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6135(VarNext)
      <=> v6133(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_227,axiom,(
    ! [VarCurr] :
      ( ~ v6136(VarCurr)
     => ( v6133(VarCurr)
      <=> v6096(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_228,axiom,(
    ! [VarCurr] :
      ( v6136(VarCurr)
     => ( v6133(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_536,axiom,(
    ! [VarCurr] :
      ( ~ v6136(VarCurr)
    <=> v4008(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1519,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6127(VarNext)
      <=> v6128(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1518,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6128(VarNext)
      <=> ( v6130(VarNext)
          & v4028(VarNext) ) ) ) )).

fof(writeUnaryOperator_535,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6130(VarNext)
      <=> v4039(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_59,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6109(VarNext)
       => ( v6096(VarNext)
        <=> v6096(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_64,axiom,(
    ! [VarNext] :
      ( v6109(VarNext)
     => ( v6096(VarNext)
      <=> v6117(VarNext) ) ) )).

fof(addAssignment_786,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6117(VarNext)
      <=> v6115(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_226,axiom,(
    ! [VarCurr] :
      ( ~ v6118(VarCurr)
     => ( v6115(VarCurr)
      <=> v6119(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_227,axiom,(
    ! [VarCurr] :
      ( v6118(VarCurr)
     => ( v6115(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1517,axiom,(
    ! [VarCurr] :
      ( v6119(VarCurr)
    <=> ( v6120(VarCurr)
        | v6106(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1516,axiom,(
    ! [VarCurr] :
      ( v6120(VarCurr)
    <=> ( v6121(VarCurr)
        | v6104(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1515,axiom,(
    ! [VarCurr] :
      ( v6121(VarCurr)
    <=> ( v6122(VarCurr)
        | v6102(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1514,axiom,(
    ! [VarCurr] :
      ( v6122(VarCurr)
    <=> ( v6098(VarCurr)
        | v6100(VarCurr) ) ) )).

fof(writeUnaryOperator_534,axiom,(
    ! [VarCurr] :
      ( ~ v6118(VarCurr)
    <=> v4008(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1513,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6109(VarNext)
      <=> v6110(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1512,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6110(VarNext)
      <=> ( v6111(VarNext)
          & v4028(VarNext) ) ) ) )).

fof(writeUnaryOperator_533,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6111(VarNext)
      <=> v4039(VarNext) ) ) )).

fof(addAssignment_785,axiom,(
    ! [VarCurr] :
      ( v6018(VarCurr)
    <=> v6020(VarCurr) ) )).

fof(addAssignment_784,axiom,(
    ! [VarCurr] :
      ( v6020(VarCurr)
    <=> v6022(VarCurr) ) )).

fof(addAssignment_783,axiom,(
    ! [VarCurr] :
      ( v6022(VarCurr)
    <=> v6024(VarCurr) ) )).

fof(addAssignment_782,axiom,(
    ! [VarCurr] :
      ( v6024(VarCurr)
    <=> v6026(VarCurr) ) )).

fof(addAssignment_781,axiom,(
    ! [VarCurr] :
      ( v6026(VarCurr)
    <=> v6028(VarCurr) ) )).

fof(addAssignment_780,axiom,(
    ! [VarCurr] :
      ( v6028(VarCurr)
    <=> v6030(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1511,axiom,(
    ! [VarCurr] :
      ( v6030(VarCurr)
    <=> ( v3875(VarCurr)
        & v6032(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_58,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6066(VarNext)
       => ( v6032(VarNext)
        <=> v6032(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_63,axiom,(
    ! [VarNext] :
      ( v6066(VarNext)
     => ( v6032(VarNext)
      <=> v6074(VarNext) ) ) )).

fof(addAssignment_779,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6074(VarNext)
      <=> v6072(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_225,axiom,(
    ! [VarCurr] :
      ( ~ v6075(VarCurr)
     => ( v6072(VarCurr)
      <=> v6034(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_226,axiom,(
    ! [VarCurr] :
      ( v6075(VarCurr)
     => ( v6072(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_532,axiom,(
    ! [VarCurr] :
      ( ~ v6075(VarCurr)
    <=> v3869(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1510,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6066(VarNext)
      <=> v6067(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1509,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6067(VarNext)
      <=> ( v6069(VarNext)
          & v3889(VarNext) ) ) ) )).

fof(writeUnaryOperator_531,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6069(VarNext)
      <=> v3900(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_57,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6047(VarNext)
       => ( v6034(VarNext)
        <=> v6034(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_62,axiom,(
    ! [VarNext] :
      ( v6047(VarNext)
     => ( v6034(VarNext)
      <=> v6055(VarNext) ) ) )).

fof(addAssignment_778,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6055(VarNext)
      <=> v6053(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_224,axiom,(
    ! [VarCurr] :
      ( ~ v6056(VarCurr)
     => ( v6053(VarCurr)
      <=> v6057(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_225,axiom,(
    ! [VarCurr] :
      ( v6056(VarCurr)
     => ( v6053(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1508,axiom,(
    ! [VarCurr] :
      ( v6057(VarCurr)
    <=> ( v6058(VarCurr)
        | v6061(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1507,axiom,(
    ! [VarCurr] :
      ( v6061(VarCurr)
    <=> ( v6044(VarCurr)
        & v3867(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1506,axiom,(
    ! [VarCurr] :
      ( v6058(VarCurr)
    <=> ( v6059(VarCurr)
        | v6042(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1505,axiom,(
    ! [VarCurr] :
      ( v6059(VarCurr)
    <=> ( v6060(VarCurr)
        | v6040(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1504,axiom,(
    ! [VarCurr] :
      ( v6060(VarCurr)
    <=> ( v6036(VarCurr)
        | v6038(VarCurr) ) ) )).

fof(writeUnaryOperator_530,axiom,(
    ! [VarCurr] :
      ( ~ v6056(VarCurr)
    <=> v3869(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1503,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6047(VarNext)
      <=> v6048(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1502,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6048(VarNext)
      <=> ( v6049(VarNext)
          & v3889(VarNext) ) ) ) )).

fof(writeUnaryOperator_529,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6049(VarNext)
      <=> v3900(VarNext) ) ) )).

fof(addAssignment_777,axiom,(
    ! [VarCurr] :
      ( v5969(VarCurr)
    <=> v5971(VarCurr) ) )).

fof(addAssignment_776,axiom,(
    ! [VarCurr] :
      ( v5971(VarCurr)
    <=> v5973(VarCurr) ) )).

fof(addAssignment_775,axiom,(
    ! [VarCurr] :
      ( v5973(VarCurr)
    <=> v5975(VarCurr) ) )).

fof(addAssignment_774,axiom,(
    ! [VarCurr] :
      ( v5975(VarCurr)
    <=> v5977(VarCurr) ) )).

fof(addAssignment_773,axiom,(
    ! [VarCurr] :
      ( v5977(VarCurr)
    <=> v5979(VarCurr) ) )).

fof(addAssignment_772,axiom,(
    ! [VarCurr] :
      ( v5979(VarCurr)
    <=> v5981(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1501,axiom,(
    ! [VarCurr] :
      ( v5981(VarCurr)
    <=> ( v3725(VarCurr)
        & v5983(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_56,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6004(VarNext)
       => ( v5983(VarNext)
        <=> v5983(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_61,axiom,(
    ! [VarNext] :
      ( v6004(VarNext)
     => ( v5983(VarNext)
      <=> v6012(VarNext) ) ) )).

fof(addAssignment_771,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6012(VarNext)
      <=> v6010(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_223,axiom,(
    ! [VarCurr] :
      ( ~ v6013(VarCurr)
     => ( v6010(VarCurr)
      <=> v5985(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_224,axiom,(
    ! [VarCurr] :
      ( v6013(VarCurr)
     => ( v6010(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_528,axiom,(
    ! [VarCurr] :
      ( ~ v6013(VarCurr)
    <=> v3717(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1500,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6004(VarNext)
      <=> v6005(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1499,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v6005(VarNext)
      <=> ( v6007(VarNext)
          & v3741(VarNext) ) ) ) )).

fof(writeUnaryOperator_527,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v6007(VarNext)
      <=> v3754(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_55,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5990(VarNext)
       => ( v5985(VarNext)
        <=> v5985(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_60,axiom,(
    ! [VarNext] :
      ( v5990(VarNext)
     => ( v5985(VarNext)
      <=> v5998(VarNext) ) ) )).

fof(addAssignment_770,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5998(VarNext)
      <=> v5996(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_222,axiom,(
    ! [VarCurr] :
      ( ~ v5999(VarCurr)
     => ( v5996(VarCurr)
      <=> v5987(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_223,axiom,(
    ! [VarCurr] :
      ( v5999(VarCurr)
     => ( v5996(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_526,axiom,(
    ! [VarCurr] :
      ( ~ v5999(VarCurr)
    <=> v3717(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1498,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5990(VarNext)
      <=> v5991(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1497,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5991(VarNext)
      <=> ( v5992(VarNext)
          & v3741(VarNext) ) ) ) )).

fof(writeUnaryOperator_525,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5992(VarNext)
      <=> v3754(VarNext) ) ) )).

fof(addAssignment_769,axiom,(
    ! [VarCurr] :
      ( v5253(VarCurr)
    <=> v5255(VarCurr) ) )).

fof(addAssignment_768,axiom,(
    ! [VarCurr] :
      ( v5255(VarCurr)
    <=> v5257(VarCurr) ) )).

fof(addAssignment_767,axiom,(
    ! [VarCurr] :
      ( v5257(VarCurr)
    <=> v5259(VarCurr) ) )).

fof(addAssignment_766,axiom,(
    ! [VarCurr] :
      ( v5259(VarCurr)
    <=> v5261(VarCurr) ) )).

fof(addAssignment_765,axiom,(
    ! [VarCurr] :
      ( v5261(VarCurr)
    <=> v5263(VarCurr) ) )).

fof(addAssignment_764,axiom,(
    ! [VarCurr] :
      ( v5263(VarCurr)
    <=> v5265(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1496,axiom,(
    ! [VarCurr] :
      ( v5265(VarCurr)
    <=> ( v3444(VarCurr)
        & v5267(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_54,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5950(VarNext)
       => ( v5267(VarNext)
        <=> v5267(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_59,axiom,(
    ! [VarNext] :
      ( v5950(VarNext)
     => ( v5267(VarNext)
      <=> v5958(VarNext) ) ) )).

fof(addAssignment_763,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5958(VarNext)
      <=> v5956(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_221,axiom,(
    ! [VarCurr] :
      ( ~ v5959(VarCurr)
     => ( v5956(VarCurr)
      <=> v5960(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_222,axiom,(
    ! [VarCurr] :
      ( v5959(VarCurr)
     => ( v5956(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1495,axiom,(
    ! [VarCurr] :
      ( v5960(VarCurr)
    <=> ( v5269(VarCurr)
        | v5647(VarCurr) ) ) )).

fof(writeUnaryOperator_524,axiom,(
    ! [VarCurr] :
      ( ~ v5959(VarCurr)
    <=> v3438(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1494,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5950(VarNext)
      <=> v5951(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1493,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5951(VarNext)
      <=> ( v5953(VarNext)
          & v3519(VarNext) ) ) ) )).

fof(writeUnaryOperator_523,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5953(VarNext)
      <=> v3532(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_53,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5794(VarNext)
       => ( v5647(VarNext)
        <=> v5647(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_58,axiom,(
    ! [VarNext] :
      ( v5794(VarNext)
     => ( v5647(VarNext)
      <=> v5802(VarNext) ) ) )).

fof(addAssignment_762,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5802(VarNext)
      <=> v5800(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_220,axiom,(
    ! [VarCurr] :
      ( ~ v5499(VarCurr)
     => ( v5800(VarCurr)
      <=> v5803(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_221,axiom,(
    ! [VarCurr] :
      ( v5499(VarCurr)
     => ( v5800(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1492,axiom,(
    ! [VarCurr] :
      ( v5803(VarCurr)
    <=> ( v5804(VarCurr)
        | v5945(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1491,axiom,(
    ! [VarCurr] :
      ( v5945(VarCurr)
    <=> ( v5791(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1490,axiom,(
    ! [VarCurr] :
      ( v5804(VarCurr)
    <=> ( v5805(VarCurr)
        | v5944(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1489,axiom,(
    ! [VarCurr] :
      ( v5944(VarCurr)
    <=> ( v5789(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1488,axiom,(
    ! [VarCurr] :
      ( v5805(VarCurr)
    <=> ( v5806(VarCurr)
        | v5943(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1487,axiom,(
    ! [VarCurr] :
      ( v5943(VarCurr)
    <=> ( v5787(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1486,axiom,(
    ! [VarCurr] :
      ( v5806(VarCurr)
    <=> ( v5807(VarCurr)
        | v5942(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1485,axiom,(
    ! [VarCurr] :
      ( v5942(VarCurr)
    <=> ( v5785(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1484,axiom,(
    ! [VarCurr] :
      ( v5807(VarCurr)
    <=> ( v5808(VarCurr)
        | v5941(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1483,axiom,(
    ! [VarCurr] :
      ( v5941(VarCurr)
    <=> ( v5783(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1482,axiom,(
    ! [VarCurr] :
      ( v5808(VarCurr)
    <=> ( v5809(VarCurr)
        | v5940(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1481,axiom,(
    ! [VarCurr] :
      ( v5940(VarCurr)
    <=> ( v5781(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1480,axiom,(
    ! [VarCurr] :
      ( v5809(VarCurr)
    <=> ( v5810(VarCurr)
        | v5939(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1479,axiom,(
    ! [VarCurr] :
      ( v5939(VarCurr)
    <=> ( v5779(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1478,axiom,(
    ! [VarCurr] :
      ( v5810(VarCurr)
    <=> ( v5811(VarCurr)
        | v5938(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1477,axiom,(
    ! [VarCurr] :
      ( v5938(VarCurr)
    <=> ( v5777(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1476,axiom,(
    ! [VarCurr] :
      ( v5811(VarCurr)
    <=> ( v5812(VarCurr)
        | v5937(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1475,axiom,(
    ! [VarCurr] :
      ( v5937(VarCurr)
    <=> ( v5775(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1474,axiom,(
    ! [VarCurr] :
      ( v5812(VarCurr)
    <=> ( v5813(VarCurr)
        | v5936(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1473,axiom,(
    ! [VarCurr] :
      ( v5936(VarCurr)
    <=> ( v5773(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1472,axiom,(
    ! [VarCurr] :
      ( v5813(VarCurr)
    <=> ( v5814(VarCurr)
        | v5935(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1471,axiom,(
    ! [VarCurr] :
      ( v5935(VarCurr)
    <=> ( v5771(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1470,axiom,(
    ! [VarCurr] :
      ( v5814(VarCurr)
    <=> ( v5815(VarCurr)
        | v5934(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1469,axiom,(
    ! [VarCurr] :
      ( v5934(VarCurr)
    <=> ( v5769(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1468,axiom,(
    ! [VarCurr] :
      ( v5815(VarCurr)
    <=> ( v5816(VarCurr)
        | v5933(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1467,axiom,(
    ! [VarCurr] :
      ( v5933(VarCurr)
    <=> ( v5767(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1466,axiom,(
    ! [VarCurr] :
      ( v5816(VarCurr)
    <=> ( v5817(VarCurr)
        | v5932(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1465,axiom,(
    ! [VarCurr] :
      ( v5932(VarCurr)
    <=> ( v5765(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1464,axiom,(
    ! [VarCurr] :
      ( v5817(VarCurr)
    <=> ( v5818(VarCurr)
        | v5931(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1463,axiom,(
    ! [VarCurr] :
      ( v5931(VarCurr)
    <=> ( v5763(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1462,axiom,(
    ! [VarCurr] :
      ( v5818(VarCurr)
    <=> ( v5819(VarCurr)
        | v5930(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1461,axiom,(
    ! [VarCurr] :
      ( v5930(VarCurr)
    <=> ( v5761(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1460,axiom,(
    ! [VarCurr] :
      ( v5819(VarCurr)
    <=> ( v5820(VarCurr)
        | v5929(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1459,axiom,(
    ! [VarCurr] :
      ( v5929(VarCurr)
    <=> ( v5759(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1458,axiom,(
    ! [VarCurr] :
      ( v5820(VarCurr)
    <=> ( v5821(VarCurr)
        | v5928(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1457,axiom,(
    ! [VarCurr] :
      ( v5928(VarCurr)
    <=> ( v5757(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1456,axiom,(
    ! [VarCurr] :
      ( v5821(VarCurr)
    <=> ( v5822(VarCurr)
        | v5927(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1455,axiom,(
    ! [VarCurr] :
      ( v5927(VarCurr)
    <=> ( v5755(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1454,axiom,(
    ! [VarCurr] :
      ( v5822(VarCurr)
    <=> ( v5823(VarCurr)
        | v5926(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1453,axiom,(
    ! [VarCurr] :
      ( v5926(VarCurr)
    <=> ( v5753(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1452,axiom,(
    ! [VarCurr] :
      ( v5823(VarCurr)
    <=> ( v5824(VarCurr)
        | v5925(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1451,axiom,(
    ! [VarCurr] :
      ( v5925(VarCurr)
    <=> ( v5751(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1450,axiom,(
    ! [VarCurr] :
      ( v5824(VarCurr)
    <=> ( v5825(VarCurr)
        | v5924(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1449,axiom,(
    ! [VarCurr] :
      ( v5924(VarCurr)
    <=> ( v5749(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1448,axiom,(
    ! [VarCurr] :
      ( v5825(VarCurr)
    <=> ( v5826(VarCurr)
        | v5923(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1447,axiom,(
    ! [VarCurr] :
      ( v5923(VarCurr)
    <=> ( v5747(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1446,axiom,(
    ! [VarCurr] :
      ( v5826(VarCurr)
    <=> ( v5827(VarCurr)
        | v5922(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1445,axiom,(
    ! [VarCurr] :
      ( v5922(VarCurr)
    <=> ( v5745(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1444,axiom,(
    ! [VarCurr] :
      ( v5827(VarCurr)
    <=> ( v5828(VarCurr)
        | v5921(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1443,axiom,(
    ! [VarCurr] :
      ( v5921(VarCurr)
    <=> ( v5743(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1442,axiom,(
    ! [VarCurr] :
      ( v5828(VarCurr)
    <=> ( v5829(VarCurr)
        | v5920(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1441,axiom,(
    ! [VarCurr] :
      ( v5920(VarCurr)
    <=> ( v5741(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1440,axiom,(
    ! [VarCurr] :
      ( v5829(VarCurr)
    <=> ( v5830(VarCurr)
        | v5919(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1439,axiom,(
    ! [VarCurr] :
      ( v5919(VarCurr)
    <=> ( v5739(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1438,axiom,(
    ! [VarCurr] :
      ( v5830(VarCurr)
    <=> ( v5831(VarCurr)
        | v5918(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1437,axiom,(
    ! [VarCurr] :
      ( v5918(VarCurr)
    <=> ( v5737(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1436,axiom,(
    ! [VarCurr] :
      ( v5831(VarCurr)
    <=> ( v5832(VarCurr)
        | v5917(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1435,axiom,(
    ! [VarCurr] :
      ( v5917(VarCurr)
    <=> ( v5735(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1434,axiom,(
    ! [VarCurr] :
      ( v5832(VarCurr)
    <=> ( v5833(VarCurr)
        | v5916(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1433,axiom,(
    ! [VarCurr] :
      ( v5916(VarCurr)
    <=> ( v5733(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1432,axiom,(
    ! [VarCurr] :
      ( v5833(VarCurr)
    <=> ( v5834(VarCurr)
        | v5915(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1431,axiom,(
    ! [VarCurr] :
      ( v5915(VarCurr)
    <=> ( v5731(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1430,axiom,(
    ! [VarCurr] :
      ( v5834(VarCurr)
    <=> ( v5835(VarCurr)
        | v5914(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1429,axiom,(
    ! [VarCurr] :
      ( v5914(VarCurr)
    <=> ( v5729(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1428,axiom,(
    ! [VarCurr] :
      ( v5835(VarCurr)
    <=> ( v5836(VarCurr)
        | v5913(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1427,axiom,(
    ! [VarCurr] :
      ( v5913(VarCurr)
    <=> ( v5727(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1426,axiom,(
    ! [VarCurr] :
      ( v5836(VarCurr)
    <=> ( v5837(VarCurr)
        | v5912(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1425,axiom,(
    ! [VarCurr] :
      ( v5912(VarCurr)
    <=> ( v5725(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1424,axiom,(
    ! [VarCurr] :
      ( v5837(VarCurr)
    <=> ( v5838(VarCurr)
        | v5911(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1423,axiom,(
    ! [VarCurr] :
      ( v5911(VarCurr)
    <=> ( v5723(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1422,axiom,(
    ! [VarCurr] :
      ( v5838(VarCurr)
    <=> ( v5839(VarCurr)
        | v5910(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1421,axiom,(
    ! [VarCurr] :
      ( v5910(VarCurr)
    <=> ( v5721(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1420,axiom,(
    ! [VarCurr] :
      ( v5839(VarCurr)
    <=> ( v5840(VarCurr)
        | v5909(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1419,axiom,(
    ! [VarCurr] :
      ( v5909(VarCurr)
    <=> ( v5719(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1418,axiom,(
    ! [VarCurr] :
      ( v5840(VarCurr)
    <=> ( v5841(VarCurr)
        | v5908(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1417,axiom,(
    ! [VarCurr] :
      ( v5908(VarCurr)
    <=> ( v5717(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1416,axiom,(
    ! [VarCurr] :
      ( v5841(VarCurr)
    <=> ( v5842(VarCurr)
        | v5907(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1415,axiom,(
    ! [VarCurr] :
      ( v5907(VarCurr)
    <=> ( v5715(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1414,axiom,(
    ! [VarCurr] :
      ( v5842(VarCurr)
    <=> ( v5843(VarCurr)
        | v5906(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1413,axiom,(
    ! [VarCurr] :
      ( v5906(VarCurr)
    <=> ( v5713(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1412,axiom,(
    ! [VarCurr] :
      ( v5843(VarCurr)
    <=> ( v5844(VarCurr)
        | v5905(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1411,axiom,(
    ! [VarCurr] :
      ( v5905(VarCurr)
    <=> ( v5711(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1410,axiom,(
    ! [VarCurr] :
      ( v5844(VarCurr)
    <=> ( v5845(VarCurr)
        | v5904(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1409,axiom,(
    ! [VarCurr] :
      ( v5904(VarCurr)
    <=> ( v5709(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1408,axiom,(
    ! [VarCurr] :
      ( v5845(VarCurr)
    <=> ( v5846(VarCurr)
        | v5903(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1407,axiom,(
    ! [VarCurr] :
      ( v5903(VarCurr)
    <=> ( v5707(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1406,axiom,(
    ! [VarCurr] :
      ( v5846(VarCurr)
    <=> ( v5847(VarCurr)
        | v5902(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1405,axiom,(
    ! [VarCurr] :
      ( v5902(VarCurr)
    <=> ( v5705(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1404,axiom,(
    ! [VarCurr] :
      ( v5847(VarCurr)
    <=> ( v5848(VarCurr)
        | v5901(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1403,axiom,(
    ! [VarCurr] :
      ( v5901(VarCurr)
    <=> ( v5703(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1402,axiom,(
    ! [VarCurr] :
      ( v5848(VarCurr)
    <=> ( v5849(VarCurr)
        | v5900(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1401,axiom,(
    ! [VarCurr] :
      ( v5900(VarCurr)
    <=> ( v5701(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1400,axiom,(
    ! [VarCurr] :
      ( v5849(VarCurr)
    <=> ( v5850(VarCurr)
        | v5899(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1399,axiom,(
    ! [VarCurr] :
      ( v5899(VarCurr)
    <=> ( v5699(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1398,axiom,(
    ! [VarCurr] :
      ( v5850(VarCurr)
    <=> ( v5851(VarCurr)
        | v5898(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1397,axiom,(
    ! [VarCurr] :
      ( v5898(VarCurr)
    <=> ( v5697(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1396,axiom,(
    ! [VarCurr] :
      ( v5851(VarCurr)
    <=> ( v5852(VarCurr)
        | v5897(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1395,axiom,(
    ! [VarCurr] :
      ( v5897(VarCurr)
    <=> ( v5695(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1394,axiom,(
    ! [VarCurr] :
      ( v5852(VarCurr)
    <=> ( v5853(VarCurr)
        | v5896(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1393,axiom,(
    ! [VarCurr] :
      ( v5896(VarCurr)
    <=> ( v5693(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1392,axiom,(
    ! [VarCurr] :
      ( v5853(VarCurr)
    <=> ( v5854(VarCurr)
        | v5895(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1391,axiom,(
    ! [VarCurr] :
      ( v5895(VarCurr)
    <=> ( v5691(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1390,axiom,(
    ! [VarCurr] :
      ( v5854(VarCurr)
    <=> ( v5855(VarCurr)
        | v5894(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1389,axiom,(
    ! [VarCurr] :
      ( v5894(VarCurr)
    <=> ( v5689(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1388,axiom,(
    ! [VarCurr] :
      ( v5855(VarCurr)
    <=> ( v5856(VarCurr)
        | v5893(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1387,axiom,(
    ! [VarCurr] :
      ( v5893(VarCurr)
    <=> ( v5687(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1386,axiom,(
    ! [VarCurr] :
      ( v5856(VarCurr)
    <=> ( v5857(VarCurr)
        | v5892(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1385,axiom,(
    ! [VarCurr] :
      ( v5892(VarCurr)
    <=> ( v5685(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1384,axiom,(
    ! [VarCurr] :
      ( v5857(VarCurr)
    <=> ( v5858(VarCurr)
        | v5891(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1383,axiom,(
    ! [VarCurr] :
      ( v5891(VarCurr)
    <=> ( v5683(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1382,axiom,(
    ! [VarCurr] :
      ( v5858(VarCurr)
    <=> ( v5859(VarCurr)
        | v5890(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1381,axiom,(
    ! [VarCurr] :
      ( v5890(VarCurr)
    <=> ( v5681(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1380,axiom,(
    ! [VarCurr] :
      ( v5859(VarCurr)
    <=> ( v5860(VarCurr)
        | v5889(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1379,axiom,(
    ! [VarCurr] :
      ( v5889(VarCurr)
    <=> ( v5679(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1378,axiom,(
    ! [VarCurr] :
      ( v5860(VarCurr)
    <=> ( v5861(VarCurr)
        | v5888(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1377,axiom,(
    ! [VarCurr] :
      ( v5888(VarCurr)
    <=> ( v5677(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1376,axiom,(
    ! [VarCurr] :
      ( v5861(VarCurr)
    <=> ( v5862(VarCurr)
        | v5887(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1375,axiom,(
    ! [VarCurr] :
      ( v5887(VarCurr)
    <=> ( v5675(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1374,axiom,(
    ! [VarCurr] :
      ( v5862(VarCurr)
    <=> ( v5863(VarCurr)
        | v5886(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1373,axiom,(
    ! [VarCurr] :
      ( v5886(VarCurr)
    <=> ( v5673(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1372,axiom,(
    ! [VarCurr] :
      ( v5863(VarCurr)
    <=> ( v5864(VarCurr)
        | v5885(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1371,axiom,(
    ! [VarCurr] :
      ( v5885(VarCurr)
    <=> ( v5671(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1370,axiom,(
    ! [VarCurr] :
      ( v5864(VarCurr)
    <=> ( v5865(VarCurr)
        | v5884(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1369,axiom,(
    ! [VarCurr] :
      ( v5884(VarCurr)
    <=> ( v5669(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1368,axiom,(
    ! [VarCurr] :
      ( v5865(VarCurr)
    <=> ( v5866(VarCurr)
        | v5883(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1367,axiom,(
    ! [VarCurr] :
      ( v5883(VarCurr)
    <=> ( v5667(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1366,axiom,(
    ! [VarCurr] :
      ( v5866(VarCurr)
    <=> ( v5867(VarCurr)
        | v5882(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1365,axiom,(
    ! [VarCurr] :
      ( v5882(VarCurr)
    <=> ( v5665(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1364,axiom,(
    ! [VarCurr] :
      ( v5867(VarCurr)
    <=> ( v5868(VarCurr)
        | v5881(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1363,axiom,(
    ! [VarCurr] :
      ( v5881(VarCurr)
    <=> ( v5663(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1362,axiom,(
    ! [VarCurr] :
      ( v5868(VarCurr)
    <=> ( v5869(VarCurr)
        | v5880(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1361,axiom,(
    ! [VarCurr] :
      ( v5880(VarCurr)
    <=> ( v5661(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1360,axiom,(
    ! [VarCurr] :
      ( v5869(VarCurr)
    <=> ( v5870(VarCurr)
        | v5879(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1359,axiom,(
    ! [VarCurr] :
      ( v5879(VarCurr)
    <=> ( v5659(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1358,axiom,(
    ! [VarCurr] :
      ( v5870(VarCurr)
    <=> ( v5871(VarCurr)
        | v5878(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1357,axiom,(
    ! [VarCurr] :
      ( v5878(VarCurr)
    <=> ( v5657(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1356,axiom,(
    ! [VarCurr] :
      ( v5871(VarCurr)
    <=> ( v5872(VarCurr)
        | v5877(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1355,axiom,(
    ! [VarCurr] :
      ( v5877(VarCurr)
    <=> ( v5655(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1354,axiom,(
    ! [VarCurr] :
      ( v5872(VarCurr)
    <=> ( v5873(VarCurr)
        | v5876(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1353,axiom,(
    ! [VarCurr] :
      ( v5876(VarCurr)
    <=> ( v5653(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1352,axiom,(
    ! [VarCurr] :
      ( v5873(VarCurr)
    <=> ( v5874(VarCurr)
        | v5875(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1351,axiom,(
    ! [VarCurr] :
      ( v5875(VarCurr)
    <=> ( v5651(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1350,axiom,(
    ! [VarCurr] :
      ( v5874(VarCurr)
    <=> ( v5649(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1349,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5794(VarNext)
      <=> v5795(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1348,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5795(VarNext)
      <=> ( v5797(VarNext)
          & v3519(VarNext) ) ) ) )).

fof(writeUnaryOperator_522,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5797(VarNext)
      <=> v3532(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_52,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5490(VarNext)
       => ( v5269(VarNext)
        <=> v5269(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_57,axiom,(
    ! [VarNext] :
      ( v5490(VarNext)
     => ( v5269(VarNext)
      <=> v5498(VarNext) ) ) )).

fof(addAssignment_761,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5498(VarNext)
      <=> v5496(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_219,axiom,(
    ! [VarCurr] :
      ( ~ v5499(VarCurr)
     => ( v5496(VarCurr)
      <=> v5500(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_220,axiom,(
    ! [VarCurr] :
      ( v5499(VarCurr)
     => ( v5496(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1347,axiom,(
    ! [VarCurr] :
      ( v5500(VarCurr)
    <=> ( v5501(VarCurr)
        | v5643(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1346,axiom,(
    ! [VarCurr] :
      ( v5643(VarCurr)
    <=> ( v5487(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1345,axiom,(
    ! [VarCurr] :
      ( v5501(VarCurr)
    <=> ( v5502(VarCurr)
        | v5642(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1344,axiom,(
    ! [VarCurr] :
      ( v5642(VarCurr)
    <=> ( v5485(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1343,axiom,(
    ! [VarCurr] :
      ( v5502(VarCurr)
    <=> ( v5503(VarCurr)
        | v5641(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1342,axiom,(
    ! [VarCurr] :
      ( v5641(VarCurr)
    <=> ( v5483(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1341,axiom,(
    ! [VarCurr] :
      ( v5503(VarCurr)
    <=> ( v5504(VarCurr)
        | v5640(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1340,axiom,(
    ! [VarCurr] :
      ( v5640(VarCurr)
    <=> ( v5481(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1339,axiom,(
    ! [VarCurr] :
      ( v5504(VarCurr)
    <=> ( v5505(VarCurr)
        | v5639(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1338,axiom,(
    ! [VarCurr] :
      ( v5639(VarCurr)
    <=> ( v5479(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1337,axiom,(
    ! [VarCurr] :
      ( v5505(VarCurr)
    <=> ( v5506(VarCurr)
        | v5638(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1336,axiom,(
    ! [VarCurr] :
      ( v5638(VarCurr)
    <=> ( v5477(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1335,axiom,(
    ! [VarCurr] :
      ( v5506(VarCurr)
    <=> ( v5507(VarCurr)
        | v5637(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1334,axiom,(
    ! [VarCurr] :
      ( v5637(VarCurr)
    <=> ( v5475(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1333,axiom,(
    ! [VarCurr] :
      ( v5507(VarCurr)
    <=> ( v5508(VarCurr)
        | v5636(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1332,axiom,(
    ! [VarCurr] :
      ( v5636(VarCurr)
    <=> ( v5473(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1331,axiom,(
    ! [VarCurr] :
      ( v5508(VarCurr)
    <=> ( v5509(VarCurr)
        | v5635(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1330,axiom,(
    ! [VarCurr] :
      ( v5635(VarCurr)
    <=> ( v5471(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1329,axiom,(
    ! [VarCurr] :
      ( v5509(VarCurr)
    <=> ( v5510(VarCurr)
        | v5634(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1328,axiom,(
    ! [VarCurr] :
      ( v5634(VarCurr)
    <=> ( v5469(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1327,axiom,(
    ! [VarCurr] :
      ( v5510(VarCurr)
    <=> ( v5511(VarCurr)
        | v5633(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1326,axiom,(
    ! [VarCurr] :
      ( v5633(VarCurr)
    <=> ( v5467(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1325,axiom,(
    ! [VarCurr] :
      ( v5511(VarCurr)
    <=> ( v5512(VarCurr)
        | v5632(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1324,axiom,(
    ! [VarCurr] :
      ( v5632(VarCurr)
    <=> ( v5465(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1323,axiom,(
    ! [VarCurr] :
      ( v5512(VarCurr)
    <=> ( v5513(VarCurr)
        | v5631(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1322,axiom,(
    ! [VarCurr] :
      ( v5631(VarCurr)
    <=> ( v5463(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1321,axiom,(
    ! [VarCurr] :
      ( v5513(VarCurr)
    <=> ( v5514(VarCurr)
        | v5630(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1320,axiom,(
    ! [VarCurr] :
      ( v5630(VarCurr)
    <=> ( v5461(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1319,axiom,(
    ! [VarCurr] :
      ( v5514(VarCurr)
    <=> ( v5515(VarCurr)
        | v5629(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1318,axiom,(
    ! [VarCurr] :
      ( v5629(VarCurr)
    <=> ( v5459(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1317,axiom,(
    ! [VarCurr] :
      ( v5515(VarCurr)
    <=> ( v5516(VarCurr)
        | v5628(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1316,axiom,(
    ! [VarCurr] :
      ( v5628(VarCurr)
    <=> ( v5457(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1315,axiom,(
    ! [VarCurr] :
      ( v5516(VarCurr)
    <=> ( v5517(VarCurr)
        | v5627(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1314,axiom,(
    ! [VarCurr] :
      ( v5627(VarCurr)
    <=> ( v5455(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1313,axiom,(
    ! [VarCurr] :
      ( v5517(VarCurr)
    <=> ( v5518(VarCurr)
        | v5626(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1312,axiom,(
    ! [VarCurr] :
      ( v5626(VarCurr)
    <=> ( v5453(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1311,axiom,(
    ! [VarCurr] :
      ( v5518(VarCurr)
    <=> ( v5519(VarCurr)
        | v5625(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1310,axiom,(
    ! [VarCurr] :
      ( v5625(VarCurr)
    <=> ( v5451(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1309,axiom,(
    ! [VarCurr] :
      ( v5519(VarCurr)
    <=> ( v5520(VarCurr)
        | v5624(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1308,axiom,(
    ! [VarCurr] :
      ( v5624(VarCurr)
    <=> ( v5449(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1307,axiom,(
    ! [VarCurr] :
      ( v5520(VarCurr)
    <=> ( v5521(VarCurr)
        | v5623(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1306,axiom,(
    ! [VarCurr] :
      ( v5623(VarCurr)
    <=> ( v5447(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1305,axiom,(
    ! [VarCurr] :
      ( v5521(VarCurr)
    <=> ( v5522(VarCurr)
        | v5622(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1304,axiom,(
    ! [VarCurr] :
      ( v5622(VarCurr)
    <=> ( v5445(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1303,axiom,(
    ! [VarCurr] :
      ( v5522(VarCurr)
    <=> ( v5523(VarCurr)
        | v5621(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1302,axiom,(
    ! [VarCurr] :
      ( v5621(VarCurr)
    <=> ( v5443(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1301,axiom,(
    ! [VarCurr] :
      ( v5523(VarCurr)
    <=> ( v5524(VarCurr)
        | v5620(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1300,axiom,(
    ! [VarCurr] :
      ( v5620(VarCurr)
    <=> ( v5441(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1299,axiom,(
    ! [VarCurr] :
      ( v5524(VarCurr)
    <=> ( v5525(VarCurr)
        | v5619(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1298,axiom,(
    ! [VarCurr] :
      ( v5619(VarCurr)
    <=> ( v5439(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1297,axiom,(
    ! [VarCurr] :
      ( v5525(VarCurr)
    <=> ( v5526(VarCurr)
        | v5618(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1296,axiom,(
    ! [VarCurr] :
      ( v5618(VarCurr)
    <=> ( v5437(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1295,axiom,(
    ! [VarCurr] :
      ( v5526(VarCurr)
    <=> ( v5527(VarCurr)
        | v5617(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1294,axiom,(
    ! [VarCurr] :
      ( v5617(VarCurr)
    <=> ( v5435(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1293,axiom,(
    ! [VarCurr] :
      ( v5527(VarCurr)
    <=> ( v5528(VarCurr)
        | v5616(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1292,axiom,(
    ! [VarCurr] :
      ( v5616(VarCurr)
    <=> ( v5433(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1291,axiom,(
    ! [VarCurr] :
      ( v5528(VarCurr)
    <=> ( v5529(VarCurr)
        | v5615(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1290,axiom,(
    ! [VarCurr] :
      ( v5615(VarCurr)
    <=> ( v5431(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1289,axiom,(
    ! [VarCurr] :
      ( v5529(VarCurr)
    <=> ( v5530(VarCurr)
        | v5614(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1288,axiom,(
    ! [VarCurr] :
      ( v5614(VarCurr)
    <=> ( v5429(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1287,axiom,(
    ! [VarCurr] :
      ( v5530(VarCurr)
    <=> ( v5531(VarCurr)
        | v5613(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1286,axiom,(
    ! [VarCurr] :
      ( v5613(VarCurr)
    <=> ( v5427(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1285,axiom,(
    ! [VarCurr] :
      ( v5531(VarCurr)
    <=> ( v5532(VarCurr)
        | v5612(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1284,axiom,(
    ! [VarCurr] :
      ( v5612(VarCurr)
    <=> ( v5425(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1283,axiom,(
    ! [VarCurr] :
      ( v5532(VarCurr)
    <=> ( v5533(VarCurr)
        | v5611(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1282,axiom,(
    ! [VarCurr] :
      ( v5611(VarCurr)
    <=> ( v5423(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1281,axiom,(
    ! [VarCurr] :
      ( v5533(VarCurr)
    <=> ( v5534(VarCurr)
        | v5610(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1280,axiom,(
    ! [VarCurr] :
      ( v5610(VarCurr)
    <=> ( v5421(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1279,axiom,(
    ! [VarCurr] :
      ( v5534(VarCurr)
    <=> ( v5535(VarCurr)
        | v5609(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1278,axiom,(
    ! [VarCurr] :
      ( v5609(VarCurr)
    <=> ( v5419(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1277,axiom,(
    ! [VarCurr] :
      ( v5535(VarCurr)
    <=> ( v5536(VarCurr)
        | v5608(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1276,axiom,(
    ! [VarCurr] :
      ( v5608(VarCurr)
    <=> ( v5417(VarCurr)
        & v3436(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1275,axiom,(
    ! [VarCurr] :
      ( v5536(VarCurr)
    <=> ( v5537(VarCurr)
        | v5415(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1274,axiom,(
    ! [VarCurr] :
      ( v5537(VarCurr)
    <=> ( v5538(VarCurr)
        | v5413(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1273,axiom,(
    ! [VarCurr] :
      ( v5538(VarCurr)
    <=> ( v5539(VarCurr)
        | v5411(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1272,axiom,(
    ! [VarCurr] :
      ( v5539(VarCurr)
    <=> ( v5540(VarCurr)
        | v5409(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1271,axiom,(
    ! [VarCurr] :
      ( v5540(VarCurr)
    <=> ( v5541(VarCurr)
        | v5407(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1270,axiom,(
    ! [VarCurr] :
      ( v5541(VarCurr)
    <=> ( v5542(VarCurr)
        | v5405(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1269,axiom,(
    ! [VarCurr] :
      ( v5542(VarCurr)
    <=> ( v5543(VarCurr)
        | v5403(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1268,axiom,(
    ! [VarCurr] :
      ( v5543(VarCurr)
    <=> ( v5544(VarCurr)
        | v5401(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1267,axiom,(
    ! [VarCurr] :
      ( v5544(VarCurr)
    <=> ( v5545(VarCurr)
        | v5399(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1266,axiom,(
    ! [VarCurr] :
      ( v5545(VarCurr)
    <=> ( v5546(VarCurr)
        | v5397(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1265,axiom,(
    ! [VarCurr] :
      ( v5546(VarCurr)
    <=> ( v5547(VarCurr)
        | v5395(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1264,axiom,(
    ! [VarCurr] :
      ( v5547(VarCurr)
    <=> ( v5548(VarCurr)
        | v5393(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1263,axiom,(
    ! [VarCurr] :
      ( v5548(VarCurr)
    <=> ( v5549(VarCurr)
        | v5391(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1262,axiom,(
    ! [VarCurr] :
      ( v5549(VarCurr)
    <=> ( v5550(VarCurr)
        | v5389(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1261,axiom,(
    ! [VarCurr] :
      ( v5550(VarCurr)
    <=> ( v5551(VarCurr)
        | v5387(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1260,axiom,(
    ! [VarCurr] :
      ( v5551(VarCurr)
    <=> ( v5552(VarCurr)
        | v5385(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1259,axiom,(
    ! [VarCurr] :
      ( v5552(VarCurr)
    <=> ( v5553(VarCurr)
        | v5383(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1258,axiom,(
    ! [VarCurr] :
      ( v5553(VarCurr)
    <=> ( v5554(VarCurr)
        | v5381(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1257,axiom,(
    ! [VarCurr] :
      ( v5554(VarCurr)
    <=> ( v5555(VarCurr)
        | v5379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1256,axiom,(
    ! [VarCurr] :
      ( v5555(VarCurr)
    <=> ( v5556(VarCurr)
        | v5377(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1255,axiom,(
    ! [VarCurr] :
      ( v5556(VarCurr)
    <=> ( v5557(VarCurr)
        | v5375(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1254,axiom,(
    ! [VarCurr] :
      ( v5557(VarCurr)
    <=> ( v5558(VarCurr)
        | v5373(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1253,axiom,(
    ! [VarCurr] :
      ( v5558(VarCurr)
    <=> ( v5559(VarCurr)
        | v5371(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1252,axiom,(
    ! [VarCurr] :
      ( v5559(VarCurr)
    <=> ( v5560(VarCurr)
        | v5369(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1251,axiom,(
    ! [VarCurr] :
      ( v5560(VarCurr)
    <=> ( v5561(VarCurr)
        | v5367(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1250,axiom,(
    ! [VarCurr] :
      ( v5561(VarCurr)
    <=> ( v5562(VarCurr)
        | v5365(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1249,axiom,(
    ! [VarCurr] :
      ( v5562(VarCurr)
    <=> ( v5563(VarCurr)
        | v5363(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1248,axiom,(
    ! [VarCurr] :
      ( v5563(VarCurr)
    <=> ( v5564(VarCurr)
        | v5361(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1247,axiom,(
    ! [VarCurr] :
      ( v5564(VarCurr)
    <=> ( v5565(VarCurr)
        | v5359(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1246,axiom,(
    ! [VarCurr] :
      ( v5565(VarCurr)
    <=> ( v5566(VarCurr)
        | v5357(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1245,axiom,(
    ! [VarCurr] :
      ( v5566(VarCurr)
    <=> ( v5567(VarCurr)
        | v5355(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1244,axiom,(
    ! [VarCurr] :
      ( v5567(VarCurr)
    <=> ( v5568(VarCurr)
        | v5353(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1243,axiom,(
    ! [VarCurr] :
      ( v5568(VarCurr)
    <=> ( v5569(VarCurr)
        | v5351(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1242,axiom,(
    ! [VarCurr] :
      ( v5569(VarCurr)
    <=> ( v5570(VarCurr)
        | v5349(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1241,axiom,(
    ! [VarCurr] :
      ( v5570(VarCurr)
    <=> ( v5571(VarCurr)
        | v5347(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1240,axiom,(
    ! [VarCurr] :
      ( v5571(VarCurr)
    <=> ( v5572(VarCurr)
        | v5345(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1239,axiom,(
    ! [VarCurr] :
      ( v5572(VarCurr)
    <=> ( v5573(VarCurr)
        | v5343(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1238,axiom,(
    ! [VarCurr] :
      ( v5573(VarCurr)
    <=> ( v5574(VarCurr)
        | v5341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1237,axiom,(
    ! [VarCurr] :
      ( v5574(VarCurr)
    <=> ( v5575(VarCurr)
        | v5339(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1236,axiom,(
    ! [VarCurr] :
      ( v5575(VarCurr)
    <=> ( v5576(VarCurr)
        | v5337(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1235,axiom,(
    ! [VarCurr] :
      ( v5576(VarCurr)
    <=> ( v5577(VarCurr)
        | v5335(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1234,axiom,(
    ! [VarCurr] :
      ( v5577(VarCurr)
    <=> ( v5578(VarCurr)
        | v5333(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1233,axiom,(
    ! [VarCurr] :
      ( v5578(VarCurr)
    <=> ( v5579(VarCurr)
        | v5331(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1232,axiom,(
    ! [VarCurr] :
      ( v5579(VarCurr)
    <=> ( v5580(VarCurr)
        | v5329(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1231,axiom,(
    ! [VarCurr] :
      ( v5580(VarCurr)
    <=> ( v5581(VarCurr)
        | v5327(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1230,axiom,(
    ! [VarCurr] :
      ( v5581(VarCurr)
    <=> ( v5582(VarCurr)
        | v5325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1229,axiom,(
    ! [VarCurr] :
      ( v5582(VarCurr)
    <=> ( v5583(VarCurr)
        | v5323(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1228,axiom,(
    ! [VarCurr] :
      ( v5583(VarCurr)
    <=> ( v5584(VarCurr)
        | v5321(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1227,axiom,(
    ! [VarCurr] :
      ( v5584(VarCurr)
    <=> ( v5585(VarCurr)
        | v5319(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1226,axiom,(
    ! [VarCurr] :
      ( v5585(VarCurr)
    <=> ( v5586(VarCurr)
        | v5317(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1225,axiom,(
    ! [VarCurr] :
      ( v5586(VarCurr)
    <=> ( v5587(VarCurr)
        | v5315(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1224,axiom,(
    ! [VarCurr] :
      ( v5587(VarCurr)
    <=> ( v5588(VarCurr)
        | v5313(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1223,axiom,(
    ! [VarCurr] :
      ( v5588(VarCurr)
    <=> ( v5589(VarCurr)
        | v5311(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1222,axiom,(
    ! [VarCurr] :
      ( v5589(VarCurr)
    <=> ( v5590(VarCurr)
        | v5309(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1221,axiom,(
    ! [VarCurr] :
      ( v5590(VarCurr)
    <=> ( v5591(VarCurr)
        | v5307(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1220,axiom,(
    ! [VarCurr] :
      ( v5591(VarCurr)
    <=> ( v5592(VarCurr)
        | v5305(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1219,axiom,(
    ! [VarCurr] :
      ( v5592(VarCurr)
    <=> ( v5593(VarCurr)
        | v5303(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1218,axiom,(
    ! [VarCurr] :
      ( v5593(VarCurr)
    <=> ( v5594(VarCurr)
        | v5301(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1217,axiom,(
    ! [VarCurr] :
      ( v5594(VarCurr)
    <=> ( v5595(VarCurr)
        | v5299(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1216,axiom,(
    ! [VarCurr] :
      ( v5595(VarCurr)
    <=> ( v5596(VarCurr)
        | v5297(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1215,axiom,(
    ! [VarCurr] :
      ( v5596(VarCurr)
    <=> ( v5597(VarCurr)
        | v5295(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1214,axiom,(
    ! [VarCurr] :
      ( v5597(VarCurr)
    <=> ( v5598(VarCurr)
        | v5293(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1213,axiom,(
    ! [VarCurr] :
      ( v5598(VarCurr)
    <=> ( v5599(VarCurr)
        | v5291(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1212,axiom,(
    ! [VarCurr] :
      ( v5599(VarCurr)
    <=> ( v5600(VarCurr)
        | v5289(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1211,axiom,(
    ! [VarCurr] :
      ( v5600(VarCurr)
    <=> ( v5601(VarCurr)
        | v5287(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1210,axiom,(
    ! [VarCurr] :
      ( v5601(VarCurr)
    <=> ( v5602(VarCurr)
        | v5285(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1209,axiom,(
    ! [VarCurr] :
      ( v5602(VarCurr)
    <=> ( v5603(VarCurr)
        | v5283(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1208,axiom,(
    ! [VarCurr] :
      ( v5603(VarCurr)
    <=> ( v5604(VarCurr)
        | v5281(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1207,axiom,(
    ! [VarCurr] :
      ( v5604(VarCurr)
    <=> ( v5605(VarCurr)
        | v5279(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1206,axiom,(
    ! [VarCurr] :
      ( v5605(VarCurr)
    <=> ( v5606(VarCurr)
        | v5277(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1205,axiom,(
    ! [VarCurr] :
      ( v5606(VarCurr)
    <=> ( v5607(VarCurr)
        | v5275(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1204,axiom,(
    ! [VarCurr] :
      ( v5607(VarCurr)
    <=> ( v5271(VarCurr)
        | v5273(VarCurr) ) ) )).

fof(writeUnaryOperator_521,axiom,(
    ! [VarCurr] :
      ( ~ v5499(VarCurr)
    <=> v3438(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1203,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5490(VarNext)
      <=> v5491(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1202,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v5491(VarNext)
      <=> ( v5492(VarNext)
          & v3519(VarNext) ) ) ) )).

fof(writeUnaryOperator_520,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v5492(VarNext)
      <=> v3532(VarNext) ) ) )).

fof(addAssignment_760,axiom,(
    ! [VarCurr] :
      ( v3414(VarCurr)
    <=> v3416(VarCurr) ) )).

fof(addAssignment_759,axiom,(
    ! [VarCurr] :
      ( v3416(VarCurr)
    <=> v3418(VarCurr) ) )).

fof(addAssignment_758,axiom,(
    ! [VarCurr] :
      ( v3418(VarCurr)
    <=> v3420(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1201,axiom,(
    ! [VarCurr] :
      ( v3420(VarCurr)
    <=> ( v5242(VarCurr)
        | v4365(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1200,axiom,(
    ! [VarCurr] :
      ( v5242(VarCurr)
    <=> ( v5243(VarCurr)
        | v4133(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1199,axiom,(
    ! [VarCurr] :
      ( v5243(VarCurr)
    <=> ( v3422(VarCurr)
        | v3697(VarCurr) ) ) )).

fof(addAssignment_757,axiom,(
    ! [VarCurr] :
      ( v4365(VarCurr)
    <=> v4367(VarCurr) ) )).

fof(addAssignment_756,axiom,(
    ! [VarCurr] :
      ( v4367(VarCurr)
    <=> v4369(VarCurr) ) )).

fof(addAssignment_755,axiom,(
    ! [VarCurr] :
      ( v4369(VarCurr)
    <=> v4371(VarCurr) ) )).

fof(addAssignment_754,axiom,(
    ! [VarCurr] :
      ( v4371(VarCurr)
    <=> v4373(VarCurr) ) )).

fof(addAssignment_753,axiom,(
    ! [VarCurr] :
      ( v4373(VarCurr)
    <=> v4375(VarCurr) ) )).

fof(addAssignment_752,axiom,(
    ! [VarCurr] :
      ( v4375(VarCurr)
    <=> v4377(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1198,axiom,(
    ! [VarCurr] :
      ( v4377(VarCurr)
    <=> ( v4379(VarCurr)
        & v5155(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1197,axiom,(
    ! [VarCurr] :
      ( v5155(VarCurr)
    <=> ( v5156(VarCurr)
        | v5147(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1196,axiom,(
    ! [VarCurr] :
      ( v5156(VarCurr)
    <=> ( v5157(VarCurr)
        | v5139(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1195,axiom,(
    ! [VarCurr] :
      ( v5157(VarCurr)
    <=> ( v5158(VarCurr)
        | v5131(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1194,axiom,(
    ! [VarCurr] :
      ( v5158(VarCurr)
    <=> ( v5159(VarCurr)
        | v5123(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1193,axiom,(
    ! [VarCurr] :
      ( v5159(VarCurr)
    <=> ( v5160(VarCurr)
        | v5115(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1192,axiom,(
    ! [VarCurr] :
      ( v5160(VarCurr)
    <=> ( v5161(VarCurr)
        | v5107(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1191,axiom,(
    ! [VarCurr] :
      ( v5161(VarCurr)
    <=> ( v5162(VarCurr)
        | v5099(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1190,axiom,(
    ! [VarCurr] :
      ( v5162(VarCurr)
    <=> ( v5163(VarCurr)
        | v5091(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1189,axiom,(
    ! [VarCurr] :
      ( v5163(VarCurr)
    <=> ( v5164(VarCurr)
        | v5083(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1188,axiom,(
    ! [VarCurr] :
      ( v5164(VarCurr)
    <=> ( v5165(VarCurr)
        | v5075(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1187,axiom,(
    ! [VarCurr] :
      ( v5165(VarCurr)
    <=> ( v5166(VarCurr)
        | v5067(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1186,axiom,(
    ! [VarCurr] :
      ( v5166(VarCurr)
    <=> ( v5167(VarCurr)
        | v5059(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1185,axiom,(
    ! [VarCurr] :
      ( v5167(VarCurr)
    <=> ( v5168(VarCurr)
        | v5051(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1184,axiom,(
    ! [VarCurr] :
      ( v5168(VarCurr)
    <=> ( v5169(VarCurr)
        | v5043(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1183,axiom,(
    ! [VarCurr] :
      ( v5169(VarCurr)
    <=> ( v5170(VarCurr)
        | v5035(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1182,axiom,(
    ! [VarCurr] :
      ( v5170(VarCurr)
    <=> ( v5171(VarCurr)
        | v5027(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1181,axiom,(
    ! [VarCurr] :
      ( v5171(VarCurr)
    <=> ( v5172(VarCurr)
        | v5019(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1180,axiom,(
    ! [VarCurr] :
      ( v5172(VarCurr)
    <=> ( v5173(VarCurr)
        | v5011(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1179,axiom,(
    ! [VarCurr] :
      ( v5173(VarCurr)
    <=> ( v5174(VarCurr)
        | v5003(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1178,axiom,(
    ! [VarCurr] :
      ( v5174(VarCurr)
    <=> ( v5175(VarCurr)
        | v4995(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1177,axiom,(
    ! [VarCurr] :
      ( v5175(VarCurr)
    <=> ( v5176(VarCurr)
        | v4987(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1176,axiom,(
    ! [VarCurr] :
      ( v5176(VarCurr)
    <=> ( v5177(VarCurr)
        | v4979(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1175,axiom,(
    ! [VarCurr] :
      ( v5177(VarCurr)
    <=> ( v5178(VarCurr)
        | v4971(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1174,axiom,(
    ! [VarCurr] :
      ( v5178(VarCurr)
    <=> ( v5179(VarCurr)
        | v4963(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1173,axiom,(
    ! [VarCurr] :
      ( v5179(VarCurr)
    <=> ( v5180(VarCurr)
        | v4955(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1172,axiom,(
    ! [VarCurr] :
      ( v5180(VarCurr)
    <=> ( v5181(VarCurr)
        | v4947(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1171,axiom,(
    ! [VarCurr] :
      ( v5181(VarCurr)
    <=> ( v5182(VarCurr)
        | v4939(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1170,axiom,(
    ! [VarCurr] :
      ( v5182(VarCurr)
    <=> ( v5183(VarCurr)
        | v4931(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1169,axiom,(
    ! [VarCurr] :
      ( v5183(VarCurr)
    <=> ( v5184(VarCurr)
        | v4923(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1168,axiom,(
    ! [VarCurr] :
      ( v5184(VarCurr)
    <=> ( v5185(VarCurr)
        | v4915(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1167,axiom,(
    ! [VarCurr] :
      ( v5185(VarCurr)
    <=> ( v5186(VarCurr)
        | v4907(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1166,axiom,(
    ! [VarCurr] :
      ( v5186(VarCurr)
    <=> ( v5187(VarCurr)
        | v4899(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1165,axiom,(
    ! [VarCurr] :
      ( v5187(VarCurr)
    <=> ( v5188(VarCurr)
        | v4891(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1164,axiom,(
    ! [VarCurr] :
      ( v5188(VarCurr)
    <=> ( v5189(VarCurr)
        | v4883(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1163,axiom,(
    ! [VarCurr] :
      ( v5189(VarCurr)
    <=> ( v5190(VarCurr)
        | v4875(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1162,axiom,(
    ! [VarCurr] :
      ( v5190(VarCurr)
    <=> ( v5191(VarCurr)
        | v4867(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1161,axiom,(
    ! [VarCurr] :
      ( v5191(VarCurr)
    <=> ( v5192(VarCurr)
        | v4859(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1160,axiom,(
    ! [VarCurr] :
      ( v5192(VarCurr)
    <=> ( v5193(VarCurr)
        | v4851(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1159,axiom,(
    ! [VarCurr] :
      ( v5193(VarCurr)
    <=> ( v5194(VarCurr)
        | v4843(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1158,axiom,(
    ! [VarCurr] :
      ( v5194(VarCurr)
    <=> ( v5195(VarCurr)
        | v4835(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1157,axiom,(
    ! [VarCurr] :
      ( v5195(VarCurr)
    <=> ( v5196(VarCurr)
        | v4827(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1156,axiom,(
    ! [VarCurr] :
      ( v5196(VarCurr)
    <=> ( v5197(VarCurr)
        | v4819(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1155,axiom,(
    ! [VarCurr] :
      ( v5197(VarCurr)
    <=> ( v5198(VarCurr)
        | v4811(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1154,axiom,(
    ! [VarCurr] :
      ( v5198(VarCurr)
    <=> ( v5199(VarCurr)
        | v4803(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1153,axiom,(
    ! [VarCurr] :
      ( v5199(VarCurr)
    <=> ( v5200(VarCurr)
        | v4795(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1152,axiom,(
    ! [VarCurr] :
      ( v5200(VarCurr)
    <=> ( v5201(VarCurr)
        | v4787(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1151,axiom,(
    ! [VarCurr] :
      ( v5201(VarCurr)
    <=> ( v5202(VarCurr)
        | v4779(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1150,axiom,(
    ! [VarCurr] :
      ( v5202(VarCurr)
    <=> ( v5203(VarCurr)
        | v4771(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1149,axiom,(
    ! [VarCurr] :
      ( v5203(VarCurr)
    <=> ( v5204(VarCurr)
        | v4763(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1148,axiom,(
    ! [VarCurr] :
      ( v5204(VarCurr)
    <=> ( v5205(VarCurr)
        | v4755(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1147,axiom,(
    ! [VarCurr] :
      ( v5205(VarCurr)
    <=> ( v5206(VarCurr)
        | v4747(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1146,axiom,(
    ! [VarCurr] :
      ( v5206(VarCurr)
    <=> ( v5207(VarCurr)
        | v4739(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1145,axiom,(
    ! [VarCurr] :
      ( v5207(VarCurr)
    <=> ( v5208(VarCurr)
        | v4731(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1144,axiom,(
    ! [VarCurr] :
      ( v5208(VarCurr)
    <=> ( v5209(VarCurr)
        | v4723(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1143,axiom,(
    ! [VarCurr] :
      ( v5209(VarCurr)
    <=> ( v5210(VarCurr)
        | v4715(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1142,axiom,(
    ! [VarCurr] :
      ( v5210(VarCurr)
    <=> ( v5211(VarCurr)
        | v4707(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1141,axiom,(
    ! [VarCurr] :
      ( v5211(VarCurr)
    <=> ( v5212(VarCurr)
        | v4699(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1140,axiom,(
    ! [VarCurr] :
      ( v5212(VarCurr)
    <=> ( v5213(VarCurr)
        | v4691(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1139,axiom,(
    ! [VarCurr] :
      ( v5213(VarCurr)
    <=> ( v5214(VarCurr)
        | v4683(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1138,axiom,(
    ! [VarCurr] :
      ( v5214(VarCurr)
    <=> ( v5215(VarCurr)
        | v4675(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1137,axiom,(
    ! [VarCurr] :
      ( v5215(VarCurr)
    <=> ( v5216(VarCurr)
        | v4667(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1136,axiom,(
    ! [VarCurr] :
      ( v5216(VarCurr)
    <=> ( v5217(VarCurr)
        | v4659(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1135,axiom,(
    ! [VarCurr] :
      ( v5217(VarCurr)
    <=> ( v5218(VarCurr)
        | v4651(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1134,axiom,(
    ! [VarCurr] :
      ( v5218(VarCurr)
    <=> ( v5219(VarCurr)
        | v4643(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1133,axiom,(
    ! [VarCurr] :
      ( v5219(VarCurr)
    <=> ( v5220(VarCurr)
        | v4635(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1132,axiom,(
    ! [VarCurr] :
      ( v5220(VarCurr)
    <=> ( v5221(VarCurr)
        | v4627(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1131,axiom,(
    ! [VarCurr] :
      ( v5221(VarCurr)
    <=> ( v5222(VarCurr)
        | v4619(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1130,axiom,(
    ! [VarCurr] :
      ( v5222(VarCurr)
    <=> ( v5223(VarCurr)
        | v4611(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1129,axiom,(
    ! [VarCurr] :
      ( v5223(VarCurr)
    <=> ( v5224(VarCurr)
        | v4603(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1128,axiom,(
    ! [VarCurr] :
      ( v5224(VarCurr)
    <=> ( v5225(VarCurr)
        | v4595(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1127,axiom,(
    ! [VarCurr] :
      ( v5225(VarCurr)
    <=> ( v5226(VarCurr)
        | v4587(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1126,axiom,(
    ! [VarCurr] :
      ( v5226(VarCurr)
    <=> ( v5227(VarCurr)
        | v4579(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1125,axiom,(
    ! [VarCurr] :
      ( v5227(VarCurr)
    <=> ( v5228(VarCurr)
        | v4571(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1124,axiom,(
    ! [VarCurr] :
      ( v5228(VarCurr)
    <=> ( v5229(VarCurr)
        | v4563(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1123,axiom,(
    ! [VarCurr] :
      ( v5229(VarCurr)
    <=> ( v5230(VarCurr)
        | v4555(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1122,axiom,(
    ! [VarCurr] :
      ( v5230(VarCurr)
    <=> ( v5231(VarCurr)
        | v4547(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1121,axiom,(
    ! [VarCurr] :
      ( v5231(VarCurr)
    <=> ( v5232(VarCurr)
        | v4539(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1120,axiom,(
    ! [VarCurr] :
      ( v5232(VarCurr)
    <=> ( v5233(VarCurr)
        | v4531(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1119,axiom,(
    ! [VarCurr] :
      ( v5233(VarCurr)
    <=> ( v5234(VarCurr)
        | v4523(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1118,axiom,(
    ! [VarCurr] :
      ( v5234(VarCurr)
    <=> ( v5235(VarCurr)
        | v4515(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1117,axiom,(
    ! [VarCurr] :
      ( v5235(VarCurr)
    <=> ( v5236(VarCurr)
        | v4507(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1116,axiom,(
    ! [VarCurr] :
      ( v5236(VarCurr)
    <=> ( v5237(VarCurr)
        | v4499(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1115,axiom,(
    ! [VarCurr] :
      ( v5237(VarCurr)
    <=> ( v5238(VarCurr)
        | v4491(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1114,axiom,(
    ! [VarCurr] :
      ( v5238(VarCurr)
    <=> ( v5239(VarCurr)
        | v4483(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1113,axiom,(
    ! [VarCurr] :
      ( v5239(VarCurr)
    <=> ( v5240(VarCurr)
        | v4475(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1112,axiom,(
    ! [VarCurr] :
      ( v5240(VarCurr)
    <=> ( v4438(VarCurr)
        | v4467(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_218,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v5147(VarCurr)
      <=> v5151(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_219,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v5147(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_139,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v5151(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_170,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v5151(VarCurr)
      <=> v5153(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_171,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v5151(VarCurr)
      <=> v5152(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_415,axiom,(
    ! [VarCurr] :
      ( v5153(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $true )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $true )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_7143,axiom,(
    ~ b000000011100000001101000011(bitIndex26) )).

fof(bitBlastConstant_7142,axiom,(
    ~ b000000011100000001101000011(bitIndex25) )).

fof(bitBlastConstant_7141,axiom,(
    ~ b000000011100000001101000011(bitIndex24) )).

fof(bitBlastConstant_7140,axiom,(
    ~ b000000011100000001101000011(bitIndex23) )).

fof(bitBlastConstant_7139,axiom,(
    ~ b000000011100000001101000011(bitIndex22) )).

fof(bitBlastConstant_7138,axiom,(
    ~ b000000011100000001101000011(bitIndex21) )).

fof(bitBlastConstant_7137,axiom,(
    ~ b000000011100000001101000011(bitIndex20) )).

fof(bitBlastConstant_7136,axiom,(
    b000000011100000001101000011(bitIndex19) )).

fof(bitBlastConstant_7135,axiom,(
    b000000011100000001101000011(bitIndex18) )).

fof(bitBlastConstant_7134,axiom,(
    b000000011100000001101000011(bitIndex17) )).

fof(bitBlastConstant_7133,axiom,(
    ~ b000000011100000001101000011(bitIndex16) )).

fof(bitBlastConstant_7132,axiom,(
    ~ b000000011100000001101000011(bitIndex15) )).

fof(bitBlastConstant_7131,axiom,(
    ~ b000000011100000001101000011(bitIndex14) )).

fof(bitBlastConstant_7130,axiom,(
    ~ b000000011100000001101000011(bitIndex13) )).

fof(bitBlastConstant_7129,axiom,(
    ~ b000000011100000001101000011(bitIndex12) )).

fof(bitBlastConstant_7128,axiom,(
    ~ b000000011100000001101000011(bitIndex11) )).

fof(bitBlastConstant_7127,axiom,(
    ~ b000000011100000001101000011(bitIndex10) )).

fof(bitBlastConstant_7126,axiom,(
    b000000011100000001101000011(bitIndex9) )).

fof(bitBlastConstant_7125,axiom,(
    b000000011100000001101000011(bitIndex8) )).

fof(bitBlastConstant_7124,axiom,(
    ~ b000000011100000001101000011(bitIndex7) )).

fof(bitBlastConstant_7123,axiom,(
    b000000011100000001101000011(bitIndex6) )).

fof(bitBlastConstant_7122,axiom,(
    ~ b000000011100000001101000011(bitIndex5) )).

fof(bitBlastConstant_7121,axiom,(
    ~ b000000011100000001101000011(bitIndex4) )).

fof(bitBlastConstant_7120,axiom,(
    ~ b000000011100000001101000011(bitIndex3) )).

fof(bitBlastConstant_7119,axiom,(
    ~ b000000011100000001101000011(bitIndex2) )).

fof(bitBlastConstant_7118,axiom,(
    b000000011100000001101000011(bitIndex1) )).

fof(bitBlastConstant_7117,axiom,(
    b000000011100000001101000011(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_414,axiom,(
    ! [VarCurr] :
      ( v5152(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $true )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $true )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_7116,axiom,(
    ~ b000000011000000001101000011(bitIndex26) )).

fof(bitBlastConstant_7115,axiom,(
    ~ b000000011000000001101000011(bitIndex25) )).

fof(bitBlastConstant_7114,axiom,(
    ~ b000000011000000001101000011(bitIndex24) )).

fof(bitBlastConstant_7113,axiom,(
    ~ b000000011000000001101000011(bitIndex23) )).

fof(bitBlastConstant_7112,axiom,(
    ~ b000000011000000001101000011(bitIndex22) )).

fof(bitBlastConstant_7111,axiom,(
    ~ b000000011000000001101000011(bitIndex21) )).

fof(bitBlastConstant_7110,axiom,(
    ~ b000000011000000001101000011(bitIndex20) )).

fof(bitBlastConstant_7109,axiom,(
    b000000011000000001101000011(bitIndex19) )).

fof(bitBlastConstant_7108,axiom,(
    b000000011000000001101000011(bitIndex18) )).

fof(bitBlastConstant_7107,axiom,(
    ~ b000000011000000001101000011(bitIndex17) )).

fof(bitBlastConstant_7106,axiom,(
    ~ b000000011000000001101000011(bitIndex16) )).

fof(bitBlastConstant_7105,axiom,(
    ~ b000000011000000001101000011(bitIndex15) )).

fof(bitBlastConstant_7104,axiom,(
    ~ b000000011000000001101000011(bitIndex14) )).

fof(bitBlastConstant_7103,axiom,(
    ~ b000000011000000001101000011(bitIndex13) )).

fof(bitBlastConstant_7102,axiom,(
    ~ b000000011000000001101000011(bitIndex12) )).

fof(bitBlastConstant_7101,axiom,(
    ~ b000000011000000001101000011(bitIndex11) )).

fof(bitBlastConstant_7100,axiom,(
    ~ b000000011000000001101000011(bitIndex10) )).

fof(bitBlastConstant_7099,axiom,(
    b000000011000000001101000011(bitIndex9) )).

fof(bitBlastConstant_7098,axiom,(
    b000000011000000001101000011(bitIndex8) )).

fof(bitBlastConstant_7097,axiom,(
    ~ b000000011000000001101000011(bitIndex7) )).

fof(bitBlastConstant_7096,axiom,(
    b000000011000000001101000011(bitIndex6) )).

fof(bitBlastConstant_7095,axiom,(
    ~ b000000011000000001101000011(bitIndex5) )).

fof(bitBlastConstant_7094,axiom,(
    ~ b000000011000000001101000011(bitIndex4) )).

fof(bitBlastConstant_7093,axiom,(
    ~ b000000011000000001101000011(bitIndex3) )).

fof(bitBlastConstant_7092,axiom,(
    ~ b000000011000000001101000011(bitIndex2) )).

fof(bitBlastConstant_7091,axiom,(
    b000000011000000001101000011(bitIndex1) )).

fof(bitBlastConstant_7090,axiom,(
    b000000011000000001101000011(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_217,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v5139(VarCurr)
      <=> v5143(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_218,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v5139(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_138,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v5143(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_169,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v5143(VarCurr)
      <=> v5145(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_170,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v5143(VarCurr)
      <=> v5144(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_413,axiom,(
    ! [VarCurr] :
      ( v5145(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $true )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $true )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_7089,axiom,(
    ~ b000000011100000001101000010(bitIndex26) )).

fof(bitBlastConstant_7088,axiom,(
    ~ b000000011100000001101000010(bitIndex25) )).

fof(bitBlastConstant_7087,axiom,(
    ~ b000000011100000001101000010(bitIndex24) )).

fof(bitBlastConstant_7086,axiom,(
    ~ b000000011100000001101000010(bitIndex23) )).

fof(bitBlastConstant_7085,axiom,(
    ~ b000000011100000001101000010(bitIndex22) )).

fof(bitBlastConstant_7084,axiom,(
    ~ b000000011100000001101000010(bitIndex21) )).

fof(bitBlastConstant_7083,axiom,(
    ~ b000000011100000001101000010(bitIndex20) )).

fof(bitBlastConstant_7082,axiom,(
    b000000011100000001101000010(bitIndex19) )).

fof(bitBlastConstant_7081,axiom,(
    b000000011100000001101000010(bitIndex18) )).

fof(bitBlastConstant_7080,axiom,(
    b000000011100000001101000010(bitIndex17) )).

fof(bitBlastConstant_7079,axiom,(
    ~ b000000011100000001101000010(bitIndex16) )).

fof(bitBlastConstant_7078,axiom,(
    ~ b000000011100000001101000010(bitIndex15) )).

fof(bitBlastConstant_7077,axiom,(
    ~ b000000011100000001101000010(bitIndex14) )).

fof(bitBlastConstant_7076,axiom,(
    ~ b000000011100000001101000010(bitIndex13) )).

fof(bitBlastConstant_7075,axiom,(
    ~ b000000011100000001101000010(bitIndex12) )).

fof(bitBlastConstant_7074,axiom,(
    ~ b000000011100000001101000010(bitIndex11) )).

fof(bitBlastConstant_7073,axiom,(
    ~ b000000011100000001101000010(bitIndex10) )).

fof(bitBlastConstant_7072,axiom,(
    b000000011100000001101000010(bitIndex9) )).

fof(bitBlastConstant_7071,axiom,(
    b000000011100000001101000010(bitIndex8) )).

fof(bitBlastConstant_7070,axiom,(
    ~ b000000011100000001101000010(bitIndex7) )).

fof(bitBlastConstant_7069,axiom,(
    b000000011100000001101000010(bitIndex6) )).

fof(bitBlastConstant_7068,axiom,(
    ~ b000000011100000001101000010(bitIndex5) )).

fof(bitBlastConstant_7067,axiom,(
    ~ b000000011100000001101000010(bitIndex4) )).

fof(bitBlastConstant_7066,axiom,(
    ~ b000000011100000001101000010(bitIndex3) )).

fof(bitBlastConstant_7065,axiom,(
    ~ b000000011100000001101000010(bitIndex2) )).

fof(bitBlastConstant_7064,axiom,(
    b000000011100000001101000010(bitIndex1) )).

fof(bitBlastConstant_7063,axiom,(
    ~ b000000011100000001101000010(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_412,axiom,(
    ! [VarCurr] :
      ( v5144(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $true )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $true )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_7062,axiom,(
    ~ b000000011000000001101000010(bitIndex26) )).

fof(bitBlastConstant_7061,axiom,(
    ~ b000000011000000001101000010(bitIndex25) )).

fof(bitBlastConstant_7060,axiom,(
    ~ b000000011000000001101000010(bitIndex24) )).

fof(bitBlastConstant_7059,axiom,(
    ~ b000000011000000001101000010(bitIndex23) )).

fof(bitBlastConstant_7058,axiom,(
    ~ b000000011000000001101000010(bitIndex22) )).

fof(bitBlastConstant_7057,axiom,(
    ~ b000000011000000001101000010(bitIndex21) )).

fof(bitBlastConstant_7056,axiom,(
    ~ b000000011000000001101000010(bitIndex20) )).

fof(bitBlastConstant_7055,axiom,(
    b000000011000000001101000010(bitIndex19) )).

fof(bitBlastConstant_7054,axiom,(
    b000000011000000001101000010(bitIndex18) )).

fof(bitBlastConstant_7053,axiom,(
    ~ b000000011000000001101000010(bitIndex17) )).

fof(bitBlastConstant_7052,axiom,(
    ~ b000000011000000001101000010(bitIndex16) )).

fof(bitBlastConstant_7051,axiom,(
    ~ b000000011000000001101000010(bitIndex15) )).

fof(bitBlastConstant_7050,axiom,(
    ~ b000000011000000001101000010(bitIndex14) )).

fof(bitBlastConstant_7049,axiom,(
    ~ b000000011000000001101000010(bitIndex13) )).

fof(bitBlastConstant_7048,axiom,(
    ~ b000000011000000001101000010(bitIndex12) )).

fof(bitBlastConstant_7047,axiom,(
    ~ b000000011000000001101000010(bitIndex11) )).

fof(bitBlastConstant_7046,axiom,(
    ~ b000000011000000001101000010(bitIndex10) )).

fof(bitBlastConstant_7045,axiom,(
    b000000011000000001101000010(bitIndex9) )).

fof(bitBlastConstant_7044,axiom,(
    b000000011000000001101000010(bitIndex8) )).

fof(bitBlastConstant_7043,axiom,(
    ~ b000000011000000001101000010(bitIndex7) )).

fof(bitBlastConstant_7042,axiom,(
    b000000011000000001101000010(bitIndex6) )).

fof(bitBlastConstant_7041,axiom,(
    ~ b000000011000000001101000010(bitIndex5) )).

fof(bitBlastConstant_7040,axiom,(
    ~ b000000011000000001101000010(bitIndex4) )).

fof(bitBlastConstant_7039,axiom,(
    ~ b000000011000000001101000010(bitIndex3) )).

fof(bitBlastConstant_7038,axiom,(
    ~ b000000011000000001101000010(bitIndex2) )).

fof(bitBlastConstant_7037,axiom,(
    b000000011000000001101000010(bitIndex1) )).

fof(bitBlastConstant_7036,axiom,(
    ~ b000000011000000001101000010(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_216,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v5131(VarCurr)
      <=> v5135(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_217,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v5131(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_137,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v5135(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_168,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v5135(VarCurr)
      <=> v5137(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_169,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v5135(VarCurr)
      <=> v5136(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_411,axiom,(
    ! [VarCurr] :
      ( v5137(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $true )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $true )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_7035,axiom,(
    ~ b000000011100000001101000000(bitIndex26) )).

fof(bitBlastConstant_7034,axiom,(
    ~ b000000011100000001101000000(bitIndex25) )).

fof(bitBlastConstant_7033,axiom,(
    ~ b000000011100000001101000000(bitIndex24) )).

fof(bitBlastConstant_7032,axiom,(
    ~ b000000011100000001101000000(bitIndex23) )).

fof(bitBlastConstant_7031,axiom,(
    ~ b000000011100000001101000000(bitIndex22) )).

fof(bitBlastConstant_7030,axiom,(
    ~ b000000011100000001101000000(bitIndex21) )).

fof(bitBlastConstant_7029,axiom,(
    ~ b000000011100000001101000000(bitIndex20) )).

fof(bitBlastConstant_7028,axiom,(
    b000000011100000001101000000(bitIndex19) )).

fof(bitBlastConstant_7027,axiom,(
    b000000011100000001101000000(bitIndex18) )).

fof(bitBlastConstant_7026,axiom,(
    b000000011100000001101000000(bitIndex17) )).

fof(bitBlastConstant_7025,axiom,(
    ~ b000000011100000001101000000(bitIndex16) )).

fof(bitBlastConstant_7024,axiom,(
    ~ b000000011100000001101000000(bitIndex15) )).

fof(bitBlastConstant_7023,axiom,(
    ~ b000000011100000001101000000(bitIndex14) )).

fof(bitBlastConstant_7022,axiom,(
    ~ b000000011100000001101000000(bitIndex13) )).

fof(bitBlastConstant_7021,axiom,(
    ~ b000000011100000001101000000(bitIndex12) )).

fof(bitBlastConstant_7020,axiom,(
    ~ b000000011100000001101000000(bitIndex11) )).

fof(bitBlastConstant_7019,axiom,(
    ~ b000000011100000001101000000(bitIndex10) )).

fof(bitBlastConstant_7018,axiom,(
    b000000011100000001101000000(bitIndex9) )).

fof(bitBlastConstant_7017,axiom,(
    b000000011100000001101000000(bitIndex8) )).

fof(bitBlastConstant_7016,axiom,(
    ~ b000000011100000001101000000(bitIndex7) )).

fof(bitBlastConstant_7015,axiom,(
    b000000011100000001101000000(bitIndex6) )).

fof(bitBlastConstant_7014,axiom,(
    ~ b000000011100000001101000000(bitIndex5) )).

fof(bitBlastConstant_7013,axiom,(
    ~ b000000011100000001101000000(bitIndex4) )).

fof(bitBlastConstant_7012,axiom,(
    ~ b000000011100000001101000000(bitIndex3) )).

fof(bitBlastConstant_7011,axiom,(
    ~ b000000011100000001101000000(bitIndex2) )).

fof(bitBlastConstant_7010,axiom,(
    ~ b000000011100000001101000000(bitIndex1) )).

fof(bitBlastConstant_7009,axiom,(
    ~ b000000011100000001101000000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_410,axiom,(
    ! [VarCurr] :
      ( v5136(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $true )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $true )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_7008,axiom,(
    ~ b000000011000000001101000000(bitIndex26) )).

fof(bitBlastConstant_7007,axiom,(
    ~ b000000011000000001101000000(bitIndex25) )).

fof(bitBlastConstant_7006,axiom,(
    ~ b000000011000000001101000000(bitIndex24) )).

fof(bitBlastConstant_7005,axiom,(
    ~ b000000011000000001101000000(bitIndex23) )).

fof(bitBlastConstant_7004,axiom,(
    ~ b000000011000000001101000000(bitIndex22) )).

fof(bitBlastConstant_7003,axiom,(
    ~ b000000011000000001101000000(bitIndex21) )).

fof(bitBlastConstant_7002,axiom,(
    ~ b000000011000000001101000000(bitIndex20) )).

fof(bitBlastConstant_7001,axiom,(
    b000000011000000001101000000(bitIndex19) )).

fof(bitBlastConstant_7000,axiom,(
    b000000011000000001101000000(bitIndex18) )).

fof(bitBlastConstant_6999,axiom,(
    ~ b000000011000000001101000000(bitIndex17) )).

fof(bitBlastConstant_6998,axiom,(
    ~ b000000011000000001101000000(bitIndex16) )).

fof(bitBlastConstant_6997,axiom,(
    ~ b000000011000000001101000000(bitIndex15) )).

fof(bitBlastConstant_6996,axiom,(
    ~ b000000011000000001101000000(bitIndex14) )).

fof(bitBlastConstant_6995,axiom,(
    ~ b000000011000000001101000000(bitIndex13) )).

fof(bitBlastConstant_6994,axiom,(
    ~ b000000011000000001101000000(bitIndex12) )).

fof(bitBlastConstant_6993,axiom,(
    ~ b000000011000000001101000000(bitIndex11) )).

fof(bitBlastConstant_6992,axiom,(
    ~ b000000011000000001101000000(bitIndex10) )).

fof(bitBlastConstant_6991,axiom,(
    b000000011000000001101000000(bitIndex9) )).

fof(bitBlastConstant_6990,axiom,(
    b000000011000000001101000000(bitIndex8) )).

fof(bitBlastConstant_6989,axiom,(
    ~ b000000011000000001101000000(bitIndex7) )).

fof(bitBlastConstant_6988,axiom,(
    b000000011000000001101000000(bitIndex6) )).

fof(bitBlastConstant_6987,axiom,(
    ~ b000000011000000001101000000(bitIndex5) )).

fof(bitBlastConstant_6986,axiom,(
    ~ b000000011000000001101000000(bitIndex4) )).

fof(bitBlastConstant_6985,axiom,(
    ~ b000000011000000001101000000(bitIndex3) )).

fof(bitBlastConstant_6984,axiom,(
    ~ b000000011000000001101000000(bitIndex2) )).

fof(bitBlastConstant_6983,axiom,(
    ~ b000000011000000001101000000(bitIndex1) )).

fof(bitBlastConstant_6982,axiom,(
    ~ b000000011000000001101000000(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_215,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v5123(VarCurr)
      <=> v5127(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_216,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v5123(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_136,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v5127(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_167,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v5127(VarCurr)
      <=> v5129(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_168,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v5127(VarCurr)
      <=> v5128(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_409,axiom,(
    ! [VarCurr] :
      ( v5129(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_6981,axiom,(
    ~ b000000011100000001010111111(bitIndex26) )).

fof(bitBlastConstant_6980,axiom,(
    ~ b000000011100000001010111111(bitIndex25) )).

fof(bitBlastConstant_6979,axiom,(
    ~ b000000011100000001010111111(bitIndex24) )).

fof(bitBlastConstant_6978,axiom,(
    ~ b000000011100000001010111111(bitIndex23) )).

fof(bitBlastConstant_6977,axiom,(
    ~ b000000011100000001010111111(bitIndex22) )).

fof(bitBlastConstant_6976,axiom,(
    ~ b000000011100000001010111111(bitIndex21) )).

fof(bitBlastConstant_6975,axiom,(
    ~ b000000011100000001010111111(bitIndex20) )).

fof(bitBlastConstant_6974,axiom,(
    b000000011100000001010111111(bitIndex19) )).

fof(bitBlastConstant_6973,axiom,(
    b000000011100000001010111111(bitIndex18) )).

fof(bitBlastConstant_6972,axiom,(
    b000000011100000001010111111(bitIndex17) )).

fof(bitBlastConstant_6971,axiom,(
    ~ b000000011100000001010111111(bitIndex16) )).

fof(bitBlastConstant_6970,axiom,(
    ~ b000000011100000001010111111(bitIndex15) )).

fof(bitBlastConstant_6969,axiom,(
    ~ b000000011100000001010111111(bitIndex14) )).

fof(bitBlastConstant_6968,axiom,(
    ~ b000000011100000001010111111(bitIndex13) )).

fof(bitBlastConstant_6967,axiom,(
    ~ b000000011100000001010111111(bitIndex12) )).

fof(bitBlastConstant_6966,axiom,(
    ~ b000000011100000001010111111(bitIndex11) )).

fof(bitBlastConstant_6965,axiom,(
    ~ b000000011100000001010111111(bitIndex10) )).

fof(bitBlastConstant_6964,axiom,(
    b000000011100000001010111111(bitIndex9) )).

fof(bitBlastConstant_6963,axiom,(
    ~ b000000011100000001010111111(bitIndex8) )).

fof(bitBlastConstant_6962,axiom,(
    b000000011100000001010111111(bitIndex7) )).

fof(bitBlastConstant_6961,axiom,(
    ~ b000000011100000001010111111(bitIndex6) )).

fof(bitBlastConstant_6960,axiom,(
    b000000011100000001010111111(bitIndex5) )).

fof(bitBlastConstant_6959,axiom,(
    b000000011100000001010111111(bitIndex4) )).

fof(bitBlastConstant_6958,axiom,(
    b000000011100000001010111111(bitIndex3) )).

fof(bitBlastConstant_6957,axiom,(
    b000000011100000001010111111(bitIndex2) )).

fof(bitBlastConstant_6956,axiom,(
    b000000011100000001010111111(bitIndex1) )).

fof(bitBlastConstant_6955,axiom,(
    b000000011100000001010111111(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_408,axiom,(
    ! [VarCurr] :
      ( v5128(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_6954,axiom,(
    ~ b000000011000000001010111111(bitIndex26) )).

fof(bitBlastConstant_6953,axiom,(
    ~ b000000011000000001010111111(bitIndex25) )).

fof(bitBlastConstant_6952,axiom,(
    ~ b000000011000000001010111111(bitIndex24) )).

fof(bitBlastConstant_6951,axiom,(
    ~ b000000011000000001010111111(bitIndex23) )).

fof(bitBlastConstant_6950,axiom,(
    ~ b000000011000000001010111111(bitIndex22) )).

fof(bitBlastConstant_6949,axiom,(
    ~ b000000011000000001010111111(bitIndex21) )).

fof(bitBlastConstant_6948,axiom,(
    ~ b000000011000000001010111111(bitIndex20) )).

fof(bitBlastConstant_6947,axiom,(
    b000000011000000001010111111(bitIndex19) )).

fof(bitBlastConstant_6946,axiom,(
    b000000011000000001010111111(bitIndex18) )).

fof(bitBlastConstant_6945,axiom,(
    ~ b000000011000000001010111111(bitIndex17) )).

fof(bitBlastConstant_6944,axiom,(
    ~ b000000011000000001010111111(bitIndex16) )).

fof(bitBlastConstant_6943,axiom,(
    ~ b000000011000000001010111111(bitIndex15) )).

fof(bitBlastConstant_6942,axiom,(
    ~ b000000011000000001010111111(bitIndex14) )).

fof(bitBlastConstant_6941,axiom,(
    ~ b000000011000000001010111111(bitIndex13) )).

fof(bitBlastConstant_6940,axiom,(
    ~ b000000011000000001010111111(bitIndex12) )).

fof(bitBlastConstant_6939,axiom,(
    ~ b000000011000000001010111111(bitIndex11) )).

fof(bitBlastConstant_6938,axiom,(
    ~ b000000011000000001010111111(bitIndex10) )).

fof(bitBlastConstant_6937,axiom,(
    b000000011000000001010111111(bitIndex9) )).

fof(bitBlastConstant_6936,axiom,(
    ~ b000000011000000001010111111(bitIndex8) )).

fof(bitBlastConstant_6935,axiom,(
    b000000011000000001010111111(bitIndex7) )).

fof(bitBlastConstant_6934,axiom,(
    ~ b000000011000000001010111111(bitIndex6) )).

fof(bitBlastConstant_6933,axiom,(
    b000000011000000001010111111(bitIndex5) )).

fof(bitBlastConstant_6932,axiom,(
    b000000011000000001010111111(bitIndex4) )).

fof(bitBlastConstant_6931,axiom,(
    b000000011000000001010111111(bitIndex3) )).

fof(bitBlastConstant_6930,axiom,(
    b000000011000000001010111111(bitIndex2) )).

fof(bitBlastConstant_6929,axiom,(
    b000000011000000001010111111(bitIndex1) )).

fof(bitBlastConstant_6928,axiom,(
    b000000011000000001010111111(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_214,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v5115(VarCurr)
      <=> v5119(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_215,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v5115(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_135,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v5119(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_166,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v5119(VarCurr)
      <=> v5121(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_167,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v5119(VarCurr)
      <=> v5120(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_407,axiom,(
    ! [VarCurr] :
      ( v5121(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_6927,axiom,(
    ~ b000000011100000001010111110(bitIndex26) )).

fof(bitBlastConstant_6926,axiom,(
    ~ b000000011100000001010111110(bitIndex25) )).

fof(bitBlastConstant_6925,axiom,(
    ~ b000000011100000001010111110(bitIndex24) )).

fof(bitBlastConstant_6924,axiom,(
    ~ b000000011100000001010111110(bitIndex23) )).

fof(bitBlastConstant_6923,axiom,(
    ~ b000000011100000001010111110(bitIndex22) )).

fof(bitBlastConstant_6922,axiom,(
    ~ b000000011100000001010111110(bitIndex21) )).

fof(bitBlastConstant_6921,axiom,(
    ~ b000000011100000001010111110(bitIndex20) )).

fof(bitBlastConstant_6920,axiom,(
    b000000011100000001010111110(bitIndex19) )).

fof(bitBlastConstant_6919,axiom,(
    b000000011100000001010111110(bitIndex18) )).

fof(bitBlastConstant_6918,axiom,(
    b000000011100000001010111110(bitIndex17) )).

fof(bitBlastConstant_6917,axiom,(
    ~ b000000011100000001010111110(bitIndex16) )).

fof(bitBlastConstant_6916,axiom,(
    ~ b000000011100000001010111110(bitIndex15) )).

fof(bitBlastConstant_6915,axiom,(
    ~ b000000011100000001010111110(bitIndex14) )).

fof(bitBlastConstant_6914,axiom,(
    ~ b000000011100000001010111110(bitIndex13) )).

fof(bitBlastConstant_6913,axiom,(
    ~ b000000011100000001010111110(bitIndex12) )).

fof(bitBlastConstant_6912,axiom,(
    ~ b000000011100000001010111110(bitIndex11) )).

fof(bitBlastConstant_6911,axiom,(
    ~ b000000011100000001010111110(bitIndex10) )).

fof(bitBlastConstant_6910,axiom,(
    b000000011100000001010111110(bitIndex9) )).

fof(bitBlastConstant_6909,axiom,(
    ~ b000000011100000001010111110(bitIndex8) )).

fof(bitBlastConstant_6908,axiom,(
    b000000011100000001010111110(bitIndex7) )).

fof(bitBlastConstant_6907,axiom,(
    ~ b000000011100000001010111110(bitIndex6) )).

fof(bitBlastConstant_6906,axiom,(
    b000000011100000001010111110(bitIndex5) )).

fof(bitBlastConstant_6905,axiom,(
    b000000011100000001010111110(bitIndex4) )).

fof(bitBlastConstant_6904,axiom,(
    b000000011100000001010111110(bitIndex3) )).

fof(bitBlastConstant_6903,axiom,(
    b000000011100000001010111110(bitIndex2) )).

fof(bitBlastConstant_6902,axiom,(
    b000000011100000001010111110(bitIndex1) )).

fof(bitBlastConstant_6901,axiom,(
    ~ b000000011100000001010111110(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_406,axiom,(
    ! [VarCurr] :
      ( v5120(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_6900,axiom,(
    ~ b000000011000000001010111110(bitIndex26) )).

fof(bitBlastConstant_6899,axiom,(
    ~ b000000011000000001010111110(bitIndex25) )).

fof(bitBlastConstant_6898,axiom,(
    ~ b000000011000000001010111110(bitIndex24) )).

fof(bitBlastConstant_6897,axiom,(
    ~ b000000011000000001010111110(bitIndex23) )).

fof(bitBlastConstant_6896,axiom,(
    ~ b000000011000000001010111110(bitIndex22) )).

fof(bitBlastConstant_6895,axiom,(
    ~ b000000011000000001010111110(bitIndex21) )).

fof(bitBlastConstant_6894,axiom,(
    ~ b000000011000000001010111110(bitIndex20) )).

fof(bitBlastConstant_6893,axiom,(
    b000000011000000001010111110(bitIndex19) )).

fof(bitBlastConstant_6892,axiom,(
    b000000011000000001010111110(bitIndex18) )).

fof(bitBlastConstant_6891,axiom,(
    ~ b000000011000000001010111110(bitIndex17) )).

fof(bitBlastConstant_6890,axiom,(
    ~ b000000011000000001010111110(bitIndex16) )).

fof(bitBlastConstant_6889,axiom,(
    ~ b000000011000000001010111110(bitIndex15) )).

fof(bitBlastConstant_6888,axiom,(
    ~ b000000011000000001010111110(bitIndex14) )).

fof(bitBlastConstant_6887,axiom,(
    ~ b000000011000000001010111110(bitIndex13) )).

fof(bitBlastConstant_6886,axiom,(
    ~ b000000011000000001010111110(bitIndex12) )).

fof(bitBlastConstant_6885,axiom,(
    ~ b000000011000000001010111110(bitIndex11) )).

fof(bitBlastConstant_6884,axiom,(
    ~ b000000011000000001010111110(bitIndex10) )).

fof(bitBlastConstant_6883,axiom,(
    b000000011000000001010111110(bitIndex9) )).

fof(bitBlastConstant_6882,axiom,(
    ~ b000000011000000001010111110(bitIndex8) )).

fof(bitBlastConstant_6881,axiom,(
    b000000011000000001010111110(bitIndex7) )).

fof(bitBlastConstant_6880,axiom,(
    ~ b000000011000000001010111110(bitIndex6) )).

fof(bitBlastConstant_6879,axiom,(
    b000000011000000001010111110(bitIndex5) )).

fof(bitBlastConstant_6878,axiom,(
    b000000011000000001010111110(bitIndex4) )).

fof(bitBlastConstant_6877,axiom,(
    b000000011000000001010111110(bitIndex3) )).

fof(bitBlastConstant_6876,axiom,(
    b000000011000000001010111110(bitIndex2) )).

fof(bitBlastConstant_6875,axiom,(
    b000000011000000001010111110(bitIndex1) )).

fof(bitBlastConstant_6874,axiom,(
    ~ b000000011000000001010111110(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_213,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v5107(VarCurr)
      <=> v5111(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_214,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v5107(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_134,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v5111(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_165,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v5111(VarCurr)
      <=> v5113(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_166,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v5111(VarCurr)
      <=> v5112(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_405,axiom,(
    ! [VarCurr] :
      ( v5113(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_6873,axiom,(
    ~ b000000011100000001010111011(bitIndex26) )).

fof(bitBlastConstant_6872,axiom,(
    ~ b000000011100000001010111011(bitIndex25) )).

fof(bitBlastConstant_6871,axiom,(
    ~ b000000011100000001010111011(bitIndex24) )).

fof(bitBlastConstant_6870,axiom,(
    ~ b000000011100000001010111011(bitIndex23) )).

fof(bitBlastConstant_6869,axiom,(
    ~ b000000011100000001010111011(bitIndex22) )).

fof(bitBlastConstant_6868,axiom,(
    ~ b000000011100000001010111011(bitIndex21) )).

fof(bitBlastConstant_6867,axiom,(
    ~ b000000011100000001010111011(bitIndex20) )).

fof(bitBlastConstant_6866,axiom,(
    b000000011100000001010111011(bitIndex19) )).

fof(bitBlastConstant_6865,axiom,(
    b000000011100000001010111011(bitIndex18) )).

fof(bitBlastConstant_6864,axiom,(
    b000000011100000001010111011(bitIndex17) )).

fof(bitBlastConstant_6863,axiom,(
    ~ b000000011100000001010111011(bitIndex16) )).

fof(bitBlastConstant_6862,axiom,(
    ~ b000000011100000001010111011(bitIndex15) )).

fof(bitBlastConstant_6861,axiom,(
    ~ b000000011100000001010111011(bitIndex14) )).

fof(bitBlastConstant_6860,axiom,(
    ~ b000000011100000001010111011(bitIndex13) )).

fof(bitBlastConstant_6859,axiom,(
    ~ b000000011100000001010111011(bitIndex12) )).

fof(bitBlastConstant_6858,axiom,(
    ~ b000000011100000001010111011(bitIndex11) )).

fof(bitBlastConstant_6857,axiom,(
    ~ b000000011100000001010111011(bitIndex10) )).

fof(bitBlastConstant_6856,axiom,(
    b000000011100000001010111011(bitIndex9) )).

fof(bitBlastConstant_6855,axiom,(
    ~ b000000011100000001010111011(bitIndex8) )).

fof(bitBlastConstant_6854,axiom,(
    b000000011100000001010111011(bitIndex7) )).

fof(bitBlastConstant_6853,axiom,(
    ~ b000000011100000001010111011(bitIndex6) )).

fof(bitBlastConstant_6852,axiom,(
    b000000011100000001010111011(bitIndex5) )).

fof(bitBlastConstant_6851,axiom,(
    b000000011100000001010111011(bitIndex4) )).

fof(bitBlastConstant_6850,axiom,(
    b000000011100000001010111011(bitIndex3) )).

fof(bitBlastConstant_6849,axiom,(
    ~ b000000011100000001010111011(bitIndex2) )).

fof(bitBlastConstant_6848,axiom,(
    b000000011100000001010111011(bitIndex1) )).

fof(bitBlastConstant_6847,axiom,(
    b000000011100000001010111011(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_404,axiom,(
    ! [VarCurr] :
      ( v5112(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_6846,axiom,(
    ~ b000000011000000001010111011(bitIndex26) )).

fof(bitBlastConstant_6845,axiom,(
    ~ b000000011000000001010111011(bitIndex25) )).

fof(bitBlastConstant_6844,axiom,(
    ~ b000000011000000001010111011(bitIndex24) )).

fof(bitBlastConstant_6843,axiom,(
    ~ b000000011000000001010111011(bitIndex23) )).

fof(bitBlastConstant_6842,axiom,(
    ~ b000000011000000001010111011(bitIndex22) )).

fof(bitBlastConstant_6841,axiom,(
    ~ b000000011000000001010111011(bitIndex21) )).

fof(bitBlastConstant_6840,axiom,(
    ~ b000000011000000001010111011(bitIndex20) )).

fof(bitBlastConstant_6839,axiom,(
    b000000011000000001010111011(bitIndex19) )).

fof(bitBlastConstant_6838,axiom,(
    b000000011000000001010111011(bitIndex18) )).

fof(bitBlastConstant_6837,axiom,(
    ~ b000000011000000001010111011(bitIndex17) )).

fof(bitBlastConstant_6836,axiom,(
    ~ b000000011000000001010111011(bitIndex16) )).

fof(bitBlastConstant_6835,axiom,(
    ~ b000000011000000001010111011(bitIndex15) )).

fof(bitBlastConstant_6834,axiom,(
    ~ b000000011000000001010111011(bitIndex14) )).

fof(bitBlastConstant_6833,axiom,(
    ~ b000000011000000001010111011(bitIndex13) )).

fof(bitBlastConstant_6832,axiom,(
    ~ b000000011000000001010111011(bitIndex12) )).

fof(bitBlastConstant_6831,axiom,(
    ~ b000000011000000001010111011(bitIndex11) )).

fof(bitBlastConstant_6830,axiom,(
    ~ b000000011000000001010111011(bitIndex10) )).

fof(bitBlastConstant_6829,axiom,(
    b000000011000000001010111011(bitIndex9) )).

fof(bitBlastConstant_6828,axiom,(
    ~ b000000011000000001010111011(bitIndex8) )).

fof(bitBlastConstant_6827,axiom,(
    b000000011000000001010111011(bitIndex7) )).

fof(bitBlastConstant_6826,axiom,(
    ~ b000000011000000001010111011(bitIndex6) )).

fof(bitBlastConstant_6825,axiom,(
    b000000011000000001010111011(bitIndex5) )).

fof(bitBlastConstant_6824,axiom,(
    b000000011000000001010111011(bitIndex4) )).

fof(bitBlastConstant_6823,axiom,(
    b000000011000000001010111011(bitIndex3) )).

fof(bitBlastConstant_6822,axiom,(
    ~ b000000011000000001010111011(bitIndex2) )).

fof(bitBlastConstant_6821,axiom,(
    b000000011000000001010111011(bitIndex1) )).

fof(bitBlastConstant_6820,axiom,(
    b000000011000000001010111011(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_212,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v5099(VarCurr)
      <=> v5103(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_213,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v5099(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_133,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v5103(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_164,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v5103(VarCurr)
      <=> v5105(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_165,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v5103(VarCurr)
      <=> v5104(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_403,axiom,(
    ! [VarCurr] :
      ( v5105(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_6819,axiom,(
    ~ b000000011100000001010111010(bitIndex26) )).

fof(bitBlastConstant_6818,axiom,(
    ~ b000000011100000001010111010(bitIndex25) )).

fof(bitBlastConstant_6817,axiom,(
    ~ b000000011100000001010111010(bitIndex24) )).

fof(bitBlastConstant_6816,axiom,(
    ~ b000000011100000001010111010(bitIndex23) )).

fof(bitBlastConstant_6815,axiom,(
    ~ b000000011100000001010111010(bitIndex22) )).

fof(bitBlastConstant_6814,axiom,(
    ~ b000000011100000001010111010(bitIndex21) )).

fof(bitBlastConstant_6813,axiom,(
    ~ b000000011100000001010111010(bitIndex20) )).

fof(bitBlastConstant_6812,axiom,(
    b000000011100000001010111010(bitIndex19) )).

fof(bitBlastConstant_6811,axiom,(
    b000000011100000001010111010(bitIndex18) )).

fof(bitBlastConstant_6810,axiom,(
    b000000011100000001010111010(bitIndex17) )).

fof(bitBlastConstant_6809,axiom,(
    ~ b000000011100000001010111010(bitIndex16) )).

fof(bitBlastConstant_6808,axiom,(
    ~ b000000011100000001010111010(bitIndex15) )).

fof(bitBlastConstant_6807,axiom,(
    ~ b000000011100000001010111010(bitIndex14) )).

fof(bitBlastConstant_6806,axiom,(
    ~ b000000011100000001010111010(bitIndex13) )).

fof(bitBlastConstant_6805,axiom,(
    ~ b000000011100000001010111010(bitIndex12) )).

fof(bitBlastConstant_6804,axiom,(
    ~ b000000011100000001010111010(bitIndex11) )).

fof(bitBlastConstant_6803,axiom,(
    ~ b000000011100000001010111010(bitIndex10) )).

fof(bitBlastConstant_6802,axiom,(
    b000000011100000001010111010(bitIndex9) )).

fof(bitBlastConstant_6801,axiom,(
    ~ b000000011100000001010111010(bitIndex8) )).

fof(bitBlastConstant_6800,axiom,(
    b000000011100000001010111010(bitIndex7) )).

fof(bitBlastConstant_6799,axiom,(
    ~ b000000011100000001010111010(bitIndex6) )).

fof(bitBlastConstant_6798,axiom,(
    b000000011100000001010111010(bitIndex5) )).

fof(bitBlastConstant_6797,axiom,(
    b000000011100000001010111010(bitIndex4) )).

fof(bitBlastConstant_6796,axiom,(
    b000000011100000001010111010(bitIndex3) )).

fof(bitBlastConstant_6795,axiom,(
    ~ b000000011100000001010111010(bitIndex2) )).

fof(bitBlastConstant_6794,axiom,(
    b000000011100000001010111010(bitIndex1) )).

fof(bitBlastConstant_6793,axiom,(
    ~ b000000011100000001010111010(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_402,axiom,(
    ! [VarCurr] :
      ( v5104(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_6792,axiom,(
    ~ b000000011000000001010111010(bitIndex26) )).

fof(bitBlastConstant_6791,axiom,(
    ~ b000000011000000001010111010(bitIndex25) )).

fof(bitBlastConstant_6790,axiom,(
    ~ b000000011000000001010111010(bitIndex24) )).

fof(bitBlastConstant_6789,axiom,(
    ~ b000000011000000001010111010(bitIndex23) )).

fof(bitBlastConstant_6788,axiom,(
    ~ b000000011000000001010111010(bitIndex22) )).

fof(bitBlastConstant_6787,axiom,(
    ~ b000000011000000001010111010(bitIndex21) )).

fof(bitBlastConstant_6786,axiom,(
    ~ b000000011000000001010111010(bitIndex20) )).

fof(bitBlastConstant_6785,axiom,(
    b000000011000000001010111010(bitIndex19) )).

fof(bitBlastConstant_6784,axiom,(
    b000000011000000001010111010(bitIndex18) )).

fof(bitBlastConstant_6783,axiom,(
    ~ b000000011000000001010111010(bitIndex17) )).

fof(bitBlastConstant_6782,axiom,(
    ~ b000000011000000001010111010(bitIndex16) )).

fof(bitBlastConstant_6781,axiom,(
    ~ b000000011000000001010111010(bitIndex15) )).

fof(bitBlastConstant_6780,axiom,(
    ~ b000000011000000001010111010(bitIndex14) )).

fof(bitBlastConstant_6779,axiom,(
    ~ b000000011000000001010111010(bitIndex13) )).

fof(bitBlastConstant_6778,axiom,(
    ~ b000000011000000001010111010(bitIndex12) )).

fof(bitBlastConstant_6777,axiom,(
    ~ b000000011000000001010111010(bitIndex11) )).

fof(bitBlastConstant_6776,axiom,(
    ~ b000000011000000001010111010(bitIndex10) )).

fof(bitBlastConstant_6775,axiom,(
    b000000011000000001010111010(bitIndex9) )).

fof(bitBlastConstant_6774,axiom,(
    ~ b000000011000000001010111010(bitIndex8) )).

fof(bitBlastConstant_6773,axiom,(
    b000000011000000001010111010(bitIndex7) )).

fof(bitBlastConstant_6772,axiom,(
    ~ b000000011000000001010111010(bitIndex6) )).

fof(bitBlastConstant_6771,axiom,(
    b000000011000000001010111010(bitIndex5) )).

fof(bitBlastConstant_6770,axiom,(
    b000000011000000001010111010(bitIndex4) )).

fof(bitBlastConstant_6769,axiom,(
    b000000011000000001010111010(bitIndex3) )).

fof(bitBlastConstant_6768,axiom,(
    ~ b000000011000000001010111010(bitIndex2) )).

fof(bitBlastConstant_6767,axiom,(
    b000000011000000001010111010(bitIndex1) )).

fof(bitBlastConstant_6766,axiom,(
    ~ b000000011000000001010111010(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_211,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v5091(VarCurr)
      <=> v5095(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_212,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v5091(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_132,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v5095(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_163,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v5095(VarCurr)
      <=> v5097(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_164,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v5095(VarCurr)
      <=> v5096(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_401,axiom,(
    ! [VarCurr] :
      ( v5097(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_6765,axiom,(
    ~ b000000011100000001010111001(bitIndex26) )).

fof(bitBlastConstant_6764,axiom,(
    ~ b000000011100000001010111001(bitIndex25) )).

fof(bitBlastConstant_6763,axiom,(
    ~ b000000011100000001010111001(bitIndex24) )).

fof(bitBlastConstant_6762,axiom,(
    ~ b000000011100000001010111001(bitIndex23) )).

fof(bitBlastConstant_6761,axiom,(
    ~ b000000011100000001010111001(bitIndex22) )).

fof(bitBlastConstant_6760,axiom,(
    ~ b000000011100000001010111001(bitIndex21) )).

fof(bitBlastConstant_6759,axiom,(
    ~ b000000011100000001010111001(bitIndex20) )).

fof(bitBlastConstant_6758,axiom,(
    b000000011100000001010111001(bitIndex19) )).

fof(bitBlastConstant_6757,axiom,(
    b000000011100000001010111001(bitIndex18) )).

fof(bitBlastConstant_6756,axiom,(
    b000000011100000001010111001(bitIndex17) )).

fof(bitBlastConstant_6755,axiom,(
    ~ b000000011100000001010111001(bitIndex16) )).

fof(bitBlastConstant_6754,axiom,(
    ~ b000000011100000001010111001(bitIndex15) )).

fof(bitBlastConstant_6753,axiom,(
    ~ b000000011100000001010111001(bitIndex14) )).

fof(bitBlastConstant_6752,axiom,(
    ~ b000000011100000001010111001(bitIndex13) )).

fof(bitBlastConstant_6751,axiom,(
    ~ b000000011100000001010111001(bitIndex12) )).

fof(bitBlastConstant_6750,axiom,(
    ~ b000000011100000001010111001(bitIndex11) )).

fof(bitBlastConstant_6749,axiom,(
    ~ b000000011100000001010111001(bitIndex10) )).

fof(bitBlastConstant_6748,axiom,(
    b000000011100000001010111001(bitIndex9) )).

fof(bitBlastConstant_6747,axiom,(
    ~ b000000011100000001010111001(bitIndex8) )).

fof(bitBlastConstant_6746,axiom,(
    b000000011100000001010111001(bitIndex7) )).

fof(bitBlastConstant_6745,axiom,(
    ~ b000000011100000001010111001(bitIndex6) )).

fof(bitBlastConstant_6744,axiom,(
    b000000011100000001010111001(bitIndex5) )).

fof(bitBlastConstant_6743,axiom,(
    b000000011100000001010111001(bitIndex4) )).

fof(bitBlastConstant_6742,axiom,(
    b000000011100000001010111001(bitIndex3) )).

fof(bitBlastConstant_6741,axiom,(
    ~ b000000011100000001010111001(bitIndex2) )).

fof(bitBlastConstant_6740,axiom,(
    ~ b000000011100000001010111001(bitIndex1) )).

fof(bitBlastConstant_6739,axiom,(
    b000000011100000001010111001(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_400,axiom,(
    ! [VarCurr] :
      ( v5096(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_6738,axiom,(
    ~ b000000011000000001010111001(bitIndex26) )).

fof(bitBlastConstant_6737,axiom,(
    ~ b000000011000000001010111001(bitIndex25) )).

fof(bitBlastConstant_6736,axiom,(
    ~ b000000011000000001010111001(bitIndex24) )).

fof(bitBlastConstant_6735,axiom,(
    ~ b000000011000000001010111001(bitIndex23) )).

fof(bitBlastConstant_6734,axiom,(
    ~ b000000011000000001010111001(bitIndex22) )).

fof(bitBlastConstant_6733,axiom,(
    ~ b000000011000000001010111001(bitIndex21) )).

fof(bitBlastConstant_6732,axiom,(
    ~ b000000011000000001010111001(bitIndex20) )).

fof(bitBlastConstant_6731,axiom,(
    b000000011000000001010111001(bitIndex19) )).

fof(bitBlastConstant_6730,axiom,(
    b000000011000000001010111001(bitIndex18) )).

fof(bitBlastConstant_6729,axiom,(
    ~ b000000011000000001010111001(bitIndex17) )).

fof(bitBlastConstant_6728,axiom,(
    ~ b000000011000000001010111001(bitIndex16) )).

fof(bitBlastConstant_6727,axiom,(
    ~ b000000011000000001010111001(bitIndex15) )).

fof(bitBlastConstant_6726,axiom,(
    ~ b000000011000000001010111001(bitIndex14) )).

fof(bitBlastConstant_6725,axiom,(
    ~ b000000011000000001010111001(bitIndex13) )).

fof(bitBlastConstant_6724,axiom,(
    ~ b000000011000000001010111001(bitIndex12) )).

fof(bitBlastConstant_6723,axiom,(
    ~ b000000011000000001010111001(bitIndex11) )).

fof(bitBlastConstant_6722,axiom,(
    ~ b000000011000000001010111001(bitIndex10) )).

fof(bitBlastConstant_6721,axiom,(
    b000000011000000001010111001(bitIndex9) )).

fof(bitBlastConstant_6720,axiom,(
    ~ b000000011000000001010111001(bitIndex8) )).

fof(bitBlastConstant_6719,axiom,(
    b000000011000000001010111001(bitIndex7) )).

fof(bitBlastConstant_6718,axiom,(
    ~ b000000011000000001010111001(bitIndex6) )).

fof(bitBlastConstant_6717,axiom,(
    b000000011000000001010111001(bitIndex5) )).

fof(bitBlastConstant_6716,axiom,(
    b000000011000000001010111001(bitIndex4) )).

fof(bitBlastConstant_6715,axiom,(
    b000000011000000001010111001(bitIndex3) )).

fof(bitBlastConstant_6714,axiom,(
    ~ b000000011000000001010111001(bitIndex2) )).

fof(bitBlastConstant_6713,axiom,(
    ~ b000000011000000001010111001(bitIndex1) )).

fof(bitBlastConstant_6712,axiom,(
    b000000011000000001010111001(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_210,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v5083(VarCurr)
      <=> v5087(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_211,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v5083(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_131,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v5087(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_162,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v5087(VarCurr)
      <=> v5089(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_163,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v5087(VarCurr)
      <=> v5088(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_399,axiom,(
    ! [VarCurr] :
      ( v5089(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_6711,axiom,(
    ~ b000000011100000001010111000(bitIndex26) )).

fof(bitBlastConstant_6710,axiom,(
    ~ b000000011100000001010111000(bitIndex25) )).

fof(bitBlastConstant_6709,axiom,(
    ~ b000000011100000001010111000(bitIndex24) )).

fof(bitBlastConstant_6708,axiom,(
    ~ b000000011100000001010111000(bitIndex23) )).

fof(bitBlastConstant_6707,axiom,(
    ~ b000000011100000001010111000(bitIndex22) )).

fof(bitBlastConstant_6706,axiom,(
    ~ b000000011100000001010111000(bitIndex21) )).

fof(bitBlastConstant_6705,axiom,(
    ~ b000000011100000001010111000(bitIndex20) )).

fof(bitBlastConstant_6704,axiom,(
    b000000011100000001010111000(bitIndex19) )).

fof(bitBlastConstant_6703,axiom,(
    b000000011100000001010111000(bitIndex18) )).

fof(bitBlastConstant_6702,axiom,(
    b000000011100000001010111000(bitIndex17) )).

fof(bitBlastConstant_6701,axiom,(
    ~ b000000011100000001010111000(bitIndex16) )).

fof(bitBlastConstant_6700,axiom,(
    ~ b000000011100000001010111000(bitIndex15) )).

fof(bitBlastConstant_6699,axiom,(
    ~ b000000011100000001010111000(bitIndex14) )).

fof(bitBlastConstant_6698,axiom,(
    ~ b000000011100000001010111000(bitIndex13) )).

fof(bitBlastConstant_6697,axiom,(
    ~ b000000011100000001010111000(bitIndex12) )).

fof(bitBlastConstant_6696,axiom,(
    ~ b000000011100000001010111000(bitIndex11) )).

fof(bitBlastConstant_6695,axiom,(
    ~ b000000011100000001010111000(bitIndex10) )).

fof(bitBlastConstant_6694,axiom,(
    b000000011100000001010111000(bitIndex9) )).

fof(bitBlastConstant_6693,axiom,(
    ~ b000000011100000001010111000(bitIndex8) )).

fof(bitBlastConstant_6692,axiom,(
    b000000011100000001010111000(bitIndex7) )).

fof(bitBlastConstant_6691,axiom,(
    ~ b000000011100000001010111000(bitIndex6) )).

fof(bitBlastConstant_6690,axiom,(
    b000000011100000001010111000(bitIndex5) )).

fof(bitBlastConstant_6689,axiom,(
    b000000011100000001010111000(bitIndex4) )).

fof(bitBlastConstant_6688,axiom,(
    b000000011100000001010111000(bitIndex3) )).

fof(bitBlastConstant_6687,axiom,(
    ~ b000000011100000001010111000(bitIndex2) )).

fof(bitBlastConstant_6686,axiom,(
    ~ b000000011100000001010111000(bitIndex1) )).

fof(bitBlastConstant_6685,axiom,(
    ~ b000000011100000001010111000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_398,axiom,(
    ! [VarCurr] :
      ( v5088(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_6684,axiom,(
    ~ b000000011000000001010111000(bitIndex26) )).

fof(bitBlastConstant_6683,axiom,(
    ~ b000000011000000001010111000(bitIndex25) )).

fof(bitBlastConstant_6682,axiom,(
    ~ b000000011000000001010111000(bitIndex24) )).

fof(bitBlastConstant_6681,axiom,(
    ~ b000000011000000001010111000(bitIndex23) )).

fof(bitBlastConstant_6680,axiom,(
    ~ b000000011000000001010111000(bitIndex22) )).

fof(bitBlastConstant_6679,axiom,(
    ~ b000000011000000001010111000(bitIndex21) )).

fof(bitBlastConstant_6678,axiom,(
    ~ b000000011000000001010111000(bitIndex20) )).

fof(bitBlastConstant_6677,axiom,(
    b000000011000000001010111000(bitIndex19) )).

fof(bitBlastConstant_6676,axiom,(
    b000000011000000001010111000(bitIndex18) )).

fof(bitBlastConstant_6675,axiom,(
    ~ b000000011000000001010111000(bitIndex17) )).

fof(bitBlastConstant_6674,axiom,(
    ~ b000000011000000001010111000(bitIndex16) )).

fof(bitBlastConstant_6673,axiom,(
    ~ b000000011000000001010111000(bitIndex15) )).

fof(bitBlastConstant_6672,axiom,(
    ~ b000000011000000001010111000(bitIndex14) )).

fof(bitBlastConstant_6671,axiom,(
    ~ b000000011000000001010111000(bitIndex13) )).

fof(bitBlastConstant_6670,axiom,(
    ~ b000000011000000001010111000(bitIndex12) )).

fof(bitBlastConstant_6669,axiom,(
    ~ b000000011000000001010111000(bitIndex11) )).

fof(bitBlastConstant_6668,axiom,(
    ~ b000000011000000001010111000(bitIndex10) )).

fof(bitBlastConstant_6667,axiom,(
    b000000011000000001010111000(bitIndex9) )).

fof(bitBlastConstant_6666,axiom,(
    ~ b000000011000000001010111000(bitIndex8) )).

fof(bitBlastConstant_6665,axiom,(
    b000000011000000001010111000(bitIndex7) )).

fof(bitBlastConstant_6664,axiom,(
    ~ b000000011000000001010111000(bitIndex6) )).

fof(bitBlastConstant_6663,axiom,(
    b000000011000000001010111000(bitIndex5) )).

fof(bitBlastConstant_6662,axiom,(
    b000000011000000001010111000(bitIndex4) )).

fof(bitBlastConstant_6661,axiom,(
    b000000011000000001010111000(bitIndex3) )).

fof(bitBlastConstant_6660,axiom,(
    ~ b000000011000000001010111000(bitIndex2) )).

fof(bitBlastConstant_6659,axiom,(
    ~ b000000011000000001010111000(bitIndex1) )).

fof(bitBlastConstant_6658,axiom,(
    ~ b000000011000000001010111000(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_209,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v5075(VarCurr)
      <=> v5079(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_210,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v5075(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_130,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v5079(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_161,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v5079(VarCurr)
      <=> v5081(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_162,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v5079(VarCurr)
      <=> v5080(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_397,axiom,(
    ! [VarCurr] :
      ( v5081(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_6657,axiom,(
    ~ b000000011100000001010110111(bitIndex26) )).

fof(bitBlastConstant_6656,axiom,(
    ~ b000000011100000001010110111(bitIndex25) )).

fof(bitBlastConstant_6655,axiom,(
    ~ b000000011100000001010110111(bitIndex24) )).

fof(bitBlastConstant_6654,axiom,(
    ~ b000000011100000001010110111(bitIndex23) )).

fof(bitBlastConstant_6653,axiom,(
    ~ b000000011100000001010110111(bitIndex22) )).

fof(bitBlastConstant_6652,axiom,(
    ~ b000000011100000001010110111(bitIndex21) )).

fof(bitBlastConstant_6651,axiom,(
    ~ b000000011100000001010110111(bitIndex20) )).

fof(bitBlastConstant_6650,axiom,(
    b000000011100000001010110111(bitIndex19) )).

fof(bitBlastConstant_6649,axiom,(
    b000000011100000001010110111(bitIndex18) )).

fof(bitBlastConstant_6648,axiom,(
    b000000011100000001010110111(bitIndex17) )).

fof(bitBlastConstant_6647,axiom,(
    ~ b000000011100000001010110111(bitIndex16) )).

fof(bitBlastConstant_6646,axiom,(
    ~ b000000011100000001010110111(bitIndex15) )).

fof(bitBlastConstant_6645,axiom,(
    ~ b000000011100000001010110111(bitIndex14) )).

fof(bitBlastConstant_6644,axiom,(
    ~ b000000011100000001010110111(bitIndex13) )).

fof(bitBlastConstant_6643,axiom,(
    ~ b000000011100000001010110111(bitIndex12) )).

fof(bitBlastConstant_6642,axiom,(
    ~ b000000011100000001010110111(bitIndex11) )).

fof(bitBlastConstant_6641,axiom,(
    ~ b000000011100000001010110111(bitIndex10) )).

fof(bitBlastConstant_6640,axiom,(
    b000000011100000001010110111(bitIndex9) )).

fof(bitBlastConstant_6639,axiom,(
    ~ b000000011100000001010110111(bitIndex8) )).

fof(bitBlastConstant_6638,axiom,(
    b000000011100000001010110111(bitIndex7) )).

fof(bitBlastConstant_6637,axiom,(
    ~ b000000011100000001010110111(bitIndex6) )).

fof(bitBlastConstant_6636,axiom,(
    b000000011100000001010110111(bitIndex5) )).

fof(bitBlastConstant_6635,axiom,(
    b000000011100000001010110111(bitIndex4) )).

fof(bitBlastConstant_6634,axiom,(
    ~ b000000011100000001010110111(bitIndex3) )).

fof(bitBlastConstant_6633,axiom,(
    b000000011100000001010110111(bitIndex2) )).

fof(bitBlastConstant_6632,axiom,(
    b000000011100000001010110111(bitIndex1) )).

fof(bitBlastConstant_6631,axiom,(
    b000000011100000001010110111(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_396,axiom,(
    ! [VarCurr] :
      ( v5080(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_6630,axiom,(
    ~ b000000011000000001010110111(bitIndex26) )).

fof(bitBlastConstant_6629,axiom,(
    ~ b000000011000000001010110111(bitIndex25) )).

fof(bitBlastConstant_6628,axiom,(
    ~ b000000011000000001010110111(bitIndex24) )).

fof(bitBlastConstant_6627,axiom,(
    ~ b000000011000000001010110111(bitIndex23) )).

fof(bitBlastConstant_6626,axiom,(
    ~ b000000011000000001010110111(bitIndex22) )).

fof(bitBlastConstant_6625,axiom,(
    ~ b000000011000000001010110111(bitIndex21) )).

fof(bitBlastConstant_6624,axiom,(
    ~ b000000011000000001010110111(bitIndex20) )).

fof(bitBlastConstant_6623,axiom,(
    b000000011000000001010110111(bitIndex19) )).

fof(bitBlastConstant_6622,axiom,(
    b000000011000000001010110111(bitIndex18) )).

fof(bitBlastConstant_6621,axiom,(
    ~ b000000011000000001010110111(bitIndex17) )).

fof(bitBlastConstant_6620,axiom,(
    ~ b000000011000000001010110111(bitIndex16) )).

fof(bitBlastConstant_6619,axiom,(
    ~ b000000011000000001010110111(bitIndex15) )).

fof(bitBlastConstant_6618,axiom,(
    ~ b000000011000000001010110111(bitIndex14) )).

fof(bitBlastConstant_6617,axiom,(
    ~ b000000011000000001010110111(bitIndex13) )).

fof(bitBlastConstant_6616,axiom,(
    ~ b000000011000000001010110111(bitIndex12) )).

fof(bitBlastConstant_6615,axiom,(
    ~ b000000011000000001010110111(bitIndex11) )).

fof(bitBlastConstant_6614,axiom,(
    ~ b000000011000000001010110111(bitIndex10) )).

fof(bitBlastConstant_6613,axiom,(
    b000000011000000001010110111(bitIndex9) )).

fof(bitBlastConstant_6612,axiom,(
    ~ b000000011000000001010110111(bitIndex8) )).

fof(bitBlastConstant_6611,axiom,(
    b000000011000000001010110111(bitIndex7) )).

fof(bitBlastConstant_6610,axiom,(
    ~ b000000011000000001010110111(bitIndex6) )).

fof(bitBlastConstant_6609,axiom,(
    b000000011000000001010110111(bitIndex5) )).

fof(bitBlastConstant_6608,axiom,(
    b000000011000000001010110111(bitIndex4) )).

fof(bitBlastConstant_6607,axiom,(
    ~ b000000011000000001010110111(bitIndex3) )).

fof(bitBlastConstant_6606,axiom,(
    b000000011000000001010110111(bitIndex2) )).

fof(bitBlastConstant_6605,axiom,(
    b000000011000000001010110111(bitIndex1) )).

fof(bitBlastConstant_6604,axiom,(
    b000000011000000001010110111(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_208,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v5067(VarCurr)
      <=> v5071(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_209,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v5067(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_129,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v5071(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_160,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v5071(VarCurr)
      <=> v5073(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_161,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v5071(VarCurr)
      <=> v5072(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_395,axiom,(
    ! [VarCurr] :
      ( v5073(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_6603,axiom,(
    ~ b000000011100000001010110110(bitIndex26) )).

fof(bitBlastConstant_6602,axiom,(
    ~ b000000011100000001010110110(bitIndex25) )).

fof(bitBlastConstant_6601,axiom,(
    ~ b000000011100000001010110110(bitIndex24) )).

fof(bitBlastConstant_6600,axiom,(
    ~ b000000011100000001010110110(bitIndex23) )).

fof(bitBlastConstant_6599,axiom,(
    ~ b000000011100000001010110110(bitIndex22) )).

fof(bitBlastConstant_6598,axiom,(
    ~ b000000011100000001010110110(bitIndex21) )).

fof(bitBlastConstant_6597,axiom,(
    ~ b000000011100000001010110110(bitIndex20) )).

fof(bitBlastConstant_6596,axiom,(
    b000000011100000001010110110(bitIndex19) )).

fof(bitBlastConstant_6595,axiom,(
    b000000011100000001010110110(bitIndex18) )).

fof(bitBlastConstant_6594,axiom,(
    b000000011100000001010110110(bitIndex17) )).

fof(bitBlastConstant_6593,axiom,(
    ~ b000000011100000001010110110(bitIndex16) )).

fof(bitBlastConstant_6592,axiom,(
    ~ b000000011100000001010110110(bitIndex15) )).

fof(bitBlastConstant_6591,axiom,(
    ~ b000000011100000001010110110(bitIndex14) )).

fof(bitBlastConstant_6590,axiom,(
    ~ b000000011100000001010110110(bitIndex13) )).

fof(bitBlastConstant_6589,axiom,(
    ~ b000000011100000001010110110(bitIndex12) )).

fof(bitBlastConstant_6588,axiom,(
    ~ b000000011100000001010110110(bitIndex11) )).

fof(bitBlastConstant_6587,axiom,(
    ~ b000000011100000001010110110(bitIndex10) )).

fof(bitBlastConstant_6586,axiom,(
    b000000011100000001010110110(bitIndex9) )).

fof(bitBlastConstant_6585,axiom,(
    ~ b000000011100000001010110110(bitIndex8) )).

fof(bitBlastConstant_6584,axiom,(
    b000000011100000001010110110(bitIndex7) )).

fof(bitBlastConstant_6583,axiom,(
    ~ b000000011100000001010110110(bitIndex6) )).

fof(bitBlastConstant_6582,axiom,(
    b000000011100000001010110110(bitIndex5) )).

fof(bitBlastConstant_6581,axiom,(
    b000000011100000001010110110(bitIndex4) )).

fof(bitBlastConstant_6580,axiom,(
    ~ b000000011100000001010110110(bitIndex3) )).

fof(bitBlastConstant_6579,axiom,(
    b000000011100000001010110110(bitIndex2) )).

fof(bitBlastConstant_6578,axiom,(
    b000000011100000001010110110(bitIndex1) )).

fof(bitBlastConstant_6577,axiom,(
    ~ b000000011100000001010110110(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_394,axiom,(
    ! [VarCurr] :
      ( v5072(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_6576,axiom,(
    ~ b000000011000000001010110110(bitIndex26) )).

fof(bitBlastConstant_6575,axiom,(
    ~ b000000011000000001010110110(bitIndex25) )).

fof(bitBlastConstant_6574,axiom,(
    ~ b000000011000000001010110110(bitIndex24) )).

fof(bitBlastConstant_6573,axiom,(
    ~ b000000011000000001010110110(bitIndex23) )).

fof(bitBlastConstant_6572,axiom,(
    ~ b000000011000000001010110110(bitIndex22) )).

fof(bitBlastConstant_6571,axiom,(
    ~ b000000011000000001010110110(bitIndex21) )).

fof(bitBlastConstant_6570,axiom,(
    ~ b000000011000000001010110110(bitIndex20) )).

fof(bitBlastConstant_6569,axiom,(
    b000000011000000001010110110(bitIndex19) )).

fof(bitBlastConstant_6568,axiom,(
    b000000011000000001010110110(bitIndex18) )).

fof(bitBlastConstant_6567,axiom,(
    ~ b000000011000000001010110110(bitIndex17) )).

fof(bitBlastConstant_6566,axiom,(
    ~ b000000011000000001010110110(bitIndex16) )).

fof(bitBlastConstant_6565,axiom,(
    ~ b000000011000000001010110110(bitIndex15) )).

fof(bitBlastConstant_6564,axiom,(
    ~ b000000011000000001010110110(bitIndex14) )).

fof(bitBlastConstant_6563,axiom,(
    ~ b000000011000000001010110110(bitIndex13) )).

fof(bitBlastConstant_6562,axiom,(
    ~ b000000011000000001010110110(bitIndex12) )).

fof(bitBlastConstant_6561,axiom,(
    ~ b000000011000000001010110110(bitIndex11) )).

fof(bitBlastConstant_6560,axiom,(
    ~ b000000011000000001010110110(bitIndex10) )).

fof(bitBlastConstant_6559,axiom,(
    b000000011000000001010110110(bitIndex9) )).

fof(bitBlastConstant_6558,axiom,(
    ~ b000000011000000001010110110(bitIndex8) )).

fof(bitBlastConstant_6557,axiom,(
    b000000011000000001010110110(bitIndex7) )).

fof(bitBlastConstant_6556,axiom,(
    ~ b000000011000000001010110110(bitIndex6) )).

fof(bitBlastConstant_6555,axiom,(
    b000000011000000001010110110(bitIndex5) )).

fof(bitBlastConstant_6554,axiom,(
    b000000011000000001010110110(bitIndex4) )).

fof(bitBlastConstant_6553,axiom,(
    ~ b000000011000000001010110110(bitIndex3) )).

fof(bitBlastConstant_6552,axiom,(
    b000000011000000001010110110(bitIndex2) )).

fof(bitBlastConstant_6551,axiom,(
    b000000011000000001010110110(bitIndex1) )).

fof(bitBlastConstant_6550,axiom,(
    ~ b000000011000000001010110110(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_207,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v5059(VarCurr)
      <=> v5063(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_208,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v5059(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_128,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v5063(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_159,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v5063(VarCurr)
      <=> v5065(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_160,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v5063(VarCurr)
      <=> v5064(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_393,axiom,(
    ! [VarCurr] :
      ( v5065(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_6549,axiom,(
    ~ b000000011100000001010110101(bitIndex26) )).

fof(bitBlastConstant_6548,axiom,(
    ~ b000000011100000001010110101(bitIndex25) )).

fof(bitBlastConstant_6547,axiom,(
    ~ b000000011100000001010110101(bitIndex24) )).

fof(bitBlastConstant_6546,axiom,(
    ~ b000000011100000001010110101(bitIndex23) )).

fof(bitBlastConstant_6545,axiom,(
    ~ b000000011100000001010110101(bitIndex22) )).

fof(bitBlastConstant_6544,axiom,(
    ~ b000000011100000001010110101(bitIndex21) )).

fof(bitBlastConstant_6543,axiom,(
    ~ b000000011100000001010110101(bitIndex20) )).

fof(bitBlastConstant_6542,axiom,(
    b000000011100000001010110101(bitIndex19) )).

fof(bitBlastConstant_6541,axiom,(
    b000000011100000001010110101(bitIndex18) )).

fof(bitBlastConstant_6540,axiom,(
    b000000011100000001010110101(bitIndex17) )).

fof(bitBlastConstant_6539,axiom,(
    ~ b000000011100000001010110101(bitIndex16) )).

fof(bitBlastConstant_6538,axiom,(
    ~ b000000011100000001010110101(bitIndex15) )).

fof(bitBlastConstant_6537,axiom,(
    ~ b000000011100000001010110101(bitIndex14) )).

fof(bitBlastConstant_6536,axiom,(
    ~ b000000011100000001010110101(bitIndex13) )).

fof(bitBlastConstant_6535,axiom,(
    ~ b000000011100000001010110101(bitIndex12) )).

fof(bitBlastConstant_6534,axiom,(
    ~ b000000011100000001010110101(bitIndex11) )).

fof(bitBlastConstant_6533,axiom,(
    ~ b000000011100000001010110101(bitIndex10) )).

fof(bitBlastConstant_6532,axiom,(
    b000000011100000001010110101(bitIndex9) )).

fof(bitBlastConstant_6531,axiom,(
    ~ b000000011100000001010110101(bitIndex8) )).

fof(bitBlastConstant_6530,axiom,(
    b000000011100000001010110101(bitIndex7) )).

fof(bitBlastConstant_6529,axiom,(
    ~ b000000011100000001010110101(bitIndex6) )).

fof(bitBlastConstant_6528,axiom,(
    b000000011100000001010110101(bitIndex5) )).

fof(bitBlastConstant_6527,axiom,(
    b000000011100000001010110101(bitIndex4) )).

fof(bitBlastConstant_6526,axiom,(
    ~ b000000011100000001010110101(bitIndex3) )).

fof(bitBlastConstant_6525,axiom,(
    b000000011100000001010110101(bitIndex2) )).

fof(bitBlastConstant_6524,axiom,(
    ~ b000000011100000001010110101(bitIndex1) )).

fof(bitBlastConstant_6523,axiom,(
    b000000011100000001010110101(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_392,axiom,(
    ! [VarCurr] :
      ( v5064(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_6522,axiom,(
    ~ b000000011000000001010110101(bitIndex26) )).

fof(bitBlastConstant_6521,axiom,(
    ~ b000000011000000001010110101(bitIndex25) )).

fof(bitBlastConstant_6520,axiom,(
    ~ b000000011000000001010110101(bitIndex24) )).

fof(bitBlastConstant_6519,axiom,(
    ~ b000000011000000001010110101(bitIndex23) )).

fof(bitBlastConstant_6518,axiom,(
    ~ b000000011000000001010110101(bitIndex22) )).

fof(bitBlastConstant_6517,axiom,(
    ~ b000000011000000001010110101(bitIndex21) )).

fof(bitBlastConstant_6516,axiom,(
    ~ b000000011000000001010110101(bitIndex20) )).

fof(bitBlastConstant_6515,axiom,(
    b000000011000000001010110101(bitIndex19) )).

fof(bitBlastConstant_6514,axiom,(
    b000000011000000001010110101(bitIndex18) )).

fof(bitBlastConstant_6513,axiom,(
    ~ b000000011000000001010110101(bitIndex17) )).

fof(bitBlastConstant_6512,axiom,(
    ~ b000000011000000001010110101(bitIndex16) )).

fof(bitBlastConstant_6511,axiom,(
    ~ b000000011000000001010110101(bitIndex15) )).

fof(bitBlastConstant_6510,axiom,(
    ~ b000000011000000001010110101(bitIndex14) )).

fof(bitBlastConstant_6509,axiom,(
    ~ b000000011000000001010110101(bitIndex13) )).

fof(bitBlastConstant_6508,axiom,(
    ~ b000000011000000001010110101(bitIndex12) )).

fof(bitBlastConstant_6507,axiom,(
    ~ b000000011000000001010110101(bitIndex11) )).

fof(bitBlastConstant_6506,axiom,(
    ~ b000000011000000001010110101(bitIndex10) )).

fof(bitBlastConstant_6505,axiom,(
    b000000011000000001010110101(bitIndex9) )).

fof(bitBlastConstant_6504,axiom,(
    ~ b000000011000000001010110101(bitIndex8) )).

fof(bitBlastConstant_6503,axiom,(
    b000000011000000001010110101(bitIndex7) )).

fof(bitBlastConstant_6502,axiom,(
    ~ b000000011000000001010110101(bitIndex6) )).

fof(bitBlastConstant_6501,axiom,(
    b000000011000000001010110101(bitIndex5) )).

fof(bitBlastConstant_6500,axiom,(
    b000000011000000001010110101(bitIndex4) )).

fof(bitBlastConstant_6499,axiom,(
    ~ b000000011000000001010110101(bitIndex3) )).

fof(bitBlastConstant_6498,axiom,(
    b000000011000000001010110101(bitIndex2) )).

fof(bitBlastConstant_6497,axiom,(
    ~ b000000011000000001010110101(bitIndex1) )).

fof(bitBlastConstant_6496,axiom,(
    b000000011000000001010110101(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_206,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v5051(VarCurr)
      <=> v5055(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_207,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v5051(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_127,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v5055(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_158,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v5055(VarCurr)
      <=> v5057(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_159,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v5055(VarCurr)
      <=> v5056(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_391,axiom,(
    ! [VarCurr] :
      ( v5057(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_6495,axiom,(
    ~ b000000011100000001010110100(bitIndex26) )).

fof(bitBlastConstant_6494,axiom,(
    ~ b000000011100000001010110100(bitIndex25) )).

fof(bitBlastConstant_6493,axiom,(
    ~ b000000011100000001010110100(bitIndex24) )).

fof(bitBlastConstant_6492,axiom,(
    ~ b000000011100000001010110100(bitIndex23) )).

fof(bitBlastConstant_6491,axiom,(
    ~ b000000011100000001010110100(bitIndex22) )).

fof(bitBlastConstant_6490,axiom,(
    ~ b000000011100000001010110100(bitIndex21) )).

fof(bitBlastConstant_6489,axiom,(
    ~ b000000011100000001010110100(bitIndex20) )).

fof(bitBlastConstant_6488,axiom,(
    b000000011100000001010110100(bitIndex19) )).

fof(bitBlastConstant_6487,axiom,(
    b000000011100000001010110100(bitIndex18) )).

fof(bitBlastConstant_6486,axiom,(
    b000000011100000001010110100(bitIndex17) )).

fof(bitBlastConstant_6485,axiom,(
    ~ b000000011100000001010110100(bitIndex16) )).

fof(bitBlastConstant_6484,axiom,(
    ~ b000000011100000001010110100(bitIndex15) )).

fof(bitBlastConstant_6483,axiom,(
    ~ b000000011100000001010110100(bitIndex14) )).

fof(bitBlastConstant_6482,axiom,(
    ~ b000000011100000001010110100(bitIndex13) )).

fof(bitBlastConstant_6481,axiom,(
    ~ b000000011100000001010110100(bitIndex12) )).

fof(bitBlastConstant_6480,axiom,(
    ~ b000000011100000001010110100(bitIndex11) )).

fof(bitBlastConstant_6479,axiom,(
    ~ b000000011100000001010110100(bitIndex10) )).

fof(bitBlastConstant_6478,axiom,(
    b000000011100000001010110100(bitIndex9) )).

fof(bitBlastConstant_6477,axiom,(
    ~ b000000011100000001010110100(bitIndex8) )).

fof(bitBlastConstant_6476,axiom,(
    b000000011100000001010110100(bitIndex7) )).

fof(bitBlastConstant_6475,axiom,(
    ~ b000000011100000001010110100(bitIndex6) )).

fof(bitBlastConstant_6474,axiom,(
    b000000011100000001010110100(bitIndex5) )).

fof(bitBlastConstant_6473,axiom,(
    b000000011100000001010110100(bitIndex4) )).

fof(bitBlastConstant_6472,axiom,(
    ~ b000000011100000001010110100(bitIndex3) )).

fof(bitBlastConstant_6471,axiom,(
    b000000011100000001010110100(bitIndex2) )).

fof(bitBlastConstant_6470,axiom,(
    ~ b000000011100000001010110100(bitIndex1) )).

fof(bitBlastConstant_6469,axiom,(
    ~ b000000011100000001010110100(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_390,axiom,(
    ! [VarCurr] :
      ( v5056(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_6468,axiom,(
    ~ b000000011000000001010110100(bitIndex26) )).

fof(bitBlastConstant_6467,axiom,(
    ~ b000000011000000001010110100(bitIndex25) )).

fof(bitBlastConstant_6466,axiom,(
    ~ b000000011000000001010110100(bitIndex24) )).

fof(bitBlastConstant_6465,axiom,(
    ~ b000000011000000001010110100(bitIndex23) )).

fof(bitBlastConstant_6464,axiom,(
    ~ b000000011000000001010110100(bitIndex22) )).

fof(bitBlastConstant_6463,axiom,(
    ~ b000000011000000001010110100(bitIndex21) )).

fof(bitBlastConstant_6462,axiom,(
    ~ b000000011000000001010110100(bitIndex20) )).

fof(bitBlastConstant_6461,axiom,(
    b000000011000000001010110100(bitIndex19) )).

fof(bitBlastConstant_6460,axiom,(
    b000000011000000001010110100(bitIndex18) )).

fof(bitBlastConstant_6459,axiom,(
    ~ b000000011000000001010110100(bitIndex17) )).

fof(bitBlastConstant_6458,axiom,(
    ~ b000000011000000001010110100(bitIndex16) )).

fof(bitBlastConstant_6457,axiom,(
    ~ b000000011000000001010110100(bitIndex15) )).

fof(bitBlastConstant_6456,axiom,(
    ~ b000000011000000001010110100(bitIndex14) )).

fof(bitBlastConstant_6455,axiom,(
    ~ b000000011000000001010110100(bitIndex13) )).

fof(bitBlastConstant_6454,axiom,(
    ~ b000000011000000001010110100(bitIndex12) )).

fof(bitBlastConstant_6453,axiom,(
    ~ b000000011000000001010110100(bitIndex11) )).

fof(bitBlastConstant_6452,axiom,(
    ~ b000000011000000001010110100(bitIndex10) )).

fof(bitBlastConstant_6451,axiom,(
    b000000011000000001010110100(bitIndex9) )).

fof(bitBlastConstant_6450,axiom,(
    ~ b000000011000000001010110100(bitIndex8) )).

fof(bitBlastConstant_6449,axiom,(
    b000000011000000001010110100(bitIndex7) )).

fof(bitBlastConstant_6448,axiom,(
    ~ b000000011000000001010110100(bitIndex6) )).

fof(bitBlastConstant_6447,axiom,(
    b000000011000000001010110100(bitIndex5) )).

fof(bitBlastConstant_6446,axiom,(
    b000000011000000001010110100(bitIndex4) )).

fof(bitBlastConstant_6445,axiom,(
    ~ b000000011000000001010110100(bitIndex3) )).

fof(bitBlastConstant_6444,axiom,(
    b000000011000000001010110100(bitIndex2) )).

fof(bitBlastConstant_6443,axiom,(
    ~ b000000011000000001010110100(bitIndex1) )).

fof(bitBlastConstant_6442,axiom,(
    ~ b000000011000000001010110100(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_205,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v5043(VarCurr)
      <=> v5047(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_206,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v5043(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_126,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v5047(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_157,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v5047(VarCurr)
      <=> v5049(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_158,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v5047(VarCurr)
      <=> v5048(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_389,axiom,(
    ! [VarCurr] :
      ( v5049(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_6441,axiom,(
    ~ b000000011100000001010110011(bitIndex26) )).

fof(bitBlastConstant_6440,axiom,(
    ~ b000000011100000001010110011(bitIndex25) )).

fof(bitBlastConstant_6439,axiom,(
    ~ b000000011100000001010110011(bitIndex24) )).

fof(bitBlastConstant_6438,axiom,(
    ~ b000000011100000001010110011(bitIndex23) )).

fof(bitBlastConstant_6437,axiom,(
    ~ b000000011100000001010110011(bitIndex22) )).

fof(bitBlastConstant_6436,axiom,(
    ~ b000000011100000001010110011(bitIndex21) )).

fof(bitBlastConstant_6435,axiom,(
    ~ b000000011100000001010110011(bitIndex20) )).

fof(bitBlastConstant_6434,axiom,(
    b000000011100000001010110011(bitIndex19) )).

fof(bitBlastConstant_6433,axiom,(
    b000000011100000001010110011(bitIndex18) )).

fof(bitBlastConstant_6432,axiom,(
    b000000011100000001010110011(bitIndex17) )).

fof(bitBlastConstant_6431,axiom,(
    ~ b000000011100000001010110011(bitIndex16) )).

fof(bitBlastConstant_6430,axiom,(
    ~ b000000011100000001010110011(bitIndex15) )).

fof(bitBlastConstant_6429,axiom,(
    ~ b000000011100000001010110011(bitIndex14) )).

fof(bitBlastConstant_6428,axiom,(
    ~ b000000011100000001010110011(bitIndex13) )).

fof(bitBlastConstant_6427,axiom,(
    ~ b000000011100000001010110011(bitIndex12) )).

fof(bitBlastConstant_6426,axiom,(
    ~ b000000011100000001010110011(bitIndex11) )).

fof(bitBlastConstant_6425,axiom,(
    ~ b000000011100000001010110011(bitIndex10) )).

fof(bitBlastConstant_6424,axiom,(
    b000000011100000001010110011(bitIndex9) )).

fof(bitBlastConstant_6423,axiom,(
    ~ b000000011100000001010110011(bitIndex8) )).

fof(bitBlastConstant_6422,axiom,(
    b000000011100000001010110011(bitIndex7) )).

fof(bitBlastConstant_6421,axiom,(
    ~ b000000011100000001010110011(bitIndex6) )).

fof(bitBlastConstant_6420,axiom,(
    b000000011100000001010110011(bitIndex5) )).

fof(bitBlastConstant_6419,axiom,(
    b000000011100000001010110011(bitIndex4) )).

fof(bitBlastConstant_6418,axiom,(
    ~ b000000011100000001010110011(bitIndex3) )).

fof(bitBlastConstant_6417,axiom,(
    ~ b000000011100000001010110011(bitIndex2) )).

fof(bitBlastConstant_6416,axiom,(
    b000000011100000001010110011(bitIndex1) )).

fof(bitBlastConstant_6415,axiom,(
    b000000011100000001010110011(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_388,axiom,(
    ! [VarCurr] :
      ( v5048(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_6414,axiom,(
    ~ b000000011000000001010110011(bitIndex26) )).

fof(bitBlastConstant_6413,axiom,(
    ~ b000000011000000001010110011(bitIndex25) )).

fof(bitBlastConstant_6412,axiom,(
    ~ b000000011000000001010110011(bitIndex24) )).

fof(bitBlastConstant_6411,axiom,(
    ~ b000000011000000001010110011(bitIndex23) )).

fof(bitBlastConstant_6410,axiom,(
    ~ b000000011000000001010110011(bitIndex22) )).

fof(bitBlastConstant_6409,axiom,(
    ~ b000000011000000001010110011(bitIndex21) )).

fof(bitBlastConstant_6408,axiom,(
    ~ b000000011000000001010110011(bitIndex20) )).

fof(bitBlastConstant_6407,axiom,(
    b000000011000000001010110011(bitIndex19) )).

fof(bitBlastConstant_6406,axiom,(
    b000000011000000001010110011(bitIndex18) )).

fof(bitBlastConstant_6405,axiom,(
    ~ b000000011000000001010110011(bitIndex17) )).

fof(bitBlastConstant_6404,axiom,(
    ~ b000000011000000001010110011(bitIndex16) )).

fof(bitBlastConstant_6403,axiom,(
    ~ b000000011000000001010110011(bitIndex15) )).

fof(bitBlastConstant_6402,axiom,(
    ~ b000000011000000001010110011(bitIndex14) )).

fof(bitBlastConstant_6401,axiom,(
    ~ b000000011000000001010110011(bitIndex13) )).

fof(bitBlastConstant_6400,axiom,(
    ~ b000000011000000001010110011(bitIndex12) )).

fof(bitBlastConstant_6399,axiom,(
    ~ b000000011000000001010110011(bitIndex11) )).

fof(bitBlastConstant_6398,axiom,(
    ~ b000000011000000001010110011(bitIndex10) )).

fof(bitBlastConstant_6397,axiom,(
    b000000011000000001010110011(bitIndex9) )).

fof(bitBlastConstant_6396,axiom,(
    ~ b000000011000000001010110011(bitIndex8) )).

fof(bitBlastConstant_6395,axiom,(
    b000000011000000001010110011(bitIndex7) )).

fof(bitBlastConstant_6394,axiom,(
    ~ b000000011000000001010110011(bitIndex6) )).

fof(bitBlastConstant_6393,axiom,(
    b000000011000000001010110011(bitIndex5) )).

fof(bitBlastConstant_6392,axiom,(
    b000000011000000001010110011(bitIndex4) )).

fof(bitBlastConstant_6391,axiom,(
    ~ b000000011000000001010110011(bitIndex3) )).

fof(bitBlastConstant_6390,axiom,(
    ~ b000000011000000001010110011(bitIndex2) )).

fof(bitBlastConstant_6389,axiom,(
    b000000011000000001010110011(bitIndex1) )).

fof(bitBlastConstant_6388,axiom,(
    b000000011000000001010110011(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_204,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v5035(VarCurr)
      <=> v5039(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_205,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v5035(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_125,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v5039(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_156,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v5039(VarCurr)
      <=> v5041(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_157,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v5039(VarCurr)
      <=> v5040(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_387,axiom,(
    ! [VarCurr] :
      ( v5041(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_6387,axiom,(
    ~ b000000011100000001010110010(bitIndex26) )).

fof(bitBlastConstant_6386,axiom,(
    ~ b000000011100000001010110010(bitIndex25) )).

fof(bitBlastConstant_6385,axiom,(
    ~ b000000011100000001010110010(bitIndex24) )).

fof(bitBlastConstant_6384,axiom,(
    ~ b000000011100000001010110010(bitIndex23) )).

fof(bitBlastConstant_6383,axiom,(
    ~ b000000011100000001010110010(bitIndex22) )).

fof(bitBlastConstant_6382,axiom,(
    ~ b000000011100000001010110010(bitIndex21) )).

fof(bitBlastConstant_6381,axiom,(
    ~ b000000011100000001010110010(bitIndex20) )).

fof(bitBlastConstant_6380,axiom,(
    b000000011100000001010110010(bitIndex19) )).

fof(bitBlastConstant_6379,axiom,(
    b000000011100000001010110010(bitIndex18) )).

fof(bitBlastConstant_6378,axiom,(
    b000000011100000001010110010(bitIndex17) )).

fof(bitBlastConstant_6377,axiom,(
    ~ b000000011100000001010110010(bitIndex16) )).

fof(bitBlastConstant_6376,axiom,(
    ~ b000000011100000001010110010(bitIndex15) )).

fof(bitBlastConstant_6375,axiom,(
    ~ b000000011100000001010110010(bitIndex14) )).

fof(bitBlastConstant_6374,axiom,(
    ~ b000000011100000001010110010(bitIndex13) )).

fof(bitBlastConstant_6373,axiom,(
    ~ b000000011100000001010110010(bitIndex12) )).

fof(bitBlastConstant_6372,axiom,(
    ~ b000000011100000001010110010(bitIndex11) )).

fof(bitBlastConstant_6371,axiom,(
    ~ b000000011100000001010110010(bitIndex10) )).

fof(bitBlastConstant_6370,axiom,(
    b000000011100000001010110010(bitIndex9) )).

fof(bitBlastConstant_6369,axiom,(
    ~ b000000011100000001010110010(bitIndex8) )).

fof(bitBlastConstant_6368,axiom,(
    b000000011100000001010110010(bitIndex7) )).

fof(bitBlastConstant_6367,axiom,(
    ~ b000000011100000001010110010(bitIndex6) )).

fof(bitBlastConstant_6366,axiom,(
    b000000011100000001010110010(bitIndex5) )).

fof(bitBlastConstant_6365,axiom,(
    b000000011100000001010110010(bitIndex4) )).

fof(bitBlastConstant_6364,axiom,(
    ~ b000000011100000001010110010(bitIndex3) )).

fof(bitBlastConstant_6363,axiom,(
    ~ b000000011100000001010110010(bitIndex2) )).

fof(bitBlastConstant_6362,axiom,(
    b000000011100000001010110010(bitIndex1) )).

fof(bitBlastConstant_6361,axiom,(
    ~ b000000011100000001010110010(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_386,axiom,(
    ! [VarCurr] :
      ( v5040(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_6360,axiom,(
    ~ b000000011000000001010110010(bitIndex26) )).

fof(bitBlastConstant_6359,axiom,(
    ~ b000000011000000001010110010(bitIndex25) )).

fof(bitBlastConstant_6358,axiom,(
    ~ b000000011000000001010110010(bitIndex24) )).

fof(bitBlastConstant_6357,axiom,(
    ~ b000000011000000001010110010(bitIndex23) )).

fof(bitBlastConstant_6356,axiom,(
    ~ b000000011000000001010110010(bitIndex22) )).

fof(bitBlastConstant_6355,axiom,(
    ~ b000000011000000001010110010(bitIndex21) )).

fof(bitBlastConstant_6354,axiom,(
    ~ b000000011000000001010110010(bitIndex20) )).

fof(bitBlastConstant_6353,axiom,(
    b000000011000000001010110010(bitIndex19) )).

fof(bitBlastConstant_6352,axiom,(
    b000000011000000001010110010(bitIndex18) )).

fof(bitBlastConstant_6351,axiom,(
    ~ b000000011000000001010110010(bitIndex17) )).

fof(bitBlastConstant_6350,axiom,(
    ~ b000000011000000001010110010(bitIndex16) )).

fof(bitBlastConstant_6349,axiom,(
    ~ b000000011000000001010110010(bitIndex15) )).

fof(bitBlastConstant_6348,axiom,(
    ~ b000000011000000001010110010(bitIndex14) )).

fof(bitBlastConstant_6347,axiom,(
    ~ b000000011000000001010110010(bitIndex13) )).

fof(bitBlastConstant_6346,axiom,(
    ~ b000000011000000001010110010(bitIndex12) )).

fof(bitBlastConstant_6345,axiom,(
    ~ b000000011000000001010110010(bitIndex11) )).

fof(bitBlastConstant_6344,axiom,(
    ~ b000000011000000001010110010(bitIndex10) )).

fof(bitBlastConstant_6343,axiom,(
    b000000011000000001010110010(bitIndex9) )).

fof(bitBlastConstant_6342,axiom,(
    ~ b000000011000000001010110010(bitIndex8) )).

fof(bitBlastConstant_6341,axiom,(
    b000000011000000001010110010(bitIndex7) )).

fof(bitBlastConstant_6340,axiom,(
    ~ b000000011000000001010110010(bitIndex6) )).

fof(bitBlastConstant_6339,axiom,(
    b000000011000000001010110010(bitIndex5) )).

fof(bitBlastConstant_6338,axiom,(
    b000000011000000001010110010(bitIndex4) )).

fof(bitBlastConstant_6337,axiom,(
    ~ b000000011000000001010110010(bitIndex3) )).

fof(bitBlastConstant_6336,axiom,(
    ~ b000000011000000001010110010(bitIndex2) )).

fof(bitBlastConstant_6335,axiom,(
    b000000011000000001010110010(bitIndex1) )).

fof(bitBlastConstant_6334,axiom,(
    ~ b000000011000000001010110010(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_203,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v5027(VarCurr)
      <=> v5031(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_204,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v5027(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_124,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v5031(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_155,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v5031(VarCurr)
      <=> v5033(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_156,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v5031(VarCurr)
      <=> v5032(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_385,axiom,(
    ! [VarCurr] :
      ( v5033(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_6333,axiom,(
    ~ b000000011100000001010110001(bitIndex26) )).

fof(bitBlastConstant_6332,axiom,(
    ~ b000000011100000001010110001(bitIndex25) )).

fof(bitBlastConstant_6331,axiom,(
    ~ b000000011100000001010110001(bitIndex24) )).

fof(bitBlastConstant_6330,axiom,(
    ~ b000000011100000001010110001(bitIndex23) )).

fof(bitBlastConstant_6329,axiom,(
    ~ b000000011100000001010110001(bitIndex22) )).

fof(bitBlastConstant_6328,axiom,(
    ~ b000000011100000001010110001(bitIndex21) )).

fof(bitBlastConstant_6327,axiom,(
    ~ b000000011100000001010110001(bitIndex20) )).

fof(bitBlastConstant_6326,axiom,(
    b000000011100000001010110001(bitIndex19) )).

fof(bitBlastConstant_6325,axiom,(
    b000000011100000001010110001(bitIndex18) )).

fof(bitBlastConstant_6324,axiom,(
    b000000011100000001010110001(bitIndex17) )).

fof(bitBlastConstant_6323,axiom,(
    ~ b000000011100000001010110001(bitIndex16) )).

fof(bitBlastConstant_6322,axiom,(
    ~ b000000011100000001010110001(bitIndex15) )).

fof(bitBlastConstant_6321,axiom,(
    ~ b000000011100000001010110001(bitIndex14) )).

fof(bitBlastConstant_6320,axiom,(
    ~ b000000011100000001010110001(bitIndex13) )).

fof(bitBlastConstant_6319,axiom,(
    ~ b000000011100000001010110001(bitIndex12) )).

fof(bitBlastConstant_6318,axiom,(
    ~ b000000011100000001010110001(bitIndex11) )).

fof(bitBlastConstant_6317,axiom,(
    ~ b000000011100000001010110001(bitIndex10) )).

fof(bitBlastConstant_6316,axiom,(
    b000000011100000001010110001(bitIndex9) )).

fof(bitBlastConstant_6315,axiom,(
    ~ b000000011100000001010110001(bitIndex8) )).

fof(bitBlastConstant_6314,axiom,(
    b000000011100000001010110001(bitIndex7) )).

fof(bitBlastConstant_6313,axiom,(
    ~ b000000011100000001010110001(bitIndex6) )).

fof(bitBlastConstant_6312,axiom,(
    b000000011100000001010110001(bitIndex5) )).

fof(bitBlastConstant_6311,axiom,(
    b000000011100000001010110001(bitIndex4) )).

fof(bitBlastConstant_6310,axiom,(
    ~ b000000011100000001010110001(bitIndex3) )).

fof(bitBlastConstant_6309,axiom,(
    ~ b000000011100000001010110001(bitIndex2) )).

fof(bitBlastConstant_6308,axiom,(
    ~ b000000011100000001010110001(bitIndex1) )).

fof(bitBlastConstant_6307,axiom,(
    b000000011100000001010110001(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_384,axiom,(
    ! [VarCurr] :
      ( v5032(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_6306,axiom,(
    ~ b000000011000000001010110001(bitIndex26) )).

fof(bitBlastConstant_6305,axiom,(
    ~ b000000011000000001010110001(bitIndex25) )).

fof(bitBlastConstant_6304,axiom,(
    ~ b000000011000000001010110001(bitIndex24) )).

fof(bitBlastConstant_6303,axiom,(
    ~ b000000011000000001010110001(bitIndex23) )).

fof(bitBlastConstant_6302,axiom,(
    ~ b000000011000000001010110001(bitIndex22) )).

fof(bitBlastConstant_6301,axiom,(
    ~ b000000011000000001010110001(bitIndex21) )).

fof(bitBlastConstant_6300,axiom,(
    ~ b000000011000000001010110001(bitIndex20) )).

fof(bitBlastConstant_6299,axiom,(
    b000000011000000001010110001(bitIndex19) )).

fof(bitBlastConstant_6298,axiom,(
    b000000011000000001010110001(bitIndex18) )).

fof(bitBlastConstant_6297,axiom,(
    ~ b000000011000000001010110001(bitIndex17) )).

fof(bitBlastConstant_6296,axiom,(
    ~ b000000011000000001010110001(bitIndex16) )).

fof(bitBlastConstant_6295,axiom,(
    ~ b000000011000000001010110001(bitIndex15) )).

fof(bitBlastConstant_6294,axiom,(
    ~ b000000011000000001010110001(bitIndex14) )).

fof(bitBlastConstant_6293,axiom,(
    ~ b000000011000000001010110001(bitIndex13) )).

fof(bitBlastConstant_6292,axiom,(
    ~ b000000011000000001010110001(bitIndex12) )).

fof(bitBlastConstant_6291,axiom,(
    ~ b000000011000000001010110001(bitIndex11) )).

fof(bitBlastConstant_6290,axiom,(
    ~ b000000011000000001010110001(bitIndex10) )).

fof(bitBlastConstant_6289,axiom,(
    b000000011000000001010110001(bitIndex9) )).

fof(bitBlastConstant_6288,axiom,(
    ~ b000000011000000001010110001(bitIndex8) )).

fof(bitBlastConstant_6287,axiom,(
    b000000011000000001010110001(bitIndex7) )).

fof(bitBlastConstant_6286,axiom,(
    ~ b000000011000000001010110001(bitIndex6) )).

fof(bitBlastConstant_6285,axiom,(
    b000000011000000001010110001(bitIndex5) )).

fof(bitBlastConstant_6284,axiom,(
    b000000011000000001010110001(bitIndex4) )).

fof(bitBlastConstant_6283,axiom,(
    ~ b000000011000000001010110001(bitIndex3) )).

fof(bitBlastConstant_6282,axiom,(
    ~ b000000011000000001010110001(bitIndex2) )).

fof(bitBlastConstant_6281,axiom,(
    ~ b000000011000000001010110001(bitIndex1) )).

fof(bitBlastConstant_6280,axiom,(
    b000000011000000001010110001(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_202,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v5019(VarCurr)
      <=> v5023(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_203,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v5019(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_123,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v5023(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_154,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v5023(VarCurr)
      <=> v5025(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_155,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v5023(VarCurr)
      <=> v5024(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_383,axiom,(
    ! [VarCurr] :
      ( v5025(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_6279,axiom,(
    ~ b000000011100000001010110000(bitIndex26) )).

fof(bitBlastConstant_6278,axiom,(
    ~ b000000011100000001010110000(bitIndex25) )).

fof(bitBlastConstant_6277,axiom,(
    ~ b000000011100000001010110000(bitIndex24) )).

fof(bitBlastConstant_6276,axiom,(
    ~ b000000011100000001010110000(bitIndex23) )).

fof(bitBlastConstant_6275,axiom,(
    ~ b000000011100000001010110000(bitIndex22) )).

fof(bitBlastConstant_6274,axiom,(
    ~ b000000011100000001010110000(bitIndex21) )).

fof(bitBlastConstant_6273,axiom,(
    ~ b000000011100000001010110000(bitIndex20) )).

fof(bitBlastConstant_6272,axiom,(
    b000000011100000001010110000(bitIndex19) )).

fof(bitBlastConstant_6271,axiom,(
    b000000011100000001010110000(bitIndex18) )).

fof(bitBlastConstant_6270,axiom,(
    b000000011100000001010110000(bitIndex17) )).

fof(bitBlastConstant_6269,axiom,(
    ~ b000000011100000001010110000(bitIndex16) )).

fof(bitBlastConstant_6268,axiom,(
    ~ b000000011100000001010110000(bitIndex15) )).

fof(bitBlastConstant_6267,axiom,(
    ~ b000000011100000001010110000(bitIndex14) )).

fof(bitBlastConstant_6266,axiom,(
    ~ b000000011100000001010110000(bitIndex13) )).

fof(bitBlastConstant_6265,axiom,(
    ~ b000000011100000001010110000(bitIndex12) )).

fof(bitBlastConstant_6264,axiom,(
    ~ b000000011100000001010110000(bitIndex11) )).

fof(bitBlastConstant_6263,axiom,(
    ~ b000000011100000001010110000(bitIndex10) )).

fof(bitBlastConstant_6262,axiom,(
    b000000011100000001010110000(bitIndex9) )).

fof(bitBlastConstant_6261,axiom,(
    ~ b000000011100000001010110000(bitIndex8) )).

fof(bitBlastConstant_6260,axiom,(
    b000000011100000001010110000(bitIndex7) )).

fof(bitBlastConstant_6259,axiom,(
    ~ b000000011100000001010110000(bitIndex6) )).

fof(bitBlastConstant_6258,axiom,(
    b000000011100000001010110000(bitIndex5) )).

fof(bitBlastConstant_6257,axiom,(
    b000000011100000001010110000(bitIndex4) )).

fof(bitBlastConstant_6256,axiom,(
    ~ b000000011100000001010110000(bitIndex3) )).

fof(bitBlastConstant_6255,axiom,(
    ~ b000000011100000001010110000(bitIndex2) )).

fof(bitBlastConstant_6254,axiom,(
    ~ b000000011100000001010110000(bitIndex1) )).

fof(bitBlastConstant_6253,axiom,(
    ~ b000000011100000001010110000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_382,axiom,(
    ! [VarCurr] :
      ( v5024(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_6252,axiom,(
    ~ b000000011000000001010110000(bitIndex26) )).

fof(bitBlastConstant_6251,axiom,(
    ~ b000000011000000001010110000(bitIndex25) )).

fof(bitBlastConstant_6250,axiom,(
    ~ b000000011000000001010110000(bitIndex24) )).

fof(bitBlastConstant_6249,axiom,(
    ~ b000000011000000001010110000(bitIndex23) )).

fof(bitBlastConstant_6248,axiom,(
    ~ b000000011000000001010110000(bitIndex22) )).

fof(bitBlastConstant_6247,axiom,(
    ~ b000000011000000001010110000(bitIndex21) )).

fof(bitBlastConstant_6246,axiom,(
    ~ b000000011000000001010110000(bitIndex20) )).

fof(bitBlastConstant_6245,axiom,(
    b000000011000000001010110000(bitIndex19) )).

fof(bitBlastConstant_6244,axiom,(
    b000000011000000001010110000(bitIndex18) )).

fof(bitBlastConstant_6243,axiom,(
    ~ b000000011000000001010110000(bitIndex17) )).

fof(bitBlastConstant_6242,axiom,(
    ~ b000000011000000001010110000(bitIndex16) )).

fof(bitBlastConstant_6241,axiom,(
    ~ b000000011000000001010110000(bitIndex15) )).

fof(bitBlastConstant_6240,axiom,(
    ~ b000000011000000001010110000(bitIndex14) )).

fof(bitBlastConstant_6239,axiom,(
    ~ b000000011000000001010110000(bitIndex13) )).

fof(bitBlastConstant_6238,axiom,(
    ~ b000000011000000001010110000(bitIndex12) )).

fof(bitBlastConstant_6237,axiom,(
    ~ b000000011000000001010110000(bitIndex11) )).

fof(bitBlastConstant_6236,axiom,(
    ~ b000000011000000001010110000(bitIndex10) )).

fof(bitBlastConstant_6235,axiom,(
    b000000011000000001010110000(bitIndex9) )).

fof(bitBlastConstant_6234,axiom,(
    ~ b000000011000000001010110000(bitIndex8) )).

fof(bitBlastConstant_6233,axiom,(
    b000000011000000001010110000(bitIndex7) )).

fof(bitBlastConstant_6232,axiom,(
    ~ b000000011000000001010110000(bitIndex6) )).

fof(bitBlastConstant_6231,axiom,(
    b000000011000000001010110000(bitIndex5) )).

fof(bitBlastConstant_6230,axiom,(
    b000000011000000001010110000(bitIndex4) )).

fof(bitBlastConstant_6229,axiom,(
    ~ b000000011000000001010110000(bitIndex3) )).

fof(bitBlastConstant_6228,axiom,(
    ~ b000000011000000001010110000(bitIndex2) )).

fof(bitBlastConstant_6227,axiom,(
    ~ b000000011000000001010110000(bitIndex1) )).

fof(bitBlastConstant_6226,axiom,(
    ~ b000000011000000001010110000(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_201,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v5011(VarCurr)
      <=> v5015(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_202,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v5011(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_122,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v5015(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_153,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v5015(VarCurr)
      <=> v5017(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_154,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v5015(VarCurr)
      <=> v5016(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_381,axiom,(
    ! [VarCurr] :
      ( v5017(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_6225,axiom,(
    ~ b000000011100000001010101111(bitIndex26) )).

fof(bitBlastConstant_6224,axiom,(
    ~ b000000011100000001010101111(bitIndex25) )).

fof(bitBlastConstant_6223,axiom,(
    ~ b000000011100000001010101111(bitIndex24) )).

fof(bitBlastConstant_6222,axiom,(
    ~ b000000011100000001010101111(bitIndex23) )).

fof(bitBlastConstant_6221,axiom,(
    ~ b000000011100000001010101111(bitIndex22) )).

fof(bitBlastConstant_6220,axiom,(
    ~ b000000011100000001010101111(bitIndex21) )).

fof(bitBlastConstant_6219,axiom,(
    ~ b000000011100000001010101111(bitIndex20) )).

fof(bitBlastConstant_6218,axiom,(
    b000000011100000001010101111(bitIndex19) )).

fof(bitBlastConstant_6217,axiom,(
    b000000011100000001010101111(bitIndex18) )).

fof(bitBlastConstant_6216,axiom,(
    b000000011100000001010101111(bitIndex17) )).

fof(bitBlastConstant_6215,axiom,(
    ~ b000000011100000001010101111(bitIndex16) )).

fof(bitBlastConstant_6214,axiom,(
    ~ b000000011100000001010101111(bitIndex15) )).

fof(bitBlastConstant_6213,axiom,(
    ~ b000000011100000001010101111(bitIndex14) )).

fof(bitBlastConstant_6212,axiom,(
    ~ b000000011100000001010101111(bitIndex13) )).

fof(bitBlastConstant_6211,axiom,(
    ~ b000000011100000001010101111(bitIndex12) )).

fof(bitBlastConstant_6210,axiom,(
    ~ b000000011100000001010101111(bitIndex11) )).

fof(bitBlastConstant_6209,axiom,(
    ~ b000000011100000001010101111(bitIndex10) )).

fof(bitBlastConstant_6208,axiom,(
    b000000011100000001010101111(bitIndex9) )).

fof(bitBlastConstant_6207,axiom,(
    ~ b000000011100000001010101111(bitIndex8) )).

fof(bitBlastConstant_6206,axiom,(
    b000000011100000001010101111(bitIndex7) )).

fof(bitBlastConstant_6205,axiom,(
    ~ b000000011100000001010101111(bitIndex6) )).

fof(bitBlastConstant_6204,axiom,(
    b000000011100000001010101111(bitIndex5) )).

fof(bitBlastConstant_6203,axiom,(
    ~ b000000011100000001010101111(bitIndex4) )).

fof(bitBlastConstant_6202,axiom,(
    b000000011100000001010101111(bitIndex3) )).

fof(bitBlastConstant_6201,axiom,(
    b000000011100000001010101111(bitIndex2) )).

fof(bitBlastConstant_6200,axiom,(
    b000000011100000001010101111(bitIndex1) )).

fof(bitBlastConstant_6199,axiom,(
    b000000011100000001010101111(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_380,axiom,(
    ! [VarCurr] :
      ( v5016(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_6198,axiom,(
    ~ b000000011000000001010101111(bitIndex26) )).

fof(bitBlastConstant_6197,axiom,(
    ~ b000000011000000001010101111(bitIndex25) )).

fof(bitBlastConstant_6196,axiom,(
    ~ b000000011000000001010101111(bitIndex24) )).

fof(bitBlastConstant_6195,axiom,(
    ~ b000000011000000001010101111(bitIndex23) )).

fof(bitBlastConstant_6194,axiom,(
    ~ b000000011000000001010101111(bitIndex22) )).

fof(bitBlastConstant_6193,axiom,(
    ~ b000000011000000001010101111(bitIndex21) )).

fof(bitBlastConstant_6192,axiom,(
    ~ b000000011000000001010101111(bitIndex20) )).

fof(bitBlastConstant_6191,axiom,(
    b000000011000000001010101111(bitIndex19) )).

fof(bitBlastConstant_6190,axiom,(
    b000000011000000001010101111(bitIndex18) )).

fof(bitBlastConstant_6189,axiom,(
    ~ b000000011000000001010101111(bitIndex17) )).

fof(bitBlastConstant_6188,axiom,(
    ~ b000000011000000001010101111(bitIndex16) )).

fof(bitBlastConstant_6187,axiom,(
    ~ b000000011000000001010101111(bitIndex15) )).

fof(bitBlastConstant_6186,axiom,(
    ~ b000000011000000001010101111(bitIndex14) )).

fof(bitBlastConstant_6185,axiom,(
    ~ b000000011000000001010101111(bitIndex13) )).

fof(bitBlastConstant_6184,axiom,(
    ~ b000000011000000001010101111(bitIndex12) )).

fof(bitBlastConstant_6183,axiom,(
    ~ b000000011000000001010101111(bitIndex11) )).

fof(bitBlastConstant_6182,axiom,(
    ~ b000000011000000001010101111(bitIndex10) )).

fof(bitBlastConstant_6181,axiom,(
    b000000011000000001010101111(bitIndex9) )).

fof(bitBlastConstant_6180,axiom,(
    ~ b000000011000000001010101111(bitIndex8) )).

fof(bitBlastConstant_6179,axiom,(
    b000000011000000001010101111(bitIndex7) )).

fof(bitBlastConstant_6178,axiom,(
    ~ b000000011000000001010101111(bitIndex6) )).

fof(bitBlastConstant_6177,axiom,(
    b000000011000000001010101111(bitIndex5) )).

fof(bitBlastConstant_6176,axiom,(
    ~ b000000011000000001010101111(bitIndex4) )).

fof(bitBlastConstant_6175,axiom,(
    b000000011000000001010101111(bitIndex3) )).

fof(bitBlastConstant_6174,axiom,(
    b000000011000000001010101111(bitIndex2) )).

fof(bitBlastConstant_6173,axiom,(
    b000000011000000001010101111(bitIndex1) )).

fof(bitBlastConstant_6172,axiom,(
    b000000011000000001010101111(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_200,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v5003(VarCurr)
      <=> v5007(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_201,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v5003(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_121,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v5007(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_152,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v5007(VarCurr)
      <=> v5009(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_153,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v5007(VarCurr)
      <=> v5008(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_379,axiom,(
    ! [VarCurr] :
      ( v5009(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_6171,axiom,(
    ~ b000000011100000001010101110(bitIndex26) )).

fof(bitBlastConstant_6170,axiom,(
    ~ b000000011100000001010101110(bitIndex25) )).

fof(bitBlastConstant_6169,axiom,(
    ~ b000000011100000001010101110(bitIndex24) )).

fof(bitBlastConstant_6168,axiom,(
    ~ b000000011100000001010101110(bitIndex23) )).

fof(bitBlastConstant_6167,axiom,(
    ~ b000000011100000001010101110(bitIndex22) )).

fof(bitBlastConstant_6166,axiom,(
    ~ b000000011100000001010101110(bitIndex21) )).

fof(bitBlastConstant_6165,axiom,(
    ~ b000000011100000001010101110(bitIndex20) )).

fof(bitBlastConstant_6164,axiom,(
    b000000011100000001010101110(bitIndex19) )).

fof(bitBlastConstant_6163,axiom,(
    b000000011100000001010101110(bitIndex18) )).

fof(bitBlastConstant_6162,axiom,(
    b000000011100000001010101110(bitIndex17) )).

fof(bitBlastConstant_6161,axiom,(
    ~ b000000011100000001010101110(bitIndex16) )).

fof(bitBlastConstant_6160,axiom,(
    ~ b000000011100000001010101110(bitIndex15) )).

fof(bitBlastConstant_6159,axiom,(
    ~ b000000011100000001010101110(bitIndex14) )).

fof(bitBlastConstant_6158,axiom,(
    ~ b000000011100000001010101110(bitIndex13) )).

fof(bitBlastConstant_6157,axiom,(
    ~ b000000011100000001010101110(bitIndex12) )).

fof(bitBlastConstant_6156,axiom,(
    ~ b000000011100000001010101110(bitIndex11) )).

fof(bitBlastConstant_6155,axiom,(
    ~ b000000011100000001010101110(bitIndex10) )).

fof(bitBlastConstant_6154,axiom,(
    b000000011100000001010101110(bitIndex9) )).

fof(bitBlastConstant_6153,axiom,(
    ~ b000000011100000001010101110(bitIndex8) )).

fof(bitBlastConstant_6152,axiom,(
    b000000011100000001010101110(bitIndex7) )).

fof(bitBlastConstant_6151,axiom,(
    ~ b000000011100000001010101110(bitIndex6) )).

fof(bitBlastConstant_6150,axiom,(
    b000000011100000001010101110(bitIndex5) )).

fof(bitBlastConstant_6149,axiom,(
    ~ b000000011100000001010101110(bitIndex4) )).

fof(bitBlastConstant_6148,axiom,(
    b000000011100000001010101110(bitIndex3) )).

fof(bitBlastConstant_6147,axiom,(
    b000000011100000001010101110(bitIndex2) )).

fof(bitBlastConstant_6146,axiom,(
    b000000011100000001010101110(bitIndex1) )).

fof(bitBlastConstant_6145,axiom,(
    ~ b000000011100000001010101110(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_378,axiom,(
    ! [VarCurr] :
      ( v5008(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_6144,axiom,(
    ~ b000000011000000001010101110(bitIndex26) )).

fof(bitBlastConstant_6143,axiom,(
    ~ b000000011000000001010101110(bitIndex25) )).

fof(bitBlastConstant_6142,axiom,(
    ~ b000000011000000001010101110(bitIndex24) )).

fof(bitBlastConstant_6141,axiom,(
    ~ b000000011000000001010101110(bitIndex23) )).

fof(bitBlastConstant_6140,axiom,(
    ~ b000000011000000001010101110(bitIndex22) )).

fof(bitBlastConstant_6139,axiom,(
    ~ b000000011000000001010101110(bitIndex21) )).

fof(bitBlastConstant_6138,axiom,(
    ~ b000000011000000001010101110(bitIndex20) )).

fof(bitBlastConstant_6137,axiom,(
    b000000011000000001010101110(bitIndex19) )).

fof(bitBlastConstant_6136,axiom,(
    b000000011000000001010101110(bitIndex18) )).

fof(bitBlastConstant_6135,axiom,(
    ~ b000000011000000001010101110(bitIndex17) )).

fof(bitBlastConstant_6134,axiom,(
    ~ b000000011000000001010101110(bitIndex16) )).

fof(bitBlastConstant_6133,axiom,(
    ~ b000000011000000001010101110(bitIndex15) )).

fof(bitBlastConstant_6132,axiom,(
    ~ b000000011000000001010101110(bitIndex14) )).

fof(bitBlastConstant_6131,axiom,(
    ~ b000000011000000001010101110(bitIndex13) )).

fof(bitBlastConstant_6130,axiom,(
    ~ b000000011000000001010101110(bitIndex12) )).

fof(bitBlastConstant_6129,axiom,(
    ~ b000000011000000001010101110(bitIndex11) )).

fof(bitBlastConstant_6128,axiom,(
    ~ b000000011000000001010101110(bitIndex10) )).

fof(bitBlastConstant_6127,axiom,(
    b000000011000000001010101110(bitIndex9) )).

fof(bitBlastConstant_6126,axiom,(
    ~ b000000011000000001010101110(bitIndex8) )).

fof(bitBlastConstant_6125,axiom,(
    b000000011000000001010101110(bitIndex7) )).

fof(bitBlastConstant_6124,axiom,(
    ~ b000000011000000001010101110(bitIndex6) )).

fof(bitBlastConstant_6123,axiom,(
    b000000011000000001010101110(bitIndex5) )).

fof(bitBlastConstant_6122,axiom,(
    ~ b000000011000000001010101110(bitIndex4) )).

fof(bitBlastConstant_6121,axiom,(
    b000000011000000001010101110(bitIndex3) )).

fof(bitBlastConstant_6120,axiom,(
    b000000011000000001010101110(bitIndex2) )).

fof(bitBlastConstant_6119,axiom,(
    b000000011000000001010101110(bitIndex1) )).

fof(bitBlastConstant_6118,axiom,(
    ~ b000000011000000001010101110(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_199,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4995(VarCurr)
      <=> v4999(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_200,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4995(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_120,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4999(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_151,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4999(VarCurr)
      <=> v5001(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_152,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4999(VarCurr)
      <=> v5000(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_377,axiom,(
    ! [VarCurr] :
      ( v5001(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_6117,axiom,(
    ~ b000000011100000001010101101(bitIndex26) )).

fof(bitBlastConstant_6116,axiom,(
    ~ b000000011100000001010101101(bitIndex25) )).

fof(bitBlastConstant_6115,axiom,(
    ~ b000000011100000001010101101(bitIndex24) )).

fof(bitBlastConstant_6114,axiom,(
    ~ b000000011100000001010101101(bitIndex23) )).

fof(bitBlastConstant_6113,axiom,(
    ~ b000000011100000001010101101(bitIndex22) )).

fof(bitBlastConstant_6112,axiom,(
    ~ b000000011100000001010101101(bitIndex21) )).

fof(bitBlastConstant_6111,axiom,(
    ~ b000000011100000001010101101(bitIndex20) )).

fof(bitBlastConstant_6110,axiom,(
    b000000011100000001010101101(bitIndex19) )).

fof(bitBlastConstant_6109,axiom,(
    b000000011100000001010101101(bitIndex18) )).

fof(bitBlastConstant_6108,axiom,(
    b000000011100000001010101101(bitIndex17) )).

fof(bitBlastConstant_6107,axiom,(
    ~ b000000011100000001010101101(bitIndex16) )).

fof(bitBlastConstant_6106,axiom,(
    ~ b000000011100000001010101101(bitIndex15) )).

fof(bitBlastConstant_6105,axiom,(
    ~ b000000011100000001010101101(bitIndex14) )).

fof(bitBlastConstant_6104,axiom,(
    ~ b000000011100000001010101101(bitIndex13) )).

fof(bitBlastConstant_6103,axiom,(
    ~ b000000011100000001010101101(bitIndex12) )).

fof(bitBlastConstant_6102,axiom,(
    ~ b000000011100000001010101101(bitIndex11) )).

fof(bitBlastConstant_6101,axiom,(
    ~ b000000011100000001010101101(bitIndex10) )).

fof(bitBlastConstant_6100,axiom,(
    b000000011100000001010101101(bitIndex9) )).

fof(bitBlastConstant_6099,axiom,(
    ~ b000000011100000001010101101(bitIndex8) )).

fof(bitBlastConstant_6098,axiom,(
    b000000011100000001010101101(bitIndex7) )).

fof(bitBlastConstant_6097,axiom,(
    ~ b000000011100000001010101101(bitIndex6) )).

fof(bitBlastConstant_6096,axiom,(
    b000000011100000001010101101(bitIndex5) )).

fof(bitBlastConstant_6095,axiom,(
    ~ b000000011100000001010101101(bitIndex4) )).

fof(bitBlastConstant_6094,axiom,(
    b000000011100000001010101101(bitIndex3) )).

fof(bitBlastConstant_6093,axiom,(
    b000000011100000001010101101(bitIndex2) )).

fof(bitBlastConstant_6092,axiom,(
    ~ b000000011100000001010101101(bitIndex1) )).

fof(bitBlastConstant_6091,axiom,(
    b000000011100000001010101101(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_376,axiom,(
    ! [VarCurr] :
      ( v5000(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_6090,axiom,(
    ~ b000000011000000001010101101(bitIndex26) )).

fof(bitBlastConstant_6089,axiom,(
    ~ b000000011000000001010101101(bitIndex25) )).

fof(bitBlastConstant_6088,axiom,(
    ~ b000000011000000001010101101(bitIndex24) )).

fof(bitBlastConstant_6087,axiom,(
    ~ b000000011000000001010101101(bitIndex23) )).

fof(bitBlastConstant_6086,axiom,(
    ~ b000000011000000001010101101(bitIndex22) )).

fof(bitBlastConstant_6085,axiom,(
    ~ b000000011000000001010101101(bitIndex21) )).

fof(bitBlastConstant_6084,axiom,(
    ~ b000000011000000001010101101(bitIndex20) )).

fof(bitBlastConstant_6083,axiom,(
    b000000011000000001010101101(bitIndex19) )).

fof(bitBlastConstant_6082,axiom,(
    b000000011000000001010101101(bitIndex18) )).

fof(bitBlastConstant_6081,axiom,(
    ~ b000000011000000001010101101(bitIndex17) )).

fof(bitBlastConstant_6080,axiom,(
    ~ b000000011000000001010101101(bitIndex16) )).

fof(bitBlastConstant_6079,axiom,(
    ~ b000000011000000001010101101(bitIndex15) )).

fof(bitBlastConstant_6078,axiom,(
    ~ b000000011000000001010101101(bitIndex14) )).

fof(bitBlastConstant_6077,axiom,(
    ~ b000000011000000001010101101(bitIndex13) )).

fof(bitBlastConstant_6076,axiom,(
    ~ b000000011000000001010101101(bitIndex12) )).

fof(bitBlastConstant_6075,axiom,(
    ~ b000000011000000001010101101(bitIndex11) )).

fof(bitBlastConstant_6074,axiom,(
    ~ b000000011000000001010101101(bitIndex10) )).

fof(bitBlastConstant_6073,axiom,(
    b000000011000000001010101101(bitIndex9) )).

fof(bitBlastConstant_6072,axiom,(
    ~ b000000011000000001010101101(bitIndex8) )).

fof(bitBlastConstant_6071,axiom,(
    b000000011000000001010101101(bitIndex7) )).

fof(bitBlastConstant_6070,axiom,(
    ~ b000000011000000001010101101(bitIndex6) )).

fof(bitBlastConstant_6069,axiom,(
    b000000011000000001010101101(bitIndex5) )).

fof(bitBlastConstant_6068,axiom,(
    ~ b000000011000000001010101101(bitIndex4) )).

fof(bitBlastConstant_6067,axiom,(
    b000000011000000001010101101(bitIndex3) )).

fof(bitBlastConstant_6066,axiom,(
    b000000011000000001010101101(bitIndex2) )).

fof(bitBlastConstant_6065,axiom,(
    ~ b000000011000000001010101101(bitIndex1) )).

fof(bitBlastConstant_6064,axiom,(
    b000000011000000001010101101(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_198,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4987(VarCurr)
      <=> v4991(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_199,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4987(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_119,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4991(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_150,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4991(VarCurr)
      <=> v4993(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_151,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4991(VarCurr)
      <=> v4992(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_375,axiom,(
    ! [VarCurr] :
      ( v4993(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_6063,axiom,(
    ~ b000000011100000001010101100(bitIndex26) )).

fof(bitBlastConstant_6062,axiom,(
    ~ b000000011100000001010101100(bitIndex25) )).

fof(bitBlastConstant_6061,axiom,(
    ~ b000000011100000001010101100(bitIndex24) )).

fof(bitBlastConstant_6060,axiom,(
    ~ b000000011100000001010101100(bitIndex23) )).

fof(bitBlastConstant_6059,axiom,(
    ~ b000000011100000001010101100(bitIndex22) )).

fof(bitBlastConstant_6058,axiom,(
    ~ b000000011100000001010101100(bitIndex21) )).

fof(bitBlastConstant_6057,axiom,(
    ~ b000000011100000001010101100(bitIndex20) )).

fof(bitBlastConstant_6056,axiom,(
    b000000011100000001010101100(bitIndex19) )).

fof(bitBlastConstant_6055,axiom,(
    b000000011100000001010101100(bitIndex18) )).

fof(bitBlastConstant_6054,axiom,(
    b000000011100000001010101100(bitIndex17) )).

fof(bitBlastConstant_6053,axiom,(
    ~ b000000011100000001010101100(bitIndex16) )).

fof(bitBlastConstant_6052,axiom,(
    ~ b000000011100000001010101100(bitIndex15) )).

fof(bitBlastConstant_6051,axiom,(
    ~ b000000011100000001010101100(bitIndex14) )).

fof(bitBlastConstant_6050,axiom,(
    ~ b000000011100000001010101100(bitIndex13) )).

fof(bitBlastConstant_6049,axiom,(
    ~ b000000011100000001010101100(bitIndex12) )).

fof(bitBlastConstant_6048,axiom,(
    ~ b000000011100000001010101100(bitIndex11) )).

fof(bitBlastConstant_6047,axiom,(
    ~ b000000011100000001010101100(bitIndex10) )).

fof(bitBlastConstant_6046,axiom,(
    b000000011100000001010101100(bitIndex9) )).

fof(bitBlastConstant_6045,axiom,(
    ~ b000000011100000001010101100(bitIndex8) )).

fof(bitBlastConstant_6044,axiom,(
    b000000011100000001010101100(bitIndex7) )).

fof(bitBlastConstant_6043,axiom,(
    ~ b000000011100000001010101100(bitIndex6) )).

fof(bitBlastConstant_6042,axiom,(
    b000000011100000001010101100(bitIndex5) )).

fof(bitBlastConstant_6041,axiom,(
    ~ b000000011100000001010101100(bitIndex4) )).

fof(bitBlastConstant_6040,axiom,(
    b000000011100000001010101100(bitIndex3) )).

fof(bitBlastConstant_6039,axiom,(
    b000000011100000001010101100(bitIndex2) )).

fof(bitBlastConstant_6038,axiom,(
    ~ b000000011100000001010101100(bitIndex1) )).

fof(bitBlastConstant_6037,axiom,(
    ~ b000000011100000001010101100(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_374,axiom,(
    ! [VarCurr] :
      ( v4992(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_6036,axiom,(
    ~ b000000011000000001010101100(bitIndex26) )).

fof(bitBlastConstant_6035,axiom,(
    ~ b000000011000000001010101100(bitIndex25) )).

fof(bitBlastConstant_6034,axiom,(
    ~ b000000011000000001010101100(bitIndex24) )).

fof(bitBlastConstant_6033,axiom,(
    ~ b000000011000000001010101100(bitIndex23) )).

fof(bitBlastConstant_6032,axiom,(
    ~ b000000011000000001010101100(bitIndex22) )).

fof(bitBlastConstant_6031,axiom,(
    ~ b000000011000000001010101100(bitIndex21) )).

fof(bitBlastConstant_6030,axiom,(
    ~ b000000011000000001010101100(bitIndex20) )).

fof(bitBlastConstant_6029,axiom,(
    b000000011000000001010101100(bitIndex19) )).

fof(bitBlastConstant_6028,axiom,(
    b000000011000000001010101100(bitIndex18) )).

fof(bitBlastConstant_6027,axiom,(
    ~ b000000011000000001010101100(bitIndex17) )).

fof(bitBlastConstant_6026,axiom,(
    ~ b000000011000000001010101100(bitIndex16) )).

fof(bitBlastConstant_6025,axiom,(
    ~ b000000011000000001010101100(bitIndex15) )).

fof(bitBlastConstant_6024,axiom,(
    ~ b000000011000000001010101100(bitIndex14) )).

fof(bitBlastConstant_6023,axiom,(
    ~ b000000011000000001010101100(bitIndex13) )).

fof(bitBlastConstant_6022,axiom,(
    ~ b000000011000000001010101100(bitIndex12) )).

fof(bitBlastConstant_6021,axiom,(
    ~ b000000011000000001010101100(bitIndex11) )).

fof(bitBlastConstant_6020,axiom,(
    ~ b000000011000000001010101100(bitIndex10) )).

fof(bitBlastConstant_6019,axiom,(
    b000000011000000001010101100(bitIndex9) )).

fof(bitBlastConstant_6018,axiom,(
    ~ b000000011000000001010101100(bitIndex8) )).

fof(bitBlastConstant_6017,axiom,(
    b000000011000000001010101100(bitIndex7) )).

fof(bitBlastConstant_6016,axiom,(
    ~ b000000011000000001010101100(bitIndex6) )).

fof(bitBlastConstant_6015,axiom,(
    b000000011000000001010101100(bitIndex5) )).

fof(bitBlastConstant_6014,axiom,(
    ~ b000000011000000001010101100(bitIndex4) )).

fof(bitBlastConstant_6013,axiom,(
    b000000011000000001010101100(bitIndex3) )).

fof(bitBlastConstant_6012,axiom,(
    b000000011000000001010101100(bitIndex2) )).

fof(bitBlastConstant_6011,axiom,(
    ~ b000000011000000001010101100(bitIndex1) )).

fof(bitBlastConstant_6010,axiom,(
    ~ b000000011000000001010101100(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_197,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4979(VarCurr)
      <=> v4983(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_198,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4979(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_118,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4983(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_149,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4983(VarCurr)
      <=> v4985(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_150,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4983(VarCurr)
      <=> v4984(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_373,axiom,(
    ! [VarCurr] :
      ( v4985(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_6009,axiom,(
    ~ b000000011100000001010101011(bitIndex26) )).

fof(bitBlastConstant_6008,axiom,(
    ~ b000000011100000001010101011(bitIndex25) )).

fof(bitBlastConstant_6007,axiom,(
    ~ b000000011100000001010101011(bitIndex24) )).

fof(bitBlastConstant_6006,axiom,(
    ~ b000000011100000001010101011(bitIndex23) )).

fof(bitBlastConstant_6005,axiom,(
    ~ b000000011100000001010101011(bitIndex22) )).

fof(bitBlastConstant_6004,axiom,(
    ~ b000000011100000001010101011(bitIndex21) )).

fof(bitBlastConstant_6003,axiom,(
    ~ b000000011100000001010101011(bitIndex20) )).

fof(bitBlastConstant_6002,axiom,(
    b000000011100000001010101011(bitIndex19) )).

fof(bitBlastConstant_6001,axiom,(
    b000000011100000001010101011(bitIndex18) )).

fof(bitBlastConstant_6000,axiom,(
    b000000011100000001010101011(bitIndex17) )).

fof(bitBlastConstant_5999,axiom,(
    ~ b000000011100000001010101011(bitIndex16) )).

fof(bitBlastConstant_5998,axiom,(
    ~ b000000011100000001010101011(bitIndex15) )).

fof(bitBlastConstant_5997,axiom,(
    ~ b000000011100000001010101011(bitIndex14) )).

fof(bitBlastConstant_5996,axiom,(
    ~ b000000011100000001010101011(bitIndex13) )).

fof(bitBlastConstant_5995,axiom,(
    ~ b000000011100000001010101011(bitIndex12) )).

fof(bitBlastConstant_5994,axiom,(
    ~ b000000011100000001010101011(bitIndex11) )).

fof(bitBlastConstant_5993,axiom,(
    ~ b000000011100000001010101011(bitIndex10) )).

fof(bitBlastConstant_5992,axiom,(
    b000000011100000001010101011(bitIndex9) )).

fof(bitBlastConstant_5991,axiom,(
    ~ b000000011100000001010101011(bitIndex8) )).

fof(bitBlastConstant_5990,axiom,(
    b000000011100000001010101011(bitIndex7) )).

fof(bitBlastConstant_5989,axiom,(
    ~ b000000011100000001010101011(bitIndex6) )).

fof(bitBlastConstant_5988,axiom,(
    b000000011100000001010101011(bitIndex5) )).

fof(bitBlastConstant_5987,axiom,(
    ~ b000000011100000001010101011(bitIndex4) )).

fof(bitBlastConstant_5986,axiom,(
    b000000011100000001010101011(bitIndex3) )).

fof(bitBlastConstant_5985,axiom,(
    ~ b000000011100000001010101011(bitIndex2) )).

fof(bitBlastConstant_5984,axiom,(
    b000000011100000001010101011(bitIndex1) )).

fof(bitBlastConstant_5983,axiom,(
    b000000011100000001010101011(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_372,axiom,(
    ! [VarCurr] :
      ( v4984(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_5982,axiom,(
    ~ b000000011000000001010101011(bitIndex26) )).

fof(bitBlastConstant_5981,axiom,(
    ~ b000000011000000001010101011(bitIndex25) )).

fof(bitBlastConstant_5980,axiom,(
    ~ b000000011000000001010101011(bitIndex24) )).

fof(bitBlastConstant_5979,axiom,(
    ~ b000000011000000001010101011(bitIndex23) )).

fof(bitBlastConstant_5978,axiom,(
    ~ b000000011000000001010101011(bitIndex22) )).

fof(bitBlastConstant_5977,axiom,(
    ~ b000000011000000001010101011(bitIndex21) )).

fof(bitBlastConstant_5976,axiom,(
    ~ b000000011000000001010101011(bitIndex20) )).

fof(bitBlastConstant_5975,axiom,(
    b000000011000000001010101011(bitIndex19) )).

fof(bitBlastConstant_5974,axiom,(
    b000000011000000001010101011(bitIndex18) )).

fof(bitBlastConstant_5973,axiom,(
    ~ b000000011000000001010101011(bitIndex17) )).

fof(bitBlastConstant_5972,axiom,(
    ~ b000000011000000001010101011(bitIndex16) )).

fof(bitBlastConstant_5971,axiom,(
    ~ b000000011000000001010101011(bitIndex15) )).

fof(bitBlastConstant_5970,axiom,(
    ~ b000000011000000001010101011(bitIndex14) )).

fof(bitBlastConstant_5969,axiom,(
    ~ b000000011000000001010101011(bitIndex13) )).

fof(bitBlastConstant_5968,axiom,(
    ~ b000000011000000001010101011(bitIndex12) )).

fof(bitBlastConstant_5967,axiom,(
    ~ b000000011000000001010101011(bitIndex11) )).

fof(bitBlastConstant_5966,axiom,(
    ~ b000000011000000001010101011(bitIndex10) )).

fof(bitBlastConstant_5965,axiom,(
    b000000011000000001010101011(bitIndex9) )).

fof(bitBlastConstant_5964,axiom,(
    ~ b000000011000000001010101011(bitIndex8) )).

fof(bitBlastConstant_5963,axiom,(
    b000000011000000001010101011(bitIndex7) )).

fof(bitBlastConstant_5962,axiom,(
    ~ b000000011000000001010101011(bitIndex6) )).

fof(bitBlastConstant_5961,axiom,(
    b000000011000000001010101011(bitIndex5) )).

fof(bitBlastConstant_5960,axiom,(
    ~ b000000011000000001010101011(bitIndex4) )).

fof(bitBlastConstant_5959,axiom,(
    b000000011000000001010101011(bitIndex3) )).

fof(bitBlastConstant_5958,axiom,(
    ~ b000000011000000001010101011(bitIndex2) )).

fof(bitBlastConstant_5957,axiom,(
    b000000011000000001010101011(bitIndex1) )).

fof(bitBlastConstant_5956,axiom,(
    b000000011000000001010101011(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_196,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4971(VarCurr)
      <=> v4975(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_197,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4971(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_117,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4975(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_148,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4975(VarCurr)
      <=> v4977(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_149,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4975(VarCurr)
      <=> v4976(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_371,axiom,(
    ! [VarCurr] :
      ( v4977(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_5955,axiom,(
    ~ b000000011100000001010101010(bitIndex26) )).

fof(bitBlastConstant_5954,axiom,(
    ~ b000000011100000001010101010(bitIndex25) )).

fof(bitBlastConstant_5953,axiom,(
    ~ b000000011100000001010101010(bitIndex24) )).

fof(bitBlastConstant_5952,axiom,(
    ~ b000000011100000001010101010(bitIndex23) )).

fof(bitBlastConstant_5951,axiom,(
    ~ b000000011100000001010101010(bitIndex22) )).

fof(bitBlastConstant_5950,axiom,(
    ~ b000000011100000001010101010(bitIndex21) )).

fof(bitBlastConstant_5949,axiom,(
    ~ b000000011100000001010101010(bitIndex20) )).

fof(bitBlastConstant_5948,axiom,(
    b000000011100000001010101010(bitIndex19) )).

fof(bitBlastConstant_5947,axiom,(
    b000000011100000001010101010(bitIndex18) )).

fof(bitBlastConstant_5946,axiom,(
    b000000011100000001010101010(bitIndex17) )).

fof(bitBlastConstant_5945,axiom,(
    ~ b000000011100000001010101010(bitIndex16) )).

fof(bitBlastConstant_5944,axiom,(
    ~ b000000011100000001010101010(bitIndex15) )).

fof(bitBlastConstant_5943,axiom,(
    ~ b000000011100000001010101010(bitIndex14) )).

fof(bitBlastConstant_5942,axiom,(
    ~ b000000011100000001010101010(bitIndex13) )).

fof(bitBlastConstant_5941,axiom,(
    ~ b000000011100000001010101010(bitIndex12) )).

fof(bitBlastConstant_5940,axiom,(
    ~ b000000011100000001010101010(bitIndex11) )).

fof(bitBlastConstant_5939,axiom,(
    ~ b000000011100000001010101010(bitIndex10) )).

fof(bitBlastConstant_5938,axiom,(
    b000000011100000001010101010(bitIndex9) )).

fof(bitBlastConstant_5937,axiom,(
    ~ b000000011100000001010101010(bitIndex8) )).

fof(bitBlastConstant_5936,axiom,(
    b000000011100000001010101010(bitIndex7) )).

fof(bitBlastConstant_5935,axiom,(
    ~ b000000011100000001010101010(bitIndex6) )).

fof(bitBlastConstant_5934,axiom,(
    b000000011100000001010101010(bitIndex5) )).

fof(bitBlastConstant_5933,axiom,(
    ~ b000000011100000001010101010(bitIndex4) )).

fof(bitBlastConstant_5932,axiom,(
    b000000011100000001010101010(bitIndex3) )).

fof(bitBlastConstant_5931,axiom,(
    ~ b000000011100000001010101010(bitIndex2) )).

fof(bitBlastConstant_5930,axiom,(
    b000000011100000001010101010(bitIndex1) )).

fof(bitBlastConstant_5929,axiom,(
    ~ b000000011100000001010101010(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_370,axiom,(
    ! [VarCurr] :
      ( v4976(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_5928,axiom,(
    ~ b000000011000000001010101010(bitIndex26) )).

fof(bitBlastConstant_5927,axiom,(
    ~ b000000011000000001010101010(bitIndex25) )).

fof(bitBlastConstant_5926,axiom,(
    ~ b000000011000000001010101010(bitIndex24) )).

fof(bitBlastConstant_5925,axiom,(
    ~ b000000011000000001010101010(bitIndex23) )).

fof(bitBlastConstant_5924,axiom,(
    ~ b000000011000000001010101010(bitIndex22) )).

fof(bitBlastConstant_5923,axiom,(
    ~ b000000011000000001010101010(bitIndex21) )).

fof(bitBlastConstant_5922,axiom,(
    ~ b000000011000000001010101010(bitIndex20) )).

fof(bitBlastConstant_5921,axiom,(
    b000000011000000001010101010(bitIndex19) )).

fof(bitBlastConstant_5920,axiom,(
    b000000011000000001010101010(bitIndex18) )).

fof(bitBlastConstant_5919,axiom,(
    ~ b000000011000000001010101010(bitIndex17) )).

fof(bitBlastConstant_5918,axiom,(
    ~ b000000011000000001010101010(bitIndex16) )).

fof(bitBlastConstant_5917,axiom,(
    ~ b000000011000000001010101010(bitIndex15) )).

fof(bitBlastConstant_5916,axiom,(
    ~ b000000011000000001010101010(bitIndex14) )).

fof(bitBlastConstant_5915,axiom,(
    ~ b000000011000000001010101010(bitIndex13) )).

fof(bitBlastConstant_5914,axiom,(
    ~ b000000011000000001010101010(bitIndex12) )).

fof(bitBlastConstant_5913,axiom,(
    ~ b000000011000000001010101010(bitIndex11) )).

fof(bitBlastConstant_5912,axiom,(
    ~ b000000011000000001010101010(bitIndex10) )).

fof(bitBlastConstant_5911,axiom,(
    b000000011000000001010101010(bitIndex9) )).

fof(bitBlastConstant_5910,axiom,(
    ~ b000000011000000001010101010(bitIndex8) )).

fof(bitBlastConstant_5909,axiom,(
    b000000011000000001010101010(bitIndex7) )).

fof(bitBlastConstant_5908,axiom,(
    ~ b000000011000000001010101010(bitIndex6) )).

fof(bitBlastConstant_5907,axiom,(
    b000000011000000001010101010(bitIndex5) )).

fof(bitBlastConstant_5906,axiom,(
    ~ b000000011000000001010101010(bitIndex4) )).

fof(bitBlastConstant_5905,axiom,(
    b000000011000000001010101010(bitIndex3) )).

fof(bitBlastConstant_5904,axiom,(
    ~ b000000011000000001010101010(bitIndex2) )).

fof(bitBlastConstant_5903,axiom,(
    b000000011000000001010101010(bitIndex1) )).

fof(bitBlastConstant_5902,axiom,(
    ~ b000000011000000001010101010(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_195,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4963(VarCurr)
      <=> v4967(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_196,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4963(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_116,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4967(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_147,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4967(VarCurr)
      <=> v4969(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_148,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4967(VarCurr)
      <=> v4968(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_369,axiom,(
    ! [VarCurr] :
      ( v4969(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_5901,axiom,(
    ~ b000000011100000001010101001(bitIndex26) )).

fof(bitBlastConstant_5900,axiom,(
    ~ b000000011100000001010101001(bitIndex25) )).

fof(bitBlastConstant_5899,axiom,(
    ~ b000000011100000001010101001(bitIndex24) )).

fof(bitBlastConstant_5898,axiom,(
    ~ b000000011100000001010101001(bitIndex23) )).

fof(bitBlastConstant_5897,axiom,(
    ~ b000000011100000001010101001(bitIndex22) )).

fof(bitBlastConstant_5896,axiom,(
    ~ b000000011100000001010101001(bitIndex21) )).

fof(bitBlastConstant_5895,axiom,(
    ~ b000000011100000001010101001(bitIndex20) )).

fof(bitBlastConstant_5894,axiom,(
    b000000011100000001010101001(bitIndex19) )).

fof(bitBlastConstant_5893,axiom,(
    b000000011100000001010101001(bitIndex18) )).

fof(bitBlastConstant_5892,axiom,(
    b000000011100000001010101001(bitIndex17) )).

fof(bitBlastConstant_5891,axiom,(
    ~ b000000011100000001010101001(bitIndex16) )).

fof(bitBlastConstant_5890,axiom,(
    ~ b000000011100000001010101001(bitIndex15) )).

fof(bitBlastConstant_5889,axiom,(
    ~ b000000011100000001010101001(bitIndex14) )).

fof(bitBlastConstant_5888,axiom,(
    ~ b000000011100000001010101001(bitIndex13) )).

fof(bitBlastConstant_5887,axiom,(
    ~ b000000011100000001010101001(bitIndex12) )).

fof(bitBlastConstant_5886,axiom,(
    ~ b000000011100000001010101001(bitIndex11) )).

fof(bitBlastConstant_5885,axiom,(
    ~ b000000011100000001010101001(bitIndex10) )).

fof(bitBlastConstant_5884,axiom,(
    b000000011100000001010101001(bitIndex9) )).

fof(bitBlastConstant_5883,axiom,(
    ~ b000000011100000001010101001(bitIndex8) )).

fof(bitBlastConstant_5882,axiom,(
    b000000011100000001010101001(bitIndex7) )).

fof(bitBlastConstant_5881,axiom,(
    ~ b000000011100000001010101001(bitIndex6) )).

fof(bitBlastConstant_5880,axiom,(
    b000000011100000001010101001(bitIndex5) )).

fof(bitBlastConstant_5879,axiom,(
    ~ b000000011100000001010101001(bitIndex4) )).

fof(bitBlastConstant_5878,axiom,(
    b000000011100000001010101001(bitIndex3) )).

fof(bitBlastConstant_5877,axiom,(
    ~ b000000011100000001010101001(bitIndex2) )).

fof(bitBlastConstant_5876,axiom,(
    ~ b000000011100000001010101001(bitIndex1) )).

fof(bitBlastConstant_5875,axiom,(
    b000000011100000001010101001(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_368,axiom,(
    ! [VarCurr] :
      ( v4968(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_5874,axiom,(
    ~ b000000011000000001010101001(bitIndex26) )).

fof(bitBlastConstant_5873,axiom,(
    ~ b000000011000000001010101001(bitIndex25) )).

fof(bitBlastConstant_5872,axiom,(
    ~ b000000011000000001010101001(bitIndex24) )).

fof(bitBlastConstant_5871,axiom,(
    ~ b000000011000000001010101001(bitIndex23) )).

fof(bitBlastConstant_5870,axiom,(
    ~ b000000011000000001010101001(bitIndex22) )).

fof(bitBlastConstant_5869,axiom,(
    ~ b000000011000000001010101001(bitIndex21) )).

fof(bitBlastConstant_5868,axiom,(
    ~ b000000011000000001010101001(bitIndex20) )).

fof(bitBlastConstant_5867,axiom,(
    b000000011000000001010101001(bitIndex19) )).

fof(bitBlastConstant_5866,axiom,(
    b000000011000000001010101001(bitIndex18) )).

fof(bitBlastConstant_5865,axiom,(
    ~ b000000011000000001010101001(bitIndex17) )).

fof(bitBlastConstant_5864,axiom,(
    ~ b000000011000000001010101001(bitIndex16) )).

fof(bitBlastConstant_5863,axiom,(
    ~ b000000011000000001010101001(bitIndex15) )).

fof(bitBlastConstant_5862,axiom,(
    ~ b000000011000000001010101001(bitIndex14) )).

fof(bitBlastConstant_5861,axiom,(
    ~ b000000011000000001010101001(bitIndex13) )).

fof(bitBlastConstant_5860,axiom,(
    ~ b000000011000000001010101001(bitIndex12) )).

fof(bitBlastConstant_5859,axiom,(
    ~ b000000011000000001010101001(bitIndex11) )).

fof(bitBlastConstant_5858,axiom,(
    ~ b000000011000000001010101001(bitIndex10) )).

fof(bitBlastConstant_5857,axiom,(
    b000000011000000001010101001(bitIndex9) )).

fof(bitBlastConstant_5856,axiom,(
    ~ b000000011000000001010101001(bitIndex8) )).

fof(bitBlastConstant_5855,axiom,(
    b000000011000000001010101001(bitIndex7) )).

fof(bitBlastConstant_5854,axiom,(
    ~ b000000011000000001010101001(bitIndex6) )).

fof(bitBlastConstant_5853,axiom,(
    b000000011000000001010101001(bitIndex5) )).

fof(bitBlastConstant_5852,axiom,(
    ~ b000000011000000001010101001(bitIndex4) )).

fof(bitBlastConstant_5851,axiom,(
    b000000011000000001010101001(bitIndex3) )).

fof(bitBlastConstant_5850,axiom,(
    ~ b000000011000000001010101001(bitIndex2) )).

fof(bitBlastConstant_5849,axiom,(
    ~ b000000011000000001010101001(bitIndex1) )).

fof(bitBlastConstant_5848,axiom,(
    b000000011000000001010101001(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_194,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4955(VarCurr)
      <=> v4959(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_195,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4955(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_115,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4959(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_146,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4959(VarCurr)
      <=> v4961(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_147,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4959(VarCurr)
      <=> v4960(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_367,axiom,(
    ! [VarCurr] :
      ( v4961(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_5847,axiom,(
    ~ b000000011100000001010101000(bitIndex26) )).

fof(bitBlastConstant_5846,axiom,(
    ~ b000000011100000001010101000(bitIndex25) )).

fof(bitBlastConstant_5845,axiom,(
    ~ b000000011100000001010101000(bitIndex24) )).

fof(bitBlastConstant_5844,axiom,(
    ~ b000000011100000001010101000(bitIndex23) )).

fof(bitBlastConstant_5843,axiom,(
    ~ b000000011100000001010101000(bitIndex22) )).

fof(bitBlastConstant_5842,axiom,(
    ~ b000000011100000001010101000(bitIndex21) )).

fof(bitBlastConstant_5841,axiom,(
    ~ b000000011100000001010101000(bitIndex20) )).

fof(bitBlastConstant_5840,axiom,(
    b000000011100000001010101000(bitIndex19) )).

fof(bitBlastConstant_5839,axiom,(
    b000000011100000001010101000(bitIndex18) )).

fof(bitBlastConstant_5838,axiom,(
    b000000011100000001010101000(bitIndex17) )).

fof(bitBlastConstant_5837,axiom,(
    ~ b000000011100000001010101000(bitIndex16) )).

fof(bitBlastConstant_5836,axiom,(
    ~ b000000011100000001010101000(bitIndex15) )).

fof(bitBlastConstant_5835,axiom,(
    ~ b000000011100000001010101000(bitIndex14) )).

fof(bitBlastConstant_5834,axiom,(
    ~ b000000011100000001010101000(bitIndex13) )).

fof(bitBlastConstant_5833,axiom,(
    ~ b000000011100000001010101000(bitIndex12) )).

fof(bitBlastConstant_5832,axiom,(
    ~ b000000011100000001010101000(bitIndex11) )).

fof(bitBlastConstant_5831,axiom,(
    ~ b000000011100000001010101000(bitIndex10) )).

fof(bitBlastConstant_5830,axiom,(
    b000000011100000001010101000(bitIndex9) )).

fof(bitBlastConstant_5829,axiom,(
    ~ b000000011100000001010101000(bitIndex8) )).

fof(bitBlastConstant_5828,axiom,(
    b000000011100000001010101000(bitIndex7) )).

fof(bitBlastConstant_5827,axiom,(
    ~ b000000011100000001010101000(bitIndex6) )).

fof(bitBlastConstant_5826,axiom,(
    b000000011100000001010101000(bitIndex5) )).

fof(bitBlastConstant_5825,axiom,(
    ~ b000000011100000001010101000(bitIndex4) )).

fof(bitBlastConstant_5824,axiom,(
    b000000011100000001010101000(bitIndex3) )).

fof(bitBlastConstant_5823,axiom,(
    ~ b000000011100000001010101000(bitIndex2) )).

fof(bitBlastConstant_5822,axiom,(
    ~ b000000011100000001010101000(bitIndex1) )).

fof(bitBlastConstant_5821,axiom,(
    ~ b000000011100000001010101000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_366,axiom,(
    ! [VarCurr] :
      ( v4960(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_5820,axiom,(
    ~ b000000011000000001010101000(bitIndex26) )).

fof(bitBlastConstant_5819,axiom,(
    ~ b000000011000000001010101000(bitIndex25) )).

fof(bitBlastConstant_5818,axiom,(
    ~ b000000011000000001010101000(bitIndex24) )).

fof(bitBlastConstant_5817,axiom,(
    ~ b000000011000000001010101000(bitIndex23) )).

fof(bitBlastConstant_5816,axiom,(
    ~ b000000011000000001010101000(bitIndex22) )).

fof(bitBlastConstant_5815,axiom,(
    ~ b000000011000000001010101000(bitIndex21) )).

fof(bitBlastConstant_5814,axiom,(
    ~ b000000011000000001010101000(bitIndex20) )).

fof(bitBlastConstant_5813,axiom,(
    b000000011000000001010101000(bitIndex19) )).

fof(bitBlastConstant_5812,axiom,(
    b000000011000000001010101000(bitIndex18) )).

fof(bitBlastConstant_5811,axiom,(
    ~ b000000011000000001010101000(bitIndex17) )).

fof(bitBlastConstant_5810,axiom,(
    ~ b000000011000000001010101000(bitIndex16) )).

fof(bitBlastConstant_5809,axiom,(
    ~ b000000011000000001010101000(bitIndex15) )).

fof(bitBlastConstant_5808,axiom,(
    ~ b000000011000000001010101000(bitIndex14) )).

fof(bitBlastConstant_5807,axiom,(
    ~ b000000011000000001010101000(bitIndex13) )).

fof(bitBlastConstant_5806,axiom,(
    ~ b000000011000000001010101000(bitIndex12) )).

fof(bitBlastConstant_5805,axiom,(
    ~ b000000011000000001010101000(bitIndex11) )).

fof(bitBlastConstant_5804,axiom,(
    ~ b000000011000000001010101000(bitIndex10) )).

fof(bitBlastConstant_5803,axiom,(
    b000000011000000001010101000(bitIndex9) )).

fof(bitBlastConstant_5802,axiom,(
    ~ b000000011000000001010101000(bitIndex8) )).

fof(bitBlastConstant_5801,axiom,(
    b000000011000000001010101000(bitIndex7) )).

fof(bitBlastConstant_5800,axiom,(
    ~ b000000011000000001010101000(bitIndex6) )).

fof(bitBlastConstant_5799,axiom,(
    b000000011000000001010101000(bitIndex5) )).

fof(bitBlastConstant_5798,axiom,(
    ~ b000000011000000001010101000(bitIndex4) )).

fof(bitBlastConstant_5797,axiom,(
    b000000011000000001010101000(bitIndex3) )).

fof(bitBlastConstant_5796,axiom,(
    ~ b000000011000000001010101000(bitIndex2) )).

fof(bitBlastConstant_5795,axiom,(
    ~ b000000011000000001010101000(bitIndex1) )).

fof(bitBlastConstant_5794,axiom,(
    ~ b000000011000000001010101000(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_193,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4947(VarCurr)
      <=> v4951(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_194,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4947(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_114,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4951(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_145,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4951(VarCurr)
      <=> v4953(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_146,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4951(VarCurr)
      <=> v4952(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_365,axiom,(
    ! [VarCurr] :
      ( v4953(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_5793,axiom,(
    ~ b000000011100000001010100111(bitIndex26) )).

fof(bitBlastConstant_5792,axiom,(
    ~ b000000011100000001010100111(bitIndex25) )).

fof(bitBlastConstant_5791,axiom,(
    ~ b000000011100000001010100111(bitIndex24) )).

fof(bitBlastConstant_5790,axiom,(
    ~ b000000011100000001010100111(bitIndex23) )).

fof(bitBlastConstant_5789,axiom,(
    ~ b000000011100000001010100111(bitIndex22) )).

fof(bitBlastConstant_5788,axiom,(
    ~ b000000011100000001010100111(bitIndex21) )).

fof(bitBlastConstant_5787,axiom,(
    ~ b000000011100000001010100111(bitIndex20) )).

fof(bitBlastConstant_5786,axiom,(
    b000000011100000001010100111(bitIndex19) )).

fof(bitBlastConstant_5785,axiom,(
    b000000011100000001010100111(bitIndex18) )).

fof(bitBlastConstant_5784,axiom,(
    b000000011100000001010100111(bitIndex17) )).

fof(bitBlastConstant_5783,axiom,(
    ~ b000000011100000001010100111(bitIndex16) )).

fof(bitBlastConstant_5782,axiom,(
    ~ b000000011100000001010100111(bitIndex15) )).

fof(bitBlastConstant_5781,axiom,(
    ~ b000000011100000001010100111(bitIndex14) )).

fof(bitBlastConstant_5780,axiom,(
    ~ b000000011100000001010100111(bitIndex13) )).

fof(bitBlastConstant_5779,axiom,(
    ~ b000000011100000001010100111(bitIndex12) )).

fof(bitBlastConstant_5778,axiom,(
    ~ b000000011100000001010100111(bitIndex11) )).

fof(bitBlastConstant_5777,axiom,(
    ~ b000000011100000001010100111(bitIndex10) )).

fof(bitBlastConstant_5776,axiom,(
    b000000011100000001010100111(bitIndex9) )).

fof(bitBlastConstant_5775,axiom,(
    ~ b000000011100000001010100111(bitIndex8) )).

fof(bitBlastConstant_5774,axiom,(
    b000000011100000001010100111(bitIndex7) )).

fof(bitBlastConstant_5773,axiom,(
    ~ b000000011100000001010100111(bitIndex6) )).

fof(bitBlastConstant_5772,axiom,(
    b000000011100000001010100111(bitIndex5) )).

fof(bitBlastConstant_5771,axiom,(
    ~ b000000011100000001010100111(bitIndex4) )).

fof(bitBlastConstant_5770,axiom,(
    ~ b000000011100000001010100111(bitIndex3) )).

fof(bitBlastConstant_5769,axiom,(
    b000000011100000001010100111(bitIndex2) )).

fof(bitBlastConstant_5768,axiom,(
    b000000011100000001010100111(bitIndex1) )).

fof(bitBlastConstant_5767,axiom,(
    b000000011100000001010100111(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_364,axiom,(
    ! [VarCurr] :
      ( v4952(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_5766,axiom,(
    ~ b000000011000000001010100111(bitIndex26) )).

fof(bitBlastConstant_5765,axiom,(
    ~ b000000011000000001010100111(bitIndex25) )).

fof(bitBlastConstant_5764,axiom,(
    ~ b000000011000000001010100111(bitIndex24) )).

fof(bitBlastConstant_5763,axiom,(
    ~ b000000011000000001010100111(bitIndex23) )).

fof(bitBlastConstant_5762,axiom,(
    ~ b000000011000000001010100111(bitIndex22) )).

fof(bitBlastConstant_5761,axiom,(
    ~ b000000011000000001010100111(bitIndex21) )).

fof(bitBlastConstant_5760,axiom,(
    ~ b000000011000000001010100111(bitIndex20) )).

fof(bitBlastConstant_5759,axiom,(
    b000000011000000001010100111(bitIndex19) )).

fof(bitBlastConstant_5758,axiom,(
    b000000011000000001010100111(bitIndex18) )).

fof(bitBlastConstant_5757,axiom,(
    ~ b000000011000000001010100111(bitIndex17) )).

fof(bitBlastConstant_5756,axiom,(
    ~ b000000011000000001010100111(bitIndex16) )).

fof(bitBlastConstant_5755,axiom,(
    ~ b000000011000000001010100111(bitIndex15) )).

fof(bitBlastConstant_5754,axiom,(
    ~ b000000011000000001010100111(bitIndex14) )).

fof(bitBlastConstant_5753,axiom,(
    ~ b000000011000000001010100111(bitIndex13) )).

fof(bitBlastConstant_5752,axiom,(
    ~ b000000011000000001010100111(bitIndex12) )).

fof(bitBlastConstant_5751,axiom,(
    ~ b000000011000000001010100111(bitIndex11) )).

fof(bitBlastConstant_5750,axiom,(
    ~ b000000011000000001010100111(bitIndex10) )).

fof(bitBlastConstant_5749,axiom,(
    b000000011000000001010100111(bitIndex9) )).

fof(bitBlastConstant_5748,axiom,(
    ~ b000000011000000001010100111(bitIndex8) )).

fof(bitBlastConstant_5747,axiom,(
    b000000011000000001010100111(bitIndex7) )).

fof(bitBlastConstant_5746,axiom,(
    ~ b000000011000000001010100111(bitIndex6) )).

fof(bitBlastConstant_5745,axiom,(
    b000000011000000001010100111(bitIndex5) )).

fof(bitBlastConstant_5744,axiom,(
    ~ b000000011000000001010100111(bitIndex4) )).

fof(bitBlastConstant_5743,axiom,(
    ~ b000000011000000001010100111(bitIndex3) )).

fof(bitBlastConstant_5742,axiom,(
    b000000011000000001010100111(bitIndex2) )).

fof(bitBlastConstant_5741,axiom,(
    b000000011000000001010100111(bitIndex1) )).

fof(bitBlastConstant_5740,axiom,(
    b000000011000000001010100111(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_192,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4939(VarCurr)
      <=> v4943(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_193,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4939(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_113,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4943(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_144,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4943(VarCurr)
      <=> v4945(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_145,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4943(VarCurr)
      <=> v4944(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_363,axiom,(
    ! [VarCurr] :
      ( v4945(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_5739,axiom,(
    ~ b000000011100000001010100110(bitIndex26) )).

fof(bitBlastConstant_5738,axiom,(
    ~ b000000011100000001010100110(bitIndex25) )).

fof(bitBlastConstant_5737,axiom,(
    ~ b000000011100000001010100110(bitIndex24) )).

fof(bitBlastConstant_5736,axiom,(
    ~ b000000011100000001010100110(bitIndex23) )).

fof(bitBlastConstant_5735,axiom,(
    ~ b000000011100000001010100110(bitIndex22) )).

fof(bitBlastConstant_5734,axiom,(
    ~ b000000011100000001010100110(bitIndex21) )).

fof(bitBlastConstant_5733,axiom,(
    ~ b000000011100000001010100110(bitIndex20) )).

fof(bitBlastConstant_5732,axiom,(
    b000000011100000001010100110(bitIndex19) )).

fof(bitBlastConstant_5731,axiom,(
    b000000011100000001010100110(bitIndex18) )).

fof(bitBlastConstant_5730,axiom,(
    b000000011100000001010100110(bitIndex17) )).

fof(bitBlastConstant_5729,axiom,(
    ~ b000000011100000001010100110(bitIndex16) )).

fof(bitBlastConstant_5728,axiom,(
    ~ b000000011100000001010100110(bitIndex15) )).

fof(bitBlastConstant_5727,axiom,(
    ~ b000000011100000001010100110(bitIndex14) )).

fof(bitBlastConstant_5726,axiom,(
    ~ b000000011100000001010100110(bitIndex13) )).

fof(bitBlastConstant_5725,axiom,(
    ~ b000000011100000001010100110(bitIndex12) )).

fof(bitBlastConstant_5724,axiom,(
    ~ b000000011100000001010100110(bitIndex11) )).

fof(bitBlastConstant_5723,axiom,(
    ~ b000000011100000001010100110(bitIndex10) )).

fof(bitBlastConstant_5722,axiom,(
    b000000011100000001010100110(bitIndex9) )).

fof(bitBlastConstant_5721,axiom,(
    ~ b000000011100000001010100110(bitIndex8) )).

fof(bitBlastConstant_5720,axiom,(
    b000000011100000001010100110(bitIndex7) )).

fof(bitBlastConstant_5719,axiom,(
    ~ b000000011100000001010100110(bitIndex6) )).

fof(bitBlastConstant_5718,axiom,(
    b000000011100000001010100110(bitIndex5) )).

fof(bitBlastConstant_5717,axiom,(
    ~ b000000011100000001010100110(bitIndex4) )).

fof(bitBlastConstant_5716,axiom,(
    ~ b000000011100000001010100110(bitIndex3) )).

fof(bitBlastConstant_5715,axiom,(
    b000000011100000001010100110(bitIndex2) )).

fof(bitBlastConstant_5714,axiom,(
    b000000011100000001010100110(bitIndex1) )).

fof(bitBlastConstant_5713,axiom,(
    ~ b000000011100000001010100110(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_362,axiom,(
    ! [VarCurr] :
      ( v4944(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_5712,axiom,(
    ~ b000000011000000001010100110(bitIndex26) )).

fof(bitBlastConstant_5711,axiom,(
    ~ b000000011000000001010100110(bitIndex25) )).

fof(bitBlastConstant_5710,axiom,(
    ~ b000000011000000001010100110(bitIndex24) )).

fof(bitBlastConstant_5709,axiom,(
    ~ b000000011000000001010100110(bitIndex23) )).

fof(bitBlastConstant_5708,axiom,(
    ~ b000000011000000001010100110(bitIndex22) )).

fof(bitBlastConstant_5707,axiom,(
    ~ b000000011000000001010100110(bitIndex21) )).

fof(bitBlastConstant_5706,axiom,(
    ~ b000000011000000001010100110(bitIndex20) )).

fof(bitBlastConstant_5705,axiom,(
    b000000011000000001010100110(bitIndex19) )).

fof(bitBlastConstant_5704,axiom,(
    b000000011000000001010100110(bitIndex18) )).

fof(bitBlastConstant_5703,axiom,(
    ~ b000000011000000001010100110(bitIndex17) )).

fof(bitBlastConstant_5702,axiom,(
    ~ b000000011000000001010100110(bitIndex16) )).

fof(bitBlastConstant_5701,axiom,(
    ~ b000000011000000001010100110(bitIndex15) )).

fof(bitBlastConstant_5700,axiom,(
    ~ b000000011000000001010100110(bitIndex14) )).

fof(bitBlastConstant_5699,axiom,(
    ~ b000000011000000001010100110(bitIndex13) )).

fof(bitBlastConstant_5698,axiom,(
    ~ b000000011000000001010100110(bitIndex12) )).

fof(bitBlastConstant_5697,axiom,(
    ~ b000000011000000001010100110(bitIndex11) )).

fof(bitBlastConstant_5696,axiom,(
    ~ b000000011000000001010100110(bitIndex10) )).

fof(bitBlastConstant_5695,axiom,(
    b000000011000000001010100110(bitIndex9) )).

fof(bitBlastConstant_5694,axiom,(
    ~ b000000011000000001010100110(bitIndex8) )).

fof(bitBlastConstant_5693,axiom,(
    b000000011000000001010100110(bitIndex7) )).

fof(bitBlastConstant_5692,axiom,(
    ~ b000000011000000001010100110(bitIndex6) )).

fof(bitBlastConstant_5691,axiom,(
    b000000011000000001010100110(bitIndex5) )).

fof(bitBlastConstant_5690,axiom,(
    ~ b000000011000000001010100110(bitIndex4) )).

fof(bitBlastConstant_5689,axiom,(
    ~ b000000011000000001010100110(bitIndex3) )).

fof(bitBlastConstant_5688,axiom,(
    b000000011000000001010100110(bitIndex2) )).

fof(bitBlastConstant_5687,axiom,(
    b000000011000000001010100110(bitIndex1) )).

fof(bitBlastConstant_5686,axiom,(
    ~ b000000011000000001010100110(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_191,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4931(VarCurr)
      <=> v4935(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_192,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4931(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_112,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4935(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_143,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4935(VarCurr)
      <=> v4937(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_144,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4935(VarCurr)
      <=> v4936(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_361,axiom,(
    ! [VarCurr] :
      ( v4937(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_5685,axiom,(
    ~ b000000011100000001010100101(bitIndex26) )).

fof(bitBlastConstant_5684,axiom,(
    ~ b000000011100000001010100101(bitIndex25) )).

fof(bitBlastConstant_5683,axiom,(
    ~ b000000011100000001010100101(bitIndex24) )).

fof(bitBlastConstant_5682,axiom,(
    ~ b000000011100000001010100101(bitIndex23) )).

fof(bitBlastConstant_5681,axiom,(
    ~ b000000011100000001010100101(bitIndex22) )).

fof(bitBlastConstant_5680,axiom,(
    ~ b000000011100000001010100101(bitIndex21) )).

fof(bitBlastConstant_5679,axiom,(
    ~ b000000011100000001010100101(bitIndex20) )).

fof(bitBlastConstant_5678,axiom,(
    b000000011100000001010100101(bitIndex19) )).

fof(bitBlastConstant_5677,axiom,(
    b000000011100000001010100101(bitIndex18) )).

fof(bitBlastConstant_5676,axiom,(
    b000000011100000001010100101(bitIndex17) )).

fof(bitBlastConstant_5675,axiom,(
    ~ b000000011100000001010100101(bitIndex16) )).

fof(bitBlastConstant_5674,axiom,(
    ~ b000000011100000001010100101(bitIndex15) )).

fof(bitBlastConstant_5673,axiom,(
    ~ b000000011100000001010100101(bitIndex14) )).

fof(bitBlastConstant_5672,axiom,(
    ~ b000000011100000001010100101(bitIndex13) )).

fof(bitBlastConstant_5671,axiom,(
    ~ b000000011100000001010100101(bitIndex12) )).

fof(bitBlastConstant_5670,axiom,(
    ~ b000000011100000001010100101(bitIndex11) )).

fof(bitBlastConstant_5669,axiom,(
    ~ b000000011100000001010100101(bitIndex10) )).

fof(bitBlastConstant_5668,axiom,(
    b000000011100000001010100101(bitIndex9) )).

fof(bitBlastConstant_5667,axiom,(
    ~ b000000011100000001010100101(bitIndex8) )).

fof(bitBlastConstant_5666,axiom,(
    b000000011100000001010100101(bitIndex7) )).

fof(bitBlastConstant_5665,axiom,(
    ~ b000000011100000001010100101(bitIndex6) )).

fof(bitBlastConstant_5664,axiom,(
    b000000011100000001010100101(bitIndex5) )).

fof(bitBlastConstant_5663,axiom,(
    ~ b000000011100000001010100101(bitIndex4) )).

fof(bitBlastConstant_5662,axiom,(
    ~ b000000011100000001010100101(bitIndex3) )).

fof(bitBlastConstant_5661,axiom,(
    b000000011100000001010100101(bitIndex2) )).

fof(bitBlastConstant_5660,axiom,(
    ~ b000000011100000001010100101(bitIndex1) )).

fof(bitBlastConstant_5659,axiom,(
    b000000011100000001010100101(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_360,axiom,(
    ! [VarCurr] :
      ( v4936(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_5658,axiom,(
    ~ b000000011000000001010100101(bitIndex26) )).

fof(bitBlastConstant_5657,axiom,(
    ~ b000000011000000001010100101(bitIndex25) )).

fof(bitBlastConstant_5656,axiom,(
    ~ b000000011000000001010100101(bitIndex24) )).

fof(bitBlastConstant_5655,axiom,(
    ~ b000000011000000001010100101(bitIndex23) )).

fof(bitBlastConstant_5654,axiom,(
    ~ b000000011000000001010100101(bitIndex22) )).

fof(bitBlastConstant_5653,axiom,(
    ~ b000000011000000001010100101(bitIndex21) )).

fof(bitBlastConstant_5652,axiom,(
    ~ b000000011000000001010100101(bitIndex20) )).

fof(bitBlastConstant_5651,axiom,(
    b000000011000000001010100101(bitIndex19) )).

fof(bitBlastConstant_5650,axiom,(
    b000000011000000001010100101(bitIndex18) )).

fof(bitBlastConstant_5649,axiom,(
    ~ b000000011000000001010100101(bitIndex17) )).

fof(bitBlastConstant_5648,axiom,(
    ~ b000000011000000001010100101(bitIndex16) )).

fof(bitBlastConstant_5647,axiom,(
    ~ b000000011000000001010100101(bitIndex15) )).

fof(bitBlastConstant_5646,axiom,(
    ~ b000000011000000001010100101(bitIndex14) )).

fof(bitBlastConstant_5645,axiom,(
    ~ b000000011000000001010100101(bitIndex13) )).

fof(bitBlastConstant_5644,axiom,(
    ~ b000000011000000001010100101(bitIndex12) )).

fof(bitBlastConstant_5643,axiom,(
    ~ b000000011000000001010100101(bitIndex11) )).

fof(bitBlastConstant_5642,axiom,(
    ~ b000000011000000001010100101(bitIndex10) )).

fof(bitBlastConstant_5641,axiom,(
    b000000011000000001010100101(bitIndex9) )).

fof(bitBlastConstant_5640,axiom,(
    ~ b000000011000000001010100101(bitIndex8) )).

fof(bitBlastConstant_5639,axiom,(
    b000000011000000001010100101(bitIndex7) )).

fof(bitBlastConstant_5638,axiom,(
    ~ b000000011000000001010100101(bitIndex6) )).

fof(bitBlastConstant_5637,axiom,(
    b000000011000000001010100101(bitIndex5) )).

fof(bitBlastConstant_5636,axiom,(
    ~ b000000011000000001010100101(bitIndex4) )).

fof(bitBlastConstant_5635,axiom,(
    ~ b000000011000000001010100101(bitIndex3) )).

fof(bitBlastConstant_5634,axiom,(
    b000000011000000001010100101(bitIndex2) )).

fof(bitBlastConstant_5633,axiom,(
    ~ b000000011000000001010100101(bitIndex1) )).

fof(bitBlastConstant_5632,axiom,(
    b000000011000000001010100101(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_190,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4923(VarCurr)
      <=> v4927(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_191,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4923(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_111,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4927(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_142,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4927(VarCurr)
      <=> v4929(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_143,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4927(VarCurr)
      <=> v4928(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_359,axiom,(
    ! [VarCurr] :
      ( v4929(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_5631,axiom,(
    ~ b000000011100000001010100100(bitIndex26) )).

fof(bitBlastConstant_5630,axiom,(
    ~ b000000011100000001010100100(bitIndex25) )).

fof(bitBlastConstant_5629,axiom,(
    ~ b000000011100000001010100100(bitIndex24) )).

fof(bitBlastConstant_5628,axiom,(
    ~ b000000011100000001010100100(bitIndex23) )).

fof(bitBlastConstant_5627,axiom,(
    ~ b000000011100000001010100100(bitIndex22) )).

fof(bitBlastConstant_5626,axiom,(
    ~ b000000011100000001010100100(bitIndex21) )).

fof(bitBlastConstant_5625,axiom,(
    ~ b000000011100000001010100100(bitIndex20) )).

fof(bitBlastConstant_5624,axiom,(
    b000000011100000001010100100(bitIndex19) )).

fof(bitBlastConstant_5623,axiom,(
    b000000011100000001010100100(bitIndex18) )).

fof(bitBlastConstant_5622,axiom,(
    b000000011100000001010100100(bitIndex17) )).

fof(bitBlastConstant_5621,axiom,(
    ~ b000000011100000001010100100(bitIndex16) )).

fof(bitBlastConstant_5620,axiom,(
    ~ b000000011100000001010100100(bitIndex15) )).

fof(bitBlastConstant_5619,axiom,(
    ~ b000000011100000001010100100(bitIndex14) )).

fof(bitBlastConstant_5618,axiom,(
    ~ b000000011100000001010100100(bitIndex13) )).

fof(bitBlastConstant_5617,axiom,(
    ~ b000000011100000001010100100(bitIndex12) )).

fof(bitBlastConstant_5616,axiom,(
    ~ b000000011100000001010100100(bitIndex11) )).

fof(bitBlastConstant_5615,axiom,(
    ~ b000000011100000001010100100(bitIndex10) )).

fof(bitBlastConstant_5614,axiom,(
    b000000011100000001010100100(bitIndex9) )).

fof(bitBlastConstant_5613,axiom,(
    ~ b000000011100000001010100100(bitIndex8) )).

fof(bitBlastConstant_5612,axiom,(
    b000000011100000001010100100(bitIndex7) )).

fof(bitBlastConstant_5611,axiom,(
    ~ b000000011100000001010100100(bitIndex6) )).

fof(bitBlastConstant_5610,axiom,(
    b000000011100000001010100100(bitIndex5) )).

fof(bitBlastConstant_5609,axiom,(
    ~ b000000011100000001010100100(bitIndex4) )).

fof(bitBlastConstant_5608,axiom,(
    ~ b000000011100000001010100100(bitIndex3) )).

fof(bitBlastConstant_5607,axiom,(
    b000000011100000001010100100(bitIndex2) )).

fof(bitBlastConstant_5606,axiom,(
    ~ b000000011100000001010100100(bitIndex1) )).

fof(bitBlastConstant_5605,axiom,(
    ~ b000000011100000001010100100(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_358,axiom,(
    ! [VarCurr] :
      ( v4928(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_5604,axiom,(
    ~ b000000011000000001010100100(bitIndex26) )).

fof(bitBlastConstant_5603,axiom,(
    ~ b000000011000000001010100100(bitIndex25) )).

fof(bitBlastConstant_5602,axiom,(
    ~ b000000011000000001010100100(bitIndex24) )).

fof(bitBlastConstant_5601,axiom,(
    ~ b000000011000000001010100100(bitIndex23) )).

fof(bitBlastConstant_5600,axiom,(
    ~ b000000011000000001010100100(bitIndex22) )).

fof(bitBlastConstant_5599,axiom,(
    ~ b000000011000000001010100100(bitIndex21) )).

fof(bitBlastConstant_5598,axiom,(
    ~ b000000011000000001010100100(bitIndex20) )).

fof(bitBlastConstant_5597,axiom,(
    b000000011000000001010100100(bitIndex19) )).

fof(bitBlastConstant_5596,axiom,(
    b000000011000000001010100100(bitIndex18) )).

fof(bitBlastConstant_5595,axiom,(
    ~ b000000011000000001010100100(bitIndex17) )).

fof(bitBlastConstant_5594,axiom,(
    ~ b000000011000000001010100100(bitIndex16) )).

fof(bitBlastConstant_5593,axiom,(
    ~ b000000011000000001010100100(bitIndex15) )).

fof(bitBlastConstant_5592,axiom,(
    ~ b000000011000000001010100100(bitIndex14) )).

fof(bitBlastConstant_5591,axiom,(
    ~ b000000011000000001010100100(bitIndex13) )).

fof(bitBlastConstant_5590,axiom,(
    ~ b000000011000000001010100100(bitIndex12) )).

fof(bitBlastConstant_5589,axiom,(
    ~ b000000011000000001010100100(bitIndex11) )).

fof(bitBlastConstant_5588,axiom,(
    ~ b000000011000000001010100100(bitIndex10) )).

fof(bitBlastConstant_5587,axiom,(
    b000000011000000001010100100(bitIndex9) )).

fof(bitBlastConstant_5586,axiom,(
    ~ b000000011000000001010100100(bitIndex8) )).

fof(bitBlastConstant_5585,axiom,(
    b000000011000000001010100100(bitIndex7) )).

fof(bitBlastConstant_5584,axiom,(
    ~ b000000011000000001010100100(bitIndex6) )).

fof(bitBlastConstant_5583,axiom,(
    b000000011000000001010100100(bitIndex5) )).

fof(bitBlastConstant_5582,axiom,(
    ~ b000000011000000001010100100(bitIndex4) )).

fof(bitBlastConstant_5581,axiom,(
    ~ b000000011000000001010100100(bitIndex3) )).

fof(bitBlastConstant_5580,axiom,(
    b000000011000000001010100100(bitIndex2) )).

fof(bitBlastConstant_5579,axiom,(
    ~ b000000011000000001010100100(bitIndex1) )).

fof(bitBlastConstant_5578,axiom,(
    ~ b000000011000000001010100100(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_189,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4915(VarCurr)
      <=> v4919(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_190,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4915(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_110,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4919(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_141,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4919(VarCurr)
      <=> v4921(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_142,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4919(VarCurr)
      <=> v4920(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_357,axiom,(
    ! [VarCurr] :
      ( v4921(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_5577,axiom,(
    ~ b000000011100000001010100011(bitIndex26) )).

fof(bitBlastConstant_5576,axiom,(
    ~ b000000011100000001010100011(bitIndex25) )).

fof(bitBlastConstant_5575,axiom,(
    ~ b000000011100000001010100011(bitIndex24) )).

fof(bitBlastConstant_5574,axiom,(
    ~ b000000011100000001010100011(bitIndex23) )).

fof(bitBlastConstant_5573,axiom,(
    ~ b000000011100000001010100011(bitIndex22) )).

fof(bitBlastConstant_5572,axiom,(
    ~ b000000011100000001010100011(bitIndex21) )).

fof(bitBlastConstant_5571,axiom,(
    ~ b000000011100000001010100011(bitIndex20) )).

fof(bitBlastConstant_5570,axiom,(
    b000000011100000001010100011(bitIndex19) )).

fof(bitBlastConstant_5569,axiom,(
    b000000011100000001010100011(bitIndex18) )).

fof(bitBlastConstant_5568,axiom,(
    b000000011100000001010100011(bitIndex17) )).

fof(bitBlastConstant_5567,axiom,(
    ~ b000000011100000001010100011(bitIndex16) )).

fof(bitBlastConstant_5566,axiom,(
    ~ b000000011100000001010100011(bitIndex15) )).

fof(bitBlastConstant_5565,axiom,(
    ~ b000000011100000001010100011(bitIndex14) )).

fof(bitBlastConstant_5564,axiom,(
    ~ b000000011100000001010100011(bitIndex13) )).

fof(bitBlastConstant_5563,axiom,(
    ~ b000000011100000001010100011(bitIndex12) )).

fof(bitBlastConstant_5562,axiom,(
    ~ b000000011100000001010100011(bitIndex11) )).

fof(bitBlastConstant_5561,axiom,(
    ~ b000000011100000001010100011(bitIndex10) )).

fof(bitBlastConstant_5560,axiom,(
    b000000011100000001010100011(bitIndex9) )).

fof(bitBlastConstant_5559,axiom,(
    ~ b000000011100000001010100011(bitIndex8) )).

fof(bitBlastConstant_5558,axiom,(
    b000000011100000001010100011(bitIndex7) )).

fof(bitBlastConstant_5557,axiom,(
    ~ b000000011100000001010100011(bitIndex6) )).

fof(bitBlastConstant_5556,axiom,(
    b000000011100000001010100011(bitIndex5) )).

fof(bitBlastConstant_5555,axiom,(
    ~ b000000011100000001010100011(bitIndex4) )).

fof(bitBlastConstant_5554,axiom,(
    ~ b000000011100000001010100011(bitIndex3) )).

fof(bitBlastConstant_5553,axiom,(
    ~ b000000011100000001010100011(bitIndex2) )).

fof(bitBlastConstant_5552,axiom,(
    b000000011100000001010100011(bitIndex1) )).

fof(bitBlastConstant_5551,axiom,(
    b000000011100000001010100011(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_356,axiom,(
    ! [VarCurr] :
      ( v4920(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_5550,axiom,(
    ~ b000000011000000001010100011(bitIndex26) )).

fof(bitBlastConstant_5549,axiom,(
    ~ b000000011000000001010100011(bitIndex25) )).

fof(bitBlastConstant_5548,axiom,(
    ~ b000000011000000001010100011(bitIndex24) )).

fof(bitBlastConstant_5547,axiom,(
    ~ b000000011000000001010100011(bitIndex23) )).

fof(bitBlastConstant_5546,axiom,(
    ~ b000000011000000001010100011(bitIndex22) )).

fof(bitBlastConstant_5545,axiom,(
    ~ b000000011000000001010100011(bitIndex21) )).

fof(bitBlastConstant_5544,axiom,(
    ~ b000000011000000001010100011(bitIndex20) )).

fof(bitBlastConstant_5543,axiom,(
    b000000011000000001010100011(bitIndex19) )).

fof(bitBlastConstant_5542,axiom,(
    b000000011000000001010100011(bitIndex18) )).

fof(bitBlastConstant_5541,axiom,(
    ~ b000000011000000001010100011(bitIndex17) )).

fof(bitBlastConstant_5540,axiom,(
    ~ b000000011000000001010100011(bitIndex16) )).

fof(bitBlastConstant_5539,axiom,(
    ~ b000000011000000001010100011(bitIndex15) )).

fof(bitBlastConstant_5538,axiom,(
    ~ b000000011000000001010100011(bitIndex14) )).

fof(bitBlastConstant_5537,axiom,(
    ~ b000000011000000001010100011(bitIndex13) )).

fof(bitBlastConstant_5536,axiom,(
    ~ b000000011000000001010100011(bitIndex12) )).

fof(bitBlastConstant_5535,axiom,(
    ~ b000000011000000001010100011(bitIndex11) )).

fof(bitBlastConstant_5534,axiom,(
    ~ b000000011000000001010100011(bitIndex10) )).

fof(bitBlastConstant_5533,axiom,(
    b000000011000000001010100011(bitIndex9) )).

fof(bitBlastConstant_5532,axiom,(
    ~ b000000011000000001010100011(bitIndex8) )).

fof(bitBlastConstant_5531,axiom,(
    b000000011000000001010100011(bitIndex7) )).

fof(bitBlastConstant_5530,axiom,(
    ~ b000000011000000001010100011(bitIndex6) )).

fof(bitBlastConstant_5529,axiom,(
    b000000011000000001010100011(bitIndex5) )).

fof(bitBlastConstant_5528,axiom,(
    ~ b000000011000000001010100011(bitIndex4) )).

fof(bitBlastConstant_5527,axiom,(
    ~ b000000011000000001010100011(bitIndex3) )).

fof(bitBlastConstant_5526,axiom,(
    ~ b000000011000000001010100011(bitIndex2) )).

fof(bitBlastConstant_5525,axiom,(
    b000000011000000001010100011(bitIndex1) )).

fof(bitBlastConstant_5524,axiom,(
    b000000011000000001010100011(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_188,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4907(VarCurr)
      <=> v4911(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_189,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4907(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_109,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4911(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_140,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4911(VarCurr)
      <=> v4913(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_141,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4911(VarCurr)
      <=> v4912(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_355,axiom,(
    ! [VarCurr] :
      ( v4913(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_5523,axiom,(
    ~ b000000011100000001010100010(bitIndex26) )).

fof(bitBlastConstant_5522,axiom,(
    ~ b000000011100000001010100010(bitIndex25) )).

fof(bitBlastConstant_5521,axiom,(
    ~ b000000011100000001010100010(bitIndex24) )).

fof(bitBlastConstant_5520,axiom,(
    ~ b000000011100000001010100010(bitIndex23) )).

fof(bitBlastConstant_5519,axiom,(
    ~ b000000011100000001010100010(bitIndex22) )).

fof(bitBlastConstant_5518,axiom,(
    ~ b000000011100000001010100010(bitIndex21) )).

fof(bitBlastConstant_5517,axiom,(
    ~ b000000011100000001010100010(bitIndex20) )).

fof(bitBlastConstant_5516,axiom,(
    b000000011100000001010100010(bitIndex19) )).

fof(bitBlastConstant_5515,axiom,(
    b000000011100000001010100010(bitIndex18) )).

fof(bitBlastConstant_5514,axiom,(
    b000000011100000001010100010(bitIndex17) )).

fof(bitBlastConstant_5513,axiom,(
    ~ b000000011100000001010100010(bitIndex16) )).

fof(bitBlastConstant_5512,axiom,(
    ~ b000000011100000001010100010(bitIndex15) )).

fof(bitBlastConstant_5511,axiom,(
    ~ b000000011100000001010100010(bitIndex14) )).

fof(bitBlastConstant_5510,axiom,(
    ~ b000000011100000001010100010(bitIndex13) )).

fof(bitBlastConstant_5509,axiom,(
    ~ b000000011100000001010100010(bitIndex12) )).

fof(bitBlastConstant_5508,axiom,(
    ~ b000000011100000001010100010(bitIndex11) )).

fof(bitBlastConstant_5507,axiom,(
    ~ b000000011100000001010100010(bitIndex10) )).

fof(bitBlastConstant_5506,axiom,(
    b000000011100000001010100010(bitIndex9) )).

fof(bitBlastConstant_5505,axiom,(
    ~ b000000011100000001010100010(bitIndex8) )).

fof(bitBlastConstant_5504,axiom,(
    b000000011100000001010100010(bitIndex7) )).

fof(bitBlastConstant_5503,axiom,(
    ~ b000000011100000001010100010(bitIndex6) )).

fof(bitBlastConstant_5502,axiom,(
    b000000011100000001010100010(bitIndex5) )).

fof(bitBlastConstant_5501,axiom,(
    ~ b000000011100000001010100010(bitIndex4) )).

fof(bitBlastConstant_5500,axiom,(
    ~ b000000011100000001010100010(bitIndex3) )).

fof(bitBlastConstant_5499,axiom,(
    ~ b000000011100000001010100010(bitIndex2) )).

fof(bitBlastConstant_5498,axiom,(
    b000000011100000001010100010(bitIndex1) )).

fof(bitBlastConstant_5497,axiom,(
    ~ b000000011100000001010100010(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_354,axiom,(
    ! [VarCurr] :
      ( v4912(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_5496,axiom,(
    ~ b000000011000000001010100010(bitIndex26) )).

fof(bitBlastConstant_5495,axiom,(
    ~ b000000011000000001010100010(bitIndex25) )).

fof(bitBlastConstant_5494,axiom,(
    ~ b000000011000000001010100010(bitIndex24) )).

fof(bitBlastConstant_5493,axiom,(
    ~ b000000011000000001010100010(bitIndex23) )).

fof(bitBlastConstant_5492,axiom,(
    ~ b000000011000000001010100010(bitIndex22) )).

fof(bitBlastConstant_5491,axiom,(
    ~ b000000011000000001010100010(bitIndex21) )).

fof(bitBlastConstant_5490,axiom,(
    ~ b000000011000000001010100010(bitIndex20) )).

fof(bitBlastConstant_5489,axiom,(
    b000000011000000001010100010(bitIndex19) )).

fof(bitBlastConstant_5488,axiom,(
    b000000011000000001010100010(bitIndex18) )).

fof(bitBlastConstant_5487,axiom,(
    ~ b000000011000000001010100010(bitIndex17) )).

fof(bitBlastConstant_5486,axiom,(
    ~ b000000011000000001010100010(bitIndex16) )).

fof(bitBlastConstant_5485,axiom,(
    ~ b000000011000000001010100010(bitIndex15) )).

fof(bitBlastConstant_5484,axiom,(
    ~ b000000011000000001010100010(bitIndex14) )).

fof(bitBlastConstant_5483,axiom,(
    ~ b000000011000000001010100010(bitIndex13) )).

fof(bitBlastConstant_5482,axiom,(
    ~ b000000011000000001010100010(bitIndex12) )).

fof(bitBlastConstant_5481,axiom,(
    ~ b000000011000000001010100010(bitIndex11) )).

fof(bitBlastConstant_5480,axiom,(
    ~ b000000011000000001010100010(bitIndex10) )).

fof(bitBlastConstant_5479,axiom,(
    b000000011000000001010100010(bitIndex9) )).

fof(bitBlastConstant_5478,axiom,(
    ~ b000000011000000001010100010(bitIndex8) )).

fof(bitBlastConstant_5477,axiom,(
    b000000011000000001010100010(bitIndex7) )).

fof(bitBlastConstant_5476,axiom,(
    ~ b000000011000000001010100010(bitIndex6) )).

fof(bitBlastConstant_5475,axiom,(
    b000000011000000001010100010(bitIndex5) )).

fof(bitBlastConstant_5474,axiom,(
    ~ b000000011000000001010100010(bitIndex4) )).

fof(bitBlastConstant_5473,axiom,(
    ~ b000000011000000001010100010(bitIndex3) )).

fof(bitBlastConstant_5472,axiom,(
    ~ b000000011000000001010100010(bitIndex2) )).

fof(bitBlastConstant_5471,axiom,(
    b000000011000000001010100010(bitIndex1) )).

fof(bitBlastConstant_5470,axiom,(
    ~ b000000011000000001010100010(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_187,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4899(VarCurr)
      <=> v4903(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_188,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4899(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_108,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4903(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_139,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4903(VarCurr)
      <=> v4905(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_140,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4903(VarCurr)
      <=> v4904(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_353,axiom,(
    ! [VarCurr] :
      ( v4905(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_5469,axiom,(
    ~ b000000011100000001010100001(bitIndex26) )).

fof(bitBlastConstant_5468,axiom,(
    ~ b000000011100000001010100001(bitIndex25) )).

fof(bitBlastConstant_5467,axiom,(
    ~ b000000011100000001010100001(bitIndex24) )).

fof(bitBlastConstant_5466,axiom,(
    ~ b000000011100000001010100001(bitIndex23) )).

fof(bitBlastConstant_5465,axiom,(
    ~ b000000011100000001010100001(bitIndex22) )).

fof(bitBlastConstant_5464,axiom,(
    ~ b000000011100000001010100001(bitIndex21) )).

fof(bitBlastConstant_5463,axiom,(
    ~ b000000011100000001010100001(bitIndex20) )).

fof(bitBlastConstant_5462,axiom,(
    b000000011100000001010100001(bitIndex19) )).

fof(bitBlastConstant_5461,axiom,(
    b000000011100000001010100001(bitIndex18) )).

fof(bitBlastConstant_5460,axiom,(
    b000000011100000001010100001(bitIndex17) )).

fof(bitBlastConstant_5459,axiom,(
    ~ b000000011100000001010100001(bitIndex16) )).

fof(bitBlastConstant_5458,axiom,(
    ~ b000000011100000001010100001(bitIndex15) )).

fof(bitBlastConstant_5457,axiom,(
    ~ b000000011100000001010100001(bitIndex14) )).

fof(bitBlastConstant_5456,axiom,(
    ~ b000000011100000001010100001(bitIndex13) )).

fof(bitBlastConstant_5455,axiom,(
    ~ b000000011100000001010100001(bitIndex12) )).

fof(bitBlastConstant_5454,axiom,(
    ~ b000000011100000001010100001(bitIndex11) )).

fof(bitBlastConstant_5453,axiom,(
    ~ b000000011100000001010100001(bitIndex10) )).

fof(bitBlastConstant_5452,axiom,(
    b000000011100000001010100001(bitIndex9) )).

fof(bitBlastConstant_5451,axiom,(
    ~ b000000011100000001010100001(bitIndex8) )).

fof(bitBlastConstant_5450,axiom,(
    b000000011100000001010100001(bitIndex7) )).

fof(bitBlastConstant_5449,axiom,(
    ~ b000000011100000001010100001(bitIndex6) )).

fof(bitBlastConstant_5448,axiom,(
    b000000011100000001010100001(bitIndex5) )).

fof(bitBlastConstant_5447,axiom,(
    ~ b000000011100000001010100001(bitIndex4) )).

fof(bitBlastConstant_5446,axiom,(
    ~ b000000011100000001010100001(bitIndex3) )).

fof(bitBlastConstant_5445,axiom,(
    ~ b000000011100000001010100001(bitIndex2) )).

fof(bitBlastConstant_5444,axiom,(
    ~ b000000011100000001010100001(bitIndex1) )).

fof(bitBlastConstant_5443,axiom,(
    b000000011100000001010100001(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_352,axiom,(
    ! [VarCurr] :
      ( v4904(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_5442,axiom,(
    ~ b000000011000000001010100001(bitIndex26) )).

fof(bitBlastConstant_5441,axiom,(
    ~ b000000011000000001010100001(bitIndex25) )).

fof(bitBlastConstant_5440,axiom,(
    ~ b000000011000000001010100001(bitIndex24) )).

fof(bitBlastConstant_5439,axiom,(
    ~ b000000011000000001010100001(bitIndex23) )).

fof(bitBlastConstant_5438,axiom,(
    ~ b000000011000000001010100001(bitIndex22) )).

fof(bitBlastConstant_5437,axiom,(
    ~ b000000011000000001010100001(bitIndex21) )).

fof(bitBlastConstant_5436,axiom,(
    ~ b000000011000000001010100001(bitIndex20) )).

fof(bitBlastConstant_5435,axiom,(
    b000000011000000001010100001(bitIndex19) )).

fof(bitBlastConstant_5434,axiom,(
    b000000011000000001010100001(bitIndex18) )).

fof(bitBlastConstant_5433,axiom,(
    ~ b000000011000000001010100001(bitIndex17) )).

fof(bitBlastConstant_5432,axiom,(
    ~ b000000011000000001010100001(bitIndex16) )).

fof(bitBlastConstant_5431,axiom,(
    ~ b000000011000000001010100001(bitIndex15) )).

fof(bitBlastConstant_5430,axiom,(
    ~ b000000011000000001010100001(bitIndex14) )).

fof(bitBlastConstant_5429,axiom,(
    ~ b000000011000000001010100001(bitIndex13) )).

fof(bitBlastConstant_5428,axiom,(
    ~ b000000011000000001010100001(bitIndex12) )).

fof(bitBlastConstant_5427,axiom,(
    ~ b000000011000000001010100001(bitIndex11) )).

fof(bitBlastConstant_5426,axiom,(
    ~ b000000011000000001010100001(bitIndex10) )).

fof(bitBlastConstant_5425,axiom,(
    b000000011000000001010100001(bitIndex9) )).

fof(bitBlastConstant_5424,axiom,(
    ~ b000000011000000001010100001(bitIndex8) )).

fof(bitBlastConstant_5423,axiom,(
    b000000011000000001010100001(bitIndex7) )).

fof(bitBlastConstant_5422,axiom,(
    ~ b000000011000000001010100001(bitIndex6) )).

fof(bitBlastConstant_5421,axiom,(
    b000000011000000001010100001(bitIndex5) )).

fof(bitBlastConstant_5420,axiom,(
    ~ b000000011000000001010100001(bitIndex4) )).

fof(bitBlastConstant_5419,axiom,(
    ~ b000000011000000001010100001(bitIndex3) )).

fof(bitBlastConstant_5418,axiom,(
    ~ b000000011000000001010100001(bitIndex2) )).

fof(bitBlastConstant_5417,axiom,(
    ~ b000000011000000001010100001(bitIndex1) )).

fof(bitBlastConstant_5416,axiom,(
    b000000011000000001010100001(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_186,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4891(VarCurr)
      <=> v4895(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_187,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4891(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_107,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4895(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_138,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4895(VarCurr)
      <=> v4897(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_139,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4895(VarCurr)
      <=> v4896(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_351,axiom,(
    ! [VarCurr] :
      ( v4897(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_5415,axiom,(
    ~ b000000011100000001010100000(bitIndex26) )).

fof(bitBlastConstant_5414,axiom,(
    ~ b000000011100000001010100000(bitIndex25) )).

fof(bitBlastConstant_5413,axiom,(
    ~ b000000011100000001010100000(bitIndex24) )).

fof(bitBlastConstant_5412,axiom,(
    ~ b000000011100000001010100000(bitIndex23) )).

fof(bitBlastConstant_5411,axiom,(
    ~ b000000011100000001010100000(bitIndex22) )).

fof(bitBlastConstant_5410,axiom,(
    ~ b000000011100000001010100000(bitIndex21) )).

fof(bitBlastConstant_5409,axiom,(
    ~ b000000011100000001010100000(bitIndex20) )).

fof(bitBlastConstant_5408,axiom,(
    b000000011100000001010100000(bitIndex19) )).

fof(bitBlastConstant_5407,axiom,(
    b000000011100000001010100000(bitIndex18) )).

fof(bitBlastConstant_5406,axiom,(
    b000000011100000001010100000(bitIndex17) )).

fof(bitBlastConstant_5405,axiom,(
    ~ b000000011100000001010100000(bitIndex16) )).

fof(bitBlastConstant_5404,axiom,(
    ~ b000000011100000001010100000(bitIndex15) )).

fof(bitBlastConstant_5403,axiom,(
    ~ b000000011100000001010100000(bitIndex14) )).

fof(bitBlastConstant_5402,axiom,(
    ~ b000000011100000001010100000(bitIndex13) )).

fof(bitBlastConstant_5401,axiom,(
    ~ b000000011100000001010100000(bitIndex12) )).

fof(bitBlastConstant_5400,axiom,(
    ~ b000000011100000001010100000(bitIndex11) )).

fof(bitBlastConstant_5399,axiom,(
    ~ b000000011100000001010100000(bitIndex10) )).

fof(bitBlastConstant_5398,axiom,(
    b000000011100000001010100000(bitIndex9) )).

fof(bitBlastConstant_5397,axiom,(
    ~ b000000011100000001010100000(bitIndex8) )).

fof(bitBlastConstant_5396,axiom,(
    b000000011100000001010100000(bitIndex7) )).

fof(bitBlastConstant_5395,axiom,(
    ~ b000000011100000001010100000(bitIndex6) )).

fof(bitBlastConstant_5394,axiom,(
    b000000011100000001010100000(bitIndex5) )).

fof(bitBlastConstant_5393,axiom,(
    ~ b000000011100000001010100000(bitIndex4) )).

fof(bitBlastConstant_5392,axiom,(
    ~ b000000011100000001010100000(bitIndex3) )).

fof(bitBlastConstant_5391,axiom,(
    ~ b000000011100000001010100000(bitIndex2) )).

fof(bitBlastConstant_5390,axiom,(
    ~ b000000011100000001010100000(bitIndex1) )).

fof(bitBlastConstant_5389,axiom,(
    ~ b000000011100000001010100000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_350,axiom,(
    ! [VarCurr] :
      ( v4896(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_5388,axiom,(
    ~ b000000011000000001010100000(bitIndex26) )).

fof(bitBlastConstant_5387,axiom,(
    ~ b000000011000000001010100000(bitIndex25) )).

fof(bitBlastConstant_5386,axiom,(
    ~ b000000011000000001010100000(bitIndex24) )).

fof(bitBlastConstant_5385,axiom,(
    ~ b000000011000000001010100000(bitIndex23) )).

fof(bitBlastConstant_5384,axiom,(
    ~ b000000011000000001010100000(bitIndex22) )).

fof(bitBlastConstant_5383,axiom,(
    ~ b000000011000000001010100000(bitIndex21) )).

fof(bitBlastConstant_5382,axiom,(
    ~ b000000011000000001010100000(bitIndex20) )).

fof(bitBlastConstant_5381,axiom,(
    b000000011000000001010100000(bitIndex19) )).

fof(bitBlastConstant_5380,axiom,(
    b000000011000000001010100000(bitIndex18) )).

fof(bitBlastConstant_5379,axiom,(
    ~ b000000011000000001010100000(bitIndex17) )).

fof(bitBlastConstant_5378,axiom,(
    ~ b000000011000000001010100000(bitIndex16) )).

fof(bitBlastConstant_5377,axiom,(
    ~ b000000011000000001010100000(bitIndex15) )).

fof(bitBlastConstant_5376,axiom,(
    ~ b000000011000000001010100000(bitIndex14) )).

fof(bitBlastConstant_5375,axiom,(
    ~ b000000011000000001010100000(bitIndex13) )).

fof(bitBlastConstant_5374,axiom,(
    ~ b000000011000000001010100000(bitIndex12) )).

fof(bitBlastConstant_5373,axiom,(
    ~ b000000011000000001010100000(bitIndex11) )).

fof(bitBlastConstant_5372,axiom,(
    ~ b000000011000000001010100000(bitIndex10) )).

fof(bitBlastConstant_5371,axiom,(
    b000000011000000001010100000(bitIndex9) )).

fof(bitBlastConstant_5370,axiom,(
    ~ b000000011000000001010100000(bitIndex8) )).

fof(bitBlastConstant_5369,axiom,(
    b000000011000000001010100000(bitIndex7) )).

fof(bitBlastConstant_5368,axiom,(
    ~ b000000011000000001010100000(bitIndex6) )).

fof(bitBlastConstant_5367,axiom,(
    b000000011000000001010100000(bitIndex5) )).

fof(bitBlastConstant_5366,axiom,(
    ~ b000000011000000001010100000(bitIndex4) )).

fof(bitBlastConstant_5365,axiom,(
    ~ b000000011000000001010100000(bitIndex3) )).

fof(bitBlastConstant_5364,axiom,(
    ~ b000000011000000001010100000(bitIndex2) )).

fof(bitBlastConstant_5363,axiom,(
    ~ b000000011000000001010100000(bitIndex1) )).

fof(bitBlastConstant_5362,axiom,(
    ~ b000000011000000001010100000(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_185,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4883(VarCurr)
      <=> v4887(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_186,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4883(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_106,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4887(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_137,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4887(VarCurr)
      <=> v4889(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_138,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4887(VarCurr)
      <=> v4888(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_349,axiom,(
    ! [VarCurr] :
      ( v4889(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_5361,axiom,(
    ~ b000000011100000001010011111(bitIndex26) )).

fof(bitBlastConstant_5360,axiom,(
    ~ b000000011100000001010011111(bitIndex25) )).

fof(bitBlastConstant_5359,axiom,(
    ~ b000000011100000001010011111(bitIndex24) )).

fof(bitBlastConstant_5358,axiom,(
    ~ b000000011100000001010011111(bitIndex23) )).

fof(bitBlastConstant_5357,axiom,(
    ~ b000000011100000001010011111(bitIndex22) )).

fof(bitBlastConstant_5356,axiom,(
    ~ b000000011100000001010011111(bitIndex21) )).

fof(bitBlastConstant_5355,axiom,(
    ~ b000000011100000001010011111(bitIndex20) )).

fof(bitBlastConstant_5354,axiom,(
    b000000011100000001010011111(bitIndex19) )).

fof(bitBlastConstant_5353,axiom,(
    b000000011100000001010011111(bitIndex18) )).

fof(bitBlastConstant_5352,axiom,(
    b000000011100000001010011111(bitIndex17) )).

fof(bitBlastConstant_5351,axiom,(
    ~ b000000011100000001010011111(bitIndex16) )).

fof(bitBlastConstant_5350,axiom,(
    ~ b000000011100000001010011111(bitIndex15) )).

fof(bitBlastConstant_5349,axiom,(
    ~ b000000011100000001010011111(bitIndex14) )).

fof(bitBlastConstant_5348,axiom,(
    ~ b000000011100000001010011111(bitIndex13) )).

fof(bitBlastConstant_5347,axiom,(
    ~ b000000011100000001010011111(bitIndex12) )).

fof(bitBlastConstant_5346,axiom,(
    ~ b000000011100000001010011111(bitIndex11) )).

fof(bitBlastConstant_5345,axiom,(
    ~ b000000011100000001010011111(bitIndex10) )).

fof(bitBlastConstant_5344,axiom,(
    b000000011100000001010011111(bitIndex9) )).

fof(bitBlastConstant_5343,axiom,(
    ~ b000000011100000001010011111(bitIndex8) )).

fof(bitBlastConstant_5342,axiom,(
    b000000011100000001010011111(bitIndex7) )).

fof(bitBlastConstant_5341,axiom,(
    ~ b000000011100000001010011111(bitIndex6) )).

fof(bitBlastConstant_5340,axiom,(
    ~ b000000011100000001010011111(bitIndex5) )).

fof(bitBlastConstant_5339,axiom,(
    b000000011100000001010011111(bitIndex4) )).

fof(bitBlastConstant_5338,axiom,(
    b000000011100000001010011111(bitIndex3) )).

fof(bitBlastConstant_5337,axiom,(
    b000000011100000001010011111(bitIndex2) )).

fof(bitBlastConstant_5336,axiom,(
    b000000011100000001010011111(bitIndex1) )).

fof(bitBlastConstant_5335,axiom,(
    b000000011100000001010011111(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_348,axiom,(
    ! [VarCurr] :
      ( v4888(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_5334,axiom,(
    ~ b000000011000000001010011111(bitIndex26) )).

fof(bitBlastConstant_5333,axiom,(
    ~ b000000011000000001010011111(bitIndex25) )).

fof(bitBlastConstant_5332,axiom,(
    ~ b000000011000000001010011111(bitIndex24) )).

fof(bitBlastConstant_5331,axiom,(
    ~ b000000011000000001010011111(bitIndex23) )).

fof(bitBlastConstant_5330,axiom,(
    ~ b000000011000000001010011111(bitIndex22) )).

fof(bitBlastConstant_5329,axiom,(
    ~ b000000011000000001010011111(bitIndex21) )).

fof(bitBlastConstant_5328,axiom,(
    ~ b000000011000000001010011111(bitIndex20) )).

fof(bitBlastConstant_5327,axiom,(
    b000000011000000001010011111(bitIndex19) )).

fof(bitBlastConstant_5326,axiom,(
    b000000011000000001010011111(bitIndex18) )).

fof(bitBlastConstant_5325,axiom,(
    ~ b000000011000000001010011111(bitIndex17) )).

fof(bitBlastConstant_5324,axiom,(
    ~ b000000011000000001010011111(bitIndex16) )).

fof(bitBlastConstant_5323,axiom,(
    ~ b000000011000000001010011111(bitIndex15) )).

fof(bitBlastConstant_5322,axiom,(
    ~ b000000011000000001010011111(bitIndex14) )).

fof(bitBlastConstant_5321,axiom,(
    ~ b000000011000000001010011111(bitIndex13) )).

fof(bitBlastConstant_5320,axiom,(
    ~ b000000011000000001010011111(bitIndex12) )).

fof(bitBlastConstant_5319,axiom,(
    ~ b000000011000000001010011111(bitIndex11) )).

fof(bitBlastConstant_5318,axiom,(
    ~ b000000011000000001010011111(bitIndex10) )).

fof(bitBlastConstant_5317,axiom,(
    b000000011000000001010011111(bitIndex9) )).

fof(bitBlastConstant_5316,axiom,(
    ~ b000000011000000001010011111(bitIndex8) )).

fof(bitBlastConstant_5315,axiom,(
    b000000011000000001010011111(bitIndex7) )).

fof(bitBlastConstant_5314,axiom,(
    ~ b000000011000000001010011111(bitIndex6) )).

fof(bitBlastConstant_5313,axiom,(
    ~ b000000011000000001010011111(bitIndex5) )).

fof(bitBlastConstant_5312,axiom,(
    b000000011000000001010011111(bitIndex4) )).

fof(bitBlastConstant_5311,axiom,(
    b000000011000000001010011111(bitIndex3) )).

fof(bitBlastConstant_5310,axiom,(
    b000000011000000001010011111(bitIndex2) )).

fof(bitBlastConstant_5309,axiom,(
    b000000011000000001010011111(bitIndex1) )).

fof(bitBlastConstant_5308,axiom,(
    b000000011000000001010011111(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_184,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4875(VarCurr)
      <=> v4879(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_185,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4875(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_105,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4879(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_136,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4879(VarCurr)
      <=> v4881(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_137,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4879(VarCurr)
      <=> v4880(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_347,axiom,(
    ! [VarCurr] :
      ( v4881(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_5307,axiom,(
    ~ b000000011100000001010011110(bitIndex26) )).

fof(bitBlastConstant_5306,axiom,(
    ~ b000000011100000001010011110(bitIndex25) )).

fof(bitBlastConstant_5305,axiom,(
    ~ b000000011100000001010011110(bitIndex24) )).

fof(bitBlastConstant_5304,axiom,(
    ~ b000000011100000001010011110(bitIndex23) )).

fof(bitBlastConstant_5303,axiom,(
    ~ b000000011100000001010011110(bitIndex22) )).

fof(bitBlastConstant_5302,axiom,(
    ~ b000000011100000001010011110(bitIndex21) )).

fof(bitBlastConstant_5301,axiom,(
    ~ b000000011100000001010011110(bitIndex20) )).

fof(bitBlastConstant_5300,axiom,(
    b000000011100000001010011110(bitIndex19) )).

fof(bitBlastConstant_5299,axiom,(
    b000000011100000001010011110(bitIndex18) )).

fof(bitBlastConstant_5298,axiom,(
    b000000011100000001010011110(bitIndex17) )).

fof(bitBlastConstant_5297,axiom,(
    ~ b000000011100000001010011110(bitIndex16) )).

fof(bitBlastConstant_5296,axiom,(
    ~ b000000011100000001010011110(bitIndex15) )).

fof(bitBlastConstant_5295,axiom,(
    ~ b000000011100000001010011110(bitIndex14) )).

fof(bitBlastConstant_5294,axiom,(
    ~ b000000011100000001010011110(bitIndex13) )).

fof(bitBlastConstant_5293,axiom,(
    ~ b000000011100000001010011110(bitIndex12) )).

fof(bitBlastConstant_5292,axiom,(
    ~ b000000011100000001010011110(bitIndex11) )).

fof(bitBlastConstant_5291,axiom,(
    ~ b000000011100000001010011110(bitIndex10) )).

fof(bitBlastConstant_5290,axiom,(
    b000000011100000001010011110(bitIndex9) )).

fof(bitBlastConstant_5289,axiom,(
    ~ b000000011100000001010011110(bitIndex8) )).

fof(bitBlastConstant_5288,axiom,(
    b000000011100000001010011110(bitIndex7) )).

fof(bitBlastConstant_5287,axiom,(
    ~ b000000011100000001010011110(bitIndex6) )).

fof(bitBlastConstant_5286,axiom,(
    ~ b000000011100000001010011110(bitIndex5) )).

fof(bitBlastConstant_5285,axiom,(
    b000000011100000001010011110(bitIndex4) )).

fof(bitBlastConstant_5284,axiom,(
    b000000011100000001010011110(bitIndex3) )).

fof(bitBlastConstant_5283,axiom,(
    b000000011100000001010011110(bitIndex2) )).

fof(bitBlastConstant_5282,axiom,(
    b000000011100000001010011110(bitIndex1) )).

fof(bitBlastConstant_5281,axiom,(
    ~ b000000011100000001010011110(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_346,axiom,(
    ! [VarCurr] :
      ( v4880(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_5280,axiom,(
    ~ b000000011000000001010011110(bitIndex26) )).

fof(bitBlastConstant_5279,axiom,(
    ~ b000000011000000001010011110(bitIndex25) )).

fof(bitBlastConstant_5278,axiom,(
    ~ b000000011000000001010011110(bitIndex24) )).

fof(bitBlastConstant_5277,axiom,(
    ~ b000000011000000001010011110(bitIndex23) )).

fof(bitBlastConstant_5276,axiom,(
    ~ b000000011000000001010011110(bitIndex22) )).

fof(bitBlastConstant_5275,axiom,(
    ~ b000000011000000001010011110(bitIndex21) )).

fof(bitBlastConstant_5274,axiom,(
    ~ b000000011000000001010011110(bitIndex20) )).

fof(bitBlastConstant_5273,axiom,(
    b000000011000000001010011110(bitIndex19) )).

fof(bitBlastConstant_5272,axiom,(
    b000000011000000001010011110(bitIndex18) )).

fof(bitBlastConstant_5271,axiom,(
    ~ b000000011000000001010011110(bitIndex17) )).

fof(bitBlastConstant_5270,axiom,(
    ~ b000000011000000001010011110(bitIndex16) )).

fof(bitBlastConstant_5269,axiom,(
    ~ b000000011000000001010011110(bitIndex15) )).

fof(bitBlastConstant_5268,axiom,(
    ~ b000000011000000001010011110(bitIndex14) )).

fof(bitBlastConstant_5267,axiom,(
    ~ b000000011000000001010011110(bitIndex13) )).

fof(bitBlastConstant_5266,axiom,(
    ~ b000000011000000001010011110(bitIndex12) )).

fof(bitBlastConstant_5265,axiom,(
    ~ b000000011000000001010011110(bitIndex11) )).

fof(bitBlastConstant_5264,axiom,(
    ~ b000000011000000001010011110(bitIndex10) )).

fof(bitBlastConstant_5263,axiom,(
    b000000011000000001010011110(bitIndex9) )).

fof(bitBlastConstant_5262,axiom,(
    ~ b000000011000000001010011110(bitIndex8) )).

fof(bitBlastConstant_5261,axiom,(
    b000000011000000001010011110(bitIndex7) )).

fof(bitBlastConstant_5260,axiom,(
    ~ b000000011000000001010011110(bitIndex6) )).

fof(bitBlastConstant_5259,axiom,(
    ~ b000000011000000001010011110(bitIndex5) )).

fof(bitBlastConstant_5258,axiom,(
    b000000011000000001010011110(bitIndex4) )).

fof(bitBlastConstant_5257,axiom,(
    b000000011000000001010011110(bitIndex3) )).

fof(bitBlastConstant_5256,axiom,(
    b000000011000000001010011110(bitIndex2) )).

fof(bitBlastConstant_5255,axiom,(
    b000000011000000001010011110(bitIndex1) )).

fof(bitBlastConstant_5254,axiom,(
    ~ b000000011000000001010011110(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_183,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4867(VarCurr)
      <=> v4871(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_184,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4867(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_104,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4871(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_135,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4871(VarCurr)
      <=> v4873(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_136,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4871(VarCurr)
      <=> v4872(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_345,axiom,(
    ! [VarCurr] :
      ( v4873(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_5253,axiom,(
    ~ b000000011100000001010011101(bitIndex26) )).

fof(bitBlastConstant_5252,axiom,(
    ~ b000000011100000001010011101(bitIndex25) )).

fof(bitBlastConstant_5251,axiom,(
    ~ b000000011100000001010011101(bitIndex24) )).

fof(bitBlastConstant_5250,axiom,(
    ~ b000000011100000001010011101(bitIndex23) )).

fof(bitBlastConstant_5249,axiom,(
    ~ b000000011100000001010011101(bitIndex22) )).

fof(bitBlastConstant_5248,axiom,(
    ~ b000000011100000001010011101(bitIndex21) )).

fof(bitBlastConstant_5247,axiom,(
    ~ b000000011100000001010011101(bitIndex20) )).

fof(bitBlastConstant_5246,axiom,(
    b000000011100000001010011101(bitIndex19) )).

fof(bitBlastConstant_5245,axiom,(
    b000000011100000001010011101(bitIndex18) )).

fof(bitBlastConstant_5244,axiom,(
    b000000011100000001010011101(bitIndex17) )).

fof(bitBlastConstant_5243,axiom,(
    ~ b000000011100000001010011101(bitIndex16) )).

fof(bitBlastConstant_5242,axiom,(
    ~ b000000011100000001010011101(bitIndex15) )).

fof(bitBlastConstant_5241,axiom,(
    ~ b000000011100000001010011101(bitIndex14) )).

fof(bitBlastConstant_5240,axiom,(
    ~ b000000011100000001010011101(bitIndex13) )).

fof(bitBlastConstant_5239,axiom,(
    ~ b000000011100000001010011101(bitIndex12) )).

fof(bitBlastConstant_5238,axiom,(
    ~ b000000011100000001010011101(bitIndex11) )).

fof(bitBlastConstant_5237,axiom,(
    ~ b000000011100000001010011101(bitIndex10) )).

fof(bitBlastConstant_5236,axiom,(
    b000000011100000001010011101(bitIndex9) )).

fof(bitBlastConstant_5235,axiom,(
    ~ b000000011100000001010011101(bitIndex8) )).

fof(bitBlastConstant_5234,axiom,(
    b000000011100000001010011101(bitIndex7) )).

fof(bitBlastConstant_5233,axiom,(
    ~ b000000011100000001010011101(bitIndex6) )).

fof(bitBlastConstant_5232,axiom,(
    ~ b000000011100000001010011101(bitIndex5) )).

fof(bitBlastConstant_5231,axiom,(
    b000000011100000001010011101(bitIndex4) )).

fof(bitBlastConstant_5230,axiom,(
    b000000011100000001010011101(bitIndex3) )).

fof(bitBlastConstant_5229,axiom,(
    b000000011100000001010011101(bitIndex2) )).

fof(bitBlastConstant_5228,axiom,(
    ~ b000000011100000001010011101(bitIndex1) )).

fof(bitBlastConstant_5227,axiom,(
    b000000011100000001010011101(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_344,axiom,(
    ! [VarCurr] :
      ( v4872(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_5226,axiom,(
    ~ b000000011000000001010011101(bitIndex26) )).

fof(bitBlastConstant_5225,axiom,(
    ~ b000000011000000001010011101(bitIndex25) )).

fof(bitBlastConstant_5224,axiom,(
    ~ b000000011000000001010011101(bitIndex24) )).

fof(bitBlastConstant_5223,axiom,(
    ~ b000000011000000001010011101(bitIndex23) )).

fof(bitBlastConstant_5222,axiom,(
    ~ b000000011000000001010011101(bitIndex22) )).

fof(bitBlastConstant_5221,axiom,(
    ~ b000000011000000001010011101(bitIndex21) )).

fof(bitBlastConstant_5220,axiom,(
    ~ b000000011000000001010011101(bitIndex20) )).

fof(bitBlastConstant_5219,axiom,(
    b000000011000000001010011101(bitIndex19) )).

fof(bitBlastConstant_5218,axiom,(
    b000000011000000001010011101(bitIndex18) )).

fof(bitBlastConstant_5217,axiom,(
    ~ b000000011000000001010011101(bitIndex17) )).

fof(bitBlastConstant_5216,axiom,(
    ~ b000000011000000001010011101(bitIndex16) )).

fof(bitBlastConstant_5215,axiom,(
    ~ b000000011000000001010011101(bitIndex15) )).

fof(bitBlastConstant_5214,axiom,(
    ~ b000000011000000001010011101(bitIndex14) )).

fof(bitBlastConstant_5213,axiom,(
    ~ b000000011000000001010011101(bitIndex13) )).

fof(bitBlastConstant_5212,axiom,(
    ~ b000000011000000001010011101(bitIndex12) )).

fof(bitBlastConstant_5211,axiom,(
    ~ b000000011000000001010011101(bitIndex11) )).

fof(bitBlastConstant_5210,axiom,(
    ~ b000000011000000001010011101(bitIndex10) )).

fof(bitBlastConstant_5209,axiom,(
    b000000011000000001010011101(bitIndex9) )).

fof(bitBlastConstant_5208,axiom,(
    ~ b000000011000000001010011101(bitIndex8) )).

fof(bitBlastConstant_5207,axiom,(
    b000000011000000001010011101(bitIndex7) )).

fof(bitBlastConstant_5206,axiom,(
    ~ b000000011000000001010011101(bitIndex6) )).

fof(bitBlastConstant_5205,axiom,(
    ~ b000000011000000001010011101(bitIndex5) )).

fof(bitBlastConstant_5204,axiom,(
    b000000011000000001010011101(bitIndex4) )).

fof(bitBlastConstant_5203,axiom,(
    b000000011000000001010011101(bitIndex3) )).

fof(bitBlastConstant_5202,axiom,(
    b000000011000000001010011101(bitIndex2) )).

fof(bitBlastConstant_5201,axiom,(
    ~ b000000011000000001010011101(bitIndex1) )).

fof(bitBlastConstant_5200,axiom,(
    b000000011000000001010011101(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_182,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4859(VarCurr)
      <=> v4863(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_183,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4859(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_103,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4863(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_134,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4863(VarCurr)
      <=> v4865(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_135,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4863(VarCurr)
      <=> v4864(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_343,axiom,(
    ! [VarCurr] :
      ( v4865(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_5199,axiom,(
    ~ b000000011100000001010011100(bitIndex26) )).

fof(bitBlastConstant_5198,axiom,(
    ~ b000000011100000001010011100(bitIndex25) )).

fof(bitBlastConstant_5197,axiom,(
    ~ b000000011100000001010011100(bitIndex24) )).

fof(bitBlastConstant_5196,axiom,(
    ~ b000000011100000001010011100(bitIndex23) )).

fof(bitBlastConstant_5195,axiom,(
    ~ b000000011100000001010011100(bitIndex22) )).

fof(bitBlastConstant_5194,axiom,(
    ~ b000000011100000001010011100(bitIndex21) )).

fof(bitBlastConstant_5193,axiom,(
    ~ b000000011100000001010011100(bitIndex20) )).

fof(bitBlastConstant_5192,axiom,(
    b000000011100000001010011100(bitIndex19) )).

fof(bitBlastConstant_5191,axiom,(
    b000000011100000001010011100(bitIndex18) )).

fof(bitBlastConstant_5190,axiom,(
    b000000011100000001010011100(bitIndex17) )).

fof(bitBlastConstant_5189,axiom,(
    ~ b000000011100000001010011100(bitIndex16) )).

fof(bitBlastConstant_5188,axiom,(
    ~ b000000011100000001010011100(bitIndex15) )).

fof(bitBlastConstant_5187,axiom,(
    ~ b000000011100000001010011100(bitIndex14) )).

fof(bitBlastConstant_5186,axiom,(
    ~ b000000011100000001010011100(bitIndex13) )).

fof(bitBlastConstant_5185,axiom,(
    ~ b000000011100000001010011100(bitIndex12) )).

fof(bitBlastConstant_5184,axiom,(
    ~ b000000011100000001010011100(bitIndex11) )).

fof(bitBlastConstant_5183,axiom,(
    ~ b000000011100000001010011100(bitIndex10) )).

fof(bitBlastConstant_5182,axiom,(
    b000000011100000001010011100(bitIndex9) )).

fof(bitBlastConstant_5181,axiom,(
    ~ b000000011100000001010011100(bitIndex8) )).

fof(bitBlastConstant_5180,axiom,(
    b000000011100000001010011100(bitIndex7) )).

fof(bitBlastConstant_5179,axiom,(
    ~ b000000011100000001010011100(bitIndex6) )).

fof(bitBlastConstant_5178,axiom,(
    ~ b000000011100000001010011100(bitIndex5) )).

fof(bitBlastConstant_5177,axiom,(
    b000000011100000001010011100(bitIndex4) )).

fof(bitBlastConstant_5176,axiom,(
    b000000011100000001010011100(bitIndex3) )).

fof(bitBlastConstant_5175,axiom,(
    b000000011100000001010011100(bitIndex2) )).

fof(bitBlastConstant_5174,axiom,(
    ~ b000000011100000001010011100(bitIndex1) )).

fof(bitBlastConstant_5173,axiom,(
    ~ b000000011100000001010011100(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_342,axiom,(
    ! [VarCurr] :
      ( v4864(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_5172,axiom,(
    ~ b000000011000000001010011100(bitIndex26) )).

fof(bitBlastConstant_5171,axiom,(
    ~ b000000011000000001010011100(bitIndex25) )).

fof(bitBlastConstant_5170,axiom,(
    ~ b000000011000000001010011100(bitIndex24) )).

fof(bitBlastConstant_5169,axiom,(
    ~ b000000011000000001010011100(bitIndex23) )).

fof(bitBlastConstant_5168,axiom,(
    ~ b000000011000000001010011100(bitIndex22) )).

fof(bitBlastConstant_5167,axiom,(
    ~ b000000011000000001010011100(bitIndex21) )).

fof(bitBlastConstant_5166,axiom,(
    ~ b000000011000000001010011100(bitIndex20) )).

fof(bitBlastConstant_5165,axiom,(
    b000000011000000001010011100(bitIndex19) )).

fof(bitBlastConstant_5164,axiom,(
    b000000011000000001010011100(bitIndex18) )).

fof(bitBlastConstant_5163,axiom,(
    ~ b000000011000000001010011100(bitIndex17) )).

fof(bitBlastConstant_5162,axiom,(
    ~ b000000011000000001010011100(bitIndex16) )).

fof(bitBlastConstant_5161,axiom,(
    ~ b000000011000000001010011100(bitIndex15) )).

fof(bitBlastConstant_5160,axiom,(
    ~ b000000011000000001010011100(bitIndex14) )).

fof(bitBlastConstant_5159,axiom,(
    ~ b000000011000000001010011100(bitIndex13) )).

fof(bitBlastConstant_5158,axiom,(
    ~ b000000011000000001010011100(bitIndex12) )).

fof(bitBlastConstant_5157,axiom,(
    ~ b000000011000000001010011100(bitIndex11) )).

fof(bitBlastConstant_5156,axiom,(
    ~ b000000011000000001010011100(bitIndex10) )).

fof(bitBlastConstant_5155,axiom,(
    b000000011000000001010011100(bitIndex9) )).

fof(bitBlastConstant_5154,axiom,(
    ~ b000000011000000001010011100(bitIndex8) )).

fof(bitBlastConstant_5153,axiom,(
    b000000011000000001010011100(bitIndex7) )).

fof(bitBlastConstant_5152,axiom,(
    ~ b000000011000000001010011100(bitIndex6) )).

fof(bitBlastConstant_5151,axiom,(
    ~ b000000011000000001010011100(bitIndex5) )).

fof(bitBlastConstant_5150,axiom,(
    b000000011000000001010011100(bitIndex4) )).

fof(bitBlastConstant_5149,axiom,(
    b000000011000000001010011100(bitIndex3) )).

fof(bitBlastConstant_5148,axiom,(
    b000000011000000001010011100(bitIndex2) )).

fof(bitBlastConstant_5147,axiom,(
    ~ b000000011000000001010011100(bitIndex1) )).

fof(bitBlastConstant_5146,axiom,(
    ~ b000000011000000001010011100(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_181,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4851(VarCurr)
      <=> v4855(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_182,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4851(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_102,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4855(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_133,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4855(VarCurr)
      <=> v4857(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_134,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4855(VarCurr)
      <=> v4856(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_341,axiom,(
    ! [VarCurr] :
      ( v4857(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_5145,axiom,(
    ~ b000000011100000001010011011(bitIndex26) )).

fof(bitBlastConstant_5144,axiom,(
    ~ b000000011100000001010011011(bitIndex25) )).

fof(bitBlastConstant_5143,axiom,(
    ~ b000000011100000001010011011(bitIndex24) )).

fof(bitBlastConstant_5142,axiom,(
    ~ b000000011100000001010011011(bitIndex23) )).

fof(bitBlastConstant_5141,axiom,(
    ~ b000000011100000001010011011(bitIndex22) )).

fof(bitBlastConstant_5140,axiom,(
    ~ b000000011100000001010011011(bitIndex21) )).

fof(bitBlastConstant_5139,axiom,(
    ~ b000000011100000001010011011(bitIndex20) )).

fof(bitBlastConstant_5138,axiom,(
    b000000011100000001010011011(bitIndex19) )).

fof(bitBlastConstant_5137,axiom,(
    b000000011100000001010011011(bitIndex18) )).

fof(bitBlastConstant_5136,axiom,(
    b000000011100000001010011011(bitIndex17) )).

fof(bitBlastConstant_5135,axiom,(
    ~ b000000011100000001010011011(bitIndex16) )).

fof(bitBlastConstant_5134,axiom,(
    ~ b000000011100000001010011011(bitIndex15) )).

fof(bitBlastConstant_5133,axiom,(
    ~ b000000011100000001010011011(bitIndex14) )).

fof(bitBlastConstant_5132,axiom,(
    ~ b000000011100000001010011011(bitIndex13) )).

fof(bitBlastConstant_5131,axiom,(
    ~ b000000011100000001010011011(bitIndex12) )).

fof(bitBlastConstant_5130,axiom,(
    ~ b000000011100000001010011011(bitIndex11) )).

fof(bitBlastConstant_5129,axiom,(
    ~ b000000011100000001010011011(bitIndex10) )).

fof(bitBlastConstant_5128,axiom,(
    b000000011100000001010011011(bitIndex9) )).

fof(bitBlastConstant_5127,axiom,(
    ~ b000000011100000001010011011(bitIndex8) )).

fof(bitBlastConstant_5126,axiom,(
    b000000011100000001010011011(bitIndex7) )).

fof(bitBlastConstant_5125,axiom,(
    ~ b000000011100000001010011011(bitIndex6) )).

fof(bitBlastConstant_5124,axiom,(
    ~ b000000011100000001010011011(bitIndex5) )).

fof(bitBlastConstant_5123,axiom,(
    b000000011100000001010011011(bitIndex4) )).

fof(bitBlastConstant_5122,axiom,(
    b000000011100000001010011011(bitIndex3) )).

fof(bitBlastConstant_5121,axiom,(
    ~ b000000011100000001010011011(bitIndex2) )).

fof(bitBlastConstant_5120,axiom,(
    b000000011100000001010011011(bitIndex1) )).

fof(bitBlastConstant_5119,axiom,(
    b000000011100000001010011011(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_340,axiom,(
    ! [VarCurr] :
      ( v4856(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_5118,axiom,(
    ~ b000000011000000001010011011(bitIndex26) )).

fof(bitBlastConstant_5117,axiom,(
    ~ b000000011000000001010011011(bitIndex25) )).

fof(bitBlastConstant_5116,axiom,(
    ~ b000000011000000001010011011(bitIndex24) )).

fof(bitBlastConstant_5115,axiom,(
    ~ b000000011000000001010011011(bitIndex23) )).

fof(bitBlastConstant_5114,axiom,(
    ~ b000000011000000001010011011(bitIndex22) )).

fof(bitBlastConstant_5113,axiom,(
    ~ b000000011000000001010011011(bitIndex21) )).

fof(bitBlastConstant_5112,axiom,(
    ~ b000000011000000001010011011(bitIndex20) )).

fof(bitBlastConstant_5111,axiom,(
    b000000011000000001010011011(bitIndex19) )).

fof(bitBlastConstant_5110,axiom,(
    b000000011000000001010011011(bitIndex18) )).

fof(bitBlastConstant_5109,axiom,(
    ~ b000000011000000001010011011(bitIndex17) )).

fof(bitBlastConstant_5108,axiom,(
    ~ b000000011000000001010011011(bitIndex16) )).

fof(bitBlastConstant_5107,axiom,(
    ~ b000000011000000001010011011(bitIndex15) )).

fof(bitBlastConstant_5106,axiom,(
    ~ b000000011000000001010011011(bitIndex14) )).

fof(bitBlastConstant_5105,axiom,(
    ~ b000000011000000001010011011(bitIndex13) )).

fof(bitBlastConstant_5104,axiom,(
    ~ b000000011000000001010011011(bitIndex12) )).

fof(bitBlastConstant_5103,axiom,(
    ~ b000000011000000001010011011(bitIndex11) )).

fof(bitBlastConstant_5102,axiom,(
    ~ b000000011000000001010011011(bitIndex10) )).

fof(bitBlastConstant_5101,axiom,(
    b000000011000000001010011011(bitIndex9) )).

fof(bitBlastConstant_5100,axiom,(
    ~ b000000011000000001010011011(bitIndex8) )).

fof(bitBlastConstant_5099,axiom,(
    b000000011000000001010011011(bitIndex7) )).

fof(bitBlastConstant_5098,axiom,(
    ~ b000000011000000001010011011(bitIndex6) )).

fof(bitBlastConstant_5097,axiom,(
    ~ b000000011000000001010011011(bitIndex5) )).

fof(bitBlastConstant_5096,axiom,(
    b000000011000000001010011011(bitIndex4) )).

fof(bitBlastConstant_5095,axiom,(
    b000000011000000001010011011(bitIndex3) )).

fof(bitBlastConstant_5094,axiom,(
    ~ b000000011000000001010011011(bitIndex2) )).

fof(bitBlastConstant_5093,axiom,(
    b000000011000000001010011011(bitIndex1) )).

fof(bitBlastConstant_5092,axiom,(
    b000000011000000001010011011(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_180,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4843(VarCurr)
      <=> v4847(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_181,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4843(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_101,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4847(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_132,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4847(VarCurr)
      <=> v4849(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_133,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4847(VarCurr)
      <=> v4848(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_339,axiom,(
    ! [VarCurr] :
      ( v4849(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_5091,axiom,(
    ~ b000000011100000001010011010(bitIndex26) )).

fof(bitBlastConstant_5090,axiom,(
    ~ b000000011100000001010011010(bitIndex25) )).

fof(bitBlastConstant_5089,axiom,(
    ~ b000000011100000001010011010(bitIndex24) )).

fof(bitBlastConstant_5088,axiom,(
    ~ b000000011100000001010011010(bitIndex23) )).

fof(bitBlastConstant_5087,axiom,(
    ~ b000000011100000001010011010(bitIndex22) )).

fof(bitBlastConstant_5086,axiom,(
    ~ b000000011100000001010011010(bitIndex21) )).

fof(bitBlastConstant_5085,axiom,(
    ~ b000000011100000001010011010(bitIndex20) )).

fof(bitBlastConstant_5084,axiom,(
    b000000011100000001010011010(bitIndex19) )).

fof(bitBlastConstant_5083,axiom,(
    b000000011100000001010011010(bitIndex18) )).

fof(bitBlastConstant_5082,axiom,(
    b000000011100000001010011010(bitIndex17) )).

fof(bitBlastConstant_5081,axiom,(
    ~ b000000011100000001010011010(bitIndex16) )).

fof(bitBlastConstant_5080,axiom,(
    ~ b000000011100000001010011010(bitIndex15) )).

fof(bitBlastConstant_5079,axiom,(
    ~ b000000011100000001010011010(bitIndex14) )).

fof(bitBlastConstant_5078,axiom,(
    ~ b000000011100000001010011010(bitIndex13) )).

fof(bitBlastConstant_5077,axiom,(
    ~ b000000011100000001010011010(bitIndex12) )).

fof(bitBlastConstant_5076,axiom,(
    ~ b000000011100000001010011010(bitIndex11) )).

fof(bitBlastConstant_5075,axiom,(
    ~ b000000011100000001010011010(bitIndex10) )).

fof(bitBlastConstant_5074,axiom,(
    b000000011100000001010011010(bitIndex9) )).

fof(bitBlastConstant_5073,axiom,(
    ~ b000000011100000001010011010(bitIndex8) )).

fof(bitBlastConstant_5072,axiom,(
    b000000011100000001010011010(bitIndex7) )).

fof(bitBlastConstant_5071,axiom,(
    ~ b000000011100000001010011010(bitIndex6) )).

fof(bitBlastConstant_5070,axiom,(
    ~ b000000011100000001010011010(bitIndex5) )).

fof(bitBlastConstant_5069,axiom,(
    b000000011100000001010011010(bitIndex4) )).

fof(bitBlastConstant_5068,axiom,(
    b000000011100000001010011010(bitIndex3) )).

fof(bitBlastConstant_5067,axiom,(
    ~ b000000011100000001010011010(bitIndex2) )).

fof(bitBlastConstant_5066,axiom,(
    b000000011100000001010011010(bitIndex1) )).

fof(bitBlastConstant_5065,axiom,(
    ~ b000000011100000001010011010(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_338,axiom,(
    ! [VarCurr] :
      ( v4848(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_5064,axiom,(
    ~ b000000011000000001010011010(bitIndex26) )).

fof(bitBlastConstant_5063,axiom,(
    ~ b000000011000000001010011010(bitIndex25) )).

fof(bitBlastConstant_5062,axiom,(
    ~ b000000011000000001010011010(bitIndex24) )).

fof(bitBlastConstant_5061,axiom,(
    ~ b000000011000000001010011010(bitIndex23) )).

fof(bitBlastConstant_5060,axiom,(
    ~ b000000011000000001010011010(bitIndex22) )).

fof(bitBlastConstant_5059,axiom,(
    ~ b000000011000000001010011010(bitIndex21) )).

fof(bitBlastConstant_5058,axiom,(
    ~ b000000011000000001010011010(bitIndex20) )).

fof(bitBlastConstant_5057,axiom,(
    b000000011000000001010011010(bitIndex19) )).

fof(bitBlastConstant_5056,axiom,(
    b000000011000000001010011010(bitIndex18) )).

fof(bitBlastConstant_5055,axiom,(
    ~ b000000011000000001010011010(bitIndex17) )).

fof(bitBlastConstant_5054,axiom,(
    ~ b000000011000000001010011010(bitIndex16) )).

fof(bitBlastConstant_5053,axiom,(
    ~ b000000011000000001010011010(bitIndex15) )).

fof(bitBlastConstant_5052,axiom,(
    ~ b000000011000000001010011010(bitIndex14) )).

fof(bitBlastConstant_5051,axiom,(
    ~ b000000011000000001010011010(bitIndex13) )).

fof(bitBlastConstant_5050,axiom,(
    ~ b000000011000000001010011010(bitIndex12) )).

fof(bitBlastConstant_5049,axiom,(
    ~ b000000011000000001010011010(bitIndex11) )).

fof(bitBlastConstant_5048,axiom,(
    ~ b000000011000000001010011010(bitIndex10) )).

fof(bitBlastConstant_5047,axiom,(
    b000000011000000001010011010(bitIndex9) )).

fof(bitBlastConstant_5046,axiom,(
    ~ b000000011000000001010011010(bitIndex8) )).

fof(bitBlastConstant_5045,axiom,(
    b000000011000000001010011010(bitIndex7) )).

fof(bitBlastConstant_5044,axiom,(
    ~ b000000011000000001010011010(bitIndex6) )).

fof(bitBlastConstant_5043,axiom,(
    ~ b000000011000000001010011010(bitIndex5) )).

fof(bitBlastConstant_5042,axiom,(
    b000000011000000001010011010(bitIndex4) )).

fof(bitBlastConstant_5041,axiom,(
    b000000011000000001010011010(bitIndex3) )).

fof(bitBlastConstant_5040,axiom,(
    ~ b000000011000000001010011010(bitIndex2) )).

fof(bitBlastConstant_5039,axiom,(
    b000000011000000001010011010(bitIndex1) )).

fof(bitBlastConstant_5038,axiom,(
    ~ b000000011000000001010011010(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_179,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4835(VarCurr)
      <=> v4839(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_180,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4835(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_100,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4839(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_131,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4839(VarCurr)
      <=> v4841(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_132,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4839(VarCurr)
      <=> v4840(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_337,axiom,(
    ! [VarCurr] :
      ( v4841(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_5037,axiom,(
    ~ b000000011100000001010011001(bitIndex26) )).

fof(bitBlastConstant_5036,axiom,(
    ~ b000000011100000001010011001(bitIndex25) )).

fof(bitBlastConstant_5035,axiom,(
    ~ b000000011100000001010011001(bitIndex24) )).

fof(bitBlastConstant_5034,axiom,(
    ~ b000000011100000001010011001(bitIndex23) )).

fof(bitBlastConstant_5033,axiom,(
    ~ b000000011100000001010011001(bitIndex22) )).

fof(bitBlastConstant_5032,axiom,(
    ~ b000000011100000001010011001(bitIndex21) )).

fof(bitBlastConstant_5031,axiom,(
    ~ b000000011100000001010011001(bitIndex20) )).

fof(bitBlastConstant_5030,axiom,(
    b000000011100000001010011001(bitIndex19) )).

fof(bitBlastConstant_5029,axiom,(
    b000000011100000001010011001(bitIndex18) )).

fof(bitBlastConstant_5028,axiom,(
    b000000011100000001010011001(bitIndex17) )).

fof(bitBlastConstant_5027,axiom,(
    ~ b000000011100000001010011001(bitIndex16) )).

fof(bitBlastConstant_5026,axiom,(
    ~ b000000011100000001010011001(bitIndex15) )).

fof(bitBlastConstant_5025,axiom,(
    ~ b000000011100000001010011001(bitIndex14) )).

fof(bitBlastConstant_5024,axiom,(
    ~ b000000011100000001010011001(bitIndex13) )).

fof(bitBlastConstant_5023,axiom,(
    ~ b000000011100000001010011001(bitIndex12) )).

fof(bitBlastConstant_5022,axiom,(
    ~ b000000011100000001010011001(bitIndex11) )).

fof(bitBlastConstant_5021,axiom,(
    ~ b000000011100000001010011001(bitIndex10) )).

fof(bitBlastConstant_5020,axiom,(
    b000000011100000001010011001(bitIndex9) )).

fof(bitBlastConstant_5019,axiom,(
    ~ b000000011100000001010011001(bitIndex8) )).

fof(bitBlastConstant_5018,axiom,(
    b000000011100000001010011001(bitIndex7) )).

fof(bitBlastConstant_5017,axiom,(
    ~ b000000011100000001010011001(bitIndex6) )).

fof(bitBlastConstant_5016,axiom,(
    ~ b000000011100000001010011001(bitIndex5) )).

fof(bitBlastConstant_5015,axiom,(
    b000000011100000001010011001(bitIndex4) )).

fof(bitBlastConstant_5014,axiom,(
    b000000011100000001010011001(bitIndex3) )).

fof(bitBlastConstant_5013,axiom,(
    ~ b000000011100000001010011001(bitIndex2) )).

fof(bitBlastConstant_5012,axiom,(
    ~ b000000011100000001010011001(bitIndex1) )).

fof(bitBlastConstant_5011,axiom,(
    b000000011100000001010011001(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_336,axiom,(
    ! [VarCurr] :
      ( v4840(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_5010,axiom,(
    ~ b000000011000000001010011001(bitIndex26) )).

fof(bitBlastConstant_5009,axiom,(
    ~ b000000011000000001010011001(bitIndex25) )).

fof(bitBlastConstant_5008,axiom,(
    ~ b000000011000000001010011001(bitIndex24) )).

fof(bitBlastConstant_5007,axiom,(
    ~ b000000011000000001010011001(bitIndex23) )).

fof(bitBlastConstant_5006,axiom,(
    ~ b000000011000000001010011001(bitIndex22) )).

fof(bitBlastConstant_5005,axiom,(
    ~ b000000011000000001010011001(bitIndex21) )).

fof(bitBlastConstant_5004,axiom,(
    ~ b000000011000000001010011001(bitIndex20) )).

fof(bitBlastConstant_5003,axiom,(
    b000000011000000001010011001(bitIndex19) )).

fof(bitBlastConstant_5002,axiom,(
    b000000011000000001010011001(bitIndex18) )).

fof(bitBlastConstant_5001,axiom,(
    ~ b000000011000000001010011001(bitIndex17) )).

fof(bitBlastConstant_5000,axiom,(
    ~ b000000011000000001010011001(bitIndex16) )).

fof(bitBlastConstant_4999,axiom,(
    ~ b000000011000000001010011001(bitIndex15) )).

fof(bitBlastConstant_4998,axiom,(
    ~ b000000011000000001010011001(bitIndex14) )).

fof(bitBlastConstant_4997,axiom,(
    ~ b000000011000000001010011001(bitIndex13) )).

fof(bitBlastConstant_4996,axiom,(
    ~ b000000011000000001010011001(bitIndex12) )).

fof(bitBlastConstant_4995,axiom,(
    ~ b000000011000000001010011001(bitIndex11) )).

fof(bitBlastConstant_4994,axiom,(
    ~ b000000011000000001010011001(bitIndex10) )).

fof(bitBlastConstant_4993,axiom,(
    b000000011000000001010011001(bitIndex9) )).

fof(bitBlastConstant_4992,axiom,(
    ~ b000000011000000001010011001(bitIndex8) )).

fof(bitBlastConstant_4991,axiom,(
    b000000011000000001010011001(bitIndex7) )).

fof(bitBlastConstant_4990,axiom,(
    ~ b000000011000000001010011001(bitIndex6) )).

fof(bitBlastConstant_4989,axiom,(
    ~ b000000011000000001010011001(bitIndex5) )).

fof(bitBlastConstant_4988,axiom,(
    b000000011000000001010011001(bitIndex4) )).

fof(bitBlastConstant_4987,axiom,(
    b000000011000000001010011001(bitIndex3) )).

fof(bitBlastConstant_4986,axiom,(
    ~ b000000011000000001010011001(bitIndex2) )).

fof(bitBlastConstant_4985,axiom,(
    ~ b000000011000000001010011001(bitIndex1) )).

fof(bitBlastConstant_4984,axiom,(
    b000000011000000001010011001(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_178,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4827(VarCurr)
      <=> v4831(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_179,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4827(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_99,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4831(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_130,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4831(VarCurr)
      <=> v4833(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_131,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4831(VarCurr)
      <=> v4832(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_335,axiom,(
    ! [VarCurr] :
      ( v4833(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_4983,axiom,(
    ~ b000000011100000001010011000(bitIndex26) )).

fof(bitBlastConstant_4982,axiom,(
    ~ b000000011100000001010011000(bitIndex25) )).

fof(bitBlastConstant_4981,axiom,(
    ~ b000000011100000001010011000(bitIndex24) )).

fof(bitBlastConstant_4980,axiom,(
    ~ b000000011100000001010011000(bitIndex23) )).

fof(bitBlastConstant_4979,axiom,(
    ~ b000000011100000001010011000(bitIndex22) )).

fof(bitBlastConstant_4978,axiom,(
    ~ b000000011100000001010011000(bitIndex21) )).

fof(bitBlastConstant_4977,axiom,(
    ~ b000000011100000001010011000(bitIndex20) )).

fof(bitBlastConstant_4976,axiom,(
    b000000011100000001010011000(bitIndex19) )).

fof(bitBlastConstant_4975,axiom,(
    b000000011100000001010011000(bitIndex18) )).

fof(bitBlastConstant_4974,axiom,(
    b000000011100000001010011000(bitIndex17) )).

fof(bitBlastConstant_4973,axiom,(
    ~ b000000011100000001010011000(bitIndex16) )).

fof(bitBlastConstant_4972,axiom,(
    ~ b000000011100000001010011000(bitIndex15) )).

fof(bitBlastConstant_4971,axiom,(
    ~ b000000011100000001010011000(bitIndex14) )).

fof(bitBlastConstant_4970,axiom,(
    ~ b000000011100000001010011000(bitIndex13) )).

fof(bitBlastConstant_4969,axiom,(
    ~ b000000011100000001010011000(bitIndex12) )).

fof(bitBlastConstant_4968,axiom,(
    ~ b000000011100000001010011000(bitIndex11) )).

fof(bitBlastConstant_4967,axiom,(
    ~ b000000011100000001010011000(bitIndex10) )).

fof(bitBlastConstant_4966,axiom,(
    b000000011100000001010011000(bitIndex9) )).

fof(bitBlastConstant_4965,axiom,(
    ~ b000000011100000001010011000(bitIndex8) )).

fof(bitBlastConstant_4964,axiom,(
    b000000011100000001010011000(bitIndex7) )).

fof(bitBlastConstant_4963,axiom,(
    ~ b000000011100000001010011000(bitIndex6) )).

fof(bitBlastConstant_4962,axiom,(
    ~ b000000011100000001010011000(bitIndex5) )).

fof(bitBlastConstant_4961,axiom,(
    b000000011100000001010011000(bitIndex4) )).

fof(bitBlastConstant_4960,axiom,(
    b000000011100000001010011000(bitIndex3) )).

fof(bitBlastConstant_4959,axiom,(
    ~ b000000011100000001010011000(bitIndex2) )).

fof(bitBlastConstant_4958,axiom,(
    ~ b000000011100000001010011000(bitIndex1) )).

fof(bitBlastConstant_4957,axiom,(
    ~ b000000011100000001010011000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_334,axiom,(
    ! [VarCurr] :
      ( v4832(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_4956,axiom,(
    ~ b000000011000000001010011000(bitIndex26) )).

fof(bitBlastConstant_4955,axiom,(
    ~ b000000011000000001010011000(bitIndex25) )).

fof(bitBlastConstant_4954,axiom,(
    ~ b000000011000000001010011000(bitIndex24) )).

fof(bitBlastConstant_4953,axiom,(
    ~ b000000011000000001010011000(bitIndex23) )).

fof(bitBlastConstant_4952,axiom,(
    ~ b000000011000000001010011000(bitIndex22) )).

fof(bitBlastConstant_4951,axiom,(
    ~ b000000011000000001010011000(bitIndex21) )).

fof(bitBlastConstant_4950,axiom,(
    ~ b000000011000000001010011000(bitIndex20) )).

fof(bitBlastConstant_4949,axiom,(
    b000000011000000001010011000(bitIndex19) )).

fof(bitBlastConstant_4948,axiom,(
    b000000011000000001010011000(bitIndex18) )).

fof(bitBlastConstant_4947,axiom,(
    ~ b000000011000000001010011000(bitIndex17) )).

fof(bitBlastConstant_4946,axiom,(
    ~ b000000011000000001010011000(bitIndex16) )).

fof(bitBlastConstant_4945,axiom,(
    ~ b000000011000000001010011000(bitIndex15) )).

fof(bitBlastConstant_4944,axiom,(
    ~ b000000011000000001010011000(bitIndex14) )).

fof(bitBlastConstant_4943,axiom,(
    ~ b000000011000000001010011000(bitIndex13) )).

fof(bitBlastConstant_4942,axiom,(
    ~ b000000011000000001010011000(bitIndex12) )).

fof(bitBlastConstant_4941,axiom,(
    ~ b000000011000000001010011000(bitIndex11) )).

fof(bitBlastConstant_4940,axiom,(
    ~ b000000011000000001010011000(bitIndex10) )).

fof(bitBlastConstant_4939,axiom,(
    b000000011000000001010011000(bitIndex9) )).

fof(bitBlastConstant_4938,axiom,(
    ~ b000000011000000001010011000(bitIndex8) )).

fof(bitBlastConstant_4937,axiom,(
    b000000011000000001010011000(bitIndex7) )).

fof(bitBlastConstant_4936,axiom,(
    ~ b000000011000000001010011000(bitIndex6) )).

fof(bitBlastConstant_4935,axiom,(
    ~ b000000011000000001010011000(bitIndex5) )).

fof(bitBlastConstant_4934,axiom,(
    b000000011000000001010011000(bitIndex4) )).

fof(bitBlastConstant_4933,axiom,(
    b000000011000000001010011000(bitIndex3) )).

fof(bitBlastConstant_4932,axiom,(
    ~ b000000011000000001010011000(bitIndex2) )).

fof(bitBlastConstant_4931,axiom,(
    ~ b000000011000000001010011000(bitIndex1) )).

fof(bitBlastConstant_4930,axiom,(
    ~ b000000011000000001010011000(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_177,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4819(VarCurr)
      <=> v4823(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_178,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4819(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_98,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4823(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_129,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4823(VarCurr)
      <=> v4825(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_130,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4823(VarCurr)
      <=> v4824(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_333,axiom,(
    ! [VarCurr] :
      ( v4825(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_4929,axiom,(
    ~ b000000011100000001010010111(bitIndex26) )).

fof(bitBlastConstant_4928,axiom,(
    ~ b000000011100000001010010111(bitIndex25) )).

fof(bitBlastConstant_4927,axiom,(
    ~ b000000011100000001010010111(bitIndex24) )).

fof(bitBlastConstant_4926,axiom,(
    ~ b000000011100000001010010111(bitIndex23) )).

fof(bitBlastConstant_4925,axiom,(
    ~ b000000011100000001010010111(bitIndex22) )).

fof(bitBlastConstant_4924,axiom,(
    ~ b000000011100000001010010111(bitIndex21) )).

fof(bitBlastConstant_4923,axiom,(
    ~ b000000011100000001010010111(bitIndex20) )).

fof(bitBlastConstant_4922,axiom,(
    b000000011100000001010010111(bitIndex19) )).

fof(bitBlastConstant_4921,axiom,(
    b000000011100000001010010111(bitIndex18) )).

fof(bitBlastConstant_4920,axiom,(
    b000000011100000001010010111(bitIndex17) )).

fof(bitBlastConstant_4919,axiom,(
    ~ b000000011100000001010010111(bitIndex16) )).

fof(bitBlastConstant_4918,axiom,(
    ~ b000000011100000001010010111(bitIndex15) )).

fof(bitBlastConstant_4917,axiom,(
    ~ b000000011100000001010010111(bitIndex14) )).

fof(bitBlastConstant_4916,axiom,(
    ~ b000000011100000001010010111(bitIndex13) )).

fof(bitBlastConstant_4915,axiom,(
    ~ b000000011100000001010010111(bitIndex12) )).

fof(bitBlastConstant_4914,axiom,(
    ~ b000000011100000001010010111(bitIndex11) )).

fof(bitBlastConstant_4913,axiom,(
    ~ b000000011100000001010010111(bitIndex10) )).

fof(bitBlastConstant_4912,axiom,(
    b000000011100000001010010111(bitIndex9) )).

fof(bitBlastConstant_4911,axiom,(
    ~ b000000011100000001010010111(bitIndex8) )).

fof(bitBlastConstant_4910,axiom,(
    b000000011100000001010010111(bitIndex7) )).

fof(bitBlastConstant_4909,axiom,(
    ~ b000000011100000001010010111(bitIndex6) )).

fof(bitBlastConstant_4908,axiom,(
    ~ b000000011100000001010010111(bitIndex5) )).

fof(bitBlastConstant_4907,axiom,(
    b000000011100000001010010111(bitIndex4) )).

fof(bitBlastConstant_4906,axiom,(
    ~ b000000011100000001010010111(bitIndex3) )).

fof(bitBlastConstant_4905,axiom,(
    b000000011100000001010010111(bitIndex2) )).

fof(bitBlastConstant_4904,axiom,(
    b000000011100000001010010111(bitIndex1) )).

fof(bitBlastConstant_4903,axiom,(
    b000000011100000001010010111(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_332,axiom,(
    ! [VarCurr] :
      ( v4824(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_4902,axiom,(
    ~ b000000011000000001010010111(bitIndex26) )).

fof(bitBlastConstant_4901,axiom,(
    ~ b000000011000000001010010111(bitIndex25) )).

fof(bitBlastConstant_4900,axiom,(
    ~ b000000011000000001010010111(bitIndex24) )).

fof(bitBlastConstant_4899,axiom,(
    ~ b000000011000000001010010111(bitIndex23) )).

fof(bitBlastConstant_4898,axiom,(
    ~ b000000011000000001010010111(bitIndex22) )).

fof(bitBlastConstant_4897,axiom,(
    ~ b000000011000000001010010111(bitIndex21) )).

fof(bitBlastConstant_4896,axiom,(
    ~ b000000011000000001010010111(bitIndex20) )).

fof(bitBlastConstant_4895,axiom,(
    b000000011000000001010010111(bitIndex19) )).

fof(bitBlastConstant_4894,axiom,(
    b000000011000000001010010111(bitIndex18) )).

fof(bitBlastConstant_4893,axiom,(
    ~ b000000011000000001010010111(bitIndex17) )).

fof(bitBlastConstant_4892,axiom,(
    ~ b000000011000000001010010111(bitIndex16) )).

fof(bitBlastConstant_4891,axiom,(
    ~ b000000011000000001010010111(bitIndex15) )).

fof(bitBlastConstant_4890,axiom,(
    ~ b000000011000000001010010111(bitIndex14) )).

fof(bitBlastConstant_4889,axiom,(
    ~ b000000011000000001010010111(bitIndex13) )).

fof(bitBlastConstant_4888,axiom,(
    ~ b000000011000000001010010111(bitIndex12) )).

fof(bitBlastConstant_4887,axiom,(
    ~ b000000011000000001010010111(bitIndex11) )).

fof(bitBlastConstant_4886,axiom,(
    ~ b000000011000000001010010111(bitIndex10) )).

fof(bitBlastConstant_4885,axiom,(
    b000000011000000001010010111(bitIndex9) )).

fof(bitBlastConstant_4884,axiom,(
    ~ b000000011000000001010010111(bitIndex8) )).

fof(bitBlastConstant_4883,axiom,(
    b000000011000000001010010111(bitIndex7) )).

fof(bitBlastConstant_4882,axiom,(
    ~ b000000011000000001010010111(bitIndex6) )).

fof(bitBlastConstant_4881,axiom,(
    ~ b000000011000000001010010111(bitIndex5) )).

fof(bitBlastConstant_4880,axiom,(
    b000000011000000001010010111(bitIndex4) )).

fof(bitBlastConstant_4879,axiom,(
    ~ b000000011000000001010010111(bitIndex3) )).

fof(bitBlastConstant_4878,axiom,(
    b000000011000000001010010111(bitIndex2) )).

fof(bitBlastConstant_4877,axiom,(
    b000000011000000001010010111(bitIndex1) )).

fof(bitBlastConstant_4876,axiom,(
    b000000011000000001010010111(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_176,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4811(VarCurr)
      <=> v4815(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_177,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4811(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_97,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4815(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_128,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4815(VarCurr)
      <=> v4817(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_129,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4815(VarCurr)
      <=> v4816(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_331,axiom,(
    ! [VarCurr] :
      ( v4817(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_4875,axiom,(
    ~ b000000011100000001010010110(bitIndex26) )).

fof(bitBlastConstant_4874,axiom,(
    ~ b000000011100000001010010110(bitIndex25) )).

fof(bitBlastConstant_4873,axiom,(
    ~ b000000011100000001010010110(bitIndex24) )).

fof(bitBlastConstant_4872,axiom,(
    ~ b000000011100000001010010110(bitIndex23) )).

fof(bitBlastConstant_4871,axiom,(
    ~ b000000011100000001010010110(bitIndex22) )).

fof(bitBlastConstant_4870,axiom,(
    ~ b000000011100000001010010110(bitIndex21) )).

fof(bitBlastConstant_4869,axiom,(
    ~ b000000011100000001010010110(bitIndex20) )).

fof(bitBlastConstant_4868,axiom,(
    b000000011100000001010010110(bitIndex19) )).

fof(bitBlastConstant_4867,axiom,(
    b000000011100000001010010110(bitIndex18) )).

fof(bitBlastConstant_4866,axiom,(
    b000000011100000001010010110(bitIndex17) )).

fof(bitBlastConstant_4865,axiom,(
    ~ b000000011100000001010010110(bitIndex16) )).

fof(bitBlastConstant_4864,axiom,(
    ~ b000000011100000001010010110(bitIndex15) )).

fof(bitBlastConstant_4863,axiom,(
    ~ b000000011100000001010010110(bitIndex14) )).

fof(bitBlastConstant_4862,axiom,(
    ~ b000000011100000001010010110(bitIndex13) )).

fof(bitBlastConstant_4861,axiom,(
    ~ b000000011100000001010010110(bitIndex12) )).

fof(bitBlastConstant_4860,axiom,(
    ~ b000000011100000001010010110(bitIndex11) )).

fof(bitBlastConstant_4859,axiom,(
    ~ b000000011100000001010010110(bitIndex10) )).

fof(bitBlastConstant_4858,axiom,(
    b000000011100000001010010110(bitIndex9) )).

fof(bitBlastConstant_4857,axiom,(
    ~ b000000011100000001010010110(bitIndex8) )).

fof(bitBlastConstant_4856,axiom,(
    b000000011100000001010010110(bitIndex7) )).

fof(bitBlastConstant_4855,axiom,(
    ~ b000000011100000001010010110(bitIndex6) )).

fof(bitBlastConstant_4854,axiom,(
    ~ b000000011100000001010010110(bitIndex5) )).

fof(bitBlastConstant_4853,axiom,(
    b000000011100000001010010110(bitIndex4) )).

fof(bitBlastConstant_4852,axiom,(
    ~ b000000011100000001010010110(bitIndex3) )).

fof(bitBlastConstant_4851,axiom,(
    b000000011100000001010010110(bitIndex2) )).

fof(bitBlastConstant_4850,axiom,(
    b000000011100000001010010110(bitIndex1) )).

fof(bitBlastConstant_4849,axiom,(
    ~ b000000011100000001010010110(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_330,axiom,(
    ! [VarCurr] :
      ( v4816(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_4848,axiom,(
    ~ b000000011000000001010010110(bitIndex26) )).

fof(bitBlastConstant_4847,axiom,(
    ~ b000000011000000001010010110(bitIndex25) )).

fof(bitBlastConstant_4846,axiom,(
    ~ b000000011000000001010010110(bitIndex24) )).

fof(bitBlastConstant_4845,axiom,(
    ~ b000000011000000001010010110(bitIndex23) )).

fof(bitBlastConstant_4844,axiom,(
    ~ b000000011000000001010010110(bitIndex22) )).

fof(bitBlastConstant_4843,axiom,(
    ~ b000000011000000001010010110(bitIndex21) )).

fof(bitBlastConstant_4842,axiom,(
    ~ b000000011000000001010010110(bitIndex20) )).

fof(bitBlastConstant_4841,axiom,(
    b000000011000000001010010110(bitIndex19) )).

fof(bitBlastConstant_4840,axiom,(
    b000000011000000001010010110(bitIndex18) )).

fof(bitBlastConstant_4839,axiom,(
    ~ b000000011000000001010010110(bitIndex17) )).

fof(bitBlastConstant_4838,axiom,(
    ~ b000000011000000001010010110(bitIndex16) )).

fof(bitBlastConstant_4837,axiom,(
    ~ b000000011000000001010010110(bitIndex15) )).

fof(bitBlastConstant_4836,axiom,(
    ~ b000000011000000001010010110(bitIndex14) )).

fof(bitBlastConstant_4835,axiom,(
    ~ b000000011000000001010010110(bitIndex13) )).

fof(bitBlastConstant_4834,axiom,(
    ~ b000000011000000001010010110(bitIndex12) )).

fof(bitBlastConstant_4833,axiom,(
    ~ b000000011000000001010010110(bitIndex11) )).

fof(bitBlastConstant_4832,axiom,(
    ~ b000000011000000001010010110(bitIndex10) )).

fof(bitBlastConstant_4831,axiom,(
    b000000011000000001010010110(bitIndex9) )).

fof(bitBlastConstant_4830,axiom,(
    ~ b000000011000000001010010110(bitIndex8) )).

fof(bitBlastConstant_4829,axiom,(
    b000000011000000001010010110(bitIndex7) )).

fof(bitBlastConstant_4828,axiom,(
    ~ b000000011000000001010010110(bitIndex6) )).

fof(bitBlastConstant_4827,axiom,(
    ~ b000000011000000001010010110(bitIndex5) )).

fof(bitBlastConstant_4826,axiom,(
    b000000011000000001010010110(bitIndex4) )).

fof(bitBlastConstant_4825,axiom,(
    ~ b000000011000000001010010110(bitIndex3) )).

fof(bitBlastConstant_4824,axiom,(
    b000000011000000001010010110(bitIndex2) )).

fof(bitBlastConstant_4823,axiom,(
    b000000011000000001010010110(bitIndex1) )).

fof(bitBlastConstant_4822,axiom,(
    ~ b000000011000000001010010110(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_175,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4803(VarCurr)
      <=> v4807(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_176,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4803(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_96,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4807(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_127,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4807(VarCurr)
      <=> v4809(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_128,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4807(VarCurr)
      <=> v4808(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_329,axiom,(
    ! [VarCurr] :
      ( v4809(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_4821,axiom,(
    ~ b000000011100000001010010101(bitIndex26) )).

fof(bitBlastConstant_4820,axiom,(
    ~ b000000011100000001010010101(bitIndex25) )).

fof(bitBlastConstant_4819,axiom,(
    ~ b000000011100000001010010101(bitIndex24) )).

fof(bitBlastConstant_4818,axiom,(
    ~ b000000011100000001010010101(bitIndex23) )).

fof(bitBlastConstant_4817,axiom,(
    ~ b000000011100000001010010101(bitIndex22) )).

fof(bitBlastConstant_4816,axiom,(
    ~ b000000011100000001010010101(bitIndex21) )).

fof(bitBlastConstant_4815,axiom,(
    ~ b000000011100000001010010101(bitIndex20) )).

fof(bitBlastConstant_4814,axiom,(
    b000000011100000001010010101(bitIndex19) )).

fof(bitBlastConstant_4813,axiom,(
    b000000011100000001010010101(bitIndex18) )).

fof(bitBlastConstant_4812,axiom,(
    b000000011100000001010010101(bitIndex17) )).

fof(bitBlastConstant_4811,axiom,(
    ~ b000000011100000001010010101(bitIndex16) )).

fof(bitBlastConstant_4810,axiom,(
    ~ b000000011100000001010010101(bitIndex15) )).

fof(bitBlastConstant_4809,axiom,(
    ~ b000000011100000001010010101(bitIndex14) )).

fof(bitBlastConstant_4808,axiom,(
    ~ b000000011100000001010010101(bitIndex13) )).

fof(bitBlastConstant_4807,axiom,(
    ~ b000000011100000001010010101(bitIndex12) )).

fof(bitBlastConstant_4806,axiom,(
    ~ b000000011100000001010010101(bitIndex11) )).

fof(bitBlastConstant_4805,axiom,(
    ~ b000000011100000001010010101(bitIndex10) )).

fof(bitBlastConstant_4804,axiom,(
    b000000011100000001010010101(bitIndex9) )).

fof(bitBlastConstant_4803,axiom,(
    ~ b000000011100000001010010101(bitIndex8) )).

fof(bitBlastConstant_4802,axiom,(
    b000000011100000001010010101(bitIndex7) )).

fof(bitBlastConstant_4801,axiom,(
    ~ b000000011100000001010010101(bitIndex6) )).

fof(bitBlastConstant_4800,axiom,(
    ~ b000000011100000001010010101(bitIndex5) )).

fof(bitBlastConstant_4799,axiom,(
    b000000011100000001010010101(bitIndex4) )).

fof(bitBlastConstant_4798,axiom,(
    ~ b000000011100000001010010101(bitIndex3) )).

fof(bitBlastConstant_4797,axiom,(
    b000000011100000001010010101(bitIndex2) )).

fof(bitBlastConstant_4796,axiom,(
    ~ b000000011100000001010010101(bitIndex1) )).

fof(bitBlastConstant_4795,axiom,(
    b000000011100000001010010101(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_328,axiom,(
    ! [VarCurr] :
      ( v4808(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_4794,axiom,(
    ~ b000000011000000001010010101(bitIndex26) )).

fof(bitBlastConstant_4793,axiom,(
    ~ b000000011000000001010010101(bitIndex25) )).

fof(bitBlastConstant_4792,axiom,(
    ~ b000000011000000001010010101(bitIndex24) )).

fof(bitBlastConstant_4791,axiom,(
    ~ b000000011000000001010010101(bitIndex23) )).

fof(bitBlastConstant_4790,axiom,(
    ~ b000000011000000001010010101(bitIndex22) )).

fof(bitBlastConstant_4789,axiom,(
    ~ b000000011000000001010010101(bitIndex21) )).

fof(bitBlastConstant_4788,axiom,(
    ~ b000000011000000001010010101(bitIndex20) )).

fof(bitBlastConstant_4787,axiom,(
    b000000011000000001010010101(bitIndex19) )).

fof(bitBlastConstant_4786,axiom,(
    b000000011000000001010010101(bitIndex18) )).

fof(bitBlastConstant_4785,axiom,(
    ~ b000000011000000001010010101(bitIndex17) )).

fof(bitBlastConstant_4784,axiom,(
    ~ b000000011000000001010010101(bitIndex16) )).

fof(bitBlastConstant_4783,axiom,(
    ~ b000000011000000001010010101(bitIndex15) )).

fof(bitBlastConstant_4782,axiom,(
    ~ b000000011000000001010010101(bitIndex14) )).

fof(bitBlastConstant_4781,axiom,(
    ~ b000000011000000001010010101(bitIndex13) )).

fof(bitBlastConstant_4780,axiom,(
    ~ b000000011000000001010010101(bitIndex12) )).

fof(bitBlastConstant_4779,axiom,(
    ~ b000000011000000001010010101(bitIndex11) )).

fof(bitBlastConstant_4778,axiom,(
    ~ b000000011000000001010010101(bitIndex10) )).

fof(bitBlastConstant_4777,axiom,(
    b000000011000000001010010101(bitIndex9) )).

fof(bitBlastConstant_4776,axiom,(
    ~ b000000011000000001010010101(bitIndex8) )).

fof(bitBlastConstant_4775,axiom,(
    b000000011000000001010010101(bitIndex7) )).

fof(bitBlastConstant_4774,axiom,(
    ~ b000000011000000001010010101(bitIndex6) )).

fof(bitBlastConstant_4773,axiom,(
    ~ b000000011000000001010010101(bitIndex5) )).

fof(bitBlastConstant_4772,axiom,(
    b000000011000000001010010101(bitIndex4) )).

fof(bitBlastConstant_4771,axiom,(
    ~ b000000011000000001010010101(bitIndex3) )).

fof(bitBlastConstant_4770,axiom,(
    b000000011000000001010010101(bitIndex2) )).

fof(bitBlastConstant_4769,axiom,(
    ~ b000000011000000001010010101(bitIndex1) )).

fof(bitBlastConstant_4768,axiom,(
    b000000011000000001010010101(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_174,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4795(VarCurr)
      <=> v4799(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_175,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4795(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_95,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4799(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_126,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4799(VarCurr)
      <=> v4801(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_127,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4799(VarCurr)
      <=> v4800(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_327,axiom,(
    ! [VarCurr] :
      ( v4801(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_4767,axiom,(
    ~ b000000011100000001010010100(bitIndex26) )).

fof(bitBlastConstant_4766,axiom,(
    ~ b000000011100000001010010100(bitIndex25) )).

fof(bitBlastConstant_4765,axiom,(
    ~ b000000011100000001010010100(bitIndex24) )).

fof(bitBlastConstant_4764,axiom,(
    ~ b000000011100000001010010100(bitIndex23) )).

fof(bitBlastConstant_4763,axiom,(
    ~ b000000011100000001010010100(bitIndex22) )).

fof(bitBlastConstant_4762,axiom,(
    ~ b000000011100000001010010100(bitIndex21) )).

fof(bitBlastConstant_4761,axiom,(
    ~ b000000011100000001010010100(bitIndex20) )).

fof(bitBlastConstant_4760,axiom,(
    b000000011100000001010010100(bitIndex19) )).

fof(bitBlastConstant_4759,axiom,(
    b000000011100000001010010100(bitIndex18) )).

fof(bitBlastConstant_4758,axiom,(
    b000000011100000001010010100(bitIndex17) )).

fof(bitBlastConstant_4757,axiom,(
    ~ b000000011100000001010010100(bitIndex16) )).

fof(bitBlastConstant_4756,axiom,(
    ~ b000000011100000001010010100(bitIndex15) )).

fof(bitBlastConstant_4755,axiom,(
    ~ b000000011100000001010010100(bitIndex14) )).

fof(bitBlastConstant_4754,axiom,(
    ~ b000000011100000001010010100(bitIndex13) )).

fof(bitBlastConstant_4753,axiom,(
    ~ b000000011100000001010010100(bitIndex12) )).

fof(bitBlastConstant_4752,axiom,(
    ~ b000000011100000001010010100(bitIndex11) )).

fof(bitBlastConstant_4751,axiom,(
    ~ b000000011100000001010010100(bitIndex10) )).

fof(bitBlastConstant_4750,axiom,(
    b000000011100000001010010100(bitIndex9) )).

fof(bitBlastConstant_4749,axiom,(
    ~ b000000011100000001010010100(bitIndex8) )).

fof(bitBlastConstant_4748,axiom,(
    b000000011100000001010010100(bitIndex7) )).

fof(bitBlastConstant_4747,axiom,(
    ~ b000000011100000001010010100(bitIndex6) )).

fof(bitBlastConstant_4746,axiom,(
    ~ b000000011100000001010010100(bitIndex5) )).

fof(bitBlastConstant_4745,axiom,(
    b000000011100000001010010100(bitIndex4) )).

fof(bitBlastConstant_4744,axiom,(
    ~ b000000011100000001010010100(bitIndex3) )).

fof(bitBlastConstant_4743,axiom,(
    b000000011100000001010010100(bitIndex2) )).

fof(bitBlastConstant_4742,axiom,(
    ~ b000000011100000001010010100(bitIndex1) )).

fof(bitBlastConstant_4741,axiom,(
    ~ b000000011100000001010010100(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_326,axiom,(
    ! [VarCurr] :
      ( v4800(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $true )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_4740,axiom,(
    ~ b000000011000000001010010100(bitIndex26) )).

fof(bitBlastConstant_4739,axiom,(
    ~ b000000011000000001010010100(bitIndex25) )).

fof(bitBlastConstant_4738,axiom,(
    ~ b000000011000000001010010100(bitIndex24) )).

fof(bitBlastConstant_4737,axiom,(
    ~ b000000011000000001010010100(bitIndex23) )).

fof(bitBlastConstant_4736,axiom,(
    ~ b000000011000000001010010100(bitIndex22) )).

fof(bitBlastConstant_4735,axiom,(
    ~ b000000011000000001010010100(bitIndex21) )).

fof(bitBlastConstant_4734,axiom,(
    ~ b000000011000000001010010100(bitIndex20) )).

fof(bitBlastConstant_4733,axiom,(
    b000000011000000001010010100(bitIndex19) )).

fof(bitBlastConstant_4732,axiom,(
    b000000011000000001010010100(bitIndex18) )).

fof(bitBlastConstant_4731,axiom,(
    ~ b000000011000000001010010100(bitIndex17) )).

fof(bitBlastConstant_4730,axiom,(
    ~ b000000011000000001010010100(bitIndex16) )).

fof(bitBlastConstant_4729,axiom,(
    ~ b000000011000000001010010100(bitIndex15) )).

fof(bitBlastConstant_4728,axiom,(
    ~ b000000011000000001010010100(bitIndex14) )).

fof(bitBlastConstant_4727,axiom,(
    ~ b000000011000000001010010100(bitIndex13) )).

fof(bitBlastConstant_4726,axiom,(
    ~ b000000011000000001010010100(bitIndex12) )).

fof(bitBlastConstant_4725,axiom,(
    ~ b000000011000000001010010100(bitIndex11) )).

fof(bitBlastConstant_4724,axiom,(
    ~ b000000011000000001010010100(bitIndex10) )).

fof(bitBlastConstant_4723,axiom,(
    b000000011000000001010010100(bitIndex9) )).

fof(bitBlastConstant_4722,axiom,(
    ~ b000000011000000001010010100(bitIndex8) )).

fof(bitBlastConstant_4721,axiom,(
    b000000011000000001010010100(bitIndex7) )).

fof(bitBlastConstant_4720,axiom,(
    ~ b000000011000000001010010100(bitIndex6) )).

fof(bitBlastConstant_4719,axiom,(
    ~ b000000011000000001010010100(bitIndex5) )).

fof(bitBlastConstant_4718,axiom,(
    b000000011000000001010010100(bitIndex4) )).

fof(bitBlastConstant_4717,axiom,(
    ~ b000000011000000001010010100(bitIndex3) )).

fof(bitBlastConstant_4716,axiom,(
    b000000011000000001010010100(bitIndex2) )).

fof(bitBlastConstant_4715,axiom,(
    ~ b000000011000000001010010100(bitIndex1) )).

fof(bitBlastConstant_4714,axiom,(
    ~ b000000011000000001010010100(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_173,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4787(VarCurr)
      <=> v4791(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_174,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4787(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_94,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4791(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_125,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4791(VarCurr)
      <=> v4793(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_126,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4791(VarCurr)
      <=> v4792(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_325,axiom,(
    ! [VarCurr] :
      ( v4793(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_4713,axiom,(
    ~ b000000011100000001000111111(bitIndex26) )).

fof(bitBlastConstant_4712,axiom,(
    ~ b000000011100000001000111111(bitIndex25) )).

fof(bitBlastConstant_4711,axiom,(
    ~ b000000011100000001000111111(bitIndex24) )).

fof(bitBlastConstant_4710,axiom,(
    ~ b000000011100000001000111111(bitIndex23) )).

fof(bitBlastConstant_4709,axiom,(
    ~ b000000011100000001000111111(bitIndex22) )).

fof(bitBlastConstant_4708,axiom,(
    ~ b000000011100000001000111111(bitIndex21) )).

fof(bitBlastConstant_4707,axiom,(
    ~ b000000011100000001000111111(bitIndex20) )).

fof(bitBlastConstant_4706,axiom,(
    b000000011100000001000111111(bitIndex19) )).

fof(bitBlastConstant_4705,axiom,(
    b000000011100000001000111111(bitIndex18) )).

fof(bitBlastConstant_4704,axiom,(
    b000000011100000001000111111(bitIndex17) )).

fof(bitBlastConstant_4703,axiom,(
    ~ b000000011100000001000111111(bitIndex16) )).

fof(bitBlastConstant_4702,axiom,(
    ~ b000000011100000001000111111(bitIndex15) )).

fof(bitBlastConstant_4701,axiom,(
    ~ b000000011100000001000111111(bitIndex14) )).

fof(bitBlastConstant_4700,axiom,(
    ~ b000000011100000001000111111(bitIndex13) )).

fof(bitBlastConstant_4699,axiom,(
    ~ b000000011100000001000111111(bitIndex12) )).

fof(bitBlastConstant_4698,axiom,(
    ~ b000000011100000001000111111(bitIndex11) )).

fof(bitBlastConstant_4697,axiom,(
    ~ b000000011100000001000111111(bitIndex10) )).

fof(bitBlastConstant_4696,axiom,(
    b000000011100000001000111111(bitIndex9) )).

fof(bitBlastConstant_4695,axiom,(
    ~ b000000011100000001000111111(bitIndex8) )).

fof(bitBlastConstant_4694,axiom,(
    ~ b000000011100000001000111111(bitIndex7) )).

fof(bitBlastConstant_4693,axiom,(
    ~ b000000011100000001000111111(bitIndex6) )).

fof(bitBlastConstant_4692,axiom,(
    b000000011100000001000111111(bitIndex5) )).

fof(bitBlastConstant_4691,axiom,(
    b000000011100000001000111111(bitIndex4) )).

fof(bitBlastConstant_4690,axiom,(
    b000000011100000001000111111(bitIndex3) )).

fof(bitBlastConstant_4689,axiom,(
    b000000011100000001000111111(bitIndex2) )).

fof(bitBlastConstant_4688,axiom,(
    b000000011100000001000111111(bitIndex1) )).

fof(bitBlastConstant_4687,axiom,(
    b000000011100000001000111111(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_324,axiom,(
    ! [VarCurr] :
      ( v4792(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_4686,axiom,(
    ~ b000000011000000001000111111(bitIndex26) )).

fof(bitBlastConstant_4685,axiom,(
    ~ b000000011000000001000111111(bitIndex25) )).

fof(bitBlastConstant_4684,axiom,(
    ~ b000000011000000001000111111(bitIndex24) )).

fof(bitBlastConstant_4683,axiom,(
    ~ b000000011000000001000111111(bitIndex23) )).

fof(bitBlastConstant_4682,axiom,(
    ~ b000000011000000001000111111(bitIndex22) )).

fof(bitBlastConstant_4681,axiom,(
    ~ b000000011000000001000111111(bitIndex21) )).

fof(bitBlastConstant_4680,axiom,(
    ~ b000000011000000001000111111(bitIndex20) )).

fof(bitBlastConstant_4679,axiom,(
    b000000011000000001000111111(bitIndex19) )).

fof(bitBlastConstant_4678,axiom,(
    b000000011000000001000111111(bitIndex18) )).

fof(bitBlastConstant_4677,axiom,(
    ~ b000000011000000001000111111(bitIndex17) )).

fof(bitBlastConstant_4676,axiom,(
    ~ b000000011000000001000111111(bitIndex16) )).

fof(bitBlastConstant_4675,axiom,(
    ~ b000000011000000001000111111(bitIndex15) )).

fof(bitBlastConstant_4674,axiom,(
    ~ b000000011000000001000111111(bitIndex14) )).

fof(bitBlastConstant_4673,axiom,(
    ~ b000000011000000001000111111(bitIndex13) )).

fof(bitBlastConstant_4672,axiom,(
    ~ b000000011000000001000111111(bitIndex12) )).

fof(bitBlastConstant_4671,axiom,(
    ~ b000000011000000001000111111(bitIndex11) )).

fof(bitBlastConstant_4670,axiom,(
    ~ b000000011000000001000111111(bitIndex10) )).

fof(bitBlastConstant_4669,axiom,(
    b000000011000000001000111111(bitIndex9) )).

fof(bitBlastConstant_4668,axiom,(
    ~ b000000011000000001000111111(bitIndex8) )).

fof(bitBlastConstant_4667,axiom,(
    ~ b000000011000000001000111111(bitIndex7) )).

fof(bitBlastConstant_4666,axiom,(
    ~ b000000011000000001000111111(bitIndex6) )).

fof(bitBlastConstant_4665,axiom,(
    b000000011000000001000111111(bitIndex5) )).

fof(bitBlastConstant_4664,axiom,(
    b000000011000000001000111111(bitIndex4) )).

fof(bitBlastConstant_4663,axiom,(
    b000000011000000001000111111(bitIndex3) )).

fof(bitBlastConstant_4662,axiom,(
    b000000011000000001000111111(bitIndex2) )).

fof(bitBlastConstant_4661,axiom,(
    b000000011000000001000111111(bitIndex1) )).

fof(bitBlastConstant_4660,axiom,(
    b000000011000000001000111111(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_172,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4779(VarCurr)
      <=> v4783(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_173,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4779(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_93,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4783(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_124,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4783(VarCurr)
      <=> v4785(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_125,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4783(VarCurr)
      <=> v4784(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_323,axiom,(
    ! [VarCurr] :
      ( v4785(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_4659,axiom,(
    ~ b000000011100000001000111110(bitIndex26) )).

fof(bitBlastConstant_4658,axiom,(
    ~ b000000011100000001000111110(bitIndex25) )).

fof(bitBlastConstant_4657,axiom,(
    ~ b000000011100000001000111110(bitIndex24) )).

fof(bitBlastConstant_4656,axiom,(
    ~ b000000011100000001000111110(bitIndex23) )).

fof(bitBlastConstant_4655,axiom,(
    ~ b000000011100000001000111110(bitIndex22) )).

fof(bitBlastConstant_4654,axiom,(
    ~ b000000011100000001000111110(bitIndex21) )).

fof(bitBlastConstant_4653,axiom,(
    ~ b000000011100000001000111110(bitIndex20) )).

fof(bitBlastConstant_4652,axiom,(
    b000000011100000001000111110(bitIndex19) )).

fof(bitBlastConstant_4651,axiom,(
    b000000011100000001000111110(bitIndex18) )).

fof(bitBlastConstant_4650,axiom,(
    b000000011100000001000111110(bitIndex17) )).

fof(bitBlastConstant_4649,axiom,(
    ~ b000000011100000001000111110(bitIndex16) )).

fof(bitBlastConstant_4648,axiom,(
    ~ b000000011100000001000111110(bitIndex15) )).

fof(bitBlastConstant_4647,axiom,(
    ~ b000000011100000001000111110(bitIndex14) )).

fof(bitBlastConstant_4646,axiom,(
    ~ b000000011100000001000111110(bitIndex13) )).

fof(bitBlastConstant_4645,axiom,(
    ~ b000000011100000001000111110(bitIndex12) )).

fof(bitBlastConstant_4644,axiom,(
    ~ b000000011100000001000111110(bitIndex11) )).

fof(bitBlastConstant_4643,axiom,(
    ~ b000000011100000001000111110(bitIndex10) )).

fof(bitBlastConstant_4642,axiom,(
    b000000011100000001000111110(bitIndex9) )).

fof(bitBlastConstant_4641,axiom,(
    ~ b000000011100000001000111110(bitIndex8) )).

fof(bitBlastConstant_4640,axiom,(
    ~ b000000011100000001000111110(bitIndex7) )).

fof(bitBlastConstant_4639,axiom,(
    ~ b000000011100000001000111110(bitIndex6) )).

fof(bitBlastConstant_4638,axiom,(
    b000000011100000001000111110(bitIndex5) )).

fof(bitBlastConstant_4637,axiom,(
    b000000011100000001000111110(bitIndex4) )).

fof(bitBlastConstant_4636,axiom,(
    b000000011100000001000111110(bitIndex3) )).

fof(bitBlastConstant_4635,axiom,(
    b000000011100000001000111110(bitIndex2) )).

fof(bitBlastConstant_4634,axiom,(
    b000000011100000001000111110(bitIndex1) )).

fof(bitBlastConstant_4633,axiom,(
    ~ b000000011100000001000111110(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_322,axiom,(
    ! [VarCurr] :
      ( v4784(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_4632,axiom,(
    ~ b000000011000000001000111110(bitIndex26) )).

fof(bitBlastConstant_4631,axiom,(
    ~ b000000011000000001000111110(bitIndex25) )).

fof(bitBlastConstant_4630,axiom,(
    ~ b000000011000000001000111110(bitIndex24) )).

fof(bitBlastConstant_4629,axiom,(
    ~ b000000011000000001000111110(bitIndex23) )).

fof(bitBlastConstant_4628,axiom,(
    ~ b000000011000000001000111110(bitIndex22) )).

fof(bitBlastConstant_4627,axiom,(
    ~ b000000011000000001000111110(bitIndex21) )).

fof(bitBlastConstant_4626,axiom,(
    ~ b000000011000000001000111110(bitIndex20) )).

fof(bitBlastConstant_4625,axiom,(
    b000000011000000001000111110(bitIndex19) )).

fof(bitBlastConstant_4624,axiom,(
    b000000011000000001000111110(bitIndex18) )).

fof(bitBlastConstant_4623,axiom,(
    ~ b000000011000000001000111110(bitIndex17) )).

fof(bitBlastConstant_4622,axiom,(
    ~ b000000011000000001000111110(bitIndex16) )).

fof(bitBlastConstant_4621,axiom,(
    ~ b000000011000000001000111110(bitIndex15) )).

fof(bitBlastConstant_4620,axiom,(
    ~ b000000011000000001000111110(bitIndex14) )).

fof(bitBlastConstant_4619,axiom,(
    ~ b000000011000000001000111110(bitIndex13) )).

fof(bitBlastConstant_4618,axiom,(
    ~ b000000011000000001000111110(bitIndex12) )).

fof(bitBlastConstant_4617,axiom,(
    ~ b000000011000000001000111110(bitIndex11) )).

fof(bitBlastConstant_4616,axiom,(
    ~ b000000011000000001000111110(bitIndex10) )).

fof(bitBlastConstant_4615,axiom,(
    b000000011000000001000111110(bitIndex9) )).

fof(bitBlastConstant_4614,axiom,(
    ~ b000000011000000001000111110(bitIndex8) )).

fof(bitBlastConstant_4613,axiom,(
    ~ b000000011000000001000111110(bitIndex7) )).

fof(bitBlastConstant_4612,axiom,(
    ~ b000000011000000001000111110(bitIndex6) )).

fof(bitBlastConstant_4611,axiom,(
    b000000011000000001000111110(bitIndex5) )).

fof(bitBlastConstant_4610,axiom,(
    b000000011000000001000111110(bitIndex4) )).

fof(bitBlastConstant_4609,axiom,(
    b000000011000000001000111110(bitIndex3) )).

fof(bitBlastConstant_4608,axiom,(
    b000000011000000001000111110(bitIndex2) )).

fof(bitBlastConstant_4607,axiom,(
    b000000011000000001000111110(bitIndex1) )).

fof(bitBlastConstant_4606,axiom,(
    ~ b000000011000000001000111110(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_171,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4771(VarCurr)
      <=> v4775(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_172,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4771(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_92,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4775(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_123,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4775(VarCurr)
      <=> v4777(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_124,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4775(VarCurr)
      <=> v4776(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_321,axiom,(
    ! [VarCurr] :
      ( v4777(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_4605,axiom,(
    ~ b000000011100000001000111011(bitIndex26) )).

fof(bitBlastConstant_4604,axiom,(
    ~ b000000011100000001000111011(bitIndex25) )).

fof(bitBlastConstant_4603,axiom,(
    ~ b000000011100000001000111011(bitIndex24) )).

fof(bitBlastConstant_4602,axiom,(
    ~ b000000011100000001000111011(bitIndex23) )).

fof(bitBlastConstant_4601,axiom,(
    ~ b000000011100000001000111011(bitIndex22) )).

fof(bitBlastConstant_4600,axiom,(
    ~ b000000011100000001000111011(bitIndex21) )).

fof(bitBlastConstant_4599,axiom,(
    ~ b000000011100000001000111011(bitIndex20) )).

fof(bitBlastConstant_4598,axiom,(
    b000000011100000001000111011(bitIndex19) )).

fof(bitBlastConstant_4597,axiom,(
    b000000011100000001000111011(bitIndex18) )).

fof(bitBlastConstant_4596,axiom,(
    b000000011100000001000111011(bitIndex17) )).

fof(bitBlastConstant_4595,axiom,(
    ~ b000000011100000001000111011(bitIndex16) )).

fof(bitBlastConstant_4594,axiom,(
    ~ b000000011100000001000111011(bitIndex15) )).

fof(bitBlastConstant_4593,axiom,(
    ~ b000000011100000001000111011(bitIndex14) )).

fof(bitBlastConstant_4592,axiom,(
    ~ b000000011100000001000111011(bitIndex13) )).

fof(bitBlastConstant_4591,axiom,(
    ~ b000000011100000001000111011(bitIndex12) )).

fof(bitBlastConstant_4590,axiom,(
    ~ b000000011100000001000111011(bitIndex11) )).

fof(bitBlastConstant_4589,axiom,(
    ~ b000000011100000001000111011(bitIndex10) )).

fof(bitBlastConstant_4588,axiom,(
    b000000011100000001000111011(bitIndex9) )).

fof(bitBlastConstant_4587,axiom,(
    ~ b000000011100000001000111011(bitIndex8) )).

fof(bitBlastConstant_4586,axiom,(
    ~ b000000011100000001000111011(bitIndex7) )).

fof(bitBlastConstant_4585,axiom,(
    ~ b000000011100000001000111011(bitIndex6) )).

fof(bitBlastConstant_4584,axiom,(
    b000000011100000001000111011(bitIndex5) )).

fof(bitBlastConstant_4583,axiom,(
    b000000011100000001000111011(bitIndex4) )).

fof(bitBlastConstant_4582,axiom,(
    b000000011100000001000111011(bitIndex3) )).

fof(bitBlastConstant_4581,axiom,(
    ~ b000000011100000001000111011(bitIndex2) )).

fof(bitBlastConstant_4580,axiom,(
    b000000011100000001000111011(bitIndex1) )).

fof(bitBlastConstant_4579,axiom,(
    b000000011100000001000111011(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_320,axiom,(
    ! [VarCurr] :
      ( v4776(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_4578,axiom,(
    ~ b000000011000000001000111011(bitIndex26) )).

fof(bitBlastConstant_4577,axiom,(
    ~ b000000011000000001000111011(bitIndex25) )).

fof(bitBlastConstant_4576,axiom,(
    ~ b000000011000000001000111011(bitIndex24) )).

fof(bitBlastConstant_4575,axiom,(
    ~ b000000011000000001000111011(bitIndex23) )).

fof(bitBlastConstant_4574,axiom,(
    ~ b000000011000000001000111011(bitIndex22) )).

fof(bitBlastConstant_4573,axiom,(
    ~ b000000011000000001000111011(bitIndex21) )).

fof(bitBlastConstant_4572,axiom,(
    ~ b000000011000000001000111011(bitIndex20) )).

fof(bitBlastConstant_4571,axiom,(
    b000000011000000001000111011(bitIndex19) )).

fof(bitBlastConstant_4570,axiom,(
    b000000011000000001000111011(bitIndex18) )).

fof(bitBlastConstant_4569,axiom,(
    ~ b000000011000000001000111011(bitIndex17) )).

fof(bitBlastConstant_4568,axiom,(
    ~ b000000011000000001000111011(bitIndex16) )).

fof(bitBlastConstant_4567,axiom,(
    ~ b000000011000000001000111011(bitIndex15) )).

fof(bitBlastConstant_4566,axiom,(
    ~ b000000011000000001000111011(bitIndex14) )).

fof(bitBlastConstant_4565,axiom,(
    ~ b000000011000000001000111011(bitIndex13) )).

fof(bitBlastConstant_4564,axiom,(
    ~ b000000011000000001000111011(bitIndex12) )).

fof(bitBlastConstant_4563,axiom,(
    ~ b000000011000000001000111011(bitIndex11) )).

fof(bitBlastConstant_4562,axiom,(
    ~ b000000011000000001000111011(bitIndex10) )).

fof(bitBlastConstant_4561,axiom,(
    b000000011000000001000111011(bitIndex9) )).

fof(bitBlastConstant_4560,axiom,(
    ~ b000000011000000001000111011(bitIndex8) )).

fof(bitBlastConstant_4559,axiom,(
    ~ b000000011000000001000111011(bitIndex7) )).

fof(bitBlastConstant_4558,axiom,(
    ~ b000000011000000001000111011(bitIndex6) )).

fof(bitBlastConstant_4557,axiom,(
    b000000011000000001000111011(bitIndex5) )).

fof(bitBlastConstant_4556,axiom,(
    b000000011000000001000111011(bitIndex4) )).

fof(bitBlastConstant_4555,axiom,(
    b000000011000000001000111011(bitIndex3) )).

fof(bitBlastConstant_4554,axiom,(
    ~ b000000011000000001000111011(bitIndex2) )).

fof(bitBlastConstant_4553,axiom,(
    b000000011000000001000111011(bitIndex1) )).

fof(bitBlastConstant_4552,axiom,(
    b000000011000000001000111011(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_170,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4763(VarCurr)
      <=> v4767(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_171,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4763(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_91,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4767(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_122,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4767(VarCurr)
      <=> v4769(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_123,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4767(VarCurr)
      <=> v4768(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_319,axiom,(
    ! [VarCurr] :
      ( v4769(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_4551,axiom,(
    ~ b000000011100000001000111010(bitIndex26) )).

fof(bitBlastConstant_4550,axiom,(
    ~ b000000011100000001000111010(bitIndex25) )).

fof(bitBlastConstant_4549,axiom,(
    ~ b000000011100000001000111010(bitIndex24) )).

fof(bitBlastConstant_4548,axiom,(
    ~ b000000011100000001000111010(bitIndex23) )).

fof(bitBlastConstant_4547,axiom,(
    ~ b000000011100000001000111010(bitIndex22) )).

fof(bitBlastConstant_4546,axiom,(
    ~ b000000011100000001000111010(bitIndex21) )).

fof(bitBlastConstant_4545,axiom,(
    ~ b000000011100000001000111010(bitIndex20) )).

fof(bitBlastConstant_4544,axiom,(
    b000000011100000001000111010(bitIndex19) )).

fof(bitBlastConstant_4543,axiom,(
    b000000011100000001000111010(bitIndex18) )).

fof(bitBlastConstant_4542,axiom,(
    b000000011100000001000111010(bitIndex17) )).

fof(bitBlastConstant_4541,axiom,(
    ~ b000000011100000001000111010(bitIndex16) )).

fof(bitBlastConstant_4540,axiom,(
    ~ b000000011100000001000111010(bitIndex15) )).

fof(bitBlastConstant_4539,axiom,(
    ~ b000000011100000001000111010(bitIndex14) )).

fof(bitBlastConstant_4538,axiom,(
    ~ b000000011100000001000111010(bitIndex13) )).

fof(bitBlastConstant_4537,axiom,(
    ~ b000000011100000001000111010(bitIndex12) )).

fof(bitBlastConstant_4536,axiom,(
    ~ b000000011100000001000111010(bitIndex11) )).

fof(bitBlastConstant_4535,axiom,(
    ~ b000000011100000001000111010(bitIndex10) )).

fof(bitBlastConstant_4534,axiom,(
    b000000011100000001000111010(bitIndex9) )).

fof(bitBlastConstant_4533,axiom,(
    ~ b000000011100000001000111010(bitIndex8) )).

fof(bitBlastConstant_4532,axiom,(
    ~ b000000011100000001000111010(bitIndex7) )).

fof(bitBlastConstant_4531,axiom,(
    ~ b000000011100000001000111010(bitIndex6) )).

fof(bitBlastConstant_4530,axiom,(
    b000000011100000001000111010(bitIndex5) )).

fof(bitBlastConstant_4529,axiom,(
    b000000011100000001000111010(bitIndex4) )).

fof(bitBlastConstant_4528,axiom,(
    b000000011100000001000111010(bitIndex3) )).

fof(bitBlastConstant_4527,axiom,(
    ~ b000000011100000001000111010(bitIndex2) )).

fof(bitBlastConstant_4526,axiom,(
    b000000011100000001000111010(bitIndex1) )).

fof(bitBlastConstant_4525,axiom,(
    ~ b000000011100000001000111010(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_318,axiom,(
    ! [VarCurr] :
      ( v4768(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_4524,axiom,(
    ~ b000000011000000001000111010(bitIndex26) )).

fof(bitBlastConstant_4523,axiom,(
    ~ b000000011000000001000111010(bitIndex25) )).

fof(bitBlastConstant_4522,axiom,(
    ~ b000000011000000001000111010(bitIndex24) )).

fof(bitBlastConstant_4521,axiom,(
    ~ b000000011000000001000111010(bitIndex23) )).

fof(bitBlastConstant_4520,axiom,(
    ~ b000000011000000001000111010(bitIndex22) )).

fof(bitBlastConstant_4519,axiom,(
    ~ b000000011000000001000111010(bitIndex21) )).

fof(bitBlastConstant_4518,axiom,(
    ~ b000000011000000001000111010(bitIndex20) )).

fof(bitBlastConstant_4517,axiom,(
    b000000011000000001000111010(bitIndex19) )).

fof(bitBlastConstant_4516,axiom,(
    b000000011000000001000111010(bitIndex18) )).

fof(bitBlastConstant_4515,axiom,(
    ~ b000000011000000001000111010(bitIndex17) )).

fof(bitBlastConstant_4514,axiom,(
    ~ b000000011000000001000111010(bitIndex16) )).

fof(bitBlastConstant_4513,axiom,(
    ~ b000000011000000001000111010(bitIndex15) )).

fof(bitBlastConstant_4512,axiom,(
    ~ b000000011000000001000111010(bitIndex14) )).

fof(bitBlastConstant_4511,axiom,(
    ~ b000000011000000001000111010(bitIndex13) )).

fof(bitBlastConstant_4510,axiom,(
    ~ b000000011000000001000111010(bitIndex12) )).

fof(bitBlastConstant_4509,axiom,(
    ~ b000000011000000001000111010(bitIndex11) )).

fof(bitBlastConstant_4508,axiom,(
    ~ b000000011000000001000111010(bitIndex10) )).

fof(bitBlastConstant_4507,axiom,(
    b000000011000000001000111010(bitIndex9) )).

fof(bitBlastConstant_4506,axiom,(
    ~ b000000011000000001000111010(bitIndex8) )).

fof(bitBlastConstant_4505,axiom,(
    ~ b000000011000000001000111010(bitIndex7) )).

fof(bitBlastConstant_4504,axiom,(
    ~ b000000011000000001000111010(bitIndex6) )).

fof(bitBlastConstant_4503,axiom,(
    b000000011000000001000111010(bitIndex5) )).

fof(bitBlastConstant_4502,axiom,(
    b000000011000000001000111010(bitIndex4) )).

fof(bitBlastConstant_4501,axiom,(
    b000000011000000001000111010(bitIndex3) )).

fof(bitBlastConstant_4500,axiom,(
    ~ b000000011000000001000111010(bitIndex2) )).

fof(bitBlastConstant_4499,axiom,(
    b000000011000000001000111010(bitIndex1) )).

fof(bitBlastConstant_4498,axiom,(
    ~ b000000011000000001000111010(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_169,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4755(VarCurr)
      <=> v4759(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_170,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4755(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_90,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4759(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_121,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4759(VarCurr)
      <=> v4761(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_122,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4759(VarCurr)
      <=> v4760(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_317,axiom,(
    ! [VarCurr] :
      ( v4761(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_4497,axiom,(
    ~ b000000011100000001000111001(bitIndex26) )).

fof(bitBlastConstant_4496,axiom,(
    ~ b000000011100000001000111001(bitIndex25) )).

fof(bitBlastConstant_4495,axiom,(
    ~ b000000011100000001000111001(bitIndex24) )).

fof(bitBlastConstant_4494,axiom,(
    ~ b000000011100000001000111001(bitIndex23) )).

fof(bitBlastConstant_4493,axiom,(
    ~ b000000011100000001000111001(bitIndex22) )).

fof(bitBlastConstant_4492,axiom,(
    ~ b000000011100000001000111001(bitIndex21) )).

fof(bitBlastConstant_4491,axiom,(
    ~ b000000011100000001000111001(bitIndex20) )).

fof(bitBlastConstant_4490,axiom,(
    b000000011100000001000111001(bitIndex19) )).

fof(bitBlastConstant_4489,axiom,(
    b000000011100000001000111001(bitIndex18) )).

fof(bitBlastConstant_4488,axiom,(
    b000000011100000001000111001(bitIndex17) )).

fof(bitBlastConstant_4487,axiom,(
    ~ b000000011100000001000111001(bitIndex16) )).

fof(bitBlastConstant_4486,axiom,(
    ~ b000000011100000001000111001(bitIndex15) )).

fof(bitBlastConstant_4485,axiom,(
    ~ b000000011100000001000111001(bitIndex14) )).

fof(bitBlastConstant_4484,axiom,(
    ~ b000000011100000001000111001(bitIndex13) )).

fof(bitBlastConstant_4483,axiom,(
    ~ b000000011100000001000111001(bitIndex12) )).

fof(bitBlastConstant_4482,axiom,(
    ~ b000000011100000001000111001(bitIndex11) )).

fof(bitBlastConstant_4481,axiom,(
    ~ b000000011100000001000111001(bitIndex10) )).

fof(bitBlastConstant_4480,axiom,(
    b000000011100000001000111001(bitIndex9) )).

fof(bitBlastConstant_4479,axiom,(
    ~ b000000011100000001000111001(bitIndex8) )).

fof(bitBlastConstant_4478,axiom,(
    ~ b000000011100000001000111001(bitIndex7) )).

fof(bitBlastConstant_4477,axiom,(
    ~ b000000011100000001000111001(bitIndex6) )).

fof(bitBlastConstant_4476,axiom,(
    b000000011100000001000111001(bitIndex5) )).

fof(bitBlastConstant_4475,axiom,(
    b000000011100000001000111001(bitIndex4) )).

fof(bitBlastConstant_4474,axiom,(
    b000000011100000001000111001(bitIndex3) )).

fof(bitBlastConstant_4473,axiom,(
    ~ b000000011100000001000111001(bitIndex2) )).

fof(bitBlastConstant_4472,axiom,(
    ~ b000000011100000001000111001(bitIndex1) )).

fof(bitBlastConstant_4471,axiom,(
    b000000011100000001000111001(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_316,axiom,(
    ! [VarCurr] :
      ( v4760(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_4470,axiom,(
    ~ b000000011000000001000111001(bitIndex26) )).

fof(bitBlastConstant_4469,axiom,(
    ~ b000000011000000001000111001(bitIndex25) )).

fof(bitBlastConstant_4468,axiom,(
    ~ b000000011000000001000111001(bitIndex24) )).

fof(bitBlastConstant_4467,axiom,(
    ~ b000000011000000001000111001(bitIndex23) )).

fof(bitBlastConstant_4466,axiom,(
    ~ b000000011000000001000111001(bitIndex22) )).

fof(bitBlastConstant_4465,axiom,(
    ~ b000000011000000001000111001(bitIndex21) )).

fof(bitBlastConstant_4464,axiom,(
    ~ b000000011000000001000111001(bitIndex20) )).

fof(bitBlastConstant_4463,axiom,(
    b000000011000000001000111001(bitIndex19) )).

fof(bitBlastConstant_4462,axiom,(
    b000000011000000001000111001(bitIndex18) )).

fof(bitBlastConstant_4461,axiom,(
    ~ b000000011000000001000111001(bitIndex17) )).

fof(bitBlastConstant_4460,axiom,(
    ~ b000000011000000001000111001(bitIndex16) )).

fof(bitBlastConstant_4459,axiom,(
    ~ b000000011000000001000111001(bitIndex15) )).

fof(bitBlastConstant_4458,axiom,(
    ~ b000000011000000001000111001(bitIndex14) )).

fof(bitBlastConstant_4457,axiom,(
    ~ b000000011000000001000111001(bitIndex13) )).

fof(bitBlastConstant_4456,axiom,(
    ~ b000000011000000001000111001(bitIndex12) )).

fof(bitBlastConstant_4455,axiom,(
    ~ b000000011000000001000111001(bitIndex11) )).

fof(bitBlastConstant_4454,axiom,(
    ~ b000000011000000001000111001(bitIndex10) )).

fof(bitBlastConstant_4453,axiom,(
    b000000011000000001000111001(bitIndex9) )).

fof(bitBlastConstant_4452,axiom,(
    ~ b000000011000000001000111001(bitIndex8) )).

fof(bitBlastConstant_4451,axiom,(
    ~ b000000011000000001000111001(bitIndex7) )).

fof(bitBlastConstant_4450,axiom,(
    ~ b000000011000000001000111001(bitIndex6) )).

fof(bitBlastConstant_4449,axiom,(
    b000000011000000001000111001(bitIndex5) )).

fof(bitBlastConstant_4448,axiom,(
    b000000011000000001000111001(bitIndex4) )).

fof(bitBlastConstant_4447,axiom,(
    b000000011000000001000111001(bitIndex3) )).

fof(bitBlastConstant_4446,axiom,(
    ~ b000000011000000001000111001(bitIndex2) )).

fof(bitBlastConstant_4445,axiom,(
    ~ b000000011000000001000111001(bitIndex1) )).

fof(bitBlastConstant_4444,axiom,(
    b000000011000000001000111001(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_168,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4747(VarCurr)
      <=> v4751(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_169,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4747(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_89,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4751(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_120,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4751(VarCurr)
      <=> v4753(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_121,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4751(VarCurr)
      <=> v4752(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_315,axiom,(
    ! [VarCurr] :
      ( v4753(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_4443,axiom,(
    ~ b000000011100000001000111000(bitIndex26) )).

fof(bitBlastConstant_4442,axiom,(
    ~ b000000011100000001000111000(bitIndex25) )).

fof(bitBlastConstant_4441,axiom,(
    ~ b000000011100000001000111000(bitIndex24) )).

fof(bitBlastConstant_4440,axiom,(
    ~ b000000011100000001000111000(bitIndex23) )).

fof(bitBlastConstant_4439,axiom,(
    ~ b000000011100000001000111000(bitIndex22) )).

fof(bitBlastConstant_4438,axiom,(
    ~ b000000011100000001000111000(bitIndex21) )).

fof(bitBlastConstant_4437,axiom,(
    ~ b000000011100000001000111000(bitIndex20) )).

fof(bitBlastConstant_4436,axiom,(
    b000000011100000001000111000(bitIndex19) )).

fof(bitBlastConstant_4435,axiom,(
    b000000011100000001000111000(bitIndex18) )).

fof(bitBlastConstant_4434,axiom,(
    b000000011100000001000111000(bitIndex17) )).

fof(bitBlastConstant_4433,axiom,(
    ~ b000000011100000001000111000(bitIndex16) )).

fof(bitBlastConstant_4432,axiom,(
    ~ b000000011100000001000111000(bitIndex15) )).

fof(bitBlastConstant_4431,axiom,(
    ~ b000000011100000001000111000(bitIndex14) )).

fof(bitBlastConstant_4430,axiom,(
    ~ b000000011100000001000111000(bitIndex13) )).

fof(bitBlastConstant_4429,axiom,(
    ~ b000000011100000001000111000(bitIndex12) )).

fof(bitBlastConstant_4428,axiom,(
    ~ b000000011100000001000111000(bitIndex11) )).

fof(bitBlastConstant_4427,axiom,(
    ~ b000000011100000001000111000(bitIndex10) )).

fof(bitBlastConstant_4426,axiom,(
    b000000011100000001000111000(bitIndex9) )).

fof(bitBlastConstant_4425,axiom,(
    ~ b000000011100000001000111000(bitIndex8) )).

fof(bitBlastConstant_4424,axiom,(
    ~ b000000011100000001000111000(bitIndex7) )).

fof(bitBlastConstant_4423,axiom,(
    ~ b000000011100000001000111000(bitIndex6) )).

fof(bitBlastConstant_4422,axiom,(
    b000000011100000001000111000(bitIndex5) )).

fof(bitBlastConstant_4421,axiom,(
    b000000011100000001000111000(bitIndex4) )).

fof(bitBlastConstant_4420,axiom,(
    b000000011100000001000111000(bitIndex3) )).

fof(bitBlastConstant_4419,axiom,(
    ~ b000000011100000001000111000(bitIndex2) )).

fof(bitBlastConstant_4418,axiom,(
    ~ b000000011100000001000111000(bitIndex1) )).

fof(bitBlastConstant_4417,axiom,(
    ~ b000000011100000001000111000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_314,axiom,(
    ! [VarCurr] :
      ( v4752(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_4416,axiom,(
    ~ b000000011000000001000111000(bitIndex26) )).

fof(bitBlastConstant_4415,axiom,(
    ~ b000000011000000001000111000(bitIndex25) )).

fof(bitBlastConstant_4414,axiom,(
    ~ b000000011000000001000111000(bitIndex24) )).

fof(bitBlastConstant_4413,axiom,(
    ~ b000000011000000001000111000(bitIndex23) )).

fof(bitBlastConstant_4412,axiom,(
    ~ b000000011000000001000111000(bitIndex22) )).

fof(bitBlastConstant_4411,axiom,(
    ~ b000000011000000001000111000(bitIndex21) )).

fof(bitBlastConstant_4410,axiom,(
    ~ b000000011000000001000111000(bitIndex20) )).

fof(bitBlastConstant_4409,axiom,(
    b000000011000000001000111000(bitIndex19) )).

fof(bitBlastConstant_4408,axiom,(
    b000000011000000001000111000(bitIndex18) )).

fof(bitBlastConstant_4407,axiom,(
    ~ b000000011000000001000111000(bitIndex17) )).

fof(bitBlastConstant_4406,axiom,(
    ~ b000000011000000001000111000(bitIndex16) )).

fof(bitBlastConstant_4405,axiom,(
    ~ b000000011000000001000111000(bitIndex15) )).

fof(bitBlastConstant_4404,axiom,(
    ~ b000000011000000001000111000(bitIndex14) )).

fof(bitBlastConstant_4403,axiom,(
    ~ b000000011000000001000111000(bitIndex13) )).

fof(bitBlastConstant_4402,axiom,(
    ~ b000000011000000001000111000(bitIndex12) )).

fof(bitBlastConstant_4401,axiom,(
    ~ b000000011000000001000111000(bitIndex11) )).

fof(bitBlastConstant_4400,axiom,(
    ~ b000000011000000001000111000(bitIndex10) )).

fof(bitBlastConstant_4399,axiom,(
    b000000011000000001000111000(bitIndex9) )).

fof(bitBlastConstant_4398,axiom,(
    ~ b000000011000000001000111000(bitIndex8) )).

fof(bitBlastConstant_4397,axiom,(
    ~ b000000011000000001000111000(bitIndex7) )).

fof(bitBlastConstant_4396,axiom,(
    ~ b000000011000000001000111000(bitIndex6) )).

fof(bitBlastConstant_4395,axiom,(
    b000000011000000001000111000(bitIndex5) )).

fof(bitBlastConstant_4394,axiom,(
    b000000011000000001000111000(bitIndex4) )).

fof(bitBlastConstant_4393,axiom,(
    b000000011000000001000111000(bitIndex3) )).

fof(bitBlastConstant_4392,axiom,(
    ~ b000000011000000001000111000(bitIndex2) )).

fof(bitBlastConstant_4391,axiom,(
    ~ b000000011000000001000111000(bitIndex1) )).

fof(bitBlastConstant_4390,axiom,(
    ~ b000000011000000001000111000(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_167,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4739(VarCurr)
      <=> v4743(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_168,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4739(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_88,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4743(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_119,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4743(VarCurr)
      <=> v4745(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_120,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4743(VarCurr)
      <=> v4744(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_313,axiom,(
    ! [VarCurr] :
      ( v4745(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_4389,axiom,(
    ~ b000000011100000001000110111(bitIndex26) )).

fof(bitBlastConstant_4388,axiom,(
    ~ b000000011100000001000110111(bitIndex25) )).

fof(bitBlastConstant_4387,axiom,(
    ~ b000000011100000001000110111(bitIndex24) )).

fof(bitBlastConstant_4386,axiom,(
    ~ b000000011100000001000110111(bitIndex23) )).

fof(bitBlastConstant_4385,axiom,(
    ~ b000000011100000001000110111(bitIndex22) )).

fof(bitBlastConstant_4384,axiom,(
    ~ b000000011100000001000110111(bitIndex21) )).

fof(bitBlastConstant_4383,axiom,(
    ~ b000000011100000001000110111(bitIndex20) )).

fof(bitBlastConstant_4382,axiom,(
    b000000011100000001000110111(bitIndex19) )).

fof(bitBlastConstant_4381,axiom,(
    b000000011100000001000110111(bitIndex18) )).

fof(bitBlastConstant_4380,axiom,(
    b000000011100000001000110111(bitIndex17) )).

fof(bitBlastConstant_4379,axiom,(
    ~ b000000011100000001000110111(bitIndex16) )).

fof(bitBlastConstant_4378,axiom,(
    ~ b000000011100000001000110111(bitIndex15) )).

fof(bitBlastConstant_4377,axiom,(
    ~ b000000011100000001000110111(bitIndex14) )).

fof(bitBlastConstant_4376,axiom,(
    ~ b000000011100000001000110111(bitIndex13) )).

fof(bitBlastConstant_4375,axiom,(
    ~ b000000011100000001000110111(bitIndex12) )).

fof(bitBlastConstant_4374,axiom,(
    ~ b000000011100000001000110111(bitIndex11) )).

fof(bitBlastConstant_4373,axiom,(
    ~ b000000011100000001000110111(bitIndex10) )).

fof(bitBlastConstant_4372,axiom,(
    b000000011100000001000110111(bitIndex9) )).

fof(bitBlastConstant_4371,axiom,(
    ~ b000000011100000001000110111(bitIndex8) )).

fof(bitBlastConstant_4370,axiom,(
    ~ b000000011100000001000110111(bitIndex7) )).

fof(bitBlastConstant_4369,axiom,(
    ~ b000000011100000001000110111(bitIndex6) )).

fof(bitBlastConstant_4368,axiom,(
    b000000011100000001000110111(bitIndex5) )).

fof(bitBlastConstant_4367,axiom,(
    b000000011100000001000110111(bitIndex4) )).

fof(bitBlastConstant_4366,axiom,(
    ~ b000000011100000001000110111(bitIndex3) )).

fof(bitBlastConstant_4365,axiom,(
    b000000011100000001000110111(bitIndex2) )).

fof(bitBlastConstant_4364,axiom,(
    b000000011100000001000110111(bitIndex1) )).

fof(bitBlastConstant_4363,axiom,(
    b000000011100000001000110111(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_312,axiom,(
    ! [VarCurr] :
      ( v4744(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_4362,axiom,(
    ~ b000000011000000001000110111(bitIndex26) )).

fof(bitBlastConstant_4361,axiom,(
    ~ b000000011000000001000110111(bitIndex25) )).

fof(bitBlastConstant_4360,axiom,(
    ~ b000000011000000001000110111(bitIndex24) )).

fof(bitBlastConstant_4359,axiom,(
    ~ b000000011000000001000110111(bitIndex23) )).

fof(bitBlastConstant_4358,axiom,(
    ~ b000000011000000001000110111(bitIndex22) )).

fof(bitBlastConstant_4357,axiom,(
    ~ b000000011000000001000110111(bitIndex21) )).

fof(bitBlastConstant_4356,axiom,(
    ~ b000000011000000001000110111(bitIndex20) )).

fof(bitBlastConstant_4355,axiom,(
    b000000011000000001000110111(bitIndex19) )).

fof(bitBlastConstant_4354,axiom,(
    b000000011000000001000110111(bitIndex18) )).

fof(bitBlastConstant_4353,axiom,(
    ~ b000000011000000001000110111(bitIndex17) )).

fof(bitBlastConstant_4352,axiom,(
    ~ b000000011000000001000110111(bitIndex16) )).

fof(bitBlastConstant_4351,axiom,(
    ~ b000000011000000001000110111(bitIndex15) )).

fof(bitBlastConstant_4350,axiom,(
    ~ b000000011000000001000110111(bitIndex14) )).

fof(bitBlastConstant_4349,axiom,(
    ~ b000000011000000001000110111(bitIndex13) )).

fof(bitBlastConstant_4348,axiom,(
    ~ b000000011000000001000110111(bitIndex12) )).

fof(bitBlastConstant_4347,axiom,(
    ~ b000000011000000001000110111(bitIndex11) )).

fof(bitBlastConstant_4346,axiom,(
    ~ b000000011000000001000110111(bitIndex10) )).

fof(bitBlastConstant_4345,axiom,(
    b000000011000000001000110111(bitIndex9) )).

fof(bitBlastConstant_4344,axiom,(
    ~ b000000011000000001000110111(bitIndex8) )).

fof(bitBlastConstant_4343,axiom,(
    ~ b000000011000000001000110111(bitIndex7) )).

fof(bitBlastConstant_4342,axiom,(
    ~ b000000011000000001000110111(bitIndex6) )).

fof(bitBlastConstant_4341,axiom,(
    b000000011000000001000110111(bitIndex5) )).

fof(bitBlastConstant_4340,axiom,(
    b000000011000000001000110111(bitIndex4) )).

fof(bitBlastConstant_4339,axiom,(
    ~ b000000011000000001000110111(bitIndex3) )).

fof(bitBlastConstant_4338,axiom,(
    b000000011000000001000110111(bitIndex2) )).

fof(bitBlastConstant_4337,axiom,(
    b000000011000000001000110111(bitIndex1) )).

fof(bitBlastConstant_4336,axiom,(
    b000000011000000001000110111(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_166,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4731(VarCurr)
      <=> v4735(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_167,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4731(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_87,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4735(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_118,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4735(VarCurr)
      <=> v4737(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_119,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4735(VarCurr)
      <=> v4736(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_311,axiom,(
    ! [VarCurr] :
      ( v4737(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_4335,axiom,(
    ~ b000000011100000001000110110(bitIndex26) )).

fof(bitBlastConstant_4334,axiom,(
    ~ b000000011100000001000110110(bitIndex25) )).

fof(bitBlastConstant_4333,axiom,(
    ~ b000000011100000001000110110(bitIndex24) )).

fof(bitBlastConstant_4332,axiom,(
    ~ b000000011100000001000110110(bitIndex23) )).

fof(bitBlastConstant_4331,axiom,(
    ~ b000000011100000001000110110(bitIndex22) )).

fof(bitBlastConstant_4330,axiom,(
    ~ b000000011100000001000110110(bitIndex21) )).

fof(bitBlastConstant_4329,axiom,(
    ~ b000000011100000001000110110(bitIndex20) )).

fof(bitBlastConstant_4328,axiom,(
    b000000011100000001000110110(bitIndex19) )).

fof(bitBlastConstant_4327,axiom,(
    b000000011100000001000110110(bitIndex18) )).

fof(bitBlastConstant_4326,axiom,(
    b000000011100000001000110110(bitIndex17) )).

fof(bitBlastConstant_4325,axiom,(
    ~ b000000011100000001000110110(bitIndex16) )).

fof(bitBlastConstant_4324,axiom,(
    ~ b000000011100000001000110110(bitIndex15) )).

fof(bitBlastConstant_4323,axiom,(
    ~ b000000011100000001000110110(bitIndex14) )).

fof(bitBlastConstant_4322,axiom,(
    ~ b000000011100000001000110110(bitIndex13) )).

fof(bitBlastConstant_4321,axiom,(
    ~ b000000011100000001000110110(bitIndex12) )).

fof(bitBlastConstant_4320,axiom,(
    ~ b000000011100000001000110110(bitIndex11) )).

fof(bitBlastConstant_4319,axiom,(
    ~ b000000011100000001000110110(bitIndex10) )).

fof(bitBlastConstant_4318,axiom,(
    b000000011100000001000110110(bitIndex9) )).

fof(bitBlastConstant_4317,axiom,(
    ~ b000000011100000001000110110(bitIndex8) )).

fof(bitBlastConstant_4316,axiom,(
    ~ b000000011100000001000110110(bitIndex7) )).

fof(bitBlastConstant_4315,axiom,(
    ~ b000000011100000001000110110(bitIndex6) )).

fof(bitBlastConstant_4314,axiom,(
    b000000011100000001000110110(bitIndex5) )).

fof(bitBlastConstant_4313,axiom,(
    b000000011100000001000110110(bitIndex4) )).

fof(bitBlastConstant_4312,axiom,(
    ~ b000000011100000001000110110(bitIndex3) )).

fof(bitBlastConstant_4311,axiom,(
    b000000011100000001000110110(bitIndex2) )).

fof(bitBlastConstant_4310,axiom,(
    b000000011100000001000110110(bitIndex1) )).

fof(bitBlastConstant_4309,axiom,(
    ~ b000000011100000001000110110(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_310,axiom,(
    ! [VarCurr] :
      ( v4736(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_4308,axiom,(
    ~ b000000011000000001000110110(bitIndex26) )).

fof(bitBlastConstant_4307,axiom,(
    ~ b000000011000000001000110110(bitIndex25) )).

fof(bitBlastConstant_4306,axiom,(
    ~ b000000011000000001000110110(bitIndex24) )).

fof(bitBlastConstant_4305,axiom,(
    ~ b000000011000000001000110110(bitIndex23) )).

fof(bitBlastConstant_4304,axiom,(
    ~ b000000011000000001000110110(bitIndex22) )).

fof(bitBlastConstant_4303,axiom,(
    ~ b000000011000000001000110110(bitIndex21) )).

fof(bitBlastConstant_4302,axiom,(
    ~ b000000011000000001000110110(bitIndex20) )).

fof(bitBlastConstant_4301,axiom,(
    b000000011000000001000110110(bitIndex19) )).

fof(bitBlastConstant_4300,axiom,(
    b000000011000000001000110110(bitIndex18) )).

fof(bitBlastConstant_4299,axiom,(
    ~ b000000011000000001000110110(bitIndex17) )).

fof(bitBlastConstant_4298,axiom,(
    ~ b000000011000000001000110110(bitIndex16) )).

fof(bitBlastConstant_4297,axiom,(
    ~ b000000011000000001000110110(bitIndex15) )).

fof(bitBlastConstant_4296,axiom,(
    ~ b000000011000000001000110110(bitIndex14) )).

fof(bitBlastConstant_4295,axiom,(
    ~ b000000011000000001000110110(bitIndex13) )).

fof(bitBlastConstant_4294,axiom,(
    ~ b000000011000000001000110110(bitIndex12) )).

fof(bitBlastConstant_4293,axiom,(
    ~ b000000011000000001000110110(bitIndex11) )).

fof(bitBlastConstant_4292,axiom,(
    ~ b000000011000000001000110110(bitIndex10) )).

fof(bitBlastConstant_4291,axiom,(
    b000000011000000001000110110(bitIndex9) )).

fof(bitBlastConstant_4290,axiom,(
    ~ b000000011000000001000110110(bitIndex8) )).

fof(bitBlastConstant_4289,axiom,(
    ~ b000000011000000001000110110(bitIndex7) )).

fof(bitBlastConstant_4288,axiom,(
    ~ b000000011000000001000110110(bitIndex6) )).

fof(bitBlastConstant_4287,axiom,(
    b000000011000000001000110110(bitIndex5) )).

fof(bitBlastConstant_4286,axiom,(
    b000000011000000001000110110(bitIndex4) )).

fof(bitBlastConstant_4285,axiom,(
    ~ b000000011000000001000110110(bitIndex3) )).

fof(bitBlastConstant_4284,axiom,(
    b000000011000000001000110110(bitIndex2) )).

fof(bitBlastConstant_4283,axiom,(
    b000000011000000001000110110(bitIndex1) )).

fof(bitBlastConstant_4282,axiom,(
    ~ b000000011000000001000110110(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_165,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4723(VarCurr)
      <=> v4727(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_166,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4723(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_86,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4727(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_117,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4727(VarCurr)
      <=> v4729(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_118,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4727(VarCurr)
      <=> v4728(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_309,axiom,(
    ! [VarCurr] :
      ( v4729(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_4281,axiom,(
    ~ b000000011100000001000110101(bitIndex26) )).

fof(bitBlastConstant_4280,axiom,(
    ~ b000000011100000001000110101(bitIndex25) )).

fof(bitBlastConstant_4279,axiom,(
    ~ b000000011100000001000110101(bitIndex24) )).

fof(bitBlastConstant_4278,axiom,(
    ~ b000000011100000001000110101(bitIndex23) )).

fof(bitBlastConstant_4277,axiom,(
    ~ b000000011100000001000110101(bitIndex22) )).

fof(bitBlastConstant_4276,axiom,(
    ~ b000000011100000001000110101(bitIndex21) )).

fof(bitBlastConstant_4275,axiom,(
    ~ b000000011100000001000110101(bitIndex20) )).

fof(bitBlastConstant_4274,axiom,(
    b000000011100000001000110101(bitIndex19) )).

fof(bitBlastConstant_4273,axiom,(
    b000000011100000001000110101(bitIndex18) )).

fof(bitBlastConstant_4272,axiom,(
    b000000011100000001000110101(bitIndex17) )).

fof(bitBlastConstant_4271,axiom,(
    ~ b000000011100000001000110101(bitIndex16) )).

fof(bitBlastConstant_4270,axiom,(
    ~ b000000011100000001000110101(bitIndex15) )).

fof(bitBlastConstant_4269,axiom,(
    ~ b000000011100000001000110101(bitIndex14) )).

fof(bitBlastConstant_4268,axiom,(
    ~ b000000011100000001000110101(bitIndex13) )).

fof(bitBlastConstant_4267,axiom,(
    ~ b000000011100000001000110101(bitIndex12) )).

fof(bitBlastConstant_4266,axiom,(
    ~ b000000011100000001000110101(bitIndex11) )).

fof(bitBlastConstant_4265,axiom,(
    ~ b000000011100000001000110101(bitIndex10) )).

fof(bitBlastConstant_4264,axiom,(
    b000000011100000001000110101(bitIndex9) )).

fof(bitBlastConstant_4263,axiom,(
    ~ b000000011100000001000110101(bitIndex8) )).

fof(bitBlastConstant_4262,axiom,(
    ~ b000000011100000001000110101(bitIndex7) )).

fof(bitBlastConstant_4261,axiom,(
    ~ b000000011100000001000110101(bitIndex6) )).

fof(bitBlastConstant_4260,axiom,(
    b000000011100000001000110101(bitIndex5) )).

fof(bitBlastConstant_4259,axiom,(
    b000000011100000001000110101(bitIndex4) )).

fof(bitBlastConstant_4258,axiom,(
    ~ b000000011100000001000110101(bitIndex3) )).

fof(bitBlastConstant_4257,axiom,(
    b000000011100000001000110101(bitIndex2) )).

fof(bitBlastConstant_4256,axiom,(
    ~ b000000011100000001000110101(bitIndex1) )).

fof(bitBlastConstant_4255,axiom,(
    b000000011100000001000110101(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_308,axiom,(
    ! [VarCurr] :
      ( v4728(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_4254,axiom,(
    ~ b000000011000000001000110101(bitIndex26) )).

fof(bitBlastConstant_4253,axiom,(
    ~ b000000011000000001000110101(bitIndex25) )).

fof(bitBlastConstant_4252,axiom,(
    ~ b000000011000000001000110101(bitIndex24) )).

fof(bitBlastConstant_4251,axiom,(
    ~ b000000011000000001000110101(bitIndex23) )).

fof(bitBlastConstant_4250,axiom,(
    ~ b000000011000000001000110101(bitIndex22) )).

fof(bitBlastConstant_4249,axiom,(
    ~ b000000011000000001000110101(bitIndex21) )).

fof(bitBlastConstant_4248,axiom,(
    ~ b000000011000000001000110101(bitIndex20) )).

fof(bitBlastConstant_4247,axiom,(
    b000000011000000001000110101(bitIndex19) )).

fof(bitBlastConstant_4246,axiom,(
    b000000011000000001000110101(bitIndex18) )).

fof(bitBlastConstant_4245,axiom,(
    ~ b000000011000000001000110101(bitIndex17) )).

fof(bitBlastConstant_4244,axiom,(
    ~ b000000011000000001000110101(bitIndex16) )).

fof(bitBlastConstant_4243,axiom,(
    ~ b000000011000000001000110101(bitIndex15) )).

fof(bitBlastConstant_4242,axiom,(
    ~ b000000011000000001000110101(bitIndex14) )).

fof(bitBlastConstant_4241,axiom,(
    ~ b000000011000000001000110101(bitIndex13) )).

fof(bitBlastConstant_4240,axiom,(
    ~ b000000011000000001000110101(bitIndex12) )).

fof(bitBlastConstant_4239,axiom,(
    ~ b000000011000000001000110101(bitIndex11) )).

fof(bitBlastConstant_4238,axiom,(
    ~ b000000011000000001000110101(bitIndex10) )).

fof(bitBlastConstant_4237,axiom,(
    b000000011000000001000110101(bitIndex9) )).

fof(bitBlastConstant_4236,axiom,(
    ~ b000000011000000001000110101(bitIndex8) )).

fof(bitBlastConstant_4235,axiom,(
    ~ b000000011000000001000110101(bitIndex7) )).

fof(bitBlastConstant_4234,axiom,(
    ~ b000000011000000001000110101(bitIndex6) )).

fof(bitBlastConstant_4233,axiom,(
    b000000011000000001000110101(bitIndex5) )).

fof(bitBlastConstant_4232,axiom,(
    b000000011000000001000110101(bitIndex4) )).

fof(bitBlastConstant_4231,axiom,(
    ~ b000000011000000001000110101(bitIndex3) )).

fof(bitBlastConstant_4230,axiom,(
    b000000011000000001000110101(bitIndex2) )).

fof(bitBlastConstant_4229,axiom,(
    ~ b000000011000000001000110101(bitIndex1) )).

fof(bitBlastConstant_4228,axiom,(
    b000000011000000001000110101(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_164,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4715(VarCurr)
      <=> v4719(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_165,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4715(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_85,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4719(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_116,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4719(VarCurr)
      <=> v4721(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_117,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4719(VarCurr)
      <=> v4720(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_307,axiom,(
    ! [VarCurr] :
      ( v4721(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_4227,axiom,(
    ~ b000000011100000001000110100(bitIndex26) )).

fof(bitBlastConstant_4226,axiom,(
    ~ b000000011100000001000110100(bitIndex25) )).

fof(bitBlastConstant_4225,axiom,(
    ~ b000000011100000001000110100(bitIndex24) )).

fof(bitBlastConstant_4224,axiom,(
    ~ b000000011100000001000110100(bitIndex23) )).

fof(bitBlastConstant_4223,axiom,(
    ~ b000000011100000001000110100(bitIndex22) )).

fof(bitBlastConstant_4222,axiom,(
    ~ b000000011100000001000110100(bitIndex21) )).

fof(bitBlastConstant_4221,axiom,(
    ~ b000000011100000001000110100(bitIndex20) )).

fof(bitBlastConstant_4220,axiom,(
    b000000011100000001000110100(bitIndex19) )).

fof(bitBlastConstant_4219,axiom,(
    b000000011100000001000110100(bitIndex18) )).

fof(bitBlastConstant_4218,axiom,(
    b000000011100000001000110100(bitIndex17) )).

fof(bitBlastConstant_4217,axiom,(
    ~ b000000011100000001000110100(bitIndex16) )).

fof(bitBlastConstant_4216,axiom,(
    ~ b000000011100000001000110100(bitIndex15) )).

fof(bitBlastConstant_4215,axiom,(
    ~ b000000011100000001000110100(bitIndex14) )).

fof(bitBlastConstant_4214,axiom,(
    ~ b000000011100000001000110100(bitIndex13) )).

fof(bitBlastConstant_4213,axiom,(
    ~ b000000011100000001000110100(bitIndex12) )).

fof(bitBlastConstant_4212,axiom,(
    ~ b000000011100000001000110100(bitIndex11) )).

fof(bitBlastConstant_4211,axiom,(
    ~ b000000011100000001000110100(bitIndex10) )).

fof(bitBlastConstant_4210,axiom,(
    b000000011100000001000110100(bitIndex9) )).

fof(bitBlastConstant_4209,axiom,(
    ~ b000000011100000001000110100(bitIndex8) )).

fof(bitBlastConstant_4208,axiom,(
    ~ b000000011100000001000110100(bitIndex7) )).

fof(bitBlastConstant_4207,axiom,(
    ~ b000000011100000001000110100(bitIndex6) )).

fof(bitBlastConstant_4206,axiom,(
    b000000011100000001000110100(bitIndex5) )).

fof(bitBlastConstant_4205,axiom,(
    b000000011100000001000110100(bitIndex4) )).

fof(bitBlastConstant_4204,axiom,(
    ~ b000000011100000001000110100(bitIndex3) )).

fof(bitBlastConstant_4203,axiom,(
    b000000011100000001000110100(bitIndex2) )).

fof(bitBlastConstant_4202,axiom,(
    ~ b000000011100000001000110100(bitIndex1) )).

fof(bitBlastConstant_4201,axiom,(
    ~ b000000011100000001000110100(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_306,axiom,(
    ! [VarCurr] :
      ( v4720(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_4200,axiom,(
    ~ b000000011000000001000110100(bitIndex26) )).

fof(bitBlastConstant_4199,axiom,(
    ~ b000000011000000001000110100(bitIndex25) )).

fof(bitBlastConstant_4198,axiom,(
    ~ b000000011000000001000110100(bitIndex24) )).

fof(bitBlastConstant_4197,axiom,(
    ~ b000000011000000001000110100(bitIndex23) )).

fof(bitBlastConstant_4196,axiom,(
    ~ b000000011000000001000110100(bitIndex22) )).

fof(bitBlastConstant_4195,axiom,(
    ~ b000000011000000001000110100(bitIndex21) )).

fof(bitBlastConstant_4194,axiom,(
    ~ b000000011000000001000110100(bitIndex20) )).

fof(bitBlastConstant_4193,axiom,(
    b000000011000000001000110100(bitIndex19) )).

fof(bitBlastConstant_4192,axiom,(
    b000000011000000001000110100(bitIndex18) )).

fof(bitBlastConstant_4191,axiom,(
    ~ b000000011000000001000110100(bitIndex17) )).

fof(bitBlastConstant_4190,axiom,(
    ~ b000000011000000001000110100(bitIndex16) )).

fof(bitBlastConstant_4189,axiom,(
    ~ b000000011000000001000110100(bitIndex15) )).

fof(bitBlastConstant_4188,axiom,(
    ~ b000000011000000001000110100(bitIndex14) )).

fof(bitBlastConstant_4187,axiom,(
    ~ b000000011000000001000110100(bitIndex13) )).

fof(bitBlastConstant_4186,axiom,(
    ~ b000000011000000001000110100(bitIndex12) )).

fof(bitBlastConstant_4185,axiom,(
    ~ b000000011000000001000110100(bitIndex11) )).

fof(bitBlastConstant_4184,axiom,(
    ~ b000000011000000001000110100(bitIndex10) )).

fof(bitBlastConstant_4183,axiom,(
    b000000011000000001000110100(bitIndex9) )).

fof(bitBlastConstant_4182,axiom,(
    ~ b000000011000000001000110100(bitIndex8) )).

fof(bitBlastConstant_4181,axiom,(
    ~ b000000011000000001000110100(bitIndex7) )).

fof(bitBlastConstant_4180,axiom,(
    ~ b000000011000000001000110100(bitIndex6) )).

fof(bitBlastConstant_4179,axiom,(
    b000000011000000001000110100(bitIndex5) )).

fof(bitBlastConstant_4178,axiom,(
    b000000011000000001000110100(bitIndex4) )).

fof(bitBlastConstant_4177,axiom,(
    ~ b000000011000000001000110100(bitIndex3) )).

fof(bitBlastConstant_4176,axiom,(
    b000000011000000001000110100(bitIndex2) )).

fof(bitBlastConstant_4175,axiom,(
    ~ b000000011000000001000110100(bitIndex1) )).

fof(bitBlastConstant_4174,axiom,(
    ~ b000000011000000001000110100(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_163,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4707(VarCurr)
      <=> v4711(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_164,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4707(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_84,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4711(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_115,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4711(VarCurr)
      <=> v4713(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_116,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4711(VarCurr)
      <=> v4712(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_305,axiom,(
    ! [VarCurr] :
      ( v4713(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_4173,axiom,(
    ~ b000000011100000001000110011(bitIndex26) )).

fof(bitBlastConstant_4172,axiom,(
    ~ b000000011100000001000110011(bitIndex25) )).

fof(bitBlastConstant_4171,axiom,(
    ~ b000000011100000001000110011(bitIndex24) )).

fof(bitBlastConstant_4170,axiom,(
    ~ b000000011100000001000110011(bitIndex23) )).

fof(bitBlastConstant_4169,axiom,(
    ~ b000000011100000001000110011(bitIndex22) )).

fof(bitBlastConstant_4168,axiom,(
    ~ b000000011100000001000110011(bitIndex21) )).

fof(bitBlastConstant_4167,axiom,(
    ~ b000000011100000001000110011(bitIndex20) )).

fof(bitBlastConstant_4166,axiom,(
    b000000011100000001000110011(bitIndex19) )).

fof(bitBlastConstant_4165,axiom,(
    b000000011100000001000110011(bitIndex18) )).

fof(bitBlastConstant_4164,axiom,(
    b000000011100000001000110011(bitIndex17) )).

fof(bitBlastConstant_4163,axiom,(
    ~ b000000011100000001000110011(bitIndex16) )).

fof(bitBlastConstant_4162,axiom,(
    ~ b000000011100000001000110011(bitIndex15) )).

fof(bitBlastConstant_4161,axiom,(
    ~ b000000011100000001000110011(bitIndex14) )).

fof(bitBlastConstant_4160,axiom,(
    ~ b000000011100000001000110011(bitIndex13) )).

fof(bitBlastConstant_4159,axiom,(
    ~ b000000011100000001000110011(bitIndex12) )).

fof(bitBlastConstant_4158,axiom,(
    ~ b000000011100000001000110011(bitIndex11) )).

fof(bitBlastConstant_4157,axiom,(
    ~ b000000011100000001000110011(bitIndex10) )).

fof(bitBlastConstant_4156,axiom,(
    b000000011100000001000110011(bitIndex9) )).

fof(bitBlastConstant_4155,axiom,(
    ~ b000000011100000001000110011(bitIndex8) )).

fof(bitBlastConstant_4154,axiom,(
    ~ b000000011100000001000110011(bitIndex7) )).

fof(bitBlastConstant_4153,axiom,(
    ~ b000000011100000001000110011(bitIndex6) )).

fof(bitBlastConstant_4152,axiom,(
    b000000011100000001000110011(bitIndex5) )).

fof(bitBlastConstant_4151,axiom,(
    b000000011100000001000110011(bitIndex4) )).

fof(bitBlastConstant_4150,axiom,(
    ~ b000000011100000001000110011(bitIndex3) )).

fof(bitBlastConstant_4149,axiom,(
    ~ b000000011100000001000110011(bitIndex2) )).

fof(bitBlastConstant_4148,axiom,(
    b000000011100000001000110011(bitIndex1) )).

fof(bitBlastConstant_4147,axiom,(
    b000000011100000001000110011(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_304,axiom,(
    ! [VarCurr] :
      ( v4712(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_4146,axiom,(
    ~ b000000011000000001000110011(bitIndex26) )).

fof(bitBlastConstant_4145,axiom,(
    ~ b000000011000000001000110011(bitIndex25) )).

fof(bitBlastConstant_4144,axiom,(
    ~ b000000011000000001000110011(bitIndex24) )).

fof(bitBlastConstant_4143,axiom,(
    ~ b000000011000000001000110011(bitIndex23) )).

fof(bitBlastConstant_4142,axiom,(
    ~ b000000011000000001000110011(bitIndex22) )).

fof(bitBlastConstant_4141,axiom,(
    ~ b000000011000000001000110011(bitIndex21) )).

fof(bitBlastConstant_4140,axiom,(
    ~ b000000011000000001000110011(bitIndex20) )).

fof(bitBlastConstant_4139,axiom,(
    b000000011000000001000110011(bitIndex19) )).

fof(bitBlastConstant_4138,axiom,(
    b000000011000000001000110011(bitIndex18) )).

fof(bitBlastConstant_4137,axiom,(
    ~ b000000011000000001000110011(bitIndex17) )).

fof(bitBlastConstant_4136,axiom,(
    ~ b000000011000000001000110011(bitIndex16) )).

fof(bitBlastConstant_4135,axiom,(
    ~ b000000011000000001000110011(bitIndex15) )).

fof(bitBlastConstant_4134,axiom,(
    ~ b000000011000000001000110011(bitIndex14) )).

fof(bitBlastConstant_4133,axiom,(
    ~ b000000011000000001000110011(bitIndex13) )).

fof(bitBlastConstant_4132,axiom,(
    ~ b000000011000000001000110011(bitIndex12) )).

fof(bitBlastConstant_4131,axiom,(
    ~ b000000011000000001000110011(bitIndex11) )).

fof(bitBlastConstant_4130,axiom,(
    ~ b000000011000000001000110011(bitIndex10) )).

fof(bitBlastConstant_4129,axiom,(
    b000000011000000001000110011(bitIndex9) )).

fof(bitBlastConstant_4128,axiom,(
    ~ b000000011000000001000110011(bitIndex8) )).

fof(bitBlastConstant_4127,axiom,(
    ~ b000000011000000001000110011(bitIndex7) )).

fof(bitBlastConstant_4126,axiom,(
    ~ b000000011000000001000110011(bitIndex6) )).

fof(bitBlastConstant_4125,axiom,(
    b000000011000000001000110011(bitIndex5) )).

fof(bitBlastConstant_4124,axiom,(
    b000000011000000001000110011(bitIndex4) )).

fof(bitBlastConstant_4123,axiom,(
    ~ b000000011000000001000110011(bitIndex3) )).

fof(bitBlastConstant_4122,axiom,(
    ~ b000000011000000001000110011(bitIndex2) )).

fof(bitBlastConstant_4121,axiom,(
    b000000011000000001000110011(bitIndex1) )).

fof(bitBlastConstant_4120,axiom,(
    b000000011000000001000110011(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_162,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4699(VarCurr)
      <=> v4703(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_163,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4699(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_83,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4703(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_114,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4703(VarCurr)
      <=> v4705(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_115,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4703(VarCurr)
      <=> v4704(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_303,axiom,(
    ! [VarCurr] :
      ( v4705(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_4119,axiom,(
    ~ b000000011100000001000110010(bitIndex26) )).

fof(bitBlastConstant_4118,axiom,(
    ~ b000000011100000001000110010(bitIndex25) )).

fof(bitBlastConstant_4117,axiom,(
    ~ b000000011100000001000110010(bitIndex24) )).

fof(bitBlastConstant_4116,axiom,(
    ~ b000000011100000001000110010(bitIndex23) )).

fof(bitBlastConstant_4115,axiom,(
    ~ b000000011100000001000110010(bitIndex22) )).

fof(bitBlastConstant_4114,axiom,(
    ~ b000000011100000001000110010(bitIndex21) )).

fof(bitBlastConstant_4113,axiom,(
    ~ b000000011100000001000110010(bitIndex20) )).

fof(bitBlastConstant_4112,axiom,(
    b000000011100000001000110010(bitIndex19) )).

fof(bitBlastConstant_4111,axiom,(
    b000000011100000001000110010(bitIndex18) )).

fof(bitBlastConstant_4110,axiom,(
    b000000011100000001000110010(bitIndex17) )).

fof(bitBlastConstant_4109,axiom,(
    ~ b000000011100000001000110010(bitIndex16) )).

fof(bitBlastConstant_4108,axiom,(
    ~ b000000011100000001000110010(bitIndex15) )).

fof(bitBlastConstant_4107,axiom,(
    ~ b000000011100000001000110010(bitIndex14) )).

fof(bitBlastConstant_4106,axiom,(
    ~ b000000011100000001000110010(bitIndex13) )).

fof(bitBlastConstant_4105,axiom,(
    ~ b000000011100000001000110010(bitIndex12) )).

fof(bitBlastConstant_4104,axiom,(
    ~ b000000011100000001000110010(bitIndex11) )).

fof(bitBlastConstant_4103,axiom,(
    ~ b000000011100000001000110010(bitIndex10) )).

fof(bitBlastConstant_4102,axiom,(
    b000000011100000001000110010(bitIndex9) )).

fof(bitBlastConstant_4101,axiom,(
    ~ b000000011100000001000110010(bitIndex8) )).

fof(bitBlastConstant_4100,axiom,(
    ~ b000000011100000001000110010(bitIndex7) )).

fof(bitBlastConstant_4099,axiom,(
    ~ b000000011100000001000110010(bitIndex6) )).

fof(bitBlastConstant_4098,axiom,(
    b000000011100000001000110010(bitIndex5) )).

fof(bitBlastConstant_4097,axiom,(
    b000000011100000001000110010(bitIndex4) )).

fof(bitBlastConstant_4096,axiom,(
    ~ b000000011100000001000110010(bitIndex3) )).

fof(bitBlastConstant_4095,axiom,(
    ~ b000000011100000001000110010(bitIndex2) )).

fof(bitBlastConstant_4094,axiom,(
    b000000011100000001000110010(bitIndex1) )).

fof(bitBlastConstant_4093,axiom,(
    ~ b000000011100000001000110010(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_302,axiom,(
    ! [VarCurr] :
      ( v4704(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_4092,axiom,(
    ~ b000000011000000001000110010(bitIndex26) )).

fof(bitBlastConstant_4091,axiom,(
    ~ b000000011000000001000110010(bitIndex25) )).

fof(bitBlastConstant_4090,axiom,(
    ~ b000000011000000001000110010(bitIndex24) )).

fof(bitBlastConstant_4089,axiom,(
    ~ b000000011000000001000110010(bitIndex23) )).

fof(bitBlastConstant_4088,axiom,(
    ~ b000000011000000001000110010(bitIndex22) )).

fof(bitBlastConstant_4087,axiom,(
    ~ b000000011000000001000110010(bitIndex21) )).

fof(bitBlastConstant_4086,axiom,(
    ~ b000000011000000001000110010(bitIndex20) )).

fof(bitBlastConstant_4085,axiom,(
    b000000011000000001000110010(bitIndex19) )).

fof(bitBlastConstant_4084,axiom,(
    b000000011000000001000110010(bitIndex18) )).

fof(bitBlastConstant_4083,axiom,(
    ~ b000000011000000001000110010(bitIndex17) )).

fof(bitBlastConstant_4082,axiom,(
    ~ b000000011000000001000110010(bitIndex16) )).

fof(bitBlastConstant_4081,axiom,(
    ~ b000000011000000001000110010(bitIndex15) )).

fof(bitBlastConstant_4080,axiom,(
    ~ b000000011000000001000110010(bitIndex14) )).

fof(bitBlastConstant_4079,axiom,(
    ~ b000000011000000001000110010(bitIndex13) )).

fof(bitBlastConstant_4078,axiom,(
    ~ b000000011000000001000110010(bitIndex12) )).

fof(bitBlastConstant_4077,axiom,(
    ~ b000000011000000001000110010(bitIndex11) )).

fof(bitBlastConstant_4076,axiom,(
    ~ b000000011000000001000110010(bitIndex10) )).

fof(bitBlastConstant_4075,axiom,(
    b000000011000000001000110010(bitIndex9) )).

fof(bitBlastConstant_4074,axiom,(
    ~ b000000011000000001000110010(bitIndex8) )).

fof(bitBlastConstant_4073,axiom,(
    ~ b000000011000000001000110010(bitIndex7) )).

fof(bitBlastConstant_4072,axiom,(
    ~ b000000011000000001000110010(bitIndex6) )).

fof(bitBlastConstant_4071,axiom,(
    b000000011000000001000110010(bitIndex5) )).

fof(bitBlastConstant_4070,axiom,(
    b000000011000000001000110010(bitIndex4) )).

fof(bitBlastConstant_4069,axiom,(
    ~ b000000011000000001000110010(bitIndex3) )).

fof(bitBlastConstant_4068,axiom,(
    ~ b000000011000000001000110010(bitIndex2) )).

fof(bitBlastConstant_4067,axiom,(
    b000000011000000001000110010(bitIndex1) )).

fof(bitBlastConstant_4066,axiom,(
    ~ b000000011000000001000110010(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_161,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4691(VarCurr)
      <=> v4695(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_162,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4691(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_82,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4695(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_113,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4695(VarCurr)
      <=> v4697(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_114,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4695(VarCurr)
      <=> v4696(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_301,axiom,(
    ! [VarCurr] :
      ( v4697(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_4065,axiom,(
    ~ b000000011100000001000110001(bitIndex26) )).

fof(bitBlastConstant_4064,axiom,(
    ~ b000000011100000001000110001(bitIndex25) )).

fof(bitBlastConstant_4063,axiom,(
    ~ b000000011100000001000110001(bitIndex24) )).

fof(bitBlastConstant_4062,axiom,(
    ~ b000000011100000001000110001(bitIndex23) )).

fof(bitBlastConstant_4061,axiom,(
    ~ b000000011100000001000110001(bitIndex22) )).

fof(bitBlastConstant_4060,axiom,(
    ~ b000000011100000001000110001(bitIndex21) )).

fof(bitBlastConstant_4059,axiom,(
    ~ b000000011100000001000110001(bitIndex20) )).

fof(bitBlastConstant_4058,axiom,(
    b000000011100000001000110001(bitIndex19) )).

fof(bitBlastConstant_4057,axiom,(
    b000000011100000001000110001(bitIndex18) )).

fof(bitBlastConstant_4056,axiom,(
    b000000011100000001000110001(bitIndex17) )).

fof(bitBlastConstant_4055,axiom,(
    ~ b000000011100000001000110001(bitIndex16) )).

fof(bitBlastConstant_4054,axiom,(
    ~ b000000011100000001000110001(bitIndex15) )).

fof(bitBlastConstant_4053,axiom,(
    ~ b000000011100000001000110001(bitIndex14) )).

fof(bitBlastConstant_4052,axiom,(
    ~ b000000011100000001000110001(bitIndex13) )).

fof(bitBlastConstant_4051,axiom,(
    ~ b000000011100000001000110001(bitIndex12) )).

fof(bitBlastConstant_4050,axiom,(
    ~ b000000011100000001000110001(bitIndex11) )).

fof(bitBlastConstant_4049,axiom,(
    ~ b000000011100000001000110001(bitIndex10) )).

fof(bitBlastConstant_4048,axiom,(
    b000000011100000001000110001(bitIndex9) )).

fof(bitBlastConstant_4047,axiom,(
    ~ b000000011100000001000110001(bitIndex8) )).

fof(bitBlastConstant_4046,axiom,(
    ~ b000000011100000001000110001(bitIndex7) )).

fof(bitBlastConstant_4045,axiom,(
    ~ b000000011100000001000110001(bitIndex6) )).

fof(bitBlastConstant_4044,axiom,(
    b000000011100000001000110001(bitIndex5) )).

fof(bitBlastConstant_4043,axiom,(
    b000000011100000001000110001(bitIndex4) )).

fof(bitBlastConstant_4042,axiom,(
    ~ b000000011100000001000110001(bitIndex3) )).

fof(bitBlastConstant_4041,axiom,(
    ~ b000000011100000001000110001(bitIndex2) )).

fof(bitBlastConstant_4040,axiom,(
    ~ b000000011100000001000110001(bitIndex1) )).

fof(bitBlastConstant_4039,axiom,(
    b000000011100000001000110001(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_300,axiom,(
    ! [VarCurr] :
      ( v4696(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_4038,axiom,(
    ~ b000000011000000001000110001(bitIndex26) )).

fof(bitBlastConstant_4037,axiom,(
    ~ b000000011000000001000110001(bitIndex25) )).

fof(bitBlastConstant_4036,axiom,(
    ~ b000000011000000001000110001(bitIndex24) )).

fof(bitBlastConstant_4035,axiom,(
    ~ b000000011000000001000110001(bitIndex23) )).

fof(bitBlastConstant_4034,axiom,(
    ~ b000000011000000001000110001(bitIndex22) )).

fof(bitBlastConstant_4033,axiom,(
    ~ b000000011000000001000110001(bitIndex21) )).

fof(bitBlastConstant_4032,axiom,(
    ~ b000000011000000001000110001(bitIndex20) )).

fof(bitBlastConstant_4031,axiom,(
    b000000011000000001000110001(bitIndex19) )).

fof(bitBlastConstant_4030,axiom,(
    b000000011000000001000110001(bitIndex18) )).

fof(bitBlastConstant_4029,axiom,(
    ~ b000000011000000001000110001(bitIndex17) )).

fof(bitBlastConstant_4028,axiom,(
    ~ b000000011000000001000110001(bitIndex16) )).

fof(bitBlastConstant_4027,axiom,(
    ~ b000000011000000001000110001(bitIndex15) )).

fof(bitBlastConstant_4026,axiom,(
    ~ b000000011000000001000110001(bitIndex14) )).

fof(bitBlastConstant_4025,axiom,(
    ~ b000000011000000001000110001(bitIndex13) )).

fof(bitBlastConstant_4024,axiom,(
    ~ b000000011000000001000110001(bitIndex12) )).

fof(bitBlastConstant_4023,axiom,(
    ~ b000000011000000001000110001(bitIndex11) )).

fof(bitBlastConstant_4022,axiom,(
    ~ b000000011000000001000110001(bitIndex10) )).

fof(bitBlastConstant_4021,axiom,(
    b000000011000000001000110001(bitIndex9) )).

fof(bitBlastConstant_4020,axiom,(
    ~ b000000011000000001000110001(bitIndex8) )).

fof(bitBlastConstant_4019,axiom,(
    ~ b000000011000000001000110001(bitIndex7) )).

fof(bitBlastConstant_4018,axiom,(
    ~ b000000011000000001000110001(bitIndex6) )).

fof(bitBlastConstant_4017,axiom,(
    b000000011000000001000110001(bitIndex5) )).

fof(bitBlastConstant_4016,axiom,(
    b000000011000000001000110001(bitIndex4) )).

fof(bitBlastConstant_4015,axiom,(
    ~ b000000011000000001000110001(bitIndex3) )).

fof(bitBlastConstant_4014,axiom,(
    ~ b000000011000000001000110001(bitIndex2) )).

fof(bitBlastConstant_4013,axiom,(
    ~ b000000011000000001000110001(bitIndex1) )).

fof(bitBlastConstant_4012,axiom,(
    b000000011000000001000110001(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_160,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4683(VarCurr)
      <=> v4687(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_161,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4683(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_81,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4687(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_112,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4687(VarCurr)
      <=> v4689(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_113,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4687(VarCurr)
      <=> v4688(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_299,axiom,(
    ! [VarCurr] :
      ( v4689(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_4011,axiom,(
    ~ b000000011100000001000110000(bitIndex26) )).

fof(bitBlastConstant_4010,axiom,(
    ~ b000000011100000001000110000(bitIndex25) )).

fof(bitBlastConstant_4009,axiom,(
    ~ b000000011100000001000110000(bitIndex24) )).

fof(bitBlastConstant_4008,axiom,(
    ~ b000000011100000001000110000(bitIndex23) )).

fof(bitBlastConstant_4007,axiom,(
    ~ b000000011100000001000110000(bitIndex22) )).

fof(bitBlastConstant_4006,axiom,(
    ~ b000000011100000001000110000(bitIndex21) )).

fof(bitBlastConstant_4005,axiom,(
    ~ b000000011100000001000110000(bitIndex20) )).

fof(bitBlastConstant_4004,axiom,(
    b000000011100000001000110000(bitIndex19) )).

fof(bitBlastConstant_4003,axiom,(
    b000000011100000001000110000(bitIndex18) )).

fof(bitBlastConstant_4002,axiom,(
    b000000011100000001000110000(bitIndex17) )).

fof(bitBlastConstant_4001,axiom,(
    ~ b000000011100000001000110000(bitIndex16) )).

fof(bitBlastConstant_4000,axiom,(
    ~ b000000011100000001000110000(bitIndex15) )).

fof(bitBlastConstant_3999,axiom,(
    ~ b000000011100000001000110000(bitIndex14) )).

fof(bitBlastConstant_3998,axiom,(
    ~ b000000011100000001000110000(bitIndex13) )).

fof(bitBlastConstant_3997,axiom,(
    ~ b000000011100000001000110000(bitIndex12) )).

fof(bitBlastConstant_3996,axiom,(
    ~ b000000011100000001000110000(bitIndex11) )).

fof(bitBlastConstant_3995,axiom,(
    ~ b000000011100000001000110000(bitIndex10) )).

fof(bitBlastConstant_3994,axiom,(
    b000000011100000001000110000(bitIndex9) )).

fof(bitBlastConstant_3993,axiom,(
    ~ b000000011100000001000110000(bitIndex8) )).

fof(bitBlastConstant_3992,axiom,(
    ~ b000000011100000001000110000(bitIndex7) )).

fof(bitBlastConstant_3991,axiom,(
    ~ b000000011100000001000110000(bitIndex6) )).

fof(bitBlastConstant_3990,axiom,(
    b000000011100000001000110000(bitIndex5) )).

fof(bitBlastConstant_3989,axiom,(
    b000000011100000001000110000(bitIndex4) )).

fof(bitBlastConstant_3988,axiom,(
    ~ b000000011100000001000110000(bitIndex3) )).

fof(bitBlastConstant_3987,axiom,(
    ~ b000000011100000001000110000(bitIndex2) )).

fof(bitBlastConstant_3986,axiom,(
    ~ b000000011100000001000110000(bitIndex1) )).

fof(bitBlastConstant_3985,axiom,(
    ~ b000000011100000001000110000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_298,axiom,(
    ! [VarCurr] :
      ( v4688(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_3984,axiom,(
    ~ b000000011000000001000110000(bitIndex26) )).

fof(bitBlastConstant_3983,axiom,(
    ~ b000000011000000001000110000(bitIndex25) )).

fof(bitBlastConstant_3982,axiom,(
    ~ b000000011000000001000110000(bitIndex24) )).

fof(bitBlastConstant_3981,axiom,(
    ~ b000000011000000001000110000(bitIndex23) )).

fof(bitBlastConstant_3980,axiom,(
    ~ b000000011000000001000110000(bitIndex22) )).

fof(bitBlastConstant_3979,axiom,(
    ~ b000000011000000001000110000(bitIndex21) )).

fof(bitBlastConstant_3978,axiom,(
    ~ b000000011000000001000110000(bitIndex20) )).

fof(bitBlastConstant_3977,axiom,(
    b000000011000000001000110000(bitIndex19) )).

fof(bitBlastConstant_3976,axiom,(
    b000000011000000001000110000(bitIndex18) )).

fof(bitBlastConstant_3975,axiom,(
    ~ b000000011000000001000110000(bitIndex17) )).

fof(bitBlastConstant_3974,axiom,(
    ~ b000000011000000001000110000(bitIndex16) )).

fof(bitBlastConstant_3973,axiom,(
    ~ b000000011000000001000110000(bitIndex15) )).

fof(bitBlastConstant_3972,axiom,(
    ~ b000000011000000001000110000(bitIndex14) )).

fof(bitBlastConstant_3971,axiom,(
    ~ b000000011000000001000110000(bitIndex13) )).

fof(bitBlastConstant_3970,axiom,(
    ~ b000000011000000001000110000(bitIndex12) )).

fof(bitBlastConstant_3969,axiom,(
    ~ b000000011000000001000110000(bitIndex11) )).

fof(bitBlastConstant_3968,axiom,(
    ~ b000000011000000001000110000(bitIndex10) )).

fof(bitBlastConstant_3967,axiom,(
    b000000011000000001000110000(bitIndex9) )).

fof(bitBlastConstant_3966,axiom,(
    ~ b000000011000000001000110000(bitIndex8) )).

fof(bitBlastConstant_3965,axiom,(
    ~ b000000011000000001000110000(bitIndex7) )).

fof(bitBlastConstant_3964,axiom,(
    ~ b000000011000000001000110000(bitIndex6) )).

fof(bitBlastConstant_3963,axiom,(
    b000000011000000001000110000(bitIndex5) )).

fof(bitBlastConstant_3962,axiom,(
    b000000011000000001000110000(bitIndex4) )).

fof(bitBlastConstant_3961,axiom,(
    ~ b000000011000000001000110000(bitIndex3) )).

fof(bitBlastConstant_3960,axiom,(
    ~ b000000011000000001000110000(bitIndex2) )).

fof(bitBlastConstant_3959,axiom,(
    ~ b000000011000000001000110000(bitIndex1) )).

fof(bitBlastConstant_3958,axiom,(
    ~ b000000011000000001000110000(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_159,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4675(VarCurr)
      <=> v4679(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_160,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4675(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_80,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4679(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_111,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4679(VarCurr)
      <=> v4681(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_112,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4679(VarCurr)
      <=> v4680(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_297,axiom,(
    ! [VarCurr] :
      ( v4681(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_3957,axiom,(
    ~ b000000011100000001000101111(bitIndex26) )).

fof(bitBlastConstant_3956,axiom,(
    ~ b000000011100000001000101111(bitIndex25) )).

fof(bitBlastConstant_3955,axiom,(
    ~ b000000011100000001000101111(bitIndex24) )).

fof(bitBlastConstant_3954,axiom,(
    ~ b000000011100000001000101111(bitIndex23) )).

fof(bitBlastConstant_3953,axiom,(
    ~ b000000011100000001000101111(bitIndex22) )).

fof(bitBlastConstant_3952,axiom,(
    ~ b000000011100000001000101111(bitIndex21) )).

fof(bitBlastConstant_3951,axiom,(
    ~ b000000011100000001000101111(bitIndex20) )).

fof(bitBlastConstant_3950,axiom,(
    b000000011100000001000101111(bitIndex19) )).

fof(bitBlastConstant_3949,axiom,(
    b000000011100000001000101111(bitIndex18) )).

fof(bitBlastConstant_3948,axiom,(
    b000000011100000001000101111(bitIndex17) )).

fof(bitBlastConstant_3947,axiom,(
    ~ b000000011100000001000101111(bitIndex16) )).

fof(bitBlastConstant_3946,axiom,(
    ~ b000000011100000001000101111(bitIndex15) )).

fof(bitBlastConstant_3945,axiom,(
    ~ b000000011100000001000101111(bitIndex14) )).

fof(bitBlastConstant_3944,axiom,(
    ~ b000000011100000001000101111(bitIndex13) )).

fof(bitBlastConstant_3943,axiom,(
    ~ b000000011100000001000101111(bitIndex12) )).

fof(bitBlastConstant_3942,axiom,(
    ~ b000000011100000001000101111(bitIndex11) )).

fof(bitBlastConstant_3941,axiom,(
    ~ b000000011100000001000101111(bitIndex10) )).

fof(bitBlastConstant_3940,axiom,(
    b000000011100000001000101111(bitIndex9) )).

fof(bitBlastConstant_3939,axiom,(
    ~ b000000011100000001000101111(bitIndex8) )).

fof(bitBlastConstant_3938,axiom,(
    ~ b000000011100000001000101111(bitIndex7) )).

fof(bitBlastConstant_3937,axiom,(
    ~ b000000011100000001000101111(bitIndex6) )).

fof(bitBlastConstant_3936,axiom,(
    b000000011100000001000101111(bitIndex5) )).

fof(bitBlastConstant_3935,axiom,(
    ~ b000000011100000001000101111(bitIndex4) )).

fof(bitBlastConstant_3934,axiom,(
    b000000011100000001000101111(bitIndex3) )).

fof(bitBlastConstant_3933,axiom,(
    b000000011100000001000101111(bitIndex2) )).

fof(bitBlastConstant_3932,axiom,(
    b000000011100000001000101111(bitIndex1) )).

fof(bitBlastConstant_3931,axiom,(
    b000000011100000001000101111(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_296,axiom,(
    ! [VarCurr] :
      ( v4680(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_3930,axiom,(
    ~ b000000011000000001000101111(bitIndex26) )).

fof(bitBlastConstant_3929,axiom,(
    ~ b000000011000000001000101111(bitIndex25) )).

fof(bitBlastConstant_3928,axiom,(
    ~ b000000011000000001000101111(bitIndex24) )).

fof(bitBlastConstant_3927,axiom,(
    ~ b000000011000000001000101111(bitIndex23) )).

fof(bitBlastConstant_3926,axiom,(
    ~ b000000011000000001000101111(bitIndex22) )).

fof(bitBlastConstant_3925,axiom,(
    ~ b000000011000000001000101111(bitIndex21) )).

fof(bitBlastConstant_3924,axiom,(
    ~ b000000011000000001000101111(bitIndex20) )).

fof(bitBlastConstant_3923,axiom,(
    b000000011000000001000101111(bitIndex19) )).

fof(bitBlastConstant_3922,axiom,(
    b000000011000000001000101111(bitIndex18) )).

fof(bitBlastConstant_3921,axiom,(
    ~ b000000011000000001000101111(bitIndex17) )).

fof(bitBlastConstant_3920,axiom,(
    ~ b000000011000000001000101111(bitIndex16) )).

fof(bitBlastConstant_3919,axiom,(
    ~ b000000011000000001000101111(bitIndex15) )).

fof(bitBlastConstant_3918,axiom,(
    ~ b000000011000000001000101111(bitIndex14) )).

fof(bitBlastConstant_3917,axiom,(
    ~ b000000011000000001000101111(bitIndex13) )).

fof(bitBlastConstant_3916,axiom,(
    ~ b000000011000000001000101111(bitIndex12) )).

fof(bitBlastConstant_3915,axiom,(
    ~ b000000011000000001000101111(bitIndex11) )).

fof(bitBlastConstant_3914,axiom,(
    ~ b000000011000000001000101111(bitIndex10) )).

fof(bitBlastConstant_3913,axiom,(
    b000000011000000001000101111(bitIndex9) )).

fof(bitBlastConstant_3912,axiom,(
    ~ b000000011000000001000101111(bitIndex8) )).

fof(bitBlastConstant_3911,axiom,(
    ~ b000000011000000001000101111(bitIndex7) )).

fof(bitBlastConstant_3910,axiom,(
    ~ b000000011000000001000101111(bitIndex6) )).

fof(bitBlastConstant_3909,axiom,(
    b000000011000000001000101111(bitIndex5) )).

fof(bitBlastConstant_3908,axiom,(
    ~ b000000011000000001000101111(bitIndex4) )).

fof(bitBlastConstant_3907,axiom,(
    b000000011000000001000101111(bitIndex3) )).

fof(bitBlastConstant_3906,axiom,(
    b000000011000000001000101111(bitIndex2) )).

fof(bitBlastConstant_3905,axiom,(
    b000000011000000001000101111(bitIndex1) )).

fof(bitBlastConstant_3904,axiom,(
    b000000011000000001000101111(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_158,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4667(VarCurr)
      <=> v4671(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_159,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4667(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_79,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4671(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_110,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4671(VarCurr)
      <=> v4673(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_111,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4671(VarCurr)
      <=> v4672(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_295,axiom,(
    ! [VarCurr] :
      ( v4673(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_3903,axiom,(
    ~ b000000011100000001000101110(bitIndex26) )).

fof(bitBlastConstant_3902,axiom,(
    ~ b000000011100000001000101110(bitIndex25) )).

fof(bitBlastConstant_3901,axiom,(
    ~ b000000011100000001000101110(bitIndex24) )).

fof(bitBlastConstant_3900,axiom,(
    ~ b000000011100000001000101110(bitIndex23) )).

fof(bitBlastConstant_3899,axiom,(
    ~ b000000011100000001000101110(bitIndex22) )).

fof(bitBlastConstant_3898,axiom,(
    ~ b000000011100000001000101110(bitIndex21) )).

fof(bitBlastConstant_3897,axiom,(
    ~ b000000011100000001000101110(bitIndex20) )).

fof(bitBlastConstant_3896,axiom,(
    b000000011100000001000101110(bitIndex19) )).

fof(bitBlastConstant_3895,axiom,(
    b000000011100000001000101110(bitIndex18) )).

fof(bitBlastConstant_3894,axiom,(
    b000000011100000001000101110(bitIndex17) )).

fof(bitBlastConstant_3893,axiom,(
    ~ b000000011100000001000101110(bitIndex16) )).

fof(bitBlastConstant_3892,axiom,(
    ~ b000000011100000001000101110(bitIndex15) )).

fof(bitBlastConstant_3891,axiom,(
    ~ b000000011100000001000101110(bitIndex14) )).

fof(bitBlastConstant_3890,axiom,(
    ~ b000000011100000001000101110(bitIndex13) )).

fof(bitBlastConstant_3889,axiom,(
    ~ b000000011100000001000101110(bitIndex12) )).

fof(bitBlastConstant_3888,axiom,(
    ~ b000000011100000001000101110(bitIndex11) )).

fof(bitBlastConstant_3887,axiom,(
    ~ b000000011100000001000101110(bitIndex10) )).

fof(bitBlastConstant_3886,axiom,(
    b000000011100000001000101110(bitIndex9) )).

fof(bitBlastConstant_3885,axiom,(
    ~ b000000011100000001000101110(bitIndex8) )).

fof(bitBlastConstant_3884,axiom,(
    ~ b000000011100000001000101110(bitIndex7) )).

fof(bitBlastConstant_3883,axiom,(
    ~ b000000011100000001000101110(bitIndex6) )).

fof(bitBlastConstant_3882,axiom,(
    b000000011100000001000101110(bitIndex5) )).

fof(bitBlastConstant_3881,axiom,(
    ~ b000000011100000001000101110(bitIndex4) )).

fof(bitBlastConstant_3880,axiom,(
    b000000011100000001000101110(bitIndex3) )).

fof(bitBlastConstant_3879,axiom,(
    b000000011100000001000101110(bitIndex2) )).

fof(bitBlastConstant_3878,axiom,(
    b000000011100000001000101110(bitIndex1) )).

fof(bitBlastConstant_3877,axiom,(
    ~ b000000011100000001000101110(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_294,axiom,(
    ! [VarCurr] :
      ( v4672(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_3876,axiom,(
    ~ b000000011000000001000101110(bitIndex26) )).

fof(bitBlastConstant_3875,axiom,(
    ~ b000000011000000001000101110(bitIndex25) )).

fof(bitBlastConstant_3874,axiom,(
    ~ b000000011000000001000101110(bitIndex24) )).

fof(bitBlastConstant_3873,axiom,(
    ~ b000000011000000001000101110(bitIndex23) )).

fof(bitBlastConstant_3872,axiom,(
    ~ b000000011000000001000101110(bitIndex22) )).

fof(bitBlastConstant_3871,axiom,(
    ~ b000000011000000001000101110(bitIndex21) )).

fof(bitBlastConstant_3870,axiom,(
    ~ b000000011000000001000101110(bitIndex20) )).

fof(bitBlastConstant_3869,axiom,(
    b000000011000000001000101110(bitIndex19) )).

fof(bitBlastConstant_3868,axiom,(
    b000000011000000001000101110(bitIndex18) )).

fof(bitBlastConstant_3867,axiom,(
    ~ b000000011000000001000101110(bitIndex17) )).

fof(bitBlastConstant_3866,axiom,(
    ~ b000000011000000001000101110(bitIndex16) )).

fof(bitBlastConstant_3865,axiom,(
    ~ b000000011000000001000101110(bitIndex15) )).

fof(bitBlastConstant_3864,axiom,(
    ~ b000000011000000001000101110(bitIndex14) )).

fof(bitBlastConstant_3863,axiom,(
    ~ b000000011000000001000101110(bitIndex13) )).

fof(bitBlastConstant_3862,axiom,(
    ~ b000000011000000001000101110(bitIndex12) )).

fof(bitBlastConstant_3861,axiom,(
    ~ b000000011000000001000101110(bitIndex11) )).

fof(bitBlastConstant_3860,axiom,(
    ~ b000000011000000001000101110(bitIndex10) )).

fof(bitBlastConstant_3859,axiom,(
    b000000011000000001000101110(bitIndex9) )).

fof(bitBlastConstant_3858,axiom,(
    ~ b000000011000000001000101110(bitIndex8) )).

fof(bitBlastConstant_3857,axiom,(
    ~ b000000011000000001000101110(bitIndex7) )).

fof(bitBlastConstant_3856,axiom,(
    ~ b000000011000000001000101110(bitIndex6) )).

fof(bitBlastConstant_3855,axiom,(
    b000000011000000001000101110(bitIndex5) )).

fof(bitBlastConstant_3854,axiom,(
    ~ b000000011000000001000101110(bitIndex4) )).

fof(bitBlastConstant_3853,axiom,(
    b000000011000000001000101110(bitIndex3) )).

fof(bitBlastConstant_3852,axiom,(
    b000000011000000001000101110(bitIndex2) )).

fof(bitBlastConstant_3851,axiom,(
    b000000011000000001000101110(bitIndex1) )).

fof(bitBlastConstant_3850,axiom,(
    ~ b000000011000000001000101110(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_157,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4659(VarCurr)
      <=> v4663(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_158,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4659(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_78,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4663(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_109,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4663(VarCurr)
      <=> v4665(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_110,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4663(VarCurr)
      <=> v4664(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_293,axiom,(
    ! [VarCurr] :
      ( v4665(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_3849,axiom,(
    ~ b000000011100000001000101101(bitIndex26) )).

fof(bitBlastConstant_3848,axiom,(
    ~ b000000011100000001000101101(bitIndex25) )).

fof(bitBlastConstant_3847,axiom,(
    ~ b000000011100000001000101101(bitIndex24) )).

fof(bitBlastConstant_3846,axiom,(
    ~ b000000011100000001000101101(bitIndex23) )).

fof(bitBlastConstant_3845,axiom,(
    ~ b000000011100000001000101101(bitIndex22) )).

fof(bitBlastConstant_3844,axiom,(
    ~ b000000011100000001000101101(bitIndex21) )).

fof(bitBlastConstant_3843,axiom,(
    ~ b000000011100000001000101101(bitIndex20) )).

fof(bitBlastConstant_3842,axiom,(
    b000000011100000001000101101(bitIndex19) )).

fof(bitBlastConstant_3841,axiom,(
    b000000011100000001000101101(bitIndex18) )).

fof(bitBlastConstant_3840,axiom,(
    b000000011100000001000101101(bitIndex17) )).

fof(bitBlastConstant_3839,axiom,(
    ~ b000000011100000001000101101(bitIndex16) )).

fof(bitBlastConstant_3838,axiom,(
    ~ b000000011100000001000101101(bitIndex15) )).

fof(bitBlastConstant_3837,axiom,(
    ~ b000000011100000001000101101(bitIndex14) )).

fof(bitBlastConstant_3836,axiom,(
    ~ b000000011100000001000101101(bitIndex13) )).

fof(bitBlastConstant_3835,axiom,(
    ~ b000000011100000001000101101(bitIndex12) )).

fof(bitBlastConstant_3834,axiom,(
    ~ b000000011100000001000101101(bitIndex11) )).

fof(bitBlastConstant_3833,axiom,(
    ~ b000000011100000001000101101(bitIndex10) )).

fof(bitBlastConstant_3832,axiom,(
    b000000011100000001000101101(bitIndex9) )).

fof(bitBlastConstant_3831,axiom,(
    ~ b000000011100000001000101101(bitIndex8) )).

fof(bitBlastConstant_3830,axiom,(
    ~ b000000011100000001000101101(bitIndex7) )).

fof(bitBlastConstant_3829,axiom,(
    ~ b000000011100000001000101101(bitIndex6) )).

fof(bitBlastConstant_3828,axiom,(
    b000000011100000001000101101(bitIndex5) )).

fof(bitBlastConstant_3827,axiom,(
    ~ b000000011100000001000101101(bitIndex4) )).

fof(bitBlastConstant_3826,axiom,(
    b000000011100000001000101101(bitIndex3) )).

fof(bitBlastConstant_3825,axiom,(
    b000000011100000001000101101(bitIndex2) )).

fof(bitBlastConstant_3824,axiom,(
    ~ b000000011100000001000101101(bitIndex1) )).

fof(bitBlastConstant_3823,axiom,(
    b000000011100000001000101101(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_292,axiom,(
    ! [VarCurr] :
      ( v4664(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_3822,axiom,(
    ~ b000000011000000001000101101(bitIndex26) )).

fof(bitBlastConstant_3821,axiom,(
    ~ b000000011000000001000101101(bitIndex25) )).

fof(bitBlastConstant_3820,axiom,(
    ~ b000000011000000001000101101(bitIndex24) )).

fof(bitBlastConstant_3819,axiom,(
    ~ b000000011000000001000101101(bitIndex23) )).

fof(bitBlastConstant_3818,axiom,(
    ~ b000000011000000001000101101(bitIndex22) )).

fof(bitBlastConstant_3817,axiom,(
    ~ b000000011000000001000101101(bitIndex21) )).

fof(bitBlastConstant_3816,axiom,(
    ~ b000000011000000001000101101(bitIndex20) )).

fof(bitBlastConstant_3815,axiom,(
    b000000011000000001000101101(bitIndex19) )).

fof(bitBlastConstant_3814,axiom,(
    b000000011000000001000101101(bitIndex18) )).

fof(bitBlastConstant_3813,axiom,(
    ~ b000000011000000001000101101(bitIndex17) )).

fof(bitBlastConstant_3812,axiom,(
    ~ b000000011000000001000101101(bitIndex16) )).

fof(bitBlastConstant_3811,axiom,(
    ~ b000000011000000001000101101(bitIndex15) )).

fof(bitBlastConstant_3810,axiom,(
    ~ b000000011000000001000101101(bitIndex14) )).

fof(bitBlastConstant_3809,axiom,(
    ~ b000000011000000001000101101(bitIndex13) )).

fof(bitBlastConstant_3808,axiom,(
    ~ b000000011000000001000101101(bitIndex12) )).

fof(bitBlastConstant_3807,axiom,(
    ~ b000000011000000001000101101(bitIndex11) )).

fof(bitBlastConstant_3806,axiom,(
    ~ b000000011000000001000101101(bitIndex10) )).

fof(bitBlastConstant_3805,axiom,(
    b000000011000000001000101101(bitIndex9) )).

fof(bitBlastConstant_3804,axiom,(
    ~ b000000011000000001000101101(bitIndex8) )).

fof(bitBlastConstant_3803,axiom,(
    ~ b000000011000000001000101101(bitIndex7) )).

fof(bitBlastConstant_3802,axiom,(
    ~ b000000011000000001000101101(bitIndex6) )).

fof(bitBlastConstant_3801,axiom,(
    b000000011000000001000101101(bitIndex5) )).

fof(bitBlastConstant_3800,axiom,(
    ~ b000000011000000001000101101(bitIndex4) )).

fof(bitBlastConstant_3799,axiom,(
    b000000011000000001000101101(bitIndex3) )).

fof(bitBlastConstant_3798,axiom,(
    b000000011000000001000101101(bitIndex2) )).

fof(bitBlastConstant_3797,axiom,(
    ~ b000000011000000001000101101(bitIndex1) )).

fof(bitBlastConstant_3796,axiom,(
    b000000011000000001000101101(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_156,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4651(VarCurr)
      <=> v4655(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_157,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4651(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_77,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4655(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_108,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4655(VarCurr)
      <=> v4657(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_109,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4655(VarCurr)
      <=> v4656(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_291,axiom,(
    ! [VarCurr] :
      ( v4657(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_3795,axiom,(
    ~ b000000011100000001000101100(bitIndex26) )).

fof(bitBlastConstant_3794,axiom,(
    ~ b000000011100000001000101100(bitIndex25) )).

fof(bitBlastConstant_3793,axiom,(
    ~ b000000011100000001000101100(bitIndex24) )).

fof(bitBlastConstant_3792,axiom,(
    ~ b000000011100000001000101100(bitIndex23) )).

fof(bitBlastConstant_3791,axiom,(
    ~ b000000011100000001000101100(bitIndex22) )).

fof(bitBlastConstant_3790,axiom,(
    ~ b000000011100000001000101100(bitIndex21) )).

fof(bitBlastConstant_3789,axiom,(
    ~ b000000011100000001000101100(bitIndex20) )).

fof(bitBlastConstant_3788,axiom,(
    b000000011100000001000101100(bitIndex19) )).

fof(bitBlastConstant_3787,axiom,(
    b000000011100000001000101100(bitIndex18) )).

fof(bitBlastConstant_3786,axiom,(
    b000000011100000001000101100(bitIndex17) )).

fof(bitBlastConstant_3785,axiom,(
    ~ b000000011100000001000101100(bitIndex16) )).

fof(bitBlastConstant_3784,axiom,(
    ~ b000000011100000001000101100(bitIndex15) )).

fof(bitBlastConstant_3783,axiom,(
    ~ b000000011100000001000101100(bitIndex14) )).

fof(bitBlastConstant_3782,axiom,(
    ~ b000000011100000001000101100(bitIndex13) )).

fof(bitBlastConstant_3781,axiom,(
    ~ b000000011100000001000101100(bitIndex12) )).

fof(bitBlastConstant_3780,axiom,(
    ~ b000000011100000001000101100(bitIndex11) )).

fof(bitBlastConstant_3779,axiom,(
    ~ b000000011100000001000101100(bitIndex10) )).

fof(bitBlastConstant_3778,axiom,(
    b000000011100000001000101100(bitIndex9) )).

fof(bitBlastConstant_3777,axiom,(
    ~ b000000011100000001000101100(bitIndex8) )).

fof(bitBlastConstant_3776,axiom,(
    ~ b000000011100000001000101100(bitIndex7) )).

fof(bitBlastConstant_3775,axiom,(
    ~ b000000011100000001000101100(bitIndex6) )).

fof(bitBlastConstant_3774,axiom,(
    b000000011100000001000101100(bitIndex5) )).

fof(bitBlastConstant_3773,axiom,(
    ~ b000000011100000001000101100(bitIndex4) )).

fof(bitBlastConstant_3772,axiom,(
    b000000011100000001000101100(bitIndex3) )).

fof(bitBlastConstant_3771,axiom,(
    b000000011100000001000101100(bitIndex2) )).

fof(bitBlastConstant_3770,axiom,(
    ~ b000000011100000001000101100(bitIndex1) )).

fof(bitBlastConstant_3769,axiom,(
    ~ b000000011100000001000101100(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_290,axiom,(
    ! [VarCurr] :
      ( v4656(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_3768,axiom,(
    ~ b000000011000000001000101100(bitIndex26) )).

fof(bitBlastConstant_3767,axiom,(
    ~ b000000011000000001000101100(bitIndex25) )).

fof(bitBlastConstant_3766,axiom,(
    ~ b000000011000000001000101100(bitIndex24) )).

fof(bitBlastConstant_3765,axiom,(
    ~ b000000011000000001000101100(bitIndex23) )).

fof(bitBlastConstant_3764,axiom,(
    ~ b000000011000000001000101100(bitIndex22) )).

fof(bitBlastConstant_3763,axiom,(
    ~ b000000011000000001000101100(bitIndex21) )).

fof(bitBlastConstant_3762,axiom,(
    ~ b000000011000000001000101100(bitIndex20) )).

fof(bitBlastConstant_3761,axiom,(
    b000000011000000001000101100(bitIndex19) )).

fof(bitBlastConstant_3760,axiom,(
    b000000011000000001000101100(bitIndex18) )).

fof(bitBlastConstant_3759,axiom,(
    ~ b000000011000000001000101100(bitIndex17) )).

fof(bitBlastConstant_3758,axiom,(
    ~ b000000011000000001000101100(bitIndex16) )).

fof(bitBlastConstant_3757,axiom,(
    ~ b000000011000000001000101100(bitIndex15) )).

fof(bitBlastConstant_3756,axiom,(
    ~ b000000011000000001000101100(bitIndex14) )).

fof(bitBlastConstant_3755,axiom,(
    ~ b000000011000000001000101100(bitIndex13) )).

fof(bitBlastConstant_3754,axiom,(
    ~ b000000011000000001000101100(bitIndex12) )).

fof(bitBlastConstant_3753,axiom,(
    ~ b000000011000000001000101100(bitIndex11) )).

fof(bitBlastConstant_3752,axiom,(
    ~ b000000011000000001000101100(bitIndex10) )).

fof(bitBlastConstant_3751,axiom,(
    b000000011000000001000101100(bitIndex9) )).

fof(bitBlastConstant_3750,axiom,(
    ~ b000000011000000001000101100(bitIndex8) )).

fof(bitBlastConstant_3749,axiom,(
    ~ b000000011000000001000101100(bitIndex7) )).

fof(bitBlastConstant_3748,axiom,(
    ~ b000000011000000001000101100(bitIndex6) )).

fof(bitBlastConstant_3747,axiom,(
    b000000011000000001000101100(bitIndex5) )).

fof(bitBlastConstant_3746,axiom,(
    ~ b000000011000000001000101100(bitIndex4) )).

fof(bitBlastConstant_3745,axiom,(
    b000000011000000001000101100(bitIndex3) )).

fof(bitBlastConstant_3744,axiom,(
    b000000011000000001000101100(bitIndex2) )).

fof(bitBlastConstant_3743,axiom,(
    ~ b000000011000000001000101100(bitIndex1) )).

fof(bitBlastConstant_3742,axiom,(
    ~ b000000011000000001000101100(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_155,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4643(VarCurr)
      <=> v4647(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_156,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4643(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_76,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4647(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_107,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4647(VarCurr)
      <=> v4649(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_108,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4647(VarCurr)
      <=> v4648(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_289,axiom,(
    ! [VarCurr] :
      ( v4649(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_3741,axiom,(
    ~ b000000011100000001000101011(bitIndex26) )).

fof(bitBlastConstant_3740,axiom,(
    ~ b000000011100000001000101011(bitIndex25) )).

fof(bitBlastConstant_3739,axiom,(
    ~ b000000011100000001000101011(bitIndex24) )).

fof(bitBlastConstant_3738,axiom,(
    ~ b000000011100000001000101011(bitIndex23) )).

fof(bitBlastConstant_3737,axiom,(
    ~ b000000011100000001000101011(bitIndex22) )).

fof(bitBlastConstant_3736,axiom,(
    ~ b000000011100000001000101011(bitIndex21) )).

fof(bitBlastConstant_3735,axiom,(
    ~ b000000011100000001000101011(bitIndex20) )).

fof(bitBlastConstant_3734,axiom,(
    b000000011100000001000101011(bitIndex19) )).

fof(bitBlastConstant_3733,axiom,(
    b000000011100000001000101011(bitIndex18) )).

fof(bitBlastConstant_3732,axiom,(
    b000000011100000001000101011(bitIndex17) )).

fof(bitBlastConstant_3731,axiom,(
    ~ b000000011100000001000101011(bitIndex16) )).

fof(bitBlastConstant_3730,axiom,(
    ~ b000000011100000001000101011(bitIndex15) )).

fof(bitBlastConstant_3729,axiom,(
    ~ b000000011100000001000101011(bitIndex14) )).

fof(bitBlastConstant_3728,axiom,(
    ~ b000000011100000001000101011(bitIndex13) )).

fof(bitBlastConstant_3727,axiom,(
    ~ b000000011100000001000101011(bitIndex12) )).

fof(bitBlastConstant_3726,axiom,(
    ~ b000000011100000001000101011(bitIndex11) )).

fof(bitBlastConstant_3725,axiom,(
    ~ b000000011100000001000101011(bitIndex10) )).

fof(bitBlastConstant_3724,axiom,(
    b000000011100000001000101011(bitIndex9) )).

fof(bitBlastConstant_3723,axiom,(
    ~ b000000011100000001000101011(bitIndex8) )).

fof(bitBlastConstant_3722,axiom,(
    ~ b000000011100000001000101011(bitIndex7) )).

fof(bitBlastConstant_3721,axiom,(
    ~ b000000011100000001000101011(bitIndex6) )).

fof(bitBlastConstant_3720,axiom,(
    b000000011100000001000101011(bitIndex5) )).

fof(bitBlastConstant_3719,axiom,(
    ~ b000000011100000001000101011(bitIndex4) )).

fof(bitBlastConstant_3718,axiom,(
    b000000011100000001000101011(bitIndex3) )).

fof(bitBlastConstant_3717,axiom,(
    ~ b000000011100000001000101011(bitIndex2) )).

fof(bitBlastConstant_3716,axiom,(
    b000000011100000001000101011(bitIndex1) )).

fof(bitBlastConstant_3715,axiom,(
    b000000011100000001000101011(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_288,axiom,(
    ! [VarCurr] :
      ( v4648(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_3714,axiom,(
    ~ b000000011000000001000101011(bitIndex26) )).

fof(bitBlastConstant_3713,axiom,(
    ~ b000000011000000001000101011(bitIndex25) )).

fof(bitBlastConstant_3712,axiom,(
    ~ b000000011000000001000101011(bitIndex24) )).

fof(bitBlastConstant_3711,axiom,(
    ~ b000000011000000001000101011(bitIndex23) )).

fof(bitBlastConstant_3710,axiom,(
    ~ b000000011000000001000101011(bitIndex22) )).

fof(bitBlastConstant_3709,axiom,(
    ~ b000000011000000001000101011(bitIndex21) )).

fof(bitBlastConstant_3708,axiom,(
    ~ b000000011000000001000101011(bitIndex20) )).

fof(bitBlastConstant_3707,axiom,(
    b000000011000000001000101011(bitIndex19) )).

fof(bitBlastConstant_3706,axiom,(
    b000000011000000001000101011(bitIndex18) )).

fof(bitBlastConstant_3705,axiom,(
    ~ b000000011000000001000101011(bitIndex17) )).

fof(bitBlastConstant_3704,axiom,(
    ~ b000000011000000001000101011(bitIndex16) )).

fof(bitBlastConstant_3703,axiom,(
    ~ b000000011000000001000101011(bitIndex15) )).

fof(bitBlastConstant_3702,axiom,(
    ~ b000000011000000001000101011(bitIndex14) )).

fof(bitBlastConstant_3701,axiom,(
    ~ b000000011000000001000101011(bitIndex13) )).

fof(bitBlastConstant_3700,axiom,(
    ~ b000000011000000001000101011(bitIndex12) )).

fof(bitBlastConstant_3699,axiom,(
    ~ b000000011000000001000101011(bitIndex11) )).

fof(bitBlastConstant_3698,axiom,(
    ~ b000000011000000001000101011(bitIndex10) )).

fof(bitBlastConstant_3697,axiom,(
    b000000011000000001000101011(bitIndex9) )).

fof(bitBlastConstant_3696,axiom,(
    ~ b000000011000000001000101011(bitIndex8) )).

fof(bitBlastConstant_3695,axiom,(
    ~ b000000011000000001000101011(bitIndex7) )).

fof(bitBlastConstant_3694,axiom,(
    ~ b000000011000000001000101011(bitIndex6) )).

fof(bitBlastConstant_3693,axiom,(
    b000000011000000001000101011(bitIndex5) )).

fof(bitBlastConstant_3692,axiom,(
    ~ b000000011000000001000101011(bitIndex4) )).

fof(bitBlastConstant_3691,axiom,(
    b000000011000000001000101011(bitIndex3) )).

fof(bitBlastConstant_3690,axiom,(
    ~ b000000011000000001000101011(bitIndex2) )).

fof(bitBlastConstant_3689,axiom,(
    b000000011000000001000101011(bitIndex1) )).

fof(bitBlastConstant_3688,axiom,(
    b000000011000000001000101011(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_154,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4635(VarCurr)
      <=> v4639(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_155,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4635(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_75,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4639(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_106,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4639(VarCurr)
      <=> v4641(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_107,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4639(VarCurr)
      <=> v4640(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_287,axiom,(
    ! [VarCurr] :
      ( v4641(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_3687,axiom,(
    ~ b000000011100000001000101010(bitIndex26) )).

fof(bitBlastConstant_3686,axiom,(
    ~ b000000011100000001000101010(bitIndex25) )).

fof(bitBlastConstant_3685,axiom,(
    ~ b000000011100000001000101010(bitIndex24) )).

fof(bitBlastConstant_3684,axiom,(
    ~ b000000011100000001000101010(bitIndex23) )).

fof(bitBlastConstant_3683,axiom,(
    ~ b000000011100000001000101010(bitIndex22) )).

fof(bitBlastConstant_3682,axiom,(
    ~ b000000011100000001000101010(bitIndex21) )).

fof(bitBlastConstant_3681,axiom,(
    ~ b000000011100000001000101010(bitIndex20) )).

fof(bitBlastConstant_3680,axiom,(
    b000000011100000001000101010(bitIndex19) )).

fof(bitBlastConstant_3679,axiom,(
    b000000011100000001000101010(bitIndex18) )).

fof(bitBlastConstant_3678,axiom,(
    b000000011100000001000101010(bitIndex17) )).

fof(bitBlastConstant_3677,axiom,(
    ~ b000000011100000001000101010(bitIndex16) )).

fof(bitBlastConstant_3676,axiom,(
    ~ b000000011100000001000101010(bitIndex15) )).

fof(bitBlastConstant_3675,axiom,(
    ~ b000000011100000001000101010(bitIndex14) )).

fof(bitBlastConstant_3674,axiom,(
    ~ b000000011100000001000101010(bitIndex13) )).

fof(bitBlastConstant_3673,axiom,(
    ~ b000000011100000001000101010(bitIndex12) )).

fof(bitBlastConstant_3672,axiom,(
    ~ b000000011100000001000101010(bitIndex11) )).

fof(bitBlastConstant_3671,axiom,(
    ~ b000000011100000001000101010(bitIndex10) )).

fof(bitBlastConstant_3670,axiom,(
    b000000011100000001000101010(bitIndex9) )).

fof(bitBlastConstant_3669,axiom,(
    ~ b000000011100000001000101010(bitIndex8) )).

fof(bitBlastConstant_3668,axiom,(
    ~ b000000011100000001000101010(bitIndex7) )).

fof(bitBlastConstant_3667,axiom,(
    ~ b000000011100000001000101010(bitIndex6) )).

fof(bitBlastConstant_3666,axiom,(
    b000000011100000001000101010(bitIndex5) )).

fof(bitBlastConstant_3665,axiom,(
    ~ b000000011100000001000101010(bitIndex4) )).

fof(bitBlastConstant_3664,axiom,(
    b000000011100000001000101010(bitIndex3) )).

fof(bitBlastConstant_3663,axiom,(
    ~ b000000011100000001000101010(bitIndex2) )).

fof(bitBlastConstant_3662,axiom,(
    b000000011100000001000101010(bitIndex1) )).

fof(bitBlastConstant_3661,axiom,(
    ~ b000000011100000001000101010(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_286,axiom,(
    ! [VarCurr] :
      ( v4640(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_3660,axiom,(
    ~ b000000011000000001000101010(bitIndex26) )).

fof(bitBlastConstant_3659,axiom,(
    ~ b000000011000000001000101010(bitIndex25) )).

fof(bitBlastConstant_3658,axiom,(
    ~ b000000011000000001000101010(bitIndex24) )).

fof(bitBlastConstant_3657,axiom,(
    ~ b000000011000000001000101010(bitIndex23) )).

fof(bitBlastConstant_3656,axiom,(
    ~ b000000011000000001000101010(bitIndex22) )).

fof(bitBlastConstant_3655,axiom,(
    ~ b000000011000000001000101010(bitIndex21) )).

fof(bitBlastConstant_3654,axiom,(
    ~ b000000011000000001000101010(bitIndex20) )).

fof(bitBlastConstant_3653,axiom,(
    b000000011000000001000101010(bitIndex19) )).

fof(bitBlastConstant_3652,axiom,(
    b000000011000000001000101010(bitIndex18) )).

fof(bitBlastConstant_3651,axiom,(
    ~ b000000011000000001000101010(bitIndex17) )).

fof(bitBlastConstant_3650,axiom,(
    ~ b000000011000000001000101010(bitIndex16) )).

fof(bitBlastConstant_3649,axiom,(
    ~ b000000011000000001000101010(bitIndex15) )).

fof(bitBlastConstant_3648,axiom,(
    ~ b000000011000000001000101010(bitIndex14) )).

fof(bitBlastConstant_3647,axiom,(
    ~ b000000011000000001000101010(bitIndex13) )).

fof(bitBlastConstant_3646,axiom,(
    ~ b000000011000000001000101010(bitIndex12) )).

fof(bitBlastConstant_3645,axiom,(
    ~ b000000011000000001000101010(bitIndex11) )).

fof(bitBlastConstant_3644,axiom,(
    ~ b000000011000000001000101010(bitIndex10) )).

fof(bitBlastConstant_3643,axiom,(
    b000000011000000001000101010(bitIndex9) )).

fof(bitBlastConstant_3642,axiom,(
    ~ b000000011000000001000101010(bitIndex8) )).

fof(bitBlastConstant_3641,axiom,(
    ~ b000000011000000001000101010(bitIndex7) )).

fof(bitBlastConstant_3640,axiom,(
    ~ b000000011000000001000101010(bitIndex6) )).

fof(bitBlastConstant_3639,axiom,(
    b000000011000000001000101010(bitIndex5) )).

fof(bitBlastConstant_3638,axiom,(
    ~ b000000011000000001000101010(bitIndex4) )).

fof(bitBlastConstant_3637,axiom,(
    b000000011000000001000101010(bitIndex3) )).

fof(bitBlastConstant_3636,axiom,(
    ~ b000000011000000001000101010(bitIndex2) )).

fof(bitBlastConstant_3635,axiom,(
    b000000011000000001000101010(bitIndex1) )).

fof(bitBlastConstant_3634,axiom,(
    ~ b000000011000000001000101010(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_153,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4627(VarCurr)
      <=> v4631(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_154,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4627(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_74,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4631(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_105,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4631(VarCurr)
      <=> v4633(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_106,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4631(VarCurr)
      <=> v4632(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_285,axiom,(
    ! [VarCurr] :
      ( v4633(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_3633,axiom,(
    ~ b000000011100000001000101001(bitIndex26) )).

fof(bitBlastConstant_3632,axiom,(
    ~ b000000011100000001000101001(bitIndex25) )).

fof(bitBlastConstant_3631,axiom,(
    ~ b000000011100000001000101001(bitIndex24) )).

fof(bitBlastConstant_3630,axiom,(
    ~ b000000011100000001000101001(bitIndex23) )).

fof(bitBlastConstant_3629,axiom,(
    ~ b000000011100000001000101001(bitIndex22) )).

fof(bitBlastConstant_3628,axiom,(
    ~ b000000011100000001000101001(bitIndex21) )).

fof(bitBlastConstant_3627,axiom,(
    ~ b000000011100000001000101001(bitIndex20) )).

fof(bitBlastConstant_3626,axiom,(
    b000000011100000001000101001(bitIndex19) )).

fof(bitBlastConstant_3625,axiom,(
    b000000011100000001000101001(bitIndex18) )).

fof(bitBlastConstant_3624,axiom,(
    b000000011100000001000101001(bitIndex17) )).

fof(bitBlastConstant_3623,axiom,(
    ~ b000000011100000001000101001(bitIndex16) )).

fof(bitBlastConstant_3622,axiom,(
    ~ b000000011100000001000101001(bitIndex15) )).

fof(bitBlastConstant_3621,axiom,(
    ~ b000000011100000001000101001(bitIndex14) )).

fof(bitBlastConstant_3620,axiom,(
    ~ b000000011100000001000101001(bitIndex13) )).

fof(bitBlastConstant_3619,axiom,(
    ~ b000000011100000001000101001(bitIndex12) )).

fof(bitBlastConstant_3618,axiom,(
    ~ b000000011100000001000101001(bitIndex11) )).

fof(bitBlastConstant_3617,axiom,(
    ~ b000000011100000001000101001(bitIndex10) )).

fof(bitBlastConstant_3616,axiom,(
    b000000011100000001000101001(bitIndex9) )).

fof(bitBlastConstant_3615,axiom,(
    ~ b000000011100000001000101001(bitIndex8) )).

fof(bitBlastConstant_3614,axiom,(
    ~ b000000011100000001000101001(bitIndex7) )).

fof(bitBlastConstant_3613,axiom,(
    ~ b000000011100000001000101001(bitIndex6) )).

fof(bitBlastConstant_3612,axiom,(
    b000000011100000001000101001(bitIndex5) )).

fof(bitBlastConstant_3611,axiom,(
    ~ b000000011100000001000101001(bitIndex4) )).

fof(bitBlastConstant_3610,axiom,(
    b000000011100000001000101001(bitIndex3) )).

fof(bitBlastConstant_3609,axiom,(
    ~ b000000011100000001000101001(bitIndex2) )).

fof(bitBlastConstant_3608,axiom,(
    ~ b000000011100000001000101001(bitIndex1) )).

fof(bitBlastConstant_3607,axiom,(
    b000000011100000001000101001(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_284,axiom,(
    ! [VarCurr] :
      ( v4632(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_3606,axiom,(
    ~ b000000011000000001000101001(bitIndex26) )).

fof(bitBlastConstant_3605,axiom,(
    ~ b000000011000000001000101001(bitIndex25) )).

fof(bitBlastConstant_3604,axiom,(
    ~ b000000011000000001000101001(bitIndex24) )).

fof(bitBlastConstant_3603,axiom,(
    ~ b000000011000000001000101001(bitIndex23) )).

fof(bitBlastConstant_3602,axiom,(
    ~ b000000011000000001000101001(bitIndex22) )).

fof(bitBlastConstant_3601,axiom,(
    ~ b000000011000000001000101001(bitIndex21) )).

fof(bitBlastConstant_3600,axiom,(
    ~ b000000011000000001000101001(bitIndex20) )).

fof(bitBlastConstant_3599,axiom,(
    b000000011000000001000101001(bitIndex19) )).

fof(bitBlastConstant_3598,axiom,(
    b000000011000000001000101001(bitIndex18) )).

fof(bitBlastConstant_3597,axiom,(
    ~ b000000011000000001000101001(bitIndex17) )).

fof(bitBlastConstant_3596,axiom,(
    ~ b000000011000000001000101001(bitIndex16) )).

fof(bitBlastConstant_3595,axiom,(
    ~ b000000011000000001000101001(bitIndex15) )).

fof(bitBlastConstant_3594,axiom,(
    ~ b000000011000000001000101001(bitIndex14) )).

fof(bitBlastConstant_3593,axiom,(
    ~ b000000011000000001000101001(bitIndex13) )).

fof(bitBlastConstant_3592,axiom,(
    ~ b000000011000000001000101001(bitIndex12) )).

fof(bitBlastConstant_3591,axiom,(
    ~ b000000011000000001000101001(bitIndex11) )).

fof(bitBlastConstant_3590,axiom,(
    ~ b000000011000000001000101001(bitIndex10) )).

fof(bitBlastConstant_3589,axiom,(
    b000000011000000001000101001(bitIndex9) )).

fof(bitBlastConstant_3588,axiom,(
    ~ b000000011000000001000101001(bitIndex8) )).

fof(bitBlastConstant_3587,axiom,(
    ~ b000000011000000001000101001(bitIndex7) )).

fof(bitBlastConstant_3586,axiom,(
    ~ b000000011000000001000101001(bitIndex6) )).

fof(bitBlastConstant_3585,axiom,(
    b000000011000000001000101001(bitIndex5) )).

fof(bitBlastConstant_3584,axiom,(
    ~ b000000011000000001000101001(bitIndex4) )).

fof(bitBlastConstant_3583,axiom,(
    b000000011000000001000101001(bitIndex3) )).

fof(bitBlastConstant_3582,axiom,(
    ~ b000000011000000001000101001(bitIndex2) )).

fof(bitBlastConstant_3581,axiom,(
    ~ b000000011000000001000101001(bitIndex1) )).

fof(bitBlastConstant_3580,axiom,(
    b000000011000000001000101001(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_152,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4619(VarCurr)
      <=> v4623(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_153,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4619(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_73,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4623(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_104,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4623(VarCurr)
      <=> v4625(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_105,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4623(VarCurr)
      <=> v4624(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_283,axiom,(
    ! [VarCurr] :
      ( v4625(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_3579,axiom,(
    ~ b000000011100000001000101000(bitIndex26) )).

fof(bitBlastConstant_3578,axiom,(
    ~ b000000011100000001000101000(bitIndex25) )).

fof(bitBlastConstant_3577,axiom,(
    ~ b000000011100000001000101000(bitIndex24) )).

fof(bitBlastConstant_3576,axiom,(
    ~ b000000011100000001000101000(bitIndex23) )).

fof(bitBlastConstant_3575,axiom,(
    ~ b000000011100000001000101000(bitIndex22) )).

fof(bitBlastConstant_3574,axiom,(
    ~ b000000011100000001000101000(bitIndex21) )).

fof(bitBlastConstant_3573,axiom,(
    ~ b000000011100000001000101000(bitIndex20) )).

fof(bitBlastConstant_3572,axiom,(
    b000000011100000001000101000(bitIndex19) )).

fof(bitBlastConstant_3571,axiom,(
    b000000011100000001000101000(bitIndex18) )).

fof(bitBlastConstant_3570,axiom,(
    b000000011100000001000101000(bitIndex17) )).

fof(bitBlastConstant_3569,axiom,(
    ~ b000000011100000001000101000(bitIndex16) )).

fof(bitBlastConstant_3568,axiom,(
    ~ b000000011100000001000101000(bitIndex15) )).

fof(bitBlastConstant_3567,axiom,(
    ~ b000000011100000001000101000(bitIndex14) )).

fof(bitBlastConstant_3566,axiom,(
    ~ b000000011100000001000101000(bitIndex13) )).

fof(bitBlastConstant_3565,axiom,(
    ~ b000000011100000001000101000(bitIndex12) )).

fof(bitBlastConstant_3564,axiom,(
    ~ b000000011100000001000101000(bitIndex11) )).

fof(bitBlastConstant_3563,axiom,(
    ~ b000000011100000001000101000(bitIndex10) )).

fof(bitBlastConstant_3562,axiom,(
    b000000011100000001000101000(bitIndex9) )).

fof(bitBlastConstant_3561,axiom,(
    ~ b000000011100000001000101000(bitIndex8) )).

fof(bitBlastConstant_3560,axiom,(
    ~ b000000011100000001000101000(bitIndex7) )).

fof(bitBlastConstant_3559,axiom,(
    ~ b000000011100000001000101000(bitIndex6) )).

fof(bitBlastConstant_3558,axiom,(
    b000000011100000001000101000(bitIndex5) )).

fof(bitBlastConstant_3557,axiom,(
    ~ b000000011100000001000101000(bitIndex4) )).

fof(bitBlastConstant_3556,axiom,(
    b000000011100000001000101000(bitIndex3) )).

fof(bitBlastConstant_3555,axiom,(
    ~ b000000011100000001000101000(bitIndex2) )).

fof(bitBlastConstant_3554,axiom,(
    ~ b000000011100000001000101000(bitIndex1) )).

fof(bitBlastConstant_3553,axiom,(
    ~ b000000011100000001000101000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_282,axiom,(
    ! [VarCurr] :
      ( v4624(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_3552,axiom,(
    ~ b000000011000000001000101000(bitIndex26) )).

fof(bitBlastConstant_3551,axiom,(
    ~ b000000011000000001000101000(bitIndex25) )).

fof(bitBlastConstant_3550,axiom,(
    ~ b000000011000000001000101000(bitIndex24) )).

fof(bitBlastConstant_3549,axiom,(
    ~ b000000011000000001000101000(bitIndex23) )).

fof(bitBlastConstant_3548,axiom,(
    ~ b000000011000000001000101000(bitIndex22) )).

fof(bitBlastConstant_3547,axiom,(
    ~ b000000011000000001000101000(bitIndex21) )).

fof(bitBlastConstant_3546,axiom,(
    ~ b000000011000000001000101000(bitIndex20) )).

fof(bitBlastConstant_3545,axiom,(
    b000000011000000001000101000(bitIndex19) )).

fof(bitBlastConstant_3544,axiom,(
    b000000011000000001000101000(bitIndex18) )).

fof(bitBlastConstant_3543,axiom,(
    ~ b000000011000000001000101000(bitIndex17) )).

fof(bitBlastConstant_3542,axiom,(
    ~ b000000011000000001000101000(bitIndex16) )).

fof(bitBlastConstant_3541,axiom,(
    ~ b000000011000000001000101000(bitIndex15) )).

fof(bitBlastConstant_3540,axiom,(
    ~ b000000011000000001000101000(bitIndex14) )).

fof(bitBlastConstant_3539,axiom,(
    ~ b000000011000000001000101000(bitIndex13) )).

fof(bitBlastConstant_3538,axiom,(
    ~ b000000011000000001000101000(bitIndex12) )).

fof(bitBlastConstant_3537,axiom,(
    ~ b000000011000000001000101000(bitIndex11) )).

fof(bitBlastConstant_3536,axiom,(
    ~ b000000011000000001000101000(bitIndex10) )).

fof(bitBlastConstant_3535,axiom,(
    b000000011000000001000101000(bitIndex9) )).

fof(bitBlastConstant_3534,axiom,(
    ~ b000000011000000001000101000(bitIndex8) )).

fof(bitBlastConstant_3533,axiom,(
    ~ b000000011000000001000101000(bitIndex7) )).

fof(bitBlastConstant_3532,axiom,(
    ~ b000000011000000001000101000(bitIndex6) )).

fof(bitBlastConstant_3531,axiom,(
    b000000011000000001000101000(bitIndex5) )).

fof(bitBlastConstant_3530,axiom,(
    ~ b000000011000000001000101000(bitIndex4) )).

fof(bitBlastConstant_3529,axiom,(
    b000000011000000001000101000(bitIndex3) )).

fof(bitBlastConstant_3528,axiom,(
    ~ b000000011000000001000101000(bitIndex2) )).

fof(bitBlastConstant_3527,axiom,(
    ~ b000000011000000001000101000(bitIndex1) )).

fof(bitBlastConstant_3526,axiom,(
    ~ b000000011000000001000101000(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_151,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4611(VarCurr)
      <=> v4615(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_152,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4611(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_72,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4615(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_103,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4615(VarCurr)
      <=> v4617(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_104,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4615(VarCurr)
      <=> v4616(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_281,axiom,(
    ! [VarCurr] :
      ( v4617(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_3525,axiom,(
    ~ b000000011100000001000100111(bitIndex26) )).

fof(bitBlastConstant_3524,axiom,(
    ~ b000000011100000001000100111(bitIndex25) )).

fof(bitBlastConstant_3523,axiom,(
    ~ b000000011100000001000100111(bitIndex24) )).

fof(bitBlastConstant_3522,axiom,(
    ~ b000000011100000001000100111(bitIndex23) )).

fof(bitBlastConstant_3521,axiom,(
    ~ b000000011100000001000100111(bitIndex22) )).

fof(bitBlastConstant_3520,axiom,(
    ~ b000000011100000001000100111(bitIndex21) )).

fof(bitBlastConstant_3519,axiom,(
    ~ b000000011100000001000100111(bitIndex20) )).

fof(bitBlastConstant_3518,axiom,(
    b000000011100000001000100111(bitIndex19) )).

fof(bitBlastConstant_3517,axiom,(
    b000000011100000001000100111(bitIndex18) )).

fof(bitBlastConstant_3516,axiom,(
    b000000011100000001000100111(bitIndex17) )).

fof(bitBlastConstant_3515,axiom,(
    ~ b000000011100000001000100111(bitIndex16) )).

fof(bitBlastConstant_3514,axiom,(
    ~ b000000011100000001000100111(bitIndex15) )).

fof(bitBlastConstant_3513,axiom,(
    ~ b000000011100000001000100111(bitIndex14) )).

fof(bitBlastConstant_3512,axiom,(
    ~ b000000011100000001000100111(bitIndex13) )).

fof(bitBlastConstant_3511,axiom,(
    ~ b000000011100000001000100111(bitIndex12) )).

fof(bitBlastConstant_3510,axiom,(
    ~ b000000011100000001000100111(bitIndex11) )).

fof(bitBlastConstant_3509,axiom,(
    ~ b000000011100000001000100111(bitIndex10) )).

fof(bitBlastConstant_3508,axiom,(
    b000000011100000001000100111(bitIndex9) )).

fof(bitBlastConstant_3507,axiom,(
    ~ b000000011100000001000100111(bitIndex8) )).

fof(bitBlastConstant_3506,axiom,(
    ~ b000000011100000001000100111(bitIndex7) )).

fof(bitBlastConstant_3505,axiom,(
    ~ b000000011100000001000100111(bitIndex6) )).

fof(bitBlastConstant_3504,axiom,(
    b000000011100000001000100111(bitIndex5) )).

fof(bitBlastConstant_3503,axiom,(
    ~ b000000011100000001000100111(bitIndex4) )).

fof(bitBlastConstant_3502,axiom,(
    ~ b000000011100000001000100111(bitIndex3) )).

fof(bitBlastConstant_3501,axiom,(
    b000000011100000001000100111(bitIndex2) )).

fof(bitBlastConstant_3500,axiom,(
    b000000011100000001000100111(bitIndex1) )).

fof(bitBlastConstant_3499,axiom,(
    b000000011100000001000100111(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_280,axiom,(
    ! [VarCurr] :
      ( v4616(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_3498,axiom,(
    ~ b000000011000000001000100111(bitIndex26) )).

fof(bitBlastConstant_3497,axiom,(
    ~ b000000011000000001000100111(bitIndex25) )).

fof(bitBlastConstant_3496,axiom,(
    ~ b000000011000000001000100111(bitIndex24) )).

fof(bitBlastConstant_3495,axiom,(
    ~ b000000011000000001000100111(bitIndex23) )).

fof(bitBlastConstant_3494,axiom,(
    ~ b000000011000000001000100111(bitIndex22) )).

fof(bitBlastConstant_3493,axiom,(
    ~ b000000011000000001000100111(bitIndex21) )).

fof(bitBlastConstant_3492,axiom,(
    ~ b000000011000000001000100111(bitIndex20) )).

fof(bitBlastConstant_3491,axiom,(
    b000000011000000001000100111(bitIndex19) )).

fof(bitBlastConstant_3490,axiom,(
    b000000011000000001000100111(bitIndex18) )).

fof(bitBlastConstant_3489,axiom,(
    ~ b000000011000000001000100111(bitIndex17) )).

fof(bitBlastConstant_3488,axiom,(
    ~ b000000011000000001000100111(bitIndex16) )).

fof(bitBlastConstant_3487,axiom,(
    ~ b000000011000000001000100111(bitIndex15) )).

fof(bitBlastConstant_3486,axiom,(
    ~ b000000011000000001000100111(bitIndex14) )).

fof(bitBlastConstant_3485,axiom,(
    ~ b000000011000000001000100111(bitIndex13) )).

fof(bitBlastConstant_3484,axiom,(
    ~ b000000011000000001000100111(bitIndex12) )).

fof(bitBlastConstant_3483,axiom,(
    ~ b000000011000000001000100111(bitIndex11) )).

fof(bitBlastConstant_3482,axiom,(
    ~ b000000011000000001000100111(bitIndex10) )).

fof(bitBlastConstant_3481,axiom,(
    b000000011000000001000100111(bitIndex9) )).

fof(bitBlastConstant_3480,axiom,(
    ~ b000000011000000001000100111(bitIndex8) )).

fof(bitBlastConstant_3479,axiom,(
    ~ b000000011000000001000100111(bitIndex7) )).

fof(bitBlastConstant_3478,axiom,(
    ~ b000000011000000001000100111(bitIndex6) )).

fof(bitBlastConstant_3477,axiom,(
    b000000011000000001000100111(bitIndex5) )).

fof(bitBlastConstant_3476,axiom,(
    ~ b000000011000000001000100111(bitIndex4) )).

fof(bitBlastConstant_3475,axiom,(
    ~ b000000011000000001000100111(bitIndex3) )).

fof(bitBlastConstant_3474,axiom,(
    b000000011000000001000100111(bitIndex2) )).

fof(bitBlastConstant_3473,axiom,(
    b000000011000000001000100111(bitIndex1) )).

fof(bitBlastConstant_3472,axiom,(
    b000000011000000001000100111(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_150,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4603(VarCurr)
      <=> v4607(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_151,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4603(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_71,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4607(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_102,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4607(VarCurr)
      <=> v4609(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_103,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4607(VarCurr)
      <=> v4608(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_279,axiom,(
    ! [VarCurr] :
      ( v4609(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_3471,axiom,(
    ~ b000000011100000001000100110(bitIndex26) )).

fof(bitBlastConstant_3470,axiom,(
    ~ b000000011100000001000100110(bitIndex25) )).

fof(bitBlastConstant_3469,axiom,(
    ~ b000000011100000001000100110(bitIndex24) )).

fof(bitBlastConstant_3468,axiom,(
    ~ b000000011100000001000100110(bitIndex23) )).

fof(bitBlastConstant_3467,axiom,(
    ~ b000000011100000001000100110(bitIndex22) )).

fof(bitBlastConstant_3466,axiom,(
    ~ b000000011100000001000100110(bitIndex21) )).

fof(bitBlastConstant_3465,axiom,(
    ~ b000000011100000001000100110(bitIndex20) )).

fof(bitBlastConstant_3464,axiom,(
    b000000011100000001000100110(bitIndex19) )).

fof(bitBlastConstant_3463,axiom,(
    b000000011100000001000100110(bitIndex18) )).

fof(bitBlastConstant_3462,axiom,(
    b000000011100000001000100110(bitIndex17) )).

fof(bitBlastConstant_3461,axiom,(
    ~ b000000011100000001000100110(bitIndex16) )).

fof(bitBlastConstant_3460,axiom,(
    ~ b000000011100000001000100110(bitIndex15) )).

fof(bitBlastConstant_3459,axiom,(
    ~ b000000011100000001000100110(bitIndex14) )).

fof(bitBlastConstant_3458,axiom,(
    ~ b000000011100000001000100110(bitIndex13) )).

fof(bitBlastConstant_3457,axiom,(
    ~ b000000011100000001000100110(bitIndex12) )).

fof(bitBlastConstant_3456,axiom,(
    ~ b000000011100000001000100110(bitIndex11) )).

fof(bitBlastConstant_3455,axiom,(
    ~ b000000011100000001000100110(bitIndex10) )).

fof(bitBlastConstant_3454,axiom,(
    b000000011100000001000100110(bitIndex9) )).

fof(bitBlastConstant_3453,axiom,(
    ~ b000000011100000001000100110(bitIndex8) )).

fof(bitBlastConstant_3452,axiom,(
    ~ b000000011100000001000100110(bitIndex7) )).

fof(bitBlastConstant_3451,axiom,(
    ~ b000000011100000001000100110(bitIndex6) )).

fof(bitBlastConstant_3450,axiom,(
    b000000011100000001000100110(bitIndex5) )).

fof(bitBlastConstant_3449,axiom,(
    ~ b000000011100000001000100110(bitIndex4) )).

fof(bitBlastConstant_3448,axiom,(
    ~ b000000011100000001000100110(bitIndex3) )).

fof(bitBlastConstant_3447,axiom,(
    b000000011100000001000100110(bitIndex2) )).

fof(bitBlastConstant_3446,axiom,(
    b000000011100000001000100110(bitIndex1) )).

fof(bitBlastConstant_3445,axiom,(
    ~ b000000011100000001000100110(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_278,axiom,(
    ! [VarCurr] :
      ( v4608(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_3444,axiom,(
    ~ b000000011000000001000100110(bitIndex26) )).

fof(bitBlastConstant_3443,axiom,(
    ~ b000000011000000001000100110(bitIndex25) )).

fof(bitBlastConstant_3442,axiom,(
    ~ b000000011000000001000100110(bitIndex24) )).

fof(bitBlastConstant_3441,axiom,(
    ~ b000000011000000001000100110(bitIndex23) )).

fof(bitBlastConstant_3440,axiom,(
    ~ b000000011000000001000100110(bitIndex22) )).

fof(bitBlastConstant_3439,axiom,(
    ~ b000000011000000001000100110(bitIndex21) )).

fof(bitBlastConstant_3438,axiom,(
    ~ b000000011000000001000100110(bitIndex20) )).

fof(bitBlastConstant_3437,axiom,(
    b000000011000000001000100110(bitIndex19) )).

fof(bitBlastConstant_3436,axiom,(
    b000000011000000001000100110(bitIndex18) )).

fof(bitBlastConstant_3435,axiom,(
    ~ b000000011000000001000100110(bitIndex17) )).

fof(bitBlastConstant_3434,axiom,(
    ~ b000000011000000001000100110(bitIndex16) )).

fof(bitBlastConstant_3433,axiom,(
    ~ b000000011000000001000100110(bitIndex15) )).

fof(bitBlastConstant_3432,axiom,(
    ~ b000000011000000001000100110(bitIndex14) )).

fof(bitBlastConstant_3431,axiom,(
    ~ b000000011000000001000100110(bitIndex13) )).

fof(bitBlastConstant_3430,axiom,(
    ~ b000000011000000001000100110(bitIndex12) )).

fof(bitBlastConstant_3429,axiom,(
    ~ b000000011000000001000100110(bitIndex11) )).

fof(bitBlastConstant_3428,axiom,(
    ~ b000000011000000001000100110(bitIndex10) )).

fof(bitBlastConstant_3427,axiom,(
    b000000011000000001000100110(bitIndex9) )).

fof(bitBlastConstant_3426,axiom,(
    ~ b000000011000000001000100110(bitIndex8) )).

fof(bitBlastConstant_3425,axiom,(
    ~ b000000011000000001000100110(bitIndex7) )).

fof(bitBlastConstant_3424,axiom,(
    ~ b000000011000000001000100110(bitIndex6) )).

fof(bitBlastConstant_3423,axiom,(
    b000000011000000001000100110(bitIndex5) )).

fof(bitBlastConstant_3422,axiom,(
    ~ b000000011000000001000100110(bitIndex4) )).

fof(bitBlastConstant_3421,axiom,(
    ~ b000000011000000001000100110(bitIndex3) )).

fof(bitBlastConstant_3420,axiom,(
    b000000011000000001000100110(bitIndex2) )).

fof(bitBlastConstant_3419,axiom,(
    b000000011000000001000100110(bitIndex1) )).

fof(bitBlastConstant_3418,axiom,(
    ~ b000000011000000001000100110(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_149,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4595(VarCurr)
      <=> v4599(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_150,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4595(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_70,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4599(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_101,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4599(VarCurr)
      <=> v4601(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_102,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4599(VarCurr)
      <=> v4600(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_277,axiom,(
    ! [VarCurr] :
      ( v4601(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_3417,axiom,(
    ~ b000000011100000001000100101(bitIndex26) )).

fof(bitBlastConstant_3416,axiom,(
    ~ b000000011100000001000100101(bitIndex25) )).

fof(bitBlastConstant_3415,axiom,(
    ~ b000000011100000001000100101(bitIndex24) )).

fof(bitBlastConstant_3414,axiom,(
    ~ b000000011100000001000100101(bitIndex23) )).

fof(bitBlastConstant_3413,axiom,(
    ~ b000000011100000001000100101(bitIndex22) )).

fof(bitBlastConstant_3412,axiom,(
    ~ b000000011100000001000100101(bitIndex21) )).

fof(bitBlastConstant_3411,axiom,(
    ~ b000000011100000001000100101(bitIndex20) )).

fof(bitBlastConstant_3410,axiom,(
    b000000011100000001000100101(bitIndex19) )).

fof(bitBlastConstant_3409,axiom,(
    b000000011100000001000100101(bitIndex18) )).

fof(bitBlastConstant_3408,axiom,(
    b000000011100000001000100101(bitIndex17) )).

fof(bitBlastConstant_3407,axiom,(
    ~ b000000011100000001000100101(bitIndex16) )).

fof(bitBlastConstant_3406,axiom,(
    ~ b000000011100000001000100101(bitIndex15) )).

fof(bitBlastConstant_3405,axiom,(
    ~ b000000011100000001000100101(bitIndex14) )).

fof(bitBlastConstant_3404,axiom,(
    ~ b000000011100000001000100101(bitIndex13) )).

fof(bitBlastConstant_3403,axiom,(
    ~ b000000011100000001000100101(bitIndex12) )).

fof(bitBlastConstant_3402,axiom,(
    ~ b000000011100000001000100101(bitIndex11) )).

fof(bitBlastConstant_3401,axiom,(
    ~ b000000011100000001000100101(bitIndex10) )).

fof(bitBlastConstant_3400,axiom,(
    b000000011100000001000100101(bitIndex9) )).

fof(bitBlastConstant_3399,axiom,(
    ~ b000000011100000001000100101(bitIndex8) )).

fof(bitBlastConstant_3398,axiom,(
    ~ b000000011100000001000100101(bitIndex7) )).

fof(bitBlastConstant_3397,axiom,(
    ~ b000000011100000001000100101(bitIndex6) )).

fof(bitBlastConstant_3396,axiom,(
    b000000011100000001000100101(bitIndex5) )).

fof(bitBlastConstant_3395,axiom,(
    ~ b000000011100000001000100101(bitIndex4) )).

fof(bitBlastConstant_3394,axiom,(
    ~ b000000011100000001000100101(bitIndex3) )).

fof(bitBlastConstant_3393,axiom,(
    b000000011100000001000100101(bitIndex2) )).

fof(bitBlastConstant_3392,axiom,(
    ~ b000000011100000001000100101(bitIndex1) )).

fof(bitBlastConstant_3391,axiom,(
    b000000011100000001000100101(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_276,axiom,(
    ! [VarCurr] :
      ( v4600(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_3390,axiom,(
    ~ b000000011000000001000100101(bitIndex26) )).

fof(bitBlastConstant_3389,axiom,(
    ~ b000000011000000001000100101(bitIndex25) )).

fof(bitBlastConstant_3388,axiom,(
    ~ b000000011000000001000100101(bitIndex24) )).

fof(bitBlastConstant_3387,axiom,(
    ~ b000000011000000001000100101(bitIndex23) )).

fof(bitBlastConstant_3386,axiom,(
    ~ b000000011000000001000100101(bitIndex22) )).

fof(bitBlastConstant_3385,axiom,(
    ~ b000000011000000001000100101(bitIndex21) )).

fof(bitBlastConstant_3384,axiom,(
    ~ b000000011000000001000100101(bitIndex20) )).

fof(bitBlastConstant_3383,axiom,(
    b000000011000000001000100101(bitIndex19) )).

fof(bitBlastConstant_3382,axiom,(
    b000000011000000001000100101(bitIndex18) )).

fof(bitBlastConstant_3381,axiom,(
    ~ b000000011000000001000100101(bitIndex17) )).

fof(bitBlastConstant_3380,axiom,(
    ~ b000000011000000001000100101(bitIndex16) )).

fof(bitBlastConstant_3379,axiom,(
    ~ b000000011000000001000100101(bitIndex15) )).

fof(bitBlastConstant_3378,axiom,(
    ~ b000000011000000001000100101(bitIndex14) )).

fof(bitBlastConstant_3377,axiom,(
    ~ b000000011000000001000100101(bitIndex13) )).

fof(bitBlastConstant_3376,axiom,(
    ~ b000000011000000001000100101(bitIndex12) )).

fof(bitBlastConstant_3375,axiom,(
    ~ b000000011000000001000100101(bitIndex11) )).

fof(bitBlastConstant_3374,axiom,(
    ~ b000000011000000001000100101(bitIndex10) )).

fof(bitBlastConstant_3373,axiom,(
    b000000011000000001000100101(bitIndex9) )).

fof(bitBlastConstant_3372,axiom,(
    ~ b000000011000000001000100101(bitIndex8) )).

fof(bitBlastConstant_3371,axiom,(
    ~ b000000011000000001000100101(bitIndex7) )).

fof(bitBlastConstant_3370,axiom,(
    ~ b000000011000000001000100101(bitIndex6) )).

fof(bitBlastConstant_3369,axiom,(
    b000000011000000001000100101(bitIndex5) )).

fof(bitBlastConstant_3368,axiom,(
    ~ b000000011000000001000100101(bitIndex4) )).

fof(bitBlastConstant_3367,axiom,(
    ~ b000000011000000001000100101(bitIndex3) )).

fof(bitBlastConstant_3366,axiom,(
    b000000011000000001000100101(bitIndex2) )).

fof(bitBlastConstant_3365,axiom,(
    ~ b000000011000000001000100101(bitIndex1) )).

fof(bitBlastConstant_3364,axiom,(
    b000000011000000001000100101(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_148,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4587(VarCurr)
      <=> v4591(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_149,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4587(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_69,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4591(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_100,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4591(VarCurr)
      <=> v4593(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_101,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4591(VarCurr)
      <=> v4592(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_275,axiom,(
    ! [VarCurr] :
      ( v4593(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_3363,axiom,(
    ~ b000000011100000001000100100(bitIndex26) )).

fof(bitBlastConstant_3362,axiom,(
    ~ b000000011100000001000100100(bitIndex25) )).

fof(bitBlastConstant_3361,axiom,(
    ~ b000000011100000001000100100(bitIndex24) )).

fof(bitBlastConstant_3360,axiom,(
    ~ b000000011100000001000100100(bitIndex23) )).

fof(bitBlastConstant_3359,axiom,(
    ~ b000000011100000001000100100(bitIndex22) )).

fof(bitBlastConstant_3358,axiom,(
    ~ b000000011100000001000100100(bitIndex21) )).

fof(bitBlastConstant_3357,axiom,(
    ~ b000000011100000001000100100(bitIndex20) )).

fof(bitBlastConstant_3356,axiom,(
    b000000011100000001000100100(bitIndex19) )).

fof(bitBlastConstant_3355,axiom,(
    b000000011100000001000100100(bitIndex18) )).

fof(bitBlastConstant_3354,axiom,(
    b000000011100000001000100100(bitIndex17) )).

fof(bitBlastConstant_3353,axiom,(
    ~ b000000011100000001000100100(bitIndex16) )).

fof(bitBlastConstant_3352,axiom,(
    ~ b000000011100000001000100100(bitIndex15) )).

fof(bitBlastConstant_3351,axiom,(
    ~ b000000011100000001000100100(bitIndex14) )).

fof(bitBlastConstant_3350,axiom,(
    ~ b000000011100000001000100100(bitIndex13) )).

fof(bitBlastConstant_3349,axiom,(
    ~ b000000011100000001000100100(bitIndex12) )).

fof(bitBlastConstant_3348,axiom,(
    ~ b000000011100000001000100100(bitIndex11) )).

fof(bitBlastConstant_3347,axiom,(
    ~ b000000011100000001000100100(bitIndex10) )).

fof(bitBlastConstant_3346,axiom,(
    b000000011100000001000100100(bitIndex9) )).

fof(bitBlastConstant_3345,axiom,(
    ~ b000000011100000001000100100(bitIndex8) )).

fof(bitBlastConstant_3344,axiom,(
    ~ b000000011100000001000100100(bitIndex7) )).

fof(bitBlastConstant_3343,axiom,(
    ~ b000000011100000001000100100(bitIndex6) )).

fof(bitBlastConstant_3342,axiom,(
    b000000011100000001000100100(bitIndex5) )).

fof(bitBlastConstant_3341,axiom,(
    ~ b000000011100000001000100100(bitIndex4) )).

fof(bitBlastConstant_3340,axiom,(
    ~ b000000011100000001000100100(bitIndex3) )).

fof(bitBlastConstant_3339,axiom,(
    b000000011100000001000100100(bitIndex2) )).

fof(bitBlastConstant_3338,axiom,(
    ~ b000000011100000001000100100(bitIndex1) )).

fof(bitBlastConstant_3337,axiom,(
    ~ b000000011100000001000100100(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_274,axiom,(
    ! [VarCurr] :
      ( v4592(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_3336,axiom,(
    ~ b000000011000000001000100100(bitIndex26) )).

fof(bitBlastConstant_3335,axiom,(
    ~ b000000011000000001000100100(bitIndex25) )).

fof(bitBlastConstant_3334,axiom,(
    ~ b000000011000000001000100100(bitIndex24) )).

fof(bitBlastConstant_3333,axiom,(
    ~ b000000011000000001000100100(bitIndex23) )).

fof(bitBlastConstant_3332,axiom,(
    ~ b000000011000000001000100100(bitIndex22) )).

fof(bitBlastConstant_3331,axiom,(
    ~ b000000011000000001000100100(bitIndex21) )).

fof(bitBlastConstant_3330,axiom,(
    ~ b000000011000000001000100100(bitIndex20) )).

fof(bitBlastConstant_3329,axiom,(
    b000000011000000001000100100(bitIndex19) )).

fof(bitBlastConstant_3328,axiom,(
    b000000011000000001000100100(bitIndex18) )).

fof(bitBlastConstant_3327,axiom,(
    ~ b000000011000000001000100100(bitIndex17) )).

fof(bitBlastConstant_3326,axiom,(
    ~ b000000011000000001000100100(bitIndex16) )).

fof(bitBlastConstant_3325,axiom,(
    ~ b000000011000000001000100100(bitIndex15) )).

fof(bitBlastConstant_3324,axiom,(
    ~ b000000011000000001000100100(bitIndex14) )).

fof(bitBlastConstant_3323,axiom,(
    ~ b000000011000000001000100100(bitIndex13) )).

fof(bitBlastConstant_3322,axiom,(
    ~ b000000011000000001000100100(bitIndex12) )).

fof(bitBlastConstant_3321,axiom,(
    ~ b000000011000000001000100100(bitIndex11) )).

fof(bitBlastConstant_3320,axiom,(
    ~ b000000011000000001000100100(bitIndex10) )).

fof(bitBlastConstant_3319,axiom,(
    b000000011000000001000100100(bitIndex9) )).

fof(bitBlastConstant_3318,axiom,(
    ~ b000000011000000001000100100(bitIndex8) )).

fof(bitBlastConstant_3317,axiom,(
    ~ b000000011000000001000100100(bitIndex7) )).

fof(bitBlastConstant_3316,axiom,(
    ~ b000000011000000001000100100(bitIndex6) )).

fof(bitBlastConstant_3315,axiom,(
    b000000011000000001000100100(bitIndex5) )).

fof(bitBlastConstant_3314,axiom,(
    ~ b000000011000000001000100100(bitIndex4) )).

fof(bitBlastConstant_3313,axiom,(
    ~ b000000011000000001000100100(bitIndex3) )).

fof(bitBlastConstant_3312,axiom,(
    b000000011000000001000100100(bitIndex2) )).

fof(bitBlastConstant_3311,axiom,(
    ~ b000000011000000001000100100(bitIndex1) )).

fof(bitBlastConstant_3310,axiom,(
    ~ b000000011000000001000100100(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_147,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4579(VarCurr)
      <=> v4583(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_148,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4579(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_68,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4583(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_99,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4583(VarCurr)
      <=> v4585(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_100,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4583(VarCurr)
      <=> v4584(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_273,axiom,(
    ! [VarCurr] :
      ( v4585(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_3309,axiom,(
    ~ b000000011100000001000100011(bitIndex26) )).

fof(bitBlastConstant_3308,axiom,(
    ~ b000000011100000001000100011(bitIndex25) )).

fof(bitBlastConstant_3307,axiom,(
    ~ b000000011100000001000100011(bitIndex24) )).

fof(bitBlastConstant_3306,axiom,(
    ~ b000000011100000001000100011(bitIndex23) )).

fof(bitBlastConstant_3305,axiom,(
    ~ b000000011100000001000100011(bitIndex22) )).

fof(bitBlastConstant_3304,axiom,(
    ~ b000000011100000001000100011(bitIndex21) )).

fof(bitBlastConstant_3303,axiom,(
    ~ b000000011100000001000100011(bitIndex20) )).

fof(bitBlastConstant_3302,axiom,(
    b000000011100000001000100011(bitIndex19) )).

fof(bitBlastConstant_3301,axiom,(
    b000000011100000001000100011(bitIndex18) )).

fof(bitBlastConstant_3300,axiom,(
    b000000011100000001000100011(bitIndex17) )).

fof(bitBlastConstant_3299,axiom,(
    ~ b000000011100000001000100011(bitIndex16) )).

fof(bitBlastConstant_3298,axiom,(
    ~ b000000011100000001000100011(bitIndex15) )).

fof(bitBlastConstant_3297,axiom,(
    ~ b000000011100000001000100011(bitIndex14) )).

fof(bitBlastConstant_3296,axiom,(
    ~ b000000011100000001000100011(bitIndex13) )).

fof(bitBlastConstant_3295,axiom,(
    ~ b000000011100000001000100011(bitIndex12) )).

fof(bitBlastConstant_3294,axiom,(
    ~ b000000011100000001000100011(bitIndex11) )).

fof(bitBlastConstant_3293,axiom,(
    ~ b000000011100000001000100011(bitIndex10) )).

fof(bitBlastConstant_3292,axiom,(
    b000000011100000001000100011(bitIndex9) )).

fof(bitBlastConstant_3291,axiom,(
    ~ b000000011100000001000100011(bitIndex8) )).

fof(bitBlastConstant_3290,axiom,(
    ~ b000000011100000001000100011(bitIndex7) )).

fof(bitBlastConstant_3289,axiom,(
    ~ b000000011100000001000100011(bitIndex6) )).

fof(bitBlastConstant_3288,axiom,(
    b000000011100000001000100011(bitIndex5) )).

fof(bitBlastConstant_3287,axiom,(
    ~ b000000011100000001000100011(bitIndex4) )).

fof(bitBlastConstant_3286,axiom,(
    ~ b000000011100000001000100011(bitIndex3) )).

fof(bitBlastConstant_3285,axiom,(
    ~ b000000011100000001000100011(bitIndex2) )).

fof(bitBlastConstant_3284,axiom,(
    b000000011100000001000100011(bitIndex1) )).

fof(bitBlastConstant_3283,axiom,(
    b000000011100000001000100011(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_272,axiom,(
    ! [VarCurr] :
      ( v4584(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_3282,axiom,(
    ~ b000000011000000001000100011(bitIndex26) )).

fof(bitBlastConstant_3281,axiom,(
    ~ b000000011000000001000100011(bitIndex25) )).

fof(bitBlastConstant_3280,axiom,(
    ~ b000000011000000001000100011(bitIndex24) )).

fof(bitBlastConstant_3279,axiom,(
    ~ b000000011000000001000100011(bitIndex23) )).

fof(bitBlastConstant_3278,axiom,(
    ~ b000000011000000001000100011(bitIndex22) )).

fof(bitBlastConstant_3277,axiom,(
    ~ b000000011000000001000100011(bitIndex21) )).

fof(bitBlastConstant_3276,axiom,(
    ~ b000000011000000001000100011(bitIndex20) )).

fof(bitBlastConstant_3275,axiom,(
    b000000011000000001000100011(bitIndex19) )).

fof(bitBlastConstant_3274,axiom,(
    b000000011000000001000100011(bitIndex18) )).

fof(bitBlastConstant_3273,axiom,(
    ~ b000000011000000001000100011(bitIndex17) )).

fof(bitBlastConstant_3272,axiom,(
    ~ b000000011000000001000100011(bitIndex16) )).

fof(bitBlastConstant_3271,axiom,(
    ~ b000000011000000001000100011(bitIndex15) )).

fof(bitBlastConstant_3270,axiom,(
    ~ b000000011000000001000100011(bitIndex14) )).

fof(bitBlastConstant_3269,axiom,(
    ~ b000000011000000001000100011(bitIndex13) )).

fof(bitBlastConstant_3268,axiom,(
    ~ b000000011000000001000100011(bitIndex12) )).

fof(bitBlastConstant_3267,axiom,(
    ~ b000000011000000001000100011(bitIndex11) )).

fof(bitBlastConstant_3266,axiom,(
    ~ b000000011000000001000100011(bitIndex10) )).

fof(bitBlastConstant_3265,axiom,(
    b000000011000000001000100011(bitIndex9) )).

fof(bitBlastConstant_3264,axiom,(
    ~ b000000011000000001000100011(bitIndex8) )).

fof(bitBlastConstant_3263,axiom,(
    ~ b000000011000000001000100011(bitIndex7) )).

fof(bitBlastConstant_3262,axiom,(
    ~ b000000011000000001000100011(bitIndex6) )).

fof(bitBlastConstant_3261,axiom,(
    b000000011000000001000100011(bitIndex5) )).

fof(bitBlastConstant_3260,axiom,(
    ~ b000000011000000001000100011(bitIndex4) )).

fof(bitBlastConstant_3259,axiom,(
    ~ b000000011000000001000100011(bitIndex3) )).

fof(bitBlastConstant_3258,axiom,(
    ~ b000000011000000001000100011(bitIndex2) )).

fof(bitBlastConstant_3257,axiom,(
    b000000011000000001000100011(bitIndex1) )).

fof(bitBlastConstant_3256,axiom,(
    b000000011000000001000100011(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_146,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4571(VarCurr)
      <=> v4575(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_147,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4571(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_67,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4575(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_98,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4575(VarCurr)
      <=> v4577(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_99,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4575(VarCurr)
      <=> v4576(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_271,axiom,(
    ! [VarCurr] :
      ( v4577(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_3255,axiom,(
    ~ b000000011100000001000100010(bitIndex26) )).

fof(bitBlastConstant_3254,axiom,(
    ~ b000000011100000001000100010(bitIndex25) )).

fof(bitBlastConstant_3253,axiom,(
    ~ b000000011100000001000100010(bitIndex24) )).

fof(bitBlastConstant_3252,axiom,(
    ~ b000000011100000001000100010(bitIndex23) )).

fof(bitBlastConstant_3251,axiom,(
    ~ b000000011100000001000100010(bitIndex22) )).

fof(bitBlastConstant_3250,axiom,(
    ~ b000000011100000001000100010(bitIndex21) )).

fof(bitBlastConstant_3249,axiom,(
    ~ b000000011100000001000100010(bitIndex20) )).

fof(bitBlastConstant_3248,axiom,(
    b000000011100000001000100010(bitIndex19) )).

fof(bitBlastConstant_3247,axiom,(
    b000000011100000001000100010(bitIndex18) )).

fof(bitBlastConstant_3246,axiom,(
    b000000011100000001000100010(bitIndex17) )).

fof(bitBlastConstant_3245,axiom,(
    ~ b000000011100000001000100010(bitIndex16) )).

fof(bitBlastConstant_3244,axiom,(
    ~ b000000011100000001000100010(bitIndex15) )).

fof(bitBlastConstant_3243,axiom,(
    ~ b000000011100000001000100010(bitIndex14) )).

fof(bitBlastConstant_3242,axiom,(
    ~ b000000011100000001000100010(bitIndex13) )).

fof(bitBlastConstant_3241,axiom,(
    ~ b000000011100000001000100010(bitIndex12) )).

fof(bitBlastConstant_3240,axiom,(
    ~ b000000011100000001000100010(bitIndex11) )).

fof(bitBlastConstant_3239,axiom,(
    ~ b000000011100000001000100010(bitIndex10) )).

fof(bitBlastConstant_3238,axiom,(
    b000000011100000001000100010(bitIndex9) )).

fof(bitBlastConstant_3237,axiom,(
    ~ b000000011100000001000100010(bitIndex8) )).

fof(bitBlastConstant_3236,axiom,(
    ~ b000000011100000001000100010(bitIndex7) )).

fof(bitBlastConstant_3235,axiom,(
    ~ b000000011100000001000100010(bitIndex6) )).

fof(bitBlastConstant_3234,axiom,(
    b000000011100000001000100010(bitIndex5) )).

fof(bitBlastConstant_3233,axiom,(
    ~ b000000011100000001000100010(bitIndex4) )).

fof(bitBlastConstant_3232,axiom,(
    ~ b000000011100000001000100010(bitIndex3) )).

fof(bitBlastConstant_3231,axiom,(
    ~ b000000011100000001000100010(bitIndex2) )).

fof(bitBlastConstant_3230,axiom,(
    b000000011100000001000100010(bitIndex1) )).

fof(bitBlastConstant_3229,axiom,(
    ~ b000000011100000001000100010(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_270,axiom,(
    ! [VarCurr] :
      ( v4576(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_3228,axiom,(
    ~ b000000011000000001000100010(bitIndex26) )).

fof(bitBlastConstant_3227,axiom,(
    ~ b000000011000000001000100010(bitIndex25) )).

fof(bitBlastConstant_3226,axiom,(
    ~ b000000011000000001000100010(bitIndex24) )).

fof(bitBlastConstant_3225,axiom,(
    ~ b000000011000000001000100010(bitIndex23) )).

fof(bitBlastConstant_3224,axiom,(
    ~ b000000011000000001000100010(bitIndex22) )).

fof(bitBlastConstant_3223,axiom,(
    ~ b000000011000000001000100010(bitIndex21) )).

fof(bitBlastConstant_3222,axiom,(
    ~ b000000011000000001000100010(bitIndex20) )).

fof(bitBlastConstant_3221,axiom,(
    b000000011000000001000100010(bitIndex19) )).

fof(bitBlastConstant_3220,axiom,(
    b000000011000000001000100010(bitIndex18) )).

fof(bitBlastConstant_3219,axiom,(
    ~ b000000011000000001000100010(bitIndex17) )).

fof(bitBlastConstant_3218,axiom,(
    ~ b000000011000000001000100010(bitIndex16) )).

fof(bitBlastConstant_3217,axiom,(
    ~ b000000011000000001000100010(bitIndex15) )).

fof(bitBlastConstant_3216,axiom,(
    ~ b000000011000000001000100010(bitIndex14) )).

fof(bitBlastConstant_3215,axiom,(
    ~ b000000011000000001000100010(bitIndex13) )).

fof(bitBlastConstant_3214,axiom,(
    ~ b000000011000000001000100010(bitIndex12) )).

fof(bitBlastConstant_3213,axiom,(
    ~ b000000011000000001000100010(bitIndex11) )).

fof(bitBlastConstant_3212,axiom,(
    ~ b000000011000000001000100010(bitIndex10) )).

fof(bitBlastConstant_3211,axiom,(
    b000000011000000001000100010(bitIndex9) )).

fof(bitBlastConstant_3210,axiom,(
    ~ b000000011000000001000100010(bitIndex8) )).

fof(bitBlastConstant_3209,axiom,(
    ~ b000000011000000001000100010(bitIndex7) )).

fof(bitBlastConstant_3208,axiom,(
    ~ b000000011000000001000100010(bitIndex6) )).

fof(bitBlastConstant_3207,axiom,(
    b000000011000000001000100010(bitIndex5) )).

fof(bitBlastConstant_3206,axiom,(
    ~ b000000011000000001000100010(bitIndex4) )).

fof(bitBlastConstant_3205,axiom,(
    ~ b000000011000000001000100010(bitIndex3) )).

fof(bitBlastConstant_3204,axiom,(
    ~ b000000011000000001000100010(bitIndex2) )).

fof(bitBlastConstant_3203,axiom,(
    b000000011000000001000100010(bitIndex1) )).

fof(bitBlastConstant_3202,axiom,(
    ~ b000000011000000001000100010(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_145,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4563(VarCurr)
      <=> v4567(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_146,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4563(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_66,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4567(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_97,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4567(VarCurr)
      <=> v4569(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_98,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4567(VarCurr)
      <=> v4568(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_269,axiom,(
    ! [VarCurr] :
      ( v4569(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_3201,axiom,(
    ~ b000000011100000001000100001(bitIndex26) )).

fof(bitBlastConstant_3200,axiom,(
    ~ b000000011100000001000100001(bitIndex25) )).

fof(bitBlastConstant_3199,axiom,(
    ~ b000000011100000001000100001(bitIndex24) )).

fof(bitBlastConstant_3198,axiom,(
    ~ b000000011100000001000100001(bitIndex23) )).

fof(bitBlastConstant_3197,axiom,(
    ~ b000000011100000001000100001(bitIndex22) )).

fof(bitBlastConstant_3196,axiom,(
    ~ b000000011100000001000100001(bitIndex21) )).

fof(bitBlastConstant_3195,axiom,(
    ~ b000000011100000001000100001(bitIndex20) )).

fof(bitBlastConstant_3194,axiom,(
    b000000011100000001000100001(bitIndex19) )).

fof(bitBlastConstant_3193,axiom,(
    b000000011100000001000100001(bitIndex18) )).

fof(bitBlastConstant_3192,axiom,(
    b000000011100000001000100001(bitIndex17) )).

fof(bitBlastConstant_3191,axiom,(
    ~ b000000011100000001000100001(bitIndex16) )).

fof(bitBlastConstant_3190,axiom,(
    ~ b000000011100000001000100001(bitIndex15) )).

fof(bitBlastConstant_3189,axiom,(
    ~ b000000011100000001000100001(bitIndex14) )).

fof(bitBlastConstant_3188,axiom,(
    ~ b000000011100000001000100001(bitIndex13) )).

fof(bitBlastConstant_3187,axiom,(
    ~ b000000011100000001000100001(bitIndex12) )).

fof(bitBlastConstant_3186,axiom,(
    ~ b000000011100000001000100001(bitIndex11) )).

fof(bitBlastConstant_3185,axiom,(
    ~ b000000011100000001000100001(bitIndex10) )).

fof(bitBlastConstant_3184,axiom,(
    b000000011100000001000100001(bitIndex9) )).

fof(bitBlastConstant_3183,axiom,(
    ~ b000000011100000001000100001(bitIndex8) )).

fof(bitBlastConstant_3182,axiom,(
    ~ b000000011100000001000100001(bitIndex7) )).

fof(bitBlastConstant_3181,axiom,(
    ~ b000000011100000001000100001(bitIndex6) )).

fof(bitBlastConstant_3180,axiom,(
    b000000011100000001000100001(bitIndex5) )).

fof(bitBlastConstant_3179,axiom,(
    ~ b000000011100000001000100001(bitIndex4) )).

fof(bitBlastConstant_3178,axiom,(
    ~ b000000011100000001000100001(bitIndex3) )).

fof(bitBlastConstant_3177,axiom,(
    ~ b000000011100000001000100001(bitIndex2) )).

fof(bitBlastConstant_3176,axiom,(
    ~ b000000011100000001000100001(bitIndex1) )).

fof(bitBlastConstant_3175,axiom,(
    b000000011100000001000100001(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_268,axiom,(
    ! [VarCurr] :
      ( v4568(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_3174,axiom,(
    ~ b000000011000000001000100001(bitIndex26) )).

fof(bitBlastConstant_3173,axiom,(
    ~ b000000011000000001000100001(bitIndex25) )).

fof(bitBlastConstant_3172,axiom,(
    ~ b000000011000000001000100001(bitIndex24) )).

fof(bitBlastConstant_3171,axiom,(
    ~ b000000011000000001000100001(bitIndex23) )).

fof(bitBlastConstant_3170,axiom,(
    ~ b000000011000000001000100001(bitIndex22) )).

fof(bitBlastConstant_3169,axiom,(
    ~ b000000011000000001000100001(bitIndex21) )).

fof(bitBlastConstant_3168,axiom,(
    ~ b000000011000000001000100001(bitIndex20) )).

fof(bitBlastConstant_3167,axiom,(
    b000000011000000001000100001(bitIndex19) )).

fof(bitBlastConstant_3166,axiom,(
    b000000011000000001000100001(bitIndex18) )).

fof(bitBlastConstant_3165,axiom,(
    ~ b000000011000000001000100001(bitIndex17) )).

fof(bitBlastConstant_3164,axiom,(
    ~ b000000011000000001000100001(bitIndex16) )).

fof(bitBlastConstant_3163,axiom,(
    ~ b000000011000000001000100001(bitIndex15) )).

fof(bitBlastConstant_3162,axiom,(
    ~ b000000011000000001000100001(bitIndex14) )).

fof(bitBlastConstant_3161,axiom,(
    ~ b000000011000000001000100001(bitIndex13) )).

fof(bitBlastConstant_3160,axiom,(
    ~ b000000011000000001000100001(bitIndex12) )).

fof(bitBlastConstant_3159,axiom,(
    ~ b000000011000000001000100001(bitIndex11) )).

fof(bitBlastConstant_3158,axiom,(
    ~ b000000011000000001000100001(bitIndex10) )).

fof(bitBlastConstant_3157,axiom,(
    b000000011000000001000100001(bitIndex9) )).

fof(bitBlastConstant_3156,axiom,(
    ~ b000000011000000001000100001(bitIndex8) )).

fof(bitBlastConstant_3155,axiom,(
    ~ b000000011000000001000100001(bitIndex7) )).

fof(bitBlastConstant_3154,axiom,(
    ~ b000000011000000001000100001(bitIndex6) )).

fof(bitBlastConstant_3153,axiom,(
    b000000011000000001000100001(bitIndex5) )).

fof(bitBlastConstant_3152,axiom,(
    ~ b000000011000000001000100001(bitIndex4) )).

fof(bitBlastConstant_3151,axiom,(
    ~ b000000011000000001000100001(bitIndex3) )).

fof(bitBlastConstant_3150,axiom,(
    ~ b000000011000000001000100001(bitIndex2) )).

fof(bitBlastConstant_3149,axiom,(
    ~ b000000011000000001000100001(bitIndex1) )).

fof(bitBlastConstant_3148,axiom,(
    b000000011000000001000100001(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_144,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4555(VarCurr)
      <=> v4559(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_145,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4555(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_65,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4559(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_96,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4559(VarCurr)
      <=> v4561(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_97,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4559(VarCurr)
      <=> v4560(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_267,axiom,(
    ! [VarCurr] :
      ( v4561(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_3147,axiom,(
    ~ b000000011100000001000100000(bitIndex26) )).

fof(bitBlastConstant_3146,axiom,(
    ~ b000000011100000001000100000(bitIndex25) )).

fof(bitBlastConstant_3145,axiom,(
    ~ b000000011100000001000100000(bitIndex24) )).

fof(bitBlastConstant_3144,axiom,(
    ~ b000000011100000001000100000(bitIndex23) )).

fof(bitBlastConstant_3143,axiom,(
    ~ b000000011100000001000100000(bitIndex22) )).

fof(bitBlastConstant_3142,axiom,(
    ~ b000000011100000001000100000(bitIndex21) )).

fof(bitBlastConstant_3141,axiom,(
    ~ b000000011100000001000100000(bitIndex20) )).

fof(bitBlastConstant_3140,axiom,(
    b000000011100000001000100000(bitIndex19) )).

fof(bitBlastConstant_3139,axiom,(
    b000000011100000001000100000(bitIndex18) )).

fof(bitBlastConstant_3138,axiom,(
    b000000011100000001000100000(bitIndex17) )).

fof(bitBlastConstant_3137,axiom,(
    ~ b000000011100000001000100000(bitIndex16) )).

fof(bitBlastConstant_3136,axiom,(
    ~ b000000011100000001000100000(bitIndex15) )).

fof(bitBlastConstant_3135,axiom,(
    ~ b000000011100000001000100000(bitIndex14) )).

fof(bitBlastConstant_3134,axiom,(
    ~ b000000011100000001000100000(bitIndex13) )).

fof(bitBlastConstant_3133,axiom,(
    ~ b000000011100000001000100000(bitIndex12) )).

fof(bitBlastConstant_3132,axiom,(
    ~ b000000011100000001000100000(bitIndex11) )).

fof(bitBlastConstant_3131,axiom,(
    ~ b000000011100000001000100000(bitIndex10) )).

fof(bitBlastConstant_3130,axiom,(
    b000000011100000001000100000(bitIndex9) )).

fof(bitBlastConstant_3129,axiom,(
    ~ b000000011100000001000100000(bitIndex8) )).

fof(bitBlastConstant_3128,axiom,(
    ~ b000000011100000001000100000(bitIndex7) )).

fof(bitBlastConstant_3127,axiom,(
    ~ b000000011100000001000100000(bitIndex6) )).

fof(bitBlastConstant_3126,axiom,(
    b000000011100000001000100000(bitIndex5) )).

fof(bitBlastConstant_3125,axiom,(
    ~ b000000011100000001000100000(bitIndex4) )).

fof(bitBlastConstant_3124,axiom,(
    ~ b000000011100000001000100000(bitIndex3) )).

fof(bitBlastConstant_3123,axiom,(
    ~ b000000011100000001000100000(bitIndex2) )).

fof(bitBlastConstant_3122,axiom,(
    ~ b000000011100000001000100000(bitIndex1) )).

fof(bitBlastConstant_3121,axiom,(
    ~ b000000011100000001000100000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_266,axiom,(
    ! [VarCurr] :
      ( v4560(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $true )
        & ( v4446(VarCurr,bitIndex4)
        <=> $false )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_3120,axiom,(
    ~ b000000011000000001000100000(bitIndex26) )).

fof(bitBlastConstant_3119,axiom,(
    ~ b000000011000000001000100000(bitIndex25) )).

fof(bitBlastConstant_3118,axiom,(
    ~ b000000011000000001000100000(bitIndex24) )).

fof(bitBlastConstant_3117,axiom,(
    ~ b000000011000000001000100000(bitIndex23) )).

fof(bitBlastConstant_3116,axiom,(
    ~ b000000011000000001000100000(bitIndex22) )).

fof(bitBlastConstant_3115,axiom,(
    ~ b000000011000000001000100000(bitIndex21) )).

fof(bitBlastConstant_3114,axiom,(
    ~ b000000011000000001000100000(bitIndex20) )).

fof(bitBlastConstant_3113,axiom,(
    b000000011000000001000100000(bitIndex19) )).

fof(bitBlastConstant_3112,axiom,(
    b000000011000000001000100000(bitIndex18) )).

fof(bitBlastConstant_3111,axiom,(
    ~ b000000011000000001000100000(bitIndex17) )).

fof(bitBlastConstant_3110,axiom,(
    ~ b000000011000000001000100000(bitIndex16) )).

fof(bitBlastConstant_3109,axiom,(
    ~ b000000011000000001000100000(bitIndex15) )).

fof(bitBlastConstant_3108,axiom,(
    ~ b000000011000000001000100000(bitIndex14) )).

fof(bitBlastConstant_3107,axiom,(
    ~ b000000011000000001000100000(bitIndex13) )).

fof(bitBlastConstant_3106,axiom,(
    ~ b000000011000000001000100000(bitIndex12) )).

fof(bitBlastConstant_3105,axiom,(
    ~ b000000011000000001000100000(bitIndex11) )).

fof(bitBlastConstant_3104,axiom,(
    ~ b000000011000000001000100000(bitIndex10) )).

fof(bitBlastConstant_3103,axiom,(
    b000000011000000001000100000(bitIndex9) )).

fof(bitBlastConstant_3102,axiom,(
    ~ b000000011000000001000100000(bitIndex8) )).

fof(bitBlastConstant_3101,axiom,(
    ~ b000000011000000001000100000(bitIndex7) )).

fof(bitBlastConstant_3100,axiom,(
    ~ b000000011000000001000100000(bitIndex6) )).

fof(bitBlastConstant_3099,axiom,(
    b000000011000000001000100000(bitIndex5) )).

fof(bitBlastConstant_3098,axiom,(
    ~ b000000011000000001000100000(bitIndex4) )).

fof(bitBlastConstant_3097,axiom,(
    ~ b000000011000000001000100000(bitIndex3) )).

fof(bitBlastConstant_3096,axiom,(
    ~ b000000011000000001000100000(bitIndex2) )).

fof(bitBlastConstant_3095,axiom,(
    ~ b000000011000000001000100000(bitIndex1) )).

fof(bitBlastConstant_3094,axiom,(
    ~ b000000011000000001000100000(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_143,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4547(VarCurr)
      <=> v4551(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_144,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4547(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_64,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4551(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_95,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4551(VarCurr)
      <=> v4553(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_96,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4551(VarCurr)
      <=> v4552(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_265,axiom,(
    ! [VarCurr] :
      ( v4553(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_3093,axiom,(
    ~ b000000011100000001000011111(bitIndex26) )).

fof(bitBlastConstant_3092,axiom,(
    ~ b000000011100000001000011111(bitIndex25) )).

fof(bitBlastConstant_3091,axiom,(
    ~ b000000011100000001000011111(bitIndex24) )).

fof(bitBlastConstant_3090,axiom,(
    ~ b000000011100000001000011111(bitIndex23) )).

fof(bitBlastConstant_3089,axiom,(
    ~ b000000011100000001000011111(bitIndex22) )).

fof(bitBlastConstant_3088,axiom,(
    ~ b000000011100000001000011111(bitIndex21) )).

fof(bitBlastConstant_3087,axiom,(
    ~ b000000011100000001000011111(bitIndex20) )).

fof(bitBlastConstant_3086,axiom,(
    b000000011100000001000011111(bitIndex19) )).

fof(bitBlastConstant_3085,axiom,(
    b000000011100000001000011111(bitIndex18) )).

fof(bitBlastConstant_3084,axiom,(
    b000000011100000001000011111(bitIndex17) )).

fof(bitBlastConstant_3083,axiom,(
    ~ b000000011100000001000011111(bitIndex16) )).

fof(bitBlastConstant_3082,axiom,(
    ~ b000000011100000001000011111(bitIndex15) )).

fof(bitBlastConstant_3081,axiom,(
    ~ b000000011100000001000011111(bitIndex14) )).

fof(bitBlastConstant_3080,axiom,(
    ~ b000000011100000001000011111(bitIndex13) )).

fof(bitBlastConstant_3079,axiom,(
    ~ b000000011100000001000011111(bitIndex12) )).

fof(bitBlastConstant_3078,axiom,(
    ~ b000000011100000001000011111(bitIndex11) )).

fof(bitBlastConstant_3077,axiom,(
    ~ b000000011100000001000011111(bitIndex10) )).

fof(bitBlastConstant_3076,axiom,(
    b000000011100000001000011111(bitIndex9) )).

fof(bitBlastConstant_3075,axiom,(
    ~ b000000011100000001000011111(bitIndex8) )).

fof(bitBlastConstant_3074,axiom,(
    ~ b000000011100000001000011111(bitIndex7) )).

fof(bitBlastConstant_3073,axiom,(
    ~ b000000011100000001000011111(bitIndex6) )).

fof(bitBlastConstant_3072,axiom,(
    ~ b000000011100000001000011111(bitIndex5) )).

fof(bitBlastConstant_3071,axiom,(
    b000000011100000001000011111(bitIndex4) )).

fof(bitBlastConstant_3070,axiom,(
    b000000011100000001000011111(bitIndex3) )).

fof(bitBlastConstant_3069,axiom,(
    b000000011100000001000011111(bitIndex2) )).

fof(bitBlastConstant_3068,axiom,(
    b000000011100000001000011111(bitIndex1) )).

fof(bitBlastConstant_3067,axiom,(
    b000000011100000001000011111(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_264,axiom,(
    ! [VarCurr] :
      ( v4552(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_3066,axiom,(
    ~ b000000011000000001000011111(bitIndex26) )).

fof(bitBlastConstant_3065,axiom,(
    ~ b000000011000000001000011111(bitIndex25) )).

fof(bitBlastConstant_3064,axiom,(
    ~ b000000011000000001000011111(bitIndex24) )).

fof(bitBlastConstant_3063,axiom,(
    ~ b000000011000000001000011111(bitIndex23) )).

fof(bitBlastConstant_3062,axiom,(
    ~ b000000011000000001000011111(bitIndex22) )).

fof(bitBlastConstant_3061,axiom,(
    ~ b000000011000000001000011111(bitIndex21) )).

fof(bitBlastConstant_3060,axiom,(
    ~ b000000011000000001000011111(bitIndex20) )).

fof(bitBlastConstant_3059,axiom,(
    b000000011000000001000011111(bitIndex19) )).

fof(bitBlastConstant_3058,axiom,(
    b000000011000000001000011111(bitIndex18) )).

fof(bitBlastConstant_3057,axiom,(
    ~ b000000011000000001000011111(bitIndex17) )).

fof(bitBlastConstant_3056,axiom,(
    ~ b000000011000000001000011111(bitIndex16) )).

fof(bitBlastConstant_3055,axiom,(
    ~ b000000011000000001000011111(bitIndex15) )).

fof(bitBlastConstant_3054,axiom,(
    ~ b000000011000000001000011111(bitIndex14) )).

fof(bitBlastConstant_3053,axiom,(
    ~ b000000011000000001000011111(bitIndex13) )).

fof(bitBlastConstant_3052,axiom,(
    ~ b000000011000000001000011111(bitIndex12) )).

fof(bitBlastConstant_3051,axiom,(
    ~ b000000011000000001000011111(bitIndex11) )).

fof(bitBlastConstant_3050,axiom,(
    ~ b000000011000000001000011111(bitIndex10) )).

fof(bitBlastConstant_3049,axiom,(
    b000000011000000001000011111(bitIndex9) )).

fof(bitBlastConstant_3048,axiom,(
    ~ b000000011000000001000011111(bitIndex8) )).

fof(bitBlastConstant_3047,axiom,(
    ~ b000000011000000001000011111(bitIndex7) )).

fof(bitBlastConstant_3046,axiom,(
    ~ b000000011000000001000011111(bitIndex6) )).

fof(bitBlastConstant_3045,axiom,(
    ~ b000000011000000001000011111(bitIndex5) )).

fof(bitBlastConstant_3044,axiom,(
    b000000011000000001000011111(bitIndex4) )).

fof(bitBlastConstant_3043,axiom,(
    b000000011000000001000011111(bitIndex3) )).

fof(bitBlastConstant_3042,axiom,(
    b000000011000000001000011111(bitIndex2) )).

fof(bitBlastConstant_3041,axiom,(
    b000000011000000001000011111(bitIndex1) )).

fof(bitBlastConstant_3040,axiom,(
    b000000011000000001000011111(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_142,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4539(VarCurr)
      <=> v4543(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_143,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4539(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_63,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4543(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_94,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4543(VarCurr)
      <=> v4545(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_95,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4543(VarCurr)
      <=> v4544(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_263,axiom,(
    ! [VarCurr] :
      ( v4545(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_3039,axiom,(
    ~ b000000011100000001000011110(bitIndex26) )).

fof(bitBlastConstant_3038,axiom,(
    ~ b000000011100000001000011110(bitIndex25) )).

fof(bitBlastConstant_3037,axiom,(
    ~ b000000011100000001000011110(bitIndex24) )).

fof(bitBlastConstant_3036,axiom,(
    ~ b000000011100000001000011110(bitIndex23) )).

fof(bitBlastConstant_3035,axiom,(
    ~ b000000011100000001000011110(bitIndex22) )).

fof(bitBlastConstant_3034,axiom,(
    ~ b000000011100000001000011110(bitIndex21) )).

fof(bitBlastConstant_3033,axiom,(
    ~ b000000011100000001000011110(bitIndex20) )).

fof(bitBlastConstant_3032,axiom,(
    b000000011100000001000011110(bitIndex19) )).

fof(bitBlastConstant_3031,axiom,(
    b000000011100000001000011110(bitIndex18) )).

fof(bitBlastConstant_3030,axiom,(
    b000000011100000001000011110(bitIndex17) )).

fof(bitBlastConstant_3029,axiom,(
    ~ b000000011100000001000011110(bitIndex16) )).

fof(bitBlastConstant_3028,axiom,(
    ~ b000000011100000001000011110(bitIndex15) )).

fof(bitBlastConstant_3027,axiom,(
    ~ b000000011100000001000011110(bitIndex14) )).

fof(bitBlastConstant_3026,axiom,(
    ~ b000000011100000001000011110(bitIndex13) )).

fof(bitBlastConstant_3025,axiom,(
    ~ b000000011100000001000011110(bitIndex12) )).

fof(bitBlastConstant_3024,axiom,(
    ~ b000000011100000001000011110(bitIndex11) )).

fof(bitBlastConstant_3023,axiom,(
    ~ b000000011100000001000011110(bitIndex10) )).

fof(bitBlastConstant_3022,axiom,(
    b000000011100000001000011110(bitIndex9) )).

fof(bitBlastConstant_3021,axiom,(
    ~ b000000011100000001000011110(bitIndex8) )).

fof(bitBlastConstant_3020,axiom,(
    ~ b000000011100000001000011110(bitIndex7) )).

fof(bitBlastConstant_3019,axiom,(
    ~ b000000011100000001000011110(bitIndex6) )).

fof(bitBlastConstant_3018,axiom,(
    ~ b000000011100000001000011110(bitIndex5) )).

fof(bitBlastConstant_3017,axiom,(
    b000000011100000001000011110(bitIndex4) )).

fof(bitBlastConstant_3016,axiom,(
    b000000011100000001000011110(bitIndex3) )).

fof(bitBlastConstant_3015,axiom,(
    b000000011100000001000011110(bitIndex2) )).

fof(bitBlastConstant_3014,axiom,(
    b000000011100000001000011110(bitIndex1) )).

fof(bitBlastConstant_3013,axiom,(
    ~ b000000011100000001000011110(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_262,axiom,(
    ! [VarCurr] :
      ( v4544(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_3012,axiom,(
    ~ b000000011000000001000011110(bitIndex26) )).

fof(bitBlastConstant_3011,axiom,(
    ~ b000000011000000001000011110(bitIndex25) )).

fof(bitBlastConstant_3010,axiom,(
    ~ b000000011000000001000011110(bitIndex24) )).

fof(bitBlastConstant_3009,axiom,(
    ~ b000000011000000001000011110(bitIndex23) )).

fof(bitBlastConstant_3008,axiom,(
    ~ b000000011000000001000011110(bitIndex22) )).

fof(bitBlastConstant_3007,axiom,(
    ~ b000000011000000001000011110(bitIndex21) )).

fof(bitBlastConstant_3006,axiom,(
    ~ b000000011000000001000011110(bitIndex20) )).

fof(bitBlastConstant_3005,axiom,(
    b000000011000000001000011110(bitIndex19) )).

fof(bitBlastConstant_3004,axiom,(
    b000000011000000001000011110(bitIndex18) )).

fof(bitBlastConstant_3003,axiom,(
    ~ b000000011000000001000011110(bitIndex17) )).

fof(bitBlastConstant_3002,axiom,(
    ~ b000000011000000001000011110(bitIndex16) )).

fof(bitBlastConstant_3001,axiom,(
    ~ b000000011000000001000011110(bitIndex15) )).

fof(bitBlastConstant_3000,axiom,(
    ~ b000000011000000001000011110(bitIndex14) )).

fof(bitBlastConstant_2999,axiom,(
    ~ b000000011000000001000011110(bitIndex13) )).

fof(bitBlastConstant_2998,axiom,(
    ~ b000000011000000001000011110(bitIndex12) )).

fof(bitBlastConstant_2997,axiom,(
    ~ b000000011000000001000011110(bitIndex11) )).

fof(bitBlastConstant_2996,axiom,(
    ~ b000000011000000001000011110(bitIndex10) )).

fof(bitBlastConstant_2995,axiom,(
    b000000011000000001000011110(bitIndex9) )).

fof(bitBlastConstant_2994,axiom,(
    ~ b000000011000000001000011110(bitIndex8) )).

fof(bitBlastConstant_2993,axiom,(
    ~ b000000011000000001000011110(bitIndex7) )).

fof(bitBlastConstant_2992,axiom,(
    ~ b000000011000000001000011110(bitIndex6) )).

fof(bitBlastConstant_2991,axiom,(
    ~ b000000011000000001000011110(bitIndex5) )).

fof(bitBlastConstant_2990,axiom,(
    b000000011000000001000011110(bitIndex4) )).

fof(bitBlastConstant_2989,axiom,(
    b000000011000000001000011110(bitIndex3) )).

fof(bitBlastConstant_2988,axiom,(
    b000000011000000001000011110(bitIndex2) )).

fof(bitBlastConstant_2987,axiom,(
    b000000011000000001000011110(bitIndex1) )).

fof(bitBlastConstant_2986,axiom,(
    ~ b000000011000000001000011110(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_141,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4531(VarCurr)
      <=> v4535(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_142,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4531(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_62,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4535(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_93,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4535(VarCurr)
      <=> v4537(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_94,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4535(VarCurr)
      <=> v4536(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_261,axiom,(
    ! [VarCurr] :
      ( v4537(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_2985,axiom,(
    ~ b000000011100000001000011101(bitIndex26) )).

fof(bitBlastConstant_2984,axiom,(
    ~ b000000011100000001000011101(bitIndex25) )).

fof(bitBlastConstant_2983,axiom,(
    ~ b000000011100000001000011101(bitIndex24) )).

fof(bitBlastConstant_2982,axiom,(
    ~ b000000011100000001000011101(bitIndex23) )).

fof(bitBlastConstant_2981,axiom,(
    ~ b000000011100000001000011101(bitIndex22) )).

fof(bitBlastConstant_2980,axiom,(
    ~ b000000011100000001000011101(bitIndex21) )).

fof(bitBlastConstant_2979,axiom,(
    ~ b000000011100000001000011101(bitIndex20) )).

fof(bitBlastConstant_2978,axiom,(
    b000000011100000001000011101(bitIndex19) )).

fof(bitBlastConstant_2977,axiom,(
    b000000011100000001000011101(bitIndex18) )).

fof(bitBlastConstant_2976,axiom,(
    b000000011100000001000011101(bitIndex17) )).

fof(bitBlastConstant_2975,axiom,(
    ~ b000000011100000001000011101(bitIndex16) )).

fof(bitBlastConstant_2974,axiom,(
    ~ b000000011100000001000011101(bitIndex15) )).

fof(bitBlastConstant_2973,axiom,(
    ~ b000000011100000001000011101(bitIndex14) )).

fof(bitBlastConstant_2972,axiom,(
    ~ b000000011100000001000011101(bitIndex13) )).

fof(bitBlastConstant_2971,axiom,(
    ~ b000000011100000001000011101(bitIndex12) )).

fof(bitBlastConstant_2970,axiom,(
    ~ b000000011100000001000011101(bitIndex11) )).

fof(bitBlastConstant_2969,axiom,(
    ~ b000000011100000001000011101(bitIndex10) )).

fof(bitBlastConstant_2968,axiom,(
    b000000011100000001000011101(bitIndex9) )).

fof(bitBlastConstant_2967,axiom,(
    ~ b000000011100000001000011101(bitIndex8) )).

fof(bitBlastConstant_2966,axiom,(
    ~ b000000011100000001000011101(bitIndex7) )).

fof(bitBlastConstant_2965,axiom,(
    ~ b000000011100000001000011101(bitIndex6) )).

fof(bitBlastConstant_2964,axiom,(
    ~ b000000011100000001000011101(bitIndex5) )).

fof(bitBlastConstant_2963,axiom,(
    b000000011100000001000011101(bitIndex4) )).

fof(bitBlastConstant_2962,axiom,(
    b000000011100000001000011101(bitIndex3) )).

fof(bitBlastConstant_2961,axiom,(
    b000000011100000001000011101(bitIndex2) )).

fof(bitBlastConstant_2960,axiom,(
    ~ b000000011100000001000011101(bitIndex1) )).

fof(bitBlastConstant_2959,axiom,(
    b000000011100000001000011101(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_260,axiom,(
    ! [VarCurr] :
      ( v4536(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_2958,axiom,(
    ~ b000000011000000001000011101(bitIndex26) )).

fof(bitBlastConstant_2957,axiom,(
    ~ b000000011000000001000011101(bitIndex25) )).

fof(bitBlastConstant_2956,axiom,(
    ~ b000000011000000001000011101(bitIndex24) )).

fof(bitBlastConstant_2955,axiom,(
    ~ b000000011000000001000011101(bitIndex23) )).

fof(bitBlastConstant_2954,axiom,(
    ~ b000000011000000001000011101(bitIndex22) )).

fof(bitBlastConstant_2953,axiom,(
    ~ b000000011000000001000011101(bitIndex21) )).

fof(bitBlastConstant_2952,axiom,(
    ~ b000000011000000001000011101(bitIndex20) )).

fof(bitBlastConstant_2951,axiom,(
    b000000011000000001000011101(bitIndex19) )).

fof(bitBlastConstant_2950,axiom,(
    b000000011000000001000011101(bitIndex18) )).

fof(bitBlastConstant_2949,axiom,(
    ~ b000000011000000001000011101(bitIndex17) )).

fof(bitBlastConstant_2948,axiom,(
    ~ b000000011000000001000011101(bitIndex16) )).

fof(bitBlastConstant_2947,axiom,(
    ~ b000000011000000001000011101(bitIndex15) )).

fof(bitBlastConstant_2946,axiom,(
    ~ b000000011000000001000011101(bitIndex14) )).

fof(bitBlastConstant_2945,axiom,(
    ~ b000000011000000001000011101(bitIndex13) )).

fof(bitBlastConstant_2944,axiom,(
    ~ b000000011000000001000011101(bitIndex12) )).

fof(bitBlastConstant_2943,axiom,(
    ~ b000000011000000001000011101(bitIndex11) )).

fof(bitBlastConstant_2942,axiom,(
    ~ b000000011000000001000011101(bitIndex10) )).

fof(bitBlastConstant_2941,axiom,(
    b000000011000000001000011101(bitIndex9) )).

fof(bitBlastConstant_2940,axiom,(
    ~ b000000011000000001000011101(bitIndex8) )).

fof(bitBlastConstant_2939,axiom,(
    ~ b000000011000000001000011101(bitIndex7) )).

fof(bitBlastConstant_2938,axiom,(
    ~ b000000011000000001000011101(bitIndex6) )).

fof(bitBlastConstant_2937,axiom,(
    ~ b000000011000000001000011101(bitIndex5) )).

fof(bitBlastConstant_2936,axiom,(
    b000000011000000001000011101(bitIndex4) )).

fof(bitBlastConstant_2935,axiom,(
    b000000011000000001000011101(bitIndex3) )).

fof(bitBlastConstant_2934,axiom,(
    b000000011000000001000011101(bitIndex2) )).

fof(bitBlastConstant_2933,axiom,(
    ~ b000000011000000001000011101(bitIndex1) )).

fof(bitBlastConstant_2932,axiom,(
    b000000011000000001000011101(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_140,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4523(VarCurr)
      <=> v4527(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_141,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4523(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_61,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4527(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_92,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4527(VarCurr)
      <=> v4529(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_93,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4527(VarCurr)
      <=> v4528(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_259,axiom,(
    ! [VarCurr] :
      ( v4529(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_2931,axiom,(
    ~ b000000011100000001000011100(bitIndex26) )).

fof(bitBlastConstant_2930,axiom,(
    ~ b000000011100000001000011100(bitIndex25) )).

fof(bitBlastConstant_2929,axiom,(
    ~ b000000011100000001000011100(bitIndex24) )).

fof(bitBlastConstant_2928,axiom,(
    ~ b000000011100000001000011100(bitIndex23) )).

fof(bitBlastConstant_2927,axiom,(
    ~ b000000011100000001000011100(bitIndex22) )).

fof(bitBlastConstant_2926,axiom,(
    ~ b000000011100000001000011100(bitIndex21) )).

fof(bitBlastConstant_2925,axiom,(
    ~ b000000011100000001000011100(bitIndex20) )).

fof(bitBlastConstant_2924,axiom,(
    b000000011100000001000011100(bitIndex19) )).

fof(bitBlastConstant_2923,axiom,(
    b000000011100000001000011100(bitIndex18) )).

fof(bitBlastConstant_2922,axiom,(
    b000000011100000001000011100(bitIndex17) )).

fof(bitBlastConstant_2921,axiom,(
    ~ b000000011100000001000011100(bitIndex16) )).

fof(bitBlastConstant_2920,axiom,(
    ~ b000000011100000001000011100(bitIndex15) )).

fof(bitBlastConstant_2919,axiom,(
    ~ b000000011100000001000011100(bitIndex14) )).

fof(bitBlastConstant_2918,axiom,(
    ~ b000000011100000001000011100(bitIndex13) )).

fof(bitBlastConstant_2917,axiom,(
    ~ b000000011100000001000011100(bitIndex12) )).

fof(bitBlastConstant_2916,axiom,(
    ~ b000000011100000001000011100(bitIndex11) )).

fof(bitBlastConstant_2915,axiom,(
    ~ b000000011100000001000011100(bitIndex10) )).

fof(bitBlastConstant_2914,axiom,(
    b000000011100000001000011100(bitIndex9) )).

fof(bitBlastConstant_2913,axiom,(
    ~ b000000011100000001000011100(bitIndex8) )).

fof(bitBlastConstant_2912,axiom,(
    ~ b000000011100000001000011100(bitIndex7) )).

fof(bitBlastConstant_2911,axiom,(
    ~ b000000011100000001000011100(bitIndex6) )).

fof(bitBlastConstant_2910,axiom,(
    ~ b000000011100000001000011100(bitIndex5) )).

fof(bitBlastConstant_2909,axiom,(
    b000000011100000001000011100(bitIndex4) )).

fof(bitBlastConstant_2908,axiom,(
    b000000011100000001000011100(bitIndex3) )).

fof(bitBlastConstant_2907,axiom,(
    b000000011100000001000011100(bitIndex2) )).

fof(bitBlastConstant_2906,axiom,(
    ~ b000000011100000001000011100(bitIndex1) )).

fof(bitBlastConstant_2905,axiom,(
    ~ b000000011100000001000011100(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_258,axiom,(
    ! [VarCurr] :
      ( v4528(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_2904,axiom,(
    ~ b000000011000000001000011100(bitIndex26) )).

fof(bitBlastConstant_2903,axiom,(
    ~ b000000011000000001000011100(bitIndex25) )).

fof(bitBlastConstant_2902,axiom,(
    ~ b000000011000000001000011100(bitIndex24) )).

fof(bitBlastConstant_2901,axiom,(
    ~ b000000011000000001000011100(bitIndex23) )).

fof(bitBlastConstant_2900,axiom,(
    ~ b000000011000000001000011100(bitIndex22) )).

fof(bitBlastConstant_2899,axiom,(
    ~ b000000011000000001000011100(bitIndex21) )).

fof(bitBlastConstant_2898,axiom,(
    ~ b000000011000000001000011100(bitIndex20) )).

fof(bitBlastConstant_2897,axiom,(
    b000000011000000001000011100(bitIndex19) )).

fof(bitBlastConstant_2896,axiom,(
    b000000011000000001000011100(bitIndex18) )).

fof(bitBlastConstant_2895,axiom,(
    ~ b000000011000000001000011100(bitIndex17) )).

fof(bitBlastConstant_2894,axiom,(
    ~ b000000011000000001000011100(bitIndex16) )).

fof(bitBlastConstant_2893,axiom,(
    ~ b000000011000000001000011100(bitIndex15) )).

fof(bitBlastConstant_2892,axiom,(
    ~ b000000011000000001000011100(bitIndex14) )).

fof(bitBlastConstant_2891,axiom,(
    ~ b000000011000000001000011100(bitIndex13) )).

fof(bitBlastConstant_2890,axiom,(
    ~ b000000011000000001000011100(bitIndex12) )).

fof(bitBlastConstant_2889,axiom,(
    ~ b000000011000000001000011100(bitIndex11) )).

fof(bitBlastConstant_2888,axiom,(
    ~ b000000011000000001000011100(bitIndex10) )).

fof(bitBlastConstant_2887,axiom,(
    b000000011000000001000011100(bitIndex9) )).

fof(bitBlastConstant_2886,axiom,(
    ~ b000000011000000001000011100(bitIndex8) )).

fof(bitBlastConstant_2885,axiom,(
    ~ b000000011000000001000011100(bitIndex7) )).

fof(bitBlastConstant_2884,axiom,(
    ~ b000000011000000001000011100(bitIndex6) )).

fof(bitBlastConstant_2883,axiom,(
    ~ b000000011000000001000011100(bitIndex5) )).

fof(bitBlastConstant_2882,axiom,(
    b000000011000000001000011100(bitIndex4) )).

fof(bitBlastConstant_2881,axiom,(
    b000000011000000001000011100(bitIndex3) )).

fof(bitBlastConstant_2880,axiom,(
    b000000011000000001000011100(bitIndex2) )).

fof(bitBlastConstant_2879,axiom,(
    ~ b000000011000000001000011100(bitIndex1) )).

fof(bitBlastConstant_2878,axiom,(
    ~ b000000011000000001000011100(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_139,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4515(VarCurr)
      <=> v4519(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_140,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4515(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_60,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4519(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_91,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4519(VarCurr)
      <=> v4521(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_92,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4519(VarCurr)
      <=> v4520(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_257,axiom,(
    ! [VarCurr] :
      ( v4521(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_2877,axiom,(
    ~ b000000011100000001000011011(bitIndex26) )).

fof(bitBlastConstant_2876,axiom,(
    ~ b000000011100000001000011011(bitIndex25) )).

fof(bitBlastConstant_2875,axiom,(
    ~ b000000011100000001000011011(bitIndex24) )).

fof(bitBlastConstant_2874,axiom,(
    ~ b000000011100000001000011011(bitIndex23) )).

fof(bitBlastConstant_2873,axiom,(
    ~ b000000011100000001000011011(bitIndex22) )).

fof(bitBlastConstant_2872,axiom,(
    ~ b000000011100000001000011011(bitIndex21) )).

fof(bitBlastConstant_2871,axiom,(
    ~ b000000011100000001000011011(bitIndex20) )).

fof(bitBlastConstant_2870,axiom,(
    b000000011100000001000011011(bitIndex19) )).

fof(bitBlastConstant_2869,axiom,(
    b000000011100000001000011011(bitIndex18) )).

fof(bitBlastConstant_2868,axiom,(
    b000000011100000001000011011(bitIndex17) )).

fof(bitBlastConstant_2867,axiom,(
    ~ b000000011100000001000011011(bitIndex16) )).

fof(bitBlastConstant_2866,axiom,(
    ~ b000000011100000001000011011(bitIndex15) )).

fof(bitBlastConstant_2865,axiom,(
    ~ b000000011100000001000011011(bitIndex14) )).

fof(bitBlastConstant_2864,axiom,(
    ~ b000000011100000001000011011(bitIndex13) )).

fof(bitBlastConstant_2863,axiom,(
    ~ b000000011100000001000011011(bitIndex12) )).

fof(bitBlastConstant_2862,axiom,(
    ~ b000000011100000001000011011(bitIndex11) )).

fof(bitBlastConstant_2861,axiom,(
    ~ b000000011100000001000011011(bitIndex10) )).

fof(bitBlastConstant_2860,axiom,(
    b000000011100000001000011011(bitIndex9) )).

fof(bitBlastConstant_2859,axiom,(
    ~ b000000011100000001000011011(bitIndex8) )).

fof(bitBlastConstant_2858,axiom,(
    ~ b000000011100000001000011011(bitIndex7) )).

fof(bitBlastConstant_2857,axiom,(
    ~ b000000011100000001000011011(bitIndex6) )).

fof(bitBlastConstant_2856,axiom,(
    ~ b000000011100000001000011011(bitIndex5) )).

fof(bitBlastConstant_2855,axiom,(
    b000000011100000001000011011(bitIndex4) )).

fof(bitBlastConstant_2854,axiom,(
    b000000011100000001000011011(bitIndex3) )).

fof(bitBlastConstant_2853,axiom,(
    ~ b000000011100000001000011011(bitIndex2) )).

fof(bitBlastConstant_2852,axiom,(
    b000000011100000001000011011(bitIndex1) )).

fof(bitBlastConstant_2851,axiom,(
    b000000011100000001000011011(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_256,axiom,(
    ! [VarCurr] :
      ( v4520(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_2850,axiom,(
    ~ b000000011000000001000011011(bitIndex26) )).

fof(bitBlastConstant_2849,axiom,(
    ~ b000000011000000001000011011(bitIndex25) )).

fof(bitBlastConstant_2848,axiom,(
    ~ b000000011000000001000011011(bitIndex24) )).

fof(bitBlastConstant_2847,axiom,(
    ~ b000000011000000001000011011(bitIndex23) )).

fof(bitBlastConstant_2846,axiom,(
    ~ b000000011000000001000011011(bitIndex22) )).

fof(bitBlastConstant_2845,axiom,(
    ~ b000000011000000001000011011(bitIndex21) )).

fof(bitBlastConstant_2844,axiom,(
    ~ b000000011000000001000011011(bitIndex20) )).

fof(bitBlastConstant_2843,axiom,(
    b000000011000000001000011011(bitIndex19) )).

fof(bitBlastConstant_2842,axiom,(
    b000000011000000001000011011(bitIndex18) )).

fof(bitBlastConstant_2841,axiom,(
    ~ b000000011000000001000011011(bitIndex17) )).

fof(bitBlastConstant_2840,axiom,(
    ~ b000000011000000001000011011(bitIndex16) )).

fof(bitBlastConstant_2839,axiom,(
    ~ b000000011000000001000011011(bitIndex15) )).

fof(bitBlastConstant_2838,axiom,(
    ~ b000000011000000001000011011(bitIndex14) )).

fof(bitBlastConstant_2837,axiom,(
    ~ b000000011000000001000011011(bitIndex13) )).

fof(bitBlastConstant_2836,axiom,(
    ~ b000000011000000001000011011(bitIndex12) )).

fof(bitBlastConstant_2835,axiom,(
    ~ b000000011000000001000011011(bitIndex11) )).

fof(bitBlastConstant_2834,axiom,(
    ~ b000000011000000001000011011(bitIndex10) )).

fof(bitBlastConstant_2833,axiom,(
    b000000011000000001000011011(bitIndex9) )).

fof(bitBlastConstant_2832,axiom,(
    ~ b000000011000000001000011011(bitIndex8) )).

fof(bitBlastConstant_2831,axiom,(
    ~ b000000011000000001000011011(bitIndex7) )).

fof(bitBlastConstant_2830,axiom,(
    ~ b000000011000000001000011011(bitIndex6) )).

fof(bitBlastConstant_2829,axiom,(
    ~ b000000011000000001000011011(bitIndex5) )).

fof(bitBlastConstant_2828,axiom,(
    b000000011000000001000011011(bitIndex4) )).

fof(bitBlastConstant_2827,axiom,(
    b000000011000000001000011011(bitIndex3) )).

fof(bitBlastConstant_2826,axiom,(
    ~ b000000011000000001000011011(bitIndex2) )).

fof(bitBlastConstant_2825,axiom,(
    b000000011000000001000011011(bitIndex1) )).

fof(bitBlastConstant_2824,axiom,(
    b000000011000000001000011011(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_138,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4507(VarCurr)
      <=> v4511(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_139,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4507(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_59,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4511(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_90,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4511(VarCurr)
      <=> v4513(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_91,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4511(VarCurr)
      <=> v4512(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_255,axiom,(
    ! [VarCurr] :
      ( v4513(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_2823,axiom,(
    ~ b000000011100000001000011010(bitIndex26) )).

fof(bitBlastConstant_2822,axiom,(
    ~ b000000011100000001000011010(bitIndex25) )).

fof(bitBlastConstant_2821,axiom,(
    ~ b000000011100000001000011010(bitIndex24) )).

fof(bitBlastConstant_2820,axiom,(
    ~ b000000011100000001000011010(bitIndex23) )).

fof(bitBlastConstant_2819,axiom,(
    ~ b000000011100000001000011010(bitIndex22) )).

fof(bitBlastConstant_2818,axiom,(
    ~ b000000011100000001000011010(bitIndex21) )).

fof(bitBlastConstant_2817,axiom,(
    ~ b000000011100000001000011010(bitIndex20) )).

fof(bitBlastConstant_2816,axiom,(
    b000000011100000001000011010(bitIndex19) )).

fof(bitBlastConstant_2815,axiom,(
    b000000011100000001000011010(bitIndex18) )).

fof(bitBlastConstant_2814,axiom,(
    b000000011100000001000011010(bitIndex17) )).

fof(bitBlastConstant_2813,axiom,(
    ~ b000000011100000001000011010(bitIndex16) )).

fof(bitBlastConstant_2812,axiom,(
    ~ b000000011100000001000011010(bitIndex15) )).

fof(bitBlastConstant_2811,axiom,(
    ~ b000000011100000001000011010(bitIndex14) )).

fof(bitBlastConstant_2810,axiom,(
    ~ b000000011100000001000011010(bitIndex13) )).

fof(bitBlastConstant_2809,axiom,(
    ~ b000000011100000001000011010(bitIndex12) )).

fof(bitBlastConstant_2808,axiom,(
    ~ b000000011100000001000011010(bitIndex11) )).

fof(bitBlastConstant_2807,axiom,(
    ~ b000000011100000001000011010(bitIndex10) )).

fof(bitBlastConstant_2806,axiom,(
    b000000011100000001000011010(bitIndex9) )).

fof(bitBlastConstant_2805,axiom,(
    ~ b000000011100000001000011010(bitIndex8) )).

fof(bitBlastConstant_2804,axiom,(
    ~ b000000011100000001000011010(bitIndex7) )).

fof(bitBlastConstant_2803,axiom,(
    ~ b000000011100000001000011010(bitIndex6) )).

fof(bitBlastConstant_2802,axiom,(
    ~ b000000011100000001000011010(bitIndex5) )).

fof(bitBlastConstant_2801,axiom,(
    b000000011100000001000011010(bitIndex4) )).

fof(bitBlastConstant_2800,axiom,(
    b000000011100000001000011010(bitIndex3) )).

fof(bitBlastConstant_2799,axiom,(
    ~ b000000011100000001000011010(bitIndex2) )).

fof(bitBlastConstant_2798,axiom,(
    b000000011100000001000011010(bitIndex1) )).

fof(bitBlastConstant_2797,axiom,(
    ~ b000000011100000001000011010(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_254,axiom,(
    ! [VarCurr] :
      ( v4512(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_2796,axiom,(
    ~ b000000011000000001000011010(bitIndex26) )).

fof(bitBlastConstant_2795,axiom,(
    ~ b000000011000000001000011010(bitIndex25) )).

fof(bitBlastConstant_2794,axiom,(
    ~ b000000011000000001000011010(bitIndex24) )).

fof(bitBlastConstant_2793,axiom,(
    ~ b000000011000000001000011010(bitIndex23) )).

fof(bitBlastConstant_2792,axiom,(
    ~ b000000011000000001000011010(bitIndex22) )).

fof(bitBlastConstant_2791,axiom,(
    ~ b000000011000000001000011010(bitIndex21) )).

fof(bitBlastConstant_2790,axiom,(
    ~ b000000011000000001000011010(bitIndex20) )).

fof(bitBlastConstant_2789,axiom,(
    b000000011000000001000011010(bitIndex19) )).

fof(bitBlastConstant_2788,axiom,(
    b000000011000000001000011010(bitIndex18) )).

fof(bitBlastConstant_2787,axiom,(
    ~ b000000011000000001000011010(bitIndex17) )).

fof(bitBlastConstant_2786,axiom,(
    ~ b000000011000000001000011010(bitIndex16) )).

fof(bitBlastConstant_2785,axiom,(
    ~ b000000011000000001000011010(bitIndex15) )).

fof(bitBlastConstant_2784,axiom,(
    ~ b000000011000000001000011010(bitIndex14) )).

fof(bitBlastConstant_2783,axiom,(
    ~ b000000011000000001000011010(bitIndex13) )).

fof(bitBlastConstant_2782,axiom,(
    ~ b000000011000000001000011010(bitIndex12) )).

fof(bitBlastConstant_2781,axiom,(
    ~ b000000011000000001000011010(bitIndex11) )).

fof(bitBlastConstant_2780,axiom,(
    ~ b000000011000000001000011010(bitIndex10) )).

fof(bitBlastConstant_2779,axiom,(
    b000000011000000001000011010(bitIndex9) )).

fof(bitBlastConstant_2778,axiom,(
    ~ b000000011000000001000011010(bitIndex8) )).

fof(bitBlastConstant_2777,axiom,(
    ~ b000000011000000001000011010(bitIndex7) )).

fof(bitBlastConstant_2776,axiom,(
    ~ b000000011000000001000011010(bitIndex6) )).

fof(bitBlastConstant_2775,axiom,(
    ~ b000000011000000001000011010(bitIndex5) )).

fof(bitBlastConstant_2774,axiom,(
    b000000011000000001000011010(bitIndex4) )).

fof(bitBlastConstant_2773,axiom,(
    b000000011000000001000011010(bitIndex3) )).

fof(bitBlastConstant_2772,axiom,(
    ~ b000000011000000001000011010(bitIndex2) )).

fof(bitBlastConstant_2771,axiom,(
    b000000011000000001000011010(bitIndex1) )).

fof(bitBlastConstant_2770,axiom,(
    ~ b000000011000000001000011010(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_137,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4499(VarCurr)
      <=> v4503(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_138,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4499(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_58,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4503(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_89,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4503(VarCurr)
      <=> v4505(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_90,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4503(VarCurr)
      <=> v4504(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_253,axiom,(
    ! [VarCurr] :
      ( v4505(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_2769,axiom,(
    ~ b000000011100000001000011001(bitIndex26) )).

fof(bitBlastConstant_2768,axiom,(
    ~ b000000011100000001000011001(bitIndex25) )).

fof(bitBlastConstant_2767,axiom,(
    ~ b000000011100000001000011001(bitIndex24) )).

fof(bitBlastConstant_2766,axiom,(
    ~ b000000011100000001000011001(bitIndex23) )).

fof(bitBlastConstant_2765,axiom,(
    ~ b000000011100000001000011001(bitIndex22) )).

fof(bitBlastConstant_2764,axiom,(
    ~ b000000011100000001000011001(bitIndex21) )).

fof(bitBlastConstant_2763,axiom,(
    ~ b000000011100000001000011001(bitIndex20) )).

fof(bitBlastConstant_2762,axiom,(
    b000000011100000001000011001(bitIndex19) )).

fof(bitBlastConstant_2761,axiom,(
    b000000011100000001000011001(bitIndex18) )).

fof(bitBlastConstant_2760,axiom,(
    b000000011100000001000011001(bitIndex17) )).

fof(bitBlastConstant_2759,axiom,(
    ~ b000000011100000001000011001(bitIndex16) )).

fof(bitBlastConstant_2758,axiom,(
    ~ b000000011100000001000011001(bitIndex15) )).

fof(bitBlastConstant_2757,axiom,(
    ~ b000000011100000001000011001(bitIndex14) )).

fof(bitBlastConstant_2756,axiom,(
    ~ b000000011100000001000011001(bitIndex13) )).

fof(bitBlastConstant_2755,axiom,(
    ~ b000000011100000001000011001(bitIndex12) )).

fof(bitBlastConstant_2754,axiom,(
    ~ b000000011100000001000011001(bitIndex11) )).

fof(bitBlastConstant_2753,axiom,(
    ~ b000000011100000001000011001(bitIndex10) )).

fof(bitBlastConstant_2752,axiom,(
    b000000011100000001000011001(bitIndex9) )).

fof(bitBlastConstant_2751,axiom,(
    ~ b000000011100000001000011001(bitIndex8) )).

fof(bitBlastConstant_2750,axiom,(
    ~ b000000011100000001000011001(bitIndex7) )).

fof(bitBlastConstant_2749,axiom,(
    ~ b000000011100000001000011001(bitIndex6) )).

fof(bitBlastConstant_2748,axiom,(
    ~ b000000011100000001000011001(bitIndex5) )).

fof(bitBlastConstant_2747,axiom,(
    b000000011100000001000011001(bitIndex4) )).

fof(bitBlastConstant_2746,axiom,(
    b000000011100000001000011001(bitIndex3) )).

fof(bitBlastConstant_2745,axiom,(
    ~ b000000011100000001000011001(bitIndex2) )).

fof(bitBlastConstant_2744,axiom,(
    ~ b000000011100000001000011001(bitIndex1) )).

fof(bitBlastConstant_2743,axiom,(
    b000000011100000001000011001(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_252,axiom,(
    ! [VarCurr] :
      ( v4504(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_2742,axiom,(
    ~ b000000011000000001000011001(bitIndex26) )).

fof(bitBlastConstant_2741,axiom,(
    ~ b000000011000000001000011001(bitIndex25) )).

fof(bitBlastConstant_2740,axiom,(
    ~ b000000011000000001000011001(bitIndex24) )).

fof(bitBlastConstant_2739,axiom,(
    ~ b000000011000000001000011001(bitIndex23) )).

fof(bitBlastConstant_2738,axiom,(
    ~ b000000011000000001000011001(bitIndex22) )).

fof(bitBlastConstant_2737,axiom,(
    ~ b000000011000000001000011001(bitIndex21) )).

fof(bitBlastConstant_2736,axiom,(
    ~ b000000011000000001000011001(bitIndex20) )).

fof(bitBlastConstant_2735,axiom,(
    b000000011000000001000011001(bitIndex19) )).

fof(bitBlastConstant_2734,axiom,(
    b000000011000000001000011001(bitIndex18) )).

fof(bitBlastConstant_2733,axiom,(
    ~ b000000011000000001000011001(bitIndex17) )).

fof(bitBlastConstant_2732,axiom,(
    ~ b000000011000000001000011001(bitIndex16) )).

fof(bitBlastConstant_2731,axiom,(
    ~ b000000011000000001000011001(bitIndex15) )).

fof(bitBlastConstant_2730,axiom,(
    ~ b000000011000000001000011001(bitIndex14) )).

fof(bitBlastConstant_2729,axiom,(
    ~ b000000011000000001000011001(bitIndex13) )).

fof(bitBlastConstant_2728,axiom,(
    ~ b000000011000000001000011001(bitIndex12) )).

fof(bitBlastConstant_2727,axiom,(
    ~ b000000011000000001000011001(bitIndex11) )).

fof(bitBlastConstant_2726,axiom,(
    ~ b000000011000000001000011001(bitIndex10) )).

fof(bitBlastConstant_2725,axiom,(
    b000000011000000001000011001(bitIndex9) )).

fof(bitBlastConstant_2724,axiom,(
    ~ b000000011000000001000011001(bitIndex8) )).

fof(bitBlastConstant_2723,axiom,(
    ~ b000000011000000001000011001(bitIndex7) )).

fof(bitBlastConstant_2722,axiom,(
    ~ b000000011000000001000011001(bitIndex6) )).

fof(bitBlastConstant_2721,axiom,(
    ~ b000000011000000001000011001(bitIndex5) )).

fof(bitBlastConstant_2720,axiom,(
    b000000011000000001000011001(bitIndex4) )).

fof(bitBlastConstant_2719,axiom,(
    b000000011000000001000011001(bitIndex3) )).

fof(bitBlastConstant_2718,axiom,(
    ~ b000000011000000001000011001(bitIndex2) )).

fof(bitBlastConstant_2717,axiom,(
    ~ b000000011000000001000011001(bitIndex1) )).

fof(bitBlastConstant_2716,axiom,(
    b000000011000000001000011001(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_136,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4491(VarCurr)
      <=> v4495(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_137,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4491(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_57,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4495(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_88,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4495(VarCurr)
      <=> v4497(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_89,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4495(VarCurr)
      <=> v4496(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_251,axiom,(
    ! [VarCurr] :
      ( v4497(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_2715,axiom,(
    ~ b000000011100000001000011000(bitIndex26) )).

fof(bitBlastConstant_2714,axiom,(
    ~ b000000011100000001000011000(bitIndex25) )).

fof(bitBlastConstant_2713,axiom,(
    ~ b000000011100000001000011000(bitIndex24) )).

fof(bitBlastConstant_2712,axiom,(
    ~ b000000011100000001000011000(bitIndex23) )).

fof(bitBlastConstant_2711,axiom,(
    ~ b000000011100000001000011000(bitIndex22) )).

fof(bitBlastConstant_2710,axiom,(
    ~ b000000011100000001000011000(bitIndex21) )).

fof(bitBlastConstant_2709,axiom,(
    ~ b000000011100000001000011000(bitIndex20) )).

fof(bitBlastConstant_2708,axiom,(
    b000000011100000001000011000(bitIndex19) )).

fof(bitBlastConstant_2707,axiom,(
    b000000011100000001000011000(bitIndex18) )).

fof(bitBlastConstant_2706,axiom,(
    b000000011100000001000011000(bitIndex17) )).

fof(bitBlastConstant_2705,axiom,(
    ~ b000000011100000001000011000(bitIndex16) )).

fof(bitBlastConstant_2704,axiom,(
    ~ b000000011100000001000011000(bitIndex15) )).

fof(bitBlastConstant_2703,axiom,(
    ~ b000000011100000001000011000(bitIndex14) )).

fof(bitBlastConstant_2702,axiom,(
    ~ b000000011100000001000011000(bitIndex13) )).

fof(bitBlastConstant_2701,axiom,(
    ~ b000000011100000001000011000(bitIndex12) )).

fof(bitBlastConstant_2700,axiom,(
    ~ b000000011100000001000011000(bitIndex11) )).

fof(bitBlastConstant_2699,axiom,(
    ~ b000000011100000001000011000(bitIndex10) )).

fof(bitBlastConstant_2698,axiom,(
    b000000011100000001000011000(bitIndex9) )).

fof(bitBlastConstant_2697,axiom,(
    ~ b000000011100000001000011000(bitIndex8) )).

fof(bitBlastConstant_2696,axiom,(
    ~ b000000011100000001000011000(bitIndex7) )).

fof(bitBlastConstant_2695,axiom,(
    ~ b000000011100000001000011000(bitIndex6) )).

fof(bitBlastConstant_2694,axiom,(
    ~ b000000011100000001000011000(bitIndex5) )).

fof(bitBlastConstant_2693,axiom,(
    b000000011100000001000011000(bitIndex4) )).

fof(bitBlastConstant_2692,axiom,(
    b000000011100000001000011000(bitIndex3) )).

fof(bitBlastConstant_2691,axiom,(
    ~ b000000011100000001000011000(bitIndex2) )).

fof(bitBlastConstant_2690,axiom,(
    ~ b000000011100000001000011000(bitIndex1) )).

fof(bitBlastConstant_2689,axiom,(
    ~ b000000011100000001000011000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_250,axiom,(
    ! [VarCurr] :
      ( v4496(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $true )
        & ( v4446(VarCurr,bitIndex2)
        <=> $false )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_2688,axiom,(
    ~ b000000011000000001000011000(bitIndex26) )).

fof(bitBlastConstant_2687,axiom,(
    ~ b000000011000000001000011000(bitIndex25) )).

fof(bitBlastConstant_2686,axiom,(
    ~ b000000011000000001000011000(bitIndex24) )).

fof(bitBlastConstant_2685,axiom,(
    ~ b000000011000000001000011000(bitIndex23) )).

fof(bitBlastConstant_2684,axiom,(
    ~ b000000011000000001000011000(bitIndex22) )).

fof(bitBlastConstant_2683,axiom,(
    ~ b000000011000000001000011000(bitIndex21) )).

fof(bitBlastConstant_2682,axiom,(
    ~ b000000011000000001000011000(bitIndex20) )).

fof(bitBlastConstant_2681,axiom,(
    b000000011000000001000011000(bitIndex19) )).

fof(bitBlastConstant_2680,axiom,(
    b000000011000000001000011000(bitIndex18) )).

fof(bitBlastConstant_2679,axiom,(
    ~ b000000011000000001000011000(bitIndex17) )).

fof(bitBlastConstant_2678,axiom,(
    ~ b000000011000000001000011000(bitIndex16) )).

fof(bitBlastConstant_2677,axiom,(
    ~ b000000011000000001000011000(bitIndex15) )).

fof(bitBlastConstant_2676,axiom,(
    ~ b000000011000000001000011000(bitIndex14) )).

fof(bitBlastConstant_2675,axiom,(
    ~ b000000011000000001000011000(bitIndex13) )).

fof(bitBlastConstant_2674,axiom,(
    ~ b000000011000000001000011000(bitIndex12) )).

fof(bitBlastConstant_2673,axiom,(
    ~ b000000011000000001000011000(bitIndex11) )).

fof(bitBlastConstant_2672,axiom,(
    ~ b000000011000000001000011000(bitIndex10) )).

fof(bitBlastConstant_2671,axiom,(
    b000000011000000001000011000(bitIndex9) )).

fof(bitBlastConstant_2670,axiom,(
    ~ b000000011000000001000011000(bitIndex8) )).

fof(bitBlastConstant_2669,axiom,(
    ~ b000000011000000001000011000(bitIndex7) )).

fof(bitBlastConstant_2668,axiom,(
    ~ b000000011000000001000011000(bitIndex6) )).

fof(bitBlastConstant_2667,axiom,(
    ~ b000000011000000001000011000(bitIndex5) )).

fof(bitBlastConstant_2666,axiom,(
    b000000011000000001000011000(bitIndex4) )).

fof(bitBlastConstant_2665,axiom,(
    b000000011000000001000011000(bitIndex3) )).

fof(bitBlastConstant_2664,axiom,(
    ~ b000000011000000001000011000(bitIndex2) )).

fof(bitBlastConstant_2663,axiom,(
    ~ b000000011000000001000011000(bitIndex1) )).

fof(bitBlastConstant_2662,axiom,(
    ~ b000000011000000001000011000(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_135,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4483(VarCurr)
      <=> v4487(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_136,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4483(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_56,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4487(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_87,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4487(VarCurr)
      <=> v4489(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_88,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4487(VarCurr)
      <=> v4488(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_249,axiom,(
    ! [VarCurr] :
      ( v4489(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_2661,axiom,(
    ~ b000000011100000001000010111(bitIndex26) )).

fof(bitBlastConstant_2660,axiom,(
    ~ b000000011100000001000010111(bitIndex25) )).

fof(bitBlastConstant_2659,axiom,(
    ~ b000000011100000001000010111(bitIndex24) )).

fof(bitBlastConstant_2658,axiom,(
    ~ b000000011100000001000010111(bitIndex23) )).

fof(bitBlastConstant_2657,axiom,(
    ~ b000000011100000001000010111(bitIndex22) )).

fof(bitBlastConstant_2656,axiom,(
    ~ b000000011100000001000010111(bitIndex21) )).

fof(bitBlastConstant_2655,axiom,(
    ~ b000000011100000001000010111(bitIndex20) )).

fof(bitBlastConstant_2654,axiom,(
    b000000011100000001000010111(bitIndex19) )).

fof(bitBlastConstant_2653,axiom,(
    b000000011100000001000010111(bitIndex18) )).

fof(bitBlastConstant_2652,axiom,(
    b000000011100000001000010111(bitIndex17) )).

fof(bitBlastConstant_2651,axiom,(
    ~ b000000011100000001000010111(bitIndex16) )).

fof(bitBlastConstant_2650,axiom,(
    ~ b000000011100000001000010111(bitIndex15) )).

fof(bitBlastConstant_2649,axiom,(
    ~ b000000011100000001000010111(bitIndex14) )).

fof(bitBlastConstant_2648,axiom,(
    ~ b000000011100000001000010111(bitIndex13) )).

fof(bitBlastConstant_2647,axiom,(
    ~ b000000011100000001000010111(bitIndex12) )).

fof(bitBlastConstant_2646,axiom,(
    ~ b000000011100000001000010111(bitIndex11) )).

fof(bitBlastConstant_2645,axiom,(
    ~ b000000011100000001000010111(bitIndex10) )).

fof(bitBlastConstant_2644,axiom,(
    b000000011100000001000010111(bitIndex9) )).

fof(bitBlastConstant_2643,axiom,(
    ~ b000000011100000001000010111(bitIndex8) )).

fof(bitBlastConstant_2642,axiom,(
    ~ b000000011100000001000010111(bitIndex7) )).

fof(bitBlastConstant_2641,axiom,(
    ~ b000000011100000001000010111(bitIndex6) )).

fof(bitBlastConstant_2640,axiom,(
    ~ b000000011100000001000010111(bitIndex5) )).

fof(bitBlastConstant_2639,axiom,(
    b000000011100000001000010111(bitIndex4) )).

fof(bitBlastConstant_2638,axiom,(
    ~ b000000011100000001000010111(bitIndex3) )).

fof(bitBlastConstant_2637,axiom,(
    b000000011100000001000010111(bitIndex2) )).

fof(bitBlastConstant_2636,axiom,(
    b000000011100000001000010111(bitIndex1) )).

fof(bitBlastConstant_2635,axiom,(
    b000000011100000001000010111(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_248,axiom,(
    ! [VarCurr] :
      ( v4488(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_2634,axiom,(
    ~ b000000011000000001000010111(bitIndex26) )).

fof(bitBlastConstant_2633,axiom,(
    ~ b000000011000000001000010111(bitIndex25) )).

fof(bitBlastConstant_2632,axiom,(
    ~ b000000011000000001000010111(bitIndex24) )).

fof(bitBlastConstant_2631,axiom,(
    ~ b000000011000000001000010111(bitIndex23) )).

fof(bitBlastConstant_2630,axiom,(
    ~ b000000011000000001000010111(bitIndex22) )).

fof(bitBlastConstant_2629,axiom,(
    ~ b000000011000000001000010111(bitIndex21) )).

fof(bitBlastConstant_2628,axiom,(
    ~ b000000011000000001000010111(bitIndex20) )).

fof(bitBlastConstant_2627,axiom,(
    b000000011000000001000010111(bitIndex19) )).

fof(bitBlastConstant_2626,axiom,(
    b000000011000000001000010111(bitIndex18) )).

fof(bitBlastConstant_2625,axiom,(
    ~ b000000011000000001000010111(bitIndex17) )).

fof(bitBlastConstant_2624,axiom,(
    ~ b000000011000000001000010111(bitIndex16) )).

fof(bitBlastConstant_2623,axiom,(
    ~ b000000011000000001000010111(bitIndex15) )).

fof(bitBlastConstant_2622,axiom,(
    ~ b000000011000000001000010111(bitIndex14) )).

fof(bitBlastConstant_2621,axiom,(
    ~ b000000011000000001000010111(bitIndex13) )).

fof(bitBlastConstant_2620,axiom,(
    ~ b000000011000000001000010111(bitIndex12) )).

fof(bitBlastConstant_2619,axiom,(
    ~ b000000011000000001000010111(bitIndex11) )).

fof(bitBlastConstant_2618,axiom,(
    ~ b000000011000000001000010111(bitIndex10) )).

fof(bitBlastConstant_2617,axiom,(
    b000000011000000001000010111(bitIndex9) )).

fof(bitBlastConstant_2616,axiom,(
    ~ b000000011000000001000010111(bitIndex8) )).

fof(bitBlastConstant_2615,axiom,(
    ~ b000000011000000001000010111(bitIndex7) )).

fof(bitBlastConstant_2614,axiom,(
    ~ b000000011000000001000010111(bitIndex6) )).

fof(bitBlastConstant_2613,axiom,(
    ~ b000000011000000001000010111(bitIndex5) )).

fof(bitBlastConstant_2612,axiom,(
    b000000011000000001000010111(bitIndex4) )).

fof(bitBlastConstant_2611,axiom,(
    ~ b000000011000000001000010111(bitIndex3) )).

fof(bitBlastConstant_2610,axiom,(
    b000000011000000001000010111(bitIndex2) )).

fof(bitBlastConstant_2609,axiom,(
    b000000011000000001000010111(bitIndex1) )).

fof(bitBlastConstant_2608,axiom,(
    b000000011000000001000010111(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_134,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4475(VarCurr)
      <=> v4479(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_135,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4475(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_55,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4479(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_86,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4479(VarCurr)
      <=> v4481(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_87,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4479(VarCurr)
      <=> v4480(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_247,axiom,(
    ! [VarCurr] :
      ( v4481(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_2607,axiom,(
    ~ b000000011100000001000010110(bitIndex26) )).

fof(bitBlastConstant_2606,axiom,(
    ~ b000000011100000001000010110(bitIndex25) )).

fof(bitBlastConstant_2605,axiom,(
    ~ b000000011100000001000010110(bitIndex24) )).

fof(bitBlastConstant_2604,axiom,(
    ~ b000000011100000001000010110(bitIndex23) )).

fof(bitBlastConstant_2603,axiom,(
    ~ b000000011100000001000010110(bitIndex22) )).

fof(bitBlastConstant_2602,axiom,(
    ~ b000000011100000001000010110(bitIndex21) )).

fof(bitBlastConstant_2601,axiom,(
    ~ b000000011100000001000010110(bitIndex20) )).

fof(bitBlastConstant_2600,axiom,(
    b000000011100000001000010110(bitIndex19) )).

fof(bitBlastConstant_2599,axiom,(
    b000000011100000001000010110(bitIndex18) )).

fof(bitBlastConstant_2598,axiom,(
    b000000011100000001000010110(bitIndex17) )).

fof(bitBlastConstant_2597,axiom,(
    ~ b000000011100000001000010110(bitIndex16) )).

fof(bitBlastConstant_2596,axiom,(
    ~ b000000011100000001000010110(bitIndex15) )).

fof(bitBlastConstant_2595,axiom,(
    ~ b000000011100000001000010110(bitIndex14) )).

fof(bitBlastConstant_2594,axiom,(
    ~ b000000011100000001000010110(bitIndex13) )).

fof(bitBlastConstant_2593,axiom,(
    ~ b000000011100000001000010110(bitIndex12) )).

fof(bitBlastConstant_2592,axiom,(
    ~ b000000011100000001000010110(bitIndex11) )).

fof(bitBlastConstant_2591,axiom,(
    ~ b000000011100000001000010110(bitIndex10) )).

fof(bitBlastConstant_2590,axiom,(
    b000000011100000001000010110(bitIndex9) )).

fof(bitBlastConstant_2589,axiom,(
    ~ b000000011100000001000010110(bitIndex8) )).

fof(bitBlastConstant_2588,axiom,(
    ~ b000000011100000001000010110(bitIndex7) )).

fof(bitBlastConstant_2587,axiom,(
    ~ b000000011100000001000010110(bitIndex6) )).

fof(bitBlastConstant_2586,axiom,(
    ~ b000000011100000001000010110(bitIndex5) )).

fof(bitBlastConstant_2585,axiom,(
    b000000011100000001000010110(bitIndex4) )).

fof(bitBlastConstant_2584,axiom,(
    ~ b000000011100000001000010110(bitIndex3) )).

fof(bitBlastConstant_2583,axiom,(
    b000000011100000001000010110(bitIndex2) )).

fof(bitBlastConstant_2582,axiom,(
    b000000011100000001000010110(bitIndex1) )).

fof(bitBlastConstant_2581,axiom,(
    ~ b000000011100000001000010110(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_246,axiom,(
    ! [VarCurr] :
      ( v4480(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $true )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_2580,axiom,(
    ~ b000000011000000001000010110(bitIndex26) )).

fof(bitBlastConstant_2579,axiom,(
    ~ b000000011000000001000010110(bitIndex25) )).

fof(bitBlastConstant_2578,axiom,(
    ~ b000000011000000001000010110(bitIndex24) )).

fof(bitBlastConstant_2577,axiom,(
    ~ b000000011000000001000010110(bitIndex23) )).

fof(bitBlastConstant_2576,axiom,(
    ~ b000000011000000001000010110(bitIndex22) )).

fof(bitBlastConstant_2575,axiom,(
    ~ b000000011000000001000010110(bitIndex21) )).

fof(bitBlastConstant_2574,axiom,(
    ~ b000000011000000001000010110(bitIndex20) )).

fof(bitBlastConstant_2573,axiom,(
    b000000011000000001000010110(bitIndex19) )).

fof(bitBlastConstant_2572,axiom,(
    b000000011000000001000010110(bitIndex18) )).

fof(bitBlastConstant_2571,axiom,(
    ~ b000000011000000001000010110(bitIndex17) )).

fof(bitBlastConstant_2570,axiom,(
    ~ b000000011000000001000010110(bitIndex16) )).

fof(bitBlastConstant_2569,axiom,(
    ~ b000000011000000001000010110(bitIndex15) )).

fof(bitBlastConstant_2568,axiom,(
    ~ b000000011000000001000010110(bitIndex14) )).

fof(bitBlastConstant_2567,axiom,(
    ~ b000000011000000001000010110(bitIndex13) )).

fof(bitBlastConstant_2566,axiom,(
    ~ b000000011000000001000010110(bitIndex12) )).

fof(bitBlastConstant_2565,axiom,(
    ~ b000000011000000001000010110(bitIndex11) )).

fof(bitBlastConstant_2564,axiom,(
    ~ b000000011000000001000010110(bitIndex10) )).

fof(bitBlastConstant_2563,axiom,(
    b000000011000000001000010110(bitIndex9) )).

fof(bitBlastConstant_2562,axiom,(
    ~ b000000011000000001000010110(bitIndex8) )).

fof(bitBlastConstant_2561,axiom,(
    ~ b000000011000000001000010110(bitIndex7) )).

fof(bitBlastConstant_2560,axiom,(
    ~ b000000011000000001000010110(bitIndex6) )).

fof(bitBlastConstant_2559,axiom,(
    ~ b000000011000000001000010110(bitIndex5) )).

fof(bitBlastConstant_2558,axiom,(
    b000000011000000001000010110(bitIndex4) )).

fof(bitBlastConstant_2557,axiom,(
    ~ b000000011000000001000010110(bitIndex3) )).

fof(bitBlastConstant_2556,axiom,(
    b000000011000000001000010110(bitIndex2) )).

fof(bitBlastConstant_2555,axiom,(
    b000000011000000001000010110(bitIndex1) )).

fof(bitBlastConstant_2554,axiom,(
    ~ b000000011000000001000010110(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_133,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4467(VarCurr)
      <=> v4471(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_134,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4467(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_54,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4471(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_85,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4471(VarCurr)
      <=> v4473(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_86,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4471(VarCurr)
      <=> v4472(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_245,axiom,(
    ! [VarCurr] :
      ( v4473(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_2553,axiom,(
    ~ b000000011100000001000010101(bitIndex26) )).

fof(bitBlastConstant_2552,axiom,(
    ~ b000000011100000001000010101(bitIndex25) )).

fof(bitBlastConstant_2551,axiom,(
    ~ b000000011100000001000010101(bitIndex24) )).

fof(bitBlastConstant_2550,axiom,(
    ~ b000000011100000001000010101(bitIndex23) )).

fof(bitBlastConstant_2549,axiom,(
    ~ b000000011100000001000010101(bitIndex22) )).

fof(bitBlastConstant_2548,axiom,(
    ~ b000000011100000001000010101(bitIndex21) )).

fof(bitBlastConstant_2547,axiom,(
    ~ b000000011100000001000010101(bitIndex20) )).

fof(bitBlastConstant_2546,axiom,(
    b000000011100000001000010101(bitIndex19) )).

fof(bitBlastConstant_2545,axiom,(
    b000000011100000001000010101(bitIndex18) )).

fof(bitBlastConstant_2544,axiom,(
    b000000011100000001000010101(bitIndex17) )).

fof(bitBlastConstant_2543,axiom,(
    ~ b000000011100000001000010101(bitIndex16) )).

fof(bitBlastConstant_2542,axiom,(
    ~ b000000011100000001000010101(bitIndex15) )).

fof(bitBlastConstant_2541,axiom,(
    ~ b000000011100000001000010101(bitIndex14) )).

fof(bitBlastConstant_2540,axiom,(
    ~ b000000011100000001000010101(bitIndex13) )).

fof(bitBlastConstant_2539,axiom,(
    ~ b000000011100000001000010101(bitIndex12) )).

fof(bitBlastConstant_2538,axiom,(
    ~ b000000011100000001000010101(bitIndex11) )).

fof(bitBlastConstant_2537,axiom,(
    ~ b000000011100000001000010101(bitIndex10) )).

fof(bitBlastConstant_2536,axiom,(
    b000000011100000001000010101(bitIndex9) )).

fof(bitBlastConstant_2535,axiom,(
    ~ b000000011100000001000010101(bitIndex8) )).

fof(bitBlastConstant_2534,axiom,(
    ~ b000000011100000001000010101(bitIndex7) )).

fof(bitBlastConstant_2533,axiom,(
    ~ b000000011100000001000010101(bitIndex6) )).

fof(bitBlastConstant_2532,axiom,(
    ~ b000000011100000001000010101(bitIndex5) )).

fof(bitBlastConstant_2531,axiom,(
    b000000011100000001000010101(bitIndex4) )).

fof(bitBlastConstant_2530,axiom,(
    ~ b000000011100000001000010101(bitIndex3) )).

fof(bitBlastConstant_2529,axiom,(
    b000000011100000001000010101(bitIndex2) )).

fof(bitBlastConstant_2528,axiom,(
    ~ b000000011100000001000010101(bitIndex1) )).

fof(bitBlastConstant_2527,axiom,(
    b000000011100000001000010101(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_244,axiom,(
    ! [VarCurr] :
      ( v4472(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_2526,axiom,(
    ~ b000000011000000001000010101(bitIndex26) )).

fof(bitBlastConstant_2525,axiom,(
    ~ b000000011000000001000010101(bitIndex25) )).

fof(bitBlastConstant_2524,axiom,(
    ~ b000000011000000001000010101(bitIndex24) )).

fof(bitBlastConstant_2523,axiom,(
    ~ b000000011000000001000010101(bitIndex23) )).

fof(bitBlastConstant_2522,axiom,(
    ~ b000000011000000001000010101(bitIndex22) )).

fof(bitBlastConstant_2521,axiom,(
    ~ b000000011000000001000010101(bitIndex21) )).

fof(bitBlastConstant_2520,axiom,(
    ~ b000000011000000001000010101(bitIndex20) )).

fof(bitBlastConstant_2519,axiom,(
    b000000011000000001000010101(bitIndex19) )).

fof(bitBlastConstant_2518,axiom,(
    b000000011000000001000010101(bitIndex18) )).

fof(bitBlastConstant_2517,axiom,(
    ~ b000000011000000001000010101(bitIndex17) )).

fof(bitBlastConstant_2516,axiom,(
    ~ b000000011000000001000010101(bitIndex16) )).

fof(bitBlastConstant_2515,axiom,(
    ~ b000000011000000001000010101(bitIndex15) )).

fof(bitBlastConstant_2514,axiom,(
    ~ b000000011000000001000010101(bitIndex14) )).

fof(bitBlastConstant_2513,axiom,(
    ~ b000000011000000001000010101(bitIndex13) )).

fof(bitBlastConstant_2512,axiom,(
    ~ b000000011000000001000010101(bitIndex12) )).

fof(bitBlastConstant_2511,axiom,(
    ~ b000000011000000001000010101(bitIndex11) )).

fof(bitBlastConstant_2510,axiom,(
    ~ b000000011000000001000010101(bitIndex10) )).

fof(bitBlastConstant_2509,axiom,(
    b000000011000000001000010101(bitIndex9) )).

fof(bitBlastConstant_2508,axiom,(
    ~ b000000011000000001000010101(bitIndex8) )).

fof(bitBlastConstant_2507,axiom,(
    ~ b000000011000000001000010101(bitIndex7) )).

fof(bitBlastConstant_2506,axiom,(
    ~ b000000011000000001000010101(bitIndex6) )).

fof(bitBlastConstant_2505,axiom,(
    ~ b000000011000000001000010101(bitIndex5) )).

fof(bitBlastConstant_2504,axiom,(
    b000000011000000001000010101(bitIndex4) )).

fof(bitBlastConstant_2503,axiom,(
    ~ b000000011000000001000010101(bitIndex3) )).

fof(bitBlastConstant_2502,axiom,(
    b000000011000000001000010101(bitIndex2) )).

fof(bitBlastConstant_2501,axiom,(
    ~ b000000011000000001000010101(bitIndex1) )).

fof(bitBlastConstant_2500,axiom,(
    b000000011000000001000010101(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_132,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
     => ( v4438(VarCurr)
      <=> v4461(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_133,axiom,(
    ! [VarCurr] :
      ( v4460(VarCurr)
     => ( v4438(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_53,axiom,(
    ! [VarCurr] :
      ( ( ~ v4462(VarCurr)
        & ~ v4464(VarCurr) )
     => ( v4461(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_84,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
     => ( v4461(VarCurr)
      <=> v4465(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_85,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
     => ( v4461(VarCurr)
      <=> v4463(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_243,axiom,(
    ! [VarCurr] :
      ( v4465(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $true )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_2499,axiom,(
    ~ b000000011100000001000010100(bitIndex26) )).

fof(bitBlastConstant_2498,axiom,(
    ~ b000000011100000001000010100(bitIndex25) )).

fof(bitBlastConstant_2497,axiom,(
    ~ b000000011100000001000010100(bitIndex24) )).

fof(bitBlastConstant_2496,axiom,(
    ~ b000000011100000001000010100(bitIndex23) )).

fof(bitBlastConstant_2495,axiom,(
    ~ b000000011100000001000010100(bitIndex22) )).

fof(bitBlastConstant_2494,axiom,(
    ~ b000000011100000001000010100(bitIndex21) )).

fof(bitBlastConstant_2493,axiom,(
    ~ b000000011100000001000010100(bitIndex20) )).

fof(bitBlastConstant_2492,axiom,(
    b000000011100000001000010100(bitIndex19) )).

fof(bitBlastConstant_2491,axiom,(
    b000000011100000001000010100(bitIndex18) )).

fof(bitBlastConstant_2490,axiom,(
    b000000011100000001000010100(bitIndex17) )).

fof(bitBlastConstant_2489,axiom,(
    ~ b000000011100000001000010100(bitIndex16) )).

fof(bitBlastConstant_2488,axiom,(
    ~ b000000011100000001000010100(bitIndex15) )).

fof(bitBlastConstant_2487,axiom,(
    ~ b000000011100000001000010100(bitIndex14) )).

fof(bitBlastConstant_2486,axiom,(
    ~ b000000011100000001000010100(bitIndex13) )).

fof(bitBlastConstant_2485,axiom,(
    ~ b000000011100000001000010100(bitIndex12) )).

fof(bitBlastConstant_2484,axiom,(
    ~ b000000011100000001000010100(bitIndex11) )).

fof(bitBlastConstant_2483,axiom,(
    ~ b000000011100000001000010100(bitIndex10) )).

fof(bitBlastConstant_2482,axiom,(
    b000000011100000001000010100(bitIndex9) )).

fof(bitBlastConstant_2481,axiom,(
    ~ b000000011100000001000010100(bitIndex8) )).

fof(bitBlastConstant_2480,axiom,(
    ~ b000000011100000001000010100(bitIndex7) )).

fof(bitBlastConstant_2479,axiom,(
    ~ b000000011100000001000010100(bitIndex6) )).

fof(bitBlastConstant_2478,axiom,(
    ~ b000000011100000001000010100(bitIndex5) )).

fof(bitBlastConstant_2477,axiom,(
    b000000011100000001000010100(bitIndex4) )).

fof(bitBlastConstant_2476,axiom,(
    ~ b000000011100000001000010100(bitIndex3) )).

fof(bitBlastConstant_2475,axiom,(
    b000000011100000001000010100(bitIndex2) )).

fof(bitBlastConstant_2474,axiom,(
    ~ b000000011100000001000010100(bitIndex1) )).

fof(bitBlastConstant_2473,axiom,(
    ~ b000000011100000001000010100(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_242,axiom,(
    ! [VarCurr] :
      ( v4464(VarCurr)
    <=> ( v4440(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_241,axiom,(
    ! [VarCurr] :
      ( v4463(VarCurr)
    <=> ( ( v4446(VarCurr,bitIndex26)
        <=> $false )
        & ( v4446(VarCurr,bitIndex25)
        <=> $false )
        & ( v4446(VarCurr,bitIndex24)
        <=> $false )
        & ( v4446(VarCurr,bitIndex23)
        <=> $false )
        & ( v4446(VarCurr,bitIndex22)
        <=> $false )
        & ( v4446(VarCurr,bitIndex21)
        <=> $false )
        & ( v4446(VarCurr,bitIndex20)
        <=> $false )
        & ( v4446(VarCurr,bitIndex19)
        <=> $true )
        & ( v4446(VarCurr,bitIndex18)
        <=> $true )
        & ( v4446(VarCurr,bitIndex17)
        <=> $false )
        & ( v4446(VarCurr,bitIndex16)
        <=> $false )
        & ( v4446(VarCurr,bitIndex15)
        <=> $false )
        & ( v4446(VarCurr,bitIndex14)
        <=> $false )
        & ( v4446(VarCurr,bitIndex13)
        <=> $false )
        & ( v4446(VarCurr,bitIndex12)
        <=> $false )
        & ( v4446(VarCurr,bitIndex11)
        <=> $false )
        & ( v4446(VarCurr,bitIndex10)
        <=> $false )
        & ( v4446(VarCurr,bitIndex9)
        <=> $true )
        & ( v4446(VarCurr,bitIndex8)
        <=> $false )
        & ( v4446(VarCurr,bitIndex7)
        <=> $false )
        & ( v4446(VarCurr,bitIndex6)
        <=> $false )
        & ( v4446(VarCurr,bitIndex5)
        <=> $false )
        & ( v4446(VarCurr,bitIndex4)
        <=> $true )
        & ( v4446(VarCurr,bitIndex3)
        <=> $false )
        & ( v4446(VarCurr,bitIndex2)
        <=> $true )
        & ( v4446(VarCurr,bitIndex1)
        <=> $false )
        & ( v4446(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_2472,axiom,(
    ~ b000000011000000001000010100(bitIndex26) )).

fof(bitBlastConstant_2471,axiom,(
    ~ b000000011000000001000010100(bitIndex25) )).

fof(bitBlastConstant_2470,axiom,(
    ~ b000000011000000001000010100(bitIndex24) )).

fof(bitBlastConstant_2469,axiom,(
    ~ b000000011000000001000010100(bitIndex23) )).

fof(bitBlastConstant_2468,axiom,(
    ~ b000000011000000001000010100(bitIndex22) )).

fof(bitBlastConstant_2467,axiom,(
    ~ b000000011000000001000010100(bitIndex21) )).

fof(bitBlastConstant_2466,axiom,(
    ~ b000000011000000001000010100(bitIndex20) )).

fof(bitBlastConstant_2465,axiom,(
    b000000011000000001000010100(bitIndex19) )).

fof(bitBlastConstant_2464,axiom,(
    b000000011000000001000010100(bitIndex18) )).

fof(bitBlastConstant_2463,axiom,(
    ~ b000000011000000001000010100(bitIndex17) )).

fof(bitBlastConstant_2462,axiom,(
    ~ b000000011000000001000010100(bitIndex16) )).

fof(bitBlastConstant_2461,axiom,(
    ~ b000000011000000001000010100(bitIndex15) )).

fof(bitBlastConstant_2460,axiom,(
    ~ b000000011000000001000010100(bitIndex14) )).

fof(bitBlastConstant_2459,axiom,(
    ~ b000000011000000001000010100(bitIndex13) )).

fof(bitBlastConstant_2458,axiom,(
    ~ b000000011000000001000010100(bitIndex12) )).

fof(bitBlastConstant_2457,axiom,(
    ~ b000000011000000001000010100(bitIndex11) )).

fof(bitBlastConstant_2456,axiom,(
    ~ b000000011000000001000010100(bitIndex10) )).

fof(bitBlastConstant_2455,axiom,(
    b000000011000000001000010100(bitIndex9) )).

fof(bitBlastConstant_2454,axiom,(
    ~ b000000011000000001000010100(bitIndex8) )).

fof(bitBlastConstant_2453,axiom,(
    ~ b000000011000000001000010100(bitIndex7) )).

fof(bitBlastConstant_2452,axiom,(
    ~ b000000011000000001000010100(bitIndex6) )).

fof(bitBlastConstant_2451,axiom,(
    ~ b000000011000000001000010100(bitIndex5) )).

fof(bitBlastConstant_2450,axiom,(
    b000000011000000001000010100(bitIndex4) )).

fof(bitBlastConstant_2449,axiom,(
    ~ b000000011000000001000010100(bitIndex3) )).

fof(bitBlastConstant_2448,axiom,(
    b000000011000000001000010100(bitIndex2) )).

fof(bitBlastConstant_2447,axiom,(
    ~ b000000011000000001000010100(bitIndex1) )).

fof(bitBlastConstant_2446,axiom,(
    ~ b000000011000000001000010100(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_240,axiom,(
    ! [VarCurr] :
      ( v4462(VarCurr)
    <=> ( v4440(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_519,axiom,(
    ! [VarCurr] :
      ( ~ v4460(VarCurr)
    <=> v4387(VarCurr) ) )).

fof(addAssignment_751,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v4446(VarCurr,B)
      <=> v4448(VarCurr,B) ) ) )).

fof(addAssignment_750,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v4448(VarCurr,B)
      <=> v4450(VarCurr,B) ) ) )).

fof(addAssignment_749,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v4450(VarCurr,B)
      <=> v4452(VarCurr,B) ) ) )).

fof(addAssignment_748,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v4452(VarCurr,B)
      <=> v4454(VarCurr,B) ) ) )).

fof(addAssignment_747,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v4454(VarCurr,B)
      <=> v4456(VarCurr,B) ) ) )).

fof(addAssignment_746,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v4456(VarCurr,B)
      <=> v3582(VarCurr,B) ) ) )).

fof(addAssignment_745,axiom,(
    ! [VarCurr] :
      ( v4440(VarCurr)
    <=> v4442(VarCurr) ) )).

fof(addAssignment_744,axiom,(
    ! [VarCurr] :
      ( v4442(VarCurr)
    <=> v4444(VarCurr) ) )).

fof(addAssignment_743,axiom,(
    ! [VarCurr] :
      ( v4444(VarCurr)
    <=> v3566(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_51,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4424(VarNext)
       => ( v4379(VarNext)
        <=> v4379(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_56,axiom,(
    ! [VarNext] :
      ( v4424(VarNext)
     => ( v4379(VarNext)
      <=> v4432(VarNext) ) ) )).

fof(addAssignment_742,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4432(VarNext)
      <=> v4430(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_131,axiom,(
    ! [VarCurr] :
      ( ~ v4419(VarCurr)
     => ( v4430(VarCurr)
      <=> v4433(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_132,axiom,(
    ! [VarCurr] :
      ( v4419(VarCurr)
     => ( v4430(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1111,axiom,(
    ! [VarCurr] :
      ( v4433(VarCurr)
    <=> ( v4387(VarCurr)
        & v4434(VarCurr) ) ) )).

fof(writeUnaryOperator_518,axiom,(
    ! [VarCurr] :
      ( ~ v4434(VarCurr)
    <=> v4399(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1110,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4424(VarNext)
      <=> v4425(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1109,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4425(VarNext)
      <=> ( v4427(VarNext)
          & v4401(VarNext) ) ) ) )).

fof(writeUnaryOperator_517,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4427(VarNext)
      <=> v4412(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_50,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4408(VarNext)
       => ( v4399(VarNext)
        <=> v4399(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_55,axiom,(
    ! [VarNext] :
      ( v4408(VarNext)
     => ( v4399(VarNext)
      <=> v4418(VarNext) ) ) )).

fof(addAssignment_741,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4418(VarNext)
      <=> v4416(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_130,axiom,(
    ! [VarCurr] :
      ( ~ v4419(VarCurr)
     => ( v4416(VarCurr)
      <=> v4387(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_131,axiom,(
    ! [VarCurr] :
      ( v4419(VarCurr)
     => ( v4416(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_516,axiom,(
    ! [VarCurr] :
      ( ~ v4419(VarCurr)
    <=> v4381(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1108,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4408(VarNext)
      <=> v4409(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1107,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4409(VarNext)
      <=> ( v4410(VarNext)
          & v4401(VarNext) ) ) ) )).

fof(writeUnaryOperator_515,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4410(VarNext)
      <=> v4412(VarNext) ) ) )).

fof(addAssignment_740,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4412(VarNext)
      <=> v4401(VarCurr) ) ) )).

fof(addAssignment_739,axiom,(
    ! [VarCurr] :
      ( v4401(VarCurr)
    <=> v4403(VarCurr) ) )).

fof(addAssignment_738,axiom,(
    ! [VarCurr] :
      ( v4403(VarCurr)
    <=> v4405(VarCurr) ) )).

fof(addAssignment_737,axiom,(
    ! [VarCurr] :
      ( v4405(VarCurr)
    <=> v3525(VarCurr) ) )).

fof(addAssignment_736,axiom,(
    ! [VarCurr] :
      ( v4387(VarCurr)
    <=> v4389(VarCurr) ) )).

fof(addAssignment_735,axiom,(
    ! [VarCurr] :
      ( v4389(VarCurr)
    <=> v4391(VarCurr) ) )).

fof(addAssignment_734,axiom,(
    ! [VarCurr] :
      ( v4391(VarCurr)
    <=> v4393(VarCurr) ) )).

fof(addAssignment_733,axiom,(
    ! [VarCurr] :
      ( v4393(VarCurr)
    <=> v4395(VarCurr) ) )).

fof(addAssignment_732,axiom,(
    ! [VarCurr] :
      ( v4395(VarCurr)
    <=> v4397(VarCurr) ) )).

fof(addAssignment_731,axiom,(
    ! [VarCurr] :
      ( v4397(VarCurr)
    <=> v3456(VarCurr) ) )).

fof(addAssignment_730,axiom,(
    ! [VarCurr] :
      ( v4381(VarCurr)
    <=> v4383(VarCurr) ) )).

fof(addAssignment_729,axiom,(
    ! [VarCurr] :
      ( v4383(VarCurr)
    <=> v4385(VarCurr) ) )).

fof(addAssignment_728,axiom,(
    ! [VarCurr] :
      ( v4385(VarCurr)
    <=> v3144(VarCurr) ) )).

fof(addAssignment_727,axiom,(
    ! [VarCurr] :
      ( v4133(VarCurr)
    <=> v4135(VarCurr) ) )).

fof(addAssignment_726,axiom,(
    ! [VarCurr] :
      ( v4135(VarCurr)
    <=> v4137(VarCurr) ) )).

fof(addAssignment_725,axiom,(
    ! [VarCurr] :
      ( v4137(VarCurr)
    <=> v4139(VarCurr) ) )).

fof(addAssignment_724,axiom,(
    ! [VarCurr] :
      ( v4139(VarCurr)
    <=> v4141(VarCurr) ) )).

fof(addAssignment_723,axiom,(
    ! [VarCurr] :
      ( v4141(VarCurr)
    <=> v4143(VarCurr) ) )).

fof(addAssignment_722,axiom,(
    ! [VarCurr] :
      ( v4143(VarCurr)
    <=> v4145(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1106,axiom,(
    ! [VarCurr] :
      ( v4145(VarCurr)
    <=> ( v4147(VarCurr)
        & v4349(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1105,axiom,(
    ! [VarCurr] :
      ( v4349(VarCurr)
    <=> ( v4350(VarCurr)
        | v4341(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1104,axiom,(
    ! [VarCurr] :
      ( v4350(VarCurr)
    <=> ( v4351(VarCurr)
        | v4333(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1103,axiom,(
    ! [VarCurr] :
      ( v4351(VarCurr)
    <=> ( v4352(VarCurr)
        | v4325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1102,axiom,(
    ! [VarCurr] :
      ( v4352(VarCurr)
    <=> ( v4353(VarCurr)
        | v4317(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1101,axiom,(
    ! [VarCurr] :
      ( v4353(VarCurr)
    <=> ( v4354(VarCurr)
        | v4309(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1100,axiom,(
    ! [VarCurr] :
      ( v4354(VarCurr)
    <=> ( v4355(VarCurr)
        | v4301(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1099,axiom,(
    ! [VarCurr] :
      ( v4355(VarCurr)
    <=> ( v4356(VarCurr)
        | v4293(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1098,axiom,(
    ! [VarCurr] :
      ( v4356(VarCurr)
    <=> ( v4357(VarCurr)
        | v4285(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1097,axiom,(
    ! [VarCurr] :
      ( v4357(VarCurr)
    <=> ( v4358(VarCurr)
        | v4277(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1096,axiom,(
    ! [VarCurr] :
      ( v4358(VarCurr)
    <=> ( v4359(VarCurr)
        | v4269(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1095,axiom,(
    ! [VarCurr] :
      ( v4359(VarCurr)
    <=> ( v4360(VarCurr)
        | v4261(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1094,axiom,(
    ! [VarCurr] :
      ( v4360(VarCurr)
    <=> ( v4361(VarCurr)
        | v4253(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1093,axiom,(
    ! [VarCurr] :
      ( v4361(VarCurr)
    <=> ( v4362(VarCurr)
        | v4245(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1092,axiom,(
    ! [VarCurr] :
      ( v4362(VarCurr)
    <=> ( v4363(VarCurr)
        | v4237(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1091,axiom,(
    ! [VarCurr] :
      ( v4363(VarCurr)
    <=> ( v4200(VarCurr)
        | v4229(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_129,axiom,(
    ! [VarCurr] :
      ( ~ v4222(VarCurr)
     => ( v4341(VarCurr)
      <=> v4345(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_130,axiom,(
    ! [VarCurr] :
      ( v4222(VarCurr)
     => ( v4341(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_52,axiom,(
    ! [VarCurr] :
      ( ( ~ v4224(VarCurr)
        & ~ v4226(VarCurr) )
     => ( v4345(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_83,axiom,(
    ! [VarCurr] :
      ( v4226(VarCurr)
     => ( v4345(VarCurr)
      <=> v4347(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_84,axiom,(
    ! [VarCurr] :
      ( v4224(VarCurr)
     => ( v4345(VarCurr)
      <=> v4346(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_239,axiom,(
    ! [VarCurr] :
      ( v4347(VarCurr)
    <=> ( ( v4208(VarCurr,bitIndex26)
        <=> $false )
        & ( v4208(VarCurr,bitIndex25)
        <=> $false )
        & ( v4208(VarCurr,bitIndex24)
        <=> $false )
        & ( v4208(VarCurr,bitIndex23)
        <=> $false )
        & ( v4208(VarCurr,bitIndex22)
        <=> $false )
        & ( v4208(VarCurr,bitIndex21)
        <=> $false )
        & ( v4208(VarCurr,bitIndex20)
        <=> $false )
        & ( v4208(VarCurr,bitIndex19)
        <=> $true )
        & ( v4208(VarCurr,bitIndex18)
        <=> $true )
        & ( v4208(VarCurr,bitIndex17)
        <=> $true )
        & ( v4208(VarCurr,bitIndex16)
        <=> $false )
        & ( v4208(VarCurr,bitIndex15)
        <=> $false )
        & ( v4208(VarCurr,bitIndex14)
        <=> $true )
        & ( v4208(VarCurr,bitIndex13)
        <=> $true )
        & ( v4208(VarCurr,bitIndex12)
        <=> $false )
        & ( v4208(VarCurr,bitIndex11)
        <=> $true )
        & ( v4208(VarCurr,bitIndex10)
        <=> $false )
        & ( v4208(VarCurr,bitIndex9)
        <=> $false )
        & ( v4208(VarCurr,bitIndex8)
        <=> $false )
        & ( v4208(VarCurr,bitIndex7)
        <=> $false )
        & ( v4208(VarCurr,bitIndex6)
        <=> $false )
        & ( v4208(VarCurr,bitIndex5)
        <=> $false )
        & ( v4208(VarCurr,bitIndex4)
        <=> $false )
        & ( v4208(VarCurr,bitIndex3)
        <=> $false )
        & ( v4208(VarCurr,bitIndex2)
        <=> $false )
        & ( v4208(VarCurr,bitIndex1)
        <=> $true )
        & ( v4208(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_2445,axiom,(
    ~ b000000011100110100000000011(bitIndex26) )).

fof(bitBlastConstant_2444,axiom,(
    ~ b000000011100110100000000011(bitIndex25) )).

fof(bitBlastConstant_2443,axiom,(
    ~ b000000011100110100000000011(bitIndex24) )).

fof(bitBlastConstant_2442,axiom,(
    ~ b000000011100110100000000011(bitIndex23) )).

fof(bitBlastConstant_2441,axiom,(
    ~ b000000011100110100000000011(bitIndex22) )).

fof(bitBlastConstant_2440,axiom,(
    ~ b000000011100110100000000011(bitIndex21) )).

fof(bitBlastConstant_2439,axiom,(
    ~ b000000011100110100000000011(bitIndex20) )).

fof(bitBlastConstant_2438,axiom,(
    b000000011100110100000000011(bitIndex19) )).

fof(bitBlastConstant_2437,axiom,(
    b000000011100110100000000011(bitIndex18) )).

fof(bitBlastConstant_2436,axiom,(
    b000000011100110100000000011(bitIndex17) )).

fof(bitBlastConstant_2435,axiom,(
    ~ b000000011100110100000000011(bitIndex16) )).

fof(bitBlastConstant_2434,axiom,(
    ~ b000000011100110100000000011(bitIndex15) )).

fof(bitBlastConstant_2433,axiom,(
    b000000011100110100000000011(bitIndex14) )).

fof(bitBlastConstant_2432,axiom,(
    b000000011100110100000000011(bitIndex13) )).

fof(bitBlastConstant_2431,axiom,(
    ~ b000000011100110100000000011(bitIndex12) )).

fof(bitBlastConstant_2430,axiom,(
    b000000011100110100000000011(bitIndex11) )).

fof(bitBlastConstant_2429,axiom,(
    ~ b000000011100110100000000011(bitIndex10) )).

fof(bitBlastConstant_2428,axiom,(
    ~ b000000011100110100000000011(bitIndex9) )).

fof(bitBlastConstant_2427,axiom,(
    ~ b000000011100110100000000011(bitIndex8) )).

fof(bitBlastConstant_2426,axiom,(
    ~ b000000011100110100000000011(bitIndex7) )).

fof(bitBlastConstant_2425,axiom,(
    ~ b000000011100110100000000011(bitIndex6) )).

fof(bitBlastConstant_2424,axiom,(
    ~ b000000011100110100000000011(bitIndex5) )).

fof(bitBlastConstant_2423,axiom,(
    ~ b000000011100110100000000011(bitIndex4) )).

fof(bitBlastConstant_2422,axiom,(
    ~ b000000011100110100000000011(bitIndex3) )).

fof(bitBlastConstant_2421,axiom,(
    ~ b000000011100110100000000011(bitIndex2) )).

fof(bitBlastConstant_2420,axiom,(
    b000000011100110100000000011(bitIndex1) )).

fof(bitBlastConstant_2419,axiom,(
    b000000011100110100000000011(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_238,axiom,(
    ! [VarCurr] :
      ( v4346(VarCurr)
    <=> ( ( v4208(VarCurr,bitIndex26)
        <=> $false )
        & ( v4208(VarCurr,bitIndex25)
        <=> $false )
        & ( v4208(VarCurr,bitIndex24)
        <=> $false )
        & ( v4208(VarCurr,bitIndex23)
        <=> $false )
        & ( v4208(VarCurr,bitIndex22)
        <=> $false )
        & ( v4208(VarCurr,bitIndex21)
        <=> $false )
        & ( v4208(VarCurr,bitIndex20)
        <=> $false )
        & ( v4208(VarCurr,bitIndex19)
        <=> $true )
        & ( v4208(VarCurr,bitIndex18)
        <=> $true )
        & ( v4208(VarCurr,bitIndex17)
        <=> $false )
        & ( v4208(VarCurr,bitIndex16)
        <=> $false )
        & ( v4208(VarCurr,bitIndex15)
        <=> $false )
        & ( v4208(VarCurr,bitIndex14)
        <=> $true )
        & ( v4208(VarCurr,bitIndex13)
        <=> $true )
        & ( v4208(VarCurr,bitIndex12)
        <=> $false )
        & ( v4208(VarCurr,bitIndex11)
        <=> $true )
        & ( v4208(VarCurr,bitIndex10)
        <=> $false )
        & ( v4208(VarCurr,bitIndex9)
        <=> $false )
        & ( v4208(VarCurr,bitIndex8)
        <=> $false )
        & ( v4208(VarCurr,bitIndex7)
        <=> $false )
        & ( v4208(VarCurr,bitIndex6)
        <=> $false )
        & ( v4208(VarCurr,bitIndex5)
        <=> $false )
        & ( v4208(VarCurr,bitIndex4)
        <=> $false )
        & ( v4208(VarCurr,bitIndex3)
        <=> $false )
        & ( v4208(VarCurr,bitIndex2)
        <=> $false )
        & ( v4208(VarCurr,bitIndex1)
        <=> $true )
        & ( v4208(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_2418,axiom,(
    ~ b000000011000110100000000011(bitIndex26) )).

fof(bitBlastConstant_2417,axiom,(
    ~ b000000011000110100000000011(bitIndex25) )).

fof(bitBlastConstant_2416,axiom,(
    ~ b000000011000110100000000011(bitIndex24) )).

fof(bitBlastConstant_2415,axiom,(
    ~ b000000011000110100000000011(bitIndex23) )).

fof(bitBlastConstant_2414,axiom,(
    ~ b000000011000110100000000011(bitIndex22) )).

fof(bitBlastConstant_2413,axiom,(
    ~ b000000011000110100000000011(bitIndex21) )).

fof(bitBlastConstant_2412,axiom,(
    ~ b000000011000110100000000011(bitIndex20) )).

fof(bitBlastConstant_2411,axiom,(
    b000000011000110100000000011(bitIndex19) )).

fof(bitBlastConstant_2410,axiom,(
    b000000011000110100000000011(bitIndex18) )).

fof(bitBlastConstant_2409,axiom,(
    ~ b000000011000110100000000011(bitIndex17) )).

fof(bitBlastConstant_2408,axiom,(
    ~ b000000011000110100000000011(bitIndex16) )).

fof(bitBlastConstant_2407,axiom,(
    ~ b000000011000110100000000011(bitIndex15) )).

fof(bitBlastConstant_2406,axiom,(
    b000000011000110100000000011(bitIndex14) )).

fof(bitBlastConstant_2405,axiom,(
    b000000011000110100000000011(bitIndex13) )).

fof(bitBlastConstant_2404,axiom,(
    ~ b000000011000110100000000011(bitIndex12) )).

fof(bitBlastConstant_2403,axiom,(
    b000000011000110100000000011(bitIndex11) )).

fof(bitBlastConstant_2402,axiom,(
    ~ b000000011000110100000000011(bitIndex10) )).

fof(bitBlastConstant_2401,axiom,(
    ~ b000000011000110100000000011(bitIndex9) )).

fof(bitBlastConstant_2400,axiom,(
    ~ b000000011000110100000000011(bitIndex8) )).

fof(bitBlastConstant_2399,axiom,(
    ~ b000000011000110100000000011(bitIndex7) )).

fof(bitBlastConstant_2398,axiom,(
    ~ b000000011000110100000000011(bitIndex6) )).

fof(bitBlastConstant_2397,axiom,(
    ~ b000000011000110100000000011(bitIndex5) )).

fof(bitBlastConstant_2396,axiom,(
    ~ b000000011000110100000000011(bitIndex4) )).

fof(bitBlastConstant_2395,axiom,(
    ~ b000000011000110100000000011(bitIndex3) )).

fof(bitBlastConstant_2394,axiom,(
    ~ b000000011000110100000000011(bitIndex2) )).

fof(bitBlastConstant_2393,axiom,(
    b000000011000110100000000011(bitIndex1) )).

fof(bitBlastConstant_2392,axiom,(
    b000000011000110100000000011(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_128,axiom,(
    ! [VarCurr] :
      ( ~ v4222(VarCurr)
     => ( v4333(VarCurr)
      <=> v4337(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_129,axiom,(
    ! [VarCurr] :
      ( v4222(VarCurr)
     => ( v4333(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_51,axiom,(
    ! [VarCurr] :
      ( ( ~ v4224(VarCurr)
        & ~ v4226(VarCurr) )
     => ( v4337(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_82,axiom,(
    ! [VarCurr] :
      ( v4226(VarCurr)
     => ( v4337(VarCurr)
      <=> v4339(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_83,axiom,(
    ! [VarCurr] :
      ( v4224(VarCurr)
     => ( v4337(VarCurr)
      <=> v4338(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_237,axiom,(
    ! [VarCurr] :
      ( v4339(VarCurr)
    <=> ( ( v4208(VarCurr,bitIndex26)
        <=> $false )
        & ( v4208(VarCurr,bitIndex25)
        <=> $false )
        & ( v4208(VarCurr,bitIndex24)
        <=> $false )
        & ( v4208(VarCurr,bitIndex23)
        <=> $false )
        & ( v4208(VarCurr,bitIndex22)
        <=> $false )
        & ( v4208(VarCurr,bitIndex21)
        <=> $false )
        & ( v4208(VarCurr,bitIndex20)
        <=> $false )
        & ( v4208(VarCurr,bitIndex19)
        <=> $true )
        & ( v4208(VarCurr,bitIndex18)
        <=> $true )
        & ( v4208(VarCurr,bitIndex17)
        <=> $true )
        & ( v4208(VarCurr,bitIndex16)
        <=> $false )
        & ( v4208(VarCurr,bitIndex15)
        <=> $false )
        & ( v4208(VarCurr,bitIndex14)
        <=> $true )
        & ( v4208(VarCurr,bitIndex13)
        <=> $true )
        & ( v4208(VarCurr,bitIndex12)
        <=> $false )
        & ( v4208(VarCurr,bitIndex11)
        <=> $true )
        & ( v4208(VarCurr,bitIndex10)
        <=> $false )
        & ( v4208(VarCurr,bitIndex9)
        <=> $false )
        & ( v4208(VarCurr,bitIndex8)
        <=> $false )
        & ( v4208(VarCurr,bitIndex7)
        <=> $false )
        & ( v4208(VarCurr,bitIndex6)
        <=> $false )
        & ( v4208(VarCurr,bitIndex5)
        <=> $false )
        & ( v4208(VarCurr,bitIndex4)
        <=> $false )
        & ( v4208(VarCurr,bitIndex3)
        <=> $false )
        & ( v4208(VarCurr,bitIndex2)
        <=> $false )
        & ( v4208(VarCurr,bitIndex1)
        <=> $false )
        & ( v4208(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_2391,axiom,(
    ~ b000000011100110100000000001(bitIndex26) )).

fof(bitBlastConstant_2390,axiom,(
    ~ b000000011100110100000000001(bitIndex25) )).

fof(bitBlastConstant_2389,axiom,(
    ~ b000000011100110100000000001(bitIndex24) )).

fof(bitBlastConstant_2388,axiom,(
    ~ b000000011100110100000000001(bitIndex23) )).

fof(bitBlastConstant_2387,axiom,(
    ~ b000000011100110100000000001(bitIndex22) )).

fof(bitBlastConstant_2386,axiom,(
    ~ b000000011100110100000000001(bitIndex21) )).

fof(bitBlastConstant_2385,axiom,(
    ~ b000000011100110100000000001(bitIndex20) )).

fof(bitBlastConstant_2384,axiom,(
    b000000011100110100000000001(bitIndex19) )).

fof(bitBlastConstant_2383,axiom,(
    b000000011100110100000000001(bitIndex18) )).

fof(bitBlastConstant_2382,axiom,(
    b000000011100110100000000001(bitIndex17) )).

fof(bitBlastConstant_2381,axiom,(
    ~ b000000011100110100000000001(bitIndex16) )).

fof(bitBlastConstant_2380,axiom,(
    ~ b000000011100110100000000001(bitIndex15) )).

fof(bitBlastConstant_2379,axiom,(
    b000000011100110100000000001(bitIndex14) )).

fof(bitBlastConstant_2378,axiom,(
    b000000011100110100000000001(bitIndex13) )).

fof(bitBlastConstant_2377,axiom,(
    ~ b000000011100110100000000001(bitIndex12) )).

fof(bitBlastConstant_2376,axiom,(
    b000000011100110100000000001(bitIndex11) )).

fof(bitBlastConstant_2375,axiom,(
    ~ b000000011100110100000000001(bitIndex10) )).

fof(bitBlastConstant_2374,axiom,(
    ~ b000000011100110100000000001(bitIndex9) )).

fof(bitBlastConstant_2373,axiom,(
    ~ b000000011100110100000000001(bitIndex8) )).

fof(bitBlastConstant_2372,axiom,(
    ~ b000000011100110100000000001(bitIndex7) )).

fof(bitBlastConstant_2371,axiom,(
    ~ b000000011100110100000000001(bitIndex6) )).

fof(bitBlastConstant_2370,axiom,(
    ~ b000000011100110100000000001(bitIndex5) )).

fof(bitBlastConstant_2369,axiom,(
    ~ b000000011100110100000000001(bitIndex4) )).

fof(bitBlastConstant_2368,axiom,(
    ~ b000000011100110100000000001(bitIndex3) )).

fof(bitBlastConstant_2367,axiom,(
    ~ b000000011100110100000000001(bitIndex2) )).

fof(bitBlastConstant_2366,axiom,(
    ~ b000000011100110100000000001(bitIndex1) )).

fof(bitBlastConstant_2365,axiom,(
    b000000011100110100000000001(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_236,axiom,(
    ! [VarCurr] :
      ( v4338(VarCurr)
    <=> ( ( v4208(VarCurr,bitIndex26)
        <=> $false )
        & ( v4208(VarCurr,bitIndex25)
        <=> $false )
        & ( v4208(VarCurr,bitIndex24)
        <=> $false )
        & ( v4208(VarCurr,bitIndex23)
        <=> $false )
        & ( v4208(VarCurr,bitIndex22)
        <=> $false )
        & ( v4208(VarCurr,bitIndex21)
        <=> $false )
        & ( v4208(VarCurr,bitIndex20)
        <=> $false )
        & ( v4208(VarCurr,bitIndex19)
        <=> $true )
        & ( v4208(VarCurr,bitIndex18)
        <=> $true )
        & ( v4208(VarCurr,bitIndex17)
        <=> $false )
        & ( v4208(VarCurr,bitIndex16)
        <=> $false )
        & ( v4208(VarCurr,bitIndex15)
        <=> $false )
        & ( v4208(VarCurr,bitIndex14)
        <=> $true )
        & ( v4208(VarCurr,bitIndex13)
        <=> $true )
        & ( v4208(VarCurr,bitIndex12)
        <=> $false )
        & ( v4208(VarCurr,bitIndex11)
        <=> $true )
        & ( v4208(VarCurr,bitIndex10)
        <=> $false )
        & ( v4208(VarCurr,bitIndex9)
        <=> $false )
        & ( v4208(VarCurr,bitIndex8)
        <=> $false )
        & ( v4208(VarCurr,bitIndex7)
        <=> $false )
        & ( v4208(VarCurr,bitIndex6)
        <=> $false )
        & ( v4208(VarCurr,bitIndex5)
        <=> $false )
        & ( v4208(VarCurr,bitIndex4)
        <=> $false )
        & ( v4208(VarCurr,bitIndex3)
        <=> $false )
        & ( v4208(VarCurr,bitIndex2)
        <=> $false )
        & ( v4208(VarCurr,bitIndex1)
        <=> $false )
        & ( v4208(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_2364,axiom,(
    ~ b000000011000110100000000001(bitIndex26) )).

fof(bitBlastConstant_2363,axiom,(
    ~ b000000011000110100000000001(bitIndex25) )).

fof(bitBlastConstant_2362,axiom,(
    ~ b000000011000110100000000001(bitIndex24) )).

fof(bitBlastConstant_2361,axiom,(
    ~ b000000011000110100000000001(bitIndex23) )).

fof(bitBlastConstant_2360,axiom,(
    ~ b000000011000110100000000001(bitIndex22) )).

fof(bitBlastConstant_2359,axiom,(
    ~ b000000011000110100000000001(bitIndex21) )).

fof(bitBlastConstant_2358,axiom,(
    ~ b000000011000110100000000001(bitIndex20) )).

fof(bitBlastConstant_2357,axiom,(
    b000000011000110100000000001(bitIndex19) )).

fof(bitBlastConstant_2356,axiom,(
    b000000011000110100000000001(bitIndex18) )).

fof(bitBlastConstant_2355,axiom,(
    ~ b000000011000110100000000001(bitIndex17) )).

fof(bitBlastConstant_2354,axiom,(
    ~ b000000011000110100000000001(bitIndex16) )).

fof(bitBlastConstant_2353,axiom,(
    ~ b000000011000110100000000001(bitIndex15) )).

fof(bitBlastConstant_2352,axiom,(
    b000000011000110100000000001(bitIndex14) )).

fof(bitBlastConstant_2351,axiom,(
    b000000011000110100000000001(bitIndex13) )).

fof(bitBlastConstant_2350,axiom,(
    ~ b000000011000110100000000001(bitIndex12) )).

fof(bitBlastConstant_2349,axiom,(
    b000000011000110100000000001(bitIndex11) )).

fof(bitBlastConstant_2348,axiom,(
    ~ b000000011000110100000000001(bitIndex10) )).

fof(bitBlastConstant_2347,axiom,(
    ~ b000000011000110100000000001(bitIndex9) )).

fof(bitBlastConstant_2346,axiom,(
    ~ b000000011000110100000000001(bitIndex8) )).

fof(bitBlastConstant_2345,axiom,(
    ~ b000000011000110100000000001(bitIndex7) )).

fof(bitBlastConstant_2344,axiom,(
    ~ b000000011000110100000000001(bitIndex6) )).

fof(bitBlastConstant_2343,axiom,(
    ~ b000000011000110100000000001(bitIndex5) )).

fof(bitBlastConstant_2342,axiom,(
    ~ b000000011000110100000000001(bitIndex4) )).

fof(bitBlastConstant_2341,axiom,(
    ~ b000000011000110100000000001(bitIndex3) )).

fof(bitBlastConstant_2340,axiom,(
    ~ b000000011000110100000000001(bitIndex2) )).

fof(bitBlastConstant_2339,axiom,(
    ~ b000000011000110100000000001(bitIndex1) )).

fof(bitBlastConstant_2338,axiom,(
    b000000011000110100000000001(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_127,axiom,(
    ! [VarCurr] :
      ( ~ v4222(VarCurr)
     => ( v4325(VarCurr)
      <=> v4329(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_128,axiom,(
    ! [VarCurr] :
      ( v4222(VarCurr)
     => ( v4325(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_50,axiom,(
    ! [VarCurr] :
      ( ( ~ v4224(VarCurr)
        & ~ v4226(VarCurr) )
     => ( v4329(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_81,axiom,(
    ! [VarCurr] :
      ( v4226(VarCurr)
     => ( v4329(VarCurr)
      <=> v4331(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_82,axiom,(
    ! [VarCurr] :
      ( v4224(VarCurr)
     => ( v4329(VarCurr)
      <=> v4330(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_235,axiom,(
    ! [VarCurr] :
      ( v4331(VarCurr)
    <=> ( ( v4208(VarCurr,bitIndex26)
        <=> $false )
        & ( v4208(VarCurr,bitIndex25)
        <=> $false )
        & ( v4208(VarCurr,bitIndex24)
        <=> $false )
        & ( v4208(VarCurr,bitIndex23)
        <=> $false )
        & ( v4208(VarCurr,bitIndex22)
        <=> $false )
        & ( v4208(VarCurr,bitIndex21)
        <=> $false )
        & ( v4208(VarCurr,bitIndex20)
        <=> $false )
        & ( v4208(VarCurr,bitIndex19)
        <=> $true )
        & ( v4208(VarCurr,bitIndex18)
        <=> $true )
        & ( v4208(VarCurr,bitIndex17)
        <=> $true )
        & ( v4208(VarCurr,bitIndex16)
        <=> $false )
        & ( v4208(VarCurr,bitIndex15)
        <=> $false )
        & ( v4208(VarCurr,bitIndex14)
        <=> $true )
        & ( v4208(VarCurr,bitIndex13)
        <=> $true )
        & ( v4208(VarCurr,bitIndex12)
        <=> $false )
        & ( v4208(VarCurr,bitIndex11)
        <=> $true )
        & ( v4208(VarCurr,bitIndex10)
        <=> $false )
        & ( v4208(VarCurr,bitIndex9)
        <=> $false )
        & ( v4208(VarCurr,bitIndex8)
        <=> $false )
        & ( v4208(VarCurr,bitIndex7)
        <=> $false )
        & ( v4208(VarCurr,bitIndex6)
        <=> $false )
        & ( v4208(VarCurr,bitIndex5)
        <=> $false )
        & ( v4208(VarCurr,bitIndex4)
        <=> $false )
        & ( v4208(VarCurr,bitIndex3)
        <=> $false )
        & ( v4208(VarCurr,bitIndex2)
        <=> $false )
        & ( v4208(VarCurr,bitIndex1)
        <=> $false )
        & ( v4208(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_2337,axiom,(
    ~ b000000011100110100000000000(bitIndex26) )).

fof(bitBlastConstant_2336,axiom,(
    ~ b000000011100110100000000000(bitIndex25) )).

fof(bitBlastConstant_2335,axiom,(
    ~ b000000011100110100000000000(bitIndex24) )).

fof(bitBlastConstant_2334,axiom,(
    ~ b000000011100110100000000000(bitIndex23) )).

fof(bitBlastConstant_2333,axiom,(
    ~ b000000011100110100000000000(bitIndex22) )).

fof(bitBlastConstant_2332,axiom,(
    ~ b000000011100110100000000000(bitIndex21) )).

fof(bitBlastConstant_2331,axiom,(
    ~ b000000011100110100000000000(bitIndex20) )).

fof(bitBlastConstant_2330,axiom,(
    b000000011100110100000000000(bitIndex19) )).

fof(bitBlastConstant_2329,axiom,(
    b000000011100110100000000000(bitIndex18) )).

fof(bitBlastConstant_2328,axiom,(
    b000000011100110100000000000(bitIndex17) )).

fof(bitBlastConstant_2327,axiom,(
    ~ b000000011100110100000000000(bitIndex16) )).

fof(bitBlastConstant_2326,axiom,(
    ~ b000000011100110100000000000(bitIndex15) )).

fof(bitBlastConstant_2325,axiom,(
    b000000011100110100000000000(bitIndex14) )).

fof(bitBlastConstant_2324,axiom,(
    b000000011100110100000000000(bitIndex13) )).

fof(bitBlastConstant_2323,axiom,(
    ~ b000000011100110100000000000(bitIndex12) )).

fof(bitBlastConstant_2322,axiom,(
    b000000011100110100000000000(bitIndex11) )).

fof(bitBlastConstant_2321,axiom,(
    ~ b000000011100110100000000000(bitIndex10) )).

fof(bitBlastConstant_2320,axiom,(
    ~ b000000011100110100000000000(bitIndex9) )).

fof(bitBlastConstant_2319,axiom,(
    ~ b000000011100110100000000000(bitIndex8) )).

fof(bitBlastConstant_2318,axiom,(
    ~ b000000011100110100000000000(bitIndex7) )).

fof(bitBlastConstant_2317,axiom,(
    ~ b000000011100110100000000000(bitIndex6) )).

fof(bitBlastConstant_2316,axiom,(
    ~ b000000011100110100000000000(bitIndex5) )).

fof(bitBlastConstant_2315,axiom,(
    ~ b000000011100110100000000000(bitIndex4) )).

fof(bitBlastConstant_2314,axiom,(
    ~ b000000011100110100000000000(bitIndex3) )).

fof(bitBlastConstant_2313,axiom,(
    ~ b000000011100110100000000000(bitIndex2) )).

fof(bitBlastConstant_2312,axiom,(
    ~ b000000011100110100000000000(bitIndex1) )).

fof(bitBlastConstant_2311,axiom,(
    ~ b000000011100110100000000000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_234,axiom,(
    ! [VarCurr] :
      ( v4330(VarCurr)
    <=> ( ( v4208(VarCurr,bitIndex26)
        <=> $false )
        & ( v4208(VarCurr,bitIndex25)
        <=> $false )
        & ( v4208(VarCurr,bitIndex24)
        <=> $false )
        & ( v4208(VarCurr,bitIndex23)
        <=> $false )
        & ( v4208(VarCurr,bitIndex22)
        <=> $false )
        & ( v4208(VarCurr,bitIndex21)
        <=> $false )
        & ( v4208(VarCurr,bitIndex20)
        <=> $false )
        & ( v4208(VarCurr,bitIndex19)
        <=> $true )
        & ( v4208(VarCurr,bitIndex18)
        <=> $true )
        & ( v4208(VarCurr,bitIndex17)
        <=> $false )
        & ( v4208(VarCurr,bitIndex16)
        <=> $false )
        & ( v4208(VarCurr,bitIndex15)
        <=> $false )
        & ( v4208(VarCurr,bitIndex14)
        <=> $true )
        & ( v4208(VarCurr,bitIndex13)
        <=> $true )
        & ( v4208(VarCurr,bitIndex12)
        <=> $false )
        & ( v4208(VarCurr,bitIndex11)
        <=> $true )
        & ( v4208(VarCurr,bitIndex10)
        <=> $false )
        & ( v4208(VarCurr,bitIndex9)
        <=> $false )
        & ( v4208(VarCurr,bitIndex8)
        <=> $false )
        & ( v4208(VarCurr,bitIndex7)
        <=> $false )
        & ( v4208(VarCurr,bitIndex6)
        <=> $false )
        & ( v4208(VarCurr,bitIndex5)
        <=> $false )
        & ( v4208(VarCurr,bitIndex4)
        <=> $false )
        & ( v4208(VarCurr,bitIndex3)
        <=> $false )
        & ( v4208(VarCurr,bitIndex2)
        <=> $false )
        & ( v4208(VarCurr,bitIndex1)
        <=> $false )
        & ( v4208(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_2310,axiom,(
    ~ b000000011000110100000000000(bitIndex26) )).

fof(bitBlastConstant_2309,axiom,(
    ~ b000000011000110100000000000(bitIndex25) )).

fof(bitBlastConstant_2308,axiom,(
    ~ b000000011000110100000000000(bitIndex24) )).

fof(bitBlastConstant_2307,axiom,(
    ~ b000000011000110100000000000(bitIndex23) )).

fof(bitBlastConstant_2306,axiom,(
    ~ b000000011000110100000000000(bitIndex22) )).

fof(bitBlastConstant_2305,axiom,(
    ~ b000000011000110100000000000(bitIndex21) )).

fof(bitBlastConstant_2304,axiom,(
    ~ b000000011000110100000000000(bitIndex20) )).

fof(bitBlastConstant_2303,axiom,(
    b000000011000110100000000000(bitIndex19) )).

fof(bitBlastConstant_2302,axiom,(
    b000000011000110100000000000(bitIndex18) )).

fof(bitBlastConstant_2301,axiom,(
    ~ b000000011000110100000000000(bitIndex17) )).

fof(bitBlastConstant_2300,axiom,(
    ~ b000000011000110100000000000(bitIndex16) )).

fof(bitBlastConstant_2299,axiom,(
    ~ b000000011000110100000000000(bitIndex15) )).

fof(bitBlastConstant_2298,axiom,(
    b000000011000110100000000000(bitIndex14) )).

fof(bitBlastConstant_2297,axiom,(
    b000000011000110100000000000(bitIndex13) )).

fof(bitBlastConstant_2296,axiom,(
    ~ b000000011000110100000000000(bitIndex12) )).

fof(bitBlastConstant_2295,axiom,(
    b000000011000110100000000000(bitIndex11) )).

fof(bitBlastConstant_2294,axiom,(
    ~ b000000011000110100000000000(bitIndex10) )).

fof(bitBlastConstant_2293,axiom,(
    ~ b000000011000110100000000000(bitIndex9) )).

fof(bitBlastConstant_2292,axiom,(
    ~ b000000011000110100000000000(bitIndex8) )).

fof(bitBlastConstant_2291,axiom,(
    ~ b000000011000110100000000000(bitIndex7) )).

fof(bitBlastConstant_2290,axiom,(
    ~ b000000011000110100000000000(bitIndex6) )).

fof(bitBlastConstant_2289,axiom,(
    ~ b000000011000110100000000000(bitIndex5) )).

fof(bitBlastConstant_2288,axiom,(
    ~ b000000011000110100000000000(bitIndex4) )).

fof(bitBlastConstant_2287,axiom,(
    ~ b000000011000110100000000000(bitIndex3) )).

fof(bitBlastConstant_2286,axiom,(
    ~ b000000011000110100000000000(bitIndex2) )).

fof(bitBlastConstant_2285,axiom,(
    ~ b000000011000110100000000000(bitIndex1) )).

fof(bitBlastConstant_2284,axiom,(
    ~ b000000011000110100000000000(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_126,axiom,(
    ! [VarCurr] :
      ( ~ v4222(VarCurr)
     => ( v4317(VarCurr)
      <=> v4321(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_127,axiom,(
    ! [VarCurr] :
      ( v4222(VarCurr)
     => ( v4317(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_49,axiom,(
    ! [VarCurr] :
      ( ( ~ v4224(VarCurr)
        & ~ v4226(VarCurr) )
     => ( v4321(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_80,axiom,(
    ! [VarCurr] :
      ( v4226(VarCurr)
     => ( v4321(VarCurr)
      <=> v4323(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_81,axiom,(
    ! [VarCurr] :
      ( v4224(VarCurr)
     => ( v4321(VarCurr)
      <=> v4322(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_233,axiom,(
    ! [VarCurr] :
      ( v4323(VarCurr)
    <=> ( ( v4208(VarCurr,bitIndex26)
        <=> $false )
        & ( v4208(VarCurr,bitIndex25)
        <=> $false )
        & ( v4208(VarCurr,bitIndex24)
        <=> $false )
        & ( v4208(VarCurr,bitIndex23)
        <=> $false )
        & ( v4208(VarCurr,bitIndex22)
        <=> $false )
        & ( v4208(VarCurr,bitIndex21)
        <=> $false )
        & ( v4208(VarCurr,bitIndex20)
        <=> $false )
        & ( v4208(VarCurr,bitIndex19)
        <=> $true )
        & ( v4208(VarCurr,bitIndex18)
        <=> $true )
        & ( v4208(VarCurr,bitIndex17)
        <=> $true )
        & ( v4208(VarCurr,bitIndex16)
        <=> $false )
        & ( v4208(VarCurr,bitIndex15)
        <=> $false )
        & ( v4208(VarCurr,bitIndex14)
        <=> $true )
        & ( v4208(VarCurr,bitIndex13)
        <=> $true )
        & ( v4208(VarCurr,bitIndex12)
        <=> $false )
        & ( v4208(VarCurr,bitIndex11)
        <=> $false )
        & ( v4208(VarCurr,bitIndex10)
        <=> $true )
        & ( v4208(VarCurr,bitIndex9)
        <=> $false )
        & ( v4208(VarCurr,bitIndex8)
        <=> $false )
        & ( v4208(VarCurr,bitIndex7)
        <=> $false )
        & ( v4208(VarCurr,bitIndex6)
        <=> $false )
        & ( v4208(VarCurr,bitIndex5)
        <=> $false )
        & ( v4208(VarCurr,bitIndex4)
        <=> $false )
        & ( v4208(VarCurr,bitIndex3)
        <=> $false )
        & ( v4208(VarCurr,bitIndex2)
        <=> $false )
        & ( v4208(VarCurr,bitIndex1)
        <=> $true )
        & ( v4208(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_2283,axiom,(
    ~ b000000011100110010000000010(bitIndex26) )).

fof(bitBlastConstant_2282,axiom,(
    ~ b000000011100110010000000010(bitIndex25) )).

fof(bitBlastConstant_2281,axiom,(
    ~ b000000011100110010000000010(bitIndex24) )).

fof(bitBlastConstant_2280,axiom,(
    ~ b000000011100110010000000010(bitIndex23) )).

fof(bitBlastConstant_2279,axiom,(
    ~ b000000011100110010000000010(bitIndex22) )).

fof(bitBlastConstant_2278,axiom,(
    ~ b000000011100110010000000010(bitIndex21) )).

fof(bitBlastConstant_2277,axiom,(
    ~ b000000011100110010000000010(bitIndex20) )).

fof(bitBlastConstant_2276,axiom,(
    b000000011100110010000000010(bitIndex19) )).

fof(bitBlastConstant_2275,axiom,(
    b000000011100110010000000010(bitIndex18) )).

fof(bitBlastConstant_2274,axiom,(
    b000000011100110010000000010(bitIndex17) )).

fof(bitBlastConstant_2273,axiom,(
    ~ b000000011100110010000000010(bitIndex16) )).

fof(bitBlastConstant_2272,axiom,(
    ~ b000000011100110010000000010(bitIndex15) )).

fof(bitBlastConstant_2271,axiom,(
    b000000011100110010000000010(bitIndex14) )).

fof(bitBlastConstant_2270,axiom,(
    b000000011100110010000000010(bitIndex13) )).

fof(bitBlastConstant_2269,axiom,(
    ~ b000000011100110010000000010(bitIndex12) )).

fof(bitBlastConstant_2268,axiom,(
    ~ b000000011100110010000000010(bitIndex11) )).

fof(bitBlastConstant_2267,axiom,(
    b000000011100110010000000010(bitIndex10) )).

fof(bitBlastConstant_2266,axiom,(
    ~ b000000011100110010000000010(bitIndex9) )).

fof(bitBlastConstant_2265,axiom,(
    ~ b000000011100110010000000010(bitIndex8) )).

fof(bitBlastConstant_2264,axiom,(
    ~ b000000011100110010000000010(bitIndex7) )).

fof(bitBlastConstant_2263,axiom,(
    ~ b000000011100110010000000010(bitIndex6) )).

fof(bitBlastConstant_2262,axiom,(
    ~ b000000011100110010000000010(bitIndex5) )).

fof(bitBlastConstant_2261,axiom,(
    ~ b000000011100110010000000010(bitIndex4) )).

fof(bitBlastConstant_2260,axiom,(
    ~ b000000011100110010000000010(bitIndex3) )).

fof(bitBlastConstant_2259,axiom,(
    ~ b000000011100110010000000010(bitIndex2) )).

fof(bitBlastConstant_2258,axiom,(
    b000000011100110010000000010(bitIndex1) )).

fof(bitBlastConstant_2257,axiom,(
    ~ b000000011100110010000000010(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_232,axiom,(
    ! [VarCurr] :
      ( v4322(VarCurr)
    <=> ( ( v4208(VarCurr,bitIndex26)
        <=> $false )
        & ( v4208(VarCurr,bitIndex25)
        <=> $false )
        & ( v4208(VarCurr,bitIndex24)
        <=> $false )
        & ( v4208(VarCurr,bitIndex23)
        <=> $false )
        & ( v4208(VarCurr,bitIndex22)
        <=> $false )
        & ( v4208(VarCurr,bitIndex21)
        <=> $false )
        & ( v4208(VarCurr,bitIndex20)
        <=> $false )
        & ( v4208(VarCurr,bitIndex19)
        <=> $true )
        & ( v4208(VarCurr,bitIndex18)
        <=> $true )
        & ( v4208(VarCurr,bitIndex17)
        <=> $false )
        & ( v4208(VarCurr,bitIndex16)
        <=> $false )
        & ( v4208(VarCurr,bitIndex15)
        <=> $false )
        & ( v4208(VarCurr,bitIndex14)
        <=> $true )
        & ( v4208(VarCurr,bitIndex13)
        <=> $true )
        & ( v4208(VarCurr,bitIndex12)
        <=> $false )
        & ( v4208(VarCurr,bitIndex11)
        <=> $false )
        & ( v4208(VarCurr,bitIndex10)
        <=> $true )
        & ( v4208(VarCurr,bitIndex9)
        <=> $false )
        & ( v4208(VarCurr,bitIndex8)
        <=> $false )
        & ( v4208(VarCurr,bitIndex7)
        <=> $false )
        & ( v4208(VarCurr,bitIndex6)
        <=> $false )
        & ( v4208(VarCurr,bitIndex5)
        <=> $false )
        & ( v4208(VarCurr,bitIndex4)
        <=> $false )
        & ( v4208(VarCurr,bitIndex3)
        <=> $false )
        & ( v4208(VarCurr,bitIndex2)
        <=> $false )
        & ( v4208(VarCurr,bitIndex1)
        <=> $true )
        & ( v4208(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_2256,axiom,(
    ~ b000000011000110010000000010(bitIndex26) )).

fof(bitBlastConstant_2255,axiom,(
    ~ b000000011000110010000000010(bitIndex25) )).

fof(bitBlastConstant_2254,axiom,(
    ~ b000000011000110010000000010(bitIndex24) )).

fof(bitBlastConstant_2253,axiom,(
    ~ b000000011000110010000000010(bitIndex23) )).

fof(bitBlastConstant_2252,axiom,(
    ~ b000000011000110010000000010(bitIndex22) )).

fof(bitBlastConstant_2251,axiom,(
    ~ b000000011000110010000000010(bitIndex21) )).

fof(bitBlastConstant_2250,axiom,(
    ~ b000000011000110010000000010(bitIndex20) )).

fof(bitBlastConstant_2249,axiom,(
    b000000011000110010000000010(bitIndex19) )).

fof(bitBlastConstant_2248,axiom,(
    b000000011000110010000000010(bitIndex18) )).

fof(bitBlastConstant_2247,axiom,(
    ~ b000000011000110010000000010(bitIndex17) )).

fof(bitBlastConstant_2246,axiom,(
    ~ b000000011000110010000000010(bitIndex16) )).

fof(bitBlastConstant_2245,axiom,(
    ~ b000000011000110010000000010(bitIndex15) )).

fof(bitBlastConstant_2244,axiom,(
    b000000011000110010000000010(bitIndex14) )).

fof(bitBlastConstant_2243,axiom,(
    b000000011000110010000000010(bitIndex13) )).

fof(bitBlastConstant_2242,axiom,(
    ~ b000000011000110010000000010(bitIndex12) )).

fof(bitBlastConstant_2241,axiom,(
    ~ b000000011000110010000000010(bitIndex11) )).

fof(bitBlastConstant_2240,axiom,(
    b000000011000110010000000010(bitIndex10) )).

fof(bitBlastConstant_2239,axiom,(
    ~ b000000011000110010000000010(bitIndex9) )).

fof(bitBlastConstant_2238,axiom,(
    ~ b000000011000110010000000010(bitIndex8) )).

fof(bitBlastConstant_2237,axiom,(
    ~ b000000011000110010000000010(bitIndex7) )).

fof(bitBlastConstant_2236,axiom,(
    ~ b000000011000110010000000010(bitIndex6) )).

fof(bitBlastConstant_2235,axiom,(
    ~ b000000011000110010000000010(bitIndex5) )).

fof(bitBlastConstant_2234,axiom,(
    ~ b000000011000110010000000010(bitIndex4) )).

fof(bitBlastConstant_2233,axiom,(
    ~ b000000011000110010000000010(bitIndex3) )).

fof(bitBlastConstant_2232,axiom,(
    ~ b000000011000110010000000010(bitIndex2) )).

fof(bitBlastConstant_2231,axiom,(
    b000000011000110010000000010(bitIndex1) )).

fof(bitBlastConstant_2230,axiom,(
    ~ b000000011000110010000000010(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_125,axiom,(
    ! [VarCurr] :
      ( ~ v4222(VarCurr)
     => ( v4309(VarCurr)
      <=> v4313(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_126,axiom,(
    ! [VarCurr] :
      ( v4222(VarCurr)
     => ( v4309(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_48,axiom,(
    ! [VarCurr] :
      ( ( ~ v4224(VarCurr)
        & ~ v4226(VarCurr) )
     => ( v4313(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_79,axiom,(
    ! [VarCurr] :
      ( v4226(VarCurr)
     => ( v4313(VarCurr)
      <=> v4315(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_80,axiom,(
    ! [VarCurr] :
      ( v4224(VarCurr)
     => ( v4313(VarCurr)
      <=> v4314(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_231,axiom,(
    ! [VarCurr] :
      ( v4315(VarCurr)
    <=> ( ( v4208(VarCurr,bitIndex26)
        <=> $false )
        & ( v4208(VarCurr,bitIndex25)
        <=> $false )
        & ( v4208(VarCurr,bitIndex24)
        <=> $false )
        & ( v4208(VarCurr,bitIndex23)
        <=> $false )
        & ( v4208(VarCurr,bitIndex22)
        <=> $false )
        & ( v4208(VarCurr,bitIndex21)
        <=> $false )
        & ( v4208(VarCurr,bitIndex20)
        <=> $false )
        & ( v4208(VarCurr,bitIndex19)
        <=> $true )
        & ( v4208(VarCurr,bitIndex18)
        <=> $true )
        & ( v4208(VarCurr,bitIndex17)
        <=> $true )
        & ( v4208(VarCurr,bitIndex16)
        <=> $false )
        & ( v4208(VarCurr,bitIndex15)
        <=> $false )
        & ( v4208(VarCurr,bitIndex14)
        <=> $true )
        & ( v4208(VarCurr,bitIndex13)
        <=> $true )
        & ( v4208(VarCurr,bitIndex12)
        <=> $false )
        & ( v4208(VarCurr,bitIndex11)
        <=> $false )
        & ( v4208(VarCurr,bitIndex10)
        <=> $true )
        & ( v4208(VarCurr,bitIndex9)
        <=> $false )
        & ( v4208(VarCurr,bitIndex8)
        <=> $false )
        & ( v4208(VarCurr,bitIndex7)
        <=> $false )
        & ( v4208(VarCurr,bitIndex6)
        <=> $false )
        & ( v4208(VarCurr,bitIndex5)
        <=> $false )
        & ( v4208(VarCurr,bitIndex4)
        <=> $false )
        & ( v4208(VarCurr,bitIndex3)
        <=> $false )
        & ( v4208(VarCurr,bitIndex2)
        <=> $false )
        & ( v4208(VarCurr,bitIndex1)
        <=> $false )
        & ( v4208(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_2229,axiom,(
    ~ b000000011100110010000000001(bitIndex26) )).

fof(bitBlastConstant_2228,axiom,(
    ~ b000000011100110010000000001(bitIndex25) )).

fof(bitBlastConstant_2227,axiom,(
    ~ b000000011100110010000000001(bitIndex24) )).

fof(bitBlastConstant_2226,axiom,(
    ~ b000000011100110010000000001(bitIndex23) )).

fof(bitBlastConstant_2225,axiom,(
    ~ b000000011100110010000000001(bitIndex22) )).

fof(bitBlastConstant_2224,axiom,(
    ~ b000000011100110010000000001(bitIndex21) )).

fof(bitBlastConstant_2223,axiom,(
    ~ b000000011100110010000000001(bitIndex20) )).

fof(bitBlastConstant_2222,axiom,(
    b000000011100110010000000001(bitIndex19) )).

fof(bitBlastConstant_2221,axiom,(
    b000000011100110010000000001(bitIndex18) )).

fof(bitBlastConstant_2220,axiom,(
    b000000011100110010000000001(bitIndex17) )).

fof(bitBlastConstant_2219,axiom,(
    ~ b000000011100110010000000001(bitIndex16) )).

fof(bitBlastConstant_2218,axiom,(
    ~ b000000011100110010000000001(bitIndex15) )).

fof(bitBlastConstant_2217,axiom,(
    b000000011100110010000000001(bitIndex14) )).

fof(bitBlastConstant_2216,axiom,(
    b000000011100110010000000001(bitIndex13) )).

fof(bitBlastConstant_2215,axiom,(
    ~ b000000011100110010000000001(bitIndex12) )).

fof(bitBlastConstant_2214,axiom,(
    ~ b000000011100110010000000001(bitIndex11) )).

fof(bitBlastConstant_2213,axiom,(
    b000000011100110010000000001(bitIndex10) )).

fof(bitBlastConstant_2212,axiom,(
    ~ b000000011100110010000000001(bitIndex9) )).

fof(bitBlastConstant_2211,axiom,(
    ~ b000000011100110010000000001(bitIndex8) )).

fof(bitBlastConstant_2210,axiom,(
    ~ b000000011100110010000000001(bitIndex7) )).

fof(bitBlastConstant_2209,axiom,(
    ~ b000000011100110010000000001(bitIndex6) )).

fof(bitBlastConstant_2208,axiom,(
    ~ b000000011100110010000000001(bitIndex5) )).

fof(bitBlastConstant_2207,axiom,(
    ~ b000000011100110010000000001(bitIndex4) )).

fof(bitBlastConstant_2206,axiom,(
    ~ b000000011100110010000000001(bitIndex3) )).

fof(bitBlastConstant_2205,axiom,(
    ~ b000000011100110010000000001(bitIndex2) )).

fof(bitBlastConstant_2204,axiom,(
    ~ b000000011100110010000000001(bitIndex1) )).

fof(bitBlastConstant_2203,axiom,(
    b000000011100110010000000001(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_230,axiom,(
    ! [VarCurr] :
      ( v4314(VarCurr)
    <=> ( ( v4208(VarCurr,bitIndex26)
        <=> $false )
        & ( v4208(VarCurr,bitIndex25)
        <=> $false )
        & ( v4208(VarCurr,bitIndex24)
        <=> $false )
        & ( v4208(VarCurr,bitIndex23)
        <=> $false )
        & ( v4208(VarCurr,bitIndex22)
        <=> $false )
        & ( v4208(VarCurr,bitIndex21)
        <=> $false )
        & ( v4208(VarCurr,bitIndex20)
        <=> $false )
        & ( v4208(VarCurr,bitIndex19)
        <=> $true )
        & ( v4208(VarCurr,bitIndex18)
        <=> $true )
        & ( v4208(VarCurr,bitIndex17)
        <=> $false )
        & ( v4208(VarCurr,bitIndex16)
        <=> $false )
        & ( v4208(VarCurr,bitIndex15)
        <=> $false )
        & ( v4208(VarCurr,bitIndex14)
        <=> $true )
        & ( v4208(VarCurr,bitIndex13)
        <=> $true )
        & ( v4208(VarCurr,bitIndex12)
        <=> $false )
        & ( v4208(VarCurr,bitIndex11)
        <=> $false )
        & ( v4208(VarCurr,bitIndex10)
        <=> $true )
        & ( v4208(VarCurr,bitIndex9)
        <=> $false )
        & ( v4208(VarCurr,bitIndex8)
        <=> $false )
        & ( v4208(VarCurr,bitIndex7)
        <=> $false )
        & ( v4208(VarCurr,bitIndex6)
        <=> $false )
        & ( v4208(VarCurr,bitIndex5)
        <=> $false )
        & ( v4208(VarCurr,bitIndex4)
        <=> $false )
        & ( v4208(VarCurr,bitIndex3)
        <=> $false )
        & ( v4208(VarCurr,bitIndex2)
        <=> $false )
        & ( v4208(VarCurr,bitIndex1)
        <=> $false )
        & ( v4208(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_2202,axiom,(
    ~ b000000011000110010000000001(bitIndex26) )).

fof(bitBlastConstant_2201,axiom,(
    ~ b000000011000110010000000001(bitIndex25) )).

fof(bitBlastConstant_2200,axiom,(
    ~ b000000011000110010000000001(bitIndex24) )).

fof(bitBlastConstant_2199,axiom,(
    ~ b000000011000110010000000001(bitIndex23) )).

fof(bitBlastConstant_2198,axiom,(
    ~ b000000011000110010000000001(bitIndex22) )).

fof(bitBlastConstant_2197,axiom,(
    ~ b000000011000110010000000001(bitIndex21) )).

fof(bitBlastConstant_2196,axiom,(
    ~ b000000011000110010000000001(bitIndex20) )).

fof(bitBlastConstant_2195,axiom,(
    b000000011000110010000000001(bitIndex19) )).

fof(bitBlastConstant_2194,axiom,(
    b000000011000110010000000001(bitIndex18) )).

fof(bitBlastConstant_2193,axiom,(
    ~ b000000011000110010000000001(bitIndex17) )).

fof(bitBlastConstant_2192,axiom,(
    ~ b000000011000110010000000001(bitIndex16) )).

fof(bitBlastConstant_2191,axiom,(
    ~ b000000011000110010000000001(bitIndex15) )).

fof(bitBlastConstant_2190,axiom,(
    b000000011000110010000000001(bitIndex14) )).

fof(bitBlastConstant_2189,axiom,(
    b000000011000110010000000001(bitIndex13) )).

fof(bitBlastConstant_2188,axiom,(
    ~ b000000011000110010000000001(bitIndex12) )).

fof(bitBlastConstant_2187,axiom,(
    ~ b000000011000110010000000001(bitIndex11) )).

fof(bitBlastConstant_2186,axiom,(
    b000000011000110010000000001(bitIndex10) )).

fof(bitBlastConstant_2185,axiom,(
    ~ b000000011000110010000000001(bitIndex9) )).

fof(bitBlastConstant_2184,axiom,(
    ~ b000000011000110010000000001(bitIndex8) )).

fof(bitBlastConstant_2183,axiom,(
    ~ b000000011000110010000000001(bitIndex7) )).

fof(bitBlastConstant_2182,axiom,(
    ~ b000000011000110010000000001(bitIndex6) )).

fof(bitBlastConstant_2181,axiom,(
    ~ b000000011000110010000000001(bitIndex5) )).

fof(bitBlastConstant_2180,axiom,(
    ~ b000000011000110010000000001(bitIndex4) )).

fof(bitBlastConstant_2179,axiom,(
    ~ b000000011000110010000000001(bitIndex3) )).

fof(bitBlastConstant_2178,axiom,(
    ~ b000000011000110010000000001(bitIndex2) )).

fof(bitBlastConstant_2177,axiom,(
    ~ b000000011000110010000000001(bitIndex1) )).

fof(bitBlastConstant_2176,axiom,(
    b000000011000110010000000001(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_124,axiom,(
    ! [VarCurr] :
      ( ~ v4222(VarCurr)
     => ( v4301(VarCurr)
      <=> v4305(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_125,axiom,(
    ! [VarCurr] :
      ( v4222(VarCurr)
     => ( v4301(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_47,axiom,(
    ! [VarCurr] :
      ( ( ~ v4224(VarCurr)
        & ~ v4226(VarCurr) )
     => ( v4305(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_78,axiom,(
    ! [VarCurr] :
      ( v4226(VarCurr)
     => ( v4305(VarCurr)
      <=> v4307(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_79,axiom,(
    ! [VarCurr] :
      ( v4224(VarCurr)
     => ( v4305(VarCurr)
      <=> v4306(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_229,axiom,(
    ! [VarCurr] :
      ( v4307(VarCurr)
    <=> ( ( v4208(VarCurr,bitIndex26)
        <=> $false )
        & ( v4208(VarCurr,bitIndex25)
        <=> $false )
        & ( v4208(VarCurr,bitIndex24)
        <=> $false )
        & ( v4208(VarCurr,bitIndex23)
        <=> $false )
        & ( v4208(VarCurr,bitIndex22)
        <=> $false )
        & ( v4208(VarCurr,bitIndex21)
        <=> $false )
        & ( v4208(VarCurr,bitIndex20)
        <=> $false )
        & ( v4208(VarCurr,bitIndex19)
        <=> $true )
        & ( v4208(VarCurr,bitIndex18)
        <=> $true )
        & ( v4208(VarCurr,bitIndex17)
        <=> $true )
        & ( v4208(VarCurr,bitIndex16)
        <=> $false )
        & ( v4208(VarCurr,bitIndex15)
        <=> $false )
        & ( v4208(VarCurr,bitIndex14)
        <=> $true )
        & ( v4208(VarCurr,bitIndex13)
        <=> $true )
        & ( v4208(VarCurr,bitIndex12)
        <=> $false )
        & ( v4208(VarCurr,bitIndex11)
        <=> $false )
        & ( v4208(VarCurr,bitIndex10)
        <=> $true )
        & ( v4208(VarCurr,bitIndex9)
        <=> $false )
        & ( v4208(VarCurr,bitIndex8)
        <=> $false )
        & ( v4208(VarCurr,bitIndex7)
        <=> $false )
        & ( v4208(VarCurr,bitIndex6)
        <=> $false )
        & ( v4208(VarCurr,bitIndex5)
        <=> $false )
        & ( v4208(VarCurr,bitIndex4)
        <=> $false )
        & ( v4208(VarCurr,bitIndex3)
        <=> $false )
        & ( v4208(VarCurr,bitIndex2)
        <=> $false )
        & ( v4208(VarCurr,bitIndex1)
        <=> $false )
        & ( v4208(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_2175,axiom,(
    ~ b000000011100110010000000000(bitIndex26) )).

fof(bitBlastConstant_2174,axiom,(
    ~ b000000011100110010000000000(bitIndex25) )).

fof(bitBlastConstant_2173,axiom,(
    ~ b000000011100110010000000000(bitIndex24) )).

fof(bitBlastConstant_2172,axiom,(
    ~ b000000011100110010000000000(bitIndex23) )).

fof(bitBlastConstant_2171,axiom,(
    ~ b000000011100110010000000000(bitIndex22) )).

fof(bitBlastConstant_2170,axiom,(
    ~ b000000011100110010000000000(bitIndex21) )).

fof(bitBlastConstant_2169,axiom,(
    ~ b000000011100110010000000000(bitIndex20) )).

fof(bitBlastConstant_2168,axiom,(
    b000000011100110010000000000(bitIndex19) )).

fof(bitBlastConstant_2167,axiom,(
    b000000011100110010000000000(bitIndex18) )).

fof(bitBlastConstant_2166,axiom,(
    b000000011100110010000000000(bitIndex17) )).

fof(bitBlastConstant_2165,axiom,(
    ~ b000000011100110010000000000(bitIndex16) )).

fof(bitBlastConstant_2164,axiom,(
    ~ b000000011100110010000000000(bitIndex15) )).

fof(bitBlastConstant_2163,axiom,(
    b000000011100110010000000000(bitIndex14) )).

fof(bitBlastConstant_2162,axiom,(
    b000000011100110010000000000(bitIndex13) )).

fof(bitBlastConstant_2161,axiom,(
    ~ b000000011100110010000000000(bitIndex12) )).

fof(bitBlastConstant_2160,axiom,(
    ~ b000000011100110010000000000(bitIndex11) )).

fof(bitBlastConstant_2159,axiom,(
    b000000011100110010000000000(bitIndex10) )).

fof(bitBlastConstant_2158,axiom,(
    ~ b000000011100110010000000000(bitIndex9) )).

fof(bitBlastConstant_2157,axiom,(
    ~ b000000011100110010000000000(bitIndex8) )).

fof(bitBlastConstant_2156,axiom,(
    ~ b000000011100110010000000000(bitIndex7) )).

fof(bitBlastConstant_2155,axiom,(
    ~ b000000011100110010000000000(bitIndex6) )).

fof(bitBlastConstant_2154,axiom,(
    ~ b000000011100110010000000000(bitIndex5) )).

fof(bitBlastConstant_2153,axiom,(
    ~ b000000011100110010000000000(bitIndex4) )).

fof(bitBlastConstant_2152,axiom,(
    ~ b000000011100110010000000000(bitIndex3) )).

fof(bitBlastConstant_2151,axiom,(
    ~ b000000011100110010000000000(bitIndex2) )).

fof(bitBlastConstant_2150,axiom,(
    ~ b000000011100110010000000000(bitIndex1) )).

fof(bitBlastConstant_2149,axiom,(
    ~ b000000011100110010000000000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_228,axiom,(
    ! [VarCurr] :
      ( v4306(VarCurr)
    <=> ( ( v4208(VarCurr,bitIndex26)
        <=> $false )
        & ( v4208(VarCurr,bitIndex25)
        <=> $false )
        & ( v4208(VarCurr,bitIndex24)
        <=> $false )
        & ( v4208(VarCurr,bitIndex23)
        <=> $false )
        & ( v4208(VarCurr,bitIndex22)
        <=> $false )
        & ( v4208(VarCurr,bitIndex21)
        <=> $false )
        & ( v4208(VarCurr,bitIndex20)
        <=> $false )
        & ( v4208(VarCurr,bitIndex19)
        <=> $true )
        & ( v4208(VarCurr,bitIndex18)
        <=> $true )
        & ( v4208(VarCurr,bitIndex17)
        <=> $false )
        & ( v4208(VarCurr,bitIndex16)
        <=> $false )
        & ( v4208(VarCurr,bitIndex15)
        <=> $false )
        & ( v4208(VarCurr,bitIndex14)
        <=> $true )
        & ( v4208(VarCurr,bitIndex13)
        <=> $true )
        & ( v4208(VarCurr,bitIndex12)
        <=> $false )
        & ( v4208(VarCurr,bitIndex11)
        <=> $false )
        & ( v4208(VarCurr,bitIndex10)
        <=> $true )
        & ( v4208(VarCurr,bitIndex9)
        <=> $false )
        & ( v4208(VarCurr,bitIndex8)
        <=> $false )
        & ( v4208(VarCurr,bitIndex7)
        <=> $false )
        & ( v4208(VarCurr,bitIndex6)
        <=> $false )
        & ( v4208(VarCurr,bitIndex5)
        <=> $false )
        & ( v4208(VarCurr,bitIndex4)
        <=> $false )
        & ( v4208(VarCurr,bitIndex3)
        <=> $false )
        & ( v4208(VarCurr,bitIndex2)
        <=> $false )
        & ( v4208(VarCurr,bitIndex1)
        <=> $false )
        & ( v4208(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_2148,axiom,(
    ~ b000000011000110010000000000(bitIndex26) )).

fof(bitBlastConstant_2147,axiom,(
    ~ b000000011000110010000000000(bitIndex25) )).

fof(bitBlastConstant_2146,axiom,(
    ~ b000000011000110010000000000(bitIndex24) )).

fof(bitBlastConstant_2145,axiom,(
    ~ b000000011000110010000000000(bitIndex23) )).

fof(bitBlastConstant_2144,axiom,(
    ~ b000000011000110010000000000(bitIndex22) )).

fof(bitBlastConstant_2143,axiom,(
    ~ b000000011000110010000000000(bitIndex21) )).

fof(bitBlastConstant_2142,axiom,(
    ~ b000000011000110010000000000(bitIndex20) )).

fof(bitBlastConstant_2141,axiom,(
    b000000011000110010000000000(bitIndex19) )).

fof(bitBlastConstant_2140,axiom,(
    b000000011000110010000000000(bitIndex18) )).

fof(bitBlastConstant_2139,axiom,(
    ~ b000000011000110010000000000(bitIndex17) )).

fof(bitBlastConstant_2138,axiom,(
    ~ b000000011000110010000000000(bitIndex16) )).

fof(bitBlastConstant_2137,axiom,(
    ~ b000000011000110010000000000(bitIndex15) )).

fof(bitBlastConstant_2136,axiom,(
    b000000011000110010000000000(bitIndex14) )).

fof(bitBlastConstant_2135,axiom,(
    b000000011000110010000000000(bitIndex13) )).

fof(bitBlastConstant_2134,axiom,(
    ~ b000000011000110010000000000(bitIndex12) )).

fof(bitBlastConstant_2133,axiom,(
    ~ b000000011000110010000000000(bitIndex11) )).

fof(bitBlastConstant_2132,axiom,(
    b000000011000110010000000000(bitIndex10) )).

fof(bitBlastConstant_2131,axiom,(
    ~ b000000011000110010000000000(bitIndex9) )).

fof(bitBlastConstant_2130,axiom,(
    ~ b000000011000110010000000000(bitIndex8) )).

fof(bitBlastConstant_2129,axiom,(
    ~ b000000011000110010000000000(bitIndex7) )).

fof(bitBlastConstant_2128,axiom,(
    ~ b000000011000110010000000000(bitIndex6) )).

fof(bitBlastConstant_2127,axiom,(
    ~ b000000011000110010000000000(bitIndex5) )).

fof(bitBlastConstant_2126,axiom,(
    ~ b000000011000110010000000000(bitIndex4) )).

fof(bitBlastConstant_2125,axiom,(
    ~ b000000011000110010000000000(bitIndex3) )).

fof(bitBlastConstant_2124,axiom,(
    ~ b000000011000110010000000000(bitIndex2) )).

fof(bitBlastConstant_2123,axiom,(
    ~ b000000011000110010000000000(bitIndex1) )).

fof(bitBlastConstant_2122,axiom,(
    ~ b000000011000110010000000000(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_123,axiom,(
    ! [VarCurr] :
      ( ~ v4222(VarCurr)
     => ( v4293(VarCurr)
      <=> v4297(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_124,axiom,(
    ! [VarCurr] :
      ( v4222(VarCurr)
     => ( v4293(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_46,axiom,(
    ! [VarCurr] :
      ( ( ~ v4224(VarCurr)
        & ~ v4226(VarCurr) )
     => ( v4297(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_77,axiom,(
    ! [VarCurr] :
      ( v4226(VarCurr)
     => ( v4297(VarCurr)
      <=> v4299(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_78,axiom,(
    ! [VarCurr] :
      ( v4224(VarCurr)
     => ( v4297(VarCurr)
      <=> v4298(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_227,axiom,(
    ! [VarCurr] :
      ( v4299(VarCurr)
    <=> ( ( v4208(VarCurr,bitIndex26)
        <=> $false )
        & ( v4208(VarCurr,bitIndex25)
        <=> $false )
        & ( v4208(VarCurr,bitIndex24)
        <=> $false )
        & ( v4208(VarCurr,bitIndex23)
        <=> $false )
        & ( v4208(VarCurr,bitIndex22)
        <=> $false )
        & ( v4208(VarCurr,bitIndex21)
        <=> $false )
        & ( v4208(VarCurr,bitIndex20)
        <=> $false )
        & ( v4208(VarCurr,bitIndex19)
        <=> $true )
        & ( v4208(VarCurr,bitIndex18)
        <=> $true )
        & ( v4208(VarCurr,bitIndex17)
        <=> $true )
        & ( v4208(VarCurr,bitIndex16)
        <=> $false )
        & ( v4208(VarCurr,bitIndex15)
        <=> $false )
        & ( v4208(VarCurr,bitIndex14)
        <=> $true )
        & ( v4208(VarCurr,bitIndex13)
        <=> $true )
        & ( v4208(VarCurr,bitIndex12)
        <=> $false )
        & ( v4208(VarCurr,bitIndex11)
        <=> $false )
        & ( v4208(VarCurr,bitIndex10)
        <=> $false )
        & ( v4208(VarCurr,bitIndex9)
        <=> $true )
        & ( v4208(VarCurr,bitIndex8)
        <=> $true )
        & ( v4208(VarCurr,bitIndex7)
        <=> $false )
        & ( v4208(VarCurr,bitIndex6)
        <=> $false )
        & ( v4208(VarCurr,bitIndex5)
        <=> $false )
        & ( v4208(VarCurr,bitIndex4)
        <=> $false )
        & ( v4208(VarCurr,bitIndex3)
        <=> $false )
        & ( v4208(VarCurr,bitIndex2)
        <=> $false )
        & ( v4208(VarCurr,bitIndex1)
        <=> $false )
        & ( v4208(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_2121,axiom,(
    ~ b000000011100110001100000001(bitIndex26) )).

fof(bitBlastConstant_2120,axiom,(
    ~ b000000011100110001100000001(bitIndex25) )).

fof(bitBlastConstant_2119,axiom,(
    ~ b000000011100110001100000001(bitIndex24) )).

fof(bitBlastConstant_2118,axiom,(
    ~ b000000011100110001100000001(bitIndex23) )).

fof(bitBlastConstant_2117,axiom,(
    ~ b000000011100110001100000001(bitIndex22) )).

fof(bitBlastConstant_2116,axiom,(
    ~ b000000011100110001100000001(bitIndex21) )).

fof(bitBlastConstant_2115,axiom,(
    ~ b000000011100110001100000001(bitIndex20) )).

fof(bitBlastConstant_2114,axiom,(
    b000000011100110001100000001(bitIndex19) )).

fof(bitBlastConstant_2113,axiom,(
    b000000011100110001100000001(bitIndex18) )).

fof(bitBlastConstant_2112,axiom,(
    b000000011100110001100000001(bitIndex17) )).

fof(bitBlastConstant_2111,axiom,(
    ~ b000000011100110001100000001(bitIndex16) )).

fof(bitBlastConstant_2110,axiom,(
    ~ b000000011100110001100000001(bitIndex15) )).

fof(bitBlastConstant_2109,axiom,(
    b000000011100110001100000001(bitIndex14) )).

fof(bitBlastConstant_2108,axiom,(
    b000000011100110001100000001(bitIndex13) )).

fof(bitBlastConstant_2107,axiom,(
    ~ b000000011100110001100000001(bitIndex12) )).

fof(bitBlastConstant_2106,axiom,(
    ~ b000000011100110001100000001(bitIndex11) )).

fof(bitBlastConstant_2105,axiom,(
    ~ b000000011100110001100000001(bitIndex10) )).

fof(bitBlastConstant_2104,axiom,(
    b000000011100110001100000001(bitIndex9) )).

fof(bitBlastConstant_2103,axiom,(
    b000000011100110001100000001(bitIndex8) )).

fof(bitBlastConstant_2102,axiom,(
    ~ b000000011100110001100000001(bitIndex7) )).

fof(bitBlastConstant_2101,axiom,(
    ~ b000000011100110001100000001(bitIndex6) )).

fof(bitBlastConstant_2100,axiom,(
    ~ b000000011100110001100000001(bitIndex5) )).

fof(bitBlastConstant_2099,axiom,(
    ~ b000000011100110001100000001(bitIndex4) )).

fof(bitBlastConstant_2098,axiom,(
    ~ b000000011100110001100000001(bitIndex3) )).

fof(bitBlastConstant_2097,axiom,(
    ~ b000000011100110001100000001(bitIndex2) )).

fof(bitBlastConstant_2096,axiom,(
    ~ b000000011100110001100000001(bitIndex1) )).

fof(bitBlastConstant_2095,axiom,(
    b000000011100110001100000001(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_226,axiom,(
    ! [VarCurr] :
      ( v4298(VarCurr)
    <=> ( ( v4208(VarCurr,bitIndex26)
        <=> $false )
        & ( v4208(VarCurr,bitIndex25)
        <=> $false )
        & ( v4208(VarCurr,bitIndex24)
        <=> $false )
        & ( v4208(VarCurr,bitIndex23)
        <=> $false )
        & ( v4208(VarCurr,bitIndex22)
        <=> $false )
        & ( v4208(VarCurr,bitIndex21)
        <=> $false )
        & ( v4208(VarCurr,bitIndex20)
        <=> $false )
        & ( v4208(VarCurr,bitIndex19)
        <=> $true )
        & ( v4208(VarCurr,bitIndex18)
        <=> $true )
        & ( v4208(VarCurr,bitIndex17)
        <=> $false )
        & ( v4208(VarCurr,bitIndex16)
        <=> $false )
        & ( v4208(VarCurr,bitIndex15)
        <=> $false )
        & ( v4208(VarCurr,bitIndex14)
        <=> $true )
        & ( v4208(VarCurr,bitIndex13)
        <=> $true )
        & ( v4208(VarCurr,bitIndex12)
        <=> $false )
        & ( v4208(VarCurr,bitIndex11)
        <=> $false )
        & ( v4208(VarCurr,bitIndex10)
        <=> $false )
        & ( v4208(VarCurr,bitIndex9)
        <=> $true )
        & ( v4208(VarCurr,bitIndex8)
        <=> $true )
        & ( v4208(VarCurr,bitIndex7)
        <=> $false )
        & ( v4208(VarCurr,bitIndex6)
        <=> $false )
        & ( v4208(VarCurr,bitIndex5)
        <=> $false )
        & ( v4208(VarCurr,bitIndex4)
        <=> $false )
        & ( v4208(VarCurr,bitIndex3)
        <=> $false )
        & ( v4208(VarCurr,bitIndex2)
        <=> $false )
        & ( v4208(VarCurr,bitIndex1)
        <=> $false )
        & ( v4208(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_2094,axiom,(
    ~ b000000011000110001100000001(bitIndex26) )).

fof(bitBlastConstant_2093,axiom,(
    ~ b000000011000110001100000001(bitIndex25) )).

fof(bitBlastConstant_2092,axiom,(
    ~ b000000011000110001100000001(bitIndex24) )).

fof(bitBlastConstant_2091,axiom,(
    ~ b000000011000110001100000001(bitIndex23) )).

fof(bitBlastConstant_2090,axiom,(
    ~ b000000011000110001100000001(bitIndex22) )).

fof(bitBlastConstant_2089,axiom,(
    ~ b000000011000110001100000001(bitIndex21) )).

fof(bitBlastConstant_2088,axiom,(
    ~ b000000011000110001100000001(bitIndex20) )).

fof(bitBlastConstant_2087,axiom,(
    b000000011000110001100000001(bitIndex19) )).

fof(bitBlastConstant_2086,axiom,(
    b000000011000110001100000001(bitIndex18) )).

fof(bitBlastConstant_2085,axiom,(
    ~ b000000011000110001100000001(bitIndex17) )).

fof(bitBlastConstant_2084,axiom,(
    ~ b000000011000110001100000001(bitIndex16) )).

fof(bitBlastConstant_2083,axiom,(
    ~ b000000011000110001100000001(bitIndex15) )).

fof(bitBlastConstant_2082,axiom,(
    b000000011000110001100000001(bitIndex14) )).

fof(bitBlastConstant_2081,axiom,(
    b000000011000110001100000001(bitIndex13) )).

fof(bitBlastConstant_2080,axiom,(
    ~ b000000011000110001100000001(bitIndex12) )).

fof(bitBlastConstant_2079,axiom,(
    ~ b000000011000110001100000001(bitIndex11) )).

fof(bitBlastConstant_2078,axiom,(
    ~ b000000011000110001100000001(bitIndex10) )).

fof(bitBlastConstant_2077,axiom,(
    b000000011000110001100000001(bitIndex9) )).

fof(bitBlastConstant_2076,axiom,(
    b000000011000110001100000001(bitIndex8) )).

fof(bitBlastConstant_2075,axiom,(
    ~ b000000011000110001100000001(bitIndex7) )).

fof(bitBlastConstant_2074,axiom,(
    ~ b000000011000110001100000001(bitIndex6) )).

fof(bitBlastConstant_2073,axiom,(
    ~ b000000011000110001100000001(bitIndex5) )).

fof(bitBlastConstant_2072,axiom,(
    ~ b000000011000110001100000001(bitIndex4) )).

fof(bitBlastConstant_2071,axiom,(
    ~ b000000011000110001100000001(bitIndex3) )).

fof(bitBlastConstant_2070,axiom,(
    ~ b000000011000110001100000001(bitIndex2) )).

fof(bitBlastConstant_2069,axiom,(
    ~ b000000011000110001100000001(bitIndex1) )).

fof(bitBlastConstant_2068,axiom,(
    b000000011000110001100000001(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_122,axiom,(
    ! [VarCurr] :
      ( ~ v4222(VarCurr)
     => ( v4285(VarCurr)
      <=> v4289(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_123,axiom,(
    ! [VarCurr] :
      ( v4222(VarCurr)
     => ( v4285(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_45,axiom,(
    ! [VarCurr] :
      ( ( ~ v4224(VarCurr)
        & ~ v4226(VarCurr) )
     => ( v4289(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_76,axiom,(
    ! [VarCurr] :
      ( v4226(VarCurr)
     => ( v4289(VarCurr)
      <=> v4291(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_77,axiom,(
    ! [VarCurr] :
      ( v4224(VarCurr)
     => ( v4289(VarCurr)
      <=> v4290(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_225,axiom,(
    ! [VarCurr] :
      ( v4291(VarCurr)
    <=> ( ( v4208(VarCurr,bitIndex26)
        <=> $false )
        & ( v4208(VarCurr,bitIndex25)
        <=> $false )
        & ( v4208(VarCurr,bitIndex24)
        <=> $false )
        & ( v4208(VarCurr,bitIndex23)
        <=> $false )
        & ( v4208(VarCurr,bitIndex22)
        <=> $false )
        & ( v4208(VarCurr,bitIndex21)
        <=> $false )
        & ( v4208(VarCurr,bitIndex20)
        <=> $false )
        & ( v4208(VarCurr,bitIndex19)
        <=> $true )
        & ( v4208(VarCurr,bitIndex18)
        <=> $true )
        & ( v4208(VarCurr,bitIndex17)
        <=> $true )
        & ( v4208(VarCurr,bitIndex16)
        <=> $false )
        & ( v4208(VarCurr,bitIndex15)
        <=> $false )
        & ( v4208(VarCurr,bitIndex14)
        <=> $true )
        & ( v4208(VarCurr,bitIndex13)
        <=> $true )
        & ( v4208(VarCurr,bitIndex12)
        <=> $false )
        & ( v4208(VarCurr,bitIndex11)
        <=> $false )
        & ( v4208(VarCurr,bitIndex10)
        <=> $false )
        & ( v4208(VarCurr,bitIndex9)
        <=> $true )
        & ( v4208(VarCurr,bitIndex8)
        <=> $true )
        & ( v4208(VarCurr,bitIndex7)
        <=> $false )
        & ( v4208(VarCurr,bitIndex6)
        <=> $false )
        & ( v4208(VarCurr,bitIndex5)
        <=> $false )
        & ( v4208(VarCurr,bitIndex4)
        <=> $false )
        & ( v4208(VarCurr,bitIndex3)
        <=> $false )
        & ( v4208(VarCurr,bitIndex2)
        <=> $false )
        & ( v4208(VarCurr,bitIndex1)
        <=> $false )
        & ( v4208(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_2067,axiom,(
    ~ b000000011100110001100000000(bitIndex26) )).

fof(bitBlastConstant_2066,axiom,(
    ~ b000000011100110001100000000(bitIndex25) )).

fof(bitBlastConstant_2065,axiom,(
    ~ b000000011100110001100000000(bitIndex24) )).

fof(bitBlastConstant_2064,axiom,(
    ~ b000000011100110001100000000(bitIndex23) )).

fof(bitBlastConstant_2063,axiom,(
    ~ b000000011100110001100000000(bitIndex22) )).

fof(bitBlastConstant_2062,axiom,(
    ~ b000000011100110001100000000(bitIndex21) )).

fof(bitBlastConstant_2061,axiom,(
    ~ b000000011100110001100000000(bitIndex20) )).

fof(bitBlastConstant_2060,axiom,(
    b000000011100110001100000000(bitIndex19) )).

fof(bitBlastConstant_2059,axiom,(
    b000000011100110001100000000(bitIndex18) )).

fof(bitBlastConstant_2058,axiom,(
    b000000011100110001100000000(bitIndex17) )).

fof(bitBlastConstant_2057,axiom,(
    ~ b000000011100110001100000000(bitIndex16) )).

fof(bitBlastConstant_2056,axiom,(
    ~ b000000011100110001100000000(bitIndex15) )).

fof(bitBlastConstant_2055,axiom,(
    b000000011100110001100000000(bitIndex14) )).

fof(bitBlastConstant_2054,axiom,(
    b000000011100110001100000000(bitIndex13) )).

fof(bitBlastConstant_2053,axiom,(
    ~ b000000011100110001100000000(bitIndex12) )).

fof(bitBlastConstant_2052,axiom,(
    ~ b000000011100110001100000000(bitIndex11) )).

fof(bitBlastConstant_2051,axiom,(
    ~ b000000011100110001100000000(bitIndex10) )).

fof(bitBlastConstant_2050,axiom,(
    b000000011100110001100000000(bitIndex9) )).

fof(bitBlastConstant_2049,axiom,(
    b000000011100110001100000000(bitIndex8) )).

fof(bitBlastConstant_2048,axiom,(
    ~ b000000011100110001100000000(bitIndex7) )).

fof(bitBlastConstant_2047,axiom,(
    ~ b000000011100110001100000000(bitIndex6) )).

fof(bitBlastConstant_2046,axiom,(
    ~ b000000011100110001100000000(bitIndex5) )).

fof(bitBlastConstant_2045,axiom,(
    ~ b000000011100110001100000000(bitIndex4) )).

fof(bitBlastConstant_2044,axiom,(
    ~ b000000011100110001100000000(bitIndex3) )).

fof(bitBlastConstant_2043,axiom,(
    ~ b000000011100110001100000000(bitIndex2) )).

fof(bitBlastConstant_2042,axiom,(
    ~ b000000011100110001100000000(bitIndex1) )).

fof(bitBlastConstant_2041,axiom,(
    ~ b000000011100110001100000000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_224,axiom,(
    ! [VarCurr] :
      ( v4290(VarCurr)
    <=> ( ( v4208(VarCurr,bitIndex26)
        <=> $false )
        & ( v4208(VarCurr,bitIndex25)
        <=> $false )
        & ( v4208(VarCurr,bitIndex24)
        <=> $false )
        & ( v4208(VarCurr,bitIndex23)
        <=> $false )
        & ( v4208(VarCurr,bitIndex22)
        <=> $false )
        & ( v4208(VarCurr,bitIndex21)
        <=> $false )
        & ( v4208(VarCurr,bitIndex20)
        <=> $false )
        & ( v4208(VarCurr,bitIndex19)
        <=> $true )
        & ( v4208(VarCurr,bitIndex18)
        <=> $true )
        & ( v4208(VarCurr,bitIndex17)
        <=> $false )
        & ( v4208(VarCurr,bitIndex16)
        <=> $false )
        & ( v4208(VarCurr,bitIndex15)
        <=> $false )
        & ( v4208(VarCurr,bitIndex14)
        <=> $true )
        & ( v4208(VarCurr,bitIndex13)
        <=> $true )
        & ( v4208(VarCurr,bitIndex12)
        <=> $false )
        & ( v4208(VarCurr,bitIndex11)
        <=> $false )
        & ( v4208(VarCurr,bitIndex10)
        <=> $false )
        & ( v4208(VarCurr,bitIndex9)
        <=> $true )
        & ( v4208(VarCurr,bitIndex8)
        <=> $true )
        & ( v4208(VarCurr,bitIndex7)
        <=> $false )
        & ( v4208(VarCurr,bitIndex6)
        <=> $false )
        & ( v4208(VarCurr,bitIndex5)
        <=> $false )
        & ( v4208(VarCurr,bitIndex4)
        <=> $false )
        & ( v4208(VarCurr,bitIndex3)
        <=> $false )
        & ( v4208(VarCurr,bitIndex2)
        <=> $false )
        & ( v4208(VarCurr,bitIndex1)
        <=> $false )
        & ( v4208(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_2040,axiom,(
    ~ b000000011000110001100000000(bitIndex26) )).

fof(bitBlastConstant_2039,axiom,(
    ~ b000000011000110001100000000(bitIndex25) )).

fof(bitBlastConstant_2038,axiom,(
    ~ b000000011000110001100000000(bitIndex24) )).

fof(bitBlastConstant_2037,axiom,(
    ~ b000000011000110001100000000(bitIndex23) )).

fof(bitBlastConstant_2036,axiom,(
    ~ b000000011000110001100000000(bitIndex22) )).

fof(bitBlastConstant_2035,axiom,(
    ~ b000000011000110001100000000(bitIndex21) )).

fof(bitBlastConstant_2034,axiom,(
    ~ b000000011000110001100000000(bitIndex20) )).

fof(bitBlastConstant_2033,axiom,(
    b000000011000110001100000000(bitIndex19) )).

fof(bitBlastConstant_2032,axiom,(
    b000000011000110001100000000(bitIndex18) )).

fof(bitBlastConstant_2031,axiom,(
    ~ b000000011000110001100000000(bitIndex17) )).

fof(bitBlastConstant_2030,axiom,(
    ~ b000000011000110001100000000(bitIndex16) )).

fof(bitBlastConstant_2029,axiom,(
    ~ b000000011000110001100000000(bitIndex15) )).

fof(bitBlastConstant_2028,axiom,(
    b000000011000110001100000000(bitIndex14) )).

fof(bitBlastConstant_2027,axiom,(
    b000000011000110001100000000(bitIndex13) )).

fof(bitBlastConstant_2026,axiom,(
    ~ b000000011000110001100000000(bitIndex12) )).

fof(bitBlastConstant_2025,axiom,(
    ~ b000000011000110001100000000(bitIndex11) )).

fof(bitBlastConstant_2024,axiom,(
    ~ b000000011000110001100000000(bitIndex10) )).

fof(bitBlastConstant_2023,axiom,(
    b000000011000110001100000000(bitIndex9) )).

fof(bitBlastConstant_2022,axiom,(
    b000000011000110001100000000(bitIndex8) )).

fof(bitBlastConstant_2021,axiom,(
    ~ b000000011000110001100000000(bitIndex7) )).

fof(bitBlastConstant_2020,axiom,(
    ~ b000000011000110001100000000(bitIndex6) )).

fof(bitBlastConstant_2019,axiom,(
    ~ b000000011000110001100000000(bitIndex5) )).

fof(bitBlastConstant_2018,axiom,(
    ~ b000000011000110001100000000(bitIndex4) )).

fof(bitBlastConstant_2017,axiom,(
    ~ b000000011000110001100000000(bitIndex3) )).

fof(bitBlastConstant_2016,axiom,(
    ~ b000000011000110001100000000(bitIndex2) )).

fof(bitBlastConstant_2015,axiom,(
    ~ b000000011000110001100000000(bitIndex1) )).

fof(bitBlastConstant_2014,axiom,(
    ~ b000000011000110001100000000(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_121,axiom,(
    ! [VarCurr] :
      ( ~ v4222(VarCurr)
     => ( v4277(VarCurr)
      <=> v4281(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_122,axiom,(
    ! [VarCurr] :
      ( v4222(VarCurr)
     => ( v4277(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_44,axiom,(
    ! [VarCurr] :
      ( ( ~ v4224(VarCurr)
        & ~ v4226(VarCurr) )
     => ( v4281(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_75,axiom,(
    ! [VarCurr] :
      ( v4226(VarCurr)
     => ( v4281(VarCurr)
      <=> v4283(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_76,axiom,(
    ! [VarCurr] :
      ( v4224(VarCurr)
     => ( v4281(VarCurr)
      <=> v4282(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_223,axiom,(
    ! [VarCurr] :
      ( v4283(VarCurr)
    <=> ( ( v4208(VarCurr,bitIndex26)
        <=> $false )
        & ( v4208(VarCurr,bitIndex25)
        <=> $false )
        & ( v4208(VarCurr,bitIndex24)
        <=> $false )
        & ( v4208(VarCurr,bitIndex23)
        <=> $false )
        & ( v4208(VarCurr,bitIndex22)
        <=> $false )
        & ( v4208(VarCurr,bitIndex21)
        <=> $false )
        & ( v4208(VarCurr,bitIndex20)
        <=> $false )
        & ( v4208(VarCurr,bitIndex19)
        <=> $true )
        & ( v4208(VarCurr,bitIndex18)
        <=> $true )
        & ( v4208(VarCurr,bitIndex17)
        <=> $true )
        & ( v4208(VarCurr,bitIndex16)
        <=> $false )
        & ( v4208(VarCurr,bitIndex15)
        <=> $false )
        & ( v4208(VarCurr,bitIndex14)
        <=> $true )
        & ( v4208(VarCurr,bitIndex13)
        <=> $true )
        & ( v4208(VarCurr,bitIndex12)
        <=> $false )
        & ( v4208(VarCurr,bitIndex11)
        <=> $false )
        & ( v4208(VarCurr,bitIndex10)
        <=> $false )
        & ( v4208(VarCurr,bitIndex9)
        <=> $true )
        & ( v4208(VarCurr,bitIndex8)
        <=> $false )
        & ( v4208(VarCurr,bitIndex7)
        <=> $false )
        & ( v4208(VarCurr,bitIndex6)
        <=> $false )
        & ( v4208(VarCurr,bitIndex5)
        <=> $false )
        & ( v4208(VarCurr,bitIndex4)
        <=> $false )
        & ( v4208(VarCurr,bitIndex3)
        <=> $false )
        & ( v4208(VarCurr,bitIndex2)
        <=> $true )
        & ( v4208(VarCurr,bitIndex1)
        <=> $true )
        & ( v4208(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_2013,axiom,(
    ~ b000000011100110001000000111(bitIndex26) )).

fof(bitBlastConstant_2012,axiom,(
    ~ b000000011100110001000000111(bitIndex25) )).

fof(bitBlastConstant_2011,axiom,(
    ~ b000000011100110001000000111(bitIndex24) )).

fof(bitBlastConstant_2010,axiom,(
    ~ b000000011100110001000000111(bitIndex23) )).

fof(bitBlastConstant_2009,axiom,(
    ~ b000000011100110001000000111(bitIndex22) )).

fof(bitBlastConstant_2008,axiom,(
    ~ b000000011100110001000000111(bitIndex21) )).

fof(bitBlastConstant_2007,axiom,(
    ~ b000000011100110001000000111(bitIndex20) )).

fof(bitBlastConstant_2006,axiom,(
    b000000011100110001000000111(bitIndex19) )).

fof(bitBlastConstant_2005,axiom,(
    b000000011100110001000000111(bitIndex18) )).

fof(bitBlastConstant_2004,axiom,(
    b000000011100110001000000111(bitIndex17) )).

fof(bitBlastConstant_2003,axiom,(
    ~ b000000011100110001000000111(bitIndex16) )).

fof(bitBlastConstant_2002,axiom,(
    ~ b000000011100110001000000111(bitIndex15) )).

fof(bitBlastConstant_2001,axiom,(
    b000000011100110001000000111(bitIndex14) )).

fof(bitBlastConstant_2000,axiom,(
    b000000011100110001000000111(bitIndex13) )).

fof(bitBlastConstant_1999,axiom,(
    ~ b000000011100110001000000111(bitIndex12) )).

fof(bitBlastConstant_1998,axiom,(
    ~ b000000011100110001000000111(bitIndex11) )).

fof(bitBlastConstant_1997,axiom,(
    ~ b000000011100110001000000111(bitIndex10) )).

fof(bitBlastConstant_1996,axiom,(
    b000000011100110001000000111(bitIndex9) )).

fof(bitBlastConstant_1995,axiom,(
    ~ b000000011100110001000000111(bitIndex8) )).

fof(bitBlastConstant_1994,axiom,(
    ~ b000000011100110001000000111(bitIndex7) )).

fof(bitBlastConstant_1993,axiom,(
    ~ b000000011100110001000000111(bitIndex6) )).

fof(bitBlastConstant_1992,axiom,(
    ~ b000000011100110001000000111(bitIndex5) )).

fof(bitBlastConstant_1991,axiom,(
    ~ b000000011100110001000000111(bitIndex4) )).

fof(bitBlastConstant_1990,axiom,(
    ~ b000000011100110001000000111(bitIndex3) )).

fof(bitBlastConstant_1989,axiom,(
    b000000011100110001000000111(bitIndex2) )).

fof(bitBlastConstant_1988,axiom,(
    b000000011100110001000000111(bitIndex1) )).

fof(bitBlastConstant_1987,axiom,(
    b000000011100110001000000111(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_222,axiom,(
    ! [VarCurr] :
      ( v4282(VarCurr)
    <=> ( ( v4208(VarCurr,bitIndex26)
        <=> $false )
        & ( v4208(VarCurr,bitIndex25)
        <=> $false )
        & ( v4208(VarCurr,bitIndex24)
        <=> $false )
        & ( v4208(VarCurr,bitIndex23)
        <=> $false )
        & ( v4208(VarCurr,bitIndex22)
        <=> $false )
        & ( v4208(VarCurr,bitIndex21)
        <=> $false )
        & ( v4208(VarCurr,bitIndex20)
        <=> $false )
        & ( v4208(VarCurr,bitIndex19)
        <=> $true )
        & ( v4208(VarCurr,bitIndex18)
        <=> $true )
        & ( v4208(VarCurr,bitIndex17)
        <=> $false )
        & ( v4208(VarCurr,bitIndex16)
        <=> $false )
        & ( v4208(VarCurr,bitIndex15)
        <=> $false )
        & ( v4208(VarCurr,bitIndex14)
        <=> $true )
        & ( v4208(VarCurr,bitIndex13)
        <=> $true )
        & ( v4208(VarCurr,bitIndex12)
        <=> $false )
        & ( v4208(VarCurr,bitIndex11)
        <=> $false )
        & ( v4208(VarCurr,bitIndex10)
        <=> $false )
        & ( v4208(VarCurr,bitIndex9)
        <=> $true )
        & ( v4208(VarCurr,bitIndex8)
        <=> $false )
        & ( v4208(VarCurr,bitIndex7)
        <=> $false )
        & ( v4208(VarCurr,bitIndex6)
        <=> $false )
        & ( v4208(VarCurr,bitIndex5)
        <=> $false )
        & ( v4208(VarCurr,bitIndex4)
        <=> $false )
        & ( v4208(VarCurr,bitIndex3)
        <=> $false )
        & ( v4208(VarCurr,bitIndex2)
        <=> $true )
        & ( v4208(VarCurr,bitIndex1)
        <=> $true )
        & ( v4208(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1986,axiom,(
    ~ b000000011000110001000000111(bitIndex26) )).

fof(bitBlastConstant_1985,axiom,(
    ~ b000000011000110001000000111(bitIndex25) )).

fof(bitBlastConstant_1984,axiom,(
    ~ b000000011000110001000000111(bitIndex24) )).

fof(bitBlastConstant_1983,axiom,(
    ~ b000000011000110001000000111(bitIndex23) )).

fof(bitBlastConstant_1982,axiom,(
    ~ b000000011000110001000000111(bitIndex22) )).

fof(bitBlastConstant_1981,axiom,(
    ~ b000000011000110001000000111(bitIndex21) )).

fof(bitBlastConstant_1980,axiom,(
    ~ b000000011000110001000000111(bitIndex20) )).

fof(bitBlastConstant_1979,axiom,(
    b000000011000110001000000111(bitIndex19) )).

fof(bitBlastConstant_1978,axiom,(
    b000000011000110001000000111(bitIndex18) )).

fof(bitBlastConstant_1977,axiom,(
    ~ b000000011000110001000000111(bitIndex17) )).

fof(bitBlastConstant_1976,axiom,(
    ~ b000000011000110001000000111(bitIndex16) )).

fof(bitBlastConstant_1975,axiom,(
    ~ b000000011000110001000000111(bitIndex15) )).

fof(bitBlastConstant_1974,axiom,(
    b000000011000110001000000111(bitIndex14) )).

fof(bitBlastConstant_1973,axiom,(
    b000000011000110001000000111(bitIndex13) )).

fof(bitBlastConstant_1972,axiom,(
    ~ b000000011000110001000000111(bitIndex12) )).

fof(bitBlastConstant_1971,axiom,(
    ~ b000000011000110001000000111(bitIndex11) )).

fof(bitBlastConstant_1970,axiom,(
    ~ b000000011000110001000000111(bitIndex10) )).

fof(bitBlastConstant_1969,axiom,(
    b000000011000110001000000111(bitIndex9) )).

fof(bitBlastConstant_1968,axiom,(
    ~ b000000011000110001000000111(bitIndex8) )).

fof(bitBlastConstant_1967,axiom,(
    ~ b000000011000110001000000111(bitIndex7) )).

fof(bitBlastConstant_1966,axiom,(
    ~ b000000011000110001000000111(bitIndex6) )).

fof(bitBlastConstant_1965,axiom,(
    ~ b000000011000110001000000111(bitIndex5) )).

fof(bitBlastConstant_1964,axiom,(
    ~ b000000011000110001000000111(bitIndex4) )).

fof(bitBlastConstant_1963,axiom,(
    ~ b000000011000110001000000111(bitIndex3) )).

fof(bitBlastConstant_1962,axiom,(
    b000000011000110001000000111(bitIndex2) )).

fof(bitBlastConstant_1961,axiom,(
    b000000011000110001000000111(bitIndex1) )).

fof(bitBlastConstant_1960,axiom,(
    b000000011000110001000000111(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_120,axiom,(
    ! [VarCurr] :
      ( ~ v4222(VarCurr)
     => ( v4269(VarCurr)
      <=> v4273(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_121,axiom,(
    ! [VarCurr] :
      ( v4222(VarCurr)
     => ( v4269(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_43,axiom,(
    ! [VarCurr] :
      ( ( ~ v4224(VarCurr)
        & ~ v4226(VarCurr) )
     => ( v4273(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_74,axiom,(
    ! [VarCurr] :
      ( v4226(VarCurr)
     => ( v4273(VarCurr)
      <=> v4275(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_75,axiom,(
    ! [VarCurr] :
      ( v4224(VarCurr)
     => ( v4273(VarCurr)
      <=> v4274(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_221,axiom,(
    ! [VarCurr] :
      ( v4275(VarCurr)
    <=> ( ( v4208(VarCurr,bitIndex26)
        <=> $false )
        & ( v4208(VarCurr,bitIndex25)
        <=> $false )
        & ( v4208(VarCurr,bitIndex24)
        <=> $false )
        & ( v4208(VarCurr,bitIndex23)
        <=> $false )
        & ( v4208(VarCurr,bitIndex22)
        <=> $false )
        & ( v4208(VarCurr,bitIndex21)
        <=> $false )
        & ( v4208(VarCurr,bitIndex20)
        <=> $false )
        & ( v4208(VarCurr,bitIndex19)
        <=> $true )
        & ( v4208(VarCurr,bitIndex18)
        <=> $true )
        & ( v4208(VarCurr,bitIndex17)
        <=> $true )
        & ( v4208(VarCurr,bitIndex16)
        <=> $false )
        & ( v4208(VarCurr,bitIndex15)
        <=> $false )
        & ( v4208(VarCurr,bitIndex14)
        <=> $true )
        & ( v4208(VarCurr,bitIndex13)
        <=> $true )
        & ( v4208(VarCurr,bitIndex12)
        <=> $false )
        & ( v4208(VarCurr,bitIndex11)
        <=> $false )
        & ( v4208(VarCurr,bitIndex10)
        <=> $false )
        & ( v4208(VarCurr,bitIndex9)
        <=> $true )
        & ( v4208(VarCurr,bitIndex8)
        <=> $false )
        & ( v4208(VarCurr,bitIndex7)
        <=> $false )
        & ( v4208(VarCurr,bitIndex6)
        <=> $false )
        & ( v4208(VarCurr,bitIndex5)
        <=> $false )
        & ( v4208(VarCurr,bitIndex4)
        <=> $false )
        & ( v4208(VarCurr,bitIndex3)
        <=> $false )
        & ( v4208(VarCurr,bitIndex2)
        <=> $true )
        & ( v4208(VarCurr,bitIndex1)
        <=> $true )
        & ( v4208(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1959,axiom,(
    ~ b000000011100110001000000110(bitIndex26) )).

fof(bitBlastConstant_1958,axiom,(
    ~ b000000011100110001000000110(bitIndex25) )).

fof(bitBlastConstant_1957,axiom,(
    ~ b000000011100110001000000110(bitIndex24) )).

fof(bitBlastConstant_1956,axiom,(
    ~ b000000011100110001000000110(bitIndex23) )).

fof(bitBlastConstant_1955,axiom,(
    ~ b000000011100110001000000110(bitIndex22) )).

fof(bitBlastConstant_1954,axiom,(
    ~ b000000011100110001000000110(bitIndex21) )).

fof(bitBlastConstant_1953,axiom,(
    ~ b000000011100110001000000110(bitIndex20) )).

fof(bitBlastConstant_1952,axiom,(
    b000000011100110001000000110(bitIndex19) )).

fof(bitBlastConstant_1951,axiom,(
    b000000011100110001000000110(bitIndex18) )).

fof(bitBlastConstant_1950,axiom,(
    b000000011100110001000000110(bitIndex17) )).

fof(bitBlastConstant_1949,axiom,(
    ~ b000000011100110001000000110(bitIndex16) )).

fof(bitBlastConstant_1948,axiom,(
    ~ b000000011100110001000000110(bitIndex15) )).

fof(bitBlastConstant_1947,axiom,(
    b000000011100110001000000110(bitIndex14) )).

fof(bitBlastConstant_1946,axiom,(
    b000000011100110001000000110(bitIndex13) )).

fof(bitBlastConstant_1945,axiom,(
    ~ b000000011100110001000000110(bitIndex12) )).

fof(bitBlastConstant_1944,axiom,(
    ~ b000000011100110001000000110(bitIndex11) )).

fof(bitBlastConstant_1943,axiom,(
    ~ b000000011100110001000000110(bitIndex10) )).

fof(bitBlastConstant_1942,axiom,(
    b000000011100110001000000110(bitIndex9) )).

fof(bitBlastConstant_1941,axiom,(
    ~ b000000011100110001000000110(bitIndex8) )).

fof(bitBlastConstant_1940,axiom,(
    ~ b000000011100110001000000110(bitIndex7) )).

fof(bitBlastConstant_1939,axiom,(
    ~ b000000011100110001000000110(bitIndex6) )).

fof(bitBlastConstant_1938,axiom,(
    ~ b000000011100110001000000110(bitIndex5) )).

fof(bitBlastConstant_1937,axiom,(
    ~ b000000011100110001000000110(bitIndex4) )).

fof(bitBlastConstant_1936,axiom,(
    ~ b000000011100110001000000110(bitIndex3) )).

fof(bitBlastConstant_1935,axiom,(
    b000000011100110001000000110(bitIndex2) )).

fof(bitBlastConstant_1934,axiom,(
    b000000011100110001000000110(bitIndex1) )).

fof(bitBlastConstant_1933,axiom,(
    ~ b000000011100110001000000110(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_220,axiom,(
    ! [VarCurr] :
      ( v4274(VarCurr)
    <=> ( ( v4208(VarCurr,bitIndex26)
        <=> $false )
        & ( v4208(VarCurr,bitIndex25)
        <=> $false )
        & ( v4208(VarCurr,bitIndex24)
        <=> $false )
        & ( v4208(VarCurr,bitIndex23)
        <=> $false )
        & ( v4208(VarCurr,bitIndex22)
        <=> $false )
        & ( v4208(VarCurr,bitIndex21)
        <=> $false )
        & ( v4208(VarCurr,bitIndex20)
        <=> $false )
        & ( v4208(VarCurr,bitIndex19)
        <=> $true )
        & ( v4208(VarCurr,bitIndex18)
        <=> $true )
        & ( v4208(VarCurr,bitIndex17)
        <=> $false )
        & ( v4208(VarCurr,bitIndex16)
        <=> $false )
        & ( v4208(VarCurr,bitIndex15)
        <=> $false )
        & ( v4208(VarCurr,bitIndex14)
        <=> $true )
        & ( v4208(VarCurr,bitIndex13)
        <=> $true )
        & ( v4208(VarCurr,bitIndex12)
        <=> $false )
        & ( v4208(VarCurr,bitIndex11)
        <=> $false )
        & ( v4208(VarCurr,bitIndex10)
        <=> $false )
        & ( v4208(VarCurr,bitIndex9)
        <=> $true )
        & ( v4208(VarCurr,bitIndex8)
        <=> $false )
        & ( v4208(VarCurr,bitIndex7)
        <=> $false )
        & ( v4208(VarCurr,bitIndex6)
        <=> $false )
        & ( v4208(VarCurr,bitIndex5)
        <=> $false )
        & ( v4208(VarCurr,bitIndex4)
        <=> $false )
        & ( v4208(VarCurr,bitIndex3)
        <=> $false )
        & ( v4208(VarCurr,bitIndex2)
        <=> $true )
        & ( v4208(VarCurr,bitIndex1)
        <=> $true )
        & ( v4208(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1932,axiom,(
    ~ b000000011000110001000000110(bitIndex26) )).

fof(bitBlastConstant_1931,axiom,(
    ~ b000000011000110001000000110(bitIndex25) )).

fof(bitBlastConstant_1930,axiom,(
    ~ b000000011000110001000000110(bitIndex24) )).

fof(bitBlastConstant_1929,axiom,(
    ~ b000000011000110001000000110(bitIndex23) )).

fof(bitBlastConstant_1928,axiom,(
    ~ b000000011000110001000000110(bitIndex22) )).

fof(bitBlastConstant_1927,axiom,(
    ~ b000000011000110001000000110(bitIndex21) )).

fof(bitBlastConstant_1926,axiom,(
    ~ b000000011000110001000000110(bitIndex20) )).

fof(bitBlastConstant_1925,axiom,(
    b000000011000110001000000110(bitIndex19) )).

fof(bitBlastConstant_1924,axiom,(
    b000000011000110001000000110(bitIndex18) )).

fof(bitBlastConstant_1923,axiom,(
    ~ b000000011000110001000000110(bitIndex17) )).

fof(bitBlastConstant_1922,axiom,(
    ~ b000000011000110001000000110(bitIndex16) )).

fof(bitBlastConstant_1921,axiom,(
    ~ b000000011000110001000000110(bitIndex15) )).

fof(bitBlastConstant_1920,axiom,(
    b000000011000110001000000110(bitIndex14) )).

fof(bitBlastConstant_1919,axiom,(
    b000000011000110001000000110(bitIndex13) )).

fof(bitBlastConstant_1918,axiom,(
    ~ b000000011000110001000000110(bitIndex12) )).

fof(bitBlastConstant_1917,axiom,(
    ~ b000000011000110001000000110(bitIndex11) )).

fof(bitBlastConstant_1916,axiom,(
    ~ b000000011000110001000000110(bitIndex10) )).

fof(bitBlastConstant_1915,axiom,(
    b000000011000110001000000110(bitIndex9) )).

fof(bitBlastConstant_1914,axiom,(
    ~ b000000011000110001000000110(bitIndex8) )).

fof(bitBlastConstant_1913,axiom,(
    ~ b000000011000110001000000110(bitIndex7) )).

fof(bitBlastConstant_1912,axiom,(
    ~ b000000011000110001000000110(bitIndex6) )).

fof(bitBlastConstant_1911,axiom,(
    ~ b000000011000110001000000110(bitIndex5) )).

fof(bitBlastConstant_1910,axiom,(
    ~ b000000011000110001000000110(bitIndex4) )).

fof(bitBlastConstant_1909,axiom,(
    ~ b000000011000110001000000110(bitIndex3) )).

fof(bitBlastConstant_1908,axiom,(
    b000000011000110001000000110(bitIndex2) )).

fof(bitBlastConstant_1907,axiom,(
    b000000011000110001000000110(bitIndex1) )).

fof(bitBlastConstant_1906,axiom,(
    ~ b000000011000110001000000110(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_119,axiom,(
    ! [VarCurr] :
      ( ~ v4222(VarCurr)
     => ( v4261(VarCurr)
      <=> v4265(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_120,axiom,(
    ! [VarCurr] :
      ( v4222(VarCurr)
     => ( v4261(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_42,axiom,(
    ! [VarCurr] :
      ( ( ~ v4224(VarCurr)
        & ~ v4226(VarCurr) )
     => ( v4265(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_73,axiom,(
    ! [VarCurr] :
      ( v4226(VarCurr)
     => ( v4265(VarCurr)
      <=> v4267(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_74,axiom,(
    ! [VarCurr] :
      ( v4224(VarCurr)
     => ( v4265(VarCurr)
      <=> v4266(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_219,axiom,(
    ! [VarCurr] :
      ( v4267(VarCurr)
    <=> ( ( v4208(VarCurr,bitIndex26)
        <=> $false )
        & ( v4208(VarCurr,bitIndex25)
        <=> $false )
        & ( v4208(VarCurr,bitIndex24)
        <=> $false )
        & ( v4208(VarCurr,bitIndex23)
        <=> $false )
        & ( v4208(VarCurr,bitIndex22)
        <=> $false )
        & ( v4208(VarCurr,bitIndex21)
        <=> $false )
        & ( v4208(VarCurr,bitIndex20)
        <=> $false )
        & ( v4208(VarCurr,bitIndex19)
        <=> $true )
        & ( v4208(VarCurr,bitIndex18)
        <=> $true )
        & ( v4208(VarCurr,bitIndex17)
        <=> $true )
        & ( v4208(VarCurr,bitIndex16)
        <=> $false )
        & ( v4208(VarCurr,bitIndex15)
        <=> $false )
        & ( v4208(VarCurr,bitIndex14)
        <=> $true )
        & ( v4208(VarCurr,bitIndex13)
        <=> $true )
        & ( v4208(VarCurr,bitIndex12)
        <=> $false )
        & ( v4208(VarCurr,bitIndex11)
        <=> $false )
        & ( v4208(VarCurr,bitIndex10)
        <=> $false )
        & ( v4208(VarCurr,bitIndex9)
        <=> $true )
        & ( v4208(VarCurr,bitIndex8)
        <=> $false )
        & ( v4208(VarCurr,bitIndex7)
        <=> $false )
        & ( v4208(VarCurr,bitIndex6)
        <=> $false )
        & ( v4208(VarCurr,bitIndex5)
        <=> $false )
        & ( v4208(VarCurr,bitIndex4)
        <=> $false )
        & ( v4208(VarCurr,bitIndex3)
        <=> $false )
        & ( v4208(VarCurr,bitIndex2)
        <=> $true )
        & ( v4208(VarCurr,bitIndex1)
        <=> $false )
        & ( v4208(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1905,axiom,(
    ~ b000000011100110001000000101(bitIndex26) )).

fof(bitBlastConstant_1904,axiom,(
    ~ b000000011100110001000000101(bitIndex25) )).

fof(bitBlastConstant_1903,axiom,(
    ~ b000000011100110001000000101(bitIndex24) )).

fof(bitBlastConstant_1902,axiom,(
    ~ b000000011100110001000000101(bitIndex23) )).

fof(bitBlastConstant_1901,axiom,(
    ~ b000000011100110001000000101(bitIndex22) )).

fof(bitBlastConstant_1900,axiom,(
    ~ b000000011100110001000000101(bitIndex21) )).

fof(bitBlastConstant_1899,axiom,(
    ~ b000000011100110001000000101(bitIndex20) )).

fof(bitBlastConstant_1898,axiom,(
    b000000011100110001000000101(bitIndex19) )).

fof(bitBlastConstant_1897,axiom,(
    b000000011100110001000000101(bitIndex18) )).

fof(bitBlastConstant_1896,axiom,(
    b000000011100110001000000101(bitIndex17) )).

fof(bitBlastConstant_1895,axiom,(
    ~ b000000011100110001000000101(bitIndex16) )).

fof(bitBlastConstant_1894,axiom,(
    ~ b000000011100110001000000101(bitIndex15) )).

fof(bitBlastConstant_1893,axiom,(
    b000000011100110001000000101(bitIndex14) )).

fof(bitBlastConstant_1892,axiom,(
    b000000011100110001000000101(bitIndex13) )).

fof(bitBlastConstant_1891,axiom,(
    ~ b000000011100110001000000101(bitIndex12) )).

fof(bitBlastConstant_1890,axiom,(
    ~ b000000011100110001000000101(bitIndex11) )).

fof(bitBlastConstant_1889,axiom,(
    ~ b000000011100110001000000101(bitIndex10) )).

fof(bitBlastConstant_1888,axiom,(
    b000000011100110001000000101(bitIndex9) )).

fof(bitBlastConstant_1887,axiom,(
    ~ b000000011100110001000000101(bitIndex8) )).

fof(bitBlastConstant_1886,axiom,(
    ~ b000000011100110001000000101(bitIndex7) )).

fof(bitBlastConstant_1885,axiom,(
    ~ b000000011100110001000000101(bitIndex6) )).

fof(bitBlastConstant_1884,axiom,(
    ~ b000000011100110001000000101(bitIndex5) )).

fof(bitBlastConstant_1883,axiom,(
    ~ b000000011100110001000000101(bitIndex4) )).

fof(bitBlastConstant_1882,axiom,(
    ~ b000000011100110001000000101(bitIndex3) )).

fof(bitBlastConstant_1881,axiom,(
    b000000011100110001000000101(bitIndex2) )).

fof(bitBlastConstant_1880,axiom,(
    ~ b000000011100110001000000101(bitIndex1) )).

fof(bitBlastConstant_1879,axiom,(
    b000000011100110001000000101(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_218,axiom,(
    ! [VarCurr] :
      ( v4266(VarCurr)
    <=> ( ( v4208(VarCurr,bitIndex26)
        <=> $false )
        & ( v4208(VarCurr,bitIndex25)
        <=> $false )
        & ( v4208(VarCurr,bitIndex24)
        <=> $false )
        & ( v4208(VarCurr,bitIndex23)
        <=> $false )
        & ( v4208(VarCurr,bitIndex22)
        <=> $false )
        & ( v4208(VarCurr,bitIndex21)
        <=> $false )
        & ( v4208(VarCurr,bitIndex20)
        <=> $false )
        & ( v4208(VarCurr,bitIndex19)
        <=> $true )
        & ( v4208(VarCurr,bitIndex18)
        <=> $true )
        & ( v4208(VarCurr,bitIndex17)
        <=> $false )
        & ( v4208(VarCurr,bitIndex16)
        <=> $false )
        & ( v4208(VarCurr,bitIndex15)
        <=> $false )
        & ( v4208(VarCurr,bitIndex14)
        <=> $true )
        & ( v4208(VarCurr,bitIndex13)
        <=> $true )
        & ( v4208(VarCurr,bitIndex12)
        <=> $false )
        & ( v4208(VarCurr,bitIndex11)
        <=> $false )
        & ( v4208(VarCurr,bitIndex10)
        <=> $false )
        & ( v4208(VarCurr,bitIndex9)
        <=> $true )
        & ( v4208(VarCurr,bitIndex8)
        <=> $false )
        & ( v4208(VarCurr,bitIndex7)
        <=> $false )
        & ( v4208(VarCurr,bitIndex6)
        <=> $false )
        & ( v4208(VarCurr,bitIndex5)
        <=> $false )
        & ( v4208(VarCurr,bitIndex4)
        <=> $false )
        & ( v4208(VarCurr,bitIndex3)
        <=> $false )
        & ( v4208(VarCurr,bitIndex2)
        <=> $true )
        & ( v4208(VarCurr,bitIndex1)
        <=> $false )
        & ( v4208(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1878,axiom,(
    ~ b000000011000110001000000101(bitIndex26) )).

fof(bitBlastConstant_1877,axiom,(
    ~ b000000011000110001000000101(bitIndex25) )).

fof(bitBlastConstant_1876,axiom,(
    ~ b000000011000110001000000101(bitIndex24) )).

fof(bitBlastConstant_1875,axiom,(
    ~ b000000011000110001000000101(bitIndex23) )).

fof(bitBlastConstant_1874,axiom,(
    ~ b000000011000110001000000101(bitIndex22) )).

fof(bitBlastConstant_1873,axiom,(
    ~ b000000011000110001000000101(bitIndex21) )).

fof(bitBlastConstant_1872,axiom,(
    ~ b000000011000110001000000101(bitIndex20) )).

fof(bitBlastConstant_1871,axiom,(
    b000000011000110001000000101(bitIndex19) )).

fof(bitBlastConstant_1870,axiom,(
    b000000011000110001000000101(bitIndex18) )).

fof(bitBlastConstant_1869,axiom,(
    ~ b000000011000110001000000101(bitIndex17) )).

fof(bitBlastConstant_1868,axiom,(
    ~ b000000011000110001000000101(bitIndex16) )).

fof(bitBlastConstant_1867,axiom,(
    ~ b000000011000110001000000101(bitIndex15) )).

fof(bitBlastConstant_1866,axiom,(
    b000000011000110001000000101(bitIndex14) )).

fof(bitBlastConstant_1865,axiom,(
    b000000011000110001000000101(bitIndex13) )).

fof(bitBlastConstant_1864,axiom,(
    ~ b000000011000110001000000101(bitIndex12) )).

fof(bitBlastConstant_1863,axiom,(
    ~ b000000011000110001000000101(bitIndex11) )).

fof(bitBlastConstant_1862,axiom,(
    ~ b000000011000110001000000101(bitIndex10) )).

fof(bitBlastConstant_1861,axiom,(
    b000000011000110001000000101(bitIndex9) )).

fof(bitBlastConstant_1860,axiom,(
    ~ b000000011000110001000000101(bitIndex8) )).

fof(bitBlastConstant_1859,axiom,(
    ~ b000000011000110001000000101(bitIndex7) )).

fof(bitBlastConstant_1858,axiom,(
    ~ b000000011000110001000000101(bitIndex6) )).

fof(bitBlastConstant_1857,axiom,(
    ~ b000000011000110001000000101(bitIndex5) )).

fof(bitBlastConstant_1856,axiom,(
    ~ b000000011000110001000000101(bitIndex4) )).

fof(bitBlastConstant_1855,axiom,(
    ~ b000000011000110001000000101(bitIndex3) )).

fof(bitBlastConstant_1854,axiom,(
    b000000011000110001000000101(bitIndex2) )).

fof(bitBlastConstant_1853,axiom,(
    ~ b000000011000110001000000101(bitIndex1) )).

fof(bitBlastConstant_1852,axiom,(
    b000000011000110001000000101(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_118,axiom,(
    ! [VarCurr] :
      ( ~ v4222(VarCurr)
     => ( v4253(VarCurr)
      <=> v4257(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_119,axiom,(
    ! [VarCurr] :
      ( v4222(VarCurr)
     => ( v4253(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_41,axiom,(
    ! [VarCurr] :
      ( ( ~ v4224(VarCurr)
        & ~ v4226(VarCurr) )
     => ( v4257(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_72,axiom,(
    ! [VarCurr] :
      ( v4226(VarCurr)
     => ( v4257(VarCurr)
      <=> v4259(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_73,axiom,(
    ! [VarCurr] :
      ( v4224(VarCurr)
     => ( v4257(VarCurr)
      <=> v4258(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_217,axiom,(
    ! [VarCurr] :
      ( v4259(VarCurr)
    <=> ( ( v4208(VarCurr,bitIndex26)
        <=> $false )
        & ( v4208(VarCurr,bitIndex25)
        <=> $false )
        & ( v4208(VarCurr,bitIndex24)
        <=> $false )
        & ( v4208(VarCurr,bitIndex23)
        <=> $false )
        & ( v4208(VarCurr,bitIndex22)
        <=> $false )
        & ( v4208(VarCurr,bitIndex21)
        <=> $false )
        & ( v4208(VarCurr,bitIndex20)
        <=> $false )
        & ( v4208(VarCurr,bitIndex19)
        <=> $true )
        & ( v4208(VarCurr,bitIndex18)
        <=> $true )
        & ( v4208(VarCurr,bitIndex17)
        <=> $true )
        & ( v4208(VarCurr,bitIndex16)
        <=> $false )
        & ( v4208(VarCurr,bitIndex15)
        <=> $false )
        & ( v4208(VarCurr,bitIndex14)
        <=> $true )
        & ( v4208(VarCurr,bitIndex13)
        <=> $true )
        & ( v4208(VarCurr,bitIndex12)
        <=> $false )
        & ( v4208(VarCurr,bitIndex11)
        <=> $false )
        & ( v4208(VarCurr,bitIndex10)
        <=> $false )
        & ( v4208(VarCurr,bitIndex9)
        <=> $true )
        & ( v4208(VarCurr,bitIndex8)
        <=> $false )
        & ( v4208(VarCurr,bitIndex7)
        <=> $false )
        & ( v4208(VarCurr,bitIndex6)
        <=> $false )
        & ( v4208(VarCurr,bitIndex5)
        <=> $false )
        & ( v4208(VarCurr,bitIndex4)
        <=> $false )
        & ( v4208(VarCurr,bitIndex3)
        <=> $false )
        & ( v4208(VarCurr,bitIndex2)
        <=> $false )
        & ( v4208(VarCurr,bitIndex1)
        <=> $true )
        & ( v4208(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1851,axiom,(
    ~ b000000011100110001000000011(bitIndex26) )).

fof(bitBlastConstant_1850,axiom,(
    ~ b000000011100110001000000011(bitIndex25) )).

fof(bitBlastConstant_1849,axiom,(
    ~ b000000011100110001000000011(bitIndex24) )).

fof(bitBlastConstant_1848,axiom,(
    ~ b000000011100110001000000011(bitIndex23) )).

fof(bitBlastConstant_1847,axiom,(
    ~ b000000011100110001000000011(bitIndex22) )).

fof(bitBlastConstant_1846,axiom,(
    ~ b000000011100110001000000011(bitIndex21) )).

fof(bitBlastConstant_1845,axiom,(
    ~ b000000011100110001000000011(bitIndex20) )).

fof(bitBlastConstant_1844,axiom,(
    b000000011100110001000000011(bitIndex19) )).

fof(bitBlastConstant_1843,axiom,(
    b000000011100110001000000011(bitIndex18) )).

fof(bitBlastConstant_1842,axiom,(
    b000000011100110001000000011(bitIndex17) )).

fof(bitBlastConstant_1841,axiom,(
    ~ b000000011100110001000000011(bitIndex16) )).

fof(bitBlastConstant_1840,axiom,(
    ~ b000000011100110001000000011(bitIndex15) )).

fof(bitBlastConstant_1839,axiom,(
    b000000011100110001000000011(bitIndex14) )).

fof(bitBlastConstant_1838,axiom,(
    b000000011100110001000000011(bitIndex13) )).

fof(bitBlastConstant_1837,axiom,(
    ~ b000000011100110001000000011(bitIndex12) )).

fof(bitBlastConstant_1836,axiom,(
    ~ b000000011100110001000000011(bitIndex11) )).

fof(bitBlastConstant_1835,axiom,(
    ~ b000000011100110001000000011(bitIndex10) )).

fof(bitBlastConstant_1834,axiom,(
    b000000011100110001000000011(bitIndex9) )).

fof(bitBlastConstant_1833,axiom,(
    ~ b000000011100110001000000011(bitIndex8) )).

fof(bitBlastConstant_1832,axiom,(
    ~ b000000011100110001000000011(bitIndex7) )).

fof(bitBlastConstant_1831,axiom,(
    ~ b000000011100110001000000011(bitIndex6) )).

fof(bitBlastConstant_1830,axiom,(
    ~ b000000011100110001000000011(bitIndex5) )).

fof(bitBlastConstant_1829,axiom,(
    ~ b000000011100110001000000011(bitIndex4) )).

fof(bitBlastConstant_1828,axiom,(
    ~ b000000011100110001000000011(bitIndex3) )).

fof(bitBlastConstant_1827,axiom,(
    ~ b000000011100110001000000011(bitIndex2) )).

fof(bitBlastConstant_1826,axiom,(
    b000000011100110001000000011(bitIndex1) )).

fof(bitBlastConstant_1825,axiom,(
    b000000011100110001000000011(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_216,axiom,(
    ! [VarCurr] :
      ( v4258(VarCurr)
    <=> ( ( v4208(VarCurr,bitIndex26)
        <=> $false )
        & ( v4208(VarCurr,bitIndex25)
        <=> $false )
        & ( v4208(VarCurr,bitIndex24)
        <=> $false )
        & ( v4208(VarCurr,bitIndex23)
        <=> $false )
        & ( v4208(VarCurr,bitIndex22)
        <=> $false )
        & ( v4208(VarCurr,bitIndex21)
        <=> $false )
        & ( v4208(VarCurr,bitIndex20)
        <=> $false )
        & ( v4208(VarCurr,bitIndex19)
        <=> $true )
        & ( v4208(VarCurr,bitIndex18)
        <=> $true )
        & ( v4208(VarCurr,bitIndex17)
        <=> $false )
        & ( v4208(VarCurr,bitIndex16)
        <=> $false )
        & ( v4208(VarCurr,bitIndex15)
        <=> $false )
        & ( v4208(VarCurr,bitIndex14)
        <=> $true )
        & ( v4208(VarCurr,bitIndex13)
        <=> $true )
        & ( v4208(VarCurr,bitIndex12)
        <=> $false )
        & ( v4208(VarCurr,bitIndex11)
        <=> $false )
        & ( v4208(VarCurr,bitIndex10)
        <=> $false )
        & ( v4208(VarCurr,bitIndex9)
        <=> $true )
        & ( v4208(VarCurr,bitIndex8)
        <=> $false )
        & ( v4208(VarCurr,bitIndex7)
        <=> $false )
        & ( v4208(VarCurr,bitIndex6)
        <=> $false )
        & ( v4208(VarCurr,bitIndex5)
        <=> $false )
        & ( v4208(VarCurr,bitIndex4)
        <=> $false )
        & ( v4208(VarCurr,bitIndex3)
        <=> $false )
        & ( v4208(VarCurr,bitIndex2)
        <=> $false )
        & ( v4208(VarCurr,bitIndex1)
        <=> $true )
        & ( v4208(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1824,axiom,(
    ~ b000000011000110001000000011(bitIndex26) )).

fof(bitBlastConstant_1823,axiom,(
    ~ b000000011000110001000000011(bitIndex25) )).

fof(bitBlastConstant_1822,axiom,(
    ~ b000000011000110001000000011(bitIndex24) )).

fof(bitBlastConstant_1821,axiom,(
    ~ b000000011000110001000000011(bitIndex23) )).

fof(bitBlastConstant_1820,axiom,(
    ~ b000000011000110001000000011(bitIndex22) )).

fof(bitBlastConstant_1819,axiom,(
    ~ b000000011000110001000000011(bitIndex21) )).

fof(bitBlastConstant_1818,axiom,(
    ~ b000000011000110001000000011(bitIndex20) )).

fof(bitBlastConstant_1817,axiom,(
    b000000011000110001000000011(bitIndex19) )).

fof(bitBlastConstant_1816,axiom,(
    b000000011000110001000000011(bitIndex18) )).

fof(bitBlastConstant_1815,axiom,(
    ~ b000000011000110001000000011(bitIndex17) )).

fof(bitBlastConstant_1814,axiom,(
    ~ b000000011000110001000000011(bitIndex16) )).

fof(bitBlastConstant_1813,axiom,(
    ~ b000000011000110001000000011(bitIndex15) )).

fof(bitBlastConstant_1812,axiom,(
    b000000011000110001000000011(bitIndex14) )).

fof(bitBlastConstant_1811,axiom,(
    b000000011000110001000000011(bitIndex13) )).

fof(bitBlastConstant_1810,axiom,(
    ~ b000000011000110001000000011(bitIndex12) )).

fof(bitBlastConstant_1809,axiom,(
    ~ b000000011000110001000000011(bitIndex11) )).

fof(bitBlastConstant_1808,axiom,(
    ~ b000000011000110001000000011(bitIndex10) )).

fof(bitBlastConstant_1807,axiom,(
    b000000011000110001000000011(bitIndex9) )).

fof(bitBlastConstant_1806,axiom,(
    ~ b000000011000110001000000011(bitIndex8) )).

fof(bitBlastConstant_1805,axiom,(
    ~ b000000011000110001000000011(bitIndex7) )).

fof(bitBlastConstant_1804,axiom,(
    ~ b000000011000110001000000011(bitIndex6) )).

fof(bitBlastConstant_1803,axiom,(
    ~ b000000011000110001000000011(bitIndex5) )).

fof(bitBlastConstant_1802,axiom,(
    ~ b000000011000110001000000011(bitIndex4) )).

fof(bitBlastConstant_1801,axiom,(
    ~ b000000011000110001000000011(bitIndex3) )).

fof(bitBlastConstant_1800,axiom,(
    ~ b000000011000110001000000011(bitIndex2) )).

fof(bitBlastConstant_1799,axiom,(
    b000000011000110001000000011(bitIndex1) )).

fof(bitBlastConstant_1798,axiom,(
    b000000011000110001000000011(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_117,axiom,(
    ! [VarCurr] :
      ( ~ v4222(VarCurr)
     => ( v4245(VarCurr)
      <=> v4249(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_118,axiom,(
    ! [VarCurr] :
      ( v4222(VarCurr)
     => ( v4245(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_40,axiom,(
    ! [VarCurr] :
      ( ( ~ v4224(VarCurr)
        & ~ v4226(VarCurr) )
     => ( v4249(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_71,axiom,(
    ! [VarCurr] :
      ( v4226(VarCurr)
     => ( v4249(VarCurr)
      <=> v4251(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_72,axiom,(
    ! [VarCurr] :
      ( v4224(VarCurr)
     => ( v4249(VarCurr)
      <=> v4250(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_215,axiom,(
    ! [VarCurr] :
      ( v4251(VarCurr)
    <=> ( ( v4208(VarCurr,bitIndex26)
        <=> $false )
        & ( v4208(VarCurr,bitIndex25)
        <=> $false )
        & ( v4208(VarCurr,bitIndex24)
        <=> $false )
        & ( v4208(VarCurr,bitIndex23)
        <=> $false )
        & ( v4208(VarCurr,bitIndex22)
        <=> $false )
        & ( v4208(VarCurr,bitIndex21)
        <=> $false )
        & ( v4208(VarCurr,bitIndex20)
        <=> $false )
        & ( v4208(VarCurr,bitIndex19)
        <=> $true )
        & ( v4208(VarCurr,bitIndex18)
        <=> $true )
        & ( v4208(VarCurr,bitIndex17)
        <=> $true )
        & ( v4208(VarCurr,bitIndex16)
        <=> $false )
        & ( v4208(VarCurr,bitIndex15)
        <=> $false )
        & ( v4208(VarCurr,bitIndex14)
        <=> $true )
        & ( v4208(VarCurr,bitIndex13)
        <=> $true )
        & ( v4208(VarCurr,bitIndex12)
        <=> $false )
        & ( v4208(VarCurr,bitIndex11)
        <=> $false )
        & ( v4208(VarCurr,bitIndex10)
        <=> $false )
        & ( v4208(VarCurr,bitIndex9)
        <=> $true )
        & ( v4208(VarCurr,bitIndex8)
        <=> $false )
        & ( v4208(VarCurr,bitIndex7)
        <=> $false )
        & ( v4208(VarCurr,bitIndex6)
        <=> $false )
        & ( v4208(VarCurr,bitIndex5)
        <=> $false )
        & ( v4208(VarCurr,bitIndex4)
        <=> $false )
        & ( v4208(VarCurr,bitIndex3)
        <=> $false )
        & ( v4208(VarCurr,bitIndex2)
        <=> $true )
        & ( v4208(VarCurr,bitIndex1)
        <=> $false )
        & ( v4208(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1797,axiom,(
    ~ b000000011100110001000000100(bitIndex26) )).

fof(bitBlastConstant_1796,axiom,(
    ~ b000000011100110001000000100(bitIndex25) )).

fof(bitBlastConstant_1795,axiom,(
    ~ b000000011100110001000000100(bitIndex24) )).

fof(bitBlastConstant_1794,axiom,(
    ~ b000000011100110001000000100(bitIndex23) )).

fof(bitBlastConstant_1793,axiom,(
    ~ b000000011100110001000000100(bitIndex22) )).

fof(bitBlastConstant_1792,axiom,(
    ~ b000000011100110001000000100(bitIndex21) )).

fof(bitBlastConstant_1791,axiom,(
    ~ b000000011100110001000000100(bitIndex20) )).

fof(bitBlastConstant_1790,axiom,(
    b000000011100110001000000100(bitIndex19) )).

fof(bitBlastConstant_1789,axiom,(
    b000000011100110001000000100(bitIndex18) )).

fof(bitBlastConstant_1788,axiom,(
    b000000011100110001000000100(bitIndex17) )).

fof(bitBlastConstant_1787,axiom,(
    ~ b000000011100110001000000100(bitIndex16) )).

fof(bitBlastConstant_1786,axiom,(
    ~ b000000011100110001000000100(bitIndex15) )).

fof(bitBlastConstant_1785,axiom,(
    b000000011100110001000000100(bitIndex14) )).

fof(bitBlastConstant_1784,axiom,(
    b000000011100110001000000100(bitIndex13) )).

fof(bitBlastConstant_1783,axiom,(
    ~ b000000011100110001000000100(bitIndex12) )).

fof(bitBlastConstant_1782,axiom,(
    ~ b000000011100110001000000100(bitIndex11) )).

fof(bitBlastConstant_1781,axiom,(
    ~ b000000011100110001000000100(bitIndex10) )).

fof(bitBlastConstant_1780,axiom,(
    b000000011100110001000000100(bitIndex9) )).

fof(bitBlastConstant_1779,axiom,(
    ~ b000000011100110001000000100(bitIndex8) )).

fof(bitBlastConstant_1778,axiom,(
    ~ b000000011100110001000000100(bitIndex7) )).

fof(bitBlastConstant_1777,axiom,(
    ~ b000000011100110001000000100(bitIndex6) )).

fof(bitBlastConstant_1776,axiom,(
    ~ b000000011100110001000000100(bitIndex5) )).

fof(bitBlastConstant_1775,axiom,(
    ~ b000000011100110001000000100(bitIndex4) )).

fof(bitBlastConstant_1774,axiom,(
    ~ b000000011100110001000000100(bitIndex3) )).

fof(bitBlastConstant_1773,axiom,(
    b000000011100110001000000100(bitIndex2) )).

fof(bitBlastConstant_1772,axiom,(
    ~ b000000011100110001000000100(bitIndex1) )).

fof(bitBlastConstant_1771,axiom,(
    ~ b000000011100110001000000100(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_214,axiom,(
    ! [VarCurr] :
      ( v4250(VarCurr)
    <=> ( ( v4208(VarCurr,bitIndex26)
        <=> $false )
        & ( v4208(VarCurr,bitIndex25)
        <=> $false )
        & ( v4208(VarCurr,bitIndex24)
        <=> $false )
        & ( v4208(VarCurr,bitIndex23)
        <=> $false )
        & ( v4208(VarCurr,bitIndex22)
        <=> $false )
        & ( v4208(VarCurr,bitIndex21)
        <=> $false )
        & ( v4208(VarCurr,bitIndex20)
        <=> $false )
        & ( v4208(VarCurr,bitIndex19)
        <=> $true )
        & ( v4208(VarCurr,bitIndex18)
        <=> $true )
        & ( v4208(VarCurr,bitIndex17)
        <=> $false )
        & ( v4208(VarCurr,bitIndex16)
        <=> $false )
        & ( v4208(VarCurr,bitIndex15)
        <=> $false )
        & ( v4208(VarCurr,bitIndex14)
        <=> $true )
        & ( v4208(VarCurr,bitIndex13)
        <=> $true )
        & ( v4208(VarCurr,bitIndex12)
        <=> $false )
        & ( v4208(VarCurr,bitIndex11)
        <=> $false )
        & ( v4208(VarCurr,bitIndex10)
        <=> $false )
        & ( v4208(VarCurr,bitIndex9)
        <=> $true )
        & ( v4208(VarCurr,bitIndex8)
        <=> $false )
        & ( v4208(VarCurr,bitIndex7)
        <=> $false )
        & ( v4208(VarCurr,bitIndex6)
        <=> $false )
        & ( v4208(VarCurr,bitIndex5)
        <=> $false )
        & ( v4208(VarCurr,bitIndex4)
        <=> $false )
        & ( v4208(VarCurr,bitIndex3)
        <=> $false )
        & ( v4208(VarCurr,bitIndex2)
        <=> $true )
        & ( v4208(VarCurr,bitIndex1)
        <=> $false )
        & ( v4208(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1770,axiom,(
    ~ b000000011000110001000000100(bitIndex26) )).

fof(bitBlastConstant_1769,axiom,(
    ~ b000000011000110001000000100(bitIndex25) )).

fof(bitBlastConstant_1768,axiom,(
    ~ b000000011000110001000000100(bitIndex24) )).

fof(bitBlastConstant_1767,axiom,(
    ~ b000000011000110001000000100(bitIndex23) )).

fof(bitBlastConstant_1766,axiom,(
    ~ b000000011000110001000000100(bitIndex22) )).

fof(bitBlastConstant_1765,axiom,(
    ~ b000000011000110001000000100(bitIndex21) )).

fof(bitBlastConstant_1764,axiom,(
    ~ b000000011000110001000000100(bitIndex20) )).

fof(bitBlastConstant_1763,axiom,(
    b000000011000110001000000100(bitIndex19) )).

fof(bitBlastConstant_1762,axiom,(
    b000000011000110001000000100(bitIndex18) )).

fof(bitBlastConstant_1761,axiom,(
    ~ b000000011000110001000000100(bitIndex17) )).

fof(bitBlastConstant_1760,axiom,(
    ~ b000000011000110001000000100(bitIndex16) )).

fof(bitBlastConstant_1759,axiom,(
    ~ b000000011000110001000000100(bitIndex15) )).

fof(bitBlastConstant_1758,axiom,(
    b000000011000110001000000100(bitIndex14) )).

fof(bitBlastConstant_1757,axiom,(
    b000000011000110001000000100(bitIndex13) )).

fof(bitBlastConstant_1756,axiom,(
    ~ b000000011000110001000000100(bitIndex12) )).

fof(bitBlastConstant_1755,axiom,(
    ~ b000000011000110001000000100(bitIndex11) )).

fof(bitBlastConstant_1754,axiom,(
    ~ b000000011000110001000000100(bitIndex10) )).

fof(bitBlastConstant_1753,axiom,(
    b000000011000110001000000100(bitIndex9) )).

fof(bitBlastConstant_1752,axiom,(
    ~ b000000011000110001000000100(bitIndex8) )).

fof(bitBlastConstant_1751,axiom,(
    ~ b000000011000110001000000100(bitIndex7) )).

fof(bitBlastConstant_1750,axiom,(
    ~ b000000011000110001000000100(bitIndex6) )).

fof(bitBlastConstant_1749,axiom,(
    ~ b000000011000110001000000100(bitIndex5) )).

fof(bitBlastConstant_1748,axiom,(
    ~ b000000011000110001000000100(bitIndex4) )).

fof(bitBlastConstant_1747,axiom,(
    ~ b000000011000110001000000100(bitIndex3) )).

fof(bitBlastConstant_1746,axiom,(
    b000000011000110001000000100(bitIndex2) )).

fof(bitBlastConstant_1745,axiom,(
    ~ b000000011000110001000000100(bitIndex1) )).

fof(bitBlastConstant_1744,axiom,(
    ~ b000000011000110001000000100(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_116,axiom,(
    ! [VarCurr] :
      ( ~ v4222(VarCurr)
     => ( v4237(VarCurr)
      <=> v4241(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_117,axiom,(
    ! [VarCurr] :
      ( v4222(VarCurr)
     => ( v4237(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_39,axiom,(
    ! [VarCurr] :
      ( ( ~ v4224(VarCurr)
        & ~ v4226(VarCurr) )
     => ( v4241(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_70,axiom,(
    ! [VarCurr] :
      ( v4226(VarCurr)
     => ( v4241(VarCurr)
      <=> v4243(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_71,axiom,(
    ! [VarCurr] :
      ( v4224(VarCurr)
     => ( v4241(VarCurr)
      <=> v4242(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_213,axiom,(
    ! [VarCurr] :
      ( v4243(VarCurr)
    <=> ( ( v4208(VarCurr,bitIndex26)
        <=> $false )
        & ( v4208(VarCurr,bitIndex25)
        <=> $false )
        & ( v4208(VarCurr,bitIndex24)
        <=> $false )
        & ( v4208(VarCurr,bitIndex23)
        <=> $false )
        & ( v4208(VarCurr,bitIndex22)
        <=> $false )
        & ( v4208(VarCurr,bitIndex21)
        <=> $false )
        & ( v4208(VarCurr,bitIndex20)
        <=> $false )
        & ( v4208(VarCurr,bitIndex19)
        <=> $true )
        & ( v4208(VarCurr,bitIndex18)
        <=> $true )
        & ( v4208(VarCurr,bitIndex17)
        <=> $true )
        & ( v4208(VarCurr,bitIndex16)
        <=> $false )
        & ( v4208(VarCurr,bitIndex15)
        <=> $false )
        & ( v4208(VarCurr,bitIndex14)
        <=> $true )
        & ( v4208(VarCurr,bitIndex13)
        <=> $true )
        & ( v4208(VarCurr,bitIndex12)
        <=> $false )
        & ( v4208(VarCurr,bitIndex11)
        <=> $false )
        & ( v4208(VarCurr,bitIndex10)
        <=> $false )
        & ( v4208(VarCurr,bitIndex9)
        <=> $true )
        & ( v4208(VarCurr,bitIndex8)
        <=> $false )
        & ( v4208(VarCurr,bitIndex7)
        <=> $false )
        & ( v4208(VarCurr,bitIndex6)
        <=> $false )
        & ( v4208(VarCurr,bitIndex5)
        <=> $false )
        & ( v4208(VarCurr,bitIndex4)
        <=> $false )
        & ( v4208(VarCurr,bitIndex3)
        <=> $false )
        & ( v4208(VarCurr,bitIndex2)
        <=> $false )
        & ( v4208(VarCurr,bitIndex1)
        <=> $true )
        & ( v4208(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1743,axiom,(
    ~ b000000011100110001000000010(bitIndex26) )).

fof(bitBlastConstant_1742,axiom,(
    ~ b000000011100110001000000010(bitIndex25) )).

fof(bitBlastConstant_1741,axiom,(
    ~ b000000011100110001000000010(bitIndex24) )).

fof(bitBlastConstant_1740,axiom,(
    ~ b000000011100110001000000010(bitIndex23) )).

fof(bitBlastConstant_1739,axiom,(
    ~ b000000011100110001000000010(bitIndex22) )).

fof(bitBlastConstant_1738,axiom,(
    ~ b000000011100110001000000010(bitIndex21) )).

fof(bitBlastConstant_1737,axiom,(
    ~ b000000011100110001000000010(bitIndex20) )).

fof(bitBlastConstant_1736,axiom,(
    b000000011100110001000000010(bitIndex19) )).

fof(bitBlastConstant_1735,axiom,(
    b000000011100110001000000010(bitIndex18) )).

fof(bitBlastConstant_1734,axiom,(
    b000000011100110001000000010(bitIndex17) )).

fof(bitBlastConstant_1733,axiom,(
    ~ b000000011100110001000000010(bitIndex16) )).

fof(bitBlastConstant_1732,axiom,(
    ~ b000000011100110001000000010(bitIndex15) )).

fof(bitBlastConstant_1731,axiom,(
    b000000011100110001000000010(bitIndex14) )).

fof(bitBlastConstant_1730,axiom,(
    b000000011100110001000000010(bitIndex13) )).

fof(bitBlastConstant_1729,axiom,(
    ~ b000000011100110001000000010(bitIndex12) )).

fof(bitBlastConstant_1728,axiom,(
    ~ b000000011100110001000000010(bitIndex11) )).

fof(bitBlastConstant_1727,axiom,(
    ~ b000000011100110001000000010(bitIndex10) )).

fof(bitBlastConstant_1726,axiom,(
    b000000011100110001000000010(bitIndex9) )).

fof(bitBlastConstant_1725,axiom,(
    ~ b000000011100110001000000010(bitIndex8) )).

fof(bitBlastConstant_1724,axiom,(
    ~ b000000011100110001000000010(bitIndex7) )).

fof(bitBlastConstant_1723,axiom,(
    ~ b000000011100110001000000010(bitIndex6) )).

fof(bitBlastConstant_1722,axiom,(
    ~ b000000011100110001000000010(bitIndex5) )).

fof(bitBlastConstant_1721,axiom,(
    ~ b000000011100110001000000010(bitIndex4) )).

fof(bitBlastConstant_1720,axiom,(
    ~ b000000011100110001000000010(bitIndex3) )).

fof(bitBlastConstant_1719,axiom,(
    ~ b000000011100110001000000010(bitIndex2) )).

fof(bitBlastConstant_1718,axiom,(
    b000000011100110001000000010(bitIndex1) )).

fof(bitBlastConstant_1717,axiom,(
    ~ b000000011100110001000000010(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_212,axiom,(
    ! [VarCurr] :
      ( v4242(VarCurr)
    <=> ( ( v4208(VarCurr,bitIndex26)
        <=> $false )
        & ( v4208(VarCurr,bitIndex25)
        <=> $false )
        & ( v4208(VarCurr,bitIndex24)
        <=> $false )
        & ( v4208(VarCurr,bitIndex23)
        <=> $false )
        & ( v4208(VarCurr,bitIndex22)
        <=> $false )
        & ( v4208(VarCurr,bitIndex21)
        <=> $false )
        & ( v4208(VarCurr,bitIndex20)
        <=> $false )
        & ( v4208(VarCurr,bitIndex19)
        <=> $true )
        & ( v4208(VarCurr,bitIndex18)
        <=> $true )
        & ( v4208(VarCurr,bitIndex17)
        <=> $false )
        & ( v4208(VarCurr,bitIndex16)
        <=> $false )
        & ( v4208(VarCurr,bitIndex15)
        <=> $false )
        & ( v4208(VarCurr,bitIndex14)
        <=> $true )
        & ( v4208(VarCurr,bitIndex13)
        <=> $true )
        & ( v4208(VarCurr,bitIndex12)
        <=> $false )
        & ( v4208(VarCurr,bitIndex11)
        <=> $false )
        & ( v4208(VarCurr,bitIndex10)
        <=> $false )
        & ( v4208(VarCurr,bitIndex9)
        <=> $true )
        & ( v4208(VarCurr,bitIndex8)
        <=> $false )
        & ( v4208(VarCurr,bitIndex7)
        <=> $false )
        & ( v4208(VarCurr,bitIndex6)
        <=> $false )
        & ( v4208(VarCurr,bitIndex5)
        <=> $false )
        & ( v4208(VarCurr,bitIndex4)
        <=> $false )
        & ( v4208(VarCurr,bitIndex3)
        <=> $false )
        & ( v4208(VarCurr,bitIndex2)
        <=> $false )
        & ( v4208(VarCurr,bitIndex1)
        <=> $true )
        & ( v4208(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1716,axiom,(
    ~ b000000011000110001000000010(bitIndex26) )).

fof(bitBlastConstant_1715,axiom,(
    ~ b000000011000110001000000010(bitIndex25) )).

fof(bitBlastConstant_1714,axiom,(
    ~ b000000011000110001000000010(bitIndex24) )).

fof(bitBlastConstant_1713,axiom,(
    ~ b000000011000110001000000010(bitIndex23) )).

fof(bitBlastConstant_1712,axiom,(
    ~ b000000011000110001000000010(bitIndex22) )).

fof(bitBlastConstant_1711,axiom,(
    ~ b000000011000110001000000010(bitIndex21) )).

fof(bitBlastConstant_1710,axiom,(
    ~ b000000011000110001000000010(bitIndex20) )).

fof(bitBlastConstant_1709,axiom,(
    b000000011000110001000000010(bitIndex19) )).

fof(bitBlastConstant_1708,axiom,(
    b000000011000110001000000010(bitIndex18) )).

fof(bitBlastConstant_1707,axiom,(
    ~ b000000011000110001000000010(bitIndex17) )).

fof(bitBlastConstant_1706,axiom,(
    ~ b000000011000110001000000010(bitIndex16) )).

fof(bitBlastConstant_1705,axiom,(
    ~ b000000011000110001000000010(bitIndex15) )).

fof(bitBlastConstant_1704,axiom,(
    b000000011000110001000000010(bitIndex14) )).

fof(bitBlastConstant_1703,axiom,(
    b000000011000110001000000010(bitIndex13) )).

fof(bitBlastConstant_1702,axiom,(
    ~ b000000011000110001000000010(bitIndex12) )).

fof(bitBlastConstant_1701,axiom,(
    ~ b000000011000110001000000010(bitIndex11) )).

fof(bitBlastConstant_1700,axiom,(
    ~ b000000011000110001000000010(bitIndex10) )).

fof(bitBlastConstant_1699,axiom,(
    b000000011000110001000000010(bitIndex9) )).

fof(bitBlastConstant_1698,axiom,(
    ~ b000000011000110001000000010(bitIndex8) )).

fof(bitBlastConstant_1697,axiom,(
    ~ b000000011000110001000000010(bitIndex7) )).

fof(bitBlastConstant_1696,axiom,(
    ~ b000000011000110001000000010(bitIndex6) )).

fof(bitBlastConstant_1695,axiom,(
    ~ b000000011000110001000000010(bitIndex5) )).

fof(bitBlastConstant_1694,axiom,(
    ~ b000000011000110001000000010(bitIndex4) )).

fof(bitBlastConstant_1693,axiom,(
    ~ b000000011000110001000000010(bitIndex3) )).

fof(bitBlastConstant_1692,axiom,(
    ~ b000000011000110001000000010(bitIndex2) )).

fof(bitBlastConstant_1691,axiom,(
    b000000011000110001000000010(bitIndex1) )).

fof(bitBlastConstant_1690,axiom,(
    ~ b000000011000110001000000010(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_115,axiom,(
    ! [VarCurr] :
      ( ~ v4222(VarCurr)
     => ( v4229(VarCurr)
      <=> v4233(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_116,axiom,(
    ! [VarCurr] :
      ( v4222(VarCurr)
     => ( v4229(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_38,axiom,(
    ! [VarCurr] :
      ( ( ~ v4224(VarCurr)
        & ~ v4226(VarCurr) )
     => ( v4233(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_69,axiom,(
    ! [VarCurr] :
      ( v4226(VarCurr)
     => ( v4233(VarCurr)
      <=> v4235(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_70,axiom,(
    ! [VarCurr] :
      ( v4224(VarCurr)
     => ( v4233(VarCurr)
      <=> v4234(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_211,axiom,(
    ! [VarCurr] :
      ( v4235(VarCurr)
    <=> ( ( v4208(VarCurr,bitIndex26)
        <=> $false )
        & ( v4208(VarCurr,bitIndex25)
        <=> $false )
        & ( v4208(VarCurr,bitIndex24)
        <=> $false )
        & ( v4208(VarCurr,bitIndex23)
        <=> $false )
        & ( v4208(VarCurr,bitIndex22)
        <=> $false )
        & ( v4208(VarCurr,bitIndex21)
        <=> $false )
        & ( v4208(VarCurr,bitIndex20)
        <=> $false )
        & ( v4208(VarCurr,bitIndex19)
        <=> $true )
        & ( v4208(VarCurr,bitIndex18)
        <=> $true )
        & ( v4208(VarCurr,bitIndex17)
        <=> $true )
        & ( v4208(VarCurr,bitIndex16)
        <=> $false )
        & ( v4208(VarCurr,bitIndex15)
        <=> $false )
        & ( v4208(VarCurr,bitIndex14)
        <=> $true )
        & ( v4208(VarCurr,bitIndex13)
        <=> $true )
        & ( v4208(VarCurr,bitIndex12)
        <=> $false )
        & ( v4208(VarCurr,bitIndex11)
        <=> $false )
        & ( v4208(VarCurr,bitIndex10)
        <=> $false )
        & ( v4208(VarCurr,bitIndex9)
        <=> $true )
        & ( v4208(VarCurr,bitIndex8)
        <=> $false )
        & ( v4208(VarCurr,bitIndex7)
        <=> $false )
        & ( v4208(VarCurr,bitIndex6)
        <=> $false )
        & ( v4208(VarCurr,bitIndex5)
        <=> $false )
        & ( v4208(VarCurr,bitIndex4)
        <=> $false )
        & ( v4208(VarCurr,bitIndex3)
        <=> $false )
        & ( v4208(VarCurr,bitIndex2)
        <=> $false )
        & ( v4208(VarCurr,bitIndex1)
        <=> $false )
        & ( v4208(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1689,axiom,(
    ~ b000000011100110001000000001(bitIndex26) )).

fof(bitBlastConstant_1688,axiom,(
    ~ b000000011100110001000000001(bitIndex25) )).

fof(bitBlastConstant_1687,axiom,(
    ~ b000000011100110001000000001(bitIndex24) )).

fof(bitBlastConstant_1686,axiom,(
    ~ b000000011100110001000000001(bitIndex23) )).

fof(bitBlastConstant_1685,axiom,(
    ~ b000000011100110001000000001(bitIndex22) )).

fof(bitBlastConstant_1684,axiom,(
    ~ b000000011100110001000000001(bitIndex21) )).

fof(bitBlastConstant_1683,axiom,(
    ~ b000000011100110001000000001(bitIndex20) )).

fof(bitBlastConstant_1682,axiom,(
    b000000011100110001000000001(bitIndex19) )).

fof(bitBlastConstant_1681,axiom,(
    b000000011100110001000000001(bitIndex18) )).

fof(bitBlastConstant_1680,axiom,(
    b000000011100110001000000001(bitIndex17) )).

fof(bitBlastConstant_1679,axiom,(
    ~ b000000011100110001000000001(bitIndex16) )).

fof(bitBlastConstant_1678,axiom,(
    ~ b000000011100110001000000001(bitIndex15) )).

fof(bitBlastConstant_1677,axiom,(
    b000000011100110001000000001(bitIndex14) )).

fof(bitBlastConstant_1676,axiom,(
    b000000011100110001000000001(bitIndex13) )).

fof(bitBlastConstant_1675,axiom,(
    ~ b000000011100110001000000001(bitIndex12) )).

fof(bitBlastConstant_1674,axiom,(
    ~ b000000011100110001000000001(bitIndex11) )).

fof(bitBlastConstant_1673,axiom,(
    ~ b000000011100110001000000001(bitIndex10) )).

fof(bitBlastConstant_1672,axiom,(
    b000000011100110001000000001(bitIndex9) )).

fof(bitBlastConstant_1671,axiom,(
    ~ b000000011100110001000000001(bitIndex8) )).

fof(bitBlastConstant_1670,axiom,(
    ~ b000000011100110001000000001(bitIndex7) )).

fof(bitBlastConstant_1669,axiom,(
    ~ b000000011100110001000000001(bitIndex6) )).

fof(bitBlastConstant_1668,axiom,(
    ~ b000000011100110001000000001(bitIndex5) )).

fof(bitBlastConstant_1667,axiom,(
    ~ b000000011100110001000000001(bitIndex4) )).

fof(bitBlastConstant_1666,axiom,(
    ~ b000000011100110001000000001(bitIndex3) )).

fof(bitBlastConstant_1665,axiom,(
    ~ b000000011100110001000000001(bitIndex2) )).

fof(bitBlastConstant_1664,axiom,(
    ~ b000000011100110001000000001(bitIndex1) )).

fof(bitBlastConstant_1663,axiom,(
    b000000011100110001000000001(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_210,axiom,(
    ! [VarCurr] :
      ( v4234(VarCurr)
    <=> ( ( v4208(VarCurr,bitIndex26)
        <=> $false )
        & ( v4208(VarCurr,bitIndex25)
        <=> $false )
        & ( v4208(VarCurr,bitIndex24)
        <=> $false )
        & ( v4208(VarCurr,bitIndex23)
        <=> $false )
        & ( v4208(VarCurr,bitIndex22)
        <=> $false )
        & ( v4208(VarCurr,bitIndex21)
        <=> $false )
        & ( v4208(VarCurr,bitIndex20)
        <=> $false )
        & ( v4208(VarCurr,bitIndex19)
        <=> $true )
        & ( v4208(VarCurr,bitIndex18)
        <=> $true )
        & ( v4208(VarCurr,bitIndex17)
        <=> $false )
        & ( v4208(VarCurr,bitIndex16)
        <=> $false )
        & ( v4208(VarCurr,bitIndex15)
        <=> $false )
        & ( v4208(VarCurr,bitIndex14)
        <=> $true )
        & ( v4208(VarCurr,bitIndex13)
        <=> $true )
        & ( v4208(VarCurr,bitIndex12)
        <=> $false )
        & ( v4208(VarCurr,bitIndex11)
        <=> $false )
        & ( v4208(VarCurr,bitIndex10)
        <=> $false )
        & ( v4208(VarCurr,bitIndex9)
        <=> $true )
        & ( v4208(VarCurr,bitIndex8)
        <=> $false )
        & ( v4208(VarCurr,bitIndex7)
        <=> $false )
        & ( v4208(VarCurr,bitIndex6)
        <=> $false )
        & ( v4208(VarCurr,bitIndex5)
        <=> $false )
        & ( v4208(VarCurr,bitIndex4)
        <=> $false )
        & ( v4208(VarCurr,bitIndex3)
        <=> $false )
        & ( v4208(VarCurr,bitIndex2)
        <=> $false )
        & ( v4208(VarCurr,bitIndex1)
        <=> $false )
        & ( v4208(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1662,axiom,(
    ~ b000000011000110001000000001(bitIndex26) )).

fof(bitBlastConstant_1661,axiom,(
    ~ b000000011000110001000000001(bitIndex25) )).

fof(bitBlastConstant_1660,axiom,(
    ~ b000000011000110001000000001(bitIndex24) )).

fof(bitBlastConstant_1659,axiom,(
    ~ b000000011000110001000000001(bitIndex23) )).

fof(bitBlastConstant_1658,axiom,(
    ~ b000000011000110001000000001(bitIndex22) )).

fof(bitBlastConstant_1657,axiom,(
    ~ b000000011000110001000000001(bitIndex21) )).

fof(bitBlastConstant_1656,axiom,(
    ~ b000000011000110001000000001(bitIndex20) )).

fof(bitBlastConstant_1655,axiom,(
    b000000011000110001000000001(bitIndex19) )).

fof(bitBlastConstant_1654,axiom,(
    b000000011000110001000000001(bitIndex18) )).

fof(bitBlastConstant_1653,axiom,(
    ~ b000000011000110001000000001(bitIndex17) )).

fof(bitBlastConstant_1652,axiom,(
    ~ b000000011000110001000000001(bitIndex16) )).

fof(bitBlastConstant_1651,axiom,(
    ~ b000000011000110001000000001(bitIndex15) )).

fof(bitBlastConstant_1650,axiom,(
    b000000011000110001000000001(bitIndex14) )).

fof(bitBlastConstant_1649,axiom,(
    b000000011000110001000000001(bitIndex13) )).

fof(bitBlastConstant_1648,axiom,(
    ~ b000000011000110001000000001(bitIndex12) )).

fof(bitBlastConstant_1647,axiom,(
    ~ b000000011000110001000000001(bitIndex11) )).

fof(bitBlastConstant_1646,axiom,(
    ~ b000000011000110001000000001(bitIndex10) )).

fof(bitBlastConstant_1645,axiom,(
    b000000011000110001000000001(bitIndex9) )).

fof(bitBlastConstant_1644,axiom,(
    ~ b000000011000110001000000001(bitIndex8) )).

fof(bitBlastConstant_1643,axiom,(
    ~ b000000011000110001000000001(bitIndex7) )).

fof(bitBlastConstant_1642,axiom,(
    ~ b000000011000110001000000001(bitIndex6) )).

fof(bitBlastConstant_1641,axiom,(
    ~ b000000011000110001000000001(bitIndex5) )).

fof(bitBlastConstant_1640,axiom,(
    ~ b000000011000110001000000001(bitIndex4) )).

fof(bitBlastConstant_1639,axiom,(
    ~ b000000011000110001000000001(bitIndex3) )).

fof(bitBlastConstant_1638,axiom,(
    ~ b000000011000110001000000001(bitIndex2) )).

fof(bitBlastConstant_1637,axiom,(
    ~ b000000011000110001000000001(bitIndex1) )).

fof(bitBlastConstant_1636,axiom,(
    b000000011000110001000000001(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_114,axiom,(
    ! [VarCurr] :
      ( ~ v4222(VarCurr)
     => ( v4200(VarCurr)
      <=> v4223(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_115,axiom,(
    ! [VarCurr] :
      ( v4222(VarCurr)
     => ( v4200(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_37,axiom,(
    ! [VarCurr] :
      ( ( ~ v4224(VarCurr)
        & ~ v4226(VarCurr) )
     => ( v4223(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_68,axiom,(
    ! [VarCurr] :
      ( v4226(VarCurr)
     => ( v4223(VarCurr)
      <=> v4227(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_69,axiom,(
    ! [VarCurr] :
      ( v4224(VarCurr)
     => ( v4223(VarCurr)
      <=> v4225(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_209,axiom,(
    ! [VarCurr] :
      ( v4227(VarCurr)
    <=> ( ( v4208(VarCurr,bitIndex26)
        <=> $false )
        & ( v4208(VarCurr,bitIndex25)
        <=> $false )
        & ( v4208(VarCurr,bitIndex24)
        <=> $false )
        & ( v4208(VarCurr,bitIndex23)
        <=> $false )
        & ( v4208(VarCurr,bitIndex22)
        <=> $false )
        & ( v4208(VarCurr,bitIndex21)
        <=> $false )
        & ( v4208(VarCurr,bitIndex20)
        <=> $false )
        & ( v4208(VarCurr,bitIndex19)
        <=> $true )
        & ( v4208(VarCurr,bitIndex18)
        <=> $true )
        & ( v4208(VarCurr,bitIndex17)
        <=> $true )
        & ( v4208(VarCurr,bitIndex16)
        <=> $false )
        & ( v4208(VarCurr,bitIndex15)
        <=> $false )
        & ( v4208(VarCurr,bitIndex14)
        <=> $true )
        & ( v4208(VarCurr,bitIndex13)
        <=> $true )
        & ( v4208(VarCurr,bitIndex12)
        <=> $false )
        & ( v4208(VarCurr,bitIndex11)
        <=> $false )
        & ( v4208(VarCurr,bitIndex10)
        <=> $false )
        & ( v4208(VarCurr,bitIndex9)
        <=> $true )
        & ( v4208(VarCurr,bitIndex8)
        <=> $false )
        & ( v4208(VarCurr,bitIndex7)
        <=> $false )
        & ( v4208(VarCurr,bitIndex6)
        <=> $false )
        & ( v4208(VarCurr,bitIndex5)
        <=> $false )
        & ( v4208(VarCurr,bitIndex4)
        <=> $false )
        & ( v4208(VarCurr,bitIndex3)
        <=> $false )
        & ( v4208(VarCurr,bitIndex2)
        <=> $false )
        & ( v4208(VarCurr,bitIndex1)
        <=> $false )
        & ( v4208(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1635,axiom,(
    ~ b000000011100110001000000000(bitIndex26) )).

fof(bitBlastConstant_1634,axiom,(
    ~ b000000011100110001000000000(bitIndex25) )).

fof(bitBlastConstant_1633,axiom,(
    ~ b000000011100110001000000000(bitIndex24) )).

fof(bitBlastConstant_1632,axiom,(
    ~ b000000011100110001000000000(bitIndex23) )).

fof(bitBlastConstant_1631,axiom,(
    ~ b000000011100110001000000000(bitIndex22) )).

fof(bitBlastConstant_1630,axiom,(
    ~ b000000011100110001000000000(bitIndex21) )).

fof(bitBlastConstant_1629,axiom,(
    ~ b000000011100110001000000000(bitIndex20) )).

fof(bitBlastConstant_1628,axiom,(
    b000000011100110001000000000(bitIndex19) )).

fof(bitBlastConstant_1627,axiom,(
    b000000011100110001000000000(bitIndex18) )).

fof(bitBlastConstant_1626,axiom,(
    b000000011100110001000000000(bitIndex17) )).

fof(bitBlastConstant_1625,axiom,(
    ~ b000000011100110001000000000(bitIndex16) )).

fof(bitBlastConstant_1624,axiom,(
    ~ b000000011100110001000000000(bitIndex15) )).

fof(bitBlastConstant_1623,axiom,(
    b000000011100110001000000000(bitIndex14) )).

fof(bitBlastConstant_1622,axiom,(
    b000000011100110001000000000(bitIndex13) )).

fof(bitBlastConstant_1621,axiom,(
    ~ b000000011100110001000000000(bitIndex12) )).

fof(bitBlastConstant_1620,axiom,(
    ~ b000000011100110001000000000(bitIndex11) )).

fof(bitBlastConstant_1619,axiom,(
    ~ b000000011100110001000000000(bitIndex10) )).

fof(bitBlastConstant_1618,axiom,(
    b000000011100110001000000000(bitIndex9) )).

fof(bitBlastConstant_1617,axiom,(
    ~ b000000011100110001000000000(bitIndex8) )).

fof(bitBlastConstant_1616,axiom,(
    ~ b000000011100110001000000000(bitIndex7) )).

fof(bitBlastConstant_1615,axiom,(
    ~ b000000011100110001000000000(bitIndex6) )).

fof(bitBlastConstant_1614,axiom,(
    ~ b000000011100110001000000000(bitIndex5) )).

fof(bitBlastConstant_1613,axiom,(
    ~ b000000011100110001000000000(bitIndex4) )).

fof(bitBlastConstant_1612,axiom,(
    ~ b000000011100110001000000000(bitIndex3) )).

fof(bitBlastConstant_1611,axiom,(
    ~ b000000011100110001000000000(bitIndex2) )).

fof(bitBlastConstant_1610,axiom,(
    ~ b000000011100110001000000000(bitIndex1) )).

fof(bitBlastConstant_1609,axiom,(
    ~ b000000011100110001000000000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_208,axiom,(
    ! [VarCurr] :
      ( v4226(VarCurr)
    <=> ( v4202(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_207,axiom,(
    ! [VarCurr] :
      ( v4225(VarCurr)
    <=> ( ( v4208(VarCurr,bitIndex26)
        <=> $false )
        & ( v4208(VarCurr,bitIndex25)
        <=> $false )
        & ( v4208(VarCurr,bitIndex24)
        <=> $false )
        & ( v4208(VarCurr,bitIndex23)
        <=> $false )
        & ( v4208(VarCurr,bitIndex22)
        <=> $false )
        & ( v4208(VarCurr,bitIndex21)
        <=> $false )
        & ( v4208(VarCurr,bitIndex20)
        <=> $false )
        & ( v4208(VarCurr,bitIndex19)
        <=> $true )
        & ( v4208(VarCurr,bitIndex18)
        <=> $true )
        & ( v4208(VarCurr,bitIndex17)
        <=> $false )
        & ( v4208(VarCurr,bitIndex16)
        <=> $false )
        & ( v4208(VarCurr,bitIndex15)
        <=> $false )
        & ( v4208(VarCurr,bitIndex14)
        <=> $true )
        & ( v4208(VarCurr,bitIndex13)
        <=> $true )
        & ( v4208(VarCurr,bitIndex12)
        <=> $false )
        & ( v4208(VarCurr,bitIndex11)
        <=> $false )
        & ( v4208(VarCurr,bitIndex10)
        <=> $false )
        & ( v4208(VarCurr,bitIndex9)
        <=> $true )
        & ( v4208(VarCurr,bitIndex8)
        <=> $false )
        & ( v4208(VarCurr,bitIndex7)
        <=> $false )
        & ( v4208(VarCurr,bitIndex6)
        <=> $false )
        & ( v4208(VarCurr,bitIndex5)
        <=> $false )
        & ( v4208(VarCurr,bitIndex4)
        <=> $false )
        & ( v4208(VarCurr,bitIndex3)
        <=> $false )
        & ( v4208(VarCurr,bitIndex2)
        <=> $false )
        & ( v4208(VarCurr,bitIndex1)
        <=> $false )
        & ( v4208(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1608,axiom,(
    ~ b000000011000110001000000000(bitIndex26) )).

fof(bitBlastConstant_1607,axiom,(
    ~ b000000011000110001000000000(bitIndex25) )).

fof(bitBlastConstant_1606,axiom,(
    ~ b000000011000110001000000000(bitIndex24) )).

fof(bitBlastConstant_1605,axiom,(
    ~ b000000011000110001000000000(bitIndex23) )).

fof(bitBlastConstant_1604,axiom,(
    ~ b000000011000110001000000000(bitIndex22) )).

fof(bitBlastConstant_1603,axiom,(
    ~ b000000011000110001000000000(bitIndex21) )).

fof(bitBlastConstant_1602,axiom,(
    ~ b000000011000110001000000000(bitIndex20) )).

fof(bitBlastConstant_1601,axiom,(
    b000000011000110001000000000(bitIndex19) )).

fof(bitBlastConstant_1600,axiom,(
    b000000011000110001000000000(bitIndex18) )).

fof(bitBlastConstant_1599,axiom,(
    ~ b000000011000110001000000000(bitIndex17) )).

fof(bitBlastConstant_1598,axiom,(
    ~ b000000011000110001000000000(bitIndex16) )).

fof(bitBlastConstant_1597,axiom,(
    ~ b000000011000110001000000000(bitIndex15) )).

fof(bitBlastConstant_1596,axiom,(
    b000000011000110001000000000(bitIndex14) )).

fof(bitBlastConstant_1595,axiom,(
    b000000011000110001000000000(bitIndex13) )).

fof(bitBlastConstant_1594,axiom,(
    ~ b000000011000110001000000000(bitIndex12) )).

fof(bitBlastConstant_1593,axiom,(
    ~ b000000011000110001000000000(bitIndex11) )).

fof(bitBlastConstant_1592,axiom,(
    ~ b000000011000110001000000000(bitIndex10) )).

fof(bitBlastConstant_1591,axiom,(
    b000000011000110001000000000(bitIndex9) )).

fof(bitBlastConstant_1590,axiom,(
    ~ b000000011000110001000000000(bitIndex8) )).

fof(bitBlastConstant_1589,axiom,(
    ~ b000000011000110001000000000(bitIndex7) )).

fof(bitBlastConstant_1588,axiom,(
    ~ b000000011000110001000000000(bitIndex6) )).

fof(bitBlastConstant_1587,axiom,(
    ~ b000000011000110001000000000(bitIndex5) )).

fof(bitBlastConstant_1586,axiom,(
    ~ b000000011000110001000000000(bitIndex4) )).

fof(bitBlastConstant_1585,axiom,(
    ~ b000000011000110001000000000(bitIndex3) )).

fof(bitBlastConstant_1584,axiom,(
    ~ b000000011000110001000000000(bitIndex2) )).

fof(bitBlastConstant_1583,axiom,(
    ~ b000000011000110001000000000(bitIndex1) )).

fof(bitBlastConstant_1582,axiom,(
    ~ b000000011000110001000000000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_206,axiom,(
    ! [VarCurr] :
      ( v4224(VarCurr)
    <=> ( v4202(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_514,axiom,(
    ! [VarCurr] :
      ( ~ v4222(VarCurr)
    <=> v4149(VarCurr) ) )).

fof(addAssignment_721,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v4208(VarCurr,B)
      <=> v4210(VarCurr,B) ) ) )).

fof(addAssignment_720,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v4210(VarCurr,B)
      <=> v4212(VarCurr,B) ) ) )).

fof(addAssignment_719,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v4212(VarCurr,B)
      <=> v4214(VarCurr,B) ) ) )).

fof(addAssignment_718,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v4214(VarCurr,B)
      <=> v4216(VarCurr,B) ) ) )).

fof(addAssignment_717,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v4216(VarCurr,B)
      <=> v4218(VarCurr,B) ) ) )).

fof(addAssignment_716,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v4218(VarCurr,B)
      <=> v3582(VarCurr,B) ) ) )).

fof(addAssignment_715,axiom,(
    ! [VarCurr] :
      ( v4202(VarCurr)
    <=> v4204(VarCurr) ) )).

fof(addAssignment_714,axiom,(
    ! [VarCurr] :
      ( v4204(VarCurr)
    <=> v4206(VarCurr) ) )).

fof(addAssignment_713,axiom,(
    ! [VarCurr] :
      ( v4206(VarCurr)
    <=> v3566(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_49,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4186(VarNext)
       => ( v4147(VarNext)
        <=> v4147(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_54,axiom,(
    ! [VarNext] :
      ( v4186(VarNext)
     => ( v4147(VarNext)
      <=> v4194(VarNext) ) ) )).

fof(addAssignment_712,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4194(VarNext)
      <=> v4192(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_113,axiom,(
    ! [VarCurr] :
      ( ~ v4181(VarCurr)
     => ( v4192(VarCurr)
      <=> v4195(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_114,axiom,(
    ! [VarCurr] :
      ( v4181(VarCurr)
     => ( v4192(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1090,axiom,(
    ! [VarCurr] :
      ( v4195(VarCurr)
    <=> ( v4149(VarCurr)
        & v4196(VarCurr) ) ) )).

fof(writeUnaryOperator_513,axiom,(
    ! [VarCurr] :
      ( ~ v4196(VarCurr)
    <=> v4161(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1089,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4186(VarNext)
      <=> v4187(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1088,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4187(VarNext)
      <=> ( v4189(VarNext)
          & v4163(VarNext) ) ) ) )).

fof(writeUnaryOperator_512,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4189(VarNext)
      <=> v4174(VarNext) ) ) )).

fof(addAssignmentInitValueVector_11,axiom,
    ( v4147(constB0)
  <=> $false )).

fof(addCaseBooleanConditionEqualRanges1_48,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4170(VarNext)
       => ( v4161(VarNext)
        <=> v4161(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_53,axiom,(
    ! [VarNext] :
      ( v4170(VarNext)
     => ( v4161(VarNext)
      <=> v4180(VarNext) ) ) )).

fof(addAssignment_711,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4180(VarNext)
      <=> v4178(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_112,axiom,(
    ! [VarCurr] :
      ( ~ v4181(VarCurr)
     => ( v4178(VarCurr)
      <=> v4149(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_113,axiom,(
    ! [VarCurr] :
      ( v4181(VarCurr)
     => ( v4178(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_511,axiom,(
    ! [VarCurr] :
      ( ~ v4181(VarCurr)
    <=> v3214(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1087,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4170(VarNext)
      <=> v4171(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1086,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4171(VarNext)
      <=> ( v4172(VarNext)
          & v4163(VarNext) ) ) ) )).

fof(writeUnaryOperator_510,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4172(VarNext)
      <=> v4174(VarNext) ) ) )).

fof(addAssignment_710,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4174(VarNext)
      <=> v4163(VarCurr) ) ) )).

fof(addAssignment_709,axiom,(
    ! [VarCurr] :
      ( v4163(VarCurr)
    <=> v4165(VarCurr) ) )).

fof(addAssignment_708,axiom,(
    ! [VarCurr] :
      ( v4165(VarCurr)
    <=> v4167(VarCurr) ) )).

fof(addAssignment_707,axiom,(
    ! [VarCurr] :
      ( v4167(VarCurr)
    <=> v3525(VarCurr) ) )).

fof(addAssignment_706,axiom,(
    ! [VarCurr] :
      ( v4149(VarCurr)
    <=> v4151(VarCurr) ) )).

fof(addAssignment_705,axiom,(
    ! [VarCurr] :
      ( v4151(VarCurr)
    <=> v4153(VarCurr) ) )).

fof(addAssignment_704,axiom,(
    ! [VarCurr] :
      ( v4153(VarCurr)
    <=> v4155(VarCurr) ) )).

fof(addAssignment_703,axiom,(
    ! [VarCurr] :
      ( v4155(VarCurr)
    <=> v4157(VarCurr) ) )).

fof(addAssignment_702,axiom,(
    ! [VarCurr] :
      ( v4157(VarCurr)
    <=> v4159(VarCurr) ) )).

fof(addAssignment_701,axiom,(
    ! [VarCurr] :
      ( v4159(VarCurr)
    <=> v3456(VarCurr) ) )).

fof(addAssignment_700,axiom,(
    ! [VarCurr] :
      ( v3697(VarCurr)
    <=> v3699(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1085,axiom,(
    ! [VarCurr] :
      ( v3699(VarCurr)
    <=> ( v4131(VarCurr)
        | v3992(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1084,axiom,(
    ! [VarCurr] :
      ( v4131(VarCurr)
    <=> ( v3701(VarCurr)
        | v3853(VarCurr) ) ) )).

fof(addAssignment_699,axiom,(
    ! [VarCurr] :
      ( v3992(VarCurr)
    <=> v3994(VarCurr) ) )).

fof(addAssignment_698,axiom,(
    ! [VarCurr] :
      ( v3994(VarCurr)
    <=> v3996(VarCurr) ) )).

fof(addAssignment_697,axiom,(
    ! [VarCurr] :
      ( v3996(VarCurr)
    <=> v3998(VarCurr) ) )).

fof(addAssignment_696,axiom,(
    ! [VarCurr] :
      ( v3998(VarCurr)
    <=> v4000(VarCurr) ) )).

fof(addAssignment_695,axiom,(
    ! [VarCurr] :
      ( v4000(VarCurr)
    <=> v4002(VarCurr) ) )).

fof(addAssignment_694,axiom,(
    ! [VarCurr] :
      ( v4002(VarCurr)
    <=> v4004(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1083,axiom,(
    ! [VarCurr] :
      ( v4004(VarCurr)
    <=> ( v4006(VarCurr)
        & v4126(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1082,axiom,(
    ! [VarCurr] :
      ( v4126(VarCurr)
    <=> ( v4127(VarCurr)
        | v4118(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1081,axiom,(
    ! [VarCurr] :
      ( v4127(VarCurr)
    <=> ( v4128(VarCurr)
        | v4110(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1080,axiom,(
    ! [VarCurr] :
      ( v4128(VarCurr)
    <=> ( v4129(VarCurr)
        | v4102(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1079,axiom,(
    ! [VarCurr] :
      ( v4129(VarCurr)
    <=> ( v4065(VarCurr)
        | v4094(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_111,axiom,(
    ! [VarCurr] :
      ( ~ v4087(VarCurr)
     => ( v4118(VarCurr)
      <=> v4122(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_112,axiom,(
    ! [VarCurr] :
      ( v4087(VarCurr)
     => ( v4118(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_36,axiom,(
    ! [VarCurr] :
      ( ( ~ v4089(VarCurr)
        & ~ v4091(VarCurr) )
     => ( v4122(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_67,axiom,(
    ! [VarCurr] :
      ( v4091(VarCurr)
     => ( v4122(VarCurr)
      <=> v4124(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_68,axiom,(
    ! [VarCurr] :
      ( v4089(VarCurr)
     => ( v4122(VarCurr)
      <=> v4123(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_205,axiom,(
    ! [VarCurr] :
      ( v4124(VarCurr)
    <=> ( ( v4073(VarCurr,bitIndex26)
        <=> $false )
        & ( v4073(VarCurr,bitIndex25)
        <=> $false )
        & ( v4073(VarCurr,bitIndex24)
        <=> $false )
        & ( v4073(VarCurr,bitIndex23)
        <=> $false )
        & ( v4073(VarCurr,bitIndex22)
        <=> $false )
        & ( v4073(VarCurr,bitIndex21)
        <=> $false )
        & ( v4073(VarCurr,bitIndex20)
        <=> $false )
        & ( v4073(VarCurr,bitIndex19)
        <=> $true )
        & ( v4073(VarCurr,bitIndex18)
        <=> $true )
        & ( v4073(VarCurr,bitIndex17)
        <=> $true )
        & ( v4073(VarCurr,bitIndex16)
        <=> $false )
        & ( v4073(VarCurr,bitIndex15)
        <=> $false )
        & ( v4073(VarCurr,bitIndex14)
        <=> $true )
        & ( v4073(VarCurr,bitIndex13)
        <=> $true )
        & ( v4073(VarCurr,bitIndex12)
        <=> $false )
        & ( v4073(VarCurr,bitIndex11)
        <=> $false )
        & ( v4073(VarCurr,bitIndex10)
        <=> $false )
        & ( v4073(VarCurr,bitIndex9)
        <=> $false )
        & ( v4073(VarCurr,bitIndex8)
        <=> $false )
        & ( v4073(VarCurr,bitIndex7)
        <=> $false )
        & ( v4073(VarCurr,bitIndex6)
        <=> $false )
        & ( v4073(VarCurr,bitIndex5)
        <=> $false )
        & ( v4073(VarCurr,bitIndex4)
        <=> $false )
        & ( v4073(VarCurr,bitIndex3)
        <=> $false )
        & ( v4073(VarCurr,bitIndex2)
        <=> $true )
        & ( v4073(VarCurr,bitIndex1)
        <=> $false )
        & ( v4073(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1581,axiom,(
    ~ b000000011100110000000000100(bitIndex26) )).

fof(bitBlastConstant_1580,axiom,(
    ~ b000000011100110000000000100(bitIndex25) )).

fof(bitBlastConstant_1579,axiom,(
    ~ b000000011100110000000000100(bitIndex24) )).

fof(bitBlastConstant_1578,axiom,(
    ~ b000000011100110000000000100(bitIndex23) )).

fof(bitBlastConstant_1577,axiom,(
    ~ b000000011100110000000000100(bitIndex22) )).

fof(bitBlastConstant_1576,axiom,(
    ~ b000000011100110000000000100(bitIndex21) )).

fof(bitBlastConstant_1575,axiom,(
    ~ b000000011100110000000000100(bitIndex20) )).

fof(bitBlastConstant_1574,axiom,(
    b000000011100110000000000100(bitIndex19) )).

fof(bitBlastConstant_1573,axiom,(
    b000000011100110000000000100(bitIndex18) )).

fof(bitBlastConstant_1572,axiom,(
    b000000011100110000000000100(bitIndex17) )).

fof(bitBlastConstant_1571,axiom,(
    ~ b000000011100110000000000100(bitIndex16) )).

fof(bitBlastConstant_1570,axiom,(
    ~ b000000011100110000000000100(bitIndex15) )).

fof(bitBlastConstant_1569,axiom,(
    b000000011100110000000000100(bitIndex14) )).

fof(bitBlastConstant_1568,axiom,(
    b000000011100110000000000100(bitIndex13) )).

fof(bitBlastConstant_1567,axiom,(
    ~ b000000011100110000000000100(bitIndex12) )).

fof(bitBlastConstant_1566,axiom,(
    ~ b000000011100110000000000100(bitIndex11) )).

fof(bitBlastConstant_1565,axiom,(
    ~ b000000011100110000000000100(bitIndex10) )).

fof(bitBlastConstant_1564,axiom,(
    ~ b000000011100110000000000100(bitIndex9) )).

fof(bitBlastConstant_1563,axiom,(
    ~ b000000011100110000000000100(bitIndex8) )).

fof(bitBlastConstant_1562,axiom,(
    ~ b000000011100110000000000100(bitIndex7) )).

fof(bitBlastConstant_1561,axiom,(
    ~ b000000011100110000000000100(bitIndex6) )).

fof(bitBlastConstant_1560,axiom,(
    ~ b000000011100110000000000100(bitIndex5) )).

fof(bitBlastConstant_1559,axiom,(
    ~ b000000011100110000000000100(bitIndex4) )).

fof(bitBlastConstant_1558,axiom,(
    ~ b000000011100110000000000100(bitIndex3) )).

fof(bitBlastConstant_1557,axiom,(
    b000000011100110000000000100(bitIndex2) )).

fof(bitBlastConstant_1556,axiom,(
    ~ b000000011100110000000000100(bitIndex1) )).

fof(bitBlastConstant_1555,axiom,(
    ~ b000000011100110000000000100(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_204,axiom,(
    ! [VarCurr] :
      ( v4123(VarCurr)
    <=> ( ( v4073(VarCurr,bitIndex26)
        <=> $false )
        & ( v4073(VarCurr,bitIndex25)
        <=> $false )
        & ( v4073(VarCurr,bitIndex24)
        <=> $false )
        & ( v4073(VarCurr,bitIndex23)
        <=> $false )
        & ( v4073(VarCurr,bitIndex22)
        <=> $false )
        & ( v4073(VarCurr,bitIndex21)
        <=> $false )
        & ( v4073(VarCurr,bitIndex20)
        <=> $false )
        & ( v4073(VarCurr,bitIndex19)
        <=> $true )
        & ( v4073(VarCurr,bitIndex18)
        <=> $true )
        & ( v4073(VarCurr,bitIndex17)
        <=> $false )
        & ( v4073(VarCurr,bitIndex16)
        <=> $false )
        & ( v4073(VarCurr,bitIndex15)
        <=> $false )
        & ( v4073(VarCurr,bitIndex14)
        <=> $true )
        & ( v4073(VarCurr,bitIndex13)
        <=> $true )
        & ( v4073(VarCurr,bitIndex12)
        <=> $false )
        & ( v4073(VarCurr,bitIndex11)
        <=> $false )
        & ( v4073(VarCurr,bitIndex10)
        <=> $false )
        & ( v4073(VarCurr,bitIndex9)
        <=> $false )
        & ( v4073(VarCurr,bitIndex8)
        <=> $false )
        & ( v4073(VarCurr,bitIndex7)
        <=> $false )
        & ( v4073(VarCurr,bitIndex6)
        <=> $false )
        & ( v4073(VarCurr,bitIndex5)
        <=> $false )
        & ( v4073(VarCurr,bitIndex4)
        <=> $false )
        & ( v4073(VarCurr,bitIndex3)
        <=> $false )
        & ( v4073(VarCurr,bitIndex2)
        <=> $true )
        & ( v4073(VarCurr,bitIndex1)
        <=> $false )
        & ( v4073(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1554,axiom,(
    ~ b000000011000110000000000100(bitIndex26) )).

fof(bitBlastConstant_1553,axiom,(
    ~ b000000011000110000000000100(bitIndex25) )).

fof(bitBlastConstant_1552,axiom,(
    ~ b000000011000110000000000100(bitIndex24) )).

fof(bitBlastConstant_1551,axiom,(
    ~ b000000011000110000000000100(bitIndex23) )).

fof(bitBlastConstant_1550,axiom,(
    ~ b000000011000110000000000100(bitIndex22) )).

fof(bitBlastConstant_1549,axiom,(
    ~ b000000011000110000000000100(bitIndex21) )).

fof(bitBlastConstant_1548,axiom,(
    ~ b000000011000110000000000100(bitIndex20) )).

fof(bitBlastConstant_1547,axiom,(
    b000000011000110000000000100(bitIndex19) )).

fof(bitBlastConstant_1546,axiom,(
    b000000011000110000000000100(bitIndex18) )).

fof(bitBlastConstant_1545,axiom,(
    ~ b000000011000110000000000100(bitIndex17) )).

fof(bitBlastConstant_1544,axiom,(
    ~ b000000011000110000000000100(bitIndex16) )).

fof(bitBlastConstant_1543,axiom,(
    ~ b000000011000110000000000100(bitIndex15) )).

fof(bitBlastConstant_1542,axiom,(
    b000000011000110000000000100(bitIndex14) )).

fof(bitBlastConstant_1541,axiom,(
    b000000011000110000000000100(bitIndex13) )).

fof(bitBlastConstant_1540,axiom,(
    ~ b000000011000110000000000100(bitIndex12) )).

fof(bitBlastConstant_1539,axiom,(
    ~ b000000011000110000000000100(bitIndex11) )).

fof(bitBlastConstant_1538,axiom,(
    ~ b000000011000110000000000100(bitIndex10) )).

fof(bitBlastConstant_1537,axiom,(
    ~ b000000011000110000000000100(bitIndex9) )).

fof(bitBlastConstant_1536,axiom,(
    ~ b000000011000110000000000100(bitIndex8) )).

fof(bitBlastConstant_1535,axiom,(
    ~ b000000011000110000000000100(bitIndex7) )).

fof(bitBlastConstant_1534,axiom,(
    ~ b000000011000110000000000100(bitIndex6) )).

fof(bitBlastConstant_1533,axiom,(
    ~ b000000011000110000000000100(bitIndex5) )).

fof(bitBlastConstant_1532,axiom,(
    ~ b000000011000110000000000100(bitIndex4) )).

fof(bitBlastConstant_1531,axiom,(
    ~ b000000011000110000000000100(bitIndex3) )).

fof(bitBlastConstant_1530,axiom,(
    b000000011000110000000000100(bitIndex2) )).

fof(bitBlastConstant_1529,axiom,(
    ~ b000000011000110000000000100(bitIndex1) )).

fof(bitBlastConstant_1528,axiom,(
    ~ b000000011000110000000000100(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_110,axiom,(
    ! [VarCurr] :
      ( ~ v4087(VarCurr)
     => ( v4110(VarCurr)
      <=> v4114(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_111,axiom,(
    ! [VarCurr] :
      ( v4087(VarCurr)
     => ( v4110(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_35,axiom,(
    ! [VarCurr] :
      ( ( ~ v4089(VarCurr)
        & ~ v4091(VarCurr) )
     => ( v4114(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_66,axiom,(
    ! [VarCurr] :
      ( v4091(VarCurr)
     => ( v4114(VarCurr)
      <=> v4116(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_67,axiom,(
    ! [VarCurr] :
      ( v4089(VarCurr)
     => ( v4114(VarCurr)
      <=> v4115(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_203,axiom,(
    ! [VarCurr] :
      ( v4116(VarCurr)
    <=> ( ( v4073(VarCurr,bitIndex26)
        <=> $false )
        & ( v4073(VarCurr,bitIndex25)
        <=> $false )
        & ( v4073(VarCurr,bitIndex24)
        <=> $false )
        & ( v4073(VarCurr,bitIndex23)
        <=> $false )
        & ( v4073(VarCurr,bitIndex22)
        <=> $false )
        & ( v4073(VarCurr,bitIndex21)
        <=> $false )
        & ( v4073(VarCurr,bitIndex20)
        <=> $false )
        & ( v4073(VarCurr,bitIndex19)
        <=> $true )
        & ( v4073(VarCurr,bitIndex18)
        <=> $true )
        & ( v4073(VarCurr,bitIndex17)
        <=> $true )
        & ( v4073(VarCurr,bitIndex16)
        <=> $false )
        & ( v4073(VarCurr,bitIndex15)
        <=> $false )
        & ( v4073(VarCurr,bitIndex14)
        <=> $true )
        & ( v4073(VarCurr,bitIndex13)
        <=> $true )
        & ( v4073(VarCurr,bitIndex12)
        <=> $false )
        & ( v4073(VarCurr,bitIndex11)
        <=> $false )
        & ( v4073(VarCurr,bitIndex10)
        <=> $false )
        & ( v4073(VarCurr,bitIndex9)
        <=> $false )
        & ( v4073(VarCurr,bitIndex8)
        <=> $false )
        & ( v4073(VarCurr,bitIndex7)
        <=> $false )
        & ( v4073(VarCurr,bitIndex6)
        <=> $false )
        & ( v4073(VarCurr,bitIndex5)
        <=> $false )
        & ( v4073(VarCurr,bitIndex4)
        <=> $false )
        & ( v4073(VarCurr,bitIndex3)
        <=> $false )
        & ( v4073(VarCurr,bitIndex2)
        <=> $false )
        & ( v4073(VarCurr,bitIndex1)
        <=> $true )
        & ( v4073(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1527,axiom,(
    ~ b000000011100110000000000011(bitIndex26) )).

fof(bitBlastConstant_1526,axiom,(
    ~ b000000011100110000000000011(bitIndex25) )).

fof(bitBlastConstant_1525,axiom,(
    ~ b000000011100110000000000011(bitIndex24) )).

fof(bitBlastConstant_1524,axiom,(
    ~ b000000011100110000000000011(bitIndex23) )).

fof(bitBlastConstant_1523,axiom,(
    ~ b000000011100110000000000011(bitIndex22) )).

fof(bitBlastConstant_1522,axiom,(
    ~ b000000011100110000000000011(bitIndex21) )).

fof(bitBlastConstant_1521,axiom,(
    ~ b000000011100110000000000011(bitIndex20) )).

fof(bitBlastConstant_1520,axiom,(
    b000000011100110000000000011(bitIndex19) )).

fof(bitBlastConstant_1519,axiom,(
    b000000011100110000000000011(bitIndex18) )).

fof(bitBlastConstant_1518,axiom,(
    b000000011100110000000000011(bitIndex17) )).

fof(bitBlastConstant_1517,axiom,(
    ~ b000000011100110000000000011(bitIndex16) )).

fof(bitBlastConstant_1516,axiom,(
    ~ b000000011100110000000000011(bitIndex15) )).

fof(bitBlastConstant_1515,axiom,(
    b000000011100110000000000011(bitIndex14) )).

fof(bitBlastConstant_1514,axiom,(
    b000000011100110000000000011(bitIndex13) )).

fof(bitBlastConstant_1513,axiom,(
    ~ b000000011100110000000000011(bitIndex12) )).

fof(bitBlastConstant_1512,axiom,(
    ~ b000000011100110000000000011(bitIndex11) )).

fof(bitBlastConstant_1511,axiom,(
    ~ b000000011100110000000000011(bitIndex10) )).

fof(bitBlastConstant_1510,axiom,(
    ~ b000000011100110000000000011(bitIndex9) )).

fof(bitBlastConstant_1509,axiom,(
    ~ b000000011100110000000000011(bitIndex8) )).

fof(bitBlastConstant_1508,axiom,(
    ~ b000000011100110000000000011(bitIndex7) )).

fof(bitBlastConstant_1507,axiom,(
    ~ b000000011100110000000000011(bitIndex6) )).

fof(bitBlastConstant_1506,axiom,(
    ~ b000000011100110000000000011(bitIndex5) )).

fof(bitBlastConstant_1505,axiom,(
    ~ b000000011100110000000000011(bitIndex4) )).

fof(bitBlastConstant_1504,axiom,(
    ~ b000000011100110000000000011(bitIndex3) )).

fof(bitBlastConstant_1503,axiom,(
    ~ b000000011100110000000000011(bitIndex2) )).

fof(bitBlastConstant_1502,axiom,(
    b000000011100110000000000011(bitIndex1) )).

fof(bitBlastConstant_1501,axiom,(
    b000000011100110000000000011(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_202,axiom,(
    ! [VarCurr] :
      ( v4115(VarCurr)
    <=> ( ( v4073(VarCurr,bitIndex26)
        <=> $false )
        & ( v4073(VarCurr,bitIndex25)
        <=> $false )
        & ( v4073(VarCurr,bitIndex24)
        <=> $false )
        & ( v4073(VarCurr,bitIndex23)
        <=> $false )
        & ( v4073(VarCurr,bitIndex22)
        <=> $false )
        & ( v4073(VarCurr,bitIndex21)
        <=> $false )
        & ( v4073(VarCurr,bitIndex20)
        <=> $false )
        & ( v4073(VarCurr,bitIndex19)
        <=> $true )
        & ( v4073(VarCurr,bitIndex18)
        <=> $true )
        & ( v4073(VarCurr,bitIndex17)
        <=> $false )
        & ( v4073(VarCurr,bitIndex16)
        <=> $false )
        & ( v4073(VarCurr,bitIndex15)
        <=> $false )
        & ( v4073(VarCurr,bitIndex14)
        <=> $true )
        & ( v4073(VarCurr,bitIndex13)
        <=> $true )
        & ( v4073(VarCurr,bitIndex12)
        <=> $false )
        & ( v4073(VarCurr,bitIndex11)
        <=> $false )
        & ( v4073(VarCurr,bitIndex10)
        <=> $false )
        & ( v4073(VarCurr,bitIndex9)
        <=> $false )
        & ( v4073(VarCurr,bitIndex8)
        <=> $false )
        & ( v4073(VarCurr,bitIndex7)
        <=> $false )
        & ( v4073(VarCurr,bitIndex6)
        <=> $false )
        & ( v4073(VarCurr,bitIndex5)
        <=> $false )
        & ( v4073(VarCurr,bitIndex4)
        <=> $false )
        & ( v4073(VarCurr,bitIndex3)
        <=> $false )
        & ( v4073(VarCurr,bitIndex2)
        <=> $false )
        & ( v4073(VarCurr,bitIndex1)
        <=> $true )
        & ( v4073(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1500,axiom,(
    ~ b000000011000110000000000011(bitIndex26) )).

fof(bitBlastConstant_1499,axiom,(
    ~ b000000011000110000000000011(bitIndex25) )).

fof(bitBlastConstant_1498,axiom,(
    ~ b000000011000110000000000011(bitIndex24) )).

fof(bitBlastConstant_1497,axiom,(
    ~ b000000011000110000000000011(bitIndex23) )).

fof(bitBlastConstant_1496,axiom,(
    ~ b000000011000110000000000011(bitIndex22) )).

fof(bitBlastConstant_1495,axiom,(
    ~ b000000011000110000000000011(bitIndex21) )).

fof(bitBlastConstant_1494,axiom,(
    ~ b000000011000110000000000011(bitIndex20) )).

fof(bitBlastConstant_1493,axiom,(
    b000000011000110000000000011(bitIndex19) )).

fof(bitBlastConstant_1492,axiom,(
    b000000011000110000000000011(bitIndex18) )).

fof(bitBlastConstant_1491,axiom,(
    ~ b000000011000110000000000011(bitIndex17) )).

fof(bitBlastConstant_1490,axiom,(
    ~ b000000011000110000000000011(bitIndex16) )).

fof(bitBlastConstant_1489,axiom,(
    ~ b000000011000110000000000011(bitIndex15) )).

fof(bitBlastConstant_1488,axiom,(
    b000000011000110000000000011(bitIndex14) )).

fof(bitBlastConstant_1487,axiom,(
    b000000011000110000000000011(bitIndex13) )).

fof(bitBlastConstant_1486,axiom,(
    ~ b000000011000110000000000011(bitIndex12) )).

fof(bitBlastConstant_1485,axiom,(
    ~ b000000011000110000000000011(bitIndex11) )).

fof(bitBlastConstant_1484,axiom,(
    ~ b000000011000110000000000011(bitIndex10) )).

fof(bitBlastConstant_1483,axiom,(
    ~ b000000011000110000000000011(bitIndex9) )).

fof(bitBlastConstant_1482,axiom,(
    ~ b000000011000110000000000011(bitIndex8) )).

fof(bitBlastConstant_1481,axiom,(
    ~ b000000011000110000000000011(bitIndex7) )).

fof(bitBlastConstant_1480,axiom,(
    ~ b000000011000110000000000011(bitIndex6) )).

fof(bitBlastConstant_1479,axiom,(
    ~ b000000011000110000000000011(bitIndex5) )).

fof(bitBlastConstant_1478,axiom,(
    ~ b000000011000110000000000011(bitIndex4) )).

fof(bitBlastConstant_1477,axiom,(
    ~ b000000011000110000000000011(bitIndex3) )).

fof(bitBlastConstant_1476,axiom,(
    ~ b000000011000110000000000011(bitIndex2) )).

fof(bitBlastConstant_1475,axiom,(
    b000000011000110000000000011(bitIndex1) )).

fof(bitBlastConstant_1474,axiom,(
    b000000011000110000000000011(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_109,axiom,(
    ! [VarCurr] :
      ( ~ v4087(VarCurr)
     => ( v4102(VarCurr)
      <=> v4106(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_110,axiom,(
    ! [VarCurr] :
      ( v4087(VarCurr)
     => ( v4102(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_34,axiom,(
    ! [VarCurr] :
      ( ( ~ v4089(VarCurr)
        & ~ v4091(VarCurr) )
     => ( v4106(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_65,axiom,(
    ! [VarCurr] :
      ( v4091(VarCurr)
     => ( v4106(VarCurr)
      <=> v4108(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_66,axiom,(
    ! [VarCurr] :
      ( v4089(VarCurr)
     => ( v4106(VarCurr)
      <=> v4107(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_201,axiom,(
    ! [VarCurr] :
      ( v4108(VarCurr)
    <=> ( ( v4073(VarCurr,bitIndex26)
        <=> $false )
        & ( v4073(VarCurr,bitIndex25)
        <=> $false )
        & ( v4073(VarCurr,bitIndex24)
        <=> $false )
        & ( v4073(VarCurr,bitIndex23)
        <=> $false )
        & ( v4073(VarCurr,bitIndex22)
        <=> $false )
        & ( v4073(VarCurr,bitIndex21)
        <=> $false )
        & ( v4073(VarCurr,bitIndex20)
        <=> $false )
        & ( v4073(VarCurr,bitIndex19)
        <=> $true )
        & ( v4073(VarCurr,bitIndex18)
        <=> $true )
        & ( v4073(VarCurr,bitIndex17)
        <=> $true )
        & ( v4073(VarCurr,bitIndex16)
        <=> $false )
        & ( v4073(VarCurr,bitIndex15)
        <=> $false )
        & ( v4073(VarCurr,bitIndex14)
        <=> $true )
        & ( v4073(VarCurr,bitIndex13)
        <=> $true )
        & ( v4073(VarCurr,bitIndex12)
        <=> $false )
        & ( v4073(VarCurr,bitIndex11)
        <=> $false )
        & ( v4073(VarCurr,bitIndex10)
        <=> $false )
        & ( v4073(VarCurr,bitIndex9)
        <=> $false )
        & ( v4073(VarCurr,bitIndex8)
        <=> $false )
        & ( v4073(VarCurr,bitIndex7)
        <=> $false )
        & ( v4073(VarCurr,bitIndex6)
        <=> $false )
        & ( v4073(VarCurr,bitIndex5)
        <=> $false )
        & ( v4073(VarCurr,bitIndex4)
        <=> $false )
        & ( v4073(VarCurr,bitIndex3)
        <=> $false )
        & ( v4073(VarCurr,bitIndex2)
        <=> $false )
        & ( v4073(VarCurr,bitIndex1)
        <=> $true )
        & ( v4073(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1473,axiom,(
    ~ b000000011100110000000000010(bitIndex26) )).

fof(bitBlastConstant_1472,axiom,(
    ~ b000000011100110000000000010(bitIndex25) )).

fof(bitBlastConstant_1471,axiom,(
    ~ b000000011100110000000000010(bitIndex24) )).

fof(bitBlastConstant_1470,axiom,(
    ~ b000000011100110000000000010(bitIndex23) )).

fof(bitBlastConstant_1469,axiom,(
    ~ b000000011100110000000000010(bitIndex22) )).

fof(bitBlastConstant_1468,axiom,(
    ~ b000000011100110000000000010(bitIndex21) )).

fof(bitBlastConstant_1467,axiom,(
    ~ b000000011100110000000000010(bitIndex20) )).

fof(bitBlastConstant_1466,axiom,(
    b000000011100110000000000010(bitIndex19) )).

fof(bitBlastConstant_1465,axiom,(
    b000000011100110000000000010(bitIndex18) )).

fof(bitBlastConstant_1464,axiom,(
    b000000011100110000000000010(bitIndex17) )).

fof(bitBlastConstant_1463,axiom,(
    ~ b000000011100110000000000010(bitIndex16) )).

fof(bitBlastConstant_1462,axiom,(
    ~ b000000011100110000000000010(bitIndex15) )).

fof(bitBlastConstant_1461,axiom,(
    b000000011100110000000000010(bitIndex14) )).

fof(bitBlastConstant_1460,axiom,(
    b000000011100110000000000010(bitIndex13) )).

fof(bitBlastConstant_1459,axiom,(
    ~ b000000011100110000000000010(bitIndex12) )).

fof(bitBlastConstant_1458,axiom,(
    ~ b000000011100110000000000010(bitIndex11) )).

fof(bitBlastConstant_1457,axiom,(
    ~ b000000011100110000000000010(bitIndex10) )).

fof(bitBlastConstant_1456,axiom,(
    ~ b000000011100110000000000010(bitIndex9) )).

fof(bitBlastConstant_1455,axiom,(
    ~ b000000011100110000000000010(bitIndex8) )).

fof(bitBlastConstant_1454,axiom,(
    ~ b000000011100110000000000010(bitIndex7) )).

fof(bitBlastConstant_1453,axiom,(
    ~ b000000011100110000000000010(bitIndex6) )).

fof(bitBlastConstant_1452,axiom,(
    ~ b000000011100110000000000010(bitIndex5) )).

fof(bitBlastConstant_1451,axiom,(
    ~ b000000011100110000000000010(bitIndex4) )).

fof(bitBlastConstant_1450,axiom,(
    ~ b000000011100110000000000010(bitIndex3) )).

fof(bitBlastConstant_1449,axiom,(
    ~ b000000011100110000000000010(bitIndex2) )).

fof(bitBlastConstant_1448,axiom,(
    b000000011100110000000000010(bitIndex1) )).

fof(bitBlastConstant_1447,axiom,(
    ~ b000000011100110000000000010(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_200,axiom,(
    ! [VarCurr] :
      ( v4107(VarCurr)
    <=> ( ( v4073(VarCurr,bitIndex26)
        <=> $false )
        & ( v4073(VarCurr,bitIndex25)
        <=> $false )
        & ( v4073(VarCurr,bitIndex24)
        <=> $false )
        & ( v4073(VarCurr,bitIndex23)
        <=> $false )
        & ( v4073(VarCurr,bitIndex22)
        <=> $false )
        & ( v4073(VarCurr,bitIndex21)
        <=> $false )
        & ( v4073(VarCurr,bitIndex20)
        <=> $false )
        & ( v4073(VarCurr,bitIndex19)
        <=> $true )
        & ( v4073(VarCurr,bitIndex18)
        <=> $true )
        & ( v4073(VarCurr,bitIndex17)
        <=> $false )
        & ( v4073(VarCurr,bitIndex16)
        <=> $false )
        & ( v4073(VarCurr,bitIndex15)
        <=> $false )
        & ( v4073(VarCurr,bitIndex14)
        <=> $true )
        & ( v4073(VarCurr,bitIndex13)
        <=> $true )
        & ( v4073(VarCurr,bitIndex12)
        <=> $false )
        & ( v4073(VarCurr,bitIndex11)
        <=> $false )
        & ( v4073(VarCurr,bitIndex10)
        <=> $false )
        & ( v4073(VarCurr,bitIndex9)
        <=> $false )
        & ( v4073(VarCurr,bitIndex8)
        <=> $false )
        & ( v4073(VarCurr,bitIndex7)
        <=> $false )
        & ( v4073(VarCurr,bitIndex6)
        <=> $false )
        & ( v4073(VarCurr,bitIndex5)
        <=> $false )
        & ( v4073(VarCurr,bitIndex4)
        <=> $false )
        & ( v4073(VarCurr,bitIndex3)
        <=> $false )
        & ( v4073(VarCurr,bitIndex2)
        <=> $false )
        & ( v4073(VarCurr,bitIndex1)
        <=> $true )
        & ( v4073(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1446,axiom,(
    ~ b000000011000110000000000010(bitIndex26) )).

fof(bitBlastConstant_1445,axiom,(
    ~ b000000011000110000000000010(bitIndex25) )).

fof(bitBlastConstant_1444,axiom,(
    ~ b000000011000110000000000010(bitIndex24) )).

fof(bitBlastConstant_1443,axiom,(
    ~ b000000011000110000000000010(bitIndex23) )).

fof(bitBlastConstant_1442,axiom,(
    ~ b000000011000110000000000010(bitIndex22) )).

fof(bitBlastConstant_1441,axiom,(
    ~ b000000011000110000000000010(bitIndex21) )).

fof(bitBlastConstant_1440,axiom,(
    ~ b000000011000110000000000010(bitIndex20) )).

fof(bitBlastConstant_1439,axiom,(
    b000000011000110000000000010(bitIndex19) )).

fof(bitBlastConstant_1438,axiom,(
    b000000011000110000000000010(bitIndex18) )).

fof(bitBlastConstant_1437,axiom,(
    ~ b000000011000110000000000010(bitIndex17) )).

fof(bitBlastConstant_1436,axiom,(
    ~ b000000011000110000000000010(bitIndex16) )).

fof(bitBlastConstant_1435,axiom,(
    ~ b000000011000110000000000010(bitIndex15) )).

fof(bitBlastConstant_1434,axiom,(
    b000000011000110000000000010(bitIndex14) )).

fof(bitBlastConstant_1433,axiom,(
    b000000011000110000000000010(bitIndex13) )).

fof(bitBlastConstant_1432,axiom,(
    ~ b000000011000110000000000010(bitIndex12) )).

fof(bitBlastConstant_1431,axiom,(
    ~ b000000011000110000000000010(bitIndex11) )).

fof(bitBlastConstant_1430,axiom,(
    ~ b000000011000110000000000010(bitIndex10) )).

fof(bitBlastConstant_1429,axiom,(
    ~ b000000011000110000000000010(bitIndex9) )).

fof(bitBlastConstant_1428,axiom,(
    ~ b000000011000110000000000010(bitIndex8) )).

fof(bitBlastConstant_1427,axiom,(
    ~ b000000011000110000000000010(bitIndex7) )).

fof(bitBlastConstant_1426,axiom,(
    ~ b000000011000110000000000010(bitIndex6) )).

fof(bitBlastConstant_1425,axiom,(
    ~ b000000011000110000000000010(bitIndex5) )).

fof(bitBlastConstant_1424,axiom,(
    ~ b000000011000110000000000010(bitIndex4) )).

fof(bitBlastConstant_1423,axiom,(
    ~ b000000011000110000000000010(bitIndex3) )).

fof(bitBlastConstant_1422,axiom,(
    ~ b000000011000110000000000010(bitIndex2) )).

fof(bitBlastConstant_1421,axiom,(
    b000000011000110000000000010(bitIndex1) )).

fof(bitBlastConstant_1420,axiom,(
    ~ b000000011000110000000000010(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_108,axiom,(
    ! [VarCurr] :
      ( ~ v4087(VarCurr)
     => ( v4094(VarCurr)
      <=> v4098(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_109,axiom,(
    ! [VarCurr] :
      ( v4087(VarCurr)
     => ( v4094(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_33,axiom,(
    ! [VarCurr] :
      ( ( ~ v4089(VarCurr)
        & ~ v4091(VarCurr) )
     => ( v4098(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_64,axiom,(
    ! [VarCurr] :
      ( v4091(VarCurr)
     => ( v4098(VarCurr)
      <=> v4100(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_65,axiom,(
    ! [VarCurr] :
      ( v4089(VarCurr)
     => ( v4098(VarCurr)
      <=> v4099(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_199,axiom,(
    ! [VarCurr] :
      ( v4100(VarCurr)
    <=> ( ( v4073(VarCurr,bitIndex26)
        <=> $false )
        & ( v4073(VarCurr,bitIndex25)
        <=> $false )
        & ( v4073(VarCurr,bitIndex24)
        <=> $false )
        & ( v4073(VarCurr,bitIndex23)
        <=> $false )
        & ( v4073(VarCurr,bitIndex22)
        <=> $false )
        & ( v4073(VarCurr,bitIndex21)
        <=> $false )
        & ( v4073(VarCurr,bitIndex20)
        <=> $false )
        & ( v4073(VarCurr,bitIndex19)
        <=> $true )
        & ( v4073(VarCurr,bitIndex18)
        <=> $true )
        & ( v4073(VarCurr,bitIndex17)
        <=> $true )
        & ( v4073(VarCurr,bitIndex16)
        <=> $false )
        & ( v4073(VarCurr,bitIndex15)
        <=> $false )
        & ( v4073(VarCurr,bitIndex14)
        <=> $true )
        & ( v4073(VarCurr,bitIndex13)
        <=> $true )
        & ( v4073(VarCurr,bitIndex12)
        <=> $false )
        & ( v4073(VarCurr,bitIndex11)
        <=> $false )
        & ( v4073(VarCurr,bitIndex10)
        <=> $false )
        & ( v4073(VarCurr,bitIndex9)
        <=> $false )
        & ( v4073(VarCurr,bitIndex8)
        <=> $false )
        & ( v4073(VarCurr,bitIndex7)
        <=> $false )
        & ( v4073(VarCurr,bitIndex6)
        <=> $false )
        & ( v4073(VarCurr,bitIndex5)
        <=> $false )
        & ( v4073(VarCurr,bitIndex4)
        <=> $false )
        & ( v4073(VarCurr,bitIndex3)
        <=> $false )
        & ( v4073(VarCurr,bitIndex2)
        <=> $false )
        & ( v4073(VarCurr,bitIndex1)
        <=> $false )
        & ( v4073(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1419,axiom,(
    ~ b000000011100110000000000001(bitIndex26) )).

fof(bitBlastConstant_1418,axiom,(
    ~ b000000011100110000000000001(bitIndex25) )).

fof(bitBlastConstant_1417,axiom,(
    ~ b000000011100110000000000001(bitIndex24) )).

fof(bitBlastConstant_1416,axiom,(
    ~ b000000011100110000000000001(bitIndex23) )).

fof(bitBlastConstant_1415,axiom,(
    ~ b000000011100110000000000001(bitIndex22) )).

fof(bitBlastConstant_1414,axiom,(
    ~ b000000011100110000000000001(bitIndex21) )).

fof(bitBlastConstant_1413,axiom,(
    ~ b000000011100110000000000001(bitIndex20) )).

fof(bitBlastConstant_1412,axiom,(
    b000000011100110000000000001(bitIndex19) )).

fof(bitBlastConstant_1411,axiom,(
    b000000011100110000000000001(bitIndex18) )).

fof(bitBlastConstant_1410,axiom,(
    b000000011100110000000000001(bitIndex17) )).

fof(bitBlastConstant_1409,axiom,(
    ~ b000000011100110000000000001(bitIndex16) )).

fof(bitBlastConstant_1408,axiom,(
    ~ b000000011100110000000000001(bitIndex15) )).

fof(bitBlastConstant_1407,axiom,(
    b000000011100110000000000001(bitIndex14) )).

fof(bitBlastConstant_1406,axiom,(
    b000000011100110000000000001(bitIndex13) )).

fof(bitBlastConstant_1405,axiom,(
    ~ b000000011100110000000000001(bitIndex12) )).

fof(bitBlastConstant_1404,axiom,(
    ~ b000000011100110000000000001(bitIndex11) )).

fof(bitBlastConstant_1403,axiom,(
    ~ b000000011100110000000000001(bitIndex10) )).

fof(bitBlastConstant_1402,axiom,(
    ~ b000000011100110000000000001(bitIndex9) )).

fof(bitBlastConstant_1401,axiom,(
    ~ b000000011100110000000000001(bitIndex8) )).

fof(bitBlastConstant_1400,axiom,(
    ~ b000000011100110000000000001(bitIndex7) )).

fof(bitBlastConstant_1399,axiom,(
    ~ b000000011100110000000000001(bitIndex6) )).

fof(bitBlastConstant_1398,axiom,(
    ~ b000000011100110000000000001(bitIndex5) )).

fof(bitBlastConstant_1397,axiom,(
    ~ b000000011100110000000000001(bitIndex4) )).

fof(bitBlastConstant_1396,axiom,(
    ~ b000000011100110000000000001(bitIndex3) )).

fof(bitBlastConstant_1395,axiom,(
    ~ b000000011100110000000000001(bitIndex2) )).

fof(bitBlastConstant_1394,axiom,(
    ~ b000000011100110000000000001(bitIndex1) )).

fof(bitBlastConstant_1393,axiom,(
    b000000011100110000000000001(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_198,axiom,(
    ! [VarCurr] :
      ( v4099(VarCurr)
    <=> ( ( v4073(VarCurr,bitIndex26)
        <=> $false )
        & ( v4073(VarCurr,bitIndex25)
        <=> $false )
        & ( v4073(VarCurr,bitIndex24)
        <=> $false )
        & ( v4073(VarCurr,bitIndex23)
        <=> $false )
        & ( v4073(VarCurr,bitIndex22)
        <=> $false )
        & ( v4073(VarCurr,bitIndex21)
        <=> $false )
        & ( v4073(VarCurr,bitIndex20)
        <=> $false )
        & ( v4073(VarCurr,bitIndex19)
        <=> $true )
        & ( v4073(VarCurr,bitIndex18)
        <=> $true )
        & ( v4073(VarCurr,bitIndex17)
        <=> $false )
        & ( v4073(VarCurr,bitIndex16)
        <=> $false )
        & ( v4073(VarCurr,bitIndex15)
        <=> $false )
        & ( v4073(VarCurr,bitIndex14)
        <=> $true )
        & ( v4073(VarCurr,bitIndex13)
        <=> $true )
        & ( v4073(VarCurr,bitIndex12)
        <=> $false )
        & ( v4073(VarCurr,bitIndex11)
        <=> $false )
        & ( v4073(VarCurr,bitIndex10)
        <=> $false )
        & ( v4073(VarCurr,bitIndex9)
        <=> $false )
        & ( v4073(VarCurr,bitIndex8)
        <=> $false )
        & ( v4073(VarCurr,bitIndex7)
        <=> $false )
        & ( v4073(VarCurr,bitIndex6)
        <=> $false )
        & ( v4073(VarCurr,bitIndex5)
        <=> $false )
        & ( v4073(VarCurr,bitIndex4)
        <=> $false )
        & ( v4073(VarCurr,bitIndex3)
        <=> $false )
        & ( v4073(VarCurr,bitIndex2)
        <=> $false )
        & ( v4073(VarCurr,bitIndex1)
        <=> $false )
        & ( v4073(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1392,axiom,(
    ~ b000000011000110000000000001(bitIndex26) )).

fof(bitBlastConstant_1391,axiom,(
    ~ b000000011000110000000000001(bitIndex25) )).

fof(bitBlastConstant_1390,axiom,(
    ~ b000000011000110000000000001(bitIndex24) )).

fof(bitBlastConstant_1389,axiom,(
    ~ b000000011000110000000000001(bitIndex23) )).

fof(bitBlastConstant_1388,axiom,(
    ~ b000000011000110000000000001(bitIndex22) )).

fof(bitBlastConstant_1387,axiom,(
    ~ b000000011000110000000000001(bitIndex21) )).

fof(bitBlastConstant_1386,axiom,(
    ~ b000000011000110000000000001(bitIndex20) )).

fof(bitBlastConstant_1385,axiom,(
    b000000011000110000000000001(bitIndex19) )).

fof(bitBlastConstant_1384,axiom,(
    b000000011000110000000000001(bitIndex18) )).

fof(bitBlastConstant_1383,axiom,(
    ~ b000000011000110000000000001(bitIndex17) )).

fof(bitBlastConstant_1382,axiom,(
    ~ b000000011000110000000000001(bitIndex16) )).

fof(bitBlastConstant_1381,axiom,(
    ~ b000000011000110000000000001(bitIndex15) )).

fof(bitBlastConstant_1380,axiom,(
    b000000011000110000000000001(bitIndex14) )).

fof(bitBlastConstant_1379,axiom,(
    b000000011000110000000000001(bitIndex13) )).

fof(bitBlastConstant_1378,axiom,(
    ~ b000000011000110000000000001(bitIndex12) )).

fof(bitBlastConstant_1377,axiom,(
    ~ b000000011000110000000000001(bitIndex11) )).

fof(bitBlastConstant_1376,axiom,(
    ~ b000000011000110000000000001(bitIndex10) )).

fof(bitBlastConstant_1375,axiom,(
    ~ b000000011000110000000000001(bitIndex9) )).

fof(bitBlastConstant_1374,axiom,(
    ~ b000000011000110000000000001(bitIndex8) )).

fof(bitBlastConstant_1373,axiom,(
    ~ b000000011000110000000000001(bitIndex7) )).

fof(bitBlastConstant_1372,axiom,(
    ~ b000000011000110000000000001(bitIndex6) )).

fof(bitBlastConstant_1371,axiom,(
    ~ b000000011000110000000000001(bitIndex5) )).

fof(bitBlastConstant_1370,axiom,(
    ~ b000000011000110000000000001(bitIndex4) )).

fof(bitBlastConstant_1369,axiom,(
    ~ b000000011000110000000000001(bitIndex3) )).

fof(bitBlastConstant_1368,axiom,(
    ~ b000000011000110000000000001(bitIndex2) )).

fof(bitBlastConstant_1367,axiom,(
    ~ b000000011000110000000000001(bitIndex1) )).

fof(bitBlastConstant_1366,axiom,(
    b000000011000110000000000001(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_107,axiom,(
    ! [VarCurr] :
      ( ~ v4087(VarCurr)
     => ( v4065(VarCurr)
      <=> v4088(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_108,axiom,(
    ! [VarCurr] :
      ( v4087(VarCurr)
     => ( v4065(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_32,axiom,(
    ! [VarCurr] :
      ( ( ~ v4089(VarCurr)
        & ~ v4091(VarCurr) )
     => ( v4088(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_63,axiom,(
    ! [VarCurr] :
      ( v4091(VarCurr)
     => ( v4088(VarCurr)
      <=> v4092(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_64,axiom,(
    ! [VarCurr] :
      ( v4089(VarCurr)
     => ( v4088(VarCurr)
      <=> v4090(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_197,axiom,(
    ! [VarCurr] :
      ( v4092(VarCurr)
    <=> ( ( v4073(VarCurr,bitIndex26)
        <=> $false )
        & ( v4073(VarCurr,bitIndex25)
        <=> $false )
        & ( v4073(VarCurr,bitIndex24)
        <=> $false )
        & ( v4073(VarCurr,bitIndex23)
        <=> $false )
        & ( v4073(VarCurr,bitIndex22)
        <=> $false )
        & ( v4073(VarCurr,bitIndex21)
        <=> $false )
        & ( v4073(VarCurr,bitIndex20)
        <=> $false )
        & ( v4073(VarCurr,bitIndex19)
        <=> $true )
        & ( v4073(VarCurr,bitIndex18)
        <=> $true )
        & ( v4073(VarCurr,bitIndex17)
        <=> $true )
        & ( v4073(VarCurr,bitIndex16)
        <=> $false )
        & ( v4073(VarCurr,bitIndex15)
        <=> $false )
        & ( v4073(VarCurr,bitIndex14)
        <=> $true )
        & ( v4073(VarCurr,bitIndex13)
        <=> $true )
        & ( v4073(VarCurr,bitIndex12)
        <=> $false )
        & ( v4073(VarCurr,bitIndex11)
        <=> $false )
        & ( v4073(VarCurr,bitIndex10)
        <=> $false )
        & ( v4073(VarCurr,bitIndex9)
        <=> $false )
        & ( v4073(VarCurr,bitIndex8)
        <=> $false )
        & ( v4073(VarCurr,bitIndex7)
        <=> $false )
        & ( v4073(VarCurr,bitIndex6)
        <=> $false )
        & ( v4073(VarCurr,bitIndex5)
        <=> $false )
        & ( v4073(VarCurr,bitIndex4)
        <=> $false )
        & ( v4073(VarCurr,bitIndex3)
        <=> $false )
        & ( v4073(VarCurr,bitIndex2)
        <=> $false )
        & ( v4073(VarCurr,bitIndex1)
        <=> $false )
        & ( v4073(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1365,axiom,(
    ~ b000000011100110000000000000(bitIndex26) )).

fof(bitBlastConstant_1364,axiom,(
    ~ b000000011100110000000000000(bitIndex25) )).

fof(bitBlastConstant_1363,axiom,(
    ~ b000000011100110000000000000(bitIndex24) )).

fof(bitBlastConstant_1362,axiom,(
    ~ b000000011100110000000000000(bitIndex23) )).

fof(bitBlastConstant_1361,axiom,(
    ~ b000000011100110000000000000(bitIndex22) )).

fof(bitBlastConstant_1360,axiom,(
    ~ b000000011100110000000000000(bitIndex21) )).

fof(bitBlastConstant_1359,axiom,(
    ~ b000000011100110000000000000(bitIndex20) )).

fof(bitBlastConstant_1358,axiom,(
    b000000011100110000000000000(bitIndex19) )).

fof(bitBlastConstant_1357,axiom,(
    b000000011100110000000000000(bitIndex18) )).

fof(bitBlastConstant_1356,axiom,(
    b000000011100110000000000000(bitIndex17) )).

fof(bitBlastConstant_1355,axiom,(
    ~ b000000011100110000000000000(bitIndex16) )).

fof(bitBlastConstant_1354,axiom,(
    ~ b000000011100110000000000000(bitIndex15) )).

fof(bitBlastConstant_1353,axiom,(
    b000000011100110000000000000(bitIndex14) )).

fof(bitBlastConstant_1352,axiom,(
    b000000011100110000000000000(bitIndex13) )).

fof(bitBlastConstant_1351,axiom,(
    ~ b000000011100110000000000000(bitIndex12) )).

fof(bitBlastConstant_1350,axiom,(
    ~ b000000011100110000000000000(bitIndex11) )).

fof(bitBlastConstant_1349,axiom,(
    ~ b000000011100110000000000000(bitIndex10) )).

fof(bitBlastConstant_1348,axiom,(
    ~ b000000011100110000000000000(bitIndex9) )).

fof(bitBlastConstant_1347,axiom,(
    ~ b000000011100110000000000000(bitIndex8) )).

fof(bitBlastConstant_1346,axiom,(
    ~ b000000011100110000000000000(bitIndex7) )).

fof(bitBlastConstant_1345,axiom,(
    ~ b000000011100110000000000000(bitIndex6) )).

fof(bitBlastConstant_1344,axiom,(
    ~ b000000011100110000000000000(bitIndex5) )).

fof(bitBlastConstant_1343,axiom,(
    ~ b000000011100110000000000000(bitIndex4) )).

fof(bitBlastConstant_1342,axiom,(
    ~ b000000011100110000000000000(bitIndex3) )).

fof(bitBlastConstant_1341,axiom,(
    ~ b000000011100110000000000000(bitIndex2) )).

fof(bitBlastConstant_1340,axiom,(
    ~ b000000011100110000000000000(bitIndex1) )).

fof(bitBlastConstant_1339,axiom,(
    ~ b000000011100110000000000000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_196,axiom,(
    ! [VarCurr] :
      ( v4091(VarCurr)
    <=> ( v4067(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_195,axiom,(
    ! [VarCurr] :
      ( v4090(VarCurr)
    <=> ( ( v4073(VarCurr,bitIndex26)
        <=> $false )
        & ( v4073(VarCurr,bitIndex25)
        <=> $false )
        & ( v4073(VarCurr,bitIndex24)
        <=> $false )
        & ( v4073(VarCurr,bitIndex23)
        <=> $false )
        & ( v4073(VarCurr,bitIndex22)
        <=> $false )
        & ( v4073(VarCurr,bitIndex21)
        <=> $false )
        & ( v4073(VarCurr,bitIndex20)
        <=> $false )
        & ( v4073(VarCurr,bitIndex19)
        <=> $true )
        & ( v4073(VarCurr,bitIndex18)
        <=> $true )
        & ( v4073(VarCurr,bitIndex17)
        <=> $false )
        & ( v4073(VarCurr,bitIndex16)
        <=> $false )
        & ( v4073(VarCurr,bitIndex15)
        <=> $false )
        & ( v4073(VarCurr,bitIndex14)
        <=> $true )
        & ( v4073(VarCurr,bitIndex13)
        <=> $true )
        & ( v4073(VarCurr,bitIndex12)
        <=> $false )
        & ( v4073(VarCurr,bitIndex11)
        <=> $false )
        & ( v4073(VarCurr,bitIndex10)
        <=> $false )
        & ( v4073(VarCurr,bitIndex9)
        <=> $false )
        & ( v4073(VarCurr,bitIndex8)
        <=> $false )
        & ( v4073(VarCurr,bitIndex7)
        <=> $false )
        & ( v4073(VarCurr,bitIndex6)
        <=> $false )
        & ( v4073(VarCurr,bitIndex5)
        <=> $false )
        & ( v4073(VarCurr,bitIndex4)
        <=> $false )
        & ( v4073(VarCurr,bitIndex3)
        <=> $false )
        & ( v4073(VarCurr,bitIndex2)
        <=> $false )
        & ( v4073(VarCurr,bitIndex1)
        <=> $false )
        & ( v4073(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1338,axiom,(
    ~ b000000011000110000000000000(bitIndex26) )).

fof(bitBlastConstant_1337,axiom,(
    ~ b000000011000110000000000000(bitIndex25) )).

fof(bitBlastConstant_1336,axiom,(
    ~ b000000011000110000000000000(bitIndex24) )).

fof(bitBlastConstant_1335,axiom,(
    ~ b000000011000110000000000000(bitIndex23) )).

fof(bitBlastConstant_1334,axiom,(
    ~ b000000011000110000000000000(bitIndex22) )).

fof(bitBlastConstant_1333,axiom,(
    ~ b000000011000110000000000000(bitIndex21) )).

fof(bitBlastConstant_1332,axiom,(
    ~ b000000011000110000000000000(bitIndex20) )).

fof(bitBlastConstant_1331,axiom,(
    b000000011000110000000000000(bitIndex19) )).

fof(bitBlastConstant_1330,axiom,(
    b000000011000110000000000000(bitIndex18) )).

fof(bitBlastConstant_1329,axiom,(
    ~ b000000011000110000000000000(bitIndex17) )).

fof(bitBlastConstant_1328,axiom,(
    ~ b000000011000110000000000000(bitIndex16) )).

fof(bitBlastConstant_1327,axiom,(
    ~ b000000011000110000000000000(bitIndex15) )).

fof(bitBlastConstant_1326,axiom,(
    b000000011000110000000000000(bitIndex14) )).

fof(bitBlastConstant_1325,axiom,(
    b000000011000110000000000000(bitIndex13) )).

fof(bitBlastConstant_1324,axiom,(
    ~ b000000011000110000000000000(bitIndex12) )).

fof(bitBlastConstant_1323,axiom,(
    ~ b000000011000110000000000000(bitIndex11) )).

fof(bitBlastConstant_1322,axiom,(
    ~ b000000011000110000000000000(bitIndex10) )).

fof(bitBlastConstant_1321,axiom,(
    ~ b000000011000110000000000000(bitIndex9) )).

fof(bitBlastConstant_1320,axiom,(
    ~ b000000011000110000000000000(bitIndex8) )).

fof(bitBlastConstant_1319,axiom,(
    ~ b000000011000110000000000000(bitIndex7) )).

fof(bitBlastConstant_1318,axiom,(
    ~ b000000011000110000000000000(bitIndex6) )).

fof(bitBlastConstant_1317,axiom,(
    ~ b000000011000110000000000000(bitIndex5) )).

fof(bitBlastConstant_1316,axiom,(
    ~ b000000011000110000000000000(bitIndex4) )).

fof(bitBlastConstant_1315,axiom,(
    ~ b000000011000110000000000000(bitIndex3) )).

fof(bitBlastConstant_1314,axiom,(
    ~ b000000011000110000000000000(bitIndex2) )).

fof(bitBlastConstant_1313,axiom,(
    ~ b000000011000110000000000000(bitIndex1) )).

fof(bitBlastConstant_1312,axiom,(
    ~ b000000011000110000000000000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_194,axiom,(
    ! [VarCurr] :
      ( v4089(VarCurr)
    <=> ( v4067(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_509,axiom,(
    ! [VarCurr] :
      ( ~ v4087(VarCurr)
    <=> v4014(VarCurr) ) )).

fof(addAssignment_693,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v4073(VarCurr,B)
      <=> v4075(VarCurr,B) ) ) )).

fof(addAssignment_692,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v4075(VarCurr,B)
      <=> v4077(VarCurr,B) ) ) )).

fof(addAssignment_691,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v4077(VarCurr,B)
      <=> v4079(VarCurr,B) ) ) )).

fof(addAssignment_690,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v4079(VarCurr,B)
      <=> v4081(VarCurr,B) ) ) )).

fof(addAssignment_689,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v4081(VarCurr,B)
      <=> v4083(VarCurr,B) ) ) )).

fof(addAssignment_688,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v4083(VarCurr,B)
      <=> v3802(VarCurr,B) ) ) )).

fof(addAssignment_687,axiom,(
    ! [VarCurr] :
      ( v4067(VarCurr)
    <=> v4069(VarCurr) ) )).

fof(addAssignment_686,axiom,(
    ! [VarCurr] :
      ( v4069(VarCurr)
    <=> v4071(VarCurr) ) )).

fof(addAssignment_685,axiom,(
    ! [VarCurr] :
      ( v4071(VarCurr)
    <=> v3788(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_47,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4051(VarNext)
       => ( v4006(VarNext)
        <=> v4006(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_52,axiom,(
    ! [VarNext] :
      ( v4051(VarNext)
     => ( v4006(VarNext)
      <=> v4059(VarNext) ) ) )).

fof(addAssignment_684,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4059(VarNext)
      <=> v4057(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_106,axiom,(
    ! [VarCurr] :
      ( ~ v4046(VarCurr)
     => ( v4057(VarCurr)
      <=> v4060(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_107,axiom,(
    ! [VarCurr] :
      ( v4046(VarCurr)
     => ( v4057(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1078,axiom,(
    ! [VarCurr] :
      ( v4060(VarCurr)
    <=> ( v4014(VarCurr)
        & v4061(VarCurr) ) ) )).

fof(writeUnaryOperator_508,axiom,(
    ! [VarCurr] :
      ( ~ v4061(VarCurr)
    <=> v4026(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1077,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4051(VarNext)
      <=> v4052(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1076,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4052(VarNext)
      <=> ( v4054(VarNext)
          & v4028(VarNext) ) ) ) )).

fof(writeUnaryOperator_507,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4054(VarNext)
      <=> v4039(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_46,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4035(VarNext)
       => ( v4026(VarNext)
        <=> v4026(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_51,axiom,(
    ! [VarNext] :
      ( v4035(VarNext)
     => ( v4026(VarNext)
      <=> v4045(VarNext) ) ) )).

fof(addAssignment_683,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4045(VarNext)
      <=> v4043(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_105,axiom,(
    ! [VarCurr] :
      ( ~ v4046(VarCurr)
     => ( v4043(VarCurr)
      <=> v4014(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_106,axiom,(
    ! [VarCurr] :
      ( v4046(VarCurr)
     => ( v4043(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_506,axiom,(
    ! [VarCurr] :
      ( ~ v4046(VarCurr)
    <=> v4008(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1075,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4035(VarNext)
      <=> v4036(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1074,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4036(VarNext)
      <=> ( v4037(VarNext)
          & v4028(VarNext) ) ) ) )).

fof(writeUnaryOperator_505,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v4037(VarNext)
      <=> v4039(VarNext) ) ) )).

fof(addAssignment_682,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v4039(VarNext)
      <=> v4028(VarCurr) ) ) )).

fof(addAssignment_681,axiom,(
    ! [VarCurr] :
      ( v4028(VarCurr)
    <=> v4030(VarCurr) ) )).

fof(addAssignment_680,axiom,(
    ! [VarCurr] :
      ( v4030(VarCurr)
    <=> v4032(VarCurr) ) )).

fof(addAssignment_679,axiom,(
    ! [VarCurr] :
      ( v4032(VarCurr)
    <=> v3747(VarCurr) ) )).

fof(addAssignment_678,axiom,(
    ! [VarCurr] :
      ( v4014(VarCurr)
    <=> v4016(VarCurr) ) )).

fof(addAssignment_677,axiom,(
    ! [VarCurr] :
      ( v4016(VarCurr)
    <=> v4018(VarCurr) ) )).

fof(addAssignment_676,axiom,(
    ! [VarCurr] :
      ( v4018(VarCurr)
    <=> v4020(VarCurr) ) )).

fof(addAssignment_675,axiom,(
    ! [VarCurr] :
      ( v4020(VarCurr)
    <=> v4022(VarCurr) ) )).

fof(addAssignment_674,axiom,(
    ! [VarCurr] :
      ( v4022(VarCurr)
    <=> v4024(VarCurr) ) )).

fof(addAssignment_673,axiom,(
    ! [VarCurr] :
      ( v4024(VarCurr)
    <=> v3737(VarCurr) ) )).

fof(addAssignment_672,axiom,(
    ! [VarCurr] :
      ( v4008(VarCurr)
    <=> v4010(VarCurr) ) )).

fof(addAssignment_671,axiom,(
    ! [VarCurr] :
      ( v4010(VarCurr)
    <=> v4012(VarCurr) ) )).

fof(addAssignment_670,axiom,(
    ! [VarCurr] :
      ( v4012(VarCurr)
    <=> v3723(VarCurr) ) )).

fof(addAssignment_669,axiom,(
    ! [VarCurr] :
      ( v3853(VarCurr)
    <=> v3855(VarCurr) ) )).

fof(addAssignment_668,axiom,(
    ! [VarCurr] :
      ( v3855(VarCurr)
    <=> v3857(VarCurr) ) )).

fof(addAssignment_667,axiom,(
    ! [VarCurr] :
      ( v3857(VarCurr)
    <=> v3859(VarCurr) ) )).

fof(addAssignment_666,axiom,(
    ! [VarCurr] :
      ( v3859(VarCurr)
    <=> v3861(VarCurr) ) )).

fof(addAssignment_665,axiom,(
    ! [VarCurr] :
      ( v3861(VarCurr)
    <=> v3863(VarCurr) ) )).

fof(addAssignment_664,axiom,(
    ! [VarCurr] :
      ( v3863(VarCurr)
    <=> v3865(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1073,axiom,(
    ! [VarCurr] :
      ( v3865(VarCurr)
    <=> ( v3867(VarCurr)
        & v3987(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1072,axiom,(
    ! [VarCurr] :
      ( v3987(VarCurr)
    <=> ( v3988(VarCurr)
        | v3979(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1071,axiom,(
    ! [VarCurr] :
      ( v3988(VarCurr)
    <=> ( v3989(VarCurr)
        | v3971(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1070,axiom,(
    ! [VarCurr] :
      ( v3989(VarCurr)
    <=> ( v3990(VarCurr)
        | v3963(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1069,axiom,(
    ! [VarCurr] :
      ( v3990(VarCurr)
    <=> ( v3926(VarCurr)
        | v3955(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_104,axiom,(
    ! [VarCurr] :
      ( ~ v3948(VarCurr)
     => ( v3979(VarCurr)
      <=> v3983(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_105,axiom,(
    ! [VarCurr] :
      ( v3948(VarCurr)
     => ( v3979(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_31,axiom,(
    ! [VarCurr] :
      ( ( ~ v3950(VarCurr)
        & ~ v3952(VarCurr) )
     => ( v3983(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_62,axiom,(
    ! [VarCurr] :
      ( v3952(VarCurr)
     => ( v3983(VarCurr)
      <=> v3985(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_63,axiom,(
    ! [VarCurr] :
      ( v3950(VarCurr)
     => ( v3983(VarCurr)
      <=> v3984(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_193,axiom,(
    ! [VarCurr] :
      ( v3985(VarCurr)
    <=> ( ( v3934(VarCurr,bitIndex26)
        <=> $false )
        & ( v3934(VarCurr,bitIndex25)
        <=> $false )
        & ( v3934(VarCurr,bitIndex24)
        <=> $false )
        & ( v3934(VarCurr,bitIndex23)
        <=> $false )
        & ( v3934(VarCurr,bitIndex22)
        <=> $false )
        & ( v3934(VarCurr,bitIndex21)
        <=> $false )
        & ( v3934(VarCurr,bitIndex20)
        <=> $false )
        & ( v3934(VarCurr,bitIndex19)
        <=> $true )
        & ( v3934(VarCurr,bitIndex18)
        <=> $true )
        & ( v3934(VarCurr,bitIndex17)
        <=> $true )
        & ( v3934(VarCurr,bitIndex16)
        <=> $false )
        & ( v3934(VarCurr,bitIndex15)
        <=> $false )
        & ( v3934(VarCurr,bitIndex14)
        <=> $false )
        & ( v3934(VarCurr,bitIndex13)
        <=> $false )
        & ( v3934(VarCurr,bitIndex12)
        <=> $true )
        & ( v3934(VarCurr,bitIndex11)
        <=> $false )
        & ( v3934(VarCurr,bitIndex10)
        <=> $true )
        & ( v3934(VarCurr,bitIndex9)
        <=> $true )
        & ( v3934(VarCurr,bitIndex8)
        <=> $false )
        & ( v3934(VarCurr,bitIndex7)
        <=> $false )
        & ( v3934(VarCurr,bitIndex6)
        <=> $false )
        & ( v3934(VarCurr,bitIndex5)
        <=> $false )
        & ( v3934(VarCurr,bitIndex4)
        <=> $false )
        & ( v3934(VarCurr,bitIndex3)
        <=> $false )
        & ( v3934(VarCurr,bitIndex2)
        <=> $true )
        & ( v3934(VarCurr,bitIndex1)
        <=> $false )
        & ( v3934(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1311,axiom,(
    ~ b000000011100001011000000100(bitIndex26) )).

fof(bitBlastConstant_1310,axiom,(
    ~ b000000011100001011000000100(bitIndex25) )).

fof(bitBlastConstant_1309,axiom,(
    ~ b000000011100001011000000100(bitIndex24) )).

fof(bitBlastConstant_1308,axiom,(
    ~ b000000011100001011000000100(bitIndex23) )).

fof(bitBlastConstant_1307,axiom,(
    ~ b000000011100001011000000100(bitIndex22) )).

fof(bitBlastConstant_1306,axiom,(
    ~ b000000011100001011000000100(bitIndex21) )).

fof(bitBlastConstant_1305,axiom,(
    ~ b000000011100001011000000100(bitIndex20) )).

fof(bitBlastConstant_1304,axiom,(
    b000000011100001011000000100(bitIndex19) )).

fof(bitBlastConstant_1303,axiom,(
    b000000011100001011000000100(bitIndex18) )).

fof(bitBlastConstant_1302,axiom,(
    b000000011100001011000000100(bitIndex17) )).

fof(bitBlastConstant_1301,axiom,(
    ~ b000000011100001011000000100(bitIndex16) )).

fof(bitBlastConstant_1300,axiom,(
    ~ b000000011100001011000000100(bitIndex15) )).

fof(bitBlastConstant_1299,axiom,(
    ~ b000000011100001011000000100(bitIndex14) )).

fof(bitBlastConstant_1298,axiom,(
    ~ b000000011100001011000000100(bitIndex13) )).

fof(bitBlastConstant_1297,axiom,(
    b000000011100001011000000100(bitIndex12) )).

fof(bitBlastConstant_1296,axiom,(
    ~ b000000011100001011000000100(bitIndex11) )).

fof(bitBlastConstant_1295,axiom,(
    b000000011100001011000000100(bitIndex10) )).

fof(bitBlastConstant_1294,axiom,(
    b000000011100001011000000100(bitIndex9) )).

fof(bitBlastConstant_1293,axiom,(
    ~ b000000011100001011000000100(bitIndex8) )).

fof(bitBlastConstant_1292,axiom,(
    ~ b000000011100001011000000100(bitIndex7) )).

fof(bitBlastConstant_1291,axiom,(
    ~ b000000011100001011000000100(bitIndex6) )).

fof(bitBlastConstant_1290,axiom,(
    ~ b000000011100001011000000100(bitIndex5) )).

fof(bitBlastConstant_1289,axiom,(
    ~ b000000011100001011000000100(bitIndex4) )).

fof(bitBlastConstant_1288,axiom,(
    ~ b000000011100001011000000100(bitIndex3) )).

fof(bitBlastConstant_1287,axiom,(
    b000000011100001011000000100(bitIndex2) )).

fof(bitBlastConstant_1286,axiom,(
    ~ b000000011100001011000000100(bitIndex1) )).

fof(bitBlastConstant_1285,axiom,(
    ~ b000000011100001011000000100(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_192,axiom,(
    ! [VarCurr] :
      ( v3984(VarCurr)
    <=> ( ( v3934(VarCurr,bitIndex26)
        <=> $false )
        & ( v3934(VarCurr,bitIndex25)
        <=> $false )
        & ( v3934(VarCurr,bitIndex24)
        <=> $false )
        & ( v3934(VarCurr,bitIndex23)
        <=> $false )
        & ( v3934(VarCurr,bitIndex22)
        <=> $false )
        & ( v3934(VarCurr,bitIndex21)
        <=> $false )
        & ( v3934(VarCurr,bitIndex20)
        <=> $false )
        & ( v3934(VarCurr,bitIndex19)
        <=> $true )
        & ( v3934(VarCurr,bitIndex18)
        <=> $true )
        & ( v3934(VarCurr,bitIndex17)
        <=> $false )
        & ( v3934(VarCurr,bitIndex16)
        <=> $false )
        & ( v3934(VarCurr,bitIndex15)
        <=> $false )
        & ( v3934(VarCurr,bitIndex14)
        <=> $false )
        & ( v3934(VarCurr,bitIndex13)
        <=> $false )
        & ( v3934(VarCurr,bitIndex12)
        <=> $true )
        & ( v3934(VarCurr,bitIndex11)
        <=> $false )
        & ( v3934(VarCurr,bitIndex10)
        <=> $true )
        & ( v3934(VarCurr,bitIndex9)
        <=> $true )
        & ( v3934(VarCurr,bitIndex8)
        <=> $false )
        & ( v3934(VarCurr,bitIndex7)
        <=> $false )
        & ( v3934(VarCurr,bitIndex6)
        <=> $false )
        & ( v3934(VarCurr,bitIndex5)
        <=> $false )
        & ( v3934(VarCurr,bitIndex4)
        <=> $false )
        & ( v3934(VarCurr,bitIndex3)
        <=> $false )
        & ( v3934(VarCurr,bitIndex2)
        <=> $true )
        & ( v3934(VarCurr,bitIndex1)
        <=> $false )
        & ( v3934(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1284,axiom,(
    ~ b000000011000001011000000100(bitIndex26) )).

fof(bitBlastConstant_1283,axiom,(
    ~ b000000011000001011000000100(bitIndex25) )).

fof(bitBlastConstant_1282,axiom,(
    ~ b000000011000001011000000100(bitIndex24) )).

fof(bitBlastConstant_1281,axiom,(
    ~ b000000011000001011000000100(bitIndex23) )).

fof(bitBlastConstant_1280,axiom,(
    ~ b000000011000001011000000100(bitIndex22) )).

fof(bitBlastConstant_1279,axiom,(
    ~ b000000011000001011000000100(bitIndex21) )).

fof(bitBlastConstant_1278,axiom,(
    ~ b000000011000001011000000100(bitIndex20) )).

fof(bitBlastConstant_1277,axiom,(
    b000000011000001011000000100(bitIndex19) )).

fof(bitBlastConstant_1276,axiom,(
    b000000011000001011000000100(bitIndex18) )).

fof(bitBlastConstant_1275,axiom,(
    ~ b000000011000001011000000100(bitIndex17) )).

fof(bitBlastConstant_1274,axiom,(
    ~ b000000011000001011000000100(bitIndex16) )).

fof(bitBlastConstant_1273,axiom,(
    ~ b000000011000001011000000100(bitIndex15) )).

fof(bitBlastConstant_1272,axiom,(
    ~ b000000011000001011000000100(bitIndex14) )).

fof(bitBlastConstant_1271,axiom,(
    ~ b000000011000001011000000100(bitIndex13) )).

fof(bitBlastConstant_1270,axiom,(
    b000000011000001011000000100(bitIndex12) )).

fof(bitBlastConstant_1269,axiom,(
    ~ b000000011000001011000000100(bitIndex11) )).

fof(bitBlastConstant_1268,axiom,(
    b000000011000001011000000100(bitIndex10) )).

fof(bitBlastConstant_1267,axiom,(
    b000000011000001011000000100(bitIndex9) )).

fof(bitBlastConstant_1266,axiom,(
    ~ b000000011000001011000000100(bitIndex8) )).

fof(bitBlastConstant_1265,axiom,(
    ~ b000000011000001011000000100(bitIndex7) )).

fof(bitBlastConstant_1264,axiom,(
    ~ b000000011000001011000000100(bitIndex6) )).

fof(bitBlastConstant_1263,axiom,(
    ~ b000000011000001011000000100(bitIndex5) )).

fof(bitBlastConstant_1262,axiom,(
    ~ b000000011000001011000000100(bitIndex4) )).

fof(bitBlastConstant_1261,axiom,(
    ~ b000000011000001011000000100(bitIndex3) )).

fof(bitBlastConstant_1260,axiom,(
    b000000011000001011000000100(bitIndex2) )).

fof(bitBlastConstant_1259,axiom,(
    ~ b000000011000001011000000100(bitIndex1) )).

fof(bitBlastConstant_1258,axiom,(
    ~ b000000011000001011000000100(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_103,axiom,(
    ! [VarCurr] :
      ( ~ v3948(VarCurr)
     => ( v3971(VarCurr)
      <=> v3975(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_104,axiom,(
    ! [VarCurr] :
      ( v3948(VarCurr)
     => ( v3971(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_30,axiom,(
    ! [VarCurr] :
      ( ( ~ v3950(VarCurr)
        & ~ v3952(VarCurr) )
     => ( v3975(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_61,axiom,(
    ! [VarCurr] :
      ( v3952(VarCurr)
     => ( v3975(VarCurr)
      <=> v3977(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_62,axiom,(
    ! [VarCurr] :
      ( v3950(VarCurr)
     => ( v3975(VarCurr)
      <=> v3976(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_191,axiom,(
    ! [VarCurr] :
      ( v3977(VarCurr)
    <=> ( ( v3934(VarCurr,bitIndex26)
        <=> $false )
        & ( v3934(VarCurr,bitIndex25)
        <=> $false )
        & ( v3934(VarCurr,bitIndex24)
        <=> $false )
        & ( v3934(VarCurr,bitIndex23)
        <=> $false )
        & ( v3934(VarCurr,bitIndex22)
        <=> $false )
        & ( v3934(VarCurr,bitIndex21)
        <=> $false )
        & ( v3934(VarCurr,bitIndex20)
        <=> $false )
        & ( v3934(VarCurr,bitIndex19)
        <=> $true )
        & ( v3934(VarCurr,bitIndex18)
        <=> $true )
        & ( v3934(VarCurr,bitIndex17)
        <=> $true )
        & ( v3934(VarCurr,bitIndex16)
        <=> $false )
        & ( v3934(VarCurr,bitIndex15)
        <=> $false )
        & ( v3934(VarCurr,bitIndex14)
        <=> $false )
        & ( v3934(VarCurr,bitIndex13)
        <=> $false )
        & ( v3934(VarCurr,bitIndex12)
        <=> $true )
        & ( v3934(VarCurr,bitIndex11)
        <=> $false )
        & ( v3934(VarCurr,bitIndex10)
        <=> $true )
        & ( v3934(VarCurr,bitIndex9)
        <=> $true )
        & ( v3934(VarCurr,bitIndex8)
        <=> $false )
        & ( v3934(VarCurr,bitIndex7)
        <=> $false )
        & ( v3934(VarCurr,bitIndex6)
        <=> $false )
        & ( v3934(VarCurr,bitIndex5)
        <=> $false )
        & ( v3934(VarCurr,bitIndex4)
        <=> $false )
        & ( v3934(VarCurr,bitIndex3)
        <=> $false )
        & ( v3934(VarCurr,bitIndex2)
        <=> $false )
        & ( v3934(VarCurr,bitIndex1)
        <=> $true )
        & ( v3934(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1257,axiom,(
    ~ b000000011100001011000000011(bitIndex26) )).

fof(bitBlastConstant_1256,axiom,(
    ~ b000000011100001011000000011(bitIndex25) )).

fof(bitBlastConstant_1255,axiom,(
    ~ b000000011100001011000000011(bitIndex24) )).

fof(bitBlastConstant_1254,axiom,(
    ~ b000000011100001011000000011(bitIndex23) )).

fof(bitBlastConstant_1253,axiom,(
    ~ b000000011100001011000000011(bitIndex22) )).

fof(bitBlastConstant_1252,axiom,(
    ~ b000000011100001011000000011(bitIndex21) )).

fof(bitBlastConstant_1251,axiom,(
    ~ b000000011100001011000000011(bitIndex20) )).

fof(bitBlastConstant_1250,axiom,(
    b000000011100001011000000011(bitIndex19) )).

fof(bitBlastConstant_1249,axiom,(
    b000000011100001011000000011(bitIndex18) )).

fof(bitBlastConstant_1248,axiom,(
    b000000011100001011000000011(bitIndex17) )).

fof(bitBlastConstant_1247,axiom,(
    ~ b000000011100001011000000011(bitIndex16) )).

fof(bitBlastConstant_1246,axiom,(
    ~ b000000011100001011000000011(bitIndex15) )).

fof(bitBlastConstant_1245,axiom,(
    ~ b000000011100001011000000011(bitIndex14) )).

fof(bitBlastConstant_1244,axiom,(
    ~ b000000011100001011000000011(bitIndex13) )).

fof(bitBlastConstant_1243,axiom,(
    b000000011100001011000000011(bitIndex12) )).

fof(bitBlastConstant_1242,axiom,(
    ~ b000000011100001011000000011(bitIndex11) )).

fof(bitBlastConstant_1241,axiom,(
    b000000011100001011000000011(bitIndex10) )).

fof(bitBlastConstant_1240,axiom,(
    b000000011100001011000000011(bitIndex9) )).

fof(bitBlastConstant_1239,axiom,(
    ~ b000000011100001011000000011(bitIndex8) )).

fof(bitBlastConstant_1238,axiom,(
    ~ b000000011100001011000000011(bitIndex7) )).

fof(bitBlastConstant_1237,axiom,(
    ~ b000000011100001011000000011(bitIndex6) )).

fof(bitBlastConstant_1236,axiom,(
    ~ b000000011100001011000000011(bitIndex5) )).

fof(bitBlastConstant_1235,axiom,(
    ~ b000000011100001011000000011(bitIndex4) )).

fof(bitBlastConstant_1234,axiom,(
    ~ b000000011100001011000000011(bitIndex3) )).

fof(bitBlastConstant_1233,axiom,(
    ~ b000000011100001011000000011(bitIndex2) )).

fof(bitBlastConstant_1232,axiom,(
    b000000011100001011000000011(bitIndex1) )).

fof(bitBlastConstant_1231,axiom,(
    b000000011100001011000000011(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_190,axiom,(
    ! [VarCurr] :
      ( v3976(VarCurr)
    <=> ( ( v3934(VarCurr,bitIndex26)
        <=> $false )
        & ( v3934(VarCurr,bitIndex25)
        <=> $false )
        & ( v3934(VarCurr,bitIndex24)
        <=> $false )
        & ( v3934(VarCurr,bitIndex23)
        <=> $false )
        & ( v3934(VarCurr,bitIndex22)
        <=> $false )
        & ( v3934(VarCurr,bitIndex21)
        <=> $false )
        & ( v3934(VarCurr,bitIndex20)
        <=> $false )
        & ( v3934(VarCurr,bitIndex19)
        <=> $true )
        & ( v3934(VarCurr,bitIndex18)
        <=> $true )
        & ( v3934(VarCurr,bitIndex17)
        <=> $false )
        & ( v3934(VarCurr,bitIndex16)
        <=> $false )
        & ( v3934(VarCurr,bitIndex15)
        <=> $false )
        & ( v3934(VarCurr,bitIndex14)
        <=> $false )
        & ( v3934(VarCurr,bitIndex13)
        <=> $false )
        & ( v3934(VarCurr,bitIndex12)
        <=> $true )
        & ( v3934(VarCurr,bitIndex11)
        <=> $false )
        & ( v3934(VarCurr,bitIndex10)
        <=> $true )
        & ( v3934(VarCurr,bitIndex9)
        <=> $true )
        & ( v3934(VarCurr,bitIndex8)
        <=> $false )
        & ( v3934(VarCurr,bitIndex7)
        <=> $false )
        & ( v3934(VarCurr,bitIndex6)
        <=> $false )
        & ( v3934(VarCurr,bitIndex5)
        <=> $false )
        & ( v3934(VarCurr,bitIndex4)
        <=> $false )
        & ( v3934(VarCurr,bitIndex3)
        <=> $false )
        & ( v3934(VarCurr,bitIndex2)
        <=> $false )
        & ( v3934(VarCurr,bitIndex1)
        <=> $true )
        & ( v3934(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1230,axiom,(
    ~ b000000011000001011000000011(bitIndex26) )).

fof(bitBlastConstant_1229,axiom,(
    ~ b000000011000001011000000011(bitIndex25) )).

fof(bitBlastConstant_1228,axiom,(
    ~ b000000011000001011000000011(bitIndex24) )).

fof(bitBlastConstant_1227,axiom,(
    ~ b000000011000001011000000011(bitIndex23) )).

fof(bitBlastConstant_1226,axiom,(
    ~ b000000011000001011000000011(bitIndex22) )).

fof(bitBlastConstant_1225,axiom,(
    ~ b000000011000001011000000011(bitIndex21) )).

fof(bitBlastConstant_1224,axiom,(
    ~ b000000011000001011000000011(bitIndex20) )).

fof(bitBlastConstant_1223,axiom,(
    b000000011000001011000000011(bitIndex19) )).

fof(bitBlastConstant_1222,axiom,(
    b000000011000001011000000011(bitIndex18) )).

fof(bitBlastConstant_1221,axiom,(
    ~ b000000011000001011000000011(bitIndex17) )).

fof(bitBlastConstant_1220,axiom,(
    ~ b000000011000001011000000011(bitIndex16) )).

fof(bitBlastConstant_1219,axiom,(
    ~ b000000011000001011000000011(bitIndex15) )).

fof(bitBlastConstant_1218,axiom,(
    ~ b000000011000001011000000011(bitIndex14) )).

fof(bitBlastConstant_1217,axiom,(
    ~ b000000011000001011000000011(bitIndex13) )).

fof(bitBlastConstant_1216,axiom,(
    b000000011000001011000000011(bitIndex12) )).

fof(bitBlastConstant_1215,axiom,(
    ~ b000000011000001011000000011(bitIndex11) )).

fof(bitBlastConstant_1214,axiom,(
    b000000011000001011000000011(bitIndex10) )).

fof(bitBlastConstant_1213,axiom,(
    b000000011000001011000000011(bitIndex9) )).

fof(bitBlastConstant_1212,axiom,(
    ~ b000000011000001011000000011(bitIndex8) )).

fof(bitBlastConstant_1211,axiom,(
    ~ b000000011000001011000000011(bitIndex7) )).

fof(bitBlastConstant_1210,axiom,(
    ~ b000000011000001011000000011(bitIndex6) )).

fof(bitBlastConstant_1209,axiom,(
    ~ b000000011000001011000000011(bitIndex5) )).

fof(bitBlastConstant_1208,axiom,(
    ~ b000000011000001011000000011(bitIndex4) )).

fof(bitBlastConstant_1207,axiom,(
    ~ b000000011000001011000000011(bitIndex3) )).

fof(bitBlastConstant_1206,axiom,(
    ~ b000000011000001011000000011(bitIndex2) )).

fof(bitBlastConstant_1205,axiom,(
    b000000011000001011000000011(bitIndex1) )).

fof(bitBlastConstant_1204,axiom,(
    b000000011000001011000000011(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_102,axiom,(
    ! [VarCurr] :
      ( ~ v3948(VarCurr)
     => ( v3963(VarCurr)
      <=> v3967(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_103,axiom,(
    ! [VarCurr] :
      ( v3948(VarCurr)
     => ( v3963(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_29,axiom,(
    ! [VarCurr] :
      ( ( ~ v3950(VarCurr)
        & ~ v3952(VarCurr) )
     => ( v3967(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_60,axiom,(
    ! [VarCurr] :
      ( v3952(VarCurr)
     => ( v3967(VarCurr)
      <=> v3969(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_61,axiom,(
    ! [VarCurr] :
      ( v3950(VarCurr)
     => ( v3967(VarCurr)
      <=> v3968(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_189,axiom,(
    ! [VarCurr] :
      ( v3969(VarCurr)
    <=> ( ( v3934(VarCurr,bitIndex26)
        <=> $false )
        & ( v3934(VarCurr,bitIndex25)
        <=> $false )
        & ( v3934(VarCurr,bitIndex24)
        <=> $false )
        & ( v3934(VarCurr,bitIndex23)
        <=> $false )
        & ( v3934(VarCurr,bitIndex22)
        <=> $false )
        & ( v3934(VarCurr,bitIndex21)
        <=> $false )
        & ( v3934(VarCurr,bitIndex20)
        <=> $false )
        & ( v3934(VarCurr,bitIndex19)
        <=> $true )
        & ( v3934(VarCurr,bitIndex18)
        <=> $true )
        & ( v3934(VarCurr,bitIndex17)
        <=> $true )
        & ( v3934(VarCurr,bitIndex16)
        <=> $false )
        & ( v3934(VarCurr,bitIndex15)
        <=> $false )
        & ( v3934(VarCurr,bitIndex14)
        <=> $false )
        & ( v3934(VarCurr,bitIndex13)
        <=> $false )
        & ( v3934(VarCurr,bitIndex12)
        <=> $true )
        & ( v3934(VarCurr,bitIndex11)
        <=> $false )
        & ( v3934(VarCurr,bitIndex10)
        <=> $true )
        & ( v3934(VarCurr,bitIndex9)
        <=> $true )
        & ( v3934(VarCurr,bitIndex8)
        <=> $false )
        & ( v3934(VarCurr,bitIndex7)
        <=> $false )
        & ( v3934(VarCurr,bitIndex6)
        <=> $false )
        & ( v3934(VarCurr,bitIndex5)
        <=> $false )
        & ( v3934(VarCurr,bitIndex4)
        <=> $false )
        & ( v3934(VarCurr,bitIndex3)
        <=> $false )
        & ( v3934(VarCurr,bitIndex2)
        <=> $false )
        & ( v3934(VarCurr,bitIndex1)
        <=> $true )
        & ( v3934(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1203,axiom,(
    ~ b000000011100001011000000010(bitIndex26) )).

fof(bitBlastConstant_1202,axiom,(
    ~ b000000011100001011000000010(bitIndex25) )).

fof(bitBlastConstant_1201,axiom,(
    ~ b000000011100001011000000010(bitIndex24) )).

fof(bitBlastConstant_1200,axiom,(
    ~ b000000011100001011000000010(bitIndex23) )).

fof(bitBlastConstant_1199,axiom,(
    ~ b000000011100001011000000010(bitIndex22) )).

fof(bitBlastConstant_1198,axiom,(
    ~ b000000011100001011000000010(bitIndex21) )).

fof(bitBlastConstant_1197,axiom,(
    ~ b000000011100001011000000010(bitIndex20) )).

fof(bitBlastConstant_1196,axiom,(
    b000000011100001011000000010(bitIndex19) )).

fof(bitBlastConstant_1195,axiom,(
    b000000011100001011000000010(bitIndex18) )).

fof(bitBlastConstant_1194,axiom,(
    b000000011100001011000000010(bitIndex17) )).

fof(bitBlastConstant_1193,axiom,(
    ~ b000000011100001011000000010(bitIndex16) )).

fof(bitBlastConstant_1192,axiom,(
    ~ b000000011100001011000000010(bitIndex15) )).

fof(bitBlastConstant_1191,axiom,(
    ~ b000000011100001011000000010(bitIndex14) )).

fof(bitBlastConstant_1190,axiom,(
    ~ b000000011100001011000000010(bitIndex13) )).

fof(bitBlastConstant_1189,axiom,(
    b000000011100001011000000010(bitIndex12) )).

fof(bitBlastConstant_1188,axiom,(
    ~ b000000011100001011000000010(bitIndex11) )).

fof(bitBlastConstant_1187,axiom,(
    b000000011100001011000000010(bitIndex10) )).

fof(bitBlastConstant_1186,axiom,(
    b000000011100001011000000010(bitIndex9) )).

fof(bitBlastConstant_1185,axiom,(
    ~ b000000011100001011000000010(bitIndex8) )).

fof(bitBlastConstant_1184,axiom,(
    ~ b000000011100001011000000010(bitIndex7) )).

fof(bitBlastConstant_1183,axiom,(
    ~ b000000011100001011000000010(bitIndex6) )).

fof(bitBlastConstant_1182,axiom,(
    ~ b000000011100001011000000010(bitIndex5) )).

fof(bitBlastConstant_1181,axiom,(
    ~ b000000011100001011000000010(bitIndex4) )).

fof(bitBlastConstant_1180,axiom,(
    ~ b000000011100001011000000010(bitIndex3) )).

fof(bitBlastConstant_1179,axiom,(
    ~ b000000011100001011000000010(bitIndex2) )).

fof(bitBlastConstant_1178,axiom,(
    b000000011100001011000000010(bitIndex1) )).

fof(bitBlastConstant_1177,axiom,(
    ~ b000000011100001011000000010(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_188,axiom,(
    ! [VarCurr] :
      ( v3968(VarCurr)
    <=> ( ( v3934(VarCurr,bitIndex26)
        <=> $false )
        & ( v3934(VarCurr,bitIndex25)
        <=> $false )
        & ( v3934(VarCurr,bitIndex24)
        <=> $false )
        & ( v3934(VarCurr,bitIndex23)
        <=> $false )
        & ( v3934(VarCurr,bitIndex22)
        <=> $false )
        & ( v3934(VarCurr,bitIndex21)
        <=> $false )
        & ( v3934(VarCurr,bitIndex20)
        <=> $false )
        & ( v3934(VarCurr,bitIndex19)
        <=> $true )
        & ( v3934(VarCurr,bitIndex18)
        <=> $true )
        & ( v3934(VarCurr,bitIndex17)
        <=> $false )
        & ( v3934(VarCurr,bitIndex16)
        <=> $false )
        & ( v3934(VarCurr,bitIndex15)
        <=> $false )
        & ( v3934(VarCurr,bitIndex14)
        <=> $false )
        & ( v3934(VarCurr,bitIndex13)
        <=> $false )
        & ( v3934(VarCurr,bitIndex12)
        <=> $true )
        & ( v3934(VarCurr,bitIndex11)
        <=> $false )
        & ( v3934(VarCurr,bitIndex10)
        <=> $true )
        & ( v3934(VarCurr,bitIndex9)
        <=> $true )
        & ( v3934(VarCurr,bitIndex8)
        <=> $false )
        & ( v3934(VarCurr,bitIndex7)
        <=> $false )
        & ( v3934(VarCurr,bitIndex6)
        <=> $false )
        & ( v3934(VarCurr,bitIndex5)
        <=> $false )
        & ( v3934(VarCurr,bitIndex4)
        <=> $false )
        & ( v3934(VarCurr,bitIndex3)
        <=> $false )
        & ( v3934(VarCurr,bitIndex2)
        <=> $false )
        & ( v3934(VarCurr,bitIndex1)
        <=> $true )
        & ( v3934(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1176,axiom,(
    ~ b000000011000001011000000010(bitIndex26) )).

fof(bitBlastConstant_1175,axiom,(
    ~ b000000011000001011000000010(bitIndex25) )).

fof(bitBlastConstant_1174,axiom,(
    ~ b000000011000001011000000010(bitIndex24) )).

fof(bitBlastConstant_1173,axiom,(
    ~ b000000011000001011000000010(bitIndex23) )).

fof(bitBlastConstant_1172,axiom,(
    ~ b000000011000001011000000010(bitIndex22) )).

fof(bitBlastConstant_1171,axiom,(
    ~ b000000011000001011000000010(bitIndex21) )).

fof(bitBlastConstant_1170,axiom,(
    ~ b000000011000001011000000010(bitIndex20) )).

fof(bitBlastConstant_1169,axiom,(
    b000000011000001011000000010(bitIndex19) )).

fof(bitBlastConstant_1168,axiom,(
    b000000011000001011000000010(bitIndex18) )).

fof(bitBlastConstant_1167,axiom,(
    ~ b000000011000001011000000010(bitIndex17) )).

fof(bitBlastConstant_1166,axiom,(
    ~ b000000011000001011000000010(bitIndex16) )).

fof(bitBlastConstant_1165,axiom,(
    ~ b000000011000001011000000010(bitIndex15) )).

fof(bitBlastConstant_1164,axiom,(
    ~ b000000011000001011000000010(bitIndex14) )).

fof(bitBlastConstant_1163,axiom,(
    ~ b000000011000001011000000010(bitIndex13) )).

fof(bitBlastConstant_1162,axiom,(
    b000000011000001011000000010(bitIndex12) )).

fof(bitBlastConstant_1161,axiom,(
    ~ b000000011000001011000000010(bitIndex11) )).

fof(bitBlastConstant_1160,axiom,(
    b000000011000001011000000010(bitIndex10) )).

fof(bitBlastConstant_1159,axiom,(
    b000000011000001011000000010(bitIndex9) )).

fof(bitBlastConstant_1158,axiom,(
    ~ b000000011000001011000000010(bitIndex8) )).

fof(bitBlastConstant_1157,axiom,(
    ~ b000000011000001011000000010(bitIndex7) )).

fof(bitBlastConstant_1156,axiom,(
    ~ b000000011000001011000000010(bitIndex6) )).

fof(bitBlastConstant_1155,axiom,(
    ~ b000000011000001011000000010(bitIndex5) )).

fof(bitBlastConstant_1154,axiom,(
    ~ b000000011000001011000000010(bitIndex4) )).

fof(bitBlastConstant_1153,axiom,(
    ~ b000000011000001011000000010(bitIndex3) )).

fof(bitBlastConstant_1152,axiom,(
    ~ b000000011000001011000000010(bitIndex2) )).

fof(bitBlastConstant_1151,axiom,(
    b000000011000001011000000010(bitIndex1) )).

fof(bitBlastConstant_1150,axiom,(
    ~ b000000011000001011000000010(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_101,axiom,(
    ! [VarCurr] :
      ( ~ v3948(VarCurr)
     => ( v3955(VarCurr)
      <=> v3959(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_102,axiom,(
    ! [VarCurr] :
      ( v3948(VarCurr)
     => ( v3955(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_28,axiom,(
    ! [VarCurr] :
      ( ( ~ v3950(VarCurr)
        & ~ v3952(VarCurr) )
     => ( v3959(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_59,axiom,(
    ! [VarCurr] :
      ( v3952(VarCurr)
     => ( v3959(VarCurr)
      <=> v3961(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_60,axiom,(
    ! [VarCurr] :
      ( v3950(VarCurr)
     => ( v3959(VarCurr)
      <=> v3960(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_187,axiom,(
    ! [VarCurr] :
      ( v3961(VarCurr)
    <=> ( ( v3934(VarCurr,bitIndex26)
        <=> $false )
        & ( v3934(VarCurr,bitIndex25)
        <=> $false )
        & ( v3934(VarCurr,bitIndex24)
        <=> $false )
        & ( v3934(VarCurr,bitIndex23)
        <=> $false )
        & ( v3934(VarCurr,bitIndex22)
        <=> $false )
        & ( v3934(VarCurr,bitIndex21)
        <=> $false )
        & ( v3934(VarCurr,bitIndex20)
        <=> $false )
        & ( v3934(VarCurr,bitIndex19)
        <=> $true )
        & ( v3934(VarCurr,bitIndex18)
        <=> $true )
        & ( v3934(VarCurr,bitIndex17)
        <=> $true )
        & ( v3934(VarCurr,bitIndex16)
        <=> $false )
        & ( v3934(VarCurr,bitIndex15)
        <=> $false )
        & ( v3934(VarCurr,bitIndex14)
        <=> $false )
        & ( v3934(VarCurr,bitIndex13)
        <=> $false )
        & ( v3934(VarCurr,bitIndex12)
        <=> $true )
        & ( v3934(VarCurr,bitIndex11)
        <=> $false )
        & ( v3934(VarCurr,bitIndex10)
        <=> $true )
        & ( v3934(VarCurr,bitIndex9)
        <=> $true )
        & ( v3934(VarCurr,bitIndex8)
        <=> $false )
        & ( v3934(VarCurr,bitIndex7)
        <=> $false )
        & ( v3934(VarCurr,bitIndex6)
        <=> $false )
        & ( v3934(VarCurr,bitIndex5)
        <=> $false )
        & ( v3934(VarCurr,bitIndex4)
        <=> $false )
        & ( v3934(VarCurr,bitIndex3)
        <=> $false )
        & ( v3934(VarCurr,bitIndex2)
        <=> $false )
        & ( v3934(VarCurr,bitIndex1)
        <=> $false )
        & ( v3934(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1149,axiom,(
    ~ b000000011100001011000000001(bitIndex26) )).

fof(bitBlastConstant_1148,axiom,(
    ~ b000000011100001011000000001(bitIndex25) )).

fof(bitBlastConstant_1147,axiom,(
    ~ b000000011100001011000000001(bitIndex24) )).

fof(bitBlastConstant_1146,axiom,(
    ~ b000000011100001011000000001(bitIndex23) )).

fof(bitBlastConstant_1145,axiom,(
    ~ b000000011100001011000000001(bitIndex22) )).

fof(bitBlastConstant_1144,axiom,(
    ~ b000000011100001011000000001(bitIndex21) )).

fof(bitBlastConstant_1143,axiom,(
    ~ b000000011100001011000000001(bitIndex20) )).

fof(bitBlastConstant_1142,axiom,(
    b000000011100001011000000001(bitIndex19) )).

fof(bitBlastConstant_1141,axiom,(
    b000000011100001011000000001(bitIndex18) )).

fof(bitBlastConstant_1140,axiom,(
    b000000011100001011000000001(bitIndex17) )).

fof(bitBlastConstant_1139,axiom,(
    ~ b000000011100001011000000001(bitIndex16) )).

fof(bitBlastConstant_1138,axiom,(
    ~ b000000011100001011000000001(bitIndex15) )).

fof(bitBlastConstant_1137,axiom,(
    ~ b000000011100001011000000001(bitIndex14) )).

fof(bitBlastConstant_1136,axiom,(
    ~ b000000011100001011000000001(bitIndex13) )).

fof(bitBlastConstant_1135,axiom,(
    b000000011100001011000000001(bitIndex12) )).

fof(bitBlastConstant_1134,axiom,(
    ~ b000000011100001011000000001(bitIndex11) )).

fof(bitBlastConstant_1133,axiom,(
    b000000011100001011000000001(bitIndex10) )).

fof(bitBlastConstant_1132,axiom,(
    b000000011100001011000000001(bitIndex9) )).

fof(bitBlastConstant_1131,axiom,(
    ~ b000000011100001011000000001(bitIndex8) )).

fof(bitBlastConstant_1130,axiom,(
    ~ b000000011100001011000000001(bitIndex7) )).

fof(bitBlastConstant_1129,axiom,(
    ~ b000000011100001011000000001(bitIndex6) )).

fof(bitBlastConstant_1128,axiom,(
    ~ b000000011100001011000000001(bitIndex5) )).

fof(bitBlastConstant_1127,axiom,(
    ~ b000000011100001011000000001(bitIndex4) )).

fof(bitBlastConstant_1126,axiom,(
    ~ b000000011100001011000000001(bitIndex3) )).

fof(bitBlastConstant_1125,axiom,(
    ~ b000000011100001011000000001(bitIndex2) )).

fof(bitBlastConstant_1124,axiom,(
    ~ b000000011100001011000000001(bitIndex1) )).

fof(bitBlastConstant_1123,axiom,(
    b000000011100001011000000001(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_186,axiom,(
    ! [VarCurr] :
      ( v3960(VarCurr)
    <=> ( ( v3934(VarCurr,bitIndex26)
        <=> $false )
        & ( v3934(VarCurr,bitIndex25)
        <=> $false )
        & ( v3934(VarCurr,bitIndex24)
        <=> $false )
        & ( v3934(VarCurr,bitIndex23)
        <=> $false )
        & ( v3934(VarCurr,bitIndex22)
        <=> $false )
        & ( v3934(VarCurr,bitIndex21)
        <=> $false )
        & ( v3934(VarCurr,bitIndex20)
        <=> $false )
        & ( v3934(VarCurr,bitIndex19)
        <=> $true )
        & ( v3934(VarCurr,bitIndex18)
        <=> $true )
        & ( v3934(VarCurr,bitIndex17)
        <=> $false )
        & ( v3934(VarCurr,bitIndex16)
        <=> $false )
        & ( v3934(VarCurr,bitIndex15)
        <=> $false )
        & ( v3934(VarCurr,bitIndex14)
        <=> $false )
        & ( v3934(VarCurr,bitIndex13)
        <=> $false )
        & ( v3934(VarCurr,bitIndex12)
        <=> $true )
        & ( v3934(VarCurr,bitIndex11)
        <=> $false )
        & ( v3934(VarCurr,bitIndex10)
        <=> $true )
        & ( v3934(VarCurr,bitIndex9)
        <=> $true )
        & ( v3934(VarCurr,bitIndex8)
        <=> $false )
        & ( v3934(VarCurr,bitIndex7)
        <=> $false )
        & ( v3934(VarCurr,bitIndex6)
        <=> $false )
        & ( v3934(VarCurr,bitIndex5)
        <=> $false )
        & ( v3934(VarCurr,bitIndex4)
        <=> $false )
        & ( v3934(VarCurr,bitIndex3)
        <=> $false )
        & ( v3934(VarCurr,bitIndex2)
        <=> $false )
        & ( v3934(VarCurr,bitIndex1)
        <=> $false )
        & ( v3934(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1122,axiom,(
    ~ b000000011000001011000000001(bitIndex26) )).

fof(bitBlastConstant_1121,axiom,(
    ~ b000000011000001011000000001(bitIndex25) )).

fof(bitBlastConstant_1120,axiom,(
    ~ b000000011000001011000000001(bitIndex24) )).

fof(bitBlastConstant_1119,axiom,(
    ~ b000000011000001011000000001(bitIndex23) )).

fof(bitBlastConstant_1118,axiom,(
    ~ b000000011000001011000000001(bitIndex22) )).

fof(bitBlastConstant_1117,axiom,(
    ~ b000000011000001011000000001(bitIndex21) )).

fof(bitBlastConstant_1116,axiom,(
    ~ b000000011000001011000000001(bitIndex20) )).

fof(bitBlastConstant_1115,axiom,(
    b000000011000001011000000001(bitIndex19) )).

fof(bitBlastConstant_1114,axiom,(
    b000000011000001011000000001(bitIndex18) )).

fof(bitBlastConstant_1113,axiom,(
    ~ b000000011000001011000000001(bitIndex17) )).

fof(bitBlastConstant_1112,axiom,(
    ~ b000000011000001011000000001(bitIndex16) )).

fof(bitBlastConstant_1111,axiom,(
    ~ b000000011000001011000000001(bitIndex15) )).

fof(bitBlastConstant_1110,axiom,(
    ~ b000000011000001011000000001(bitIndex14) )).

fof(bitBlastConstant_1109,axiom,(
    ~ b000000011000001011000000001(bitIndex13) )).

fof(bitBlastConstant_1108,axiom,(
    b000000011000001011000000001(bitIndex12) )).

fof(bitBlastConstant_1107,axiom,(
    ~ b000000011000001011000000001(bitIndex11) )).

fof(bitBlastConstant_1106,axiom,(
    b000000011000001011000000001(bitIndex10) )).

fof(bitBlastConstant_1105,axiom,(
    b000000011000001011000000001(bitIndex9) )).

fof(bitBlastConstant_1104,axiom,(
    ~ b000000011000001011000000001(bitIndex8) )).

fof(bitBlastConstant_1103,axiom,(
    ~ b000000011000001011000000001(bitIndex7) )).

fof(bitBlastConstant_1102,axiom,(
    ~ b000000011000001011000000001(bitIndex6) )).

fof(bitBlastConstant_1101,axiom,(
    ~ b000000011000001011000000001(bitIndex5) )).

fof(bitBlastConstant_1100,axiom,(
    ~ b000000011000001011000000001(bitIndex4) )).

fof(bitBlastConstant_1099,axiom,(
    ~ b000000011000001011000000001(bitIndex3) )).

fof(bitBlastConstant_1098,axiom,(
    ~ b000000011000001011000000001(bitIndex2) )).

fof(bitBlastConstant_1097,axiom,(
    ~ b000000011000001011000000001(bitIndex1) )).

fof(bitBlastConstant_1096,axiom,(
    b000000011000001011000000001(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_100,axiom,(
    ! [VarCurr] :
      ( ~ v3948(VarCurr)
     => ( v3926(VarCurr)
      <=> v3949(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_101,axiom,(
    ! [VarCurr] :
      ( v3948(VarCurr)
     => ( v3926(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_27,axiom,(
    ! [VarCurr] :
      ( ( ~ v3950(VarCurr)
        & ~ v3952(VarCurr) )
     => ( v3949(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_58,axiom,(
    ! [VarCurr] :
      ( v3952(VarCurr)
     => ( v3949(VarCurr)
      <=> v3953(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_59,axiom,(
    ! [VarCurr] :
      ( v3950(VarCurr)
     => ( v3949(VarCurr)
      <=> v3951(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_185,axiom,(
    ! [VarCurr] :
      ( v3953(VarCurr)
    <=> ( ( v3934(VarCurr,bitIndex26)
        <=> $false )
        & ( v3934(VarCurr,bitIndex25)
        <=> $false )
        & ( v3934(VarCurr,bitIndex24)
        <=> $false )
        & ( v3934(VarCurr,bitIndex23)
        <=> $false )
        & ( v3934(VarCurr,bitIndex22)
        <=> $false )
        & ( v3934(VarCurr,bitIndex21)
        <=> $false )
        & ( v3934(VarCurr,bitIndex20)
        <=> $false )
        & ( v3934(VarCurr,bitIndex19)
        <=> $true )
        & ( v3934(VarCurr,bitIndex18)
        <=> $true )
        & ( v3934(VarCurr,bitIndex17)
        <=> $true )
        & ( v3934(VarCurr,bitIndex16)
        <=> $false )
        & ( v3934(VarCurr,bitIndex15)
        <=> $false )
        & ( v3934(VarCurr,bitIndex14)
        <=> $false )
        & ( v3934(VarCurr,bitIndex13)
        <=> $false )
        & ( v3934(VarCurr,bitIndex12)
        <=> $true )
        & ( v3934(VarCurr,bitIndex11)
        <=> $false )
        & ( v3934(VarCurr,bitIndex10)
        <=> $true )
        & ( v3934(VarCurr,bitIndex9)
        <=> $true )
        & ( v3934(VarCurr,bitIndex8)
        <=> $false )
        & ( v3934(VarCurr,bitIndex7)
        <=> $false )
        & ( v3934(VarCurr,bitIndex6)
        <=> $false )
        & ( v3934(VarCurr,bitIndex5)
        <=> $false )
        & ( v3934(VarCurr,bitIndex4)
        <=> $false )
        & ( v3934(VarCurr,bitIndex3)
        <=> $false )
        & ( v3934(VarCurr,bitIndex2)
        <=> $false )
        & ( v3934(VarCurr,bitIndex1)
        <=> $false )
        & ( v3934(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1095,axiom,(
    ~ b000000011100001011000000000(bitIndex26) )).

fof(bitBlastConstant_1094,axiom,(
    ~ b000000011100001011000000000(bitIndex25) )).

fof(bitBlastConstant_1093,axiom,(
    ~ b000000011100001011000000000(bitIndex24) )).

fof(bitBlastConstant_1092,axiom,(
    ~ b000000011100001011000000000(bitIndex23) )).

fof(bitBlastConstant_1091,axiom,(
    ~ b000000011100001011000000000(bitIndex22) )).

fof(bitBlastConstant_1090,axiom,(
    ~ b000000011100001011000000000(bitIndex21) )).

fof(bitBlastConstant_1089,axiom,(
    ~ b000000011100001011000000000(bitIndex20) )).

fof(bitBlastConstant_1088,axiom,(
    b000000011100001011000000000(bitIndex19) )).

fof(bitBlastConstant_1087,axiom,(
    b000000011100001011000000000(bitIndex18) )).

fof(bitBlastConstant_1086,axiom,(
    b000000011100001011000000000(bitIndex17) )).

fof(bitBlastConstant_1085,axiom,(
    ~ b000000011100001011000000000(bitIndex16) )).

fof(bitBlastConstant_1084,axiom,(
    ~ b000000011100001011000000000(bitIndex15) )).

fof(bitBlastConstant_1083,axiom,(
    ~ b000000011100001011000000000(bitIndex14) )).

fof(bitBlastConstant_1082,axiom,(
    ~ b000000011100001011000000000(bitIndex13) )).

fof(bitBlastConstant_1081,axiom,(
    b000000011100001011000000000(bitIndex12) )).

fof(bitBlastConstant_1080,axiom,(
    ~ b000000011100001011000000000(bitIndex11) )).

fof(bitBlastConstant_1079,axiom,(
    b000000011100001011000000000(bitIndex10) )).

fof(bitBlastConstant_1078,axiom,(
    b000000011100001011000000000(bitIndex9) )).

fof(bitBlastConstant_1077,axiom,(
    ~ b000000011100001011000000000(bitIndex8) )).

fof(bitBlastConstant_1076,axiom,(
    ~ b000000011100001011000000000(bitIndex7) )).

fof(bitBlastConstant_1075,axiom,(
    ~ b000000011100001011000000000(bitIndex6) )).

fof(bitBlastConstant_1074,axiom,(
    ~ b000000011100001011000000000(bitIndex5) )).

fof(bitBlastConstant_1073,axiom,(
    ~ b000000011100001011000000000(bitIndex4) )).

fof(bitBlastConstant_1072,axiom,(
    ~ b000000011100001011000000000(bitIndex3) )).

fof(bitBlastConstant_1071,axiom,(
    ~ b000000011100001011000000000(bitIndex2) )).

fof(bitBlastConstant_1070,axiom,(
    ~ b000000011100001011000000000(bitIndex1) )).

fof(bitBlastConstant_1069,axiom,(
    ~ b000000011100001011000000000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_184,axiom,(
    ! [VarCurr] :
      ( v3952(VarCurr)
    <=> ( v3928(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_183,axiom,(
    ! [VarCurr] :
      ( v3951(VarCurr)
    <=> ( ( v3934(VarCurr,bitIndex26)
        <=> $false )
        & ( v3934(VarCurr,bitIndex25)
        <=> $false )
        & ( v3934(VarCurr,bitIndex24)
        <=> $false )
        & ( v3934(VarCurr,bitIndex23)
        <=> $false )
        & ( v3934(VarCurr,bitIndex22)
        <=> $false )
        & ( v3934(VarCurr,bitIndex21)
        <=> $false )
        & ( v3934(VarCurr,bitIndex20)
        <=> $false )
        & ( v3934(VarCurr,bitIndex19)
        <=> $true )
        & ( v3934(VarCurr,bitIndex18)
        <=> $true )
        & ( v3934(VarCurr,bitIndex17)
        <=> $false )
        & ( v3934(VarCurr,bitIndex16)
        <=> $false )
        & ( v3934(VarCurr,bitIndex15)
        <=> $false )
        & ( v3934(VarCurr,bitIndex14)
        <=> $false )
        & ( v3934(VarCurr,bitIndex13)
        <=> $false )
        & ( v3934(VarCurr,bitIndex12)
        <=> $true )
        & ( v3934(VarCurr,bitIndex11)
        <=> $false )
        & ( v3934(VarCurr,bitIndex10)
        <=> $true )
        & ( v3934(VarCurr,bitIndex9)
        <=> $true )
        & ( v3934(VarCurr,bitIndex8)
        <=> $false )
        & ( v3934(VarCurr,bitIndex7)
        <=> $false )
        & ( v3934(VarCurr,bitIndex6)
        <=> $false )
        & ( v3934(VarCurr,bitIndex5)
        <=> $false )
        & ( v3934(VarCurr,bitIndex4)
        <=> $false )
        & ( v3934(VarCurr,bitIndex3)
        <=> $false )
        & ( v3934(VarCurr,bitIndex2)
        <=> $false )
        & ( v3934(VarCurr,bitIndex1)
        <=> $false )
        & ( v3934(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_1068,axiom,(
    ~ b000000011000001011000000000(bitIndex26) )).

fof(bitBlastConstant_1067,axiom,(
    ~ b000000011000001011000000000(bitIndex25) )).

fof(bitBlastConstant_1066,axiom,(
    ~ b000000011000001011000000000(bitIndex24) )).

fof(bitBlastConstant_1065,axiom,(
    ~ b000000011000001011000000000(bitIndex23) )).

fof(bitBlastConstant_1064,axiom,(
    ~ b000000011000001011000000000(bitIndex22) )).

fof(bitBlastConstant_1063,axiom,(
    ~ b000000011000001011000000000(bitIndex21) )).

fof(bitBlastConstant_1062,axiom,(
    ~ b000000011000001011000000000(bitIndex20) )).

fof(bitBlastConstant_1061,axiom,(
    b000000011000001011000000000(bitIndex19) )).

fof(bitBlastConstant_1060,axiom,(
    b000000011000001011000000000(bitIndex18) )).

fof(bitBlastConstant_1059,axiom,(
    ~ b000000011000001011000000000(bitIndex17) )).

fof(bitBlastConstant_1058,axiom,(
    ~ b000000011000001011000000000(bitIndex16) )).

fof(bitBlastConstant_1057,axiom,(
    ~ b000000011000001011000000000(bitIndex15) )).

fof(bitBlastConstant_1056,axiom,(
    ~ b000000011000001011000000000(bitIndex14) )).

fof(bitBlastConstant_1055,axiom,(
    ~ b000000011000001011000000000(bitIndex13) )).

fof(bitBlastConstant_1054,axiom,(
    b000000011000001011000000000(bitIndex12) )).

fof(bitBlastConstant_1053,axiom,(
    ~ b000000011000001011000000000(bitIndex11) )).

fof(bitBlastConstant_1052,axiom,(
    b000000011000001011000000000(bitIndex10) )).

fof(bitBlastConstant_1051,axiom,(
    b000000011000001011000000000(bitIndex9) )).

fof(bitBlastConstant_1050,axiom,(
    ~ b000000011000001011000000000(bitIndex8) )).

fof(bitBlastConstant_1049,axiom,(
    ~ b000000011000001011000000000(bitIndex7) )).

fof(bitBlastConstant_1048,axiom,(
    ~ b000000011000001011000000000(bitIndex6) )).

fof(bitBlastConstant_1047,axiom,(
    ~ b000000011000001011000000000(bitIndex5) )).

fof(bitBlastConstant_1046,axiom,(
    ~ b000000011000001011000000000(bitIndex4) )).

fof(bitBlastConstant_1045,axiom,(
    ~ b000000011000001011000000000(bitIndex3) )).

fof(bitBlastConstant_1044,axiom,(
    ~ b000000011000001011000000000(bitIndex2) )).

fof(bitBlastConstant_1043,axiom,(
    ~ b000000011000001011000000000(bitIndex1) )).

fof(bitBlastConstant_1042,axiom,(
    ~ b000000011000001011000000000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_182,axiom,(
    ! [VarCurr] :
      ( v3950(VarCurr)
    <=> ( v3928(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_504,axiom,(
    ! [VarCurr] :
      ( ~ v3948(VarCurr)
    <=> v3875(VarCurr) ) )).

fof(addAssignment_663,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v3934(VarCurr,B)
      <=> v3936(VarCurr,B) ) ) )).

fof(addAssignment_662,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v3936(VarCurr,B)
      <=> v3938(VarCurr,B) ) ) )).

fof(addAssignment_661,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v3938(VarCurr,B)
      <=> v3940(VarCurr,B) ) ) )).

fof(addAssignment_660,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v3940(VarCurr,B)
      <=> v3942(VarCurr,B) ) ) )).

fof(addAssignment_659,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v3942(VarCurr,B)
      <=> v3944(VarCurr,B) ) ) )).

fof(addAssignment_658,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v3944(VarCurr,B)
      <=> v3802(VarCurr,B) ) ) )).

fof(addAssignment_657,axiom,(
    ! [VarCurr] :
      ( v3928(VarCurr)
    <=> v3930(VarCurr) ) )).

fof(addAssignment_656,axiom,(
    ! [VarCurr] :
      ( v3930(VarCurr)
    <=> v3932(VarCurr) ) )).

fof(addAssignment_655,axiom,(
    ! [VarCurr] :
      ( v3932(VarCurr)
    <=> v3788(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_45,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3912(VarNext)
       => ( v3867(VarNext)
        <=> v3867(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_50,axiom,(
    ! [VarNext] :
      ( v3912(VarNext)
     => ( v3867(VarNext)
      <=> v3920(VarNext) ) ) )).

fof(addAssignment_654,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3920(VarNext)
      <=> v3918(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_99,axiom,(
    ! [VarCurr] :
      ( ~ v3907(VarCurr)
     => ( v3918(VarCurr)
      <=> v3921(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_100,axiom,(
    ! [VarCurr] :
      ( v3907(VarCurr)
     => ( v3918(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1068,axiom,(
    ! [VarCurr] :
      ( v3921(VarCurr)
    <=> ( v3875(VarCurr)
        & v3922(VarCurr) ) ) )).

fof(writeUnaryOperator_503,axiom,(
    ! [VarCurr] :
      ( ~ v3922(VarCurr)
    <=> v3887(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1067,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3912(VarNext)
      <=> v3913(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1066,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3913(VarNext)
      <=> ( v3915(VarNext)
          & v3889(VarNext) ) ) ) )).

fof(writeUnaryOperator_502,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3915(VarNext)
      <=> v3900(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_44,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3896(VarNext)
       => ( v3887(VarNext)
        <=> v3887(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_49,axiom,(
    ! [VarNext] :
      ( v3896(VarNext)
     => ( v3887(VarNext)
      <=> v3906(VarNext) ) ) )).

fof(addAssignment_653,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3906(VarNext)
      <=> v3904(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_98,axiom,(
    ! [VarCurr] :
      ( ~ v3907(VarCurr)
     => ( v3904(VarCurr)
      <=> v3875(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_99,axiom,(
    ! [VarCurr] :
      ( v3907(VarCurr)
     => ( v3904(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_501,axiom,(
    ! [VarCurr] :
      ( ~ v3907(VarCurr)
    <=> v3869(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1065,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3896(VarNext)
      <=> v3897(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1064,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3897(VarNext)
      <=> ( v3898(VarNext)
          & v3889(VarNext) ) ) ) )).

fof(writeUnaryOperator_500,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3898(VarNext)
      <=> v3900(VarNext) ) ) )).

fof(addAssignment_652,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3900(VarNext)
      <=> v3889(VarCurr) ) ) )).

fof(addAssignment_651,axiom,(
    ! [VarCurr] :
      ( v3889(VarCurr)
    <=> v3891(VarCurr) ) )).

fof(addAssignment_650,axiom,(
    ! [VarCurr] :
      ( v3891(VarCurr)
    <=> v3893(VarCurr) ) )).

fof(addAssignment_649,axiom,(
    ! [VarCurr] :
      ( v3893(VarCurr)
    <=> v3747(VarCurr) ) )).

fof(addAssignment_648,axiom,(
    ! [VarCurr] :
      ( v3875(VarCurr)
    <=> v3877(VarCurr) ) )).

fof(addAssignment_647,axiom,(
    ! [VarCurr] :
      ( v3877(VarCurr)
    <=> v3879(VarCurr) ) )).

fof(addAssignment_646,axiom,(
    ! [VarCurr] :
      ( v3879(VarCurr)
    <=> v3881(VarCurr) ) )).

fof(addAssignment_645,axiom,(
    ! [VarCurr] :
      ( v3881(VarCurr)
    <=> v3883(VarCurr) ) )).

fof(addAssignment_644,axiom,(
    ! [VarCurr] :
      ( v3883(VarCurr)
    <=> v3885(VarCurr) ) )).

fof(addAssignment_643,axiom,(
    ! [VarCurr] :
      ( v3885(VarCurr)
    <=> v3737(VarCurr) ) )).

fof(addAssignment_642,axiom,(
    ! [VarCurr] :
      ( v3869(VarCurr)
    <=> v3871(VarCurr) ) )).

fof(addAssignment_641,axiom,(
    ! [VarCurr] :
      ( v3871(VarCurr)
    <=> v3873(VarCurr) ) )).

fof(addAssignment_640,axiom,(
    ! [VarCurr] :
      ( v3873(VarCurr)
    <=> v3723(VarCurr) ) )).

fof(addAssignment_639,axiom,(
    ! [VarCurr] :
      ( v3701(VarCurr)
    <=> v3703(VarCurr) ) )).

fof(addAssignment_638,axiom,(
    ! [VarCurr] :
      ( v3703(VarCurr)
    <=> v3705(VarCurr) ) )).

fof(addAssignment_637,axiom,(
    ! [VarCurr] :
      ( v3705(VarCurr)
    <=> v3707(VarCurr) ) )).

fof(addAssignment_636,axiom,(
    ! [VarCurr] :
      ( v3707(VarCurr)
    <=> v3709(VarCurr) ) )).

fof(addAssignment_635,axiom,(
    ! [VarCurr] :
      ( v3709(VarCurr)
    <=> v3711(VarCurr) ) )).

fof(addAssignment_634,axiom,(
    ! [VarCurr] :
      ( v3711(VarCurr)
    <=> v3713(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1063,axiom,(
    ! [VarCurr] :
      ( v3713(VarCurr)
    <=> ( v3715(VarCurr)
        & v3849(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1062,axiom,(
    ! [VarCurr] :
      ( v3849(VarCurr)
    <=> ( v3850(VarCurr)
        | v3841(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1061,axiom,(
    ! [VarCurr] :
      ( v3850(VarCurr)
    <=> ( v3851(VarCurr)
        | v3833(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1060,axiom,(
    ! [VarCurr] :
      ( v3851(VarCurr)
    <=> ( v3780(VarCurr)
        | v3815(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_97,axiom,(
    ! [VarCurr] :
      ( ~ v3806(VarCurr)
     => ( v3841(VarCurr)
      <=> v3845(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_98,axiom,(
    ! [VarCurr] :
      ( v3806(VarCurr)
     => ( v3841(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_26,axiom,(
    ! [VarCurr] :
      ( ( ~ v3808(VarCurr)
        & ~ v3811(VarCurr) )
     => ( v3845(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_57,axiom,(
    ! [VarCurr] :
      ( v3811(VarCurr)
     => ( v3845(VarCurr)
      <=> v3847(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_58,axiom,(
    ! [VarCurr] :
      ( v3808(VarCurr)
     => ( v3845(VarCurr)
      <=> v3846(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_181,axiom,(
    ! [VarCurr] :
      ( v3847(VarCurr)
    <=> ( ( v3790(VarCurr,bitIndex26)
        <=> $false )
        & ( v3790(VarCurr,bitIndex25)
        <=> $false )
        & ( v3790(VarCurr,bitIndex24)
        <=> $false )
        & ( v3790(VarCurr,bitIndex23)
        <=> $false )
        & ( v3790(VarCurr,bitIndex22)
        <=> $false )
        & ( v3790(VarCurr,bitIndex21)
        <=> $false )
        & ( v3790(VarCurr,bitIndex20)
        <=> $false )
        & ( v3790(VarCurr,bitIndex19)
        <=> $true )
        & ( v3790(VarCurr,bitIndex18)
        <=> $true )
        & ( v3790(VarCurr,bitIndex17)
        <=> $true )
        & ( v3790(VarCurr,bitIndex16)
        <=> $false )
        & ( v3790(VarCurr,bitIndex15)
        <=> $false )
        & ( v3790(VarCurr,bitIndex14)
        <=> $true )
        & ( v3790(VarCurr,bitIndex13)
        <=> $false )
        & ( v3790(VarCurr,bitIndex12)
        <=> $true )
        & ( v3790(VarCurr,bitIndex11)
        <=> $true )
        & ( v3790(VarCurr,bitIndex10)
        <=> $false )
        & ( v3790(VarCurr,bitIndex9)
        <=> $false )
        & ( v3790(VarCurr,bitIndex8)
        <=> $false )
        & ( v3790(VarCurr,bitIndex7)
        <=> $false )
        & ( v3790(VarCurr,bitIndex6)
        <=> $false )
        & ( v3790(VarCurr,bitIndex5)
        <=> $false )
        & ( v3790(VarCurr,bitIndex4)
        <=> $false )
        & ( v3790(VarCurr,bitIndex3)
        <=> $false )
        & ( v3790(VarCurr,bitIndex2)
        <=> $false )
        & ( v3790(VarCurr,bitIndex1)
        <=> $false )
        & ( v3790(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1041,axiom,(
    ~ b000000011100101100000000001(bitIndex26) )).

fof(bitBlastConstant_1040,axiom,(
    ~ b000000011100101100000000001(bitIndex25) )).

fof(bitBlastConstant_1039,axiom,(
    ~ b000000011100101100000000001(bitIndex24) )).

fof(bitBlastConstant_1038,axiom,(
    ~ b000000011100101100000000001(bitIndex23) )).

fof(bitBlastConstant_1037,axiom,(
    ~ b000000011100101100000000001(bitIndex22) )).

fof(bitBlastConstant_1036,axiom,(
    ~ b000000011100101100000000001(bitIndex21) )).

fof(bitBlastConstant_1035,axiom,(
    ~ b000000011100101100000000001(bitIndex20) )).

fof(bitBlastConstant_1034,axiom,(
    b000000011100101100000000001(bitIndex19) )).

fof(bitBlastConstant_1033,axiom,(
    b000000011100101100000000001(bitIndex18) )).

fof(bitBlastConstant_1032,axiom,(
    b000000011100101100000000001(bitIndex17) )).

fof(bitBlastConstant_1031,axiom,(
    ~ b000000011100101100000000001(bitIndex16) )).

fof(bitBlastConstant_1030,axiom,(
    ~ b000000011100101100000000001(bitIndex15) )).

fof(bitBlastConstant_1029,axiom,(
    b000000011100101100000000001(bitIndex14) )).

fof(bitBlastConstant_1028,axiom,(
    ~ b000000011100101100000000001(bitIndex13) )).

fof(bitBlastConstant_1027,axiom,(
    b000000011100101100000000001(bitIndex12) )).

fof(bitBlastConstant_1026,axiom,(
    b000000011100101100000000001(bitIndex11) )).

fof(bitBlastConstant_1025,axiom,(
    ~ b000000011100101100000000001(bitIndex10) )).

fof(bitBlastConstant_1024,axiom,(
    ~ b000000011100101100000000001(bitIndex9) )).

fof(bitBlastConstant_1023,axiom,(
    ~ b000000011100101100000000001(bitIndex8) )).

fof(bitBlastConstant_1022,axiom,(
    ~ b000000011100101100000000001(bitIndex7) )).

fof(bitBlastConstant_1021,axiom,(
    ~ b000000011100101100000000001(bitIndex6) )).

fof(bitBlastConstant_1020,axiom,(
    ~ b000000011100101100000000001(bitIndex5) )).

fof(bitBlastConstant_1019,axiom,(
    ~ b000000011100101100000000001(bitIndex4) )).

fof(bitBlastConstant_1018,axiom,(
    ~ b000000011100101100000000001(bitIndex3) )).

fof(bitBlastConstant_1017,axiom,(
    ~ b000000011100101100000000001(bitIndex2) )).

fof(bitBlastConstant_1016,axiom,(
    ~ b000000011100101100000000001(bitIndex1) )).

fof(bitBlastConstant_1015,axiom,(
    b000000011100101100000000001(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_180,axiom,(
    ! [VarCurr] :
      ( v3846(VarCurr)
    <=> ( ( v3790(VarCurr,bitIndex26)
        <=> $false )
        & ( v3790(VarCurr,bitIndex25)
        <=> $false )
        & ( v3790(VarCurr,bitIndex24)
        <=> $false )
        & ( v3790(VarCurr,bitIndex23)
        <=> $false )
        & ( v3790(VarCurr,bitIndex22)
        <=> $false )
        & ( v3790(VarCurr,bitIndex21)
        <=> $false )
        & ( v3790(VarCurr,bitIndex20)
        <=> $false )
        & ( v3790(VarCurr,bitIndex19)
        <=> $true )
        & ( v3790(VarCurr,bitIndex18)
        <=> $true )
        & ( v3790(VarCurr,bitIndex17)
        <=> $false )
        & ( v3790(VarCurr,bitIndex16)
        <=> $false )
        & ( v3790(VarCurr,bitIndex15)
        <=> $false )
        & ( v3790(VarCurr,bitIndex14)
        <=> $true )
        & ( v3790(VarCurr,bitIndex13)
        <=> $false )
        & ( v3790(VarCurr,bitIndex12)
        <=> $true )
        & ( v3790(VarCurr,bitIndex11)
        <=> $true )
        & ( v3790(VarCurr,bitIndex10)
        <=> $false )
        & ( v3790(VarCurr,bitIndex9)
        <=> $false )
        & ( v3790(VarCurr,bitIndex8)
        <=> $false )
        & ( v3790(VarCurr,bitIndex7)
        <=> $false )
        & ( v3790(VarCurr,bitIndex6)
        <=> $false )
        & ( v3790(VarCurr,bitIndex5)
        <=> $false )
        & ( v3790(VarCurr,bitIndex4)
        <=> $false )
        & ( v3790(VarCurr,bitIndex3)
        <=> $false )
        & ( v3790(VarCurr,bitIndex2)
        <=> $false )
        & ( v3790(VarCurr,bitIndex1)
        <=> $false )
        & ( v3790(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_1014,axiom,(
    ~ b000000011000101100000000001(bitIndex26) )).

fof(bitBlastConstant_1013,axiom,(
    ~ b000000011000101100000000001(bitIndex25) )).

fof(bitBlastConstant_1012,axiom,(
    ~ b000000011000101100000000001(bitIndex24) )).

fof(bitBlastConstant_1011,axiom,(
    ~ b000000011000101100000000001(bitIndex23) )).

fof(bitBlastConstant_1010,axiom,(
    ~ b000000011000101100000000001(bitIndex22) )).

fof(bitBlastConstant_1009,axiom,(
    ~ b000000011000101100000000001(bitIndex21) )).

fof(bitBlastConstant_1008,axiom,(
    ~ b000000011000101100000000001(bitIndex20) )).

fof(bitBlastConstant_1007,axiom,(
    b000000011000101100000000001(bitIndex19) )).

fof(bitBlastConstant_1006,axiom,(
    b000000011000101100000000001(bitIndex18) )).

fof(bitBlastConstant_1005,axiom,(
    ~ b000000011000101100000000001(bitIndex17) )).

fof(bitBlastConstant_1004,axiom,(
    ~ b000000011000101100000000001(bitIndex16) )).

fof(bitBlastConstant_1003,axiom,(
    ~ b000000011000101100000000001(bitIndex15) )).

fof(bitBlastConstant_1002,axiom,(
    b000000011000101100000000001(bitIndex14) )).

fof(bitBlastConstant_1001,axiom,(
    ~ b000000011000101100000000001(bitIndex13) )).

fof(bitBlastConstant_1000,axiom,(
    b000000011000101100000000001(bitIndex12) )).

fof(bitBlastConstant_999,axiom,(
    b000000011000101100000000001(bitIndex11) )).

fof(bitBlastConstant_998,axiom,(
    ~ b000000011000101100000000001(bitIndex10) )).

fof(bitBlastConstant_997,axiom,(
    ~ b000000011000101100000000001(bitIndex9) )).

fof(bitBlastConstant_996,axiom,(
    ~ b000000011000101100000000001(bitIndex8) )).

fof(bitBlastConstant_995,axiom,(
    ~ b000000011000101100000000001(bitIndex7) )).

fof(bitBlastConstant_994,axiom,(
    ~ b000000011000101100000000001(bitIndex6) )).

fof(bitBlastConstant_993,axiom,(
    ~ b000000011000101100000000001(bitIndex5) )).

fof(bitBlastConstant_992,axiom,(
    ~ b000000011000101100000000001(bitIndex4) )).

fof(bitBlastConstant_991,axiom,(
    ~ b000000011000101100000000001(bitIndex3) )).

fof(bitBlastConstant_990,axiom,(
    ~ b000000011000101100000000001(bitIndex2) )).

fof(bitBlastConstant_989,axiom,(
    ~ b000000011000101100000000001(bitIndex1) )).

fof(bitBlastConstant_988,axiom,(
    b000000011000101100000000001(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_96,axiom,(
    ! [VarCurr] :
      ( ~ v3806(VarCurr)
     => ( v3833(VarCurr)
      <=> v3837(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_97,axiom,(
    ! [VarCurr] :
      ( v3806(VarCurr)
     => ( v3833(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_25,axiom,(
    ! [VarCurr] :
      ( ( ~ v3808(VarCurr)
        & ~ v3811(VarCurr) )
     => ( v3837(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_56,axiom,(
    ! [VarCurr] :
      ( v3811(VarCurr)
     => ( v3837(VarCurr)
      <=> v3839(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_57,axiom,(
    ! [VarCurr] :
      ( v3808(VarCurr)
     => ( v3837(VarCurr)
      <=> v3838(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_179,axiom,(
    ! [VarCurr] :
      ( v3839(VarCurr)
    <=> ( ( v3790(VarCurr,bitIndex26)
        <=> $false )
        & ( v3790(VarCurr,bitIndex25)
        <=> $false )
        & ( v3790(VarCurr,bitIndex24)
        <=> $false )
        & ( v3790(VarCurr,bitIndex23)
        <=> $false )
        & ( v3790(VarCurr,bitIndex22)
        <=> $false )
        & ( v3790(VarCurr,bitIndex21)
        <=> $false )
        & ( v3790(VarCurr,bitIndex20)
        <=> $false )
        & ( v3790(VarCurr,bitIndex19)
        <=> $true )
        & ( v3790(VarCurr,bitIndex18)
        <=> $true )
        & ( v3790(VarCurr,bitIndex17)
        <=> $true )
        & ( v3790(VarCurr,bitIndex16)
        <=> $false )
        & ( v3790(VarCurr,bitIndex15)
        <=> $false )
        & ( v3790(VarCurr,bitIndex14)
        <=> $true )
        & ( v3790(VarCurr,bitIndex13)
        <=> $false )
        & ( v3790(VarCurr,bitIndex12)
        <=> $true )
        & ( v3790(VarCurr,bitIndex11)
        <=> $true )
        & ( v3790(VarCurr,bitIndex10)
        <=> $false )
        & ( v3790(VarCurr,bitIndex9)
        <=> $false )
        & ( v3790(VarCurr,bitIndex8)
        <=> $false )
        & ( v3790(VarCurr,bitIndex7)
        <=> $false )
        & ( v3790(VarCurr,bitIndex6)
        <=> $false )
        & ( v3790(VarCurr,bitIndex5)
        <=> $false )
        & ( v3790(VarCurr,bitIndex4)
        <=> $false )
        & ( v3790(VarCurr,bitIndex3)
        <=> $false )
        & ( v3790(VarCurr,bitIndex2)
        <=> $false )
        & ( v3790(VarCurr,bitIndex1)
        <=> $false )
        & ( v3790(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_987,axiom,(
    ~ b000000011100101100000000000(bitIndex26) )).

fof(bitBlastConstant_986,axiom,(
    ~ b000000011100101100000000000(bitIndex25) )).

fof(bitBlastConstant_985,axiom,(
    ~ b000000011100101100000000000(bitIndex24) )).

fof(bitBlastConstant_984,axiom,(
    ~ b000000011100101100000000000(bitIndex23) )).

fof(bitBlastConstant_983,axiom,(
    ~ b000000011100101100000000000(bitIndex22) )).

fof(bitBlastConstant_982,axiom,(
    ~ b000000011100101100000000000(bitIndex21) )).

fof(bitBlastConstant_981,axiom,(
    ~ b000000011100101100000000000(bitIndex20) )).

fof(bitBlastConstant_980,axiom,(
    b000000011100101100000000000(bitIndex19) )).

fof(bitBlastConstant_979,axiom,(
    b000000011100101100000000000(bitIndex18) )).

fof(bitBlastConstant_978,axiom,(
    b000000011100101100000000000(bitIndex17) )).

fof(bitBlastConstant_977,axiom,(
    ~ b000000011100101100000000000(bitIndex16) )).

fof(bitBlastConstant_976,axiom,(
    ~ b000000011100101100000000000(bitIndex15) )).

fof(bitBlastConstant_975,axiom,(
    b000000011100101100000000000(bitIndex14) )).

fof(bitBlastConstant_974,axiom,(
    ~ b000000011100101100000000000(bitIndex13) )).

fof(bitBlastConstant_973,axiom,(
    b000000011100101100000000000(bitIndex12) )).

fof(bitBlastConstant_972,axiom,(
    b000000011100101100000000000(bitIndex11) )).

fof(bitBlastConstant_971,axiom,(
    ~ b000000011100101100000000000(bitIndex10) )).

fof(bitBlastConstant_970,axiom,(
    ~ b000000011100101100000000000(bitIndex9) )).

fof(bitBlastConstant_969,axiom,(
    ~ b000000011100101100000000000(bitIndex8) )).

fof(bitBlastConstant_968,axiom,(
    ~ b000000011100101100000000000(bitIndex7) )).

fof(bitBlastConstant_967,axiom,(
    ~ b000000011100101100000000000(bitIndex6) )).

fof(bitBlastConstant_966,axiom,(
    ~ b000000011100101100000000000(bitIndex5) )).

fof(bitBlastConstant_965,axiom,(
    ~ b000000011100101100000000000(bitIndex4) )).

fof(bitBlastConstant_964,axiom,(
    ~ b000000011100101100000000000(bitIndex3) )).

fof(bitBlastConstant_963,axiom,(
    ~ b000000011100101100000000000(bitIndex2) )).

fof(bitBlastConstant_962,axiom,(
    ~ b000000011100101100000000000(bitIndex1) )).

fof(bitBlastConstant_961,axiom,(
    ~ b000000011100101100000000000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_178,axiom,(
    ! [VarCurr] :
      ( v3838(VarCurr)
    <=> ( ( v3790(VarCurr,bitIndex26)
        <=> $false )
        & ( v3790(VarCurr,bitIndex25)
        <=> $false )
        & ( v3790(VarCurr,bitIndex24)
        <=> $false )
        & ( v3790(VarCurr,bitIndex23)
        <=> $false )
        & ( v3790(VarCurr,bitIndex22)
        <=> $false )
        & ( v3790(VarCurr,bitIndex21)
        <=> $false )
        & ( v3790(VarCurr,bitIndex20)
        <=> $false )
        & ( v3790(VarCurr,bitIndex19)
        <=> $true )
        & ( v3790(VarCurr,bitIndex18)
        <=> $true )
        & ( v3790(VarCurr,bitIndex17)
        <=> $false )
        & ( v3790(VarCurr,bitIndex16)
        <=> $false )
        & ( v3790(VarCurr,bitIndex15)
        <=> $false )
        & ( v3790(VarCurr,bitIndex14)
        <=> $true )
        & ( v3790(VarCurr,bitIndex13)
        <=> $false )
        & ( v3790(VarCurr,bitIndex12)
        <=> $true )
        & ( v3790(VarCurr,bitIndex11)
        <=> $true )
        & ( v3790(VarCurr,bitIndex10)
        <=> $false )
        & ( v3790(VarCurr,bitIndex9)
        <=> $false )
        & ( v3790(VarCurr,bitIndex8)
        <=> $false )
        & ( v3790(VarCurr,bitIndex7)
        <=> $false )
        & ( v3790(VarCurr,bitIndex6)
        <=> $false )
        & ( v3790(VarCurr,bitIndex5)
        <=> $false )
        & ( v3790(VarCurr,bitIndex4)
        <=> $false )
        & ( v3790(VarCurr,bitIndex3)
        <=> $false )
        & ( v3790(VarCurr,bitIndex2)
        <=> $false )
        & ( v3790(VarCurr,bitIndex1)
        <=> $false )
        & ( v3790(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_960,axiom,(
    ~ b000000011000101100000000000(bitIndex26) )).

fof(bitBlastConstant_959,axiom,(
    ~ b000000011000101100000000000(bitIndex25) )).

fof(bitBlastConstant_958,axiom,(
    ~ b000000011000101100000000000(bitIndex24) )).

fof(bitBlastConstant_957,axiom,(
    ~ b000000011000101100000000000(bitIndex23) )).

fof(bitBlastConstant_956,axiom,(
    ~ b000000011000101100000000000(bitIndex22) )).

fof(bitBlastConstant_955,axiom,(
    ~ b000000011000101100000000000(bitIndex21) )).

fof(bitBlastConstant_954,axiom,(
    ~ b000000011000101100000000000(bitIndex20) )).

fof(bitBlastConstant_953,axiom,(
    b000000011000101100000000000(bitIndex19) )).

fof(bitBlastConstant_952,axiom,(
    b000000011000101100000000000(bitIndex18) )).

fof(bitBlastConstant_951,axiom,(
    ~ b000000011000101100000000000(bitIndex17) )).

fof(bitBlastConstant_950,axiom,(
    ~ b000000011000101100000000000(bitIndex16) )).

fof(bitBlastConstant_949,axiom,(
    ~ b000000011000101100000000000(bitIndex15) )).

fof(bitBlastConstant_948,axiom,(
    b000000011000101100000000000(bitIndex14) )).

fof(bitBlastConstant_947,axiom,(
    ~ b000000011000101100000000000(bitIndex13) )).

fof(bitBlastConstant_946,axiom,(
    b000000011000101100000000000(bitIndex12) )).

fof(bitBlastConstant_945,axiom,(
    b000000011000101100000000000(bitIndex11) )).

fof(bitBlastConstant_944,axiom,(
    ~ b000000011000101100000000000(bitIndex10) )).

fof(bitBlastConstant_943,axiom,(
    ~ b000000011000101100000000000(bitIndex9) )).

fof(bitBlastConstant_942,axiom,(
    ~ b000000011000101100000000000(bitIndex8) )).

fof(bitBlastConstant_941,axiom,(
    ~ b000000011000101100000000000(bitIndex7) )).

fof(bitBlastConstant_940,axiom,(
    ~ b000000011000101100000000000(bitIndex6) )).

fof(bitBlastConstant_939,axiom,(
    ~ b000000011000101100000000000(bitIndex5) )).

fof(bitBlastConstant_938,axiom,(
    ~ b000000011000101100000000000(bitIndex4) )).

fof(bitBlastConstant_937,axiom,(
    ~ b000000011000101100000000000(bitIndex3) )).

fof(bitBlastConstant_936,axiom,(
    ~ b000000011000101100000000000(bitIndex2) )).

fof(bitBlastConstant_935,axiom,(
    ~ b000000011000101100000000000(bitIndex1) )).

fof(bitBlastConstant_934,axiom,(
    ~ b000000011000101100000000000(bitIndex0) )).

fof(addAssignment_633,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v3790(VarCurr,B)
      <=> v3792(VarCurr,B) ) ) )).

fof(addAssignment_632,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v3792(VarCurr,B)
      <=> v3794(VarCurr,B) ) ) )).

fof(addAssignment_631,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v3794(VarCurr,B)
      <=> v3796(VarCurr,B) ) ) )).

fof(addAssignment_630,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v3796(VarCurr,B)
      <=> v3798(VarCurr,B) ) ) )).

fof(addAssignment_629,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v3798(VarCurr,B)
      <=> v3800(VarCurr,B) ) ) )).

fof(addAssignment_628,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v3800(VarCurr,B)
      <=> v3802(VarCurr,B) ) ) )).

fof(addAssignment_627,axiom,(
    ! [VarCurr,B] :
      ( range_7_0(B)
     => ( v3802(VarCurr,B)
      <=> v3582(VarCurr,B) ) ) )).

fof(range_axiom_23,axiom,(
    ! [B] :
      ( range_7_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_95,axiom,(
    ! [VarCurr] :
      ( ~ v3806(VarCurr)
     => ( v3815(VarCurr)
      <=> v3821(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_96,axiom,(
    ! [VarCurr] :
      ( v3806(VarCurr)
     => ( v3815(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_24,axiom,(
    ! [VarCurr] :
      ( ( ~ v3808(VarCurr)
        & ~ v3811(VarCurr) )
     => ( v3821(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_55,axiom,(
    ! [VarCurr] :
      ( v3811(VarCurr)
     => ( v3821(VarCurr)
      <=> v3827(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_56,axiom,(
    ! [VarCurr] :
      ( v3808(VarCurr)
     => ( v3821(VarCurr)
      <=> v3822(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1059,axiom,(
    ! [VarCurr] :
      ( v3827(VarCurr)
    <=> ( v3828(VarCurr)
        | v3830(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_177,axiom,(
    ! [VarCurr] :
      ( v3830(VarCurr)
    <=> ( ( v3831(VarCurr,bitIndex19)
        <=> $false )
        & ( v3831(VarCurr,bitIndex18)
        <=> $false )
        & ( v3831(VarCurr,bitIndex17)
        <=> $false )
        & ( v3831(VarCurr,bitIndex16)
        <=> $false )
        & ( v3831(VarCurr,bitIndex15)
        <=> $false )
        & ( v3831(VarCurr,bitIndex14)
        <=> $false )
        & ( v3831(VarCurr,bitIndex13)
        <=> $false )
        & ( v3831(VarCurr,bitIndex12)
        <=> $false )
        & ( v3831(VarCurr,bitIndex11)
        <=> $true )
        & ( v3831(VarCurr,bitIndex10)
        <=> $true )
        & ( v3831(VarCurr,bitIndex9)
        <=> $true )
        & ( v3831(VarCurr,bitIndex8)
        <=> $false )
        & ( v3831(VarCurr,bitIndex7)
        <=> $false )
        & ( v3831(VarCurr,bitIndex6)
        <=> $true )
        & ( v3831(VarCurr,bitIndex5)
        <=> $false )
        & ( v3831(VarCurr,bitIndex4)
        <=> $true )
        & ( v3831(VarCurr,bitIndex3)
        <=> $false )
        & ( v3831(VarCurr,bitIndex2)
        <=> $false )
        & ( v3831(VarCurr,bitIndex1)
        <=> $false )
        & ( v3831(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_933,axiom,(
    ~ b00000000111001010001(bitIndex19) )).

fof(bitBlastConstant_932,axiom,(
    ~ b00000000111001010001(bitIndex18) )).

fof(bitBlastConstant_931,axiom,(
    ~ b00000000111001010001(bitIndex17) )).

fof(bitBlastConstant_930,axiom,(
    ~ b00000000111001010001(bitIndex16) )).

fof(bitBlastConstant_929,axiom,(
    ~ b00000000111001010001(bitIndex15) )).

fof(bitBlastConstant_928,axiom,(
    ~ b00000000111001010001(bitIndex14) )).

fof(bitBlastConstant_927,axiom,(
    ~ b00000000111001010001(bitIndex13) )).

fof(bitBlastConstant_926,axiom,(
    ~ b00000000111001010001(bitIndex12) )).

fof(bitBlastConstant_925,axiom,(
    b00000000111001010001(bitIndex11) )).

fof(bitBlastConstant_924,axiom,(
    b00000000111001010001(bitIndex10) )).

fof(bitBlastConstant_923,axiom,(
    b00000000111001010001(bitIndex9) )).

fof(bitBlastConstant_922,axiom,(
    ~ b00000000111001010001(bitIndex8) )).

fof(bitBlastConstant_921,axiom,(
    ~ b00000000111001010001(bitIndex7) )).

fof(bitBlastConstant_920,axiom,(
    b00000000111001010001(bitIndex6) )).

fof(bitBlastConstant_919,axiom,(
    ~ b00000000111001010001(bitIndex5) )).

fof(bitBlastConstant_918,axiom,(
    b00000000111001010001(bitIndex4) )).

fof(bitBlastConstant_917,axiom,(
    ~ b00000000111001010001(bitIndex3) )).

fof(bitBlastConstant_916,axiom,(
    ~ b00000000111001010001(bitIndex2) )).

fof(bitBlastConstant_915,axiom,(
    ~ b00000000111001010001(bitIndex1) )).

fof(bitBlastConstant_914,axiom,(
    b00000000111001010001(bitIndex0) )).

fof(addAssignment_626,axiom,(
    ! [VarCurr] :
      ( ( v3831(VarCurr,bitIndex18)
      <=> v3790(VarCurr,bitIndex26) )
      & ( v3831(VarCurr,bitIndex17)
      <=> v3790(VarCurr,bitIndex25) )
      & ( v3831(VarCurr,bitIndex16)
      <=> v3790(VarCurr,bitIndex24) )
      & ( v3831(VarCurr,bitIndex15)
      <=> v3790(VarCurr,bitIndex23) )
      & ( v3831(VarCurr,bitIndex14)
      <=> v3790(VarCurr,bitIndex22) )
      & ( v3831(VarCurr,bitIndex13)
      <=> v3790(VarCurr,bitIndex21) )
      & ( v3831(VarCurr,bitIndex12)
      <=> v3790(VarCurr,bitIndex20) )
      & ( v3831(VarCurr,bitIndex11)
      <=> v3790(VarCurr,bitIndex19) )
      & ( v3831(VarCurr,bitIndex10)
      <=> v3790(VarCurr,bitIndex18) )
      & ( v3831(VarCurr,bitIndex9)
      <=> v3790(VarCurr,bitIndex17) )
      & ( v3831(VarCurr,bitIndex8)
      <=> v3790(VarCurr,bitIndex16) )
      & ( v3831(VarCurr,bitIndex7)
      <=> v3790(VarCurr,bitIndex15) )
      & ( v3831(VarCurr,bitIndex6)
      <=> v3790(VarCurr,bitIndex14) )
      & ( v3831(VarCurr,bitIndex5)
      <=> v3790(VarCurr,bitIndex13) )
      & ( v3831(VarCurr,bitIndex4)
      <=> v3790(VarCurr,bitIndex12) )
      & ( v3831(VarCurr,bitIndex3)
      <=> v3790(VarCurr,bitIndex11) )
      & ( v3831(VarCurr,bitIndex2)
      <=> v3790(VarCurr,bitIndex10) )
      & ( v3831(VarCurr,bitIndex1)
      <=> v3790(VarCurr,bitIndex9) )
      & ( v3831(VarCurr,bitIndex0)
      <=> v3790(VarCurr,bitIndex8) ) ) )).

fof(addAssignment_625,axiom,(
    ! [VarCurr] :
      ( v3831(VarCurr,bitIndex19)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_176,axiom,(
    ! [VarCurr] :
      ( v3828(VarCurr)
    <=> ( ( v3829(VarCurr,bitIndex19)
        <=> $false )
        & ( v3829(VarCurr,bitIndex18)
        <=> $false )
        & ( v3829(VarCurr,bitIndex17)
        <=> $false )
        & ( v3829(VarCurr,bitIndex16)
        <=> $false )
        & ( v3829(VarCurr,bitIndex15)
        <=> $false )
        & ( v3829(VarCurr,bitIndex14)
        <=> $false )
        & ( v3829(VarCurr,bitIndex13)
        <=> $false )
        & ( v3829(VarCurr,bitIndex12)
        <=> $false )
        & ( v3829(VarCurr,bitIndex11)
        <=> $true )
        & ( v3829(VarCurr,bitIndex10)
        <=> $true )
        & ( v3829(VarCurr,bitIndex9)
        <=> $true )
        & ( v3829(VarCurr,bitIndex8)
        <=> $false )
        & ( v3829(VarCurr,bitIndex7)
        <=> $false )
        & ( v3829(VarCurr,bitIndex6)
        <=> $true )
        & ( v3829(VarCurr,bitIndex5)
        <=> $false )
        & ( v3829(VarCurr,bitIndex4)
        <=> $true )
        & ( v3829(VarCurr,bitIndex3)
        <=> $false )
        & ( v3829(VarCurr,bitIndex2)
        <=> $false )
        & ( v3829(VarCurr,bitIndex1)
        <=> $false )
        & ( v3829(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_913,axiom,(
    ~ b00000000111001010000(bitIndex19) )).

fof(bitBlastConstant_912,axiom,(
    ~ b00000000111001010000(bitIndex18) )).

fof(bitBlastConstant_911,axiom,(
    ~ b00000000111001010000(bitIndex17) )).

fof(bitBlastConstant_910,axiom,(
    ~ b00000000111001010000(bitIndex16) )).

fof(bitBlastConstant_909,axiom,(
    ~ b00000000111001010000(bitIndex15) )).

fof(bitBlastConstant_908,axiom,(
    ~ b00000000111001010000(bitIndex14) )).

fof(bitBlastConstant_907,axiom,(
    ~ b00000000111001010000(bitIndex13) )).

fof(bitBlastConstant_906,axiom,(
    ~ b00000000111001010000(bitIndex12) )).

fof(bitBlastConstant_905,axiom,(
    b00000000111001010000(bitIndex11) )).

fof(bitBlastConstant_904,axiom,(
    b00000000111001010000(bitIndex10) )).

fof(bitBlastConstant_903,axiom,(
    b00000000111001010000(bitIndex9) )).

fof(bitBlastConstant_902,axiom,(
    ~ b00000000111001010000(bitIndex8) )).

fof(bitBlastConstant_901,axiom,(
    ~ b00000000111001010000(bitIndex7) )).

fof(bitBlastConstant_900,axiom,(
    b00000000111001010000(bitIndex6) )).

fof(bitBlastConstant_899,axiom,(
    ~ b00000000111001010000(bitIndex5) )).

fof(bitBlastConstant_898,axiom,(
    b00000000111001010000(bitIndex4) )).

fof(bitBlastConstant_897,axiom,(
    ~ b00000000111001010000(bitIndex3) )).

fof(bitBlastConstant_896,axiom,(
    ~ b00000000111001010000(bitIndex2) )).

fof(bitBlastConstant_895,axiom,(
    ~ b00000000111001010000(bitIndex1) )).

fof(bitBlastConstant_894,axiom,(
    ~ b00000000111001010000(bitIndex0) )).

fof(addAssignment_624,axiom,(
    ! [VarCurr] :
      ( ( v3829(VarCurr,bitIndex18)
      <=> v3790(VarCurr,bitIndex26) )
      & ( v3829(VarCurr,bitIndex17)
      <=> v3790(VarCurr,bitIndex25) )
      & ( v3829(VarCurr,bitIndex16)
      <=> v3790(VarCurr,bitIndex24) )
      & ( v3829(VarCurr,bitIndex15)
      <=> v3790(VarCurr,bitIndex23) )
      & ( v3829(VarCurr,bitIndex14)
      <=> v3790(VarCurr,bitIndex22) )
      & ( v3829(VarCurr,bitIndex13)
      <=> v3790(VarCurr,bitIndex21) )
      & ( v3829(VarCurr,bitIndex12)
      <=> v3790(VarCurr,bitIndex20) )
      & ( v3829(VarCurr,bitIndex11)
      <=> v3790(VarCurr,bitIndex19) )
      & ( v3829(VarCurr,bitIndex10)
      <=> v3790(VarCurr,bitIndex18) )
      & ( v3829(VarCurr,bitIndex9)
      <=> v3790(VarCurr,bitIndex17) )
      & ( v3829(VarCurr,bitIndex8)
      <=> v3790(VarCurr,bitIndex16) )
      & ( v3829(VarCurr,bitIndex7)
      <=> v3790(VarCurr,bitIndex15) )
      & ( v3829(VarCurr,bitIndex6)
      <=> v3790(VarCurr,bitIndex14) )
      & ( v3829(VarCurr,bitIndex5)
      <=> v3790(VarCurr,bitIndex13) )
      & ( v3829(VarCurr,bitIndex4)
      <=> v3790(VarCurr,bitIndex12) )
      & ( v3829(VarCurr,bitIndex3)
      <=> v3790(VarCurr,bitIndex11) )
      & ( v3829(VarCurr,bitIndex2)
      <=> v3790(VarCurr,bitIndex10) )
      & ( v3829(VarCurr,bitIndex1)
      <=> v3790(VarCurr,bitIndex9) )
      & ( v3829(VarCurr,bitIndex0)
      <=> v3790(VarCurr,bitIndex8) ) ) )).

fof(addAssignment_623,axiom,(
    ! [VarCurr] :
      ( v3829(VarCurr,bitIndex19)
    <=> $false ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1058,axiom,(
    ! [VarCurr] :
      ( v3822(VarCurr)
    <=> ( v3823(VarCurr)
        | v3825(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_175,axiom,(
    ! [VarCurr] :
      ( v3825(VarCurr)
    <=> ( ( v3826(VarCurr,bitIndex19)
        <=> $false )
        & ( v3826(VarCurr,bitIndex18)
        <=> $false )
        & ( v3826(VarCurr,bitIndex17)
        <=> $false )
        & ( v3826(VarCurr,bitIndex16)
        <=> $false )
        & ( v3826(VarCurr,bitIndex15)
        <=> $false )
        & ( v3826(VarCurr,bitIndex14)
        <=> $false )
        & ( v3826(VarCurr,bitIndex13)
        <=> $false )
        & ( v3826(VarCurr,bitIndex12)
        <=> $false )
        & ( v3826(VarCurr,bitIndex11)
        <=> $true )
        & ( v3826(VarCurr,bitIndex10)
        <=> $true )
        & ( v3826(VarCurr,bitIndex9)
        <=> $false )
        & ( v3826(VarCurr,bitIndex8)
        <=> $false )
        & ( v3826(VarCurr,bitIndex7)
        <=> $false )
        & ( v3826(VarCurr,bitIndex6)
        <=> $true )
        & ( v3826(VarCurr,bitIndex5)
        <=> $false )
        & ( v3826(VarCurr,bitIndex4)
        <=> $true )
        & ( v3826(VarCurr,bitIndex3)
        <=> $false )
        & ( v3826(VarCurr,bitIndex2)
        <=> $false )
        & ( v3826(VarCurr,bitIndex1)
        <=> $false )
        & ( v3826(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_893,axiom,(
    ~ b00000000110001010001(bitIndex19) )).

fof(bitBlastConstant_892,axiom,(
    ~ b00000000110001010001(bitIndex18) )).

fof(bitBlastConstant_891,axiom,(
    ~ b00000000110001010001(bitIndex17) )).

fof(bitBlastConstant_890,axiom,(
    ~ b00000000110001010001(bitIndex16) )).

fof(bitBlastConstant_889,axiom,(
    ~ b00000000110001010001(bitIndex15) )).

fof(bitBlastConstant_888,axiom,(
    ~ b00000000110001010001(bitIndex14) )).

fof(bitBlastConstant_887,axiom,(
    ~ b00000000110001010001(bitIndex13) )).

fof(bitBlastConstant_886,axiom,(
    ~ b00000000110001010001(bitIndex12) )).

fof(bitBlastConstant_885,axiom,(
    b00000000110001010001(bitIndex11) )).

fof(bitBlastConstant_884,axiom,(
    b00000000110001010001(bitIndex10) )).

fof(bitBlastConstant_883,axiom,(
    ~ b00000000110001010001(bitIndex9) )).

fof(bitBlastConstant_882,axiom,(
    ~ b00000000110001010001(bitIndex8) )).

fof(bitBlastConstant_881,axiom,(
    ~ b00000000110001010001(bitIndex7) )).

fof(bitBlastConstant_880,axiom,(
    b00000000110001010001(bitIndex6) )).

fof(bitBlastConstant_879,axiom,(
    ~ b00000000110001010001(bitIndex5) )).

fof(bitBlastConstant_878,axiom,(
    b00000000110001010001(bitIndex4) )).

fof(bitBlastConstant_877,axiom,(
    ~ b00000000110001010001(bitIndex3) )).

fof(bitBlastConstant_876,axiom,(
    ~ b00000000110001010001(bitIndex2) )).

fof(bitBlastConstant_875,axiom,(
    ~ b00000000110001010001(bitIndex1) )).

fof(bitBlastConstant_874,axiom,(
    b00000000110001010001(bitIndex0) )).

fof(addAssignment_622,axiom,(
    ! [VarCurr] :
      ( ( v3826(VarCurr,bitIndex18)
      <=> v3790(VarCurr,bitIndex26) )
      & ( v3826(VarCurr,bitIndex17)
      <=> v3790(VarCurr,bitIndex25) )
      & ( v3826(VarCurr,bitIndex16)
      <=> v3790(VarCurr,bitIndex24) )
      & ( v3826(VarCurr,bitIndex15)
      <=> v3790(VarCurr,bitIndex23) )
      & ( v3826(VarCurr,bitIndex14)
      <=> v3790(VarCurr,bitIndex22) )
      & ( v3826(VarCurr,bitIndex13)
      <=> v3790(VarCurr,bitIndex21) )
      & ( v3826(VarCurr,bitIndex12)
      <=> v3790(VarCurr,bitIndex20) )
      & ( v3826(VarCurr,bitIndex11)
      <=> v3790(VarCurr,bitIndex19) )
      & ( v3826(VarCurr,bitIndex10)
      <=> v3790(VarCurr,bitIndex18) )
      & ( v3826(VarCurr,bitIndex9)
      <=> v3790(VarCurr,bitIndex17) )
      & ( v3826(VarCurr,bitIndex8)
      <=> v3790(VarCurr,bitIndex16) )
      & ( v3826(VarCurr,bitIndex7)
      <=> v3790(VarCurr,bitIndex15) )
      & ( v3826(VarCurr,bitIndex6)
      <=> v3790(VarCurr,bitIndex14) )
      & ( v3826(VarCurr,bitIndex5)
      <=> v3790(VarCurr,bitIndex13) )
      & ( v3826(VarCurr,bitIndex4)
      <=> v3790(VarCurr,bitIndex12) )
      & ( v3826(VarCurr,bitIndex3)
      <=> v3790(VarCurr,bitIndex11) )
      & ( v3826(VarCurr,bitIndex2)
      <=> v3790(VarCurr,bitIndex10) )
      & ( v3826(VarCurr,bitIndex1)
      <=> v3790(VarCurr,bitIndex9) )
      & ( v3826(VarCurr,bitIndex0)
      <=> v3790(VarCurr,bitIndex8) ) ) )).

fof(addAssignment_621,axiom,(
    ! [VarCurr] :
      ( v3826(VarCurr,bitIndex19)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_174,axiom,(
    ! [VarCurr] :
      ( v3823(VarCurr)
    <=> ( ( v3824(VarCurr,bitIndex19)
        <=> $false )
        & ( v3824(VarCurr,bitIndex18)
        <=> $false )
        & ( v3824(VarCurr,bitIndex17)
        <=> $false )
        & ( v3824(VarCurr,bitIndex16)
        <=> $false )
        & ( v3824(VarCurr,bitIndex15)
        <=> $false )
        & ( v3824(VarCurr,bitIndex14)
        <=> $false )
        & ( v3824(VarCurr,bitIndex13)
        <=> $false )
        & ( v3824(VarCurr,bitIndex12)
        <=> $false )
        & ( v3824(VarCurr,bitIndex11)
        <=> $true )
        & ( v3824(VarCurr,bitIndex10)
        <=> $true )
        & ( v3824(VarCurr,bitIndex9)
        <=> $false )
        & ( v3824(VarCurr,bitIndex8)
        <=> $false )
        & ( v3824(VarCurr,bitIndex7)
        <=> $false )
        & ( v3824(VarCurr,bitIndex6)
        <=> $true )
        & ( v3824(VarCurr,bitIndex5)
        <=> $false )
        & ( v3824(VarCurr,bitIndex4)
        <=> $true )
        & ( v3824(VarCurr,bitIndex3)
        <=> $false )
        & ( v3824(VarCurr,bitIndex2)
        <=> $false )
        & ( v3824(VarCurr,bitIndex1)
        <=> $false )
        & ( v3824(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_873,axiom,(
    ~ b00000000110001010000(bitIndex19) )).

fof(bitBlastConstant_872,axiom,(
    ~ b00000000110001010000(bitIndex18) )).

fof(bitBlastConstant_871,axiom,(
    ~ b00000000110001010000(bitIndex17) )).

fof(bitBlastConstant_870,axiom,(
    ~ b00000000110001010000(bitIndex16) )).

fof(bitBlastConstant_869,axiom,(
    ~ b00000000110001010000(bitIndex15) )).

fof(bitBlastConstant_868,axiom,(
    ~ b00000000110001010000(bitIndex14) )).

fof(bitBlastConstant_867,axiom,(
    ~ b00000000110001010000(bitIndex13) )).

fof(bitBlastConstant_866,axiom,(
    ~ b00000000110001010000(bitIndex12) )).

fof(bitBlastConstant_865,axiom,(
    b00000000110001010000(bitIndex11) )).

fof(bitBlastConstant_864,axiom,(
    b00000000110001010000(bitIndex10) )).

fof(bitBlastConstant_863,axiom,(
    ~ b00000000110001010000(bitIndex9) )).

fof(bitBlastConstant_862,axiom,(
    ~ b00000000110001010000(bitIndex8) )).

fof(bitBlastConstant_861,axiom,(
    ~ b00000000110001010000(bitIndex7) )).

fof(bitBlastConstant_860,axiom,(
    b00000000110001010000(bitIndex6) )).

fof(bitBlastConstant_859,axiom,(
    ~ b00000000110001010000(bitIndex5) )).

fof(bitBlastConstant_858,axiom,(
    b00000000110001010000(bitIndex4) )).

fof(bitBlastConstant_857,axiom,(
    ~ b00000000110001010000(bitIndex3) )).

fof(bitBlastConstant_856,axiom,(
    ~ b00000000110001010000(bitIndex2) )).

fof(bitBlastConstant_855,axiom,(
    ~ b00000000110001010000(bitIndex1) )).

fof(bitBlastConstant_854,axiom,(
    ~ b00000000110001010000(bitIndex0) )).

fof(addAssignment_620,axiom,(
    ! [VarCurr] :
      ( ( v3824(VarCurr,bitIndex18)
      <=> v3790(VarCurr,bitIndex26) )
      & ( v3824(VarCurr,bitIndex17)
      <=> v3790(VarCurr,bitIndex25) )
      & ( v3824(VarCurr,bitIndex16)
      <=> v3790(VarCurr,bitIndex24) )
      & ( v3824(VarCurr,bitIndex15)
      <=> v3790(VarCurr,bitIndex23) )
      & ( v3824(VarCurr,bitIndex14)
      <=> v3790(VarCurr,bitIndex22) )
      & ( v3824(VarCurr,bitIndex13)
      <=> v3790(VarCurr,bitIndex21) )
      & ( v3824(VarCurr,bitIndex12)
      <=> v3790(VarCurr,bitIndex20) )
      & ( v3824(VarCurr,bitIndex11)
      <=> v3790(VarCurr,bitIndex19) )
      & ( v3824(VarCurr,bitIndex10)
      <=> v3790(VarCurr,bitIndex18) )
      & ( v3824(VarCurr,bitIndex9)
      <=> v3790(VarCurr,bitIndex17) )
      & ( v3824(VarCurr,bitIndex8)
      <=> v3790(VarCurr,bitIndex16) )
      & ( v3824(VarCurr,bitIndex7)
      <=> v3790(VarCurr,bitIndex15) )
      & ( v3824(VarCurr,bitIndex6)
      <=> v3790(VarCurr,bitIndex14) )
      & ( v3824(VarCurr,bitIndex5)
      <=> v3790(VarCurr,bitIndex13) )
      & ( v3824(VarCurr,bitIndex4)
      <=> v3790(VarCurr,bitIndex12) )
      & ( v3824(VarCurr,bitIndex3)
      <=> v3790(VarCurr,bitIndex11) )
      & ( v3824(VarCurr,bitIndex2)
      <=> v3790(VarCurr,bitIndex10) )
      & ( v3824(VarCurr,bitIndex1)
      <=> v3790(VarCurr,bitIndex9) )
      & ( v3824(VarCurr,bitIndex0)
      <=> v3790(VarCurr,bitIndex8) ) ) )).

fof(addAssignment_619,axiom,(
    ! [VarCurr] :
      ( v3824(VarCurr,bitIndex19)
    <=> $false ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_94,axiom,(
    ! [VarCurr] :
      ( ~ v3806(VarCurr)
     => ( v3780(VarCurr)
      <=> v3807(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_95,axiom,(
    ! [VarCurr] :
      ( v3806(VarCurr)
     => ( v3780(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_23,axiom,(
    ! [VarCurr] :
      ( ( ~ v3808(VarCurr)
        & ~ v3811(VarCurr) )
     => ( v3807(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_54,axiom,(
    ! [VarCurr] :
      ( v3811(VarCurr)
     => ( v3807(VarCurr)
      <=> v3812(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_55,axiom,(
    ! [VarCurr] :
      ( v3808(VarCurr)
     => ( v3807(VarCurr)
      <=> v3809(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_173,axiom,(
    ! [VarCurr] :
      ( v3812(VarCurr)
    <=> ( ( v3813(VarCurr,bitIndex19)
        <=> $false )
        & ( v3813(VarCurr,bitIndex18)
        <=> $false )
        & ( v3813(VarCurr,bitIndex17)
        <=> $false )
        & ( v3813(VarCurr,bitIndex16)
        <=> $false )
        & ( v3813(VarCurr,bitIndex15)
        <=> $false )
        & ( v3813(VarCurr,bitIndex14)
        <=> $false )
        & ( v3813(VarCurr,bitIndex13)
        <=> $false )
        & ( v3813(VarCurr,bitIndex12)
        <=> $false )
        & ( v3813(VarCurr,bitIndex11)
        <=> $true )
        & ( v3813(VarCurr,bitIndex10)
        <=> $true )
        & ( v3813(VarCurr,bitIndex9)
        <=> $true )
        & ( v3813(VarCurr,bitIndex8)
        <=> $false )
        & ( v3813(VarCurr,bitIndex7)
        <=> $false )
        & ( v3813(VarCurr,bitIndex6)
        <=> $true )
        & ( v3813(VarCurr,bitIndex5)
        <=> $false )
        & ( v3813(VarCurr,bitIndex4)
        <=> $false )
        & ( v3813(VarCurr,bitIndex3)
        <=> $false )
        & ( v3813(VarCurr,bitIndex2)
        <=> $false )
        & ( v3813(VarCurr,bitIndex1)
        <=> $false )
        & ( v3813(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_853,axiom,(
    ~ b00000000111001000000(bitIndex19) )).

fof(bitBlastConstant_852,axiom,(
    ~ b00000000111001000000(bitIndex18) )).

fof(bitBlastConstant_851,axiom,(
    ~ b00000000111001000000(bitIndex17) )).

fof(bitBlastConstant_850,axiom,(
    ~ b00000000111001000000(bitIndex16) )).

fof(bitBlastConstant_849,axiom,(
    ~ b00000000111001000000(bitIndex15) )).

fof(bitBlastConstant_848,axiom,(
    ~ b00000000111001000000(bitIndex14) )).

fof(bitBlastConstant_847,axiom,(
    ~ b00000000111001000000(bitIndex13) )).

fof(bitBlastConstant_846,axiom,(
    ~ b00000000111001000000(bitIndex12) )).

fof(bitBlastConstant_845,axiom,(
    b00000000111001000000(bitIndex11) )).

fof(bitBlastConstant_844,axiom,(
    b00000000111001000000(bitIndex10) )).

fof(bitBlastConstant_843,axiom,(
    b00000000111001000000(bitIndex9) )).

fof(bitBlastConstant_842,axiom,(
    ~ b00000000111001000000(bitIndex8) )).

fof(bitBlastConstant_841,axiom,(
    ~ b00000000111001000000(bitIndex7) )).

fof(bitBlastConstant_840,axiom,(
    b00000000111001000000(bitIndex6) )).

fof(bitBlastConstant_839,axiom,(
    ~ b00000000111001000000(bitIndex5) )).

fof(bitBlastConstant_838,axiom,(
    ~ b00000000111001000000(bitIndex4) )).

fof(bitBlastConstant_837,axiom,(
    ~ b00000000111001000000(bitIndex3) )).

fof(bitBlastConstant_836,axiom,(
    ~ b00000000111001000000(bitIndex2) )).

fof(bitBlastConstant_835,axiom,(
    ~ b00000000111001000000(bitIndex1) )).

fof(bitBlastConstant_834,axiom,(
    ~ b00000000111001000000(bitIndex0) )).

fof(addAssignment_618,axiom,(
    ! [VarCurr] :
      ( ( v3813(VarCurr,bitIndex18)
      <=> v3790(VarCurr,bitIndex26) )
      & ( v3813(VarCurr,bitIndex17)
      <=> v3790(VarCurr,bitIndex25) )
      & ( v3813(VarCurr,bitIndex16)
      <=> v3790(VarCurr,bitIndex24) )
      & ( v3813(VarCurr,bitIndex15)
      <=> v3790(VarCurr,bitIndex23) )
      & ( v3813(VarCurr,bitIndex14)
      <=> v3790(VarCurr,bitIndex22) )
      & ( v3813(VarCurr,bitIndex13)
      <=> v3790(VarCurr,bitIndex21) )
      & ( v3813(VarCurr,bitIndex12)
      <=> v3790(VarCurr,bitIndex20) )
      & ( v3813(VarCurr,bitIndex11)
      <=> v3790(VarCurr,bitIndex19) )
      & ( v3813(VarCurr,bitIndex10)
      <=> v3790(VarCurr,bitIndex18) )
      & ( v3813(VarCurr,bitIndex9)
      <=> v3790(VarCurr,bitIndex17) )
      & ( v3813(VarCurr,bitIndex8)
      <=> v3790(VarCurr,bitIndex16) )
      & ( v3813(VarCurr,bitIndex7)
      <=> v3790(VarCurr,bitIndex15) )
      & ( v3813(VarCurr,bitIndex6)
      <=> v3790(VarCurr,bitIndex14) )
      & ( v3813(VarCurr,bitIndex5)
      <=> v3790(VarCurr,bitIndex13) )
      & ( v3813(VarCurr,bitIndex4)
      <=> v3790(VarCurr,bitIndex12) )
      & ( v3813(VarCurr,bitIndex3)
      <=> v3790(VarCurr,bitIndex11) )
      & ( v3813(VarCurr,bitIndex2)
      <=> v3790(VarCurr,bitIndex10) )
      & ( v3813(VarCurr,bitIndex1)
      <=> v3790(VarCurr,bitIndex9) )
      & ( v3813(VarCurr,bitIndex0)
      <=> v3790(VarCurr,bitIndex8) ) ) )).

fof(addAssignment_617,axiom,(
    ! [VarCurr] :
      ( v3813(VarCurr,bitIndex19)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_172,axiom,(
    ! [VarCurr] :
      ( v3811(VarCurr)
    <=> ( v3782(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_171,axiom,(
    ! [VarCurr] :
      ( v3809(VarCurr)
    <=> ( ( v3810(VarCurr,bitIndex19)
        <=> $false )
        & ( v3810(VarCurr,bitIndex18)
        <=> $false )
        & ( v3810(VarCurr,bitIndex17)
        <=> $false )
        & ( v3810(VarCurr,bitIndex16)
        <=> $false )
        & ( v3810(VarCurr,bitIndex15)
        <=> $false )
        & ( v3810(VarCurr,bitIndex14)
        <=> $false )
        & ( v3810(VarCurr,bitIndex13)
        <=> $false )
        & ( v3810(VarCurr,bitIndex12)
        <=> $false )
        & ( v3810(VarCurr,bitIndex11)
        <=> $true )
        & ( v3810(VarCurr,bitIndex10)
        <=> $true )
        & ( v3810(VarCurr,bitIndex9)
        <=> $false )
        & ( v3810(VarCurr,bitIndex8)
        <=> $false )
        & ( v3810(VarCurr,bitIndex7)
        <=> $false )
        & ( v3810(VarCurr,bitIndex6)
        <=> $true )
        & ( v3810(VarCurr,bitIndex5)
        <=> $false )
        & ( v3810(VarCurr,bitIndex4)
        <=> $false )
        & ( v3810(VarCurr,bitIndex3)
        <=> $false )
        & ( v3810(VarCurr,bitIndex2)
        <=> $false )
        & ( v3810(VarCurr,bitIndex1)
        <=> $false )
        & ( v3810(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_833,axiom,(
    ~ b00000000110001000000(bitIndex19) )).

fof(bitBlastConstant_832,axiom,(
    ~ b00000000110001000000(bitIndex18) )).

fof(bitBlastConstant_831,axiom,(
    ~ b00000000110001000000(bitIndex17) )).

fof(bitBlastConstant_830,axiom,(
    ~ b00000000110001000000(bitIndex16) )).

fof(bitBlastConstant_829,axiom,(
    ~ b00000000110001000000(bitIndex15) )).

fof(bitBlastConstant_828,axiom,(
    ~ b00000000110001000000(bitIndex14) )).

fof(bitBlastConstant_827,axiom,(
    ~ b00000000110001000000(bitIndex13) )).

fof(bitBlastConstant_826,axiom,(
    ~ b00000000110001000000(bitIndex12) )).

fof(bitBlastConstant_825,axiom,(
    b00000000110001000000(bitIndex11) )).

fof(bitBlastConstant_824,axiom,(
    b00000000110001000000(bitIndex10) )).

fof(bitBlastConstant_823,axiom,(
    ~ b00000000110001000000(bitIndex9) )).

fof(bitBlastConstant_822,axiom,(
    ~ b00000000110001000000(bitIndex8) )).

fof(bitBlastConstant_821,axiom,(
    ~ b00000000110001000000(bitIndex7) )).

fof(bitBlastConstant_820,axiom,(
    b00000000110001000000(bitIndex6) )).

fof(bitBlastConstant_819,axiom,(
    ~ b00000000110001000000(bitIndex5) )).

fof(bitBlastConstant_818,axiom,(
    ~ b00000000110001000000(bitIndex4) )).

fof(bitBlastConstant_817,axiom,(
    ~ b00000000110001000000(bitIndex3) )).

fof(bitBlastConstant_816,axiom,(
    ~ b00000000110001000000(bitIndex2) )).

fof(bitBlastConstant_815,axiom,(
    ~ b00000000110001000000(bitIndex1) )).

fof(bitBlastConstant_814,axiom,(
    ~ b00000000110001000000(bitIndex0) )).

fof(addAssignment_616,axiom,(
    ! [VarCurr] :
      ( ( v3810(VarCurr,bitIndex18)
      <=> v3790(VarCurr,bitIndex26) )
      & ( v3810(VarCurr,bitIndex17)
      <=> v3790(VarCurr,bitIndex25) )
      & ( v3810(VarCurr,bitIndex16)
      <=> v3790(VarCurr,bitIndex24) )
      & ( v3810(VarCurr,bitIndex15)
      <=> v3790(VarCurr,bitIndex23) )
      & ( v3810(VarCurr,bitIndex14)
      <=> v3790(VarCurr,bitIndex22) )
      & ( v3810(VarCurr,bitIndex13)
      <=> v3790(VarCurr,bitIndex21) )
      & ( v3810(VarCurr,bitIndex12)
      <=> v3790(VarCurr,bitIndex20) )
      & ( v3810(VarCurr,bitIndex11)
      <=> v3790(VarCurr,bitIndex19) )
      & ( v3810(VarCurr,bitIndex10)
      <=> v3790(VarCurr,bitIndex18) )
      & ( v3810(VarCurr,bitIndex9)
      <=> v3790(VarCurr,bitIndex17) )
      & ( v3810(VarCurr,bitIndex8)
      <=> v3790(VarCurr,bitIndex16) )
      & ( v3810(VarCurr,bitIndex7)
      <=> v3790(VarCurr,bitIndex15) )
      & ( v3810(VarCurr,bitIndex6)
      <=> v3790(VarCurr,bitIndex14) )
      & ( v3810(VarCurr,bitIndex5)
      <=> v3790(VarCurr,bitIndex13) )
      & ( v3810(VarCurr,bitIndex4)
      <=> v3790(VarCurr,bitIndex12) )
      & ( v3810(VarCurr,bitIndex3)
      <=> v3790(VarCurr,bitIndex11) )
      & ( v3810(VarCurr,bitIndex2)
      <=> v3790(VarCurr,bitIndex10) )
      & ( v3810(VarCurr,bitIndex1)
      <=> v3790(VarCurr,bitIndex9) )
      & ( v3810(VarCurr,bitIndex0)
      <=> v3790(VarCurr,bitIndex8) ) ) )).

fof(addAssignment_615,axiom,(
    ! [VarCurr] :
      ( v3810(VarCurr,bitIndex19)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_170,axiom,(
    ! [VarCurr] :
      ( v3808(VarCurr)
    <=> ( v3782(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_499,axiom,(
    ! [VarCurr] :
      ( ~ v3806(VarCurr)
    <=> v3725(VarCurr) ) )).

fof(addAssignment_614,axiom,(
    ! [VarCurr,B] :
      ( range_26_8(B)
     => ( v3790(VarCurr,B)
      <=> v3792(VarCurr,B) ) ) )).

fof(addAssignment_613,axiom,(
    ! [VarCurr,B] :
      ( range_26_8(B)
     => ( v3792(VarCurr,B)
      <=> v3794(VarCurr,B) ) ) )).

fof(addAssignment_612,axiom,(
    ! [VarCurr,B] :
      ( range_26_8(B)
     => ( v3794(VarCurr,B)
      <=> v3796(VarCurr,B) ) ) )).

fof(addAssignment_611,axiom,(
    ! [VarCurr,B] :
      ( range_26_8(B)
     => ( v3796(VarCurr,B)
      <=> v3798(VarCurr,B) ) ) )).

fof(addAssignment_610,axiom,(
    ! [VarCurr,B] :
      ( range_26_8(B)
     => ( v3798(VarCurr,B)
      <=> v3800(VarCurr,B) ) ) )).

fof(addAssignment_609,axiom,(
    ! [VarCurr,B] :
      ( range_26_8(B)
     => ( v3800(VarCurr,B)
      <=> v3802(VarCurr,B) ) ) )).

fof(addAssignment_608,axiom,(
    ! [VarCurr,B] :
      ( range_26_8(B)
     => ( v3802(VarCurr,B)
      <=> v3582(VarCurr,B) ) ) )).

fof(range_axiom_22,axiom,(
    ! [B] :
      ( range_26_8(B)
    <=> ( $false
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B ) ) )).

fof(addAssignment_607,axiom,(
    ! [VarCurr] :
      ( v3782(VarCurr)
    <=> v3784(VarCurr) ) )).

fof(addAssignment_606,axiom,(
    ! [VarCurr] :
      ( v3784(VarCurr)
    <=> v3786(VarCurr) ) )).

fof(addAssignment_605,axiom,(
    ! [VarCurr] :
      ( v3786(VarCurr)
    <=> v3788(VarCurr) ) )).

fof(addAssignment_604,axiom,(
    ! [VarCurr] :
      ( v3788(VarCurr)
    <=> v3566(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_43,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3766(VarNext)
       => ( v3715(VarNext)
        <=> v3715(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_48,axiom,(
    ! [VarNext] :
      ( v3766(VarNext)
     => ( v3715(VarNext)
      <=> v3774(VarNext) ) ) )).

fof(addAssignment_603,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3774(VarNext)
      <=> v3772(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_93,axiom,(
    ! [VarCurr] :
      ( ~ v3761(VarCurr)
     => ( v3772(VarCurr)
      <=> v3775(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_94,axiom,(
    ! [VarCurr] :
      ( v3761(VarCurr)
     => ( v3772(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1057,axiom,(
    ! [VarCurr] :
      ( v3775(VarCurr)
    <=> ( v3725(VarCurr)
        & v3776(VarCurr) ) ) )).

fof(writeUnaryOperator_498,axiom,(
    ! [VarCurr] :
      ( ~ v3776(VarCurr)
    <=> v3739(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1056,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3766(VarNext)
      <=> v3767(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1055,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3767(VarNext)
      <=> ( v3769(VarNext)
          & v3741(VarNext) ) ) ) )).

fof(writeUnaryOperator_497,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3769(VarNext)
      <=> v3754(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_42,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3750(VarNext)
       => ( v3739(VarNext)
        <=> v3739(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_47,axiom,(
    ! [VarNext] :
      ( v3750(VarNext)
     => ( v3739(VarNext)
      <=> v3760(VarNext) ) ) )).

fof(addAssignment_602,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3760(VarNext)
      <=> v3758(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_92,axiom,(
    ! [VarCurr] :
      ( ~ v3761(VarCurr)
     => ( v3758(VarCurr)
      <=> v3725(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_93,axiom,(
    ! [VarCurr] :
      ( v3761(VarCurr)
     => ( v3758(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_496,axiom,(
    ! [VarCurr] :
      ( ~ v3761(VarCurr)
    <=> v3717(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1054,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3750(VarNext)
      <=> v3751(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1053,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3751(VarNext)
      <=> ( v3752(VarNext)
          & v3741(VarNext) ) ) ) )).

fof(writeUnaryOperator_495,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3752(VarNext)
      <=> v3754(VarNext) ) ) )).

fof(addAssignment_601,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3754(VarNext)
      <=> v3741(VarCurr) ) ) )).

fof(addAssignment_600,axiom,(
    ! [VarCurr] :
      ( v3741(VarCurr)
    <=> v3743(VarCurr) ) )).

fof(addAssignment_599,axiom,(
    ! [VarCurr] :
      ( v3743(VarCurr)
    <=> v3745(VarCurr) ) )).

fof(addAssignment_598,axiom,(
    ! [VarCurr] :
      ( v3745(VarCurr)
    <=> v3747(VarCurr) ) )).

fof(addAssignment_597,axiom,(
    ! [VarCurr] :
      ( v3747(VarCurr)
    <=> v3525(VarCurr) ) )).

fof(addAssignment_596,axiom,(
    ! [VarCurr] :
      ( v3725(VarCurr)
    <=> v3727(VarCurr) ) )).

fof(addAssignment_595,axiom,(
    ! [VarCurr] :
      ( v3727(VarCurr)
    <=> v3729(VarCurr) ) )).

fof(addAssignment_594,axiom,(
    ! [VarCurr] :
      ( v3729(VarCurr)
    <=> v3731(VarCurr) ) )).

fof(addAssignment_593,axiom,(
    ! [VarCurr] :
      ( v3731(VarCurr)
    <=> v3733(VarCurr) ) )).

fof(addAssignment_592,axiom,(
    ! [VarCurr] :
      ( v3733(VarCurr)
    <=> v3735(VarCurr) ) )).

fof(addAssignment_591,axiom,(
    ! [VarCurr] :
      ( v3735(VarCurr)
    <=> v3737(VarCurr) ) )).

fof(addAssignment_590,axiom,(
    ! [VarCurr] :
      ( v3737(VarCurr)
    <=> v3456(VarCurr) ) )).

fof(addAssignment_589,axiom,(
    ! [VarCurr] :
      ( v3717(VarCurr)
    <=> v3719(VarCurr) ) )).

fof(addAssignment_588,axiom,(
    ! [VarCurr] :
      ( v3719(VarCurr)
    <=> v3721(VarCurr) ) )).

fof(addAssignment_587,axiom,(
    ! [VarCurr] :
      ( v3721(VarCurr)
    <=> v3723(VarCurr) ) )).

fof(addAssignment_586,axiom,(
    ! [VarCurr] :
      ( v3723(VarCurr)
    <=> v3144(VarCurr) ) )).

fof(addAssignment_585,axiom,(
    ! [VarCurr] :
      ( v3422(VarCurr)
    <=> v3424(VarCurr) ) )).

fof(addAssignment_584,axiom,(
    ! [VarCurr] :
      ( v3424(VarCurr)
    <=> v3426(VarCurr) ) )).

fof(addAssignment_583,axiom,(
    ! [VarCurr] :
      ( v3426(VarCurr)
    <=> v3428(VarCurr) ) )).

fof(addAssignment_582,axiom,(
    ! [VarCurr] :
      ( v3428(VarCurr)
    <=> v3430(VarCurr) ) )).

fof(addAssignment_581,axiom,(
    ! [VarCurr] :
      ( v3430(VarCurr)
    <=> v3432(VarCurr) ) )).

fof(addAssignment_580,axiom,(
    ! [VarCurr] :
      ( v3432(VarCurr)
    <=> v3434(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1052,axiom,(
    ! [VarCurr] :
      ( v3434(VarCurr)
    <=> ( v3436(VarCurr)
        & v3691(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1051,axiom,(
    ! [VarCurr] :
      ( v3691(VarCurr)
    <=> ( v3692(VarCurr)
        | v3681(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1050,axiom,(
    ! [VarCurr] :
      ( v3692(VarCurr)
    <=> ( v3693(VarCurr)
        | v3671(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1049,axiom,(
    ! [VarCurr] :
      ( v3693(VarCurr)
    <=> ( v3694(VarCurr)
        | v3661(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1048,axiom,(
    ! [VarCurr] :
      ( v3694(VarCurr)
    <=> ( v3695(VarCurr)
        | v3651(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1047,axiom,(
    ! [VarCurr] :
      ( v3695(VarCurr)
    <=> ( v3558(VarCurr)
        | v3641(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_91,axiom,(
    ! [VarCurr] :
      ( ~ v3634(VarCurr)
     => ( v3681(VarCurr)
      <=> v3685(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_92,axiom,(
    ! [VarCurr] :
      ( v3634(VarCurr)
     => ( v3681(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_22,axiom,(
    ! [VarCurr] :
      ( ( ~ v3636(VarCurr)
        & ~ v3638(VarCurr) )
     => ( v3685(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_53,axiom,(
    ! [VarCurr] :
      ( v3638(VarCurr)
     => ( v3685(VarCurr)
      <=> v3688(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_54,axiom,(
    ! [VarCurr] :
      ( v3636(VarCurr)
     => ( v3685(VarCurr)
      <=> v3686(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_169,axiom,(
    ! [VarCurr] :
      ( v3688(VarCurr)
    <=> ( ( v3689(VarCurr,bitIndex21)
        <=> $false )
        & ( v3689(VarCurr,bitIndex20)
        <=> $false )
        & ( v3689(VarCurr,bitIndex19)
        <=> $false )
        & ( v3689(VarCurr,bitIndex18)
        <=> $false )
        & ( v3689(VarCurr,bitIndex17)
        <=> $false )
        & ( v3689(VarCurr,bitIndex16)
        <=> $false )
        & ( v3689(VarCurr,bitIndex15)
        <=> $false )
        & ( v3689(VarCurr,bitIndex14)
        <=> $false )
        & ( v3689(VarCurr,bitIndex13)
        <=> $true )
        & ( v3689(VarCurr,bitIndex12)
        <=> $true )
        & ( v3689(VarCurr,bitIndex11)
        <=> $true )
        & ( v3689(VarCurr,bitIndex10)
        <=> $false )
        & ( v3689(VarCurr,bitIndex9)
        <=> $false )
        & ( v3689(VarCurr,bitIndex8)
        <=> $false )
        & ( v3689(VarCurr,bitIndex7)
        <=> $true )
        & ( v3689(VarCurr,bitIndex6)
        <=> $false )
        & ( v3689(VarCurr,bitIndex5)
        <=> $false )
        & ( v3689(VarCurr,bitIndex4)
        <=> $false )
        & ( v3689(VarCurr,bitIndex3)
        <=> $true )
        & ( v3689(VarCurr,bitIndex2)
        <=> $true )
        & ( v3689(VarCurr,bitIndex1)
        <=> $false )
        & ( v3689(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_813,axiom,(
    ~ b0000000011100010001100(bitIndex21) )).

fof(bitBlastConstant_812,axiom,(
    ~ b0000000011100010001100(bitIndex20) )).

fof(bitBlastConstant_811,axiom,(
    ~ b0000000011100010001100(bitIndex19) )).

fof(bitBlastConstant_810,axiom,(
    ~ b0000000011100010001100(bitIndex18) )).

fof(bitBlastConstant_809,axiom,(
    ~ b0000000011100010001100(bitIndex17) )).

fof(bitBlastConstant_808,axiom,(
    ~ b0000000011100010001100(bitIndex16) )).

fof(bitBlastConstant_807,axiom,(
    ~ b0000000011100010001100(bitIndex15) )).

fof(bitBlastConstant_806,axiom,(
    ~ b0000000011100010001100(bitIndex14) )).

fof(bitBlastConstant_805,axiom,(
    b0000000011100010001100(bitIndex13) )).

fof(bitBlastConstant_804,axiom,(
    b0000000011100010001100(bitIndex12) )).

fof(bitBlastConstant_803,axiom,(
    b0000000011100010001100(bitIndex11) )).

fof(bitBlastConstant_802,axiom,(
    ~ b0000000011100010001100(bitIndex10) )).

fof(bitBlastConstant_801,axiom,(
    ~ b0000000011100010001100(bitIndex9) )).

fof(bitBlastConstant_800,axiom,(
    ~ b0000000011100010001100(bitIndex8) )).

fof(bitBlastConstant_799,axiom,(
    b0000000011100010001100(bitIndex7) )).

fof(bitBlastConstant_798,axiom,(
    ~ b0000000011100010001100(bitIndex6) )).

fof(bitBlastConstant_797,axiom,(
    ~ b0000000011100010001100(bitIndex5) )).

fof(bitBlastConstant_796,axiom,(
    ~ b0000000011100010001100(bitIndex4) )).

fof(bitBlastConstant_795,axiom,(
    b0000000011100010001100(bitIndex3) )).

fof(bitBlastConstant_794,axiom,(
    b0000000011100010001100(bitIndex2) )).

fof(bitBlastConstant_793,axiom,(
    ~ b0000000011100010001100(bitIndex1) )).

fof(bitBlastConstant_792,axiom,(
    ~ b0000000011100010001100(bitIndex0) )).

fof(addAssignment_579,axiom,(
    ! [VarCurr] :
      ( ( v3689(VarCurr,bitIndex20)
      <=> v3570(VarCurr,bitIndex26) )
      & ( v3689(VarCurr,bitIndex19)
      <=> v3570(VarCurr,bitIndex25) )
      & ( v3689(VarCurr,bitIndex18)
      <=> v3570(VarCurr,bitIndex24) )
      & ( v3689(VarCurr,bitIndex17)
      <=> v3570(VarCurr,bitIndex23) )
      & ( v3689(VarCurr,bitIndex16)
      <=> v3570(VarCurr,bitIndex22) )
      & ( v3689(VarCurr,bitIndex15)
      <=> v3570(VarCurr,bitIndex21) )
      & ( v3689(VarCurr,bitIndex14)
      <=> v3570(VarCurr,bitIndex20) )
      & ( v3689(VarCurr,bitIndex13)
      <=> v3570(VarCurr,bitIndex19) )
      & ( v3689(VarCurr,bitIndex12)
      <=> v3570(VarCurr,bitIndex18) )
      & ( v3689(VarCurr,bitIndex11)
      <=> v3570(VarCurr,bitIndex17) )
      & ( v3689(VarCurr,bitIndex10)
      <=> v3570(VarCurr,bitIndex16) )
      & ( v3689(VarCurr,bitIndex9)
      <=> v3570(VarCurr,bitIndex15) )
      & ( v3689(VarCurr,bitIndex8)
      <=> v3570(VarCurr,bitIndex14) )
      & ( v3689(VarCurr,bitIndex7)
      <=> v3570(VarCurr,bitIndex13) )
      & ( v3689(VarCurr,bitIndex6)
      <=> v3570(VarCurr,bitIndex12) )
      & ( v3689(VarCurr,bitIndex5)
      <=> v3570(VarCurr,bitIndex11) )
      & ( v3689(VarCurr,bitIndex4)
      <=> v3570(VarCurr,bitIndex10) )
      & ( v3689(VarCurr,bitIndex3)
      <=> v3570(VarCurr,bitIndex9) )
      & ( v3689(VarCurr,bitIndex2)
      <=> v3570(VarCurr,bitIndex8) )
      & ( v3689(VarCurr,bitIndex1)
      <=> v3570(VarCurr,bitIndex7) )
      & ( v3689(VarCurr,bitIndex0)
      <=> v3570(VarCurr,bitIndex6) ) ) )).

fof(addAssignment_578,axiom,(
    ! [VarCurr] :
      ( v3689(VarCurr,bitIndex21)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_168,axiom,(
    ! [VarCurr] :
      ( v3686(VarCurr)
    <=> ( ( v3687(VarCurr,bitIndex21)
        <=> $false )
        & ( v3687(VarCurr,bitIndex20)
        <=> $false )
        & ( v3687(VarCurr,bitIndex19)
        <=> $false )
        & ( v3687(VarCurr,bitIndex18)
        <=> $false )
        & ( v3687(VarCurr,bitIndex17)
        <=> $false )
        & ( v3687(VarCurr,bitIndex16)
        <=> $false )
        & ( v3687(VarCurr,bitIndex15)
        <=> $false )
        & ( v3687(VarCurr,bitIndex14)
        <=> $false )
        & ( v3687(VarCurr,bitIndex13)
        <=> $true )
        & ( v3687(VarCurr,bitIndex12)
        <=> $true )
        & ( v3687(VarCurr,bitIndex11)
        <=> $false )
        & ( v3687(VarCurr,bitIndex10)
        <=> $false )
        & ( v3687(VarCurr,bitIndex9)
        <=> $false )
        & ( v3687(VarCurr,bitIndex8)
        <=> $false )
        & ( v3687(VarCurr,bitIndex7)
        <=> $true )
        & ( v3687(VarCurr,bitIndex6)
        <=> $false )
        & ( v3687(VarCurr,bitIndex5)
        <=> $false )
        & ( v3687(VarCurr,bitIndex4)
        <=> $false )
        & ( v3687(VarCurr,bitIndex3)
        <=> $true )
        & ( v3687(VarCurr,bitIndex2)
        <=> $true )
        & ( v3687(VarCurr,bitIndex1)
        <=> $false )
        & ( v3687(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_791,axiom,(
    ~ b0000000011000010001100(bitIndex21) )).

fof(bitBlastConstant_790,axiom,(
    ~ b0000000011000010001100(bitIndex20) )).

fof(bitBlastConstant_789,axiom,(
    ~ b0000000011000010001100(bitIndex19) )).

fof(bitBlastConstant_788,axiom,(
    ~ b0000000011000010001100(bitIndex18) )).

fof(bitBlastConstant_787,axiom,(
    ~ b0000000011000010001100(bitIndex17) )).

fof(bitBlastConstant_786,axiom,(
    ~ b0000000011000010001100(bitIndex16) )).

fof(bitBlastConstant_785,axiom,(
    ~ b0000000011000010001100(bitIndex15) )).

fof(bitBlastConstant_784,axiom,(
    ~ b0000000011000010001100(bitIndex14) )).

fof(bitBlastConstant_783,axiom,(
    b0000000011000010001100(bitIndex13) )).

fof(bitBlastConstant_782,axiom,(
    b0000000011000010001100(bitIndex12) )).

fof(bitBlastConstant_781,axiom,(
    ~ b0000000011000010001100(bitIndex11) )).

fof(bitBlastConstant_780,axiom,(
    ~ b0000000011000010001100(bitIndex10) )).

fof(bitBlastConstant_779,axiom,(
    ~ b0000000011000010001100(bitIndex9) )).

fof(bitBlastConstant_778,axiom,(
    ~ b0000000011000010001100(bitIndex8) )).

fof(bitBlastConstant_777,axiom,(
    b0000000011000010001100(bitIndex7) )).

fof(bitBlastConstant_776,axiom,(
    ~ b0000000011000010001100(bitIndex6) )).

fof(bitBlastConstant_775,axiom,(
    ~ b0000000011000010001100(bitIndex5) )).

fof(bitBlastConstant_774,axiom,(
    ~ b0000000011000010001100(bitIndex4) )).

fof(bitBlastConstant_773,axiom,(
    b0000000011000010001100(bitIndex3) )).

fof(bitBlastConstant_772,axiom,(
    b0000000011000010001100(bitIndex2) )).

fof(bitBlastConstant_771,axiom,(
    ~ b0000000011000010001100(bitIndex1) )).

fof(bitBlastConstant_770,axiom,(
    ~ b0000000011000010001100(bitIndex0) )).

fof(addAssignment_577,axiom,(
    ! [VarCurr] :
      ( ( v3687(VarCurr,bitIndex20)
      <=> v3570(VarCurr,bitIndex26) )
      & ( v3687(VarCurr,bitIndex19)
      <=> v3570(VarCurr,bitIndex25) )
      & ( v3687(VarCurr,bitIndex18)
      <=> v3570(VarCurr,bitIndex24) )
      & ( v3687(VarCurr,bitIndex17)
      <=> v3570(VarCurr,bitIndex23) )
      & ( v3687(VarCurr,bitIndex16)
      <=> v3570(VarCurr,bitIndex22) )
      & ( v3687(VarCurr,bitIndex15)
      <=> v3570(VarCurr,bitIndex21) )
      & ( v3687(VarCurr,bitIndex14)
      <=> v3570(VarCurr,bitIndex20) )
      & ( v3687(VarCurr,bitIndex13)
      <=> v3570(VarCurr,bitIndex19) )
      & ( v3687(VarCurr,bitIndex12)
      <=> v3570(VarCurr,bitIndex18) )
      & ( v3687(VarCurr,bitIndex11)
      <=> v3570(VarCurr,bitIndex17) )
      & ( v3687(VarCurr,bitIndex10)
      <=> v3570(VarCurr,bitIndex16) )
      & ( v3687(VarCurr,bitIndex9)
      <=> v3570(VarCurr,bitIndex15) )
      & ( v3687(VarCurr,bitIndex8)
      <=> v3570(VarCurr,bitIndex14) )
      & ( v3687(VarCurr,bitIndex7)
      <=> v3570(VarCurr,bitIndex13) )
      & ( v3687(VarCurr,bitIndex6)
      <=> v3570(VarCurr,bitIndex12) )
      & ( v3687(VarCurr,bitIndex5)
      <=> v3570(VarCurr,bitIndex11) )
      & ( v3687(VarCurr,bitIndex4)
      <=> v3570(VarCurr,bitIndex10) )
      & ( v3687(VarCurr,bitIndex3)
      <=> v3570(VarCurr,bitIndex9) )
      & ( v3687(VarCurr,bitIndex2)
      <=> v3570(VarCurr,bitIndex8) )
      & ( v3687(VarCurr,bitIndex1)
      <=> v3570(VarCurr,bitIndex7) )
      & ( v3687(VarCurr,bitIndex0)
      <=> v3570(VarCurr,bitIndex6) ) ) )).

fof(addAssignment_576,axiom,(
    ! [VarCurr] :
      ( v3687(VarCurr,bitIndex21)
    <=> $false ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_90,axiom,(
    ! [VarCurr] :
      ( ~ v3634(VarCurr)
     => ( v3671(VarCurr)
      <=> v3675(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_91,axiom,(
    ! [VarCurr] :
      ( v3634(VarCurr)
     => ( v3671(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_21,axiom,(
    ! [VarCurr] :
      ( ( ~ v3636(VarCurr)
        & ~ v3638(VarCurr) )
     => ( v3675(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_52,axiom,(
    ! [VarCurr] :
      ( v3638(VarCurr)
     => ( v3675(VarCurr)
      <=> v3678(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_53,axiom,(
    ! [VarCurr] :
      ( v3636(VarCurr)
     => ( v3675(VarCurr)
      <=> v3676(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_167,axiom,(
    ! [VarCurr] :
      ( v3678(VarCurr)
    <=> ( ( v3679(VarCurr,bitIndex21)
        <=> $false )
        & ( v3679(VarCurr,bitIndex20)
        <=> $false )
        & ( v3679(VarCurr,bitIndex19)
        <=> $false )
        & ( v3679(VarCurr,bitIndex18)
        <=> $false )
        & ( v3679(VarCurr,bitIndex17)
        <=> $false )
        & ( v3679(VarCurr,bitIndex16)
        <=> $false )
        & ( v3679(VarCurr,bitIndex15)
        <=> $false )
        & ( v3679(VarCurr,bitIndex14)
        <=> $false )
        & ( v3679(VarCurr,bitIndex13)
        <=> $true )
        & ( v3679(VarCurr,bitIndex12)
        <=> $true )
        & ( v3679(VarCurr,bitIndex11)
        <=> $true )
        & ( v3679(VarCurr,bitIndex10)
        <=> $false )
        & ( v3679(VarCurr,bitIndex9)
        <=> $false )
        & ( v3679(VarCurr,bitIndex8)
        <=> $false )
        & ( v3679(VarCurr,bitIndex7)
        <=> $true )
        & ( v3679(VarCurr,bitIndex6)
        <=> $false )
        & ( v3679(VarCurr,bitIndex5)
        <=> $false )
        & ( v3679(VarCurr,bitIndex4)
        <=> $false )
        & ( v3679(VarCurr,bitIndex3)
        <=> $true )
        & ( v3679(VarCurr,bitIndex2)
        <=> $false )
        & ( v3679(VarCurr,bitIndex1)
        <=> $true )
        & ( v3679(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_769,axiom,(
    ~ b0000000011100010001011(bitIndex21) )).

fof(bitBlastConstant_768,axiom,(
    ~ b0000000011100010001011(bitIndex20) )).

fof(bitBlastConstant_767,axiom,(
    ~ b0000000011100010001011(bitIndex19) )).

fof(bitBlastConstant_766,axiom,(
    ~ b0000000011100010001011(bitIndex18) )).

fof(bitBlastConstant_765,axiom,(
    ~ b0000000011100010001011(bitIndex17) )).

fof(bitBlastConstant_764,axiom,(
    ~ b0000000011100010001011(bitIndex16) )).

fof(bitBlastConstant_763,axiom,(
    ~ b0000000011100010001011(bitIndex15) )).

fof(bitBlastConstant_762,axiom,(
    ~ b0000000011100010001011(bitIndex14) )).

fof(bitBlastConstant_761,axiom,(
    b0000000011100010001011(bitIndex13) )).

fof(bitBlastConstant_760,axiom,(
    b0000000011100010001011(bitIndex12) )).

fof(bitBlastConstant_759,axiom,(
    b0000000011100010001011(bitIndex11) )).

fof(bitBlastConstant_758,axiom,(
    ~ b0000000011100010001011(bitIndex10) )).

fof(bitBlastConstant_757,axiom,(
    ~ b0000000011100010001011(bitIndex9) )).

fof(bitBlastConstant_756,axiom,(
    ~ b0000000011100010001011(bitIndex8) )).

fof(bitBlastConstant_755,axiom,(
    b0000000011100010001011(bitIndex7) )).

fof(bitBlastConstant_754,axiom,(
    ~ b0000000011100010001011(bitIndex6) )).

fof(bitBlastConstant_753,axiom,(
    ~ b0000000011100010001011(bitIndex5) )).

fof(bitBlastConstant_752,axiom,(
    ~ b0000000011100010001011(bitIndex4) )).

fof(bitBlastConstant_751,axiom,(
    b0000000011100010001011(bitIndex3) )).

fof(bitBlastConstant_750,axiom,(
    ~ b0000000011100010001011(bitIndex2) )).

fof(bitBlastConstant_749,axiom,(
    b0000000011100010001011(bitIndex1) )).

fof(bitBlastConstant_748,axiom,(
    b0000000011100010001011(bitIndex0) )).

fof(addAssignment_575,axiom,(
    ! [VarCurr] :
      ( ( v3679(VarCurr,bitIndex20)
      <=> v3570(VarCurr,bitIndex26) )
      & ( v3679(VarCurr,bitIndex19)
      <=> v3570(VarCurr,bitIndex25) )
      & ( v3679(VarCurr,bitIndex18)
      <=> v3570(VarCurr,bitIndex24) )
      & ( v3679(VarCurr,bitIndex17)
      <=> v3570(VarCurr,bitIndex23) )
      & ( v3679(VarCurr,bitIndex16)
      <=> v3570(VarCurr,bitIndex22) )
      & ( v3679(VarCurr,bitIndex15)
      <=> v3570(VarCurr,bitIndex21) )
      & ( v3679(VarCurr,bitIndex14)
      <=> v3570(VarCurr,bitIndex20) )
      & ( v3679(VarCurr,bitIndex13)
      <=> v3570(VarCurr,bitIndex19) )
      & ( v3679(VarCurr,bitIndex12)
      <=> v3570(VarCurr,bitIndex18) )
      & ( v3679(VarCurr,bitIndex11)
      <=> v3570(VarCurr,bitIndex17) )
      & ( v3679(VarCurr,bitIndex10)
      <=> v3570(VarCurr,bitIndex16) )
      & ( v3679(VarCurr,bitIndex9)
      <=> v3570(VarCurr,bitIndex15) )
      & ( v3679(VarCurr,bitIndex8)
      <=> v3570(VarCurr,bitIndex14) )
      & ( v3679(VarCurr,bitIndex7)
      <=> v3570(VarCurr,bitIndex13) )
      & ( v3679(VarCurr,bitIndex6)
      <=> v3570(VarCurr,bitIndex12) )
      & ( v3679(VarCurr,bitIndex5)
      <=> v3570(VarCurr,bitIndex11) )
      & ( v3679(VarCurr,bitIndex4)
      <=> v3570(VarCurr,bitIndex10) )
      & ( v3679(VarCurr,bitIndex3)
      <=> v3570(VarCurr,bitIndex9) )
      & ( v3679(VarCurr,bitIndex2)
      <=> v3570(VarCurr,bitIndex8) )
      & ( v3679(VarCurr,bitIndex1)
      <=> v3570(VarCurr,bitIndex7) )
      & ( v3679(VarCurr,bitIndex0)
      <=> v3570(VarCurr,bitIndex6) ) ) )).

fof(addAssignment_574,axiom,(
    ! [VarCurr] :
      ( v3679(VarCurr,bitIndex21)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_166,axiom,(
    ! [VarCurr] :
      ( v3676(VarCurr)
    <=> ( ( v3677(VarCurr,bitIndex21)
        <=> $false )
        & ( v3677(VarCurr,bitIndex20)
        <=> $false )
        & ( v3677(VarCurr,bitIndex19)
        <=> $false )
        & ( v3677(VarCurr,bitIndex18)
        <=> $false )
        & ( v3677(VarCurr,bitIndex17)
        <=> $false )
        & ( v3677(VarCurr,bitIndex16)
        <=> $false )
        & ( v3677(VarCurr,bitIndex15)
        <=> $false )
        & ( v3677(VarCurr,bitIndex14)
        <=> $false )
        & ( v3677(VarCurr,bitIndex13)
        <=> $true )
        & ( v3677(VarCurr,bitIndex12)
        <=> $true )
        & ( v3677(VarCurr,bitIndex11)
        <=> $false )
        & ( v3677(VarCurr,bitIndex10)
        <=> $false )
        & ( v3677(VarCurr,bitIndex9)
        <=> $false )
        & ( v3677(VarCurr,bitIndex8)
        <=> $false )
        & ( v3677(VarCurr,bitIndex7)
        <=> $true )
        & ( v3677(VarCurr,bitIndex6)
        <=> $false )
        & ( v3677(VarCurr,bitIndex5)
        <=> $false )
        & ( v3677(VarCurr,bitIndex4)
        <=> $false )
        & ( v3677(VarCurr,bitIndex3)
        <=> $true )
        & ( v3677(VarCurr,bitIndex2)
        <=> $false )
        & ( v3677(VarCurr,bitIndex1)
        <=> $true )
        & ( v3677(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_747,axiom,(
    ~ b0000000011000010001011(bitIndex21) )).

fof(bitBlastConstant_746,axiom,(
    ~ b0000000011000010001011(bitIndex20) )).

fof(bitBlastConstant_745,axiom,(
    ~ b0000000011000010001011(bitIndex19) )).

fof(bitBlastConstant_744,axiom,(
    ~ b0000000011000010001011(bitIndex18) )).

fof(bitBlastConstant_743,axiom,(
    ~ b0000000011000010001011(bitIndex17) )).

fof(bitBlastConstant_742,axiom,(
    ~ b0000000011000010001011(bitIndex16) )).

fof(bitBlastConstant_741,axiom,(
    ~ b0000000011000010001011(bitIndex15) )).

fof(bitBlastConstant_740,axiom,(
    ~ b0000000011000010001011(bitIndex14) )).

fof(bitBlastConstant_739,axiom,(
    b0000000011000010001011(bitIndex13) )).

fof(bitBlastConstant_738,axiom,(
    b0000000011000010001011(bitIndex12) )).

fof(bitBlastConstant_737,axiom,(
    ~ b0000000011000010001011(bitIndex11) )).

fof(bitBlastConstant_736,axiom,(
    ~ b0000000011000010001011(bitIndex10) )).

fof(bitBlastConstant_735,axiom,(
    ~ b0000000011000010001011(bitIndex9) )).

fof(bitBlastConstant_734,axiom,(
    ~ b0000000011000010001011(bitIndex8) )).

fof(bitBlastConstant_733,axiom,(
    b0000000011000010001011(bitIndex7) )).

fof(bitBlastConstant_732,axiom,(
    ~ b0000000011000010001011(bitIndex6) )).

fof(bitBlastConstant_731,axiom,(
    ~ b0000000011000010001011(bitIndex5) )).

fof(bitBlastConstant_730,axiom,(
    ~ b0000000011000010001011(bitIndex4) )).

fof(bitBlastConstant_729,axiom,(
    b0000000011000010001011(bitIndex3) )).

fof(bitBlastConstant_728,axiom,(
    ~ b0000000011000010001011(bitIndex2) )).

fof(bitBlastConstant_727,axiom,(
    b0000000011000010001011(bitIndex1) )).

fof(bitBlastConstant_726,axiom,(
    b0000000011000010001011(bitIndex0) )).

fof(addAssignment_573,axiom,(
    ! [VarCurr] :
      ( ( v3677(VarCurr,bitIndex20)
      <=> v3570(VarCurr,bitIndex26) )
      & ( v3677(VarCurr,bitIndex19)
      <=> v3570(VarCurr,bitIndex25) )
      & ( v3677(VarCurr,bitIndex18)
      <=> v3570(VarCurr,bitIndex24) )
      & ( v3677(VarCurr,bitIndex17)
      <=> v3570(VarCurr,bitIndex23) )
      & ( v3677(VarCurr,bitIndex16)
      <=> v3570(VarCurr,bitIndex22) )
      & ( v3677(VarCurr,bitIndex15)
      <=> v3570(VarCurr,bitIndex21) )
      & ( v3677(VarCurr,bitIndex14)
      <=> v3570(VarCurr,bitIndex20) )
      & ( v3677(VarCurr,bitIndex13)
      <=> v3570(VarCurr,bitIndex19) )
      & ( v3677(VarCurr,bitIndex12)
      <=> v3570(VarCurr,bitIndex18) )
      & ( v3677(VarCurr,bitIndex11)
      <=> v3570(VarCurr,bitIndex17) )
      & ( v3677(VarCurr,bitIndex10)
      <=> v3570(VarCurr,bitIndex16) )
      & ( v3677(VarCurr,bitIndex9)
      <=> v3570(VarCurr,bitIndex15) )
      & ( v3677(VarCurr,bitIndex8)
      <=> v3570(VarCurr,bitIndex14) )
      & ( v3677(VarCurr,bitIndex7)
      <=> v3570(VarCurr,bitIndex13) )
      & ( v3677(VarCurr,bitIndex6)
      <=> v3570(VarCurr,bitIndex12) )
      & ( v3677(VarCurr,bitIndex5)
      <=> v3570(VarCurr,bitIndex11) )
      & ( v3677(VarCurr,bitIndex4)
      <=> v3570(VarCurr,bitIndex10) )
      & ( v3677(VarCurr,bitIndex3)
      <=> v3570(VarCurr,bitIndex9) )
      & ( v3677(VarCurr,bitIndex2)
      <=> v3570(VarCurr,bitIndex8) )
      & ( v3677(VarCurr,bitIndex1)
      <=> v3570(VarCurr,bitIndex7) )
      & ( v3677(VarCurr,bitIndex0)
      <=> v3570(VarCurr,bitIndex6) ) ) )).

fof(addAssignment_572,axiom,(
    ! [VarCurr] :
      ( v3677(VarCurr,bitIndex21)
    <=> $false ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_89,axiom,(
    ! [VarCurr] :
      ( ~ v3634(VarCurr)
     => ( v3661(VarCurr)
      <=> v3665(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_90,axiom,(
    ! [VarCurr] :
      ( v3634(VarCurr)
     => ( v3661(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_20,axiom,(
    ! [VarCurr] :
      ( ( ~ v3636(VarCurr)
        & ~ v3638(VarCurr) )
     => ( v3665(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_51,axiom,(
    ! [VarCurr] :
      ( v3638(VarCurr)
     => ( v3665(VarCurr)
      <=> v3668(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_52,axiom,(
    ! [VarCurr] :
      ( v3636(VarCurr)
     => ( v3665(VarCurr)
      <=> v3666(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_165,axiom,(
    ! [VarCurr] :
      ( v3668(VarCurr)
    <=> ( ( v3669(VarCurr,bitIndex21)
        <=> $false )
        & ( v3669(VarCurr,bitIndex20)
        <=> $false )
        & ( v3669(VarCurr,bitIndex19)
        <=> $false )
        & ( v3669(VarCurr,bitIndex18)
        <=> $false )
        & ( v3669(VarCurr,bitIndex17)
        <=> $false )
        & ( v3669(VarCurr,bitIndex16)
        <=> $false )
        & ( v3669(VarCurr,bitIndex15)
        <=> $false )
        & ( v3669(VarCurr,bitIndex14)
        <=> $false )
        & ( v3669(VarCurr,bitIndex13)
        <=> $true )
        & ( v3669(VarCurr,bitIndex12)
        <=> $true )
        & ( v3669(VarCurr,bitIndex11)
        <=> $true )
        & ( v3669(VarCurr,bitIndex10)
        <=> $false )
        & ( v3669(VarCurr,bitIndex9)
        <=> $false )
        & ( v3669(VarCurr,bitIndex8)
        <=> $false )
        & ( v3669(VarCurr,bitIndex7)
        <=> $true )
        & ( v3669(VarCurr,bitIndex6)
        <=> $false )
        & ( v3669(VarCurr,bitIndex5)
        <=> $false )
        & ( v3669(VarCurr,bitIndex4)
        <=> $false )
        & ( v3669(VarCurr,bitIndex3)
        <=> $true )
        & ( v3669(VarCurr,bitIndex2)
        <=> $false )
        & ( v3669(VarCurr,bitIndex1)
        <=> $true )
        & ( v3669(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_725,axiom,(
    ~ b0000000011100010001010(bitIndex21) )).

fof(bitBlastConstant_724,axiom,(
    ~ b0000000011100010001010(bitIndex20) )).

fof(bitBlastConstant_723,axiom,(
    ~ b0000000011100010001010(bitIndex19) )).

fof(bitBlastConstant_722,axiom,(
    ~ b0000000011100010001010(bitIndex18) )).

fof(bitBlastConstant_721,axiom,(
    ~ b0000000011100010001010(bitIndex17) )).

fof(bitBlastConstant_720,axiom,(
    ~ b0000000011100010001010(bitIndex16) )).

fof(bitBlastConstant_719,axiom,(
    ~ b0000000011100010001010(bitIndex15) )).

fof(bitBlastConstant_718,axiom,(
    ~ b0000000011100010001010(bitIndex14) )).

fof(bitBlastConstant_717,axiom,(
    b0000000011100010001010(bitIndex13) )).

fof(bitBlastConstant_716,axiom,(
    b0000000011100010001010(bitIndex12) )).

fof(bitBlastConstant_715,axiom,(
    b0000000011100010001010(bitIndex11) )).

fof(bitBlastConstant_714,axiom,(
    ~ b0000000011100010001010(bitIndex10) )).

fof(bitBlastConstant_713,axiom,(
    ~ b0000000011100010001010(bitIndex9) )).

fof(bitBlastConstant_712,axiom,(
    ~ b0000000011100010001010(bitIndex8) )).

fof(bitBlastConstant_711,axiom,(
    b0000000011100010001010(bitIndex7) )).

fof(bitBlastConstant_710,axiom,(
    ~ b0000000011100010001010(bitIndex6) )).

fof(bitBlastConstant_709,axiom,(
    ~ b0000000011100010001010(bitIndex5) )).

fof(bitBlastConstant_708,axiom,(
    ~ b0000000011100010001010(bitIndex4) )).

fof(bitBlastConstant_707,axiom,(
    b0000000011100010001010(bitIndex3) )).

fof(bitBlastConstant_706,axiom,(
    ~ b0000000011100010001010(bitIndex2) )).

fof(bitBlastConstant_705,axiom,(
    b0000000011100010001010(bitIndex1) )).

fof(bitBlastConstant_704,axiom,(
    ~ b0000000011100010001010(bitIndex0) )).

fof(addAssignment_571,axiom,(
    ! [VarCurr] :
      ( ( v3669(VarCurr,bitIndex20)
      <=> v3570(VarCurr,bitIndex26) )
      & ( v3669(VarCurr,bitIndex19)
      <=> v3570(VarCurr,bitIndex25) )
      & ( v3669(VarCurr,bitIndex18)
      <=> v3570(VarCurr,bitIndex24) )
      & ( v3669(VarCurr,bitIndex17)
      <=> v3570(VarCurr,bitIndex23) )
      & ( v3669(VarCurr,bitIndex16)
      <=> v3570(VarCurr,bitIndex22) )
      & ( v3669(VarCurr,bitIndex15)
      <=> v3570(VarCurr,bitIndex21) )
      & ( v3669(VarCurr,bitIndex14)
      <=> v3570(VarCurr,bitIndex20) )
      & ( v3669(VarCurr,bitIndex13)
      <=> v3570(VarCurr,bitIndex19) )
      & ( v3669(VarCurr,bitIndex12)
      <=> v3570(VarCurr,bitIndex18) )
      & ( v3669(VarCurr,bitIndex11)
      <=> v3570(VarCurr,bitIndex17) )
      & ( v3669(VarCurr,bitIndex10)
      <=> v3570(VarCurr,bitIndex16) )
      & ( v3669(VarCurr,bitIndex9)
      <=> v3570(VarCurr,bitIndex15) )
      & ( v3669(VarCurr,bitIndex8)
      <=> v3570(VarCurr,bitIndex14) )
      & ( v3669(VarCurr,bitIndex7)
      <=> v3570(VarCurr,bitIndex13) )
      & ( v3669(VarCurr,bitIndex6)
      <=> v3570(VarCurr,bitIndex12) )
      & ( v3669(VarCurr,bitIndex5)
      <=> v3570(VarCurr,bitIndex11) )
      & ( v3669(VarCurr,bitIndex4)
      <=> v3570(VarCurr,bitIndex10) )
      & ( v3669(VarCurr,bitIndex3)
      <=> v3570(VarCurr,bitIndex9) )
      & ( v3669(VarCurr,bitIndex2)
      <=> v3570(VarCurr,bitIndex8) )
      & ( v3669(VarCurr,bitIndex1)
      <=> v3570(VarCurr,bitIndex7) )
      & ( v3669(VarCurr,bitIndex0)
      <=> v3570(VarCurr,bitIndex6) ) ) )).

fof(addAssignment_570,axiom,(
    ! [VarCurr] :
      ( v3669(VarCurr,bitIndex21)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_164,axiom,(
    ! [VarCurr] :
      ( v3666(VarCurr)
    <=> ( ( v3667(VarCurr,bitIndex21)
        <=> $false )
        & ( v3667(VarCurr,bitIndex20)
        <=> $false )
        & ( v3667(VarCurr,bitIndex19)
        <=> $false )
        & ( v3667(VarCurr,bitIndex18)
        <=> $false )
        & ( v3667(VarCurr,bitIndex17)
        <=> $false )
        & ( v3667(VarCurr,bitIndex16)
        <=> $false )
        & ( v3667(VarCurr,bitIndex15)
        <=> $false )
        & ( v3667(VarCurr,bitIndex14)
        <=> $false )
        & ( v3667(VarCurr,bitIndex13)
        <=> $true )
        & ( v3667(VarCurr,bitIndex12)
        <=> $true )
        & ( v3667(VarCurr,bitIndex11)
        <=> $false )
        & ( v3667(VarCurr,bitIndex10)
        <=> $false )
        & ( v3667(VarCurr,bitIndex9)
        <=> $false )
        & ( v3667(VarCurr,bitIndex8)
        <=> $false )
        & ( v3667(VarCurr,bitIndex7)
        <=> $true )
        & ( v3667(VarCurr,bitIndex6)
        <=> $false )
        & ( v3667(VarCurr,bitIndex5)
        <=> $false )
        & ( v3667(VarCurr,bitIndex4)
        <=> $false )
        & ( v3667(VarCurr,bitIndex3)
        <=> $true )
        & ( v3667(VarCurr,bitIndex2)
        <=> $false )
        & ( v3667(VarCurr,bitIndex1)
        <=> $true )
        & ( v3667(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_703,axiom,(
    ~ b0000000011000010001010(bitIndex21) )).

fof(bitBlastConstant_702,axiom,(
    ~ b0000000011000010001010(bitIndex20) )).

fof(bitBlastConstant_701,axiom,(
    ~ b0000000011000010001010(bitIndex19) )).

fof(bitBlastConstant_700,axiom,(
    ~ b0000000011000010001010(bitIndex18) )).

fof(bitBlastConstant_699,axiom,(
    ~ b0000000011000010001010(bitIndex17) )).

fof(bitBlastConstant_698,axiom,(
    ~ b0000000011000010001010(bitIndex16) )).

fof(bitBlastConstant_697,axiom,(
    ~ b0000000011000010001010(bitIndex15) )).

fof(bitBlastConstant_696,axiom,(
    ~ b0000000011000010001010(bitIndex14) )).

fof(bitBlastConstant_695,axiom,(
    b0000000011000010001010(bitIndex13) )).

fof(bitBlastConstant_694,axiom,(
    b0000000011000010001010(bitIndex12) )).

fof(bitBlastConstant_693,axiom,(
    ~ b0000000011000010001010(bitIndex11) )).

fof(bitBlastConstant_692,axiom,(
    ~ b0000000011000010001010(bitIndex10) )).

fof(bitBlastConstant_691,axiom,(
    ~ b0000000011000010001010(bitIndex9) )).

fof(bitBlastConstant_690,axiom,(
    ~ b0000000011000010001010(bitIndex8) )).

fof(bitBlastConstant_689,axiom,(
    b0000000011000010001010(bitIndex7) )).

fof(bitBlastConstant_688,axiom,(
    ~ b0000000011000010001010(bitIndex6) )).

fof(bitBlastConstant_687,axiom,(
    ~ b0000000011000010001010(bitIndex5) )).

fof(bitBlastConstant_686,axiom,(
    ~ b0000000011000010001010(bitIndex4) )).

fof(bitBlastConstant_685,axiom,(
    b0000000011000010001010(bitIndex3) )).

fof(bitBlastConstant_684,axiom,(
    ~ b0000000011000010001010(bitIndex2) )).

fof(bitBlastConstant_683,axiom,(
    b0000000011000010001010(bitIndex1) )).

fof(bitBlastConstant_682,axiom,(
    ~ b0000000011000010001010(bitIndex0) )).

fof(addAssignment_569,axiom,(
    ! [VarCurr] :
      ( ( v3667(VarCurr,bitIndex20)
      <=> v3570(VarCurr,bitIndex26) )
      & ( v3667(VarCurr,bitIndex19)
      <=> v3570(VarCurr,bitIndex25) )
      & ( v3667(VarCurr,bitIndex18)
      <=> v3570(VarCurr,bitIndex24) )
      & ( v3667(VarCurr,bitIndex17)
      <=> v3570(VarCurr,bitIndex23) )
      & ( v3667(VarCurr,bitIndex16)
      <=> v3570(VarCurr,bitIndex22) )
      & ( v3667(VarCurr,bitIndex15)
      <=> v3570(VarCurr,bitIndex21) )
      & ( v3667(VarCurr,bitIndex14)
      <=> v3570(VarCurr,bitIndex20) )
      & ( v3667(VarCurr,bitIndex13)
      <=> v3570(VarCurr,bitIndex19) )
      & ( v3667(VarCurr,bitIndex12)
      <=> v3570(VarCurr,bitIndex18) )
      & ( v3667(VarCurr,bitIndex11)
      <=> v3570(VarCurr,bitIndex17) )
      & ( v3667(VarCurr,bitIndex10)
      <=> v3570(VarCurr,bitIndex16) )
      & ( v3667(VarCurr,bitIndex9)
      <=> v3570(VarCurr,bitIndex15) )
      & ( v3667(VarCurr,bitIndex8)
      <=> v3570(VarCurr,bitIndex14) )
      & ( v3667(VarCurr,bitIndex7)
      <=> v3570(VarCurr,bitIndex13) )
      & ( v3667(VarCurr,bitIndex6)
      <=> v3570(VarCurr,bitIndex12) )
      & ( v3667(VarCurr,bitIndex5)
      <=> v3570(VarCurr,bitIndex11) )
      & ( v3667(VarCurr,bitIndex4)
      <=> v3570(VarCurr,bitIndex10) )
      & ( v3667(VarCurr,bitIndex3)
      <=> v3570(VarCurr,bitIndex9) )
      & ( v3667(VarCurr,bitIndex2)
      <=> v3570(VarCurr,bitIndex8) )
      & ( v3667(VarCurr,bitIndex1)
      <=> v3570(VarCurr,bitIndex7) )
      & ( v3667(VarCurr,bitIndex0)
      <=> v3570(VarCurr,bitIndex6) ) ) )).

fof(addAssignment_568,axiom,(
    ! [VarCurr] :
      ( v3667(VarCurr,bitIndex21)
    <=> $false ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_88,axiom,(
    ! [VarCurr] :
      ( ~ v3634(VarCurr)
     => ( v3651(VarCurr)
      <=> v3655(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_89,axiom,(
    ! [VarCurr] :
      ( v3634(VarCurr)
     => ( v3651(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_19,axiom,(
    ! [VarCurr] :
      ( ( ~ v3636(VarCurr)
        & ~ v3638(VarCurr) )
     => ( v3655(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_50,axiom,(
    ! [VarCurr] :
      ( v3638(VarCurr)
     => ( v3655(VarCurr)
      <=> v3658(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_51,axiom,(
    ! [VarCurr] :
      ( v3636(VarCurr)
     => ( v3655(VarCurr)
      <=> v3656(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_163,axiom,(
    ! [VarCurr] :
      ( v3658(VarCurr)
    <=> ( ( v3659(VarCurr,bitIndex21)
        <=> $false )
        & ( v3659(VarCurr,bitIndex20)
        <=> $false )
        & ( v3659(VarCurr,bitIndex19)
        <=> $false )
        & ( v3659(VarCurr,bitIndex18)
        <=> $false )
        & ( v3659(VarCurr,bitIndex17)
        <=> $false )
        & ( v3659(VarCurr,bitIndex16)
        <=> $false )
        & ( v3659(VarCurr,bitIndex15)
        <=> $false )
        & ( v3659(VarCurr,bitIndex14)
        <=> $false )
        & ( v3659(VarCurr,bitIndex13)
        <=> $true )
        & ( v3659(VarCurr,bitIndex12)
        <=> $true )
        & ( v3659(VarCurr,bitIndex11)
        <=> $true )
        & ( v3659(VarCurr,bitIndex10)
        <=> $false )
        & ( v3659(VarCurr,bitIndex9)
        <=> $false )
        & ( v3659(VarCurr,bitIndex8)
        <=> $false )
        & ( v3659(VarCurr,bitIndex7)
        <=> $true )
        & ( v3659(VarCurr,bitIndex6)
        <=> $false )
        & ( v3659(VarCurr,bitIndex5)
        <=> $false )
        & ( v3659(VarCurr,bitIndex4)
        <=> $false )
        & ( v3659(VarCurr,bitIndex3)
        <=> $true )
        & ( v3659(VarCurr,bitIndex2)
        <=> $false )
        & ( v3659(VarCurr,bitIndex1)
        <=> $false )
        & ( v3659(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_681,axiom,(
    ~ b0000000011100010001001(bitIndex21) )).

fof(bitBlastConstant_680,axiom,(
    ~ b0000000011100010001001(bitIndex20) )).

fof(bitBlastConstant_679,axiom,(
    ~ b0000000011100010001001(bitIndex19) )).

fof(bitBlastConstant_678,axiom,(
    ~ b0000000011100010001001(bitIndex18) )).

fof(bitBlastConstant_677,axiom,(
    ~ b0000000011100010001001(bitIndex17) )).

fof(bitBlastConstant_676,axiom,(
    ~ b0000000011100010001001(bitIndex16) )).

fof(bitBlastConstant_675,axiom,(
    ~ b0000000011100010001001(bitIndex15) )).

fof(bitBlastConstant_674,axiom,(
    ~ b0000000011100010001001(bitIndex14) )).

fof(bitBlastConstant_673,axiom,(
    b0000000011100010001001(bitIndex13) )).

fof(bitBlastConstant_672,axiom,(
    b0000000011100010001001(bitIndex12) )).

fof(bitBlastConstant_671,axiom,(
    b0000000011100010001001(bitIndex11) )).

fof(bitBlastConstant_670,axiom,(
    ~ b0000000011100010001001(bitIndex10) )).

fof(bitBlastConstant_669,axiom,(
    ~ b0000000011100010001001(bitIndex9) )).

fof(bitBlastConstant_668,axiom,(
    ~ b0000000011100010001001(bitIndex8) )).

fof(bitBlastConstant_667,axiom,(
    b0000000011100010001001(bitIndex7) )).

fof(bitBlastConstant_666,axiom,(
    ~ b0000000011100010001001(bitIndex6) )).

fof(bitBlastConstant_665,axiom,(
    ~ b0000000011100010001001(bitIndex5) )).

fof(bitBlastConstant_664,axiom,(
    ~ b0000000011100010001001(bitIndex4) )).

fof(bitBlastConstant_663,axiom,(
    b0000000011100010001001(bitIndex3) )).

fof(bitBlastConstant_662,axiom,(
    ~ b0000000011100010001001(bitIndex2) )).

fof(bitBlastConstant_661,axiom,(
    ~ b0000000011100010001001(bitIndex1) )).

fof(bitBlastConstant_660,axiom,(
    b0000000011100010001001(bitIndex0) )).

fof(addAssignment_567,axiom,(
    ! [VarCurr] :
      ( ( v3659(VarCurr,bitIndex20)
      <=> v3570(VarCurr,bitIndex26) )
      & ( v3659(VarCurr,bitIndex19)
      <=> v3570(VarCurr,bitIndex25) )
      & ( v3659(VarCurr,bitIndex18)
      <=> v3570(VarCurr,bitIndex24) )
      & ( v3659(VarCurr,bitIndex17)
      <=> v3570(VarCurr,bitIndex23) )
      & ( v3659(VarCurr,bitIndex16)
      <=> v3570(VarCurr,bitIndex22) )
      & ( v3659(VarCurr,bitIndex15)
      <=> v3570(VarCurr,bitIndex21) )
      & ( v3659(VarCurr,bitIndex14)
      <=> v3570(VarCurr,bitIndex20) )
      & ( v3659(VarCurr,bitIndex13)
      <=> v3570(VarCurr,bitIndex19) )
      & ( v3659(VarCurr,bitIndex12)
      <=> v3570(VarCurr,bitIndex18) )
      & ( v3659(VarCurr,bitIndex11)
      <=> v3570(VarCurr,bitIndex17) )
      & ( v3659(VarCurr,bitIndex10)
      <=> v3570(VarCurr,bitIndex16) )
      & ( v3659(VarCurr,bitIndex9)
      <=> v3570(VarCurr,bitIndex15) )
      & ( v3659(VarCurr,bitIndex8)
      <=> v3570(VarCurr,bitIndex14) )
      & ( v3659(VarCurr,bitIndex7)
      <=> v3570(VarCurr,bitIndex13) )
      & ( v3659(VarCurr,bitIndex6)
      <=> v3570(VarCurr,bitIndex12) )
      & ( v3659(VarCurr,bitIndex5)
      <=> v3570(VarCurr,bitIndex11) )
      & ( v3659(VarCurr,bitIndex4)
      <=> v3570(VarCurr,bitIndex10) )
      & ( v3659(VarCurr,bitIndex3)
      <=> v3570(VarCurr,bitIndex9) )
      & ( v3659(VarCurr,bitIndex2)
      <=> v3570(VarCurr,bitIndex8) )
      & ( v3659(VarCurr,bitIndex1)
      <=> v3570(VarCurr,bitIndex7) )
      & ( v3659(VarCurr,bitIndex0)
      <=> v3570(VarCurr,bitIndex6) ) ) )).

fof(addAssignment_566,axiom,(
    ! [VarCurr] :
      ( v3659(VarCurr,bitIndex21)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_162,axiom,(
    ! [VarCurr] :
      ( v3656(VarCurr)
    <=> ( ( v3657(VarCurr,bitIndex21)
        <=> $false )
        & ( v3657(VarCurr,bitIndex20)
        <=> $false )
        & ( v3657(VarCurr,bitIndex19)
        <=> $false )
        & ( v3657(VarCurr,bitIndex18)
        <=> $false )
        & ( v3657(VarCurr,bitIndex17)
        <=> $false )
        & ( v3657(VarCurr,bitIndex16)
        <=> $false )
        & ( v3657(VarCurr,bitIndex15)
        <=> $false )
        & ( v3657(VarCurr,bitIndex14)
        <=> $false )
        & ( v3657(VarCurr,bitIndex13)
        <=> $true )
        & ( v3657(VarCurr,bitIndex12)
        <=> $true )
        & ( v3657(VarCurr,bitIndex11)
        <=> $false )
        & ( v3657(VarCurr,bitIndex10)
        <=> $false )
        & ( v3657(VarCurr,bitIndex9)
        <=> $false )
        & ( v3657(VarCurr,bitIndex8)
        <=> $false )
        & ( v3657(VarCurr,bitIndex7)
        <=> $true )
        & ( v3657(VarCurr,bitIndex6)
        <=> $false )
        & ( v3657(VarCurr,bitIndex5)
        <=> $false )
        & ( v3657(VarCurr,bitIndex4)
        <=> $false )
        & ( v3657(VarCurr,bitIndex3)
        <=> $true )
        & ( v3657(VarCurr,bitIndex2)
        <=> $false )
        & ( v3657(VarCurr,bitIndex1)
        <=> $false )
        & ( v3657(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_659,axiom,(
    ~ b0000000011000010001001(bitIndex21) )).

fof(bitBlastConstant_658,axiom,(
    ~ b0000000011000010001001(bitIndex20) )).

fof(bitBlastConstant_657,axiom,(
    ~ b0000000011000010001001(bitIndex19) )).

fof(bitBlastConstant_656,axiom,(
    ~ b0000000011000010001001(bitIndex18) )).

fof(bitBlastConstant_655,axiom,(
    ~ b0000000011000010001001(bitIndex17) )).

fof(bitBlastConstant_654,axiom,(
    ~ b0000000011000010001001(bitIndex16) )).

fof(bitBlastConstant_653,axiom,(
    ~ b0000000011000010001001(bitIndex15) )).

fof(bitBlastConstant_652,axiom,(
    ~ b0000000011000010001001(bitIndex14) )).

fof(bitBlastConstant_651,axiom,(
    b0000000011000010001001(bitIndex13) )).

fof(bitBlastConstant_650,axiom,(
    b0000000011000010001001(bitIndex12) )).

fof(bitBlastConstant_649,axiom,(
    ~ b0000000011000010001001(bitIndex11) )).

fof(bitBlastConstant_648,axiom,(
    ~ b0000000011000010001001(bitIndex10) )).

fof(bitBlastConstant_647,axiom,(
    ~ b0000000011000010001001(bitIndex9) )).

fof(bitBlastConstant_646,axiom,(
    ~ b0000000011000010001001(bitIndex8) )).

fof(bitBlastConstant_645,axiom,(
    b0000000011000010001001(bitIndex7) )).

fof(bitBlastConstant_644,axiom,(
    ~ b0000000011000010001001(bitIndex6) )).

fof(bitBlastConstant_643,axiom,(
    ~ b0000000011000010001001(bitIndex5) )).

fof(bitBlastConstant_642,axiom,(
    ~ b0000000011000010001001(bitIndex4) )).

fof(bitBlastConstant_641,axiom,(
    b0000000011000010001001(bitIndex3) )).

fof(bitBlastConstant_640,axiom,(
    ~ b0000000011000010001001(bitIndex2) )).

fof(bitBlastConstant_639,axiom,(
    ~ b0000000011000010001001(bitIndex1) )).

fof(bitBlastConstant_638,axiom,(
    b0000000011000010001001(bitIndex0) )).

fof(addAssignment_565,axiom,(
    ! [VarCurr] :
      ( ( v3657(VarCurr,bitIndex20)
      <=> v3570(VarCurr,bitIndex26) )
      & ( v3657(VarCurr,bitIndex19)
      <=> v3570(VarCurr,bitIndex25) )
      & ( v3657(VarCurr,bitIndex18)
      <=> v3570(VarCurr,bitIndex24) )
      & ( v3657(VarCurr,bitIndex17)
      <=> v3570(VarCurr,bitIndex23) )
      & ( v3657(VarCurr,bitIndex16)
      <=> v3570(VarCurr,bitIndex22) )
      & ( v3657(VarCurr,bitIndex15)
      <=> v3570(VarCurr,bitIndex21) )
      & ( v3657(VarCurr,bitIndex14)
      <=> v3570(VarCurr,bitIndex20) )
      & ( v3657(VarCurr,bitIndex13)
      <=> v3570(VarCurr,bitIndex19) )
      & ( v3657(VarCurr,bitIndex12)
      <=> v3570(VarCurr,bitIndex18) )
      & ( v3657(VarCurr,bitIndex11)
      <=> v3570(VarCurr,bitIndex17) )
      & ( v3657(VarCurr,bitIndex10)
      <=> v3570(VarCurr,bitIndex16) )
      & ( v3657(VarCurr,bitIndex9)
      <=> v3570(VarCurr,bitIndex15) )
      & ( v3657(VarCurr,bitIndex8)
      <=> v3570(VarCurr,bitIndex14) )
      & ( v3657(VarCurr,bitIndex7)
      <=> v3570(VarCurr,bitIndex13) )
      & ( v3657(VarCurr,bitIndex6)
      <=> v3570(VarCurr,bitIndex12) )
      & ( v3657(VarCurr,bitIndex5)
      <=> v3570(VarCurr,bitIndex11) )
      & ( v3657(VarCurr,bitIndex4)
      <=> v3570(VarCurr,bitIndex10) )
      & ( v3657(VarCurr,bitIndex3)
      <=> v3570(VarCurr,bitIndex9) )
      & ( v3657(VarCurr,bitIndex2)
      <=> v3570(VarCurr,bitIndex8) )
      & ( v3657(VarCurr,bitIndex1)
      <=> v3570(VarCurr,bitIndex7) )
      & ( v3657(VarCurr,bitIndex0)
      <=> v3570(VarCurr,bitIndex6) ) ) )).

fof(addAssignment_564,axiom,(
    ! [VarCurr] :
      ( v3657(VarCurr,bitIndex21)
    <=> $false ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_87,axiom,(
    ! [VarCurr] :
      ( ~ v3634(VarCurr)
     => ( v3641(VarCurr)
      <=> v3645(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_88,axiom,(
    ! [VarCurr] :
      ( v3634(VarCurr)
     => ( v3641(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_18,axiom,(
    ! [VarCurr] :
      ( ( ~ v3636(VarCurr)
        & ~ v3638(VarCurr) )
     => ( v3645(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_49,axiom,(
    ! [VarCurr] :
      ( v3638(VarCurr)
     => ( v3645(VarCurr)
      <=> v3648(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_50,axiom,(
    ! [VarCurr] :
      ( v3636(VarCurr)
     => ( v3645(VarCurr)
      <=> v3646(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_161,axiom,(
    ! [VarCurr] :
      ( v3648(VarCurr)
    <=> ( ( v3649(VarCurr,bitIndex21)
        <=> $false )
        & ( v3649(VarCurr,bitIndex20)
        <=> $false )
        & ( v3649(VarCurr,bitIndex19)
        <=> $false )
        & ( v3649(VarCurr,bitIndex18)
        <=> $false )
        & ( v3649(VarCurr,bitIndex17)
        <=> $false )
        & ( v3649(VarCurr,bitIndex16)
        <=> $false )
        & ( v3649(VarCurr,bitIndex15)
        <=> $false )
        & ( v3649(VarCurr,bitIndex14)
        <=> $false )
        & ( v3649(VarCurr,bitIndex13)
        <=> $true )
        & ( v3649(VarCurr,bitIndex12)
        <=> $true )
        & ( v3649(VarCurr,bitIndex11)
        <=> $true )
        & ( v3649(VarCurr,bitIndex10)
        <=> $false )
        & ( v3649(VarCurr,bitIndex9)
        <=> $false )
        & ( v3649(VarCurr,bitIndex8)
        <=> $false )
        & ( v3649(VarCurr,bitIndex7)
        <=> $true )
        & ( v3649(VarCurr,bitIndex6)
        <=> $false )
        & ( v3649(VarCurr,bitIndex5)
        <=> $false )
        & ( v3649(VarCurr,bitIndex4)
        <=> $false )
        & ( v3649(VarCurr,bitIndex3)
        <=> $true )
        & ( v3649(VarCurr,bitIndex2)
        <=> $false )
        & ( v3649(VarCurr,bitIndex1)
        <=> $false )
        & ( v3649(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_637,axiom,(
    ~ b0000000011100010001000(bitIndex21) )).

fof(bitBlastConstant_636,axiom,(
    ~ b0000000011100010001000(bitIndex20) )).

fof(bitBlastConstant_635,axiom,(
    ~ b0000000011100010001000(bitIndex19) )).

fof(bitBlastConstant_634,axiom,(
    ~ b0000000011100010001000(bitIndex18) )).

fof(bitBlastConstant_633,axiom,(
    ~ b0000000011100010001000(bitIndex17) )).

fof(bitBlastConstant_632,axiom,(
    ~ b0000000011100010001000(bitIndex16) )).

fof(bitBlastConstant_631,axiom,(
    ~ b0000000011100010001000(bitIndex15) )).

fof(bitBlastConstant_630,axiom,(
    ~ b0000000011100010001000(bitIndex14) )).

fof(bitBlastConstant_629,axiom,(
    b0000000011100010001000(bitIndex13) )).

fof(bitBlastConstant_628,axiom,(
    b0000000011100010001000(bitIndex12) )).

fof(bitBlastConstant_627,axiom,(
    b0000000011100010001000(bitIndex11) )).

fof(bitBlastConstant_626,axiom,(
    ~ b0000000011100010001000(bitIndex10) )).

fof(bitBlastConstant_625,axiom,(
    ~ b0000000011100010001000(bitIndex9) )).

fof(bitBlastConstant_624,axiom,(
    ~ b0000000011100010001000(bitIndex8) )).

fof(bitBlastConstant_623,axiom,(
    b0000000011100010001000(bitIndex7) )).

fof(bitBlastConstant_622,axiom,(
    ~ b0000000011100010001000(bitIndex6) )).

fof(bitBlastConstant_621,axiom,(
    ~ b0000000011100010001000(bitIndex5) )).

fof(bitBlastConstant_620,axiom,(
    ~ b0000000011100010001000(bitIndex4) )).

fof(bitBlastConstant_619,axiom,(
    b0000000011100010001000(bitIndex3) )).

fof(bitBlastConstant_618,axiom,(
    ~ b0000000011100010001000(bitIndex2) )).

fof(bitBlastConstant_617,axiom,(
    ~ b0000000011100010001000(bitIndex1) )).

fof(bitBlastConstant_616,axiom,(
    ~ b0000000011100010001000(bitIndex0) )).

fof(addAssignment_563,axiom,(
    ! [VarCurr] :
      ( ( v3649(VarCurr,bitIndex20)
      <=> v3570(VarCurr,bitIndex26) )
      & ( v3649(VarCurr,bitIndex19)
      <=> v3570(VarCurr,bitIndex25) )
      & ( v3649(VarCurr,bitIndex18)
      <=> v3570(VarCurr,bitIndex24) )
      & ( v3649(VarCurr,bitIndex17)
      <=> v3570(VarCurr,bitIndex23) )
      & ( v3649(VarCurr,bitIndex16)
      <=> v3570(VarCurr,bitIndex22) )
      & ( v3649(VarCurr,bitIndex15)
      <=> v3570(VarCurr,bitIndex21) )
      & ( v3649(VarCurr,bitIndex14)
      <=> v3570(VarCurr,bitIndex20) )
      & ( v3649(VarCurr,bitIndex13)
      <=> v3570(VarCurr,bitIndex19) )
      & ( v3649(VarCurr,bitIndex12)
      <=> v3570(VarCurr,bitIndex18) )
      & ( v3649(VarCurr,bitIndex11)
      <=> v3570(VarCurr,bitIndex17) )
      & ( v3649(VarCurr,bitIndex10)
      <=> v3570(VarCurr,bitIndex16) )
      & ( v3649(VarCurr,bitIndex9)
      <=> v3570(VarCurr,bitIndex15) )
      & ( v3649(VarCurr,bitIndex8)
      <=> v3570(VarCurr,bitIndex14) )
      & ( v3649(VarCurr,bitIndex7)
      <=> v3570(VarCurr,bitIndex13) )
      & ( v3649(VarCurr,bitIndex6)
      <=> v3570(VarCurr,bitIndex12) )
      & ( v3649(VarCurr,bitIndex5)
      <=> v3570(VarCurr,bitIndex11) )
      & ( v3649(VarCurr,bitIndex4)
      <=> v3570(VarCurr,bitIndex10) )
      & ( v3649(VarCurr,bitIndex3)
      <=> v3570(VarCurr,bitIndex9) )
      & ( v3649(VarCurr,bitIndex2)
      <=> v3570(VarCurr,bitIndex8) )
      & ( v3649(VarCurr,bitIndex1)
      <=> v3570(VarCurr,bitIndex7) )
      & ( v3649(VarCurr,bitIndex0)
      <=> v3570(VarCurr,bitIndex6) ) ) )).

fof(addAssignment_562,axiom,(
    ! [VarCurr] :
      ( v3649(VarCurr,bitIndex21)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_160,axiom,(
    ! [VarCurr] :
      ( v3646(VarCurr)
    <=> ( ( v3647(VarCurr,bitIndex21)
        <=> $false )
        & ( v3647(VarCurr,bitIndex20)
        <=> $false )
        & ( v3647(VarCurr,bitIndex19)
        <=> $false )
        & ( v3647(VarCurr,bitIndex18)
        <=> $false )
        & ( v3647(VarCurr,bitIndex17)
        <=> $false )
        & ( v3647(VarCurr,bitIndex16)
        <=> $false )
        & ( v3647(VarCurr,bitIndex15)
        <=> $false )
        & ( v3647(VarCurr,bitIndex14)
        <=> $false )
        & ( v3647(VarCurr,bitIndex13)
        <=> $true )
        & ( v3647(VarCurr,bitIndex12)
        <=> $true )
        & ( v3647(VarCurr,bitIndex11)
        <=> $false )
        & ( v3647(VarCurr,bitIndex10)
        <=> $false )
        & ( v3647(VarCurr,bitIndex9)
        <=> $false )
        & ( v3647(VarCurr,bitIndex8)
        <=> $false )
        & ( v3647(VarCurr,bitIndex7)
        <=> $true )
        & ( v3647(VarCurr,bitIndex6)
        <=> $false )
        & ( v3647(VarCurr,bitIndex5)
        <=> $false )
        & ( v3647(VarCurr,bitIndex4)
        <=> $false )
        & ( v3647(VarCurr,bitIndex3)
        <=> $true )
        & ( v3647(VarCurr,bitIndex2)
        <=> $false )
        & ( v3647(VarCurr,bitIndex1)
        <=> $false )
        & ( v3647(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_615,axiom,(
    ~ b0000000011000010001000(bitIndex21) )).

fof(bitBlastConstant_614,axiom,(
    ~ b0000000011000010001000(bitIndex20) )).

fof(bitBlastConstant_613,axiom,(
    ~ b0000000011000010001000(bitIndex19) )).

fof(bitBlastConstant_612,axiom,(
    ~ b0000000011000010001000(bitIndex18) )).

fof(bitBlastConstant_611,axiom,(
    ~ b0000000011000010001000(bitIndex17) )).

fof(bitBlastConstant_610,axiom,(
    ~ b0000000011000010001000(bitIndex16) )).

fof(bitBlastConstant_609,axiom,(
    ~ b0000000011000010001000(bitIndex15) )).

fof(bitBlastConstant_608,axiom,(
    ~ b0000000011000010001000(bitIndex14) )).

fof(bitBlastConstant_607,axiom,(
    b0000000011000010001000(bitIndex13) )).

fof(bitBlastConstant_606,axiom,(
    b0000000011000010001000(bitIndex12) )).

fof(bitBlastConstant_605,axiom,(
    ~ b0000000011000010001000(bitIndex11) )).

fof(bitBlastConstant_604,axiom,(
    ~ b0000000011000010001000(bitIndex10) )).

fof(bitBlastConstant_603,axiom,(
    ~ b0000000011000010001000(bitIndex9) )).

fof(bitBlastConstant_602,axiom,(
    ~ b0000000011000010001000(bitIndex8) )).

fof(bitBlastConstant_601,axiom,(
    b0000000011000010001000(bitIndex7) )).

fof(bitBlastConstant_600,axiom,(
    ~ b0000000011000010001000(bitIndex6) )).

fof(bitBlastConstant_599,axiom,(
    ~ b0000000011000010001000(bitIndex5) )).

fof(bitBlastConstant_598,axiom,(
    ~ b0000000011000010001000(bitIndex4) )).

fof(bitBlastConstant_597,axiom,(
    b0000000011000010001000(bitIndex3) )).

fof(bitBlastConstant_596,axiom,(
    ~ b0000000011000010001000(bitIndex2) )).

fof(bitBlastConstant_595,axiom,(
    ~ b0000000011000010001000(bitIndex1) )).

fof(bitBlastConstant_594,axiom,(
    ~ b0000000011000010001000(bitIndex0) )).

fof(addAssignment_561,axiom,(
    ! [VarCurr] :
      ( ( v3647(VarCurr,bitIndex20)
      <=> v3570(VarCurr,bitIndex26) )
      & ( v3647(VarCurr,bitIndex19)
      <=> v3570(VarCurr,bitIndex25) )
      & ( v3647(VarCurr,bitIndex18)
      <=> v3570(VarCurr,bitIndex24) )
      & ( v3647(VarCurr,bitIndex17)
      <=> v3570(VarCurr,bitIndex23) )
      & ( v3647(VarCurr,bitIndex16)
      <=> v3570(VarCurr,bitIndex22) )
      & ( v3647(VarCurr,bitIndex15)
      <=> v3570(VarCurr,bitIndex21) )
      & ( v3647(VarCurr,bitIndex14)
      <=> v3570(VarCurr,bitIndex20) )
      & ( v3647(VarCurr,bitIndex13)
      <=> v3570(VarCurr,bitIndex19) )
      & ( v3647(VarCurr,bitIndex12)
      <=> v3570(VarCurr,bitIndex18) )
      & ( v3647(VarCurr,bitIndex11)
      <=> v3570(VarCurr,bitIndex17) )
      & ( v3647(VarCurr,bitIndex10)
      <=> v3570(VarCurr,bitIndex16) )
      & ( v3647(VarCurr,bitIndex9)
      <=> v3570(VarCurr,bitIndex15) )
      & ( v3647(VarCurr,bitIndex8)
      <=> v3570(VarCurr,bitIndex14) )
      & ( v3647(VarCurr,bitIndex7)
      <=> v3570(VarCurr,bitIndex13) )
      & ( v3647(VarCurr,bitIndex6)
      <=> v3570(VarCurr,bitIndex12) )
      & ( v3647(VarCurr,bitIndex5)
      <=> v3570(VarCurr,bitIndex11) )
      & ( v3647(VarCurr,bitIndex4)
      <=> v3570(VarCurr,bitIndex10) )
      & ( v3647(VarCurr,bitIndex3)
      <=> v3570(VarCurr,bitIndex9) )
      & ( v3647(VarCurr,bitIndex2)
      <=> v3570(VarCurr,bitIndex8) )
      & ( v3647(VarCurr,bitIndex1)
      <=> v3570(VarCurr,bitIndex7) )
      & ( v3647(VarCurr,bitIndex0)
      <=> v3570(VarCurr,bitIndex6) ) ) )).

fof(addAssignment_560,axiom,(
    ! [VarCurr] :
      ( v3647(VarCurr,bitIndex21)
    <=> $false ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_86,axiom,(
    ! [VarCurr] :
      ( ~ v3634(VarCurr)
     => ( v3558(VarCurr)
      <=> v3635(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_87,axiom,(
    ! [VarCurr] :
      ( v3634(VarCurr)
     => ( v3558(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_17,axiom,(
    ! [VarCurr] :
      ( ( ~ v3636(VarCurr)
        & ~ v3638(VarCurr) )
     => ( v3635(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_48,axiom,(
    ! [VarCurr] :
      ( v3638(VarCurr)
     => ( v3635(VarCurr)
      <=> v3639(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_49,axiom,(
    ! [VarCurr] :
      ( v3636(VarCurr)
     => ( v3635(VarCurr)
      <=> v3637(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_159,axiom,(
    ! [VarCurr] :
      ( v3639(VarCurr)
    <=> ( ( v3570(VarCurr,bitIndex26)
        <=> $false )
        & ( v3570(VarCurr,bitIndex25)
        <=> $false )
        & ( v3570(VarCurr,bitIndex24)
        <=> $false )
        & ( v3570(VarCurr,bitIndex23)
        <=> $false )
        & ( v3570(VarCurr,bitIndex22)
        <=> $false )
        & ( v3570(VarCurr,bitIndex21)
        <=> $false )
        & ( v3570(VarCurr,bitIndex20)
        <=> $false )
        & ( v3570(VarCurr,bitIndex19)
        <=> $true )
        & ( v3570(VarCurr,bitIndex18)
        <=> $true )
        & ( v3570(VarCurr,bitIndex17)
        <=> $true )
        & ( v3570(VarCurr,bitIndex16)
        <=> $false )
        & ( v3570(VarCurr,bitIndex15)
        <=> $false )
        & ( v3570(VarCurr,bitIndex14)
        <=> $false )
        & ( v3570(VarCurr,bitIndex13)
        <=> $true )
        & ( v3570(VarCurr,bitIndex12)
        <=> $false )
        & ( v3570(VarCurr,bitIndex11)
        <=> $false )
        & ( v3570(VarCurr,bitIndex10)
        <=> $false )
        & ( v3570(VarCurr,bitIndex9)
        <=> $false )
        & ( v3570(VarCurr,bitIndex8)
        <=> $false )
        & ( v3570(VarCurr,bitIndex7)
        <=> $false )
        & ( v3570(VarCurr,bitIndex6)
        <=> $false )
        & ( v3570(VarCurr,bitIndex5)
        <=> $false )
        & ( v3570(VarCurr,bitIndex4)
        <=> $false )
        & ( v3570(VarCurr,bitIndex3)
        <=> $false )
        & ( v3570(VarCurr,bitIndex2)
        <=> $false )
        & ( v3570(VarCurr,bitIndex1)
        <=> $false )
        & ( v3570(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_593,axiom,(
    ~ b000000011100010000000000000(bitIndex26) )).

fof(bitBlastConstant_592,axiom,(
    ~ b000000011100010000000000000(bitIndex25) )).

fof(bitBlastConstant_591,axiom,(
    ~ b000000011100010000000000000(bitIndex24) )).

fof(bitBlastConstant_590,axiom,(
    ~ b000000011100010000000000000(bitIndex23) )).

fof(bitBlastConstant_589,axiom,(
    ~ b000000011100010000000000000(bitIndex22) )).

fof(bitBlastConstant_588,axiom,(
    ~ b000000011100010000000000000(bitIndex21) )).

fof(bitBlastConstant_587,axiom,(
    ~ b000000011100010000000000000(bitIndex20) )).

fof(bitBlastConstant_586,axiom,(
    b000000011100010000000000000(bitIndex19) )).

fof(bitBlastConstant_585,axiom,(
    b000000011100010000000000000(bitIndex18) )).

fof(bitBlastConstant_584,axiom,(
    b000000011100010000000000000(bitIndex17) )).

fof(bitBlastConstant_583,axiom,(
    ~ b000000011100010000000000000(bitIndex16) )).

fof(bitBlastConstant_582,axiom,(
    ~ b000000011100010000000000000(bitIndex15) )).

fof(bitBlastConstant_581,axiom,(
    ~ b000000011100010000000000000(bitIndex14) )).

fof(bitBlastConstant_580,axiom,(
    b000000011100010000000000000(bitIndex13) )).

fof(bitBlastConstant_579,axiom,(
    ~ b000000011100010000000000000(bitIndex12) )).

fof(bitBlastConstant_578,axiom,(
    ~ b000000011100010000000000000(bitIndex11) )).

fof(bitBlastConstant_577,axiom,(
    ~ b000000011100010000000000000(bitIndex10) )).

fof(bitBlastConstant_576,axiom,(
    ~ b000000011100010000000000000(bitIndex9) )).

fof(bitBlastConstant_575,axiom,(
    ~ b000000011100010000000000000(bitIndex8) )).

fof(bitBlastConstant_574,axiom,(
    ~ b000000011100010000000000000(bitIndex7) )).

fof(bitBlastConstant_573,axiom,(
    ~ b000000011100010000000000000(bitIndex6) )).

fof(bitBlastConstant_572,axiom,(
    ~ b000000011100010000000000000(bitIndex5) )).

fof(bitBlastConstant_571,axiom,(
    ~ b000000011100010000000000000(bitIndex4) )).

fof(bitBlastConstant_570,axiom,(
    ~ b000000011100010000000000000(bitIndex3) )).

fof(bitBlastConstant_569,axiom,(
    ~ b000000011100010000000000000(bitIndex2) )).

fof(bitBlastConstant_568,axiom,(
    ~ b000000011100010000000000000(bitIndex1) )).

fof(bitBlastConstant_567,axiom,(
    ~ b000000011100010000000000000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_158,axiom,(
    ! [VarCurr] :
      ( v3638(VarCurr)
    <=> ( v3560(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_157,axiom,(
    ! [VarCurr] :
      ( v3637(VarCurr)
    <=> ( ( v3570(VarCurr,bitIndex26)
        <=> $false )
        & ( v3570(VarCurr,bitIndex25)
        <=> $false )
        & ( v3570(VarCurr,bitIndex24)
        <=> $false )
        & ( v3570(VarCurr,bitIndex23)
        <=> $false )
        & ( v3570(VarCurr,bitIndex22)
        <=> $false )
        & ( v3570(VarCurr,bitIndex21)
        <=> $false )
        & ( v3570(VarCurr,bitIndex20)
        <=> $false )
        & ( v3570(VarCurr,bitIndex19)
        <=> $true )
        & ( v3570(VarCurr,bitIndex18)
        <=> $true )
        & ( v3570(VarCurr,bitIndex17)
        <=> $false )
        & ( v3570(VarCurr,bitIndex16)
        <=> $false )
        & ( v3570(VarCurr,bitIndex15)
        <=> $false )
        & ( v3570(VarCurr,bitIndex14)
        <=> $false )
        & ( v3570(VarCurr,bitIndex13)
        <=> $true )
        & ( v3570(VarCurr,bitIndex12)
        <=> $false )
        & ( v3570(VarCurr,bitIndex11)
        <=> $false )
        & ( v3570(VarCurr,bitIndex10)
        <=> $false )
        & ( v3570(VarCurr,bitIndex9)
        <=> $false )
        & ( v3570(VarCurr,bitIndex8)
        <=> $false )
        & ( v3570(VarCurr,bitIndex7)
        <=> $false )
        & ( v3570(VarCurr,bitIndex6)
        <=> $false )
        & ( v3570(VarCurr,bitIndex5)
        <=> $false )
        & ( v3570(VarCurr,bitIndex4)
        <=> $false )
        & ( v3570(VarCurr,bitIndex3)
        <=> $false )
        & ( v3570(VarCurr,bitIndex2)
        <=> $false )
        & ( v3570(VarCurr,bitIndex1)
        <=> $false )
        & ( v3570(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_566,axiom,(
    ~ b000000011000010000000000000(bitIndex26) )).

fof(bitBlastConstant_565,axiom,(
    ~ b000000011000010000000000000(bitIndex25) )).

fof(bitBlastConstant_564,axiom,(
    ~ b000000011000010000000000000(bitIndex24) )).

fof(bitBlastConstant_563,axiom,(
    ~ b000000011000010000000000000(bitIndex23) )).

fof(bitBlastConstant_562,axiom,(
    ~ b000000011000010000000000000(bitIndex22) )).

fof(bitBlastConstant_561,axiom,(
    ~ b000000011000010000000000000(bitIndex21) )).

fof(bitBlastConstant_560,axiom,(
    ~ b000000011000010000000000000(bitIndex20) )).

fof(bitBlastConstant_559,axiom,(
    b000000011000010000000000000(bitIndex19) )).

fof(bitBlastConstant_558,axiom,(
    b000000011000010000000000000(bitIndex18) )).

fof(bitBlastConstant_557,axiom,(
    ~ b000000011000010000000000000(bitIndex17) )).

fof(bitBlastConstant_556,axiom,(
    ~ b000000011000010000000000000(bitIndex16) )).

fof(bitBlastConstant_555,axiom,(
    ~ b000000011000010000000000000(bitIndex15) )).

fof(bitBlastConstant_554,axiom,(
    ~ b000000011000010000000000000(bitIndex14) )).

fof(bitBlastConstant_553,axiom,(
    b000000011000010000000000000(bitIndex13) )).

fof(bitBlastConstant_552,axiom,(
    ~ b000000011000010000000000000(bitIndex12) )).

fof(bitBlastConstant_551,axiom,(
    ~ b000000011000010000000000000(bitIndex11) )).

fof(bitBlastConstant_550,axiom,(
    ~ b000000011000010000000000000(bitIndex10) )).

fof(bitBlastConstant_549,axiom,(
    ~ b000000011000010000000000000(bitIndex9) )).

fof(bitBlastConstant_548,axiom,(
    ~ b000000011000010000000000000(bitIndex8) )).

fof(bitBlastConstant_547,axiom,(
    ~ b000000011000010000000000000(bitIndex7) )).

fof(bitBlastConstant_546,axiom,(
    ~ b000000011000010000000000000(bitIndex6) )).

fof(bitBlastConstant_545,axiom,(
    ~ b000000011000010000000000000(bitIndex5) )).

fof(bitBlastConstant_544,axiom,(
    ~ b000000011000010000000000000(bitIndex4) )).

fof(bitBlastConstant_543,axiom,(
    ~ b000000011000010000000000000(bitIndex3) )).

fof(bitBlastConstant_542,axiom,(
    ~ b000000011000010000000000000(bitIndex2) )).

fof(bitBlastConstant_541,axiom,(
    ~ b000000011000010000000000000(bitIndex1) )).

fof(bitBlastConstant_540,axiom,(
    ~ b000000011000010000000000000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_156,axiom,(
    ! [VarCurr] :
      ( v3636(VarCurr)
    <=> ( v3560(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_494,axiom,(
    ! [VarCurr] :
      ( ~ v3634(VarCurr)
    <=> v3444(VarCurr) ) )).

fof(addAssignment_559,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v3570(VarCurr,B)
      <=> v3572(VarCurr,B) ) ) )).

fof(addAssignment_558,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v3572(VarCurr,B)
      <=> v3574(VarCurr,B) ) ) )).

fof(addAssignment_557,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v3574(VarCurr,B)
      <=> v3576(VarCurr,B) ) ) )).

fof(addAssignment_556,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v3576(VarCurr,B)
      <=> v3578(VarCurr,B) ) ) )).

fof(addAssignment_555,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v3578(VarCurr,B)
      <=> v3580(VarCurr,B) ) ) )).

fof(addAssignment_554,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v3580(VarCurr,B)
      <=> v3582(VarCurr,B) ) ) )).

fof(addAssignment_553,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v3582(VarCurr,B)
      <=> v3584(VarCurr,B) ) ) )).

fof(addAssignment_552,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v3584(VarCurr,B)
      <=> v3586(VarCurr,B) ) ) )).

fof(addAssignment_551,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v3586(VarCurr,B)
      <=> v3588(VarCurr,B) ) ) )).

fof(addAssignment_550,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v3588(VarCurr,B)
      <=> v3590(VarCurr,B) ) ) )).

fof(addAssignment_549,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v3590(VarCurr,B)
      <=> v3592(VarCurr,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_41,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3614(VarNext)
       => ! [B] :
            ( range_26_0(B)
           => ( v3592(VarNext,B)
            <=> v3592(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_46,axiom,(
    ! [VarNext] :
      ( v3614(VarNext)
     => ! [B] :
          ( range_26_0(B)
         => ( v3592(VarNext,B)
          <=> v3628(VarNext,B) ) ) ) )).

fof(addAssignment_548,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_26_0(B)
         => ( v3628(VarNext,B)
          <=> v3626(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_47,axiom,(
    ! [VarCurr] :
      ( ~ v3623(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v3626(VarCurr,B)
          <=> v3252(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_48,axiom,(
    ! [VarCurr] :
      ( v3623(VarCurr)
     => ! [B] :
          ( range_26_0(B)
         => ( v3626(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1046,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3614(VarNext)
      <=> ( v3615(VarNext)
          & v3622(VarNext) ) ) ) )).

fof(addAssignment_547,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3622(VarNext)
      <=> v3620(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1045,axiom,(
    ! [VarCurr] :
      ( v3620(VarCurr)
    <=> ( v3623(VarCurr)
        | v3624(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_235,axiom,(
    ! [VarCurr] :
      ( v3624(VarCurr)
    <=> ( v3244(VarCurr,bitIndex2)
        & v3625(VarCurr) ) ) )).

fof(writeUnaryOperator_493,axiom,(
    ! [VarCurr] :
      ( ~ v3625(VarCurr)
    <=> v3623(VarCurr) ) )).

fof(writeUnaryOperator_492,axiom,(
    ! [VarCurr] :
      ( ~ v3623(VarCurr)
    <=> v3240(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1044,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3615(VarNext)
      <=> ( v3616(VarNext)
          & v3499(VarNext) ) ) ) )).

fof(writeUnaryOperator_491,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3616(VarNext)
      <=> v3506(VarNext) ) ) )).

fof(addAssignmentInitValueVector_10,axiom,(
    ! [B] :
      ( range_26_0(B)
     => ( v3592(constB0,B)
      <=> $false ) ) )).

fof(bitBlastConstant_539,axiom,(
    ~ b000000000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_538,axiom,(
    ~ b000000000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_537,axiom,(
    ~ b000000000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_536,axiom,(
    ~ b000000000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_535,axiom,(
    ~ b000000000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_534,axiom,(
    ~ b000000000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_533,axiom,(
    ~ b000000000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_532,axiom,(
    ~ b000000000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_531,axiom,(
    ~ b000000000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_530,axiom,(
    ~ b000000000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_529,axiom,(
    ~ b000000000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_528,axiom,(
    ~ b000000000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_527,axiom,(
    ~ b000000000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_526,axiom,(
    ~ b000000000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_525,axiom,(
    ~ b000000000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_524,axiom,(
    ~ b000000000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_523,axiom,(
    ~ b000000000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_522,axiom,(
    ~ b000000000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_521,axiom,(
    ~ b000000000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_520,axiom,(
    ~ b000000000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_519,axiom,(
    ~ b000000000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_518,axiom,(
    ~ b000000000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_517,axiom,(
    ~ b000000000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_516,axiom,(
    ~ b000000000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_515,axiom,(
    ~ b000000000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_514,axiom,(
    ~ b000000000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_513,axiom,(
    ~ b000000000000000000000000000(bitIndex0) )).

fof(addAssignment_546,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v3252(VarCurr,B)
      <=> v3254(VarCurr,B) ) ) )).

fof(addAssignment_545,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v3254(VarCurr,B)
      <=> v3256(VarCurr,B) ) ) )).

fof(addAssignment_544,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v3256(VarCurr,B)
      <=> v3258(VarCurr,B) ) ) )).

fof(addAssignment_543,axiom,(
    ! [VarNext,B] :
      ( range_26_0(B)
     => ( v3258(VarNext,B)
      <=> v3605(VarNext,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_40,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3606(VarNext)
       => ! [B] :
            ( range_31_0(B)
           => ( v3605(VarNext,B)
            <=> v3258(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_45,axiom,(
    ! [VarNext] :
      ( v3606(VarNext)
     => ! [B] :
          ( range_31_0(B)
         => ( v3605(VarNext,B)
          <=> v3409(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1043,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3606(VarNext)
      <=> v3607(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1042,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3607(VarNext)
      <=> ( v3609(VarNext)
          & v3310(VarNext) ) ) ) )).

fof(writeUnaryOperator_490,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3609(VarNext)
      <=> v3319(VarNext) ) ) )).

fof(addAssignment_542,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v3263(VarCurr,B)
      <=> v3398(VarCurr,B) ) ) )).

fof(addAssignment_541,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v3275(VarCurr,B)
      <=> v3277(VarCurr,B) ) ) )).

fof(addAssignment_540,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v3277(VarCurr,B)
      <=> v3279(VarCurr,B) ) ) )).

fof(addAssignment_539,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v3339(VarCurr,B)
      <=> v3341(VarCurr,B) ) ) )).

fof(addAssignment_538,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v3341(VarCurr,B)
      <=> v3343(VarCurr,B) ) ) )).

fof(addAssignment_537,axiom,(
    ! [VarNext,B] :
      ( range_26_0(B)
     => ( v3343(VarNext,B)
      <=> v3597(VarNext,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_39,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3598(VarNext)
       => ! [B] :
            ( range_31_0(B)
           => ( v3597(VarNext,B)
            <=> v3343(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_44,axiom,(
    ! [VarNext] :
      ( v3598(VarNext)
     => ! [B] :
          ( range_31_0(B)
         => ( v3597(VarNext,B)
          <=> v3394(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1041,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3598(VarNext)
      <=> v3599(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1040,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3599(VarNext)
      <=> ( v3601(VarNext)
          & v3381(VarNext) ) ) ) )).

fof(writeUnaryOperator_489,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3601(VarNext)
      <=> v3388(VarNext) ) ) )).

fof(addAssignment_536,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v3347(VarCurr,B)
      <=> v3375(VarCurr,B) ) ) )).

fof(addAssignment_535,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v3370(VarCurr,B)
      <=> v3595(VarCurr,B) ) ) )).

fof(addAssignment_534,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v3364(VarCurr,B)
      <=> v3366(VarCurr,B) ) ) )).

fof(addAssignment_533,axiom,(
    ! [VarCurr,B] :
      ( range_26_0(B)
     => ( v3366(VarCurr,B)
      <=> v3368(VarCurr,B) ) ) )).

fof(range_axiom_21,axiom,(
    ! [B] :
      ( range_26_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B ) ) )).

fof(addAssignment_532,axiom,(
    ! [VarCurr] :
      ( v3560(VarCurr)
    <=> v3562(VarCurr) ) )).

fof(addAssignment_531,axiom,(
    ! [VarCurr] :
      ( v3562(VarCurr)
    <=> v3564(VarCurr) ) )).

fof(addAssignment_530,axiom,(
    ! [VarCurr] :
      ( v3564(VarCurr)
    <=> v3566(VarCurr) ) )).

fof(addAssignment_529,axiom,(
    ! [VarCurr] :
      ( v3566(VarCurr)
    <=> v3568(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_38,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3544(VarNext)
       => ( v3436(VarNext)
        <=> v3436(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_43,axiom,(
    ! [VarNext] :
      ( v3544(VarNext)
     => ( v3436(VarNext)
      <=> v3552(VarNext) ) ) )).

fof(addAssignment_528,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3552(VarNext)
      <=> v3550(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_85,axiom,(
    ! [VarCurr] :
      ( ~ v3539(VarCurr)
     => ( v3550(VarCurr)
      <=> v3553(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_86,axiom,(
    ! [VarCurr] :
      ( v3539(VarCurr)
     => ( v3550(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1039,axiom,(
    ! [VarCurr] :
      ( v3553(VarCurr)
    <=> ( v3444(VarCurr)
        & v3554(VarCurr) ) ) )).

fof(writeUnaryOperator_488,axiom,(
    ! [VarCurr] :
      ( ~ v3554(VarCurr)
    <=> v3517(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1038,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3544(VarNext)
      <=> v3545(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1037,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3545(VarNext)
      <=> ( v3547(VarNext)
          & v3519(VarNext) ) ) ) )).

fof(writeUnaryOperator_487,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3547(VarNext)
      <=> v3532(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_37,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3528(VarNext)
       => ( v3517(VarNext)
        <=> v3517(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_42,axiom,(
    ! [VarNext] :
      ( v3528(VarNext)
     => ( v3517(VarNext)
      <=> v3538(VarNext) ) ) )).

fof(addAssignment_527,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3538(VarNext)
      <=> v3536(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_84,axiom,(
    ! [VarCurr] :
      ( ~ v3539(VarCurr)
     => ( v3536(VarCurr)
      <=> v3444(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_85,axiom,(
    ! [VarCurr] :
      ( v3539(VarCurr)
     => ( v3536(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_486,axiom,(
    ! [VarCurr] :
      ( ~ v3539(VarCurr)
    <=> v3438(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1036,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3528(VarNext)
      <=> v3529(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1035,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3529(VarNext)
      <=> ( v3530(VarNext)
          & v3519(VarNext) ) ) ) )).

fof(writeUnaryOperator_485,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3530(VarNext)
      <=> v3532(VarNext) ) ) )).

fof(addAssignment_526,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3532(VarNext)
      <=> v3519(VarCurr) ) ) )).

fof(addAssignment_525,axiom,(
    ! [VarCurr] :
      ( v3519(VarCurr)
    <=> v3521(VarCurr) ) )).

fof(addAssignment_524,axiom,(
    ! [VarCurr] :
      ( v3521(VarCurr)
    <=> v3523(VarCurr) ) )).

fof(addAssignment_523,axiom,(
    ! [VarCurr] :
      ( v3523(VarCurr)
    <=> v3525(VarCurr) ) )).

fof(addAssignment_522,axiom,(
    ! [VarCurr] :
      ( v3525(VarCurr)
    <=> v1(VarCurr) ) )).

fof(addAssignment_521,axiom,(
    ! [VarCurr] :
      ( v3444(VarCurr)
    <=> v3446(VarCurr) ) )).

fof(addAssignment_520,axiom,(
    ! [VarCurr] :
      ( v3446(VarCurr)
    <=> v3448(VarCurr) ) )).

fof(addAssignment_519,axiom,(
    ! [VarCurr] :
      ( v3448(VarCurr)
    <=> v3450(VarCurr) ) )).

fof(addAssignment_518,axiom,(
    ! [VarCurr] :
      ( v3450(VarCurr)
    <=> v3452(VarCurr) ) )).

fof(addAssignment_517,axiom,(
    ! [VarCurr] :
      ( v3452(VarCurr)
    <=> v3454(VarCurr) ) )).

fof(addAssignment_516,axiom,(
    ! [VarCurr] :
      ( v3454(VarCurr)
    <=> v3456(VarCurr) ) )).

fof(addAssignment_515,axiom,(
    ! [VarCurr] :
      ( v3456(VarCurr)
    <=> v3458(VarCurr) ) )).

fof(addAssignment_514,axiom,(
    ! [VarCurr] :
      ( v3458(VarCurr)
    <=> v3460(VarCurr) ) )).

fof(addAssignment_513,axiom,(
    ! [VarCurr] :
      ( v3460(VarCurr)
    <=> v3462(VarCurr) ) )).

fof(addAssignment_512,axiom,(
    ! [VarCurr] :
      ( v3462(VarCurr)
    <=> v3464(VarCurr) ) )).

fof(addAssignment_511,axiom,(
    ! [VarCurr] :
      ( v3464(VarCurr)
    <=> v3466(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_36,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3502(VarNext)
       => ( v3466(VarNext)
        <=> v3466(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_41,axiom,(
    ! [VarNext] :
      ( v3502(VarNext)
     => ( v3466(VarNext)
      <=> v3512(VarNext) ) ) )).

fof(addAssignment_510,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3512(VarNext)
      <=> v3510(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_83,axiom,(
    ! [VarCurr] :
      ( ~ v3513(VarCurr)
     => ( v3510(VarCurr)
      <=> v3468(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_84,axiom,(
    ! [VarCurr] :
      ( v3513(VarCurr)
     => ( v3510(VarCurr)
      <=> $false ) ) )).

fof(writeUnaryOperator_484,axiom,(
    ! [VarCurr] :
      ( ~ v3513(VarCurr)
    <=> v3240(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1034,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3502(VarNext)
      <=> v3503(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1033,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3503(VarNext)
      <=> ( v3504(VarNext)
          & v3499(VarNext) ) ) ) )).

fof(writeUnaryOperator_483,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3504(VarNext)
      <=> v3506(VarNext) ) ) )).

fof(addAssignment_509,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3506(VarNext)
      <=> v3499(VarCurr) ) ) )).

fof(addAssignmentInitValueVector_9,axiom,
    ( v3466(constB0)
  <=> $true )).

fof(addAssignment_508,axiom,(
    ! [VarCurr] :
      ( v3499(VarCurr)
    <=> v3312(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_82,axiom,(
    ! [VarCurr] :
      ( ~ v3470(VarCurr)
     => ( v3468(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_83,axiom,(
    ! [VarCurr] :
      ( v3470(VarCurr)
     => ( v3468(VarCurr)
      <=> v3494(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_16,axiom,(
    ! [VarCurr] :
      ( ( ~ v3472(VarCurr)
        & ~ v3473(VarCurr) )
     => ( v3494(VarCurr)
      <=> v3497(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_46,axiom,(
    ! [VarCurr] :
      ( v3473(VarCurr)
     => ( v3494(VarCurr)
      <=> v3495(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_47,axiom,(
    ! [VarCurr] :
      ( v3472(VarCurr)
     => ( v3494(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_45,axiom,(
    ! [VarCurr] :
      ( ~ v3487(VarCurr)
     => ( v3497(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_46,axiom,(
    ! [VarCurr] :
      ( v3487(VarCurr)
     => ( v3497(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_44,axiom,(
    ! [VarCurr] :
      ( ~ v3496(VarCurr)
     => ( v3495(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_45,axiom,(
    ! [VarCurr] :
      ( v3496(VarCurr)
     => ( v3495(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1032,axiom,(
    ! [VarCurr] :
      ( v3496(VarCurr)
    <=> ( v3476(VarCurr)
        | v3477(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1031,axiom,(
    ! [VarCurr] :
      ( v3470(VarCurr)
    <=> ( v3471(VarCurr)
        | v3485(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1030,axiom,(
    ! [VarCurr] :
      ( v3485(VarCurr)
    <=> ( v3486(VarCurr)
        & v3493(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_155,axiom,(
    ! [VarCurr] :
      ( v3493(VarCurr)
    <=> ( ( v3246(VarCurr,bitIndex2)
        <=> $true )
        & ( v3246(VarCurr,bitIndex1)
        <=> $false )
        & ( v3246(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1029,axiom,(
    ! [VarCurr] :
      ( v3486(VarCurr)
    <=> ( v3487(VarCurr)
        | v3488(VarCurr) ) ) )).

fof(writeUnaryOperator_482,axiom,(
    ! [VarCurr] :
      ( ~ v3488(VarCurr)
    <=> v3489(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1028,axiom,(
    ! [VarCurr] :
      ( v3489(VarCurr)
    <=> ( v3490(VarCurr)
        | v3492(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_154,axiom,(
    ! [VarCurr] :
      ( v3492(VarCurr)
    <=> ( ( v3248(VarCurr,bitIndex2)
        <=> $true )
        & ( v3248(VarCurr,bitIndex1)
        <=> $false )
        & ( v3248(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1027,axiom,(
    ! [VarCurr] :
      ( v3490(VarCurr)
    <=> ( v3491(VarCurr)
        | v3487(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_153,axiom,(
    ! [VarCurr] :
      ( v3491(VarCurr)
    <=> ( ( v3248(VarCurr,bitIndex2)
        <=> $false )
        & ( v3248(VarCurr,bitIndex1)
        <=> $false )
        & ( v3248(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_152,axiom,(
    ! [VarCurr] :
      ( v3487(VarCurr)
    <=> ( ( v3248(VarCurr,bitIndex2)
        <=> $true )
        & ( v3248(VarCurr,bitIndex1)
        <=> $false )
        & ( v3248(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1026,axiom,(
    ! [VarCurr] :
      ( v3471(VarCurr)
    <=> ( v3472(VarCurr)
        | v3473(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1025,axiom,(
    ! [VarCurr] :
      ( v3473(VarCurr)
    <=> ( v3474(VarCurr)
        & v3484(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_151,axiom,(
    ! [VarCurr] :
      ( v3484(VarCurr)
    <=> ( ( v3246(VarCurr,bitIndex2)
        <=> $false )
        & ( v3246(VarCurr,bitIndex1)
        <=> $true )
        & ( v3246(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1024,axiom,(
    ! [VarCurr] :
      ( v3474(VarCurr)
    <=> ( v3475(VarCurr)
        | v3478(VarCurr) ) ) )).

fof(writeUnaryOperator_481,axiom,(
    ! [VarCurr] :
      ( ~ v3478(VarCurr)
    <=> v3479(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1023,axiom,(
    ! [VarCurr] :
      ( v3479(VarCurr)
    <=> ( v3480(VarCurr)
        | v3483(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_150,axiom,(
    ! [VarCurr] :
      ( v3483(VarCurr)
    <=> ( ( v3248(VarCurr,bitIndex2)
        <=> $true )
        & ( v3248(VarCurr,bitIndex1)
        <=> $false )
        & ( v3248(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1022,axiom,(
    ! [VarCurr] :
      ( v3480(VarCurr)
    <=> ( v3481(VarCurr)
        | v3477(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1021,axiom,(
    ! [VarCurr] :
      ( v3481(VarCurr)
    <=> ( v3482(VarCurr)
        | v3476(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_149,axiom,(
    ! [VarCurr] :
      ( v3482(VarCurr)
    <=> ( ( v3248(VarCurr,bitIndex2)
        <=> $false )
        & ( v3248(VarCurr,bitIndex1)
        <=> $false )
        & ( v3248(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1020,axiom,(
    ! [VarCurr] :
      ( v3475(VarCurr)
    <=> ( v3476(VarCurr)
        | v3477(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_148,axiom,(
    ! [VarCurr] :
      ( v3477(VarCurr)
    <=> ( ( v3248(VarCurr,bitIndex2)
        <=> $true )
        & ( v3248(VarCurr,bitIndex1)
        <=> $false )
        & ( v3248(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_147,axiom,(
    ! [VarCurr] :
      ( v3476(VarCurr)
    <=> ( ( v3248(VarCurr,bitIndex2)
        <=> $false )
        & ( v3248(VarCurr,bitIndex1)
        <=> $true )
        & ( v3248(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_146,axiom,(
    ! [VarCurr] :
      ( v3472(VarCurr)
    <=> ( ( v3246(VarCurr,bitIndex2)
        <=> $false )
        & ( v3246(VarCurr,bitIndex1)
        <=> $true )
        & ( v3246(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_507,axiom,(
    ! [VarCurr] :
      ( v3438(VarCurr)
    <=> v3440(VarCurr) ) )).

fof(addAssignment_506,axiom,(
    ! [VarCurr] :
      ( v3440(VarCurr)
    <=> v3442(VarCurr) ) )).

fof(addAssignment_505,axiom,(
    ! [VarCurr] :
      ( v3442(VarCurr)
    <=> v3144(VarCurr) ) )).

fof(addAssignment_504,axiom,(
    ! [VarCurr] :
      ( ( v3250(VarCurr,bitIndex2)
      <=> v3252(VarCurr,bitIndex31) )
      & ( v3250(VarCurr,bitIndex1)
      <=> v3252(VarCurr,bitIndex30) )
      & ( v3250(VarCurr,bitIndex0)
      <=> v3252(VarCurr,bitIndex29) ) ) )).

fof(addAssignment_503,axiom,(
    ! [VarCurr,B] :
      ( range_31_29(B)
     => ( v3252(VarCurr,B)
      <=> v3254(VarCurr,B) ) ) )).

fof(addAssignment_502,axiom,(
    ! [VarCurr,B] :
      ( range_31_29(B)
     => ( v3254(VarCurr,B)
      <=> v3256(VarCurr,B) ) ) )).

fof(addAssignment_501,axiom,(
    ! [VarCurr,B] :
      ( range_31_29(B)
     => ( v3256(VarCurr,B)
      <=> v3258(VarCurr,B) ) ) )).

fof(addAssignment_500,axiom,(
    ! [VarNext,B] :
      ( range_31_29(B)
     => ( v3258(VarNext,B)
      <=> v3400(VarNext,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_35,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3401(VarNext)
       => ! [B] :
            ( range_31_0(B)
           => ( v3400(VarNext,B)
            <=> v3258(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_40,axiom,(
    ! [VarNext] :
      ( v3401(VarNext)
     => ! [B] :
          ( range_31_0(B)
         => ( v3400(VarNext,B)
          <=> v3409(VarNext,B) ) ) ) )).

fof(addAssignment_499,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_31_0(B)
         => ( v3409(VarNext,B)
          <=> v3407(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_81,axiom,(
    ! [VarCurr] :
      ( ~ v3410(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v3407(VarCurr,B)
          <=> v3263(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_82,axiom,(
    ! [VarCurr] :
      ( v3410(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v3407(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_480,axiom,(
    ! [VarCurr] :
      ( ~ v3410(VarCurr)
    <=> v3260(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1019,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3401(VarNext)
      <=> v3402(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1018,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3402(VarNext)
      <=> ( v3403(VarNext)
          & v3310(VarNext) ) ) ) )).

fof(writeUnaryOperator_479,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3403(VarNext)
      <=> v3319(VarNext) ) ) )).

fof(addAssignment_498,axiom,(
    ! [VarCurr,B] :
      ( range_31_29(B)
     => ( v3263(VarCurr,B)
      <=> v3398(VarCurr,B) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_80,axiom,(
    ! [VarCurr] :
      ( ~ v3265(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v3398(VarCurr,B)
          <=> v3275(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_81,axiom,(
    ! [VarCurr] :
      ( v3265(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v3398(VarCurr,B)
          <=> v3339(VarCurr,B) ) ) ) )).

fof(addAssignment_497,axiom,(
    ! [VarCurr,B] :
      ( range_31_29(B)
     => ( v3339(VarCurr,B)
      <=> v3341(VarCurr,B) ) ) )).

fof(addAssignment_496,axiom,(
    ! [VarCurr,B] :
      ( range_31_29(B)
     => ( v3341(VarCurr,B)
      <=> v3343(VarCurr,B) ) ) )).

fof(addAssignment_495,axiom,(
    ! [VarNext,B] :
      ( range_31_29(B)
     => ( v3343(VarNext,B)
      <=> v3383(VarNext,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_34,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3384(VarNext)
       => ! [B] :
            ( range_31_0(B)
           => ( v3383(VarNext,B)
            <=> v3343(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_39,axiom,(
    ! [VarNext] :
      ( v3384(VarNext)
     => ! [B] :
          ( range_31_0(B)
         => ( v3383(VarNext,B)
          <=> v3394(VarNext,B) ) ) ) )).

fof(addAssignment_494,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_31_0(B)
         => ( v3394(VarNext,B)
          <=> v3392(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_79,axiom,(
    ! [VarCurr] :
      ( ~ v3395(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v3392(VarCurr,B)
          <=> v3347(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_80,axiom,(
    ! [VarCurr] :
      ( v3395(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v3392(VarCurr,B)
          <=> $false ) ) ) )).

fof(bitBlastConstant_512,axiom,(
    ~ b00000000000000000000000000000000(bitIndex31) )).

fof(bitBlastConstant_511,axiom,(
    ~ b00000000000000000000000000000000(bitIndex30) )).

fof(bitBlastConstant_510,axiom,(
    ~ b00000000000000000000000000000000(bitIndex29) )).

fof(bitBlastConstant_509,axiom,(
    ~ b00000000000000000000000000000000(bitIndex28) )).

fof(bitBlastConstant_508,axiom,(
    ~ b00000000000000000000000000000000(bitIndex27) )).

fof(bitBlastConstant_507,axiom,(
    ~ b00000000000000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_506,axiom,(
    ~ b00000000000000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_505,axiom,(
    ~ b00000000000000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_504,axiom,(
    ~ b00000000000000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_503,axiom,(
    ~ b00000000000000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_502,axiom,(
    ~ b00000000000000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_501,axiom,(
    ~ b00000000000000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_500,axiom,(
    ~ b00000000000000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_499,axiom,(
    ~ b00000000000000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_498,axiom,(
    ~ b00000000000000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_497,axiom,(
    ~ b00000000000000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_496,axiom,(
    ~ b00000000000000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_495,axiom,(
    ~ b00000000000000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_494,axiom,(
    ~ b00000000000000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_493,axiom,(
    ~ b00000000000000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_492,axiom,(
    ~ b00000000000000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_491,axiom,(
    ~ b00000000000000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_490,axiom,(
    ~ b00000000000000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_489,axiom,(
    ~ b00000000000000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_488,axiom,(
    ~ b00000000000000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_487,axiom,(
    ~ b00000000000000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_486,axiom,(
    ~ b00000000000000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_485,axiom,(
    ~ b00000000000000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_484,axiom,(
    ~ b00000000000000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_483,axiom,(
    ~ b00000000000000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_482,axiom,(
    ~ b00000000000000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_481,axiom,(
    ~ b00000000000000000000000000000000(bitIndex0) )).

fof(writeUnaryOperator_478,axiom,(
    ! [VarCurr] :
      ( ~ v3395(VarCurr)
    <=> v3345(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1017,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3384(VarNext)
      <=> v3385(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1016,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3385(VarNext)
      <=> ( v3386(VarNext)
          & v3381(VarNext) ) ) ) )).

fof(writeUnaryOperator_477,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3386(VarNext)
      <=> v3388(VarNext) ) ) )).

fof(addAssignment_493,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3388(VarNext)
      <=> v3381(VarCurr) ) ) )).

fof(addAssignment_492,axiom,(
    ! [VarCurr] :
      ( v3381(VarCurr)
    <=> v3312(VarCurr) ) )).

fof(addAssignment_491,axiom,(
    ! [VarCurr,B] :
      ( range_31_29(B)
     => ( v3347(VarCurr,B)
      <=> v3375(VarCurr,B) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_9,axiom,(
    ! [VarCurr] :
      ( ( ~ v3376(VarCurr)
        & ~ v3377(VarCurr)
        & ~ v3378(VarCurr) )
     => ! [B] :
          ( range_31_0(B)
         => ( v3375(VarCurr,B)
          <=> v3374(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges2,axiom,(
    ! [VarCurr] :
      ( v3378(VarCurr)
     => ( ( v3375(VarCurr,bitIndex31)
        <=> v3374(VarCurr,bitIndex63) )
        & ( v3375(VarCurr,bitIndex30)
        <=> v3374(VarCurr,bitIndex62) )
        & ( v3375(VarCurr,bitIndex29)
        <=> v3374(VarCurr,bitIndex61) )
        & ( v3375(VarCurr,bitIndex28)
        <=> v3374(VarCurr,bitIndex60) )
        & ( v3375(VarCurr,bitIndex27)
        <=> v3374(VarCurr,bitIndex59) )
        & ( v3375(VarCurr,bitIndex26)
        <=> v3374(VarCurr,bitIndex58) )
        & ( v3375(VarCurr,bitIndex25)
        <=> v3374(VarCurr,bitIndex57) )
        & ( v3375(VarCurr,bitIndex24)
        <=> v3374(VarCurr,bitIndex56) )
        & ( v3375(VarCurr,bitIndex23)
        <=> v3374(VarCurr,bitIndex55) )
        & ( v3375(VarCurr,bitIndex22)
        <=> v3374(VarCurr,bitIndex54) )
        & ( v3375(VarCurr,bitIndex21)
        <=> v3374(VarCurr,bitIndex53) )
        & ( v3375(VarCurr,bitIndex20)
        <=> v3374(VarCurr,bitIndex52) )
        & ( v3375(VarCurr,bitIndex19)
        <=> v3374(VarCurr,bitIndex51) )
        & ( v3375(VarCurr,bitIndex18)
        <=> v3374(VarCurr,bitIndex50) )
        & ( v3375(VarCurr,bitIndex17)
        <=> v3374(VarCurr,bitIndex49) )
        & ( v3375(VarCurr,bitIndex16)
        <=> v3374(VarCurr,bitIndex48) )
        & ( v3375(VarCurr,bitIndex15)
        <=> v3374(VarCurr,bitIndex47) )
        & ( v3375(VarCurr,bitIndex14)
        <=> v3374(VarCurr,bitIndex46) )
        & ( v3375(VarCurr,bitIndex13)
        <=> v3374(VarCurr,bitIndex45) )
        & ( v3375(VarCurr,bitIndex12)
        <=> v3374(VarCurr,bitIndex44) )
        & ( v3375(VarCurr,bitIndex11)
        <=> v3374(VarCurr,bitIndex43) )
        & ( v3375(VarCurr,bitIndex10)
        <=> v3374(VarCurr,bitIndex42) )
        & ( v3375(VarCurr,bitIndex9)
        <=> v3374(VarCurr,bitIndex41) )
        & ( v3375(VarCurr,bitIndex8)
        <=> v3374(VarCurr,bitIndex40) )
        & ( v3375(VarCurr,bitIndex7)
        <=> v3374(VarCurr,bitIndex39) )
        & ( v3375(VarCurr,bitIndex6)
        <=> v3374(VarCurr,bitIndex38) )
        & ( v3375(VarCurr,bitIndex5)
        <=> v3374(VarCurr,bitIndex37) )
        & ( v3375(VarCurr,bitIndex4)
        <=> v3374(VarCurr,bitIndex36) )
        & ( v3375(VarCurr,bitIndex3)
        <=> v3374(VarCurr,bitIndex35) )
        & ( v3375(VarCurr,bitIndex2)
        <=> v3374(VarCurr,bitIndex34) )
        & ( v3375(VarCurr,bitIndex1)
        <=> v3374(VarCurr,bitIndex33) )
        & ( v3375(VarCurr,bitIndex0)
        <=> v3374(VarCurr,bitIndex32) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_43,axiom,(
    ! [VarCurr] :
      ( v3377(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v3375(VarCurr,B)
          <=> v3370(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_44,axiom,(
    ! [VarCurr] :
      ( v3376(VarCurr)
     => ! [B] :
          ( range_31_0(B)
         => ( v3375(VarCurr,B)
          <=> v3364(VarCurr,B) ) ) ) )).

fof(range_axiom_20,axiom,(
    ! [B] :
      ( range_31_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B ) ) )).

fof(addBitVectorEqualityBitBlasted_145,axiom,(
    ! [VarCurr] :
      ( v3379(VarCurr)
    <=> ( ( v3349(VarCurr,bitIndex1)
        <=> $true )
        & ( v3349(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_144,axiom,(
    ! [VarCurr] :
      ( v3378(VarCurr)
    <=> ( ( v3349(VarCurr,bitIndex1)
        <=> $true )
        & ( v3349(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_143,axiom,(
    ! [VarCurr] :
      ( v3377(VarCurr)
    <=> ( ( v3349(VarCurr,bitIndex1)
        <=> $false )
        & ( v3349(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_142,axiom,(
    ! [VarCurr] :
      ( v3376(VarCurr)
    <=> ( ( v3349(VarCurr,bitIndex1)
        <=> $false )
        & ( v3349(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_490,axiom,(
    ! [VarCurr] :
      ( ( v3370(VarCurr,bitIndex31)
      <=> v3372(VarCurr,bitIndex2) )
      & ( v3370(VarCurr,bitIndex30)
      <=> v3372(VarCurr,bitIndex1) )
      & ( v3370(VarCurr,bitIndex29)
      <=> v3372(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_489,axiom,(
    ! [VarCurr,B] :
      ( range_31_29(B)
     => ( v3364(VarCurr,B)
      <=> v3366(VarCurr,B) ) ) )).

fof(addAssignment_488,axiom,(
    ! [VarCurr,B] :
      ( range_31_29(B)
     => ( v3366(VarCurr,B)
      <=> v3368(VarCurr,B) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_78,axiom,(
    ! [VarCurr] :
      ( ~ v3355(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v3349(VarCurr,B)
          <=> $false ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_79,axiom,(
    ! [VarCurr] :
      ( v3355(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v3349(VarCurr,B)
          <=> v3360(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_15,axiom,(
    ! [VarCurr] :
      ( ( ~ v3357(VarCurr)
        & ~ v3358(VarCurr) )
     => ! [B] :
          ( range_1_0(B)
         => ( v3360(VarCurr,B)
          <=> v3362(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_42,axiom,(
    ! [VarCurr] :
      ( v3358(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v3360(VarCurr,B)
          <=> v3361(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_43,axiom,(
    ! [VarCurr] :
      ( v3357(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v3360(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(addAssignment_487,axiom,(
    ! [VarCurr] :
      ( v3362(VarCurr,bitIndex0)
    <=> v3353(VarCurr) ) )).

fof(addAssignment_486,axiom,(
    ! [VarCurr] :
      ( v3362(VarCurr,bitIndex1)
    <=> v3353(VarCurr) ) )).

fof(addAssignment_485,axiom,(
    ! [VarCurr] :
      ( v3361(VarCurr,bitIndex0)
    <=> $false ) )).

fof(addAssignment_484,axiom,(
    ! [VarCurr] :
      ( v3361(VarCurr,bitIndex1)
    <=> v3353(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1015,axiom,(
    ! [VarCurr] :
      ( v3355(VarCurr)
    <=> ( v3356(VarCurr)
        | v3359(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_141,axiom,(
    ! [VarCurr] :
      ( v3359(VarCurr)
    <=> ( ( v3351(VarCurr,bitIndex2)
        <=> $true )
        & ( v3351(VarCurr,bitIndex1)
        <=> $true )
        & ( v3351(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1014,axiom,(
    ! [VarCurr] :
      ( v3356(VarCurr)
    <=> ( v3357(VarCurr)
        | v3358(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_140,axiom,(
    ! [VarCurr] :
      ( v3358(VarCurr)
    <=> ( ( v3351(VarCurr,bitIndex2)
        <=> $true )
        & ( v3351(VarCurr,bitIndex1)
        <=> $true )
        & ( v3351(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_139,axiom,(
    ! [VarCurr] :
      ( v3357(VarCurr)
    <=> ( ( v3351(VarCurr,bitIndex2)
        <=> $true )
        & ( v3351(VarCurr,bitIndex1)
        <=> $false )
        & ( v3351(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_483,axiom,(
    ! [VarCurr] :
      ( v3345(VarCurr)
    <=> v3242(VarCurr) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_8,axiom,(
    ! [VarCurr] :
      ( ( ~ v3330(VarCurr)
        & ~ v3332(VarCurr)
        & ~ v3335(VarCurr) )
     => ( v3265(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_14,axiom,(
    ! [VarCurr] :
      ( v3335(VarCurr)
     => ( v3265(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_41,axiom,(
    ! [VarCurr] :
      ( v3332(VarCurr)
     => ( v3265(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_42,axiom,(
    ! [VarCurr] :
      ( v3330(VarCurr)
     => ( v3265(VarCurr)
      <=> v3331(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1013,axiom,(
    ! [VarCurr] :
      ( v3335(VarCurr)
    <=> ( v3336(VarCurr)
        | v3337(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_138,axiom,(
    ! [VarCurr] :
      ( v3337(VarCurr)
    <=> ( ( v3267(VarCurr,bitIndex2)
        <=> $true )
        & ( v3267(VarCurr,bitIndex1)
        <=> $true )
        & ( v3267(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_137,axiom,(
    ! [VarCurr] :
      ( v3336(VarCurr)
    <=> ( ( v3267(VarCurr,bitIndex2)
        <=> $true )
        & ( v3267(VarCurr,bitIndex1)
        <=> $true )
        & ( v3267(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1012,axiom,(
    ! [VarCurr] :
      ( v3332(VarCurr)
    <=> ( v3333(VarCurr)
        | v3334(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_136,axiom,(
    ! [VarCurr] :
      ( v3334(VarCurr)
    <=> ( ( v3267(VarCurr,bitIndex2)
        <=> $true )
        & ( v3267(VarCurr,bitIndex1)
        <=> $false )
        & ( v3267(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_135,axiom,(
    ! [VarCurr] :
      ( v3333(VarCurr)
    <=> ( ( v3267(VarCurr,bitIndex2)
        <=> $true )
        & ( v3267(VarCurr,bitIndex1)
        <=> $false )
        & ( v3267(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_77,axiom,(
    ! [VarCurr] :
      ( ~ v3284(VarCurr)
     => ( v3331(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_78,axiom,(
    ! [VarCurr] :
      ( v3284(VarCurr)
     => ( v3331(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_134,axiom,(
    ! [VarCurr] :
      ( v3330(VarCurr)
    <=> ( ( v3267(VarCurr,bitIndex2)
        <=> $false )
        & ( v3267(VarCurr,bitIndex1)
        <=> $false )
        & ( v3267(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_33,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3315(VarNext)
       => ! [B] :
            ( range_2_0(B)
           => ( v3267(VarNext,B)
            <=> v3267(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_38,axiom,(
    ! [VarNext] :
      ( v3315(VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v3267(VarNext,B)
          <=> v3325(VarNext,B) ) ) ) )).

fof(addAssignment_482,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v3325(VarNext,B)
          <=> v3323(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_76,axiom,(
    ! [VarCurr] :
      ( ~ v3326(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v3323(VarCurr,B)
          <=> v3269(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_77,axiom,(
    ! [VarCurr] :
      ( v3326(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v3323(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_476,axiom,(
    ! [VarCurr] :
      ( ~ v3326(VarCurr)
    <=> v3260(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1011,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3315(VarNext)
      <=> v3316(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1010,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3316(VarNext)
      <=> ( v3317(VarNext)
          & v3310(VarNext) ) ) ) )).

fof(writeUnaryOperator_475,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3317(VarNext)
      <=> v3319(VarNext) ) ) )).

fof(addAssignment_481,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3319(VarNext)
      <=> v3310(VarCurr) ) ) )).

fof(addAssignment_480,axiom,(
    ! [VarCurr] :
      ( v3310(VarCurr)
    <=> v3312(VarCurr) ) )).

fof(addAssignment_479,axiom,(
    ! [VarCurr] :
      ( v3312(VarCurr)
    <=> v1(VarCurr) ) )).

fof(addParallelCaseBooleanConditionEqualRanges5_1,axiom,(
    ! [VarCurr] :
      ( ( ~ v3294(VarCurr)
        & ~ v3305(VarCurr)
        & ~ v3306(VarCurr)
        & ~ v3307(VarCurr)
        & ~ v3308(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v3269(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges4_3,axiom,(
    ! [VarCurr] :
      ( v3308(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v3269(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_7,axiom,(
    ! [VarCurr] :
      ( v3307(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v3269(VarCurr,B)
          <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_13,axiom,(
    ! [VarCurr] :
      ( v3306(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v3269(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_40,axiom,(
    ! [VarCurr] :
      ( v3305(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v3269(VarCurr,B)
          <=> b101(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_41,axiom,(
    ! [VarCurr] :
      ( v3294(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v3269(VarCurr,B)
          <=> v3295(VarCurr,B) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_133,axiom,(
    ! [VarCurr] :
      ( v3308(VarCurr)
    <=> ( ( v3267(VarCurr,bitIndex2)
        <=> $true )
        & ( v3267(VarCurr,bitIndex1)
        <=> $true )
        & ( v3267(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_480,axiom,(
    b111(bitIndex2) )).

fof(bitBlastConstant_479,axiom,(
    b111(bitIndex1) )).

fof(bitBlastConstant_478,axiom,(
    b111(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_132,axiom,(
    ! [VarCurr] :
      ( v3307(VarCurr)
    <=> ( ( v3267(VarCurr,bitIndex2)
        <=> $true )
        & ( v3267(VarCurr,bitIndex1)
        <=> $true )
        & ( v3267(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_131,axiom,(
    ! [VarCurr] :
      ( v3306(VarCurr)
    <=> ( ( v3267(VarCurr,bitIndex2)
        <=> $true )
        & ( v3267(VarCurr,bitIndex1)
        <=> $false )
        & ( v3267(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_477,axiom,(
    b101(bitIndex2) )).

fof(bitBlastConstant_476,axiom,(
    ~ b101(bitIndex1) )).

fof(bitBlastConstant_475,axiom,(
    b101(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_130,axiom,(
    ! [VarCurr] :
      ( v3305(VarCurr)
    <=> ( ( v3267(VarCurr,bitIndex2)
        <=> $true )
        & ( v3267(VarCurr,bitIndex1)
        <=> $false )
        & ( v3267(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_12,axiom,(
    ! [VarCurr] :
      ( ( ~ v3296(VarCurr)
        & ~ v3301(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v3295(VarCurr,B)
          <=> b110(B) ) ) ) )).

fof(bitBlastConstant_474,axiom,(
    b110(bitIndex2) )).

fof(bitBlastConstant_473,axiom,(
    b110(bitIndex1) )).

fof(bitBlastConstant_472,axiom,(
    ~ b110(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges1_39,axiom,(
    ! [VarCurr] :
      ( v3301(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v3295(VarCurr,B)
          <=> b100(B) ) ) ) )).

fof(bitBlastConstant_471,axiom,(
    b100(bitIndex2) )).

fof(bitBlastConstant_470,axiom,(
    ~ b100(bitIndex1) )).

fof(bitBlastConstant_469,axiom,(
    ~ b100(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges0_40,axiom,(
    ! [VarCurr] :
      ( v3296(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v3295(VarCurr,B)
          <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_129,axiom,(
    ! [VarCurr] :
      ( v3303(VarCurr)
    <=> ( ( v3304(VarCurr,bitIndex1)
        <=> $true )
        & ( v3304(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_478,axiom,(
    ! [VarCurr] :
      ( v3304(VarCurr,bitIndex0)
    <=> v3284(VarCurr) ) )).

fof(addAssignment_477,axiom,(
    ! [VarCurr] :
      ( v3304(VarCurr,bitIndex1)
    <=> v3271(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_128,axiom,(
    ! [VarCurr] :
      ( v3301(VarCurr)
    <=> ( ( v3302(VarCurr,bitIndex1)
        <=> $true )
        & ( v3302(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_476,axiom,(
    ! [VarCurr] :
      ( v3302(VarCurr,bitIndex0)
    <=> v3284(VarCurr) ) )).

fof(addAssignment_475,axiom,(
    ! [VarCurr] :
      ( v3302(VarCurr,bitIndex1)
    <=> v3271(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1009,axiom,(
    ! [VarCurr] :
      ( v3296(VarCurr)
    <=> ( v3297(VarCurr)
        | v3299(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_127,axiom,(
    ! [VarCurr] :
      ( v3299(VarCurr)
    <=> ( ( v3300(VarCurr,bitIndex1)
        <=> $false )
        & ( v3300(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_474,axiom,(
    ! [VarCurr] :
      ( v3300(VarCurr,bitIndex0)
    <=> v3284(VarCurr) ) )).

fof(addAssignment_473,axiom,(
    ! [VarCurr] :
      ( v3300(VarCurr,bitIndex1)
    <=> v3271(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_126,axiom,(
    ! [VarCurr] :
      ( v3297(VarCurr)
    <=> ( ( v3298(VarCurr,bitIndex1)
        <=> $false )
        & ( v3298(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_472,axiom,(
    ! [VarCurr] :
      ( v3298(VarCurr,bitIndex0)
    <=> v3284(VarCurr) ) )).

fof(addAssignment_471,axiom,(
    ! [VarCurr] :
      ( v3298(VarCurr,bitIndex1)
    <=> v3271(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_125,axiom,(
    ! [VarCurr] :
      ( v3294(VarCurr)
    <=> ( ( v3267(VarCurr,bitIndex2)
        <=> $false )
        & ( v3267(VarCurr,bitIndex1)
        <=> $false )
        & ( v3267(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_124,axiom,(
    ! [VarCurr] :
      ( v3284(VarCurr)
    <=> ( ( v3286(VarCurr,bitIndex1)
        <=> v3288(VarCurr,bitIndex1) )
        & ( v3286(VarCurr,bitIndex0)
        <=> v3288(VarCurr,bitIndex0) ) ) ) )).

fof(addAssignment_470,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v3288(VarCurr,B)
      <=> $true ) ) )).

fof(addAssignment_469,axiom,(
    ! [VarCurr] :
      ( ( v3286(VarCurr,bitIndex1)
      <=> v3275(VarCurr,bitIndex28) )
      & ( v3286(VarCurr,bitIndex0)
      <=> v3275(VarCurr,bitIndex27) ) ) )).

fof(addAssignment_468,axiom,(
    ! [VarCurr,B] :
      ( range_28_27(B)
     => ( v3275(VarCurr,B)
      <=> v3277(VarCurr,B) ) ) )).

fof(addAssignment_467,axiom,(
    ! [VarCurr,B] :
      ( range_28_27(B)
     => ( v3277(VarCurr,B)
      <=> v3279(VarCurr,B) ) ) )).

fof(range_axiom_19,axiom,(
    ! [B] :
      ( range_28_27(B)
    <=> ( $false
        | bitIndex27 = B
        | bitIndex28 = B ) ) )).

fof(writeBinaryOperatorShiftedRanges_234,axiom,(
    ! [VarCurr] :
      ( v3271(VarCurr)
    <=> ( v3282(VarCurr)
        | v3273(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_233,axiom,(
    ! [VarCurr] :
      ( v3282(VarCurr)
    <=> ( v3273(VarCurr,bitIndex0)
        | v3273(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_466,axiom,(
    ! [VarCurr] :
      ( ( v3273(VarCurr,bitIndex2)
      <=> v3275(VarCurr,bitIndex31) )
      & ( v3273(VarCurr,bitIndex1)
      <=> v3275(VarCurr,bitIndex30) )
      & ( v3273(VarCurr,bitIndex0)
      <=> v3275(VarCurr,bitIndex29) ) ) )).

fof(addAssignment_465,axiom,(
    ! [VarCurr,B] :
      ( range_31_29(B)
     => ( v3275(VarCurr,B)
      <=> v3277(VarCurr,B) ) ) )).

fof(addAssignment_464,axiom,(
    ! [VarCurr,B] :
      ( range_31_29(B)
     => ( v3277(VarCurr,B)
      <=> v3279(VarCurr,B) ) ) )).

fof(range_axiom_18,axiom,(
    ! [B] :
      ( range_31_29(B)
    <=> ( $false
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B ) ) )).

fof(addAssignment_463,axiom,(
    ! [VarCurr] :
      ( v3260(VarCurr)
    <=> v3242(VarCurr) ) )).

fof(addAssignment_462,axiom,(
    ! [VarCurr] :
      ( v3240(VarCurr)
    <=> v3242(VarCurr) ) )).

fof(addAssignment_461,axiom,(
    ! [VarCurr] :
      ( v3242(VarCurr)
    <=> v16(VarCurr) ) )).

fof(addAssignment_460,axiom,(
    ! [VarCurr] :
      ( v3214(VarCurr)
    <=> v3140(VarCurr) ) )).

fof(addAssignment_459,axiom,(
    ! [VarCurr] :
      ( v3188(VarCurr)
    <=> v3190(VarCurr) ) )).

fof(addAssignment_458,axiom,(
    ! [VarCurr] :
      ( v3190(VarCurr)
    <=> v3192(VarCurr) ) )).

fof(addAssignment_457,axiom,(
    ! [VarCurr] :
      ( v3192(VarCurr)
    <=> v3194(VarCurr) ) )).

fof(addAssignment_456,axiom,(
    ! [VarCurr] :
      ( v3194(VarCurr)
    <=> v3196(VarCurr) ) )).

fof(addAssignment_455,axiom,(
    ! [VarCurr] :
      ( v3196(VarCurr)
    <=> v3198(VarCurr) ) )).

fof(addAssignment_454,axiom,(
    ! [VarCurr] :
      ( v3178(VarCurr)
    <=> $false ) )).

fof(addAssignment_453,axiom,(
    ! [VarCurr] :
      ( v3156(VarCurr)
    <=> v3158(VarCurr,bitIndex16) ) )).

fof(addAssignment_452,axiom,(
    ! [VarCurr] :
      ( v3158(VarCurr,bitIndex16)
    <=> v3160(VarCurr,bitIndex16) ) )).

fof(addAssignment_451,axiom,(
    ! [VarCurr] :
      ( v3160(VarCurr,bitIndex16)
    <=> v3162(VarCurr,bitIndex16) ) )).

fof(addAssignment_450,axiom,(
    ! [VarCurr] :
      ( v3162(VarCurr,bitIndex16)
    <=> v3164(VarCurr,bitIndex16) ) )).

fof(addAssignment_449,axiom,(
    ! [VarCurr] :
      ( v3164(VarCurr,bitIndex16)
    <=> v3166(VarCurr,bitIndex16) ) )).

fof(addAssignment_448,axiom,(
    ! [VarCurr] :
      ( v3166(VarCurr,bitIndex16)
    <=> v3168(VarCurr,bitIndex16) ) )).

fof(addAssignment_447,axiom,(
    ! [VarCurr] :
      ( v3168(VarCurr,bitIndex16)
    <=> v3170(VarCurr,bitIndex16) ) )).

fof(addAssignment_446,axiom,(
    ! [VarCurr] :
      ( v3170(VarCurr,bitIndex16)
    <=> v3172(VarCurr,bitIndex16) ) )).

fof(addAssignment_445,axiom,(
    ! [VarCurr] :
      ( v3172(VarCurr,bitIndex16)
    <=> v3174(VarCurr,bitIndex16) ) )).

fof(addAssignmentInitValue_8,axiom,(
    ~ v3174(constB0,bitIndex1) )).

fof(addAssignmentInitValue_7,axiom,(
    ~ v3174(constB0,bitIndex0) )).

fof(bitBlastConstant_468,axiom,(
    ~ bxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx00(bitIndex1) )).

fof(bitBlastConstant_467,axiom,(
    ~ bxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx00(bitIndex0) )).

fof(addAssignment_444,axiom,(
    ! [VarCurr] :
      ( v3153(VarCurr)
    <=> $false ) )).

fof(addAssignment_443,axiom,(
    ! [VarCurr] :
      ( v3151(VarCurr)
    <=> $false ) )).

fof(addAssignment_442,axiom,(
    ! [VarCurr] :
      ( v3149(VarCurr)
    <=> $true ) )).

fof(addAssignment_441,axiom,(
    ! [VarCurr] :
      ( v3147(VarCurr)
    <=> $false ) )).

fof(addAssignment_440,axiom,(
    ! [VarCurr] :
      ( v3124(VarCurr)
    <=> v3126(VarCurr) ) )).

fof(writeUnaryOperator_474,axiom,(
    ! [VarCurr] :
      ( ~ v3126(VarCurr)
    <=> v3128(VarCurr) ) )).

fof(addAssignment_439,axiom,(
    ! [VarCurr] :
      ( v3128(VarCurr)
    <=> v3130(VarCurr) ) )).

fof(addAssignment_438,axiom,(
    ! [VarCurr] :
      ( v3130(VarCurr)
    <=> v3132(VarCurr) ) )).

fof(addAssignment_437,axiom,(
    ! [VarCurr] :
      ( v3132(VarCurr)
    <=> v3134(VarCurr) ) )).

fof(addAssignment_436,axiom,(
    ! [VarCurr] :
      ( v3134(VarCurr)
    <=> v3136(VarCurr) ) )).

fof(addAssignment_435,axiom,(
    ! [VarCurr] :
      ( v3136(VarCurr)
    <=> v3138(VarCurr) ) )).

fof(addAssignment_434,axiom,(
    ! [VarCurr] :
      ( v3138(VarCurr)
    <=> v3140(VarCurr) ) )).

fof(addAssignment_433,axiom,(
    ! [VarCurr] :
      ( v3140(VarCurr)
    <=> v3142(VarCurr) ) )).

fof(addAssignment_432,axiom,(
    ! [VarCurr] :
      ( v3142(VarCurr)
    <=> v3144(VarCurr) ) )).

fof(addAssignment_431,axiom,(
    ! [VarCurr] :
      ( v3144(VarCurr)
    <=> v16(VarCurr) ) )).

fof(addAssignment_430,axiom,(
    ! [VarCurr,B] :
      ( range_29_14(B)
     => ( v3056(VarCurr,B)
      <=> v2943(VarCurr,B) ) ) )).

fof(addAssignment_429,axiom,(
    ! [VarCurr,B] :
      ( range_29_14(B)
     => ( v2943(VarCurr,B)
      <=> v2945(VarCurr,B) ) ) )).

fof(addAssignment_428,axiom,(
    ! [VarCurr,B] :
      ( range_29_14(B)
     => ( v2945(VarCurr,B)
      <=> v2947(VarCurr,B) ) ) )).

fof(addAssignment_427,axiom,(
    ! [VarCurr] :
      ( ( v2947(VarCurr,bitIndex29)
      <=> v2949(VarCurr,bitIndex609) )
      & ( v2947(VarCurr,bitIndex28)
      <=> v2949(VarCurr,bitIndex608) )
      & ( v2947(VarCurr,bitIndex27)
      <=> v2949(VarCurr,bitIndex607) )
      & ( v2947(VarCurr,bitIndex26)
      <=> v2949(VarCurr,bitIndex606) )
      & ( v2947(VarCurr,bitIndex25)
      <=> v2949(VarCurr,bitIndex605) )
      & ( v2947(VarCurr,bitIndex24)
      <=> v2949(VarCurr,bitIndex604) )
      & ( v2947(VarCurr,bitIndex23)
      <=> v2949(VarCurr,bitIndex603) )
      & ( v2947(VarCurr,bitIndex22)
      <=> v2949(VarCurr,bitIndex602) )
      & ( v2947(VarCurr,bitIndex21)
      <=> v2949(VarCurr,bitIndex601) )
      & ( v2947(VarCurr,bitIndex20)
      <=> v2949(VarCurr,bitIndex600) )
      & ( v2947(VarCurr,bitIndex19)
      <=> v2949(VarCurr,bitIndex599) )
      & ( v2947(VarCurr,bitIndex18)
      <=> v2949(VarCurr,bitIndex598) )
      & ( v2947(VarCurr,bitIndex17)
      <=> v2949(VarCurr,bitIndex597) )
      & ( v2947(VarCurr,bitIndex16)
      <=> v2949(VarCurr,bitIndex596) )
      & ( v2947(VarCurr,bitIndex15)
      <=> v2949(VarCurr,bitIndex595) )
      & ( v2947(VarCurr,bitIndex14)
      <=> v2949(VarCurr,bitIndex594) ) ) )).

fof(addAssignment_426,axiom,(
    ! [VarNext] :
      ( ( v2949(VarNext,bitIndex609)
      <=> v3078(VarNext,bitIndex29) )
      & ( v2949(VarNext,bitIndex608)
      <=> v3078(VarNext,bitIndex28) )
      & ( v2949(VarNext,bitIndex607)
      <=> v3078(VarNext,bitIndex27) )
      & ( v2949(VarNext,bitIndex606)
      <=> v3078(VarNext,bitIndex26) )
      & ( v2949(VarNext,bitIndex605)
      <=> v3078(VarNext,bitIndex25) )
      & ( v2949(VarNext,bitIndex604)
      <=> v3078(VarNext,bitIndex24) )
      & ( v2949(VarNext,bitIndex603)
      <=> v3078(VarNext,bitIndex23) )
      & ( v2949(VarNext,bitIndex602)
      <=> v3078(VarNext,bitIndex22) )
      & ( v2949(VarNext,bitIndex601)
      <=> v3078(VarNext,bitIndex21) )
      & ( v2949(VarNext,bitIndex600)
      <=> v3078(VarNext,bitIndex20) )
      & ( v2949(VarNext,bitIndex599)
      <=> v3078(VarNext,bitIndex19) )
      & ( v2949(VarNext,bitIndex598)
      <=> v3078(VarNext,bitIndex18) )
      & ( v2949(VarNext,bitIndex597)
      <=> v3078(VarNext,bitIndex17) )
      & ( v2949(VarNext,bitIndex596)
      <=> v3078(VarNext,bitIndex16) )
      & ( v2949(VarNext,bitIndex595)
      <=> v3078(VarNext,bitIndex15) )
      & ( v2949(VarNext,bitIndex594)
      <=> v3078(VarNext,bitIndex14) ) ) )).

fof(addCaseBooleanConditionShiftedRanges1_4,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3079(VarNext)
       => ( ( v3078(VarNext,bitIndex115)
          <=> v2949(VarCurr,bitIndex695) )
          & ( v3078(VarNext,bitIndex114)
          <=> v2949(VarCurr,bitIndex694) )
          & ( v3078(VarNext,bitIndex113)
          <=> v2949(VarCurr,bitIndex693) )
          & ( v3078(VarNext,bitIndex112)
          <=> v2949(VarCurr,bitIndex692) )
          & ( v3078(VarNext,bitIndex111)
          <=> v2949(VarCurr,bitIndex691) )
          & ( v3078(VarNext,bitIndex110)
          <=> v2949(VarCurr,bitIndex690) )
          & ( v3078(VarNext,bitIndex109)
          <=> v2949(VarCurr,bitIndex689) )
          & ( v3078(VarNext,bitIndex108)
          <=> v2949(VarCurr,bitIndex688) )
          & ( v3078(VarNext,bitIndex107)
          <=> v2949(VarCurr,bitIndex687) )
          & ( v3078(VarNext,bitIndex106)
          <=> v2949(VarCurr,bitIndex686) )
          & ( v3078(VarNext,bitIndex105)
          <=> v2949(VarCurr,bitIndex685) )
          & ( v3078(VarNext,bitIndex104)
          <=> v2949(VarCurr,bitIndex684) )
          & ( v3078(VarNext,bitIndex103)
          <=> v2949(VarCurr,bitIndex683) )
          & ( v3078(VarNext,bitIndex102)
          <=> v2949(VarCurr,bitIndex682) )
          & ( v3078(VarNext,bitIndex101)
          <=> v2949(VarCurr,bitIndex681) )
          & ( v3078(VarNext,bitIndex100)
          <=> v2949(VarCurr,bitIndex680) )
          & ( v3078(VarNext,bitIndex99)
          <=> v2949(VarCurr,bitIndex679) )
          & ( v3078(VarNext,bitIndex98)
          <=> v2949(VarCurr,bitIndex678) )
          & ( v3078(VarNext,bitIndex97)
          <=> v2949(VarCurr,bitIndex677) )
          & ( v3078(VarNext,bitIndex96)
          <=> v2949(VarCurr,bitIndex676) )
          & ( v3078(VarNext,bitIndex95)
          <=> v2949(VarCurr,bitIndex675) )
          & ( v3078(VarNext,bitIndex94)
          <=> v2949(VarCurr,bitIndex674) )
          & ( v3078(VarNext,bitIndex93)
          <=> v2949(VarCurr,bitIndex673) )
          & ( v3078(VarNext,bitIndex92)
          <=> v2949(VarCurr,bitIndex672) )
          & ( v3078(VarNext,bitIndex91)
          <=> v2949(VarCurr,bitIndex671) )
          & ( v3078(VarNext,bitIndex90)
          <=> v2949(VarCurr,bitIndex670) )
          & ( v3078(VarNext,bitIndex89)
          <=> v2949(VarCurr,bitIndex669) )
          & ( v3078(VarNext,bitIndex88)
          <=> v2949(VarCurr,bitIndex668) )
          & ( v3078(VarNext,bitIndex87)
          <=> v2949(VarCurr,bitIndex667) )
          & ( v3078(VarNext,bitIndex86)
          <=> v2949(VarCurr,bitIndex666) )
          & ( v3078(VarNext,bitIndex85)
          <=> v2949(VarCurr,bitIndex665) )
          & ( v3078(VarNext,bitIndex84)
          <=> v2949(VarCurr,bitIndex664) )
          & ( v3078(VarNext,bitIndex83)
          <=> v2949(VarCurr,bitIndex663) )
          & ( v3078(VarNext,bitIndex82)
          <=> v2949(VarCurr,bitIndex662) )
          & ( v3078(VarNext,bitIndex81)
          <=> v2949(VarCurr,bitIndex661) )
          & ( v3078(VarNext,bitIndex80)
          <=> v2949(VarCurr,bitIndex660) )
          & ( v3078(VarNext,bitIndex79)
          <=> v2949(VarCurr,bitIndex659) )
          & ( v3078(VarNext,bitIndex78)
          <=> v2949(VarCurr,bitIndex658) )
          & ( v3078(VarNext,bitIndex77)
          <=> v2949(VarCurr,bitIndex657) )
          & ( v3078(VarNext,bitIndex76)
          <=> v2949(VarCurr,bitIndex656) )
          & ( v3078(VarNext,bitIndex75)
          <=> v2949(VarCurr,bitIndex655) )
          & ( v3078(VarNext,bitIndex74)
          <=> v2949(VarCurr,bitIndex654) )
          & ( v3078(VarNext,bitIndex73)
          <=> v2949(VarCurr,bitIndex653) )
          & ( v3078(VarNext,bitIndex72)
          <=> v2949(VarCurr,bitIndex652) )
          & ( v3078(VarNext,bitIndex71)
          <=> v2949(VarCurr,bitIndex651) )
          & ( v3078(VarNext,bitIndex70)
          <=> v2949(VarCurr,bitIndex650) )
          & ( v3078(VarNext,bitIndex69)
          <=> v2949(VarCurr,bitIndex649) )
          & ( v3078(VarNext,bitIndex68)
          <=> v2949(VarCurr,bitIndex648) )
          & ( v3078(VarNext,bitIndex67)
          <=> v2949(VarCurr,bitIndex647) )
          & ( v3078(VarNext,bitIndex66)
          <=> v2949(VarCurr,bitIndex646) )
          & ( v3078(VarNext,bitIndex65)
          <=> v2949(VarCurr,bitIndex645) )
          & ( v3078(VarNext,bitIndex64)
          <=> v2949(VarCurr,bitIndex644) )
          & ( v3078(VarNext,bitIndex63)
          <=> v2949(VarCurr,bitIndex643) )
          & ( v3078(VarNext,bitIndex62)
          <=> v2949(VarCurr,bitIndex642) )
          & ( v3078(VarNext,bitIndex61)
          <=> v2949(VarCurr,bitIndex641) )
          & ( v3078(VarNext,bitIndex60)
          <=> v2949(VarCurr,bitIndex640) )
          & ( v3078(VarNext,bitIndex59)
          <=> v2949(VarCurr,bitIndex639) )
          & ( v3078(VarNext,bitIndex58)
          <=> v2949(VarCurr,bitIndex638) )
          & ( v3078(VarNext,bitIndex57)
          <=> v2949(VarCurr,bitIndex637) )
          & ( v3078(VarNext,bitIndex56)
          <=> v2949(VarCurr,bitIndex636) )
          & ( v3078(VarNext,bitIndex55)
          <=> v2949(VarCurr,bitIndex635) )
          & ( v3078(VarNext,bitIndex54)
          <=> v2949(VarCurr,bitIndex634) )
          & ( v3078(VarNext,bitIndex53)
          <=> v2949(VarCurr,bitIndex633) )
          & ( v3078(VarNext,bitIndex52)
          <=> v2949(VarCurr,bitIndex632) )
          & ( v3078(VarNext,bitIndex51)
          <=> v2949(VarCurr,bitIndex631) )
          & ( v3078(VarNext,bitIndex50)
          <=> v2949(VarCurr,bitIndex630) )
          & ( v3078(VarNext,bitIndex49)
          <=> v2949(VarCurr,bitIndex629) )
          & ( v3078(VarNext,bitIndex48)
          <=> v2949(VarCurr,bitIndex628) )
          & ( v3078(VarNext,bitIndex47)
          <=> v2949(VarCurr,bitIndex627) )
          & ( v3078(VarNext,bitIndex46)
          <=> v2949(VarCurr,bitIndex626) )
          & ( v3078(VarNext,bitIndex45)
          <=> v2949(VarCurr,bitIndex625) )
          & ( v3078(VarNext,bitIndex44)
          <=> v2949(VarCurr,bitIndex624) )
          & ( v3078(VarNext,bitIndex43)
          <=> v2949(VarCurr,bitIndex623) )
          & ( v3078(VarNext,bitIndex42)
          <=> v2949(VarCurr,bitIndex622) )
          & ( v3078(VarNext,bitIndex41)
          <=> v2949(VarCurr,bitIndex621) )
          & ( v3078(VarNext,bitIndex40)
          <=> v2949(VarCurr,bitIndex620) )
          & ( v3078(VarNext,bitIndex39)
          <=> v2949(VarCurr,bitIndex619) )
          & ( v3078(VarNext,bitIndex38)
          <=> v2949(VarCurr,bitIndex618) )
          & ( v3078(VarNext,bitIndex37)
          <=> v2949(VarCurr,bitIndex617) )
          & ( v3078(VarNext,bitIndex36)
          <=> v2949(VarCurr,bitIndex616) )
          & ( v3078(VarNext,bitIndex35)
          <=> v2949(VarCurr,bitIndex615) )
          & ( v3078(VarNext,bitIndex34)
          <=> v2949(VarCurr,bitIndex614) )
          & ( v3078(VarNext,bitIndex33)
          <=> v2949(VarCurr,bitIndex613) )
          & ( v3078(VarNext,bitIndex32)
          <=> v2949(VarCurr,bitIndex612) )
          & ( v3078(VarNext,bitIndex31)
          <=> v2949(VarCurr,bitIndex611) )
          & ( v3078(VarNext,bitIndex30)
          <=> v2949(VarCurr,bitIndex610) )
          & ( v3078(VarNext,bitIndex29)
          <=> v2949(VarCurr,bitIndex609) )
          & ( v3078(VarNext,bitIndex28)
          <=> v2949(VarCurr,bitIndex608) )
          & ( v3078(VarNext,bitIndex27)
          <=> v2949(VarCurr,bitIndex607) )
          & ( v3078(VarNext,bitIndex26)
          <=> v2949(VarCurr,bitIndex606) )
          & ( v3078(VarNext,bitIndex25)
          <=> v2949(VarCurr,bitIndex605) )
          & ( v3078(VarNext,bitIndex24)
          <=> v2949(VarCurr,bitIndex604) )
          & ( v3078(VarNext,bitIndex23)
          <=> v2949(VarCurr,bitIndex603) )
          & ( v3078(VarNext,bitIndex22)
          <=> v2949(VarCurr,bitIndex602) )
          & ( v3078(VarNext,bitIndex21)
          <=> v2949(VarCurr,bitIndex601) )
          & ( v3078(VarNext,bitIndex20)
          <=> v2949(VarCurr,bitIndex600) )
          & ( v3078(VarNext,bitIndex19)
          <=> v2949(VarCurr,bitIndex599) )
          & ( v3078(VarNext,bitIndex18)
          <=> v2949(VarCurr,bitIndex598) )
          & ( v3078(VarNext,bitIndex17)
          <=> v2949(VarCurr,bitIndex597) )
          & ( v3078(VarNext,bitIndex16)
          <=> v2949(VarCurr,bitIndex596) )
          & ( v3078(VarNext,bitIndex15)
          <=> v2949(VarCurr,bitIndex595) )
          & ( v3078(VarNext,bitIndex14)
          <=> v2949(VarCurr,bitIndex594) )
          & ( v3078(VarNext,bitIndex13)
          <=> v2949(VarCurr,bitIndex593) )
          & ( v3078(VarNext,bitIndex12)
          <=> v2949(VarCurr,bitIndex592) )
          & ( v3078(VarNext,bitIndex11)
          <=> v2949(VarCurr,bitIndex591) )
          & ( v3078(VarNext,bitIndex10)
          <=> v2949(VarCurr,bitIndex590) )
          & ( v3078(VarNext,bitIndex9)
          <=> v2949(VarCurr,bitIndex589) )
          & ( v3078(VarNext,bitIndex8)
          <=> v2949(VarCurr,bitIndex588) )
          & ( v3078(VarNext,bitIndex7)
          <=> v2949(VarCurr,bitIndex587) )
          & ( v3078(VarNext,bitIndex6)
          <=> v2949(VarCurr,bitIndex586) )
          & ( v3078(VarNext,bitIndex5)
          <=> v2949(VarCurr,bitIndex585) )
          & ( v3078(VarNext,bitIndex4)
          <=> v2949(VarCurr,bitIndex584) )
          & ( v3078(VarNext,bitIndex3)
          <=> v2949(VarCurr,bitIndex583) )
          & ( v3078(VarNext,bitIndex2)
          <=> v2949(VarCurr,bitIndex582) )
          & ( v3078(VarNext,bitIndex1)
          <=> v2949(VarCurr,bitIndex581) )
          & ( v3078(VarNext,bitIndex0)
          <=> v2949(VarCurr,bitIndex580) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_37,axiom,(
    ! [VarNext] :
      ( v3079(VarNext)
     => ! [B] :
          ( range_115_0(B)
         => ( v3078(VarNext,B)
          <=> v3095(VarNext,B) ) ) ) )).

fof(addAssignment_425,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_115_0(B)
         => ( v3095(VarNext,B)
          <=> v3093(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_38,axiom,(
    ! [VarCurr] :
      ( ~ v3090(VarCurr)
     => ! [B] :
          ( range_115_0(B)
         => ( v3093(VarCurr,B)
          <=> v3096(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_39,axiom,(
    ! [VarCurr] :
      ( v3090(VarCurr)
     => ! [B] :
          ( range_115_0(B)
         => ( v3093(VarCurr,B)
          <=> $false ) ) ) )).

fof(bitBlastConstant_466,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex115) )).

fof(bitBlastConstant_465,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex114) )).

fof(bitBlastConstant_464,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex113) )).

fof(bitBlastConstant_463,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex112) )).

fof(bitBlastConstant_462,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex111) )).

fof(bitBlastConstant_461,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex110) )).

fof(bitBlastConstant_460,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex109) )).

fof(bitBlastConstant_459,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex108) )).

fof(bitBlastConstant_458,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex107) )).

fof(bitBlastConstant_457,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex106) )).

fof(bitBlastConstant_456,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex105) )).

fof(bitBlastConstant_455,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex104) )).

fof(bitBlastConstant_454,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex103) )).

fof(bitBlastConstant_453,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex102) )).

fof(bitBlastConstant_452,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex101) )).

fof(bitBlastConstant_451,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex100) )).

fof(bitBlastConstant_450,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex99) )).

fof(bitBlastConstant_449,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex98) )).

fof(bitBlastConstant_448,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex97) )).

fof(bitBlastConstant_447,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex96) )).

fof(bitBlastConstant_446,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex95) )).

fof(bitBlastConstant_445,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex94) )).

fof(bitBlastConstant_444,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex93) )).

fof(bitBlastConstant_443,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex92) )).

fof(bitBlastConstant_442,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex91) )).

fof(bitBlastConstant_441,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex90) )).

fof(bitBlastConstant_440,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex89) )).

fof(bitBlastConstant_439,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex88) )).

fof(bitBlastConstant_438,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex87) )).

fof(bitBlastConstant_437,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex86) )).

fof(bitBlastConstant_436,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex85) )).

fof(bitBlastConstant_435,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex84) )).

fof(bitBlastConstant_434,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex83) )).

fof(bitBlastConstant_433,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex82) )).

fof(bitBlastConstant_432,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex81) )).

fof(bitBlastConstant_431,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex80) )).

fof(bitBlastConstant_430,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex79) )).

fof(bitBlastConstant_429,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex78) )).

fof(bitBlastConstant_428,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex77) )).

fof(bitBlastConstant_427,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex76) )).

fof(bitBlastConstant_426,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex75) )).

fof(bitBlastConstant_425,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex74) )).

fof(bitBlastConstant_424,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex73) )).

fof(bitBlastConstant_423,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex72) )).

fof(bitBlastConstant_422,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex71) )).

fof(bitBlastConstant_421,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex70) )).

fof(bitBlastConstant_420,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex69) )).

fof(bitBlastConstant_419,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex68) )).

fof(bitBlastConstant_418,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex67) )).

fof(bitBlastConstant_417,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex66) )).

fof(bitBlastConstant_416,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex65) )).

fof(bitBlastConstant_415,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex64) )).

fof(bitBlastConstant_414,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex63) )).

fof(bitBlastConstant_413,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex62) )).

fof(bitBlastConstant_412,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex61) )).

fof(bitBlastConstant_411,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex60) )).

fof(bitBlastConstant_410,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex59) )).

fof(bitBlastConstant_409,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex58) )).

fof(bitBlastConstant_408,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex57) )).

fof(bitBlastConstant_407,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex56) )).

fof(bitBlastConstant_406,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex55) )).

fof(bitBlastConstant_405,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex54) )).

fof(bitBlastConstant_404,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex53) )).

fof(bitBlastConstant_403,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex52) )).

fof(bitBlastConstant_402,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex51) )).

fof(bitBlastConstant_401,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex50) )).

fof(bitBlastConstant_400,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex49) )).

fof(bitBlastConstant_399,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex48) )).

fof(bitBlastConstant_398,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex47) )).

fof(bitBlastConstant_397,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex46) )).

fof(bitBlastConstant_396,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex45) )).

fof(bitBlastConstant_395,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex44) )).

fof(bitBlastConstant_394,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex43) )).

fof(bitBlastConstant_393,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex42) )).

fof(bitBlastConstant_392,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex41) )).

fof(bitBlastConstant_391,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex40) )).

fof(bitBlastConstant_390,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex39) )).

fof(bitBlastConstant_389,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex38) )).

fof(bitBlastConstant_388,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex37) )).

fof(bitBlastConstant_387,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex36) )).

fof(bitBlastConstant_386,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex35) )).

fof(bitBlastConstant_385,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex34) )).

fof(bitBlastConstant_384,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex33) )).

fof(bitBlastConstant_383,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex32) )).

fof(bitBlastConstant_382,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex31) )).

fof(bitBlastConstant_381,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex30) )).

fof(bitBlastConstant_380,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex29) )).

fof(bitBlastConstant_379,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex28) )).

fof(bitBlastConstant_378,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex27) )).

fof(bitBlastConstant_377,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_376,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_375,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_374,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_373,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_372,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_371,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_370,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_369,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_368,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_367,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_366,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_365,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_364,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_363,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_362,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_361,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_360,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_359,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_358,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_357,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_356,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_355,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_354,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_353,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_352,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_351,axiom,(
    ~ b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000(bitIndex0) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_75,axiom,(
    ! [VarCurr] :
      ( ~ v3058(VarCurr,bitIndex0)
     => ! [B] :
          ( range_115_0(B)
         => ( v3096(VarCurr,B)
          <=> v3064(VarCurr,B) ) ) ) )).

fof(range_axiom_17,axiom,(
    ! [B] :
      ( range_115_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B
        | bitIndex44 = B
        | bitIndex45 = B
        | bitIndex46 = B
        | bitIndex47 = B
        | bitIndex48 = B
        | bitIndex49 = B
        | bitIndex50 = B
        | bitIndex51 = B
        | bitIndex52 = B
        | bitIndex53 = B
        | bitIndex54 = B
        | bitIndex55 = B
        | bitIndex56 = B
        | bitIndex57 = B
        | bitIndex58 = B
        | bitIndex59 = B
        | bitIndex60 = B
        | bitIndex61 = B
        | bitIndex62 = B
        | bitIndex63 = B
        | bitIndex64 = B
        | bitIndex65 = B
        | bitIndex66 = B
        | bitIndex67 = B
        | bitIndex68 = B
        | bitIndex69 = B
        | bitIndex70 = B
        | bitIndex71 = B
        | bitIndex72 = B
        | bitIndex73 = B
        | bitIndex74 = B
        | bitIndex75 = B
        | bitIndex76 = B
        | bitIndex77 = B
        | bitIndex78 = B
        | bitIndex79 = B
        | bitIndex80 = B
        | bitIndex81 = B
        | bitIndex82 = B
        | bitIndex83 = B
        | bitIndex84 = B
        | bitIndex85 = B
        | bitIndex86 = B
        | bitIndex87 = B
        | bitIndex88 = B
        | bitIndex89 = B
        | bitIndex90 = B
        | bitIndex91 = B
        | bitIndex92 = B
        | bitIndex93 = B
        | bitIndex94 = B
        | bitIndex95 = B
        | bitIndex96 = B
        | bitIndex97 = B
        | bitIndex98 = B
        | bitIndex99 = B
        | bitIndex100 = B
        | bitIndex101 = B
        | bitIndex102 = B
        | bitIndex103 = B
        | bitIndex104 = B
        | bitIndex105 = B
        | bitIndex106 = B
        | bitIndex107 = B
        | bitIndex108 = B
        | bitIndex109 = B
        | bitIndex110 = B
        | bitIndex111 = B
        | bitIndex112 = B
        | bitIndex113 = B
        | bitIndex114 = B
        | bitIndex115 = B ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_6,axiom,(
    ! [VarCurr] :
      ( v3058(VarCurr,bitIndex0)
     => ( ( v3096(VarCurr,bitIndex115)
        <=> v2949(VarCurr,bitIndex579) )
        & ( v3096(VarCurr,bitIndex114)
        <=> v2949(VarCurr,bitIndex578) )
        & ( v3096(VarCurr,bitIndex113)
        <=> v2949(VarCurr,bitIndex577) )
        & ( v3096(VarCurr,bitIndex112)
        <=> v2949(VarCurr,bitIndex576) )
        & ( v3096(VarCurr,bitIndex111)
        <=> v2949(VarCurr,bitIndex575) )
        & ( v3096(VarCurr,bitIndex110)
        <=> v2949(VarCurr,bitIndex574) )
        & ( v3096(VarCurr,bitIndex109)
        <=> v2949(VarCurr,bitIndex573) )
        & ( v3096(VarCurr,bitIndex108)
        <=> v2949(VarCurr,bitIndex572) )
        & ( v3096(VarCurr,bitIndex107)
        <=> v2949(VarCurr,bitIndex571) )
        & ( v3096(VarCurr,bitIndex106)
        <=> v2949(VarCurr,bitIndex570) )
        & ( v3096(VarCurr,bitIndex105)
        <=> v2949(VarCurr,bitIndex569) )
        & ( v3096(VarCurr,bitIndex104)
        <=> v2949(VarCurr,bitIndex568) )
        & ( v3096(VarCurr,bitIndex103)
        <=> v2949(VarCurr,bitIndex567) )
        & ( v3096(VarCurr,bitIndex102)
        <=> v2949(VarCurr,bitIndex566) )
        & ( v3096(VarCurr,bitIndex101)
        <=> v2949(VarCurr,bitIndex565) )
        & ( v3096(VarCurr,bitIndex100)
        <=> v2949(VarCurr,bitIndex564) )
        & ( v3096(VarCurr,bitIndex99)
        <=> v2949(VarCurr,bitIndex563) )
        & ( v3096(VarCurr,bitIndex98)
        <=> v2949(VarCurr,bitIndex562) )
        & ( v3096(VarCurr,bitIndex97)
        <=> v2949(VarCurr,bitIndex561) )
        & ( v3096(VarCurr,bitIndex96)
        <=> v2949(VarCurr,bitIndex560) )
        & ( v3096(VarCurr,bitIndex95)
        <=> v2949(VarCurr,bitIndex559) )
        & ( v3096(VarCurr,bitIndex94)
        <=> v2949(VarCurr,bitIndex558) )
        & ( v3096(VarCurr,bitIndex93)
        <=> v2949(VarCurr,bitIndex557) )
        & ( v3096(VarCurr,bitIndex92)
        <=> v2949(VarCurr,bitIndex556) )
        & ( v3096(VarCurr,bitIndex91)
        <=> v2949(VarCurr,bitIndex555) )
        & ( v3096(VarCurr,bitIndex90)
        <=> v2949(VarCurr,bitIndex554) )
        & ( v3096(VarCurr,bitIndex89)
        <=> v2949(VarCurr,bitIndex553) )
        & ( v3096(VarCurr,bitIndex88)
        <=> v2949(VarCurr,bitIndex552) )
        & ( v3096(VarCurr,bitIndex87)
        <=> v2949(VarCurr,bitIndex551) )
        & ( v3096(VarCurr,bitIndex86)
        <=> v2949(VarCurr,bitIndex550) )
        & ( v3096(VarCurr,bitIndex85)
        <=> v2949(VarCurr,bitIndex549) )
        & ( v3096(VarCurr,bitIndex84)
        <=> v2949(VarCurr,bitIndex548) )
        & ( v3096(VarCurr,bitIndex83)
        <=> v2949(VarCurr,bitIndex547) )
        & ( v3096(VarCurr,bitIndex82)
        <=> v2949(VarCurr,bitIndex546) )
        & ( v3096(VarCurr,bitIndex81)
        <=> v2949(VarCurr,bitIndex545) )
        & ( v3096(VarCurr,bitIndex80)
        <=> v2949(VarCurr,bitIndex544) )
        & ( v3096(VarCurr,bitIndex79)
        <=> v2949(VarCurr,bitIndex543) )
        & ( v3096(VarCurr,bitIndex78)
        <=> v2949(VarCurr,bitIndex542) )
        & ( v3096(VarCurr,bitIndex77)
        <=> v2949(VarCurr,bitIndex541) )
        & ( v3096(VarCurr,bitIndex76)
        <=> v2949(VarCurr,bitIndex540) )
        & ( v3096(VarCurr,bitIndex75)
        <=> v2949(VarCurr,bitIndex539) )
        & ( v3096(VarCurr,bitIndex74)
        <=> v2949(VarCurr,bitIndex538) )
        & ( v3096(VarCurr,bitIndex73)
        <=> v2949(VarCurr,bitIndex537) )
        & ( v3096(VarCurr,bitIndex72)
        <=> v2949(VarCurr,bitIndex536) )
        & ( v3096(VarCurr,bitIndex71)
        <=> v2949(VarCurr,bitIndex535) )
        & ( v3096(VarCurr,bitIndex70)
        <=> v2949(VarCurr,bitIndex534) )
        & ( v3096(VarCurr,bitIndex69)
        <=> v2949(VarCurr,bitIndex533) )
        & ( v3096(VarCurr,bitIndex68)
        <=> v2949(VarCurr,bitIndex532) )
        & ( v3096(VarCurr,bitIndex67)
        <=> v2949(VarCurr,bitIndex531) )
        & ( v3096(VarCurr,bitIndex66)
        <=> v2949(VarCurr,bitIndex530) )
        & ( v3096(VarCurr,bitIndex65)
        <=> v2949(VarCurr,bitIndex529) )
        & ( v3096(VarCurr,bitIndex64)
        <=> v2949(VarCurr,bitIndex528) )
        & ( v3096(VarCurr,bitIndex63)
        <=> v2949(VarCurr,bitIndex527) )
        & ( v3096(VarCurr,bitIndex62)
        <=> v2949(VarCurr,bitIndex526) )
        & ( v3096(VarCurr,bitIndex61)
        <=> v2949(VarCurr,bitIndex525) )
        & ( v3096(VarCurr,bitIndex60)
        <=> v2949(VarCurr,bitIndex524) )
        & ( v3096(VarCurr,bitIndex59)
        <=> v2949(VarCurr,bitIndex523) )
        & ( v3096(VarCurr,bitIndex58)
        <=> v2949(VarCurr,bitIndex522) )
        & ( v3096(VarCurr,bitIndex57)
        <=> v2949(VarCurr,bitIndex521) )
        & ( v3096(VarCurr,bitIndex56)
        <=> v2949(VarCurr,bitIndex520) )
        & ( v3096(VarCurr,bitIndex55)
        <=> v2949(VarCurr,bitIndex519) )
        & ( v3096(VarCurr,bitIndex54)
        <=> v2949(VarCurr,bitIndex518) )
        & ( v3096(VarCurr,bitIndex53)
        <=> v2949(VarCurr,bitIndex517) )
        & ( v3096(VarCurr,bitIndex52)
        <=> v2949(VarCurr,bitIndex516) )
        & ( v3096(VarCurr,bitIndex51)
        <=> v2949(VarCurr,bitIndex515) )
        & ( v3096(VarCurr,bitIndex50)
        <=> v2949(VarCurr,bitIndex514) )
        & ( v3096(VarCurr,bitIndex49)
        <=> v2949(VarCurr,bitIndex513) )
        & ( v3096(VarCurr,bitIndex48)
        <=> v2949(VarCurr,bitIndex512) )
        & ( v3096(VarCurr,bitIndex47)
        <=> v2949(VarCurr,bitIndex511) )
        & ( v3096(VarCurr,bitIndex46)
        <=> v2949(VarCurr,bitIndex510) )
        & ( v3096(VarCurr,bitIndex45)
        <=> v2949(VarCurr,bitIndex509) )
        & ( v3096(VarCurr,bitIndex44)
        <=> v2949(VarCurr,bitIndex508) )
        & ( v3096(VarCurr,bitIndex43)
        <=> v2949(VarCurr,bitIndex507) )
        & ( v3096(VarCurr,bitIndex42)
        <=> v2949(VarCurr,bitIndex506) )
        & ( v3096(VarCurr,bitIndex41)
        <=> v2949(VarCurr,bitIndex505) )
        & ( v3096(VarCurr,bitIndex40)
        <=> v2949(VarCurr,bitIndex504) )
        & ( v3096(VarCurr,bitIndex39)
        <=> v2949(VarCurr,bitIndex503) )
        & ( v3096(VarCurr,bitIndex38)
        <=> v2949(VarCurr,bitIndex502) )
        & ( v3096(VarCurr,bitIndex37)
        <=> v2949(VarCurr,bitIndex501) )
        & ( v3096(VarCurr,bitIndex36)
        <=> v2949(VarCurr,bitIndex500) )
        & ( v3096(VarCurr,bitIndex35)
        <=> v2949(VarCurr,bitIndex499) )
        & ( v3096(VarCurr,bitIndex34)
        <=> v2949(VarCurr,bitIndex498) )
        & ( v3096(VarCurr,bitIndex33)
        <=> v2949(VarCurr,bitIndex497) )
        & ( v3096(VarCurr,bitIndex32)
        <=> v2949(VarCurr,bitIndex496) )
        & ( v3096(VarCurr,bitIndex31)
        <=> v2949(VarCurr,bitIndex495) )
        & ( v3096(VarCurr,bitIndex30)
        <=> v2949(VarCurr,bitIndex494) )
        & ( v3096(VarCurr,bitIndex29)
        <=> v2949(VarCurr,bitIndex493) )
        & ( v3096(VarCurr,bitIndex28)
        <=> v2949(VarCurr,bitIndex492) )
        & ( v3096(VarCurr,bitIndex27)
        <=> v2949(VarCurr,bitIndex491) )
        & ( v3096(VarCurr,bitIndex26)
        <=> v2949(VarCurr,bitIndex490) )
        & ( v3096(VarCurr,bitIndex25)
        <=> v2949(VarCurr,bitIndex489) )
        & ( v3096(VarCurr,bitIndex24)
        <=> v2949(VarCurr,bitIndex488) )
        & ( v3096(VarCurr,bitIndex23)
        <=> v2949(VarCurr,bitIndex487) )
        & ( v3096(VarCurr,bitIndex22)
        <=> v2949(VarCurr,bitIndex486) )
        & ( v3096(VarCurr,bitIndex21)
        <=> v2949(VarCurr,bitIndex485) )
        & ( v3096(VarCurr,bitIndex20)
        <=> v2949(VarCurr,bitIndex484) )
        & ( v3096(VarCurr,bitIndex19)
        <=> v2949(VarCurr,bitIndex483) )
        & ( v3096(VarCurr,bitIndex18)
        <=> v2949(VarCurr,bitIndex482) )
        & ( v3096(VarCurr,bitIndex17)
        <=> v2949(VarCurr,bitIndex481) )
        & ( v3096(VarCurr,bitIndex16)
        <=> v2949(VarCurr,bitIndex480) )
        & ( v3096(VarCurr,bitIndex15)
        <=> v2949(VarCurr,bitIndex479) )
        & ( v3096(VarCurr,bitIndex14)
        <=> v2949(VarCurr,bitIndex478) )
        & ( v3096(VarCurr,bitIndex13)
        <=> v2949(VarCurr,bitIndex477) )
        & ( v3096(VarCurr,bitIndex12)
        <=> v2949(VarCurr,bitIndex476) )
        & ( v3096(VarCurr,bitIndex11)
        <=> v2949(VarCurr,bitIndex475) )
        & ( v3096(VarCurr,bitIndex10)
        <=> v2949(VarCurr,bitIndex474) )
        & ( v3096(VarCurr,bitIndex9)
        <=> v2949(VarCurr,bitIndex473) )
        & ( v3096(VarCurr,bitIndex8)
        <=> v2949(VarCurr,bitIndex472) )
        & ( v3096(VarCurr,bitIndex7)
        <=> v2949(VarCurr,bitIndex471) )
        & ( v3096(VarCurr,bitIndex6)
        <=> v2949(VarCurr,bitIndex470) )
        & ( v3096(VarCurr,bitIndex5)
        <=> v2949(VarCurr,bitIndex469) )
        & ( v3096(VarCurr,bitIndex4)
        <=> v2949(VarCurr,bitIndex468) )
        & ( v3096(VarCurr,bitIndex3)
        <=> v2949(VarCurr,bitIndex467) )
        & ( v3096(VarCurr,bitIndex2)
        <=> v2949(VarCurr,bitIndex466) )
        & ( v3096(VarCurr,bitIndex1)
        <=> v2949(VarCurr,bitIndex465) )
        & ( v3096(VarCurr,bitIndex0)
        <=> v2949(VarCurr,bitIndex464) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1008,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3079(VarNext)
      <=> ( v3080(VarNext)
          & v3089(VarNext) ) ) ) )).

fof(addAssignment_424,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3089(VarNext)
      <=> v3087(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1007,axiom,(
    ! [VarCurr] :
      ( v3087(VarCurr)
    <=> ( v3090(VarCurr)
        | v3091(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1006,axiom,(
    ! [VarCurr] :
      ( v3091(VarCurr)
    <=> ( v2958(VarCurr,bitIndex0)
        & v3092(VarCurr) ) ) )).

fof(writeUnaryOperator_473,axiom,(
    ! [VarCurr] :
      ( ~ v3092(VarCurr)
    <=> v3090(VarCurr) ) )).

fof(writeUnaryOperator_472,axiom,(
    ! [VarCurr] :
      ( ~ v3090(VarCurr)
    <=> v2951(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1005,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3080(VarNext)
      <=> ( v3081(VarNext)
          & v3076(VarNext) ) ) ) )).

fof(writeUnaryOperator_471,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3081(VarNext)
      <=> v3083(VarNext) ) ) )).

fof(addAssignment_423,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3083(VarNext)
      <=> v3076(VarCurr) ) ) )).

fof(addAssignment_422,axiom,(
    ! [VarCurr] :
      ( v3076(VarCurr)
    <=> v3021(VarCurr) ) )).

fof(addAssignment_421,axiom,(
    ! [VarCurr,B] :
      ( range_29_14(B)
     => ( v3064(VarCurr,B)
      <=> v3066(VarCurr,B) ) ) )).

fof(addAssignment_420,axiom,(
    ! [VarCurr,B] :
      ( range_29_14(B)
     => ( v3066(VarCurr,B)
      <=> v3068(VarCurr,B) ) ) )).

fof(addAssignment_419,axiom,(
    ! [VarCurr,B] :
      ( range_29_14(B)
     => ( v3068(VarCurr,B)
      <=> v3070(VarCurr,B) ) ) )).

fof(addAssignment_418,axiom,(
    ! [VarCurr,B] :
      ( range_29_14(B)
     => ( v3070(VarCurr,B)
      <=> v3072(VarCurr,B) ) ) )).

fof(addAssignment_417,axiom,(
    ! [VarCurr,B] :
      ( range_29_14(B)
     => ( v3072(VarCurr,B)
      <=> v3074(VarCurr,B) ) ) )).

fof(range_axiom_16,axiom,(
    ! [B] :
      ( range_29_14(B)
    <=> ( $false
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B ) ) )).

fof(addAssignment_416,axiom,(
    ! [VarCurr] :
      ( v3058(VarCurr,bitIndex0)
    <=> v3060(VarCurr,bitIndex0) ) )).

fof(addAssignment_415,axiom,(
    ! [VarCurr] :
      ( v3060(VarCurr,bitIndex0)
    <=> v3062(VarCurr,bitIndex0) ) )).

fof(addAssignment_414,axiom,(
    ! [VarCurr] :
      ( v3062(VarCurr,bitIndex0)
    <=> v3002(VarCurr,bitIndex1) ) )).

fof(addAssignment_413,axiom,(
    ! [VarCurr] :
      ( v2988(VarCurr)
    <=> v2990(VarCurr) ) )).

fof(addAssignment_412,axiom,(
    ! [VarCurr] :
      ( v2990(VarCurr)
    <=> v2992(VarCurr) ) )).

fof(addAssignment_411,axiom,(
    ! [VarCurr] :
      ( v2992(VarCurr)
    <=> v2994(VarCurr) ) )).

fof(addAssignment_410,axiom,(
    ! [VarCurr] :
      ( v2994(VarCurr)
    <=> v2996(VarCurr) ) )).

fof(writeUnaryOperator_470,axiom,(
    ! [VarCurr] :
      ( ~ v2996(VarCurr)
    <=> v2998(VarCurr,bitIndex0) ) )).

fof(addAssignment_409,axiom,(
    ! [VarCurr] :
      ( v2998(VarCurr,bitIndex0)
    <=> v3000(VarCurr,bitIndex0) ) )).

fof(addAssignment_408,axiom,(
    ! [VarCurr] :
      ( v3000(VarCurr,bitIndex0)
    <=> v3002(VarCurr,bitIndex0) ) )).

fof(addAssignment_407,axiom,(
    ! [VarNext] :
      ( v3002(VarNext,bitIndex0)
    <=> v3029(VarNext,bitIndex0) ) )).

fof(addCaseBooleanConditionEqualRanges1_32,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3030(VarNext)
       => ! [B] :
            ( range_5_0(B)
           => ( v3029(VarNext,B)
            <=> v3002(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_36,axiom,(
    ! [VarNext] :
      ( v3030(VarNext)
     => ! [B] :
          ( range_5_0(B)
         => ( v3029(VarNext,B)
          <=> v3040(VarNext,B) ) ) ) )).

fof(addAssignment_406,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_5_0(B)
         => ( v3040(VarNext,B)
          <=> v3038(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_74,axiom,(
    ! [VarCurr] :
      ( ~ v3041(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v3038(VarCurr,B)
          <=> v3006(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_76,axiom,(
    ! [VarCurr] :
      ( v3041(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v3038(VarCurr,B)
          <=> $false ) ) ) )).

fof(bitBlastConstant_350,axiom,(
    ~ b000000(bitIndex5) )).

fof(bitBlastConstant_349,axiom,(
    ~ b000000(bitIndex4) )).

fof(bitBlastConstant_348,axiom,(
    ~ b000000(bitIndex3) )).

fof(bitBlastConstant_347,axiom,(
    ~ b000000(bitIndex2) )).

fof(bitBlastConstant_346,axiom,(
    ~ b000000(bitIndex1) )).

fof(bitBlastConstant_345,axiom,(
    ~ b000000(bitIndex0) )).

fof(writeUnaryOperator_469,axiom,(
    ! [VarCurr] :
      ( ~ v3041(VarCurr)
    <=> v3004(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1004,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3030(VarNext)
      <=> v3031(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1003,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3031(VarNext)
      <=> ( v3032(VarNext)
          & v3019(VarNext) ) ) ) )).

fof(writeUnaryOperator_468,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v3032(VarNext)
      <=> v3034(VarNext) ) ) )).

fof(addAssignment_405,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v3034(VarNext)
      <=> v3019(VarCurr) ) ) )).

fof(addAssignment_404,axiom,(
    ! [VarCurr] :
      ( v3019(VarCurr)
    <=> v3021(VarCurr) ) )).

fof(addAssignment_403,axiom,(
    ! [VarCurr] :
      ( v3021(VarCurr)
    <=> v3023(VarCurr) ) )).

fof(addAssignment_402,axiom,(
    ! [VarCurr] :
      ( v3023(VarCurr)
    <=> v3025(VarCurr) ) )).

fof(addAssignment_401,axiom,(
    ! [VarCurr] :
      ( v3025(VarCurr)
    <=> v3027(VarCurr) ) )).

fof(addAssignment_400,axiom,(
    ! [VarCurr] :
      ( v3027(VarCurr)
    <=> v1(VarCurr) ) )).

fof(addAssignment_399,axiom,(
    ! [VarCurr] :
      ( v3006(VarCurr,bitIndex0)
    <=> v3007(VarCurr,bitIndex0) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_6,axiom,(
    ! [VarCurr] :
      ( ( ~ v3008(VarCurr)
        & ~ v3010(VarCurr)
        & ~ v3013(VarCurr) )
     => ! [B] :
          ( range_5_0(B)
         => ( v3007(VarCurr,B)
          <=> v3002(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_11,axiom,(
    ! [VarCurr] :
      ( v3013(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v3007(VarCurr,B)
          <=> v3015(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_37,axiom,(
    ! [VarCurr] :
      ( v3010(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v3007(VarCurr,B)
          <=> v3012(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_38,axiom,(
    ! [VarCurr] :
      ( v3008(VarCurr)
     => ! [B] :
          ( range_5_0(B)
         => ( v3007(VarCurr,B)
          <=> v3002(VarCurr,B) ) ) ) )).

fof(range_axiom_15,axiom,(
    ! [B] :
      ( range_5_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B ) ) )).

fof(addBitVectorEqualityBitBlasted_123,axiom,(
    ! [VarCurr] :
      ( v3016(VarCurr)
    <=> ( ( v3017(VarCurr,bitIndex1)
        <=> $true )
        & ( v3017(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_398,axiom,(
    ! [VarCurr] :
      ( v3017(VarCurr,bitIndex0)
    <=> v2976(VarCurr) ) )).

fof(addAssignment_397,axiom,(
    ! [VarCurr] :
      ( v3017(VarCurr,bitIndex1)
    <=> v2964(VarCurr) ) )).

fof(addAssignment_396,axiom,(
    ! [VarCurr] :
      ( v3015(VarCurr,bitIndex0)
    <=> $true ) )).

fof(addAssignment_395,axiom,(
    ! [VarCurr] :
      ( ( v3015(VarCurr,bitIndex5)
      <=> v3002(VarCurr,bitIndex4) )
      & ( v3015(VarCurr,bitIndex4)
      <=> v3002(VarCurr,bitIndex3) )
      & ( v3015(VarCurr,bitIndex3)
      <=> v3002(VarCurr,bitIndex2) )
      & ( v3015(VarCurr,bitIndex2)
      <=> v3002(VarCurr,bitIndex1) )
      & ( v3015(VarCurr,bitIndex1)
      <=> v3002(VarCurr,bitIndex0) ) ) )).

fof(addBitVectorEqualityBitBlasted_122,axiom,(
    ! [VarCurr] :
      ( v3013(VarCurr)
    <=> ( ( v3014(VarCurr,bitIndex1)
        <=> $true )
        & ( v3014(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_394,axiom,(
    ! [VarCurr] :
      ( v3014(VarCurr,bitIndex0)
    <=> v2976(VarCurr) ) )).

fof(addAssignment_393,axiom,(
    ! [VarCurr] :
      ( v3014(VarCurr,bitIndex1)
    <=> v2964(VarCurr) ) )).

fof(addAssignment_392,axiom,(
    ! [VarCurr] :
      ( ( v3012(VarCurr,bitIndex4)
      <=> v3002(VarCurr,bitIndex5) )
      & ( v3012(VarCurr,bitIndex3)
      <=> v3002(VarCurr,bitIndex4) )
      & ( v3012(VarCurr,bitIndex2)
      <=> v3002(VarCurr,bitIndex3) )
      & ( v3012(VarCurr,bitIndex1)
      <=> v3002(VarCurr,bitIndex2) )
      & ( v3012(VarCurr,bitIndex0)
      <=> v3002(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_391,axiom,(
    ! [VarCurr] :
      ( v3012(VarCurr,bitIndex5)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_121,axiom,(
    ! [VarCurr] :
      ( v3010(VarCurr)
    <=> ( ( v3011(VarCurr,bitIndex1)
        <=> $false )
        & ( v3011(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_390,axiom,(
    ! [VarCurr] :
      ( v3011(VarCurr,bitIndex0)
    <=> v2976(VarCurr) ) )).

fof(addAssignment_389,axiom,(
    ! [VarCurr] :
      ( v3011(VarCurr,bitIndex1)
    <=> v2964(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_120,axiom,(
    ! [VarCurr] :
      ( v3008(VarCurr)
    <=> ( ( v3009(VarCurr,bitIndex1)
        <=> $false )
        & ( v3009(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_388,axiom,(
    ! [VarCurr] :
      ( v3009(VarCurr,bitIndex0)
    <=> v2976(VarCurr) ) )).

fof(addAssignment_387,axiom,(
    ! [VarCurr] :
      ( v3009(VarCurr,bitIndex1)
    <=> v2964(VarCurr) ) )).

fof(addAssignment_386,axiom,(
    ! [VarCurr] :
      ( v3004(VarCurr)
    <=> v2953(VarCurr) ) )).

fof(addAssignment_385,axiom,(
    ! [VarCurr] :
      ( v2964(VarCurr)
    <=> v2966(VarCurr) ) )).

fof(addAssignment_384,axiom,(
    ! [VarCurr] :
      ( v2966(VarCurr)
    <=> v2968(VarCurr) ) )).

fof(addAssignment_383,axiom,(
    ! [VarCurr] :
      ( v2968(VarCurr)
    <=> v2970(VarCurr) ) )).

fof(addAssignment_382,axiom,(
    ! [VarCurr] :
      ( v2970(VarCurr)
    <=> v2972(VarCurr) ) )).

fof(addAssignment_381,axiom,(
    ! [VarCurr] :
      ( v2972(VarCurr)
    <=> v2974(VarCurr) ) )).

fof(addAssignment_380,axiom,(
    ! [VarCurr] :
      ( v2951(VarCurr)
    <=> v2953(VarCurr) ) )).

fof(addAssignment_379,axiom,(
    ! [VarCurr] :
      ( v2953(VarCurr)
    <=> v2955(VarCurr) ) )).

fof(addAssignment_378,axiom,(
    ! [VarCurr] :
      ( v2955(VarCurr)
    <=> v2925(VarCurr) ) )).

fof(addAssignment_377,axiom,(
    ! [VarCurr] :
      ( v2923(VarCurr)
    <=> v2925(VarCurr) ) )).

fof(addAssignment_376,axiom,(
    ! [VarCurr] :
      ( v2925(VarCurr)
    <=> v2927(VarCurr) ) )).

fof(addAssignment_375,axiom,(
    ! [VarCurr] :
      ( v2927(VarCurr)
    <=> v16(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_31,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2864(VarNext)
       => ( v2724(VarNext)
        <=> v2724(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_35,axiom,(
    ! [VarNext] :
      ( v2864(VarNext)
     => ( v2724(VarNext)
      <=> v2877(VarNext) ) ) )).

fof(addAssignment_374,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2877(VarNext)
      <=> v2875(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionShiftedRanges1,axiom,(
    ! [VarCurr] :
      ( ~ v2834(VarCurr)
     => ( v2875(VarCurr)
      <=> v2878(VarCurr,bitIndex4) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_37,axiom,(
    ! [VarCurr] :
      ( v2834(VarCurr)
     => ( v2875(VarCurr)
      <=> $false ) ) )).

fof(addAssignment_373,axiom,(
    ! [VarCurr] :
      ( v2878(VarCurr,bitIndex0)
    <=> v2901(VarCurr) ) )).

fof(addAssignment_372,axiom,(
    ! [VarCurr] :
      ( v2878(VarCurr,bitIndex1)
    <=> v2899(VarCurr) ) )).

fof(addAssignment_371,axiom,(
    ! [VarCurr] :
      ( v2878(VarCurr,bitIndex2)
    <=> v2894(VarCurr) ) )).

fof(addAssignment_370,axiom,(
    ! [VarCurr] :
      ( v2878(VarCurr,bitIndex3)
    <=> v2889(VarCurr) ) )).

fof(addAssignment_369,axiom,(
    ! [VarCurr] :
      ( v2878(VarCurr,bitIndex4)
    <=> v2880(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1002,axiom,(
    ! [VarCurr] :
      ( v2899(VarCurr)
    <=> ( v2900(VarCurr)
        & v2903(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_232,axiom,(
    ! [VarCurr] :
      ( v2903(VarCurr)
    <=> ( v2886(VarCurr,bitIndex0)
        | v2886(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1001,axiom,(
    ! [VarCurr] :
      ( v2900(VarCurr)
    <=> ( v2901(VarCurr)
        | v2902(VarCurr) ) ) )).

fof(writeUnaryOperator_467,axiom,(
    ! [VarCurr] :
      ( ~ v2902(VarCurr)
    <=> v2886(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_466,axiom,(
    ! [VarCurr] :
      ( ~ v2901(VarCurr)
    <=> v2886(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1000,axiom,(
    ! [VarCurr] :
      ( v2894(VarCurr)
    <=> ( v2895(VarCurr)
        & v2898(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_231,axiom,(
    ! [VarCurr] :
      ( v2898(VarCurr)
    <=> ( v2885(VarCurr)
        | v2886(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_999,axiom,(
    ! [VarCurr] :
      ( v2895(VarCurr)
    <=> ( v2896(VarCurr)
        | v2897(VarCurr) ) ) )).

fof(writeUnaryOperator_465,axiom,(
    ! [VarCurr] :
      ( ~ v2897(VarCurr)
    <=> v2886(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_464,axiom,(
    ! [VarCurr] :
      ( ~ v2896(VarCurr)
    <=> v2885(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_998,axiom,(
    ! [VarCurr] :
      ( v2889(VarCurr)
    <=> ( v2890(VarCurr)
        & v2893(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_230,axiom,(
    ! [VarCurr] :
      ( v2893(VarCurr)
    <=> ( v2884(VarCurr)
        | v2886(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_997,axiom,(
    ! [VarCurr] :
      ( v2890(VarCurr)
    <=> ( v2891(VarCurr)
        | v2892(VarCurr) ) ) )).

fof(writeUnaryOperator_463,axiom,(
    ! [VarCurr] :
      ( ~ v2892(VarCurr)
    <=> v2886(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_462,axiom,(
    ! [VarCurr] :
      ( ~ v2891(VarCurr)
    <=> v2884(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_996,axiom,(
    ! [VarCurr] :
      ( v2880(VarCurr)
    <=> ( v2881(VarCurr)
        & v2888(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_229,axiom,(
    ! [VarCurr] :
      ( v2888(VarCurr)
    <=> ( v2883(VarCurr)
        | v2886(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_995,axiom,(
    ! [VarCurr] :
      ( v2881(VarCurr)
    <=> ( v2882(VarCurr)
        | v2887(VarCurr) ) ) )).

fof(writeUnaryOperator_461,axiom,(
    ! [VarCurr] :
      ( ~ v2887(VarCurr)
    <=> v2886(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_460,axiom,(
    ! [VarCurr] :
      ( ~ v2882(VarCurr)
    <=> v2883(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_228,axiom,(
    ! [VarCurr] :
      ( v2883(VarCurr)
    <=> ( v2884(VarCurr)
        & v2886(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_227,axiom,(
    ! [VarCurr] :
      ( v2884(VarCurr)
    <=> ( v2885(VarCurr)
        & v2886(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_226,axiom,(
    ! [VarCurr] :
      ( v2885(VarCurr)
    <=> ( v2886(VarCurr,bitIndex0)
        & v2886(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_368,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v2886(VarCurr,B)
      <=> v2818(VarCurr,B) ) ) )).

fof(addAssignment_367,axiom,(
    ! [VarCurr] :
      ( v2886(VarCurr,bitIndex4)
    <=> v2724(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_994,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2864(VarNext)
      <=> ( v2865(VarNext)
          & v2872(VarNext) ) ) ) )).

fof(addAssignment_366,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2872(VarNext)
      <=> v2870(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_993,axiom,(
    ! [VarCurr] :
      ( v2870(VarCurr)
    <=> ( v2834(VarCurr)
        | v2873(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_992,axiom,(
    ! [VarCurr] :
      ( v2873(VarCurr)
    <=> ( v2728(VarCurr)
        & v2874(VarCurr) ) ) )).

fof(writeUnaryOperator_459,axiom,(
    ! [VarCurr] :
      ( ~ v2874(VarCurr)
    <=> v2834(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_991,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2865(VarNext)
      <=> ( v2867(VarNext)
          & v2820(VarNext) ) ) ) )).

fof(writeUnaryOperator_458,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2867(VarNext)
      <=> v2827(VarNext) ) ) )).

fof(addAssignmentInitValueVector_8,axiom,
    ( v2724(constB0)
  <=> $false )).

fof(addCaseBooleanConditionEqualRanges1_30,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2823(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v2818(VarNext,B)
            <=> v2818(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_34,axiom,(
    ! [VarNext] :
      ( v2823(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v2818(VarNext,B)
          <=> v2839(VarNext,B) ) ) ) )).

fof(addAssignment_365,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v2839(VarNext,B)
          <=> v2837(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_36,axiom,(
    ! [VarCurr] :
      ( ~ v2834(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2837(VarCurr,B)
          <=> v2840(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_36,axiom,(
    ! [VarCurr] :
      ( v2834(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2837(VarCurr,B)
          <=> $false ) ) ) )).

fof(addAssignment_364,axiom,(
    ! [VarCurr] :
      ( v2840(VarCurr,bitIndex0)
    <=> v2856(VarCurr) ) )).

fof(addAssignment_363,axiom,(
    ! [VarCurr] :
      ( v2840(VarCurr,bitIndex1)
    <=> v2854(VarCurr) ) )).

fof(addAssignment_362,axiom,(
    ! [VarCurr] :
      ( v2840(VarCurr,bitIndex2)
    <=> v2849(VarCurr) ) )).

fof(addAssignment_361,axiom,(
    ! [VarCurr] :
      ( v2840(VarCurr,bitIndex3)
    <=> v2842(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_990,axiom,(
    ! [VarCurr] :
      ( v2854(VarCurr)
    <=> ( v2855(VarCurr)
        & v2858(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_225,axiom,(
    ! [VarCurr] :
      ( v2858(VarCurr)
    <=> ( v2818(VarCurr,bitIndex0)
        | v2818(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_989,axiom,(
    ! [VarCurr] :
      ( v2855(VarCurr)
    <=> ( v2856(VarCurr)
        | v2857(VarCurr) ) ) )).

fof(writeUnaryOperator_457,axiom,(
    ! [VarCurr] :
      ( ~ v2857(VarCurr)
    <=> v2818(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_456,axiom,(
    ! [VarCurr] :
      ( ~ v2856(VarCurr)
    <=> v2818(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_988,axiom,(
    ! [VarCurr] :
      ( v2849(VarCurr)
    <=> ( v2850(VarCurr)
        & v2853(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_224,axiom,(
    ! [VarCurr] :
      ( v2853(VarCurr)
    <=> ( v2846(VarCurr)
        | v2818(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_987,axiom,(
    ! [VarCurr] :
      ( v2850(VarCurr)
    <=> ( v2851(VarCurr)
        | v2852(VarCurr) ) ) )).

fof(writeUnaryOperator_455,axiom,(
    ! [VarCurr] :
      ( ~ v2852(VarCurr)
    <=> v2818(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_454,axiom,(
    ! [VarCurr] :
      ( ~ v2851(VarCurr)
    <=> v2846(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_986,axiom,(
    ! [VarCurr] :
      ( v2842(VarCurr)
    <=> ( v2843(VarCurr)
        & v2848(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_223,axiom,(
    ! [VarCurr] :
      ( v2848(VarCurr)
    <=> ( v2845(VarCurr)
        | v2818(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_985,axiom,(
    ! [VarCurr] :
      ( v2843(VarCurr)
    <=> ( v2844(VarCurr)
        | v2847(VarCurr) ) ) )).

fof(writeUnaryOperator_453,axiom,(
    ! [VarCurr] :
      ( ~ v2847(VarCurr)
    <=> v2818(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_452,axiom,(
    ! [VarCurr] :
      ( ~ v2844(VarCurr)
    <=> v2845(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_222,axiom,(
    ! [VarCurr] :
      ( v2845(VarCurr)
    <=> ( v2846(VarCurr)
        & v2818(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_221,axiom,(
    ! [VarCurr] :
      ( v2846(VarCurr)
    <=> ( v2818(VarCurr,bitIndex0)
        & v2818(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_984,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2823(VarNext)
      <=> ( v2824(VarNext)
          & v2833(VarNext) ) ) ) )).

fof(addAssignment_360,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2833(VarNext)
      <=> v2831(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_983,axiom,(
    ! [VarCurr] :
      ( v2831(VarCurr)
    <=> ( v2834(VarCurr)
        | v2835(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_982,axiom,(
    ! [VarCurr] :
      ( v2835(VarCurr)
    <=> ( v2728(VarCurr)
        & v2836(VarCurr) ) ) )).

fof(writeUnaryOperator_451,axiom,(
    ! [VarCurr] :
      ( ~ v2836(VarCurr)
    <=> v2834(VarCurr) ) )).

fof(writeUnaryOperator_450,axiom,(
    ! [VarCurr] :
      ( ~ v2834(VarCurr)
    <=> v2726(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_981,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2824(VarNext)
      <=> ( v2825(VarNext)
          & v2820(VarNext) ) ) ) )).

fof(writeUnaryOperator_449,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2825(VarNext)
      <=> v2827(VarNext) ) ) )).

fof(addAssignment_359,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2827(VarNext)
      <=> v2820(VarCurr) ) ) )).

fof(addAssignmentInitValueVector_7,axiom,(
    ! [B] :
      ( range_3_0(B)
     => ( v2818(constB0,B)
      <=> $false ) ) )).

fof(addAssignment_358,axiom,(
    ! [VarCurr] :
      ( v2820(VarCurr)
    <=> v660(VarCurr) ) )).

fof(addAssignment_357,axiom,(
    ! [VarCurr] :
      ( v2728(VarCurr)
    <=> v2730(VarCurr) ) )).

fof(addAssignment_356,axiom,(
    ! [VarCurr] :
      ( v2730(VarCurr)
    <=> v2732(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_220,axiom,(
    ! [VarCurr] :
      ( v2732(VarCurr)
    <=> ( v2734(VarCurr,bitIndex15)
        | v2734(VarCurr,bitIndex19) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_7,axiom,(
    ! [VarCurr] :
      ( ~ v2813(VarCurr)
     => ( v2734(VarCurr,bitIndex19)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_5,axiom,(
    ! [VarCurr] :
      ( v2813(VarCurr)
     => ( v2734(VarCurr,bitIndex19)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_980,axiom,(
    ! [VarCurr] :
      ( v2813(VarCurr)
    <=> ( v2814(VarCurr)
        | v2815(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_979,axiom,(
    ! [VarCurr] :
      ( v2815(VarCurr)
    <=> ( v2736(VarCurr)
        & v2803(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_978,axiom,(
    ! [VarCurr] :
      ( v2814(VarCurr)
    <=> ( v2736(VarCurr)
        & v2800(VarCurr) ) ) )).

fof(addAssignment_355,axiom,(
    ! [VarNext] :
      ( v2740(VarNext,bitIndex20)
    <=> v2805(VarNext,bitIndex19) ) )).

fof(addCaseBooleanConditionShiftedRanges1_3,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2806(VarNext)
       => ( ( v2805(VarNext,bitIndex19)
          <=> v2740(VarCurr,bitIndex20) )
          & ( v2805(VarNext,bitIndex18)
          <=> v2740(VarCurr,bitIndex19) )
          & ( v2805(VarNext,bitIndex17)
          <=> v2740(VarCurr,bitIndex18) )
          & ( v2805(VarNext,bitIndex16)
          <=> v2740(VarCurr,bitIndex17) )
          & ( v2805(VarNext,bitIndex15)
          <=> v2740(VarCurr,bitIndex16) )
          & ( v2805(VarNext,bitIndex14)
          <=> v2740(VarCurr,bitIndex15) )
          & ( v2805(VarNext,bitIndex13)
          <=> v2740(VarCurr,bitIndex14) )
          & ( v2805(VarNext,bitIndex12)
          <=> v2740(VarCurr,bitIndex13) )
          & ( v2805(VarNext,bitIndex11)
          <=> v2740(VarCurr,bitIndex12) )
          & ( v2805(VarNext,bitIndex10)
          <=> v2740(VarCurr,bitIndex11) )
          & ( v2805(VarNext,bitIndex9)
          <=> v2740(VarCurr,bitIndex10) )
          & ( v2805(VarNext,bitIndex8)
          <=> v2740(VarCurr,bitIndex9) )
          & ( v2805(VarNext,bitIndex7)
          <=> v2740(VarCurr,bitIndex8) )
          & ( v2805(VarNext,bitIndex6)
          <=> v2740(VarCurr,bitIndex7) )
          & ( v2805(VarNext,bitIndex5)
          <=> v2740(VarCurr,bitIndex6) )
          & ( v2805(VarNext,bitIndex4)
          <=> v2740(VarCurr,bitIndex5) )
          & ( v2805(VarNext,bitIndex3)
          <=> v2740(VarCurr,bitIndex4) )
          & ( v2805(VarNext,bitIndex2)
          <=> v2740(VarCurr,bitIndex3) )
          & ( v2805(VarNext,bitIndex1)
          <=> v2740(VarCurr,bitIndex2) )
          & ( v2805(VarNext,bitIndex0)
          <=> v2740(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_33,axiom,(
    ! [VarNext] :
      ( v2806(VarNext)
     => ! [B] :
          ( range_19_0(B)
         => ( v2805(VarNext,B)
          <=> v2762(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_977,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2806(VarNext)
      <=> v2807(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_976,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2807(VarNext)
      <=> ( v2809(VarNext)
          & v2749(VarNext) ) ) ) )).

fof(writeUnaryOperator_448,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2809(VarNext)
      <=> v2756(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_6,axiom,(
    ! [VarCurr] :
      ( ~ v2797(VarCurr)
     => ( v2734(VarCurr,bitIndex20)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_4,axiom,(
    ! [VarCurr] :
      ( v2797(VarCurr)
     => ( v2734(VarCurr,bitIndex20)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_975,axiom,(
    ! [VarCurr] :
      ( v2797(VarCurr)
    <=> ( v2798(VarCurr)
        | v2801(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_974,axiom,(
    ! [VarCurr] :
      ( v2801(VarCurr)
    <=> ( v2802(VarCurr)
        & v2803(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_119,axiom,(
    ! [VarCurr] :
      ( v2803(VarCurr)
    <=> ( $true
      <=> v2740(VarCurr,bitIndex20) ) ) )).

fof(writeUnaryOperator_447,axiom,(
    ! [VarCurr] :
      ( ~ v2802(VarCurr)
    <=> v2736(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_973,axiom,(
    ! [VarCurr] :
      ( v2798(VarCurr)
    <=> ( v2799(VarCurr)
        & v2800(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_118,axiom,(
    ! [VarCurr] :
      ( v2800(VarCurr)
    <=> ( $true
      <=> v2740(VarCurr,bitIndex18) ) ) )).

fof(writeUnaryOperator_446,axiom,(
    ! [VarCurr] :
      ( ~ v2799(VarCurr)
    <=> v2736(VarCurr) ) )).

fof(addAssignment_354,axiom,(
    ! [VarNext] :
      ( v2740(VarNext,bitIndex18)
    <=> v2789(VarNext,bitIndex17) ) )).

fof(addCaseBooleanConditionShiftedRanges1_2,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2790(VarNext)
       => ( ( v2789(VarNext,bitIndex19)
          <=> v2740(VarCurr,bitIndex20) )
          & ( v2789(VarNext,bitIndex18)
          <=> v2740(VarCurr,bitIndex19) )
          & ( v2789(VarNext,bitIndex17)
          <=> v2740(VarCurr,bitIndex18) )
          & ( v2789(VarNext,bitIndex16)
          <=> v2740(VarCurr,bitIndex17) )
          & ( v2789(VarNext,bitIndex15)
          <=> v2740(VarCurr,bitIndex16) )
          & ( v2789(VarNext,bitIndex14)
          <=> v2740(VarCurr,bitIndex15) )
          & ( v2789(VarNext,bitIndex13)
          <=> v2740(VarCurr,bitIndex14) )
          & ( v2789(VarNext,bitIndex12)
          <=> v2740(VarCurr,bitIndex13) )
          & ( v2789(VarNext,bitIndex11)
          <=> v2740(VarCurr,bitIndex12) )
          & ( v2789(VarNext,bitIndex10)
          <=> v2740(VarCurr,bitIndex11) )
          & ( v2789(VarNext,bitIndex9)
          <=> v2740(VarCurr,bitIndex10) )
          & ( v2789(VarNext,bitIndex8)
          <=> v2740(VarCurr,bitIndex9) )
          & ( v2789(VarNext,bitIndex7)
          <=> v2740(VarCurr,bitIndex8) )
          & ( v2789(VarNext,bitIndex6)
          <=> v2740(VarCurr,bitIndex7) )
          & ( v2789(VarNext,bitIndex5)
          <=> v2740(VarCurr,bitIndex6) )
          & ( v2789(VarNext,bitIndex4)
          <=> v2740(VarCurr,bitIndex5) )
          & ( v2789(VarNext,bitIndex3)
          <=> v2740(VarCurr,bitIndex4) )
          & ( v2789(VarNext,bitIndex2)
          <=> v2740(VarCurr,bitIndex3) )
          & ( v2789(VarNext,bitIndex1)
          <=> v2740(VarCurr,bitIndex2) )
          & ( v2789(VarNext,bitIndex0)
          <=> v2740(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_32,axiom,(
    ! [VarNext] :
      ( v2790(VarNext)
     => ! [B] :
          ( range_19_0(B)
         => ( v2789(VarNext,B)
          <=> v2762(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_972,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2790(VarNext)
      <=> v2791(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_971,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2791(VarNext)
      <=> ( v2793(VarNext)
          & v2749(VarNext) ) ) ) )).

fof(writeUnaryOperator_445,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2793(VarNext)
      <=> v2756(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_5,axiom,(
    ! [VarCurr] :
      ( ~ v2787(VarCurr)
     => ( v2734(VarCurr,bitIndex18)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_3,axiom,(
    ! [VarCurr] :
      ( v2787(VarCurr)
     => ( v2734(VarCurr,bitIndex18)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_117,axiom,(
    ! [VarCurr] :
      ( v2787(VarCurr)
    <=> ( $true
      <=> v2740(VarCurr,bitIndex17) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_4,axiom,(
    ! [VarCurr] :
      ( ~ v2783(VarCurr)
     => ( v2734(VarCurr,bitIndex15)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_2,axiom,(
    ! [VarCurr] :
      ( v2783(VarCurr)
     => ( v2734(VarCurr,bitIndex15)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_970,axiom,(
    ! [VarCurr] :
      ( v2783(VarCurr)
    <=> ( v2784(VarCurr)
        | v2785(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_969,axiom,(
    ! [VarCurr] :
      ( v2785(VarCurr)
    <=> ( v2736(VarCurr)
        & v2773(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_968,axiom,(
    ! [VarCurr] :
      ( v2784(VarCurr)
    <=> ( v2736(VarCurr)
        & v2770(VarCurr) ) ) )).

fof(addAssignment_353,axiom,(
    ! [VarNext] :
      ( v2740(VarNext,bitIndex16)
    <=> v2775(VarNext,bitIndex15) ) )).

fof(addCaseBooleanConditionShiftedRanges1_1,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2776(VarNext)
       => ( ( v2775(VarNext,bitIndex19)
          <=> v2740(VarCurr,bitIndex20) )
          & ( v2775(VarNext,bitIndex18)
          <=> v2740(VarCurr,bitIndex19) )
          & ( v2775(VarNext,bitIndex17)
          <=> v2740(VarCurr,bitIndex18) )
          & ( v2775(VarNext,bitIndex16)
          <=> v2740(VarCurr,bitIndex17) )
          & ( v2775(VarNext,bitIndex15)
          <=> v2740(VarCurr,bitIndex16) )
          & ( v2775(VarNext,bitIndex14)
          <=> v2740(VarCurr,bitIndex15) )
          & ( v2775(VarNext,bitIndex13)
          <=> v2740(VarCurr,bitIndex14) )
          & ( v2775(VarNext,bitIndex12)
          <=> v2740(VarCurr,bitIndex13) )
          & ( v2775(VarNext,bitIndex11)
          <=> v2740(VarCurr,bitIndex12) )
          & ( v2775(VarNext,bitIndex10)
          <=> v2740(VarCurr,bitIndex11) )
          & ( v2775(VarNext,bitIndex9)
          <=> v2740(VarCurr,bitIndex10) )
          & ( v2775(VarNext,bitIndex8)
          <=> v2740(VarCurr,bitIndex9) )
          & ( v2775(VarNext,bitIndex7)
          <=> v2740(VarCurr,bitIndex8) )
          & ( v2775(VarNext,bitIndex6)
          <=> v2740(VarCurr,bitIndex7) )
          & ( v2775(VarNext,bitIndex5)
          <=> v2740(VarCurr,bitIndex6) )
          & ( v2775(VarNext,bitIndex4)
          <=> v2740(VarCurr,bitIndex5) )
          & ( v2775(VarNext,bitIndex3)
          <=> v2740(VarCurr,bitIndex4) )
          & ( v2775(VarNext,bitIndex2)
          <=> v2740(VarCurr,bitIndex3) )
          & ( v2775(VarNext,bitIndex1)
          <=> v2740(VarCurr,bitIndex2) )
          & ( v2775(VarNext,bitIndex0)
          <=> v2740(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_31,axiom,(
    ! [VarNext] :
      ( v2776(VarNext)
     => ! [B] :
          ( range_19_0(B)
         => ( v2775(VarNext,B)
          <=> v2762(VarNext,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_967,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2776(VarNext)
      <=> v2777(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_966,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2777(VarNext)
      <=> ( v2779(VarNext)
          & v2749(VarNext) ) ) ) )).

fof(writeUnaryOperator_444,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2779(VarNext)
      <=> v2756(VarNext) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_3,axiom,(
    ! [VarCurr] :
      ( ~ v2767(VarCurr)
     => ( v2734(VarCurr,bitIndex16)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch_1,axiom,(
    ! [VarCurr] :
      ( v2767(VarCurr)
     => ( v2734(VarCurr,bitIndex16)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_965,axiom,(
    ! [VarCurr] :
      ( v2767(VarCurr)
    <=> ( v2768(VarCurr)
        | v2771(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_964,axiom,(
    ! [VarCurr] :
      ( v2771(VarCurr)
    <=> ( v2772(VarCurr)
        & v2773(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_116,axiom,(
    ! [VarCurr] :
      ( v2773(VarCurr)
    <=> ( $true
      <=> v2740(VarCurr,bitIndex16) ) ) )).

fof(writeUnaryOperator_443,axiom,(
    ! [VarCurr] :
      ( ~ v2772(VarCurr)
    <=> v2736(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_963,axiom,(
    ! [VarCurr] :
      ( v2768(VarCurr)
    <=> ( v2769(VarCurr)
        & v2770(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_115,axiom,(
    ! [VarCurr] :
      ( v2770(VarCurr)
    <=> ( $true
      <=> v2740(VarCurr,bitIndex14) ) ) )).

fof(writeUnaryOperator_442,axiom,(
    ! [VarCurr] :
      ( ~ v2769(VarCurr)
    <=> v2736(VarCurr) ) )).

fof(addAssignment_352,axiom,(
    ! [VarNext] :
      ( v2740(VarNext,bitIndex14)
    <=> v2751(VarNext,bitIndex13) ) )).

fof(addCaseBooleanConditionShiftedRanges1,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2752(VarNext)
       => ( ( v2751(VarNext,bitIndex19)
          <=> v2740(VarCurr,bitIndex20) )
          & ( v2751(VarNext,bitIndex18)
          <=> v2740(VarCurr,bitIndex19) )
          & ( v2751(VarNext,bitIndex17)
          <=> v2740(VarCurr,bitIndex18) )
          & ( v2751(VarNext,bitIndex16)
          <=> v2740(VarCurr,bitIndex17) )
          & ( v2751(VarNext,bitIndex15)
          <=> v2740(VarCurr,bitIndex16) )
          & ( v2751(VarNext,bitIndex14)
          <=> v2740(VarCurr,bitIndex15) )
          & ( v2751(VarNext,bitIndex13)
          <=> v2740(VarCurr,bitIndex14) )
          & ( v2751(VarNext,bitIndex12)
          <=> v2740(VarCurr,bitIndex13) )
          & ( v2751(VarNext,bitIndex11)
          <=> v2740(VarCurr,bitIndex12) )
          & ( v2751(VarNext,bitIndex10)
          <=> v2740(VarCurr,bitIndex11) )
          & ( v2751(VarNext,bitIndex9)
          <=> v2740(VarCurr,bitIndex10) )
          & ( v2751(VarNext,bitIndex8)
          <=> v2740(VarCurr,bitIndex9) )
          & ( v2751(VarNext,bitIndex7)
          <=> v2740(VarCurr,bitIndex8) )
          & ( v2751(VarNext,bitIndex6)
          <=> v2740(VarCurr,bitIndex7) )
          & ( v2751(VarNext,bitIndex5)
          <=> v2740(VarCurr,bitIndex6) )
          & ( v2751(VarNext,bitIndex4)
          <=> v2740(VarCurr,bitIndex5) )
          & ( v2751(VarNext,bitIndex3)
          <=> v2740(VarCurr,bitIndex4) )
          & ( v2751(VarNext,bitIndex2)
          <=> v2740(VarCurr,bitIndex3) )
          & ( v2751(VarNext,bitIndex1)
          <=> v2740(VarCurr,bitIndex2) )
          & ( v2751(VarNext,bitIndex0)
          <=> v2740(VarCurr,bitIndex1) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_30,axiom,(
    ! [VarNext] :
      ( v2752(VarNext)
     => ! [B] :
          ( range_19_0(B)
         => ( v2751(VarNext,B)
          <=> v2762(VarNext,B) ) ) ) )).

fof(addAssignment_351,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_19_0(B)
         => ( v2762(VarNext,B)
          <=> v2760(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_2,axiom,(
    ! [VarCurr] :
      ( ~ v2763(VarCurr)
     => ( ( v2760(VarCurr,bitIndex19)
        <=> v2734(VarCurr,bitIndex20) )
        & ( v2760(VarCurr,bitIndex18)
        <=> v2734(VarCurr,bitIndex19) )
        & ( v2760(VarCurr,bitIndex17)
        <=> v2734(VarCurr,bitIndex18) )
        & ( v2760(VarCurr,bitIndex16)
        <=> v2734(VarCurr,bitIndex17) )
        & ( v2760(VarCurr,bitIndex15)
        <=> v2734(VarCurr,bitIndex16) )
        & ( v2760(VarCurr,bitIndex14)
        <=> v2734(VarCurr,bitIndex15) )
        & ( v2760(VarCurr,bitIndex13)
        <=> v2734(VarCurr,bitIndex14) )
        & ( v2760(VarCurr,bitIndex12)
        <=> v2734(VarCurr,bitIndex13) )
        & ( v2760(VarCurr,bitIndex11)
        <=> v2734(VarCurr,bitIndex12) )
        & ( v2760(VarCurr,bitIndex10)
        <=> v2734(VarCurr,bitIndex11) )
        & ( v2760(VarCurr,bitIndex9)
        <=> v2734(VarCurr,bitIndex10) )
        & ( v2760(VarCurr,bitIndex8)
        <=> v2734(VarCurr,bitIndex9) )
        & ( v2760(VarCurr,bitIndex7)
        <=> v2734(VarCurr,bitIndex8) )
        & ( v2760(VarCurr,bitIndex6)
        <=> v2734(VarCurr,bitIndex7) )
        & ( v2760(VarCurr,bitIndex5)
        <=> v2734(VarCurr,bitIndex6) )
        & ( v2760(VarCurr,bitIndex4)
        <=> v2734(VarCurr,bitIndex5) )
        & ( v2760(VarCurr,bitIndex3)
        <=> v2734(VarCurr,bitIndex4) )
        & ( v2760(VarCurr,bitIndex2)
        <=> v2734(VarCurr,bitIndex3) )
        & ( v2760(VarCurr,bitIndex1)
        <=> v2734(VarCurr,bitIndex2) )
        & ( v2760(VarCurr,bitIndex0)
        <=> v2734(VarCurr,bitIndex1) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_75,axiom,(
    ! [VarCurr] :
      ( v2763(VarCurr)
     => ! [B] :
          ( range_19_0(B)
         => ( v2760(VarCurr,B)
          <=> $false ) ) ) )).

fof(range_axiom_14,axiom,(
    ! [B] :
      ( range_19_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B ) ) )).

fof(bitBlastConstant_344,axiom,(
    ~ b00000000000000000000(bitIndex19) )).

fof(bitBlastConstant_343,axiom,(
    ~ b00000000000000000000(bitIndex18) )).

fof(bitBlastConstant_342,axiom,(
    ~ b00000000000000000000(bitIndex17) )).

fof(bitBlastConstant_341,axiom,(
    ~ b00000000000000000000(bitIndex16) )).

fof(bitBlastConstant_340,axiom,(
    ~ b00000000000000000000(bitIndex15) )).

fof(bitBlastConstant_339,axiom,(
    ~ b00000000000000000000(bitIndex14) )).

fof(bitBlastConstant_338,axiom,(
    ~ b00000000000000000000(bitIndex13) )).

fof(bitBlastConstant_337,axiom,(
    ~ b00000000000000000000(bitIndex12) )).

fof(bitBlastConstant_336,axiom,(
    ~ b00000000000000000000(bitIndex11) )).

fof(bitBlastConstant_335,axiom,(
    ~ b00000000000000000000(bitIndex10) )).

fof(bitBlastConstant_334,axiom,(
    ~ b00000000000000000000(bitIndex9) )).

fof(bitBlastConstant_333,axiom,(
    ~ b00000000000000000000(bitIndex8) )).

fof(bitBlastConstant_332,axiom,(
    ~ b00000000000000000000(bitIndex7) )).

fof(bitBlastConstant_331,axiom,(
    ~ b00000000000000000000(bitIndex6) )).

fof(bitBlastConstant_330,axiom,(
    ~ b00000000000000000000(bitIndex5) )).

fof(bitBlastConstant_329,axiom,(
    ~ b00000000000000000000(bitIndex4) )).

fof(bitBlastConstant_328,axiom,(
    ~ b00000000000000000000(bitIndex3) )).

fof(bitBlastConstant_327,axiom,(
    ~ b00000000000000000000(bitIndex2) )).

fof(bitBlastConstant_326,axiom,(
    ~ b00000000000000000000(bitIndex1) )).

fof(bitBlastConstant_325,axiom,(
    ~ b00000000000000000000(bitIndex0) )).

fof(writeUnaryOperator_441,axiom,(
    ! [VarCurr] :
      ( ~ v2763(VarCurr)
    <=> v2742(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_962,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2752(VarNext)
      <=> v2753(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_961,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2753(VarNext)
      <=> ( v2754(VarNext)
          & v2749(VarNext) ) ) ) )).

fof(writeUnaryOperator_440,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2754(VarNext)
      <=> v2756(VarNext) ) ) )).

fof(addAssignment_350,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2756(VarNext)
      <=> v2749(VarCurr) ) ) )).

fof(addAssignment_349,axiom,(
    ! [VarCurr] :
      ( v2749(VarCurr)
    <=> v660(VarCurr) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch_1,axiom,(
    ! [VarCurr] :
      ( ~ v2745(VarCurr)
     => ( v2734(VarCurr,bitIndex14)
      <=> $false ) ) )).

fof(addConditionBooleanCondShiftedRangesThenBranch,axiom,(
    ! [VarCurr] :
      ( v2745(VarCurr)
     => ( v2734(VarCurr,bitIndex14)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_114,axiom,(
    ! [VarCurr] :
      ( v2745(VarCurr)
    <=> ( $true
      <=> v2740(VarCurr,bitIndex13) ) ) )).

fof(addAssignmentInitValue_6,axiom,(
    ~ v2740(constB0,bitIndex3) )).

fof(addAssignmentInitValue_5,axiom,(
    ~ v2740(constB0,bitIndex2) )).

fof(addAssignmentInitValue_4,axiom,(
    ~ v2740(constB0,bitIndex1) )).

fof(bitBlastConstant_324,axiom,(
    ~ bxxxxxxxxxxxxxxxxx000(bitIndex2) )).

fof(bitBlastConstant_323,axiom,(
    ~ bxxxxxxxxxxxxxxxxx000(bitIndex1) )).

fof(bitBlastConstant_322,axiom,(
    ~ bxxxxxxxxxxxxxxxxx000(bitIndex0) )).

fof(addAssignmentInitValueVector_6,axiom,
    ( v2740(constB0,bitIndex0)
  <=> $true )).

fof(addAssignment_348,axiom,(
    ! [VarCurr] :
      ( v2742(VarCurr)
    <=> v125(VarCurr) ) )).

fof(addAssignment_347,axiom,(
    ! [VarCurr] :
      ( v2736(VarCurr)
    <=> v2738(VarCurr) ) )).

fof(addAssignment_346,axiom,(
    ! [VarCurr] :
      ( v2738(VarCurr)
    <=> v617(VarCurr) ) )).

fof(addAssignment_345,axiom,(
    ! [VarCurr] :
      ( v2726(VarCurr)
    <=> v125(VarCurr) ) )).

fof(addAssignment_344,axiom,(
    ! [VarCurr] :
      ( v642(VarCurr)
    <=> v644(VarCurr) ) )).

fof(addAssignment_343,axiom,(
    ! [VarCurr] :
      ( v644(VarCurr)
    <=> v646(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_73,axiom,(
    ! [VarCurr] :
      ( ~ v2715(VarCurr)
     => ( v646(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_74,axiom,(
    ! [VarCurr] :
      ( v2715(VarCurr)
     => ( v646(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_960,axiom,(
    ! [VarCurr] :
      ( v2715(VarCurr)
    <=> ( v648(VarCurr)
        & v2716(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_113,axiom,(
    ! [VarCurr] :
      ( v2716(VarCurr)
    <=> ( ( v2711(VarCurr,bitIndex6)
        <=> $true )
        & ( v2711(VarCurr,bitIndex5)
        <=> $false )
        & ( v2711(VarCurr,bitIndex4)
        <=> $false )
        & ( v2711(VarCurr,bitIndex3)
        <=> $true )
        & ( v2711(VarCurr,bitIndex2)
        <=> $false )
        & ( v2711(VarCurr,bitIndex1)
        <=> $true )
        & ( v2711(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_342,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v2711(VarCurr,B)
      <=> v2713(VarCurr,B) ) ) )).

fof(addAssignment_341,axiom,(
    ! [VarCurr] :
      ( ( v2713(VarCurr,bitIndex6)
      <=> v652(VarCurr,bitIndex60) )
      & ( v2713(VarCurr,bitIndex5)
      <=> v652(VarCurr,bitIndex59) )
      & ( v2713(VarCurr,bitIndex4)
      <=> v652(VarCurr,bitIndex58) )
      & ( v2713(VarCurr,bitIndex3)
      <=> v652(VarCurr,bitIndex57) )
      & ( v2713(VarCurr,bitIndex2)
      <=> v652(VarCurr,bitIndex56) )
      & ( v2713(VarCurr,bitIndex1)
      <=> v652(VarCurr,bitIndex55) )
      & ( v2713(VarCurr,bitIndex0)
      <=> v652(VarCurr,bitIndex54) ) ) )).

fof(addAssignment_340,axiom,(
    ! [VarCurr,B] :
      ( range_60_54(B)
     => ( v652(VarCurr,B)
      <=> v654(VarCurr,B) ) ) )).

fof(addAssignment_339,axiom,(
    ! [VarCurr,B] :
      ( range_60_54(B)
     => ( v654(VarCurr,B)
      <=> v2670(VarCurr,B) ) ) )).

fof(range_axiom_13,axiom,(
    ! [B] :
      ( range_60_54(B)
    <=> ( $false
        | bitIndex54 = B
        | bitIndex55 = B
        | bitIndex56 = B
        | bitIndex57 = B
        | bitIndex58 = B
        | bitIndex59 = B
        | bitIndex60 = B ) ) )).

fof(addAssignment_338,axiom,(
    ! [VarCurr] :
      ( v648(VarCurr)
    <=> v650(VarCurr) ) )).

fof(addAssignment_337,axiom,(
    ! [VarCurr] :
      ( v650(VarCurr)
    <=> v652(VarCurr,bitIndex53) ) )).

fof(addAssignment_336,axiom,(
    ! [VarCurr] :
      ( v652(VarCurr,bitIndex53)
    <=> v654(VarCurr,bitIndex53) ) )).

fof(addAssignment_335,axiom,(
    ! [VarCurr] :
      ( v654(VarCurr,bitIndex53)
    <=> v2670(VarCurr,bitIndex53) ) )).

fof(addCaseBooleanConditionEqualRanges1_29,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2699(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v2672(VarNext,B)
            <=> v2672(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_29,axiom,(
    ! [VarNext] :
      ( v2699(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v2672(VarNext,B)
          <=> v2707(VarNext,B) ) ) ) )).

fof(addAssignment_334,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v2707(VarNext,B)
          <=> v2705(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_72,axiom,(
    ! [VarCurr] :
      ( ~ v2644(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2705(VarCurr,B)
          <=> v2674(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_73,axiom,(
    ! [VarCurr] :
      ( v2644(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2705(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_959,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2699(VarNext)
      <=> v2700(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_958,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2700(VarNext)
      <=> ( v2702(VarNext)
          & v658(VarNext) ) ) ) )).

fof(writeUnaryOperator_439,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2702(VarNext)
      <=> v2637(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_71,axiom,(
    ! [VarCurr] :
      ( ~ v609(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2674(VarCurr,B)
          <=> v2672(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_72,axiom,(
    ! [VarCurr] :
      ( v609(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2674(VarCurr,B)
          <=> v2676(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_70,axiom,(
    ! [VarCurr] :
      ( ~ v2677(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2676(VarCurr,B)
          <=> v2678(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_71,axiom,(
    ! [VarCurr] :
      ( v2677(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2676(VarCurr,B)
          <=> $false ) ) ) )).

fof(addAssignment_333,axiom,(
    ! [VarCurr] :
      ( v2678(VarCurr,bitIndex0)
    <=> v2694(VarCurr) ) )).

fof(addAssignment_332,axiom,(
    ! [VarCurr] :
      ( v2678(VarCurr,bitIndex1)
    <=> v2692(VarCurr) ) )).

fof(addAssignment_331,axiom,(
    ! [VarCurr] :
      ( v2678(VarCurr,bitIndex2)
    <=> v2687(VarCurr) ) )).

fof(addAssignment_330,axiom,(
    ! [VarCurr] :
      ( v2678(VarCurr,bitIndex3)
    <=> v2680(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_957,axiom,(
    ! [VarCurr] :
      ( v2692(VarCurr)
    <=> ( v2693(VarCurr)
        & v2696(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_219,axiom,(
    ! [VarCurr] :
      ( v2696(VarCurr)
    <=> ( v2672(VarCurr,bitIndex0)
        | v2672(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_956,axiom,(
    ! [VarCurr] :
      ( v2693(VarCurr)
    <=> ( v2694(VarCurr)
        | v2695(VarCurr) ) ) )).

fof(writeUnaryOperator_438,axiom,(
    ! [VarCurr] :
      ( ~ v2695(VarCurr)
    <=> v2672(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_437,axiom,(
    ! [VarCurr] :
      ( ~ v2694(VarCurr)
    <=> v2672(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_955,axiom,(
    ! [VarCurr] :
      ( v2687(VarCurr)
    <=> ( v2688(VarCurr)
        & v2691(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_218,axiom,(
    ! [VarCurr] :
      ( v2691(VarCurr)
    <=> ( v2684(VarCurr)
        | v2672(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_954,axiom,(
    ! [VarCurr] :
      ( v2688(VarCurr)
    <=> ( v2689(VarCurr)
        | v2690(VarCurr) ) ) )).

fof(writeUnaryOperator_436,axiom,(
    ! [VarCurr] :
      ( ~ v2690(VarCurr)
    <=> v2672(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_435,axiom,(
    ! [VarCurr] :
      ( ~ v2689(VarCurr)
    <=> v2684(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_953,axiom,(
    ! [VarCurr] :
      ( v2680(VarCurr)
    <=> ( v2681(VarCurr)
        & v2686(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_217,axiom,(
    ! [VarCurr] :
      ( v2686(VarCurr)
    <=> ( v2683(VarCurr)
        | v2672(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_952,axiom,(
    ! [VarCurr] :
      ( v2681(VarCurr)
    <=> ( v2682(VarCurr)
        | v2685(VarCurr) ) ) )).

fof(writeUnaryOperator_434,axiom,(
    ! [VarCurr] :
      ( ~ v2685(VarCurr)
    <=> v2672(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_433,axiom,(
    ! [VarCurr] :
      ( ~ v2682(VarCurr)
    <=> v2683(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_216,axiom,(
    ! [VarCurr] :
      ( v2683(VarCurr)
    <=> ( v2684(VarCurr)
        & v2672(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_215,axiom,(
    ! [VarCurr] :
      ( v2684(VarCurr)
    <=> ( v2672(VarCurr,bitIndex0)
        & v2672(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_112,axiom,(
    ! [VarCurr] :
      ( v2677(VarCurr)
    <=> ( ( v2672(VarCurr,bitIndex3)
        <=> $true )
        & ( v2672(VarCurr,bitIndex2)
        <=> $false )
        & ( v2672(VarCurr,bitIndex1)
        <=> $false )
        & ( v2672(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(memoryReadIntoBuffer,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v2672_range_3_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( address(A)
             => ! [B] :
                  ( A = AssociatedAddressVar
                 => ( range_60_0(B)
                   => ( v2670(VarNext,B)
                    <=> v656_array(VarNext,A,B) ) ) ) ) ) ) )).

fof(addAssignmentInitValueVector_5,axiom,(
    ! [B] :
      ( range_3_0(B)
     => ( v2672(constB0,B)
      <=> $false ) ) )).

fof(memoryConstantWriteDisabled,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ~ ( $true
              & v2662(VarNext) )
         => ! [B] :
              ( range_60_0(B)
             => ( v656_array(VarNext,A,B)
              <=> v656_1__array(VarNext,A,B) ) ) ) ) )).

fof(memoryConstantWriteEnabledInsideRange,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [A] :
          ( ( $true
            & v2662(VarNext) )
         => ! [B] :
              ( range_60_0(B)
             => ( v656_array(VarNext,A,B)
              <=> b0000000000000000000000000000000000000000000000000000000000000(B) ) ) ) ) )).

fof(bitBlastConstant_321,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex60) )).

fof(bitBlastConstant_320,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex59) )).

fof(bitBlastConstant_319,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex58) )).

fof(bitBlastConstant_318,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex57) )).

fof(bitBlastConstant_317,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex56) )).

fof(bitBlastConstant_316,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex55) )).

fof(bitBlastConstant_315,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex54) )).

fof(bitBlastConstant_314,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex53) )).

fof(bitBlastConstant_313,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex52) )).

fof(bitBlastConstant_312,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex51) )).

fof(bitBlastConstant_311,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex50) )).

fof(bitBlastConstant_310,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex49) )).

fof(bitBlastConstant_309,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex48) )).

fof(bitBlastConstant_308,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex47) )).

fof(bitBlastConstant_307,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex46) )).

fof(bitBlastConstant_306,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex45) )).

fof(bitBlastConstant_305,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex44) )).

fof(bitBlastConstant_304,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex43) )).

fof(bitBlastConstant_303,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex42) )).

fof(bitBlastConstant_302,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex41) )).

fof(bitBlastConstant_301,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex40) )).

fof(bitBlastConstant_300,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex39) )).

fof(bitBlastConstant_299,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex38) )).

fof(bitBlastConstant_298,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex37) )).

fof(bitBlastConstant_297,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex36) )).

fof(bitBlastConstant_296,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex35) )).

fof(bitBlastConstant_295,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex34) )).

fof(bitBlastConstant_294,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex33) )).

fof(bitBlastConstant_293,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex32) )).

fof(bitBlastConstant_292,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex31) )).

fof(bitBlastConstant_291,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex30) )).

fof(bitBlastConstant_290,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex29) )).

fof(bitBlastConstant_289,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex28) )).

fof(bitBlastConstant_288,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex27) )).

fof(bitBlastConstant_287,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_286,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_285,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_284,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_283,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_282,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_281,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_280,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_279,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_278,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_277,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_276,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_275,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_274,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_273,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_272,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_271,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_270,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_269,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_268,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_267,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_266,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_265,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_264,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_263,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_262,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_261,axiom,(
    ~ b0000000000000000000000000000000000000000000000000000000000000(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_951,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2662(VarNext)
      <=> ( v2663(VarNext)
          & v2668(VarNext) ) ) ) )).

fof(addAssignment_329,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2668(VarNext)
      <=> v2659(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_950,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2663(VarNext)
      <=> ( v2665(VarNext)
          & v658(VarNext) ) ) ) )).

fof(writeUnaryOperator_432,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2665(VarNext)
      <=> v2637(VarNext) ) ) )).

fof(memoryWriteDisabled,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v2605_range_3_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( ~ ( A = AssociatedAddressVar
                  & v2650(VarNext) )
             => ! [B] :
                  ( range_60_0(B)
                 => ( v656_1__array(VarNext,A,B)
                  <=> v656_array(VarCurr,A,B) ) ) ) ) ) )).

fof(memoryWriteEnabledInsideRange,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [AssociatedAddressVar] :
          ( v2605_range_3_to_0_address_association(VarNext,AssociatedAddressVar)
         => ! [A] :
              ( ( A = AssociatedAddressVar
                & v2650(VarNext) )
             => ! [B] :
                  ( range_60_0(B)
                 => ( v656_1__array(VarNext,A,B)
                  <=> v665(VarNext,B) ) ) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_949,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2650(VarNext)
      <=> ( v2651(VarNext)
          & v2657(VarNext) ) ) ) )).

fof(addAssignment_328,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2657(VarNext)
      <=> v2655(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_948,axiom,(
    ! [VarCurr] :
      ( v2655(VarCurr)
    <=> ( v2658(VarCurr)
        & v142(VarCurr) ) ) )).

fof(writeUnaryOperator_431,axiom,(
    ! [VarCurr] :
      ( ~ v2658(VarCurr)
    <=> v2659(VarCurr) ) )).

fof(writeUnaryOperator_430,axiom,(
    ! [VarCurr] :
      ( ~ v2659(VarCurr)
    <=> v137(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_947,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2651(VarNext)
      <=> ( v2652(VarNext)
          & v658(VarNext) ) ) ) )).

fof(writeUnaryOperator_429,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2652(VarNext)
      <=> v2637(VarNext) ) ) )).

fof(initSateConstraint_149,axiom,(
    ~ v656_array(constB0,b1001_address_term,bitIndex5) )).

fof(initSateConstraint_148,axiom,(
    ~ v656_array(constB0,b1001_address_term,bitIndex6) )).

fof(initSateConstraint_147,axiom,(
    ~ v656_array(constB0,b1001_address_term,bitIndex7) )).

fof(initSateConstraint_146,axiom,(
    ~ v656_array(constB0,b1001_address_term,bitIndex8) )).

fof(initSateConstraint_145,axiom,(
    ~ v656_array(constB0,b1001_address_term,bitIndex12) )).

fof(initSateConstraint_144,axiom,(
    ~ v656_array(constB0,b1001_address_term,bitIndex13) )).

fof(initSateConstraint_143,axiom,(
    ~ v656_array(constB0,b1001_address_term,bitIndex14) )).

fof(initSateConstraint_142,axiom,(
    ~ v656_array(constB0,b1001_address_term,bitIndex53) )).

fof(initSateConstraint_141,axiom,(
    ~ v656_array(constB0,b1001_address_term,bitIndex54) )).

fof(initSateConstraint_140,axiom,(
    ~ v656_array(constB0,b1001_address_term,bitIndex55) )).

fof(initSateConstraint_139,axiom,(
    ~ v656_array(constB0,b1001_address_term,bitIndex56) )).

fof(initSateConstraint_138,axiom,(
    ~ v656_array(constB0,b1001_address_term,bitIndex57) )).

fof(initSateConstraint_137,axiom,(
    ~ v656_array(constB0,b1001_address_term,bitIndex58) )).

fof(initSateConstraint_136,axiom,(
    ~ v656_array(constB0,b1001_address_term,bitIndex59) )).

fof(initSateConstraint_135,axiom,(
    ~ v656_array(constB0,b1001_address_term,bitIndex60) )).

fof(initSateConstraint_134,axiom,(
    ~ v656_array(constB0,b1000_address_term,bitIndex5) )).

fof(initSateConstraint_133,axiom,(
    ~ v656_array(constB0,b1000_address_term,bitIndex6) )).

fof(initSateConstraint_132,axiom,(
    ~ v656_array(constB0,b1000_address_term,bitIndex7) )).

fof(initSateConstraint_131,axiom,(
    ~ v656_array(constB0,b1000_address_term,bitIndex8) )).

fof(initSateConstraint_130,axiom,(
    ~ v656_array(constB0,b1000_address_term,bitIndex12) )).

fof(initSateConstraint_129,axiom,(
    ~ v656_array(constB0,b1000_address_term,bitIndex13) )).

fof(initSateConstraint_128,axiom,(
    ~ v656_array(constB0,b1000_address_term,bitIndex14) )).

fof(initSateConstraint_127,axiom,(
    ~ v656_array(constB0,b1000_address_term,bitIndex53) )).

fof(initSateConstraint_126,axiom,(
    ~ v656_array(constB0,b1000_address_term,bitIndex54) )).

fof(initSateConstraint_125,axiom,(
    ~ v656_array(constB0,b1000_address_term,bitIndex55) )).

fof(initSateConstraint_124,axiom,(
    ~ v656_array(constB0,b1000_address_term,bitIndex56) )).

fof(initSateConstraint_123,axiom,(
    ~ v656_array(constB0,b1000_address_term,bitIndex57) )).

fof(initSateConstraint_122,axiom,(
    ~ v656_array(constB0,b1000_address_term,bitIndex58) )).

fof(initSateConstraint_121,axiom,(
    ~ v656_array(constB0,b1000_address_term,bitIndex59) )).

fof(initSateConstraint_120,axiom,(
    ~ v656_array(constB0,b1000_address_term,bitIndex60) )).

fof(initSateConstraint_119,axiom,(
    ~ v656_array(constB0,b0111_address_term,bitIndex5) )).

fof(initSateConstraint_118,axiom,(
    ~ v656_array(constB0,b0111_address_term,bitIndex6) )).

fof(initSateConstraint_117,axiom,(
    ~ v656_array(constB0,b0111_address_term,bitIndex7) )).

fof(initSateConstraint_116,axiom,(
    ~ v656_array(constB0,b0111_address_term,bitIndex8) )).

fof(initSateConstraint_115,axiom,(
    ~ v656_array(constB0,b0111_address_term,bitIndex12) )).

fof(initSateConstraint_114,axiom,(
    ~ v656_array(constB0,b0111_address_term,bitIndex13) )).

fof(initSateConstraint_113,axiom,(
    ~ v656_array(constB0,b0111_address_term,bitIndex14) )).

fof(initSateConstraint_112,axiom,(
    ~ v656_array(constB0,b0111_address_term,bitIndex53) )).

fof(initSateConstraint_111,axiom,(
    ~ v656_array(constB0,b0111_address_term,bitIndex54) )).

fof(initSateConstraint_110,axiom,(
    ~ v656_array(constB0,b0111_address_term,bitIndex55) )).

fof(initSateConstraint_109,axiom,(
    ~ v656_array(constB0,b0111_address_term,bitIndex56) )).

fof(initSateConstraint_108,axiom,(
    ~ v656_array(constB0,b0111_address_term,bitIndex57) )).

fof(initSateConstraint_107,axiom,(
    ~ v656_array(constB0,b0111_address_term,bitIndex58) )).

fof(initSateConstraint_106,axiom,(
    ~ v656_array(constB0,b0111_address_term,bitIndex59) )).

fof(initSateConstraint_105,axiom,(
    ~ v656_array(constB0,b0111_address_term,bitIndex60) )).

fof(initSateConstraint_104,axiom,(
    ~ v656_array(constB0,b0110_address_term,bitIndex5) )).

fof(initSateConstraint_103,axiom,(
    ~ v656_array(constB0,b0110_address_term,bitIndex6) )).

fof(initSateConstraint_102,axiom,(
    ~ v656_array(constB0,b0110_address_term,bitIndex7) )).

fof(initSateConstraint_101,axiom,(
    ~ v656_array(constB0,b0110_address_term,bitIndex8) )).

fof(initSateConstraint_100,axiom,(
    ~ v656_array(constB0,b0110_address_term,bitIndex12) )).

fof(initSateConstraint_99,axiom,(
    ~ v656_array(constB0,b0110_address_term,bitIndex13) )).

fof(initSateConstraint_98,axiom,(
    ~ v656_array(constB0,b0110_address_term,bitIndex14) )).

fof(initSateConstraint_97,axiom,(
    ~ v656_array(constB0,b0110_address_term,bitIndex53) )).

fof(initSateConstraint_96,axiom,(
    ~ v656_array(constB0,b0110_address_term,bitIndex54) )).

fof(initSateConstraint_95,axiom,(
    ~ v656_array(constB0,b0110_address_term,bitIndex55) )).

fof(initSateConstraint_94,axiom,(
    ~ v656_array(constB0,b0110_address_term,bitIndex56) )).

fof(initSateConstraint_93,axiom,(
    ~ v656_array(constB0,b0110_address_term,bitIndex57) )).

fof(initSateConstraint_92,axiom,(
    ~ v656_array(constB0,b0110_address_term,bitIndex58) )).

fof(initSateConstraint_91,axiom,(
    ~ v656_array(constB0,b0110_address_term,bitIndex59) )).

fof(initSateConstraint_90,axiom,(
    ~ v656_array(constB0,b0110_address_term,bitIndex60) )).

fof(initSateConstraint_89,axiom,(
    ~ v656_array(constB0,b0101_address_term,bitIndex5) )).

fof(initSateConstraint_88,axiom,(
    ~ v656_array(constB0,b0101_address_term,bitIndex6) )).

fof(initSateConstraint_87,axiom,(
    ~ v656_array(constB0,b0101_address_term,bitIndex7) )).

fof(initSateConstraint_86,axiom,(
    ~ v656_array(constB0,b0101_address_term,bitIndex8) )).

fof(initSateConstraint_85,axiom,(
    ~ v656_array(constB0,b0101_address_term,bitIndex12) )).

fof(initSateConstraint_84,axiom,(
    ~ v656_array(constB0,b0101_address_term,bitIndex13) )).

fof(initSateConstraint_83,axiom,(
    ~ v656_array(constB0,b0101_address_term,bitIndex14) )).

fof(initSateConstraint_82,axiom,(
    ~ v656_array(constB0,b0101_address_term,bitIndex53) )).

fof(initSateConstraint_81,axiom,(
    ~ v656_array(constB0,b0101_address_term,bitIndex54) )).

fof(initSateConstraint_80,axiom,(
    ~ v656_array(constB0,b0101_address_term,bitIndex55) )).

fof(initSateConstraint_79,axiom,(
    ~ v656_array(constB0,b0101_address_term,bitIndex56) )).

fof(initSateConstraint_78,axiom,(
    ~ v656_array(constB0,b0101_address_term,bitIndex57) )).

fof(initSateConstraint_77,axiom,(
    ~ v656_array(constB0,b0101_address_term,bitIndex58) )).

fof(initSateConstraint_76,axiom,(
    ~ v656_array(constB0,b0101_address_term,bitIndex59) )).

fof(initSateConstraint_75,axiom,(
    ~ v656_array(constB0,b0101_address_term,bitIndex60) )).

fof(initSateConstraint_74,axiom,(
    ~ v656_array(constB0,b0100_address_term,bitIndex5) )).

fof(initSateConstraint_73,axiom,(
    ~ v656_array(constB0,b0100_address_term,bitIndex6) )).

fof(initSateConstraint_72,axiom,(
    ~ v656_array(constB0,b0100_address_term,bitIndex7) )).

fof(initSateConstraint_71,axiom,(
    ~ v656_array(constB0,b0100_address_term,bitIndex8) )).

fof(initSateConstraint_70,axiom,(
    ~ v656_array(constB0,b0100_address_term,bitIndex12) )).

fof(initSateConstraint_69,axiom,(
    ~ v656_array(constB0,b0100_address_term,bitIndex13) )).

fof(initSateConstraint_68,axiom,(
    ~ v656_array(constB0,b0100_address_term,bitIndex14) )).

fof(initSateConstraint_67,axiom,(
    ~ v656_array(constB0,b0100_address_term,bitIndex53) )).

fof(initSateConstraint_66,axiom,(
    ~ v656_array(constB0,b0100_address_term,bitIndex54) )).

fof(initSateConstraint_65,axiom,(
    ~ v656_array(constB0,b0100_address_term,bitIndex55) )).

fof(initSateConstraint_64,axiom,(
    ~ v656_array(constB0,b0100_address_term,bitIndex56) )).

fof(initSateConstraint_63,axiom,(
    ~ v656_array(constB0,b0100_address_term,bitIndex57) )).

fof(initSateConstraint_62,axiom,(
    ~ v656_array(constB0,b0100_address_term,bitIndex58) )).

fof(initSateConstraint_61,axiom,(
    ~ v656_array(constB0,b0100_address_term,bitIndex59) )).

fof(initSateConstraint_60,axiom,(
    ~ v656_array(constB0,b0100_address_term,bitIndex60) )).

fof(initSateConstraint_59,axiom,(
    ~ v656_array(constB0,b0011_address_term,bitIndex5) )).

fof(initSateConstraint_58,axiom,(
    ~ v656_array(constB0,b0011_address_term,bitIndex6) )).

fof(initSateConstraint_57,axiom,(
    ~ v656_array(constB0,b0011_address_term,bitIndex7) )).

fof(initSateConstraint_56,axiom,(
    ~ v656_array(constB0,b0011_address_term,bitIndex8) )).

fof(initSateConstraint_55,axiom,(
    ~ v656_array(constB0,b0011_address_term,bitIndex12) )).

fof(initSateConstraint_54,axiom,(
    ~ v656_array(constB0,b0011_address_term,bitIndex13) )).

fof(initSateConstraint_53,axiom,(
    ~ v656_array(constB0,b0011_address_term,bitIndex14) )).

fof(initSateConstraint_52,axiom,(
    ~ v656_array(constB0,b0011_address_term,bitIndex53) )).

fof(initSateConstraint_51,axiom,(
    ~ v656_array(constB0,b0011_address_term,bitIndex54) )).

fof(initSateConstraint_50,axiom,(
    ~ v656_array(constB0,b0011_address_term,bitIndex55) )).

fof(initSateConstraint_49,axiom,(
    ~ v656_array(constB0,b0011_address_term,bitIndex56) )).

fof(initSateConstraint_48,axiom,(
    ~ v656_array(constB0,b0011_address_term,bitIndex57) )).

fof(initSateConstraint_47,axiom,(
    ~ v656_array(constB0,b0011_address_term,bitIndex58) )).

fof(initSateConstraint_46,axiom,(
    ~ v656_array(constB0,b0011_address_term,bitIndex59) )).

fof(initSateConstraint_45,axiom,(
    ~ v656_array(constB0,b0011_address_term,bitIndex60) )).

fof(initSateConstraint_44,axiom,(
    ~ v656_array(constB0,b0010_address_term,bitIndex5) )).

fof(initSateConstraint_43,axiom,(
    ~ v656_array(constB0,b0010_address_term,bitIndex6) )).

fof(initSateConstraint_42,axiom,(
    ~ v656_array(constB0,b0010_address_term,bitIndex7) )).

fof(initSateConstraint_41,axiom,(
    ~ v656_array(constB0,b0010_address_term,bitIndex8) )).

fof(initSateConstraint_40,axiom,(
    ~ v656_array(constB0,b0010_address_term,bitIndex12) )).

fof(initSateConstraint_39,axiom,(
    ~ v656_array(constB0,b0010_address_term,bitIndex13) )).

fof(initSateConstraint_38,axiom,(
    ~ v656_array(constB0,b0010_address_term,bitIndex14) )).

fof(initSateConstraint_37,axiom,(
    ~ v656_array(constB0,b0010_address_term,bitIndex53) )).

fof(initSateConstraint_36,axiom,(
    ~ v656_array(constB0,b0010_address_term,bitIndex54) )).

fof(initSateConstraint_35,axiom,(
    ~ v656_array(constB0,b0010_address_term,bitIndex55) )).

fof(initSateConstraint_34,axiom,(
    ~ v656_array(constB0,b0010_address_term,bitIndex56) )).

fof(initSateConstraint_33,axiom,(
    ~ v656_array(constB0,b0010_address_term,bitIndex57) )).

fof(initSateConstraint_32,axiom,(
    ~ v656_array(constB0,b0010_address_term,bitIndex58) )).

fof(initSateConstraint_31,axiom,(
    ~ v656_array(constB0,b0010_address_term,bitIndex59) )).

fof(initSateConstraint_30,axiom,(
    ~ v656_array(constB0,b0010_address_term,bitIndex60) )).

fof(initSateConstraint_29,axiom,(
    ~ v656_array(constB0,b0001_address_term,bitIndex5) )).

fof(initSateConstraint_28,axiom,(
    ~ v656_array(constB0,b0001_address_term,bitIndex6) )).

fof(initSateConstraint_27,axiom,(
    ~ v656_array(constB0,b0001_address_term,bitIndex7) )).

fof(initSateConstraint_26,axiom,(
    ~ v656_array(constB0,b0001_address_term,bitIndex8) )).

fof(initSateConstraint_25,axiom,(
    ~ v656_array(constB0,b0001_address_term,bitIndex12) )).

fof(initSateConstraint_24,axiom,(
    ~ v656_array(constB0,b0001_address_term,bitIndex13) )).

fof(initSateConstraint_23,axiom,(
    ~ v656_array(constB0,b0001_address_term,bitIndex14) )).

fof(initSateConstraint_22,axiom,(
    ~ v656_array(constB0,b0001_address_term,bitIndex53) )).

fof(initSateConstraint_21,axiom,(
    ~ v656_array(constB0,b0001_address_term,bitIndex54) )).

fof(initSateConstraint_20,axiom,(
    ~ v656_array(constB0,b0001_address_term,bitIndex55) )).

fof(initSateConstraint_19,axiom,(
    ~ v656_array(constB0,b0001_address_term,bitIndex56) )).

fof(initSateConstraint_18,axiom,(
    ~ v656_array(constB0,b0001_address_term,bitIndex57) )).

fof(initSateConstraint_17,axiom,(
    ~ v656_array(constB0,b0001_address_term,bitIndex58) )).

fof(initSateConstraint_16,axiom,(
    ~ v656_array(constB0,b0001_address_term,bitIndex59) )).

fof(initSateConstraint_15,axiom,(
    ~ v656_array(constB0,b0001_address_term,bitIndex60) )).

fof(initSateConstraint_14,axiom,(
    ~ v656_array(constB0,b0000_address_term,bitIndex5) )).

fof(initSateConstraint_13,axiom,(
    ~ v656_array(constB0,b0000_address_term,bitIndex6) )).

fof(initSateConstraint_12,axiom,(
    ~ v656_array(constB0,b0000_address_term,bitIndex7) )).

fof(initSateConstraint_11,axiom,(
    ~ v656_array(constB0,b0000_address_term,bitIndex8) )).

fof(initSateConstraint_10,axiom,(
    ~ v656_array(constB0,b0000_address_term,bitIndex12) )).

fof(initSateConstraint_9,axiom,(
    ~ v656_array(constB0,b0000_address_term,bitIndex13) )).

fof(initSateConstraint_8,axiom,(
    ~ v656_array(constB0,b0000_address_term,bitIndex14) )).

fof(initSateConstraint_7,axiom,(
    ~ v656_array(constB0,b0000_address_term,bitIndex53) )).

fof(initSateConstraint_6,axiom,(
    ~ v656_array(constB0,b0000_address_term,bitIndex54) )).

fof(initSateConstraint_5,axiom,(
    ~ v656_array(constB0,b0000_address_term,bitIndex55) )).

fof(initSateConstraint_4,axiom,(
    ~ v656_array(constB0,b0000_address_term,bitIndex56) )).

fof(initSateConstraint_3,axiom,(
    ~ v656_array(constB0,b0000_address_term,bitIndex57) )).

fof(initSateConstraint_2,axiom,(
    ~ v656_array(constB0,b0000_address_term,bitIndex58) )).

fof(initSateConstraint_1,axiom,(
    ~ v656_array(constB0,b0000_address_term,bitIndex59) )).

fof(initSateConstraint,axiom,(
    ~ v656_array(constB0,b0000_address_term,bitIndex60) )).

fof(addCaseBooleanConditionEqualRanges1_28,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2633(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v2605(VarNext,B)
            <=> v2605(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_28,axiom,(
    ! [VarNext] :
      ( v2633(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v2605(VarNext,B)
          <=> v2643(VarNext,B) ) ) ) )).

fof(addAssignment_327,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v2643(VarNext,B)
          <=> v2641(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_69,axiom,(
    ! [VarCurr] :
      ( ~ v2644(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2641(VarCurr,B)
          <=> v2607(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_70,axiom,(
    ! [VarCurr] :
      ( v2644(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2641(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeUnaryOperator_428,axiom,(
    ! [VarCurr] :
      ( ~ v2644(VarCurr)
    <=> v137(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_946,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2633(VarNext)
      <=> v2634(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_945,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2634(VarNext)
      <=> ( v2635(VarNext)
          & v658(VarNext) ) ) ) )).

fof(writeUnaryOperator_427,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2635(VarNext)
      <=> v2637(VarNext) ) ) )).

fof(addAssignment_326,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2637(VarNext)
      <=> v658(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_68,axiom,(
    ! [VarCurr] :
      ( ~ v142(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2607(VarCurr,B)
          <=> v2605(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_69,axiom,(
    ! [VarCurr] :
      ( v142(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2607(VarCurr,B)
          <=> v2610(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_67,axiom,(
    ! [VarCurr] :
      ( ~ v2611(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2610(VarCurr,B)
          <=> v2612(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_68,axiom,(
    ! [VarCurr] :
      ( v2611(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2610(VarCurr,B)
          <=> $false ) ) ) )).

fof(addAssignment_325,axiom,(
    ! [VarCurr] :
      ( v2612(VarCurr,bitIndex0)
    <=> v2628(VarCurr) ) )).

fof(addAssignment_324,axiom,(
    ! [VarCurr] :
      ( v2612(VarCurr,bitIndex1)
    <=> v2626(VarCurr) ) )).

fof(addAssignment_323,axiom,(
    ! [VarCurr] :
      ( v2612(VarCurr,bitIndex2)
    <=> v2621(VarCurr) ) )).

fof(addAssignment_322,axiom,(
    ! [VarCurr] :
      ( v2612(VarCurr,bitIndex3)
    <=> v2614(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_944,axiom,(
    ! [VarCurr] :
      ( v2626(VarCurr)
    <=> ( v2627(VarCurr)
        & v2630(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_214,axiom,(
    ! [VarCurr] :
      ( v2630(VarCurr)
    <=> ( v2605(VarCurr,bitIndex0)
        | v2605(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_943,axiom,(
    ! [VarCurr] :
      ( v2627(VarCurr)
    <=> ( v2628(VarCurr)
        | v2629(VarCurr) ) ) )).

fof(writeUnaryOperator_426,axiom,(
    ! [VarCurr] :
      ( ~ v2629(VarCurr)
    <=> v2605(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_425,axiom,(
    ! [VarCurr] :
      ( ~ v2628(VarCurr)
    <=> v2605(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_942,axiom,(
    ! [VarCurr] :
      ( v2621(VarCurr)
    <=> ( v2622(VarCurr)
        & v2625(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_213,axiom,(
    ! [VarCurr] :
      ( v2625(VarCurr)
    <=> ( v2618(VarCurr)
        | v2605(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_941,axiom,(
    ! [VarCurr] :
      ( v2622(VarCurr)
    <=> ( v2623(VarCurr)
        | v2624(VarCurr) ) ) )).

fof(writeUnaryOperator_424,axiom,(
    ! [VarCurr] :
      ( ~ v2624(VarCurr)
    <=> v2605(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_423,axiom,(
    ! [VarCurr] :
      ( ~ v2623(VarCurr)
    <=> v2618(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_940,axiom,(
    ! [VarCurr] :
      ( v2614(VarCurr)
    <=> ( v2615(VarCurr)
        & v2620(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_212,axiom,(
    ! [VarCurr] :
      ( v2620(VarCurr)
    <=> ( v2617(VarCurr)
        | v2605(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_939,axiom,(
    ! [VarCurr] :
      ( v2615(VarCurr)
    <=> ( v2616(VarCurr)
        | v2619(VarCurr) ) ) )).

fof(writeUnaryOperator_422,axiom,(
    ! [VarCurr] :
      ( ~ v2619(VarCurr)
    <=> v2605(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_421,axiom,(
    ! [VarCurr] :
      ( ~ v2616(VarCurr)
    <=> v2617(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_211,axiom,(
    ! [VarCurr] :
      ( v2617(VarCurr)
    <=> ( v2618(VarCurr)
        & v2605(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_210,axiom,(
    ! [VarCurr] :
      ( v2618(VarCurr)
    <=> ( v2605(VarCurr,bitIndex0)
        & v2605(VarCurr,bitIndex1) ) ) )).

fof(addBitVectorEqualityBitBlasted_111,axiom,(
    ! [VarCurr] :
      ( v2611(VarCurr)
    <=> ( ( v2605(VarCurr,bitIndex3)
        <=> $true )
        & ( v2605(VarCurr,bitIndex2)
        <=> $false )
        & ( v2605(VarCurr,bitIndex1)
        <=> $false )
        & ( v2605(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_260,axiom,(
    b1001(bitIndex3) )).

fof(bitBlastConstant_259,axiom,(
    ~ b1001(bitIndex2) )).

fof(bitBlastConstant_258,axiom,(
    ~ b1001(bitIndex1) )).

fof(bitBlastConstant_257,axiom,(
    b1001(bitIndex0) )).

fof(addAssignmentInitValueVector_4,axiom,(
    ! [B] :
      ( range_3_0(B)
     => ( v2605(constB0,B)
      <=> $false ) ) )).

fof(addAssignment_321,axiom,(
    ! [VarCurr,B] :
      ( range_60_0(B)
     => ( v665(VarCurr,B)
      <=> v667(VarCurr,B) ) ) )).

fof(addAssignment_320,axiom,(
    ! [VarCurr,B] :
      ( range_60_0(B)
     => ( v667(VarCurr,B)
      <=> v669(VarCurr,B) ) ) )).

fof(addAssignment_319,axiom,(
    ! [VarCurr,B] :
      ( range_60_0(B)
     => ( v669(VarCurr,B)
      <=> v671(VarCurr,B) ) ) )).

fof(addAssignment_318,axiom,(
    ! [VarCurr,B] :
      ( range_60_0(B)
     => ( v671(VarCurr,B)
      <=> v673(VarCurr,B) ) ) )).

fof(addAssignment_317,axiom,(
    ! [VarCurr,B] :
      ( range_60_0(B)
     => ( v673(VarCurr,B)
      <=> v675(VarCurr,B) ) ) )).

fof(range_axiom_12,axiom,(
    ! [B] :
      ( range_60_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B
        | bitIndex41 = B
        | bitIndex42 = B
        | bitIndex43 = B
        | bitIndex44 = B
        | bitIndex45 = B
        | bitIndex46 = B
        | bitIndex47 = B
        | bitIndex48 = B
        | bitIndex49 = B
        | bitIndex50 = B
        | bitIndex51 = B
        | bitIndex52 = B
        | bitIndex53 = B
        | bitIndex54 = B
        | bitIndex55 = B
        | bitIndex56 = B
        | bitIndex57 = B
        | bitIndex58 = B
        | bitIndex59 = B
        | bitIndex60 = B ) ) )).

fof(addAssignment_316,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v675(VarCurr,B)
      <=> v2479(VarCurr,B) ) ) )).

fof(addAssignment_315,axiom,(
    ! [VarCurr] :
      ( ( v675(VarCurr,bitIndex11)
      <=> v1887(VarCurr,bitIndex6) )
      & ( v675(VarCurr,bitIndex10)
      <=> v1887(VarCurr,bitIndex5) )
      & ( v675(VarCurr,bitIndex9)
      <=> v1887(VarCurr,bitIndex4) )
      & ( v675(VarCurr,bitIndex8)
      <=> v1887(VarCurr,bitIndex3) )
      & ( v675(VarCurr,bitIndex7)
      <=> v1887(VarCurr,bitIndex2) )
      & ( v675(VarCurr,bitIndex6)
      <=> v1887(VarCurr,bitIndex1) )
      & ( v675(VarCurr,bitIndex5)
      <=> v1887(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_314,axiom,(
    ! [VarCurr] :
      ( ( v675(VarCurr,bitIndex14)
      <=> v1782(VarCurr,bitIndex2) )
      & ( v675(VarCurr,bitIndex13)
      <=> v1782(VarCurr,bitIndex1) )
      & ( v675(VarCurr,bitIndex12)
      <=> v1782(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_313,axiom,(
    ! [VarCurr] :
      ( ( v675(VarCurr,bitIndex52)
      <=> v2603(VarCurr,bitIndex37) )
      & ( v675(VarCurr,bitIndex51)
      <=> v2603(VarCurr,bitIndex36) )
      & ( v675(VarCurr,bitIndex50)
      <=> v2603(VarCurr,bitIndex35) )
      & ( v675(VarCurr,bitIndex49)
      <=> v2603(VarCurr,bitIndex34) )
      & ( v675(VarCurr,bitIndex48)
      <=> v2603(VarCurr,bitIndex33) )
      & ( v675(VarCurr,bitIndex47)
      <=> v2603(VarCurr,bitIndex32) )
      & ( v675(VarCurr,bitIndex46)
      <=> v2603(VarCurr,bitIndex31) )
      & ( v675(VarCurr,bitIndex45)
      <=> v2603(VarCurr,bitIndex30) )
      & ( v675(VarCurr,bitIndex44)
      <=> v2603(VarCurr,bitIndex29) )
      & ( v675(VarCurr,bitIndex43)
      <=> v2603(VarCurr,bitIndex28) )
      & ( v675(VarCurr,bitIndex42)
      <=> v2603(VarCurr,bitIndex27) )
      & ( v675(VarCurr,bitIndex41)
      <=> v2603(VarCurr,bitIndex26) )
      & ( v675(VarCurr,bitIndex40)
      <=> v2603(VarCurr,bitIndex25) )
      & ( v675(VarCurr,bitIndex39)
      <=> v2603(VarCurr,bitIndex24) )
      & ( v675(VarCurr,bitIndex38)
      <=> v2603(VarCurr,bitIndex23) )
      & ( v675(VarCurr,bitIndex37)
      <=> v2603(VarCurr,bitIndex22) )
      & ( v675(VarCurr,bitIndex36)
      <=> v2603(VarCurr,bitIndex21) )
      & ( v675(VarCurr,bitIndex35)
      <=> v2603(VarCurr,bitIndex20) )
      & ( v675(VarCurr,bitIndex34)
      <=> v2603(VarCurr,bitIndex19) )
      & ( v675(VarCurr,bitIndex33)
      <=> v2603(VarCurr,bitIndex18) )
      & ( v675(VarCurr,bitIndex32)
      <=> v2603(VarCurr,bitIndex17) )
      & ( v675(VarCurr,bitIndex31)
      <=> v2603(VarCurr,bitIndex16) )
      & ( v675(VarCurr,bitIndex30)
      <=> v2603(VarCurr,bitIndex15) )
      & ( v675(VarCurr,bitIndex29)
      <=> v2603(VarCurr,bitIndex14) )
      & ( v675(VarCurr,bitIndex28)
      <=> v2603(VarCurr,bitIndex13) )
      & ( v675(VarCurr,bitIndex27)
      <=> v2603(VarCurr,bitIndex12) )
      & ( v675(VarCurr,bitIndex26)
      <=> v2603(VarCurr,bitIndex11) )
      & ( v675(VarCurr,bitIndex25)
      <=> v2603(VarCurr,bitIndex10) )
      & ( v675(VarCurr,bitIndex24)
      <=> v2603(VarCurr,bitIndex9) )
      & ( v675(VarCurr,bitIndex23)
      <=> v2603(VarCurr,bitIndex8) )
      & ( v675(VarCurr,bitIndex22)
      <=> v2603(VarCurr,bitIndex7) )
      & ( v675(VarCurr,bitIndex21)
      <=> v2603(VarCurr,bitIndex6) )
      & ( v675(VarCurr,bitIndex20)
      <=> v2603(VarCurr,bitIndex5) )
      & ( v675(VarCurr,bitIndex19)
      <=> v2603(VarCurr,bitIndex4) )
      & ( v675(VarCurr,bitIndex18)
      <=> v2603(VarCurr,bitIndex3) )
      & ( v675(VarCurr,bitIndex17)
      <=> v2603(VarCurr,bitIndex2) )
      & ( v675(VarCurr,bitIndex16)
      <=> v2603(VarCurr,bitIndex1) )
      & ( v675(VarCurr,bitIndex15)
      <=> v2603(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_312,axiom,(
    ! [VarCurr] :
      ( v675(VarCurr,bitIndex53)
    <=> v738(VarCurr) ) )).

fof(addAssignment_311,axiom,(
    ! [VarCurr] :
      ( ( v675(VarCurr,bitIndex60)
      <=> v677(VarCurr,bitIndex6) )
      & ( v675(VarCurr,bitIndex59)
      <=> v677(VarCurr,bitIndex5) )
      & ( v675(VarCurr,bitIndex58)
      <=> v677(VarCurr,bitIndex4) )
      & ( v675(VarCurr,bitIndex57)
      <=> v677(VarCurr,bitIndex3) )
      & ( v675(VarCurr,bitIndex56)
      <=> v677(VarCurr,bitIndex2) )
      & ( v675(VarCurr,bitIndex55)
      <=> v677(VarCurr,bitIndex1) )
      & ( v675(VarCurr,bitIndex54)
      <=> v677(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_310,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v2603(VarCurr,B)
      <=> v1668(VarCurr,B) ) ) )).

fof(addAssignment_309,axiom,(
    ! [VarCurr] :
      ( ( v2603(VarCurr,bitIndex37)
      <=> v1605(VarCurr,bitIndex30) )
      & ( v2603(VarCurr,bitIndex36)
      <=> v1605(VarCurr,bitIndex29) )
      & ( v2603(VarCurr,bitIndex35)
      <=> v1605(VarCurr,bitIndex28) )
      & ( v2603(VarCurr,bitIndex34)
      <=> v1605(VarCurr,bitIndex27) )
      & ( v2603(VarCurr,bitIndex33)
      <=> v1605(VarCurr,bitIndex26) )
      & ( v2603(VarCurr,bitIndex32)
      <=> v1605(VarCurr,bitIndex25) )
      & ( v2603(VarCurr,bitIndex31)
      <=> v1605(VarCurr,bitIndex24) )
      & ( v2603(VarCurr,bitIndex30)
      <=> v1605(VarCurr,bitIndex23) )
      & ( v2603(VarCurr,bitIndex29)
      <=> v1605(VarCurr,bitIndex22) )
      & ( v2603(VarCurr,bitIndex28)
      <=> v1605(VarCurr,bitIndex21) )
      & ( v2603(VarCurr,bitIndex27)
      <=> v1605(VarCurr,bitIndex20) )
      & ( v2603(VarCurr,bitIndex26)
      <=> v1605(VarCurr,bitIndex19) )
      & ( v2603(VarCurr,bitIndex25)
      <=> v1605(VarCurr,bitIndex18) )
      & ( v2603(VarCurr,bitIndex24)
      <=> v1605(VarCurr,bitIndex17) )
      & ( v2603(VarCurr,bitIndex23)
      <=> v1605(VarCurr,bitIndex16) )
      & ( v2603(VarCurr,bitIndex22)
      <=> v1605(VarCurr,bitIndex15) )
      & ( v2603(VarCurr,bitIndex21)
      <=> v1605(VarCurr,bitIndex14) )
      & ( v2603(VarCurr,bitIndex20)
      <=> v1605(VarCurr,bitIndex13) )
      & ( v2603(VarCurr,bitIndex19)
      <=> v1605(VarCurr,bitIndex12) )
      & ( v2603(VarCurr,bitIndex18)
      <=> v1605(VarCurr,bitIndex11) )
      & ( v2603(VarCurr,bitIndex17)
      <=> v1605(VarCurr,bitIndex10) )
      & ( v2603(VarCurr,bitIndex16)
      <=> v1605(VarCurr,bitIndex9) )
      & ( v2603(VarCurr,bitIndex15)
      <=> v1605(VarCurr,bitIndex8) )
      & ( v2603(VarCurr,bitIndex14)
      <=> v1605(VarCurr,bitIndex7) )
      & ( v2603(VarCurr,bitIndex13)
      <=> v1605(VarCurr,bitIndex6) )
      & ( v2603(VarCurr,bitIndex12)
      <=> v1605(VarCurr,bitIndex5) )
      & ( v2603(VarCurr,bitIndex11)
      <=> v1605(VarCurr,bitIndex4) )
      & ( v2603(VarCurr,bitIndex10)
      <=> v1605(VarCurr,bitIndex3) )
      & ( v2603(VarCurr,bitIndex9)
      <=> v1605(VarCurr,bitIndex2) )
      & ( v2603(VarCurr,bitIndex8)
      <=> v1605(VarCurr,bitIndex1) )
      & ( v2603(VarCurr,bitIndex7)
      <=> v1605(VarCurr,bitIndex0) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_27,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2564(VarNext)
       => ! [B] :
            ( range_4_0(B)
           => ( v2479(VarNext,B)
            <=> v2479(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_27,axiom,(
    ! [VarNext] :
      ( v2564(VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v2479(VarNext,B)
          <=> v2599(VarNext,B) ) ) ) )).

fof(addAssignment_308,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v2599(VarNext,B)
          <=> v2597(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_35,axiom,(
    ! [VarCurr] :
      ( ~ v408(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v2597(VarCurr,B)
          <=> v2481(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_35,axiom,(
    ! [VarCurr] :
      ( v408(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v2597(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_938,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2564(VarNext)
      <=> ( v2565(VarNext)
          & v2572(VarNext) ) ) ) )).

fof(addAssignment_307,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2572(VarNext)
      <=> v2570(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_937,axiom,(
    ! [VarCurr] :
      ( v2570(VarCurr)
    <=> ( v2573(VarCurr)
        & v2578(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_936,axiom,(
    ! [VarCurr] :
      ( v2578(VarCurr)
    <=> ( v2579(VarCurr)
        | v408(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_935,axiom,(
    ! [VarCurr] :
      ( v2579(VarCurr)
    <=> ( v2580(VarCurr)
        & v2596(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_934,axiom,(
    ! [VarCurr] :
      ( v2596(VarCurr)
    <=> ( v411(VarCurr)
        | v2576(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_933,axiom,(
    ! [VarCurr] :
      ( v2580(VarCurr)
    <=> ( v2581(VarCurr)
        & v2583(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_932,axiom,(
    ! [VarCurr] :
      ( v2583(VarCurr)
    <=> ( v2584(VarCurr)
        | v2595(VarCurr) ) ) )).

fof(writeUnaryOperator_420,axiom,(
    ! [VarCurr] :
      ( ~ v2595(VarCurr)
    <=> v414(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_931,axiom,(
    ! [VarCurr] :
      ( v2584(VarCurr)
    <=> ( v2585(VarCurr)
        & v2586(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_930,axiom,(
    ! [VarCurr] :
      ( v2586(VarCurr)
    <=> ( v2587(VarCurr)
        | v2594(VarCurr) ) ) )).

fof(writeUnaryOperator_419,axiom,(
    ! [VarCurr] :
      ( ~ v2594(VarCurr)
    <=> v413(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_929,axiom,(
    ! [VarCurr] :
      ( v2587(VarCurr)
    <=> ( v2588(VarCurr)
        & v2593(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_928,axiom,(
    ! [VarCurr] :
      ( v2593(VarCurr)
    <=> ( v430(VarCurr)
        | v443(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_927,axiom,(
    ! [VarCurr] :
      ( v2588(VarCurr)
    <=> ( v2589(VarCurr)
        & v2591(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_926,axiom,(
    ! [VarCurr] :
      ( v2591(VarCurr)
    <=> ( v312(VarCurr)
        | v2592(VarCurr) ) ) )).

fof(writeUnaryOperator_418,axiom,(
    ! [VarCurr] :
      ( ~ v2592(VarCurr)
    <=> v443(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_925,axiom,(
    ! [VarCurr] :
      ( v2589(VarCurr)
    <=> ( v312(VarCurr)
        | v2590(VarCurr) ) ) )).

fof(writeUnaryOperator_417,axiom,(
    ! [VarCurr] :
      ( ~ v2590(VarCurr)
    <=> v430(VarCurr) ) )).

fof(writeUnaryOperator_416,axiom,(
    ! [VarCurr] :
      ( ~ v2585(VarCurr)
    <=> v424(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_924,axiom,(
    ! [VarCurr] :
      ( v2581(VarCurr)
    <=> ( v312(VarCurr)
        | v2582(VarCurr) ) ) )).

fof(writeUnaryOperator_415,axiom,(
    ! [VarCurr] :
      ( ~ v2582(VarCurr)
    <=> v411(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_923,axiom,(
    ! [VarCurr] :
      ( v2573(VarCurr)
    <=> ( v408(VarCurr)
        | v2574(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_922,axiom,(
    ! [VarCurr] :
      ( v2574(VarCurr)
    <=> ( v2575(VarCurr)
        & v2577(VarCurr) ) ) )).

fof(writeUnaryOperator_414,axiom,(
    ! [VarCurr] :
      ( ~ v2577(VarCurr)
    <=> v408(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_921,axiom,(
    ! [VarCurr] :
      ( v2575(VarCurr)
    <=> ( v411(VarCurr)
        | v2576(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_920,axiom,(
    ! [VarCurr] :
      ( v2576(VarCurr)
    <=> ( v413(VarCurr)
        & v414(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_919,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2565(VarNext)
      <=> ( v2567(VarNext)
          & v320(VarNext) ) ) ) )).

fof(writeUnaryOperator_413,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2567(VarNext)
      <=> v329(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_26,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2511(VarNext)
       => ! [B] :
            ( range_4_0(B)
           => ( v2481(VarNext,B)
            <=> v2481(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_26,axiom,(
    ! [VarNext] :
      ( v2511(VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v2481(VarNext,B)
          <=> v2557(VarNext,B) ) ) ) )).

fof(addAssignment_306,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_4_0(B)
         => ( v2557(VarNext,B)
          <=> v2555(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_34,axiom,(
    ! [VarCurr] :
      ( ~ v691(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v2555(VarCurr,B)
          <=> v2558(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_34,axiom,(
    ! [VarCurr] :
      ( v691(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v2555(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_10,axiom,(
    ! [VarCurr] :
      ( ( ~ v2524(VarCurr)
        & ~ v2535(VarCurr) )
     => ! [B] :
          ( range_4_0(B)
         => ( v2558(VarCurr,B)
          <=> v2502(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_33,axiom,(
    ! [VarCurr] :
      ( v2535(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v2558(VarCurr,B)
          <=> v2559(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_33,axiom,(
    ! [VarCurr] :
      ( v2524(VarCurr)
     => ! [B] :
          ( range_4_0(B)
         => ( v2558(VarCurr,B)
          <=> v2484(VarCurr,B) ) ) ) )).

fof(addAssignment_305,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v2559(VarCurr,B)
      <=> v2494(VarCurr,B) ) ) )).

fof(addAssignment_304,axiom,(
    ! [VarCurr] :
      ( ( v2559(VarCurr,bitIndex4)
      <=> $false )
      & ( v2559(VarCurr,bitIndex3)
      <=> $false )
      & ( v2559(VarCurr,bitIndex2)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_918,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2511(VarNext)
      <=> ( v2512(VarNext)
          & v2519(VarNext) ) ) ) )).

fof(addAssignment_303,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2519(VarNext)
      <=> v2517(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_917,axiom,(
    ! [VarCurr] :
      ( v2517(VarCurr)
    <=> ( v2520(VarCurr)
        & v2539(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_916,axiom,(
    ! [VarCurr] :
      ( v2539(VarCurr)
    <=> ( v2540(VarCurr)
        | v691(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_915,axiom,(
    ! [VarCurr] :
      ( v2540(VarCurr)
    <=> ( v2541(VarCurr)
        & v2553(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_914,axiom,(
    ! [VarCurr] :
      ( v2553(VarCurr)
    <=> ( v167(VarCurr)
        | v2554(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_913,axiom,(
    ! [VarCurr] :
      ( v2554(VarCurr)
    <=> ( v2524(VarCurr)
        | v2535(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_912,axiom,(
    ! [VarCurr] :
      ( v2541(VarCurr)
    <=> ( v2542(VarCurr)
        & v2551(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_911,axiom,(
    ! [VarCurr] :
      ( v2551(VarCurr)
    <=> ( v167(VarCurr)
        | v2552(VarCurr) ) ) )).

fof(writeUnaryOperator_412,axiom,(
    ! [VarCurr] :
      ( ~ v2552(VarCurr)
    <=> v2535(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_910,axiom,(
    ! [VarCurr] :
      ( v2542(VarCurr)
    <=> ( v2543(VarCurr)
        | v2550(VarCurr) ) ) )).

fof(writeUnaryOperator_411,axiom,(
    ! [VarCurr] :
      ( ~ v2550(VarCurr)
    <=> v2530(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_909,axiom,(
    ! [VarCurr] :
      ( v2543(VarCurr)
    <=> ( v2544(VarCurr)
        & v2547(VarCurr) ) ) )).

fof(writeUnaryOperator_410,axiom,(
    ! [VarCurr] :
      ( ~ v2547(VarCurr)
    <=> v2548(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_110,axiom,(
    ! [VarCurr] :
      ( v2548(VarCurr)
    <=> ( ( v2549(VarCurr,bitIndex1)
        <=> $false )
        & ( v2549(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addAssignment_302,axiom,(
    ! [VarCurr] :
      ( v2549(VarCurr,bitIndex0)
    <=> v271(VarCurr) ) )).

fof(addAssignment_301,axiom,(
    ! [VarCurr] :
      ( v2549(VarCurr,bitIndex1)
    <=> v167(VarCurr) ) )).

fof(writeUnaryOperator_409,axiom,(
    ! [VarCurr] :
      ( ~ v2544(VarCurr)
    <=> v2545(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_109,axiom,(
    ! [VarCurr] :
      ( v2545(VarCurr)
    <=> ( ( v2546(VarCurr,bitIndex1)
        <=> $false )
        & ( v2546(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_300,axiom,(
    ! [VarCurr] :
      ( v2546(VarCurr,bitIndex0)
    <=> v271(VarCurr) ) )).

fof(addAssignment_299,axiom,(
    ! [VarCurr] :
      ( v2546(VarCurr,bitIndex1)
    <=> v167(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_908,axiom,(
    ! [VarCurr] :
      ( v2520(VarCurr)
    <=> ( v691(VarCurr)
        | v2521(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_907,axiom,(
    ! [VarCurr] :
      ( v2521(VarCurr)
    <=> ( v2522(VarCurr)
        & v2538(VarCurr) ) ) )).

fof(writeUnaryOperator_408,axiom,(
    ! [VarCurr] :
      ( ~ v2538(VarCurr)
    <=> v691(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_906,axiom,(
    ! [VarCurr] :
      ( v2522(VarCurr)
    <=> ( v2523(VarCurr)
        | v2536(VarCurr) ) ) )).

fof(writeUnaryOperator_407,axiom,(
    ! [VarCurr] :
      ( ~ v2536(VarCurr)
    <=> v2537(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_905,axiom,(
    ! [VarCurr] :
      ( v2537(VarCurr)
    <=> ( v2530(VarCurr)
        | v2535(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_904,axiom,(
    ! [VarCurr] :
      ( v2523(VarCurr)
    <=> ( v2524(VarCurr)
        | v2535(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_108,axiom,(
    ! [VarCurr] :
      ( v2535(VarCurr)
    <=> ( ( v214(VarCurr,bitIndex3)
        <=> $false )
        & ( v214(VarCurr,bitIndex2)
        <=> $true )
        & ( v214(VarCurr,bitIndex1)
        <=> $true )
        & ( v214(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_903,axiom,(
    ! [VarCurr] :
      ( v2524(VarCurr)
    <=> ( v2525(VarCurr)
        & v2530(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_902,axiom,(
    ! [VarCurr] :
      ( v2530(VarCurr)
    <=> ( v2531(VarCurr)
        | v2534(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_107,axiom,(
    ! [VarCurr] :
      ( v2534(VarCurr)
    <=> ( ( v214(VarCurr,bitIndex3)
        <=> $false )
        & ( v214(VarCurr,bitIndex2)
        <=> $true )
        & ( v214(VarCurr,bitIndex1)
        <=> $false )
        & ( v214(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_901,axiom,(
    ! [VarCurr] :
      ( v2531(VarCurr)
    <=> ( v2532(VarCurr)
        | v2533(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_106,axiom,(
    ! [VarCurr] :
      ( v2533(VarCurr)
    <=> ( ( v214(VarCurr,bitIndex3)
        <=> $false )
        & ( v214(VarCurr,bitIndex2)
        <=> $false )
        & ( v214(VarCurr,bitIndex1)
        <=> $false )
        & ( v214(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_105,axiom,(
    ! [VarCurr] :
      ( v2532(VarCurr)
    <=> ( ( v214(VarCurr,bitIndex3)
        <=> $false )
        & ( v214(VarCurr,bitIndex2)
        <=> $false )
        & ( v214(VarCurr,bitIndex1)
        <=> $true )
        & ( v214(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_900,axiom,(
    ! [VarCurr] :
      ( v2525(VarCurr)
    <=> ( v2526(VarCurr)
        | v2528(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_104,axiom,(
    ! [VarCurr] :
      ( v2528(VarCurr)
    <=> ( ( v2529(VarCurr,bitIndex1)
        <=> $true )
        & ( v2529(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_256,axiom,(
    b11(bitIndex1) )).

fof(bitBlastConstant_255,axiom,(
    b11(bitIndex0) )).

fof(addAssignment_298,axiom,(
    ! [VarCurr] :
      ( v2529(VarCurr,bitIndex0)
    <=> v271(VarCurr) ) )).

fof(addAssignment_297,axiom,(
    ! [VarCurr] :
      ( v2529(VarCurr,bitIndex1)
    <=> v167(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_103,axiom,(
    ! [VarCurr] :
      ( v2526(VarCurr)
    <=> ( ( v2527(VarCurr,bitIndex1)
        <=> $true )
        & ( v2527(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addAssignment_296,axiom,(
    ! [VarCurr] :
      ( v2527(VarCurr,bitIndex0)
    <=> v271(VarCurr) ) )).

fof(addAssignment_295,axiom,(
    ! [VarCurr] :
      ( v2527(VarCurr,bitIndex1)
    <=> v167(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_899,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2512(VarNext)
      <=> ( v2514(VarNext)
          & v320(VarNext) ) ) ) )).

fof(writeUnaryOperator_406,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2514(VarNext)
      <=> v329(VarNext) ) ) )).

fof(addAssignment_294,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v2502(VarCurr,B)
      <=> v2504(VarCurr,B) ) ) )).

fof(addAssignment_293,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v2504(VarCurr,B)
      <=> v2506(VarCurr,B) ) ) )).

fof(addAssignment_292,axiom,(
    ! [VarCurr] :
      ( ( v2506(VarCurr,bitIndex4)
      <=> v2508(VarCurr,bitIndex19) )
      & ( v2506(VarCurr,bitIndex3)
      <=> v2508(VarCurr,bitIndex18) )
      & ( v2506(VarCurr,bitIndex2)
      <=> v2508(VarCurr,bitIndex17) )
      & ( v2506(VarCurr,bitIndex1)
      <=> v2508(VarCurr,bitIndex16) )
      & ( v2506(VarCurr,bitIndex0)
      <=> v2508(VarCurr,bitIndex15) ) ) )).

fof(addAssignment_291,axiom,(
    ! [VarCurr,B] :
      ( range_1_0(B)
     => ( v2494(VarCurr,B)
      <=> v2496(VarCurr,B) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_5,axiom,(
    ! [VarCurr] :
      ( ( ~ v2497(VarCurr)
        & ~ v1434(VarCurr)
        & ~ v1439(VarCurr) )
     => ! [B] :
          ( range_11_0(B)
         => ( v2496(VarCurr,B)
          <=> $false ) ) ) )).

fof(bitBlastConstant_254,axiom,(
    ~ b000000000000(bitIndex11) )).

fof(bitBlastConstant_253,axiom,(
    ~ b000000000000(bitIndex10) )).

fof(bitBlastConstant_252,axiom,(
    ~ b000000000000(bitIndex9) )).

fof(bitBlastConstant_251,axiom,(
    ~ b000000000000(bitIndex8) )).

fof(bitBlastConstant_250,axiom,(
    ~ b000000000000(bitIndex7) )).

fof(bitBlastConstant_249,axiom,(
    ~ b000000000000(bitIndex6) )).

fof(bitBlastConstant_248,axiom,(
    ~ b000000000000(bitIndex5) )).

fof(bitBlastConstant_247,axiom,(
    ~ b000000000000(bitIndex4) )).

fof(bitBlastConstant_246,axiom,(
    ~ b000000000000(bitIndex3) )).

fof(bitBlastConstant_245,axiom,(
    ~ b000000000000(bitIndex2) )).

fof(bitBlastConstant_244,axiom,(
    ~ b000000000000(bitIndex1) )).

fof(bitBlastConstant_243,axiom,(
    ~ b000000000000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges2_9,axiom,(
    ! [VarCurr] :
      ( v1439(VarCurr)
     => ! [B] :
          ( range_11_0(B)
         => ( v2496(VarCurr,B)
          <=> v763(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_32,axiom,(
    ! [VarCurr] :
      ( v1434(VarCurr)
     => ! [B] :
          ( range_11_0(B)
         => ( v2496(VarCurr,B)
          <=> b000000000100(B) ) ) ) )).

fof(bitBlastConstant_242,axiom,(
    ~ b000000000100(bitIndex11) )).

fof(bitBlastConstant_241,axiom,(
    ~ b000000000100(bitIndex10) )).

fof(bitBlastConstant_240,axiom,(
    ~ b000000000100(bitIndex9) )).

fof(bitBlastConstant_239,axiom,(
    ~ b000000000100(bitIndex8) )).

fof(bitBlastConstant_238,axiom,(
    ~ b000000000100(bitIndex7) )).

fof(bitBlastConstant_237,axiom,(
    ~ b000000000100(bitIndex6) )).

fof(bitBlastConstant_236,axiom,(
    ~ b000000000100(bitIndex5) )).

fof(bitBlastConstant_235,axiom,(
    ~ b000000000100(bitIndex4) )).

fof(bitBlastConstant_234,axiom,(
    ~ b000000000100(bitIndex3) )).

fof(bitBlastConstant_233,axiom,(
    b000000000100(bitIndex2) )).

fof(bitBlastConstant_232,axiom,(
    ~ b000000000100(bitIndex1) )).

fof(bitBlastConstant_231,axiom,(
    ~ b000000000100(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges0_32,axiom,(
    ! [VarCurr] :
      ( v2497(VarCurr)
     => ! [B] :
          ( range_11_0(B)
         => ( v2496(VarCurr,B)
          <=> v763(VarCurr,B) ) ) ) )).

fof(range_axiom_11,axiom,(
    ! [B] :
      ( range_11_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_898,axiom,(
    ! [VarCurr] :
      ( v2497(VarCurr)
    <=> ( v2499(VarCurr)
        | v1431(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_897,axiom,(
    ! [VarCurr] :
      ( v2499(VarCurr)
    <=> ( v2500(VarCurr)
        | v1430(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_896,axiom,(
    ! [VarCurr] :
      ( v2500(VarCurr)
    <=> ( v1423(VarCurr)
        | v1429(VarCurr) ) ) )).

fof(addAssignment_290,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v2484(VarCurr,B)
      <=> v2486(VarCurr,B) ) ) )).

fof(addAssignment_289,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v2486(VarCurr,B)
      <=> v2488(VarCurr,B) ) ) )).

fof(addAssignment_288,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v2488(VarCurr,B)
      <=> v2490(VarCurr,B) ) ) )).

fof(addAssignment_287,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v2490(VarCurr,B)
      <=> v2492(VarCurr,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_25,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2395(VarNext)
       => ! [B] :
            ( range_6_0(B)
           => ( v1887(VarNext,B)
            <=> v1887(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_25,axiom,(
    ! [VarNext] :
      ( v2395(VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v1887(VarNext,B)
          <=> v2431(VarNext,B) ) ) ) )).

fof(addAssignment_286,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v2431(VarNext,B)
          <=> v2429(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_31,axiom,(
    ! [VarCurr] :
      ( ~ v408(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v2429(VarCurr,B)
          <=> v2432(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_31,axiom,(
    ! [VarCurr] :
      ( v408(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v2429(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_30,axiom,(
    ! [VarCurr] :
      ( ~ v411(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v2432(VarCurr,B)
          <=> v2433(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_30,axiom,(
    ! [VarCurr] :
      ( v411(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v2432(VarCurr,B)
          <=> v1889(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_66,axiom,(
    ! [VarCurr] :
      ( ~ v312(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v2433(VarCurr,B)
          <=> v2434(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_67,axiom,(
    ! [VarCurr] :
      ( v312(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v2433(VarCurr,B)
          <=> v1889(VarCurr,B) ) ) ) )).

fof(addAssignment_285,axiom,(
    ! [VarCurr] :
      ( v2434(VarCurr,bitIndex0)
    <=> v2474(VarCurr) ) )).

fof(addAssignment_284,axiom,(
    ! [VarCurr] :
      ( v2434(VarCurr,bitIndex1)
    <=> v2472(VarCurr) ) )).

fof(addAssignment_283,axiom,(
    ! [VarCurr] :
      ( v2434(VarCurr,bitIndex2)
    <=> v2468(VarCurr) ) )).

fof(addAssignment_282,axiom,(
    ! [VarCurr] :
      ( v2434(VarCurr,bitIndex3)
    <=> v2464(VarCurr) ) )).

fof(addAssignment_281,axiom,(
    ! [VarCurr] :
      ( v2434(VarCurr,bitIndex4)
    <=> v2460(VarCurr) ) )).

fof(addAssignment_280,axiom,(
    ! [VarCurr] :
      ( v2434(VarCurr,bitIndex5)
    <=> v2456(VarCurr) ) )).

fof(addAssignment_279,axiom,(
    ! [VarCurr] :
      ( v2434(VarCurr,bitIndex6)
    <=> v2436(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_895,axiom,(
    ! [VarCurr] :
      ( v2472(VarCurr)
    <=> ( v2473(VarCurr)
        & v2475(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_894,axiom,(
    ! [VarCurr] :
      ( v2475(VarCurr)
    <=> ( v1887(VarCurr,bitIndex0)
        | v2449(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_209,axiom,(
    ! [VarCurr] :
      ( v2473(VarCurr)
    <=> ( v2474(VarCurr)
        | v1887(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_405,axiom,(
    ! [VarCurr] :
      ( ~ v2474(VarCurr)
    <=> v1887(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_893,axiom,(
    ! [VarCurr] :
      ( v2468(VarCurr)
    <=> ( v2469(VarCurr)
        & v2471(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_892,axiom,(
    ! [VarCurr] :
      ( v2471(VarCurr)
    <=> ( v2447(VarCurr)
        | v2450(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_208,axiom,(
    ! [VarCurr] :
      ( v2469(VarCurr)
    <=> ( v2470(VarCurr)
        | v1887(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_404,axiom,(
    ! [VarCurr] :
      ( ~ v2470(VarCurr)
    <=> v2447(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_891,axiom,(
    ! [VarCurr] :
      ( v2464(VarCurr)
    <=> ( v2465(VarCurr)
        & v2467(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_890,axiom,(
    ! [VarCurr] :
      ( v2467(VarCurr)
    <=> ( v2445(VarCurr)
        | v2451(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_207,axiom,(
    ! [VarCurr] :
      ( v2465(VarCurr)
    <=> ( v2466(VarCurr)
        | v1887(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_403,axiom,(
    ! [VarCurr] :
      ( ~ v2466(VarCurr)
    <=> v2445(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_889,axiom,(
    ! [VarCurr] :
      ( v2460(VarCurr)
    <=> ( v2461(VarCurr)
        & v2463(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_888,axiom,(
    ! [VarCurr] :
      ( v2463(VarCurr)
    <=> ( v2443(VarCurr)
        | v2452(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_206,axiom,(
    ! [VarCurr] :
      ( v2461(VarCurr)
    <=> ( v2462(VarCurr)
        | v1887(VarCurr,bitIndex4) ) ) )).

fof(writeUnaryOperator_402,axiom,(
    ! [VarCurr] :
      ( ~ v2462(VarCurr)
    <=> v2443(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_887,axiom,(
    ! [VarCurr] :
      ( v2456(VarCurr)
    <=> ( v2457(VarCurr)
        & v2459(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_886,axiom,(
    ! [VarCurr] :
      ( v2459(VarCurr)
    <=> ( v2441(VarCurr)
        | v2453(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_205,axiom,(
    ! [VarCurr] :
      ( v2457(VarCurr)
    <=> ( v2458(VarCurr)
        | v1887(VarCurr,bitIndex5) ) ) )).

fof(writeUnaryOperator_401,axiom,(
    ! [VarCurr] :
      ( ~ v2458(VarCurr)
    <=> v2441(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_885,axiom,(
    ! [VarCurr] :
      ( v2436(VarCurr)
    <=> ( v2437(VarCurr)
        & v2454(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_884,axiom,(
    ! [VarCurr] :
      ( v2454(VarCurr)
    <=> ( v2439(VarCurr)
        | v2455(VarCurr) ) ) )).

fof(writeUnaryOperator_400,axiom,(
    ! [VarCurr] :
      ( ~ v2455(VarCurr)
    <=> v1887(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_204,axiom,(
    ! [VarCurr] :
      ( v2437(VarCurr)
    <=> ( v2438(VarCurr)
        | v1887(VarCurr,bitIndex6) ) ) )).

fof(writeUnaryOperator_399,axiom,(
    ! [VarCurr] :
      ( ~ v2438(VarCurr)
    <=> v2439(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_203,axiom,(
    ! [VarCurr] :
      ( v2439(VarCurr)
    <=> ( v1887(VarCurr,bitIndex5)
        | v2440(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_883,axiom,(
    ! [VarCurr] :
      ( v2440(VarCurr)
    <=> ( v2441(VarCurr)
        & v2453(VarCurr) ) ) )).

fof(writeUnaryOperator_398,axiom,(
    ! [VarCurr] :
      ( ~ v2453(VarCurr)
    <=> v1887(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_202,axiom,(
    ! [VarCurr] :
      ( v2441(VarCurr)
    <=> ( v1887(VarCurr,bitIndex4)
        | v2442(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_882,axiom,(
    ! [VarCurr] :
      ( v2442(VarCurr)
    <=> ( v2443(VarCurr)
        & v2452(VarCurr) ) ) )).

fof(writeUnaryOperator_397,axiom,(
    ! [VarCurr] :
      ( ~ v2452(VarCurr)
    <=> v1887(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_201,axiom,(
    ! [VarCurr] :
      ( v2443(VarCurr)
    <=> ( v1887(VarCurr,bitIndex3)
        | v2444(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_881,axiom,(
    ! [VarCurr] :
      ( v2444(VarCurr)
    <=> ( v2445(VarCurr)
        & v2451(VarCurr) ) ) )).

fof(writeUnaryOperator_396,axiom,(
    ! [VarCurr] :
      ( ~ v2451(VarCurr)
    <=> v1887(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_200,axiom,(
    ! [VarCurr] :
      ( v2445(VarCurr)
    <=> ( v1887(VarCurr,bitIndex2)
        | v2446(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_880,axiom,(
    ! [VarCurr] :
      ( v2446(VarCurr)
    <=> ( v2447(VarCurr)
        & v2450(VarCurr) ) ) )).

fof(writeUnaryOperator_395,axiom,(
    ! [VarCurr] :
      ( ~ v2450(VarCurr)
    <=> v1887(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_199,axiom,(
    ! [VarCurr] :
      ( v2447(VarCurr)
    <=> ( v1887(VarCurr,bitIndex1)
        | v2448(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_879,axiom,(
    ! [VarCurr] :
      ( v2448(VarCurr)
    <=> ( v1887(VarCurr,bitIndex0)
        & v2449(VarCurr) ) ) )).

fof(writeUnaryOperator_394,axiom,(
    ! [VarCurr] :
      ( ~ v2449(VarCurr)
    <=> v1887(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_878,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2395(VarNext)
      <=> ( v2396(VarNext)
          & v2403(VarNext) ) ) ) )).

fof(addAssignment_278,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2403(VarNext)
      <=> v2401(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_877,axiom,(
    ! [VarCurr] :
      ( v2401(VarCurr)
    <=> ( v2404(VarCurr)
        & v2410(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_876,axiom,(
    ! [VarCurr] :
      ( v2410(VarCurr)
    <=> ( v2411(VarCurr)
        | v408(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_875,axiom,(
    ! [VarCurr] :
      ( v2411(VarCurr)
    <=> ( v2412(VarCurr)
        & v2428(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_874,axiom,(
    ! [VarCurr] :
      ( v2428(VarCurr)
    <=> ( v411(VarCurr)
        | v2407(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_873,axiom,(
    ! [VarCurr] :
      ( v2412(VarCurr)
    <=> ( v2413(VarCurr)
        & v2415(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_872,axiom,(
    ! [VarCurr] :
      ( v2415(VarCurr)
    <=> ( v2416(VarCurr)
        | v2427(VarCurr) ) ) )).

fof(writeUnaryOperator_393,axiom,(
    ! [VarCurr] :
      ( ~ v2427(VarCurr)
    <=> v414(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_871,axiom,(
    ! [VarCurr] :
      ( v2416(VarCurr)
    <=> ( v2417(VarCurr)
        & v2418(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_870,axiom,(
    ! [VarCurr] :
      ( v2418(VarCurr)
    <=> ( v2419(VarCurr)
        | v2426(VarCurr) ) ) )).

fof(writeUnaryOperator_392,axiom,(
    ! [VarCurr] :
      ( ~ v2426(VarCurr)
    <=> v413(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_869,axiom,(
    ! [VarCurr] :
      ( v2419(VarCurr)
    <=> ( v2420(VarCurr)
        & v2425(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_868,axiom,(
    ! [VarCurr] :
      ( v2425(VarCurr)
    <=> ( v430(VarCurr)
        | v443(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_867,axiom,(
    ! [VarCurr] :
      ( v2420(VarCurr)
    <=> ( v2421(VarCurr)
        & v2422(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_866,axiom,(
    ! [VarCurr] :
      ( v2422(VarCurr)
    <=> ( v2423(VarCurr)
        | v2424(VarCurr) ) ) )).

fof(writeUnaryOperator_391,axiom,(
    ! [VarCurr] :
      ( ~ v2424(VarCurr)
    <=> v443(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_865,axiom,(
    ! [VarCurr] :
      ( v2423(VarCurr)
    <=> ( v1544(VarCurr)
        | v312(VarCurr) ) ) )).

fof(writeUnaryOperator_390,axiom,(
    ! [VarCurr] :
      ( ~ v2421(VarCurr)
    <=> v430(VarCurr) ) )).

fof(writeUnaryOperator_389,axiom,(
    ! [VarCurr] :
      ( ~ v2417(VarCurr)
    <=> v424(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_864,axiom,(
    ! [VarCurr] :
      ( v2413(VarCurr)
    <=> ( v312(VarCurr)
        | v2414(VarCurr) ) ) )).

fof(writeUnaryOperator_388,axiom,(
    ! [VarCurr] :
      ( ~ v2414(VarCurr)
    <=> v411(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_863,axiom,(
    ! [VarCurr] :
      ( v2404(VarCurr)
    <=> ( v408(VarCurr)
        | v2405(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_862,axiom,(
    ! [VarCurr] :
      ( v2405(VarCurr)
    <=> ( v2406(VarCurr)
        & v2409(VarCurr) ) ) )).

fof(writeUnaryOperator_387,axiom,(
    ! [VarCurr] :
      ( ~ v2409(VarCurr)
    <=> v408(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_861,axiom,(
    ! [VarCurr] :
      ( v2406(VarCurr)
    <=> ( v411(VarCurr)
        | v2407(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_860,axiom,(
    ! [VarCurr] :
      ( v2407(VarCurr)
    <=> ( v2408(VarCurr)
        & v414(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_859,axiom,(
    ! [VarCurr] :
      ( v2408(VarCurr)
    <=> ( v443(VarCurr)
        & v413(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_858,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2396(VarNext)
      <=> ( v2398(VarNext)
          & v320(VarNext) ) ) ) )).

fof(writeUnaryOperator_386,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2398(VarNext)
      <=> v329(VarNext) ) ) )).

fof(addAssignmentInitValue_3,axiom,(
    ~ v1887(constB0,bitIndex3) )).

fof(addAssignmentInitValue_2,axiom,(
    ~ v1887(constB0,bitIndex2) )).

fof(addAssignmentInitValue_1,axiom,(
    ~ v1887(constB0,bitIndex1) )).

fof(addAssignmentInitValue,axiom,(
    ~ v1887(constB0,bitIndex0) )).

fof(bitBlastConstant_230,axiom,(
    ~ bxxx0000(bitIndex3) )).

fof(bitBlastConstant_229,axiom,(
    ~ bxxx0000(bitIndex2) )).

fof(bitBlastConstant_228,axiom,(
    ~ bxxx0000(bitIndex1) )).

fof(bitBlastConstant_227,axiom,(
    ~ bxxx0000(bitIndex0) )).

fof(addCaseBooleanConditionEqualRanges1_24,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2374(VarNext)
       => ! [B] :
            ( range_6_0(B)
           => ( v1889(VarNext,B)
            <=> v1889(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_24,axiom,(
    ! [VarNext] :
      ( v2374(VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v1889(VarNext,B)
          <=> v2385(VarNext,B) ) ) ) )).

fof(addAssignment_277,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v2385(VarNext,B)
          <=> v2383(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_65,axiom,(
    ! [VarCurr] :
      ( ~ v691(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v2383(VarCurr,B)
          <=> v2386(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_66,axiom,(
    ! [VarCurr] :
      ( v691(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v2383(VarCurr,B)
          <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_64,axiom,(
    ! [VarCurr] :
      ( ~ v2387(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v2386(VarCurr,B)
          <=> v2365(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_65,axiom,(
    ! [VarCurr] :
      ( v2387(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v2386(VarCurr,B)
          <=> v2388(VarCurr,B) ) ) ) )).

fof(addAssignment_276,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v2388(VarCurr,B)
      <=> v1891(VarCurr,B) ) ) )).

fof(addAssignment_275,axiom,(
    ! [VarCurr] :
      ( ( v2388(VarCurr,bitIndex6)
      <=> $false )
      & ( v2388(VarCurr,bitIndex5)
      <=> $false )
      & ( v2388(VarCurr,bitIndex4)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_102,axiom,(
    ! [VarCurr] :
      ( v2387(VarCurr)
    <=> ( ( v214(VarCurr,bitIndex3)
        <=> $false )
        & ( v214(VarCurr,bitIndex2)
        <=> $false )
        & ( v214(VarCurr,bitIndex1)
        <=> $true )
        & ( v214(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_857,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2374(VarNext)
      <=> ( v2375(VarNext)
          & v2382(VarNext) ) ) ) )).

fof(addAssignment_274,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2382(VarNext)
      <=> v2380(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_856,axiom,(
    ! [VarCurr] :
      ( v2380(VarCurr)
    <=> ( v167(VarCurr)
        | v691(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_855,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v2375(VarNext)
      <=> ( v2377(VarNext)
          & v320(VarNext) ) ) ) )).

fof(writeUnaryOperator_385,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v2377(VarNext)
      <=> v329(VarNext) ) ) )).

fof(addAssignment_273,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v2365(VarCurr,B)
      <=> v2367(VarCurr,B) ) ) )).

fof(addAssignment_272,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v2367(VarCurr,B)
      <=> v2369(VarCurr,B) ) ) )).

fof(addAssignment_271,axiom,(
    ! [VarCurr] :
      ( ( v2369(VarCurr,bitIndex6)
      <=> v2371(VarCurr,bitIndex27) )
      & ( v2369(VarCurr,bitIndex5)
      <=> v2371(VarCurr,bitIndex26) )
      & ( v2369(VarCurr,bitIndex4)
      <=> v2371(VarCurr,bitIndex25) )
      & ( v2369(VarCurr,bitIndex3)
      <=> v2371(VarCurr,bitIndex24) )
      & ( v2369(VarCurr,bitIndex2)
      <=> v2371(VarCurr,bitIndex23) )
      & ( v2369(VarCurr,bitIndex1)
      <=> v2371(VarCurr,bitIndex22) )
      & ( v2369(VarCurr,bitIndex0)
      <=> v2371(VarCurr,bitIndex21) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_63,axiom,(
    ! [VarCurr] :
      ( ~ v2199(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v1891(VarCurr,B)
          <=> $false ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_64,axiom,(
    ! [VarCurr] :
      ( v2199(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v1891(VarCurr,B)
          <=> v2217(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_4,axiom,(
    ! [VarCurr] :
      ( ( ~ v2205(VarCurr)
        & ~ v2208(VarCurr)
        & ~ v2360(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v2217(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_8,axiom,(
    ! [VarCurr] :
      ( v2360(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2217(VarCurr,B)
          <=> b0001(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_29,axiom,(
    ! [VarCurr] :
      ( v2208(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2217(VarCurr,B)
          <=> v2247(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_29,axiom,(
    ! [VarCurr] :
      ( v2205(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2217(VarCurr,B)
          <=> v2218(VarCurr,B) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_854,axiom,(
    ! [VarCurr] :
      ( v2360(VarCurr)
    <=> ( v2362(VarCurr)
        | v2210(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_853,axiom,(
    ! [VarCurr] :
      ( v2362(VarCurr)
    <=> ( v2363(VarCurr)
        | v1434(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_852,axiom,(
    ! [VarCurr] :
      ( v2363(VarCurr)
    <=> ( v1430(VarCurr)
        | v1431(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_23,axiom,(
    ! [VarCurr] :
      ( ( ~ v1426(VarCurr)
        & v1427(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v2247(VarCurr,B)
          <=> v2355(VarCurr,B) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_23,axiom,(
    ! [VarCurr] :
      ( v1426(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2247(VarCurr,B)
          <=> v2248(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_62,axiom,(
    ! [VarCurr] :
      ( ~ v1473(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2355(VarCurr,B)
          <=> v2357(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_63,axiom,(
    ! [VarCurr] :
      ( v1473(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2355(VarCurr,B)
          <=> v2356(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_61,axiom,(
    ! [VarCurr] :
      ( ~ v1112(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2357(VarCurr,B)
          <=> v2359(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_62,axiom,(
    ! [VarCurr] :
      ( v1112(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2357(VarCurr,B)
          <=> v2358(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_60,axiom,(
    ! [VarCurr] :
      ( ~ v1315(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2359(VarCurr,B)
          <=> b0001(B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_61,axiom,(
    ! [VarCurr] :
      ( v1315(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2359(VarCurr,B)
          <=> b0001(B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_59,axiom,(
    ! [VarCurr] :
      ( ~ v1315(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2358(VarCurr,B)
          <=> b0010(B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_60,axiom,(
    ! [VarCurr] :
      ( v1315(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2358(VarCurr,B)
          <=> b0001(B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_58,axiom,(
    ! [VarCurr] :
      ( ~ v1315(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2356(VarCurr,B)
          <=> b0001(B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_59,axiom,(
    ! [VarCurr] :
      ( v1315(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2356(VarCurr,B)
          <=> b0001(B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_57,axiom,(
    ! [VarCurr] :
      ( ~ v1469(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2248(VarCurr,B)
          <=> v2313(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_58,axiom,(
    ! [VarCurr] :
      ( v1469(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2248(VarCurr,B)
          <=> v2249(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_56,axiom,(
    ! [VarCurr] :
      ( ~ v1315(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2313(VarCurr,B)
          <=> v2314(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_57,axiom,(
    ! [VarCurr] :
      ( v1315(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2313(VarCurr,B)
          <=> b0001(B) ) ) ) )).

fof(addAssignment_270,axiom,(
    ! [VarCurr] :
      ( v2314(VarCurr,bitIndex0)
    <=> v2351(VarCurr) ) )).

fof(addAssignment_269,axiom,(
    ! [VarCurr] :
      ( v2314(VarCurr,bitIndex1)
    <=> v2346(VarCurr) ) )).

fof(addAssignment_268,axiom,(
    ! [VarCurr] :
      ( v2314(VarCurr,bitIndex2)
    <=> v2341(VarCurr) ) )).

fof(addAssignment_267,axiom,(
    ! [VarCurr] :
      ( v2314(VarCurr,bitIndex3)
    <=> v2316(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_851,axiom,(
    ! [VarCurr] :
      ( v2351(VarCurr)
    <=> ( v2352(VarCurr)
        & v2354(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_850,axiom,(
    ! [VarCurr] :
      ( v2354(VarCurr)
    <=> ( v2186(VarCurr,bitIndex0)
        | v2324(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_849,axiom,(
    ! [VarCurr] :
      ( v2352(VarCurr)
    <=> ( v2311(VarCurr)
        | v2353(VarCurr) ) ) )).

fof(writeUnaryOperator_384,axiom,(
    ! [VarCurr] :
      ( ~ v2353(VarCurr)
    <=> v2324(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_848,axiom,(
    ! [VarCurr] :
      ( v2346(VarCurr)
    <=> ( v2347(VarCurr)
        & v2350(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_847,axiom,(
    ! [VarCurr] :
      ( v2350(VarCurr)
    <=> ( v2323(VarCurr)
        | v2325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_846,axiom,(
    ! [VarCurr] :
      ( v2347(VarCurr)
    <=> ( v2348(VarCurr)
        | v2349(VarCurr) ) ) )).

fof(writeUnaryOperator_383,axiom,(
    ! [VarCurr] :
      ( ~ v2349(VarCurr)
    <=> v2325(VarCurr) ) )).

fof(writeUnaryOperator_382,axiom,(
    ! [VarCurr] :
      ( ~ v2348(VarCurr)
    <=> v2323(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_845,axiom,(
    ! [VarCurr] :
      ( v2341(VarCurr)
    <=> ( v2342(VarCurr)
        & v2345(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_844,axiom,(
    ! [VarCurr] :
      ( v2345(VarCurr)
    <=> ( v2321(VarCurr)
        | v2330(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_843,axiom,(
    ! [VarCurr] :
      ( v2342(VarCurr)
    <=> ( v2343(VarCurr)
        | v2344(VarCurr) ) ) )).

fof(writeUnaryOperator_381,axiom,(
    ! [VarCurr] :
      ( ~ v2344(VarCurr)
    <=> v2330(VarCurr) ) )).

fof(writeUnaryOperator_380,axiom,(
    ! [VarCurr] :
      ( ~ v2343(VarCurr)
    <=> v2321(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_842,axiom,(
    ! [VarCurr] :
      ( v2316(VarCurr)
    <=> ( v2317(VarCurr)
        & v2340(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_841,axiom,(
    ! [VarCurr] :
      ( v2340(VarCurr)
    <=> ( v2319(VarCurr)
        | v2336(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_840,axiom,(
    ! [VarCurr] :
      ( v2317(VarCurr)
    <=> ( v2318(VarCurr)
        | v2335(VarCurr) ) ) )).

fof(writeUnaryOperator_379,axiom,(
    ! [VarCurr] :
      ( ~ v2335(VarCurr)
    <=> v2336(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_839,axiom,(
    ! [VarCurr] :
      ( v2336(VarCurr)
    <=> ( v2337(VarCurr)
        & v2339(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_198,axiom,(
    ! [VarCurr] :
      ( v2339(VarCurr)
    <=> ( v2186(VarCurr,bitIndex3)
        | v2324(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_838,axiom,(
    ! [VarCurr] :
      ( v2337(VarCurr)
    <=> ( v2295(VarCurr)
        | v2338(VarCurr) ) ) )).

fof(writeUnaryOperator_378,axiom,(
    ! [VarCurr] :
      ( ~ v2338(VarCurr)
    <=> v2324(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_377,axiom,(
    ! [VarCurr] :
      ( ~ v2318(VarCurr)
    <=> v2319(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_837,axiom,(
    ! [VarCurr] :
      ( v2319(VarCurr)
    <=> ( v2320(VarCurr)
        | v2334(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_197,axiom,(
    ! [VarCurr] :
      ( v2334(VarCurr)
    <=> ( v2186(VarCurr,bitIndex2)
        & v2324(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_836,axiom,(
    ! [VarCurr] :
      ( v2320(VarCurr)
    <=> ( v2321(VarCurr)
        & v2330(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_835,axiom,(
    ! [VarCurr] :
      ( v2330(VarCurr)
    <=> ( v2331(VarCurr)
        & v2333(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_196,axiom,(
    ! [VarCurr] :
      ( v2333(VarCurr)
    <=> ( v2186(VarCurr,bitIndex2)
        | v2324(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_834,axiom,(
    ! [VarCurr] :
      ( v2331(VarCurr)
    <=> ( v2288(VarCurr)
        | v2332(VarCurr) ) ) )).

fof(writeUnaryOperator_376,axiom,(
    ! [VarCurr] :
      ( ~ v2332(VarCurr)
    <=> v2324(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_833,axiom,(
    ! [VarCurr] :
      ( v2321(VarCurr)
    <=> ( v2322(VarCurr)
        | v2329(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_195,axiom,(
    ! [VarCurr] :
      ( v2329(VarCurr)
    <=> ( v2186(VarCurr,bitIndex1)
        & v2324(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_832,axiom,(
    ! [VarCurr] :
      ( v2322(VarCurr)
    <=> ( v2323(VarCurr)
        & v2325(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_831,axiom,(
    ! [VarCurr] :
      ( v2325(VarCurr)
    <=> ( v2326(VarCurr)
        & v2328(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_194,axiom,(
    ! [VarCurr] :
      ( v2328(VarCurr)
    <=> ( v2186(VarCurr,bitIndex1)
        | v2324(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_830,axiom,(
    ! [VarCurr] :
      ( v2326(VarCurr)
    <=> ( v2282(VarCurr)
        | v2327(VarCurr) ) ) )).

fof(writeUnaryOperator_375,axiom,(
    ! [VarCurr] :
      ( ~ v2327(VarCurr)
    <=> v2324(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_829,axiom,(
    ! [VarCurr] :
      ( v2323(VarCurr)
    <=> ( v2186(VarCurr,bitIndex0)
        & v2324(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_266,axiom,(
    ! [VarCurr] :
      ( v2324(VarCurr,bitIndex0)
    <=> v2276(VarCurr) ) )).

fof(addAssignment_265,axiom,(
    ! [VarCurr] :
      ( v2324(VarCurr,bitIndex1)
    <=> v2274(VarCurr) ) )).

fof(addAssignment_264,axiom,(
    ! [VarCurr] :
      ( v2324(VarCurr,bitIndex2)
    <=> v2269(VarCurr) ) )).

fof(addAssignment_263,axiom,(
    ! [VarCurr] :
      ( v2324(VarCurr,bitIndex3)
    <=> v2262(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_55,axiom,(
    ! [VarCurr] :
      ( ~ v1315(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2249(VarCurr,B)
          <=> v2250(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_56,axiom,(
    ! [VarCurr] :
      ( v1315(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2249(VarCurr,B)
          <=> b0001(B) ) ) ) )).

fof(addAssignment_262,axiom,(
    ! [VarCurr] :
      ( v2250(VarCurr,bitIndex0)
    <=> v2308(VarCurr) ) )).

fof(addAssignment_261,axiom,(
    ! [VarCurr] :
      ( v2250(VarCurr,bitIndex1)
    <=> v2303(VarCurr) ) )).

fof(addAssignment_260,axiom,(
    ! [VarCurr] :
      ( v2250(VarCurr,bitIndex2)
    <=> v2298(VarCurr) ) )).

fof(addAssignment_259,axiom,(
    ! [VarCurr] :
      ( v2250(VarCurr,bitIndex3)
    <=> v2252(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_828,axiom,(
    ! [VarCurr] :
      ( v2308(VarCurr)
    <=> ( v2309(VarCurr)
        & v2312(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_827,axiom,(
    ! [VarCurr] :
      ( v2312(VarCurr)
    <=> ( v2260(VarCurr,bitIndex0)
        | v2186(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_826,axiom,(
    ! [VarCurr] :
      ( v2309(VarCurr)
    <=> ( v2310(VarCurr)
        | v2311(VarCurr) ) ) )).

fof(writeUnaryOperator_374,axiom,(
    ! [VarCurr] :
      ( ~ v2311(VarCurr)
    <=> v2186(VarCurr,bitIndex0) ) )).

fof(writeUnaryOperator_373,axiom,(
    ! [VarCurr] :
      ( ~ v2310(VarCurr)
    <=> v2260(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_825,axiom,(
    ! [VarCurr] :
      ( v2303(VarCurr)
    <=> ( v2304(VarCurr)
        & v2307(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_824,axiom,(
    ! [VarCurr] :
      ( v2307(VarCurr)
    <=> ( v2259(VarCurr)
        | v2279(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_823,axiom,(
    ! [VarCurr] :
      ( v2304(VarCurr)
    <=> ( v2305(VarCurr)
        | v2306(VarCurr) ) ) )).

fof(writeUnaryOperator_372,axiom,(
    ! [VarCurr] :
      ( ~ v2306(VarCurr)
    <=> v2279(VarCurr) ) )).

fof(writeUnaryOperator_371,axiom,(
    ! [VarCurr] :
      ( ~ v2305(VarCurr)
    <=> v2259(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_822,axiom,(
    ! [VarCurr] :
      ( v2298(VarCurr)
    <=> ( v2299(VarCurr)
        & v2302(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_821,axiom,(
    ! [VarCurr] :
      ( v2302(VarCurr)
    <=> ( v2257(VarCurr)
        | v2285(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_820,axiom,(
    ! [VarCurr] :
      ( v2299(VarCurr)
    <=> ( v2300(VarCurr)
        | v2301(VarCurr) ) ) )).

fof(writeUnaryOperator_370,axiom,(
    ! [VarCurr] :
      ( ~ v2301(VarCurr)
    <=> v2285(VarCurr) ) )).

fof(writeUnaryOperator_369,axiom,(
    ! [VarCurr] :
      ( ~ v2300(VarCurr)
    <=> v2257(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_819,axiom,(
    ! [VarCurr] :
      ( v2252(VarCurr)
    <=> ( v2253(VarCurr)
        & v2297(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_818,axiom,(
    ! [VarCurr] :
      ( v2297(VarCurr)
    <=> ( v2255(VarCurr)
        | v2292(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_817,axiom,(
    ! [VarCurr] :
      ( v2253(VarCurr)
    <=> ( v2254(VarCurr)
        | v2291(VarCurr) ) ) )).

fof(writeUnaryOperator_368,axiom,(
    ! [VarCurr] :
      ( ~ v2291(VarCurr)
    <=> v2292(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_816,axiom,(
    ! [VarCurr] :
      ( v2292(VarCurr)
    <=> ( v2293(VarCurr)
        & v2296(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_193,axiom,(
    ! [VarCurr] :
      ( v2296(VarCurr)
    <=> ( v2260(VarCurr,bitIndex3)
        | v2186(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_815,axiom,(
    ! [VarCurr] :
      ( v2293(VarCurr)
    <=> ( v2294(VarCurr)
        | v2295(VarCurr) ) ) )).

fof(writeUnaryOperator_367,axiom,(
    ! [VarCurr] :
      ( ~ v2295(VarCurr)
    <=> v2186(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_366,axiom,(
    ! [VarCurr] :
      ( ~ v2294(VarCurr)
    <=> v2260(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_365,axiom,(
    ! [VarCurr] :
      ( ~ v2254(VarCurr)
    <=> v2255(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_814,axiom,(
    ! [VarCurr] :
      ( v2255(VarCurr)
    <=> ( v2256(VarCurr)
        | v2290(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_192,axiom,(
    ! [VarCurr] :
      ( v2290(VarCurr)
    <=> ( v2260(VarCurr,bitIndex2)
        & v2186(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_813,axiom,(
    ! [VarCurr] :
      ( v2256(VarCurr)
    <=> ( v2257(VarCurr)
        & v2285(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_812,axiom,(
    ! [VarCurr] :
      ( v2285(VarCurr)
    <=> ( v2286(VarCurr)
        & v2289(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_191,axiom,(
    ! [VarCurr] :
      ( v2289(VarCurr)
    <=> ( v2260(VarCurr,bitIndex2)
        | v2186(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_811,axiom,(
    ! [VarCurr] :
      ( v2286(VarCurr)
    <=> ( v2287(VarCurr)
        | v2288(VarCurr) ) ) )).

fof(writeUnaryOperator_364,axiom,(
    ! [VarCurr] :
      ( ~ v2288(VarCurr)
    <=> v2186(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_363,axiom,(
    ! [VarCurr] :
      ( ~ v2287(VarCurr)
    <=> v2260(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_810,axiom,(
    ! [VarCurr] :
      ( v2257(VarCurr)
    <=> ( v2258(VarCurr)
        | v2284(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_190,axiom,(
    ! [VarCurr] :
      ( v2284(VarCurr)
    <=> ( v2260(VarCurr,bitIndex1)
        & v2186(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_809,axiom,(
    ! [VarCurr] :
      ( v2258(VarCurr)
    <=> ( v2259(VarCurr)
        & v2279(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_808,axiom,(
    ! [VarCurr] :
      ( v2279(VarCurr)
    <=> ( v2280(VarCurr)
        & v2283(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_189,axiom,(
    ! [VarCurr] :
      ( v2283(VarCurr)
    <=> ( v2260(VarCurr,bitIndex1)
        | v2186(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_807,axiom,(
    ! [VarCurr] :
      ( v2280(VarCurr)
    <=> ( v2281(VarCurr)
        | v2282(VarCurr) ) ) )).

fof(writeUnaryOperator_362,axiom,(
    ! [VarCurr] :
      ( ~ v2282(VarCurr)
    <=> v2186(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_361,axiom,(
    ! [VarCurr] :
      ( ~ v2281(VarCurr)
    <=> v2260(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_806,axiom,(
    ! [VarCurr] :
      ( v2259(VarCurr)
    <=> ( v2260(VarCurr,bitIndex0)
        & v2186(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_258,axiom,(
    ! [VarCurr] :
      ( v2260(VarCurr,bitIndex0)
    <=> v2276(VarCurr) ) )).

fof(addAssignment_257,axiom,(
    ! [VarCurr] :
      ( v2260(VarCurr,bitIndex1)
    <=> v2274(VarCurr) ) )).

fof(addAssignment_256,axiom,(
    ! [VarCurr] :
      ( v2260(VarCurr,bitIndex2)
    <=> v2269(VarCurr) ) )).

fof(addAssignment_255,axiom,(
    ! [VarCurr] :
      ( v2260(VarCurr,bitIndex3)
    <=> v2262(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_805,axiom,(
    ! [VarCurr] :
      ( v2274(VarCurr)
    <=> ( v2275(VarCurr)
        & v2278(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_188,axiom,(
    ! [VarCurr] :
      ( v2278(VarCurr)
    <=> ( v1893(VarCurr,bitIndex4)
        | v1893(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_804,axiom,(
    ! [VarCurr] :
      ( v2275(VarCurr)
    <=> ( v2276(VarCurr)
        | v2277(VarCurr) ) ) )).

fof(writeUnaryOperator_360,axiom,(
    ! [VarCurr] :
      ( ~ v2277(VarCurr)
    <=> v1893(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_359,axiom,(
    ! [VarCurr] :
      ( ~ v2276(VarCurr)
    <=> v1893(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_803,axiom,(
    ! [VarCurr] :
      ( v2269(VarCurr)
    <=> ( v2270(VarCurr)
        & v2273(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_187,axiom,(
    ! [VarCurr] :
      ( v2273(VarCurr)
    <=> ( v2266(VarCurr)
        | v1893(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_802,axiom,(
    ! [VarCurr] :
      ( v2270(VarCurr)
    <=> ( v2271(VarCurr)
        | v2272(VarCurr) ) ) )).

fof(writeUnaryOperator_358,axiom,(
    ! [VarCurr] :
      ( ~ v2272(VarCurr)
    <=> v1893(VarCurr,bitIndex6) ) )).

fof(writeUnaryOperator_357,axiom,(
    ! [VarCurr] :
      ( ~ v2271(VarCurr)
    <=> v2266(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_801,axiom,(
    ! [VarCurr] :
      ( v2262(VarCurr)
    <=> ( v2263(VarCurr)
        & v2268(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_186,axiom,(
    ! [VarCurr] :
      ( v2268(VarCurr)
    <=> ( v2265(VarCurr)
        | v1893(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_800,axiom,(
    ! [VarCurr] :
      ( v2263(VarCurr)
    <=> ( v2264(VarCurr)
        | v2267(VarCurr) ) ) )).

fof(writeUnaryOperator_356,axiom,(
    ! [VarCurr] :
      ( ~ v2267(VarCurr)
    <=> v1893(VarCurr,bitIndex7) ) )).

fof(writeUnaryOperator_355,axiom,(
    ! [VarCurr] :
      ( ~ v2264(VarCurr)
    <=> v2265(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_185,axiom,(
    ! [VarCurr] :
      ( v2265(VarCurr)
    <=> ( v2266(VarCurr)
        & v1893(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorShiftedRanges_184,axiom,(
    ! [VarCurr] :
      ( v2266(VarCurr)
    <=> ( v1893(VarCurr,bitIndex4)
        & v1893(VarCurr,bitIndex5) ) ) )).

fof(addCaseBooleanConditionEqualRanges2_1,axiom,(
    ! [VarCurr] :
      ( ( ~ v1328(VarCurr)
        & ~ v1393(VarCurr)
        & v1394(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v2218(VarCurr,B)
          <=> v2244(VarCurr,B) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_22,axiom,(
    ! [VarCurr] :
      ( ( ~ v1328(VarCurr)
        & v1393(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v2218(VarCurr,B)
          <=> v2242(VarCurr,B) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_22,axiom,(
    ! [VarCurr] :
      ( v1328(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2218(VarCurr,B)
          <=> v2219(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_54,axiom,(
    ! [VarCurr] :
      ( ~ v1462(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2244(VarCurr,B)
          <=> v2246(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_55,axiom,(
    ! [VarCurr] :
      ( v1462(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2244(VarCurr,B)
          <=> v2245(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_53,axiom,(
    ! [VarCurr] :
      ( ~ v1112(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2246(VarCurr,B)
          <=> b0001(B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_54,axiom,(
    ! [VarCurr] :
      ( v1112(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2246(VarCurr,B)
          <=> b0010(B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_52,axiom,(
    ! [VarCurr] :
      ( ~ v1112(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2245(VarCurr,B)
          <=> b0001(B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_53,axiom,(
    ! [VarCurr] :
      ( v1112(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2245(VarCurr,B)
          <=> b0010(B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_51,axiom,(
    ! [VarCurr] :
      ( ~ v1457(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2242(VarCurr,B)
          <=> v2243(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_52,axiom,(
    ! [VarCurr] :
      ( v1457(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2242(VarCurr,B)
          <=> b0001(B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_50,axiom,(
    ! [VarCurr] :
      ( ~ v772(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2243(VarCurr,B)
          <=> b0001(B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_51,axiom,(
    ! [VarCurr] :
      ( v772(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2243(VarCurr,B)
          <=> b0010(B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_49,axiom,(
    ! [VarCurr] :
      ( ~ v1453(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2219(VarCurr,B)
          <=> v2240(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_50,axiom,(
    ! [VarCurr] :
      ( v1453(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2219(VarCurr,B)
          <=> v2220(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_48,axiom,(
    ! [VarCurr] :
      ( ~ v772(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2240(VarCurr,B)
          <=> v901(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_49,axiom,(
    ! [VarCurr] :
      ( v772(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2240(VarCurr,B)
          <=> v2241(VarCurr,B) ) ) ) )).

fof(addAssignment_254,axiom,(
    ! [VarCurr] :
      ( v2241(VarCurr,bitIndex0)
    <=> v2237(VarCurr) ) )).

fof(addAssignment_253,axiom,(
    ! [VarCurr] :
      ( v2241(VarCurr,bitIndex1)
    <=> v2235(VarCurr) ) )).

fof(addAssignment_252,axiom,(
    ! [VarCurr] :
      ( v2241(VarCurr,bitIndex2)
    <=> v2230(VarCurr) ) )).

fof(addAssignment_251,axiom,(
    ! [VarCurr] :
      ( v2241(VarCurr,bitIndex3)
    <=> v2223(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_47,axiom,(
    ! [VarCurr] :
      ( ~ v772(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2220(VarCurr,B)
          <=> v901(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_48,axiom,(
    ! [VarCurr] :
      ( v772(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v2220(VarCurr,B)
          <=> v2221(VarCurr,B) ) ) ) )).

fof(addAssignment_250,axiom,(
    ! [VarCurr] :
      ( v2221(VarCurr,bitIndex0)
    <=> v2237(VarCurr) ) )).

fof(addAssignment_249,axiom,(
    ! [VarCurr] :
      ( v2221(VarCurr,bitIndex1)
    <=> v2235(VarCurr) ) )).

fof(addAssignment_248,axiom,(
    ! [VarCurr] :
      ( v2221(VarCurr,bitIndex2)
    <=> v2230(VarCurr) ) )).

fof(addAssignment_247,axiom,(
    ! [VarCurr] :
      ( v2221(VarCurr,bitIndex3)
    <=> v2223(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_799,axiom,(
    ! [VarCurr] :
      ( v2235(VarCurr)
    <=> ( v2236(VarCurr)
        & v2239(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_183,axiom,(
    ! [VarCurr] :
      ( v2239(VarCurr)
    <=> ( v901(VarCurr,bitIndex0)
        | v901(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_798,axiom,(
    ! [VarCurr] :
      ( v2236(VarCurr)
    <=> ( v2237(VarCurr)
        | v2238(VarCurr) ) ) )).

fof(writeUnaryOperator_354,axiom,(
    ! [VarCurr] :
      ( ~ v2238(VarCurr)
    <=> v901(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_353,axiom,(
    ! [VarCurr] :
      ( ~ v2237(VarCurr)
    <=> v901(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_797,axiom,(
    ! [VarCurr] :
      ( v2230(VarCurr)
    <=> ( v2231(VarCurr)
        & v2234(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_182,axiom,(
    ! [VarCurr] :
      ( v2234(VarCurr)
    <=> ( v2227(VarCurr)
        | v901(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_796,axiom,(
    ! [VarCurr] :
      ( v2231(VarCurr)
    <=> ( v2232(VarCurr)
        | v2233(VarCurr) ) ) )).

fof(writeUnaryOperator_352,axiom,(
    ! [VarCurr] :
      ( ~ v2233(VarCurr)
    <=> v901(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_351,axiom,(
    ! [VarCurr] :
      ( ~ v2232(VarCurr)
    <=> v2227(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_795,axiom,(
    ! [VarCurr] :
      ( v2223(VarCurr)
    <=> ( v2224(VarCurr)
        & v2229(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_181,axiom,(
    ! [VarCurr] :
      ( v2229(VarCurr)
    <=> ( v2226(VarCurr)
        | v901(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_794,axiom,(
    ! [VarCurr] :
      ( v2224(VarCurr)
    <=> ( v2225(VarCurr)
        | v2228(VarCurr) ) ) )).

fof(writeUnaryOperator_350,axiom,(
    ! [VarCurr] :
      ( ~ v2228(VarCurr)
    <=> v901(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_349,axiom,(
    ! [VarCurr] :
      ( ~ v2225(VarCurr)
    <=> v2226(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_180,axiom,(
    ! [VarCurr] :
      ( v2226(VarCurr)
    <=> ( v2227(VarCurr)
        & v901(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_179,axiom,(
    ! [VarCurr] :
      ( v2227(VarCurr)
    <=> ( v901(VarCurr,bitIndex0)
        & v901(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_793,axiom,(
    ! [VarCurr] :
      ( v2199(VarCurr)
    <=> ( v2200(VarCurr)
        | v2211(VarCurr) ) ) )).

fof(writeUnaryOperator_348,axiom,(
    ! [VarCurr] :
      ( ~ v2211(VarCurr)
    <=> v2212(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_792,axiom,(
    ! [VarCurr] :
      ( v2212(VarCurr)
    <=> ( v2213(VarCurr)
        | v1439(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_791,axiom,(
    ! [VarCurr] :
      ( v2213(VarCurr)
    <=> ( v2214(VarCurr)
        | v1434(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_790,axiom,(
    ! [VarCurr] :
      ( v2214(VarCurr)
    <=> ( v2215(VarCurr)
        | v1431(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_789,axiom,(
    ! [VarCurr] :
      ( v2215(VarCurr)
    <=> ( v2216(VarCurr)
        | v1430(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_788,axiom,(
    ! [VarCurr] :
      ( v2216(VarCurr)
    <=> ( v1423(VarCurr)
        | v1429(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_787,axiom,(
    ! [VarCurr] :
      ( v2200(VarCurr)
    <=> ( v2201(VarCurr)
        | v2210(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_786,axiom,(
    ! [VarCurr] :
      ( v2210(VarCurr)
    <=> ( v1436(VarCurr)
        & v1439(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_785,axiom,(
    ! [VarCurr] :
      ( v2201(VarCurr)
    <=> ( v2202(VarCurr)
        | v1434(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_784,axiom,(
    ! [VarCurr] :
      ( v2202(VarCurr)
    <=> ( v2203(VarCurr)
        | v1431(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_783,axiom,(
    ! [VarCurr] :
      ( v2203(VarCurr)
    <=> ( v2204(VarCurr)
        | v1430(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_782,axiom,(
    ! [VarCurr] :
      ( v2204(VarCurr)
    <=> ( v2205(VarCurr)
        | v2208(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_781,axiom,(
    ! [VarCurr] :
      ( v2208(VarCurr)
    <=> ( v2209(VarCurr)
        & v1429(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_780,axiom,(
    ! [VarCurr] :
      ( v2209(VarCurr)
    <=> ( v1426(VarCurr)
        | v1427(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_779,axiom,(
    ! [VarCurr] :
      ( v2205(VarCurr)
    <=> ( v2206(VarCurr)
        & v1423(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_778,axiom,(
    ! [VarCurr] :
      ( v2206(VarCurr)
    <=> ( v2207(VarCurr)
        | v1394(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_777,axiom,(
    ! [VarCurr] :
      ( v2207(VarCurr)
    <=> ( v1328(VarCurr)
        | v1393(VarCurr) ) ) )).

fof(addAssignment_246,axiom,(
    ! [VarCurr] :
      ( v2186(VarCurr,bitIndex3)
    <=> v2187(VarCurr,bitIndex3) ) )).

fof(addAssignment_245,axiom,(
    ! [VarCurr] :
      ( v2186(VarCurr,bitIndex2)
    <=> v2187(VarCurr,bitIndex2) ) )).

fof(addAssignment_244,axiom,(
    ! [VarCurr] :
      ( v2186(VarCurr,bitIndex1)
    <=> v2187(VarCurr,bitIndex1) ) )).

fof(addAssignment_243,axiom,(
    ! [VarCurr] :
      ( v2186(VarCurr,bitIndex0)
    <=> v2187(VarCurr,bitIndex0) ) )).

fof(addZeroExtensionConstraint_2,axiom,(
    ! [VarCurr] : ~ v2187(VarCurr,bitIndex1) )).

fof(addZeroExtensionConstraint_1,axiom,(
    ! [VarCurr] : ~ v2187(VarCurr,bitIndex2) )).

fof(addZeroExtensionConstraint,axiom,(
    ! [VarCurr] : ~ v2187(VarCurr,bitIndex3) )).

fof(addAssignment_242,axiom,(
    ! [VarCurr] :
      ( v2187(VarCurr,bitIndex0)
    <=> v2188(VarCurr) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_46,axiom,(
    ! [VarCurr] :
      ( ~ v2189(VarCurr)
     => ( v2188(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_47,axiom,(
    ! [VarCurr] :
      ( v2189(VarCurr)
     => ( v2188(VarCurr)
      <=> $true ) ) )).

fof(writeUnaryOperator_347,axiom,(
    ! [VarCurr] :
      ( ~ v2189(VarCurr)
    <=> v2191(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_776,axiom,(
    ! [VarCurr] :
      ( v2191(VarCurr)
    <=> ( v2192(VarCurr)
        & v2197(VarCurr) ) ) )).

fof(writeUnaryOperator_346,axiom,(
    ! [VarCurr] :
      ( ~ v2197(VarCurr)
    <=> v1893(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_775,axiom,(
    ! [VarCurr] :
      ( v2192(VarCurr)
    <=> ( v2193(VarCurr)
        & v2196(VarCurr) ) ) )).

fof(writeUnaryOperator_345,axiom,(
    ! [VarCurr] :
      ( ~ v2196(VarCurr)
    <=> v1893(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_774,axiom,(
    ! [VarCurr] :
      ( v2193(VarCurr)
    <=> ( v2194(VarCurr)
        & v2195(VarCurr) ) ) )).

fof(writeUnaryOperator_344,axiom,(
    ! [VarCurr] :
      ( ~ v2195(VarCurr)
    <=> v1893(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_343,axiom,(
    ! [VarCurr] :
      ( ~ v2194(VarCurr)
    <=> v1893(VarCurr,bitIndex0) ) )).

fof(addAssignment_241,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v1893(VarCurr,B)
      <=> v2021(VarCurr,B) ) ) )).

fof(addAssignment_240,axiom,(
    ! [VarCurr] :
      ( v1893(VarCurr,bitIndex7)
    <=> v2021(VarCurr,bitIndex7) ) )).

fof(addAssignment_239,axiom,(
    ! [VarCurr] :
      ( v1895(VarCurr,bitIndex7)
    <=> v1897(VarCurr,bitIndex7) ) )).

fof(addAssignment_238,axiom,(
    ! [VarCurr] :
      ( v1893(VarCurr,bitIndex6)
    <=> v2021(VarCurr,bitIndex6) ) )).

fof(addAssignment_237,axiom,(
    ! [VarCurr] :
      ( v1895(VarCurr,bitIndex6)
    <=> v1897(VarCurr,bitIndex6) ) )).

fof(addAssignment_236,axiom,(
    ! [VarCurr] :
      ( v1893(VarCurr,bitIndex5)
    <=> v2021(VarCurr,bitIndex5) ) )).

fof(addAssignment_235,axiom,(
    ! [VarCurr] :
      ( v1895(VarCurr,bitIndex5)
    <=> v1897(VarCurr,bitIndex5) ) )).

fof(addAssignment_234,axiom,(
    ! [VarCurr] :
      ( v1893(VarCurr,bitIndex4)
    <=> v2021(VarCurr,bitIndex4) ) )).

fof(addAssignment_233,axiom,(
    ! [VarCurr] :
      ( v2021(VarCurr,bitIndex0)
    <=> v2182(VarCurr) ) )).

fof(addAssignment_232,axiom,(
    ! [VarCurr] :
      ( v2021(VarCurr,bitIndex1)
    <=> v2177(VarCurr) ) )).

fof(addAssignment_231,axiom,(
    ! [VarCurr] :
      ( v2021(VarCurr,bitIndex2)
    <=> v2172(VarCurr) ) )).

fof(addAssignment_230,axiom,(
    ! [VarCurr] :
      ( v2021(VarCurr,bitIndex3)
    <=> v2167(VarCurr) ) )).

fof(addAssignment_229,axiom,(
    ! [VarCurr] :
      ( v2021(VarCurr,bitIndex4)
    <=> v2162(VarCurr) ) )).

fof(addAssignment_228,axiom,(
    ! [VarCurr] :
      ( v2021(VarCurr,bitIndex5)
    <=> v2157(VarCurr) ) )).

fof(addAssignment_227,axiom,(
    ! [VarCurr] :
      ( v2021(VarCurr,bitIndex6)
    <=> v2152(VarCurr) ) )).

fof(addAssignment_226,axiom,(
    ! [VarCurr] :
      ( v2021(VarCurr,bitIndex7)
    <=> v2147(VarCurr) ) )).

fof(addAssignment_225,axiom,(
    ! [VarCurr] :
      ( v2021(VarCurr,bitIndex8)
    <=> v2142(VarCurr) ) )).

fof(addAssignment_224,axiom,(
    ! [VarCurr] :
      ( v2021(VarCurr,bitIndex9)
    <=> v2023(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_773,axiom,(
    ! [VarCurr] :
      ( v2182(VarCurr)
    <=> ( v2183(VarCurr)
        & v2184(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_772,axiom,(
    ! [VarCurr] :
      ( v2184(VarCurr)
    <=> ( v744(VarCurr,bitIndex0)
        | v1895(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_771,axiom,(
    ! [VarCurr] :
      ( v2183(VarCurr)
    <=> ( v896(VarCurr)
        | v2049(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_770,axiom,(
    ! [VarCurr] :
      ( v2177(VarCurr)
    <=> ( v2178(VarCurr)
        & v2181(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_769,axiom,(
    ! [VarCurr] :
      ( v2181(VarCurr)
    <=> ( v2042(VarCurr)
        | v2043(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_768,axiom,(
    ! [VarCurr] :
      ( v2178(VarCurr)
    <=> ( v2179(VarCurr)
        | v2180(VarCurr) ) ) )).

fof(writeUnaryOperator_342,axiom,(
    ! [VarCurr] :
      ( ~ v2180(VarCurr)
    <=> v2043(VarCurr) ) )).

fof(writeUnaryOperator_341,axiom,(
    ! [VarCurr] :
      ( ~ v2179(VarCurr)
    <=> v2042(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_767,axiom,(
    ! [VarCurr] :
      ( v2172(VarCurr)
    <=> ( v2173(VarCurr)
        & v2176(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_766,axiom,(
    ! [VarCurr] :
      ( v2176(VarCurr)
    <=> ( v2040(VarCurr)
        | v2053(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_765,axiom,(
    ! [VarCurr] :
      ( v2173(VarCurr)
    <=> ( v2174(VarCurr)
        | v2175(VarCurr) ) ) )).

fof(writeUnaryOperator_340,axiom,(
    ! [VarCurr] :
      ( ~ v2175(VarCurr)
    <=> v2053(VarCurr) ) )).

fof(writeUnaryOperator_339,axiom,(
    ! [VarCurr] :
      ( ~ v2174(VarCurr)
    <=> v2040(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_764,axiom,(
    ! [VarCurr] :
      ( v2167(VarCurr)
    <=> ( v2168(VarCurr)
        & v2171(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_763,axiom,(
    ! [VarCurr] :
      ( v2171(VarCurr)
    <=> ( v2038(VarCurr)
        | v2064(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_762,axiom,(
    ! [VarCurr] :
      ( v2168(VarCurr)
    <=> ( v2169(VarCurr)
        | v2170(VarCurr) ) ) )).

fof(writeUnaryOperator_338,axiom,(
    ! [VarCurr] :
      ( ~ v2170(VarCurr)
    <=> v2064(VarCurr) ) )).

fof(writeUnaryOperator_337,axiom,(
    ! [VarCurr] :
      ( ~ v2169(VarCurr)
    <=> v2038(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_761,axiom,(
    ! [VarCurr] :
      ( v2162(VarCurr)
    <=> ( v2163(VarCurr)
        & v2166(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_760,axiom,(
    ! [VarCurr] :
      ( v2166(VarCurr)
    <=> ( v2036(VarCurr)
        | v2075(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_759,axiom,(
    ! [VarCurr] :
      ( v2163(VarCurr)
    <=> ( v2164(VarCurr)
        | v2165(VarCurr) ) ) )).

fof(writeUnaryOperator_336,axiom,(
    ! [VarCurr] :
      ( ~ v2165(VarCurr)
    <=> v2075(VarCurr) ) )).

fof(writeUnaryOperator_335,axiom,(
    ! [VarCurr] :
      ( ~ v2164(VarCurr)
    <=> v2036(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_758,axiom,(
    ! [VarCurr] :
      ( v2157(VarCurr)
    <=> ( v2158(VarCurr)
        & v2161(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_757,axiom,(
    ! [VarCurr] :
      ( v2161(VarCurr)
    <=> ( v2034(VarCurr)
        | v2086(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_756,axiom,(
    ! [VarCurr] :
      ( v2158(VarCurr)
    <=> ( v2159(VarCurr)
        | v2160(VarCurr) ) ) )).

fof(writeUnaryOperator_334,axiom,(
    ! [VarCurr] :
      ( ~ v2160(VarCurr)
    <=> v2086(VarCurr) ) )).

fof(writeUnaryOperator_333,axiom,(
    ! [VarCurr] :
      ( ~ v2159(VarCurr)
    <=> v2034(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_755,axiom,(
    ! [VarCurr] :
      ( v2152(VarCurr)
    <=> ( v2153(VarCurr)
        & v2156(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_754,axiom,(
    ! [VarCurr] :
      ( v2156(VarCurr)
    <=> ( v2032(VarCurr)
        | v2097(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_753,axiom,(
    ! [VarCurr] :
      ( v2153(VarCurr)
    <=> ( v2154(VarCurr)
        | v2155(VarCurr) ) ) )).

fof(writeUnaryOperator_332,axiom,(
    ! [VarCurr] :
      ( ~ v2155(VarCurr)
    <=> v2097(VarCurr) ) )).

fof(writeUnaryOperator_331,axiom,(
    ! [VarCurr] :
      ( ~ v2154(VarCurr)
    <=> v2032(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_752,axiom,(
    ! [VarCurr] :
      ( v2147(VarCurr)
    <=> ( v2148(VarCurr)
        & v2151(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_751,axiom,(
    ! [VarCurr] :
      ( v2151(VarCurr)
    <=> ( v2030(VarCurr)
        | v2108(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_750,axiom,(
    ! [VarCurr] :
      ( v2148(VarCurr)
    <=> ( v2149(VarCurr)
        | v2150(VarCurr) ) ) )).

fof(writeUnaryOperator_330,axiom,(
    ! [VarCurr] :
      ( ~ v2150(VarCurr)
    <=> v2108(VarCurr) ) )).

fof(writeUnaryOperator_329,axiom,(
    ! [VarCurr] :
      ( ~ v2149(VarCurr)
    <=> v2030(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_749,axiom,(
    ! [VarCurr] :
      ( v2142(VarCurr)
    <=> ( v2143(VarCurr)
        & v2146(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_748,axiom,(
    ! [VarCurr] :
      ( v2146(VarCurr)
    <=> ( v2028(VarCurr)
        | v2119(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_747,axiom,(
    ! [VarCurr] :
      ( v2143(VarCurr)
    <=> ( v2144(VarCurr)
        | v2145(VarCurr) ) ) )).

fof(writeUnaryOperator_328,axiom,(
    ! [VarCurr] :
      ( ~ v2145(VarCurr)
    <=> v2119(VarCurr) ) )).

fof(writeUnaryOperator_327,axiom,(
    ! [VarCurr] :
      ( ~ v2144(VarCurr)
    <=> v2028(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_746,axiom,(
    ! [VarCurr] :
      ( v2023(VarCurr)
    <=> ( v2024(VarCurr)
        & v2141(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_745,axiom,(
    ! [VarCurr] :
      ( v2141(VarCurr)
    <=> ( v2026(VarCurr)
        | v2131(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_744,axiom,(
    ! [VarCurr] :
      ( v2024(VarCurr)
    <=> ( v2025(VarCurr)
        | v2130(VarCurr) ) ) )).

fof(writeUnaryOperator_326,axiom,(
    ! [VarCurr] :
      ( ~ v2130(VarCurr)
    <=> v2131(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_743,axiom,(
    ! [VarCurr] :
      ( v2131(VarCurr)
    <=> ( v2132(VarCurr)
        & v2140(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_178,axiom,(
    ! [VarCurr] :
      ( v2140(VarCurr)
    <=> ( v744(VarCurr,bitIndex9)
        | v2134(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_742,axiom,(
    ! [VarCurr] :
      ( v2132(VarCurr)
    <=> ( v850(VarCurr)
        | v2133(VarCurr) ) ) )).

fof(writeUnaryOperator_325,axiom,(
    ! [VarCurr] :
      ( ~ v2133(VarCurr)
    <=> v2134(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_741,axiom,(
    ! [VarCurr] :
      ( v2134(VarCurr)
    <=> ( v2135(VarCurr)
        & v2138(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_740,axiom,(
    ! [VarCurr] :
      ( v2138(VarCurr)
    <=> ( v2137(VarCurr)
        | v2139(VarCurr) ) ) )).

fof(writeUnaryOperator_324,axiom,(
    ! [VarCurr] :
      ( ~ v2139(VarCurr)
    <=> v1895(VarCurr,bitIndex9) ) )).

fof(writeBinaryOperatorShiftedRanges_177,axiom,(
    ! [VarCurr] :
      ( v2135(VarCurr)
    <=> ( v2136(VarCurr)
        | v1895(VarCurr,bitIndex9) ) ) )).

fof(writeUnaryOperator_323,axiom,(
    ! [VarCurr] :
      ( ~ v2136(VarCurr)
    <=> v2137(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_739,axiom,(
    ! [VarCurr] :
      ( v2137(VarCurr)
    <=> ( v2125(VarCurr)
        & v2127(VarCurr) ) ) )).

fof(writeUnaryOperator_322,axiom,(
    ! [VarCurr] :
      ( ~ v2025(VarCurr)
    <=> v2026(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_738,axiom,(
    ! [VarCurr] :
      ( v2026(VarCurr)
    <=> ( v2027(VarCurr)
        | v2129(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_176,axiom,(
    ! [VarCurr] :
      ( v2129(VarCurr)
    <=> ( v744(VarCurr,bitIndex8)
        & v2122(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_737,axiom,(
    ! [VarCurr] :
      ( v2027(VarCurr)
    <=> ( v2028(VarCurr)
        & v2119(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_736,axiom,(
    ! [VarCurr] :
      ( v2119(VarCurr)
    <=> ( v2120(VarCurr)
        & v2128(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_175,axiom,(
    ! [VarCurr] :
      ( v2128(VarCurr)
    <=> ( v744(VarCurr,bitIndex8)
        | v2122(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_735,axiom,(
    ! [VarCurr] :
      ( v2120(VarCurr)
    <=> ( v843(VarCurr)
        | v2121(VarCurr) ) ) )).

fof(writeUnaryOperator_321,axiom,(
    ! [VarCurr] :
      ( ~ v2121(VarCurr)
    <=> v2122(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_734,axiom,(
    ! [VarCurr] :
      ( v2122(VarCurr)
    <=> ( v2123(VarCurr)
        & v2126(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_733,axiom,(
    ! [VarCurr] :
      ( v2126(VarCurr)
    <=> ( v2125(VarCurr)
        | v2127(VarCurr) ) ) )).

fof(writeUnaryOperator_320,axiom,(
    ! [VarCurr] :
      ( ~ v2127(VarCurr)
    <=> v1895(VarCurr,bitIndex8) ) )).

fof(writeBinaryOperatorShiftedRanges_174,axiom,(
    ! [VarCurr] :
      ( v2123(VarCurr)
    <=> ( v2124(VarCurr)
        | v1895(VarCurr,bitIndex8) ) ) )).

fof(writeUnaryOperator_319,axiom,(
    ! [VarCurr] :
      ( ~ v2124(VarCurr)
    <=> v2125(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_732,axiom,(
    ! [VarCurr] :
      ( v2125(VarCurr)
    <=> ( v2114(VarCurr)
        & v2116(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_731,axiom,(
    ! [VarCurr] :
      ( v2028(VarCurr)
    <=> ( v2029(VarCurr)
        | v2118(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_173,axiom,(
    ! [VarCurr] :
      ( v2118(VarCurr)
    <=> ( v744(VarCurr,bitIndex7)
        & v2111(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_730,axiom,(
    ! [VarCurr] :
      ( v2029(VarCurr)
    <=> ( v2030(VarCurr)
        & v2108(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_729,axiom,(
    ! [VarCurr] :
      ( v2108(VarCurr)
    <=> ( v2109(VarCurr)
        & v2117(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_172,axiom,(
    ! [VarCurr] :
      ( v2117(VarCurr)
    <=> ( v744(VarCurr,bitIndex7)
        | v2111(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_728,axiom,(
    ! [VarCurr] :
      ( v2109(VarCurr)
    <=> ( v837(VarCurr)
        | v2110(VarCurr) ) ) )).

fof(writeUnaryOperator_318,axiom,(
    ! [VarCurr] :
      ( ~ v2110(VarCurr)
    <=> v2111(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_727,axiom,(
    ! [VarCurr] :
      ( v2111(VarCurr)
    <=> ( v2112(VarCurr)
        & v2115(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_726,axiom,(
    ! [VarCurr] :
      ( v2115(VarCurr)
    <=> ( v2114(VarCurr)
        | v2116(VarCurr) ) ) )).

fof(writeUnaryOperator_317,axiom,(
    ! [VarCurr] :
      ( ~ v2116(VarCurr)
    <=> v1895(VarCurr,bitIndex7) ) )).

fof(writeBinaryOperatorShiftedRanges_171,axiom,(
    ! [VarCurr] :
      ( v2112(VarCurr)
    <=> ( v2113(VarCurr)
        | v1895(VarCurr,bitIndex7) ) ) )).

fof(writeUnaryOperator_316,axiom,(
    ! [VarCurr] :
      ( ~ v2113(VarCurr)
    <=> v2114(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_725,axiom,(
    ! [VarCurr] :
      ( v2114(VarCurr)
    <=> ( v2103(VarCurr)
        & v2105(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_724,axiom,(
    ! [VarCurr] :
      ( v2030(VarCurr)
    <=> ( v2031(VarCurr)
        | v2107(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_170,axiom,(
    ! [VarCurr] :
      ( v2107(VarCurr)
    <=> ( v744(VarCurr,bitIndex6)
        & v2100(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_723,axiom,(
    ! [VarCurr] :
      ( v2031(VarCurr)
    <=> ( v2032(VarCurr)
        & v2097(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_722,axiom,(
    ! [VarCurr] :
      ( v2097(VarCurr)
    <=> ( v2098(VarCurr)
        & v2106(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_169,axiom,(
    ! [VarCurr] :
      ( v2106(VarCurr)
    <=> ( v744(VarCurr,bitIndex6)
        | v2100(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_721,axiom,(
    ! [VarCurr] :
      ( v2098(VarCurr)
    <=> ( v831(VarCurr)
        | v2099(VarCurr) ) ) )).

fof(writeUnaryOperator_315,axiom,(
    ! [VarCurr] :
      ( ~ v2099(VarCurr)
    <=> v2100(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_720,axiom,(
    ! [VarCurr] :
      ( v2100(VarCurr)
    <=> ( v2101(VarCurr)
        & v2104(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_719,axiom,(
    ! [VarCurr] :
      ( v2104(VarCurr)
    <=> ( v2103(VarCurr)
        | v2105(VarCurr) ) ) )).

fof(writeUnaryOperator_314,axiom,(
    ! [VarCurr] :
      ( ~ v2105(VarCurr)
    <=> v1895(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorShiftedRanges_168,axiom,(
    ! [VarCurr] :
      ( v2101(VarCurr)
    <=> ( v2102(VarCurr)
        | v1895(VarCurr,bitIndex6) ) ) )).

fof(writeUnaryOperator_313,axiom,(
    ! [VarCurr] :
      ( ~ v2102(VarCurr)
    <=> v2103(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_718,axiom,(
    ! [VarCurr] :
      ( v2103(VarCurr)
    <=> ( v2092(VarCurr)
        & v2094(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_717,axiom,(
    ! [VarCurr] :
      ( v2032(VarCurr)
    <=> ( v2033(VarCurr)
        | v2096(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_167,axiom,(
    ! [VarCurr] :
      ( v2096(VarCurr)
    <=> ( v744(VarCurr,bitIndex5)
        & v2089(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_716,axiom,(
    ! [VarCurr] :
      ( v2033(VarCurr)
    <=> ( v2034(VarCurr)
        & v2086(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_715,axiom,(
    ! [VarCurr] :
      ( v2086(VarCurr)
    <=> ( v2087(VarCurr)
        & v2095(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_166,axiom,(
    ! [VarCurr] :
      ( v2095(VarCurr)
    <=> ( v744(VarCurr,bitIndex5)
        | v2089(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_714,axiom,(
    ! [VarCurr] :
      ( v2087(VarCurr)
    <=> ( v825(VarCurr)
        | v2088(VarCurr) ) ) )).

fof(writeUnaryOperator_312,axiom,(
    ! [VarCurr] :
      ( ~ v2088(VarCurr)
    <=> v2089(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_713,axiom,(
    ! [VarCurr] :
      ( v2089(VarCurr)
    <=> ( v2090(VarCurr)
        & v2093(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_712,axiom,(
    ! [VarCurr] :
      ( v2093(VarCurr)
    <=> ( v2092(VarCurr)
        | v2094(VarCurr) ) ) )).

fof(writeUnaryOperator_311,axiom,(
    ! [VarCurr] :
      ( ~ v2094(VarCurr)
    <=> v1895(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorShiftedRanges_165,axiom,(
    ! [VarCurr] :
      ( v2090(VarCurr)
    <=> ( v2091(VarCurr)
        | v1895(VarCurr,bitIndex5) ) ) )).

fof(writeUnaryOperator_310,axiom,(
    ! [VarCurr] :
      ( ~ v2091(VarCurr)
    <=> v2092(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_711,axiom,(
    ! [VarCurr] :
      ( v2092(VarCurr)
    <=> ( v2081(VarCurr)
        & v2083(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_710,axiom,(
    ! [VarCurr] :
      ( v2034(VarCurr)
    <=> ( v2035(VarCurr)
        | v2085(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_164,axiom,(
    ! [VarCurr] :
      ( v2085(VarCurr)
    <=> ( v744(VarCurr,bitIndex4)
        & v2078(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_709,axiom,(
    ! [VarCurr] :
      ( v2035(VarCurr)
    <=> ( v2036(VarCurr)
        & v2075(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_708,axiom,(
    ! [VarCurr] :
      ( v2075(VarCurr)
    <=> ( v2076(VarCurr)
        & v2084(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_163,axiom,(
    ! [VarCurr] :
      ( v2084(VarCurr)
    <=> ( v744(VarCurr,bitIndex4)
        | v2078(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_707,axiom,(
    ! [VarCurr] :
      ( v2076(VarCurr)
    <=> ( v819(VarCurr)
        | v2077(VarCurr) ) ) )).

fof(writeUnaryOperator_309,axiom,(
    ! [VarCurr] :
      ( ~ v2077(VarCurr)
    <=> v2078(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_706,axiom,(
    ! [VarCurr] :
      ( v2078(VarCurr)
    <=> ( v2079(VarCurr)
        & v2082(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_705,axiom,(
    ! [VarCurr] :
      ( v2082(VarCurr)
    <=> ( v2081(VarCurr)
        | v2083(VarCurr) ) ) )).

fof(writeUnaryOperator_308,axiom,(
    ! [VarCurr] :
      ( ~ v2083(VarCurr)
    <=> v1895(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorShiftedRanges_162,axiom,(
    ! [VarCurr] :
      ( v2079(VarCurr)
    <=> ( v2080(VarCurr)
        | v1895(VarCurr,bitIndex4) ) ) )).

fof(writeUnaryOperator_307,axiom,(
    ! [VarCurr] :
      ( ~ v2080(VarCurr)
    <=> v2081(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_704,axiom,(
    ! [VarCurr] :
      ( v2081(VarCurr)
    <=> ( v2070(VarCurr)
        & v2072(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_703,axiom,(
    ! [VarCurr] :
      ( v2036(VarCurr)
    <=> ( v2037(VarCurr)
        | v2074(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_161,axiom,(
    ! [VarCurr] :
      ( v2074(VarCurr)
    <=> ( v744(VarCurr,bitIndex3)
        & v2067(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_702,axiom,(
    ! [VarCurr] :
      ( v2037(VarCurr)
    <=> ( v2038(VarCurr)
        & v2064(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_701,axiom,(
    ! [VarCurr] :
      ( v2064(VarCurr)
    <=> ( v2065(VarCurr)
        & v2073(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_160,axiom,(
    ! [VarCurr] :
      ( v2073(VarCurr)
    <=> ( v744(VarCurr,bitIndex3)
        | v2067(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_700,axiom,(
    ! [VarCurr] :
      ( v2065(VarCurr)
    <=> ( v813(VarCurr)
        | v2066(VarCurr) ) ) )).

fof(writeUnaryOperator_306,axiom,(
    ! [VarCurr] :
      ( ~ v2066(VarCurr)
    <=> v2067(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_699,axiom,(
    ! [VarCurr] :
      ( v2067(VarCurr)
    <=> ( v2068(VarCurr)
        & v2071(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_698,axiom,(
    ! [VarCurr] :
      ( v2071(VarCurr)
    <=> ( v2070(VarCurr)
        | v2072(VarCurr) ) ) )).

fof(writeUnaryOperator_305,axiom,(
    ! [VarCurr] :
      ( ~ v2072(VarCurr)
    <=> v1895(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_159,axiom,(
    ! [VarCurr] :
      ( v2068(VarCurr)
    <=> ( v2069(VarCurr)
        | v1895(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_304,axiom,(
    ! [VarCurr] :
      ( ~ v2069(VarCurr)
    <=> v2070(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_697,axiom,(
    ! [VarCurr] :
      ( v2070(VarCurr)
    <=> ( v2059(VarCurr)
        & v2061(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_696,axiom,(
    ! [VarCurr] :
      ( v2038(VarCurr)
    <=> ( v2039(VarCurr)
        | v2063(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_158,axiom,(
    ! [VarCurr] :
      ( v2063(VarCurr)
    <=> ( v744(VarCurr,bitIndex2)
        & v2056(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_695,axiom,(
    ! [VarCurr] :
      ( v2039(VarCurr)
    <=> ( v2040(VarCurr)
        & v2053(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_694,axiom,(
    ! [VarCurr] :
      ( v2053(VarCurr)
    <=> ( v2054(VarCurr)
        & v2062(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_157,axiom,(
    ! [VarCurr] :
      ( v2062(VarCurr)
    <=> ( v744(VarCurr,bitIndex2)
        | v2056(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_693,axiom,(
    ! [VarCurr] :
      ( v2054(VarCurr)
    <=> ( v807(VarCurr)
        | v2055(VarCurr) ) ) )).

fof(writeUnaryOperator_303,axiom,(
    ! [VarCurr] :
      ( ~ v2055(VarCurr)
    <=> v2056(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_692,axiom,(
    ! [VarCurr] :
      ( v2056(VarCurr)
    <=> ( v2057(VarCurr)
        & v2060(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_691,axiom,(
    ! [VarCurr] :
      ( v2060(VarCurr)
    <=> ( v2059(VarCurr)
        | v2061(VarCurr) ) ) )).

fof(writeUnaryOperator_302,axiom,(
    ! [VarCurr] :
      ( ~ v2061(VarCurr)
    <=> v1895(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_156,axiom,(
    ! [VarCurr] :
      ( v2057(VarCurr)
    <=> ( v2058(VarCurr)
        | v1895(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_301,axiom,(
    ! [VarCurr] :
      ( ~ v2058(VarCurr)
    <=> v2059(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_690,axiom,(
    ! [VarCurr] :
      ( v2059(VarCurr)
    <=> ( v2049(VarCurr)
        & v2050(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_689,axiom,(
    ! [VarCurr] :
      ( v2040(VarCurr)
    <=> ( v2041(VarCurr)
        | v2052(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_155,axiom,(
    ! [VarCurr] :
      ( v2052(VarCurr)
    <=> ( v744(VarCurr,bitIndex1)
        & v2046(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_688,axiom,(
    ! [VarCurr] :
      ( v2041(VarCurr)
    <=> ( v2042(VarCurr)
        & v2043(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_687,axiom,(
    ! [VarCurr] :
      ( v2043(VarCurr)
    <=> ( v2044(VarCurr)
        & v2051(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_154,axiom,(
    ! [VarCurr] :
      ( v2051(VarCurr)
    <=> ( v744(VarCurr,bitIndex1)
        | v2046(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_686,axiom,(
    ! [VarCurr] :
      ( v2044(VarCurr)
    <=> ( v801(VarCurr)
        | v2045(VarCurr) ) ) )).

fof(writeUnaryOperator_300,axiom,(
    ! [VarCurr] :
      ( ~ v2045(VarCurr)
    <=> v2046(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_685,axiom,(
    ! [VarCurr] :
      ( v2046(VarCurr)
    <=> ( v2047(VarCurr)
        & v2048(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_684,axiom,(
    ! [VarCurr] :
      ( v2048(VarCurr)
    <=> ( v2049(VarCurr)
        | v2050(VarCurr) ) ) )).

fof(writeUnaryOperator_299,axiom,(
    ! [VarCurr] :
      ( ~ v2050(VarCurr)
    <=> v1895(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_298,axiom,(
    ! [VarCurr] :
      ( ~ v2049(VarCurr)
    <=> v1895(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorShiftedRanges_153,axiom,(
    ! [VarCurr] :
      ( v2047(VarCurr)
    <=> ( v1895(VarCurr,bitIndex0)
        | v1895(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_683,axiom,(
    ! [VarCurr] :
      ( v2042(VarCurr)
    <=> ( v744(VarCurr,bitIndex0)
        & v1895(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_223,axiom,(
    ! [VarCurr,B] :
      ( range_4_0(B)
     => ( v1895(VarCurr,B)
      <=> v1897(VarCurr,B) ) ) )).

fof(addAssignment_222,axiom,(
    ! [VarCurr] :
      ( v1897(VarCurr,bitIndex0)
    <=> v2018(VarCurr) ) )).

fof(addAssignment_221,axiom,(
    ! [VarCurr] :
      ( v1897(VarCurr,bitIndex1)
    <=> v2013(VarCurr) ) )).

fof(addAssignment_220,axiom,(
    ! [VarCurr] :
      ( v1897(VarCurr,bitIndex2)
    <=> v2008(VarCurr) ) )).

fof(addAssignment_219,axiom,(
    ! [VarCurr] :
      ( v1897(VarCurr,bitIndex3)
    <=> v2003(VarCurr) ) )).

fof(addAssignment_218,axiom,(
    ! [VarCurr] :
      ( v1897(VarCurr,bitIndex4)
    <=> v1998(VarCurr) ) )).

fof(addAssignment_217,axiom,(
    ! [VarCurr] :
      ( v1897(VarCurr,bitIndex5)
    <=> v1993(VarCurr) ) )).

fof(addAssignment_216,axiom,(
    ! [VarCurr] :
      ( v1897(VarCurr,bitIndex6)
    <=> v1988(VarCurr) ) )).

fof(addAssignment_215,axiom,(
    ! [VarCurr] :
      ( v1897(VarCurr,bitIndex7)
    <=> v1983(VarCurr) ) )).

fof(addAssignment_214,axiom,(
    ! [VarCurr] :
      ( v1897(VarCurr,bitIndex8)
    <=> v1978(VarCurr) ) )).

fof(addAssignment_213,axiom,(
    ! [VarCurr] :
      ( v1897(VarCurr,bitIndex9)
    <=> v1899(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_682,axiom,(
    ! [VarCurr] :
      ( v2018(VarCurr)
    <=> ( v2019(VarCurr)
        & v2020(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_681,axiom,(
    ! [VarCurr] :
      ( v2020(VarCurr)
    <=> ( v752(VarCurr,bitIndex0)
        | v755(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_680,axiom,(
    ! [VarCurr] :
      ( v2019(VarCurr)
    <=> ( v1236(VarCurr)
        | v1925(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_679,axiom,(
    ! [VarCurr] :
      ( v2013(VarCurr)
    <=> ( v2014(VarCurr)
        & v2017(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_678,axiom,(
    ! [VarCurr] :
      ( v2017(VarCurr)
    <=> ( v1918(VarCurr)
        | v1919(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_677,axiom,(
    ! [VarCurr] :
      ( v2014(VarCurr)
    <=> ( v2015(VarCurr)
        | v2016(VarCurr) ) ) )).

fof(writeUnaryOperator_297,axiom,(
    ! [VarCurr] :
      ( ~ v2016(VarCurr)
    <=> v1919(VarCurr) ) )).

fof(writeUnaryOperator_296,axiom,(
    ! [VarCurr] :
      ( ~ v2015(VarCurr)
    <=> v1918(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_676,axiom,(
    ! [VarCurr] :
      ( v2008(VarCurr)
    <=> ( v2009(VarCurr)
        & v2012(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_675,axiom,(
    ! [VarCurr] :
      ( v2012(VarCurr)
    <=> ( v1916(VarCurr)
        | v1929(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_674,axiom,(
    ! [VarCurr] :
      ( v2009(VarCurr)
    <=> ( v2010(VarCurr)
        | v2011(VarCurr) ) ) )).

fof(writeUnaryOperator_295,axiom,(
    ! [VarCurr] :
      ( ~ v2011(VarCurr)
    <=> v1929(VarCurr) ) )).

fof(writeUnaryOperator_294,axiom,(
    ! [VarCurr] :
      ( ~ v2010(VarCurr)
    <=> v1916(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_673,axiom,(
    ! [VarCurr] :
      ( v2003(VarCurr)
    <=> ( v2004(VarCurr)
        & v2007(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_672,axiom,(
    ! [VarCurr] :
      ( v2007(VarCurr)
    <=> ( v1914(VarCurr)
        | v1940(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_671,axiom,(
    ! [VarCurr] :
      ( v2004(VarCurr)
    <=> ( v2005(VarCurr)
        | v2006(VarCurr) ) ) )).

fof(writeUnaryOperator_293,axiom,(
    ! [VarCurr] :
      ( ~ v2006(VarCurr)
    <=> v1940(VarCurr) ) )).

fof(writeUnaryOperator_292,axiom,(
    ! [VarCurr] :
      ( ~ v2005(VarCurr)
    <=> v1914(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_670,axiom,(
    ! [VarCurr] :
      ( v1998(VarCurr)
    <=> ( v1999(VarCurr)
        & v2002(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_669,axiom,(
    ! [VarCurr] :
      ( v2002(VarCurr)
    <=> ( v1912(VarCurr)
        | v1951(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_668,axiom,(
    ! [VarCurr] :
      ( v1999(VarCurr)
    <=> ( v2000(VarCurr)
        | v2001(VarCurr) ) ) )).

fof(writeUnaryOperator_291,axiom,(
    ! [VarCurr] :
      ( ~ v2001(VarCurr)
    <=> v1951(VarCurr) ) )).

fof(writeUnaryOperator_290,axiom,(
    ! [VarCurr] :
      ( ~ v2000(VarCurr)
    <=> v1912(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_667,axiom,(
    ! [VarCurr] :
      ( v1993(VarCurr)
    <=> ( v1994(VarCurr)
        & v1997(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_666,axiom,(
    ! [VarCurr] :
      ( v1997(VarCurr)
    <=> ( v1910(VarCurr)
        | v1957(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_665,axiom,(
    ! [VarCurr] :
      ( v1994(VarCurr)
    <=> ( v1995(VarCurr)
        | v1996(VarCurr) ) ) )).

fof(writeUnaryOperator_289,axiom,(
    ! [VarCurr] :
      ( ~ v1996(VarCurr)
    <=> v1957(VarCurr) ) )).

fof(writeUnaryOperator_288,axiom,(
    ! [VarCurr] :
      ( ~ v1995(VarCurr)
    <=> v1910(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_664,axiom,(
    ! [VarCurr] :
      ( v1988(VarCurr)
    <=> ( v1989(VarCurr)
        & v1992(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_663,axiom,(
    ! [VarCurr] :
      ( v1992(VarCurr)
    <=> ( v1908(VarCurr)
        | v1961(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_662,axiom,(
    ! [VarCurr] :
      ( v1989(VarCurr)
    <=> ( v1990(VarCurr)
        | v1991(VarCurr) ) ) )).

fof(writeUnaryOperator_287,axiom,(
    ! [VarCurr] :
      ( ~ v1991(VarCurr)
    <=> v1961(VarCurr) ) )).

fof(writeUnaryOperator_286,axiom,(
    ! [VarCurr] :
      ( ~ v1990(VarCurr)
    <=> v1908(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_661,axiom,(
    ! [VarCurr] :
      ( v1983(VarCurr)
    <=> ( v1984(VarCurr)
        & v1987(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_660,axiom,(
    ! [VarCurr] :
      ( v1987(VarCurr)
    <=> ( v1906(VarCurr)
        | v1965(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_659,axiom,(
    ! [VarCurr] :
      ( v1984(VarCurr)
    <=> ( v1985(VarCurr)
        | v1986(VarCurr) ) ) )).

fof(writeUnaryOperator_285,axiom,(
    ! [VarCurr] :
      ( ~ v1986(VarCurr)
    <=> v1965(VarCurr) ) )).

fof(writeUnaryOperator_284,axiom,(
    ! [VarCurr] :
      ( ~ v1985(VarCurr)
    <=> v1906(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_658,axiom,(
    ! [VarCurr] :
      ( v1978(VarCurr)
    <=> ( v1979(VarCurr)
        & v1982(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_657,axiom,(
    ! [VarCurr] :
      ( v1982(VarCurr)
    <=> ( v1904(VarCurr)
        | v1969(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_656,axiom,(
    ! [VarCurr] :
      ( v1979(VarCurr)
    <=> ( v1980(VarCurr)
        | v1981(VarCurr) ) ) )).

fof(writeUnaryOperator_283,axiom,(
    ! [VarCurr] :
      ( ~ v1981(VarCurr)
    <=> v1969(VarCurr) ) )).

fof(writeUnaryOperator_282,axiom,(
    ! [VarCurr] :
      ( ~ v1980(VarCurr)
    <=> v1904(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_655,axiom,(
    ! [VarCurr] :
      ( v1899(VarCurr)
    <=> ( v1900(VarCurr)
        & v1977(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_654,axiom,(
    ! [VarCurr] :
      ( v1977(VarCurr)
    <=> ( v1902(VarCurr)
        | v1974(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_653,axiom,(
    ! [VarCurr] :
      ( v1900(VarCurr)
    <=> ( v1901(VarCurr)
        | v1973(VarCurr) ) ) )).

fof(writeUnaryOperator_281,axiom,(
    ! [VarCurr] :
      ( ~ v1973(VarCurr)
    <=> v1974(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_652,axiom,(
    ! [VarCurr] :
      ( v1974(VarCurr)
    <=> ( v1975(VarCurr)
        & v1976(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_152,axiom,(
    ! [VarCurr] :
      ( v1976(VarCurr)
    <=> ( v752(VarCurr,bitIndex9)
        | v1955(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_651,axiom,(
    ! [VarCurr] :
      ( v1975(VarCurr)
    <=> ( v1190(VarCurr)
        | v1953(VarCurr) ) ) )).

fof(writeUnaryOperator_280,axiom,(
    ! [VarCurr] :
      ( ~ v1901(VarCurr)
    <=> v1902(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_650,axiom,(
    ! [VarCurr] :
      ( v1902(VarCurr)
    <=> ( v1903(VarCurr)
        | v1972(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_151,axiom,(
    ! [VarCurr] :
      ( v1972(VarCurr)
    <=> ( v752(VarCurr,bitIndex8)
        & v1955(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_649,axiom,(
    ! [VarCurr] :
      ( v1903(VarCurr)
    <=> ( v1904(VarCurr)
        & v1969(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_648,axiom,(
    ! [VarCurr] :
      ( v1969(VarCurr)
    <=> ( v1970(VarCurr)
        & v1971(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_150,axiom,(
    ! [VarCurr] :
      ( v1971(VarCurr)
    <=> ( v752(VarCurr,bitIndex8)
        | v1955(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_647,axiom,(
    ! [VarCurr] :
      ( v1970(VarCurr)
    <=> ( v1183(VarCurr)
        | v1953(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_646,axiom,(
    ! [VarCurr] :
      ( v1904(VarCurr)
    <=> ( v1905(VarCurr)
        | v1968(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_149,axiom,(
    ! [VarCurr] :
      ( v1968(VarCurr)
    <=> ( v752(VarCurr,bitIndex7)
        & v1955(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_645,axiom,(
    ! [VarCurr] :
      ( v1905(VarCurr)
    <=> ( v1906(VarCurr)
        & v1965(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_644,axiom,(
    ! [VarCurr] :
      ( v1965(VarCurr)
    <=> ( v1966(VarCurr)
        & v1967(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_148,axiom,(
    ! [VarCurr] :
      ( v1967(VarCurr)
    <=> ( v752(VarCurr,bitIndex7)
        | v1955(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_643,axiom,(
    ! [VarCurr] :
      ( v1966(VarCurr)
    <=> ( v1177(VarCurr)
        | v1953(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_642,axiom,(
    ! [VarCurr] :
      ( v1906(VarCurr)
    <=> ( v1907(VarCurr)
        | v1964(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_147,axiom,(
    ! [VarCurr] :
      ( v1964(VarCurr)
    <=> ( v752(VarCurr,bitIndex6)
        & v1955(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_641,axiom,(
    ! [VarCurr] :
      ( v1907(VarCurr)
    <=> ( v1908(VarCurr)
        & v1961(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_640,axiom,(
    ! [VarCurr] :
      ( v1961(VarCurr)
    <=> ( v1962(VarCurr)
        & v1963(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_146,axiom,(
    ! [VarCurr] :
      ( v1963(VarCurr)
    <=> ( v752(VarCurr,bitIndex6)
        | v1955(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_639,axiom,(
    ! [VarCurr] :
      ( v1962(VarCurr)
    <=> ( v1171(VarCurr)
        | v1953(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_638,axiom,(
    ! [VarCurr] :
      ( v1908(VarCurr)
    <=> ( v1909(VarCurr)
        | v1960(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_145,axiom,(
    ! [VarCurr] :
      ( v1960(VarCurr)
    <=> ( v752(VarCurr,bitIndex5)
        & v1955(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_637,axiom,(
    ! [VarCurr] :
      ( v1909(VarCurr)
    <=> ( v1910(VarCurr)
        & v1957(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_636,axiom,(
    ! [VarCurr] :
      ( v1957(VarCurr)
    <=> ( v1958(VarCurr)
        & v1959(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_144,axiom,(
    ! [VarCurr] :
      ( v1959(VarCurr)
    <=> ( v752(VarCurr,bitIndex5)
        | v1955(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_635,axiom,(
    ! [VarCurr] :
      ( v1958(VarCurr)
    <=> ( v1165(VarCurr)
        | v1953(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_634,axiom,(
    ! [VarCurr] :
      ( v1910(VarCurr)
    <=> ( v1911(VarCurr)
        | v1956(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_143,axiom,(
    ! [VarCurr] :
      ( v1956(VarCurr)
    <=> ( v752(VarCurr,bitIndex4)
        & v1955(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_633,axiom,(
    ! [VarCurr] :
      ( v1911(VarCurr)
    <=> ( v1912(VarCurr)
        & v1951(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_632,axiom,(
    ! [VarCurr] :
      ( v1951(VarCurr)
    <=> ( v1952(VarCurr)
        & v1954(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_142,axiom,(
    ! [VarCurr] :
      ( v1954(VarCurr)
    <=> ( v752(VarCurr,bitIndex4)
        | v1955(VarCurr) ) ) )).

fof(writeUnaryOperator_279,axiom,(
    ! [VarCurr] :
      ( ~ v1955(VarCurr)
    <=> v1953(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_631,axiom,(
    ! [VarCurr] :
      ( v1952(VarCurr)
    <=> ( v1159(VarCurr)
        | v1953(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_630,axiom,(
    ! [VarCurr] :
      ( v1953(VarCurr)
    <=> ( v1946(VarCurr)
        & v1948(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_629,axiom,(
    ! [VarCurr] :
      ( v1912(VarCurr)
    <=> ( v1913(VarCurr)
        | v1950(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_141,axiom,(
    ! [VarCurr] :
      ( v1950(VarCurr)
    <=> ( v752(VarCurr,bitIndex3)
        & v1943(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_628,axiom,(
    ! [VarCurr] :
      ( v1913(VarCurr)
    <=> ( v1914(VarCurr)
        & v1940(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_627,axiom,(
    ! [VarCurr] :
      ( v1940(VarCurr)
    <=> ( v1941(VarCurr)
        & v1949(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_140,axiom,(
    ! [VarCurr] :
      ( v1949(VarCurr)
    <=> ( v752(VarCurr,bitIndex3)
        | v1943(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_626,axiom,(
    ! [VarCurr] :
      ( v1941(VarCurr)
    <=> ( v1153(VarCurr)
        | v1942(VarCurr) ) ) )).

fof(writeUnaryOperator_278,axiom,(
    ! [VarCurr] :
      ( ~ v1942(VarCurr)
    <=> v1943(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_625,axiom,(
    ! [VarCurr] :
      ( v1943(VarCurr)
    <=> ( v1944(VarCurr)
        & v1947(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_624,axiom,(
    ! [VarCurr] :
      ( v1947(VarCurr)
    <=> ( v1946(VarCurr)
        | v1948(VarCurr) ) ) )).

fof(writeUnaryOperator_277,axiom,(
    ! [VarCurr] :
      ( ~ v1948(VarCurr)
    <=> v755(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorShiftedRanges_139,axiom,(
    ! [VarCurr] :
      ( v1944(VarCurr)
    <=> ( v1945(VarCurr)
        | v755(VarCurr,bitIndex3) ) ) )).

fof(writeUnaryOperator_276,axiom,(
    ! [VarCurr] :
      ( ~ v1945(VarCurr)
    <=> v1946(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_623,axiom,(
    ! [VarCurr] :
      ( v1946(VarCurr)
    <=> ( v1935(VarCurr)
        & v1937(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_622,axiom,(
    ! [VarCurr] :
      ( v1914(VarCurr)
    <=> ( v1915(VarCurr)
        | v1939(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_138,axiom,(
    ! [VarCurr] :
      ( v1939(VarCurr)
    <=> ( v752(VarCurr,bitIndex2)
        & v1932(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_621,axiom,(
    ! [VarCurr] :
      ( v1915(VarCurr)
    <=> ( v1916(VarCurr)
        & v1929(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_620,axiom,(
    ! [VarCurr] :
      ( v1929(VarCurr)
    <=> ( v1930(VarCurr)
        & v1938(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_137,axiom,(
    ! [VarCurr] :
      ( v1938(VarCurr)
    <=> ( v752(VarCurr,bitIndex2)
        | v1932(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_619,axiom,(
    ! [VarCurr] :
      ( v1930(VarCurr)
    <=> ( v1147(VarCurr)
        | v1931(VarCurr) ) ) )).

fof(writeUnaryOperator_275,axiom,(
    ! [VarCurr] :
      ( ~ v1931(VarCurr)
    <=> v1932(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_618,axiom,(
    ! [VarCurr] :
      ( v1932(VarCurr)
    <=> ( v1933(VarCurr)
        & v1936(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_617,axiom,(
    ! [VarCurr] :
      ( v1936(VarCurr)
    <=> ( v1935(VarCurr)
        | v1937(VarCurr) ) ) )).

fof(writeUnaryOperator_274,axiom,(
    ! [VarCurr] :
      ( ~ v1937(VarCurr)
    <=> v755(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorShiftedRanges_136,axiom,(
    ! [VarCurr] :
      ( v1933(VarCurr)
    <=> ( v1934(VarCurr)
        | v755(VarCurr,bitIndex2) ) ) )).

fof(writeUnaryOperator_273,axiom,(
    ! [VarCurr] :
      ( ~ v1934(VarCurr)
    <=> v1935(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_616,axiom,(
    ! [VarCurr] :
      ( v1935(VarCurr)
    <=> ( v1925(VarCurr)
        & v1926(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_615,axiom,(
    ! [VarCurr] :
      ( v1916(VarCurr)
    <=> ( v1917(VarCurr)
        | v1928(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_135,axiom,(
    ! [VarCurr] :
      ( v1928(VarCurr)
    <=> ( v752(VarCurr,bitIndex1)
        & v1922(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_614,axiom,(
    ! [VarCurr] :
      ( v1917(VarCurr)
    <=> ( v1918(VarCurr)
        & v1919(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_613,axiom,(
    ! [VarCurr] :
      ( v1919(VarCurr)
    <=> ( v1920(VarCurr)
        & v1927(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_134,axiom,(
    ! [VarCurr] :
      ( v1927(VarCurr)
    <=> ( v752(VarCurr,bitIndex1)
        | v1922(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_612,axiom,(
    ! [VarCurr] :
      ( v1920(VarCurr)
    <=> ( v1141(VarCurr)
        | v1921(VarCurr) ) ) )).

fof(writeUnaryOperator_272,axiom,(
    ! [VarCurr] :
      ( ~ v1921(VarCurr)
    <=> v1922(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_611,axiom,(
    ! [VarCurr] :
      ( v1922(VarCurr)
    <=> ( v1923(VarCurr)
        & v1924(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_610,axiom,(
    ! [VarCurr] :
      ( v1924(VarCurr)
    <=> ( v1925(VarCurr)
        | v1926(VarCurr) ) ) )).

fof(writeUnaryOperator_271,axiom,(
    ! [VarCurr] :
      ( ~ v1926(VarCurr)
    <=> v755(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_270,axiom,(
    ! [VarCurr] :
      ( ~ v1925(VarCurr)
    <=> v755(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorShiftedRanges_133,axiom,(
    ! [VarCurr] :
      ( v1923(VarCurr)
    <=> ( v755(VarCurr,bitIndex0)
        | v755(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_609,axiom,(
    ! [VarCurr] :
      ( v1918(VarCurr)
    <=> ( v752(VarCurr,bitIndex0)
        & v755(VarCurr,bitIndex0) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_21,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1848(VarNext)
       => ! [B] :
            ( range_2_0(B)
           => ( v1782(VarNext,B)
            <=> v1782(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_21,axiom,(
    ! [VarNext] :
      ( v1848(VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v1782(VarNext,B)
          <=> v1883(VarNext,B) ) ) ) )).

fof(addAssignment_212,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v1883(VarNext,B)
          <=> v1881(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_28,axiom,(
    ! [VarCurr] :
      ( ~ v408(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1881(VarCurr,B)
          <=> v1784(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_28,axiom,(
    ! [VarCurr] :
      ( v408(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1881(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_608,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1848(VarNext)
      <=> ( v1849(VarNext)
          & v1856(VarNext) ) ) ) )).

fof(addAssignment_211,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1856(VarNext)
      <=> v1854(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_607,axiom,(
    ! [VarCurr] :
      ( v1854(VarCurr)
    <=> ( v1857(VarCurr)
        & v1862(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_606,axiom,(
    ! [VarCurr] :
      ( v1862(VarCurr)
    <=> ( v1863(VarCurr)
        | v408(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_605,axiom,(
    ! [VarCurr] :
      ( v1863(VarCurr)
    <=> ( v1864(VarCurr)
        & v1880(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_604,axiom,(
    ! [VarCurr] :
      ( v1880(VarCurr)
    <=> ( v411(VarCurr)
        | v1860(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_603,axiom,(
    ! [VarCurr] :
      ( v1864(VarCurr)
    <=> ( v1865(VarCurr)
        & v1867(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_602,axiom,(
    ! [VarCurr] :
      ( v1867(VarCurr)
    <=> ( v1868(VarCurr)
        | v1879(VarCurr) ) ) )).

fof(writeUnaryOperator_269,axiom,(
    ! [VarCurr] :
      ( ~ v1879(VarCurr)
    <=> v414(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_601,axiom,(
    ! [VarCurr] :
      ( v1868(VarCurr)
    <=> ( v1869(VarCurr)
        & v1870(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_600,axiom,(
    ! [VarCurr] :
      ( v1870(VarCurr)
    <=> ( v1871(VarCurr)
        | v1878(VarCurr) ) ) )).

fof(writeUnaryOperator_268,axiom,(
    ! [VarCurr] :
      ( ~ v1878(VarCurr)
    <=> v413(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_599,axiom,(
    ! [VarCurr] :
      ( v1871(VarCurr)
    <=> ( v1872(VarCurr)
        & v1877(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_598,axiom,(
    ! [VarCurr] :
      ( v1877(VarCurr)
    <=> ( v430(VarCurr)
        | v443(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_597,axiom,(
    ! [VarCurr] :
      ( v1872(VarCurr)
    <=> ( v1873(VarCurr)
        & v1875(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_596,axiom,(
    ! [VarCurr] :
      ( v1875(VarCurr)
    <=> ( v312(VarCurr)
        | v1876(VarCurr) ) ) )).

fof(writeUnaryOperator_267,axiom,(
    ! [VarCurr] :
      ( ~ v1876(VarCurr)
    <=> v443(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_595,axiom,(
    ! [VarCurr] :
      ( v1873(VarCurr)
    <=> ( v312(VarCurr)
        | v1874(VarCurr) ) ) )).

fof(writeUnaryOperator_266,axiom,(
    ! [VarCurr] :
      ( ~ v1874(VarCurr)
    <=> v430(VarCurr) ) )).

fof(writeUnaryOperator_265,axiom,(
    ! [VarCurr] :
      ( ~ v1869(VarCurr)
    <=> v424(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_594,axiom,(
    ! [VarCurr] :
      ( v1865(VarCurr)
    <=> ( v312(VarCurr)
        | v1866(VarCurr) ) ) )).

fof(writeUnaryOperator_264,axiom,(
    ! [VarCurr] :
      ( ~ v1866(VarCurr)
    <=> v411(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_593,axiom,(
    ! [VarCurr] :
      ( v1857(VarCurr)
    <=> ( v408(VarCurr)
        | v1858(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_592,axiom,(
    ! [VarCurr] :
      ( v1858(VarCurr)
    <=> ( v1859(VarCurr)
        & v1861(VarCurr) ) ) )).

fof(writeUnaryOperator_263,axiom,(
    ! [VarCurr] :
      ( ~ v1861(VarCurr)
    <=> v408(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_591,axiom,(
    ! [VarCurr] :
      ( v1859(VarCurr)
    <=> ( v411(VarCurr)
        | v1860(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_590,axiom,(
    ! [VarCurr] :
      ( v1860(VarCurr)
    <=> ( v413(VarCurr)
        & v414(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_589,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1849(VarNext)
      <=> ( v1851(VarNext)
          & v320(VarNext) ) ) ) )).

fof(writeUnaryOperator_262,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1851(VarNext)
      <=> v329(VarNext) ) ) )).

fof(addAssignmentInitValueVector_3,axiom,(
    ! [B] :
      ( range_2_0(B)
     => ( v1782(constB0,B)
      <=> $false ) ) )).

fof(addCaseBooleanConditionEqualRanges1_20,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1832(VarNext)
       => ! [B] :
            ( range_2_0(B)
           => ( v1784(VarNext,B)
            <=> v1784(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_20,axiom,(
    ! [VarNext] :
      ( v1832(VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v1784(VarNext,B)
          <=> v1843(VarNext,B) ) ) ) )).

fof(addAssignment_210,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_2_0(B)
         => ( v1843(VarNext,B)
          <=> v1841(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_45,axiom,(
    ! [VarCurr] :
      ( ~ v691(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1841(VarCurr,B)
          <=> v1786(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_46,axiom,(
    ! [VarCurr] :
      ( v691(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1841(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_588,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1832(VarNext)
      <=> ( v1833(VarNext)
          & v1840(VarNext) ) ) ) )).

fof(addAssignment_209,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1840(VarNext)
      <=> v1838(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_587,axiom,(
    ! [VarCurr] :
      ( v1838(VarCurr)
    <=> ( v167(VarCurr)
        | v691(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_586,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1833(VarNext)
      <=> ( v1835(VarNext)
          & v320(VarNext) ) ) ) )).

fof(writeUnaryOperator_261,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1835(VarNext)
      <=> v329(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_44,axiom,(
    ! [VarCurr] :
      ( ~ v1796(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1786(VarCurr,B)
          <=> $false ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_45,axiom,(
    ! [VarCurr] :
      ( v1796(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1786(VarCurr,B)
          <=> v1814(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges4_2,axiom,(
    ! [VarCurr] :
      ( ( ~ v1802(VarCurr)
        & ~ v1805(VarCurr)
        & ~ v1430(VarCurr)
        & ~ v1827(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v1814(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_3,axiom,(
    ! [VarCurr] :
      ( v1827(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1814(VarCurr,B)
          <=> v1829(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_7,axiom,(
    ! [VarCurr] :
      ( v1430(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1814(VarCurr,B)
          <=> v1788(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_27,axiom,(
    ! [VarCurr] :
      ( v1805(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1814(VarCurr,B)
          <=> v1818(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_27,axiom,(
    ! [VarCurr] :
      ( v1802(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1814(VarCurr,B)
          <=> v1815(VarCurr,B) ) ) ) )).

fof(addAssignment_208,axiom,(
    ! [VarCurr] :
      ( v1829(VarCurr,bitIndex0)
    <=> v1315(VarCurr) ) )).

fof(addAssignment_207,axiom,(
    ! [VarCurr] :
      ( ( v1829(VarCurr,bitIndex2)
      <=> $false )
      & ( v1829(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_585,axiom,(
    ! [VarCurr] :
      ( v1827(VarCurr)
    <=> ( v1482(VarCurr)
        | v1807(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_19,axiom,(
    ! [VarCurr] :
      ( ( ~ v1426(VarCurr)
        & v1427(VarCurr) )
     => ! [B] :
          ( range_2_0(B)
         => ( v1818(VarCurr,B)
          <=> v1822(VarCurr,B) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_19,axiom,(
    ! [VarCurr] :
      ( v1426(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1818(VarCurr,B)
          <=> v1819(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_43,axiom,(
    ! [VarCurr] :
      ( ~ v1473(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1822(VarCurr,B)
          <=> v1826(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_44,axiom,(
    ! [VarCurr] :
      ( v1473(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1822(VarCurr,B)
          <=> v1823(VarCurr,B) ) ) ) )).

fof(addAssignment_206,axiom,(
    ! [VarCurr] :
      ( v1826(VarCurr,bitIndex0)
    <=> v1315(VarCurr) ) )).

fof(addAssignment_205,axiom,(
    ! [VarCurr] :
      ( ( v1826(VarCurr,bitIndex2)
      <=> $false )
      & ( v1826(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_42,axiom,(
    ! [VarCurr] :
      ( ~ v1315(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1823(VarCurr,B)
          <=> v1825(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_43,axiom,(
    ! [VarCurr] :
      ( v1315(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1823(VarCurr,B)
          <=> v1824(VarCurr,B) ) ) ) )).

fof(addAssignment_204,axiom,(
    ! [VarCurr] :
      ( v1825(VarCurr,bitIndex0)
    <=> v1315(VarCurr) ) )).

fof(addAssignment_203,axiom,(
    ! [VarCurr] :
      ( ( v1825(VarCurr,bitIndex2)
      <=> $false )
      & ( v1825(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addAssignment_202,axiom,(
    ! [VarCurr] :
      ( v1824(VarCurr,bitIndex0)
    <=> v1315(VarCurr) ) )).

fof(addAssignment_201,axiom,(
    ! [VarCurr] :
      ( ( v1824(VarCurr,bitIndex2)
      <=> $false )
      & ( v1824(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_41,axiom,(
    ! [VarCurr] :
      ( ~ v1469(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1819(VarCurr,B)
          <=> v1821(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_42,axiom,(
    ! [VarCurr] :
      ( v1469(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1819(VarCurr,B)
          <=> v1820(VarCurr,B) ) ) ) )).

fof(addAssignment_200,axiom,(
    ! [VarCurr] :
      ( v1821(VarCurr,bitIndex0)
    <=> v1315(VarCurr) ) )).

fof(addAssignment_199,axiom,(
    ! [VarCurr] :
      ( ( v1821(VarCurr,bitIndex2)
      <=> $false )
      & ( v1821(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addAssignment_198,axiom,(
    ! [VarCurr] :
      ( v1820(VarCurr,bitIndex0)
    <=> v1315(VarCurr) ) )).

fof(addAssignment_197,axiom,(
    ! [VarCurr] :
      ( ( v1820(VarCurr,bitIndex2)
      <=> $false )
      & ( v1820(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_40,axiom,(
    ! [VarCurr] :
      ( ~ v1453(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1815(VarCurr,B)
          <=> v1817(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_41,axiom,(
    ! [VarCurr] :
      ( v1453(VarCurr)
     => ! [B] :
          ( range_2_0(B)
         => ( v1815(VarCurr,B)
          <=> v1816(VarCurr,B) ) ) ) )).

fof(addAssignment_196,axiom,(
    ! [VarCurr] :
      ( v1817(VarCurr,bitIndex0)
    <=> v1315(VarCurr) ) )).

fof(addAssignment_195,axiom,(
    ! [VarCurr] :
      ( ( v1817(VarCurr,bitIndex2)
      <=> $false )
      & ( v1817(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(addAssignment_194,axiom,(
    ! [VarCurr] :
      ( v1816(VarCurr,bitIndex0)
    <=> v1315(VarCurr) ) )).

fof(addAssignment_193,axiom,(
    ! [VarCurr] :
      ( ( v1816(VarCurr,bitIndex2)
      <=> $false )
      & ( v1816(VarCurr,bitIndex1)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_584,axiom,(
    ! [VarCurr] :
      ( v1796(VarCurr)
    <=> ( v1797(VarCurr)
        | v1808(VarCurr) ) ) )).

fof(writeUnaryOperator_260,axiom,(
    ! [VarCurr] :
      ( ~ v1808(VarCurr)
    <=> v1809(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_583,axiom,(
    ! [VarCurr] :
      ( v1809(VarCurr)
    <=> ( v1810(VarCurr)
        | v1439(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_582,axiom,(
    ! [VarCurr] :
      ( v1810(VarCurr)
    <=> ( v1811(VarCurr)
        | v1434(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_581,axiom,(
    ! [VarCurr] :
      ( v1811(VarCurr)
    <=> ( v1812(VarCurr)
        | v1431(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_580,axiom,(
    ! [VarCurr] :
      ( v1812(VarCurr)
    <=> ( v1813(VarCurr)
        | v1430(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_579,axiom,(
    ! [VarCurr] :
      ( v1813(VarCurr)
    <=> ( v1423(VarCurr)
        | v1429(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_578,axiom,(
    ! [VarCurr] :
      ( v1797(VarCurr)
    <=> ( v1798(VarCurr)
        | v1807(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_577,axiom,(
    ! [VarCurr] :
      ( v1807(VarCurr)
    <=> ( v1436(VarCurr)
        & v1439(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_576,axiom,(
    ! [VarCurr] :
      ( v1798(VarCurr)
    <=> ( v1799(VarCurr)
        | v1434(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_575,axiom,(
    ! [VarCurr] :
      ( v1799(VarCurr)
    <=> ( v1800(VarCurr)
        | v1431(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_574,axiom,(
    ! [VarCurr] :
      ( v1800(VarCurr)
    <=> ( v1801(VarCurr)
        | v1430(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_573,axiom,(
    ! [VarCurr] :
      ( v1801(VarCurr)
    <=> ( v1802(VarCurr)
        | v1805(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_572,axiom,(
    ! [VarCurr] :
      ( v1805(VarCurr)
    <=> ( v1806(VarCurr)
        & v1429(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_571,axiom,(
    ! [VarCurr] :
      ( v1806(VarCurr)
    <=> ( v1426(VarCurr)
        | v1427(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_570,axiom,(
    ! [VarCurr] :
      ( v1802(VarCurr)
    <=> ( v1803(VarCurr)
        & v1423(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_569,axiom,(
    ! [VarCurr] :
      ( v1803(VarCurr)
    <=> ( v1804(VarCurr)
        | v1394(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_568,axiom,(
    ! [VarCurr] :
      ( v1804(VarCurr)
    <=> ( v1328(VarCurr)
        | v1393(VarCurr) ) ) )).

fof(addAssignment_192,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v1788(VarCurr,B)
      <=> v1790(VarCurr,B) ) ) )).

fof(addAssignment_191,axiom,(
    ! [VarCurr,B] :
      ( range_2_0(B)
     => ( v1790(VarCurr,B)
      <=> v1792(VarCurr,B) ) ) )).

fof(range_axiom_10,axiom,(
    ! [B] :
      ( range_2_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B ) ) )).

fof(addAssignment_190,axiom,(
    ! [VarCurr] :
      ( ( v1792(VarCurr,bitIndex2)
      <=> v1794(VarCurr,bitIndex17) )
      & ( v1792(VarCurr,bitIndex1)
      <=> v1794(VarCurr,bitIndex16) )
      & ( v1792(VarCurr,bitIndex0)
      <=> v1794(VarCurr,bitIndex15) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_18,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1702(VarNext)
       => ! [B] :
            ( range_6_0(B)
           => ( v1668(VarNext,B)
            <=> v1668(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_18,axiom,(
    ! [VarNext] :
      ( v1702(VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v1668(VarNext,B)
          <=> v1739(VarNext,B) ) ) ) )).

fof(addAssignment_189,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v1739(VarNext,B)
          <=> v1737(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_26,axiom,(
    ! [VarCurr] :
      ( ~ v408(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v1737(VarCurr,B)
          <=> v1740(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_26,axiom,(
    ! [VarCurr] :
      ( v408(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v1737(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_25,axiom,(
    ! [VarCurr] :
      ( ~ v411(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v1740(VarCurr,B)
          <=> v1741(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_25,axiom,(
    ! [VarCurr] :
      ( v411(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v1740(VarCurr,B)
          <=> v1670(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_39,axiom,(
    ! [VarCurr] :
      ( ~ v312(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v1741(VarCurr,B)
          <=> v1742(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_40,axiom,(
    ! [VarCurr] :
      ( v312(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v1741(VarCurr,B)
          <=> v1670(VarCurr,B) ) ) ) )).

fof(addAssignment_188,axiom,(
    ! [VarCurr] :
      ( v1742(VarCurr,bitIndex0)
    <=> v1776(VarCurr) ) )).

fof(addAssignment_187,axiom,(
    ! [VarCurr] :
      ( v1742(VarCurr,bitIndex1)
    <=> v1774(VarCurr) ) )).

fof(addAssignment_186,axiom,(
    ! [VarCurr] :
      ( v1742(VarCurr,bitIndex2)
    <=> v1769(VarCurr) ) )).

fof(addAssignment_185,axiom,(
    ! [VarCurr] :
      ( v1742(VarCurr,bitIndex3)
    <=> v1764(VarCurr) ) )).

fof(addAssignment_184,axiom,(
    ! [VarCurr] :
      ( v1742(VarCurr,bitIndex4)
    <=> v1759(VarCurr) ) )).

fof(addAssignment_183,axiom,(
    ! [VarCurr] :
      ( v1742(VarCurr,bitIndex5)
    <=> v1754(VarCurr) ) )).

fof(addAssignment_182,axiom,(
    ! [VarCurr] :
      ( v1742(VarCurr,bitIndex6)
    <=> v1744(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_567,axiom,(
    ! [VarCurr] :
      ( v1774(VarCurr)
    <=> ( v1775(VarCurr)
        & v1778(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_132,axiom,(
    ! [VarCurr] :
      ( v1778(VarCurr)
    <=> ( v1668(VarCurr,bitIndex0)
        | v1668(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_566,axiom,(
    ! [VarCurr] :
      ( v1775(VarCurr)
    <=> ( v1776(VarCurr)
        | v1777(VarCurr) ) ) )).

fof(writeUnaryOperator_259,axiom,(
    ! [VarCurr] :
      ( ~ v1777(VarCurr)
    <=> v1668(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_258,axiom,(
    ! [VarCurr] :
      ( ~ v1776(VarCurr)
    <=> v1668(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_565,axiom,(
    ! [VarCurr] :
      ( v1769(VarCurr)
    <=> ( v1770(VarCurr)
        & v1773(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_131,axiom,(
    ! [VarCurr] :
      ( v1773(VarCurr)
    <=> ( v1751(VarCurr)
        | v1668(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_564,axiom,(
    ! [VarCurr] :
      ( v1770(VarCurr)
    <=> ( v1771(VarCurr)
        | v1772(VarCurr) ) ) )).

fof(writeUnaryOperator_257,axiom,(
    ! [VarCurr] :
      ( ~ v1772(VarCurr)
    <=> v1668(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_256,axiom,(
    ! [VarCurr] :
      ( ~ v1771(VarCurr)
    <=> v1751(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_563,axiom,(
    ! [VarCurr] :
      ( v1764(VarCurr)
    <=> ( v1765(VarCurr)
        & v1768(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_130,axiom,(
    ! [VarCurr] :
      ( v1768(VarCurr)
    <=> ( v1750(VarCurr)
        | v1668(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_562,axiom,(
    ! [VarCurr] :
      ( v1765(VarCurr)
    <=> ( v1766(VarCurr)
        | v1767(VarCurr) ) ) )).

fof(writeUnaryOperator_255,axiom,(
    ! [VarCurr] :
      ( ~ v1767(VarCurr)
    <=> v1668(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_254,axiom,(
    ! [VarCurr] :
      ( ~ v1766(VarCurr)
    <=> v1750(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_561,axiom,(
    ! [VarCurr] :
      ( v1759(VarCurr)
    <=> ( v1760(VarCurr)
        & v1763(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_129,axiom,(
    ! [VarCurr] :
      ( v1763(VarCurr)
    <=> ( v1749(VarCurr)
        | v1668(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_560,axiom,(
    ! [VarCurr] :
      ( v1760(VarCurr)
    <=> ( v1761(VarCurr)
        | v1762(VarCurr) ) ) )).

fof(writeUnaryOperator_253,axiom,(
    ! [VarCurr] :
      ( ~ v1762(VarCurr)
    <=> v1668(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_252,axiom,(
    ! [VarCurr] :
      ( ~ v1761(VarCurr)
    <=> v1749(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_559,axiom,(
    ! [VarCurr] :
      ( v1754(VarCurr)
    <=> ( v1755(VarCurr)
        & v1758(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_128,axiom,(
    ! [VarCurr] :
      ( v1758(VarCurr)
    <=> ( v1748(VarCurr)
        | v1668(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_558,axiom,(
    ! [VarCurr] :
      ( v1755(VarCurr)
    <=> ( v1756(VarCurr)
        | v1757(VarCurr) ) ) )).

fof(writeUnaryOperator_251,axiom,(
    ! [VarCurr] :
      ( ~ v1757(VarCurr)
    <=> v1668(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_250,axiom,(
    ! [VarCurr] :
      ( ~ v1756(VarCurr)
    <=> v1748(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_557,axiom,(
    ! [VarCurr] :
      ( v1744(VarCurr)
    <=> ( v1745(VarCurr)
        & v1753(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_127,axiom,(
    ! [VarCurr] :
      ( v1753(VarCurr)
    <=> ( v1747(VarCurr)
        | v1668(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_556,axiom,(
    ! [VarCurr] :
      ( v1745(VarCurr)
    <=> ( v1746(VarCurr)
        | v1752(VarCurr) ) ) )).

fof(writeUnaryOperator_249,axiom,(
    ! [VarCurr] :
      ( ~ v1752(VarCurr)
    <=> v1668(VarCurr,bitIndex6) ) )).

fof(writeUnaryOperator_248,axiom,(
    ! [VarCurr] :
      ( ~ v1746(VarCurr)
    <=> v1747(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_126,axiom,(
    ! [VarCurr] :
      ( v1747(VarCurr)
    <=> ( v1748(VarCurr)
        & v1668(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorShiftedRanges_125,axiom,(
    ! [VarCurr] :
      ( v1748(VarCurr)
    <=> ( v1749(VarCurr)
        & v1668(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorShiftedRanges_124,axiom,(
    ! [VarCurr] :
      ( v1749(VarCurr)
    <=> ( v1750(VarCurr)
        & v1668(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_123,axiom,(
    ! [VarCurr] :
      ( v1750(VarCurr)
    <=> ( v1751(VarCurr)
        & v1668(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_122,axiom,(
    ! [VarCurr] :
      ( v1751(VarCurr)
    <=> ( v1668(VarCurr,bitIndex0)
        & v1668(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_555,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1702(VarNext)
      <=> ( v1703(VarNext)
          & v1710(VarNext) ) ) ) )).

fof(addAssignment_181,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1710(VarNext)
      <=> v1708(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_554,axiom,(
    ! [VarCurr] :
      ( v1708(VarCurr)
    <=> ( v1711(VarCurr)
        & v1716(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_553,axiom,(
    ! [VarCurr] :
      ( v1716(VarCurr)
    <=> ( v1717(VarCurr)
        | v408(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_552,axiom,(
    ! [VarCurr] :
      ( v1717(VarCurr)
    <=> ( v1718(VarCurr)
        & v1736(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_551,axiom,(
    ! [VarCurr] :
      ( v1736(VarCurr)
    <=> ( v411(VarCurr)
        | v1714(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_550,axiom,(
    ! [VarCurr] :
      ( v1718(VarCurr)
    <=> ( v1719(VarCurr)
        & v1721(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_549,axiom,(
    ! [VarCurr] :
      ( v1721(VarCurr)
    <=> ( v1722(VarCurr)
        | v1735(VarCurr) ) ) )).

fof(writeUnaryOperator_247,axiom,(
    ! [VarCurr] :
      ( ~ v1735(VarCurr)
    <=> v414(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_548,axiom,(
    ! [VarCurr] :
      ( v1722(VarCurr)
    <=> ( v1723(VarCurr)
        & v1724(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_547,axiom,(
    ! [VarCurr] :
      ( v1724(VarCurr)
    <=> ( v1725(VarCurr)
        | v1734(VarCurr) ) ) )).

fof(writeUnaryOperator_246,axiom,(
    ! [VarCurr] :
      ( ~ v1734(VarCurr)
    <=> v413(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_546,axiom,(
    ! [VarCurr] :
      ( v1725(VarCurr)
    <=> ( v1726(VarCurr)
        & v1733(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_545,axiom,(
    ! [VarCurr] :
      ( v1733(VarCurr)
    <=> ( v430(VarCurr)
        | v443(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_544,axiom,(
    ! [VarCurr] :
      ( v1726(VarCurr)
    <=> ( v1727(VarCurr)
        & v1730(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_543,axiom,(
    ! [VarCurr] :
      ( v1730(VarCurr)
    <=> ( v1731(VarCurr)
        | v1732(VarCurr) ) ) )).

fof(writeUnaryOperator_245,axiom,(
    ! [VarCurr] :
      ( ~ v1732(VarCurr)
    <=> v443(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_542,axiom,(
    ! [VarCurr] :
      ( v1731(VarCurr)
    <=> ( v1544(VarCurr)
        | v312(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_541,axiom,(
    ! [VarCurr] :
      ( v1727(VarCurr)
    <=> ( v1728(VarCurr)
        | v1729(VarCurr) ) ) )).

fof(writeUnaryOperator_244,axiom,(
    ! [VarCurr] :
      ( ~ v1729(VarCurr)
    <=> v430(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_540,axiom,(
    ! [VarCurr] :
      ( v1728(VarCurr)
    <=> ( v1544(VarCurr)
        | v312(VarCurr) ) ) )).

fof(writeUnaryOperator_243,axiom,(
    ! [VarCurr] :
      ( ~ v1723(VarCurr)
    <=> v424(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_539,axiom,(
    ! [VarCurr] :
      ( v1719(VarCurr)
    <=> ( v312(VarCurr)
        | v1720(VarCurr) ) ) )).

fof(writeUnaryOperator_242,axiom,(
    ! [VarCurr] :
      ( ~ v1720(VarCurr)
    <=> v411(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_538,axiom,(
    ! [VarCurr] :
      ( v1711(VarCurr)
    <=> ( v408(VarCurr)
        | v1712(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_537,axiom,(
    ! [VarCurr] :
      ( v1712(VarCurr)
    <=> ( v1713(VarCurr)
        & v1715(VarCurr) ) ) )).

fof(writeUnaryOperator_241,axiom,(
    ! [VarCurr] :
      ( ~ v1715(VarCurr)
    <=> v408(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_536,axiom,(
    ! [VarCurr] :
      ( v1713(VarCurr)
    <=> ( v411(VarCurr)
        | v1714(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_535,axiom,(
    ! [VarCurr] :
      ( v1714(VarCurr)
    <=> ( v413(VarCurr)
        & v414(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_534,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1703(VarNext)
      <=> ( v1705(VarNext)
          & v320(VarNext) ) ) ) )).

fof(writeUnaryOperator_240,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1705(VarNext)
      <=> v329(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_17,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1683(VarNext)
       => ! [B] :
            ( range_6_0(B)
           => ( v1670(VarNext,B)
            <=> v1670(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_17,axiom,(
    ! [VarNext] :
      ( v1683(VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v1670(VarNext,B)
          <=> v1694(VarNext,B) ) ) ) )).

fof(addAssignment_180,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v1694(VarNext,B)
          <=> v1692(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_38,axiom,(
    ! [VarCurr] :
      ( ~ v691(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v1692(VarCurr,B)
          <=> v1695(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_39,axiom,(
    ! [VarCurr] :
      ( v691(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v1692(VarCurr,B)
          <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_37,axiom,(
    ! [VarCurr] :
      ( ~ v1696(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v1695(VarCurr,B)
          <=> v1697(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_38,axiom,(
    ! [VarCurr] :
      ( v1696(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v1695(VarCurr,B)
          <=> v1672(VarCurr,B) ) ) ) )).

fof(addAssignment_179,axiom,(
    ! [VarCurr] :
      ( ( v1697(VarCurr,bitIndex5)
      <=> v755(VarCurr,bitIndex9) )
      & ( v1697(VarCurr,bitIndex4)
      <=> v755(VarCurr,bitIndex8) )
      & ( v1697(VarCurr,bitIndex3)
      <=> v755(VarCurr,bitIndex7) )
      & ( v1697(VarCurr,bitIndex2)
      <=> v755(VarCurr,bitIndex6) )
      & ( v1697(VarCurr,bitIndex1)
      <=> v755(VarCurr,bitIndex5) )
      & ( v1697(VarCurr,bitIndex0)
      <=> v755(VarCurr,bitIndex4) ) ) )).

fof(addAssignment_178,axiom,(
    ! [VarCurr] :
      ( v1697(VarCurr,bitIndex6)
    <=> $false ) )).

fof(addBitVectorEqualityBitBlasted_101,axiom,(
    ! [VarCurr] :
      ( v1696(VarCurr)
    <=> ( ( v214(VarCurr,bitIndex3)
        <=> $false )
        & ( v214(VarCurr,bitIndex2)
        <=> $false )
        & ( v214(VarCurr,bitIndex1)
        <=> $true )
        & ( v214(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_533,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1683(VarNext)
      <=> ( v1684(VarNext)
          & v1691(VarNext) ) ) ) )).

fof(addAssignment_177,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1691(VarNext)
      <=> v1689(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_532,axiom,(
    ! [VarCurr] :
      ( v1689(VarCurr)
    <=> ( v167(VarCurr)
        | v691(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_531,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1684(VarNext)
      <=> ( v1686(VarNext)
          & v320(VarNext) ) ) ) )).

fof(writeUnaryOperator_239,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1686(VarNext)
      <=> v329(VarNext) ) ) )).

fof(addAssignment_176,axiom,(
    ! [VarCurr] :
      ( v755(VarCurr,bitIndex9)
    <=> v757(VarCurr,bitIndex9) ) )).

fof(addAssignment_175,axiom,(
    ! [VarCurr] :
      ( v757(VarCurr,bitIndex9)
    <=> v759(VarCurr,bitIndex10) ) )).

fof(addAssignment_174,axiom,(
    ! [VarCurr] :
      ( v759(VarCurr,bitIndex10)
    <=> v761(VarCurr,bitIndex136) ) )).

fof(addAssignment_173,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v1672(VarCurr,B)
      <=> v1674(VarCurr,B) ) ) )).

fof(addAssignment_172,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v1674(VarCurr,B)
      <=> v1676(VarCurr,B) ) ) )).

fof(addAssignment_171,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v1676(VarCurr,B)
      <=> v1678(VarCurr,B) ) ) )).

fof(addAssignment_170,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v1678(VarCurr,B)
      <=> v1680(VarCurr,B) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_16,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1629(VarNext)
       => ! [B] :
            ( range_30_0(B)
           => ( v1605(VarNext,B)
            <=> v1605(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_16,axiom,(
    ! [VarNext] :
      ( v1629(VarNext)
     => ! [B] :
          ( range_30_0(B)
         => ( v1605(VarNext,B)
          <=> v1664(VarNext,B) ) ) ) )).

fof(addAssignment_169,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_30_0(B)
         => ( v1664(VarNext,B)
          <=> v1662(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_24,axiom,(
    ! [VarCurr] :
      ( ~ v408(VarCurr)
     => ! [B] :
          ( range_30_0(B)
         => ( v1662(VarCurr,B)
          <=> v1608(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_24,axiom,(
    ! [VarCurr] :
      ( v408(VarCurr)
     => ! [B] :
          ( range_30_0(B)
         => ( v1662(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_530,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1629(VarNext)
      <=> ( v1630(VarNext)
          & v1637(VarNext) ) ) ) )).

fof(addAssignment_168,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1637(VarNext)
      <=> v1635(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_529,axiom,(
    ! [VarCurr] :
      ( v1635(VarCurr)
    <=> ( v1638(VarCurr)
        & v1643(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_528,axiom,(
    ! [VarCurr] :
      ( v1643(VarCurr)
    <=> ( v1644(VarCurr)
        | v408(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_527,axiom,(
    ! [VarCurr] :
      ( v1644(VarCurr)
    <=> ( v1645(VarCurr)
        & v1661(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_526,axiom,(
    ! [VarCurr] :
      ( v1661(VarCurr)
    <=> ( v411(VarCurr)
        | v1641(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_525,axiom,(
    ! [VarCurr] :
      ( v1645(VarCurr)
    <=> ( v1646(VarCurr)
        & v1648(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_524,axiom,(
    ! [VarCurr] :
      ( v1648(VarCurr)
    <=> ( v1649(VarCurr)
        | v1660(VarCurr) ) ) )).

fof(writeUnaryOperator_238,axiom,(
    ! [VarCurr] :
      ( ~ v1660(VarCurr)
    <=> v414(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_523,axiom,(
    ! [VarCurr] :
      ( v1649(VarCurr)
    <=> ( v1650(VarCurr)
        & v1651(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_522,axiom,(
    ! [VarCurr] :
      ( v1651(VarCurr)
    <=> ( v1652(VarCurr)
        | v1659(VarCurr) ) ) )).

fof(writeUnaryOperator_237,axiom,(
    ! [VarCurr] :
      ( ~ v1659(VarCurr)
    <=> v413(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_521,axiom,(
    ! [VarCurr] :
      ( v1652(VarCurr)
    <=> ( v1653(VarCurr)
        & v1658(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_520,axiom,(
    ! [VarCurr] :
      ( v1658(VarCurr)
    <=> ( v430(VarCurr)
        | v443(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_519,axiom,(
    ! [VarCurr] :
      ( v1653(VarCurr)
    <=> ( v1654(VarCurr)
        & v1656(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_518,axiom,(
    ! [VarCurr] :
      ( v1656(VarCurr)
    <=> ( v312(VarCurr)
        | v1657(VarCurr) ) ) )).

fof(writeUnaryOperator_236,axiom,(
    ! [VarCurr] :
      ( ~ v1657(VarCurr)
    <=> v443(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_517,axiom,(
    ! [VarCurr] :
      ( v1654(VarCurr)
    <=> ( v312(VarCurr)
        | v1655(VarCurr) ) ) )).

fof(writeUnaryOperator_235,axiom,(
    ! [VarCurr] :
      ( ~ v1655(VarCurr)
    <=> v430(VarCurr) ) )).

fof(writeUnaryOperator_234,axiom,(
    ! [VarCurr] :
      ( ~ v1650(VarCurr)
    <=> v424(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_516,axiom,(
    ! [VarCurr] :
      ( v1646(VarCurr)
    <=> ( v312(VarCurr)
        | v1647(VarCurr) ) ) )).

fof(writeUnaryOperator_233,axiom,(
    ! [VarCurr] :
      ( ~ v1647(VarCurr)
    <=> v411(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_515,axiom,(
    ! [VarCurr] :
      ( v1638(VarCurr)
    <=> ( v408(VarCurr)
        | v1639(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_514,axiom,(
    ! [VarCurr] :
      ( v1639(VarCurr)
    <=> ( v1640(VarCurr)
        & v1642(VarCurr) ) ) )).

fof(writeUnaryOperator_232,axiom,(
    ! [VarCurr] :
      ( ~ v1642(VarCurr)
    <=> v408(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_513,axiom,(
    ! [VarCurr] :
      ( v1640(VarCurr)
    <=> ( v411(VarCurr)
        | v1641(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_512,axiom,(
    ! [VarCurr] :
      ( v1641(VarCurr)
    <=> ( v413(VarCurr)
        & v414(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_511,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1630(VarNext)
      <=> ( v1632(VarNext)
          & v320(VarNext) ) ) ) )).

fof(writeUnaryOperator_231,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1632(VarNext)
      <=> v329(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_15,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1611(VarNext)
       => ! [B] :
            ( range_30_0(B)
           => ( v1608(VarNext,B)
            <=> v1608(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_15,axiom,(
    ! [VarNext] :
      ( v1611(VarNext)
     => ! [B] :
          ( range_30_0(B)
         => ( v1608(VarNext,B)
          <=> v1622(VarNext,B) ) ) ) )).

fof(addAssignment_167,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_30_0(B)
         => ( v1622(VarNext,B)
          <=> v1620(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_36,axiom,(
    ! [VarCurr] :
      ( ~ v691(VarCurr)
     => ! [B] :
          ( range_30_0(B)
         => ( v1620(VarCurr,B)
          <=> v1623(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_37,axiom,(
    ! [VarCurr] :
      ( v691(VarCurr)
     => ! [B] :
          ( range_30_0(B)
         => ( v1620(VarCurr,B)
          <=> $false ) ) ) )).

fof(addConditionBooleanCondShiftedRangesElseBranch,axiom,(
    ! [VarCurr] :
      ( ~ v1624(VarCurr)
     => ( ( v1623(VarCurr,bitIndex30)
        <=> v755(VarCurr,bitIndex40) )
        & ( v1623(VarCurr,bitIndex29)
        <=> v755(VarCurr,bitIndex39) )
        & ( v1623(VarCurr,bitIndex28)
        <=> v755(VarCurr,bitIndex38) )
        & ( v1623(VarCurr,bitIndex27)
        <=> v755(VarCurr,bitIndex37) )
        & ( v1623(VarCurr,bitIndex26)
        <=> v755(VarCurr,bitIndex36) )
        & ( v1623(VarCurr,bitIndex25)
        <=> v755(VarCurr,bitIndex35) )
        & ( v1623(VarCurr,bitIndex24)
        <=> v755(VarCurr,bitIndex34) )
        & ( v1623(VarCurr,bitIndex23)
        <=> v755(VarCurr,bitIndex33) )
        & ( v1623(VarCurr,bitIndex22)
        <=> v755(VarCurr,bitIndex32) )
        & ( v1623(VarCurr,bitIndex21)
        <=> v755(VarCurr,bitIndex31) )
        & ( v1623(VarCurr,bitIndex20)
        <=> v755(VarCurr,bitIndex30) )
        & ( v1623(VarCurr,bitIndex19)
        <=> v755(VarCurr,bitIndex29) )
        & ( v1623(VarCurr,bitIndex18)
        <=> v755(VarCurr,bitIndex28) )
        & ( v1623(VarCurr,bitIndex17)
        <=> v755(VarCurr,bitIndex27) )
        & ( v1623(VarCurr,bitIndex16)
        <=> v755(VarCurr,bitIndex26) )
        & ( v1623(VarCurr,bitIndex15)
        <=> v755(VarCurr,bitIndex25) )
        & ( v1623(VarCurr,bitIndex14)
        <=> v755(VarCurr,bitIndex24) )
        & ( v1623(VarCurr,bitIndex13)
        <=> v755(VarCurr,bitIndex23) )
        & ( v1623(VarCurr,bitIndex12)
        <=> v755(VarCurr,bitIndex22) )
        & ( v1623(VarCurr,bitIndex11)
        <=> v755(VarCurr,bitIndex21) )
        & ( v1623(VarCurr,bitIndex10)
        <=> v755(VarCurr,bitIndex20) )
        & ( v1623(VarCurr,bitIndex9)
        <=> v755(VarCurr,bitIndex19) )
        & ( v1623(VarCurr,bitIndex8)
        <=> v755(VarCurr,bitIndex18) )
        & ( v1623(VarCurr,bitIndex7)
        <=> v755(VarCurr,bitIndex17) )
        & ( v1623(VarCurr,bitIndex6)
        <=> v755(VarCurr,bitIndex16) )
        & ( v1623(VarCurr,bitIndex5)
        <=> v755(VarCurr,bitIndex15) )
        & ( v1623(VarCurr,bitIndex4)
        <=> v755(VarCurr,bitIndex14) )
        & ( v1623(VarCurr,bitIndex3)
        <=> v755(VarCurr,bitIndex13) )
        & ( v1623(VarCurr,bitIndex2)
        <=> v755(VarCurr,bitIndex12) )
        & ( v1623(VarCurr,bitIndex1)
        <=> v755(VarCurr,bitIndex11) )
        & ( v1623(VarCurr,bitIndex0)
        <=> v755(VarCurr,bitIndex10) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_36,axiom,(
    ! [VarCurr] :
      ( v1624(VarCurr)
     => ! [B] :
          ( range_30_0(B)
         => ( v1623(VarCurr,B)
          <=> $false ) ) ) )).

fof(range_axiom_9,axiom,(
    ! [B] :
      ( range_30_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B ) ) )).

fof(bitBlastConstant_226,axiom,(
    ~ b0000000000000000000000000000000(bitIndex30) )).

fof(bitBlastConstant_225,axiom,(
    ~ b0000000000000000000000000000000(bitIndex29) )).

fof(bitBlastConstant_224,axiom,(
    ~ b0000000000000000000000000000000(bitIndex28) )).

fof(bitBlastConstant_223,axiom,(
    ~ b0000000000000000000000000000000(bitIndex27) )).

fof(bitBlastConstant_222,axiom,(
    ~ b0000000000000000000000000000000(bitIndex26) )).

fof(bitBlastConstant_221,axiom,(
    ~ b0000000000000000000000000000000(bitIndex25) )).

fof(bitBlastConstant_220,axiom,(
    ~ b0000000000000000000000000000000(bitIndex24) )).

fof(bitBlastConstant_219,axiom,(
    ~ b0000000000000000000000000000000(bitIndex23) )).

fof(bitBlastConstant_218,axiom,(
    ~ b0000000000000000000000000000000(bitIndex22) )).

fof(bitBlastConstant_217,axiom,(
    ~ b0000000000000000000000000000000(bitIndex21) )).

fof(bitBlastConstant_216,axiom,(
    ~ b0000000000000000000000000000000(bitIndex20) )).

fof(bitBlastConstant_215,axiom,(
    ~ b0000000000000000000000000000000(bitIndex19) )).

fof(bitBlastConstant_214,axiom,(
    ~ b0000000000000000000000000000000(bitIndex18) )).

fof(bitBlastConstant_213,axiom,(
    ~ b0000000000000000000000000000000(bitIndex17) )).

fof(bitBlastConstant_212,axiom,(
    ~ b0000000000000000000000000000000(bitIndex16) )).

fof(bitBlastConstant_211,axiom,(
    ~ b0000000000000000000000000000000(bitIndex15) )).

fof(bitBlastConstant_210,axiom,(
    ~ b0000000000000000000000000000000(bitIndex14) )).

fof(bitBlastConstant_209,axiom,(
    ~ b0000000000000000000000000000000(bitIndex13) )).

fof(bitBlastConstant_208,axiom,(
    ~ b0000000000000000000000000000000(bitIndex12) )).

fof(bitBlastConstant_207,axiom,(
    ~ b0000000000000000000000000000000(bitIndex11) )).

fof(bitBlastConstant_206,axiom,(
    ~ b0000000000000000000000000000000(bitIndex10) )).

fof(bitBlastConstant_205,axiom,(
    ~ b0000000000000000000000000000000(bitIndex9) )).

fof(bitBlastConstant_204,axiom,(
    ~ b0000000000000000000000000000000(bitIndex8) )).

fof(bitBlastConstant_203,axiom,(
    ~ b0000000000000000000000000000000(bitIndex7) )).

fof(bitBlastConstant_202,axiom,(
    ~ b0000000000000000000000000000000(bitIndex6) )).

fof(bitBlastConstant_201,axiom,(
    ~ b0000000000000000000000000000000(bitIndex5) )).

fof(bitBlastConstant_200,axiom,(
    ~ b0000000000000000000000000000000(bitIndex4) )).

fof(bitBlastConstant_199,axiom,(
    ~ b0000000000000000000000000000000(bitIndex3) )).

fof(bitBlastConstant_198,axiom,(
    ~ b0000000000000000000000000000000(bitIndex2) )).

fof(bitBlastConstant_197,axiom,(
    ~ b0000000000000000000000000000000(bitIndex1) )).

fof(bitBlastConstant_196,axiom,(
    ~ b0000000000000000000000000000000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_100,axiom,(
    ! [VarCurr] :
      ( v1624(VarCurr)
    <=> ( ( v214(VarCurr,bitIndex3)
        <=> $false )
        & ( v214(VarCurr,bitIndex2)
        <=> $false )
        & ( v214(VarCurr,bitIndex1)
        <=> $true )
        & ( v214(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_510,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1611(VarNext)
      <=> ( v1612(VarNext)
          & v1619(VarNext) ) ) ) )).

fof(addAssignment_166,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1619(VarNext)
      <=> v1617(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_509,axiom,(
    ! [VarCurr] :
      ( v1617(VarCurr)
    <=> ( v167(VarCurr)
        | v691(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_508,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1612(VarNext)
      <=> ( v1614(VarNext)
          & v320(VarNext) ) ) ) )).

fof(writeUnaryOperator_230,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1614(VarNext)
      <=> v329(VarNext) ) ) )).

fof(addAssignment_165,axiom,(
    ! [VarCurr,B] :
      ( range_40_10(B)
     => ( v755(VarCurr,B)
      <=> v757(VarCurr,B) ) ) )).

fof(range_axiom_8,axiom,(
    ! [B] :
      ( range_40_10(B)
    <=> ( $false
        | bitIndex10 = B
        | bitIndex11 = B
        | bitIndex12 = B
        | bitIndex13 = B
        | bitIndex14 = B
        | bitIndex15 = B
        | bitIndex16 = B
        | bitIndex17 = B
        | bitIndex18 = B
        | bitIndex19 = B
        | bitIndex20 = B
        | bitIndex21 = B
        | bitIndex22 = B
        | bitIndex23 = B
        | bitIndex24 = B
        | bitIndex25 = B
        | bitIndex26 = B
        | bitIndex27 = B
        | bitIndex28 = B
        | bitIndex29 = B
        | bitIndex30 = B
        | bitIndex31 = B
        | bitIndex32 = B
        | bitIndex33 = B
        | bitIndex34 = B
        | bitIndex35 = B
        | bitIndex36 = B
        | bitIndex37 = B
        | bitIndex38 = B
        | bitIndex39 = B
        | bitIndex40 = B ) ) )).

fof(addAssignment_164,axiom,(
    ! [VarCurr] :
      ( ( v757(VarCurr,bitIndex40)
      <=> v759(VarCurr,bitIndex41) )
      & ( v757(VarCurr,bitIndex39)
      <=> v759(VarCurr,bitIndex40) )
      & ( v757(VarCurr,bitIndex38)
      <=> v759(VarCurr,bitIndex39) )
      & ( v757(VarCurr,bitIndex37)
      <=> v759(VarCurr,bitIndex38) )
      & ( v757(VarCurr,bitIndex36)
      <=> v759(VarCurr,bitIndex37) )
      & ( v757(VarCurr,bitIndex35)
      <=> v759(VarCurr,bitIndex36) )
      & ( v757(VarCurr,bitIndex34)
      <=> v759(VarCurr,bitIndex35) )
      & ( v757(VarCurr,bitIndex33)
      <=> v759(VarCurr,bitIndex34) )
      & ( v757(VarCurr,bitIndex32)
      <=> v759(VarCurr,bitIndex33) )
      & ( v757(VarCurr,bitIndex31)
      <=> v759(VarCurr,bitIndex32) )
      & ( v757(VarCurr,bitIndex30)
      <=> v759(VarCurr,bitIndex31) )
      & ( v757(VarCurr,bitIndex29)
      <=> v759(VarCurr,bitIndex30) )
      & ( v757(VarCurr,bitIndex28)
      <=> v759(VarCurr,bitIndex29) )
      & ( v757(VarCurr,bitIndex27)
      <=> v759(VarCurr,bitIndex28) )
      & ( v757(VarCurr,bitIndex26)
      <=> v759(VarCurr,bitIndex27) )
      & ( v757(VarCurr,bitIndex25)
      <=> v759(VarCurr,bitIndex26) )
      & ( v757(VarCurr,bitIndex24)
      <=> v759(VarCurr,bitIndex25) )
      & ( v757(VarCurr,bitIndex23)
      <=> v759(VarCurr,bitIndex24) )
      & ( v757(VarCurr,bitIndex22)
      <=> v759(VarCurr,bitIndex23) )
      & ( v757(VarCurr,bitIndex21)
      <=> v759(VarCurr,bitIndex22) )
      & ( v757(VarCurr,bitIndex20)
      <=> v759(VarCurr,bitIndex21) )
      & ( v757(VarCurr,bitIndex19)
      <=> v759(VarCurr,bitIndex20) )
      & ( v757(VarCurr,bitIndex18)
      <=> v759(VarCurr,bitIndex19) )
      & ( v757(VarCurr,bitIndex17)
      <=> v759(VarCurr,bitIndex18) )
      & ( v757(VarCurr,bitIndex16)
      <=> v759(VarCurr,bitIndex17) )
      & ( v757(VarCurr,bitIndex15)
      <=> v759(VarCurr,bitIndex16) )
      & ( v757(VarCurr,bitIndex14)
      <=> v759(VarCurr,bitIndex15) )
      & ( v757(VarCurr,bitIndex13)
      <=> v759(VarCurr,bitIndex14) )
      & ( v757(VarCurr,bitIndex12)
      <=> v759(VarCurr,bitIndex13) )
      & ( v757(VarCurr,bitIndex11)
      <=> v759(VarCurr,bitIndex12) )
      & ( v757(VarCurr,bitIndex10)
      <=> v759(VarCurr,bitIndex11) ) ) )).

fof(addAssignment_163,axiom,(
    ! [VarCurr] :
      ( ( v759(VarCurr,bitIndex41)
      <=> v761(VarCurr,bitIndex167) )
      & ( v759(VarCurr,bitIndex40)
      <=> v761(VarCurr,bitIndex166) )
      & ( v759(VarCurr,bitIndex39)
      <=> v761(VarCurr,bitIndex165) )
      & ( v759(VarCurr,bitIndex38)
      <=> v761(VarCurr,bitIndex164) )
      & ( v759(VarCurr,bitIndex37)
      <=> v761(VarCurr,bitIndex163) )
      & ( v759(VarCurr,bitIndex36)
      <=> v761(VarCurr,bitIndex162) )
      & ( v759(VarCurr,bitIndex35)
      <=> v761(VarCurr,bitIndex161) )
      & ( v759(VarCurr,bitIndex34)
      <=> v761(VarCurr,bitIndex160) )
      & ( v759(VarCurr,bitIndex33)
      <=> v761(VarCurr,bitIndex159) )
      & ( v759(VarCurr,bitIndex32)
      <=> v761(VarCurr,bitIndex158) )
      & ( v759(VarCurr,bitIndex31)
      <=> v761(VarCurr,bitIndex157) )
      & ( v759(VarCurr,bitIndex30)
      <=> v761(VarCurr,bitIndex156) )
      & ( v759(VarCurr,bitIndex29)
      <=> v761(VarCurr,bitIndex155) )
      & ( v759(VarCurr,bitIndex28)
      <=> v761(VarCurr,bitIndex154) )
      & ( v759(VarCurr,bitIndex27)
      <=> v761(VarCurr,bitIndex153) )
      & ( v759(VarCurr,bitIndex26)
      <=> v761(VarCurr,bitIndex152) )
      & ( v759(VarCurr,bitIndex25)
      <=> v761(VarCurr,bitIndex151) )
      & ( v759(VarCurr,bitIndex24)
      <=> v761(VarCurr,bitIndex150) )
      & ( v759(VarCurr,bitIndex23)
      <=> v761(VarCurr,bitIndex149) )
      & ( v759(VarCurr,bitIndex22)
      <=> v761(VarCurr,bitIndex148) )
      & ( v759(VarCurr,bitIndex21)
      <=> v761(VarCurr,bitIndex147) )
      & ( v759(VarCurr,bitIndex20)
      <=> v761(VarCurr,bitIndex146) )
      & ( v759(VarCurr,bitIndex19)
      <=> v761(VarCurr,bitIndex145) )
      & ( v759(VarCurr,bitIndex18)
      <=> v761(VarCurr,bitIndex144) )
      & ( v759(VarCurr,bitIndex17)
      <=> v761(VarCurr,bitIndex143) )
      & ( v759(VarCurr,bitIndex16)
      <=> v761(VarCurr,bitIndex142) )
      & ( v759(VarCurr,bitIndex15)
      <=> v761(VarCurr,bitIndex141) )
      & ( v759(VarCurr,bitIndex14)
      <=> v761(VarCurr,bitIndex140) )
      & ( v759(VarCurr,bitIndex13)
      <=> v761(VarCurr,bitIndex139) )
      & ( v759(VarCurr,bitIndex12)
      <=> v761(VarCurr,bitIndex138) )
      & ( v759(VarCurr,bitIndex11)
      <=> v761(VarCurr,bitIndex137) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_14,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1560(VarNext)
       => ( v738(VarNext)
        <=> v738(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_14,axiom,(
    ! [VarNext] :
      ( v1560(VarNext)
     => ( v738(VarNext)
      <=> v1597(VarNext) ) ) )).

fof(addAssignment_162,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1597(VarNext)
      <=> v1595(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_23,axiom,(
    ! [VarCurr] :
      ( ~ v408(VarCurr)
     => ( v1595(VarCurr)
      <=> v1598(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_23,axiom,(
    ! [VarCurr] :
      ( v408(VarCurr)
     => ( v1595(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_22,axiom,(
    ! [VarCurr] :
      ( ~ v411(VarCurr)
     => ( v1598(VarCurr)
      <=> v1599(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_22,axiom,(
    ! [VarCurr] :
      ( v411(VarCurr)
     => ( v1598(VarCurr)
      <=> v740(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_21,axiom,(
    ! [VarCurr] :
      ( ~ v430(VarCurr)
     => ( v1599(VarCurr)
      <=> v1601(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_21,axiom,(
    ! [VarCurr] :
      ( v430(VarCurr)
     => ( v1599(VarCurr)
      <=> v1600(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_35,axiom,(
    ! [VarCurr] :
      ( ~ v312(VarCurr)
     => ( v1601(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_35,axiom,(
    ! [VarCurr] :
      ( v312(VarCurr)
     => ( v1601(VarCurr)
      <=> v740(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_34,axiom,(
    ! [VarCurr] :
      ( ~ v312(VarCurr)
     => ( v1600(VarCurr)
      <=> v1500(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_34,axiom,(
    ! [VarCurr] :
      ( v312(VarCurr)
     => ( v1600(VarCurr)
      <=> v740(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_507,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1560(VarNext)
      <=> ( v1561(VarNext)
          & v1568(VarNext) ) ) ) )).

fof(addAssignment_161,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1568(VarNext)
      <=> v1566(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_506,axiom,(
    ! [VarCurr] :
      ( v1566(VarCurr)
    <=> ( v1569(VarCurr)
        & v1574(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_505,axiom,(
    ! [VarCurr] :
      ( v1574(VarCurr)
    <=> ( v1575(VarCurr)
        | v408(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_504,axiom,(
    ! [VarCurr] :
      ( v1575(VarCurr)
    <=> ( v1576(VarCurr)
        & v1594(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_503,axiom,(
    ! [VarCurr] :
      ( v1594(VarCurr)
    <=> ( v411(VarCurr)
        | v1572(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_502,axiom,(
    ! [VarCurr] :
      ( v1576(VarCurr)
    <=> ( v1577(VarCurr)
        & v1579(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_501,axiom,(
    ! [VarCurr] :
      ( v1579(VarCurr)
    <=> ( v1580(VarCurr)
        | v1593(VarCurr) ) ) )).

fof(writeUnaryOperator_229,axiom,(
    ! [VarCurr] :
      ( ~ v1593(VarCurr)
    <=> v414(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_500,axiom,(
    ! [VarCurr] :
      ( v1580(VarCurr)
    <=> ( v1581(VarCurr)
        & v1582(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_499,axiom,(
    ! [VarCurr] :
      ( v1582(VarCurr)
    <=> ( v1583(VarCurr)
        | v1592(VarCurr) ) ) )).

fof(writeUnaryOperator_228,axiom,(
    ! [VarCurr] :
      ( ~ v1592(VarCurr)
    <=> v413(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_498,axiom,(
    ! [VarCurr] :
      ( v1583(VarCurr)
    <=> ( v1584(VarCurr)
        & v1591(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_497,axiom,(
    ! [VarCurr] :
      ( v1591(VarCurr)
    <=> ( v430(VarCurr)
        | v443(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_496,axiom,(
    ! [VarCurr] :
      ( v1584(VarCurr)
    <=> ( v1585(VarCurr)
        & v1588(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_495,axiom,(
    ! [VarCurr] :
      ( v1588(VarCurr)
    <=> ( v1589(VarCurr)
        | v1590(VarCurr) ) ) )).

fof(writeUnaryOperator_227,axiom,(
    ! [VarCurr] :
      ( ~ v1590(VarCurr)
    <=> v443(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_494,axiom,(
    ! [VarCurr] :
      ( v1589(VarCurr)
    <=> ( v1544(VarCurr)
        | v312(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_493,axiom,(
    ! [VarCurr] :
      ( v1585(VarCurr)
    <=> ( v1586(VarCurr)
        | v1587(VarCurr) ) ) )).

fof(writeUnaryOperator_226,axiom,(
    ! [VarCurr] :
      ( ~ v1587(VarCurr)
    <=> v430(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_492,axiom,(
    ! [VarCurr] :
      ( v1586(VarCurr)
    <=> ( v158(VarCurr)
        | v312(VarCurr) ) ) )).

fof(writeUnaryOperator_225,axiom,(
    ! [VarCurr] :
      ( ~ v1581(VarCurr)
    <=> v424(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_491,axiom,(
    ! [VarCurr] :
      ( v1577(VarCurr)
    <=> ( v312(VarCurr)
        | v1578(VarCurr) ) ) )).

fof(writeUnaryOperator_224,axiom,(
    ! [VarCurr] :
      ( ~ v1578(VarCurr)
    <=> v411(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_490,axiom,(
    ! [VarCurr] :
      ( v1569(VarCurr)
    <=> ( v408(VarCurr)
        | v1570(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_489,axiom,(
    ! [VarCurr] :
      ( v1570(VarCurr)
    <=> ( v1571(VarCurr)
        & v1573(VarCurr) ) ) )).

fof(writeUnaryOperator_223,axiom,(
    ! [VarCurr] :
      ( ~ v1573(VarCurr)
    <=> v408(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_488,axiom,(
    ! [VarCurr] :
      ( v1571(VarCurr)
    <=> ( v411(VarCurr)
        | v1572(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_487,axiom,(
    ! [VarCurr] :
      ( v1572(VarCurr)
    <=> ( v413(VarCurr)
        & v414(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_486,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1561(VarNext)
      <=> ( v1563(VarNext)
          & v320(VarNext) ) ) ) )).

fof(writeUnaryOperator_222,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1563(VarNext)
      <=> v329(VarNext) ) ) )).

fof(addAssignmentInitValueVector_2,axiom,
    ( v738(constB0)
  <=> $false )).

fof(addCaseBooleanConditionEqualRanges1_13,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1547(VarNext)
       => ( v1544(VarNext)
        <=> v1544(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_13,axiom,(
    ! [VarNext] :
      ( v1547(VarNext)
     => ( v1544(VarNext)
      <=> v1555(VarNext) ) ) )).

fof(addAssignment_160,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1555(VarNext)
      <=> v1553(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_33,axiom,(
    ! [VarCurr] :
      ( ~ v336(VarCurr)
     => ( v1553(VarCurr)
      <=> v158(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_33,axiom,(
    ! [VarCurr] :
      ( v336(VarCurr)
     => ( v1553(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_485,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1547(VarNext)
      <=> v1548(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_484,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1548(VarNext)
      <=> ( v1550(VarNext)
          & v320(VarNext) ) ) ) )).

fof(writeUnaryOperator_221,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1550(VarNext)
      <=> v329(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_32,axiom,(
    ! [VarCurr] :
      ( ~ v1541(VarCurr)
     => ( v1500(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_32,axiom,(
    ! [VarCurr] :
      ( v1541(VarCurr)
     => ( v1500(VarCurr)
      <=> v1502(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_99,axiom,(
    ! [VarCurr] :
      ( v1541(VarCurr)
    <=> ( ( v1542(VarCurr,bitIndex3)
        <=> v515(VarCurr,bitIndex3) )
        & ( v1542(VarCurr,bitIndex2)
        <=> v515(VarCurr,bitIndex2) )
        & ( v1542(VarCurr,bitIndex1)
        <=> v515(VarCurr,bitIndex1) )
        & ( v1542(VarCurr,bitIndex0)
        <=> v515(VarCurr,bitIndex0) ) ) ) )).

fof(addAssignment_159,axiom,(
    ! [VarCurr] :
      ( v1542(VarCurr,bitIndex0)
    <=> v509(VarCurr) ) )).

fof(addAssignment_158,axiom,(
    ! [VarCurr] :
      ( v1542(VarCurr,bitIndex1)
    <=> v507(VarCurr) ) )).

fof(addAssignment_157,axiom,(
    ! [VarCurr] :
      ( v1542(VarCurr,bitIndex2)
    <=> v502(VarCurr) ) )).

fof(addAssignment_156,axiom,(
    ! [VarCurr] :
      ( v1542(VarCurr,bitIndex3)
    <=> v495(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_12,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1509(VarNext)
       => ( v1502(VarNext)
        <=> v1502(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_12,axiom,(
    ! [VarNext] :
      ( v1509(VarNext)
     => ( v1502(VarNext)
      <=> v1536(VarNext) ) ) )).

fof(addAssignment_155,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1536(VarNext)
      <=> v1534(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_31,axiom,(
    ! [VarCurr] :
      ( ~ v336(VarCurr)
     => ( v1534(VarCurr)
      <=> v1537(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_31,axiom,(
    ! [VarCurr] :
      ( v336(VarCurr)
     => ( v1534(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_30,axiom,(
    ! [VarCurr] :
      ( ~ v312(VarCurr)
     => ( v1537(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_30,axiom,(
    ! [VarCurr] :
      ( v312(VarCurr)
     => ( v1537(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_483,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1509(VarNext)
      <=> ( v1510(VarNext)
          & v1517(VarNext) ) ) ) )).

fof(addAssignment_154,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1517(VarNext)
      <=> v1515(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_482,axiom,(
    ! [VarCurr] :
      ( v1515(VarCurr)
    <=> ( v1518(VarCurr)
        | v336(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_481,axiom,(
    ! [VarCurr] :
      ( v1518(VarCurr)
    <=> ( v1519(VarCurr)
        | v312(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_480,axiom,(
    ! [VarCurr] :
      ( v1519(VarCurr)
    <=> ( v1520(VarCurr)
        | v1529(VarCurr) ) ) )).

fof(writeUnaryOperator_220,axiom,(
    ! [VarCurr] :
      ( ~ v1529(VarCurr)
    <=> v1531(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_121,axiom,(
    ! [VarCurr] :
      ( v1531(VarCurr)
    <=> ( v1532(VarCurr)
        & v1506(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorShiftedRanges_120,axiom,(
    ! [VarCurr] :
      ( v1532(VarCurr)
    <=> ( v1533(VarCurr)
        & v1506(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges_119,axiom,(
    ! [VarCurr] :
      ( v1533(VarCurr)
    <=> ( v1506(VarCurr,bitIndex0)
        & v1506(VarCurr,bitIndex1) ) ) )).

fof(writeUnaryOperator_219,axiom,(
    ! [VarCurr] :
      ( ~ v1520(VarCurr)
    <=> v1522(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_479,axiom,(
    ! [VarCurr] :
      ( v1522(VarCurr)
    <=> ( v1523(VarCurr)
        & v1528(VarCurr) ) ) )).

fof(writeUnaryOperator_218,axiom,(
    ! [VarCurr] :
      ( ~ v1528(VarCurr)
    <=> v1504(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_478,axiom,(
    ! [VarCurr] :
      ( v1523(VarCurr)
    <=> ( v1524(VarCurr)
        & v1527(VarCurr) ) ) )).

fof(writeUnaryOperator_217,axiom,(
    ! [VarCurr] :
      ( ~ v1527(VarCurr)
    <=> v1504(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_477,axiom,(
    ! [VarCurr] :
      ( v1524(VarCurr)
    <=> ( v1525(VarCurr)
        & v1526(VarCurr) ) ) )).

fof(writeUnaryOperator_216,axiom,(
    ! [VarCurr] :
      ( ~ v1526(VarCurr)
    <=> v1504(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_215,axiom,(
    ! [VarCurr] :
      ( ~ v1525(VarCurr)
    <=> v1504(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_476,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1510(VarNext)
      <=> ( v1512(VarNext)
          & v320(VarNext) ) ) ) )).

fof(writeUnaryOperator_214,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1512(VarNext)
      <=> v329(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_11,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1485(VarNext)
       => ( v740(VarNext)
        <=> v740(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_11,axiom,(
    ! [VarNext] :
      ( v1485(VarNext)
     => ( v740(VarNext)
      <=> v1496(VarNext) ) ) )).

fof(addAssignment_153,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1496(VarNext)
      <=> v1494(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_29,axiom,(
    ! [VarCurr] :
      ( ~ v691(VarCurr)
     => ( v1494(VarCurr)
      <=> v742(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_29,axiom,(
    ! [VarCurr] :
      ( v691(VarCurr)
     => ( v1494(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_475,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1485(VarNext)
      <=> ( v1486(VarNext)
          & v1493(VarNext) ) ) ) )).

fof(addAssignment_152,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1493(VarNext)
      <=> v1491(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_474,axiom,(
    ! [VarCurr] :
      ( v1491(VarCurr)
    <=> ( v167(VarCurr)
        | v691(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_473,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v1486(VarNext)
      <=> ( v1488(VarNext)
          & v320(VarNext) ) ) ) )).

fof(writeUnaryOperator_213,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v1488(VarNext)
      <=> v329(VarNext) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_28,axiom,(
    ! [VarCurr] :
      ( ~ v1319(VarCurr)
     => ( v742(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_28,axiom,(
    ! [VarCurr] :
      ( v1319(VarCurr)
     => ( v742(VarCurr)
      <=> v1450(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges4_1,axiom,(
    ! [VarCurr] :
      ( ( ~ v1325(VarCurr)
        & ~ v1424(VarCurr)
        & ~ v1430(VarCurr)
        & ~ v1480(VarCurr) )
     => ( v1450(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_2,axiom,(
    ! [VarCurr] :
      ( v1480(VarCurr)
     => ( v1450(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_6,axiom,(
    ! [VarCurr] :
      ( v1430(VarCurr)
     => ( v1450(VarCurr)
      <=> v1478(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_20,axiom,(
    ! [VarCurr] :
      ( v1424(VarCurr)
     => ( v1450(VarCurr)
      <=> v1467(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_20,axiom,(
    ! [VarCurr] :
      ( v1325(VarCurr)
     => ( v1450(VarCurr)
      <=> v1451(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_472,axiom,(
    ! [VarCurr] :
      ( v1480(VarCurr)
    <=> ( v1482(VarCurr)
        | v1435(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_471,axiom,(
    ! [VarCurr] :
      ( v1482(VarCurr)
    <=> ( v1431(VarCurr)
        | v1434(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_27,axiom,(
    ! [VarCurr] :
      ( ~ v1479(VarCurr)
     => ( v1478(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_27,axiom,(
    ! [VarCurr] :
      ( v1479(VarCurr)
     => ( v1478(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_98,axiom,(
    ! [VarCurr] :
      ( v1479(VarCurr)
    <=> ( ( v744(VarCurr,bitIndex9)
        <=> v752(VarCurr,bitIndex9) )
        & ( v744(VarCurr,bitIndex8)
        <=> v752(VarCurr,bitIndex8) )
        & ( v744(VarCurr,bitIndex7)
        <=> v752(VarCurr,bitIndex7) )
        & ( v744(VarCurr,bitIndex6)
        <=> v752(VarCurr,bitIndex6) )
        & ( v744(VarCurr,bitIndex5)
        <=> v752(VarCurr,bitIndex5) )
        & ( v744(VarCurr,bitIndex4)
        <=> v752(VarCurr,bitIndex4) )
        & ( v744(VarCurr,bitIndex3)
        <=> v752(VarCurr,bitIndex3) )
        & ( v744(VarCurr,bitIndex2)
        <=> v752(VarCurr,bitIndex2) )
        & ( v744(VarCurr,bitIndex1)
        <=> v752(VarCurr,bitIndex1) )
        & ( v744(VarCurr,bitIndex0)
        <=> v752(VarCurr,bitIndex0) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_10,axiom,(
    ! [VarCurr] :
      ( ( ~ v1426(VarCurr)
        & v1427(VarCurr) )
     => ( v1467(VarCurr)
      <=> v1472(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_10,axiom,(
    ! [VarCurr] :
      ( v1426(VarCurr)
     => ( v1467(VarCurr)
      <=> v1468(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_26,axiom,(
    ! [VarCurr] :
      ( ~ v1473(VarCurr)
     => ( v1472(VarCurr)
      <=> v1475(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_26,axiom,(
    ! [VarCurr] :
      ( v1473(VarCurr)
     => ( v1472(VarCurr)
      <=> v1474(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_25,axiom,(
    ! [VarCurr] :
      ( ~ v1112(VarCurr)
     => ( v1475(VarCurr)
      <=> v1477(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_25,axiom,(
    ! [VarCurr] :
      ( v1112(VarCurr)
     => ( v1475(VarCurr)
      <=> v1476(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_24,axiom,(
    ! [VarCurr] :
      ( ~ v1315(VarCurr)
     => ( v1477(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_24,axiom,(
    ! [VarCurr] :
      ( v1315(VarCurr)
     => ( v1477(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_23,axiom,(
    ! [VarCurr] :
      ( ~ v1315(VarCurr)
     => ( v1476(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_23,axiom,(
    ! [VarCurr] :
      ( v1315(VarCurr)
     => ( v1476(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_22,axiom,(
    ! [VarCurr] :
      ( ~ v1315(VarCurr)
     => ( v1474(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_22,axiom,(
    ! [VarCurr] :
      ( v1315(VarCurr)
     => ( v1474(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_97,axiom,(
    ! [VarCurr] :
      ( v1473(VarCurr)
    <=> ( ( v755(VarCurr,bitIndex3)
        <=> $false )
        & ( v755(VarCurr,bitIndex2)
        <=> $false )
        & ( v755(VarCurr,bitIndex1)
        <=> $false )
        & ( v755(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_21,axiom,(
    ! [VarCurr] :
      ( ~ v1469(VarCurr)
     => ( v1468(VarCurr)
      <=> v1471(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_21,axiom,(
    ! [VarCurr] :
      ( v1469(VarCurr)
     => ( v1468(VarCurr)
      <=> v1470(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_20,axiom,(
    ! [VarCurr] :
      ( ~ v1315(VarCurr)
     => ( v1471(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_20,axiom,(
    ! [VarCurr] :
      ( v1315(VarCurr)
     => ( v1471(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_19,axiom,(
    ! [VarCurr] :
      ( ~ v1315(VarCurr)
     => ( v1470(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_19,axiom,(
    ! [VarCurr] :
      ( v1315(VarCurr)
     => ( v1470(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_96,axiom,(
    ! [VarCurr] :
      ( v1469(VarCurr)
    <=> ( ( v755(VarCurr,bitIndex3)
        <=> $false )
        & ( v755(VarCurr,bitIndex2)
        <=> $false )
        & ( v755(VarCurr,bitIndex1)
        <=> $false )
        & ( v755(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addCaseBooleanConditionEqualRanges2,axiom,(
    ! [VarCurr] :
      ( ( ~ v1328(VarCurr)
        & ~ v1393(VarCurr)
        & v1394(VarCurr) )
     => ( v1451(VarCurr)
      <=> v1461(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_9,axiom,(
    ! [VarCurr] :
      ( ( ~ v1328(VarCurr)
        & v1393(VarCurr) )
     => ( v1451(VarCurr)
      <=> v1456(VarCurr) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_9,axiom,(
    ! [VarCurr] :
      ( v1328(VarCurr)
     => ( v1451(VarCurr)
      <=> v1452(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_18,axiom,(
    ! [VarCurr] :
      ( ~ v1462(VarCurr)
     => ( v1461(VarCurr)
      <=> v1466(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_18,axiom,(
    ! [VarCurr] :
      ( v1462(VarCurr)
     => ( v1461(VarCurr)
      <=> v1463(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_17,axiom,(
    ! [VarCurr] :
      ( ~ v1112(VarCurr)
     => ( v1466(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_17,axiom,(
    ! [VarCurr] :
      ( v1112(VarCurr)
     => ( v1466(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_16,axiom,(
    ! [VarCurr] :
      ( ~ v1112(VarCurr)
     => ( v1463(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_16,axiom,(
    ! [VarCurr] :
      ( v1112(VarCurr)
     => ( v1463(VarCurr)
      <=> v1464(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_15,axiom,(
    ! [VarCurr] :
      ( ~ v1465(VarCurr)
     => ( v1464(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_15,axiom,(
    ! [VarCurr] :
      ( v1465(VarCurr)
     => ( v1464(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_95,axiom,(
    ! [VarCurr] :
      ( v1465(VarCurr)
    <=> ( ( v763(VarCurr,bitIndex7)
        <=> $true )
        & ( v763(VarCurr,bitIndex6)
        <=> $true )
        & ( v763(VarCurr,bitIndex5)
        <=> $true )
        & ( v763(VarCurr,bitIndex4)
        <=> $true )
        & ( v763(VarCurr,bitIndex3)
        <=> $true )
        & ( v763(VarCurr,bitIndex2)
        <=> $true )
        & ( v763(VarCurr,bitIndex1)
        <=> $true )
        & ( v763(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_94,axiom,(
    ! [VarCurr] :
      ( v1462(VarCurr)
    <=> ( ( v755(VarCurr,bitIndex3)
        <=> $false )
        & ( v755(VarCurr,bitIndex2)
        <=> $false )
        & ( v755(VarCurr,bitIndex1)
        <=> $false )
        & ( v755(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_14,axiom,(
    ! [VarCurr] :
      ( ~ v1457(VarCurr)
     => ( v1456(VarCurr)
      <=> v1460(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_14,axiom,(
    ! [VarCurr] :
      ( v1457(VarCurr)
     => ( v1456(VarCurr)
      <=> v1458(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_13,axiom,(
    ! [VarCurr] :
      ( ~ v772(VarCurr)
     => ( v1460(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_13,axiom,(
    ! [VarCurr] :
      ( v772(VarCurr)
     => ( v1460(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_12,axiom,(
    ! [VarCurr] :
      ( ~ v1459(VarCurr)
     => ( v1458(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_12,axiom,(
    ! [VarCurr] :
      ( v1459(VarCurr)
     => ( v1458(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_93,axiom,(
    ! [VarCurr] :
      ( v1459(VarCurr)
    <=> ( ( v763(VarCurr,bitIndex7)
        <=> $true )
        & ( v763(VarCurr,bitIndex6)
        <=> $true )
        & ( v763(VarCurr,bitIndex5)
        <=> $true )
        & ( v763(VarCurr,bitIndex4)
        <=> $true )
        & ( v763(VarCurr,bitIndex3)
        <=> $true )
        & ( v763(VarCurr,bitIndex2)
        <=> $true )
        & ( v763(VarCurr,bitIndex1)
        <=> $true )
        & ( v763(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_195,axiom,(
    b11111111(bitIndex7) )).

fof(bitBlastConstant_194,axiom,(
    b11111111(bitIndex6) )).

fof(bitBlastConstant_193,axiom,(
    b11111111(bitIndex5) )).

fof(bitBlastConstant_192,axiom,(
    b11111111(bitIndex4) )).

fof(bitBlastConstant_191,axiom,(
    b11111111(bitIndex3) )).

fof(bitBlastConstant_190,axiom,(
    b11111111(bitIndex2) )).

fof(bitBlastConstant_189,axiom,(
    b11111111(bitIndex1) )).

fof(bitBlastConstant_188,axiom,(
    b11111111(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_92,axiom,(
    ! [VarCurr] :
      ( v1457(VarCurr)
    <=> ( ( v755(VarCurr,bitIndex3)
        <=> $false )
        & ( v755(VarCurr,bitIndex2)
        <=> $false )
        & ( v755(VarCurr,bitIndex1)
        <=> $false )
        & ( v755(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_11,axiom,(
    ! [VarCurr] :
      ( ~ v1453(VarCurr)
     => ( v1452(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_11,axiom,(
    ! [VarCurr] :
      ( v1453(VarCurr)
     => ( v1452(VarCurr)
      <=> v1454(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_10,axiom,(
    ! [VarCurr] :
      ( ~ v1455(VarCurr)
     => ( v1454(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_10,axiom,(
    ! [VarCurr] :
      ( v1455(VarCurr)
     => ( v1454(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_91,axiom,(
    ! [VarCurr] :
      ( v1455(VarCurr)
    <=> ( ( v763(VarCurr,bitIndex3)
        <=> $true )
        & ( v763(VarCurr,bitIndex2)
        <=> $true )
        & ( v763(VarCurr,bitIndex1)
        <=> $true )
        & ( v763(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_90,axiom,(
    ! [VarCurr] :
      ( v1453(VarCurr)
    <=> ( ( v755(VarCurr,bitIndex3)
        <=> $false )
        & ( v755(VarCurr,bitIndex2)
        <=> $false )
        & ( v755(VarCurr,bitIndex1)
        <=> $false )
        & ( v755(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_470,axiom,(
    ! [VarCurr] :
      ( v1319(VarCurr)
    <=> ( v1320(VarCurr)
        | v1444(VarCurr) ) ) )).

fof(writeUnaryOperator_212,axiom,(
    ! [VarCurr] :
      ( ~ v1444(VarCurr)
    <=> v1445(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_469,axiom,(
    ! [VarCurr] :
      ( v1445(VarCurr)
    <=> ( v1446(VarCurr)
        | v1439(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_468,axiom,(
    ! [VarCurr] :
      ( v1446(VarCurr)
    <=> ( v1447(VarCurr)
        | v1434(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_467,axiom,(
    ! [VarCurr] :
      ( v1447(VarCurr)
    <=> ( v1448(VarCurr)
        | v1431(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_466,axiom,(
    ! [VarCurr] :
      ( v1448(VarCurr)
    <=> ( v1449(VarCurr)
        | v1430(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_465,axiom,(
    ! [VarCurr] :
      ( v1449(VarCurr)
    <=> ( v1423(VarCurr)
        | v1429(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_464,axiom,(
    ! [VarCurr] :
      ( v1320(VarCurr)
    <=> ( v1321(VarCurr)
        | v1435(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_463,axiom,(
    ! [VarCurr] :
      ( v1435(VarCurr)
    <=> ( v1436(VarCurr)
        & v1439(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_462,axiom,(
    ! [VarCurr] :
      ( v1439(VarCurr)
    <=> ( v1440(VarCurr)
        | v1443(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_89,axiom,(
    ! [VarCurr] :
      ( v1443(VarCurr)
    <=> ( ( v214(VarCurr,bitIndex3)
        <=> $false )
        & ( v214(VarCurr,bitIndex2)
        <=> $true )
        & ( v214(VarCurr,bitIndex1)
        <=> $true )
        & ( v214(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_461,axiom,(
    ! [VarCurr] :
      ( v1440(VarCurr)
    <=> ( v1441(VarCurr)
        | v1442(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_88,axiom,(
    ! [VarCurr] :
      ( v1442(VarCurr)
    <=> ( ( v214(VarCurr,bitIndex3)
        <=> $false )
        & ( v214(VarCurr,bitIndex2)
        <=> $true )
        & ( v214(VarCurr,bitIndex1)
        <=> $false )
        & ( v214(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_87,axiom,(
    ! [VarCurr] :
      ( v1441(VarCurr)
    <=> ( ( v214(VarCurr,bitIndex3)
        <=> $false )
        & ( v214(VarCurr,bitIndex2)
        <=> $true )
        & ( v214(VarCurr,bitIndex1)
        <=> $true )
        & ( v214(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_460,axiom,(
    ! [VarCurr] :
      ( v1436(VarCurr)
    <=> ( v1437(VarCurr)
        & v1438(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_86,axiom,(
    ! [VarCurr] :
      ( v1438(VarCurr)
    <=> ( ( v755(VarCurr,bitIndex3)
        <=> $false )
        & ( v755(VarCurr,bitIndex2)
        <=> $false )
        & ( v755(VarCurr,bitIndex1)
        <=> $false )
        & ( v755(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_85,axiom,(
    ! [VarCurr] :
      ( v1437(VarCurr)
    <=> ( ( v744(VarCurr,bitIndex9)
        <=> v752(VarCurr,bitIndex9) )
        & ( v744(VarCurr,bitIndex8)
        <=> v752(VarCurr,bitIndex8) )
        & ( v744(VarCurr,bitIndex7)
        <=> v752(VarCurr,bitIndex7) )
        & ( v744(VarCurr,bitIndex6)
        <=> v752(VarCurr,bitIndex6) )
        & ( v744(VarCurr,bitIndex5)
        <=> v752(VarCurr,bitIndex5) )
        & ( v744(VarCurr,bitIndex4)
        <=> v752(VarCurr,bitIndex4) )
        & ( v744(VarCurr,bitIndex3)
        <=> v752(VarCurr,bitIndex3) )
        & ( v744(VarCurr,bitIndex2)
        <=> v752(VarCurr,bitIndex2) )
        & ( v744(VarCurr,bitIndex1)
        <=> v752(VarCurr,bitIndex1) )
        & ( v744(VarCurr,bitIndex0)
        <=> v752(VarCurr,bitIndex0) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_459,axiom,(
    ! [VarCurr] :
      ( v1321(VarCurr)
    <=> ( v1322(VarCurr)
        | v1434(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_84,axiom,(
    ! [VarCurr] :
      ( v1434(VarCurr)
    <=> ( ( v214(VarCurr,bitIndex3)
        <=> $false )
        & ( v214(VarCurr,bitIndex2)
        <=> $true )
        & ( v214(VarCurr,bitIndex1)
        <=> $false )
        & ( v214(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_458,axiom,(
    ! [VarCurr] :
      ( v1322(VarCurr)
    <=> ( v1323(VarCurr)
        | v1431(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_457,axiom,(
    ! [VarCurr] :
      ( v1431(VarCurr)
    <=> ( v1432(VarCurr)
        | v1433(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_83,axiom,(
    ! [VarCurr] :
      ( v1433(VarCurr)
    <=> ( ( v214(VarCurr,bitIndex3)
        <=> $true )
        & ( v214(VarCurr,bitIndex2)
        <=> $false )
        & ( v214(VarCurr,bitIndex1)
        <=> $false )
        & ( v214(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_82,axiom,(
    ! [VarCurr] :
      ( v1432(VarCurr)
    <=> ( ( v214(VarCurr,bitIndex3)
        <=> $false )
        & ( v214(VarCurr,bitIndex2)
        <=> $false )
        & ( v214(VarCurr,bitIndex1)
        <=> $false )
        & ( v214(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_456,axiom,(
    ! [VarCurr] :
      ( v1323(VarCurr)
    <=> ( v1324(VarCurr)
        | v1430(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_81,axiom,(
    ! [VarCurr] :
      ( v1430(VarCurr)
    <=> ( ( v214(VarCurr,bitIndex3)
        <=> $false )
        & ( v214(VarCurr,bitIndex2)
        <=> $false )
        & ( v214(VarCurr,bitIndex1)
        <=> $true )
        & ( v214(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_455,axiom,(
    ! [VarCurr] :
      ( v1324(VarCurr)
    <=> ( v1325(VarCurr)
        | v1424(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_454,axiom,(
    ! [VarCurr] :
      ( v1424(VarCurr)
    <=> ( v1425(VarCurr)
        & v1429(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_80,axiom,(
    ! [VarCurr] :
      ( v1429(VarCurr)
    <=> ( ( v214(VarCurr,bitIndex3)
        <=> $false )
        & ( v214(VarCurr,bitIndex2)
        <=> $false )
        & ( v214(VarCurr,bitIndex1)
        <=> $true )
        & ( v214(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_453,axiom,(
    ! [VarCurr] :
      ( v1425(VarCurr)
    <=> ( v1426(VarCurr)
        | v1427(VarCurr) ) ) )).

fof(writeUnaryOperator_211,axiom,(
    ! [VarCurr] :
      ( ~ v1427(VarCurr)
    <=> v1329(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_452,axiom,(
    ! [VarCurr] :
      ( v1329(VarCurr)
    <=> ( v1330(VarCurr)
        | v1392(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_451,axiom,(
    ! [VarCurr] :
      ( v1426(VarCurr)
    <=> ( v1330(VarCurr)
        | v1392(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_450,axiom,(
    ! [VarCurr] :
      ( v1325(VarCurr)
    <=> ( v1326(VarCurr)
        & v1423(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_79,axiom,(
    ! [VarCurr] :
      ( v1423(VarCurr)
    <=> ( ( v214(VarCurr,bitIndex3)
        <=> $false )
        & ( v214(VarCurr,bitIndex2)
        <=> $false )
        & ( v214(VarCurr,bitIndex1)
        <=> $false )
        & ( v214(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_449,axiom,(
    ! [VarCurr] :
      ( v1326(VarCurr)
    <=> ( v1327(VarCurr)
        | v1394(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_448,axiom,(
    ! [VarCurr] :
      ( v1394(VarCurr)
    <=> ( v1396(VarCurr)
        | v1422(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_118,axiom,(
    ! [VarCurr] :
      ( v1422(VarCurr)
    <=> ( v850(VarCurr)
        & v752(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_447,axiom,(
    ! [VarCurr] :
      ( v1396(VarCurr)
    <=> ( v1388(VarCurr)
        & v1397(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_446,axiom,(
    ! [VarCurr] :
      ( v1397(VarCurr)
    <=> ( v1398(VarCurr)
        | v1421(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_117,axiom,(
    ! [VarCurr] :
      ( v1421(VarCurr)
    <=> ( v843(VarCurr)
        & v752(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_445,axiom,(
    ! [VarCurr] :
      ( v1398(VarCurr)
    <=> ( v1383(VarCurr)
        & v1399(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_444,axiom,(
    ! [VarCurr] :
      ( v1399(VarCurr)
    <=> ( v1400(VarCurr)
        | v1420(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_116,axiom,(
    ! [VarCurr] :
      ( v1420(VarCurr)
    <=> ( v837(VarCurr)
        & v752(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_443,axiom,(
    ! [VarCurr] :
      ( v1400(VarCurr)
    <=> ( v1378(VarCurr)
        & v1401(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_442,axiom,(
    ! [VarCurr] :
      ( v1401(VarCurr)
    <=> ( v1402(VarCurr)
        | v1419(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_115,axiom,(
    ! [VarCurr] :
      ( v1419(VarCurr)
    <=> ( v831(VarCurr)
        & v752(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_441,axiom,(
    ! [VarCurr] :
      ( v1402(VarCurr)
    <=> ( v1373(VarCurr)
        & v1403(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_440,axiom,(
    ! [VarCurr] :
      ( v1403(VarCurr)
    <=> ( v1404(VarCurr)
        | v1418(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_114,axiom,(
    ! [VarCurr] :
      ( v1418(VarCurr)
    <=> ( v825(VarCurr)
        & v752(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_439,axiom,(
    ! [VarCurr] :
      ( v1404(VarCurr)
    <=> ( v1368(VarCurr)
        & v1405(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_438,axiom,(
    ! [VarCurr] :
      ( v1405(VarCurr)
    <=> ( v1406(VarCurr)
        | v1417(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_113,axiom,(
    ! [VarCurr] :
      ( v1417(VarCurr)
    <=> ( v819(VarCurr)
        & v752(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_437,axiom,(
    ! [VarCurr] :
      ( v1406(VarCurr)
    <=> ( v1363(VarCurr)
        & v1407(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_436,axiom,(
    ! [VarCurr] :
      ( v1407(VarCurr)
    <=> ( v1408(VarCurr)
        | v1416(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_112,axiom,(
    ! [VarCurr] :
      ( v1416(VarCurr)
    <=> ( v813(VarCurr)
        & v752(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_435,axiom,(
    ! [VarCurr] :
      ( v1408(VarCurr)
    <=> ( v1358(VarCurr)
        & v1409(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_434,axiom,(
    ! [VarCurr] :
      ( v1409(VarCurr)
    <=> ( v1410(VarCurr)
        | v1415(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_111,axiom,(
    ! [VarCurr] :
      ( v1415(VarCurr)
    <=> ( v807(VarCurr)
        & v752(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_433,axiom,(
    ! [VarCurr] :
      ( v1410(VarCurr)
    <=> ( v1353(VarCurr)
        & v1411(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_432,axiom,(
    ! [VarCurr] :
      ( v1411(VarCurr)
    <=> ( v1412(VarCurr)
        | v1414(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_110,axiom,(
    ! [VarCurr] :
      ( v1414(VarCurr)
    <=> ( v801(VarCurr)
        & v752(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_431,axiom,(
    ! [VarCurr] :
      ( v1412(VarCurr)
    <=> ( v1348(VarCurr)
        & v1413(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_430,axiom,(
    ! [VarCurr] :
      ( v1413(VarCurr)
    <=> ( v896(VarCurr)
        & v752(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_429,axiom,(
    ! [VarCurr] :
      ( v1327(VarCurr)
    <=> ( v1328(VarCurr)
        | v1393(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_78,axiom,(
    ! [VarCurr] :
      ( v1393(VarCurr)
    <=> ( ( v744(VarCurr,bitIndex9)
        <=> v752(VarCurr,bitIndex9) )
        & ( v744(VarCurr,bitIndex8)
        <=> v752(VarCurr,bitIndex8) )
        & ( v744(VarCurr,bitIndex7)
        <=> v752(VarCurr,bitIndex7) )
        & ( v744(VarCurr,bitIndex6)
        <=> v752(VarCurr,bitIndex6) )
        & ( v744(VarCurr,bitIndex5)
        <=> v752(VarCurr,bitIndex5) )
        & ( v744(VarCurr,bitIndex4)
        <=> v752(VarCurr,bitIndex4) )
        & ( v744(VarCurr,bitIndex3)
        <=> v752(VarCurr,bitIndex3) )
        & ( v744(VarCurr,bitIndex2)
        <=> v752(VarCurr,bitIndex2) )
        & ( v744(VarCurr,bitIndex1)
        <=> v752(VarCurr,bitIndex1) )
        & ( v744(VarCurr,bitIndex0)
        <=> v752(VarCurr,bitIndex0) ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_428,axiom,(
    ! [VarCurr] :
      ( v1328(VarCurr)
    <=> ( v1330(VarCurr)
        | v1392(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_109,axiom,(
    ! [VarCurr] :
      ( v1392(VarCurr)
    <=> ( v744(VarCurr,bitIndex9)
        & v1190(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_427,axiom,(
    ! [VarCurr] :
      ( v1330(VarCurr)
    <=> ( v1331(VarCurr)
        & v1388(VarCurr) ) ) )).

fof(writeUnaryOperator_210,axiom,(
    ! [VarCurr] :
      ( ~ v1388(VarCurr)
    <=> v1389(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_426,axiom,(
    ! [VarCurr] :
      ( v1389(VarCurr)
    <=> ( v1390(VarCurr)
        & v1391(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_108,axiom,(
    ! [VarCurr] :
      ( v1391(VarCurr)
    <=> ( v744(VarCurr,bitIndex9)
        | v752(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_425,axiom,(
    ! [VarCurr] :
      ( v1390(VarCurr)
    <=> ( v850(VarCurr)
        | v1190(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_424,axiom,(
    ! [VarCurr] :
      ( v1331(VarCurr)
    <=> ( v1332(VarCurr)
        | v1387(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_107,axiom,(
    ! [VarCurr] :
      ( v1387(VarCurr)
    <=> ( v744(VarCurr,bitIndex8)
        & v1183(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_423,axiom,(
    ! [VarCurr] :
      ( v1332(VarCurr)
    <=> ( v1333(VarCurr)
        & v1383(VarCurr) ) ) )).

fof(writeUnaryOperator_209,axiom,(
    ! [VarCurr] :
      ( ~ v1383(VarCurr)
    <=> v1384(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_422,axiom,(
    ! [VarCurr] :
      ( v1384(VarCurr)
    <=> ( v1385(VarCurr)
        & v1386(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_106,axiom,(
    ! [VarCurr] :
      ( v1386(VarCurr)
    <=> ( v744(VarCurr,bitIndex8)
        | v752(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_421,axiom,(
    ! [VarCurr] :
      ( v1385(VarCurr)
    <=> ( v843(VarCurr)
        | v1183(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_420,axiom,(
    ! [VarCurr] :
      ( v1333(VarCurr)
    <=> ( v1334(VarCurr)
        | v1382(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_105,axiom,(
    ! [VarCurr] :
      ( v1382(VarCurr)
    <=> ( v744(VarCurr,bitIndex7)
        & v1177(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_419,axiom,(
    ! [VarCurr] :
      ( v1334(VarCurr)
    <=> ( v1335(VarCurr)
        & v1378(VarCurr) ) ) )).

fof(writeUnaryOperator_208,axiom,(
    ! [VarCurr] :
      ( ~ v1378(VarCurr)
    <=> v1379(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_418,axiom,(
    ! [VarCurr] :
      ( v1379(VarCurr)
    <=> ( v1380(VarCurr)
        & v1381(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_104,axiom,(
    ! [VarCurr] :
      ( v1381(VarCurr)
    <=> ( v744(VarCurr,bitIndex7)
        | v752(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_417,axiom,(
    ! [VarCurr] :
      ( v1380(VarCurr)
    <=> ( v837(VarCurr)
        | v1177(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_416,axiom,(
    ! [VarCurr] :
      ( v1335(VarCurr)
    <=> ( v1336(VarCurr)
        | v1377(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_103,axiom,(
    ! [VarCurr] :
      ( v1377(VarCurr)
    <=> ( v744(VarCurr,bitIndex6)
        & v1171(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_415,axiom,(
    ! [VarCurr] :
      ( v1336(VarCurr)
    <=> ( v1337(VarCurr)
        & v1373(VarCurr) ) ) )).

fof(writeUnaryOperator_207,axiom,(
    ! [VarCurr] :
      ( ~ v1373(VarCurr)
    <=> v1374(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_414,axiom,(
    ! [VarCurr] :
      ( v1374(VarCurr)
    <=> ( v1375(VarCurr)
        & v1376(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_102,axiom,(
    ! [VarCurr] :
      ( v1376(VarCurr)
    <=> ( v744(VarCurr,bitIndex6)
        | v752(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_413,axiom,(
    ! [VarCurr] :
      ( v1375(VarCurr)
    <=> ( v831(VarCurr)
        | v1171(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_412,axiom,(
    ! [VarCurr] :
      ( v1337(VarCurr)
    <=> ( v1338(VarCurr)
        | v1372(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_101,axiom,(
    ! [VarCurr] :
      ( v1372(VarCurr)
    <=> ( v744(VarCurr,bitIndex5)
        & v1165(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_411,axiom,(
    ! [VarCurr] :
      ( v1338(VarCurr)
    <=> ( v1339(VarCurr)
        & v1368(VarCurr) ) ) )).

fof(writeUnaryOperator_206,axiom,(
    ! [VarCurr] :
      ( ~ v1368(VarCurr)
    <=> v1369(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_410,axiom,(
    ! [VarCurr] :
      ( v1369(VarCurr)
    <=> ( v1370(VarCurr)
        & v1371(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_100,axiom,(
    ! [VarCurr] :
      ( v1371(VarCurr)
    <=> ( v744(VarCurr,bitIndex5)
        | v752(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_409,axiom,(
    ! [VarCurr] :
      ( v1370(VarCurr)
    <=> ( v825(VarCurr)
        | v1165(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_408,axiom,(
    ! [VarCurr] :
      ( v1339(VarCurr)
    <=> ( v1340(VarCurr)
        | v1367(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_99,axiom,(
    ! [VarCurr] :
      ( v1367(VarCurr)
    <=> ( v744(VarCurr,bitIndex4)
        & v1159(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_407,axiom,(
    ! [VarCurr] :
      ( v1340(VarCurr)
    <=> ( v1341(VarCurr)
        & v1363(VarCurr) ) ) )).

fof(writeUnaryOperator_205,axiom,(
    ! [VarCurr] :
      ( ~ v1363(VarCurr)
    <=> v1364(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_406,axiom,(
    ! [VarCurr] :
      ( v1364(VarCurr)
    <=> ( v1365(VarCurr)
        & v1366(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_98,axiom,(
    ! [VarCurr] :
      ( v1366(VarCurr)
    <=> ( v744(VarCurr,bitIndex4)
        | v752(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_405,axiom,(
    ! [VarCurr] :
      ( v1365(VarCurr)
    <=> ( v819(VarCurr)
        | v1159(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_404,axiom,(
    ! [VarCurr] :
      ( v1341(VarCurr)
    <=> ( v1342(VarCurr)
        | v1362(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_97,axiom,(
    ! [VarCurr] :
      ( v1362(VarCurr)
    <=> ( v744(VarCurr,bitIndex3)
        & v1153(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_403,axiom,(
    ! [VarCurr] :
      ( v1342(VarCurr)
    <=> ( v1343(VarCurr)
        & v1358(VarCurr) ) ) )).

fof(writeUnaryOperator_204,axiom,(
    ! [VarCurr] :
      ( ~ v1358(VarCurr)
    <=> v1359(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_402,axiom,(
    ! [VarCurr] :
      ( v1359(VarCurr)
    <=> ( v1360(VarCurr)
        & v1361(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_96,axiom,(
    ! [VarCurr] :
      ( v1361(VarCurr)
    <=> ( v744(VarCurr,bitIndex3)
        | v752(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_401,axiom,(
    ! [VarCurr] :
      ( v1360(VarCurr)
    <=> ( v813(VarCurr)
        | v1153(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_400,axiom,(
    ! [VarCurr] :
      ( v1343(VarCurr)
    <=> ( v1344(VarCurr)
        | v1357(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_95,axiom,(
    ! [VarCurr] :
      ( v1357(VarCurr)
    <=> ( v744(VarCurr,bitIndex2)
        & v1147(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_399,axiom,(
    ! [VarCurr] :
      ( v1344(VarCurr)
    <=> ( v1345(VarCurr)
        & v1353(VarCurr) ) ) )).

fof(writeUnaryOperator_203,axiom,(
    ! [VarCurr] :
      ( ~ v1353(VarCurr)
    <=> v1354(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_398,axiom,(
    ! [VarCurr] :
      ( v1354(VarCurr)
    <=> ( v1355(VarCurr)
        & v1356(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_94,axiom,(
    ! [VarCurr] :
      ( v1356(VarCurr)
    <=> ( v744(VarCurr,bitIndex2)
        | v752(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_397,axiom,(
    ! [VarCurr] :
      ( v1355(VarCurr)
    <=> ( v807(VarCurr)
        | v1147(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_396,axiom,(
    ! [VarCurr] :
      ( v1345(VarCurr)
    <=> ( v1346(VarCurr)
        | v1352(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_93,axiom,(
    ! [VarCurr] :
      ( v1352(VarCurr)
    <=> ( v744(VarCurr,bitIndex1)
        & v1141(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_395,axiom,(
    ! [VarCurr] :
      ( v1346(VarCurr)
    <=> ( v1347(VarCurr)
        & v1348(VarCurr) ) ) )).

fof(writeUnaryOperator_202,axiom,(
    ! [VarCurr] :
      ( ~ v1348(VarCurr)
    <=> v1349(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_394,axiom,(
    ! [VarCurr] :
      ( v1349(VarCurr)
    <=> ( v1350(VarCurr)
        & v1351(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_92,axiom,(
    ! [VarCurr] :
      ( v1351(VarCurr)
    <=> ( v744(VarCurr,bitIndex1)
        | v752(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_393,axiom,(
    ! [VarCurr] :
      ( v1350(VarCurr)
    <=> ( v801(VarCurr)
        | v1141(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_392,axiom,(
    ! [VarCurr] :
      ( v1347(VarCurr)
    <=> ( v744(VarCurr,bitIndex0)
        & v1236(VarCurr) ) ) )).

fof(addAssignment_151,axiom,(
    ! [VarCurr] :
      ( v1315(VarCurr)
    <=> v1317(VarCurr) ) )).

fof(addAssignment_150,axiom,(
    ! [VarCurr] :
      ( v1317(VarCurr)
    <=> v759(VarCurr,bitIndex0) ) )).

fof(addAssignment_149,axiom,(
    ! [VarCurr] :
      ( v759(VarCurr,bitIndex0)
    <=> v761(VarCurr,bitIndex126) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_9,axiom,(
    ! [VarCurr] :
      ( ~ v1239(VarCurr)
     => ( v1112(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_9,axiom,(
    ! [VarCurr] :
      ( v1239(VarCurr)
     => ( v1112(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_391,axiom,(
    ! [VarCurr] :
      ( v1239(VarCurr)
    <=> ( v1241(VarCurr)
        | v1313(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_91,axiom,(
    ! [VarCurr] :
      ( v1313(VarCurr)
    <=> ( v774(VarCurr,bitIndex9)
        & v1311(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_390,axiom,(
    ! [VarCurr] :
      ( v1241(VarCurr)
    <=> ( v1242(VarCurr)
        & v1308(VarCurr) ) ) )).

fof(writeUnaryOperator_201,axiom,(
    ! [VarCurr] :
      ( ~ v1308(VarCurr)
    <=> v1309(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_389,axiom,(
    ! [VarCurr] :
      ( v1309(VarCurr)
    <=> ( v1310(VarCurr)
        & v1312(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_90,axiom,(
    ! [VarCurr] :
      ( v1312(VarCurr)
    <=> ( v774(VarCurr,bitIndex9)
        | v1114(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_388,axiom,(
    ! [VarCurr] :
      ( v1310(VarCurr)
    <=> ( v1108(VarCurr)
        | v1311(VarCurr) ) ) )).

fof(writeUnaryOperator_200,axiom,(
    ! [VarCurr] :
      ( ~ v1311(VarCurr)
    <=> v1114(VarCurr,bitIndex9) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_387,axiom,(
    ! [VarCurr] :
      ( v1242(VarCurr)
    <=> ( v1243(VarCurr)
        | v1307(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_89,axiom,(
    ! [VarCurr] :
      ( v1307(VarCurr)
    <=> ( v774(VarCurr,bitIndex8)
        & v1305(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_386,axiom,(
    ! [VarCurr] :
      ( v1243(VarCurr)
    <=> ( v1244(VarCurr)
        & v1302(VarCurr) ) ) )).

fof(writeUnaryOperator_199,axiom,(
    ! [VarCurr] :
      ( ~ v1302(VarCurr)
    <=> v1303(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_385,axiom,(
    ! [VarCurr] :
      ( v1303(VarCurr)
    <=> ( v1304(VarCurr)
        & v1306(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_88,axiom,(
    ! [VarCurr] :
      ( v1306(VarCurr)
    <=> ( v774(VarCurr,bitIndex8)
        | v1114(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_384,axiom,(
    ! [VarCurr] :
      ( v1304(VarCurr)
    <=> ( v1101(VarCurr)
        | v1305(VarCurr) ) ) )).

fof(writeUnaryOperator_198,axiom,(
    ! [VarCurr] :
      ( ~ v1305(VarCurr)
    <=> v1114(VarCurr,bitIndex8) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_383,axiom,(
    ! [VarCurr] :
      ( v1244(VarCurr)
    <=> ( v1245(VarCurr)
        | v1301(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_87,axiom,(
    ! [VarCurr] :
      ( v1301(VarCurr)
    <=> ( v774(VarCurr,bitIndex7)
        & v1299(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_382,axiom,(
    ! [VarCurr] :
      ( v1245(VarCurr)
    <=> ( v1246(VarCurr)
        & v1296(VarCurr) ) ) )).

fof(writeUnaryOperator_197,axiom,(
    ! [VarCurr] :
      ( ~ v1296(VarCurr)
    <=> v1297(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_381,axiom,(
    ! [VarCurr] :
      ( v1297(VarCurr)
    <=> ( v1298(VarCurr)
        & v1300(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_86,axiom,(
    ! [VarCurr] :
      ( v1300(VarCurr)
    <=> ( v774(VarCurr,bitIndex7)
        | v1114(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_380,axiom,(
    ! [VarCurr] :
      ( v1298(VarCurr)
    <=> ( v1094(VarCurr)
        | v1299(VarCurr) ) ) )).

fof(writeUnaryOperator_196,axiom,(
    ! [VarCurr] :
      ( ~ v1299(VarCurr)
    <=> v1114(VarCurr,bitIndex7) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_379,axiom,(
    ! [VarCurr] :
      ( v1246(VarCurr)
    <=> ( v1247(VarCurr)
        | v1295(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_85,axiom,(
    ! [VarCurr] :
      ( v1295(VarCurr)
    <=> ( v774(VarCurr,bitIndex6)
        & v1293(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_378,axiom,(
    ! [VarCurr] :
      ( v1247(VarCurr)
    <=> ( v1248(VarCurr)
        & v1290(VarCurr) ) ) )).

fof(writeUnaryOperator_195,axiom,(
    ! [VarCurr] :
      ( ~ v1290(VarCurr)
    <=> v1291(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_377,axiom,(
    ! [VarCurr] :
      ( v1291(VarCurr)
    <=> ( v1292(VarCurr)
        & v1294(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_84,axiom,(
    ! [VarCurr] :
      ( v1294(VarCurr)
    <=> ( v774(VarCurr,bitIndex6)
        | v1114(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_376,axiom,(
    ! [VarCurr] :
      ( v1292(VarCurr)
    <=> ( v1087(VarCurr)
        | v1293(VarCurr) ) ) )).

fof(writeUnaryOperator_194,axiom,(
    ! [VarCurr] :
      ( ~ v1293(VarCurr)
    <=> v1114(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_375,axiom,(
    ! [VarCurr] :
      ( v1248(VarCurr)
    <=> ( v1249(VarCurr)
        | v1289(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_83,axiom,(
    ! [VarCurr] :
      ( v1289(VarCurr)
    <=> ( v774(VarCurr,bitIndex5)
        & v1287(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_374,axiom,(
    ! [VarCurr] :
      ( v1249(VarCurr)
    <=> ( v1250(VarCurr)
        & v1284(VarCurr) ) ) )).

fof(writeUnaryOperator_193,axiom,(
    ! [VarCurr] :
      ( ~ v1284(VarCurr)
    <=> v1285(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_373,axiom,(
    ! [VarCurr] :
      ( v1285(VarCurr)
    <=> ( v1286(VarCurr)
        & v1288(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_82,axiom,(
    ! [VarCurr] :
      ( v1288(VarCurr)
    <=> ( v774(VarCurr,bitIndex5)
        | v1114(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_372,axiom,(
    ! [VarCurr] :
      ( v1286(VarCurr)
    <=> ( v1080(VarCurr)
        | v1287(VarCurr) ) ) )).

fof(writeUnaryOperator_192,axiom,(
    ! [VarCurr] :
      ( ~ v1287(VarCurr)
    <=> v1114(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_371,axiom,(
    ! [VarCurr] :
      ( v1250(VarCurr)
    <=> ( v1251(VarCurr)
        | v1283(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_81,axiom,(
    ! [VarCurr] :
      ( v1283(VarCurr)
    <=> ( v774(VarCurr,bitIndex4)
        & v1281(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_370,axiom,(
    ! [VarCurr] :
      ( v1251(VarCurr)
    <=> ( v1252(VarCurr)
        & v1278(VarCurr) ) ) )).

fof(writeUnaryOperator_191,axiom,(
    ! [VarCurr] :
      ( ~ v1278(VarCurr)
    <=> v1279(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_369,axiom,(
    ! [VarCurr] :
      ( v1279(VarCurr)
    <=> ( v1280(VarCurr)
        & v1282(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_80,axiom,(
    ! [VarCurr] :
      ( v1282(VarCurr)
    <=> ( v774(VarCurr,bitIndex4)
        | v1114(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_368,axiom,(
    ! [VarCurr] :
      ( v1280(VarCurr)
    <=> ( v1073(VarCurr)
        | v1281(VarCurr) ) ) )).

fof(writeUnaryOperator_190,axiom,(
    ! [VarCurr] :
      ( ~ v1281(VarCurr)
    <=> v1114(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_367,axiom,(
    ! [VarCurr] :
      ( v1252(VarCurr)
    <=> ( v1253(VarCurr)
        | v1277(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_79,axiom,(
    ! [VarCurr] :
      ( v1277(VarCurr)
    <=> ( v774(VarCurr,bitIndex3)
        & v1275(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_366,axiom,(
    ! [VarCurr] :
      ( v1253(VarCurr)
    <=> ( v1254(VarCurr)
        & v1272(VarCurr) ) ) )).

fof(writeUnaryOperator_189,axiom,(
    ! [VarCurr] :
      ( ~ v1272(VarCurr)
    <=> v1273(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_365,axiom,(
    ! [VarCurr] :
      ( v1273(VarCurr)
    <=> ( v1274(VarCurr)
        & v1276(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_78,axiom,(
    ! [VarCurr] :
      ( v1276(VarCurr)
    <=> ( v774(VarCurr,bitIndex3)
        | v1114(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_364,axiom,(
    ! [VarCurr] :
      ( v1274(VarCurr)
    <=> ( v1066(VarCurr)
        | v1275(VarCurr) ) ) )).

fof(writeUnaryOperator_188,axiom,(
    ! [VarCurr] :
      ( ~ v1275(VarCurr)
    <=> v1114(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_363,axiom,(
    ! [VarCurr] :
      ( v1254(VarCurr)
    <=> ( v1255(VarCurr)
        | v1271(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_77,axiom,(
    ! [VarCurr] :
      ( v1271(VarCurr)
    <=> ( v774(VarCurr,bitIndex2)
        & v1269(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_362,axiom,(
    ! [VarCurr] :
      ( v1255(VarCurr)
    <=> ( v1256(VarCurr)
        & v1266(VarCurr) ) ) )).

fof(writeUnaryOperator_187,axiom,(
    ! [VarCurr] :
      ( ~ v1266(VarCurr)
    <=> v1267(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_361,axiom,(
    ! [VarCurr] :
      ( v1267(VarCurr)
    <=> ( v1268(VarCurr)
        & v1270(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_76,axiom,(
    ! [VarCurr] :
      ( v1270(VarCurr)
    <=> ( v774(VarCurr,bitIndex2)
        | v1114(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_360,axiom,(
    ! [VarCurr] :
      ( v1268(VarCurr)
    <=> ( v1059(VarCurr)
        | v1269(VarCurr) ) ) )).

fof(writeUnaryOperator_186,axiom,(
    ! [VarCurr] :
      ( ~ v1269(VarCurr)
    <=> v1114(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_359,axiom,(
    ! [VarCurr] :
      ( v1256(VarCurr)
    <=> ( v1257(VarCurr)
        | v1265(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_75,axiom,(
    ! [VarCurr] :
      ( v1265(VarCurr)
    <=> ( v774(VarCurr,bitIndex1)
        & v1263(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_358,axiom,(
    ! [VarCurr] :
      ( v1257(VarCurr)
    <=> ( v1258(VarCurr)
        & v1260(VarCurr) ) ) )).

fof(writeUnaryOperator_185,axiom,(
    ! [VarCurr] :
      ( ~ v1260(VarCurr)
    <=> v1261(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_357,axiom,(
    ! [VarCurr] :
      ( v1261(VarCurr)
    <=> ( v1262(VarCurr)
        & v1264(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_74,axiom,(
    ! [VarCurr] :
      ( v1264(VarCurr)
    <=> ( v774(VarCurr,bitIndex1)
        | v1114(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_356,axiom,(
    ! [VarCurr] :
      ( v1262(VarCurr)
    <=> ( v1052(VarCurr)
        | v1263(VarCurr) ) ) )).

fof(writeUnaryOperator_184,axiom,(
    ! [VarCurr] :
      ( ~ v1263(VarCurr)
    <=> v1114(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_355,axiom,(
    ! [VarCurr] :
      ( v1258(VarCurr)
    <=> ( v774(VarCurr,bitIndex0)
        & v1259(VarCurr) ) ) )).

fof(writeUnaryOperator_183,axiom,(
    ! [VarCurr] :
      ( ~ v1259(VarCurr)
    <=> v1114(VarCurr,bitIndex0) ) )).

fof(addAssignment_148,axiom,(
    ! [VarCurr] :
      ( v1114(VarCurr,bitIndex0)
    <=> v1233(VarCurr) ) )).

fof(addAssignment_147,axiom,(
    ! [VarCurr] :
      ( v1114(VarCurr,bitIndex1)
    <=> v1228(VarCurr) ) )).

fof(addAssignment_146,axiom,(
    ! [VarCurr] :
      ( v1114(VarCurr,bitIndex2)
    <=> v1223(VarCurr) ) )).

fof(addAssignment_145,axiom,(
    ! [VarCurr] :
      ( v1114(VarCurr,bitIndex3)
    <=> v1218(VarCurr) ) )).

fof(addAssignment_144,axiom,(
    ! [VarCurr] :
      ( v1114(VarCurr,bitIndex4)
    <=> v1213(VarCurr) ) )).

fof(addAssignment_143,axiom,(
    ! [VarCurr] :
      ( v1114(VarCurr,bitIndex5)
    <=> v1208(VarCurr) ) )).

fof(addAssignment_142,axiom,(
    ! [VarCurr] :
      ( v1114(VarCurr,bitIndex6)
    <=> v1203(VarCurr) ) )).

fof(addAssignment_141,axiom,(
    ! [VarCurr] :
      ( v1114(VarCurr,bitIndex7)
    <=> v1198(VarCurr) ) )).

fof(addAssignment_140,axiom,(
    ! [VarCurr] :
      ( v1114(VarCurr,bitIndex8)
    <=> v1193(VarCurr) ) )).

fof(addAssignment_139,axiom,(
    ! [VarCurr] :
      ( v1114(VarCurr,bitIndex9)
    <=> v1117(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_354,axiom,(
    ! [VarCurr] :
      ( v1233(VarCurr)
    <=> ( v1234(VarCurr)
        & v1237(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_353,axiom,(
    ! [VarCurr] :
      ( v1237(VarCurr)
    <=> ( v1137(VarCurr,bitIndex0)
        | v752(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_352,axiom,(
    ! [VarCurr] :
      ( v1234(VarCurr)
    <=> ( v1235(VarCurr)
        | v1236(VarCurr) ) ) )).

fof(writeUnaryOperator_182,axiom,(
    ! [VarCurr] :
      ( ~ v1236(VarCurr)
    <=> v752(VarCurr,bitIndex0) ) )).

fof(writeUnaryOperator_181,axiom,(
    ! [VarCurr] :
      ( ~ v1235(VarCurr)
    <=> v1137(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_351,axiom,(
    ! [VarCurr] :
      ( v1228(VarCurr)
    <=> ( v1229(VarCurr)
        & v1232(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_350,axiom,(
    ! [VarCurr] :
      ( v1232(VarCurr)
    <=> ( v1136(VarCurr)
        | v1138(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_349,axiom,(
    ! [VarCurr] :
      ( v1229(VarCurr)
    <=> ( v1230(VarCurr)
        | v1231(VarCurr) ) ) )).

fof(writeUnaryOperator_180,axiom,(
    ! [VarCurr] :
      ( ~ v1231(VarCurr)
    <=> v1138(VarCurr) ) )).

fof(writeUnaryOperator_179,axiom,(
    ! [VarCurr] :
      ( ~ v1230(VarCurr)
    <=> v1136(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_348,axiom,(
    ! [VarCurr] :
      ( v1223(VarCurr)
    <=> ( v1224(VarCurr)
        & v1227(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_347,axiom,(
    ! [VarCurr] :
      ( v1227(VarCurr)
    <=> ( v1134(VarCurr)
        | v1144(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_346,axiom,(
    ! [VarCurr] :
      ( v1224(VarCurr)
    <=> ( v1225(VarCurr)
        | v1226(VarCurr) ) ) )).

fof(writeUnaryOperator_178,axiom,(
    ! [VarCurr] :
      ( ~ v1226(VarCurr)
    <=> v1144(VarCurr) ) )).

fof(writeUnaryOperator_177,axiom,(
    ! [VarCurr] :
      ( ~ v1225(VarCurr)
    <=> v1134(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_345,axiom,(
    ! [VarCurr] :
      ( v1218(VarCurr)
    <=> ( v1219(VarCurr)
        & v1222(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_344,axiom,(
    ! [VarCurr] :
      ( v1222(VarCurr)
    <=> ( v1132(VarCurr)
        | v1150(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_343,axiom,(
    ! [VarCurr] :
      ( v1219(VarCurr)
    <=> ( v1220(VarCurr)
        | v1221(VarCurr) ) ) )).

fof(writeUnaryOperator_176,axiom,(
    ! [VarCurr] :
      ( ~ v1221(VarCurr)
    <=> v1150(VarCurr) ) )).

fof(writeUnaryOperator_175,axiom,(
    ! [VarCurr] :
      ( ~ v1220(VarCurr)
    <=> v1132(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_342,axiom,(
    ! [VarCurr] :
      ( v1213(VarCurr)
    <=> ( v1214(VarCurr)
        & v1217(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_341,axiom,(
    ! [VarCurr] :
      ( v1217(VarCurr)
    <=> ( v1130(VarCurr)
        | v1156(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_340,axiom,(
    ! [VarCurr] :
      ( v1214(VarCurr)
    <=> ( v1215(VarCurr)
        | v1216(VarCurr) ) ) )).

fof(writeUnaryOperator_174,axiom,(
    ! [VarCurr] :
      ( ~ v1216(VarCurr)
    <=> v1156(VarCurr) ) )).

fof(writeUnaryOperator_173,axiom,(
    ! [VarCurr] :
      ( ~ v1215(VarCurr)
    <=> v1130(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_339,axiom,(
    ! [VarCurr] :
      ( v1208(VarCurr)
    <=> ( v1209(VarCurr)
        & v1212(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_338,axiom,(
    ! [VarCurr] :
      ( v1212(VarCurr)
    <=> ( v1128(VarCurr)
        | v1162(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_337,axiom,(
    ! [VarCurr] :
      ( v1209(VarCurr)
    <=> ( v1210(VarCurr)
        | v1211(VarCurr) ) ) )).

fof(writeUnaryOperator_172,axiom,(
    ! [VarCurr] :
      ( ~ v1211(VarCurr)
    <=> v1162(VarCurr) ) )).

fof(writeUnaryOperator_171,axiom,(
    ! [VarCurr] :
      ( ~ v1210(VarCurr)
    <=> v1128(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_336,axiom,(
    ! [VarCurr] :
      ( v1203(VarCurr)
    <=> ( v1204(VarCurr)
        & v1207(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_335,axiom,(
    ! [VarCurr] :
      ( v1207(VarCurr)
    <=> ( v1126(VarCurr)
        | v1168(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_334,axiom,(
    ! [VarCurr] :
      ( v1204(VarCurr)
    <=> ( v1205(VarCurr)
        | v1206(VarCurr) ) ) )).

fof(writeUnaryOperator_170,axiom,(
    ! [VarCurr] :
      ( ~ v1206(VarCurr)
    <=> v1168(VarCurr) ) )).

fof(writeUnaryOperator_169,axiom,(
    ! [VarCurr] :
      ( ~ v1205(VarCurr)
    <=> v1126(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_333,axiom,(
    ! [VarCurr] :
      ( v1198(VarCurr)
    <=> ( v1199(VarCurr)
        & v1202(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_332,axiom,(
    ! [VarCurr] :
      ( v1202(VarCurr)
    <=> ( v1124(VarCurr)
        | v1174(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_331,axiom,(
    ! [VarCurr] :
      ( v1199(VarCurr)
    <=> ( v1200(VarCurr)
        | v1201(VarCurr) ) ) )).

fof(writeUnaryOperator_168,axiom,(
    ! [VarCurr] :
      ( ~ v1201(VarCurr)
    <=> v1174(VarCurr) ) )).

fof(writeUnaryOperator_167,axiom,(
    ! [VarCurr] :
      ( ~ v1200(VarCurr)
    <=> v1124(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_330,axiom,(
    ! [VarCurr] :
      ( v1193(VarCurr)
    <=> ( v1194(VarCurr)
        & v1197(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_329,axiom,(
    ! [VarCurr] :
      ( v1197(VarCurr)
    <=> ( v1122(VarCurr)
        | v1180(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_328,axiom,(
    ! [VarCurr] :
      ( v1194(VarCurr)
    <=> ( v1195(VarCurr)
        | v1196(VarCurr) ) ) )).

fof(writeUnaryOperator_166,axiom,(
    ! [VarCurr] :
      ( ~ v1196(VarCurr)
    <=> v1180(VarCurr) ) )).

fof(writeUnaryOperator_165,axiom,(
    ! [VarCurr] :
      ( ~ v1195(VarCurr)
    <=> v1122(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_327,axiom,(
    ! [VarCurr] :
      ( v1117(VarCurr)
    <=> ( v1118(VarCurr)
        & v1192(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_326,axiom,(
    ! [VarCurr] :
      ( v1192(VarCurr)
    <=> ( v1120(VarCurr)
        | v1187(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_325,axiom,(
    ! [VarCurr] :
      ( v1118(VarCurr)
    <=> ( v1119(VarCurr)
        | v1186(VarCurr) ) ) )).

fof(writeUnaryOperator_164,axiom,(
    ! [VarCurr] :
      ( ~ v1186(VarCurr)
    <=> v1187(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_324,axiom,(
    ! [VarCurr] :
      ( v1187(VarCurr)
    <=> ( v1188(VarCurr)
        & v1191(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_73,axiom,(
    ! [VarCurr] :
      ( v1191(VarCurr)
    <=> ( v1137(VarCurr,bitIndex9)
        | v752(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_323,axiom,(
    ! [VarCurr] :
      ( v1188(VarCurr)
    <=> ( v1189(VarCurr)
        | v1190(VarCurr) ) ) )).

fof(writeUnaryOperator_163,axiom,(
    ! [VarCurr] :
      ( ~ v1190(VarCurr)
    <=> v752(VarCurr,bitIndex9) ) )).

fof(writeUnaryOperator_162,axiom,(
    ! [VarCurr] :
      ( ~ v1189(VarCurr)
    <=> v1137(VarCurr,bitIndex9) ) )).

fof(writeUnaryOperator_161,axiom,(
    ! [VarCurr] :
      ( ~ v1119(VarCurr)
    <=> v1120(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_322,axiom,(
    ! [VarCurr] :
      ( v1120(VarCurr)
    <=> ( v1121(VarCurr)
        | v1185(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_72,axiom,(
    ! [VarCurr] :
      ( v1185(VarCurr)
    <=> ( v1137(VarCurr,bitIndex8)
        & v752(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_321,axiom,(
    ! [VarCurr] :
      ( v1121(VarCurr)
    <=> ( v1122(VarCurr)
        & v1180(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_320,axiom,(
    ! [VarCurr] :
      ( v1180(VarCurr)
    <=> ( v1181(VarCurr)
        & v1184(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_71,axiom,(
    ! [VarCurr] :
      ( v1184(VarCurr)
    <=> ( v1137(VarCurr,bitIndex8)
        | v752(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_319,axiom,(
    ! [VarCurr] :
      ( v1181(VarCurr)
    <=> ( v1182(VarCurr)
        | v1183(VarCurr) ) ) )).

fof(writeUnaryOperator_160,axiom,(
    ! [VarCurr] :
      ( ~ v1183(VarCurr)
    <=> v752(VarCurr,bitIndex8) ) )).

fof(writeUnaryOperator_159,axiom,(
    ! [VarCurr] :
      ( ~ v1182(VarCurr)
    <=> v1137(VarCurr,bitIndex8) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_318,axiom,(
    ! [VarCurr] :
      ( v1122(VarCurr)
    <=> ( v1123(VarCurr)
        | v1179(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_70,axiom,(
    ! [VarCurr] :
      ( v1179(VarCurr)
    <=> ( v1137(VarCurr,bitIndex7)
        & v752(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_317,axiom,(
    ! [VarCurr] :
      ( v1123(VarCurr)
    <=> ( v1124(VarCurr)
        & v1174(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_316,axiom,(
    ! [VarCurr] :
      ( v1174(VarCurr)
    <=> ( v1175(VarCurr)
        & v1178(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_69,axiom,(
    ! [VarCurr] :
      ( v1178(VarCurr)
    <=> ( v1137(VarCurr,bitIndex7)
        | v752(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_315,axiom,(
    ! [VarCurr] :
      ( v1175(VarCurr)
    <=> ( v1176(VarCurr)
        | v1177(VarCurr) ) ) )).

fof(writeUnaryOperator_158,axiom,(
    ! [VarCurr] :
      ( ~ v1177(VarCurr)
    <=> v752(VarCurr,bitIndex7) ) )).

fof(writeUnaryOperator_157,axiom,(
    ! [VarCurr] :
      ( ~ v1176(VarCurr)
    <=> v1137(VarCurr,bitIndex7) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_314,axiom,(
    ! [VarCurr] :
      ( v1124(VarCurr)
    <=> ( v1125(VarCurr)
        | v1173(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_68,axiom,(
    ! [VarCurr] :
      ( v1173(VarCurr)
    <=> ( v1137(VarCurr,bitIndex6)
        & v752(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_313,axiom,(
    ! [VarCurr] :
      ( v1125(VarCurr)
    <=> ( v1126(VarCurr)
        & v1168(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_312,axiom,(
    ! [VarCurr] :
      ( v1168(VarCurr)
    <=> ( v1169(VarCurr)
        & v1172(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_67,axiom,(
    ! [VarCurr] :
      ( v1172(VarCurr)
    <=> ( v1137(VarCurr,bitIndex6)
        | v752(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_311,axiom,(
    ! [VarCurr] :
      ( v1169(VarCurr)
    <=> ( v1170(VarCurr)
        | v1171(VarCurr) ) ) )).

fof(writeUnaryOperator_156,axiom,(
    ! [VarCurr] :
      ( ~ v1171(VarCurr)
    <=> v752(VarCurr,bitIndex6) ) )).

fof(writeUnaryOperator_155,axiom,(
    ! [VarCurr] :
      ( ~ v1170(VarCurr)
    <=> v1137(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_310,axiom,(
    ! [VarCurr] :
      ( v1126(VarCurr)
    <=> ( v1127(VarCurr)
        | v1167(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_66,axiom,(
    ! [VarCurr] :
      ( v1167(VarCurr)
    <=> ( v1137(VarCurr,bitIndex5)
        & v752(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_309,axiom,(
    ! [VarCurr] :
      ( v1127(VarCurr)
    <=> ( v1128(VarCurr)
        & v1162(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_308,axiom,(
    ! [VarCurr] :
      ( v1162(VarCurr)
    <=> ( v1163(VarCurr)
        & v1166(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_65,axiom,(
    ! [VarCurr] :
      ( v1166(VarCurr)
    <=> ( v1137(VarCurr,bitIndex5)
        | v752(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_307,axiom,(
    ! [VarCurr] :
      ( v1163(VarCurr)
    <=> ( v1164(VarCurr)
        | v1165(VarCurr) ) ) )).

fof(writeUnaryOperator_154,axiom,(
    ! [VarCurr] :
      ( ~ v1165(VarCurr)
    <=> v752(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_153,axiom,(
    ! [VarCurr] :
      ( ~ v1164(VarCurr)
    <=> v1137(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_306,axiom,(
    ! [VarCurr] :
      ( v1128(VarCurr)
    <=> ( v1129(VarCurr)
        | v1161(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_64,axiom,(
    ! [VarCurr] :
      ( v1161(VarCurr)
    <=> ( v1137(VarCurr,bitIndex4)
        & v752(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_305,axiom,(
    ! [VarCurr] :
      ( v1129(VarCurr)
    <=> ( v1130(VarCurr)
        & v1156(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_304,axiom,(
    ! [VarCurr] :
      ( v1156(VarCurr)
    <=> ( v1157(VarCurr)
        & v1160(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_63,axiom,(
    ! [VarCurr] :
      ( v1160(VarCurr)
    <=> ( v1137(VarCurr,bitIndex4)
        | v752(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_303,axiom,(
    ! [VarCurr] :
      ( v1157(VarCurr)
    <=> ( v1158(VarCurr)
        | v1159(VarCurr) ) ) )).

fof(writeUnaryOperator_152,axiom,(
    ! [VarCurr] :
      ( ~ v1159(VarCurr)
    <=> v752(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_151,axiom,(
    ! [VarCurr] :
      ( ~ v1158(VarCurr)
    <=> v1137(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_302,axiom,(
    ! [VarCurr] :
      ( v1130(VarCurr)
    <=> ( v1131(VarCurr)
        | v1155(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_62,axiom,(
    ! [VarCurr] :
      ( v1155(VarCurr)
    <=> ( v1137(VarCurr,bitIndex3)
        & v752(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_301,axiom,(
    ! [VarCurr] :
      ( v1131(VarCurr)
    <=> ( v1132(VarCurr)
        & v1150(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_300,axiom,(
    ! [VarCurr] :
      ( v1150(VarCurr)
    <=> ( v1151(VarCurr)
        & v1154(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_61,axiom,(
    ! [VarCurr] :
      ( v1154(VarCurr)
    <=> ( v1137(VarCurr,bitIndex3)
        | v752(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_299,axiom,(
    ! [VarCurr] :
      ( v1151(VarCurr)
    <=> ( v1152(VarCurr)
        | v1153(VarCurr) ) ) )).

fof(writeUnaryOperator_150,axiom,(
    ! [VarCurr] :
      ( ~ v1153(VarCurr)
    <=> v752(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_149,axiom,(
    ! [VarCurr] :
      ( ~ v1152(VarCurr)
    <=> v1137(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_298,axiom,(
    ! [VarCurr] :
      ( v1132(VarCurr)
    <=> ( v1133(VarCurr)
        | v1149(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_60,axiom,(
    ! [VarCurr] :
      ( v1149(VarCurr)
    <=> ( v1137(VarCurr,bitIndex2)
        & v752(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_297,axiom,(
    ! [VarCurr] :
      ( v1133(VarCurr)
    <=> ( v1134(VarCurr)
        & v1144(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_296,axiom,(
    ! [VarCurr] :
      ( v1144(VarCurr)
    <=> ( v1145(VarCurr)
        & v1148(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_59,axiom,(
    ! [VarCurr] :
      ( v1148(VarCurr)
    <=> ( v1137(VarCurr,bitIndex2)
        | v752(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_295,axiom,(
    ! [VarCurr] :
      ( v1145(VarCurr)
    <=> ( v1146(VarCurr)
        | v1147(VarCurr) ) ) )).

fof(writeUnaryOperator_148,axiom,(
    ! [VarCurr] :
      ( ~ v1147(VarCurr)
    <=> v752(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_147,axiom,(
    ! [VarCurr] :
      ( ~ v1146(VarCurr)
    <=> v1137(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_294,axiom,(
    ! [VarCurr] :
      ( v1134(VarCurr)
    <=> ( v1135(VarCurr)
        | v1143(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_58,axiom,(
    ! [VarCurr] :
      ( v1143(VarCurr)
    <=> ( v1137(VarCurr,bitIndex1)
        & v752(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_293,axiom,(
    ! [VarCurr] :
      ( v1135(VarCurr)
    <=> ( v1136(VarCurr)
        & v1138(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_292,axiom,(
    ! [VarCurr] :
      ( v1138(VarCurr)
    <=> ( v1139(VarCurr)
        & v1142(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_57,axiom,(
    ! [VarCurr] :
      ( v1142(VarCurr)
    <=> ( v1137(VarCurr,bitIndex1)
        | v752(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_291,axiom,(
    ! [VarCurr] :
      ( v1139(VarCurr)
    <=> ( v1140(VarCurr)
        | v1141(VarCurr) ) ) )).

fof(writeUnaryOperator_146,axiom,(
    ! [VarCurr] :
      ( ~ v1141(VarCurr)
    <=> v752(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_145,axiom,(
    ! [VarCurr] :
      ( ~ v1140(VarCurr)
    <=> v1137(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_290,axiom,(
    ! [VarCurr] :
      ( v1136(VarCurr)
    <=> ( v1137(VarCurr,bitIndex0)
        & v752(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_138,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v1137(VarCurr,B)
      <=> $false ) ) )).

fof(addAssignment_137,axiom,(
    ! [VarCurr,B] :
      ( range_8_4(B)
     => ( v1137(VarCurr,B)
      <=> v755(VarCurr,B) ) ) )).

fof(addAssignment_136,axiom,(
    ! [VarCurr] :
      ( v1137(VarCurr,bitIndex9)
    <=> $false ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_8,axiom,(
    ! [VarCurr] :
      ( ~ v1027(VarCurr)
     => ( v772(VarCurr)
      <=> $false ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_8,axiom,(
    ! [VarCurr] :
      ( v1027(VarCurr)
     => ( v772(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_289,axiom,(
    ! [VarCurr] :
      ( v1027(VarCurr)
    <=> ( v1029(VarCurr)
        | v1110(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_56,axiom,(
    ! [VarCurr] :
      ( v1110(VarCurr)
    <=> ( v1107(VarCurr)
        & v774(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_288,axiom,(
    ! [VarCurr] :
      ( v1029(VarCurr)
    <=> ( v1030(VarCurr)
        & v1104(VarCurr) ) ) )).

fof(writeUnaryOperator_144,axiom,(
    ! [VarCurr] :
      ( ~ v1104(VarCurr)
    <=> v1105(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_287,axiom,(
    ! [VarCurr] :
      ( v1105(VarCurr)
    <=> ( v1106(VarCurr)
        & v1109(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_55,axiom,(
    ! [VarCurr] :
      ( v1109(VarCurr)
    <=> ( v899(VarCurr,bitIndex9)
        | v774(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_286,axiom,(
    ! [VarCurr] :
      ( v1106(VarCurr)
    <=> ( v1107(VarCurr)
        | v1108(VarCurr) ) ) )).

fof(writeUnaryOperator_143,axiom,(
    ! [VarCurr] :
      ( ~ v1108(VarCurr)
    <=> v774(VarCurr,bitIndex9) ) )).

fof(writeUnaryOperator_142,axiom,(
    ! [VarCurr] :
      ( ~ v1107(VarCurr)
    <=> v899(VarCurr,bitIndex9) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_285,axiom,(
    ! [VarCurr] :
      ( v1030(VarCurr)
    <=> ( v1031(VarCurr)
        | v1103(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_54,axiom,(
    ! [VarCurr] :
      ( v1103(VarCurr)
    <=> ( v1100(VarCurr)
        & v774(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_284,axiom,(
    ! [VarCurr] :
      ( v1031(VarCurr)
    <=> ( v1032(VarCurr)
        & v1097(VarCurr) ) ) )).

fof(writeUnaryOperator_141,axiom,(
    ! [VarCurr] :
      ( ~ v1097(VarCurr)
    <=> v1098(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_283,axiom,(
    ! [VarCurr] :
      ( v1098(VarCurr)
    <=> ( v1099(VarCurr)
        & v1102(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_53,axiom,(
    ! [VarCurr] :
      ( v1102(VarCurr)
    <=> ( v899(VarCurr,bitIndex8)
        | v774(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_282,axiom,(
    ! [VarCurr] :
      ( v1099(VarCurr)
    <=> ( v1100(VarCurr)
        | v1101(VarCurr) ) ) )).

fof(writeUnaryOperator_140,axiom,(
    ! [VarCurr] :
      ( ~ v1101(VarCurr)
    <=> v774(VarCurr,bitIndex8) ) )).

fof(writeUnaryOperator_139,axiom,(
    ! [VarCurr] :
      ( ~ v1100(VarCurr)
    <=> v899(VarCurr,bitIndex8) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_281,axiom,(
    ! [VarCurr] :
      ( v1032(VarCurr)
    <=> ( v1033(VarCurr)
        | v1096(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_52,axiom,(
    ! [VarCurr] :
      ( v1096(VarCurr)
    <=> ( v1093(VarCurr)
        & v774(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_280,axiom,(
    ! [VarCurr] :
      ( v1033(VarCurr)
    <=> ( v1034(VarCurr)
        & v1090(VarCurr) ) ) )).

fof(writeUnaryOperator_138,axiom,(
    ! [VarCurr] :
      ( ~ v1090(VarCurr)
    <=> v1091(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_279,axiom,(
    ! [VarCurr] :
      ( v1091(VarCurr)
    <=> ( v1092(VarCurr)
        & v1095(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_51,axiom,(
    ! [VarCurr] :
      ( v1095(VarCurr)
    <=> ( v899(VarCurr,bitIndex7)
        | v774(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_278,axiom,(
    ! [VarCurr] :
      ( v1092(VarCurr)
    <=> ( v1093(VarCurr)
        | v1094(VarCurr) ) ) )).

fof(writeUnaryOperator_137,axiom,(
    ! [VarCurr] :
      ( ~ v1094(VarCurr)
    <=> v774(VarCurr,bitIndex7) ) )).

fof(writeUnaryOperator_136,axiom,(
    ! [VarCurr] :
      ( ~ v1093(VarCurr)
    <=> v899(VarCurr,bitIndex7) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_277,axiom,(
    ! [VarCurr] :
      ( v1034(VarCurr)
    <=> ( v1035(VarCurr)
        | v1089(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_50,axiom,(
    ! [VarCurr] :
      ( v1089(VarCurr)
    <=> ( v1086(VarCurr)
        & v774(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_276,axiom,(
    ! [VarCurr] :
      ( v1035(VarCurr)
    <=> ( v1036(VarCurr)
        & v1083(VarCurr) ) ) )).

fof(writeUnaryOperator_135,axiom,(
    ! [VarCurr] :
      ( ~ v1083(VarCurr)
    <=> v1084(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_275,axiom,(
    ! [VarCurr] :
      ( v1084(VarCurr)
    <=> ( v1085(VarCurr)
        & v1088(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_49,axiom,(
    ! [VarCurr] :
      ( v1088(VarCurr)
    <=> ( v899(VarCurr,bitIndex6)
        | v774(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_274,axiom,(
    ! [VarCurr] :
      ( v1085(VarCurr)
    <=> ( v1086(VarCurr)
        | v1087(VarCurr) ) ) )).

fof(writeUnaryOperator_134,axiom,(
    ! [VarCurr] :
      ( ~ v1087(VarCurr)
    <=> v774(VarCurr,bitIndex6) ) )).

fof(writeUnaryOperator_133,axiom,(
    ! [VarCurr] :
      ( ~ v1086(VarCurr)
    <=> v899(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_273,axiom,(
    ! [VarCurr] :
      ( v1036(VarCurr)
    <=> ( v1037(VarCurr)
        | v1082(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_48,axiom,(
    ! [VarCurr] :
      ( v1082(VarCurr)
    <=> ( v1079(VarCurr)
        & v774(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_272,axiom,(
    ! [VarCurr] :
      ( v1037(VarCurr)
    <=> ( v1038(VarCurr)
        & v1076(VarCurr) ) ) )).

fof(writeUnaryOperator_132,axiom,(
    ! [VarCurr] :
      ( ~ v1076(VarCurr)
    <=> v1077(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_271,axiom,(
    ! [VarCurr] :
      ( v1077(VarCurr)
    <=> ( v1078(VarCurr)
        & v1081(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_47,axiom,(
    ! [VarCurr] :
      ( v1081(VarCurr)
    <=> ( v899(VarCurr,bitIndex5)
        | v774(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_270,axiom,(
    ! [VarCurr] :
      ( v1078(VarCurr)
    <=> ( v1079(VarCurr)
        | v1080(VarCurr) ) ) )).

fof(writeUnaryOperator_131,axiom,(
    ! [VarCurr] :
      ( ~ v1080(VarCurr)
    <=> v774(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_130,axiom,(
    ! [VarCurr] :
      ( ~ v1079(VarCurr)
    <=> v899(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_269,axiom,(
    ! [VarCurr] :
      ( v1038(VarCurr)
    <=> ( v1039(VarCurr)
        | v1075(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_46,axiom,(
    ! [VarCurr] :
      ( v1075(VarCurr)
    <=> ( v1072(VarCurr)
        & v774(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_268,axiom,(
    ! [VarCurr] :
      ( v1039(VarCurr)
    <=> ( v1040(VarCurr)
        & v1069(VarCurr) ) ) )).

fof(writeUnaryOperator_129,axiom,(
    ! [VarCurr] :
      ( ~ v1069(VarCurr)
    <=> v1070(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_267,axiom,(
    ! [VarCurr] :
      ( v1070(VarCurr)
    <=> ( v1071(VarCurr)
        & v1074(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_45,axiom,(
    ! [VarCurr] :
      ( v1074(VarCurr)
    <=> ( v899(VarCurr,bitIndex4)
        | v774(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_266,axiom,(
    ! [VarCurr] :
      ( v1071(VarCurr)
    <=> ( v1072(VarCurr)
        | v1073(VarCurr) ) ) )).

fof(writeUnaryOperator_128,axiom,(
    ! [VarCurr] :
      ( ~ v1073(VarCurr)
    <=> v774(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_127,axiom,(
    ! [VarCurr] :
      ( ~ v1072(VarCurr)
    <=> v899(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_265,axiom,(
    ! [VarCurr] :
      ( v1040(VarCurr)
    <=> ( v1041(VarCurr)
        | v1068(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_44,axiom,(
    ! [VarCurr] :
      ( v1068(VarCurr)
    <=> ( v1065(VarCurr)
        & v774(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_264,axiom,(
    ! [VarCurr] :
      ( v1041(VarCurr)
    <=> ( v1042(VarCurr)
        & v1062(VarCurr) ) ) )).

fof(writeUnaryOperator_126,axiom,(
    ! [VarCurr] :
      ( ~ v1062(VarCurr)
    <=> v1063(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_263,axiom,(
    ! [VarCurr] :
      ( v1063(VarCurr)
    <=> ( v1064(VarCurr)
        & v1067(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_43,axiom,(
    ! [VarCurr] :
      ( v1067(VarCurr)
    <=> ( v899(VarCurr,bitIndex3)
        | v774(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_262,axiom,(
    ! [VarCurr] :
      ( v1064(VarCurr)
    <=> ( v1065(VarCurr)
        | v1066(VarCurr) ) ) )).

fof(writeUnaryOperator_125,axiom,(
    ! [VarCurr] :
      ( ~ v1066(VarCurr)
    <=> v774(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_124,axiom,(
    ! [VarCurr] :
      ( ~ v1065(VarCurr)
    <=> v899(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_261,axiom,(
    ! [VarCurr] :
      ( v1042(VarCurr)
    <=> ( v1043(VarCurr)
        | v1061(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_42,axiom,(
    ! [VarCurr] :
      ( v1061(VarCurr)
    <=> ( v1058(VarCurr)
        & v774(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_260,axiom,(
    ! [VarCurr] :
      ( v1043(VarCurr)
    <=> ( v1044(VarCurr)
        & v1055(VarCurr) ) ) )).

fof(writeUnaryOperator_123,axiom,(
    ! [VarCurr] :
      ( ~ v1055(VarCurr)
    <=> v1056(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_259,axiom,(
    ! [VarCurr] :
      ( v1056(VarCurr)
    <=> ( v1057(VarCurr)
        & v1060(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_41,axiom,(
    ! [VarCurr] :
      ( v1060(VarCurr)
    <=> ( v899(VarCurr,bitIndex2)
        | v774(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_258,axiom,(
    ! [VarCurr] :
      ( v1057(VarCurr)
    <=> ( v1058(VarCurr)
        | v1059(VarCurr) ) ) )).

fof(writeUnaryOperator_122,axiom,(
    ! [VarCurr] :
      ( ~ v1059(VarCurr)
    <=> v774(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_121,axiom,(
    ! [VarCurr] :
      ( ~ v1058(VarCurr)
    <=> v899(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_257,axiom,(
    ! [VarCurr] :
      ( v1044(VarCurr)
    <=> ( v1045(VarCurr)
        | v1054(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_40,axiom,(
    ! [VarCurr] :
      ( v1054(VarCurr)
    <=> ( v1051(VarCurr)
        & v774(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_256,axiom,(
    ! [VarCurr] :
      ( v1045(VarCurr)
    <=> ( v1046(VarCurr)
        & v1048(VarCurr) ) ) )).

fof(writeUnaryOperator_120,axiom,(
    ! [VarCurr] :
      ( ~ v1048(VarCurr)
    <=> v1049(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_255,axiom,(
    ! [VarCurr] :
      ( v1049(VarCurr)
    <=> ( v1050(VarCurr)
        & v1053(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_39,axiom,(
    ! [VarCurr] :
      ( v1053(VarCurr)
    <=> ( v899(VarCurr,bitIndex1)
        | v774(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_254,axiom,(
    ! [VarCurr] :
      ( v1050(VarCurr)
    <=> ( v1051(VarCurr)
        | v1052(VarCurr) ) ) )).

fof(writeUnaryOperator_119,axiom,(
    ! [VarCurr] :
      ( ~ v1052(VarCurr)
    <=> v774(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_118,axiom,(
    ! [VarCurr] :
      ( ~ v1051(VarCurr)
    <=> v899(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_253,axiom,(
    ! [VarCurr] :
      ( v1046(VarCurr)
    <=> ( v1047(VarCurr)
        & v774(VarCurr,bitIndex0) ) ) )).

fof(writeUnaryOperator_117,axiom,(
    ! [VarCurr] :
      ( ~ v1047(VarCurr)
    <=> v899(VarCurr,bitIndex0) ) )).

fof(addAssignment_135,axiom,(
    ! [VarCurr] :
      ( v899(VarCurr,bitIndex0)
    <=> v1021(VarCurr) ) )).

fof(addAssignment_134,axiom,(
    ! [VarCurr] :
      ( v899(VarCurr,bitIndex1)
    <=> v1016(VarCurr) ) )).

fof(addAssignment_133,axiom,(
    ! [VarCurr] :
      ( v899(VarCurr,bitIndex2)
    <=> v1011(VarCurr) ) )).

fof(addAssignment_132,axiom,(
    ! [VarCurr] :
      ( v899(VarCurr,bitIndex3)
    <=> v1006(VarCurr) ) )).

fof(addAssignment_131,axiom,(
    ! [VarCurr] :
      ( v899(VarCurr,bitIndex4)
    <=> v1001(VarCurr) ) )).

fof(addAssignment_130,axiom,(
    ! [VarCurr] :
      ( v899(VarCurr,bitIndex5)
    <=> v996(VarCurr) ) )).

fof(addAssignment_129,axiom,(
    ! [VarCurr] :
      ( v899(VarCurr,bitIndex6)
    <=> v991(VarCurr) ) )).

fof(addAssignment_128,axiom,(
    ! [VarCurr] :
      ( v899(VarCurr,bitIndex7)
    <=> v986(VarCurr) ) )).

fof(addAssignment_127,axiom,(
    ! [VarCurr] :
      ( v899(VarCurr,bitIndex8)
    <=> v981(VarCurr) ) )).

fof(addAssignment_126,axiom,(
    ! [VarCurr] :
      ( v899(VarCurr,bitIndex9)
    <=> v904(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_252,axiom,(
    ! [VarCurr] :
      ( v1021(VarCurr)
    <=> ( v1022(VarCurr)
        & v1025(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_251,axiom,(
    ! [VarCurr] :
      ( v1025(VarCurr)
    <=> ( v924(VarCurr,bitIndex0)
        | v925(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_250,axiom,(
    ! [VarCurr] :
      ( v1022(VarCurr)
    <=> ( v1023(VarCurr)
        | v1024(VarCurr) ) ) )).

fof(writeUnaryOperator_116,axiom,(
    ! [VarCurr] :
      ( ~ v1024(VarCurr)
    <=> v925(VarCurr,bitIndex0) ) )).

fof(writeUnaryOperator_115,axiom,(
    ! [VarCurr] :
      ( ~ v1023(VarCurr)
    <=> v924(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_249,axiom,(
    ! [VarCurr] :
      ( v1016(VarCurr)
    <=> ( v1017(VarCurr)
        & v1020(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_248,axiom,(
    ! [VarCurr] :
      ( v1020(VarCurr)
    <=> ( v923(VarCurr)
        | v926(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_247,axiom,(
    ! [VarCurr] :
      ( v1017(VarCurr)
    <=> ( v1018(VarCurr)
        | v1019(VarCurr) ) ) )).

fof(writeUnaryOperator_114,axiom,(
    ! [VarCurr] :
      ( ~ v1019(VarCurr)
    <=> v926(VarCurr) ) )).

fof(writeUnaryOperator_113,axiom,(
    ! [VarCurr] :
      ( ~ v1018(VarCurr)
    <=> v923(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_246,axiom,(
    ! [VarCurr] :
      ( v1011(VarCurr)
    <=> ( v1012(VarCurr)
        & v1015(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_245,axiom,(
    ! [VarCurr] :
      ( v1015(VarCurr)
    <=> ( v921(VarCurr)
        | v932(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_244,axiom,(
    ! [VarCurr] :
      ( v1012(VarCurr)
    <=> ( v1013(VarCurr)
        | v1014(VarCurr) ) ) )).

fof(writeUnaryOperator_112,axiom,(
    ! [VarCurr] :
      ( ~ v1014(VarCurr)
    <=> v932(VarCurr) ) )).

fof(writeUnaryOperator_111,axiom,(
    ! [VarCurr] :
      ( ~ v1013(VarCurr)
    <=> v921(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_243,axiom,(
    ! [VarCurr] :
      ( v1006(VarCurr)
    <=> ( v1007(VarCurr)
        & v1010(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_242,axiom,(
    ! [VarCurr] :
      ( v1010(VarCurr)
    <=> ( v919(VarCurr)
        | v938(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_241,axiom,(
    ! [VarCurr] :
      ( v1007(VarCurr)
    <=> ( v1008(VarCurr)
        | v1009(VarCurr) ) ) )).

fof(writeUnaryOperator_110,axiom,(
    ! [VarCurr] :
      ( ~ v1009(VarCurr)
    <=> v938(VarCurr) ) )).

fof(writeUnaryOperator_109,axiom,(
    ! [VarCurr] :
      ( ~ v1008(VarCurr)
    <=> v919(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_240,axiom,(
    ! [VarCurr] :
      ( v1001(VarCurr)
    <=> ( v1002(VarCurr)
        & v1005(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_239,axiom,(
    ! [VarCurr] :
      ( v1005(VarCurr)
    <=> ( v917(VarCurr)
        | v944(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_238,axiom,(
    ! [VarCurr] :
      ( v1002(VarCurr)
    <=> ( v1003(VarCurr)
        | v1004(VarCurr) ) ) )).

fof(writeUnaryOperator_108,axiom,(
    ! [VarCurr] :
      ( ~ v1004(VarCurr)
    <=> v944(VarCurr) ) )).

fof(writeUnaryOperator_107,axiom,(
    ! [VarCurr] :
      ( ~ v1003(VarCurr)
    <=> v917(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_237,axiom,(
    ! [VarCurr] :
      ( v996(VarCurr)
    <=> ( v997(VarCurr)
        & v1000(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_236,axiom,(
    ! [VarCurr] :
      ( v1000(VarCurr)
    <=> ( v915(VarCurr)
        | v950(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_235,axiom,(
    ! [VarCurr] :
      ( v997(VarCurr)
    <=> ( v998(VarCurr)
        | v999(VarCurr) ) ) )).

fof(writeUnaryOperator_106,axiom,(
    ! [VarCurr] :
      ( ~ v999(VarCurr)
    <=> v950(VarCurr) ) )).

fof(writeUnaryOperator_105,axiom,(
    ! [VarCurr] :
      ( ~ v998(VarCurr)
    <=> v915(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_234,axiom,(
    ! [VarCurr] :
      ( v991(VarCurr)
    <=> ( v992(VarCurr)
        & v995(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_233,axiom,(
    ! [VarCurr] :
      ( v995(VarCurr)
    <=> ( v913(VarCurr)
        | v956(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_232,axiom,(
    ! [VarCurr] :
      ( v992(VarCurr)
    <=> ( v993(VarCurr)
        | v994(VarCurr) ) ) )).

fof(writeUnaryOperator_104,axiom,(
    ! [VarCurr] :
      ( ~ v994(VarCurr)
    <=> v956(VarCurr) ) )).

fof(writeUnaryOperator_103,axiom,(
    ! [VarCurr] :
      ( ~ v993(VarCurr)
    <=> v913(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_231,axiom,(
    ! [VarCurr] :
      ( v986(VarCurr)
    <=> ( v987(VarCurr)
        & v990(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_230,axiom,(
    ! [VarCurr] :
      ( v990(VarCurr)
    <=> ( v911(VarCurr)
        | v962(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_229,axiom,(
    ! [VarCurr] :
      ( v987(VarCurr)
    <=> ( v988(VarCurr)
        | v989(VarCurr) ) ) )).

fof(writeUnaryOperator_102,axiom,(
    ! [VarCurr] :
      ( ~ v989(VarCurr)
    <=> v962(VarCurr) ) )).

fof(writeUnaryOperator_101,axiom,(
    ! [VarCurr] :
      ( ~ v988(VarCurr)
    <=> v911(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_228,axiom,(
    ! [VarCurr] :
      ( v981(VarCurr)
    <=> ( v982(VarCurr)
        & v985(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_227,axiom,(
    ! [VarCurr] :
      ( v985(VarCurr)
    <=> ( v909(VarCurr)
        | v968(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_226,axiom,(
    ! [VarCurr] :
      ( v982(VarCurr)
    <=> ( v983(VarCurr)
        | v984(VarCurr) ) ) )).

fof(writeUnaryOperator_100,axiom,(
    ! [VarCurr] :
      ( ~ v984(VarCurr)
    <=> v968(VarCurr) ) )).

fof(writeUnaryOperator_99,axiom,(
    ! [VarCurr] :
      ( ~ v983(VarCurr)
    <=> v909(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_225,axiom,(
    ! [VarCurr] :
      ( v904(VarCurr)
    <=> ( v905(VarCurr)
        & v980(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_224,axiom,(
    ! [VarCurr] :
      ( v980(VarCurr)
    <=> ( v907(VarCurr)
        | v975(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_223,axiom,(
    ! [VarCurr] :
      ( v905(VarCurr)
    <=> ( v906(VarCurr)
        | v974(VarCurr) ) ) )).

fof(writeUnaryOperator_98,axiom,(
    ! [VarCurr] :
      ( ~ v974(VarCurr)
    <=> v975(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_222,axiom,(
    ! [VarCurr] :
      ( v975(VarCurr)
    <=> ( v976(VarCurr)
        & v979(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_38,axiom,(
    ! [VarCurr] :
      ( v979(VarCurr)
    <=> ( v924(VarCurr,bitIndex9)
        | v925(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_221,axiom,(
    ! [VarCurr] :
      ( v976(VarCurr)
    <=> ( v977(VarCurr)
        | v978(VarCurr) ) ) )).

fof(writeUnaryOperator_97,axiom,(
    ! [VarCurr] :
      ( ~ v978(VarCurr)
    <=> v925(VarCurr,bitIndex9) ) )).

fof(writeUnaryOperator_96,axiom,(
    ! [VarCurr] :
      ( ~ v977(VarCurr)
    <=> v924(VarCurr,bitIndex9) ) )).

fof(writeUnaryOperator_95,axiom,(
    ! [VarCurr] :
      ( ~ v906(VarCurr)
    <=> v907(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_220,axiom,(
    ! [VarCurr] :
      ( v907(VarCurr)
    <=> ( v908(VarCurr)
        | v973(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_37,axiom,(
    ! [VarCurr] :
      ( v973(VarCurr)
    <=> ( v924(VarCurr,bitIndex8)
        & v925(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_219,axiom,(
    ! [VarCurr] :
      ( v908(VarCurr)
    <=> ( v909(VarCurr)
        & v968(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_218,axiom,(
    ! [VarCurr] :
      ( v968(VarCurr)
    <=> ( v969(VarCurr)
        & v972(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_36,axiom,(
    ! [VarCurr] :
      ( v972(VarCurr)
    <=> ( v924(VarCurr,bitIndex8)
        | v925(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_217,axiom,(
    ! [VarCurr] :
      ( v969(VarCurr)
    <=> ( v970(VarCurr)
        | v971(VarCurr) ) ) )).

fof(writeUnaryOperator_94,axiom,(
    ! [VarCurr] :
      ( ~ v971(VarCurr)
    <=> v925(VarCurr,bitIndex8) ) )).

fof(writeUnaryOperator_93,axiom,(
    ! [VarCurr] :
      ( ~ v970(VarCurr)
    <=> v924(VarCurr,bitIndex8) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_216,axiom,(
    ! [VarCurr] :
      ( v909(VarCurr)
    <=> ( v910(VarCurr)
        | v967(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_35,axiom,(
    ! [VarCurr] :
      ( v967(VarCurr)
    <=> ( v924(VarCurr,bitIndex7)
        & v925(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_215,axiom,(
    ! [VarCurr] :
      ( v910(VarCurr)
    <=> ( v911(VarCurr)
        & v962(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_214,axiom,(
    ! [VarCurr] :
      ( v962(VarCurr)
    <=> ( v963(VarCurr)
        & v966(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_34,axiom,(
    ! [VarCurr] :
      ( v966(VarCurr)
    <=> ( v924(VarCurr,bitIndex7)
        | v925(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_213,axiom,(
    ! [VarCurr] :
      ( v963(VarCurr)
    <=> ( v964(VarCurr)
        | v965(VarCurr) ) ) )).

fof(writeUnaryOperator_92,axiom,(
    ! [VarCurr] :
      ( ~ v965(VarCurr)
    <=> v925(VarCurr,bitIndex7) ) )).

fof(writeUnaryOperator_91,axiom,(
    ! [VarCurr] :
      ( ~ v964(VarCurr)
    <=> v924(VarCurr,bitIndex7) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_212,axiom,(
    ! [VarCurr] :
      ( v911(VarCurr)
    <=> ( v912(VarCurr)
        | v961(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_33,axiom,(
    ! [VarCurr] :
      ( v961(VarCurr)
    <=> ( v924(VarCurr,bitIndex6)
        & v925(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_211,axiom,(
    ! [VarCurr] :
      ( v912(VarCurr)
    <=> ( v913(VarCurr)
        & v956(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_210,axiom,(
    ! [VarCurr] :
      ( v956(VarCurr)
    <=> ( v957(VarCurr)
        & v960(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_32,axiom,(
    ! [VarCurr] :
      ( v960(VarCurr)
    <=> ( v924(VarCurr,bitIndex6)
        | v925(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_209,axiom,(
    ! [VarCurr] :
      ( v957(VarCurr)
    <=> ( v958(VarCurr)
        | v959(VarCurr) ) ) )).

fof(writeUnaryOperator_90,axiom,(
    ! [VarCurr] :
      ( ~ v959(VarCurr)
    <=> v925(VarCurr,bitIndex6) ) )).

fof(writeUnaryOperator_89,axiom,(
    ! [VarCurr] :
      ( ~ v958(VarCurr)
    <=> v924(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_208,axiom,(
    ! [VarCurr] :
      ( v913(VarCurr)
    <=> ( v914(VarCurr)
        | v955(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_31,axiom,(
    ! [VarCurr] :
      ( v955(VarCurr)
    <=> ( v924(VarCurr,bitIndex5)
        & v925(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_207,axiom,(
    ! [VarCurr] :
      ( v914(VarCurr)
    <=> ( v915(VarCurr)
        & v950(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_206,axiom,(
    ! [VarCurr] :
      ( v950(VarCurr)
    <=> ( v951(VarCurr)
        & v954(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_30,axiom,(
    ! [VarCurr] :
      ( v954(VarCurr)
    <=> ( v924(VarCurr,bitIndex5)
        | v925(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_205,axiom,(
    ! [VarCurr] :
      ( v951(VarCurr)
    <=> ( v952(VarCurr)
        | v953(VarCurr) ) ) )).

fof(writeUnaryOperator_88,axiom,(
    ! [VarCurr] :
      ( ~ v953(VarCurr)
    <=> v925(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_87,axiom,(
    ! [VarCurr] :
      ( ~ v952(VarCurr)
    <=> v924(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_204,axiom,(
    ! [VarCurr] :
      ( v915(VarCurr)
    <=> ( v916(VarCurr)
        | v949(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_29,axiom,(
    ! [VarCurr] :
      ( v949(VarCurr)
    <=> ( v924(VarCurr,bitIndex4)
        & v925(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_203,axiom,(
    ! [VarCurr] :
      ( v916(VarCurr)
    <=> ( v917(VarCurr)
        & v944(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_202,axiom,(
    ! [VarCurr] :
      ( v944(VarCurr)
    <=> ( v945(VarCurr)
        & v948(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_28,axiom,(
    ! [VarCurr] :
      ( v948(VarCurr)
    <=> ( v924(VarCurr,bitIndex4)
        | v925(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_201,axiom,(
    ! [VarCurr] :
      ( v945(VarCurr)
    <=> ( v946(VarCurr)
        | v947(VarCurr) ) ) )).

fof(writeUnaryOperator_86,axiom,(
    ! [VarCurr] :
      ( ~ v947(VarCurr)
    <=> v925(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_85,axiom,(
    ! [VarCurr] :
      ( ~ v946(VarCurr)
    <=> v924(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_200,axiom,(
    ! [VarCurr] :
      ( v917(VarCurr)
    <=> ( v918(VarCurr)
        | v943(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_27,axiom,(
    ! [VarCurr] :
      ( v943(VarCurr)
    <=> ( v924(VarCurr,bitIndex3)
        & v925(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_199,axiom,(
    ! [VarCurr] :
      ( v918(VarCurr)
    <=> ( v919(VarCurr)
        & v938(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_198,axiom,(
    ! [VarCurr] :
      ( v938(VarCurr)
    <=> ( v939(VarCurr)
        & v942(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_26,axiom,(
    ! [VarCurr] :
      ( v942(VarCurr)
    <=> ( v924(VarCurr,bitIndex3)
        | v925(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_197,axiom,(
    ! [VarCurr] :
      ( v939(VarCurr)
    <=> ( v940(VarCurr)
        | v941(VarCurr) ) ) )).

fof(writeUnaryOperator_84,axiom,(
    ! [VarCurr] :
      ( ~ v941(VarCurr)
    <=> v925(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_83,axiom,(
    ! [VarCurr] :
      ( ~ v940(VarCurr)
    <=> v924(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_196,axiom,(
    ! [VarCurr] :
      ( v919(VarCurr)
    <=> ( v920(VarCurr)
        | v937(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_25,axiom,(
    ! [VarCurr] :
      ( v937(VarCurr)
    <=> ( v924(VarCurr,bitIndex2)
        & v925(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_195,axiom,(
    ! [VarCurr] :
      ( v920(VarCurr)
    <=> ( v921(VarCurr)
        & v932(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_194,axiom,(
    ! [VarCurr] :
      ( v932(VarCurr)
    <=> ( v933(VarCurr)
        & v936(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_24,axiom,(
    ! [VarCurr] :
      ( v936(VarCurr)
    <=> ( v924(VarCurr,bitIndex2)
        | v925(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_193,axiom,(
    ! [VarCurr] :
      ( v933(VarCurr)
    <=> ( v934(VarCurr)
        | v935(VarCurr) ) ) )).

fof(writeUnaryOperator_82,axiom,(
    ! [VarCurr] :
      ( ~ v935(VarCurr)
    <=> v925(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_81,axiom,(
    ! [VarCurr] :
      ( ~ v934(VarCurr)
    <=> v924(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_192,axiom,(
    ! [VarCurr] :
      ( v921(VarCurr)
    <=> ( v922(VarCurr)
        | v931(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_23,axiom,(
    ! [VarCurr] :
      ( v931(VarCurr)
    <=> ( v924(VarCurr,bitIndex1)
        & v925(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_191,axiom,(
    ! [VarCurr] :
      ( v922(VarCurr)
    <=> ( v923(VarCurr)
        & v926(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_190,axiom,(
    ! [VarCurr] :
      ( v926(VarCurr)
    <=> ( v927(VarCurr)
        & v930(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_22,axiom,(
    ! [VarCurr] :
      ( v930(VarCurr)
    <=> ( v924(VarCurr,bitIndex1)
        | v925(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_189,axiom,(
    ! [VarCurr] :
      ( v927(VarCurr)
    <=> ( v928(VarCurr)
        | v929(VarCurr) ) ) )).

fof(writeUnaryOperator_80,axiom,(
    ! [VarCurr] :
      ( ~ v929(VarCurr)
    <=> v925(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_79,axiom,(
    ! [VarCurr] :
      ( ~ v928(VarCurr)
    <=> v924(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_188,axiom,(
    ! [VarCurr] :
      ( v923(VarCurr)
    <=> ( v924(VarCurr,bitIndex0)
        & v925(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_125,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v925(VarCurr,B)
      <=> $false ) ) )).

fof(addAssignment_124,axiom,(
    ! [VarCurr] :
      ( ( v925(VarCurr,bitIndex7)
      <=> v901(VarCurr,bitIndex3) )
      & ( v925(VarCurr,bitIndex6)
      <=> v901(VarCurr,bitIndex2) )
      & ( v925(VarCurr,bitIndex5)
      <=> v901(VarCurr,bitIndex1) )
      & ( v925(VarCurr,bitIndex4)
      <=> v901(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_123,axiom,(
    ! [VarCurr] :
      ( ( v925(VarCurr,bitIndex9)
      <=> $false )
      & ( v925(VarCurr,bitIndex8)
      <=> $false ) ) )).

fof(addAssignment_122,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v924(VarCurr,B)
      <=> $false ) ) )).

fof(addAssignment_121,axiom,(
    ! [VarCurr,B] :
      ( range_8_4(B)
     => ( v924(VarCurr,B)
      <=> v755(VarCurr,B) ) ) )).

fof(range_axiom_7,axiom,(
    ! [B] :
      ( range_8_4(B)
    <=> ( $false
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B ) ) )).

fof(addAssignment_120,axiom,(
    ! [VarCurr] :
      ( v924(VarCurr,bitIndex9)
    <=> $false ) )).

fof(addAssignment_119,axiom,(
    ! [VarCurr] :
      ( v901(VarCurr,bitIndex3)
    <=> v744(VarCurr,bitIndex7) ) )).

fof(addAssignment_118,axiom,(
    ! [VarCurr] :
      ( v901(VarCurr,bitIndex2)
    <=> v744(VarCurr,bitIndex6) ) )).

fof(addAssignment_117,axiom,(
    ! [VarCurr] :
      ( v901(VarCurr,bitIndex1)
    <=> v744(VarCurr,bitIndex5) ) )).

fof(addAssignment_116,axiom,(
    ! [VarCurr] :
      ( v901(VarCurr,bitIndex0)
    <=> v744(VarCurr,bitIndex4) ) )).

fof(addAssignment_115,axiom,(
    ! [VarCurr] :
      ( v774(VarCurr,bitIndex0)
    <=> v893(VarCurr) ) )).

fof(addAssignment_114,axiom,(
    ! [VarCurr] :
      ( v774(VarCurr,bitIndex1)
    <=> v888(VarCurr) ) )).

fof(addAssignment_113,axiom,(
    ! [VarCurr] :
      ( v774(VarCurr,bitIndex2)
    <=> v883(VarCurr) ) )).

fof(addAssignment_112,axiom,(
    ! [VarCurr] :
      ( v774(VarCurr,bitIndex3)
    <=> v878(VarCurr) ) )).

fof(addAssignment_111,axiom,(
    ! [VarCurr] :
      ( v774(VarCurr,bitIndex4)
    <=> v873(VarCurr) ) )).

fof(addAssignment_110,axiom,(
    ! [VarCurr] :
      ( v774(VarCurr,bitIndex5)
    <=> v868(VarCurr) ) )).

fof(addAssignment_109,axiom,(
    ! [VarCurr] :
      ( v774(VarCurr,bitIndex6)
    <=> v863(VarCurr) ) )).

fof(addAssignment_108,axiom,(
    ! [VarCurr] :
      ( v774(VarCurr,bitIndex7)
    <=> v858(VarCurr) ) )).

fof(addAssignment_107,axiom,(
    ! [VarCurr] :
      ( v774(VarCurr,bitIndex8)
    <=> v853(VarCurr) ) )).

fof(addAssignment_106,axiom,(
    ! [VarCurr] :
      ( v774(VarCurr,bitIndex9)
    <=> v777(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_187,axiom,(
    ! [VarCurr] :
      ( v893(VarCurr)
    <=> ( v894(VarCurr)
        & v897(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_186,axiom,(
    ! [VarCurr] :
      ( v897(VarCurr)
    <=> ( v797(VarCurr,bitIndex0)
        | v744(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_185,axiom,(
    ! [VarCurr] :
      ( v894(VarCurr)
    <=> ( v895(VarCurr)
        | v896(VarCurr) ) ) )).

fof(writeUnaryOperator_78,axiom,(
    ! [VarCurr] :
      ( ~ v896(VarCurr)
    <=> v744(VarCurr,bitIndex0) ) )).

fof(writeUnaryOperator_77,axiom,(
    ! [VarCurr] :
      ( ~ v895(VarCurr)
    <=> v797(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_184,axiom,(
    ! [VarCurr] :
      ( v888(VarCurr)
    <=> ( v889(VarCurr)
        & v892(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_183,axiom,(
    ! [VarCurr] :
      ( v892(VarCurr)
    <=> ( v796(VarCurr)
        | v798(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_182,axiom,(
    ! [VarCurr] :
      ( v889(VarCurr)
    <=> ( v890(VarCurr)
        | v891(VarCurr) ) ) )).

fof(writeUnaryOperator_76,axiom,(
    ! [VarCurr] :
      ( ~ v891(VarCurr)
    <=> v798(VarCurr) ) )).

fof(writeUnaryOperator_75,axiom,(
    ! [VarCurr] :
      ( ~ v890(VarCurr)
    <=> v796(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_181,axiom,(
    ! [VarCurr] :
      ( v883(VarCurr)
    <=> ( v884(VarCurr)
        & v887(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_180,axiom,(
    ! [VarCurr] :
      ( v887(VarCurr)
    <=> ( v794(VarCurr)
        | v804(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_179,axiom,(
    ! [VarCurr] :
      ( v884(VarCurr)
    <=> ( v885(VarCurr)
        | v886(VarCurr) ) ) )).

fof(writeUnaryOperator_74,axiom,(
    ! [VarCurr] :
      ( ~ v886(VarCurr)
    <=> v804(VarCurr) ) )).

fof(writeUnaryOperator_73,axiom,(
    ! [VarCurr] :
      ( ~ v885(VarCurr)
    <=> v794(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_178,axiom,(
    ! [VarCurr] :
      ( v878(VarCurr)
    <=> ( v879(VarCurr)
        & v882(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_177,axiom,(
    ! [VarCurr] :
      ( v882(VarCurr)
    <=> ( v792(VarCurr)
        | v810(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_176,axiom,(
    ! [VarCurr] :
      ( v879(VarCurr)
    <=> ( v880(VarCurr)
        | v881(VarCurr) ) ) )).

fof(writeUnaryOperator_72,axiom,(
    ! [VarCurr] :
      ( ~ v881(VarCurr)
    <=> v810(VarCurr) ) )).

fof(writeUnaryOperator_71,axiom,(
    ! [VarCurr] :
      ( ~ v880(VarCurr)
    <=> v792(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_175,axiom,(
    ! [VarCurr] :
      ( v873(VarCurr)
    <=> ( v874(VarCurr)
        & v877(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_174,axiom,(
    ! [VarCurr] :
      ( v877(VarCurr)
    <=> ( v790(VarCurr)
        | v816(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_173,axiom,(
    ! [VarCurr] :
      ( v874(VarCurr)
    <=> ( v875(VarCurr)
        | v876(VarCurr) ) ) )).

fof(writeUnaryOperator_70,axiom,(
    ! [VarCurr] :
      ( ~ v876(VarCurr)
    <=> v816(VarCurr) ) )).

fof(writeUnaryOperator_69,axiom,(
    ! [VarCurr] :
      ( ~ v875(VarCurr)
    <=> v790(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_172,axiom,(
    ! [VarCurr] :
      ( v868(VarCurr)
    <=> ( v869(VarCurr)
        & v872(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_171,axiom,(
    ! [VarCurr] :
      ( v872(VarCurr)
    <=> ( v788(VarCurr)
        | v822(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_170,axiom,(
    ! [VarCurr] :
      ( v869(VarCurr)
    <=> ( v870(VarCurr)
        | v871(VarCurr) ) ) )).

fof(writeUnaryOperator_68,axiom,(
    ! [VarCurr] :
      ( ~ v871(VarCurr)
    <=> v822(VarCurr) ) )).

fof(writeUnaryOperator_67,axiom,(
    ! [VarCurr] :
      ( ~ v870(VarCurr)
    <=> v788(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_169,axiom,(
    ! [VarCurr] :
      ( v863(VarCurr)
    <=> ( v864(VarCurr)
        & v867(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_168,axiom,(
    ! [VarCurr] :
      ( v867(VarCurr)
    <=> ( v786(VarCurr)
        | v828(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_167,axiom,(
    ! [VarCurr] :
      ( v864(VarCurr)
    <=> ( v865(VarCurr)
        | v866(VarCurr) ) ) )).

fof(writeUnaryOperator_66,axiom,(
    ! [VarCurr] :
      ( ~ v866(VarCurr)
    <=> v828(VarCurr) ) )).

fof(writeUnaryOperator_65,axiom,(
    ! [VarCurr] :
      ( ~ v865(VarCurr)
    <=> v786(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_166,axiom,(
    ! [VarCurr] :
      ( v858(VarCurr)
    <=> ( v859(VarCurr)
        & v862(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_165,axiom,(
    ! [VarCurr] :
      ( v862(VarCurr)
    <=> ( v784(VarCurr)
        | v834(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_164,axiom,(
    ! [VarCurr] :
      ( v859(VarCurr)
    <=> ( v860(VarCurr)
        | v861(VarCurr) ) ) )).

fof(writeUnaryOperator_64,axiom,(
    ! [VarCurr] :
      ( ~ v861(VarCurr)
    <=> v834(VarCurr) ) )).

fof(writeUnaryOperator_63,axiom,(
    ! [VarCurr] :
      ( ~ v860(VarCurr)
    <=> v784(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_163,axiom,(
    ! [VarCurr] :
      ( v853(VarCurr)
    <=> ( v854(VarCurr)
        & v857(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_162,axiom,(
    ! [VarCurr] :
      ( v857(VarCurr)
    <=> ( v782(VarCurr)
        | v840(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_161,axiom,(
    ! [VarCurr] :
      ( v854(VarCurr)
    <=> ( v855(VarCurr)
        | v856(VarCurr) ) ) )).

fof(writeUnaryOperator_62,axiom,(
    ! [VarCurr] :
      ( ~ v856(VarCurr)
    <=> v840(VarCurr) ) )).

fof(writeUnaryOperator_61,axiom,(
    ! [VarCurr] :
      ( ~ v855(VarCurr)
    <=> v782(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_160,axiom,(
    ! [VarCurr] :
      ( v777(VarCurr)
    <=> ( v778(VarCurr)
        & v852(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_159,axiom,(
    ! [VarCurr] :
      ( v852(VarCurr)
    <=> ( v780(VarCurr)
        | v847(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_158,axiom,(
    ! [VarCurr] :
      ( v778(VarCurr)
    <=> ( v779(VarCurr)
        | v846(VarCurr) ) ) )).

fof(writeUnaryOperator_60,axiom,(
    ! [VarCurr] :
      ( ~ v846(VarCurr)
    <=> v847(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_157,axiom,(
    ! [VarCurr] :
      ( v847(VarCurr)
    <=> ( v848(VarCurr)
        & v851(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_21,axiom,(
    ! [VarCurr] :
      ( v851(VarCurr)
    <=> ( v797(VarCurr,bitIndex9)
        | v744(VarCurr,bitIndex9) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_156,axiom,(
    ! [VarCurr] :
      ( v848(VarCurr)
    <=> ( v849(VarCurr)
        | v850(VarCurr) ) ) )).

fof(writeUnaryOperator_59,axiom,(
    ! [VarCurr] :
      ( ~ v850(VarCurr)
    <=> v744(VarCurr,bitIndex9) ) )).

fof(writeUnaryOperator_58,axiom,(
    ! [VarCurr] :
      ( ~ v849(VarCurr)
    <=> v797(VarCurr,bitIndex9) ) )).

fof(writeUnaryOperator_57,axiom,(
    ! [VarCurr] :
      ( ~ v779(VarCurr)
    <=> v780(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_155,axiom,(
    ! [VarCurr] :
      ( v780(VarCurr)
    <=> ( v781(VarCurr)
        | v845(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_20,axiom,(
    ! [VarCurr] :
      ( v845(VarCurr)
    <=> ( v797(VarCurr,bitIndex8)
        & v744(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_154,axiom,(
    ! [VarCurr] :
      ( v781(VarCurr)
    <=> ( v782(VarCurr)
        & v840(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_153,axiom,(
    ! [VarCurr] :
      ( v840(VarCurr)
    <=> ( v841(VarCurr)
        & v844(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_19,axiom,(
    ! [VarCurr] :
      ( v844(VarCurr)
    <=> ( v797(VarCurr,bitIndex8)
        | v744(VarCurr,bitIndex8) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_152,axiom,(
    ! [VarCurr] :
      ( v841(VarCurr)
    <=> ( v842(VarCurr)
        | v843(VarCurr) ) ) )).

fof(writeUnaryOperator_56,axiom,(
    ! [VarCurr] :
      ( ~ v843(VarCurr)
    <=> v744(VarCurr,bitIndex8) ) )).

fof(writeUnaryOperator_55,axiom,(
    ! [VarCurr] :
      ( ~ v842(VarCurr)
    <=> v797(VarCurr,bitIndex8) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_151,axiom,(
    ! [VarCurr] :
      ( v782(VarCurr)
    <=> ( v783(VarCurr)
        | v839(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_18,axiom,(
    ! [VarCurr] :
      ( v839(VarCurr)
    <=> ( v797(VarCurr,bitIndex7)
        & v744(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_150,axiom,(
    ! [VarCurr] :
      ( v783(VarCurr)
    <=> ( v784(VarCurr)
        & v834(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_149,axiom,(
    ! [VarCurr] :
      ( v834(VarCurr)
    <=> ( v835(VarCurr)
        & v838(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_17,axiom,(
    ! [VarCurr] :
      ( v838(VarCurr)
    <=> ( v797(VarCurr,bitIndex7)
        | v744(VarCurr,bitIndex7) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_148,axiom,(
    ! [VarCurr] :
      ( v835(VarCurr)
    <=> ( v836(VarCurr)
        | v837(VarCurr) ) ) )).

fof(writeUnaryOperator_54,axiom,(
    ! [VarCurr] :
      ( ~ v837(VarCurr)
    <=> v744(VarCurr,bitIndex7) ) )).

fof(writeUnaryOperator_53,axiom,(
    ! [VarCurr] :
      ( ~ v836(VarCurr)
    <=> v797(VarCurr,bitIndex7) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_147,axiom,(
    ! [VarCurr] :
      ( v784(VarCurr)
    <=> ( v785(VarCurr)
        | v833(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_16,axiom,(
    ! [VarCurr] :
      ( v833(VarCurr)
    <=> ( v797(VarCurr,bitIndex6)
        & v744(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_146,axiom,(
    ! [VarCurr] :
      ( v785(VarCurr)
    <=> ( v786(VarCurr)
        & v828(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_145,axiom,(
    ! [VarCurr] :
      ( v828(VarCurr)
    <=> ( v829(VarCurr)
        & v832(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_15,axiom,(
    ! [VarCurr] :
      ( v832(VarCurr)
    <=> ( v797(VarCurr,bitIndex6)
        | v744(VarCurr,bitIndex6) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_144,axiom,(
    ! [VarCurr] :
      ( v829(VarCurr)
    <=> ( v830(VarCurr)
        | v831(VarCurr) ) ) )).

fof(writeUnaryOperator_52,axiom,(
    ! [VarCurr] :
      ( ~ v831(VarCurr)
    <=> v744(VarCurr,bitIndex6) ) )).

fof(writeUnaryOperator_51,axiom,(
    ! [VarCurr] :
      ( ~ v830(VarCurr)
    <=> v797(VarCurr,bitIndex6) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_143,axiom,(
    ! [VarCurr] :
      ( v786(VarCurr)
    <=> ( v787(VarCurr)
        | v827(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_14,axiom,(
    ! [VarCurr] :
      ( v827(VarCurr)
    <=> ( v797(VarCurr,bitIndex5)
        & v744(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_142,axiom,(
    ! [VarCurr] :
      ( v787(VarCurr)
    <=> ( v788(VarCurr)
        & v822(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_141,axiom,(
    ! [VarCurr] :
      ( v822(VarCurr)
    <=> ( v823(VarCurr)
        & v826(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_13,axiom,(
    ! [VarCurr] :
      ( v826(VarCurr)
    <=> ( v797(VarCurr,bitIndex5)
        | v744(VarCurr,bitIndex5) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_140,axiom,(
    ! [VarCurr] :
      ( v823(VarCurr)
    <=> ( v824(VarCurr)
        | v825(VarCurr) ) ) )).

fof(writeUnaryOperator_50,axiom,(
    ! [VarCurr] :
      ( ~ v825(VarCurr)
    <=> v744(VarCurr,bitIndex5) ) )).

fof(writeUnaryOperator_49,axiom,(
    ! [VarCurr] :
      ( ~ v824(VarCurr)
    <=> v797(VarCurr,bitIndex5) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_139,axiom,(
    ! [VarCurr] :
      ( v788(VarCurr)
    <=> ( v789(VarCurr)
        | v821(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_12,axiom,(
    ! [VarCurr] :
      ( v821(VarCurr)
    <=> ( v797(VarCurr,bitIndex4)
        & v744(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_138,axiom,(
    ! [VarCurr] :
      ( v789(VarCurr)
    <=> ( v790(VarCurr)
        & v816(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_137,axiom,(
    ! [VarCurr] :
      ( v816(VarCurr)
    <=> ( v817(VarCurr)
        & v820(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_11,axiom,(
    ! [VarCurr] :
      ( v820(VarCurr)
    <=> ( v797(VarCurr,bitIndex4)
        | v744(VarCurr,bitIndex4) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_136,axiom,(
    ! [VarCurr] :
      ( v817(VarCurr)
    <=> ( v818(VarCurr)
        | v819(VarCurr) ) ) )).

fof(writeUnaryOperator_48,axiom,(
    ! [VarCurr] :
      ( ~ v819(VarCurr)
    <=> v744(VarCurr,bitIndex4) ) )).

fof(writeUnaryOperator_47,axiom,(
    ! [VarCurr] :
      ( ~ v818(VarCurr)
    <=> v797(VarCurr,bitIndex4) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_135,axiom,(
    ! [VarCurr] :
      ( v790(VarCurr)
    <=> ( v791(VarCurr)
        | v815(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_10,axiom,(
    ! [VarCurr] :
      ( v815(VarCurr)
    <=> ( v797(VarCurr,bitIndex3)
        & v744(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_134,axiom,(
    ! [VarCurr] :
      ( v791(VarCurr)
    <=> ( v792(VarCurr)
        & v810(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_133,axiom,(
    ! [VarCurr] :
      ( v810(VarCurr)
    <=> ( v811(VarCurr)
        & v814(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_9,axiom,(
    ! [VarCurr] :
      ( v814(VarCurr)
    <=> ( v797(VarCurr,bitIndex3)
        | v744(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_132,axiom,(
    ! [VarCurr] :
      ( v811(VarCurr)
    <=> ( v812(VarCurr)
        | v813(VarCurr) ) ) )).

fof(writeUnaryOperator_46,axiom,(
    ! [VarCurr] :
      ( ~ v813(VarCurr)
    <=> v744(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_45,axiom,(
    ! [VarCurr] :
      ( ~ v812(VarCurr)
    <=> v797(VarCurr,bitIndex3) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_131,axiom,(
    ! [VarCurr] :
      ( v792(VarCurr)
    <=> ( v793(VarCurr)
        | v809(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_8,axiom,(
    ! [VarCurr] :
      ( v809(VarCurr)
    <=> ( v797(VarCurr,bitIndex2)
        & v744(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_130,axiom,(
    ! [VarCurr] :
      ( v793(VarCurr)
    <=> ( v794(VarCurr)
        & v804(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_129,axiom,(
    ! [VarCurr] :
      ( v804(VarCurr)
    <=> ( v805(VarCurr)
        & v808(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_7,axiom,(
    ! [VarCurr] :
      ( v808(VarCurr)
    <=> ( v797(VarCurr,bitIndex2)
        | v744(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_128,axiom,(
    ! [VarCurr] :
      ( v805(VarCurr)
    <=> ( v806(VarCurr)
        | v807(VarCurr) ) ) )).

fof(writeUnaryOperator_44,axiom,(
    ! [VarCurr] :
      ( ~ v807(VarCurr)
    <=> v744(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_43,axiom,(
    ! [VarCurr] :
      ( ~ v806(VarCurr)
    <=> v797(VarCurr,bitIndex2) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_127,axiom,(
    ! [VarCurr] :
      ( v794(VarCurr)
    <=> ( v795(VarCurr)
        | v803(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_6,axiom,(
    ! [VarCurr] :
      ( v803(VarCurr)
    <=> ( v797(VarCurr,bitIndex1)
        & v744(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_126,axiom,(
    ! [VarCurr] :
      ( v795(VarCurr)
    <=> ( v796(VarCurr)
        & v798(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_125,axiom,(
    ! [VarCurr] :
      ( v798(VarCurr)
    <=> ( v799(VarCurr)
        & v802(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_5,axiom,(
    ! [VarCurr] :
      ( v802(VarCurr)
    <=> ( v797(VarCurr,bitIndex1)
        | v744(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_124,axiom,(
    ! [VarCurr] :
      ( v799(VarCurr)
    <=> ( v800(VarCurr)
        | v801(VarCurr) ) ) )).

fof(writeUnaryOperator_42,axiom,(
    ! [VarCurr] :
      ( ~ v801(VarCurr)
    <=> v744(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_41,axiom,(
    ! [VarCurr] :
      ( ~ v800(VarCurr)
    <=> v797(VarCurr,bitIndex1) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_123,axiom,(
    ! [VarCurr] :
      ( v796(VarCurr)
    <=> ( v797(VarCurr,bitIndex0)
        & v744(VarCurr,bitIndex0) ) ) )).

fof(addAssignment_105,axiom,(
    ! [VarCurr,B] :
      ( range_8_0(B)
     => ( v797(VarCurr,B)
      <=> v755(VarCurr,B) ) ) )).

fof(range_axiom_6,axiom,(
    ! [B] :
      ( range_8_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B ) ) )).

fof(addAssignment_104,axiom,(
    ! [VarCurr] :
      ( v797(VarCurr,bitIndex9)
    <=> $false ) )).

fof(addAssignment_103,axiom,(
    ! [VarCurr] :
      ( v755(VarCurr,bitIndex8)
    <=> v757(VarCurr,bitIndex8) ) )).

fof(addAssignment_102,axiom,(
    ! [VarCurr] :
      ( v757(VarCurr,bitIndex8)
    <=> v759(VarCurr,bitIndex9) ) )).

fof(addAssignment_101,axiom,(
    ! [VarCurr] :
      ( v759(VarCurr,bitIndex9)
    <=> v761(VarCurr,bitIndex135) ) )).

fof(addAssignment_100,axiom,(
    ! [VarCurr] :
      ( v755(VarCurr,bitIndex7)
    <=> v757(VarCurr,bitIndex7) ) )).

fof(addAssignment_99,axiom,(
    ! [VarCurr] :
      ( v757(VarCurr,bitIndex7)
    <=> v759(VarCurr,bitIndex8) ) )).

fof(addAssignment_98,axiom,(
    ! [VarCurr] :
      ( v759(VarCurr,bitIndex8)
    <=> v761(VarCurr,bitIndex134) ) )).

fof(addAssignment_97,axiom,(
    ! [VarCurr] :
      ( v755(VarCurr,bitIndex6)
    <=> v757(VarCurr,bitIndex6) ) )).

fof(addAssignment_96,axiom,(
    ! [VarCurr] :
      ( v757(VarCurr,bitIndex6)
    <=> v759(VarCurr,bitIndex7) ) )).

fof(addAssignment_95,axiom,(
    ! [VarCurr] :
      ( v759(VarCurr,bitIndex7)
    <=> v761(VarCurr,bitIndex133) ) )).

fof(addAssignment_94,axiom,(
    ! [VarCurr] :
      ( v755(VarCurr,bitIndex5)
    <=> v757(VarCurr,bitIndex5) ) )).

fof(addAssignment_93,axiom,(
    ! [VarCurr] :
      ( v757(VarCurr,bitIndex5)
    <=> v759(VarCurr,bitIndex6) ) )).

fof(addAssignment_92,axiom,(
    ! [VarCurr] :
      ( v759(VarCurr,bitIndex6)
    <=> v761(VarCurr,bitIndex132) ) )).

fof(addAssignment_91,axiom,(
    ! [VarCurr] :
      ( v755(VarCurr,bitIndex4)
    <=> v757(VarCurr,bitIndex4) ) )).

fof(addAssignment_90,axiom,(
    ! [VarCurr] :
      ( v757(VarCurr,bitIndex4)
    <=> v759(VarCurr,bitIndex5) ) )).

fof(addAssignment_89,axiom,(
    ! [VarCurr] :
      ( v759(VarCurr,bitIndex5)
    <=> v761(VarCurr,bitIndex131) ) )).

fof(addAssignment_88,axiom,(
    ! [VarCurr,B] :
      ( range_7_4(B)
     => ( v763(VarCurr,B)
      <=> v765(VarCurr,B) ) ) )).

fof(addAssignment_87,axiom,(
    ! [VarCurr,B] :
      ( range_7_4(B)
     => ( v765(VarCurr,B)
      <=> v767(VarCurr,B) ) ) )).

fof(range_axiom_5,axiom,(
    ! [B] :
      ( range_7_4(B)
    <=> ( $false
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B ) ) )).

fof(addAssignment_86,axiom,(
    ! [VarCurr] :
      ( ( v767(VarCurr,bitIndex7)
      <=> v769(VarCurr,bitIndex43) )
      & ( v767(VarCurr,bitIndex6)
      <=> v769(VarCurr,bitIndex42) )
      & ( v767(VarCurr,bitIndex5)
      <=> v769(VarCurr,bitIndex41) )
      & ( v767(VarCurr,bitIndex4)
      <=> v769(VarCurr,bitIndex40) ) ) )).

fof(addAssignment_85,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v763(VarCurr,B)
      <=> v765(VarCurr,B) ) ) )).

fof(addAssignment_84,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v765(VarCurr,B)
      <=> v767(VarCurr,B) ) ) )).

fof(addAssignment_83,axiom,(
    ! [VarCurr] :
      ( ( v767(VarCurr,bitIndex3)
      <=> v769(VarCurr,bitIndex39) )
      & ( v767(VarCurr,bitIndex2)
      <=> v769(VarCurr,bitIndex38) )
      & ( v767(VarCurr,bitIndex1)
      <=> v769(VarCurr,bitIndex37) )
      & ( v767(VarCurr,bitIndex0)
      <=> v769(VarCurr,bitIndex36) ) ) )).

fof(addAssignment_82,axiom,(
    ! [VarCurr,B] :
      ( range_3_0(B)
     => ( v755(VarCurr,B)
      <=> v757(VarCurr,B) ) ) )).

fof(addAssignment_81,axiom,(
    ! [VarCurr] :
      ( ( v757(VarCurr,bitIndex3)
      <=> v759(VarCurr,bitIndex4) )
      & ( v757(VarCurr,bitIndex2)
      <=> v759(VarCurr,bitIndex3) )
      & ( v757(VarCurr,bitIndex1)
      <=> v759(VarCurr,bitIndex2) )
      & ( v757(VarCurr,bitIndex0)
      <=> v759(VarCurr,bitIndex1) ) ) )).

fof(addAssignment_80,axiom,(
    ! [VarCurr] :
      ( ( v759(VarCurr,bitIndex4)
      <=> v761(VarCurr,bitIndex130) )
      & ( v759(VarCurr,bitIndex3)
      <=> v761(VarCurr,bitIndex129) )
      & ( v759(VarCurr,bitIndex2)
      <=> v761(VarCurr,bitIndex128) )
      & ( v759(VarCurr,bitIndex1)
      <=> v761(VarCurr,bitIndex127) ) ) )).

fof(addAssignment_79,axiom,(
    ! [VarCurr,B] :
      ( range_9_0(B)
     => ( v752(VarCurr,B)
      <=> b0000010000(B) ) ) )).

fof(bitBlastConstant_187,axiom,(
    ~ b0000010000(bitIndex9) )).

fof(bitBlastConstant_186,axiom,(
    ~ b0000010000(bitIndex8) )).

fof(bitBlastConstant_185,axiom,(
    ~ b0000010000(bitIndex7) )).

fof(bitBlastConstant_184,axiom,(
    ~ b0000010000(bitIndex6) )).

fof(bitBlastConstant_183,axiom,(
    ~ b0000010000(bitIndex5) )).

fof(bitBlastConstant_182,axiom,(
    b0000010000(bitIndex4) )).

fof(bitBlastConstant_181,axiom,(
    ~ b0000010000(bitIndex3) )).

fof(bitBlastConstant_180,axiom,(
    ~ b0000010000(bitIndex2) )).

fof(bitBlastConstant_179,axiom,(
    ~ b0000010000(bitIndex1) )).

fof(bitBlastConstant_178,axiom,(
    ~ b0000010000(bitIndex0) )).

fof(addAssignment_78,axiom,(
    ! [VarCurr,B] :
      ( range_9_0(B)
     => ( v744(VarCurr,B)
      <=> v746(VarCurr,B) ) ) )).

fof(addAssignment_77,axiom,(
    ! [VarCurr,B] :
      ( range_9_0(B)
     => ( v746(VarCurr,B)
      <=> v748(VarCurr,B) ) ) )).

fof(range_axiom_4,axiom,(
    ! [B] :
      ( range_9_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B
        | bitIndex7 = B
        | bitIndex8 = B
        | bitIndex9 = B ) ) )).

fof(addAssignment_76,axiom,(
    ! [VarCurr] :
      ( ( v748(VarCurr,bitIndex9)
      <=> v750(VarCurr,bitIndex39) )
      & ( v748(VarCurr,bitIndex8)
      <=> v750(VarCurr,bitIndex38) )
      & ( v748(VarCurr,bitIndex7)
      <=> v750(VarCurr,bitIndex37) )
      & ( v748(VarCurr,bitIndex6)
      <=> v750(VarCurr,bitIndex36) )
      & ( v748(VarCurr,bitIndex5)
      <=> v750(VarCurr,bitIndex35) )
      & ( v748(VarCurr,bitIndex4)
      <=> v750(VarCurr,bitIndex34) )
      & ( v748(VarCurr,bitIndex3)
      <=> v750(VarCurr,bitIndex33) )
      & ( v748(VarCurr,bitIndex2)
      <=> v750(VarCurr,bitIndex32) )
      & ( v748(VarCurr,bitIndex1)
      <=> v750(VarCurr,bitIndex31) )
      & ( v748(VarCurr,bitIndex0)
      <=> v750(VarCurr,bitIndex30) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_8,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v699(VarNext)
       => ! [B] :
            ( range_6_0(B)
           => ( v677(VarNext,B)
            <=> v677(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_8,axiom,(
    ! [VarNext] :
      ( v699(VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v677(VarNext,B)
          <=> v734(VarNext,B) ) ) ) )).

fof(addAssignment_75,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v734(VarNext,B)
          <=> v732(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_19,axiom,(
    ! [VarCurr] :
      ( ~ v408(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v732(VarCurr,B)
          <=> v679(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_19,axiom,(
    ! [VarCurr] :
      ( v408(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v732(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_122,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v699(VarNext)
      <=> ( v700(VarNext)
          & v707(VarNext) ) ) ) )).

fof(addAssignment_74,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v707(VarNext)
      <=> v705(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_121,axiom,(
    ! [VarCurr] :
      ( v705(VarCurr)
    <=> ( v708(VarCurr)
        & v713(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_120,axiom,(
    ! [VarCurr] :
      ( v713(VarCurr)
    <=> ( v714(VarCurr)
        | v408(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_119,axiom,(
    ! [VarCurr] :
      ( v714(VarCurr)
    <=> ( v715(VarCurr)
        & v731(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_118,axiom,(
    ! [VarCurr] :
      ( v731(VarCurr)
    <=> ( v411(VarCurr)
        | v711(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_117,axiom,(
    ! [VarCurr] :
      ( v715(VarCurr)
    <=> ( v716(VarCurr)
        & v718(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_116,axiom,(
    ! [VarCurr] :
      ( v718(VarCurr)
    <=> ( v719(VarCurr)
        | v730(VarCurr) ) ) )).

fof(writeUnaryOperator_40,axiom,(
    ! [VarCurr] :
      ( ~ v730(VarCurr)
    <=> v414(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_115,axiom,(
    ! [VarCurr] :
      ( v719(VarCurr)
    <=> ( v720(VarCurr)
        & v721(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_114,axiom,(
    ! [VarCurr] :
      ( v721(VarCurr)
    <=> ( v722(VarCurr)
        | v729(VarCurr) ) ) )).

fof(writeUnaryOperator_39,axiom,(
    ! [VarCurr] :
      ( ~ v729(VarCurr)
    <=> v413(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_113,axiom,(
    ! [VarCurr] :
      ( v722(VarCurr)
    <=> ( v723(VarCurr)
        & v728(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_112,axiom,(
    ! [VarCurr] :
      ( v728(VarCurr)
    <=> ( v430(VarCurr)
        | v443(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_111,axiom,(
    ! [VarCurr] :
      ( v723(VarCurr)
    <=> ( v724(VarCurr)
        & v726(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_110,axiom,(
    ! [VarCurr] :
      ( v726(VarCurr)
    <=> ( v312(VarCurr)
        | v727(VarCurr) ) ) )).

fof(writeUnaryOperator_38,axiom,(
    ! [VarCurr] :
      ( ~ v727(VarCurr)
    <=> v443(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_109,axiom,(
    ! [VarCurr] :
      ( v724(VarCurr)
    <=> ( v312(VarCurr)
        | v725(VarCurr) ) ) )).

fof(writeUnaryOperator_37,axiom,(
    ! [VarCurr] :
      ( ~ v725(VarCurr)
    <=> v430(VarCurr) ) )).

fof(writeUnaryOperator_36,axiom,(
    ! [VarCurr] :
      ( ~ v720(VarCurr)
    <=> v424(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_108,axiom,(
    ! [VarCurr] :
      ( v716(VarCurr)
    <=> ( v312(VarCurr)
        | v717(VarCurr) ) ) )).

fof(writeUnaryOperator_35,axiom,(
    ! [VarCurr] :
      ( ~ v717(VarCurr)
    <=> v411(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_107,axiom,(
    ! [VarCurr] :
      ( v708(VarCurr)
    <=> ( v408(VarCurr)
        | v709(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_106,axiom,(
    ! [VarCurr] :
      ( v709(VarCurr)
    <=> ( v710(VarCurr)
        & v712(VarCurr) ) ) )).

fof(writeUnaryOperator_34,axiom,(
    ! [VarCurr] :
      ( ~ v712(VarCurr)
    <=> v408(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_105,axiom,(
    ! [VarCurr] :
      ( v710(VarCurr)
    <=> ( v411(VarCurr)
        | v711(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_104,axiom,(
    ! [VarCurr] :
      ( v711(VarCurr)
    <=> ( v413(VarCurr)
        & v414(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_103,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v700(VarNext)
      <=> ( v702(VarNext)
          & v320(VarNext) ) ) ) )).

fof(writeUnaryOperator_33,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v702(VarNext)
      <=> v329(VarNext) ) ) )).

fof(addAssignmentInitValueVector_1,axiom,(
    ! [B] :
      ( range_6_0(B)
     => ( v677(constB0,B)
      <=> $false ) ) )).

fof(addCaseBooleanConditionEqualRanges1_7,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v682(VarNext)
       => ! [B] :
            ( range_6_0(B)
           => ( v679(VarNext,B)
            <=> v679(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_7,axiom,(
    ! [VarNext] :
      ( v682(VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v679(VarNext,B)
          <=> v694(VarNext,B) ) ) ) )).

fof(addAssignment_73,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_6_0(B)
         => ( v694(VarNext,B)
          <=> v692(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_7,axiom,(
    ! [VarCurr] :
      ( ~ v691(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v692(VarCurr,B)
          <=> v216(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_7,axiom,(
    ! [VarCurr] :
      ( v691(VarCurr)
     => ! [B] :
          ( range_6_0(B)
         => ( v692(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_102,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v682(VarNext)
      <=> ( v683(VarNext)
          & v690(VarNext) ) ) ) )).

fof(addAssignment_72,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v690(VarNext)
      <=> v688(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_101,axiom,(
    ! [VarCurr] :
      ( v688(VarCurr)
    <=> ( v167(VarCurr)
        | v691(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_77,axiom,(
    ! [VarCurr] :
      ( v691(VarCurr)
    <=> ( v154(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_100,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v683(VarNext)
      <=> ( v684(VarNext)
          & v320(VarNext) ) ) ) )).

fof(writeUnaryOperator_32,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v684(VarNext)
      <=> v329(VarNext) ) ) )).

fof(addAssignment_71,axiom,(
    ! [VarCurr] :
      ( v658(VarCurr)
    <=> v660(VarCurr) ) )).

fof(addAssignment_70,axiom,(
    ! [VarCurr] :
      ( v660(VarCurr)
    <=> v662(VarCurr) ) )).

fof(addAssignment_69,axiom,(
    ! [VarCurr] :
      ( v662(VarCurr)
    <=> v1(VarCurr) ) )).

fof(addAssignment_68,axiom,(
    ! [VarCurr] :
      ( v625(VarCurr)
    <=> v627(VarCurr) ) )).

fof(addAssignment_67,axiom,(
    ! [VarCurr] :
      ( v627(VarCurr)
    <=> v629(VarCurr) ) )).

fof(addAssignment_66,axiom,(
    ! [VarCurr] :
      ( v629(VarCurr)
    <=> v631(VarCurr) ) )).

fof(addAssignment_65,axiom,(
    ! [VarCurr] :
      ( v142(VarCurr)
    <=> v144(VarCurr) ) )).

fof(addAssignment_64,axiom,(
    ! [VarCurr] :
      ( v144(VarCurr)
    <=> v146(VarCurr) ) )).

fof(addAssignment_63,axiom,(
    ! [VarCurr] :
      ( v146(VarCurr)
    <=> v148(VarCurr) ) )).

fof(addAssignment_62,axiom,(
    ! [VarCurr] :
      ( v148(VarCurr)
    <=> v150(VarCurr) ) )).

fof(addAssignment_61,axiom,(
    ! [VarCurr] :
      ( v150(VarCurr)
    <=> v152(VarCurr) ) )).

fof(addCaseBooleanConditionEqualRanges1_6,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v597(VarNext)
       => ( v152(VarNext)
        <=> v152(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_6,axiom,(
    ! [VarNext] :
      ( v597(VarNext)
     => ( v152(VarNext)
      <=> v605(VarNext) ) ) )).

fof(addAssignment_60,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v605(VarNext)
      <=> v603(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_6,axiom,(
    ! [VarCurr] :
      ( ~ v336(VarCurr)
     => ( v603(VarCurr)
      <=> v158(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_6,axiom,(
    ! [VarCurr] :
      ( v336(VarCurr)
     => ( v603(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_99,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v597(VarNext)
      <=> v598(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_98,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v598(VarNext)
      <=> ( v600(VarNext)
          & v320(VarNext) ) ) ) )).

fof(writeUnaryOperator_31,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v600(VarNext)
      <=> v329(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_5,axiom,(
    ! [VarCurr] :
      ( ( ~ v314(VarCurr)
        & ~ v318(VarCurr) )
     => ( v158(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_18,axiom,(
    ! [VarCurr] :
      ( v318(VarCurr)
     => ( v158(VarCurr)
      <=> v587(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_18,axiom,(
    ! [VarCurr] :
      ( v314(VarCurr)
     => ( v158(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_17,axiom,(
    ! [VarCurr] :
      ( ~ v588(VarCurr)
     => ( v587(VarCurr)
      <=> v590(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_17,axiom,(
    ! [VarCurr] :
      ( v588(VarCurr)
     => ( v587(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_16,axiom,(
    ! [VarCurr] :
      ( ~ v591(VarCurr)
     => ( v590(VarCurr)
      <=> v593(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_16,axiom,(
    ! [VarCurr] :
      ( v591(VarCurr)
     => ( v590(VarCurr)
      <=> $true ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_5,axiom,(
    ! [VarCurr] :
      ( ~ v594(VarCurr)
     => ( v593(VarCurr)
      <=> $true ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_5,axiom,(
    ! [VarCurr] :
      ( v594(VarCurr)
     => ( v593(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_76,axiom,(
    ! [VarCurr] :
      ( v594(VarCurr)
    <=> ( ( v458(VarCurr,bitIndex3)
        <=> v515(VarCurr,bitIndex3) )
        & ( v458(VarCurr,bitIndex2)
        <=> v515(VarCurr,bitIndex2) )
        & ( v458(VarCurr,bitIndex1)
        <=> v515(VarCurr,bitIndex1) )
        & ( v458(VarCurr,bitIndex0)
        <=> v515(VarCurr,bitIndex0) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_75,axiom,(
    ! [VarCurr] :
      ( v592(VarCurr)
    <=> ( v360(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_74,axiom,(
    ! [VarCurr] :
      ( v591(VarCurr)
    <=> ( v360(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_73,axiom,(
    ! [VarCurr] :
      ( v589(VarCurr)
    <=> ( v343(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_72,axiom,(
    ! [VarCurr] :
      ( v588(VarCurr)
    <=> ( v343(VarCurr)
      <=> $true ) ) )).

fof(addCaseBooleanConditionEqualRanges1_5,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v574(VarNext)
       => ! [B] :
            ( range_1_0(B)
           => ( v160(VarNext,B)
            <=> v160(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_5,axiom,(
    ! [VarNext] :
      ( v574(VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v160(VarNext,B)
          <=> v582(VarNext,B) ) ) ) )).

fof(addAssignment_59,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_1_0(B)
         => ( v582(VarNext,B)
          <=> v580(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_4,axiom,(
    ! [VarCurr] :
      ( ~ v583(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v580(VarCurr,B)
          <=> v163(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_4,axiom,(
    ! [VarCurr] :
      ( v583(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v580(VarCurr,B)
          <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_71,axiom,(
    ! [VarCurr] :
      ( v583(VarCurr)
    <=> ( v154(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_97,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v574(VarNext)
      <=> v575(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_96,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v575(VarNext)
      <=> ( v576(VarNext)
          & v320(VarNext) ) ) ) )).

fof(writeUnaryOperator_30,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v576(VarNext)
      <=> v329(VarNext) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_4,axiom,(
    ! [VarCurr] :
      ( ( ~ v559(VarCurr)
        & ~ v563(VarCurr) )
     => ! [B] :
          ( range_1_0(B)
         => ( v163(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_15,axiom,(
    ! [VarCurr] :
      ( v563(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v163(VarCurr,B)
          <=> v564(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_15,axiom,(
    ! [VarCurr] :
      ( v559(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v163(VarCurr,B)
          <=> v560(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_14,axiom,(
    ! [VarCurr] :
      ( ~ v565(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v564(VarCurr,B)
          <=> v567(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_14,axiom,(
    ! [VarCurr] :
      ( v565(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v564(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_13,axiom,(
    ! [VarCurr] :
      ( ~ v568(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v567(VarCurr,B)
          <=> v570(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_13,axiom,(
    ! [VarCurr] :
      ( v568(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v567(VarCurr,B)
          <=> $false ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_3,axiom,(
    ! [VarCurr] :
      ( ~ v571(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v570(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_3,axiom,(
    ! [VarCurr] :
      ( v571(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v570(VarCurr,B)
          <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_70,axiom,(
    ! [VarCurr] :
      ( v571(VarCurr)
    <=> ( ( v458(VarCurr,bitIndex3)
        <=> v515(VarCurr,bitIndex3) )
        & ( v458(VarCurr,bitIndex2)
        <=> v515(VarCurr,bitIndex2) )
        & ( v458(VarCurr,bitIndex1)
        <=> v515(VarCurr,bitIndex1) )
        & ( v458(VarCurr,bitIndex0)
        <=> v515(VarCurr,bitIndex0) ) ) ) )).

fof(addBitVectorEqualityBitBlasted_69,axiom,(
    ! [VarCurr] :
      ( v569(VarCurr)
    <=> ( v360(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_68,axiom,(
    ! [VarCurr] :
      ( v568(VarCurr)
    <=> ( v360(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_67,axiom,(
    ! [VarCurr] :
      ( v566(VarCurr)
    <=> ( v343(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_66,axiom,(
    ! [VarCurr] :
      ( v565(VarCurr)
    <=> ( v343(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_65,axiom,(
    ! [VarCurr] :
      ( v563(VarCurr)
    <=> ( ( v160(VarCurr,bitIndex1)
        <=> $false )
        & ( v160(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_12,axiom,(
    ! [VarCurr] :
      ( ~ v561(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v560(VarCurr,B)
          <=> b01(B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_12,axiom,(
    ! [VarCurr] :
      ( v561(VarCurr)
     => ! [B] :
          ( range_1_0(B)
         => ( v560(VarCurr,B)
          <=> $false ) ) ) )).

fof(range_axiom_3,axiom,(
    ! [B] :
      ( range_1_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B ) ) )).

fof(addBitVectorEqualityBitBlasted_64,axiom,(
    ! [VarCurr] :
      ( v562(VarCurr)
    <=> ( v165(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_63,axiom,(
    ! [VarCurr] :
      ( v561(VarCurr)
    <=> ( v165(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_62,axiom,(
    ! [VarCurr] :
      ( v559(VarCurr)
    <=> ( ( v160(VarCurr,bitIndex1)
        <=> $false )
        & ( v160(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_4,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v520(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v515(VarNext,B)
            <=> v515(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_4,axiom,(
    ! [VarNext] :
      ( v520(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v515(VarNext,B)
          <=> v555(VarNext,B) ) ) ) )).

fof(addAssignment_58,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v555(VarNext,B)
          <=> v553(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_11,axiom,(
    ! [VarCurr] :
      ( ~ v408(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v553(VarCurr,B)
          <=> v517(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_11,axiom,(
    ! [VarCurr] :
      ( v408(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v553(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_95,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v520(VarNext)
      <=> ( v521(VarNext)
          & v528(VarNext) ) ) ) )).

fof(addAssignment_57,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v528(VarNext)
      <=> v526(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_94,axiom,(
    ! [VarCurr] :
      ( v526(VarCurr)
    <=> ( v529(VarCurr)
        & v534(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_93,axiom,(
    ! [VarCurr] :
      ( v534(VarCurr)
    <=> ( v535(VarCurr)
        | v408(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_92,axiom,(
    ! [VarCurr] :
      ( v535(VarCurr)
    <=> ( v536(VarCurr)
        & v552(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_91,axiom,(
    ! [VarCurr] :
      ( v552(VarCurr)
    <=> ( v411(VarCurr)
        | v532(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_90,axiom,(
    ! [VarCurr] :
      ( v536(VarCurr)
    <=> ( v537(VarCurr)
        & v539(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_89,axiom,(
    ! [VarCurr] :
      ( v539(VarCurr)
    <=> ( v540(VarCurr)
        | v551(VarCurr) ) ) )).

fof(writeUnaryOperator_29,axiom,(
    ! [VarCurr] :
      ( ~ v551(VarCurr)
    <=> v414(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_88,axiom,(
    ! [VarCurr] :
      ( v540(VarCurr)
    <=> ( v541(VarCurr)
        & v542(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_87,axiom,(
    ! [VarCurr] :
      ( v542(VarCurr)
    <=> ( v543(VarCurr)
        | v550(VarCurr) ) ) )).

fof(writeUnaryOperator_28,axiom,(
    ! [VarCurr] :
      ( ~ v550(VarCurr)
    <=> v413(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_86,axiom,(
    ! [VarCurr] :
      ( v543(VarCurr)
    <=> ( v544(VarCurr)
        & v549(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_85,axiom,(
    ! [VarCurr] :
      ( v549(VarCurr)
    <=> ( v430(VarCurr)
        | v443(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_84,axiom,(
    ! [VarCurr] :
      ( v544(VarCurr)
    <=> ( v545(VarCurr)
        & v547(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_83,axiom,(
    ! [VarCurr] :
      ( v547(VarCurr)
    <=> ( v312(VarCurr)
        | v548(VarCurr) ) ) )).

fof(writeUnaryOperator_27,axiom,(
    ! [VarCurr] :
      ( ~ v548(VarCurr)
    <=> v443(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_82,axiom,(
    ! [VarCurr] :
      ( v545(VarCurr)
    <=> ( v312(VarCurr)
        | v546(VarCurr) ) ) )).

fof(writeUnaryOperator_26,axiom,(
    ! [VarCurr] :
      ( ~ v546(VarCurr)
    <=> v430(VarCurr) ) )).

fof(writeUnaryOperator_25,axiom,(
    ! [VarCurr] :
      ( ~ v541(VarCurr)
    <=> v424(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_81,axiom,(
    ! [VarCurr] :
      ( v537(VarCurr)
    <=> ( v312(VarCurr)
        | v538(VarCurr) ) ) )).

fof(writeUnaryOperator_24,axiom,(
    ! [VarCurr] :
      ( ~ v538(VarCurr)
    <=> v411(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_80,axiom,(
    ! [VarCurr] :
      ( v529(VarCurr)
    <=> ( v408(VarCurr)
        | v530(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_79,axiom,(
    ! [VarCurr] :
      ( v530(VarCurr)
    <=> ( v531(VarCurr)
        & v533(VarCurr) ) ) )).

fof(writeUnaryOperator_23,axiom,(
    ! [VarCurr] :
      ( ~ v533(VarCurr)
    <=> v408(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_78,axiom,(
    ! [VarCurr] :
      ( v531(VarCurr)
    <=> ( v411(VarCurr)
        | v532(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_77,axiom,(
    ! [VarCurr] :
      ( v532(VarCurr)
    <=> ( v413(VarCurr)
        & v414(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_76,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v521(VarNext)
      <=> ( v523(VarNext)
          & v320(VarNext) ) ) ) )).

fof(writeUnaryOperator_22,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v523(VarNext)
      <=> v329(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_3,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v464(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v458(VarNext,B)
            <=> v458(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_3,axiom,(
    ! [VarNext] :
      ( v464(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v458(VarNext,B)
          <=> v490(VarNext,B) ) ) ) )).

fof(addAssignment_56,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v490(VarNext,B)
          <=> v488(VarCurr,B) ) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_2,axiom,(
    ! [VarCurr] :
      ( ~ v487(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v488(VarCurr,B)
          <=> v491(VarCurr,B) ) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_2,axiom,(
    ! [VarCurr] :
      ( v487(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v488(VarCurr,B)
          <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_10,axiom,(
    ! [VarCurr] :
      ( ~ v492(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v491(VarCurr,B)
          <=> v493(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_10,axiom,(
    ! [VarCurr] :
      ( v492(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v491(VarCurr,B)
          <=> $false ) ) ) )).

fof(addAssignment_55,axiom,(
    ! [VarCurr] :
      ( v493(VarCurr,bitIndex0)
    <=> v509(VarCurr) ) )).

fof(addAssignment_54,axiom,(
    ! [VarCurr] :
      ( v493(VarCurr,bitIndex1)
    <=> v507(VarCurr) ) )).

fof(addAssignment_53,axiom,(
    ! [VarCurr] :
      ( v493(VarCurr,bitIndex2)
    <=> v502(VarCurr) ) )).

fof(addAssignment_52,axiom,(
    ! [VarCurr] :
      ( v493(VarCurr,bitIndex3)
    <=> v495(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_75,axiom,(
    ! [VarCurr] :
      ( v507(VarCurr)
    <=> ( v508(VarCurr)
        & v511(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_4,axiom,(
    ! [VarCurr] :
      ( v511(VarCurr)
    <=> ( v458(VarCurr,bitIndex0)
        | v458(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_74,axiom,(
    ! [VarCurr] :
      ( v508(VarCurr)
    <=> ( v509(VarCurr)
        | v510(VarCurr) ) ) )).

fof(writeUnaryOperator_21,axiom,(
    ! [VarCurr] :
      ( ~ v510(VarCurr)
    <=> v458(VarCurr,bitIndex1) ) )).

fof(writeUnaryOperator_20,axiom,(
    ! [VarCurr] :
      ( ~ v509(VarCurr)
    <=> v458(VarCurr,bitIndex0) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_73,axiom,(
    ! [VarCurr] :
      ( v502(VarCurr)
    <=> ( v503(VarCurr)
        & v506(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_3,axiom,(
    ! [VarCurr] :
      ( v506(VarCurr)
    <=> ( v499(VarCurr)
        | v458(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_72,axiom,(
    ! [VarCurr] :
      ( v503(VarCurr)
    <=> ( v504(VarCurr)
        | v505(VarCurr) ) ) )).

fof(writeUnaryOperator_19,axiom,(
    ! [VarCurr] :
      ( ~ v505(VarCurr)
    <=> v458(VarCurr,bitIndex2) ) )).

fof(writeUnaryOperator_18,axiom,(
    ! [VarCurr] :
      ( ~ v504(VarCurr)
    <=> v499(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_71,axiom,(
    ! [VarCurr] :
      ( v495(VarCurr)
    <=> ( v496(VarCurr)
        & v501(VarCurr) ) ) )).

fof(writeBinaryOperatorShiftedRanges_2,axiom,(
    ! [VarCurr] :
      ( v501(VarCurr)
    <=> ( v498(VarCurr)
        | v458(VarCurr,bitIndex3) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_70,axiom,(
    ! [VarCurr] :
      ( v496(VarCurr)
    <=> ( v497(VarCurr)
        | v500(VarCurr) ) ) )).

fof(writeUnaryOperator_17,axiom,(
    ! [VarCurr] :
      ( ~ v500(VarCurr)
    <=> v458(VarCurr,bitIndex3) ) )).

fof(writeUnaryOperator_16,axiom,(
    ! [VarCurr] :
      ( ~ v497(VarCurr)
    <=> v498(VarCurr) ) )).

fof(writeBinaryOperatorShiftedRanges_1,axiom,(
    ! [VarCurr] :
      ( v498(VarCurr)
    <=> ( v499(VarCurr)
        & v458(VarCurr,bitIndex2) ) ) )).

fof(writeBinaryOperatorShiftedRanges,axiom,(
    ! [VarCurr] :
      ( v499(VarCurr)
    <=> ( v458(VarCurr,bitIndex0)
        & v458(VarCurr,bitIndex1) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_69,axiom,(
    ! [VarCurr] :
      ( v492(VarCurr)
    <=> ( v480(VarCurr)
        | v485(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_68,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v464(VarNext)
      <=> ( v465(VarNext)
          & v472(VarNext) ) ) ) )).

fof(addAssignment_51,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v472(VarNext)
      <=> v470(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_67,axiom,(
    ! [VarCurr] :
      ( v470(VarCurr)
    <=> ( v473(VarCurr)
        | v487(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_61,axiom,(
    ! [VarCurr] :
      ( v487(VarCurr)
    <=> ( v154(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_66,axiom,(
    ! [VarCurr] :
      ( v473(VarCurr)
    <=> ( v474(VarCurr)
        & v478(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_65,axiom,(
    ! [VarCurr] :
      ( v478(VarCurr)
    <=> ( v479(VarCurr)
        | v476(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_64,axiom,(
    ! [VarCurr] :
      ( v479(VarCurr)
    <=> ( v480(VarCurr)
        | v485(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_60,axiom,(
    ! [VarCurr] :
      ( v485(VarCurr)
    <=> ( ( v486(VarCurr,bitIndex2)
        <=> $false )
        & ( v486(VarCurr,bitIndex1)
        <=> $true )
        & ( v486(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_177,axiom,(
    ~ b010(bitIndex2) )).

fof(bitBlastConstant_176,axiom,(
    b010(bitIndex1) )).

fof(bitBlastConstant_175,axiom,(
    ~ b010(bitIndex0) )).

fof(addAssignment_50,axiom,(
    ! [VarCurr] :
      ( v486(VarCurr,bitIndex0)
    <=> v360(VarCurr) ) )).

fof(addAssignment_49,axiom,(
    ! [VarCurr] :
      ( ( v486(VarCurr,bitIndex2)
      <=> v160(VarCurr,bitIndex1) )
      & ( v486(VarCurr,bitIndex1)
      <=> v160(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_63,axiom,(
    ! [VarCurr] :
      ( v480(VarCurr)
    <=> ( v481(VarCurr)
        | v483(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_59,axiom,(
    ! [VarCurr] :
      ( v483(VarCurr)
    <=> ( ( v484(VarCurr,bitIndex2)
        <=> $false )
        & ( v484(VarCurr,bitIndex1)
        <=> $false )
        & ( v484(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_174,axiom,(
    ~ b001(bitIndex2) )).

fof(bitBlastConstant_173,axiom,(
    ~ b001(bitIndex1) )).

fof(bitBlastConstant_172,axiom,(
    b001(bitIndex0) )).

fof(addAssignment_48,axiom,(
    ! [VarCurr] :
      ( v484(VarCurr,bitIndex0)
    <=> v360(VarCurr) ) )).

fof(addAssignment_47,axiom,(
    ! [VarCurr] :
      ( ( v484(VarCurr,bitIndex2)
      <=> v160(VarCurr,bitIndex1) )
      & ( v484(VarCurr,bitIndex1)
      <=> v160(VarCurr,bitIndex0) ) ) )).

fof(addBitVectorEqualityBitBlasted_58,axiom,(
    ! [VarCurr] :
      ( v481(VarCurr)
    <=> ( ( v482(VarCurr,bitIndex2)
        <=> $false )
        & ( v482(VarCurr,bitIndex1)
        <=> $false )
        & ( v482(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_171,axiom,(
    ~ b000(bitIndex2) )).

fof(bitBlastConstant_170,axiom,(
    ~ b000(bitIndex1) )).

fof(bitBlastConstant_169,axiom,(
    ~ b000(bitIndex0) )).

fof(addAssignment_46,axiom,(
    ! [VarCurr] :
      ( v482(VarCurr,bitIndex0)
    <=> v360(VarCurr) ) )).

fof(addAssignment_45,axiom,(
    ! [VarCurr] :
      ( ( v482(VarCurr,bitIndex2)
      <=> v160(VarCurr,bitIndex1) )
      & ( v482(VarCurr,bitIndex1)
      <=> v160(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_62,axiom,(
    ! [VarCurr] :
      ( v474(VarCurr)
    <=> ( v158(VarCurr)
        | v475(VarCurr) ) ) )).

fof(writeUnaryOperator_15,axiom,(
    ! [VarCurr] :
      ( ~ v475(VarCurr)
    <=> v476(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_57,axiom,(
    ! [VarCurr] :
      ( v476(VarCurr)
    <=> ( ( v477(VarCurr,bitIndex2)
        <=> $false )
        & ( v477(VarCurr,bitIndex1)
        <=> $true )
        & ( v477(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_168,axiom,(
    ~ b011(bitIndex2) )).

fof(bitBlastConstant_167,axiom,(
    b011(bitIndex1) )).

fof(bitBlastConstant_166,axiom,(
    b011(bitIndex0) )).

fof(addAssignment_44,axiom,(
    ! [VarCurr] :
      ( v477(VarCurr,bitIndex0)
    <=> v360(VarCurr) ) )).

fof(addAssignment_43,axiom,(
    ! [VarCurr] :
      ( ( v477(VarCurr,bitIndex2)
      <=> v160(VarCurr,bitIndex1) )
      & ( v477(VarCurr,bitIndex1)
      <=> v160(VarCurr,bitIndex0) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_61,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v465(VarNext)
      <=> ( v466(VarNext)
          & v320(VarNext) ) ) ) )).

fof(writeUnaryOperator_14,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v466(VarNext)
      <=> v329(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_2,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v398(VarNext)
       => ( v360(VarNext)
        <=> v360(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_2,axiom,(
    ! [VarNext] :
      ( v398(VarNext)
     => ( v360(VarNext)
      <=> v454(VarNext) ) ) )).

fof(addAssignment_42,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v454(VarNext)
      <=> v452(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_9,axiom,(
    ! [VarCurr] :
      ( ~ v408(VarCurr)
     => ( v452(VarCurr)
      <=> v362(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_9,axiom,(
    ! [VarCurr] :
      ( v408(VarCurr)
     => ( v452(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_60,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v398(VarNext)
      <=> ( v399(VarNext)
          & v406(VarNext) ) ) ) )).

fof(addAssignment_41,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v406(VarNext)
      <=> v404(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_59,axiom,(
    ! [VarCurr] :
      ( v404(VarCurr)
    <=> ( v407(VarCurr)
        & v416(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_58,axiom,(
    ! [VarCurr] :
      ( v416(VarCurr)
    <=> ( v417(VarCurr)
        | v408(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_57,axiom,(
    ! [VarCurr] :
      ( v417(VarCurr)
    <=> ( v418(VarCurr)
        & v451(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_56,axiom,(
    ! [VarCurr] :
      ( v451(VarCurr)
    <=> ( v411(VarCurr)
        | v412(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_55,axiom,(
    ! [VarCurr] :
      ( v418(VarCurr)
    <=> ( v419(VarCurr)
        & v421(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_54,axiom,(
    ! [VarCurr] :
      ( v421(VarCurr)
    <=> ( v422(VarCurr)
        | v450(VarCurr) ) ) )).

fof(writeUnaryOperator_13,axiom,(
    ! [VarCurr] :
      ( ~ v450(VarCurr)
    <=> v414(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_53,axiom,(
    ! [VarCurr] :
      ( v422(VarCurr)
    <=> ( v423(VarCurr)
        & v425(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_52,axiom,(
    ! [VarCurr] :
      ( v425(VarCurr)
    <=> ( v426(VarCurr)
        | v449(VarCurr) ) ) )).

fof(writeUnaryOperator_12,axiom,(
    ! [VarCurr] :
      ( ~ v449(VarCurr)
    <=> v413(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_51,axiom,(
    ! [VarCurr] :
      ( v426(VarCurr)
    <=> ( v427(VarCurr)
        & v448(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_50,axiom,(
    ! [VarCurr] :
      ( v448(VarCurr)
    <=> ( v430(VarCurr)
        | v443(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_49,axiom,(
    ! [VarCurr] :
      ( v427(VarCurr)
    <=> ( v428(VarCurr)
        & v441(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_48,axiom,(
    ! [VarCurr] :
      ( v441(VarCurr)
    <=> ( v312(VarCurr)
        | v442(VarCurr) ) ) )).

fof(writeUnaryOperator_11,axiom,(
    ! [VarCurr] :
      ( ~ v442(VarCurr)
    <=> v443(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_47,axiom,(
    ! [VarCurr] :
      ( v443(VarCurr)
    <=> ( v444(VarCurr)
        | v447(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_56,axiom,(
    ! [VarCurr] :
      ( v447(VarCurr)
    <=> ( ( v364(VarCurr,bitIndex3)
        <=> $false )
        & ( v364(VarCurr,bitIndex2)
        <=> $true )
        & ( v364(VarCurr,bitIndex1)
        <=> $false )
        & ( v364(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_46,axiom,(
    ! [VarCurr] :
      ( v444(VarCurr)
    <=> ( v445(VarCurr)
        | v446(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_55,axiom,(
    ! [VarCurr] :
      ( v446(VarCurr)
    <=> ( ( v364(VarCurr,bitIndex3)
        <=> $false )
        & ( v364(VarCurr,bitIndex2)
        <=> $false )
        & ( v364(VarCurr,bitIndex1)
        <=> $false )
        & ( v364(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_54,axiom,(
    ! [VarCurr] :
      ( v445(VarCurr)
    <=> ( ( v364(VarCurr,bitIndex3)
        <=> $false )
        & ( v364(VarCurr,bitIndex2)
        <=> $false )
        & ( v364(VarCurr,bitIndex1)
        <=> $true )
        & ( v364(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_45,axiom,(
    ! [VarCurr] :
      ( v428(VarCurr)
    <=> ( v312(VarCurr)
        | v429(VarCurr) ) ) )).

fof(writeUnaryOperator_10,axiom,(
    ! [VarCurr] :
      ( ~ v429(VarCurr)
    <=> v430(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_44,axiom,(
    ! [VarCurr] :
      ( v430(VarCurr)
    <=> ( v431(VarCurr)
        | v440(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_53,axiom,(
    ! [VarCurr] :
      ( v440(VarCurr)
    <=> ( ( v364(VarCurr,bitIndex3)
        <=> $false )
        & ( v364(VarCurr,bitIndex2)
        <=> $false )
        & ( v364(VarCurr,bitIndex1)
        <=> $false )
        & ( v364(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_43,axiom,(
    ! [VarCurr] :
      ( v431(VarCurr)
    <=> ( v432(VarCurr)
        | v439(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_52,axiom,(
    ! [VarCurr] :
      ( v439(VarCurr)
    <=> ( ( v364(VarCurr,bitIndex3)
        <=> $true )
        & ( v364(VarCurr,bitIndex2)
        <=> $false )
        & ( v364(VarCurr,bitIndex1)
        <=> $false )
        & ( v364(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_42,axiom,(
    ! [VarCurr] :
      ( v432(VarCurr)
    <=> ( v433(VarCurr)
        | v438(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_51,axiom,(
    ! [VarCurr] :
      ( v438(VarCurr)
    <=> ( ( v364(VarCurr,bitIndex3)
        <=> $false )
        & ( v364(VarCurr,bitIndex2)
        <=> $true )
        & ( v364(VarCurr,bitIndex1)
        <=> $true )
        & ( v364(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_41,axiom,(
    ! [VarCurr] :
      ( v433(VarCurr)
    <=> ( v434(VarCurr)
        | v437(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_50,axiom,(
    ! [VarCurr] :
      ( v437(VarCurr)
    <=> ( ( v364(VarCurr,bitIndex3)
        <=> $false )
        & ( v364(VarCurr,bitIndex2)
        <=> $true )
        & ( v364(VarCurr,bitIndex1)
        <=> $false )
        & ( v364(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_40,axiom,(
    ! [VarCurr] :
      ( v434(VarCurr)
    <=> ( v435(VarCurr)
        | v436(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_49,axiom,(
    ! [VarCurr] :
      ( v436(VarCurr)
    <=> ( ( v364(VarCurr,bitIndex3)
        <=> $false )
        & ( v364(VarCurr,bitIndex2)
        <=> $true )
        & ( v364(VarCurr,bitIndex1)
        <=> $true )
        & ( v364(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_48,axiom,(
    ! [VarCurr] :
      ( v435(VarCurr)
    <=> ( ( v364(VarCurr,bitIndex3)
        <=> $false )
        & ( v364(VarCurr,bitIndex2)
        <=> $false )
        & ( v364(VarCurr,bitIndex1)
        <=> $true )
        & ( v364(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeUnaryOperator_9,axiom,(
    ! [VarCurr] :
      ( ~ v423(VarCurr)
    <=> v424(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_47,axiom,(
    ! [VarCurr] :
      ( v424(VarCurr)
    <=> ( v360(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_39,axiom,(
    ! [VarCurr] :
      ( v419(VarCurr)
    <=> ( v312(VarCurr)
        | v420(VarCurr) ) ) )).

fof(writeUnaryOperator_8,axiom,(
    ! [VarCurr] :
      ( ~ v420(VarCurr)
    <=> v411(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_38,axiom,(
    ! [VarCurr] :
      ( v407(VarCurr)
    <=> ( v408(VarCurr)
        | v409(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_37,axiom,(
    ! [VarCurr] :
      ( v409(VarCurr)
    <=> ( v410(VarCurr)
        & v415(VarCurr) ) ) )).

fof(writeUnaryOperator_7,axiom,(
    ! [VarCurr] :
      ( ~ v415(VarCurr)
    <=> v408(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_36,axiom,(
    ! [VarCurr] :
      ( v410(VarCurr)
    <=> ( v411(VarCurr)
        | v412(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_35,axiom,(
    ! [VarCurr] :
      ( v412(VarCurr)
    <=> ( v413(VarCurr)
        & v414(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_46,axiom,(
    ! [VarCurr] :
      ( v414(VarCurr)
    <=> ( ( v160(VarCurr,bitIndex1)
        <=> $false )
        & ( v160(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addBitVectorEqualityBitBlasted_45,axiom,(
    ! [VarCurr] :
      ( v413(VarCurr)
    <=> ( v360(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_44,axiom,(
    ! [VarCurr] :
      ( v411(VarCurr)
    <=> ( ( v160(VarCurr,bitIndex1)
        <=> $false )
        & ( v160(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_43,axiom,(
    ! [VarCurr] :
      ( v408(VarCurr)
    <=> ( v154(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_34,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v399(VarNext)
      <=> ( v400(VarNext)
          & v320(VarNext) ) ) ) )).

fof(writeUnaryOperator_6,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v400(VarNext)
      <=> v329(VarNext) ) ) )).

fof(addCaseBooleanConditionEqualRanges1_1,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v369(VarNext)
       => ! [B] :
            ( range_3_0(B)
           => ( v364(VarNext,B)
            <=> v364(VarCurr,B) ) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0_1,axiom,(
    ! [VarNext] :
      ( v369(VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v364(VarNext,B)
          <=> v393(VarNext,B) ) ) ) )).

fof(addAssignment_40,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ! [B] :
          ( range_3_0(B)
         => ( v393(VarNext,B)
          <=> v391(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_8,axiom,(
    ! [VarCurr] :
      ( ~ v379(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v391(VarCurr,B)
          <=> v366(VarCurr,B) ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_8,axiom,(
    ! [VarCurr] :
      ( v379(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v391(VarCurr,B)
          <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_33,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v369(VarNext)
      <=> ( v370(VarNext)
          & v377(VarNext) ) ) ) )).

fof(addAssignment_39,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v377(VarNext)
      <=> v375(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_32,axiom,(
    ! [VarCurr] :
      ( v375(VarCurr)
    <=> ( v378(VarCurr)
        & v383(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_31,axiom,(
    ! [VarCurr] :
      ( v383(VarCurr)
    <=> ( v384(VarCurr)
        | v379(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_30,axiom,(
    ! [VarCurr] :
      ( v384(VarCurr)
    <=> ( v385(VarCurr)
        & v390(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_29,axiom,(
    ! [VarCurr] :
      ( v390(VarCurr)
    <=> ( v381(VarCurr)
        | v389(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_28,axiom,(
    ! [VarCurr] :
      ( v385(VarCurr)
    <=> ( v386(VarCurr)
        & v388(VarCurr) ) ) )).

fof(writeUnaryOperator_5,axiom,(
    ! [VarCurr] :
      ( ~ v388(VarCurr)
    <=> v389(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_42,axiom,(
    ! [VarCurr] :
      ( v389(VarCurr)
    <=> ( ( v160(VarCurr,bitIndex1)
        <=> $false )
        & ( v160(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_27,axiom,(
    ! [VarCurr] :
      ( v386(VarCurr)
    <=> ( v312(VarCurr)
        | v387(VarCurr) ) ) )).

fof(writeUnaryOperator_4,axiom,(
    ! [VarCurr] :
      ( ~ v387(VarCurr)
    <=> v381(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_26,axiom,(
    ! [VarCurr] :
      ( v378(VarCurr)
    <=> ( v379(VarCurr)
        | v380(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_25,axiom,(
    ! [VarCurr] :
      ( v380(VarCurr)
    <=> ( v381(VarCurr)
        & v382(VarCurr) ) ) )).

fof(writeUnaryOperator_3,axiom,(
    ! [VarCurr] :
      ( ~ v382(VarCurr)
    <=> v379(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_41,axiom,(
    ! [VarCurr] :
      ( v381(VarCurr)
    <=> ( ( v160(VarCurr,bitIndex1)
        <=> $false )
        & ( v160(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_40,axiom,(
    ! [VarCurr] :
      ( v379(VarCurr)
    <=> ( v154(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_24,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v370(VarNext)
      <=> ( v371(VarNext)
          & v320(VarNext) ) ) ) )).

fof(writeUnaryOperator_2,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v371(VarNext)
      <=> v329(VarNext) ) ) )).

fof(addAssignment_38,axiom,(
    ! [VarCurr] :
      ( v343(VarCurr)
    <=> v345(VarCurr) ) )).

fof(addAssignment_37,axiom,(
    ! [VarCurr] :
      ( v345(VarCurr)
    <=> v347(VarCurr) ) )).

fof(addAssignment_36,axiom,(
    ! [VarCurr] :
      ( v347(VarCurr)
    <=> v349(VarCurr) ) )).

fof(addAssignment_35,axiom,(
    ! [VarCurr] :
      ( v349(VarCurr)
    <=> v351(VarCurr) ) )).

fof(addAssignment_34,axiom,(
    ! [VarCurr] :
      ( v351(VarCurr)
    <=> v353(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_23,axiom,(
    ! [VarCurr] :
      ( v353(VarCurr)
    <=> ( v357(VarCurr)
        | v358(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_39,axiom,(
    ! [VarCurr] :
      ( v358(VarCurr)
    <=> ( ( v135(VarCurr,bitIndex4)
        <=> $false )
        & ( v135(VarCurr,bitIndex3)
        <=> $true )
        & ( v135(VarCurr,bitIndex2)
        <=> $false )
        & ( v135(VarCurr,bitIndex1)
        <=> $true )
        & ( v135(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_165,axiom,(
    ~ b01010(bitIndex4) )).

fof(bitBlastConstant_164,axiom,(
    b01010(bitIndex3) )).

fof(bitBlastConstant_163,axiom,(
    ~ b01010(bitIndex2) )).

fof(bitBlastConstant_162,axiom,(
    b01010(bitIndex1) )).

fof(bitBlastConstant_161,axiom,(
    ~ b01010(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_38,axiom,(
    ! [VarCurr] :
      ( v357(VarCurr)
    <=> ( ( v135(VarCurr,bitIndex4)
        <=> $false )
        & ( v135(VarCurr,bitIndex3)
        <=> $true )
        & ( v135(VarCurr,bitIndex2)
        <=> $false )
        & ( v135(VarCurr,bitIndex1)
        <=> $false )
        & ( v135(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_160,axiom,(
    ~ b01001(bitIndex4) )).

fof(bitBlastConstant_159,axiom,(
    b01001(bitIndex3) )).

fof(bitBlastConstant_158,axiom,(
    ~ b01001(bitIndex2) )).

fof(bitBlastConstant_157,axiom,(
    ~ b01001(bitIndex1) )).

fof(bitBlastConstant_156,axiom,(
    b01001(bitIndex0) )).

fof(addAssignmentInitValueVector,axiom,(
    ! [B] :
      ( range_4_0(B)
     => ( v135(constB0,B)
      <=> $false ) ) )).

fof(range_axiom_2,axiom,(
    ! [B] :
      ( range_4_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B ) ) )).

fof(bitBlastConstant_155,axiom,(
    ~ b00000(bitIndex4) )).

fof(bitBlastConstant_154,axiom,(
    ~ b00000(bitIndex3) )).

fof(bitBlastConstant_153,axiom,(
    ~ b00000(bitIndex2) )).

fof(bitBlastConstant_152,axiom,(
    ~ b00000(bitIndex1) )).

fof(bitBlastConstant_151,axiom,(
    ~ b00000(bitIndex0) )).

fof(addCaseBooleanConditionEqualRanges1,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v325(VarNext)
       => ( v165(VarNext)
        <=> v165(VarCurr) ) ) ) )).

fof(addCaseBooleanConditionEqualRanges0,axiom,(
    ! [VarNext] :
      ( v325(VarNext)
     => ( v165(VarNext)
      <=> v335(VarNext) ) ) )).

fof(addAssignment_33,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v335(VarNext)
      <=> v333(VarCurr) ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch_1,axiom,(
    ! [VarCurr] :
      ( ~ v336(VarCurr)
     => ( v333(VarCurr)
      <=> v337(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch_1,axiom,(
    ! [VarCurr] :
      ( v336(VarCurr)
     => ( v333(VarCurr)
      <=> $false ) ) )).

fof(aaddConditionBooleanCondEqualRangesElseBranch,axiom,(
    ! [VarCurr] :
      ( ~ v167(VarCurr)
     => ( v337(VarCurr)
      <=> v338(VarCurr) ) ) )).

fof(addConditionBooleanCondEqualRangesThenBranch,axiom,(
    ! [VarCurr] :
      ( v167(VarCurr)
     => ( v337(VarCurr)
      <=> $true ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_22,axiom,(
    ! [VarCurr] :
      ( v338(VarCurr)
    <=> ( v339(VarCurr)
        & v165(VarCurr) ) ) )).

fof(writeUnaryOperator_1,axiom,(
    ! [VarCurr] :
      ( ~ v339(VarCurr)
    <=> v312(VarCurr) ) )).

fof(addBitVectorEqualityBitBlasted_37,axiom,(
    ! [VarCurr] :
      ( v336(VarCurr)
    <=> ( v154(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_21,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v325(VarNext)
      <=> v326(VarNext) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_20,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v326(VarNext)
      <=> ( v327(VarNext)
          & v320(VarNext) ) ) ) )).

fof(writeUnaryOperator,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( ~ v327(VarNext)
      <=> v329(VarNext) ) ) )).

fof(addAssignment_32,axiom,(
    ! [VarNext,VarCurr] :
      ( nextState(VarCurr,VarNext)
     => ( v329(VarNext)
      <=> v320(VarCurr) ) ) )).

fof(addAssignment_31,axiom,(
    ! [VarCurr] :
      ( v320(VarCurr)
    <=> v322(VarCurr) ) )).

fof(addAssignment_30,axiom,(
    ! [VarCurr] :
      ( v322(VarCurr)
    <=> v1(VarCurr) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_3,axiom,(
    ! [VarCurr] :
      ( ( ~ v314(VarCurr)
        & ~ v318(VarCurr) )
     => ( v312(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_7,axiom,(
    ! [VarCurr] :
      ( v318(VarCurr)
     => ( v312(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_7,axiom,(
    ! [VarCurr] :
      ( v314(VarCurr)
     => ( v312(VarCurr)
      <=> v315(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_36,axiom,(
    ! [VarCurr] :
      ( v318(VarCurr)
    <=> ( ( v160(VarCurr,bitIndex1)
        <=> $false )
        & ( v160(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_6,axiom,(
    ! [VarCurr] :
      ( ~ v316(VarCurr)
     => ( v315(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_6,axiom,(
    ! [VarCurr] :
      ( v316(VarCurr)
     => ( v315(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_35,axiom,(
    ! [VarCurr] :
      ( v317(VarCurr)
    <=> ( v165(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_34,axiom,(
    ! [VarCurr] :
      ( v316(VarCurr)
    <=> ( v165(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_33,axiom,(
    ! [VarCurr] :
      ( v314(VarCurr)
    <=> ( ( v160(VarCurr,bitIndex1)
        <=> $false )
        & ( v160(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges3_1,axiom,(
    ! [VarCurr] :
      ( ( ~ v282(VarCurr)
        & ~ v306(VarCurr)
        & ~ v310(VarCurr) )
     => ( v167(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_2,axiom,(
    ! [VarCurr] :
      ( v310(VarCurr)
     => ( v167(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_5,axiom,(
    ! [VarCurr] :
      ( v306(VarCurr)
     => ( v167(VarCurr)
      <=> v307(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_5,axiom,(
    ! [VarCurr] :
      ( v282(VarCurr)
     => ( v167(VarCurr)
      <=> v283(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_32,axiom,(
    ! [VarCurr] :
      ( v310(VarCurr)
    <=> ( ( v169(VarCurr,bitIndex1)
        <=> $true )
        & ( v169(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_150,axiom,(
    b10(bitIndex1) )).

fof(bitBlastConstant_149,axiom,(
    ~ b10(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges1_4,axiom,(
    ! [VarCurr] :
      ( ~ v308(VarCurr)
     => ( v307(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_4,axiom,(
    ! [VarCurr] :
      ( v308(VarCurr)
     => ( v307(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_31,axiom,(
    ! [VarCurr] :
      ( v309(VarCurr)
    <=> ( v271(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_30,axiom,(
    ! [VarCurr] :
      ( v308(VarCurr)
    <=> ( v271(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_29,axiom,(
    ! [VarCurr] :
      ( v306(VarCurr)
    <=> ( ( v169(VarCurr,bitIndex1)
        <=> $false )
        & ( v169(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_148,axiom,(
    ~ b01(bitIndex1) )).

fof(bitBlastConstant_147,axiom,(
    b01(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges1_3,axiom,(
    ! [VarCurr] :
      ( ~ v284(VarCurr)
     => ( v283(VarCurr)
      <=> v286(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_3,axiom,(
    ! [VarCurr] :
      ( v284(VarCurr)
     => ( v283(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_2,axiom,(
    ! [VarCurr] :
      ( ~ v287(VarCurr)
     => ( v286(VarCurr)
      <=> v289(VarCurr) ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_2,axiom,(
    ! [VarCurr] :
      ( v287(VarCurr)
     => ( v286(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges2_1,axiom,(
    ! [VarCurr] :
      ( ( ~ v290(VarCurr)
        & ~ v297(VarCurr) )
     => ( v289(VarCurr)
      <=> $false ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges1_1,axiom,(
    ! [VarCurr] :
      ( v297(VarCurr)
     => ( v289(VarCurr)
      <=> $true ) ) )).

fof(addParallelCaseBooleanConditionEqualRanges0_1,axiom,(
    ! [VarCurr] :
      ( v290(VarCurr)
     => ( v289(VarCurr)
      <=> $false ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_19,axiom,(
    ! [VarCurr] :
      ( v297(VarCurr)
    <=> ( v298(VarCurr)
        | v305(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_28,axiom,(
    ! [VarCurr] :
      ( v305(VarCurr)
    <=> ( ( v214(VarCurr,bitIndex3)
        <=> $true )
        & ( v214(VarCurr,bitIndex2)
        <=> $false )
        & ( v214(VarCurr,bitIndex1)
        <=> $false )
        & ( v214(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_18,axiom,(
    ! [VarCurr] :
      ( v298(VarCurr)
    <=> ( v299(VarCurr)
        | v304(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_27,axiom,(
    ! [VarCurr] :
      ( v304(VarCurr)
    <=> ( ( v214(VarCurr,bitIndex3)
        <=> $false )
        & ( v214(VarCurr,bitIndex2)
        <=> $true )
        & ( v214(VarCurr,bitIndex1)
        <=> $true )
        & ( v214(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_17,axiom,(
    ! [VarCurr] :
      ( v299(VarCurr)
    <=> ( v300(VarCurr)
        | v303(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_26,axiom,(
    ! [VarCurr] :
      ( v303(VarCurr)
    <=> ( ( v214(VarCurr,bitIndex3)
        <=> $false )
        & ( v214(VarCurr,bitIndex2)
        <=> $true )
        & ( v214(VarCurr,bitIndex1)
        <=> $false )
        & ( v214(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_16,axiom,(
    ! [VarCurr] :
      ( v300(VarCurr)
    <=> ( v301(VarCurr)
        | v302(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_25,axiom,(
    ! [VarCurr] :
      ( v302(VarCurr)
    <=> ( ( v214(VarCurr,bitIndex3)
        <=> $false )
        & ( v214(VarCurr,bitIndex2)
        <=> $true )
        & ( v214(VarCurr,bitIndex1)
        <=> $true )
        & ( v214(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_24,axiom,(
    ! [VarCurr] :
      ( v301(VarCurr)
    <=> ( ( v214(VarCurr,bitIndex3)
        <=> $false )
        & ( v214(VarCurr,bitIndex2)
        <=> $false )
        & ( v214(VarCurr,bitIndex1)
        <=> $false )
        & ( v214(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_15,axiom,(
    ! [VarCurr] :
      ( v290(VarCurr)
    <=> ( v291(VarCurr)
        | v296(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_23,axiom,(
    ! [VarCurr] :
      ( v296(VarCurr)
    <=> ( ( v214(VarCurr,bitIndex3)
        <=> $false )
        & ( v214(VarCurr,bitIndex2)
        <=> $false )
        & ( v214(VarCurr,bitIndex1)
        <=> $true )
        & ( v214(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_14,axiom,(
    ! [VarCurr] :
      ( v291(VarCurr)
    <=> ( v292(VarCurr)
        | v295(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_22,axiom,(
    ! [VarCurr] :
      ( v295(VarCurr)
    <=> ( ( v214(VarCurr,bitIndex3)
        <=> $false )
        & ( v214(VarCurr,bitIndex2)
        <=> $true )
        & ( v214(VarCurr,bitIndex1)
        <=> $false )
        & ( v214(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_13,axiom,(
    ! [VarCurr] :
      ( v292(VarCurr)
    <=> ( v293(VarCurr)
        | v294(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_21,axiom,(
    ! [VarCurr] :
      ( v294(VarCurr)
    <=> ( ( v214(VarCurr,bitIndex3)
        <=> $false )
        & ( v214(VarCurr,bitIndex2)
        <=> $false )
        & ( v214(VarCurr,bitIndex1)
        <=> $false )
        & ( v214(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_20,axiom,(
    ! [VarCurr] :
      ( v293(VarCurr)
    <=> ( ( v214(VarCurr,bitIndex3)
        <=> $false )
        & ( v214(VarCurr,bitIndex2)
        <=> $false )
        & ( v214(VarCurr,bitIndex1)
        <=> $true )
        & ( v214(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(addBitVectorEqualityBitBlasted_19,axiom,(
    ! [VarCurr] :
      ( v288(VarCurr)
    <=> ( v165(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_18,axiom,(
    ! [VarCurr] :
      ( v287(VarCurr)
    <=> ( v165(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_17,axiom,(
    ! [VarCurr] :
      ( v285(VarCurr)
    <=> ( v171(VarCurr)
      <=> $false ) ) )).

fof(addBitVectorEqualityBitBlasted_16,axiom,(
    ! [VarCurr] :
      ( v284(VarCurr)
    <=> ( v171(VarCurr)
      <=> $true ) ) )).

fof(addBitVectorEqualityBitBlasted_15,axiom,(
    ! [VarCurr] :
      ( v282(VarCurr)
    <=> ( ( v169(VarCurr,bitIndex1)
        <=> $false )
        & ( v169(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_146,axiom,(
    ~ b00(bitIndex1) )).

fof(bitBlastConstant_145,axiom,(
    ~ b00(bitIndex0) )).

fof(addAssignment_29,axiom,(
    ! [VarCurr] :
      ( v271(VarCurr)
    <=> v273(VarCurr) ) )).

fof(addAssignment_28,axiom,(
    ! [VarCurr] :
      ( v273(VarCurr)
    <=> v275(VarCurr) ) )).

fof(addAssignment_27,axiom,(
    ! [VarCurr] :
      ( v275(VarCurr)
    <=> v277(VarCurr) ) )).

fof(addAssignment_26,axiom,(
    ! [VarCurr] :
      ( v277(VarCurr)
    <=> v279(VarCurr) ) )).

fof(addParallelCaseBooleanConditionEqualRanges9,axiom,(
    ! [VarCurr] :
      ( ( ~ v248(VarCurr)
        & ~ v251(VarCurr)
        & ~ v254(VarCurr)
        & ~ v255(VarCurr)
        & ~ v258(VarCurr)
        & ~ v261(VarCurr)
        & ~ v264(VarCurr)
        & ~ v265(VarCurr)
        & ~ v266(VarCurr) )
     => ! [B] :
          ( range_3_0(B)
         => ( v214(VarCurr,B)
          <=> $true ) ) ) )).

fof(bitBlastConstant_144,axiom,(
    b1111(bitIndex3) )).

fof(bitBlastConstant_143,axiom,(
    b1111(bitIndex2) )).

fof(bitBlastConstant_142,axiom,(
    b1111(bitIndex1) )).

fof(bitBlastConstant_141,axiom,(
    b1111(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges8,axiom,(
    ! [VarCurr] :
      ( v266(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v214(VarCurr,B)
          <=> b0011(B) ) ) ) )).

fof(bitBlastConstant_140,axiom,(
    ~ b0011(bitIndex3) )).

fof(bitBlastConstant_139,axiom,(
    ~ b0011(bitIndex2) )).

fof(bitBlastConstant_138,axiom,(
    b0011(bitIndex1) )).

fof(bitBlastConstant_137,axiom,(
    b0011(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges7,axiom,(
    ! [VarCurr] :
      ( v265(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v214(VarCurr,B)
          <=> b0111(B) ) ) ) )).

fof(bitBlastConstant_136,axiom,(
    ~ b0111(bitIndex3) )).

fof(bitBlastConstant_135,axiom,(
    b0111(bitIndex2) )).

fof(bitBlastConstant_134,axiom,(
    b0111(bitIndex1) )).

fof(bitBlastConstant_133,axiom,(
    b0111(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges6,axiom,(
    ! [VarCurr] :
      ( v264(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v214(VarCurr,B)
          <=> b1000(B) ) ) ) )).

fof(bitBlastConstant_132,axiom,(
    b1000(bitIndex3) )).

fof(bitBlastConstant_131,axiom,(
    ~ b1000(bitIndex2) )).

fof(bitBlastConstant_130,axiom,(
    ~ b1000(bitIndex1) )).

fof(bitBlastConstant_129,axiom,(
    ~ b1000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges5,axiom,(
    ! [VarCurr] :
      ( v261(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v214(VarCurr,B)
          <=> b0101(B) ) ) ) )).

fof(bitBlastConstant_128,axiom,(
    ~ b0101(bitIndex3) )).

fof(bitBlastConstant_127,axiom,(
    b0101(bitIndex2) )).

fof(bitBlastConstant_126,axiom,(
    ~ b0101(bitIndex1) )).

fof(bitBlastConstant_125,axiom,(
    b0101(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges4,axiom,(
    ! [VarCurr] :
      ( v258(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v214(VarCurr,B)
          <=> b0110(B) ) ) ) )).

fof(bitBlastConstant_124,axiom,(
    ~ b0110(bitIndex3) )).

fof(bitBlastConstant_123,axiom,(
    b0110(bitIndex2) )).

fof(bitBlastConstant_122,axiom,(
    b0110(bitIndex1) )).

fof(bitBlastConstant_121,axiom,(
    ~ b0110(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges3,axiom,(
    ! [VarCurr] :
      ( v255(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v214(VarCurr,B)
          <=> b0001(B) ) ) ) )).

fof(bitBlastConstant_120,axiom,(
    ~ b0001(bitIndex3) )).

fof(bitBlastConstant_119,axiom,(
    ~ b0001(bitIndex2) )).

fof(bitBlastConstant_118,axiom,(
    ~ b0001(bitIndex1) )).

fof(bitBlastConstant_117,axiom,(
    b0001(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges2,axiom,(
    ! [VarCurr] :
      ( v254(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v214(VarCurr,B)
          <=> b0100(B) ) ) ) )).

fof(bitBlastConstant_116,axiom,(
    ~ b0100(bitIndex3) )).

fof(bitBlastConstant_115,axiom,(
    b0100(bitIndex2) )).

fof(bitBlastConstant_114,axiom,(
    ~ b0100(bitIndex1) )).

fof(bitBlastConstant_113,axiom,(
    ~ b0100(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges1,axiom,(
    ! [VarCurr] :
      ( v251(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v214(VarCurr,B)
          <=> $false ) ) ) )).

fof(bitBlastConstant_112,axiom,(
    ~ b0000(bitIndex3) )).

fof(bitBlastConstant_111,axiom,(
    ~ b0000(bitIndex2) )).

fof(bitBlastConstant_110,axiom,(
    ~ b0000(bitIndex1) )).

fof(bitBlastConstant_109,axiom,(
    ~ b0000(bitIndex0) )).

fof(addParallelCaseBooleanConditionEqualRanges0,axiom,(
    ! [VarCurr] :
      ( v248(VarCurr)
     => ! [B] :
          ( range_3_0(B)
         => ( v214(VarCurr,B)
          <=> b0010(B) ) ) ) )).

fof(range_axiom_1,axiom,(
    ! [B] :
      ( range_3_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B ) ) )).

fof(bitBlastConstant_108,axiom,(
    ~ b0010(bitIndex3) )).

fof(bitBlastConstant_107,axiom,(
    ~ b0010(bitIndex2) )).

fof(bitBlastConstant_106,axiom,(
    b0010(bitIndex1) )).

fof(bitBlastConstant_105,axiom,(
    ~ b0010(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_12,axiom,(
    ! [VarCurr] :
      ( v266(VarCurr)
    <=> ( v267(VarCurr)
        | v268(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_14,axiom,(
    ! [VarCurr] :
      ( v268(VarCurr)
    <=> ( ( v216(VarCurr,bitIndex6)
        <=> $true )
        & ( v216(VarCurr,bitIndex5)
        <=> $false )
        & ( v216(VarCurr,bitIndex4)
        <=> $false )
        & ( v216(VarCurr,bitIndex3)
        <=> $true )
        & ( v216(VarCurr,bitIndex2)
        <=> $false )
        & ( v216(VarCurr,bitIndex1)
        <=> $true )
        & ( v216(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_104,axiom,(
    b1001010(bitIndex6) )).

fof(bitBlastConstant_103,axiom,(
    ~ b1001010(bitIndex5) )).

fof(bitBlastConstant_102,axiom,(
    ~ b1001010(bitIndex4) )).

fof(bitBlastConstant_101,axiom,(
    b1001010(bitIndex3) )).

fof(bitBlastConstant_100,axiom,(
    ~ b1001010(bitIndex2) )).

fof(bitBlastConstant_99,axiom,(
    b1001010(bitIndex1) )).

fof(bitBlastConstant_98,axiom,(
    ~ b1001010(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_13,axiom,(
    ! [VarCurr] :
      ( v267(VarCurr)
    <=> ( ( v216(VarCurr,bitIndex6)
        <=> $false )
        & ( v216(VarCurr,bitIndex5)
        <=> $false )
        & ( v216(VarCurr,bitIndex4)
        <=> $false )
        & ( v216(VarCurr,bitIndex3)
        <=> $true )
        & ( v216(VarCurr,bitIndex2)
        <=> $false )
        & ( v216(VarCurr,bitIndex1)
        <=> $true )
        & ( v216(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_97,axiom,(
    ~ b0001010(bitIndex6) )).

fof(bitBlastConstant_96,axiom,(
    ~ b0001010(bitIndex5) )).

fof(bitBlastConstant_95,axiom,(
    ~ b0001010(bitIndex4) )).

fof(bitBlastConstant_94,axiom,(
    b0001010(bitIndex3) )).

fof(bitBlastConstant_93,axiom,(
    ~ b0001010(bitIndex2) )).

fof(bitBlastConstant_92,axiom,(
    b0001010(bitIndex1) )).

fof(bitBlastConstant_91,axiom,(
    ~ b0001010(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_12,axiom,(
    ! [VarCurr] :
      ( v265(VarCurr)
    <=> ( ( v216(VarCurr,bitIndex6)
        <=> $true )
        & ( v216(VarCurr,bitIndex5)
        <=> $true )
        & ( v216(VarCurr,bitIndex4)
        <=> $true )
        & ( v216(VarCurr,bitIndex3)
        <=> $true )
        & ( v216(VarCurr,bitIndex2)
        <=> $false )
        & ( v216(VarCurr,bitIndex1)
        <=> $true )
        & ( v216(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_90,axiom,(
    b1111010(bitIndex6) )).

fof(bitBlastConstant_89,axiom,(
    b1111010(bitIndex5) )).

fof(bitBlastConstant_88,axiom,(
    b1111010(bitIndex4) )).

fof(bitBlastConstant_87,axiom,(
    b1111010(bitIndex3) )).

fof(bitBlastConstant_86,axiom,(
    ~ b1111010(bitIndex2) )).

fof(bitBlastConstant_85,axiom,(
    b1111010(bitIndex1) )).

fof(bitBlastConstant_84,axiom,(
    ~ b1111010(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_11,axiom,(
    ! [VarCurr] :
      ( v264(VarCurr)
    <=> ( ( v216(VarCurr,bitIndex6)
        <=> $true )
        & ( v216(VarCurr,bitIndex5)
        <=> $true )
        & ( v216(VarCurr,bitIndex4)
        <=> $true )
        & ( v216(VarCurr,bitIndex3)
        <=> $true )
        & ( v216(VarCurr,bitIndex2)
        <=> $true )
        & ( v216(VarCurr,bitIndex1)
        <=> $false )
        & ( v216(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_83,axiom,(
    b1111100(bitIndex6) )).

fof(bitBlastConstant_82,axiom,(
    b1111100(bitIndex5) )).

fof(bitBlastConstant_81,axiom,(
    b1111100(bitIndex4) )).

fof(bitBlastConstant_80,axiom,(
    b1111100(bitIndex3) )).

fof(bitBlastConstant_79,axiom,(
    b1111100(bitIndex2) )).

fof(bitBlastConstant_78,axiom,(
    ~ b1111100(bitIndex1) )).

fof(bitBlastConstant_77,axiom,(
    ~ b1111100(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_11,axiom,(
    ! [VarCurr] :
      ( v261(VarCurr)
    <=> ( v262(VarCurr)
        | v263(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_10,axiom,(
    ! [VarCurr] :
      ( v263(VarCurr)
    <=> ( ( v216(VarCurr,bitIndex6)
        <=> $true )
        & ( v216(VarCurr,bitIndex5)
        <=> $false )
        & ( v216(VarCurr,bitIndex4)
        <=> $true )
        & ( v216(VarCurr,bitIndex3)
        <=> $false )
        & ( v216(VarCurr,bitIndex2)
        <=> $false )
        & ( v216(VarCurr,bitIndex1)
        <=> $false )
        & ( v216(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_76,axiom,(
    b1010000(bitIndex6) )).

fof(bitBlastConstant_75,axiom,(
    ~ b1010000(bitIndex5) )).

fof(bitBlastConstant_74,axiom,(
    b1010000(bitIndex4) )).

fof(bitBlastConstant_73,axiom,(
    ~ b1010000(bitIndex3) )).

fof(bitBlastConstant_72,axiom,(
    ~ b1010000(bitIndex2) )).

fof(bitBlastConstant_71,axiom,(
    ~ b1010000(bitIndex1) )).

fof(bitBlastConstant_70,axiom,(
    ~ b1010000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_9,axiom,(
    ! [VarCurr] :
      ( v262(VarCurr)
    <=> ( ( v216(VarCurr,bitIndex6)
        <=> $true )
        & ( v216(VarCurr,bitIndex5)
        <=> $true )
        & ( v216(VarCurr,bitIndex4)
        <=> $true )
        & ( v216(VarCurr,bitIndex3)
        <=> $false )
        & ( v216(VarCurr,bitIndex2)
        <=> $false )
        & ( v216(VarCurr,bitIndex1)
        <=> $false )
        & ( v216(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_69,axiom,(
    b1110000(bitIndex6) )).

fof(bitBlastConstant_68,axiom,(
    b1110000(bitIndex5) )).

fof(bitBlastConstant_67,axiom,(
    b1110000(bitIndex4) )).

fof(bitBlastConstant_66,axiom,(
    ~ b1110000(bitIndex3) )).

fof(bitBlastConstant_65,axiom,(
    ~ b1110000(bitIndex2) )).

fof(bitBlastConstant_64,axiom,(
    ~ b1110000(bitIndex1) )).

fof(bitBlastConstant_63,axiom,(
    ~ b1110000(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_10,axiom,(
    ! [VarCurr] :
      ( v258(VarCurr)
    <=> ( v259(VarCurr)
        | v260(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_8,axiom,(
    ! [VarCurr] :
      ( v260(VarCurr)
    <=> ( ( v216(VarCurr,bitIndex6)
        <=> $true )
        & ( v216(VarCurr,bitIndex5)
        <=> $false )
        & ( v216(VarCurr,bitIndex4)
        <=> $true )
        & ( v216(VarCurr,bitIndex3)
        <=> $true )
        & ( v216(VarCurr,bitIndex2)
        <=> $false )
        & ( v216(VarCurr,bitIndex1)
        <=> $false )
        & ( v216(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_62,axiom,(
    b1011000(bitIndex6) )).

fof(bitBlastConstant_61,axiom,(
    ~ b1011000(bitIndex5) )).

fof(bitBlastConstant_60,axiom,(
    b1011000(bitIndex4) )).

fof(bitBlastConstant_59,axiom,(
    b1011000(bitIndex3) )).

fof(bitBlastConstant_58,axiom,(
    ~ b1011000(bitIndex2) )).

fof(bitBlastConstant_57,axiom,(
    ~ b1011000(bitIndex1) )).

fof(bitBlastConstant_56,axiom,(
    ~ b1011000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_7,axiom,(
    ! [VarCurr] :
      ( v259(VarCurr)
    <=> ( ( v216(VarCurr,bitIndex6)
        <=> $true )
        & ( v216(VarCurr,bitIndex5)
        <=> $true )
        & ( v216(VarCurr,bitIndex4)
        <=> $true )
        & ( v216(VarCurr,bitIndex3)
        <=> $true )
        & ( v216(VarCurr,bitIndex2)
        <=> $false )
        & ( v216(VarCurr,bitIndex1)
        <=> $false )
        & ( v216(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_55,axiom,(
    b1111000(bitIndex6) )).

fof(bitBlastConstant_54,axiom,(
    b1111000(bitIndex5) )).

fof(bitBlastConstant_53,axiom,(
    b1111000(bitIndex4) )).

fof(bitBlastConstant_52,axiom,(
    b1111000(bitIndex3) )).

fof(bitBlastConstant_51,axiom,(
    ~ b1111000(bitIndex2) )).

fof(bitBlastConstant_50,axiom,(
    ~ b1111000(bitIndex1) )).

fof(bitBlastConstant_49,axiom,(
    ~ b1111000(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_9,axiom,(
    ! [VarCurr] :
      ( v255(VarCurr)
    <=> ( v256(VarCurr)
        | v257(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_6,axiom,(
    ! [VarCurr] :
      ( v257(VarCurr)
    <=> ( ( v216(VarCurr,bitIndex6)
        <=> $true )
        & ( v216(VarCurr,bitIndex5)
        <=> $true )
        & ( v216(VarCurr,bitIndex4)
        <=> $false )
        & ( v216(VarCurr,bitIndex3)
        <=> $false )
        & ( v216(VarCurr,bitIndex2)
        <=> $false )
        & ( v216(VarCurr,bitIndex1)
        <=> $false )
        & ( v216(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_48,axiom,(
    b1100000(bitIndex6) )).

fof(bitBlastConstant_47,axiom,(
    b1100000(bitIndex5) )).

fof(bitBlastConstant_46,axiom,(
    ~ b1100000(bitIndex4) )).

fof(bitBlastConstant_45,axiom,(
    ~ b1100000(bitIndex3) )).

fof(bitBlastConstant_44,axiom,(
    ~ b1100000(bitIndex2) )).

fof(bitBlastConstant_43,axiom,(
    ~ b1100000(bitIndex1) )).

fof(bitBlastConstant_42,axiom,(
    ~ b1100000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_5,axiom,(
    ! [VarCurr] :
      ( v256(VarCurr)
    <=> ( ( v216(VarCurr,bitIndex6)
        <=> $true )
        & ( v216(VarCurr,bitIndex5)
        <=> $false )
        & ( v216(VarCurr,bitIndex4)
        <=> $false )
        & ( v216(VarCurr,bitIndex3)
        <=> $false )
        & ( v216(VarCurr,bitIndex2)
        <=> $false )
        & ( v216(VarCurr,bitIndex1)
        <=> $false )
        & ( v216(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_41,axiom,(
    b1000000(bitIndex6) )).

fof(bitBlastConstant_40,axiom,(
    ~ b1000000(bitIndex5) )).

fof(bitBlastConstant_39,axiom,(
    ~ b1000000(bitIndex4) )).

fof(bitBlastConstant_38,axiom,(
    ~ b1000000(bitIndex3) )).

fof(bitBlastConstant_37,axiom,(
    ~ b1000000(bitIndex2) )).

fof(bitBlastConstant_36,axiom,(
    ~ b1000000(bitIndex1) )).

fof(bitBlastConstant_35,axiom,(
    ~ b1000000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_4,axiom,(
    ! [VarCurr] :
      ( v254(VarCurr)
    <=> ( ( v216(VarCurr,bitIndex6)
        <=> $false )
        & ( v216(VarCurr,bitIndex5)
        <=> $false )
        & ( v216(VarCurr,bitIndex4)
        <=> $false )
        & ( v216(VarCurr,bitIndex3)
        <=> $true )
        & ( v216(VarCurr,bitIndex2)
        <=> $false )
        & ( v216(VarCurr,bitIndex1)
        <=> $false )
        & ( v216(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_34,axiom,(
    ~ b0001001(bitIndex6) )).

fof(bitBlastConstant_33,axiom,(
    ~ b0001001(bitIndex5) )).

fof(bitBlastConstant_32,axiom,(
    ~ b0001001(bitIndex4) )).

fof(bitBlastConstant_31,axiom,(
    b0001001(bitIndex3) )).

fof(bitBlastConstant_30,axiom,(
    ~ b0001001(bitIndex2) )).

fof(bitBlastConstant_29,axiom,(
    ~ b0001001(bitIndex1) )).

fof(bitBlastConstant_28,axiom,(
    b0001001(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_8,axiom,(
    ! [VarCurr] :
      ( v251(VarCurr)
    <=> ( v252(VarCurr)
        | v253(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_3,axiom,(
    ! [VarCurr] :
      ( v253(VarCurr)
    <=> ( ( v216(VarCurr,bitIndex6)
        <=> $false )
        & ( v216(VarCurr,bitIndex5)
        <=> $true )
        & ( v216(VarCurr,bitIndex4)
        <=> $false )
        & ( v216(VarCurr,bitIndex3)
        <=> $false )
        & ( v216(VarCurr,bitIndex2)
        <=> $false )
        & ( v216(VarCurr,bitIndex1)
        <=> $false )
        & ( v216(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_27,axiom,(
    ~ b0100001(bitIndex6) )).

fof(bitBlastConstant_26,axiom,(
    b0100001(bitIndex5) )).

fof(bitBlastConstant_25,axiom,(
    ~ b0100001(bitIndex4) )).

fof(bitBlastConstant_24,axiom,(
    ~ b0100001(bitIndex3) )).

fof(bitBlastConstant_23,axiom,(
    ~ b0100001(bitIndex2) )).

fof(bitBlastConstant_22,axiom,(
    ~ b0100001(bitIndex1) )).

fof(bitBlastConstant_21,axiom,(
    b0100001(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted_2,axiom,(
    ! [VarCurr] :
      ( v252(VarCurr)
    <=> ( ( v216(VarCurr,bitIndex6)
        <=> $false )
        & ( v216(VarCurr,bitIndex5)
        <=> $false )
        & ( v216(VarCurr,bitIndex4)
        <=> $false )
        & ( v216(VarCurr,bitIndex3)
        <=> $false )
        & ( v216(VarCurr,bitIndex2)
        <=> $false )
        & ( v216(VarCurr,bitIndex1)
        <=> $false )
        & ( v216(VarCurr,bitIndex0)
        <=> $true ) ) ) )).

fof(bitBlastConstant_20,axiom,(
    ~ b0000001(bitIndex6) )).

fof(bitBlastConstant_19,axiom,(
    ~ b0000001(bitIndex5) )).

fof(bitBlastConstant_18,axiom,(
    ~ b0000001(bitIndex4) )).

fof(bitBlastConstant_17,axiom,(
    ~ b0000001(bitIndex3) )).

fof(bitBlastConstant_16,axiom,(
    ~ b0000001(bitIndex2) )).

fof(bitBlastConstant_15,axiom,(
    ~ b0000001(bitIndex1) )).

fof(bitBlastConstant_14,axiom,(
    b0000001(bitIndex0) )).

fof(writeBinaryOperatorEqualRangesSingleBits_7,axiom,(
    ! [VarCurr] :
      ( v248(VarCurr)
    <=> ( v249(VarCurr)
        | v250(VarCurr) ) ) )).

fof(addBitVectorEqualityBitBlasted_1,axiom,(
    ! [VarCurr] :
      ( v250(VarCurr)
    <=> ( ( v216(VarCurr,bitIndex6)
        <=> $false )
        & ( v216(VarCurr,bitIndex5)
        <=> $true )
        & ( v216(VarCurr,bitIndex4)
        <=> $false )
        & ( v216(VarCurr,bitIndex3)
        <=> $false )
        & ( v216(VarCurr,bitIndex2)
        <=> $false )
        & ( v216(VarCurr,bitIndex1)
        <=> $false )
        & ( v216(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_13,axiom,(
    ~ b0100000(bitIndex6) )).

fof(bitBlastConstant_12,axiom,(
    b0100000(bitIndex5) )).

fof(bitBlastConstant_11,axiom,(
    ~ b0100000(bitIndex4) )).

fof(bitBlastConstant_10,axiom,(
    ~ b0100000(bitIndex3) )).

fof(bitBlastConstant_9,axiom,(
    ~ b0100000(bitIndex2) )).

fof(bitBlastConstant_8,axiom,(
    ~ b0100000(bitIndex1) )).

fof(bitBlastConstant_7,axiom,(
    ~ b0100000(bitIndex0) )).

fof(addBitVectorEqualityBitBlasted,axiom,(
    ! [VarCurr] :
      ( v249(VarCurr)
    <=> ( ( v216(VarCurr,bitIndex6)
        <=> $false )
        & ( v216(VarCurr,bitIndex5)
        <=> $false )
        & ( v216(VarCurr,bitIndex4)
        <=> $false )
        & ( v216(VarCurr,bitIndex3)
        <=> $false )
        & ( v216(VarCurr,bitIndex2)
        <=> $false )
        & ( v216(VarCurr,bitIndex1)
        <=> $false )
        & ( v216(VarCurr,bitIndex0)
        <=> $false ) ) ) )).

fof(bitBlastConstant_6,axiom,(
    ~ b0000000(bitIndex6) )).

fof(bitBlastConstant_5,axiom,(
    ~ b0000000(bitIndex5) )).

fof(bitBlastConstant_4,axiom,(
    ~ b0000000(bitIndex4) )).

fof(bitBlastConstant_3,axiom,(
    ~ b0000000(bitIndex3) )).

fof(bitBlastConstant_2,axiom,(
    ~ b0000000(bitIndex2) )).

fof(bitBlastConstant_1,axiom,(
    ~ b0000000(bitIndex1) )).

fof(bitBlastConstant,axiom,(
    ~ b0000000(bitIndex0) )).

fof(addAssignment_25,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v216(VarCurr,B)
      <=> v218(VarCurr,B) ) ) )).

fof(addAssignment_24,axiom,(
    ! [VarCurr,B] :
      ( range_6_0(B)
     => ( v218(VarCurr,B)
      <=> v220(VarCurr,B) ) ) )).

fof(range_axiom,axiom,(
    ! [B] :
      ( range_6_0(B)
    <=> ( $false
        | bitIndex0 = B
        | bitIndex1 = B
        | bitIndex2 = B
        | bitIndex3 = B
        | bitIndex4 = B
        | bitIndex5 = B
        | bitIndex6 = B ) ) )).

fof(addAssignment_23,axiom,(
    ! [VarCurr] :
      ( ( v220(VarCurr,bitIndex6)
      <=> v222(VarCurr,bitIndex27) )
      & ( v220(VarCurr,bitIndex5)
      <=> v222(VarCurr,bitIndex26) )
      & ( v220(VarCurr,bitIndex4)
      <=> v222(VarCurr,bitIndex25) )
      & ( v220(VarCurr,bitIndex3)
      <=> v222(VarCurr,bitIndex24) )
      & ( v220(VarCurr,bitIndex2)
      <=> v222(VarCurr,bitIndex23) )
      & ( v220(VarCurr,bitIndex1)
      <=> v222(VarCurr,bitIndex22) )
      & ( v220(VarCurr,bitIndex0)
      <=> v222(VarCurr,bitIndex21) ) ) )).

fof(addAssignment_22,axiom,(
    ! [VarCurr] :
      ( v171(VarCurr)
    <=> v173(VarCurr) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_6,axiom,(
    ! [VarCurr] :
      ( v173(VarCurr)
    <=> ( v207(VarCurr)
        & v203(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_5,axiom,(
    ! [VarCurr] :
      ( v207(VarCurr)
    <=> ( v208(VarCurr)
        & v199(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_4,axiom,(
    ! [VarCurr] :
      ( v208(VarCurr)
    <=> ( v209(VarCurr)
        & v195(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_3,axiom,(
    ! [VarCurr] :
      ( v209(VarCurr)
    <=> ( v210(VarCurr)
        & v191(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_2,axiom,(
    ! [VarCurr] :
      ( v210(VarCurr)
    <=> ( v211(VarCurr)
        & v187(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits_1,axiom,(
    ! [VarCurr] :
      ( v211(VarCurr)
    <=> ( v212(VarCurr)
        & v183(VarCurr) ) ) )).

fof(writeBinaryOperatorEqualRangesSingleBits,axiom,(
    ! [VarCurr] :
      ( v212(VarCurr)
    <=> ( v175(VarCurr)
        & v179(VarCurr) ) ) )).

fof(addAssignment_21,axiom,(
    ! [VarCurr] :
      ( v203(VarCurr)
    <=> v205(VarCurr) ) )).

fof(addAssignment_20,axiom,(
    ! [VarCurr] :
      ( v199(VarCurr)
    <=> v201(VarCurr) ) )).

fof(addAssignment_19,axiom,(
    ! [VarCurr] :
      ( v195(VarCurr)
    <=> v197(VarCurr) ) )).

fof(addAssignment_18,axiom,(
    ! [VarCurr] :
      ( v191(VarCurr)
    <=> v193(VarCurr) ) )).

fof(addAssignment_17,axiom,(
    ! [VarCurr] :
      ( v187(VarCurr)
    <=> v189(VarCurr) ) )).

fof(addAssignment_16,axiom,(
    ! [VarCurr] :
      ( v183(VarCurr)
    <=> v185(VarCurr) ) )).

fof(addAssignment_15,axiom,(
    ! [VarCurr] :
      ( v179(VarCurr)
    <=> v181(VarCurr) ) )).

fof(addAssignment_14,axiom,(
    ! [VarCurr] :
      ( v175(VarCurr)
    <=> v177(VarCurr) ) )).

fof(addAssignment_13,axiom,(
    ! [VarCurr] :
      ( v154(VarCurr)
    <=> v156(VarCurr) ) )).

fof(addAssignment_12,axiom,(
    ! [VarCurr] :
      ( v156(VarCurr)
    <=> v16(VarCurr) ) )).

fof(addAssignment_11,axiom,(
    ! [VarCurr] :
      ( v137(VarCurr)
    <=> v125(VarCurr) ) )).

fof(addAssignment_10,axiom,(
    ! [VarCurr] :
      ( v123(VarCurr)
    <=> v125(VarCurr) ) )).

fof(addAssignment_9,axiom,(
    ! [VarCurr] :
      ( v125(VarCurr)
    <=> v14(VarCurr) ) )).

fof(addAssignment_8,axiom,(
    ! [VarCurr] :
      ( v58(VarCurr)
    <=> v60(VarCurr) ) )).

fof(addAssignment_7,axiom,(
    ! [VarCurr] :
      ( v60(VarCurr)
    <=> v62(VarCurr) ) )).

fof(addAssignment_6,axiom,(
    ! [VarCurr] :
      ( v62(VarCurr)
    <=> v64(VarCurr) ) )).

fof(addAssignment_5,axiom,(
    ! [VarCurr] :
      ( v64(VarCurr)
    <=> v16(VarCurr) ) )).

fof(addAssignment_4,axiom,(
    ! [VarCurr] :
      ( v33(VarCurr)
    <=> v12(VarCurr) ) )).

fof(addAssignment_3,axiom,(
    ! [VarCurr] :
      ( v10(VarCurr)
    <=> v12(VarCurr) ) )).

fof(addAssignment_2,axiom,(
    ! [VarCurr] :
      ( v12(VarCurr)
    <=> v14(VarCurr) ) )).

fof(addAssignment_1,axiom,(
    ! [VarCurr] :
      ( v14(VarCurr)
    <=> v16(VarCurr) ) )).

fof(addAssignment,axiom,(
    ! [VarCurr] :
      ( v16(VarCurr)
    <=> v18(VarCurr) ) )).

%------------------------------------------------------------------------------
